/*===========================================================================*/
/*   (Llib/control.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -srfi alsa -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/control.scm -o objs/control.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <alsa/asoundlib.h>
#include <bglalsa.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62alsazd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62alsazd2errorzb0_bglt;

typedef struct BgL_alsazd2sndzd2ctlz00_bgl {
   header_t header;
   obj_t widening;
   snd_ctl_t * BgL_z42builtinz42;
   obj_t BgL_cardz00;
   obj_t BgL_modez00;
} *BgL_alsazd2sndzd2ctlz00_bglt;

typedef struct BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_alsazd2sndzd2ctlz00_bgl * BgL_ctlz00;
   int BgL_cardz00;
   obj_t BgL_idz00;
   obj_t BgL_driverz00;
   obj_t BgL_namez00;
   obj_t BgL_longnamez00;
   obj_t BgL_mixernamez00;
   obj_t BgL_componentsz00;
} *BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt;

typedef struct BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_alsazd2sndzd2ctlz00_bgl * BgL_ctlz00;
   int BgL_cardz00;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   int BgL_devicez00;
   int BgL_subdevicez00;
   int BgL_subdevicescountz00;
} *BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt;


static obj_t BGl_z62alsazd2sndzd2ctlzd2rawmidizd2devicesz62zz__alsa_controlz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__alsa_controlz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00 = BUNSPEC;
extern obj_t BGl_alsazd2objectzd2zz__alsa_alsaz00;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62alsazd2initzd2alsazd2sndzd2c1100z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__alsa_controlz00(void);
static obj_t BGl_genericzd2initzd2zz__alsa_controlz00(void);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2ctlzd2closezd2zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31222ze3ze5zz__alsa_controlz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__alsa_controlz00(void);
static obj_t BGl_z62zc3z04anonymousza31209ze3ze5zz__alsa_controlz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00 = BUNSPEC;
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62alsazd2initzd2alsazd2sndzd2c1098z62zz__alsa_controlz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__alsa_controlz00(void);
static obj_t BGl_z62alsazd2sndzd2ctlzd2openzb0zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31251ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31422ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31236ze3ze5zz__alsa_controlz00(obj_t);
static int BGl_symbolzd2ze3ctlzd2modeze3zz__alsa_controlz00(obj_t);
extern obj_t BGl_z62alsazd2errorzb0zz__alsa_alsaz00;
static obj_t BGl_z62zc3z04anonymousza31343ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62lambda1207z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1208z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BGl_z62lambda1216z62zz__alsa_controlz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BGl_z62lambda1219z62zz__alsa_controlz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1228z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62z52z42sndzd2ctlzd2nilz72zz__alsa_controlz00(obj_t);
static obj_t BGl_z62lambda1229z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2ctlzd2rawmidizd2devicesz00zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt);
static obj_t BGl_z62lambda1234z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31355ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62lambda1235z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31258ze3ze5zz__alsa_controlz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__alsa_controlz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62zc3z04anonymousza31623ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31291ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31186ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31178ze3ze5zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1249z62zz__alsa_controlz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00 = BUNSPEC;
static obj_t BGl_z62lambda1250z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31551ze3ze5zz__alsa_controlz00(obj_t);
static BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1171z62zz__alsa_controlz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1334z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31608ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62lambda1335z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1175z62zz__alsa_controlz00(obj_t);
static obj_t BGl_z62lambda1256z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1257z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1420z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1421z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1341z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1342z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1184z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1185z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__alsa_controlz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__alsa_controlz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__alsa_controlz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__alsa_controlz00(void);
static obj_t BGl_z62lambda1353z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1354z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31197ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_z62lambda1195z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1196z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1606z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1607z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BGl_z62lambda1364z62zz__alsa_controlz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1289z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62alsazd2sndzd2ctlzd2closezb0zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1290z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BGl_z62lambda1375z62zz__alsa_controlz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62lambda1621z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1622z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31378ze3ze5zz__alsa_controlz00(obj_t, obj_t);
static BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1386z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1387z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1549z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1550z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31590ze3ze5zz__alsa_controlz00(obj_t);
static obj_t BGl_loopze70ze7zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt, long);
static obj_t BGl_z62lambda1576z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1577z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL snd_ctl_t * BGl_z52z42sndzd2ctlzd2nilz10zz__alsa_controlz00(void);
static obj_t BGl_z62lambda1588z62zz__alsa_controlz00(obj_t, obj_t);
static obj_t BGl_z62lambda1589z62zz__alsa_controlz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2ctlzd2openzd2zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31578ze3ze5zz__alsa_controlz00(obj_t);
static obj_t __cnst[ 25 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2ctlzd2rawmidizd2deviceszd2envzd2zz__alsa_controlz00, BgL_bgl_za762alsaza7d2sndza7d21709za7, BGl_z62alsazd2sndzd2ctlzd2rawmidizd2devicesz62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2ctlzd2openzd2envz00zz__alsa_controlz00, BgL_bgl_za762alsaza7d2sndza7d21710za7, BGl_z62alsazd2sndzd2ctlzd2openzb0zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1702z00zz__alsa_controlz00, BgL_bgl_string1702za700za7za7_1711za7, "default", 7 );
DEFINE_STRING( BGl_string1704z00zz__alsa_controlz00, BgL_bgl_string1704za700za7za7_1712za7, "alsa-init", 9 );
DEFINE_STRING( BGl_string1706z00zz__alsa_controlz00, BgL_bgl_string1706za700za7za7_1713za7, "__alsa_control", 14 );
DEFINE_STRING( BGl_string1707z00zz__alsa_controlz00, BgL_bgl_string1707za700za7za7_1714za7, "_ alsa-snd-ctl-rawmidi-info subdevicescount subdevice device alsa-snd-ctl-card-info components mixername longname name driver id int ctl __alsa_control alsa-snd-ctl symbol mode bstring card $snd-ctl $builtin async nonblock default ", 231 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1700z00zz__alsa_controlz00, BgL_bgl_za762lambda1375za7621715z00, BGl_z62lambda1375z62zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1701z00zz__alsa_controlz00, BgL_bgl_za762lambda1364za7621716z00, BGl_z62lambda1364z62zz__alsa_controlz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1703z00zz__alsa_controlz00, BgL_bgl_za762alsaza7d2initza7d1717za7, BGl_z62alsazd2initzd2alsazd2sndzd2c1098z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1705z00zz__alsa_controlz00, BgL_bgl_za762alsaza7d2initza7d1718za7, BGl_z62alsazd2initzd2alsazd2sndzd2c1100z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1631z00zz__alsa_controlz00, BgL_bgl_string1631za700za7za7_1719za7, "alsa-snd-ctl-open", 17 );
DEFINE_STRING( BGl_string1632z00zz__alsa_controlz00, BgL_bgl_string1632za700za7za7_1720za7, "ctl device already open", 23 );
DEFINE_STRING( BGl_string1633z00zz__alsa_controlz00, BgL_bgl_string1633za700za7za7_1721za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/alsa/src/Llib/control.scm", 65 );
DEFINE_STRING( BGl_string1634z00zz__alsa_controlz00, BgL_bgl_string1634za700za7za7_1722za7, "&alsa-snd-ctl-open", 18 );
DEFINE_STRING( BGl_string1635z00zz__alsa_controlz00, BgL_bgl_string1635za700za7za7_1723za7, "alsa-snd-ctl", 12 );
DEFINE_STRING( BGl_string1636z00zz__alsa_controlz00, BgL_bgl_string1636za700za7za7_1724za7, "&alsa-snd-ctl-close", 19 );
DEFINE_STRING( BGl_string1637z00zz__alsa_controlz00, BgL_bgl_string1637za700za7za7_1725za7, "", 0 );
DEFINE_STRING( BGl_string1638z00zz__alsa_controlz00, BgL_bgl_string1638za700za7za7_1726za7, "&alsa-snd-ctl-rawmidi-devices", 29 );
DEFINE_STRING( BGl_string1639z00zz__alsa_controlz00, BgL_bgl_string1639za700za7za7_1727za7, "alsa-ctl", 8 );
DEFINE_STRING( BGl_string1640z00zz__alsa_controlz00, BgL_bgl_string1640za700za7za7_1728za7, "Unknown mode", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1641z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1729za7, BGl_z62zc3z04anonymousza31186ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1642z00zz__alsa_controlz00, BgL_bgl_za762lambda1185za7621730z00, BGl_z62lambda1185z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1643z00zz__alsa_controlz00, BgL_bgl_za762lambda1184za7621731z00, BGl_z62lambda1184z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1644z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1732za7, BGl_z62zc3z04anonymousza31197ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1645z00zz__alsa_controlz00, BgL_bgl_za762lambda1196za7621733z00, BGl_z62lambda1196z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1646z00zz__alsa_controlz00, BgL_bgl_za762lambda1195za7621734z00, BGl_z62lambda1195z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1647z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1735za7, BGl_z62zc3z04anonymousza31209ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1648z00zz__alsa_controlz00, BgL_bgl_za762lambda1208za7621736z00, BGl_z62lambda1208z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1649z00zz__alsa_controlz00, BgL_bgl_za762lambda1207za7621737z00, BGl_z62lambda1207z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1650z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1738za7, BGl_z62zc3z04anonymousza31178ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1651z00zz__alsa_controlz00, BgL_bgl_za762lambda1175za7621739z00, BGl_z62lambda1175z62zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1652z00zz__alsa_controlz00, BgL_bgl_za762lambda1171za7621740z00, BGl_z62lambda1171z62zz__alsa_controlz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1653z00zz__alsa_controlz00, BgL_bgl_za762lambda1229za7621741z00, BGl_z62lambda1229z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1654z00zz__alsa_controlz00, BgL_bgl_za762lambda1228za7621742z00, BGl_z62lambda1228z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1655z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1743za7, BGl_z62zc3z04anonymousza31236ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1656z00zz__alsa_controlz00, BgL_bgl_za762lambda1235za7621744z00, BGl_z62lambda1235z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1657z00zz__alsa_controlz00, BgL_bgl_za762lambda1234za7621745z00, BGl_z62lambda1234z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1658z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1746za7, BGl_z62zc3z04anonymousza31251ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1659z00zz__alsa_controlz00, BgL_bgl_za762lambda1250za7621747z00, BGl_z62lambda1250z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1660z00zz__alsa_controlz00, BgL_bgl_za762lambda1249za7621748z00, BGl_z62lambda1249z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1661z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1749za7, BGl_z62zc3z04anonymousza31258ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1662z00zz__alsa_controlz00, BgL_bgl_za762lambda1257za7621750z00, BGl_z62lambda1257z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1663z00zz__alsa_controlz00, BgL_bgl_za762lambda1256za7621751z00, BGl_z62lambda1256z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1664z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1752za7, BGl_z62zc3z04anonymousza31291ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1665z00zz__alsa_controlz00, BgL_bgl_za762lambda1290za7621753z00, BGl_z62lambda1290z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1666z00zz__alsa_controlz00, BgL_bgl_za762lambda1289za7621754z00, BGl_z62lambda1289z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1667z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1755za7, BGl_z62zc3z04anonymousza31336ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1668z00zz__alsa_controlz00, BgL_bgl_za762lambda1335za7621756z00, BGl_z62lambda1335z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1669z00zz__alsa_controlz00, BgL_bgl_za762lambda1334za7621757z00, BGl_z62lambda1334z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1670z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1758za7, BGl_z62zc3z04anonymousza31343ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1671z00zz__alsa_controlz00, BgL_bgl_za762lambda1342za7621759z00, BGl_z62lambda1342z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1672z00zz__alsa_controlz00, BgL_bgl_za762lambda1341za7621760z00, BGl_z62lambda1341z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1673z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1761za7, BGl_z62zc3z04anonymousza31355ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1674z00zz__alsa_controlz00, BgL_bgl_za762lambda1354za7621762z00, BGl_z62lambda1354z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1675z00zz__alsa_controlz00, BgL_bgl_za762lambda1353za7621763z00, BGl_z62lambda1353z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1676z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1764za7, BGl_z62zc3z04anonymousza31222ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1677z00zz__alsa_controlz00, BgL_bgl_za762lambda1219za7621765z00, BGl_z62lambda1219z62zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1678z00zz__alsa_controlz00, BgL_bgl_za762lambda1216za7621766z00, BGl_z62lambda1216z62zz__alsa_controlz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1679z00zz__alsa_controlz00, BgL_bgl_za762lambda1387za7621767z00, BGl_z62lambda1387z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1680z00zz__alsa_controlz00, BgL_bgl_za762lambda1386za7621768z00, BGl_z62lambda1386z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1681z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1769za7, BGl_z62zc3z04anonymousza31422ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1682z00zz__alsa_controlz00, BgL_bgl_za762lambda1421za7621770z00, BGl_z62lambda1421z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1683z00zz__alsa_controlz00, BgL_bgl_za762lambda1420za7621771z00, BGl_z62lambda1420z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1684z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1772za7, BGl_z62zc3z04anonymousza31551ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1685z00zz__alsa_controlz00, BgL_bgl_za762lambda1550za7621773z00, BGl_z62lambda1550z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1686z00zz__alsa_controlz00, BgL_bgl_za762lambda1549za7621774z00, BGl_z62lambda1549z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1687z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1775za7, BGl_z62zc3z04anonymousza31578ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1688z00zz__alsa_controlz00, BgL_bgl_za762lambda1577za7621776z00, BGl_z62lambda1577z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1689z00zz__alsa_controlz00, BgL_bgl_za762lambda1576za7621777z00, BGl_z62lambda1576z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1690z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1778za7, BGl_z62zc3z04anonymousza31590ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1691z00zz__alsa_controlz00, BgL_bgl_za762lambda1589za7621779z00, BGl_z62lambda1589z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1692z00zz__alsa_controlz00, BgL_bgl_za762lambda1588za7621780z00, BGl_z62lambda1588z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1693z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1781za7, BGl_z62zc3z04anonymousza31608ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1694z00zz__alsa_controlz00, BgL_bgl_za762lambda1607za7621782z00, BGl_z62lambda1607z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1695z00zz__alsa_controlz00, BgL_bgl_za762lambda1606za7621783z00, BGl_z62lambda1606z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1696z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1784za7, BGl_z62zc3z04anonymousza31623ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1697z00zz__alsa_controlz00, BgL_bgl_za762lambda1622za7621785z00, BGl_z62lambda1622z62zz__alsa_controlz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1698z00zz__alsa_controlz00, BgL_bgl_za762lambda1621za7621786z00, BGl_z62lambda1621z62zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1699z00zz__alsa_controlz00, BgL_bgl_za762za7c3za704anonymo1787za7, BGl_z62zc3z04anonymousza31378ze3ze5zz__alsa_controlz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42sndzd2ctlzd2nilzd2envzc2zz__alsa_controlz00, BgL_bgl_za762za752za742sndza7d2c1788z00, BGl_z62z52z42sndzd2ctlzd2nilz72zz__alsa_controlz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2ctlzd2closezd2envz00zz__alsa_controlz00, BgL_bgl_za762alsaza7d2sndza7d21789za7, BGl_z62alsazd2sndzd2ctlzd2closezb0zz__alsa_controlz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_alsazd2initzd2envz00zz__alsa_alsaz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__alsa_controlz00) );
ADD_ROOT( (void *)(&BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00) );
ADD_ROOT( (void *)(&BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00) );
ADD_ROOT( (void *)(&BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__alsa_controlz00(long BgL_checksumz00_791, char * BgL_fromz00_792)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__alsa_controlz00))
{ 
BGl_requirezd2initializa7ationz75zz__alsa_controlz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__alsa_controlz00(); 
BGl_libraryzd2moduleszd2initz00zz__alsa_controlz00(); 
BGl_cnstzd2initzd2zz__alsa_controlz00(); 
BGl_importedzd2moduleszd2initz00zz__alsa_controlz00(); 
BGl_objectzd2initzd2zz__alsa_controlz00(); 
BGl_methodzd2initzd2zz__alsa_controlz00(); 
return 
BGl_toplevelzd2initzd2zz__alsa_controlz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__alsa_controlz00(void)
{
{ /* Llib/control.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__alsa_control"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__alsa_control"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__alsa_controlz00(void)
{
{ /* Llib/control.scm 15 */
{ /* Llib/control.scm 15 */
 obj_t BgL_cportz00_681;
{ /* Llib/control.scm 15 */
 obj_t BgL_stringz00_688;
BgL_stringz00_688 = BGl_string1707z00zz__alsa_controlz00; 
{ /* Llib/control.scm 15 */
 obj_t BgL_startz00_689;
BgL_startz00_689 = 
BINT(((long)0)); 
{ /* Llib/control.scm 15 */
 obj_t BgL_endz00_690;
BgL_endz00_690 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_688))); 
{ /* Llib/control.scm 15 */

BgL_cportz00_681 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_688, BgL_startz00_689, BgL_endz00_690); } } } } 
{ 
 long BgL_iz00_682;
BgL_iz00_682 = ((long)24); 
BgL_loopz00_683:
if(
(BgL_iz00_682==((long)-1)))
{ /* Llib/control.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/control.scm 15 */
{ /* Llib/control.scm 15 */
 obj_t BgL_arg1708z00_684;
{ /* Llib/control.scm 15 */

{ /* Llib/control.scm 15 */
 obj_t BgL_locationz00_686;
BgL_locationz00_686 = 
BBOOL(((bool_t)0)); 
{ /* Llib/control.scm 15 */

BgL_arg1708z00_684 = 
BGl_readz00zz__readerz00(BgL_cportz00_681, BgL_locationz00_686); } } } 
{ /* Llib/control.scm 15 */
 int BgL_tmpz00_820;
BgL_tmpz00_820 = 
(int)(BgL_iz00_682); 
CNST_TABLE_SET(BgL_tmpz00_820, BgL_arg1708z00_684); } } 
{ /* Llib/control.scm 15 */
 int BgL_auxz00_687;
BgL_auxz00_687 = 
(int)(
(BgL_iz00_682-((long)1))); 
{ 
 long BgL_iz00_825;
BgL_iz00_825 = 
(long)(BgL_auxz00_687); 
BgL_iz00_682 = BgL_iz00_825; 
goto BgL_loopz00_683;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__alsa_controlz00(void)
{
{ /* Llib/control.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__alsa_controlz00(void)
{
{ /* Llib/control.scm 15 */
return BUNSPEC;} 

}



/* %$snd-ctl-nil */
BGL_EXPORTED_DEF snd_ctl_t * BGl_z52z42sndzd2ctlzd2nilz10zz__alsa_controlz00(void)
{
{ /* Llib/control.scm 55 */
return 
(0L);} 

}



/* &%$snd-ctl-nil */
obj_t BGl_z62z52z42sndzd2ctlzd2nilz72zz__alsa_controlz00(obj_t BgL_envz00_456)
{
{ /* Llib/control.scm 55 */
return 
void_star_to_obj(
BGl_z52z42sndzd2ctlzd2nilz10zz__alsa_controlz00());} 

}



/* alsa-snd-ctl-open */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2ctlzd2openzd2zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt BgL_oz00_5)
{
{ /* Llib/control.scm 79 */
{ /* Llib/control.scm 81 */
 bool_t BgL_test1795z00_831;
{ /* Llib/control.scm 81 */
 snd_ctl_t * BgL_tmpz00_832;
BgL_tmpz00_832 = 
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_oz00_5))->BgL_z42builtinz42); 
BgL_test1795z00_831 = 
(BgL_tmpz00_832 == 0L); } 
if(BgL_test1795z00_831)
{ /* Llib/control.scm 82 */
 int BgL_errz00_20;
{ /* Llib/control.scm 82 */
 obj_t BgL_arg1121z00_28; int BgL_arg1129z00_29;
BgL_arg1121z00_28 = 
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_oz00_5))->BgL_cardz00); 
BgL_arg1129z00_29 = 
BGl_symbolzd2ze3ctlzd2modeze3zz__alsa_controlz00(
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_oz00_5))->BgL_modez00)); 
{ /* Llib/control.scm 82 */
 char * BgL_auxz00_840; obj_t BgL_tmpz00_838;
BgL_auxz00_840 = 
BSTRING_TO_STRING(BgL_arg1121z00_28); 
BgL_tmpz00_838 = 
((obj_t)BgL_oz00_5); 
BgL_errz00_20 = 
bgl_snd_ctl_open(BgL_tmpz00_838, BgL_auxz00_840, BgL_arg1129z00_29); } } 
if(
(
(long)(BgL_errz00_20)<((long)0)))
{ /* Llib/control.scm 84 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1114z00_22;
{ /* Llib/control.scm 84 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1077z00_23;
{ /* Llib/control.scm 84 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1076z00_26;
BgL_new1076z00_26 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/control.scm 84 */
 long BgL_arg1120z00_27;
BgL_arg1120z00_27 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_26), BgL_arg1120z00_27); } 
BgL_new1077z00_23 = BgL_new1076z00_26; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_23)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_23)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_854;
{ /* Llib/control.scm 84 */
 obj_t BgL_arg1118z00_24;
{ /* Llib/control.scm 84 */
 obj_t BgL_arg1119z00_25;
{ /* Llib/control.scm 84 */
 obj_t BgL_classz00_384;
BgL_classz00_384 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1119z00_25 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_384); } 
BgL_arg1118z00_24 = 
VECTOR_REF(BgL_arg1119z00_25,((long)2)); } 
BgL_auxz00_854 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1118z00_24); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_23)))->BgL_stackz00)=((obj_t)BgL_auxz00_854),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1077z00_23)))->BgL_procz00)=((obj_t)BGl_string1631z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1077z00_23)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)snd_strerror(BgL_errz00_20))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1077z00_23)))->BgL_objz00)=((obj_t)
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_oz00_5))->BgL_cardz00)),BUNSPEC); 
BgL_arg1114z00_22 = BgL_new1077z00_23; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1114z00_22));}  else 
{ /* Llib/control.scm 83 */
return 
((obj_t)BgL_oz00_5);} }  else 
{ /* Llib/control.scm 89 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1132z00_31;
{ /* Llib/control.scm 89 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1079z00_32;
{ /* Llib/control.scm 89 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1078z00_35;
BgL_new1078z00_35 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/control.scm 89 */
 long BgL_arg1137z00_36;
BgL_arg1137z00_36 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_35), BgL_arg1137z00_36); } 
BgL_new1079z00_32 = BgL_new1078z00_35; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1079z00_32)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1079z00_32)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_880;
{ /* Llib/control.scm 89 */
 obj_t BgL_arg1133z00_33;
{ /* Llib/control.scm 89 */
 obj_t BgL_arg1134z00_34;
{ /* Llib/control.scm 89 */
 obj_t BgL_classz00_389;
BgL_classz00_389 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1134z00_34 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_389); } 
BgL_arg1133z00_33 = 
VECTOR_REF(BgL_arg1134z00_34,((long)2)); } 
BgL_auxz00_880 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1133z00_33); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1079z00_32)))->BgL_stackz00)=((obj_t)BgL_auxz00_880),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1079z00_32)))->BgL_procz00)=((obj_t)BGl_string1631z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1079z00_32)))->BgL_msgz00)=((obj_t)BGl_string1632z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1079z00_32)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_5)),BUNSPEC); 
BgL_arg1132z00_31 = BgL_new1079z00_32; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1132z00_31));} } } 

}



/* &alsa-snd-ctl-open */
obj_t BGl_z62alsazd2sndzd2ctlzd2openzb0zz__alsa_controlz00(obj_t BgL_envz00_457, obj_t BgL_oz00_458)
{
{ /* Llib/control.scm 79 */
{ /* Llib/control.scm 80 */
 BgL_alsazd2sndzd2ctlz00_bglt BgL_auxz00_895;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_458, BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00))
{ /* Llib/control.scm 80 */
BgL_auxz00_895 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_458)
; }  else 
{ 
 obj_t BgL_auxz00_899;
BgL_auxz00_899 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1633z00zz__alsa_controlz00, 
BINT(((long)3687)), BGl_string1634z00zz__alsa_controlz00, BGl_string1635z00zz__alsa_controlz00, BgL_oz00_458); 
FAILURE(BgL_auxz00_899,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2ctlzd2openzd2zz__alsa_controlz00(BgL_auxz00_895);} } 

}



/* alsa-snd-ctl-close */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2ctlzd2closezd2zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt BgL_ctlz00_6)
{
{ /* Llib/control.scm 97 */
{ /* Llib/control.scm 99 */
 bool_t BgL_test1798z00_904;
{ /* Llib/control.scm 99 */
 snd_ctl_t * BgL_tmpz00_905;
BgL_tmpz00_905 = 
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_ctlz00_6))->BgL_z42builtinz42); 
BgL_test1798z00_904 = 
(BgL_tmpz00_905 == 0L); } 
if(BgL_test1798z00_904)
{ /* Llib/control.scm 99 */
return BFALSE;}  else 
{ /* Llib/control.scm 100 */
 snd_ctl_t * BgL_arg1141z00_41;
BgL_arg1141z00_41 = 
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_ctlz00_6))->BgL_z42builtinz42); 
return 
BINT(
snd_ctl_close(BgL_arg1141z00_41));} } } 

}



/* &alsa-snd-ctl-close */
obj_t BGl_z62alsazd2sndzd2ctlzd2closezb0zz__alsa_controlz00(obj_t BgL_envz00_459, obj_t BgL_ctlz00_460)
{
{ /* Llib/control.scm 97 */
{ /* Llib/control.scm 98 */
 BgL_alsazd2sndzd2ctlz00_bglt BgL_auxz00_911;
if(
BGl_isazf3zf3zz__objectz00(BgL_ctlz00_460, BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00))
{ /* Llib/control.scm 98 */
BgL_auxz00_911 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_ctlz00_460)
; }  else 
{ 
 obj_t BgL_auxz00_915;
BgL_auxz00_915 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1633z00zz__alsa_controlz00, 
BINT(((long)4387)), BGl_string1636z00zz__alsa_controlz00, BGl_string1635z00zz__alsa_controlz00, BgL_ctlz00_460); 
FAILURE(BgL_auxz00_915,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2ctlzd2closezd2zz__alsa_controlz00(BgL_auxz00_911);} } 

}



/* alsa-snd-ctl-rawmidi-devices */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2ctlzd2rawmidizd2devicesz00zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt BgL_ctlz00_7)
{
{ /* Llib/control.scm 105 */
return 
BGl_loopze70ze7zz__alsa_controlz00(BgL_ctlz00_7, ((long)-1));} 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__alsa_controlz00(BgL_alsazd2sndzd2ctlz00_bglt BgL_ctlz00_668, long BgL_dz00_44)
{
{ /* Llib/control.scm 106 */
{ /* Llib/control.scm 107 */
 int BgL_devz00_46;
{ /* Llib/control.scm 107 */
 int BgL_auxz00_923; obj_t BgL_tmpz00_921;
BgL_auxz00_923 = 
(int)(BgL_dz00_44); 
BgL_tmpz00_921 = 
((obj_t)BgL_ctlz00_668); 
BgL_devz00_46 = 
bgl_snd_ctl_rawmidi_next_device(BgL_tmpz00_921, BgL_auxz00_923); } 
if(
(
(long)(BgL_devz00_46)>=((long)0)))
{ /* Llib/control.scm 109 */
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_arg1145z00_48; obj_t BgL_arg1146z00_49;
{ /* Llib/control.scm 109 */
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_new1082z00_50;
{ /* Llib/control.scm 109 */
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_new1081z00_52;
BgL_new1081z00_52 = 
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bgl) ))); 
{ /* Llib/control.scm 109 */
 long BgL_arg1149z00_53;
BgL_arg1149z00_53 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_52), BgL_arg1149z00_53); } 
BgL_new1082z00_50 = BgL_new1081z00_52; } 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1082z00_50))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)BgL_ctlz00_668),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1082z00_50))->BgL_cardz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1082z00_50))->BgL_idz00)=((obj_t)BGl_string1637z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1082z00_50))->BgL_namez00)=((obj_t)BGl_string1637z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1082z00_50))->BgL_devicez00)=((int)BgL_devz00_46),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1082z00_50))->BgL_subdevicez00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1082z00_50))->BgL_subdevicescountz00)=((int)
(int)(((long)0))),BUNSPEC); 
{ /* Llib/control.scm 109 */
 obj_t BgL_fun1147z00_51;
BgL_fun1147z00_51 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1147z00_51))(BgL_fun1147z00_51, 
((obj_t)BgL_new1082z00_50), BEOA); } 
BgL_arg1145z00_48 = BgL_new1082z00_50; } 
BgL_arg1146z00_49 = 
BGl_loopze70ze7zz__alsa_controlz00(BgL_ctlz00_668, 
(BgL_dz00_44+((long)1))); 
return 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1145z00_48), BgL_arg1146z00_49);}  else 
{ /* Llib/control.scm 108 */
return BNIL;} } } 

}



/* &alsa-snd-ctl-rawmidi-devices */
obj_t BGl_z62alsazd2sndzd2ctlzd2rawmidizd2devicesz62zz__alsa_controlz00(obj_t BgL_envz00_461, obj_t BgL_ctlz00_462)
{
{ /* Llib/control.scm 105 */
{ /* Llib/control.scm 107 */
 BgL_alsazd2sndzd2ctlz00_bglt BgL_auxz00_953;
if(
BGl_isazf3zf3zz__objectz00(BgL_ctlz00_462, BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00))
{ /* Llib/control.scm 107 */
BgL_auxz00_953 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_ctlz00_462)
; }  else 
{ 
 obj_t BgL_auxz00_957;
BgL_auxz00_957 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1633z00zz__alsa_controlz00, 
BINT(((long)4807)), BGl_string1638z00zz__alsa_controlz00, BGl_string1635z00zz__alsa_controlz00, BgL_ctlz00_462); 
FAILURE(BgL_auxz00_957,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2ctlzd2rawmidizd2devicesz00zz__alsa_controlz00(BgL_auxz00_953);} } 

}



/* symbol->ctl-mode */
int BGl_symbolzd2ze3ctlzd2modeze3zz__alsa_controlz00(obj_t BgL_sz00_8)
{
{ /* Llib/control.scm 118 */
if(
(BgL_sz00_8==
CNST_TABLE_REF(((long)0))))
{ /* Llib/control.scm 119 */
return 
(int)(((long)0));}  else 
{ /* Llib/control.scm 119 */
if(
(BgL_sz00_8==
CNST_TABLE_REF(((long)1))))
{ /* Llib/control.scm 119 */
return SND_CTL_NONBLOCK;}  else 
{ /* Llib/control.scm 119 */
if(
(BgL_sz00_8==
CNST_TABLE_REF(((long)2))))
{ /* Llib/control.scm 119 */
return SND_CTL_ASYNC;}  else 
{ /* Llib/control.scm 123 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1154z00_60;
{ /* Llib/control.scm 123 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1084z00_61;
{ /* Llib/control.scm 123 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1083z00_64;
BgL_new1083z00_64 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/control.scm 123 */
 long BgL_arg1157z00_65;
BgL_arg1157z00_65 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1083z00_64), BgL_arg1157z00_65); } 
BgL_new1084z00_61 = BgL_new1083z00_64; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1084z00_61)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1084z00_61)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_980;
{ /* Llib/control.scm 123 */
 obj_t BgL_arg1155z00_62;
{ /* Llib/control.scm 123 */
 obj_t BgL_arg1156z00_63;
{ /* Llib/control.scm 123 */
 obj_t BgL_classz00_402;
BgL_classz00_402 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1156z00_63 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_402); } 
BgL_arg1155z00_62 = 
VECTOR_REF(BgL_arg1156z00_63,((long)2)); } 
BgL_auxz00_980 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1155z00_62); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1084z00_61)))->BgL_stackz00)=((obj_t)BgL_auxz00_980),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1084z00_61)))->BgL_procz00)=((obj_t)BGl_string1639z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1084z00_61)))->BgL_msgz00)=((obj_t)BGl_string1640z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1084z00_61)))->BgL_objz00)=((obj_t)BgL_sz00_8),BUNSPEC); 
BgL_arg1154z00_60 = BgL_new1084z00_61; } 
return 
CINT(
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1154z00_60)));} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__alsa_controlz00(void)
{
{ /* Llib/control.scm 15 */
{ /* Llib/control.scm 21 */
 obj_t BgL_arg1168z00_69; obj_t BgL_arg1170z00_70;
{ /* Llib/control.scm 21 */
 obj_t BgL_v1091z00_84;
BgL_v1091z00_84 = 
create_vector(((long)3)); 
{ /* Llib/control.scm 21 */
 obj_t BgL_arg1179z00_85;
BgL_arg1179z00_85 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc1643z00zz__alsa_controlz00, BGl_proc1642z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1641z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1091z00_84,((long)0),BgL_arg1179z00_85); } 
{ /* Llib/control.scm 21 */
 obj_t BgL_arg1187z00_98;
BgL_arg1187z00_98 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1646z00zz__alsa_controlz00, BGl_proc1645z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1644z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1091z00_84,((long)1),BgL_arg1187z00_98); } 
{ /* Llib/control.scm 21 */
 obj_t BgL_arg1199z00_111;
BgL_arg1199z00_111 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc1649z00zz__alsa_controlz00, BGl_proc1648z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1647z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1091z00_84,((long)2),BgL_arg1199z00_111); } 
BgL_arg1168z00_69 = BgL_v1091z00_84; } 
{ /* Llib/control.scm 21 */
 obj_t BgL_v1092z00_124;
BgL_v1092z00_124 = 
create_vector(((long)0)); 
BgL_arg1170z00_70 = BgL_v1092z00_124; } 
BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)10)), BGl_alsazd2objectzd2zz__alsa_alsaz00, ((long)14676), BGl_proc1652z00zz__alsa_controlz00, BGl_proc1651z00zz__alsa_controlz00, BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_proc1650z00zz__alsa_controlz00, BFALSE, BgL_arg1168z00_69, BgL_arg1170z00_70); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1214z00_131; obj_t BgL_arg1215z00_132;
{ /* Llib/control.scm 26 */
 obj_t BgL_v1093z00_151;
BgL_v1093z00_151 = 
create_vector(((long)8)); 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1223z00_152;
BgL_arg1223z00_152 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc1654z00zz__alsa_controlz00, BGl_proc1653z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00); 
VECTOR_SET(BgL_v1093z00_151,((long)0),BgL_arg1223z00_152); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1230z00_162;
BgL_arg1230z00_162 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1657z00zz__alsa_controlz00, BGl_proc1656z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1655z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1093z00_151,((long)1),BgL_arg1230z00_162); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1237z00_175;
BgL_arg1237z00_175 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1660z00zz__alsa_controlz00, BGl_proc1659z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1658z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1093z00_151,((long)2),BgL_arg1237z00_175); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1252z00_188;
BgL_arg1252z00_188 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc1663z00zz__alsa_controlz00, BGl_proc1662z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1661z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1093z00_151,((long)3),BgL_arg1252z00_188); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1259z00_201;
BgL_arg1259z00_201 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc1666z00zz__alsa_controlz00, BGl_proc1665z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1664z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1093z00_151,((long)4),BgL_arg1259z00_201); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1330z00_214;
BgL_arg1330z00_214 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc1669z00zz__alsa_controlz00, BGl_proc1668z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1667z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1093z00_151,((long)5),BgL_arg1330z00_214); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1337z00_227;
BgL_arg1337z00_227 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc1672z00zz__alsa_controlz00, BGl_proc1671z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1670z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1093z00_151,((long)6),BgL_arg1337z00_227); } 
{ /* Llib/control.scm 26 */
 obj_t BgL_arg1344z00_240;
BgL_arg1344z00_240 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc1675z00zz__alsa_controlz00, BGl_proc1674z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1673z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1093z00_151,((long)7),BgL_arg1344z00_240); } 
BgL_arg1214z00_131 = BgL_v1093z00_151; } 
{ /* Llib/control.scm 26 */
 obj_t BgL_v1094z00_253;
BgL_v1094z00_253 = 
create_vector(((long)0)); 
BgL_arg1215z00_132 = BgL_v1094z00_253; } 
BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)19)), 
CNST_TABLE_REF(((long)10)), BGl_alsazd2objectzd2zz__alsa_alsaz00, ((long)44706), BGl_proc1678z00zz__alsa_controlz00, BGl_proc1677z00zz__alsa_controlz00, BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_proc1676z00zz__alsa_controlz00, BFALSE, BgL_arg1214z00_131, BgL_arg1215z00_132); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1361z00_260; obj_t BgL_arg1363z00_261;
{ /* Llib/control.scm 36 */
 obj_t BgL_v1095z00_279;
BgL_v1095z00_279 = 
create_vector(((long)7)); 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1380z00_280;
BgL_arg1380z00_280 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc1680z00zz__alsa_controlz00, BGl_proc1679z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00); 
VECTOR_SET(BgL_v1095z00_279,((long)0),BgL_arg1380z00_280); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1388z00_290;
BgL_arg1388z00_290 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1683z00zz__alsa_controlz00, BGl_proc1682z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1681z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1095z00_279,((long)1),BgL_arg1388z00_290); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1460z00_303;
BgL_arg1460z00_303 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1686z00zz__alsa_controlz00, BGl_proc1685z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1684z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1095z00_279,((long)2),BgL_arg1460z00_303); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1567z00_316;
BgL_arg1567z00_316 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc1689z00zz__alsa_controlz00, BGl_proc1688z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1687z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1095z00_279,((long)3),BgL_arg1567z00_316); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1584z00_329;
BgL_arg1584z00_329 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc1692z00zz__alsa_controlz00, BGl_proc1691z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1690z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1095z00_279,((long)4),BgL_arg1584z00_329); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1601z00_342;
BgL_arg1601z00_342 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_proc1695z00zz__alsa_controlz00, BGl_proc1694z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1693z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1095z00_279,((long)5),BgL_arg1601z00_342); } 
{ /* Llib/control.scm 36 */
 obj_t BgL_arg1617z00_355;
BgL_arg1617z00_355 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc1698z00zz__alsa_controlz00, BGl_proc1697z00zz__alsa_controlz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1696z00zz__alsa_controlz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1095z00_279,((long)6),BgL_arg1617z00_355); } 
BgL_arg1361z00_260 = BgL_v1095z00_279; } 
{ /* Llib/control.scm 36 */
 obj_t BgL_v1096z00_368;
BgL_v1096z00_368 = 
create_vector(((long)0)); 
BgL_arg1363z00_261 = BgL_v1096z00_368; } 
return ( 
BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)23)), 
CNST_TABLE_REF(((long)10)), BGl_alsazd2objectzd2zz__alsa_alsaz00, ((long)2149), BGl_proc1701z00zz__alsa_controlz00, BGl_proc1700z00zz__alsa_controlz00, BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_proc1699z00zz__alsa_controlz00, BFALSE, BgL_arg1361z00_260, BgL_arg1363z00_261), BUNSPEC) ;} } 

}



/* &<@anonymous:1378> */
obj_t BGl_z62zc3z04anonymousza31378ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_524, obj_t BgL_new1074z00_525)
{
{ /* Llib/control.scm 36 */
{ 
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_auxz00_1080;
{ 
 BgL_alsazd2sndzd2ctlz00_bglt BgL_auxz00_1081;
{ /* Llib/control.scm 36 */
 obj_t BgL_classz00_693;
BgL_classz00_693 = BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00; 
{ /* Llib/control.scm 36 */
 obj_t BgL__ortest_1112z00_694;
BgL__ortest_1112z00_694 = 
BGL_CLASS_NIL(BgL_classz00_693); 
if(
CBOOL(BgL__ortest_1112z00_694))
{ /* Llib/control.scm 36 */
BgL_auxz00_1081 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BgL__ortest_1112z00_694)
; }  else 
{ /* Llib/control.scm 36 */
BgL_auxz00_1081 = 
((BgL_alsazd2sndzd2ctlz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_693))
; } } } 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1074z00_525)))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)BgL_auxz00_1081),BUNSPEC); } 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1074z00_525)))->BgL_cardz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1074z00_525)))->BgL_idz00)=((obj_t)BGl_string1637z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1074z00_525)))->BgL_namez00)=((obj_t)BGl_string1637z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1074z00_525)))->BgL_devicez00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1074z00_525)))->BgL_subdevicez00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1074z00_525)))->BgL_subdevicescountz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_1080 = 
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_new1074z00_525); 
return 
((obj_t)BgL_auxz00_1080);} } 

}



/* &lambda1375 */
BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BGl_z62lambda1375z62zz__alsa_controlz00(obj_t BgL_envz00_526)
{
{ /* Llib/control.scm 36 */
{ /* Llib/control.scm 36 */
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_new1073z00_695;
BgL_new1073z00_695 = 
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bgl) ))); 
{ /* Llib/control.scm 36 */
 long BgL_arg1377z00_696;
BgL_arg1377z00_696 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_695), BgL_arg1377z00_696); } 
return BgL_new1073z00_695;} } 

}



/* &lambda1364 */
BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BGl_z62lambda1364z62zz__alsa_controlz00(obj_t BgL_envz00_527, obj_t BgL_ctl1066z00_528, obj_t BgL_card1067z00_529, obj_t BgL_id1068z00_530, obj_t BgL_name1069z00_531, obj_t BgL_device1070z00_532, obj_t BgL_subdevice1071z00_533, obj_t BgL_subdevicescount1072z00_534)
{
{ /* Llib/control.scm 36 */
{ /* Llib/control.scm 36 */
 int BgL_card1067z00_698; int BgL_device1070z00_701; int BgL_subdevice1071z00_702; int BgL_subdevicescount1072z00_703;
BgL_card1067z00_698 = 
CINT(BgL_card1067z00_529); 
BgL_device1070z00_701 = 
CINT(BgL_device1070z00_532); 
BgL_subdevice1071z00_702 = 
CINT(BgL_subdevice1071z00_533); 
BgL_subdevicescount1072z00_703 = 
CINT(BgL_subdevicescount1072z00_534); 
{ /* Llib/control.scm 36 */
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_new1090z00_704;
{ /* Llib/control.scm 36 */
 BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt BgL_new1089z00_705;
BgL_new1089z00_705 = 
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bgl) ))); 
{ /* Llib/control.scm 36 */
 long BgL_arg1374z00_706;
BgL_arg1374z00_706 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_705), BgL_arg1374z00_706); } 
BgL_new1090z00_704 = BgL_new1089z00_705; } 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1090z00_704))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_ctl1066z00_528)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1090z00_704))->BgL_cardz00)=((int)BgL_card1067z00_698),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1090z00_704))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1068z00_530)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1090z00_704))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1069z00_531)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1090z00_704))->BgL_devicez00)=((int)BgL_device1070z00_701),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1090z00_704))->BgL_subdevicez00)=((int)BgL_subdevice1071z00_702),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(BgL_new1090z00_704))->BgL_subdevicescountz00)=((int)BgL_subdevicescount1072z00_703),BUNSPEC); 
{ /* Llib/control.scm 36 */
 obj_t BgL_fun1365z00_707;
BgL_fun1365z00_707 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1365z00_707))(BgL_fun1365z00_707, 
((obj_t)BgL_new1090z00_704), BEOA); } 
return BgL_new1090z00_704;} } } 

}



/* &<@anonymous:1623> */
obj_t BGl_z62zc3z04anonymousza31623ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_535)
{
{ /* Llib/control.scm 36 */
return 
BINT(((long)0));} 

}



/* &lambda1622 */
obj_t BGl_z62lambda1622z62zz__alsa_controlz00(obj_t BgL_envz00_536, obj_t BgL_oz00_537, obj_t BgL_vz00_538)
{
{ /* Llib/control.scm 36 */
{ /* Llib/control.scm 36 */
 int BgL_vz00_709;
BgL_vz00_709 = 
CINT(BgL_vz00_538); 
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_537)))->BgL_subdevicescountz00)=((int)BgL_vz00_709),BUNSPEC);} } 

}



/* &lambda1621 */
obj_t BGl_z62lambda1621z62zz__alsa_controlz00(obj_t BgL_envz00_539, obj_t BgL_oz00_540)
{
{ /* Llib/control.scm 36 */
return 
BINT(
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_540)))->BgL_subdevicescountz00));} 

}



/* &<@anonymous:1608> */
obj_t BGl_z62zc3z04anonymousza31608ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_541)
{
{ /* Llib/control.scm 36 */
return 
BINT(((long)0));} 

}



/* &lambda1607 */
obj_t BGl_z62lambda1607z62zz__alsa_controlz00(obj_t BgL_envz00_542, obj_t BgL_oz00_543, obj_t BgL_vz00_544)
{
{ /* Llib/control.scm 36 */
{ /* Llib/control.scm 36 */
 int BgL_vz00_712;
BgL_vz00_712 = 
CINT(BgL_vz00_544); 
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_543)))->BgL_subdevicez00)=((int)BgL_vz00_712),BUNSPEC);} } 

}



/* &lambda1606 */
obj_t BGl_z62lambda1606z62zz__alsa_controlz00(obj_t BgL_envz00_545, obj_t BgL_oz00_546)
{
{ /* Llib/control.scm 36 */
return 
BINT(
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_546)))->BgL_subdevicez00));} 

}



/* &<@anonymous:1590> */
obj_t BGl_z62zc3z04anonymousza31590ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_547)
{
{ /* Llib/control.scm 36 */
return 
BINT(((long)0));} 

}



/* &lambda1589 */
obj_t BGl_z62lambda1589z62zz__alsa_controlz00(obj_t BgL_envz00_548, obj_t BgL_oz00_549, obj_t BgL_vz00_550)
{
{ /* Llib/control.scm 36 */
{ /* Llib/control.scm 36 */
 int BgL_vz00_715;
BgL_vz00_715 = 
CINT(BgL_vz00_550); 
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_549)))->BgL_devicez00)=((int)BgL_vz00_715),BUNSPEC);} } 

}



/* &lambda1588 */
obj_t BGl_z62lambda1588z62zz__alsa_controlz00(obj_t BgL_envz00_551, obj_t BgL_oz00_552)
{
{ /* Llib/control.scm 36 */
return 
BINT(
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_552)))->BgL_devicez00));} 

}



/* &<@anonymous:1578> */
obj_t BGl_z62zc3z04anonymousza31578ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_553)
{
{ /* Llib/control.scm 36 */
return BGl_string1637z00zz__alsa_controlz00;} 

}



/* &lambda1577 */
obj_t BGl_z62lambda1577z62zz__alsa_controlz00(obj_t BgL_envz00_554, obj_t BgL_oz00_555, obj_t BgL_vz00_556)
{
{ /* Llib/control.scm 36 */
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_555)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_556)),BUNSPEC);} 

}



/* &lambda1576 */
obj_t BGl_z62lambda1576z62zz__alsa_controlz00(obj_t BgL_envz00_557, obj_t BgL_oz00_558)
{
{ /* Llib/control.scm 36 */
return 
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_558)))->BgL_namez00);} 

}



/* &<@anonymous:1551> */
obj_t BGl_z62zc3z04anonymousza31551ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_559)
{
{ /* Llib/control.scm 36 */
return BGl_string1637z00zz__alsa_controlz00;} 

}



/* &lambda1550 */
obj_t BGl_z62lambda1550z62zz__alsa_controlz00(obj_t BgL_envz00_560, obj_t BgL_oz00_561, obj_t BgL_vz00_562)
{
{ /* Llib/control.scm 36 */
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_561)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_562)),BUNSPEC);} 

}



/* &lambda1549 */
obj_t BGl_z62lambda1549z62zz__alsa_controlz00(obj_t BgL_envz00_563, obj_t BgL_oz00_564)
{
{ /* Llib/control.scm 36 */
return 
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_564)))->BgL_idz00);} 

}



/* &<@anonymous:1422> */
obj_t BGl_z62zc3z04anonymousza31422ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_565)
{
{ /* Llib/control.scm 36 */
return 
BINT(((long)0));} 

}



/* &lambda1421 */
obj_t BGl_z62lambda1421z62zz__alsa_controlz00(obj_t BgL_envz00_566, obj_t BgL_oz00_567, obj_t BgL_vz00_568)
{
{ /* Llib/control.scm 36 */
{ /* Llib/control.scm 36 */
 int BgL_vz00_724;
BgL_vz00_724 = 
CINT(BgL_vz00_568); 
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_567)))->BgL_cardz00)=((int)BgL_vz00_724),BUNSPEC);} } 

}



/* &lambda1420 */
obj_t BGl_z62lambda1420z62zz__alsa_controlz00(obj_t BgL_envz00_569, obj_t BgL_oz00_570)
{
{ /* Llib/control.scm 36 */
return 
BINT(
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_570)))->BgL_cardz00));} 

}



/* &lambda1387 */
obj_t BGl_z62lambda1387z62zz__alsa_controlz00(obj_t BgL_envz00_571, obj_t BgL_oz00_572, obj_t BgL_vz00_573)
{
{ /* Llib/control.scm 36 */
return 
((((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_572)))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_vz00_573)),BUNSPEC);} 

}



/* &lambda1386 */
BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1386z62zz__alsa_controlz00(obj_t BgL_envz00_574, obj_t BgL_oz00_575)
{
{ /* Llib/control.scm 36 */
return 
(((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_575)))->BgL_ctlz00);} 

}



/* &<@anonymous:1222> */
obj_t BGl_z62zc3z04anonymousza31222ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_576, obj_t BgL_new1064z00_577)
{
{ /* Llib/control.scm 26 */
{ 
 BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BgL_auxz00_1179;
{ 
 BgL_alsazd2sndzd2ctlz00_bglt BgL_auxz00_1180;
{ /* Llib/control.scm 26 */
 obj_t BgL_classz00_730;
BgL_classz00_730 = BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00; 
{ /* Llib/control.scm 26 */
 obj_t BgL__ortest_1112z00_731;
BgL__ortest_1112z00_731 = 
BGL_CLASS_NIL(BgL_classz00_730); 
if(
CBOOL(BgL__ortest_1112z00_731))
{ /* Llib/control.scm 26 */
BgL_auxz00_1180 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BgL__ortest_1112z00_731)
; }  else 
{ /* Llib/control.scm 26 */
BgL_auxz00_1180 = 
((BgL_alsazd2sndzd2ctlz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_730))
; } } } 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1064z00_577)))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)BgL_auxz00_1180),BUNSPEC); } 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1064z00_577)))->BgL_cardz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1064z00_577)))->BgL_idz00)=((obj_t)BGl_string1637z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1064z00_577)))->BgL_driverz00)=((obj_t)BGl_string1637z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1064z00_577)))->BgL_namez00)=((obj_t)BGl_string1637z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1064z00_577)))->BgL_longnamez00)=((obj_t)BGl_string1637z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1064z00_577)))->BgL_mixernamez00)=((obj_t)BGl_string1637z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1064z00_577)))->BgL_componentsz00)=((obj_t)BGl_string1637z00zz__alsa_controlz00),BUNSPEC); 
BgL_auxz00_1179 = 
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_new1064z00_577); 
return 
((obj_t)BgL_auxz00_1179);} } 

}



/* &lambda1219 */
BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BGl_z62lambda1219z62zz__alsa_controlz00(obj_t BgL_envz00_578)
{
{ /* Llib/control.scm 26 */
{ /* Llib/control.scm 26 */
 BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BgL_new1063z00_732;
BgL_new1063z00_732 = 
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bgl) ))); 
{ /* Llib/control.scm 26 */
 long BgL_arg1221z00_733;
BgL_arg1221z00_733 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_732), BgL_arg1221z00_733); } 
return BgL_new1063z00_732;} } 

}



/* &lambda1216 */
BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BGl_z62lambda1216z62zz__alsa_controlz00(obj_t BgL_envz00_579, obj_t BgL_ctl1055z00_580, obj_t BgL_card1056z00_581, obj_t BgL_id1057z00_582, obj_t BgL_driver1058z00_583, obj_t BgL_name1059z00_584, obj_t BgL_longname1060z00_585, obj_t BgL_mixername1061z00_586, obj_t BgL_components1062z00_587)
{
{ /* Llib/control.scm 26 */
{ /* Llib/control.scm 26 */
 int BgL_card1056z00_735;
BgL_card1056z00_735 = 
CINT(BgL_card1056z00_581); 
{ /* Llib/control.scm 26 */
 BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BgL_new1088z00_742;
{ /* Llib/control.scm 26 */
 BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt BgL_new1087z00_743;
BgL_new1087z00_743 = 
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bgl) ))); 
{ /* Llib/control.scm 26 */
 long BgL_arg1218z00_744;
BgL_arg1218z00_744 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_743), BgL_arg1218z00_744); } 
BgL_new1088z00_742 = BgL_new1087z00_743; } 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1088z00_742))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_ctl1055z00_580)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1088z00_742))->BgL_cardz00)=((int)BgL_card1056z00_735),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1088z00_742))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1057z00_582)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1088z00_742))->BgL_driverz00)=((obj_t)
((obj_t)BgL_driver1058z00_583)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1088z00_742))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1059z00_584)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1088z00_742))->BgL_longnamez00)=((obj_t)
((obj_t)BgL_longname1060z00_585)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1088z00_742))->BgL_mixernamez00)=((obj_t)
((obj_t)BgL_mixername1061z00_586)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(BgL_new1088z00_742))->BgL_componentsz00)=((obj_t)
((obj_t)BgL_components1062z00_587)),BUNSPEC); 
{ /* Llib/control.scm 26 */
 obj_t BgL_fun1217z00_745;
BgL_fun1217z00_745 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1217z00_745))(BgL_fun1217z00_745, 
((obj_t)BgL_new1088z00_742), BEOA); } 
return BgL_new1088z00_742;} } } 

}



/* &<@anonymous:1355> */
obj_t BGl_z62zc3z04anonymousza31355ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_588)
{
{ /* Llib/control.scm 26 */
return BGl_string1637z00zz__alsa_controlz00;} 

}



/* &lambda1354 */
obj_t BGl_z62lambda1354z62zz__alsa_controlz00(obj_t BgL_envz00_589, obj_t BgL_oz00_590, obj_t BgL_vz00_591)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_590)))->BgL_componentsz00)=((obj_t)
((obj_t)BgL_vz00_591)),BUNSPEC);} 

}



/* &lambda1353 */
obj_t BGl_z62lambda1353z62zz__alsa_controlz00(obj_t BgL_envz00_592, obj_t BgL_oz00_593)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_593)))->BgL_componentsz00);} 

}



/* &<@anonymous:1343> */
obj_t BGl_z62zc3z04anonymousza31343ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_594)
{
{ /* Llib/control.scm 26 */
return BGl_string1637z00zz__alsa_controlz00;} 

}



/* &lambda1342 */
obj_t BGl_z62lambda1342z62zz__alsa_controlz00(obj_t BgL_envz00_595, obj_t BgL_oz00_596, obj_t BgL_vz00_597)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_596)))->BgL_mixernamez00)=((obj_t)
((obj_t)BgL_vz00_597)),BUNSPEC);} 

}



/* &lambda1341 */
obj_t BGl_z62lambda1341z62zz__alsa_controlz00(obj_t BgL_envz00_598, obj_t BgL_oz00_599)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_599)))->BgL_mixernamez00);} 

}



/* &<@anonymous:1336> */
obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_600)
{
{ /* Llib/control.scm 26 */
return BGl_string1637z00zz__alsa_controlz00;} 

}



/* &lambda1335 */
obj_t BGl_z62lambda1335z62zz__alsa_controlz00(obj_t BgL_envz00_601, obj_t BgL_oz00_602, obj_t BgL_vz00_603)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_602)))->BgL_longnamez00)=((obj_t)
((obj_t)BgL_vz00_603)),BUNSPEC);} 

}



/* &lambda1334 */
obj_t BGl_z62lambda1334z62zz__alsa_controlz00(obj_t BgL_envz00_604, obj_t BgL_oz00_605)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_605)))->BgL_longnamez00);} 

}



/* &<@anonymous:1291> */
obj_t BGl_z62zc3z04anonymousza31291ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_606)
{
{ /* Llib/control.scm 26 */
return BGl_string1637z00zz__alsa_controlz00;} 

}



/* &lambda1290 */
obj_t BGl_z62lambda1290z62zz__alsa_controlz00(obj_t BgL_envz00_607, obj_t BgL_oz00_608, obj_t BgL_vz00_609)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_608)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_609)),BUNSPEC);} 

}



/* &lambda1289 */
obj_t BGl_z62lambda1289z62zz__alsa_controlz00(obj_t BgL_envz00_610, obj_t BgL_oz00_611)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_611)))->BgL_namez00);} 

}



/* &<@anonymous:1258> */
obj_t BGl_z62zc3z04anonymousza31258ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_612)
{
{ /* Llib/control.scm 26 */
return BGl_string1637z00zz__alsa_controlz00;} 

}



/* &lambda1257 */
obj_t BGl_z62lambda1257z62zz__alsa_controlz00(obj_t BgL_envz00_613, obj_t BgL_oz00_614, obj_t BgL_vz00_615)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_614)))->BgL_driverz00)=((obj_t)
((obj_t)BgL_vz00_615)),BUNSPEC);} 

}



/* &lambda1256 */
obj_t BGl_z62lambda1256z62zz__alsa_controlz00(obj_t BgL_envz00_616, obj_t BgL_oz00_617)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_617)))->BgL_driverz00);} 

}



/* &<@anonymous:1251> */
obj_t BGl_z62zc3z04anonymousza31251ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_618)
{
{ /* Llib/control.scm 26 */
return BGl_string1637z00zz__alsa_controlz00;} 

}



/* &lambda1250 */
obj_t BGl_z62lambda1250z62zz__alsa_controlz00(obj_t BgL_envz00_619, obj_t BgL_oz00_620, obj_t BgL_vz00_621)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_620)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_621)),BUNSPEC);} 

}



/* &lambda1249 */
obj_t BGl_z62lambda1249z62zz__alsa_controlz00(obj_t BgL_envz00_622, obj_t BgL_oz00_623)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_623)))->BgL_idz00);} 

}



/* &<@anonymous:1236> */
obj_t BGl_z62zc3z04anonymousza31236ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_624)
{
{ /* Llib/control.scm 26 */
return 
BINT(((long)0));} 

}



/* &lambda1235 */
obj_t BGl_z62lambda1235z62zz__alsa_controlz00(obj_t BgL_envz00_625, obj_t BgL_oz00_626, obj_t BgL_vz00_627)
{
{ /* Llib/control.scm 26 */
{ /* Llib/control.scm 26 */
 int BgL_vz00_765;
BgL_vz00_765 = 
CINT(BgL_vz00_627); 
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_626)))->BgL_cardz00)=((int)BgL_vz00_765),BUNSPEC);} } 

}



/* &lambda1234 */
obj_t BGl_z62lambda1234z62zz__alsa_controlz00(obj_t BgL_envz00_628, obj_t BgL_oz00_629)
{
{ /* Llib/control.scm 26 */
return 
BINT(
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_629)))->BgL_cardz00));} 

}



/* &lambda1229 */
obj_t BGl_z62lambda1229z62zz__alsa_controlz00(obj_t BgL_envz00_630, obj_t BgL_oz00_631, obj_t BgL_vz00_632)
{
{ /* Llib/control.scm 26 */
return 
((((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_631)))->BgL_ctlz00)=((BgL_alsazd2sndzd2ctlz00_bglt)
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_vz00_632)),BUNSPEC);} 

}



/* &lambda1228 */
BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1228z62zz__alsa_controlz00(obj_t BgL_envz00_633, obj_t BgL_oz00_634)
{
{ /* Llib/control.scm 26 */
return 
(((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_634)))->BgL_ctlz00);} 

}



/* &<@anonymous:1178> */
obj_t BGl_z62zc3z04anonymousza31178ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_635, obj_t BgL_new1053z00_636)
{
{ /* Llib/control.scm 21 */
{ 
 BgL_alsazd2sndzd2ctlz00_bglt BgL_auxz00_1278;
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_new1053z00_636)))->BgL_z42builtinz42)=((snd_ctl_t *)
0L),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_new1053z00_636)))->BgL_cardz00)=((obj_t)BGl_string1637z00zz__alsa_controlz00),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_new1053z00_636)))->BgL_modez00)=((obj_t)
CNST_TABLE_REF(((long)24))),BUNSPEC); 
BgL_auxz00_1278 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_new1053z00_636); 
return 
((obj_t)BgL_auxz00_1278);} } 

}



/* &lambda1175 */
BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1175z62zz__alsa_controlz00(obj_t BgL_envz00_637)
{
{ /* Llib/control.scm 21 */
{ /* Llib/control.scm 21 */
 BgL_alsazd2sndzd2ctlz00_bglt BgL_new1052z00_771;
BgL_new1052z00_771 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlz00_bgl) ))); 
{ /* Llib/control.scm 21 */
 long BgL_arg1177z00_772;
BgL_arg1177z00_772 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_771), BgL_arg1177z00_772); } 
return BgL_new1052z00_771;} } 

}



/* &lambda1171 */
BgL_alsazd2sndzd2ctlz00_bglt BGl_z62lambda1171z62zz__alsa_controlz00(obj_t BgL_envz00_638, obj_t BgL_z42builtin1049z42_639, obj_t BgL_card1050z00_640, obj_t BgL_mode1051z00_641)
{
{ /* Llib/control.scm 21 */
{ /* Llib/control.scm 21 */
 snd_ctl_t * BgL_z42builtin1049z42_773;
BgL_z42builtin1049z42_773 = 
FOREIGN_TO_COBJ(BgL_z42builtin1049z42_639); 
{ /* Llib/control.scm 21 */
 BgL_alsazd2sndzd2ctlz00_bglt BgL_new1086z00_776;
{ /* Llib/control.scm 21 */
 BgL_alsazd2sndzd2ctlz00_bglt BgL_new1085z00_777;
BgL_new1085z00_777 = 
((BgL_alsazd2sndzd2ctlz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2ctlz00_bgl) ))); 
{ /* Llib/control.scm 21 */
 long BgL_arg1174z00_778;
BgL_arg1174z00_778 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_777), BgL_arg1174z00_778); } 
BgL_new1086z00_776 = BgL_new1085z00_777; } 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_new1086z00_776))->BgL_z42builtinz42)=((snd_ctl_t *)BgL_z42builtin1049z42_773),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_new1086z00_776))->BgL_cardz00)=((obj_t)
((obj_t)BgL_card1050z00_640)),BUNSPEC); 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(BgL_new1086z00_776))->BgL_modez00)=((obj_t)
((obj_t)BgL_mode1051z00_641)),BUNSPEC); 
{ /* Llib/control.scm 21 */
 obj_t BgL_fun1172z00_779;
BgL_fun1172z00_779 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_alsazd2sndzd2ctlz00zz__alsa_controlz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1172z00_779))(BgL_fun1172z00_779, 
((obj_t)BgL_new1086z00_776), BEOA); } 
return BgL_new1086z00_776;} } } 

}



/* &<@anonymous:1209> */
obj_t BGl_z62zc3z04anonymousza31209ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_642)
{
{ /* Llib/control.scm 21 */
return 
CNST_TABLE_REF(((long)0));} 

}



/* &lambda1208 */
obj_t BGl_z62lambda1208z62zz__alsa_controlz00(obj_t BgL_envz00_643, obj_t BgL_oz00_644, obj_t BgL_vz00_645)
{
{ /* Llib/control.scm 21 */
return 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_644)))->BgL_modez00)=((obj_t)
((obj_t)BgL_vz00_645)),BUNSPEC);} 

}



/* &lambda1207 */
obj_t BGl_z62lambda1207z62zz__alsa_controlz00(obj_t BgL_envz00_646, obj_t BgL_oz00_647)
{
{ /* Llib/control.scm 21 */
return 
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_647)))->BgL_modez00);} 

}



/* &<@anonymous:1197> */
obj_t BGl_z62zc3z04anonymousza31197ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_648)
{
{ /* Llib/control.scm 21 */
return BGl_string1702z00zz__alsa_controlz00;} 

}



/* &lambda1196 */
obj_t BGl_z62lambda1196z62zz__alsa_controlz00(obj_t BgL_envz00_649, obj_t BgL_oz00_650, obj_t BgL_vz00_651)
{
{ /* Llib/control.scm 21 */
return 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_650)))->BgL_cardz00)=((obj_t)
((obj_t)BgL_vz00_651)),BUNSPEC);} 

}



/* &lambda1195 */
obj_t BGl_z62lambda1195z62zz__alsa_controlz00(obj_t BgL_envz00_652, obj_t BgL_oz00_653)
{
{ /* Llib/control.scm 21 */
return 
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_653)))->BgL_cardz00);} 

}



/* &<@anonymous:1186> */
obj_t BGl_z62zc3z04anonymousza31186ze3ze5zz__alsa_controlz00(obj_t BgL_envz00_654)
{
{ /* Llib/control.scm 21 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1185 */
obj_t BGl_z62lambda1185z62zz__alsa_controlz00(obj_t BgL_envz00_655, obj_t BgL_oz00_656, obj_t BgL_vz00_657)
{
{ /* Llib/control.scm 21 */
{ /* Llib/control.scm 21 */
 snd_ctl_t * BgL_vz00_787;
BgL_vz00_787 = 
FOREIGN_TO_COBJ(BgL_vz00_657); 
return 
((((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_656)))->BgL_z42builtinz42)=((snd_ctl_t *)BgL_vz00_787),BUNSPEC);} } 

}



/* &lambda1184 */
obj_t BGl_z62lambda1184z62zz__alsa_controlz00(obj_t BgL_envz00_658, obj_t BgL_oz00_659)
{
{ /* Llib/control.scm 21 */
return 
void_star_to_obj(
(((BgL_alsazd2sndzd2ctlz00_bglt)COBJECT(
((BgL_alsazd2sndzd2ctlz00_bglt)BgL_oz00_659)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__alsa_controlz00(void)
{
{ /* Llib/control.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__alsa_controlz00(void)
{
{ /* Llib/control.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_alsazd2sndzd2ctlzd2cardzd2infoz00zz__alsa_controlz00, BGl_proc1703z00zz__alsa_controlz00, BGl_string1704z00zz__alsa_controlz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_alsazd2sndzd2ctlzd2rawmidizd2infoz00zz__alsa_controlz00, BGl_proc1705z00zz__alsa_controlz00, BGl_string1704z00zz__alsa_controlz00);} 

}



/* &alsa-init-alsa-snd-c1100 */
obj_t BGl_z62alsazd2initzd2alsazd2sndzd2c1100z62zz__alsa_controlz00(obj_t BgL_envz00_664, obj_t BgL_oz00_665)
{
{ /* Llib/control.scm 73 */
{ /* Llib/control.scm 74 */
 obj_t BgL_tmpz00_1330;
BgL_tmpz00_1330 = 
((obj_t)
((BgL_alsazd2sndzd2ctlzd2rawmidizd2infoz00_bglt)BgL_oz00_665)); 
bgl_snd_ctl_rawmidi_info_init(BgL_tmpz00_1330); } 
return BUNSPEC;} 

}



/* &alsa-init-alsa-snd-c1098 */
obj_t BGl_z62alsazd2initzd2alsazd2sndzd2c1098z62zz__alsa_controlz00(obj_t BgL_envz00_666, obj_t BgL_oz00_667)
{
{ /* Llib/control.scm 67 */
{ /* Llib/control.scm 68 */
 obj_t BgL_tmpz00_1334;
BgL_tmpz00_1334 = 
((obj_t)
((BgL_alsazd2sndzd2ctlzd2cardzd2infoz00_bglt)BgL_oz00_667)); 
bgl_snd_ctl_card_info_init(BgL_tmpz00_1334); } 
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__alsa_controlz00(void)
{
{ /* Llib/control.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(((long)265821328), 
BSTRING_TO_STRING(BGl_string1706z00zz__alsa_controlz00));} 

}

#ifdef __cplusplus
}
#endif
