/*===========================================================================*/
/*   (Llib/music.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -srfi alsa -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/music.scm -o objs/music.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <alsa/asoundlib.h>
#include <bglalsa.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_alsazd2sndzd2pcmz00_bgl {
   header_t header;
   obj_t widening;
   snd_pcm_t * BgL_z42builtinz42;
   obj_t BgL_namez00;
   obj_t BgL_devicez00;
   obj_t BgL_streamz00;
   obj_t BgL_modez00;
   int BgL_hwbpsz00;
   int BgL_hwsratez00;
} *BgL_alsazd2sndzd2pcmz00_bglt;

typedef struct BgL_alsamusicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
   struct BgL_alsazd2sndzd2pcmz00_bgl * BgL_pcmz00;
} *BgL_alsamusicz00_bglt;


BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__alsa_musicz00 = BUNSPEC;
extern obj_t BGl_alsazd2sndzd2pcmzd2getzd2statez00zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
static obj_t BGl_z62musicbufzd2initz12zd2alsam1112z70zz__alsa_musicz00(obj_t, obj_t);
static obj_t BGl_z62musicbufzd2resetz12zd2alsa1114z70zz__alsa_musicz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__alsa_musicz00(void);
static obj_t BGl_z62musicbufzd2writezd2alsam1116z62zz__alsa_musicz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31140ze3ze5zz__alsa_musicz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__alsa_musicz00(void);
extern obj_t BGl_alsazd2sndzd2pcmzd2dropzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__alsa_musicz00(void);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_alsamusicz00zz__alsa_musicz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_musicbufz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00;
static obj_t BGl_methodzd2initzd2zz__alsa_musicz00(void);
static obj_t BGl_z62zc3z04anonymousza31147ze3ze5zz__alsa_musicz00(obj_t);
static obj_t BGl_z62musiczd2closezd2alsamusi1108z62zz__alsa_musicz00(obj_t, obj_t);
static obj_t BGl_z62musiczd2closedzf3zd2alsamu1110z91zz__alsa_musicz00(obj_t, obj_t);
static BgL_alsamusicz00_bglt BGl_z62lambda1133z62zz__alsa_musicz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_alsamusicz00_bglt BGl_z62lambda1138z62zz__alsa_musicz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
static BgL_alsazd2sndzd2pcmz00_bglt BGl_z62lambda1145z62zz__alsa_musicz00(obj_t, obj_t);
static obj_t BGl_z62lambda1146z62zz__alsa_musicz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__alsa_musicz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern long BGl_alsazd2sndzd2pcmzd2writezd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, char *, long);
static obj_t BGl_cnstzd2initzd2zz__alsa_musicz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__alsa_musicz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__alsa_musicz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__alsa_musicz00(void);
extern obj_t BGl_alsazd2sndzd2pcmzd2openzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicstatusz00zz__multimediazd2musiczd2;
extern obj_t BGl_alsazd2sndzd2pcmzd2cleanupzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
extern obj_t BGl_alsazd2sndzd2pcmzd2closezd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
static obj_t __cnst[ 8 ] ;


BGL_IMPORT obj_t BGl_musiczd2closedzf3zd2envzf3zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string1197z00zz__alsa_musicz00, BgL_bgl_string1197za700za7za7_1219za7, "Llib/music.scm", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1198z00zz__alsa_musicz00, BgL_bgl_za762za7c3za704anonymo1220za7, BGl_z62zc3z04anonymousza31147ze3ze5zz__alsa_musicz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1199z00zz__alsa_musicz00, BgL_bgl_za762lambda1146za7621221z00, BGl_z62lambda1146z62zz__alsa_musicz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
BGL_IMPORT obj_t BGl_musiczd2closezd2envz00zz__multimediazd2musiczd2;
BGL_IMPORT obj_t BGl_musiczd2initzd2envz00zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string1204z00zz__alsa_musicz00, BgL_bgl_string1204za700za7za7_1222za7, "", 0 );
DEFINE_STRING( BGl_string1205z00zz__alsa_musicz00, BgL_bgl_string1205za700za7za7_1223za7, "default", 7 );
DEFINE_STRING( BGl_string1207z00zz__alsa_musicz00, BgL_bgl_string1207za700za7za7_1224za7, "music-close", 11 );
DEFINE_STRING( BGl_string1209z00zz__alsa_musicz00, BgL_bgl_string1209za700za7za7_1225za7, "music-closed?", 13 );
BGL_IMPORT obj_t BGl_musicbufzd2writezd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1200z00zz__alsa_musicz00, BgL_bgl_za762lambda1145za7621226z00, BGl_z62lambda1145z62zz__alsa_musicz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1201z00zz__alsa_musicz00, BgL_bgl_za762za7c3za704anonymo1227za7, BGl_z62zc3z04anonymousza31140ze3ze5zz__alsa_musicz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1202z00zz__alsa_musicz00, BgL_bgl_za762lambda1138za7621228z00, BGl_z62lambda1138z62zz__alsa_musicz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1203z00zz__alsa_musicz00, BgL_bgl_za762lambda1133za7621229z00, BGl_z62lambda1133z62zz__alsa_musicz00, 0L, BUNSPEC, 19 );
DEFINE_STRING( BGl_string1211z00zz__alsa_musicz00, BgL_bgl_string1211za700za7za7_1230za7, "musicbuf-init!", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1206z00zz__alsa_musicz00, BgL_bgl_za762musicza7d2close1231z00, BGl_z62musiczd2closezd2alsamusi1108z62zz__alsa_musicz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1213z00zz__alsa_musicz00, BgL_bgl_string1213za700za7za7_1232za7, "musicbuf-reset!", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1208z00zz__alsa_musicz00, BgL_bgl_za762musicza7d2close1233z00, BGl_z62musiczd2closedzf3zd2alsamu1110z91zz__alsa_musicz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1215z00zz__alsa_musicz00, BgL_bgl_string1215za700za7za7_1234za7, "musicbuf-write", 14 );
DEFINE_STRING( BGl_string1216z00zz__alsa_musicz00, BgL_bgl_string1216za700za7za7_1235za7, "__alsa_music", 12 );
DEFINE_STRING( BGl_string1217z00zz__alsa_musicz00, BgL_bgl_string1217za700za7za7_1236za7, "disconnected (running prepared) not-open default playback __alsa_music alsamusic pcm ", 85 );
BGL_IMPORT obj_t BGl_musicbufzd2initz12zd2envz12zz__multimediazd2musicbufzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1210z00zz__alsa_musicz00, BgL_bgl_za762musicbufza7d2in1237z00, BGl_z62musicbufzd2initz12zd2alsam1112z70zz__alsa_musicz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1212z00zz__alsa_musicz00, BgL_bgl_za762musicbufza7d2re1238z00, BGl_z62musicbufzd2resetz12zd2alsa1114z70zz__alsa_musicz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1214z00zz__alsa_musicz00, BgL_bgl_za762musicbufza7d2wr1239z00, BGl_z62musicbufzd2writezd2alsam1116z62zz__alsa_musicz00, 0L, BUNSPEC, 3 );
BGL_IMPORT obj_t BGl_musicbufzd2resetz12zd2envz12zz__multimediazd2musicbufzd2;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__alsa_musicz00) );
ADD_ROOT( (void *)(&BGl_alsamusicz00zz__alsa_musicz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__alsa_musicz00(long BgL_checksumz00_275, char * BgL_fromz00_276)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__alsa_musicz00))
{ 
BGl_requirezd2initializa7ationz75zz__alsa_musicz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__alsa_musicz00(); 
BGl_libraryzd2moduleszd2initz00zz__alsa_musicz00(); 
BGl_cnstzd2initzd2zz__alsa_musicz00(); 
BGl_importedzd2moduleszd2initz00zz__alsa_musicz00(); 
BGl_objectzd2initzd2zz__alsa_musicz00(); 
BGl_methodzd2initzd2zz__alsa_musicz00(); 
return 
BGl_toplevelzd2initzd2zz__alsa_musicz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__alsa_musicz00(void)
{
{ /* Llib/music.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__alsa_music"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__alsa_music"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__alsa_music"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__alsa_music"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__alsa_music"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__alsa_music"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__alsa_music"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__alsa_music"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__alsa_music"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__alsa_musicz00(void)
{
{ /* Llib/music.scm 15 */
{ /* Llib/music.scm 15 */
 obj_t BgL_cportz00_216;
{ /* Llib/music.scm 15 */
 obj_t BgL_stringz00_223;
BgL_stringz00_223 = BGl_string1217z00zz__alsa_musicz00; 
{ /* Llib/music.scm 15 */
 obj_t BgL_startz00_224;
BgL_startz00_224 = 
BINT(((long)0)); 
{ /* Llib/music.scm 15 */
 obj_t BgL_endz00_225;
BgL_endz00_225 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_223))); 
{ /* Llib/music.scm 15 */

BgL_cportz00_216 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_223, BgL_startz00_224, BgL_endz00_225); } } } } 
{ 
 long BgL_iz00_217;
BgL_iz00_217 = ((long)7); 
BgL_loopz00_218:
if(
(BgL_iz00_217==((long)-1)))
{ /* Llib/music.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/music.scm 15 */
{ /* Llib/music.scm 15 */
 obj_t BgL_arg1218z00_219;
{ /* Llib/music.scm 15 */

{ /* Llib/music.scm 15 */
 obj_t BgL_locationz00_221;
BgL_locationz00_221 = 
BBOOL(((bool_t)0)); 
{ /* Llib/music.scm 15 */

BgL_arg1218z00_219 = 
BGl_readz00zz__readerz00(BgL_cportz00_216, BgL_locationz00_221); } } } 
{ /* Llib/music.scm 15 */
 int BgL_tmpz00_305;
BgL_tmpz00_305 = 
(int)(BgL_iz00_217); 
CNST_TABLE_SET(BgL_tmpz00_305, BgL_arg1218z00_219); } } 
{ /* Llib/music.scm 15 */
 int BgL_auxz00_222;
BgL_auxz00_222 = 
(int)(
(BgL_iz00_217-((long)1))); 
{ 
 long BgL_iz00_310;
BgL_iz00_310 = 
(long)(BgL_auxz00_222); 
BgL_iz00_217 = BgL_iz00_310; 
goto BgL_loopz00_218;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__alsa_musicz00(void)
{
{ /* Llib/music.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__alsa_musicz00(void)
{
{ /* Llib/music.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1197z00zz__alsa_musicz00)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__alsa_musicz00(void)
{
{ /* Llib/music.scm 15 */
{ /* Llib/music.scm 22 */
 obj_t BgL_arg1130z00_21; obj_t BgL_arg1132z00_22;
{ /* Llib/music.scm 22 */
 obj_t BgL_v1105z00_52;
BgL_v1105z00_52 = 
create_vector(((long)1)); 
{ /* Llib/music.scm 22 */
 obj_t BgL_arg1141z00_53;
BgL_arg1141z00_53 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1200z00zz__alsa_musicz00, BGl_proc1199z00zz__alsa_musicz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1198z00zz__alsa_musicz00, BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00); 
VECTOR_SET(BgL_v1105z00_52,((long)0),BgL_arg1141z00_53); } 
BgL_arg1130z00_21 = BgL_v1105z00_52; } 
{ /* Llib/music.scm 22 */
 obj_t BgL_v1106z00_72;
BgL_v1106z00_72 = 
create_vector(((long)0)); 
BgL_arg1132z00_22 = BgL_v1106z00_72; } 
return ( 
BGl_alsamusicz00zz__alsa_musicz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)1)), 
CNST_TABLE_REF(((long)2)), BGl_musicbufz00zz__multimediazd2musicbufzd2, ((long)11039), BGl_proc1203z00zz__alsa_musicz00, BGl_proc1202z00zz__alsa_musicz00, BGl_musiczd2initzd2envz00zz__multimediazd2musiczd2, BGl_proc1201z00zz__alsa_musicz00, BFALSE, BgL_arg1130z00_21, BgL_arg1132z00_22), BUNSPEC) ;} } 

}



/* &<@anonymous:1140> */
obj_t BGl_z62zc3z04anonymousza31140ze3ze5zz__alsa_musicz00(obj_t BgL_envz00_156, obj_t BgL_new1095z00_157)
{
{ /* Llib/music.scm 22 */
{ 
 BgL_alsamusicz00_bglt BgL_auxz00_323;
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_onstatez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_onvolumez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_onerrorz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_oneventz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_z52mutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
{ 
 BgL_musicstatusz00_bglt BgL_auxz00_340;
{ /* Llib/music.scm 22 */
 obj_t BgL_classz00_228;
BgL_classz00_228 = BGl_musicstatusz00zz__multimediazd2musiczd2; 
{ /* Llib/music.scm 22 */
 obj_t BgL__ortest_1112z00_229;
BgL__ortest_1112z00_229 = 
BGL_CLASS_NIL(BgL_classz00_228); 
if(
CBOOL(BgL__ortest_1112z00_229))
{ /* Llib/music.scm 22 */
BgL_auxz00_340 = 
((BgL_musicstatusz00_bglt)BgL__ortest_1112z00_229)
; }  else 
{ /* Llib/music.scm 22 */
BgL_auxz00_340 = 
((BgL_musicstatusz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_228))
; } } } 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_z52statusz52)=((BgL_musicstatusz00_bglt)BgL_auxz00_340),BUNSPEC); } 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_inbufz00)=((obj_t)BGl_string1204z00zz__alsa_musicz00),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_decodersz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_mkthreadz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_timeoutz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_z52decoderz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_z52bufferz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_z52nextbufferz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_z52playlistz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_z52usecntz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_z52amutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_z52z12pidz40)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_new1095z00_157))))->BgL_z52acondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
{ 
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_390;
{ /* Llib/music.scm 22 */
 obj_t BgL_classz00_230;
BgL_classz00_230 = BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00; 
{ /* Llib/music.scm 22 */
 obj_t BgL__ortest_1112z00_231;
BgL__ortest_1112z00_231 = 
BGL_CLASS_NIL(BgL_classz00_230); 
if(
CBOOL(BgL__ortest_1112z00_231))
{ /* Llib/music.scm 22 */
BgL_auxz00_390 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BgL__ortest_1112z00_231)
; }  else 
{ /* Llib/music.scm 22 */
BgL_auxz00_390 = 
((BgL_alsazd2sndzd2pcmz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_230))
; } } } 
((((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_new1095z00_157)))->BgL_pcmz00)=((BgL_alsazd2sndzd2pcmz00_bglt)BgL_auxz00_390),BUNSPEC); } 
BgL_auxz00_323 = 
((BgL_alsamusicz00_bglt)BgL_new1095z00_157); 
return 
((obj_t)BgL_auxz00_323);} } 

}



/* &lambda1138 */
BgL_alsamusicz00_bglt BGl_z62lambda1138z62zz__alsa_musicz00(obj_t BgL_envz00_158)
{
{ /* Llib/music.scm 22 */
{ /* Llib/music.scm 22 */
 BgL_alsamusicz00_bglt BgL_new1094z00_232;
BgL_new1094z00_232 = 
((BgL_alsamusicz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsamusicz00_bgl) ))); 
{ /* Llib/music.scm 22 */
 long BgL_arg1139z00_233;
BgL_arg1139z00_233 = 
BGL_CLASS_NUM(BGl_alsamusicz00zz__alsa_musicz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1094z00_232), BgL_arg1139z00_233); } 
return BgL_new1094z00_232;} } 

}



/* &lambda1133 */
BgL_alsamusicz00_bglt BGl_z62lambda1133z62zz__alsa_musicz00(obj_t BgL_envz00_159, obj_t BgL_onstate1075z00_160, obj_t BgL_onvolume1076z00_161, obj_t BgL_onerror1077z00_162, obj_t BgL_onevent1078z00_163, obj_t BgL_z52mutex1079z52_164, obj_t BgL_z52status1080z52_165, obj_t BgL_inbuf1081z00_166, obj_t BgL_decoders1082z00_167, obj_t BgL_mkthread1083z00_168, obj_t BgL_timeout1084z00_169, obj_t BgL_z52decoder1085z52_170, obj_t BgL_z52buffer1086z52_171, obj_t BgL_z52nextbuffer1087z52_172, obj_t BgL_z52playlist1088z52_173, obj_t BgL_z52usecnt1089z52_174, obj_t BgL_z52amutex1090z52_175, obj_t BgL_z52z12pid1091z40_176, obj_t BgL_z52acondv1092z52_177, obj_t BgL_pcm1093z00_178)
{
{ /* Llib/music.scm 22 */
{ /* Llib/music.scm 22 */
 int BgL_z52usecnt1089z52_244; int BgL_z52z12pid1091z40_246;
BgL_z52usecnt1089z52_244 = 
CINT(BgL_z52usecnt1089z52_174); 
BgL_z52z12pid1091z40_246 = 
CINT(BgL_z52z12pid1091z40_176); 
{ /* Llib/music.scm 22 */
 BgL_alsamusicz00_bglt BgL_new1102z00_249;
{ /* Llib/music.scm 22 */
 BgL_alsamusicz00_bglt BgL_new1101z00_250;
BgL_new1101z00_250 = 
((BgL_alsamusicz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsamusicz00_bgl) ))); 
{ /* Llib/music.scm 22 */
 long BgL_arg1137z00_251;
BgL_arg1137z00_251 = 
BGL_CLASS_NUM(BGl_alsamusicz00zz__alsa_musicz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1101z00_250), BgL_arg1137z00_251); } 
BgL_new1102z00_249 = BgL_new1101z00_250; } 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1102z00_249)))->BgL_onstatez00)=((obj_t)
((obj_t)BgL_onstate1075z00_160)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1102z00_249)))->BgL_onvolumez00)=((obj_t)
((obj_t)BgL_onvolume1076z00_161)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1102z00_249)))->BgL_onerrorz00)=((obj_t)
((obj_t)BgL_onerror1077z00_162)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1102z00_249)))->BgL_oneventz00)=((obj_t)
((obj_t)BgL_onevent1078z00_163)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1102z00_249)))->BgL_z52mutexz52)=((obj_t)
((obj_t)BgL_z52mutex1079z52_164)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1102z00_249)))->BgL_z52statusz52)=((BgL_musicstatusz00_bglt)
((BgL_musicstatusz00_bglt)BgL_z52status1080z52_165)),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1102z00_249)))->BgL_inbufz00)=((obj_t)
((obj_t)BgL_inbuf1081z00_166)),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1102z00_249)))->BgL_decodersz00)=((obj_t)
((obj_t)BgL_decoders1082z00_167)),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1102z00_249)))->BgL_mkthreadz00)=((obj_t)
((obj_t)BgL_mkthread1083z00_168)),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1102z00_249)))->BgL_timeoutz00)=((obj_t)BgL_timeout1084z00_169),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1102z00_249)))->BgL_z52decoderz52)=((obj_t)BgL_z52decoder1085z52_170),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1102z00_249)))->BgL_z52bufferz52)=((obj_t)BgL_z52buffer1086z52_171),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1102z00_249)))->BgL_z52nextbufferz52)=((obj_t)BgL_z52nextbuffer1087z52_172),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1102z00_249)))->BgL_z52playlistz52)=((obj_t)
((obj_t)BgL_z52playlist1088z52_173)),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1102z00_249)))->BgL_z52usecntz52)=((int)BgL_z52usecnt1089z52_244),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1102z00_249)))->BgL_z52amutexz52)=((obj_t)
((obj_t)BgL_z52amutex1090z52_175)),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1102z00_249)))->BgL_z52z12pidz40)=((int)BgL_z52z12pid1091z40_246),BUNSPEC); 
((((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)BgL_new1102z00_249)))->BgL_z52acondvz52)=((obj_t)
((obj_t)BgL_z52acondv1092z52_177)),BUNSPEC); 
((((BgL_alsamusicz00_bglt)COBJECT(BgL_new1102z00_249))->BgL_pcmz00)=((BgL_alsazd2sndzd2pcmz00_bglt)
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_pcm1093z00_178)),BUNSPEC); 
{ /* Llib/music.scm 22 */
 obj_t BgL_fun1134z00_252;
BgL_fun1134z00_252 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_alsamusicz00zz__alsa_musicz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1134z00_252))(BgL_fun1134z00_252, 
((obj_t)BgL_new1102z00_249), BEOA); } 
return BgL_new1102z00_249;} } } 

}



/* &<@anonymous:1147> */
obj_t BGl_z62zc3z04anonymousza31147ze3ze5zz__alsa_musicz00(obj_t BgL_envz00_179)
{
{ /* Llib/music.scm 22 */
{ 
 BgL_alsazd2sndzd2pcmz00_bglt BgL_auxz00_467;
{ /* Llib/music.scm 23 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_new1104z00_253;
{ /* Llib/music.scm 23 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_new1103z00_254;
BgL_new1103z00_254 = 
((BgL_alsazd2sndzd2pcmz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2sndzd2pcmz00_bgl) ))); 
{ /* Llib/music.scm 23 */
 long BgL_arg1153z00_255;
BgL_arg1153z00_255 = 
BGL_CLASS_NUM(BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_254), BgL_arg1153z00_255); } 
BgL_new1104z00_253 = BgL_new1103z00_254; } 
{ 
 void * BgL_auxz00_472;
{ /* Llib/music.scm 23 */
 obj_t BgL_arg1149z00_256;
{ /* Llib/music.scm 23 */
 obj_t BgL_arg1150z00_257;
{ /* Llib/music.scm 23 */
 obj_t BgL_classz00_258;
BgL_classz00_258 = BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00; 
BgL_arg1150z00_257 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_258); } 
BgL_arg1149z00_256 = 
VECTOR_REF(BgL_arg1150z00_257,((long)0)); } 
BgL_auxz00_472 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1149z00_256)); } 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1104z00_253))->BgL_z42builtinz42)=((snd_pcm_t *)BgL_auxz00_472),BUNSPEC); } 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1104z00_253))->BgL_namez00)=((obj_t)BGl_string1204z00zz__alsa_musicz00),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1104z00_253))->BgL_devicez00)=((obj_t)BGl_string1205z00zz__alsa_musicz00),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1104z00_253))->BgL_streamz00)=((obj_t)
CNST_TABLE_REF(((long)3))),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1104z00_253))->BgL_modez00)=((obj_t)
CNST_TABLE_REF(((long)4))),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1104z00_253))->BgL_hwbpsz00)=((int)
(int)(((long)32))),BUNSPEC); 
((((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_new1104z00_253))->BgL_hwsratez00)=((int)
(int)(((long)384000))),BUNSPEC); 
{ /* Llib/music.scm 23 */
 obj_t BgL_fun1151z00_259;
BgL_fun1151z00_259 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_alsazd2sndzd2pcmz00zz__alsa_pcmz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1151z00_259))(BgL_fun1151z00_259, 
((obj_t)BgL_new1104z00_253), BEOA); } 
BgL_auxz00_467 = BgL_new1104z00_253; } 
return 
((obj_t)BgL_auxz00_467);} } 

}



/* &lambda1146 */
obj_t BGl_z62lambda1146z62zz__alsa_musicz00(obj_t BgL_envz00_180, obj_t BgL_oz00_181, obj_t BgL_vz00_182)
{
{ /* Llib/music.scm 22 */
return 
((((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_oz00_181)))->BgL_pcmz00)=((BgL_alsazd2sndzd2pcmz00_bglt)
((BgL_alsazd2sndzd2pcmz00_bglt)BgL_vz00_182)),BUNSPEC);} 

}



/* &lambda1145 */
BgL_alsazd2sndzd2pcmz00_bglt BGl_z62lambda1145z62zz__alsa_musicz00(obj_t BgL_envz00_183, obj_t BgL_oz00_184)
{
{ /* Llib/music.scm 22 */
return 
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_oz00_184)))->BgL_pcmz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__alsa_musicz00(void)
{
{ /* Llib/music.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__alsa_musicz00(void)
{
{ /* Llib/music.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2closezd2envz00zz__multimediazd2musiczd2, BGl_alsamusicz00zz__alsa_musicz00, BGl_proc1206z00zz__alsa_musicz00, BGl_string1207z00zz__alsa_musicz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2closedzf3zd2envzf3zz__multimediazd2musiczd2, BGl_alsamusicz00zz__alsa_musicz00, BGl_proc1208z00zz__alsa_musicz00, BGl_string1209z00zz__alsa_musicz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicbufzd2initz12zd2envz12zz__multimediazd2musicbufzd2, BGl_alsamusicz00zz__alsa_musicz00, BGl_proc1210z00zz__alsa_musicz00, BGl_string1211z00zz__alsa_musicz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicbufzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_alsamusicz00zz__alsa_musicz00, BGl_proc1212z00zz__alsa_musicz00, BGl_string1213z00zz__alsa_musicz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicbufzd2writezd2envz00zz__multimediazd2musicbufzd2, BGl_alsamusicz00zz__alsa_musicz00, BGl_proc1214z00zz__alsa_musicz00, BGl_string1215z00zz__alsa_musicz00);} 

}



/* &musicbuf-write-alsam1116 */
obj_t BGl_z62musicbufzd2writezd2alsam1116z62zz__alsa_musicz00(obj_t BgL_envz00_192, obj_t BgL_oz00_193, obj_t BgL_outbufz00_194, obj_t BgL_siza7eza7_195)
{
{ /* Llib/music.scm 64 */
{ /* Llib/music.scm 66 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1187z00_264;
BgL_arg1187z00_264 = 
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_oz00_193)))->BgL_pcmz00); 
return 
BINT(
BGl_alsazd2sndzd2pcmzd2writezd2zz__alsa_pcmz00(BgL_arg1187z00_264, 
BSTRING_TO_STRING(BgL_outbufz00_194), 
(long)CINT(BgL_siza7eza7_195)));} } 

}



/* &musicbuf-reset!-alsa1114 */
obj_t BGl_z62musicbufzd2resetz12zd2alsa1114z70zz__alsa_musicz00(obj_t BgL_envz00_196, obj_t BgL_oz00_197)
{
{ /* Llib/music.scm 53 */
{ /* Llib/music.scm 55 */
 obj_t BgL_pcmzd2statezd2_266;
BgL_pcmzd2statezd2_266 = 
BGl_alsazd2sndzd2pcmzd2getzd2statez00zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_oz00_197)))->BgL_pcmz00)); 
if(
(BgL_pcmzd2statezd2_266==
CNST_TABLE_REF(((long)5))))
{ /* Llib/music.scm 56 */
return BFALSE;}  else 
{ /* Llib/music.scm 56 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_pcmzd2statezd2_266, 
CNST_TABLE_REF(((long)6)))))
{ /* Llib/music.scm 57 */
BGl_alsazd2sndzd2pcmzd2dropzd2zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_oz00_197)))->BgL_pcmz00)); }  else 
{ /* Llib/music.scm 57 */BFALSE; } 
return 
BGl_alsazd2sndzd2pcmzd2cleanupzd2zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_oz00_197)))->BgL_pcmz00));} } } 

}



/* &musicbuf-init!-alsam1112 */
obj_t BGl_z62musicbufzd2initz12zd2alsam1112z70zz__alsa_musicz00(obj_t BgL_envz00_198, obj_t BgL_oz00_199)
{
{ /* Llib/music.scm 45 */
{ /* Llib/music.scm 47 */
 bool_t BgL_test1248z00_527;
{ /* Llib/music.scm 47 */
 obj_t BgL_arg1178z00_268;
BgL_arg1178z00_268 = 
BGl_alsazd2sndzd2pcmzd2getzd2statez00zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_oz00_199)))->BgL_pcmz00)); 
BgL_test1248z00_527 = 
(BgL_arg1178z00_268==
CNST_TABLE_REF(((long)5))); } 
if(BgL_test1248z00_527)
{ /* Llib/music.scm 47 */
return 
BGl_alsazd2sndzd2pcmzd2openzd2zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_oz00_199)))->BgL_pcmz00));}  else 
{ /* Llib/music.scm 47 */
return BFALSE;} } } 

}



/* &music-closed?-alsamu1110 */
obj_t BGl_z62musiczd2closedzf3zd2alsamu1110z91zz__alsa_musicz00(obj_t BgL_envz00_200, obj_t BgL_oz00_201)
{
{ /* Llib/music.scm 37 */
{ /* Llib/music.scm 38 */
 bool_t BgL_tmpz00_536;
{ /* Llib/music.scm 39 */
 obj_t BgL_mutex1167z00_270;
BgL_mutex1167z00_270 = 
(((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_oz00_201))))->BgL_z52amutexz52); 
{ /* Llib/music.scm 39 */
 obj_t BgL_top1250z00_541;
BgL_top1250z00_541 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1167z00_270); 
BGL_EXITD_PUSH_PROTECT(BgL_top1250z00_541, BgL_mutex1167z00_270); BUNSPEC; 
{ /* Llib/music.scm 39 */
 bool_t BgL_tmp1249z00_540;
{ /* Llib/music.scm 40 */
 obj_t BgL_arg1168z00_271;
BgL_arg1168z00_271 = 
BGl_alsazd2sndzd2pcmzd2getzd2statez00zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_oz00_201)))->BgL_pcmz00)); 
BgL_tmp1249z00_540 = 
(BgL_arg1168z00_271==
CNST_TABLE_REF(((long)7))); } 
BGL_EXITD_POP_PROTECT(BgL_top1250z00_541); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1167z00_270); 
BgL_tmpz00_536 = BgL_tmp1249z00_540; } } } 
return 
BBOOL(BgL_tmpz00_536);} } 

}



/* &music-close-alsamusi1108 */
obj_t BGl_z62musiczd2closezd2alsamusi1108z62zz__alsa_musicz00(obj_t BgL_envz00_202, obj_t BgL_oz00_203)
{
{ /* Llib/music.scm 28 */
{ /* Llib/music.scm 30 */
 obj_t BgL_mutex1154z00_273;
BgL_mutex1154z00_273 = 
(((BgL_musicbufz00_bglt)COBJECT(
((BgL_musicbufz00_bglt)
((BgL_alsamusicz00_bglt)BgL_oz00_203))))->BgL_z52amutexz52); 
{ /* Llib/music.scm 30 */
 obj_t BgL_top1252z00_557;
BgL_top1252z00_557 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1154z00_273); 
BGL_EXITD_PUSH_PROTECT(BgL_top1252z00_557, BgL_mutex1154z00_273); BUNSPEC; 
{ /* Llib/music.scm 30 */
 obj_t BgL_tmp1251z00_556;
{ /* Llib/music.scm 31 */
 bool_t BgL_test1253z00_561;
{ /* Llib/music.scm 31 */
 obj_t BgL_arg1165z00_274;
BgL_arg1165z00_274 = 
BGl_alsazd2sndzd2pcmzd2getzd2statez00zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_oz00_203)))->BgL_pcmz00)); 
BgL_test1253z00_561 = 
(BgL_arg1165z00_274==
CNST_TABLE_REF(((long)7))); } 
if(BgL_test1253z00_561)
{ /* Llib/music.scm 31 */
BgL_tmp1251z00_556 = BFALSE; }  else 
{ /* Llib/music.scm 31 */
BgL_tmp1251z00_556 = 
BGl_alsazd2sndzd2pcmzd2closezd2zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_oz00_203)))->BgL_pcmz00)); } } 
BGL_EXITD_POP_PROTECT(BgL_top1252z00_557); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1154z00_273); 
return BgL_tmp1251z00_556;} } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__alsa_musicz00(void)
{
{ /* Llib/music.scm 15 */
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(((long)265821328), 
BSTRING_TO_STRING(BGl_string1216z00zz__alsa_musicz00)); 
return 
BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(((long)493378103), 
BSTRING_TO_STRING(BGl_string1216z00zz__alsa_musicz00));} 

}

#ifdef __cplusplus
}
#endif
