/*===========================================================================*/
/*   (Llib/flac_alsadec.scm)                                                 */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -srfi flac -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/flac_alsadec.scm -o objs/flac_alsadec.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <FLAC/stream_decoder.h>
#include <bglflac.h>
#include <alsa/asoundlib.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_alsamusicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
   struct BgL_alsazd2sndzd2pcmz00_bgl * BgL_pcmz00;
} *BgL_alsamusicz00_bglt;

typedef struct BgL_alsazd2sndzd2pcmz00_bgl {
   header_t header;
   obj_t widening;
   snd_pcm_t * BgL_z42builtinz42;
   obj_t BgL_namez00;
   obj_t BgL_devicez00;
   obj_t BgL_streamz00;
   obj_t BgL_modez00;
   int BgL_hwbpsz00;
   int BgL_hwsratez00;
} *BgL_alsazd2sndzd2pcmz00_bglt;

typedef struct BgL_flaczd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
} *BgL_flaczd2decoderzd2_bglt;

typedef struct BgL_flacdecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacdecz00_bglt;

typedef struct BgL_flacmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flacmusicdecoderz00_bglt;

typedef struct BgL_flacalsadecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacalsadecz00_bglt;

typedef struct BgL_flaczd2alsadecoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flaczd2alsadecoderzd2_bglt;


static obj_t BGl_requirezd2initializa7ationz75zz__flac_alsadecz00 = BUNSPEC;
static obj_t BGl_z62musicdecoderzd2decodezd21155z62zz__flac_alsadecz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__flac_alsadecz00(void);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
static obj_t BGl_flacalsadecz00zz__flac_alsadecz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__flac_alsadecz00(void);
static obj_t BGl_objectzd2initzd2zz__flac_alsadecz00(void);
static obj_t BGl_z62zc3z04anonymousza31216ze3ze5zz__flac_alsadecz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2readzd2fl1159zb0zz__flac_alsadecz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__flac_alsadecz00(void);
static obj_t BGl_z62zc3z04anonymousza31181ze3ze5zz__flac_alsadecz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2metadat1157z62zz__flac_alsadecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62musicdecoderzd2initzd2fl1153z62zz__flac_alsadecz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2reopenzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__flac_alsadecz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
static BgL_flacalsadecz00_bglt BGl_z62lambda1176z62zz__flac_alsadecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_flacalsadecz00_bglt BGl_z62lambda1179z62zz__flac_alsadecz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__flac_alsadecz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__flac_alsadecz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__flac_alsadecz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__flac_alsadecz00(void);
static BgL_flaczd2alsadecoderzd2_bglt BGl_z62lambda1191z62zz__flac_alsadecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_flaczd2alsadecoderzd2_bglt BGl_z62lambda1195z62zz__flac_alsadecz00(obj_t);
BGL_IMPORT long BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t bgl_custom_nil(void);
static obj_t BGl_z62zc3z04anonymousza31198ze3ze5zz__flac_alsadecz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00 = BUNSPEC;
BGL_IMPORT long BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
extern obj_t BGl_flacdecz00zz__flac_decoderz00;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2cleanupzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
extern obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
extern obj_t BGl_flacmusicdecoderz00zz__flac_decoderz00;
static obj_t __cnst[ 22 ] ;


BGL_IMPORT obj_t BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00;
DEFINE_STRING( BGl_string1737z00zz__flac_alsadecz00, BgL_bgl_string1737za700za7za7_1756za7, "Llib/flac_alsadec.scm", 21 );
DEFINE_STRING( BGl_string1744z00zz__flac_alsadecz00, BgL_bgl_string1744za700za7za7_1757za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1738z00zz__flac_alsadecz00, BgL_bgl_za762za7c3za704anonymo1758za7, BGl_z62zc3z04anonymousza31181ze3ze5zz__flac_alsadecz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1739z00zz__flac_alsadecz00, BgL_bgl_za762lambda1179za7621759z00, BGl_z62lambda1179z62zz__flac_alsadecz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1746z00zz__flac_alsadecz00, BgL_bgl_string1746za700za7za7_1760za7, "musicdecoder-init", 17 );
DEFINE_STRING( BGl_string1748z00zz__flac_alsadecz00, BgL_bgl_string1748za700za7za7_1761za7, "musicdecoder-decode", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1740z00zz__flac_alsadecz00, BgL_bgl_za762lambda1176za7621762z00, BGl_z62lambda1176z62zz__flac_alsadecz00, 0L, BUNSPEC, 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1741z00zz__flac_alsadecz00, BgL_bgl_za762za7c3za704anonymo1763za7, BGl_z62zc3z04anonymousza31198ze3ze5zz__flac_alsadecz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1742z00zz__flac_alsadecz00, BgL_bgl_za762lambda1195za7621764z00, BGl_z62lambda1195z62zz__flac_alsadecz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1743z00zz__flac_alsadecz00, BgL_bgl_za762lambda1191za7621765z00, BGl_z62lambda1191z62zz__flac_alsadecz00, 0L, BUNSPEC, 12 );
DEFINE_STRING( BGl_string1750z00zz__flac_alsadecz00, BgL_bgl_string1750za700za7za7_1766za7, "flac-decoder-metadata", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1745z00zz__flac_alsadecz00, BgL_bgl_za762musicdecoderza71767z00, BGl_z62musicdecoderzd2initzd2fl1153z62zz__flac_alsadecz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1752z00zz__flac_alsadecz00, BgL_bgl_string1752za700za7za7_1768za7, "flac-decoder-read", 17 );
DEFINE_STRING( BGl_string1753z00zz__flac_alsadecz00, BgL_bgl_string1753za700za7za7_1769za7, "__flac_alsadec", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1747z00zz__flac_alsadecz00, BgL_bgl_za762musicdecoderza71770z00, BGl_z62musicdecoderzd2decodezd21155z62zz__flac_alsadecz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1754z00zz__flac_alsadecz00, BgL_bgl_string1754za700za7za7_1771za7, "stop ended :start-threshold :avail-min :rate-resample :access rw-interleaved :format :channels :rate-near :buffer-time-near :buffer-size-near :period-size-near s32 s24-3le s16 buffering play pause flac-alsadecoder __flac_alsadec flacalsadec ", 241 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1749z00zz__flac_alsadecz00, BgL_bgl_za762flacza7d2decode1772z00, BGl_z62flaczd2decoderzd2metadat1157z62zz__flac_alsadecz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1751z00zz__flac_alsadecz00, BgL_bgl_za762flacza7d2decode1773z00, BGl_z62flaczd2decoderzd2readzd2fl1159zb0zz__flac_alsadecz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00;
extern obj_t BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__flac_alsadecz00) );
ADD_ROOT( (void *)(&BGl_flacalsadecz00zz__flac_alsadecz00) );
ADD_ROOT( (void *)(&BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__flac_alsadecz00(long BgL_checksumz00_642, char * BgL_fromz00_643)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__flac_alsadecz00))
{ 
BGl_requirezd2initializa7ationz75zz__flac_alsadecz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__flac_alsadecz00(); 
BGl_libraryzd2moduleszd2initz00zz__flac_alsadecz00(); 
BGl_cnstzd2initzd2zz__flac_alsadecz00(); 
BGl_importedzd2moduleszd2initz00zz__flac_alsadecz00(); 
BGl_objectzd2initzd2zz__flac_alsadecz00(); 
BGl_methodzd2initzd2zz__flac_alsadecz00(); 
return 
BGl_toplevelzd2initzd2zz__flac_alsadecz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__customz00(((long)0), "__flac_alsadec"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_cportz00_487;
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_stringz00_494;
BgL_stringz00_494 = BGl_string1754z00zz__flac_alsadecz00; 
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_startz00_495;
BgL_startz00_495 = 
BINT(((long)0)); 
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_endz00_496;
BgL_endz00_496 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_494))); 
{ /* Llib/flac_alsadec.scm 15 */

BgL_cportz00_487 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_494, BgL_startz00_495, BgL_endz00_496); } } } } 
{ 
 long BgL_iz00_488;
BgL_iz00_488 = ((long)21); 
BgL_loopz00_489:
if(
(BgL_iz00_488==((long)-1)))
{ /* Llib/flac_alsadec.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/flac_alsadec.scm 15 */
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_arg1755z00_490;
{ /* Llib/flac_alsadec.scm 15 */

{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_locationz00_492;
BgL_locationz00_492 = 
BBOOL(((bool_t)0)); 
{ /* Llib/flac_alsadec.scm 15 */

BgL_arg1755z00_490 = 
BGl_readz00zz__readerz00(BgL_cportz00_487, BgL_locationz00_492); } } } 
{ /* Llib/flac_alsadec.scm 15 */
 int BgL_tmpz00_677;
BgL_tmpz00_677 = 
(int)(BgL_iz00_488); 
CNST_TABLE_SET(BgL_tmpz00_677, BgL_arg1755z00_490); } } 
{ /* Llib/flac_alsadec.scm 15 */
 int BgL_auxz00_493;
BgL_auxz00_493 = 
(int)(
(BgL_iz00_488-((long)1))); 
{ 
 long BgL_iz00_682;
BgL_iz00_682 = 
(long)(BgL_auxz00_493); 
BgL_iz00_488 = BgL_iz00_682; 
goto BgL_loopz00_489;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(((long)0), 
BSTRING_TO_STRING(BGl_string1737z00zz__flac_alsadecz00)); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1737z00zz__flac_alsadecz00)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
{ /* Llib/flac_alsadec.scm 26 */
 obj_t BgL_arg1174z00_25; obj_t BgL_arg1175z00_26;
{ /* Llib/flac_alsadec.scm 26 */
 obj_t BgL_v1148z00_53;
BgL_v1148z00_53 = 
create_vector(((long)0)); 
BgL_arg1174z00_25 = BgL_v1148z00_53; } 
{ /* Llib/flac_alsadec.scm 26 */
 obj_t BgL_v1149z00_54;
BgL_v1149z00_54 = 
create_vector(((long)0)); 
BgL_arg1175z00_26 = BgL_v1149z00_54; } 
BGl_flacalsadecz00zz__flac_alsadecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_flacdecz00zz__flac_decoderz00, ((long)31914), BGl_proc1740z00zz__flac_alsadecz00, BGl_proc1739z00zz__flac_alsadecz00, BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1738z00zz__flac_alsadecz00, BFALSE, BgL_arg1174z00_25, BgL_arg1175z00_26); } 
{ /* Llib/flac_alsadec.scm 30 */
 obj_t BgL_arg1189z00_61; obj_t BgL_arg1190z00_62;
{ /* Llib/flac_alsadec.scm 30 */
 obj_t BgL_v1150z00_85;
BgL_v1150z00_85 = 
create_vector(((long)0)); 
BgL_arg1189z00_61 = BgL_v1150z00_85; } 
{ /* Llib/flac_alsadec.scm 30 */
 obj_t BgL_v1151z00_86;
BgL_v1151z00_86 = 
create_vector(((long)0)); 
BgL_arg1190z00_62 = BgL_v1151z00_86; } 
return ( 
BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)1)), BGl_flacmusicdecoderz00zz__flac_decoderz00, ((long)10516), BGl_proc1743z00zz__flac_alsadecz00, BGl_proc1742z00zz__flac_alsadecz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1741z00zz__flac_alsadecz00, BFALSE, BgL_arg1189z00_61, BgL_arg1190z00_62), BUNSPEC) ;} } 

}



/* &<@anonymous:1198> */
obj_t BGl_z62zc3z04anonymousza31198ze3ze5zz__flac_alsadecz00(obj_t BgL_envz00_410, obj_t BgL_new1118z00_411)
{
{ /* Llib/flac_alsadec.scm 30 */
{ 
 BgL_flaczd2alsadecoderzd2_bglt BgL_auxz00_699;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_411))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_411))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_411))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_411))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_411))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_411))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_411))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_411))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_411))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_411))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_411))))->BgL_z52flacz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_411))))->BgL_z52inseekz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_699 = 
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_411); 
return 
((obj_t)BgL_auxz00_699);} } 

}



/* &lambda1195 */
BgL_flaczd2alsadecoderzd2_bglt BGl_z62lambda1195z62zz__flac_alsadecz00(obj_t BgL_envz00_412)
{
{ /* Llib/flac_alsadec.scm 30 */
{ /* Llib/flac_alsadec.scm 30 */
 BgL_flaczd2alsadecoderzd2_bglt BgL_new1117z00_499;
BgL_new1117z00_499 = 
((BgL_flaczd2alsadecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2alsadecoderzd2_bgl) ))); 
{ /* Llib/flac_alsadec.scm 30 */
 long BgL_arg1197z00_500;
BgL_arg1197z00_500 = 
BGL_CLASS_NUM(BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_499), BgL_arg1197z00_500); } 
return BgL_new1117z00_499;} } 

}



/* &lambda1191 */
BgL_flaczd2alsadecoderzd2_bglt BGl_z62lambda1191z62zz__flac_alsadecz00(obj_t BgL_envz00_413, obj_t BgL_mimetypes1105z00_414, obj_t BgL_bufferzd2timezd2near1106z00_415, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1107z75_416, obj_t BgL_periodzd2siza7ezd2nearzd2rat1108z75_417, obj_t BgL_z52z12dpause1109z40_418, obj_t BgL_z52z12dabort1110z40_419, obj_t BgL_z52z12stop1111z40_420, obj_t BgL_z52dmutex1112z52_421, obj_t BgL_z52dcondv1113z52_422, obj_t BgL_z52doutcondv1114z52_423, obj_t BgL_z52flac1115z52_424, obj_t BgL_z52inseek1116z52_425)
{
{ /* Llib/flac_alsadec.scm 30 */
{ /* Llib/flac_alsadec.scm 30 */
 int BgL_bufferzd2timezd2near1106z00_502; int BgL_bufferzd2siza7ezd2nearzd2rat1107z75_503; int BgL_periodzd2siza7ezd2nearzd2rat1108z75_504; bool_t BgL_z52z12dpause1109z40_505; bool_t BgL_z52z12dabort1110z40_506; bool_t BgL_z52z12stop1111z40_507;
BgL_bufferzd2timezd2near1106z00_502 = 
CINT(BgL_bufferzd2timezd2near1106z00_415); 
BgL_bufferzd2siza7ezd2nearzd2rat1107z75_503 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1107z75_416); 
BgL_periodzd2siza7ezd2nearzd2rat1108z75_504 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1108z75_417); 
BgL_z52z12dpause1109z40_505 = 
CBOOL(BgL_z52z12dpause1109z40_418); 
BgL_z52z12dabort1110z40_506 = 
CBOOL(BgL_z52z12dabort1110z40_419); 
BgL_z52z12stop1111z40_507 = 
CBOOL(BgL_z52z12stop1111z40_420); 
{ /* Llib/flac_alsadec.scm 30 */
 BgL_flaczd2alsadecoderzd2_bglt BgL_new1147z00_511;
{ /* Llib/flac_alsadec.scm 30 */
 BgL_flaczd2alsadecoderzd2_bglt BgL_new1146z00_512;
BgL_new1146z00_512 = 
((BgL_flaczd2alsadecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2alsadecoderzd2_bgl) ))); 
{ /* Llib/flac_alsadec.scm 30 */
 long BgL_arg1194z00_513;
BgL_arg1194z00_513 = 
BGL_CLASS_NUM(BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1146z00_512), BgL_arg1194z00_513); } 
BgL_new1147z00_511 = BgL_new1146z00_512; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_511)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1105z00_414)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_511)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1106z00_502),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_511)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1107z75_503),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_511)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1108z75_504),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_511)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1109z40_505),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_511)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1110z40_506),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_511)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1111z40_507),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_511)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1112z52_421)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_511)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1113z52_422)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_511)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1114z52_423)),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1147z00_511)))->BgL_z52flacz52)=((obj_t)BgL_z52flac1115z52_424),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1147z00_511)))->BgL_z52inseekz52)=((obj_t)BgL_z52inseek1116z52_425),BUNSPEC); 
{ /* Llib/flac_alsadec.scm 30 */
 obj_t BgL_fun1192z00_514;
BgL_fun1192z00_514 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1192z00_514))(BgL_fun1192z00_514, 
((obj_t)BgL_new1147z00_511), BEOA); } 
return BgL_new1147z00_511;} } } 

}



/* &<@anonymous:1181> */
obj_t BGl_z62zc3z04anonymousza31181ze3ze5zz__flac_alsadecz00(obj_t BgL_envz00_426, obj_t BgL_new1103z00_427)
{
{ /* Llib/flac_alsadec.scm 26 */
{ 
 BgL_flacalsadecz00_bglt BgL_auxz00_792;
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)
0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z52flacbufz52)=((obj_t)
bgl_custom_nil()),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_outbufz00)=((obj_t)BGl_string1744z00zz__flac_alsadecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z52volumez52)=((double)((double)0.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z52bchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z52rchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z52musicz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z52bufferz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z52decoderz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z52ratez52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z52ratezd2maxz80)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z52ratezd2minz80)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427))))->BgL_z52lastzd2percentagez80)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_792 = 
((BgL_flacalsadecz00_bglt)BgL_new1103z00_427); 
return 
((obj_t)BgL_auxz00_792);} } 

}



/* &lambda1179 */
BgL_flacalsadecz00_bglt BGl_z62lambda1179z62zz__flac_alsadecz00(obj_t BgL_envz00_428)
{
{ /* Llib/flac_alsadec.scm 26 */
{ /* Llib/flac_alsadec.scm 26 */
 BgL_flacalsadecz00_bglt BgL_new1102z00_516;
BgL_new1102z00_516 = 
((BgL_flacalsadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacalsadecz00_bgl) ))); 
{ /* Llib/flac_alsadec.scm 26 */
 long BgL_arg1180z00_517;
BgL_arg1180z00_517 = 
BGL_CLASS_NUM(BGl_flacalsadecz00zz__flac_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_516), BgL_arg1180z00_517); } 
return BgL_new1102z00_516;} } 

}



/* &lambda1176 */
BgL_flacalsadecz00_bglt BGl_z62lambda1176z62zz__flac_alsadecz00(obj_t BgL_envz00_429, obj_t BgL_z42builtin1086z42_430, obj_t BgL_z52flacbuf1087z52_431, obj_t BgL_outbuf1088z00_432, obj_t BgL_z52eof1089z52_433, obj_t BgL_z52sample1090z52_434, obj_t BgL_z52volume1091z52_435, obj_t BgL_md5check1092z00_436, obj_t BgL_z52bchecksum1093z52_437, obj_t BgL_z52rchecksum1094z52_438, obj_t BgL_z52music1095z52_439, obj_t BgL_z52buffer1096z52_440, obj_t BgL_z52decoder1097z52_441, obj_t BgL_z52rate1098z52_442, obj_t BgL_z52ratezd2max1099z80_443, obj_t BgL_z52ratezd2min1100z80_444, obj_t BgL_z52lastzd2percentage1101z80_445)
{
{ /* Llib/flac_alsadec.scm 26 */
{ /* Llib/flac_alsadec.scm 26 */
 FLAC__StreamDecoder * BgL_z42builtin1086z42_518; bool_t BgL_z52eof1089z52_521; long BgL_z52sample1090z52_522; double BgL_z52volume1091z52_523; bool_t BgL_md5check1092z00_524; int BgL_z52bchecksum1093z52_525; int BgL_z52rchecksum1094z52_526; int BgL_z52rate1098z52_527; int BgL_z52ratezd2max1099z80_528; int BgL_z52ratezd2min1100z80_529; int BgL_z52lastzd2percentage1101z80_530;
BgL_z42builtin1086z42_518 = 
FOREIGN_TO_COBJ(BgL_z42builtin1086z42_430); 
BgL_z52eof1089z52_521 = 
CBOOL(BgL_z52eof1089z52_433); 
BgL_z52sample1090z52_522 = 
(long)CINT(BgL_z52sample1090z52_434); 
BgL_z52volume1091z52_523 = 
REAL_TO_DOUBLE(BgL_z52volume1091z52_435); 
BgL_md5check1092z00_524 = 
CBOOL(BgL_md5check1092z00_436); 
BgL_z52bchecksum1093z52_525 = 
CINT(BgL_z52bchecksum1093z52_437); 
BgL_z52rchecksum1094z52_526 = 
CINT(BgL_z52rchecksum1094z52_438); 
BgL_z52rate1098z52_527 = 
CINT(BgL_z52rate1098z52_442); 
BgL_z52ratezd2max1099z80_528 = 
CINT(BgL_z52ratezd2max1099z80_443); 
BgL_z52ratezd2min1100z80_529 = 
CINT(BgL_z52ratezd2min1100z80_444); 
BgL_z52lastzd2percentage1101z80_530 = 
CINT(BgL_z52lastzd2percentage1101z80_445); 
{ /* Llib/flac_alsadec.scm 26 */
 BgL_flacalsadecz00_bglt BgL_new1145z00_531;
{ /* Llib/flac_alsadec.scm 26 */
 BgL_flacalsadecz00_bglt BgL_new1144z00_532;
BgL_new1144z00_532 = 
((BgL_flacalsadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacalsadecz00_bgl) ))); 
{ /* Llib/flac_alsadec.scm 26 */
 long BgL_arg1178z00_533;
BgL_arg1178z00_533 = 
BGL_CLASS_NUM(BGl_flacalsadecz00zz__flac_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1144z00_532), BgL_arg1178z00_533); } 
BgL_new1145z00_531 = BgL_new1144z00_532; } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_531)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_z42builtin1086z42_518),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_531)))->BgL_z52flacbufz52)=((obj_t)
((obj_t)BgL_z52flacbuf1087z52_431)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_531)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1088z00_432)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_531)))->BgL_z52eofz52)=((bool_t)BgL_z52eof1089z52_521),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_531)))->BgL_z52samplez52)=((long)BgL_z52sample1090z52_522),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_531)))->BgL_z52volumez52)=((double)BgL_z52volume1091z52_523),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_531)))->BgL_md5checkz00)=((bool_t)BgL_md5check1092z00_524),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_531)))->BgL_z52bchecksumz52)=((int)BgL_z52bchecksum1093z52_525),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_531)))->BgL_z52rchecksumz52)=((int)BgL_z52rchecksum1094z52_526),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_531)))->BgL_z52musicz52)=((obj_t)BgL_z52music1095z52_439),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_531)))->BgL_z52bufferz52)=((obj_t)BgL_z52buffer1096z52_440),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_531)))->BgL_z52decoderz52)=((obj_t)BgL_z52decoder1097z52_441),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_531)))->BgL_z52ratez52)=((int)BgL_z52rate1098z52_527),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_531)))->BgL_z52ratezd2maxz80)=((int)BgL_z52ratezd2max1099z80_528),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_531)))->BgL_z52ratezd2minz80)=((int)BgL_z52ratezd2min1100z80_529),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_531)))->BgL_z52lastzd2percentagez80)=((int)BgL_z52lastzd2percentage1101z80_530),BUNSPEC); 
{ /* Llib/flac_alsadec.scm 26 */
 obj_t BgL_fun1177z00_534;
BgL_fun1177z00_534 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacalsadecz00zz__flac_alsadecz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1177z00_534))(BgL_fun1177z00_534, 
((obj_t)BgL_new1145z00_531), BEOA); } 
return BgL_new1145z00_531;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00, BGl_proc1745z00zz__flac_alsadecz00, BGl_string1746z00zz__flac_alsadecz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00, BGl_proc1747z00zz__flac_alsadecz00, BGl_string1748z00zz__flac_alsadecz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BGl_flacalsadecz00zz__flac_alsadecz00, BGl_proc1749z00zz__flac_alsadecz00, BGl_string1750z00zz__flac_alsadecz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BGl_flacalsadecz00zz__flac_alsadecz00, BGl_proc1751z00zz__flac_alsadecz00, BGl_string1752z00zz__flac_alsadecz00);} 

}



/* &flac-decoder-read-fl1159 */
obj_t BGl_z62flaczd2decoderzd2readzd2fl1159zb0zz__flac_alsadecz00(obj_t BgL_envz00_455, obj_t BgL_oz00_456, obj_t BgL_siza7eza7_457)
{
{ /* Llib/flac_alsadec.scm 97 */
{ /* Llib/flac_alsadec.scm 98 */
 long BgL_siza7eza7_536;
BgL_siza7eza7_536 = 
(long)CINT(BgL_siza7eza7_457); 
{ /* Llib/flac_alsadec.scm 100 */
 BgL_musicdecoderz00_bglt BgL_i1137z00_537;
BgL_i1137z00_537 = 
((BgL_musicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52decoderz52)); 
{ /* Llib/flac_alsadec.scm 101 */
 BgL_musicbufferz00_bglt BgL_i1138z00_538;
BgL_i1138z00_538 = 
((BgL_musicbufferz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52bufferz52)); 
{ /* Llib/flac_alsadec.scm 101 */
 long BgL_inlenz00_539;
BgL_inlenz00_539 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52inlenz52); 
{ /* Llib/flac_alsadec.scm 109 */
 char * BgL_flacbufz00_540;
{ /* Llib/flac_alsadec.scm 109 */
 obj_t BgL_arg1724z00_541;
BgL_arg1724z00_541 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456)))))->BgL_z52flacbufz52); 
BgL_flacbufz00_540 = 
CUSTOM_IDENTIFIER(BgL_arg1724z00_541); } 
{ 

{ 

{ 
 long BgL_siza7eza7_554;
{ 
 long BgL_siza7eza7_561; long BgL_iz00_562;
BgL_siza7eza7_561 = BgL_siza7eza7_536; 
BgL_iz00_562 = ((long)0); 
BgL_loopz00_560:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_537))->BgL_z52z12dpausez40))
{ /* Llib/flac_alsadec.scm 156 */
{ /* Llib/flac_alsadec.scm 157 */
 obj_t BgL_arg1280z00_563;
BgL_arg1280z00_563 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1280z00_563), 
CNST_TABLE_REF(((long)3))); } 
{ /* Llib/flac_alsadec.scm 159 */
 BgL_alsamusicz00_bglt BgL_i1140z00_564;
BgL_i1140z00_564 = 
((BgL_alsamusicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52musicz52)); 
{ /* Llib/flac_alsadec.scm 160 */
 BgL_musicstatusz00_bglt BgL_i1141z00_565;
BgL_i1141z00_565 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1140z00_564)))->BgL_z52statusz52); 
{ 
 obj_t BgL_auxz00_943;
{ /* Llib/flac_alsadec.scm 162 */
 obj_t BgL_arg1285z00_566; obj_t BgL_arg1288z00_567;
BgL_arg1285z00_566 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52decoderz52); 
BgL_arg1288z00_567 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52bufferz52); 
BgL_auxz00_943 = 
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_arg1285z00_566), 
((BgL_musicbufferz00_bglt)BgL_arg1288z00_567))); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1141z00_565))->BgL_songposz00)=((obj_t)BgL_auxz00_943),BUNSPEC); } } } 
{ /* Llib/flac_alsadec.scm 163 */
 obj_t BgL_mutex1289z00_568;
BgL_mutex1289z00_568 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_537))->BgL_z52dmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1289z00_568); 
{ /* Llib/flac_alsadec.scm 163 */
 bool_t BgL_tmp1777z00_956;
{ 

BgL_liipz00_569:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_537))->BgL_z52z12dpausez40))
{ /* Llib/flac_alsadec.scm 165 */
{ /* Llib/flac_alsadec.scm 166 */
 obj_t BgL_arg1330z00_570; obj_t BgL_arg1331z00_571;
BgL_arg1330z00_570 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_537))->BgL_z52dcondvz52); 
BgL_arg1331z00_571 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_537))->BgL_z52dmutexz52); 
{ /* Llib/flac_alsadec.scm 166 */

BGL_CONDVAR_WAIT(BgL_arg1330z00_570, BgL_arg1331z00_571); } } 
goto BgL_liipz00_569;}  else 
{ /* Llib/flac_alsadec.scm 165 */
BgL_tmp1777z00_956 = ((bool_t)0); } } 
BGL_MUTEX_UNLOCK(BgL_mutex1289z00_568); BgL_tmp1777z00_956; } } 
{ /* Llib/flac_alsadec.scm 168 */
 obj_t BgL_arg1332z00_572;
BgL_arg1332z00_572 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1332z00_572), 
CNST_TABLE_REF(((long)4))); } 
{ 

goto BgL_loopz00_560;} }  else 
{ /* Llib/flac_alsadec.scm 156 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_537))->BgL_z52z12dabortz40))
{ /* Llib/flac_alsadec.scm 170 */
return 
BINT(((long)-1));}  else 
{ /* Llib/flac_alsadec.scm 170 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52emptyz52))
{ /* Llib/flac_alsadec.scm 173 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52eofz52))
{ /* Llib/flac_alsadec.scm 175 */
return BEOF;}  else 
{ /* Llib/flac_alsadec.scm 175 */
{ /* Llib/flac_alsadec.scm 178 */
 BgL_alsamusicz00_bglt BgL_i1142z00_573;
BgL_i1142z00_573 = 
((BgL_alsamusicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52musicz52)); 
{ /* Llib/flac_alsadec.scm 179 */
 BgL_musicstatusz00_bglt BgL_i1143z00_574;
BgL_i1143z00_574 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1142z00_573)))->BgL_z52statusz52); 
{ 
 int BgL_auxz00_983;
{ /* Llib/flac_alsadec.scm 181 */
 long BgL_tmpz00_984;
{ /* Llib/flac_alsadec.scm 114 */
 BGL_LONGLONG_T BgL_arg1702z00_543;
{ /* Llib/flac_alsadec.scm 114 */
 BGL_LONGLONG_T BgL_arg1703z00_544; BGL_LONGLONG_T BgL_arg1708z00_545;
{ /* Llib/flac_alsadec.scm 114 */
 BGL_LONGLONG_T BgL_arg1709z00_546;
{ /* Llib/flac_alsadec.scm 114 */
 long BgL_arg1711z00_547;
{ /* Llib/flac_alsadec.scm 114 */
 obj_t BgL_arg1714z00_548;
BgL_arg1714z00_548 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52bufferz52); 
BgL_arg1711z00_547 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1714z00_548)); } 
BgL_arg1709z00_546 = 
LONG_TO_LLONG(BgL_arg1711z00_547); } 
BgL_arg1703z00_544 = 
(((BGL_LONGLONG_T)100)*BgL_arg1709z00_546); } 
BgL_arg1708z00_545 = 
LONG_TO_LLONG(BgL_inlenz00_539); 
BgL_arg1702z00_543 = 
(BgL_arg1703z00_544/BgL_arg1708z00_545); } 
BgL_tmpz00_984 = 
LLONG_TO_LONG(BgL_arg1702z00_543); } 
BgL_auxz00_983 = 
(int)(BgL_tmpz00_984); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1143z00_574))->BgL_bufferingz00)=((int)BgL_auxz00_983),BUNSPEC); } } } 
{ /* Llib/flac_alsadec.scm 182 */
 obj_t BgL_arg1340z00_575;
BgL_arg1340z00_575 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1340z00_575), 
CNST_TABLE_REF(((long)5))); } 
{ /* Llib/flac_alsadec.scm 183 */
 obj_t BgL_mutex1341z00_576;
BgL_mutex1341z00_576 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52bmutexz52); 
{ /* Llib/flac_alsadec.scm 183 */
 obj_t BgL_top1783z00_1005;
BgL_top1783z00_1005 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1341z00_576); 
BGL_EXITD_PUSH_PROTECT(BgL_top1783z00_1005, BgL_mutex1341z00_576); BUNSPEC; 
{ /* Llib/flac_alsadec.scm 183 */
 bool_t BgL_tmp1782z00_1004;
{ /* Llib/flac_alsadec.scm 185 */
 bool_t BgL_test1784z00_1009;
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52emptyz52))
{ /* Llib/flac_alsadec.scm 185 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52eofz52))
{ /* Llib/flac_alsadec.scm 185 */
BgL_test1784z00_1009 = ((bool_t)1)
; }  else 
{ /* Llib/flac_alsadec.scm 185 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_537))->BgL_z52z12dabortz40))
{ /* Llib/flac_alsadec.scm 185 */
BgL_test1784z00_1009 = ((bool_t)1)
; }  else 
{ /* Llib/flac_alsadec.scm 185 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52emptyz52))
{ /* Llib/flac_alsadec.scm 119 */
BgL_test1784z00_1009 = ((bool_t)0)
; }  else 
{ /* Llib/flac_alsadec.scm 120 */
 long BgL_arg1679z00_550;
{ /* Llib/flac_alsadec.scm 120 */
 long BgL_arg1691z00_551;
{ /* Llib/flac_alsadec.scm 120 */
 obj_t BgL_arg1694z00_552;
BgL_arg1694z00_552 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52bufferz52); 
BgL_arg1691z00_551 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1694z00_552)); } 
BgL_arg1679z00_550 = 
(((long)4)*BgL_arg1691z00_551); } 
BgL_test1784z00_1009 = 
(BgL_arg1679z00_550>BgL_inlenz00_539); } } } }  else 
{ /* Llib/flac_alsadec.scm 185 */
BgL_test1784z00_1009 = ((bool_t)1)
; } 
if(BgL_test1784z00_1009)
{ /* Llib/flac_alsadec.scm 185 */
BgL_tmp1782z00_1004 = ((bool_t)0); }  else 
{ /* Llib/flac_alsadec.scm 189 */
 obj_t BgL_arg1351z00_577; obj_t BgL_arg1352z00_578;
BgL_arg1351z00_577 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52bcondvz52); 
BgL_arg1352z00_578 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52bmutexz52); 
{ /* Llib/flac_alsadec.scm 189 */

BgL_tmp1782z00_1004 = 
BGL_CONDVAR_WAIT(BgL_arg1351z00_577, BgL_arg1352z00_578); } } } 
BGL_EXITD_POP_PROTECT(BgL_top1783z00_1005); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1341z00_576); BgL_tmp1782z00_1004; } } } 
{ /* Llib/flac_alsadec.scm 190 */
 obj_t BgL_arg1354z00_579;
BgL_arg1354z00_579 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1354z00_579), 
CNST_TABLE_REF(((long)4))); } 
{ 

goto BgL_loopz00_560;} } }  else 
{ /* Llib/flac_alsadec.scm 193 */
 long BgL_sz00_580;
{ /* Llib/flac_alsadec.scm 193 */
 long BgL_bz00_581;
if(
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52headz52)>
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52tailz52)))
{ /* Llib/flac_alsadec.scm 194 */
BgL_bz00_581 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52headz52)-
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52tailz52)); }  else 
{ /* Llib/flac_alsadec.scm 194 */
BgL_bz00_581 = 
(BgL_inlenz00_539-
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52tailz52)); } 
if(
(BgL_siza7eza7_561<BgL_bz00_581))
{ /* Llib/flac_alsadec.scm 194 */
BgL_sz00_580 = BgL_siza7eza7_561; }  else 
{ /* Llib/flac_alsadec.scm 194 */
BgL_sz00_580 = BgL_bz00_581; } } 
if(
(BgL_sz00_580>((long)0)))
{ /* Llib/flac_alsadec.scm 197 */
{ /* Llib/flac_alsadec.scm 198 */
 char * BgL_arg1357z00_582; long BgL_arg1358z00_583;
BgL_arg1357z00_582 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52inbufpz52); 
BgL_arg1358z00_583 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52tailz52); 
BGL_FLAC_BLIT_STRING(BgL_arg1357z00_582, BgL_arg1358z00_583, BgL_flacbufz00_540, BgL_iz00_562, BgL_sz00_580); BUNSPEC; } 
BgL_siza7eza7_554 = BgL_sz00_580; 
{ /* Llib/flac_alsadec.scm 128 */
 long BgL_ntailz00_555;
BgL_ntailz00_555 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52tailz52)+BgL_siza7eza7_554); 
if(
(BgL_ntailz00_555==BgL_inlenz00_539))
{ /* Llib/flac_alsadec.scm 129 */
BgL_ntailz00_555 = ((long)0); }  else 
{ /* Llib/flac_alsadec.scm 129 */BFALSE; } 
if(
(BgL_ntailz00_555==
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52headz52)))
{ /* Llib/flac_alsadec.scm 132 */
if(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52ratez52))<((long)80)))
{ /* Llib/flac_alsadec.scm 133 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52ratez52)=((int)
(int)(((long)80))),BUNSPEC); }  else 
{ /* Llib/flac_alsadec.scm 133 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52emptyz52)=((bool_t)((bool_t)1)),BUNSPEC); }  else 
{ /* Llib/flac_alsadec.scm 132 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52tailz52)=((long)BgL_ntailz00_555),BUNSPEC); } 
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52eofz52))
{ /* Llib/flac_alsadec.scm 137 */BFALSE; }  else 
{ /* Llib/flac_alsadec.scm 140 */
 long BgL_availz00_556;
{ /* Llib/flac_alsadec.scm 140 */
 obj_t BgL_arg1665z00_557;
BgL_arg1665z00_557 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52bufferz52); 
BgL_availz00_556 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1665z00_557)); } 
{ /* Llib/flac_alsadec.scm 140 */
 long BgL_pz00_558;
BgL_pz00_558 = 
(
(BgL_availz00_556*((long)100))/BgL_inlenz00_539); 
{ /* Llib/flac_alsadec.scm 141 */

if(
(BgL_pz00_558<
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52ratez52))))
{ /* Llib/flac_alsadec.scm 143 */
{ /* Llib/flac_alsadec.scm 123 */
 obj_t BgL_mutex1667z00_559;
BgL_mutex1667z00_559 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52bmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1667z00_559); 
{ /* Llib/flac_alsadec.scm 123 */
 bool_t BgL_tmp1802z00_1087;
{ /* Llib/flac_alsadec.scm 124 */
 obj_t BgL_tmpz00_1089;
BgL_tmpz00_1089 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_538))->BgL_z52bcondvz52); 
BgL_tmp1802z00_1087 = 
BGL_CONDVAR_BROADCAST(BgL_tmpz00_1089); } 
BGL_MUTEX_UNLOCK(BgL_mutex1667z00_559); BgL_tmp1802z00_1087; } } 
{ /* Llib/flac_alsadec.scm 145 */
 bool_t BgL_test1803z00_1093;
if(
(BgL_pz00_558<=
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52lastzd2percentagez80))))
{ /* Llib/flac_alsadec.scm 145 */
BgL_test1803z00_1093 = 
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52ratez52))<
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52ratezd2maxz80)))
; }  else 
{ /* Llib/flac_alsadec.scm 145 */
BgL_test1803z00_1093 = ((bool_t)0)
; } 
if(BgL_test1803z00_1093)
{ /* Llib/flac_alsadec.scm 145 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52ratez52)=((int)
(int)(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52ratez52))+((long)10)))),BUNSPEC); }  else 
{ /* Llib/flac_alsadec.scm 145 */BFALSE; } } }  else 
{ /* Llib/flac_alsadec.scm 143 */
if(
(BgL_pz00_558>
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52ratezd2minz80))))
{ /* Llib/flac_alsadec.scm 147 */
if(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52ratez52))>
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52ratezd2minz80))))
{ /* Llib/flac_alsadec.scm 148 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52ratez52)=((int)
(int)(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52ratez52))-((long)1)))),BUNSPEC); }  else 
{ /* Llib/flac_alsadec.scm 148 */BFALSE; } }  else 
{ /* Llib/flac_alsadec.scm 147 */BFALSE; } } 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_456))))->BgL_z52lastzd2percentagez80)=((int)
(int)(BgL_pz00_558)),BUNSPEC); BUNSPEC; } } } }  else 
{ /* Llib/flac_alsadec.scm 197 */BFALSE; } 
if(
(BgL_sz00_580<BgL_siza7eza7_561))
{ 
 long BgL_iz00_1151; long BgL_siza7eza7_1149;
BgL_siza7eza7_1149 = 
(BgL_siza7eza7_561-BgL_sz00_580); 
BgL_iz00_1151 = 
(BgL_iz00_562+BgL_sz00_580); 
BgL_iz00_562 = BgL_iz00_1151; 
BgL_siza7eza7_561 = BgL_siza7eza7_1149; 
goto BgL_loopz00_560;}  else 
{ /* Llib/flac_alsadec.scm 200 */
return 
BINT(
(BgL_iz00_562+BgL_sz00_580));} } } } } } } } } } } } } } 

}



/* &flac-decoder-metadat1157 */
obj_t BGl_z62flaczd2decoderzd2metadat1157z62zz__flac_alsadecz00(obj_t BgL_envz00_458, obj_t BgL_oz00_459, obj_t BgL_totalz00_460, obj_t BgL_ratez00_461, obj_t BgL_channelsz00_462, obj_t BgL_bpsz00_463)
{
{ /* Llib/flac_alsadec.scm 72 */
{ /* Llib/flac_alsadec.scm 74 */
 BgL_alsamusicz00_bglt BgL_i1133z00_585;
BgL_i1133z00_585 = 
((BgL_alsamusicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_459))))->BgL_z52musicz52)); 
{ /* Llib/flac_alsadec.scm 75 */
 obj_t BgL_encodingz00_586;
if(
INTEGERP(BgL_bpsz00_463))
{ /* Llib/flac_alsadec.scm 75 */
switch( 
(long)CINT(BgL_bpsz00_463)) { case ((long)8) : 

BgL_encodingz00_586 = 
CNST_TABLE_REF(((long)6)); break;case ((long)16) : 

BgL_encodingz00_586 = 
CNST_TABLE_REF(((long)6)); break;case ((long)24) : 

BgL_encodingz00_586 = 
CNST_TABLE_REF(((long)7)); break;case ((long)32) : 

BgL_encodingz00_586 = 
CNST_TABLE_REF(((long)8)); break;
default: 
BgL_encodingz00_586 = BUNSPEC; } }  else 
{ /* Llib/flac_alsadec.scm 75 */
BgL_encodingz00_586 = BUNSPEC; } 
BGl_alsazd2sndzd2pcmzd2reopenzd2zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(BgL_i1133z00_585))->BgL_pcmz00)); 
{ /* Llib/flac_alsadec.scm 81 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1222z00_587; long BgL_arg1223z00_588; long BgL_arg1225z00_589;
BgL_arg1222z00_587 = 
(((BgL_alsamusicz00_bglt)COBJECT(BgL_i1133z00_585))->BgL_pcmz00); 
BgL_arg1223z00_588 = 
(
(long)CINT(BgL_ratez00_461)/((long)2)); 
BgL_arg1225z00_589 = 
(
(long)CINT(BgL_ratez00_461)/((long)8)); 
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_list1226z00_590;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1227z00_591;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1229z00_592;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1230z00_593;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1231z00_594;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1232z00_595;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1233z00_596;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1234z00_597;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1237z00_598;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1246z00_599;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1247z00_600;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1248z00_601;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1249z00_602;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1250z00_603;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1251z00_604;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1252z00_605;
BgL_arg1252z00_605 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1225z00_589), BNIL); 
BgL_arg1251z00_604 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)9)), BgL_arg1252z00_605); } 
BgL_arg1250z00_603 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1223z00_588), BgL_arg1251z00_604); } 
BgL_arg1249z00_602 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)10)), BgL_arg1250z00_603); } 
BgL_arg1248z00_601 = 
MAKE_YOUNG_PAIR(
BINT(((long)500000)), BgL_arg1249z00_602); } 
BgL_arg1247z00_600 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)11)), BgL_arg1248z00_601); } 
BgL_arg1246z00_599 = 
MAKE_YOUNG_PAIR(BgL_ratez00_461, BgL_arg1247z00_600); } 
BgL_arg1237z00_598 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)12)), BgL_arg1246z00_599); } 
BgL_arg1234z00_597 = 
MAKE_YOUNG_PAIR(BgL_channelsz00_462, BgL_arg1237z00_598); } 
BgL_arg1233z00_596 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)13)), BgL_arg1234z00_597); } 
BgL_arg1232z00_595 = 
MAKE_YOUNG_PAIR(BgL_encodingz00_586, BgL_arg1233z00_596); } 
BgL_arg1231z00_594 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg1232z00_595); } 
BgL_arg1230z00_593 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)15)), BgL_arg1231z00_594); } 
BgL_arg1229z00_592 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)16)), BgL_arg1230z00_593); } 
BgL_arg1227z00_591 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg1229z00_592); } 
BgL_list1226z00_590 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)17)), BgL_arg1227z00_591); } 
BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_arg1222z00_587, BgL_list1226z00_590); } } 
{ /* Llib/flac_alsadec.scm 90 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1253z00_606;
BgL_arg1253z00_606 = 
(((BgL_alsamusicz00_bglt)COBJECT(BgL_i1133z00_585))->BgL_pcmz00); 
{ /* Llib/flac_alsadec.scm 90 */
 obj_t BgL_list1254z00_607;
{ /* Llib/flac_alsadec.scm 90 */
 obj_t BgL_arg1255z00_608;
{ /* Llib/flac_alsadec.scm 90 */
 obj_t BgL_arg1256z00_609;
{ /* Llib/flac_alsadec.scm 90 */
 obj_t BgL_arg1258z00_610;
BgL_arg1258z00_610 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BNIL); 
BgL_arg1256z00_609 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)18)), BgL_arg1258z00_610); } 
BgL_arg1255z00_608 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg1256z00_609); } 
BgL_list1254z00_607 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)19)), BgL_arg1255z00_608); } 
return 
BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_arg1253z00_606, BgL_list1254z00_607);} } } } } 

}



/* &musicdecoder-decode-1155 */
obj_t BGl_z62musicdecoderzd2decodezd21155z62zz__flac_alsadecz00(obj_t BgL_envz00_464, obj_t BgL_decz00_465, obj_t BgL_amz00_466, obj_t BgL_bufferz00_467)
{
{ /* Llib/flac_alsadec.scm 50 */
{ /* Llib/flac_alsadec.scm 54 */
 BgL_flacdecz00_bglt BgL_i1123z00_614;
BgL_i1123z00_614 = 
((BgL_flacdecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_465))))->BgL_z52flacz52)); 
((((BgL_flacdecz00_bglt)COBJECT(BgL_i1123z00_614))->BgL_z52bufferz52)=((obj_t)
((obj_t)
((BgL_musicbufferz00_bglt)BgL_bufferz00_467))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(BgL_i1123z00_614))->BgL_z52musicz52)=((obj_t)
((obj_t)
((BgL_musicbufz00_bglt)BgL_amz00_466))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(BgL_i1123z00_614))->BgL_z52decoderz52)=((obj_t)
((obj_t)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_465))),BUNSPEC); 
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_exitd1126z00_615;
BgL_exitd1126z00_615 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac_alsadec.scm 65 */
 obj_t BgL_zc3z04anonymousza31216ze3z87_616;
BgL_zc3z04anonymousza31216ze3z87_616 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31216ze3ze5zz__flac_alsadecz00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_616, 
(int)(((long)0)), 
((obj_t)BgL_i1123z00_614)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_616, 
(int)(((long)1)), 
((obj_t)
((BgL_alsamusicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_466)))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_616, 
(int)(((long)2)), 
((obj_t)
((BgL_musicbufz00_bglt)BgL_amz00_466))); 
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1812z00_617;
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1813z00_618;
BgL_arg1813z00_618 = 
BGL_EXITD_PROTECT(BgL_exitd1126z00_615); 
BgL_arg1812z00_617 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31216ze3z87_616, BgL_arg1813z00_618); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1126z00_615, BgL_arg1812z00_617); BUNSPEC; } 
{ /* Llib/flac_alsadec.scm 61 */
 obj_t BgL_tmp1128z00_619;
{ /* Llib/flac_alsadec.scm 61 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_i1131z00_620;
BgL_i1131z00_620 = 
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_466))))->BgL_pcmz00); 
if(
(
(long)(
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1131z00_620))->BgL_hwbpsz00))<=((long)16)))
{ /* Llib/flac_alsadec.scm 63 */
 obj_t BgL_arg1213z00_621;
BgL_arg1213z00_621 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_465))))->BgL_z52flacz52); 
BgL_tmp1128z00_619 = 
BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1213z00_621)); }  else 
{ /* Llib/flac_alsadec.scm 64 */
 obj_t BgL_arg1214z00_622;
BgL_arg1214z00_622 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_465))))->BgL_z52flacz52); 
BgL_tmp1128z00_619 = 
BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1214z00_622)); } } 
{ /* Llib/flac_alsadec.scm 60 */
 bool_t BgL_test1812z00_1263;
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1811z00_623;
BgL_arg1811z00_623 = 
BGL_EXITD_PROTECT(BgL_exitd1126z00_615); 
BgL_test1812z00_1263 = 
PAIRP(BgL_arg1811z00_623); } 
if(BgL_test1812z00_1263)
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1809z00_624;
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1810z00_625;
BgL_arg1810z00_625 = 
BGL_EXITD_PROTECT(BgL_exitd1126z00_615); 
BgL_arg1809z00_624 = 
CDR(
((obj_t)BgL_arg1810z00_625)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1126z00_615, BgL_arg1809z00_624); BUNSPEC; }  else 
{ /* Llib/flac_alsadec.scm 60 */BFALSE; } } 
BGl_z62zc3z04anonymousza31216ze3ze5zz__flac_alsadecz00(BgL_zc3z04anonymousza31216ze3z87_616); 
return BgL_tmp1128z00_619;} } } } } 

}



/* &<@anonymous:1216> */
obj_t BGl_z62zc3z04anonymousza31216ze3ze5zz__flac_alsadecz00(obj_t BgL_envz00_468)
{
{ /* Llib/flac_alsadec.scm 60 */
{ /* Llib/flac_alsadec.scm 65 */
 BgL_flacdecz00_bglt BgL_i1123z00_469; BgL_alsamusicz00_bglt BgL_i1124z00_470; BgL_musicbufz00_bglt BgL_amz00_471;
BgL_i1123z00_469 = 
((BgL_flacdecz00_bglt)
PROCEDURE_REF(BgL_envz00_468, 
(int)(((long)0)))); 
BgL_i1124z00_470 = 
((BgL_alsamusicz00_bglt)
PROCEDURE_REF(BgL_envz00_468, 
(int)(((long)1)))); 
BgL_amz00_471 = 
((BgL_musicbufz00_bglt)
PROCEDURE_REF(BgL_envz00_468, 
(int)(((long)2)))); 
{ /* Llib/flac_alsadec.scm 65 */
 BgL_musicbufferz00_bglt BgL_i1130z00_626;
BgL_i1130z00_626 = 
((BgL_musicbufferz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(BgL_i1123z00_469))->BgL_z52bufferz52)); 
BGl_alsazd2sndzd2pcmzd2cleanupzd2zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(BgL_i1124z00_470))->BgL_pcmz00)); 
{ /* Llib/flac_alsadec.scm 67 */
 obj_t BgL_arg1219z00_627;
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1130z00_626))->BgL_z52eofz52))
{ /* Llib/flac_alsadec.scm 67 */
BgL_arg1219z00_627 = 
CNST_TABLE_REF(((long)20)); }  else 
{ /* Llib/flac_alsadec.scm 67 */
BgL_arg1219z00_627 = 
CNST_TABLE_REF(((long)21)); } 
return 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_amz00_471), BgL_arg1219z00_627);} } } } 

}



/* &musicdecoder-init-fl1153 */
obj_t BGl_z62musicdecoderzd2initzd2fl1153z62zz__flac_alsadecz00(obj_t BgL_envz00_472, obj_t BgL_decz00_473)
{
{ /* Llib/flac_alsadec.scm 42 */
{ 

{ /* Llib/flac_alsadec.scm 42 */
 obj_t BgL_nextzd2method1152zd2_630;
BgL_nextzd2method1152zd2_630 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_473)), BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1152zd2_630))(BgL_nextzd2method1152zd2_630, 
((obj_t)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_473)), BEOA); } 
if(
CBOOL(
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_473))))->BgL_z52flacz52)))
{ /* Llib/flac_alsadec.scm 45 */
return BFALSE;}  else 
{ 
 obj_t BgL_auxz00_1304;
{ /* Llib/flac_alsadec.scm 45 */
 BgL_flacalsadecz00_bglt BgL_new1121z00_631;
{ /* Llib/flac_alsadec.scm 45 */
 BgL_flacalsadecz00_bglt BgL_new1120z00_632;
BgL_new1120z00_632 = 
((BgL_flacalsadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacalsadecz00_bgl) ))); 
{ /* Llib/flac_alsadec.scm 45 */
 long BgL_arg1210z00_633;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_classz00_634;
BgL_classz00_634 = BGl_flacalsadecz00zz__flac_alsadecz00; 
BgL_arg1210z00_633 = 
BGL_CLASS_NUM(BgL_classz00_634); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_632), BgL_arg1210z00_633); } 
BgL_new1121z00_631 = BgL_new1120z00_632; } 
{ 
 void * BgL_auxz00_1311;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_arg1201z00_635;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_arg1202z00_636;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_classz00_637;
BgL_classz00_637 = BGl_flacalsadecz00zz__flac_alsadecz00; 
BgL_arg1202z00_636 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_637); } 
BgL_arg1201z00_635 = 
VECTOR_REF(BgL_arg1202z00_636,((long)0)); } 
BgL_auxz00_1311 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1201z00_635)); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_631)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_auxz00_1311),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1318;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_arg1206z00_638;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_arg1208z00_639;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_classz00_640;
BgL_classz00_640 = BGl_flacalsadecz00zz__flac_alsadecz00; 
BgL_arg1208z00_639 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_640); } 
BgL_arg1206z00_638 = 
VECTOR_REF(BgL_arg1208z00_639,((long)1)); } 
BgL_auxz00_1318 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1206z00_638); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_631)))->BgL_z52flacbufz52)=((obj_t)BgL_auxz00_1318),BUNSPEC); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_631)))->BgL_outbufz00)=((obj_t)BGl_string1744z00zz__flac_alsadecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_631)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_631)))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_631)))->BgL_z52volumez52)=((double)((double)1.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_631)))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_631)))->BgL_z52bchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_631)))->BgL_z52rchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_631)))->BgL_z52musicz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_631)))->BgL_z52bufferz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_631)))->BgL_z52decoderz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_631)))->BgL_z52ratez52)=((int)
(int)(((long)80))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_631)))->BgL_z52ratezd2maxz80)=((int)
(int)(((long)80))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_631)))->BgL_z52ratezd2minz80)=((int)
(int)(((long)50))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_631)))->BgL_z52lastzd2percentagez80)=((int)
(int)(((long)0))),BUNSPEC); 
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_fun1209z00_641;
BgL_fun1209z00_641 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacalsadecz00zz__flac_alsadecz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1209z00_641))(BgL_fun1209z00_641, 
((obj_t)BgL_new1121z00_631), BEOA); } 
BgL_auxz00_1304 = 
((obj_t)BgL_new1121z00_631); } 
return 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_473))))->BgL_z52flacz52)=((obj_t)BgL_auxz00_1304),BUNSPEC);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__flac_flacz00(((long)107017853), 
BSTRING_TO_STRING(BGl_string1753z00zz__flac_alsadecz00)); 
return 
BGl_modulezd2initializa7ationz75zz__flac_decoderz00(((long)630617), 
BSTRING_TO_STRING(BGl_string1753z00zz__flac_alsadecz00));} 

}

#ifdef __cplusplus
}
#endif
