/*===========================================================================*/
/*   (Llib/flac_padec.scm)                                                   */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -srfi flac -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/flac_padec.scm -o objs/flac_padec.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <pulse/error.h>
#include <FLAC/stream_decoder.h>
#include <bglflac.h>
#include <pulse/simple.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_pulseaudiozd2simplezd2_bgl {
   header_t header;
   obj_t widening;
   pa_simple * BgL_z42builtinz42;
   obj_t BgL_srvnamez00;
   obj_t BgL_namez00;
   obj_t BgL_streamz00;
   long BgL_ratez00;
   long BgL_channelsz00;
   int BgL_bpsz00;
   obj_t BgL_formatz00;
} *BgL_pulseaudiozd2simplezd2_bglt;

typedef struct BgL_pulseaudiomusicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
   struct BgL_pulseaudiozd2simplezd2_bgl * BgL_simplez00;
   obj_t BgL_namez00;
} *BgL_pulseaudiomusicz00_bglt;

typedef struct BgL_flaczd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
} *BgL_flaczd2decoderzd2_bglt;

typedef struct BgL_flacdecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacdecz00_bglt;

typedef struct BgL_flacmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flacmusicdecoderz00_bglt;

typedef struct BgL_flacpadecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacpadecz00_bglt;

typedef struct BgL_flaczd2pulseaudiodecoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flaczd2pulseaudiodecoderzd2_bglt;


BGL_IMPORT obj_t BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00;
static obj_t BGl_z62musicdecoderzd2decodezd21144z62zz__flac_padecz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__flac_padecz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__flac_padecz00(void);
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__flac_padecz00(void);
static obj_t BGl_objectzd2initzd2zz__flac_padecz00(void);
static obj_t BGl_z62zc3z04anonymousza31216ze3ze5zz__flac_padecz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_IMPORT obj_t BGl_pulseaudiomusiczd2simplezd2setz12z12zz__pulseaudio_musicz00(BgL_pulseaudiomusicz00_bglt, BgL_pulseaudiozd2simplezd2_bglt);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__flac_padecz00(void);
static obj_t BGl_z62flaczd2decoderzd2metadat1146z62zz__flac_padecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2initzd2fl1142z62zz__flac_padecz00(obj_t, obj_t);
extern obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DEF obj_t BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
static obj_t BGl_z62zc3z04anonymousza31184ze3ze5zz__flac_padecz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31169ze3ze5zz__flac_padecz00(obj_t, obj_t);
static BgL_flacpadecz00_bglt BGl_z62lambda1158z62zz__flac_padecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__flac_padecz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_musicz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_simplez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
static BgL_flacpadecz00_bglt BGl_z62lambda1166z62zz__flac_padecz00(obj_t);
static BgL_flaczd2pulseaudiodecoderzd2_bglt BGl_z62lambda1178z62zz__flac_padecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_flaczd2pulseaudiodecoderzd2_bglt BGl_z62lambda1181z62zz__flac_padecz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__flac_padecz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__flac_padecz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__flac_padecz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__flac_padecz00(void);
BGL_IMPORT obj_t bgl_custom_nil(void);
BGL_IMPORT int bgl_pulseaudio_error(char *, char *, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_flacpadecz00zz__flac_padecz00 = BUNSPEC;
extern obj_t BGl_flacdecz00zz__flac_decoderz00;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
extern obj_t BGl_flacmusicdecoderz00zz__flac_decoderz00;
static obj_t __cnst[ 6 ] ;


DEFINE_STRING( BGl_string1238z00zz__flac_padecz00, BgL_bgl_string1238za700za7za7_1256za7, "Llib/flac_padec.scm", 19 );
DEFINE_STRING( BGl_string1245z00zz__flac_padecz00, BgL_bgl_string1245za700za7za7_1257za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1239z00zz__flac_padecz00, BgL_bgl_za762za7c3za704anonymo1258za7, BGl_z62zc3z04anonymousza31169ze3ze5zz__flac_padecz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1247z00zz__flac_padecz00, BgL_bgl_string1247za700za7za7_1259za7, "musicdecoder-init", 17 );
DEFINE_STRING( BGl_string1249z00zz__flac_padecz00, BgL_bgl_string1249za700za7za7_1260za7, "musicdecoder-decode", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1240z00zz__flac_padecz00, BgL_bgl_za762lambda1166za7621261z00, BGl_z62lambda1166z62zz__flac_padecz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1241z00zz__flac_padecz00, BgL_bgl_za762lambda1158za7621262z00, BGl_z62lambda1158z62zz__flac_padecz00, 0L, BUNSPEC, 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1242z00zz__flac_padecz00, BgL_bgl_za762za7c3za704anonymo1263za7, BGl_z62zc3z04anonymousza31184ze3ze5zz__flac_padecz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1243z00zz__flac_padecz00, BgL_bgl_za762lambda1181za7621264z00, BGl_z62lambda1181z62zz__flac_padecz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1244z00zz__flac_padecz00, BgL_bgl_za762lambda1178za7621265z00, BGl_z62lambda1178z62zz__flac_padecz00, 0L, BUNSPEC, 12 );
DEFINE_STRING( BGl_string1251z00zz__flac_padecz00, BgL_bgl_string1251za700za7za7_1266za7, "flac-decoder-metadata", 21 );
DEFINE_STRING( BGl_string1252z00zz__flac_padecz00, BgL_bgl_string1252za700za7za7_1267za7, "pulseaudio-simple-flush", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1246z00zz__flac_padecz00, BgL_bgl_za762musicdecoderza71268z00, BGl_z62musicdecoderzd2initzd2fl1142z62zz__flac_padecz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1253z00zz__flac_padecz00, BgL_bgl_string1253za700za7za7_1269za7, "__flac_padec", 12 );
DEFINE_STRING( BGl_string1254z00zz__flac_padecz00, BgL_bgl_string1254za700za7za7_1270za7, "stop ended s16 flac-pulseaudiodecoder __flac_padec flacpadec ", 61 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1248z00zz__flac_padecz00, BgL_bgl_za762musicdecoderza71271z00, BGl_z62musicdecoderzd2decodezd21144z62zz__flac_padecz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1250z00zz__flac_padecz00, BgL_bgl_za762flacza7d2decode1272z00, BGl_z62flaczd2decoderzd2metadat1146z62zz__flac_padecz00, 0L, BUNSPEC, 5 );
BGL_IMPORT obj_t BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00;
extern obj_t BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__flac_padecz00) );
ADD_ROOT( (void *)(&BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00) );
ADD_ROOT( (void *)(&BGl_flacpadecz00zz__flac_padecz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__flac_padecz00(long BgL_checksumz00_391, char * BgL_fromz00_392)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__flac_padecz00))
{ 
BGl_requirezd2initializa7ationz75zz__flac_padecz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__flac_padecz00(); 
BGl_libraryzd2moduleszd2initz00zz__flac_padecz00(); 
BGl_cnstzd2initzd2zz__flac_padecz00(); 
BGl_importedzd2moduleszd2initz00zz__flac_padecz00(); 
BGl_objectzd2initzd2zz__flac_padecz00(); 
BGl_methodzd2initzd2zz__flac_padecz00(); 
return 
BGl_toplevelzd2initzd2zz__flac_padecz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
BGl_modulezd2initializa7ationz75zz__pulseaudio_simplez00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__pulseaudio_musicz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__customz00(((long)0), "__flac_padec"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_cportz00_285;
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_stringz00_292;
BgL_stringz00_292 = BGl_string1254z00zz__flac_padecz00; 
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_startz00_293;
BgL_startz00_293 = 
BINT(((long)0)); 
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_endz00_294;
BgL_endz00_294 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_292))); 
{ /* Llib/flac_padec.scm 15 */

BgL_cportz00_285 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_292, BgL_startz00_293, BgL_endz00_294); } } } } 
{ 
 long BgL_iz00_286;
BgL_iz00_286 = ((long)5); 
BgL_loopz00_287:
if(
(BgL_iz00_286==((long)-1)))
{ /* Llib/flac_padec.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/flac_padec.scm 15 */
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_arg1255z00_288;
{ /* Llib/flac_padec.scm 15 */

{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_locationz00_290;
BgL_locationz00_290 = 
BBOOL(((bool_t)0)); 
{ /* Llib/flac_padec.scm 15 */

BgL_arg1255z00_288 = 
BGl_readz00zz__readerz00(BgL_cportz00_285, BgL_locationz00_290); } } } 
{ /* Llib/flac_padec.scm 15 */
 int BgL_tmpz00_427;
BgL_tmpz00_427 = 
(int)(BgL_iz00_286); 
CNST_TABLE_SET(BgL_tmpz00_427, BgL_arg1255z00_288); } } 
{ /* Llib/flac_padec.scm 15 */
 int BgL_auxz00_291;
BgL_auxz00_291 = 
(int)(
(BgL_iz00_286-((long)1))); 
{ 
 long BgL_iz00_432;
BgL_iz00_432 = 
(long)(BgL_auxz00_291); 
BgL_iz00_286 = BgL_iz00_432; 
goto BgL_loopz00_287;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(((long)0), 
BSTRING_TO_STRING(BGl_string1238z00zz__flac_padecz00)); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1238z00zz__flac_padecz00)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
{ /* Llib/flac_padec.scm 26 */
 obj_t BgL_arg1156z00_23; obj_t BgL_arg1157z00_24;
{ /* Llib/flac_padec.scm 26 */
 obj_t BgL_v1137z00_51;
BgL_v1137z00_51 = 
create_vector(((long)0)); 
BgL_arg1156z00_23 = BgL_v1137z00_51; } 
{ /* Llib/flac_padec.scm 26 */
 obj_t BgL_v1138z00_52;
BgL_v1138z00_52 = 
create_vector(((long)0)); 
BgL_arg1157z00_24 = BgL_v1138z00_52; } 
BGl_flacpadecz00zz__flac_padecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_flacdecz00zz__flac_decoderz00, ((long)11770), BGl_proc1241z00zz__flac_padecz00, BGl_proc1240z00zz__flac_padecz00, BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1239z00zz__flac_padecz00, BFALSE, BgL_arg1156z00_23, BgL_arg1157z00_24); } 
{ /* Llib/flac_padec.scm 35 */
 obj_t BgL_arg1175z00_59; obj_t BgL_arg1177z00_60;
{ /* Llib/flac_padec.scm 35 */
 obj_t BgL_v1139z00_83;
BgL_v1139z00_83 = 
create_vector(((long)0)); 
BgL_arg1175z00_59 = BgL_v1139z00_83; } 
{ /* Llib/flac_padec.scm 35 */
 obj_t BgL_v1140z00_84;
BgL_v1140z00_84 = 
create_vector(((long)0)); 
BgL_arg1177z00_60 = BgL_v1140z00_84; } 
return ( 
BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)1)), BGl_flacmusicdecoderz00zz__flac_decoderz00, ((long)38574), BGl_proc1244z00zz__flac_padecz00, BGl_proc1243z00zz__flac_padecz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1242z00zz__flac_padecz00, BFALSE, BgL_arg1175z00_59, BgL_arg1177z00_60), BUNSPEC) ;} } 

}



/* &<@anonymous:1184> */
obj_t BGl_z62zc3z04anonymousza31184ze3ze5zz__flac_padecz00(obj_t BgL_envz00_215, obj_t BgL_new1113z00_216)
{
{ /* Llib/flac_padec.scm 35 */
{ 
 BgL_flaczd2pulseaudiodecoderzd2_bglt BgL_auxz00_449;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52flacz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216))))->BgL_z52inseekz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_449 = 
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1113z00_216); 
return 
((obj_t)BgL_auxz00_449);} } 

}



/* &lambda1181 */
BgL_flaczd2pulseaudiodecoderzd2_bglt BGl_z62lambda1181z62zz__flac_padecz00(obj_t BgL_envz00_217)
{
{ /* Llib/flac_padec.scm 35 */
{ /* Llib/flac_padec.scm 35 */
 BgL_flaczd2pulseaudiodecoderzd2_bglt BgL_new1111z00_297;
BgL_new1111z00_297 = 
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2pulseaudiodecoderzd2_bgl) ))); 
{ /* Llib/flac_padec.scm 35 */
 long BgL_arg1183z00_298;
BgL_arg1183z00_298 = 
BGL_CLASS_NUM(BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1111z00_297), BgL_arg1183z00_298); } 
return BgL_new1111z00_297;} } 

}



/* &lambda1178 */
BgL_flaczd2pulseaudiodecoderzd2_bglt BGl_z62lambda1178z62zz__flac_padecz00(obj_t BgL_envz00_218, obj_t BgL_mimetypes1099z00_219, obj_t BgL_bufferzd2timezd2near1100z00_220, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1101z75_221, obj_t BgL_periodzd2siza7ezd2nearzd2rat1102z75_222, obj_t BgL_z52z12dpause1103z40_223, obj_t BgL_z52z12dabort1104z40_224, obj_t BgL_z52z12stop1105z40_225, obj_t BgL_z52dmutex1106z52_226, obj_t BgL_z52dcondv1107z52_227, obj_t BgL_z52doutcondv1108z52_228, obj_t BgL_z52flac1109z52_229, obj_t BgL_z52inseek1110z52_230)
{
{ /* Llib/flac_padec.scm 35 */
{ /* Llib/flac_padec.scm 35 */
 int BgL_bufferzd2timezd2near1100z00_300; int BgL_bufferzd2siza7ezd2nearzd2rat1101z75_301; int BgL_periodzd2siza7ezd2nearzd2rat1102z75_302; bool_t BgL_z52z12dpause1103z40_303; bool_t BgL_z52z12dabort1104z40_304; bool_t BgL_z52z12stop1105z40_305;
BgL_bufferzd2timezd2near1100z00_300 = 
CINT(BgL_bufferzd2timezd2near1100z00_220); 
BgL_bufferzd2siza7ezd2nearzd2rat1101z75_301 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1101z75_221); 
BgL_periodzd2siza7ezd2nearzd2rat1102z75_302 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1102z75_222); 
BgL_z52z12dpause1103z40_303 = 
CBOOL(BgL_z52z12dpause1103z40_223); 
BgL_z52z12dabort1104z40_304 = 
CBOOL(BgL_z52z12dabort1104z40_224); 
BgL_z52z12stop1105z40_305 = 
CBOOL(BgL_z52z12stop1105z40_225); 
{ /* Llib/flac_padec.scm 35 */
 BgL_flaczd2pulseaudiodecoderzd2_bglt BgL_new1136z00_309;
{ /* Llib/flac_padec.scm 35 */
 BgL_flaczd2pulseaudiodecoderzd2_bglt BgL_new1135z00_310;
BgL_new1135z00_310 = 
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2pulseaudiodecoderzd2_bgl) ))); 
{ /* Llib/flac_padec.scm 35 */
 long BgL_arg1180z00_311;
BgL_arg1180z00_311 = 
BGL_CLASS_NUM(BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1135z00_310), BgL_arg1180z00_311); } 
BgL_new1136z00_309 = BgL_new1135z00_310; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_309)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1099z00_219)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_309)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1100z00_300),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_309)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1101z75_301),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_309)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1102z75_302),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_309)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1103z40_303),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_309)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1104z40_304),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_309)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1105z40_305),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_309)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1106z52_226)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_309)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1107z52_227)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1136z00_309)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1108z52_228)),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1136z00_309)))->BgL_z52flacz52)=((obj_t)BgL_z52flac1109z52_229),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1136z00_309)))->BgL_z52inseekz52)=((obj_t)BgL_z52inseek1110z52_230),BUNSPEC); 
{ /* Llib/flac_padec.scm 35 */
 obj_t BgL_fun1179z00_312;
BgL_fun1179z00_312 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1179z00_312))(BgL_fun1179z00_312, 
((obj_t)BgL_new1136z00_309), BEOA); } 
return BgL_new1136z00_309;} } } 

}



/* &<@anonymous:1169> */
obj_t BGl_z62zc3z04anonymousza31169ze3ze5zz__flac_padecz00(obj_t BgL_envz00_231, obj_t BgL_new1097z00_232)
{
{ /* Llib/flac_padec.scm 26 */
{ 
 BgL_flacpadecz00_bglt BgL_auxz00_542;
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)
0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z52flacbufz52)=((obj_t)
bgl_custom_nil()),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_outbufz00)=((obj_t)BGl_string1245z00zz__flac_padecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z52volumez52)=((double)((double)0.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z52bchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z52rchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z52musicz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z52bufferz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z52decoderz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z52ratez52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z52ratezd2maxz80)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z52ratezd2minz80)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_232))))->BgL_z52lastzd2percentagez80)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_542 = 
((BgL_flacpadecz00_bglt)BgL_new1097z00_232); 
return 
((obj_t)BgL_auxz00_542);} } 

}



/* &lambda1166 */
BgL_flacpadecz00_bglt BGl_z62lambda1166z62zz__flac_padecz00(obj_t BgL_envz00_233)
{
{ /* Llib/flac_padec.scm 26 */
{ /* Llib/flac_padec.scm 26 */
 BgL_flacpadecz00_bglt BgL_new1096z00_314;
BgL_new1096z00_314 = 
((BgL_flacpadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacpadecz00_bgl) ))); 
{ /* Llib/flac_padec.scm 26 */
 long BgL_arg1168z00_315;
BgL_arg1168z00_315 = 
BGL_CLASS_NUM(BGl_flacpadecz00zz__flac_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1096z00_314), BgL_arg1168z00_315); } 
return BgL_new1096z00_314;} } 

}



/* &lambda1158 */
BgL_flacpadecz00_bglt BGl_z62lambda1158z62zz__flac_padecz00(obj_t BgL_envz00_234, obj_t BgL_z42builtin1080z42_235, obj_t BgL_z52flacbuf1081z52_236, obj_t BgL_outbuf1082z00_237, obj_t BgL_z52eof1083z52_238, obj_t BgL_z52sample1084z52_239, obj_t BgL_z52volume1085z52_240, obj_t BgL_md5check1086z00_241, obj_t BgL_z52bchecksum1087z52_242, obj_t BgL_z52rchecksum1088z52_243, obj_t BgL_z52music1089z52_244, obj_t BgL_z52buffer1090z52_245, obj_t BgL_z52decoder1091z52_246, obj_t BgL_z52rate1092z52_247, obj_t BgL_z52ratezd2max1093z80_248, obj_t BgL_z52ratezd2min1094z80_249, obj_t BgL_z52lastzd2percentage1095z80_250)
{
{ /* Llib/flac_padec.scm 26 */
{ /* Llib/flac_padec.scm 26 */
 FLAC__StreamDecoder * BgL_z42builtin1080z42_316; bool_t BgL_z52eof1083z52_319; long BgL_z52sample1084z52_320; double BgL_z52volume1085z52_321; bool_t BgL_md5check1086z00_322; int BgL_z52bchecksum1087z52_323; int BgL_z52rchecksum1088z52_324; int BgL_z52rate1092z52_325; int BgL_z52ratezd2max1093z80_326; int BgL_z52ratezd2min1094z80_327; int BgL_z52lastzd2percentage1095z80_328;
BgL_z42builtin1080z42_316 = 
FOREIGN_TO_COBJ(BgL_z42builtin1080z42_235); 
BgL_z52eof1083z52_319 = 
CBOOL(BgL_z52eof1083z52_238); 
BgL_z52sample1084z52_320 = 
(long)CINT(BgL_z52sample1084z52_239); 
BgL_z52volume1085z52_321 = 
REAL_TO_DOUBLE(BgL_z52volume1085z52_240); 
BgL_md5check1086z00_322 = 
CBOOL(BgL_md5check1086z00_241); 
BgL_z52bchecksum1087z52_323 = 
CINT(BgL_z52bchecksum1087z52_242); 
BgL_z52rchecksum1088z52_324 = 
CINT(BgL_z52rchecksum1088z52_243); 
BgL_z52rate1092z52_325 = 
CINT(BgL_z52rate1092z52_247); 
BgL_z52ratezd2max1093z80_326 = 
CINT(BgL_z52ratezd2max1093z80_248); 
BgL_z52ratezd2min1094z80_327 = 
CINT(BgL_z52ratezd2min1094z80_249); 
BgL_z52lastzd2percentage1095z80_328 = 
CINT(BgL_z52lastzd2percentage1095z80_250); 
{ /* Llib/flac_padec.scm 26 */
 BgL_flacpadecz00_bglt BgL_new1134z00_329;
{ /* Llib/flac_padec.scm 26 */
 BgL_flacpadecz00_bglt BgL_new1133z00_330;
BgL_new1133z00_330 = 
((BgL_flacpadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacpadecz00_bgl) ))); 
{ /* Llib/flac_padec.scm 26 */
 long BgL_arg1165z00_331;
BgL_arg1165z00_331 = 
BGL_CLASS_NUM(BGl_flacpadecz00zz__flac_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_330), BgL_arg1165z00_331); } 
BgL_new1134z00_329 = BgL_new1133z00_330; } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_329)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_z42builtin1080z42_316),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_329)))->BgL_z52flacbufz52)=((obj_t)
((obj_t)BgL_z52flacbuf1081z52_236)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_329)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1082z00_237)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_329)))->BgL_z52eofz52)=((bool_t)BgL_z52eof1083z52_319),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_329)))->BgL_z52samplez52)=((long)BgL_z52sample1084z52_320),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_329)))->BgL_z52volumez52)=((double)BgL_z52volume1085z52_321),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_329)))->BgL_md5checkz00)=((bool_t)BgL_md5check1086z00_322),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_329)))->BgL_z52bchecksumz52)=((int)BgL_z52bchecksum1087z52_323),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1134z00_329)))->BgL_z52rchecksumz52)=((int)BgL_z52rchecksum1088z52_324),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_329)))->BgL_z52musicz52)=((obj_t)BgL_z52music1089z52_244),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_329)))->BgL_z52bufferz52)=((obj_t)BgL_z52buffer1090z52_245),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_329)))->BgL_z52decoderz52)=((obj_t)BgL_z52decoder1091z52_246),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_329)))->BgL_z52ratez52)=((int)BgL_z52rate1092z52_325),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_329)))->BgL_z52ratezd2maxz80)=((int)BgL_z52ratezd2max1093z80_326),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_329)))->BgL_z52ratezd2minz80)=((int)BgL_z52ratezd2min1094z80_327),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1134z00_329)))->BgL_z52lastzd2percentagez80)=((int)BgL_z52lastzd2percentage1095z80_328),BUNSPEC); 
{ /* Llib/flac_padec.scm 26 */
 obj_t BgL_fun1159z00_332;
BgL_fun1159z00_332 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacpadecz00zz__flac_padecz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1159z00_332))(BgL_fun1159z00_332, 
((obj_t)BgL_new1134z00_329), BEOA); } 
return BgL_new1134z00_329;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00, BGl_proc1246z00zz__flac_padecz00, BGl_string1247z00zz__flac_padecz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00, BGl_proc1248z00zz__flac_padecz00, BGl_string1249z00zz__flac_padecz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BGl_flacpadecz00zz__flac_padecz00, BGl_proc1250z00zz__flac_padecz00, BGl_string1251z00zz__flac_padecz00);} 

}



/* &flac-decoder-metadat1146 */
obj_t BGl_z62flaczd2decoderzd2metadat1146z62zz__flac_padecz00(obj_t BgL_envz00_259, obj_t BgL_oz00_260, obj_t BgL_totalz00_261, obj_t BgL_ratez00_262, obj_t BgL_channelsz00_263, obj_t BgL_bpsz00_264)
{
{ /* Llib/flac_padec.scm 78 */
{ /* Llib/flac_padec.scm 80 */
 BgL_pulseaudiomusicz00_bglt BgL_i1130z00_334;
BgL_i1130z00_334 = 
((BgL_pulseaudiomusicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_oz00_260))))->BgL_z52musicz52)); 
{ /* Llib/flac_padec.scm 81 */
 obj_t BgL_arg1221z00_335; BgL_pulseaudiozd2simplezd2_bglt BgL_arg1222z00_336;
BgL_arg1221z00_335 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_oz00_260))))->BgL_z52musicz52); 
{ /* Llib/flac_padec.scm 82 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_new1132z00_337;
{ /* Llib/flac_padec.scm 82 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_new1131z00_338;
BgL_new1131z00_338 = 
((BgL_pulseaudiozd2simplezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pulseaudiozd2simplezd2_bgl) ))); 
{ /* Llib/flac_padec.scm 82 */
 long BgL_arg1227z00_339;
BgL_arg1227z00_339 = 
BGL_CLASS_NUM(BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_338), BgL_arg1227z00_339); } 
BgL_new1132z00_337 = BgL_new1131z00_338; } 
{ 
 void * BgL_auxz00_674;
{ /* Llib/flac_padec.scm 82 */
 obj_t BgL_arg1223z00_340;
{ /* Llib/flac_padec.scm 82 */
 obj_t BgL_arg1225z00_341;
{ /* Llib/flac_padec.scm 82 */
 obj_t BgL_classz00_342;
BgL_classz00_342 = BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00; 
BgL_arg1225z00_341 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_342); } 
BgL_arg1223z00_340 = 
VECTOR_REF(BgL_arg1225z00_341,((long)0)); } 
BgL_auxz00_674 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1223z00_340)); } 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_337))->BgL_z42builtinz42)=((pa_simple *)BgL_auxz00_674),BUNSPEC); } 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_337))->BgL_srvnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_337))->BgL_namez00)=((obj_t)
(((BgL_pulseaudiomusicz00_bglt)COBJECT(BgL_i1130z00_334))->BgL_namez00)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_337))->BgL_streamz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_337))->BgL_ratez00)=((long)
(long)CINT(BgL_ratez00_262)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_337))->BgL_channelsz00)=((long)
(long)CINT(BgL_channelsz00_263)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_337))->BgL_bpsz00)=((int)
CINT(BgL_bpsz00_264)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1132z00_337))->BgL_formatz00)=((obj_t)
CNST_TABLE_REF(((long)3))),BUNSPEC); 
{ /* Llib/flac_padec.scm 82 */
 obj_t BgL_fun1226z00_343;
BgL_fun1226z00_343 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1226z00_343))(BgL_fun1226z00_343, 
((obj_t)BgL_new1132z00_337), BEOA); } 
BgL_arg1222z00_336 = BgL_new1132z00_337; } 
return 
BGl_pulseaudiomusiczd2simplezd2setz12z12zz__pulseaudio_musicz00(
((BgL_pulseaudiomusicz00_bglt)BgL_arg1221z00_335), BgL_arg1222z00_336);} } } 

}



/* &musicdecoder-decode-1144 */
obj_t BGl_z62musicdecoderzd2decodezd21144z62zz__flac_padecz00(obj_t BgL_envz00_265, obj_t BgL_decz00_266, obj_t BgL_amz00_267, obj_t BgL_bufferz00_268)
{
{ /* Llib/flac_padec.scm 55 */
if(
CBOOL(
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_266))))->BgL_z52flacz52)))
{ /* Llib/flac_padec.scm 59 */BFALSE; }  else 
{ 
 obj_t BgL_auxz00_705;
{ /* Llib/flac_padec.scm 59 */
 BgL_flacpadecz00_bglt BgL_new1119z00_347;
{ /* Llib/flac_padec.scm 59 */
 BgL_flacpadecz00_bglt BgL_new1118z00_348;
BgL_new1118z00_348 = 
((BgL_flacpadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacpadecz00_bgl) ))); 
{ /* Llib/flac_padec.scm 59 */
 long BgL_arg1208z00_349;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_classz00_350;
BgL_classz00_350 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1208z00_349 = 
BGL_CLASS_NUM(BgL_classz00_350); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_348), BgL_arg1208z00_349); } 
BgL_new1119z00_347 = BgL_new1118z00_348; } 
{ 
 void * BgL_auxz00_712;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_arg1199z00_351;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_arg1201z00_352;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_classz00_353;
BgL_classz00_353 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1201z00_352 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_353); } 
BgL_arg1199z00_351 = 
VECTOR_REF(BgL_arg1201z00_352,((long)0)); } 
BgL_auxz00_712 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1199z00_351)); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_347)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_auxz00_712),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_719;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_arg1202z00_354;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_arg1206z00_355;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_classz00_356;
BgL_classz00_356 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1206z00_355 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_356); } 
BgL_arg1202z00_354 = 
VECTOR_REF(BgL_arg1206z00_355,((long)1)); } 
BgL_auxz00_719 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1202z00_354); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_347)))->BgL_z52flacbufz52)=((obj_t)BgL_auxz00_719),BUNSPEC); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_347)))->BgL_outbufz00)=((obj_t)BGl_string1245z00zz__flac_padecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_347)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_347)))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_347)))->BgL_z52volumez52)=((double)((double)1.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_347)))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_347)))->BgL_z52bchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1119z00_347)))->BgL_z52rchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_347)))->BgL_z52musicz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_347)))->BgL_z52bufferz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_347)))->BgL_z52decoderz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_347)))->BgL_z52ratez52)=((int)
(int)(((long)80))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_347)))->BgL_z52ratezd2maxz80)=((int)
(int)(((long)80))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_347)))->BgL_z52ratezd2minz80)=((int)
(int)(((long)50))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1119z00_347)))->BgL_z52lastzd2percentagez80)=((int)
(int)(((long)0))),BUNSPEC); 
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_fun1207z00_357;
BgL_fun1207z00_357 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacpadecz00zz__flac_padecz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1207z00_357))(BgL_fun1207z00_357, 
((obj_t)BgL_new1119z00_347), BEOA); } 
BgL_auxz00_705 = 
((obj_t)BgL_new1119z00_347); } 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_266))))->BgL_z52flacz52)=((obj_t)BgL_auxz00_705),BUNSPEC); } 
{ /* Llib/flac_padec.scm 60 */
 BgL_flacpadecz00_bglt BgL_i1120z00_358;
BgL_i1120z00_358 = 
((BgL_flacpadecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_266))))->BgL_z52flacz52)); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_i1120z00_358)))->BgL_z52bufferz52)=((obj_t)
((obj_t)
((BgL_musicbufferz00_bglt)BgL_bufferz00_268))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_i1120z00_358)))->BgL_z52musicz52)=((obj_t)
((obj_t)
((BgL_musicbufz00_bglt)BgL_amz00_267))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_i1120z00_358)))->BgL_z52decoderz52)=((obj_t)
((obj_t)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_266))),BUNSPEC); 
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_exitd1123z00_359;
BgL_exitd1123z00_359 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac_padec.scm 71 */
 obj_t BgL_zc3z04anonymousza31216ze3z87_360;
BgL_zc3z04anonymousza31216ze3z87_360 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31216ze3ze5zz__flac_padecz00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_360, 
(int)(((long)0)), 
((obj_t)BgL_i1120z00_358)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_360, 
(int)(((long)1)), 
((obj_t)
((BgL_pulseaudiomusicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_267)))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_360, 
(int)(((long)2)), 
((obj_t)
((BgL_musicbufz00_bglt)BgL_amz00_267))); 
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1812z00_361;
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1813z00_362;
BgL_arg1813z00_362 = 
BGL_EXITD_PROTECT(BgL_exitd1123z00_359); 
BgL_arg1812z00_361 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31216ze3z87_360, BgL_arg1813z00_362); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1123z00_359, BgL_arg1812z00_361); BUNSPEC; } 
{ /* Llib/flac_padec.scm 67 */
 obj_t BgL_tmp1125z00_363;
{ /* Llib/flac_padec.scm 67 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_i1128z00_364;
BgL_i1128z00_364 = 
(((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_267))))->BgL_simplez00); 
if(
(
(long)(
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_i1128z00_364))->BgL_bpsz00))<=((long)16)))
{ /* Llib/flac_padec.scm 69 */
 obj_t BgL_arg1213z00_365;
BgL_arg1213z00_365 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_266))))->BgL_z52flacz52); 
BgL_tmp1125z00_363 = 
BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1213z00_365)); }  else 
{ /* Llib/flac_padec.scm 70 */
 obj_t BgL_arg1214z00_366;
BgL_arg1214z00_366 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_266))))->BgL_z52flacz52); 
BgL_tmp1125z00_363 = 
BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1214z00_366)); } } 
{ /* Llib/flac_padec.scm 66 */
 bool_t BgL_test1277z00_819;
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1811z00_367;
BgL_arg1811z00_367 = 
BGL_EXITD_PROTECT(BgL_exitd1123z00_359); 
BgL_test1277z00_819 = 
PAIRP(BgL_arg1811z00_367); } 
if(BgL_test1277z00_819)
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1809z00_368;
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1810z00_369;
BgL_arg1810z00_369 = 
BGL_EXITD_PROTECT(BgL_exitd1123z00_359); 
BgL_arg1809z00_368 = 
CDR(
((obj_t)BgL_arg1810z00_369)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1123z00_359, BgL_arg1809z00_368); BUNSPEC; }  else 
{ /* Llib/flac_padec.scm 66 */BFALSE; } } 
BGl_z62zc3z04anonymousza31216ze3ze5zz__flac_padecz00(BgL_zc3z04anonymousza31216ze3z87_360); 
return BgL_tmp1125z00_363;} } } } } 

}



/* &<@anonymous:1216> */
obj_t BGl_z62zc3z04anonymousza31216ze3ze5zz__flac_padecz00(obj_t BgL_envz00_269)
{
{ /* Llib/flac_padec.scm 66 */
{ /* Llib/flac_padec.scm 71 */
 BgL_flacpadecz00_bglt BgL_i1120z00_270; BgL_pulseaudiomusicz00_bglt BgL_i1121z00_271; BgL_musicbufz00_bglt BgL_amz00_272;
BgL_i1120z00_270 = 
((BgL_flacpadecz00_bglt)
PROCEDURE_REF(BgL_envz00_269, 
(int)(((long)0)))); 
BgL_i1121z00_271 = 
((BgL_pulseaudiomusicz00_bglt)
PROCEDURE_REF(BgL_envz00_269, 
(int)(((long)1)))); 
BgL_amz00_272 = 
((BgL_musicbufz00_bglt)
PROCEDURE_REF(BgL_envz00_269, 
(int)(((long)2)))); 
{ /* Llib/flac_padec.scm 71 */
 BgL_musicbufferz00_bglt BgL_i1127z00_370;
BgL_i1127z00_370 = 
((BgL_musicbufferz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_i1120z00_270)))->BgL_z52bufferz52)); 
{ /* Llib/flac_padec.scm 72 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_arg1218z00_371;
BgL_arg1218z00_371 = 
(((BgL_pulseaudiomusicz00_bglt)COBJECT(BgL_i1121z00_271))->BgL_simplez00); 
{ /* Llib/flac_padec.scm 72 */
 int BgL_errz00_372;
BgL_errz00_372 = 
(int)(((long)0)); 
{ /* Llib/flac_padec.scm 72 */
 pa_simple * BgL_arg1083z00_373; int * BgL_arg1084z00_374;
BgL_arg1083z00_373 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_arg1218z00_371))->BgL_z42builtinz42); 
BgL_arg1084z00_374 = 
&(BgL_errz00_372); 
pa_simple_flush(BgL_arg1083z00_373, BgL_arg1084z00_374); } 
if(
(
(long)(BgL_errz00_372)<((long)0)))
{ /* Llib/flac_padec.scm 72 */
 char * BgL_arg1086z00_375;
{ /* Llib/flac_padec.scm 72 */
 int BgL_tmpz00_847;
BgL_tmpz00_847 = 
(int)(((long)0)); 
BgL_arg1086z00_375 = 
pa_strerror(BgL_tmpz00_847); } 
BINT(
bgl_pulseaudio_error(
BSTRING_TO_STRING(BGl_string1252z00zz__flac_padecz00), BgL_arg1086z00_375, 
BINT(((long)0)))); }  else 
{ /* Llib/flac_padec.scm 72 */BFALSE; } } } 
{ /* Llib/flac_padec.scm 73 */
 obj_t BgL_arg1219z00_376;
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1127z00_370))->BgL_z52eofz52))
{ /* Llib/flac_padec.scm 73 */
BgL_arg1219z00_376 = 
CNST_TABLE_REF(((long)4)); }  else 
{ /* Llib/flac_padec.scm 73 */
BgL_arg1219z00_376 = 
CNST_TABLE_REF(((long)5)); } 
return 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_amz00_272), BgL_arg1219z00_376);} } } } 

}



/* &musicdecoder-init-fl1142 */
obj_t BGl_z62musicdecoderzd2initzd2fl1142z62zz__flac_padecz00(obj_t BgL_envz00_273, obj_t BgL_decz00_274)
{
{ /* Llib/flac_padec.scm 47 */
{ 

{ /* Llib/flac_padec.scm 47 */
 obj_t BgL_nextzd2method1141zd2_379;
BgL_nextzd2method1141zd2_379 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_274)), BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1141zd2_379))(BgL_nextzd2method1141zd2_379, 
((obj_t)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_274)), BEOA); } 
if(
CBOOL(
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_274))))->BgL_z52flacz52)))
{ /* Llib/flac_padec.scm 50 */
return BFALSE;}  else 
{ 
 obj_t BgL_auxz00_874;
{ /* Llib/flac_padec.scm 50 */
 BgL_flacpadecz00_bglt BgL_new1116z00_380;
{ /* Llib/flac_padec.scm 50 */
 BgL_flacpadecz00_bglt BgL_new1115z00_381;
BgL_new1115z00_381 = 
((BgL_flacpadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacpadecz00_bgl) ))); 
{ /* Llib/flac_padec.scm 50 */
 long BgL_arg1197z00_382;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_classz00_383;
BgL_classz00_383 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1197z00_382 = 
BGL_CLASS_NUM(BgL_classz00_383); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_381), BgL_arg1197z00_382); } 
BgL_new1116z00_380 = BgL_new1115z00_381; } 
{ 
 void * BgL_auxz00_881;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_arg1187z00_384;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_arg1189z00_385;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_classz00_386;
BgL_classz00_386 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1189z00_385 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_386); } 
BgL_arg1187z00_384 = 
VECTOR_REF(BgL_arg1189z00_385,((long)0)); } 
BgL_auxz00_881 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1187z00_384)); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_380)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_auxz00_881),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_888;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_arg1190z00_387;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_arg1194z00_388;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_classz00_389;
BgL_classz00_389 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1194z00_388 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_389); } 
BgL_arg1190z00_387 = 
VECTOR_REF(BgL_arg1194z00_388,((long)1)); } 
BgL_auxz00_888 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1190z00_387); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_380)))->BgL_z52flacbufz52)=((obj_t)BgL_auxz00_888),BUNSPEC); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_380)))->BgL_outbufz00)=((obj_t)BGl_string1245z00zz__flac_padecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_380)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_380)))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_380)))->BgL_z52volumez52)=((double)((double)1.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_380)))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_380)))->BgL_z52bchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1116z00_380)))->BgL_z52rchecksumz52)=((int)
(int)(((long)128))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_380)))->BgL_z52musicz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_380)))->BgL_z52bufferz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_380)))->BgL_z52decoderz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_380)))->BgL_z52ratez52)=((int)
(int)(((long)80))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_380)))->BgL_z52ratezd2maxz80)=((int)
(int)(((long)80))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_380)))->BgL_z52ratezd2minz80)=((int)
(int)(((long)50))),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1116z00_380)))->BgL_z52lastzd2percentagez80)=((int)
(int)(((long)0))),BUNSPEC); 
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_fun1195z00_390;
BgL_fun1195z00_390 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacpadecz00zz__flac_padecz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1195z00_390))(BgL_fun1195z00_390, 
((obj_t)BgL_new1116z00_380), BEOA); } 
BgL_auxz00_874 = 
((obj_t)BgL_new1116z00_380); } 
return 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_274))))->BgL_z52flacz52)=((obj_t)BgL_auxz00_874),BUNSPEC);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
BGl_modulezd2initializa7ationz75zz__flac_flacz00(((long)107017853), 
BSTRING_TO_STRING(BGl_string1253z00zz__flac_padecz00)); 
return 
BGl_modulezd2initializa7ationz75zz__flac_decoderz00(((long)630617), 
BSTRING_TO_STRING(BGl_string1253z00zz__flac_padecz00));} 

}

#ifdef __cplusplus
}
#endif
