/*===========================================================================*/
/*   (Llib/_pthread.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IPosix Llib/_pthread.scm -o objs/_pthread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_uncaughtzd2exceptionzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_reasonz00;
} *BgL_uncaughtzd2exceptionzd2_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_z52sigjoinz52_bgl {
   header_t header;
   obj_t widening;
   struct BgL_fthreadz00_bgl * BgL_threadz00;
} *BgL_z52sigjoinz52_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;


static obj_t BGl_requirezd2initializa7ationz75zz__ft_z52pthreadz52 = BUNSPEC;
static obj_t BGl_z62objectzd2displayzd2z52pthr1104z30zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31122ze3ze5zz__ft_z52pthreadz52(obj_t);
static obj_t BGl_z62terminatez62zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
static obj_t BGl_toplevelzd2initzd2zz__ft_z52pthreadz52(void);
BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT void * BGl_z42pthreadzd2nilz90zz__pth_threadz00(void);
static obj_t BGl_z62zc3z04anonymousza31140ze3ze5zz__ft_z52pthreadz52(obj_t);
static obj_t BGl_z62objectzd2writezd2z52pthrea1102z30zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__ft_z52pthreadz52(void);
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_broadcastz12z12zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__ft_z52pthreadz52(void);
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t BGl_z52schedulerz52zz__ft_z52typesz52;
static obj_t BGl_z62z52pthreadzd2enterzd2schedulerz30zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza31160ze3ze5zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_z52threadzd2killz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62z52pthreadzd2leavezd2schedulerz30zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_z62z52asynczd2schedulerzd2notifyz30zz__ft_z52pthreadz52(obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_methodzd2initzd2zz__ft_z52pthreadz52(void);
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_z52sigjoinz52zz__ft_typesz00;
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62z52userzd2currentzd2thread1106z30zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_z62z52userzd2currentzd2thread1112z30zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t BGl_uncaughtzd2exceptionzd2zz__pth_threadz00;
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52asynczd2schedulerzd2waitz30zz__ft_z52pthreadz52(obj_t, obj_t);
extern obj_t BGl_z52pthreadz52zz__ft_z52typesz52;
static obj_t BGl_z62z52userzd2threadzd2sleepz12zd21110zf0zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62z52userzd2threadzd2sleepz12zd21116zf0zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31281ze3ze5zz__ft_z52pthreadz52(obj_t);
static obj_t BGl_z62z52pthreadzd2waitze2zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31169ze3ze5zz__ft_z52pthreadz52(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z52getzd2schedulerzd2tokenz52zz__ft_z52pthreadz52(void);
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(obj_t, BgL_z52pthreadz52_bglt);
static obj_t BGl_z62z52pthreadzd2switchze2zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_currentzd2threadzd2zz__threadz00(void);
static obj_t BGl_zc3z04exitza31156ze3ze70z60zz__ft_z52pthreadz52(BgL_fthreadz00_bglt, BgL_fthreadz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
static obj_t BGl_z62z52asynczd2spawnze2zz__ft_z52pthreadz52(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_schedulerz00zz__ft_typesz00;
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_z52pthreadz52(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52pthreadz52(void);
extern obj_t BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52pthreadz52(void);
static obj_t BGl_gczd2rootszd2initz00zz__ft_z52pthreadz52(void);
static obj_t BGl_z62z52asynczd2synchroniza7ez45zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52 = BUNSPEC;
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
extern obj_t BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt, int);
static obj_t BGl_z62z52pthreadzd2newze2zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_z62z52userzd2threadzd2yieldz12zd21108zf0zz__ft_z52pthreadz52(obj_t, obj_t);
extern obj_t BGl_currentzd2schedulerzd2zz__ft_schedulerz00(void);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(BgL_z52schedulerz52_bglt);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52fschedulerzd2newze2zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_z62z52userzd2threadzd2yieldz12zd21114zf0zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT obj_t bgl_find_runtime_type(obj_t);
static obj_t BGl_z52setzd2schedulerzd2tokenz12z40zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
extern obj_t BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(obj_t);
static obj_t BGl_z62z52asynczd2asynchroniza7ez45zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2enterzd2schedulerzd2envz80zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21461za7, BGl_z62z52pthreadzd2enterzd2schedulerz30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1414z00zz__ft_z52pthreadz52, BgL_bgl_string1414za700za7za7_1462za7, "Llib/_pthread.scm", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2switchzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21463za7, BGl_z62z52pthreadzd2switchze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1416z00zz__ft_z52pthreadz52, BgL_bgl_string1416za700za7za7_1464za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/fthread/src/Llib/_pthread.scm", 69 );
DEFINE_STRING( BGl_string1417z00zz__ft_z52pthreadz52, BgL_bgl_string1417za700za7za7_1465za7, "&%fscheduler-new", 16 );
DEFINE_STRING( BGl_string1418z00zz__ft_z52pthreadz52, BgL_bgl_string1418za700za7za7_1466za7, "%scheduler", 10 );
DEFINE_STRING( BGl_string1419z00zz__ft_z52pthreadz52, BgL_bgl_string1419za700za7za7_1467za7, "&%pthread-new", 13 );
DEFINE_STRING( BGl_string1420z00zz__ft_z52pthreadz52, BgL_bgl_string1420za700za7za7_1468za7, "fthread", 7 );
DEFINE_STRING( BGl_string1421z00zz__ft_z52pthreadz52, BgL_bgl_string1421za700za7za7_1469za7, "Illegal cleanup function", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1415z00zz__ft_z52pthreadz52, BgL_bgl_za762za7c3za704anonymo1470za7, BGl_z62zc3z04anonymousza31122ze3ze5zz__ft_z52pthreadz52, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1422z00zz__ft_z52pthreadz52, BgL_bgl_string1422za700za7za7_1471za7, "&%pthread-wait", 14 );
DEFINE_STRING( BGl_string1423z00zz__ft_z52pthreadz52, BgL_bgl_string1423za700za7za7_1472za7, "%pthread", 8 );
DEFINE_STRING( BGl_string1424z00zz__ft_z52pthreadz52, BgL_bgl_string1424za700za7za7_1473za7, "&%pthread-switch", 16 );
DEFINE_STRING( BGl_string1425z00zz__ft_z52pthreadz52, BgL_bgl_string1425za700za7za7_1474za7, "Bogus (current-thread) procedure", 32 );
DEFINE_STRING( BGl_string1426z00zz__ft_z52pthreadz52, BgL_bgl_string1426za700za7za7_1475za7, "Undefined current-thread", 24 );
DEFINE_STRING( BGl_string1427z00zz__ft_z52pthreadz52, BgL_bgl_string1427za700za7za7_1476za7, "&%pthread-enter-scheduler", 25 );
DEFINE_STRING( BGl_string1428z00zz__ft_z52pthreadz52, BgL_bgl_string1428za700za7za7_1477za7, "&%pthread-leave-scheduler", 25 );
DEFINE_STRING( BGl_string1429z00zz__ft_z52pthreadz52, BgL_bgl_string1429za700za7za7_1478za7, "&%async-spawn", 13 );
DEFINE_STRING( BGl_string1430z00zz__ft_z52pthreadz52, BgL_bgl_string1430za700za7za7_1479za7, "procedure", 9 );
DEFINE_STRING( BGl_string1431z00zz__ft_z52pthreadz52, BgL_bgl_string1431za700za7za7_1480za7, "&%async-synchronize", 19 );
DEFINE_STRING( BGl_string1432z00zz__ft_z52pthreadz52, BgL_bgl_string1432za700za7za7_1481za7, "&%async-asynchronize", 20 );
DEFINE_STRING( BGl_string1433z00zz__ft_z52pthreadz52, BgL_bgl_string1433za700za7za7_1482za7, "&%async-scheduler-wait", 22 );
DEFINE_STRING( BGl_string1434z00zz__ft_z52pthreadz52, BgL_bgl_string1434za700za7za7_1483za7, "&%async-scheduler-notify", 24 );
DEFINE_STRING( BGl_string1436z00zz__ft_z52pthreadz52, BgL_bgl_string1436za700za7za7_1484za7, "object-write", 12 );
DEFINE_STRING( BGl_string1438z00zz__ft_z52pthreadz52, BgL_bgl_string1438za700za7za7_1485za7, "object-display", 14 );
DEFINE_STRING( BGl_string1440z00zz__ft_z52pthreadz52, BgL_bgl_string1440za700za7za7_1486za7, "%user-current-thread", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1435z00zz__ft_z52pthreadz52, BgL_bgl_za762objectza7d2writ1487z00, va_generic_entry, BGl_z62objectzd2writezd2z52pthrea1102z30zz__ft_z52pthreadz52, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1442z00zz__ft_z52pthreadz52, BgL_bgl_string1442za700za7za7_1488za7, "%user-thread-yield!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1437z00zz__ft_z52pthreadz52, BgL_bgl_za762objectza7d2disp1489z00, va_generic_entry, BGl_z62objectzd2displayzd2z52pthr1104z30zz__ft_z52pthreadz52, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1444z00zz__ft_z52pthreadz52, BgL_bgl_string1444za700za7za7_1490za7, "%user-thread-sleep!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1439z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2cur1491za7, BGl_z62z52userzd2currentzd2thread1106z30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1448z00zz__ft_z52pthreadz52, BgL_bgl_string1448za700za7za7_1492za7, "*self*", 6 );
DEFINE_STRING( BGl_string1449z00zz__ft_z52pthreadz52, BgL_bgl_string1449za700za7za7_1493za7, ">", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1441z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2thr1494za7, BGl_z62z52userzd2threadzd2yieldz12zd21108zf0zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1443z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2thr1495za7, BGl_z62z52userzd2threadzd2sleepz12zd21110zf0zz__ft_z52pthreadz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1450z00zz__ft_z52pthreadz52, BgL_bgl_string1450za700za7za7_1496za7, " parent:", 8 );
DEFINE_STRING( BGl_string1451z00zz__ft_z52pthreadz52, BgL_bgl_string1451za700za7za7_1497za7, "#<%pthread:", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1445z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2cur1498za7, BGl_z62z52userzd2currentzd2thread1112z30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1452z00zz__ft_z52pthreadz52, BgL_bgl_string1452za700za7za7_1499za7, "__ft_%pthread", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1446z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2thr1500za7, BGl_z62z52userzd2threadzd2yieldz12zd21114zf0zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1453z00zz__ft_z52pthreadz52, BgL_bgl_string1453za700za7za7_1501za7, "async %pthread-enter-scheduler ", 31 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1447z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2thr1502za7, BGl_z62z52userzd2threadzd2sleepz12zd21116zf0zz__ft_z52pthreadz52, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2spawnzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2sp1503za7, BGl_z62z52asynczd2spawnze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 3 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2schedulerzd2notifyzd2envz80zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2sc1504za7, BGl_z62z52asynczd2schedulerzd2notifyz30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2schedulerzd2waitzd2envz80zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2sc1505za7, BGl_z62z52asynczd2schedulerzd2waitz30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_z52userzd2threadzd2sleepz12zd2envz92zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2synchroniza7ezd2envzf5zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2sy1506za7, BGl_z62z52asynczd2synchroniza7ez45zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_z52userzd2currentzd2threadzd2envz80zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2waitzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21507za7, BGl_z62z52pthreadzd2waitze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2asynchroniza7ezd2envzf5zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2as1508za7, BGl_z62z52asynczd2asynchroniza7ez45zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2newzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21509za7, BGl_z62z52pthreadzd2newze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52fschedulerzd2newzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752fscheduler1510z00, BGl_z62z52fschedulerzd2newze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2leavezd2schedulerzd2envz80zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21511za7, BGl_z62z52pthreadzd2leavezd2schedulerz30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_z52pthreadz52) );
ADD_ROOT( (void *)(&BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long BgL_checksumz00_1061, char * BgL_fromz00_1062)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_z52pthreadz52))
{ 
BGl_requirezd2initializa7ationz75zz__ft_z52pthreadz52 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_z52pthreadz52(); 
BGl_libraryzd2moduleszd2initz00zz__ft_z52pthreadz52(); 
BGl_cnstzd2initzd2zz__ft_z52pthreadz52(); 
BGl_importedzd2moduleszd2initz00zz__ft_z52pthreadz52(); 
BGl_methodzd2initzd2zz__ft_z52pthreadz52(); 
return 
BGl_toplevelzd2initzd2zz__ft_z52pthreadz52();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ft_%pthread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_cportz00_955;
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_stringz00_962;
BgL_stringz00_962 = BGl_string1453z00zz__ft_z52pthreadz52; 
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_startz00_963;
BgL_startz00_963 = 
BINT(((long)0)); 
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_endz00_964;
BgL_endz00_964 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_962))); 
{ /* Llib/_pthread.scm 6 */

BgL_cportz00_955 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_962, BgL_startz00_963, BgL_endz00_964); } } } } 
{ 
 long BgL_iz00_956;
BgL_iz00_956 = ((long)1); 
BgL_loopz00_957:
if(
(BgL_iz00_956==((long)-1)))
{ /* Llib/_pthread.scm 6 */
return BUNSPEC;}  else 
{ /* Llib/_pthread.scm 6 */
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_arg1460z00_958;
{ /* Llib/_pthread.scm 6 */

{ /* Llib/_pthread.scm 6 */
 obj_t BgL_locationz00_960;
BgL_locationz00_960 = 
BBOOL(((bool_t)0)); 
{ /* Llib/_pthread.scm 6 */

BgL_arg1460z00_958 = 
BGl_readz00zz__readerz00(BgL_cportz00_955, BgL_locationz00_960); } } } 
{ /* Llib/_pthread.scm 6 */
 int BgL_tmpz00_1097;
BgL_tmpz00_1097 = 
(int)(BgL_iz00_956); 
CNST_TABLE_SET(BgL_tmpz00_1097, BgL_arg1460z00_958); } } 
{ /* Llib/_pthread.scm 6 */
 int BgL_auxz00_961;
BgL_auxz00_961 = 
(int)(
(BgL_iz00_956-((long)1))); 
{ 
 long BgL_iz00_1102;
BgL_iz00_1102 = 
(long)(BgL_auxz00_961); 
BgL_iz00_956 = BgL_iz00_1102; 
goto BgL_loopz00_957;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1414z00zz__ft_z52pthreadz52)); 
BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52 = BFALSE; 
return BUNSPEC;} 

}



/* %get-scheduler-token */
obj_t BGl_z52getzd2schedulerzd2tokenz52zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 36 */
{ /* Llib/_pthread.scm 37 */
 obj_t BgL_scdlz00_39;
BgL_scdlz00_39 = 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00(); 
{ /* Llib/_pthread.scm 38 */
 bool_t BgL_test1514z00_1108;
{ /* Llib/_pthread.scm 38 */
 obj_t BgL_classz00_276;
BgL_classz00_276 = BGl_z52schedulerz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_scdlz00_39))
{ /* Llib/_pthread.scm 38 */
 BgL_objectz00_bglt BgL_arg1793z00_278;
BgL_arg1793z00_278 = 
(BgL_objectz00_bglt)(BgL_scdlz00_39); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 38 */
 long BgL_idxz00_284;
BgL_idxz00_284 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_278); 
BgL_test1514z00_1108 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_284+((long)4)))==BgL_classz00_276); }  else 
{ /* Llib/_pthread.scm 38 */
 bool_t BgL_res1364z00_306;
{ /* Llib/_pthread.scm 38 */
 obj_t BgL_oclassz00_292;
{ /* Llib/_pthread.scm 38 */
 long BgL_arg1801z00_298;
{ /* Llib/_pthread.scm 38 */
 long BgL_arg1802z00_299;
BgL_arg1802z00_299 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_278); 
BgL_arg1801z00_298 = 
(BgL_arg1802z00_299-OBJECT_TYPE); } 
BgL_oclassz00_292 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_298); } 
{ /* Llib/_pthread.scm 38 */
 bool_t BgL__ortest_1110z00_293;
BgL__ortest_1110z00_293 = 
(BgL_classz00_276==BgL_oclassz00_292); 
if(BgL__ortest_1110z00_293)
{ /* Llib/_pthread.scm 38 */
BgL_res1364z00_306 = BgL__ortest_1110z00_293; }  else 
{ /* Llib/_pthread.scm 38 */
 long BgL_odepthz00_294;
BgL_odepthz00_294 = 
BGL_CLASS_DEPTH(BgL_oclassz00_292); 
if(
(((long)4)<BgL_odepthz00_294))
{ /* Llib/_pthread.scm 38 */
 obj_t BgL_arg1790z00_296;
BgL_arg1790z00_296 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_292, ((long)4)); 
BgL_res1364z00_306 = 
(BgL_arg1790z00_296==BgL_classz00_276); }  else 
{ /* Llib/_pthread.scm 38 */
BgL_res1364z00_306 = ((bool_t)0); } } } } 
BgL_test1514z00_1108 = BgL_res1364z00_306; } }  else 
{ /* Llib/_pthread.scm 38 */
BgL_test1514z00_1108 = ((bool_t)0)
; } } 
if(BgL_test1514z00_1108)
{ /* Llib/_pthread.scm 38 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_39)))->BgL_currentzd2tokenzd2);}  else 
{ /* Llib/_pthread.scm 38 */
return BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52;} } } } 

}



/* %set-scheduler-token! */
obj_t BGl_z52setzd2schedulerzd2tokenz12z40zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_tokenz00_3)
{
{ /* Llib/_pthread.scm 43 */
{ /* Llib/_pthread.scm 44 */
 obj_t BgL_scdlz00_42;
BgL_scdlz00_42 = 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00(); 
{ /* Llib/_pthread.scm 45 */
 bool_t BgL_test1519z00_1131;
{ /* Llib/_pthread.scm 45 */
 obj_t BgL_classz00_307;
BgL_classz00_307 = BGl_z52schedulerz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_scdlz00_42))
{ /* Llib/_pthread.scm 45 */
 BgL_objectz00_bglt BgL_arg1793z00_309;
BgL_arg1793z00_309 = 
(BgL_objectz00_bglt)(BgL_scdlz00_42); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 45 */
 long BgL_idxz00_315;
BgL_idxz00_315 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_309); 
BgL_test1519z00_1131 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_315+((long)4)))==BgL_classz00_307); }  else 
{ /* Llib/_pthread.scm 45 */
 bool_t BgL_res1365z00_337;
{ /* Llib/_pthread.scm 45 */
 obj_t BgL_oclassz00_323;
{ /* Llib/_pthread.scm 45 */
 long BgL_arg1801z00_329;
{ /* Llib/_pthread.scm 45 */
 long BgL_arg1802z00_330;
BgL_arg1802z00_330 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_309); 
BgL_arg1801z00_329 = 
(BgL_arg1802z00_330-OBJECT_TYPE); } 
BgL_oclassz00_323 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_329); } 
{ /* Llib/_pthread.scm 45 */
 bool_t BgL__ortest_1110z00_324;
BgL__ortest_1110z00_324 = 
(BgL_classz00_307==BgL_oclassz00_323); 
if(BgL__ortest_1110z00_324)
{ /* Llib/_pthread.scm 45 */
BgL_res1365z00_337 = BgL__ortest_1110z00_324; }  else 
{ /* Llib/_pthread.scm 45 */
 long BgL_odepthz00_325;
BgL_odepthz00_325 = 
BGL_CLASS_DEPTH(BgL_oclassz00_323); 
if(
(((long)4)<BgL_odepthz00_325))
{ /* Llib/_pthread.scm 45 */
 obj_t BgL_arg1790z00_327;
BgL_arg1790z00_327 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_323, ((long)4)); 
BgL_res1365z00_337 = 
(BgL_arg1790z00_327==BgL_classz00_307); }  else 
{ /* Llib/_pthread.scm 45 */
BgL_res1365z00_337 = ((bool_t)0); } } } } 
BgL_test1519z00_1131 = BgL_res1365z00_337; } }  else 
{ /* Llib/_pthread.scm 45 */
BgL_test1519z00_1131 = ((bool_t)0)
; } } 
if(BgL_test1519z00_1131)
{ /* Llib/_pthread.scm 45 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_42)))->BgL_currentzd2tokenzd2)=((obj_t)
((obj_t)BgL_tokenz00_3)),BUNSPEC);}  else 
{ /* Llib/_pthread.scm 45 */
return ( 
BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52 = 
((obj_t)BgL_tokenz00_3), BUNSPEC) ;} } } } 

}



/* %fscheduler-new */
BGL_EXPORTED_DEF obj_t BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(BgL_z52schedulerz52_bglt BgL_scdlz00_4)
{
{ /* Llib/_pthread.scm 53 */
{ /* Llib/_pthread.scm 56 */
 BgL_z52pthreadz52_bglt BgL_z52pthz52_46;
{ /* Llib/_pthread.scm 56 */
 BgL_z52pthreadz52_bglt BgL_new1063z00_47;
{ /* Llib/_pthread.scm 58 */
 BgL_z52pthreadz52_bglt BgL_new1062z00_56;
BgL_new1062z00_56 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_pthread.scm 58 */
 long BgL_arg1139z00_57;
BgL_arg1139z00_57 = 
BGL_CLASS_NUM(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1062z00_56), BgL_arg1139z00_57); } 
BgL_new1063z00_47 = BgL_new1062z00_56; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1063z00_47)))->BgL_namez00)=((obj_t)
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_scdlz00_4)))->BgL_namez00)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1063z00_47)))->BgL_bodyz00)=((obj_t)BGl_proc1415z00zz__ft_z52pthreadz52),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1063z00_47)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1063z00_47)))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1063z00_47)))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1063z00_47)))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1063z00_47))->BgL_fthreadz00)=((obj_t)
((obj_t)BgL_scdlz00_4)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1176;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1129z00_49;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1130z00_50;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_classz00_341;
BgL_classz00_341 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1130z00_50 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_341); } 
BgL_arg1129z00_49 = 
VECTOR_REF(BgL_arg1130z00_50,((long)9)); } 
BgL_auxz00_1176 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1129z00_49); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1063z00_47))->BgL_mutexz00)=((obj_t)BgL_auxz00_1176),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1181;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1132z00_51;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1133z00_52;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_classz00_343;
BgL_classz00_343 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1133z00_52 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_343); } 
BgL_arg1132z00_51 = 
VECTOR_REF(BgL_arg1133z00_52,((long)10)); } 
BgL_auxz00_1181 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1132z00_51); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1063z00_47))->BgL_condvarz00)=((obj_t)BgL_auxz00_1181),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1186;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1134z00_53;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1137z00_54;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_classz00_345;
BgL_classz00_345 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1137z00_54 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_345); } 
BgL_arg1134z00_53 = 
VECTOR_REF(BgL_arg1137z00_54,((long)11)); } 
BgL_auxz00_1186 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1134z00_53); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1063z00_47))->BgL_idz00)=((obj_t)BgL_auxz00_1186),BUNSPEC); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1063z00_47))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/_pthread.scm 56 */
 obj_t BgL_fun1138z00_55;
BgL_fun1138z00_55 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52pthreadz52zz__ft_z52typesz52); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1138z00_55))(BgL_fun1138z00_55, 
((obj_t)BgL_new1063z00_47), BEOA); } 
BgL_z52pthz52_46 = BgL_new1063z00_47; } 
return 
((obj_t)BgL_z52pthz52_46);} } 

}



/* &%fscheduler-new */
obj_t BGl_z62z52fschedulerzd2newze2zz__ft_z52pthreadz52(obj_t BgL_envz00_817, obj_t BgL_scdlz00_818)
{
{ /* Llib/_pthread.scm 53 */
{ /* Llib/_pthread.scm 55 */
 BgL_z52schedulerz52_bglt BgL_auxz00_1199;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_818, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 55 */
BgL_auxz00_1199 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_818)
; }  else 
{ 
 obj_t BgL_auxz00_1203;
BgL_auxz00_1203 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1416z00zz__ft_z52pthreadz52, 
BINT(((long)1881)), BGl_string1417z00zz__ft_z52pthreadz52, BGl_string1418z00zz__ft_z52pthreadz52, BgL_scdlz00_818); 
FAILURE(BgL_auxz00_1203,BFALSE,BFALSE);} 
return 
BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(BgL_auxz00_1199);} } 

}



/* &<@anonymous:1122> */
obj_t BGl_z62zc3z04anonymousza31122ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_819)
{
{ /* Llib/_pthread.scm 57 */
return BUNSPEC;} 

}



/* %pthread-new */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(BgL_fthreadz00_bglt BgL_ftz00_5)
{
{ /* Llib/_pthread.scm 66 */
{ /* Llib/_pthread.scm 95 */
 obj_t BgL_z52pthz52_839;
BgL_z52pthz52_839 = 
MAKE_CELL(BUNSPEC); 
{ /* Llib/_pthread.scm 95 */
 BgL_z52pthreadz52_bglt BgL_g1154z00_74;
{ /* Llib/_pthread.scm 96 */
 BgL_z52pthreadz52_bglt BgL_new1079z00_61;
{ /* Llib/_pthread.scm 102 */
 BgL_z52pthreadz52_bglt BgL_new1078z00_72;
BgL_new1078z00_72 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_pthread.scm 102 */
 long BgL_arg1153z00_73;
BgL_arg1153z00_73 = 
BGL_CLASS_NUM(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_72), BgL_arg1153z00_73); } 
BgL_new1079z00_61 = BgL_new1078z00_72; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1079z00_61)))->BgL_namez00)=((obj_t)
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_ftz00_5)))->BgL_namez00)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1216;
{ /* Llib/_pthread.scm 98 */
 obj_t BgL_zc3z04anonymousza31140ze3z87_823;
BgL_zc3z04anonymousza31140ze3z87_823 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31140ze3ze5zz__ft_z52pthreadz52, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31140ze3z87_823, 
(int)(((long)0)), 
((obj_t)BgL_ftz00_5)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31140ze3z87_823, 
(int)(((long)1)), 
((obj_t)BgL_z52pthz52_839)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31140ze3z87_823, 
(int)(((long)2)), 
((obj_t)BgL_ftz00_5)); 
BgL_auxz00_1216 = BgL_zc3z04anonymousza31140ze3z87_823; } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1079z00_61)))->BgL_bodyz00)=((obj_t)BgL_auxz00_1216),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1079z00_61)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1079z00_61)))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1079z00_61)))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1079z00_61)))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1079z00_61))->BgL_fthreadz00)=((obj_t)
((obj_t)BgL_ftz00_5)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1242;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1143z00_65;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1144z00_66;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_classz00_358;
BgL_classz00_358 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1144z00_66 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_358); } 
BgL_arg1143z00_65 = 
VECTOR_REF(BgL_arg1144z00_66,((long)9)); } 
BgL_auxz00_1242 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1143z00_65); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1079z00_61))->BgL_mutexz00)=((obj_t)BgL_auxz00_1242),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1247;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1145z00_67;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1146z00_68;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_classz00_360;
BgL_classz00_360 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1146z00_68 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_360); } 
BgL_arg1145z00_67 = 
VECTOR_REF(BgL_arg1146z00_68,((long)10)); } 
BgL_auxz00_1247 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1145z00_67); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1079z00_61))->BgL_condvarz00)=((obj_t)BgL_auxz00_1247),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1252;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1147z00_69;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1149z00_70;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_classz00_362;
BgL_classz00_362 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1149z00_70 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_362); } 
BgL_arg1147z00_69 = 
VECTOR_REF(BgL_arg1149z00_70,((long)11)); } 
BgL_auxz00_1252 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1147z00_69); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1079z00_61))->BgL_idz00)=((obj_t)BgL_auxz00_1252),BUNSPEC); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1079z00_61))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/_pthread.scm 96 */
 obj_t BgL_fun1150z00_71;
BgL_fun1150z00_71 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52pthreadz52zz__ft_z52typesz52); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1150z00_71))(BgL_fun1150z00_71, 
((obj_t)BgL_new1079z00_61), BEOA); } 
BgL_g1154z00_74 = BgL_new1079z00_61; } 
CELL_SET(BgL_z52pthz52_839, 
((obj_t)BgL_g1154z00_74)); 
return 
CELL_REF(BgL_z52pthz52_839);} } } 

}



/* &%pthread-new */
obj_t BGl_z62z52pthreadzd2newze2zz__ft_z52pthreadz52(obj_t BgL_envz00_824, obj_t BgL_ftz00_825)
{
{ /* Llib/_pthread.scm 66 */
{ /* Llib/_pthread.scm 68 */
 BgL_fthreadz00_bglt BgL_auxz00_1265;
if(
BGl_isazf3zf3zz__objectz00(BgL_ftz00_825, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_pthread.scm 68 */
BgL_auxz00_1265 = 
((BgL_fthreadz00_bglt)BgL_ftz00_825)
; }  else 
{ 
 obj_t BgL_auxz00_1269;
BgL_auxz00_1269 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1416z00zz__ft_z52pthreadz52, 
BINT(((long)2397)), BGl_string1419z00zz__ft_z52pthreadz52, BGl_string1420z00zz__ft_z52pthreadz52, BgL_ftz00_825); 
FAILURE(BgL_auxz00_1269,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(BgL_auxz00_1265);} } 

}



/* &<@anonymous:1140> */
obj_t BGl_z62zc3z04anonymousza31140ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_826)
{
{ /* Llib/_pthread.scm 98 */
{ /* Llib/_pthread.scm 99 */
 BgL_fthreadz00_bglt BgL_i1077z00_827; obj_t BgL_z52pthz52_828; BgL_fthreadz00_bglt BgL_ftz00_829;
BgL_i1077z00_827 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_826, 
(int)(((long)0)))); 
BgL_z52pthz52_828 = 
PROCEDURE_REF(BgL_envz00_826, 
(int)(((long)1))); 
BgL_ftz00_829 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_826, 
(int)(((long)2)))); 
{ 
 BgL_fthreadz00_bglt BgL_tz00_967;
{ /* Llib/_pthread.scm 99 */
 obj_t BgL_arg1141z00_976;
BgL_arg1141z00_976 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_i1077z00_827))->BgL_schedulerz00); 
{ /* Llib/_pthread.scm 99 */
 obj_t BgL_list1142z00_977;
BgL_list1142z00_977 = 
MAKE_YOUNG_PAIR(BgL_arg1141z00_976, BNIL); 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1142z00_977); } } 
BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)
((BgL_z52pthreadz52_bglt)
CELL_REF(BgL_z52pthz52_828)))); 
BgL_tz00_967 = BgL_ftz00_829; 
BGl_zc3z04exitza31156ze3ze70z60zz__ft_z52pthreadz52(BgL_tz00_967, BgL_tz00_967); 
{ /* Llib/_pthread.scm 85 */
 BgL_z52sigjoinz52_bglt BgL_arg1171z00_968; obj_t BgL_arg1174z00_969;
{ /* Llib/_pthread.scm 85 */
 BgL_z52sigjoinz52_bglt BgL_new1076z00_970;
{ /* Llib/_pthread.scm 85 */
 BgL_z52sigjoinz52_bglt BgL_new1075z00_971;
BgL_new1075z00_971 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/_pthread.scm 85 */
 long BgL_arg1177z00_972;
BgL_arg1177z00_972 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_971), BgL_arg1177z00_972); } 
BgL_new1076z00_970 = BgL_new1075z00_971; } 
((((BgL_z52sigjoinz52_bglt)COBJECT(BgL_new1076z00_970))->BgL_threadz00)=((BgL_fthreadz00_bglt)BgL_tz00_967),BUNSPEC); 
BgL_arg1171z00_968 = BgL_new1076z00_970; } 
BgL_arg1174z00_969 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_967))->BgL_z52resultz52); 
{ /* Llib/_pthread.scm 85 */
 obj_t BgL_list1175z00_973;
BgL_list1175z00_973 = 
MAKE_YOUNG_PAIR(BgL_arg1174z00_969, BNIL); 
BGl_broadcastz12z12zz__ft_schedulerz00(
((obj_t)BgL_arg1171z00_968), BgL_list1175z00_973); } } 
{ /* Llib/_pthread.scm 87 */
 bool_t BgL_test1526z00_1298;
{ /* Llib/_pthread.scm 87 */
 obj_t BgL_tmpz00_1299;
BgL_tmpz00_1299 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_967))->BgL_z52cleanupz52); 
BgL_test1526z00_1298 = 
PROCEDUREP(BgL_tmpz00_1299); } 
if(BgL_test1526z00_1298)
{ /* Llib/_pthread.scm 87 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_967))->BgL_z52cleanupz52), 
(int)(((long)1))))
{ /* Llib/_pthread.scm 89 */
 obj_t BgL_fun1182z00_974;
BgL_fun1182z00_974 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_967))->BgL_z52cleanupz52); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1182z00_974))(BgL_fun1182z00_974, 
((obj_t)BgL_tz00_967), BEOA); }  else 
{ /* Llib/_pthread.scm 90 */
 obj_t BgL_arg1183z00_975;
BgL_arg1183z00_975 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_967))->BgL_z52cleanupz52); 
BGl_errorz00zz__errorz00(
((obj_t)BgL_tz00_967), BGl_string1421z00zz__ft_z52pthreadz52, BgL_arg1183z00_975); } }  else 
{ /* Llib/_pthread.scm 87 */BFALSE; } } 
return 
BGl_z52threadzd2killz12z92zz__ft_z52threadz52(BgL_tz00_967);} } } 

}



/* <@exit:1156>~0 */
obj_t BGl_zc3z04exitza31156ze3ze70z60zz__ft_z52pthreadz52(BgL_fthreadz00_bglt BgL_i1064z00_908, BgL_fthreadz00_bglt BgL_tz00_907)
{
{ /* Llib/_pthread.scm 70 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1069z00_79;
if( SET_EXIT(BgL_an_exit1069z00_79 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1069z00_79 = 
(void *)jmpbuf; 
{ /* Llib/_pthread.scm 70 */
 obj_t BgL_env1073z00_80;
BgL_env1073z00_80 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1073z00_80, BgL_an_exit1069z00_79, ((long)1)); 
{ /* Llib/_pthread.scm 70 */
 obj_t BgL_an_exitd1070z00_81;
BgL_an_exitd1070z00_81 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1073z00_80); 
{ /* Llib/_pthread.scm 70 */
 obj_t BgL_terminatez00_820;
BgL_terminatez00_820 = 
MAKE_FX_PROCEDURE(BGl_z62terminatez62zz__ft_z52pthreadz52, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_terminatez00_820, 
(int)(((long)0)), BgL_an_exitd1070z00_81); 
{ /* Llib/_pthread.scm 70 */
 obj_t BgL_res1072z00_84;
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_907))->BgL_z52terminatez52)=((obj_t)BgL_terminatez00_820),BUNSPEC); 
{ /* Llib/_pthread.scm 75 */
 obj_t BgL_zc3z04anonymousza31169ze3z87_822; obj_t BgL_zc3z04anonymousza31160ze3z87_821;
BgL_zc3z04anonymousza31169ze3z87_822 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31169ze3ze5zz__ft_z52pthreadz52, 
(int)(((long)0)), 
(int)(((long)1))); 
BgL_zc3z04anonymousza31160ze3z87_821 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31160ze3ze5zz__ft_z52pthreadz52, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31169ze3z87_822, 
(int)(((long)0)), 
((obj_t)BgL_i1064z00_908)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31160ze3z87_821, 
(int)(((long)0)), 
((obj_t)BgL_tz00_907)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31160ze3z87_821, 
(int)(((long)1)), BgL_an_exitd1070z00_81); 
BgL_res1072z00_84 = 
BGl_withzd2exceptionzd2handlerz00zz__errorz00(BgL_zc3z04anonymousza31160ze3z87_821, BgL_zc3z04anonymousza31169ze3z87_822); } 
POP_ENV_EXIT(BgL_env1073z00_80); 
return BgL_res1072z00_84;} } } } 
}} 

}



/* &<@anonymous:1169> */
obj_t BGl_z62zc3z04anonymousza31169ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_830)
{
{ /* Llib/_pthread.scm 81 */
{ /* Llib/_pthread.scm 81 */
 BgL_fthreadz00_bglt BgL_i1064z00_831;
BgL_i1064z00_831 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_830, 
(int)(((long)0)))); 
{ 
 obj_t BgL_auxz00_1346;
{ /* Llib/_pthread.scm 83 */
 obj_t BgL_fun1170z00_978;
BgL_fun1170z00_978 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_i1064z00_831))->BgL_bodyz00); 
BgL_auxz00_1346 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1170z00_978))(BgL_fun1170z00_978, BEOA); } 
return 
((((BgL_fthreadz00_bglt)COBJECT(BgL_i1064z00_831))->BgL_z52resultz52)=((obj_t)BgL_auxz00_1346),BUNSPEC);} } } 

}



/* &<@anonymous:1160> */
obj_t BGl_z62zc3z04anonymousza31160ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_832, obj_t BgL_ez00_835)
{
{ /* Llib/_pthread.scm 74 */
{ /* Llib/_pthread.scm 75 */
 BgL_fthreadz00_bglt BgL_tz00_833; obj_t BgL_an_exitd1070z00_834;
BgL_tz00_833 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_832, 
(int)(((long)0)))); 
BgL_an_exitd1070z00_834 = 
PROCEDURE_REF(BgL_envz00_832, 
(int)(((long)1))); 
{ /* Llib/_pthread.scm 75 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_uz00_979;
{ /* Llib/_pthread.scm 75 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1067z00_980;
{ /* Llib/_pthread.scm 75 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1066z00_981;
BgL_new1066z00_981 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/_pthread.scm 75 */
 long BgL_arg1168z00_982;
BgL_arg1168z00_982 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1066z00_981), BgL_arg1168z00_982); } 
BgL_new1067z00_980 = BgL_new1066z00_981; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1067z00_980)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1067z00_980)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1365;
{ /* Llib/_pthread.scm 75 */
 obj_t BgL_arg1165z00_983;
{ /* Llib/_pthread.scm 75 */
 obj_t BgL_arg1166z00_984;
{ /* Llib/_pthread.scm 75 */
 obj_t BgL_classz00_985;
BgL_classz00_985 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
BgL_arg1166z00_984 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_985); } 
BgL_arg1165z00_983 = 
VECTOR_REF(BgL_arg1166z00_984,((long)2)); } 
BgL_auxz00_1365 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1165z00_983); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1067z00_980)))->BgL_stackz00)=((obj_t)BgL_auxz00_1365),BUNSPEC); } 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1067z00_980))->BgL_reasonz00)=((obj_t)BgL_ez00_835),BUNSPEC); 
BgL_uz00_979 = BgL_new1067z00_980; } 
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_833))->BgL_z52exczd2resultz80)=((obj_t)
((obj_t)BgL_uz00_979)),BUNSPEC); 
BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_835); 
return 
unwind_stack_until(BgL_an_exitd1070z00_834, BFALSE, BFALSE, BFALSE, BFALSE);} } } 

}



/* &terminate */
obj_t BGl_z62terminatez62zz__ft_z52pthreadz52(obj_t BgL_envz00_836, obj_t BgL_val1071z00_838)
{
{ /* Llib/_pthread.scm 70 */
return 
unwind_stack_until(
PROCEDURE_REF(BgL_envz00_836, 
(int)(((long)0))), BFALSE, BgL_val1071z00_838, BFALSE, BFALSE);} 

}



/* %pthread-wait */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_ftz00_6)
{
{ /* Llib/_pthread.scm 109 */
{ /* Llib/_pthread.scm 116 */
 obj_t BgL_mutex1188z00_117;
BgL_mutex1188z00_117 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ftz00_6))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 116 */
 obj_t BgL_top1529z00_1381;
BgL_top1529z00_1381 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1188z00_117); 
BGL_EXITD_PUSH_PROTECT(BgL_top1529z00_1381, BgL_mutex1188z00_117); BUNSPEC; 
{ /* Llib/_pthread.scm 116 */
 obj_t BgL_tmp1528z00_1380;
{ 

{ /* Llib/_pthread.scm 117 */
 bool_t BgL_tmpz00_1385;
BgL_zc3z04anonymousza31189ze3z87_119:
{ /* Llib/_pthread.scm 118 */
 bool_t BgL_test1530z00_1386;
{ /* Llib/_pthread.scm 118 */
 obj_t BgL_arg1199z00_127;
BgL_arg1199z00_127 = 
BGl_z52getzd2schedulerzd2tokenz52zz__ft_z52pthreadz52(); 
BgL_test1530z00_1386 = 
(BgL_arg1199z00_127==
((obj_t)BgL_ftz00_6)); } 
if(BgL_test1530z00_1386)
{ /* Llib/_pthread.scm 118 */
BgL_tmpz00_1385 = ((bool_t)0)
; }  else 
{ /* Llib/_pthread.scm 118 */
{ /* Llib/_pthread.scm 119 */
 obj_t BgL_arg1194z00_122; obj_t BgL_arg1197z00_123;
BgL_arg1194z00_122 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ftz00_6))->BgL_condvarz00); 
BgL_arg1197z00_123 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ftz00_6))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 119 */

BGL_CONDVAR_WAIT(BgL_arg1194z00_122, BgL_arg1197z00_123); } } 
goto BgL_zc3z04anonymousza31189ze3z87_119;} } 
BgL_tmp1528z00_1380 = 
BBOOL(BgL_tmpz00_1385); } } 
BGL_EXITD_POP_PROTECT(BgL_top1529z00_1381); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1188z00_117); 
return BgL_tmp1528z00_1380;} } } } 

}



/* &%pthread-wait */
obj_t BGl_z62z52pthreadzd2waitze2zz__ft_z52pthreadz52(obj_t BgL_envz00_842, obj_t BgL_ftz00_843)
{
{ /* Llib/_pthread.scm 109 */
{ /* Llib/_pthread.scm 111 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1396;
if(
BGl_isazf3zf3zz__objectz00(BgL_ftz00_843, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 111 */
BgL_auxz00_1396 = 
((BgL_z52pthreadz52_bglt)BgL_ftz00_843)
; }  else 
{ 
 obj_t BgL_auxz00_1400;
BgL_auxz00_1400 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1416z00zz__ft_z52pthreadz52, 
BINT(((long)3945)), BGl_string1422z00zz__ft_z52pthreadz52, BGl_string1423z00zz__ft_z52pthreadz52, BgL_ftz00_843); 
FAILURE(BgL_auxz00_1400,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_auxz00_1396);} } 

}



/* %pthread-switch */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(obj_t BgL_ftz00_7, BgL_z52pthreadz52_bglt BgL_ntz00_8)
{
{ /* Llib/_pthread.scm 125 */
{ /* Llib/_pthread.scm 131 */
 obj_t BgL_mutex1200z00_370;
BgL_mutex1200z00_370 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ntz00_8))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 131 */
 obj_t BgL_top1533z00_1407;
BgL_top1533z00_1407 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1200z00_370); 
BGL_EXITD_PUSH_PROTECT(BgL_top1533z00_1407, BgL_mutex1200z00_370); BUNSPEC; 
{ /* Llib/_pthread.scm 131 */
 obj_t BgL_tmp1532z00_1406;
BGl_z52setzd2schedulerzd2tokenz12z40zz__ft_z52pthreadz52(BgL_ntz00_8); 
{ /* Llib/_pthread.scm 134 */
 obj_t BgL_arg1201z00_371;
BgL_arg1201z00_371 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ntz00_8))->BgL_condvarz00); 
BgL_tmp1532z00_1406 = 
BBOOL(
BGL_CONDVAR_SIGNAL(BgL_arg1201z00_371)); } 
BGL_EXITD_POP_PROTECT(BgL_top1533z00_1407); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1200z00_370); 
return BgL_tmp1532z00_1406;} } } } 

}



/* &%pthread-switch */
obj_t BGl_z62z52pthreadzd2switchze2zz__ft_z52pthreadz52(obj_t BgL_envz00_844, obj_t BgL_ftz00_845, obj_t BgL_ntz00_846)
{
{ /* Llib/_pthread.scm 125 */
{ /* Llib/_pthread.scm 130 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1417;
if(
BGl_isazf3zf3zz__objectz00(BgL_ntz00_846, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 130 */
BgL_auxz00_1417 = 
((BgL_z52pthreadz52_bglt)BgL_ntz00_846)
; }  else 
{ 
 obj_t BgL_auxz00_1421;
BgL_auxz00_1421 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1416z00zz__ft_z52pthreadz52, 
BINT(((long)4678)), BGl_string1424z00zz__ft_z52pthreadz52, BGl_string1423z00zz__ft_z52pthreadz52, BgL_ntz00_846); 
FAILURE(BgL_auxz00_1421,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(BgL_ftz00_845, BgL_auxz00_1417);} } 

}



/* %pthread-enter-scheduler */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_9)
{
{ /* Llib/_pthread.scm 139 */
if(
CBOOL(
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_parentz00)))
{ /* Llib/_pthread.scm 145 */BFALSE; }  else 
{ /* Llib/_pthread.scm 145 */
{ /* Llib/_pthread.scm 146 */
 obj_t BgL_thz00_134;
BgL_thz00_134 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/_pthread.scm 149 */
 bool_t BgL_test1536z00_1430;
{ /* Llib/_pthread.scm 149 */
 obj_t BgL_classz00_373;
BgL_classz00_373 = BGl_z52pthreadz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_thz00_134))
{ /* Llib/_pthread.scm 149 */
 BgL_objectz00_bglt BgL_arg1793z00_375;
BgL_arg1793z00_375 = 
(BgL_objectz00_bglt)(BgL_thz00_134); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 149 */
 long BgL_idxz00_381;
BgL_idxz00_381 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_375); 
BgL_test1536z00_1430 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_381+((long)3)))==BgL_classz00_373); }  else 
{ /* Llib/_pthread.scm 149 */
 bool_t BgL_res1366z00_403;
{ /* Llib/_pthread.scm 149 */
 obj_t BgL_oclassz00_389;
{ /* Llib/_pthread.scm 149 */
 long BgL_arg1801z00_395;
{ /* Llib/_pthread.scm 149 */
 long BgL_arg1802z00_396;
BgL_arg1802z00_396 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_375); 
BgL_arg1801z00_395 = 
(BgL_arg1802z00_396-OBJECT_TYPE); } 
BgL_oclassz00_389 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_395); } 
{ /* Llib/_pthread.scm 149 */
 bool_t BgL__ortest_1110z00_390;
BgL__ortest_1110z00_390 = 
(BgL_classz00_373==BgL_oclassz00_389); 
if(BgL__ortest_1110z00_390)
{ /* Llib/_pthread.scm 149 */
BgL_res1366z00_403 = BgL__ortest_1110z00_390; }  else 
{ /* Llib/_pthread.scm 149 */
 long BgL_odepthz00_391;
BgL_odepthz00_391 = 
BGL_CLASS_DEPTH(BgL_oclassz00_389); 
if(
(((long)3)<BgL_odepthz00_391))
{ /* Llib/_pthread.scm 149 */
 obj_t BgL_arg1790z00_393;
BgL_arg1790z00_393 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_389, ((long)3)); 
BgL_res1366z00_403 = 
(BgL_arg1790z00_393==BgL_classz00_373); }  else 
{ /* Llib/_pthread.scm 149 */
BgL_res1366z00_403 = ((bool_t)0); } } } } 
BgL_test1536z00_1430 = BgL_res1366z00_403; } }  else 
{ /* Llib/_pthread.scm 149 */
BgL_test1536z00_1430 = ((bool_t)0)
; } } 
if(BgL_test1536z00_1430)
{ /* Llib/_pthread.scm 149 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string1425z00zz__ft_z52pthreadz52, BgL_thz00_134); }  else 
{ /* Llib/_pthread.scm 154 */
 bool_t BgL_test1541z00_1452;
{ /* Llib/_pthread.scm 154 */
 obj_t BgL_classz00_404;
BgL_classz00_404 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_thz00_134))
{ /* Llib/_pthread.scm 154 */
 BgL_objectz00_bglt BgL_arg1793z00_406;
BgL_arg1793z00_406 = 
(BgL_objectz00_bglt)(BgL_thz00_134); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 154 */
 long BgL_idxz00_412;
BgL_idxz00_412 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_406); 
BgL_test1541z00_1452 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_412+((long)3)))==BgL_classz00_404); }  else 
{ /* Llib/_pthread.scm 154 */
 bool_t BgL_res1367z00_434;
{ /* Llib/_pthread.scm 154 */
 obj_t BgL_oclassz00_420;
{ /* Llib/_pthread.scm 154 */
 long BgL_arg1801z00_426;
{ /* Llib/_pthread.scm 154 */
 long BgL_arg1802z00_427;
BgL_arg1802z00_427 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_406); 
BgL_arg1801z00_426 = 
(BgL_arg1802z00_427-OBJECT_TYPE); } 
BgL_oclassz00_420 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_426); } 
{ /* Llib/_pthread.scm 154 */
 bool_t BgL__ortest_1110z00_421;
BgL__ortest_1110z00_421 = 
(BgL_classz00_404==BgL_oclassz00_420); 
if(BgL__ortest_1110z00_421)
{ /* Llib/_pthread.scm 154 */
BgL_res1367z00_434 = BgL__ortest_1110z00_421; }  else 
{ /* Llib/_pthread.scm 154 */
 long BgL_odepthz00_422;
BgL_odepthz00_422 = 
BGL_CLASS_DEPTH(BgL_oclassz00_420); 
if(
(((long)3)<BgL_odepthz00_422))
{ /* Llib/_pthread.scm 154 */
 obj_t BgL_arg1790z00_424;
BgL_arg1790z00_424 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_420, ((long)3)); 
BgL_res1367z00_434 = 
(BgL_arg1790z00_424==BgL_classz00_404); }  else 
{ /* Llib/_pthread.scm 154 */
BgL_res1367z00_434 = ((bool_t)0); } } } } 
BgL_test1541z00_1452 = BgL_res1367z00_434; } }  else 
{ /* Llib/_pthread.scm 154 */
BgL_test1541z00_1452 = ((bool_t)0)
; } } 
if(BgL_test1541z00_1452)
{ /* Llib/_pthread.scm 154 */BUNSPEC; }  else 
{ /* Llib/_pthread.scm 157 */
 bool_t BgL_test1546z00_1472;
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_arg1213z00_144;
BgL_arg1213z00_144 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_fthreadz00); 
if(
BGL_OBJECTP(BgL_thz00_134))
{ /* Llib/_pthread.scm 157 */
 BgL_objectz00_bglt BgL_arg1796z00_437; long BgL_arg1797z00_438;
BgL_arg1796z00_437 = 
(BgL_objectz00_bglt)(BgL_thz00_134); 
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_tmpz00_1477;
BgL_tmpz00_1477 = 
((obj_t)BgL_arg1213z00_144); 
BgL_arg1797z00_438 = 
BGL_CLASS_DEPTH(BgL_tmpz00_1477); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 157 */
 long BgL_idxz00_446;
BgL_idxz00_446 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_437); 
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_arg1788z00_447;
BgL_arg1788z00_447 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_446+BgL_arg1797z00_438)); 
BgL_test1546z00_1472 = 
(BgL_arg1788z00_447==
((obj_t)BgL_arg1213z00_144)); } }  else 
{ /* Llib/_pthread.scm 157 */
 bool_t BgL_res1368z00_471;
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_oclassz00_456;
{ /* Llib/_pthread.scm 157 */
 long BgL_arg1801z00_462;
{ /* Llib/_pthread.scm 157 */
 long BgL_arg1802z00_463;
BgL_arg1802z00_463 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_437); 
BgL_arg1801z00_462 = 
(BgL_arg1802z00_463-OBJECT_TYPE); } 
BgL_oclassz00_456 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_462); } 
{ /* Llib/_pthread.scm 157 */
 bool_t BgL__ortest_1110z00_457;
BgL__ortest_1110z00_457 = 
(
((obj_t)BgL_arg1213z00_144)==BgL_oclassz00_456); 
if(BgL__ortest_1110z00_457)
{ /* Llib/_pthread.scm 157 */
BgL_res1368z00_471 = BgL__ortest_1110z00_457; }  else 
{ /* Llib/_pthread.scm 157 */
 long BgL_odepthz00_458;
BgL_odepthz00_458 = 
BGL_CLASS_DEPTH(BgL_oclassz00_456); 
if(
(BgL_arg1797z00_438<BgL_odepthz00_458))
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_arg1790z00_460;
BgL_arg1790z00_460 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_456, BgL_arg1797z00_438); 
BgL_res1368z00_471 = 
(BgL_arg1790z00_460==
((obj_t)BgL_arg1213z00_144)); }  else 
{ /* Llib/_pthread.scm 157 */
BgL_res1368z00_471 = ((bool_t)0); } } } } 
BgL_test1546z00_1472 = BgL_res1368z00_471; } }  else 
{ /* Llib/_pthread.scm 157 */
BgL_test1546z00_1472 = ((bool_t)0)
; } } 
if(BgL_test1546z00_1472)
{ /* Llib/_pthread.scm 157 */BUNSPEC; }  else 
{ /* Llib/_pthread.scm 160 */
 bool_t BgL_test1552z00_1499;
{ /* Llib/_pthread.scm 160 */
 obj_t BgL_classz00_472;
BgL_classz00_472 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_thz00_134))
{ /* Llib/_pthread.scm 160 */
 BgL_objectz00_bglt BgL_arg1793z00_474;
BgL_arg1793z00_474 = 
(BgL_objectz00_bglt)(BgL_thz00_134); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 160 */
 long BgL_idxz00_480;
BgL_idxz00_480 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_474); 
BgL_test1552z00_1499 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_480+((long)2)))==BgL_classz00_472); }  else 
{ /* Llib/_pthread.scm 160 */
 bool_t BgL_res1369z00_502;
{ /* Llib/_pthread.scm 160 */
 obj_t BgL_oclassz00_488;
{ /* Llib/_pthread.scm 160 */
 long BgL_arg1801z00_494;
{ /* Llib/_pthread.scm 160 */
 long BgL_arg1802z00_495;
BgL_arg1802z00_495 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_474); 
BgL_arg1801z00_494 = 
(BgL_arg1802z00_495-OBJECT_TYPE); } 
BgL_oclassz00_488 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_494); } 
{ /* Llib/_pthread.scm 160 */
 bool_t BgL__ortest_1110z00_489;
BgL__ortest_1110z00_489 = 
(BgL_classz00_472==BgL_oclassz00_488); 
if(BgL__ortest_1110z00_489)
{ /* Llib/_pthread.scm 160 */
BgL_res1369z00_502 = BgL__ortest_1110z00_489; }  else 
{ /* Llib/_pthread.scm 160 */
 long BgL_odepthz00_490;
BgL_odepthz00_490 = 
BGL_CLASS_DEPTH(BgL_oclassz00_488); 
if(
(((long)2)<BgL_odepthz00_490))
{ /* Llib/_pthread.scm 160 */
 obj_t BgL_arg1790z00_492;
BgL_arg1790z00_492 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_488, ((long)2)); 
BgL_res1369z00_502 = 
(BgL_arg1790z00_492==BgL_classz00_472); }  else 
{ /* Llib/_pthread.scm 160 */
BgL_res1369z00_502 = ((bool_t)0); } } } } 
BgL_test1552z00_1499 = BgL_res1369z00_502; } }  else 
{ /* Llib/_pthread.scm 160 */
BgL_test1552z00_1499 = ((bool_t)0)
; } } 
if(BgL_test1552z00_1499)
{ /* Llib/_pthread.scm 160 */
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_parentz00)=((obj_t)BgL_thz00_134),BUNSPEC); }  else 
{ /* Llib/_pthread.scm 163 */
 bool_t BgL_test1558z00_1520;
if(
BOOLEANP(BgL_thz00_134))
{ /* Llib/_pthread.scm 163 */
if(
CBOOL(BgL_thz00_134))
{ /* Llib/_pthread.scm 163 */
BgL_test1558z00_1520 = ((bool_t)0)
; }  else 
{ /* Llib/_pthread.scm 163 */
BgL_test1558z00_1520 = ((bool_t)1)
; } }  else 
{ /* Llib/_pthread.scm 163 */
BgL_test1558z00_1520 = ((bool_t)0)
; } 
if(BgL_test1558z00_1520)
{ /* Llib/_pthread.scm 163 */
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); }  else 
{ /* Llib/_pthread.scm 169 */
 obj_t BgL_arg1211z00_142;
BgL_arg1211z00_142 = 
bgl_find_runtime_type(BgL_thz00_134); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string1426z00zz__ft_z52pthreadz52, BgL_arg1211z00_142); } } } } } } } BUNSPEC; } 
{ /* Llib/_pthread.scm 173 */
 bool_t BgL_test1562z00_1529;
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_arg1218z00_148;
BgL_arg1218z00_148 = 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00(); 
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_classz00_503;
BgL_classz00_503 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1218z00_148))
{ /* Llib/_pthread.scm 173 */
 BgL_objectz00_bglt BgL_arg1793z00_505;
BgL_arg1793z00_505 = 
(BgL_objectz00_bglt)(BgL_arg1218z00_148); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 173 */
 long BgL_idxz00_511;
BgL_idxz00_511 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_505); 
BgL_test1562z00_1529 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_511+((long)3)))==BgL_classz00_503); }  else 
{ /* Llib/_pthread.scm 173 */
 bool_t BgL_res1370z00_533;
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_oclassz00_519;
{ /* Llib/_pthread.scm 173 */
 long BgL_arg1801z00_525;
{ /* Llib/_pthread.scm 173 */
 long BgL_arg1802z00_526;
BgL_arg1802z00_526 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_505); 
BgL_arg1801z00_525 = 
(BgL_arg1802z00_526-OBJECT_TYPE); } 
BgL_oclassz00_519 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_525); } 
{ /* Llib/_pthread.scm 173 */
 bool_t BgL__ortest_1110z00_520;
BgL__ortest_1110z00_520 = 
(BgL_classz00_503==BgL_oclassz00_519); 
if(BgL__ortest_1110z00_520)
{ /* Llib/_pthread.scm 173 */
BgL_res1370z00_533 = BgL__ortest_1110z00_520; }  else 
{ /* Llib/_pthread.scm 173 */
 long BgL_odepthz00_521;
BgL_odepthz00_521 = 
BGL_CLASS_DEPTH(BgL_oclassz00_519); 
if(
(((long)3)<BgL_odepthz00_521))
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_arg1790z00_523;
BgL_arg1790z00_523 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_519, ((long)3)); 
BgL_res1370z00_533 = 
(BgL_arg1790z00_523==BgL_classz00_503); }  else 
{ /* Llib/_pthread.scm 173 */
BgL_res1370z00_533 = ((bool_t)0); } } } } 
BgL_test1562z00_1529 = BgL_res1370z00_533; } }  else 
{ /* Llib/_pthread.scm 173 */
BgL_test1562z00_1529 = ((bool_t)0)
; } } } 
if(BgL_test1562z00_1529)
{ /* Llib/_pthread.scm 173 */BFALSE; }  else 
{ /* Llib/_pthread.scm 173 */
BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_fthreadz00)); } } 
{ /* Llib/_pthread.scm 177 */
 BgL_schedulerz00_bglt BgL_i1083z00_149;
BgL_i1083z00_149 = 
((BgL_schedulerz00_bglt)
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_fthreadz00)); 
{ /* Llib/_pthread.scm 178 */
 obj_t BgL_fun1219z00_150;
BgL_fun1219z00_150 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_i1083z00_149)))->BgL_bodyz00); 
return 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1219z00_150))(BgL_fun1219z00_150, BEOA);} } } 

}



/* &%pthread-enter-scheduler */
obj_t BGl_z62z52pthreadzd2enterzd2schedulerz30zz__ft_z52pthreadz52(obj_t BgL_envz00_847, obj_t BgL_scdlz00_848)
{
{ /* Llib/_pthread.scm 139 */
{ /* Llib/_pthread.scm 143 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1559;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_848, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 143 */
BgL_auxz00_1559 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_848)
; }  else 
{ 
 obj_t BgL_auxz00_1563;
BgL_auxz00_1563 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1416z00zz__ft_z52pthreadz52, 
BINT(((long)5251)), BGl_string1427z00zz__ft_z52pthreadz52, BGl_string1423z00zz__ft_z52pthreadz52, BgL_scdlz00_848); 
FAILURE(BgL_auxz00_1563,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(BgL_auxz00_1559);} } 

}



/* %pthread-leave-scheduler */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_10)
{
{ /* Llib/_pthread.scm 183 */
{ /* Llib/_pthread.scm 187 */
 bool_t BgL_test1569z00_1568;
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_arg1223z00_154;
BgL_arg1223z00_154 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_classz00_534;
BgL_classz00_534 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1223z00_154))
{ /* Llib/_pthread.scm 187 */
 BgL_objectz00_bglt BgL_arg1793z00_536;
BgL_arg1793z00_536 = 
(BgL_objectz00_bglt)(BgL_arg1223z00_154); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 187 */
 long BgL_idxz00_542;
BgL_idxz00_542 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_536); 
BgL_test1569z00_1568 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_542+((long)2)))==BgL_classz00_534); }  else 
{ /* Llib/_pthread.scm 187 */
 bool_t BgL_res1371z00_564;
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_oclassz00_550;
{ /* Llib/_pthread.scm 187 */
 long BgL_arg1801z00_556;
{ /* Llib/_pthread.scm 187 */
 long BgL_arg1802z00_557;
BgL_arg1802z00_557 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_536); 
BgL_arg1801z00_556 = 
(BgL_arg1802z00_557-OBJECT_TYPE); } 
BgL_oclassz00_550 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_556); } 
{ /* Llib/_pthread.scm 187 */
 bool_t BgL__ortest_1110z00_551;
BgL__ortest_1110z00_551 = 
(BgL_classz00_534==BgL_oclassz00_550); 
if(BgL__ortest_1110z00_551)
{ /* Llib/_pthread.scm 187 */
BgL_res1371z00_564 = BgL__ortest_1110z00_551; }  else 
{ /* Llib/_pthread.scm 187 */
 long BgL_odepthz00_552;
BgL_odepthz00_552 = 
BGL_CLASS_DEPTH(BgL_oclassz00_550); 
if(
(((long)2)<BgL_odepthz00_552))
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_arg1790z00_554;
BgL_arg1790z00_554 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_550, ((long)2)); 
BgL_res1371z00_564 = 
(BgL_arg1790z00_554==BgL_classz00_534); }  else 
{ /* Llib/_pthread.scm 187 */
BgL_res1371z00_564 = ((bool_t)0); } } } } 
BgL_test1569z00_1568 = BgL_res1371z00_564; } }  else 
{ /* Llib/_pthread.scm 187 */
BgL_test1569z00_1568 = ((bool_t)0)
; } } } 
if(BgL_test1569z00_1568)
{ /* Llib/_pthread.scm 187 */BFALSE; }  else 
{ /* Llib/_pthread.scm 187 */
BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(BFALSE); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_10))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); } } 
return BFALSE;} 

}



/* &%pthread-leave-scheduler */
obj_t BGl_z62z52pthreadzd2leavezd2schedulerz30zz__ft_z52pthreadz52(obj_t BgL_envz00_849, obj_t BgL_scdlz00_850)
{
{ /* Llib/_pthread.scm 183 */
{ /* Llib/_pthread.scm 187 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1591;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_850, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 187 */
BgL_auxz00_1591 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_850)
; }  else 
{ 
 obj_t BgL_auxz00_1595;
BgL_auxz00_1595 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1416z00zz__ft_z52pthreadz52, 
BINT(((long)6787)), BGl_string1428z00zz__ft_z52pthreadz52, BGl_string1423z00zz__ft_z52pthreadz52, BgL_scdlz00_850); 
FAILURE(BgL_auxz00_1595,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(BgL_auxz00_1591);} } 

}



/* %async-spawn */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_11, obj_t BgL_bodyz00_12, obj_t BgL_oz00_13)
{
{ /* Llib/_pthread.scm 196 */
{ /* Llib/_pthread.scm 201 */
 BgL_z52pthreadz52_bglt BgL_z52pthz52_155;
{ /* Llib/_pthread.scm 201 */
 BgL_z52pthreadz52_bglt BgL_new1086z00_157;
{ /* Llib/_pthread.scm 204 */
 BgL_z52pthreadz52_bglt BgL_new1085z00_167;
BgL_new1085z00_167 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_pthread.scm 204 */
 long BgL_arg1237z00_168;
BgL_arg1237z00_168 = 
BGL_CLASS_NUM(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_167), BgL_arg1237z00_168); } 
BgL_new1086z00_157 = BgL_new1085z00_167; } 
{ 
 obj_t BgL_auxz00_1604;
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1225z00_158;
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1227z00_159; obj_t BgL_arg1229z00_160;
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1230z00_161;
BgL_arg1230z00_161 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)1))); 
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1462z00_569;
BgL_arg1462z00_569 = 
SYMBOL_TO_STRING(BgL_arg1230z00_161); 
BgL_arg1227z00_159 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1462z00_569); } } 
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1462z00_571;
BgL_arg1462z00_571 = 
SYMBOL_TO_STRING(
((obj_t)BgL_oz00_13)); 
BgL_arg1229z00_160 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1462z00_571); } 
BgL_arg1225z00_158 = 
string_append(BgL_arg1227z00_159, BgL_arg1229z00_160); } 
BgL_auxz00_1604 = 
bstring_to_symbol(BgL_arg1225z00_158); } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1086z00_157)))->BgL_namez00)=((obj_t)BgL_auxz00_1604),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1086z00_157)))->BgL_bodyz00)=((obj_t)BgL_bodyz00_12),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1086z00_157)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1086z00_157)))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1086z00_157)))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1086z00_157)))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1086z00_157))->BgL_fthreadz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1628;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_arg1231z00_162;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_arg1232z00_163;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_classz00_573;
BgL_classz00_573 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1232z00_163 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_573); } 
BgL_arg1231z00_162 = 
VECTOR_REF(BgL_arg1232z00_163,((long)9)); } 
BgL_auxz00_1628 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1231z00_162); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1086z00_157))->BgL_mutexz00)=((obj_t)BgL_auxz00_1628),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1633;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_arg1233z00_164;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_arg1234z00_165;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_classz00_575;
BgL_classz00_575 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1234z00_165 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_575); } 
BgL_arg1233z00_164 = 
VECTOR_REF(BgL_arg1234z00_165,((long)10)); } 
BgL_auxz00_1633 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1233z00_164); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1086z00_157))->BgL_condvarz00)=((obj_t)BgL_auxz00_1633),BUNSPEC); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1086z00_157))->BgL_idz00)=((obj_t)BgL_oz00_13),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1086z00_157))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/_pthread.scm 201 */
 obj_t BgL_fun1235z00_166;
BgL_fun1235z00_166 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52pthreadz52zz__ft_z52typesz52); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1235z00_166))(BgL_fun1235z00_166, 
((obj_t)BgL_new1086z00_157), BEOA); } 
BgL_z52pthz52_155 = BgL_new1086z00_157; } 
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_z52pthz52_155), BNIL); 
return 
((obj_t)BgL_z52pthz52_155);} } 

}



/* &%async-spawn */
obj_t BGl_z62z52asynczd2spawnze2zz__ft_z52pthreadz52(obj_t BgL_envz00_851, obj_t BgL_scdlz00_852, obj_t BgL_bodyz00_853, obj_t BgL_oz00_854)
{
{ /* Llib/_pthread.scm 196 */
{ /* Llib/_pthread.scm 201 */
 obj_t BgL_auxz00_1657; BgL_z52pthreadz52_bglt BgL_auxz00_1649;
if(
PROCEDUREP(BgL_bodyz00_853))
{ /* Llib/_pthread.scm 201 */
BgL_auxz00_1657 = BgL_bodyz00_853
; }  else 
{ 
 obj_t BgL_auxz00_1660;
BgL_auxz00_1660 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1416z00zz__ft_z52pthreadz52, 
BINT(((long)7392)), BGl_string1429z00zz__ft_z52pthreadz52, BGl_string1430z00zz__ft_z52pthreadz52, BgL_bodyz00_853); 
FAILURE(BgL_auxz00_1660,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_852, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 201 */
BgL_auxz00_1649 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_852)
; }  else 
{ 
 obj_t BgL_auxz00_1653;
BgL_auxz00_1653 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1416z00zz__ft_z52pthreadz52, 
BINT(((long)7392)), BGl_string1429z00zz__ft_z52pthreadz52, BGl_string1423z00zz__ft_z52pthreadz52, BgL_scdlz00_852); 
FAILURE(BgL_auxz00_1653,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(BgL_auxz00_1649, BgL_auxz00_1657, BgL_oz00_854);} } 

}



/* %async-synchronize */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_14)
{
{ /* Llib/_pthread.scm 211 */
{ /* Llib/_pthread.scm 215 */
 obj_t BgL_arg1246z00_578;
BgL_arg1246z00_578 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_14))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 215 */

{ /* Llib/_pthread.scm 215 */
 int BgL_arg1695z00_584;
BgL_arg1695z00_584 = 
BGL_MUTEX_LOCK(BgL_arg1246z00_578); 
return 
BBOOL(
(
(long)(BgL_arg1695z00_584)==((long)0)));} } } } 

}



/* &%async-synchronize */
obj_t BGl_z62z52asynczd2synchroniza7ez45zz__ft_z52pthreadz52(obj_t BgL_envz00_855, obj_t BgL_scdlz00_856)
{
{ /* Llib/_pthread.scm 211 */
{ /* Llib/_pthread.scm 214 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1670;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_856, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 214 */
BgL_auxz00_1670 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_856)
; }  else 
{ 
 obj_t BgL_auxz00_1674;
BgL_auxz00_1674 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1416z00zz__ft_z52pthreadz52, 
BINT(((long)7893)), BGl_string1431z00zz__ft_z52pthreadz52, BGl_string1423z00zz__ft_z52pthreadz52, BgL_scdlz00_856); 
FAILURE(BgL_auxz00_1674,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_auxz00_1670);} } 

}



/* %async-asynchronize */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_15)
{
{ /* Llib/_pthread.scm 220 */
{ /* Llib/_pthread.scm 224 */
 obj_t BgL_arg1247z00_590;
BgL_arg1247z00_590 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_15))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 224 */
 int BgL_arg1693z00_592;
BgL_arg1693z00_592 = 
BGL_MUTEX_UNLOCK(BgL_arg1247z00_590); 
return 
BBOOL(
(
(long)(BgL_arg1693z00_592)==((long)0)));} } } 

}



/* &%async-asynchronize */
obj_t BGl_z62z52asynczd2asynchroniza7ez45zz__ft_z52pthreadz52(obj_t BgL_envz00_857, obj_t BgL_scdlz00_858)
{
{ /* Llib/_pthread.scm 220 */
{ /* Llib/_pthread.scm 223 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1684;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_858, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 223 */
BgL_auxz00_1684 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_858)
; }  else 
{ 
 obj_t BgL_auxz00_1688;
BgL_auxz00_1688 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1416z00zz__ft_z52pthreadz52, 
BINT(((long)8317)), BGl_string1432z00zz__ft_z52pthreadz52, BGl_string1423z00zz__ft_z52pthreadz52, BgL_scdlz00_858); 
FAILURE(BgL_auxz00_1688,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_auxz00_1684);} } 

}



/* %async-scheduler-wait */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_16)
{
{ /* Llib/_pthread.scm 229 */
{ /* Llib/_pthread.scm 233 */
 obj_t BgL_arg1248z00_176; obj_t BgL_arg1249z00_177;
BgL_arg1248z00_176 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_16))->BgL_condvarz00); 
BgL_arg1249z00_177 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_16))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 233 */

return 
BBOOL(
BGL_CONDVAR_WAIT(BgL_arg1248z00_176, BgL_arg1249z00_177));} } } 

}



/* &%async-scheduler-wait */
obj_t BGl_z62z52asynczd2schedulerzd2waitz30zz__ft_z52pthreadz52(obj_t BgL_envz00_859, obj_t BgL_scdlz00_860)
{
{ /* Llib/_pthread.scm 229 */
{ /* Llib/_pthread.scm 232 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1697;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_860, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 232 */
BgL_auxz00_1697 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_860)
; }  else 
{ 
 obj_t BgL_auxz00_1701;
BgL_auxz00_1701 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1416z00zz__ft_z52pthreadz52, 
BINT(((long)8744)), BGl_string1433z00zz__ft_z52pthreadz52, BGl_string1423z00zz__ft_z52pthreadz52, BgL_scdlz00_860); 
FAILURE(BgL_auxz00_1701,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(BgL_auxz00_1697);} } 

}



/* %async-scheduler-notify */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_17)
{
{ /* Llib/_pthread.scm 238 */
{ /* Llib/_pthread.scm 242 */
 obj_t BgL_arg1250z00_600;
BgL_arg1250z00_600 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_17))->BgL_condvarz00); 
return 
BBOOL(
BGL_CONDVAR_SIGNAL(BgL_arg1250z00_600));} } 

}



/* &%async-scheduler-notify */
obj_t BGl_z62z52asynczd2schedulerzd2notifyz30zz__ft_z52pthreadz52(obj_t BgL_envz00_861, obj_t BgL_scdlz00_862)
{
{ /* Llib/_pthread.scm 238 */
{ /* Llib/_pthread.scm 241 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1709;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_862, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 241 */
BgL_auxz00_1709 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_862)
; }  else 
{ 
 obj_t BgL_auxz00_1713;
BgL_auxz00_1713 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1416z00zz__ft_z52pthreadz52, 
BINT(((long)9202)), BGl_string1434z00zz__ft_z52pthreadz52, BGl_string1423z00zz__ft_z52pthreadz52, BgL_scdlz00_862); 
FAILURE(BgL_auxz00_1713,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(BgL_auxz00_1709);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1435z00zz__ft_z52pthreadz52, BGl_string1436z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1437z00zz__ft_z52pthreadz52, BGl_string1438z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2currentzd2threadzd2envz80zz__threadz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1439z00zz__ft_z52pthreadz52, BGl_string1440z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1441z00zz__ft_z52pthreadz52, BGl_string1442z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2sleepz12zd2envz92zz__threadz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1443z00zz__ft_z52pthreadz52, BGl_string1444z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2currentzd2threadzd2envz80zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1445z00zz__ft_z52pthreadz52, BGl_string1440z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1446z00zz__ft_z52pthreadz52, BGl_string1442z00zz__ft_z52pthreadz52); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2sleepz12zd2envz92zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1447z00zz__ft_z52pthreadz52, BGl_string1444z00zz__ft_z52pthreadz52);} 

}



/* &%user-thread-sleep!-1116 */
obj_t BGl_z62z52userzd2threadzd2sleepz12zd21116zf0zz__ft_z52pthreadz52(obj_t BgL_envz00_872, obj_t BgL_oz00_873, obj_t BgL_timeoutz00_874)
{
{ /* Llib/_pthread.scm 317 */
if(
(
(long)CINT(BgL_timeoutz00_874)>((long)0)))
{ /* Llib/_pthread.scm 318 */
return 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_oz00_873), 
CINT(BgL_timeoutz00_874));}  else 
{ /* Llib/_pthread.scm 318 */
return BFALSE;} } 

}



/* &%user-thread-yield!-1114 */
obj_t BGl_z62z52userzd2threadzd2yieldz12zd21114zf0zz__ft_z52pthreadz52(obj_t BgL_envz00_875, obj_t BgL_oz00_876)
{
{ /* Llib/_pthread.scm 311 */
return 
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_oz00_876));} 

}



/* &%user-current-thread1112 */
obj_t BGl_z62z52userzd2currentzd2thread1112z30zz__ft_z52pthreadz52(obj_t BgL_envz00_877, obj_t BgL_oz00_878)
{
{ /* Llib/_pthread.scm 305 */
return 
((obj_t)
((BgL_fthreadz00_bglt)BgL_oz00_878));} 

}



/* &%user-thread-sleep!-1110 */
obj_t BGl_z62z52userzd2threadzd2sleepz12zd21110zf0zz__ft_z52pthreadz52(obj_t BgL_envz00_879, obj_t BgL_oz00_880, obj_t BgL_timeoutz00_881)
{
{ /* Llib/_pthread.scm 297 */
{ /* Llib/_pthread.scm 299 */
 bool_t BgL_test1583z00_1736;
{ /* Llib/_pthread.scm 299 */
 bool_t BgL_test1585z00_1737;
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_arg1358z00_990;
BgL_arg1358z00_990 = 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_880)))->BgL_fthreadz00); 
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_classz00_991;
BgL_classz00_991 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1358z00_990))
{ /* Llib/_pthread.scm 299 */
 BgL_objectz00_bglt BgL_arg1793z00_992;
BgL_arg1793z00_992 = 
(BgL_objectz00_bglt)(BgL_arg1358z00_990); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 299 */
 long BgL_idxz00_993;
BgL_idxz00_993 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_992); 
BgL_test1585z00_1737 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_993+((long)2)))==BgL_classz00_991); }  else 
{ /* Llib/_pthread.scm 299 */
 bool_t BgL_res1377z00_996;
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_oclassz00_997;
{ /* Llib/_pthread.scm 299 */
 long BgL_arg1801z00_998;
{ /* Llib/_pthread.scm 299 */
 long BgL_arg1802z00_999;
BgL_arg1802z00_999 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_992); 
BgL_arg1801z00_998 = 
(BgL_arg1802z00_999-OBJECT_TYPE); } 
BgL_oclassz00_997 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_998); } 
{ /* Llib/_pthread.scm 299 */
 bool_t BgL__ortest_1110z00_1000;
BgL__ortest_1110z00_1000 = 
(BgL_classz00_991==BgL_oclassz00_997); 
if(BgL__ortest_1110z00_1000)
{ /* Llib/_pthread.scm 299 */
BgL_res1377z00_996 = BgL__ortest_1110z00_1000; }  else 
{ /* Llib/_pthread.scm 299 */
 long BgL_odepthz00_1001;
BgL_odepthz00_1001 = 
BGL_CLASS_DEPTH(BgL_oclassz00_997); 
if(
(((long)2)<BgL_odepthz00_1001))
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_arg1790z00_1002;
BgL_arg1790z00_1002 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_997, ((long)2)); 
BgL_res1377z00_996 = 
(BgL_arg1790z00_1002==BgL_classz00_991); }  else 
{ /* Llib/_pthread.scm 299 */
BgL_res1377z00_996 = ((bool_t)0); } } } } 
BgL_test1585z00_1737 = BgL_res1377z00_996; } }  else 
{ /* Llib/_pthread.scm 299 */
BgL_test1585z00_1737 = ((bool_t)0)
; } } } 
if(BgL_test1585z00_1737)
{ /* Llib/_pthread.scm 299 */
BgL_test1583z00_1736 = 
(
(long)CINT(BgL_timeoutz00_881)>((long)0))
; }  else 
{ /* Llib/_pthread.scm 299 */
BgL_test1583z00_1736 = ((bool_t)0)
; } } 
if(BgL_test1583z00_1736)
{ /* Llib/_pthread.scm 300 */
 obj_t BgL_arg1357z00_1003;
BgL_arg1357z00_1003 = 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_880)))->BgL_fthreadz00); 
return 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_arg1357z00_1003), 
CINT(BgL_timeoutz00_881));}  else 
{ /* Llib/_pthread.scm 299 */
return BFALSE;} } } 

}



/* &%user-thread-yield!-1108 */
obj_t BGl_z62z52userzd2threadzd2yieldz12zd21108zf0zz__ft_z52pthreadz52(obj_t BgL_envz00_882, obj_t BgL_oz00_883)
{
{ /* Llib/_pthread.scm 289 */
if(
CBOOL(
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_883)))->BgL_fthreadz00)))
{ /* Llib/_pthread.scm 292 */
 obj_t BgL_arg1351z00_1005;
BgL_arg1351z00_1005 = 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_883)))->BgL_fthreadz00); 
return 
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_arg1351z00_1005));}  else 
{ /* Llib/_pthread.scm 291 */
return BFALSE;} } 

}



/* &%user-current-thread1106 */
obj_t BGl_z62z52userzd2currentzd2thread1106z30zz__ft_z52pthreadz52(obj_t BgL_envz00_884, obj_t BgL_oz00_885)
{
{ /* Llib/_pthread.scm 280 */
{ /* Llib/_pthread.scm 282 */
 bool_t BgL_test1594z00_1774;
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_arg1344z00_1007;
BgL_arg1344z00_1007 = 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_885)))->BgL_fthreadz00); 
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_classz00_1008;
BgL_classz00_1008 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1344z00_1007))
{ /* Llib/_pthread.scm 282 */
 BgL_objectz00_bglt BgL_arg1793z00_1009;
BgL_arg1793z00_1009 = 
(BgL_objectz00_bglt)(BgL_arg1344z00_1007); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 282 */
 long BgL_idxz00_1010;
BgL_idxz00_1010 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1009); 
BgL_test1594z00_1774 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1010+((long)2)))==BgL_classz00_1008); }  else 
{ /* Llib/_pthread.scm 282 */
 bool_t BgL_res1374z00_1013;
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_oclassz00_1014;
{ /* Llib/_pthread.scm 282 */
 long BgL_arg1801z00_1015;
{ /* Llib/_pthread.scm 282 */
 long BgL_arg1802z00_1016;
BgL_arg1802z00_1016 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1009); 
BgL_arg1801z00_1015 = 
(BgL_arg1802z00_1016-OBJECT_TYPE); } 
BgL_oclassz00_1014 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1015); } 
{ /* Llib/_pthread.scm 282 */
 bool_t BgL__ortest_1110z00_1017;
BgL__ortest_1110z00_1017 = 
(BgL_classz00_1008==BgL_oclassz00_1014); 
if(BgL__ortest_1110z00_1017)
{ /* Llib/_pthread.scm 282 */
BgL_res1374z00_1013 = BgL__ortest_1110z00_1017; }  else 
{ /* Llib/_pthread.scm 282 */
 long BgL_odepthz00_1018;
BgL_odepthz00_1018 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1014); 
if(
(((long)2)<BgL_odepthz00_1018))
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_arg1790z00_1019;
BgL_arg1790z00_1019 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1014, ((long)2)); 
BgL_res1374z00_1013 = 
(BgL_arg1790z00_1019==BgL_classz00_1008); }  else 
{ /* Llib/_pthread.scm 282 */
BgL_res1374z00_1013 = ((bool_t)0); } } } } 
BgL_test1594z00_1774 = BgL_res1374z00_1013; } }  else 
{ /* Llib/_pthread.scm 282 */
BgL_test1594z00_1774 = ((bool_t)0)
; } } } 
if(BgL_test1594z00_1774)
{ /* Llib/_pthread.scm 282 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_885)))->BgL_fthreadz00);}  else 
{ /* Llib/_pthread.scm 268 */
 obj_t BgL_csz00_1020;
BgL_csz00_1020 = 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00(); 
{ /* Llib/_pthread.scm 269 */
 bool_t BgL_test1600z00_1799;
{ /* Llib/_pthread.scm 269 */
 obj_t BgL_classz00_1021;
BgL_classz00_1021 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_csz00_1020))
{ /* Llib/_pthread.scm 269 */
 BgL_objectz00_bglt BgL_arg1793z00_1022;
BgL_arg1793z00_1022 = 
(BgL_objectz00_bglt)(BgL_csz00_1020); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 269 */
 long BgL_idxz00_1023;
BgL_idxz00_1023 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1022); 
BgL_test1600z00_1799 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1023+((long)3)))==BgL_classz00_1021); }  else 
{ /* Llib/_pthread.scm 269 */
 bool_t BgL_res1375z00_1026;
{ /* Llib/_pthread.scm 269 */
 obj_t BgL_oclassz00_1027;
{ /* Llib/_pthread.scm 269 */
 long BgL_arg1801z00_1028;
{ /* Llib/_pthread.scm 269 */
 long BgL_arg1802z00_1029;
BgL_arg1802z00_1029 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1022); 
BgL_arg1801z00_1028 = 
(BgL_arg1802z00_1029-OBJECT_TYPE); } 
BgL_oclassz00_1027 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1028); } 
{ /* Llib/_pthread.scm 269 */
 bool_t BgL__ortest_1110z00_1030;
BgL__ortest_1110z00_1030 = 
(BgL_classz00_1021==BgL_oclassz00_1027); 
if(BgL__ortest_1110z00_1030)
{ /* Llib/_pthread.scm 269 */
BgL_res1375z00_1026 = BgL__ortest_1110z00_1030; }  else 
{ /* Llib/_pthread.scm 269 */
 long BgL_odepthz00_1031;
BgL_odepthz00_1031 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1027); 
if(
(((long)3)<BgL_odepthz00_1031))
{ /* Llib/_pthread.scm 269 */
 obj_t BgL_arg1790z00_1032;
BgL_arg1790z00_1032 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1027, ((long)3)); 
BgL_res1375z00_1026 = 
(BgL_arg1790z00_1032==BgL_classz00_1021); }  else 
{ /* Llib/_pthread.scm 269 */
BgL_res1375z00_1026 = ((bool_t)0); } } } } 
BgL_test1600z00_1799 = BgL_res1375z00_1026; } }  else 
{ /* Llib/_pthread.scm 269 */
BgL_test1600z00_1799 = ((bool_t)0)
; } } 
if(BgL_test1600z00_1799)
{ /* Llib/_pthread.scm 269 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_csz00_1020)))->BgL_currentzd2threadzd2);}  else 
{ /* Llib/_pthread.scm 272 */
 obj_t BgL_dsz00_1033;
BgL_dsz00_1033 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); 
{ /* Llib/_pthread.scm 273 */
 bool_t BgL_test1608z00_1822;
{ /* Llib/_pthread.scm 273 */
 obj_t BgL_classz00_1034;
BgL_classz00_1034 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_dsz00_1033))
{ /* Llib/_pthread.scm 273 */
 BgL_objectz00_bglt BgL_arg1793z00_1035;
BgL_arg1793z00_1035 = 
(BgL_objectz00_bglt)(BgL_dsz00_1033); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 273 */
 long BgL_idxz00_1036;
BgL_idxz00_1036 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1035); 
BgL_test1608z00_1822 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1036+((long)3)))==BgL_classz00_1034); }  else 
{ /* Llib/_pthread.scm 273 */
 bool_t BgL_res1376z00_1039;
{ /* Llib/_pthread.scm 273 */
 obj_t BgL_oclassz00_1040;
{ /* Llib/_pthread.scm 273 */
 long BgL_arg1801z00_1041;
{ /* Llib/_pthread.scm 273 */
 long BgL_arg1802z00_1042;
BgL_arg1802z00_1042 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1035); 
BgL_arg1801z00_1041 = 
(BgL_arg1802z00_1042-OBJECT_TYPE); } 
BgL_oclassz00_1040 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1041); } 
{ /* Llib/_pthread.scm 273 */
 bool_t BgL__ortest_1110z00_1043;
BgL__ortest_1110z00_1043 = 
(BgL_classz00_1034==BgL_oclassz00_1040); 
if(BgL__ortest_1110z00_1043)
{ /* Llib/_pthread.scm 273 */
BgL_res1376z00_1039 = BgL__ortest_1110z00_1043; }  else 
{ /* Llib/_pthread.scm 273 */
 long BgL_odepthz00_1044;
BgL_odepthz00_1044 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1040); 
if(
(((long)3)<BgL_odepthz00_1044))
{ /* Llib/_pthread.scm 273 */
 obj_t BgL_arg1790z00_1045;
BgL_arg1790z00_1045 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1040, ((long)3)); 
BgL_res1376z00_1039 = 
(BgL_arg1790z00_1045==BgL_classz00_1034); }  else 
{ /* Llib/_pthread.scm 273 */
BgL_res1376z00_1039 = ((bool_t)0); } } } } 
BgL_test1608z00_1822 = BgL_res1376z00_1039; } }  else 
{ /* Llib/_pthread.scm 273 */
BgL_test1608z00_1822 = ((bool_t)0)
; } } 
if(BgL_test1608z00_1822)
{ /* Llib/_pthread.scm 273 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_dsz00_1033)))->BgL_currentzd2threadzd2);}  else 
{ /* Llib/_pthread.scm 273 */
return BFALSE;} } } } } } } 

}



/* &object-display-%pthr1104 */
obj_t BGl_z62objectzd2displayzd2z52pthr1104z30zz__ft_z52pthreadz52(obj_t BgL_envz00_886, obj_t BgL_oz00_887, obj_t BgL_portz00_888)
{
{ /* Llib/_pthread.scm 260 */
{ /* Llib/_pthread.scm 261 */
 obj_t BgL_runner1340z00_1047;
{ /* Llib/_pthread.scm 261 */
 obj_t BgL_list1338z00_1048;
BgL_list1338z00_1048 = 
MAKE_YOUNG_PAIR(BgL_portz00_888, BNIL); 
BgL_runner1340z00_1047 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)
((BgL_z52pthreadz52_bglt)BgL_oz00_887)), BgL_list1338z00_1048); } 
{ /* Llib/_pthread.scm 261 */
 BgL_objectz00_bglt BgL_aux1339z00_1049;
{ /* Llib/_pthread.scm 261 */
 obj_t BgL_pairz00_1050;
BgL_pairz00_1050 = BgL_runner1340z00_1047; 
BgL_aux1339z00_1049 = 
((BgL_objectz00_bglt)
CAR(BgL_pairz00_1050)); } 
BgL_runner1340z00_1047 = 
CDR(BgL_runner1340z00_1047); 
return 
BGl_objectzd2writezd2zz__objectz00(BgL_aux1339z00_1049, BgL_runner1340z00_1047);} } } 

}



/* &object-write-%pthrea1102 */
obj_t BGl_z62objectzd2writezd2z52pthrea1102z30zz__ft_z52pthreadz52(obj_t BgL_envz00_889, obj_t BgL_oz00_890, obj_t BgL_portz00_891)
{
{ /* Llib/_pthread.scm 247 */
{ /* Llib/_pthread.scm 248 */
 obj_t BgL_arg1254z00_1052;
{ /* Llib/_pthread.scm 248 */
 bool_t BgL_test1613z00_1852;
if(
PAIRP(BgL_portz00_891))
{ /* Llib/_pthread.scm 248 */
 obj_t BgL_tmpz00_1855;
BgL_tmpz00_1855 = 
CAR(BgL_portz00_891); 
BgL_test1613z00_1852 = 
OUTPUT_PORTP(BgL_tmpz00_1855); }  else 
{ /* Llib/_pthread.scm 248 */
BgL_test1613z00_1852 = ((bool_t)0)
; } 
if(BgL_test1613z00_1852)
{ /* Llib/_pthread.scm 248 */
BgL_arg1254z00_1052 = 
CAR(BgL_portz00_891); }  else 
{ /* Llib/_pthread.scm 250 */
 obj_t BgL_tmpz00_1859;
BgL_tmpz00_1859 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1254z00_1052 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1859); } } 
{ /* Llib/_pthread.scm 252 */
 obj_t BgL_zc3z04anonymousza31281ze3z87_1053;
BgL_zc3z04anonymousza31281ze3z87_1053 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31281ze3ze5zz__ft_z52pthreadz52, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31281ze3z87_1053, 
(int)(((long)0)), 
((obj_t)
((BgL_z52pthreadz52_bglt)BgL_oz00_890))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1254z00_1052, BgL_zc3z04anonymousza31281ze3z87_1053);} } } 

}



/* &<@anonymous:1281> */
obj_t BGl_z62zc3z04anonymousza31281ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_892)
{
{ /* Llib/_pthread.scm 251 */
{ /* Llib/_pthread.scm 252 */
 BgL_z52pthreadz52_bglt BgL_oz00_893;
BgL_oz00_893 = 
((BgL_z52pthreadz52_bglt)
PROCEDURE_REF(BgL_envz00_892, 
(int)(((long)0)))); 
{ /* Llib/_pthread.scm 254 */
 obj_t BgL_thezd2parentzd2_1054;
if(
(
((obj_t)BgL_oz00_893)==
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_oz00_893))->BgL_parentz00)))
{ /* Llib/_pthread.scm 254 */
BgL_thezd2parentzd2_1054 = BGl_string1448z00zz__ft_z52pthreadz52; }  else 
{ /* Llib/_pthread.scm 254 */
BgL_thezd2parentzd2_1054 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_oz00_893))->BgL_parentz00); } 
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1285z00_1055;
BgL_arg1285z00_1055 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_oz00_893)))->BgL_namez00); 
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_list1286z00_1056;
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1288z00_1057;
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1289z00_1058;
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1330z00_1059;
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1331z00_1060;
BgL_arg1331z00_1060 = 
MAKE_YOUNG_PAIR(BGl_string1449z00zz__ft_z52pthreadz52, BNIL); 
BgL_arg1330z00_1059 = 
MAKE_YOUNG_PAIR(BgL_thezd2parentzd2_1054, BgL_arg1331z00_1060); } 
BgL_arg1289z00_1058 = 
MAKE_YOUNG_PAIR(BGl_string1450z00zz__ft_z52pthreadz52, BgL_arg1330z00_1059); } 
BgL_arg1288z00_1057 = 
MAKE_YOUNG_PAIR(BgL_arg1285z00_1055, BgL_arg1289z00_1058); } 
BgL_list1286z00_1056 = 
MAKE_YOUNG_PAIR(BGl_string1451z00zz__ft_z52pthreadz52, BgL_arg1288z00_1057); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1286z00_1056);} } } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1452z00zz__ft_z52pthreadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(((long)0), 
BSTRING_TO_STRING(BGl_string1452z00zz__ft_z52pthreadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(((long)536507091), 
BSTRING_TO_STRING(BGl_string1452z00zz__ft_z52pthreadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(((long)427827911), 
BSTRING_TO_STRING(BGl_string1452z00zz__ft_z52pthreadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(((long)398966270), 
BSTRING_TO_STRING(BGl_string1452z00zz__ft_z52pthreadz52)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(((long)295111899), 
BSTRING_TO_STRING(BGl_string1452z00zz__ft_z52pthreadz52));} 

}

#ifdef __cplusplus
}
#endif
