/*===========================================================================*/
/*   (Llib/_scheduler.scm)                                                   */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IPosix Llib/_scheduler.scm -o objs/_scheduler.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_ftenvz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
} *BgL_ftenvz00_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52sigasyncz52_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_spawnedz00;
   obj_t BgL_idz00;
   obj_t BgL_thunkz00;
} *BgL_z52sigasyncz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;


static obj_t BGl_z52schedulerzd2getzd2asynczd2runnablez80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_z52schedulerz52 = BUNSPEC;
static obj_t BGl_z62z52schedulerzd2addzd2asynczd2runnablez12zf0zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z52terminatezd2threadsz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
extern bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
extern obj_t BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
static obj_t BGl_toplevelzd2initzd2zz__ft_z52schedulerz52(void);
static obj_t BGl_z62z52schedulerzd2addzd2broadcastz12z22zz__ft_z52schedulerz52(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z52selectzd2threadsz12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
static obj_t BGl_genericzd2initzd2zz__ft_z52schedulerz52(void);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt, BgL_schedulerz00_bglt);
static obj_t BGl_objectzd2initzd2zz__ft_z52schedulerz52(void);
extern obj_t BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt, obj_t, obj_t);
static obj_t BGl_z62z52broadcastz12z22zz__ft_z52schedulerz52(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31207ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
extern obj_t BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
extern obj_t BGl_z52schedulerz52zz__ft_z52typesz52;
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2addzd2asynczd2runnablez12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_fthreadz00_bglt);
static obj_t BGl_z52spawnzd2asyncz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
static obj_t BGl_z62z52schedulerzd2nextzd2threadz30zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_appendzd221009zd2zz__ft_z52schedulerz52(obj_t, obj_t);
static obj_t BGl_z52startzd2newzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_methodzd2initzd2zz__ft_z52schedulerz52(void);
static BgL_schedulerz00_bglt BGl_z62z52getzd2optionalzd2schedulerz30zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
static obj_t BGl_z62z52schedulerzd2switchzd2tozd2nextzd2threadz30zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31260ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z52suspendzf2resumezd2threadsz72zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
static obj_t BGl_z62z52schedulerzd2waitingzd2threadsz30zz__ft_z52schedulerz52(obj_t, obj_t);
static obj_t BGl_z52sortzd2threadsz80zz__ft_z52schedulerz52(obj_t);
extern obj_t BGl_ftenvzd2threadszd2zz__ft_envz00(BgL_ftenvz00_bglt);
extern bool_t BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z52schedulerzd2broadcastza2z12z30zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
static obj_t BGl_z62zc3z04anonymousza31247ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
extern bool_t BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_z52sigasyncz52_bglt);
extern BgL_schedulerz00_bglt BGl_makezd2schedulerzd2zz__ft_schedulerz00(obj_t);
extern obj_t BGl_signalzd2emitzd2zz__ft_signalz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52envz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_schedulerz00_bglt);
static obj_t BGl_z62z52schedulerzd2timeze2zz__ft_z52schedulerz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(obj_t, BgL_z52pthreadz52_bglt);
extern obj_t BGl_z52sigasyncz52zz__ft_z52typesz52;
static obj_t BGl_z62zc3z04anonymousza31179ze3ze5zz__ft_z52schedulerz52(obj_t);
extern obj_t BGl_schedulerz00zz__ft_typesz00;
static obj_t BGl_cnstzd2initzd2zz__ft_z52schedulerz52(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52schedulerz52(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52schedulerz52(void);
static obj_t BGl_gczd2rootszd2initz00zz__ft_z52schedulerz52(void);
static obj_t BGl_z62zc3z04anonymousza31286ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
extern obj_t BGl_instantzd2envz12zc0zz__ft_envz00(BgL_ftenvz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31198ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
static bool_t BGl_z52envzd2initzd2instantz52zz__ft_z52schedulerz52(BgL_schedulerz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2addzd2asyncz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_z52sigasyncz52_bglt);
BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_z62ntz62zz__ft_z52schedulerz52(obj_t);
static obj_t BGl_z62z52schedulezd2instantze2zz__ft_z52schedulerz52(obj_t, obj_t);
extern obj_t BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_EXPORTED_DECL BgL_schedulerz00_bglt BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(obj_t, obj_t);
static obj_t BGl_z62z52schedulerzd2spawnzd2asyncz30zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
extern obj_t BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(obj_t, BgL_threadz00_bglt);
static obj_t BGl_z62z52schedulerzd2addzd2asyncz12z22zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt, BgL_schedulerz00_bglt);
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52broadcastz12zd2envz92zz__ft_z52schedulerz52, BgL_bgl_za762za752broadcastza71692za7, BGl_z62z52broadcastz12z22zz__ft_z52schedulerz52, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2spawnzd2asynczd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71693za7, BGl_z62z52schedulerzd2spawnzd2asyncz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52getzd2optionalzd2schedulerzd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752getza7d2opti1694za7, BGl_z62z52getzd2optionalzd2schedulerz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1655z00zz__ft_z52schedulerz52, BgL_bgl_string1655za700za7za7_1695za7, "Llib/_scheduler.scm", 19 );
DEFINE_STRING( BGl_string1656z00zz__ft_z52schedulerz52, BgL_bgl_string1656za700za7za7_1696za7, "Illegal scheduler", 17 );
DEFINE_STRING( BGl_string1657z00zz__ft_z52schedulerz52, BgL_bgl_string1657za700za7za7_1697za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/fthread/src/Llib/_scheduler.scm", 71 );
DEFINE_STRING( BGl_string1658z00zz__ft_z52schedulerz52, BgL_bgl_string1658za700za7za7_1698za7, "&%get-optional-scheduler", 24 );
DEFINE_STRING( BGl_string1659z00zz__ft_z52schedulerz52, BgL_bgl_string1659za700za7za7_1699za7, "symbol", 6 );
DEFINE_STRING( BGl_string1660z00zz__ft_z52schedulerz52, BgL_bgl_string1660za700za7za7_1700za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1661z00zz__ft_z52schedulerz52, BgL_bgl_string1661za700za7za7_1701za7, "&%scheduler-add-async-runnable!", 31 );
DEFINE_STRING( BGl_string1662z00zz__ft_z52schedulerz52, BgL_bgl_string1662za700za7za7_1702za7, "%scheduler", 10 );
DEFINE_STRING( BGl_string1663z00zz__ft_z52schedulerz52, BgL_bgl_string1663za700za7za7_1703za7, "fthread", 7 );
DEFINE_STRING( BGl_string1664z00zz__ft_z52schedulerz52, BgL_bgl_string1664za700za7za7_1704za7, "&%scheduler-add-async!", 22 );
DEFINE_STRING( BGl_string1665z00zz__ft_z52schedulerz52, BgL_bgl_string1665za700za7za7_1705za7, "%sigasync", 9 );
DEFINE_STRING( BGl_string1667z00zz__ft_z52schedulerz52, BgL_bgl_string1667za700za7za7_1706za7, "&%scheduler-next-thread", 23 );
DEFINE_STRING( BGl_string1668z00zz__ft_z52schedulerz52, BgL_bgl_string1668za700za7za7_1707za7, "scheduler", 9 );
DEFINE_STRING( BGl_string1669z00zz__ft_z52schedulerz52, BgL_bgl_string1669za700za7za7_1708za7, "&%scheduler-switch-to-next-thread", 33 );
DEFINE_STRING( BGl_string1670z00zz__ft_z52schedulerz52, BgL_bgl_string1670za700za7za7_1709za7, "&%schedule-instant", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1666z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1710za7, BGl_z62zc3z04anonymousza31179ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1676z00zz__ft_z52schedulerz52, BgL_bgl_string1676za700za7za7_1711za7, "&%scheduler-spawn-async", 23 );
DEFINE_STRING( BGl_string1677z00zz__ft_z52schedulerz52, BgL_bgl_string1677za700za7za7_1712za7, "&%broadcast!", 12 );
DEFINE_STRING( BGl_string1678z00zz__ft_z52schedulerz52, BgL_bgl_string1678za700za7za7_1713za7, "&%scheduler-add-broadcast!", 26 );
DEFINE_STRING( BGl_string1679z00zz__ft_z52schedulerz52, BgL_bgl_string1679za700za7za7_1714za7, "&%scheduler-time", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulezd2instantzd2envz52zz__ft_z52schedulerz52, BgL_bgl_za762za752scheduleza7d1715za7, BGl_z62z52schedulezd2instantze2zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1671z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1716za7, BGl_z62zc3z04anonymousza31198ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1672z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1717za7, BGl_z62zc3z04anonymousza31286ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1673z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1718za7, BGl_z62zc3z04anonymousza31247ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1680z00zz__ft_z52schedulerz52, BgL_bgl_string1680za700za7za7_1719za7, "&%scheduler-waiting-threads", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1674z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1720za7, BGl_z62zc3z04anonymousza31253ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1681z00zz__ft_z52schedulerz52, BgL_bgl_string1681za700za7za7_1721za7, "__ft_%scheduler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1675z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1722za7, BGl_z62zc3z04anonymousza31260ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1682z00zz__ft_z52schedulerz52, BgL_bgl_string1682za700za7za7_1723za7, "dead ", 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2addzd2asynczd2runnablez12zd2envz40zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71724za7, BGl_z62z52schedulerzd2addzd2asynczd2runnablez12zf0zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2addzd2asyncz12zd2envz92zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71725za7, BGl_z62z52schedulerzd2addzd2asyncz12z22zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2timezd2envz52zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71726za7, BGl_z62z52schedulerzd2timeze2zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2nextzd2threadzd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71727za7, BGl_z62z52schedulerzd2nextzd2threadz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2addzd2broadcastz12zd2envz92zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71728za7, BGl_z62z52schedulerzd2addzd2broadcastz12z22zz__ft_z52schedulerz52, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2switchzd2tozd2nextzd2threadzd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71729za7, BGl_z62z52schedulerzd2switchzd2tozd2nextzd2threadz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2waitingzd2threadszd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71730za7, BGl_z62z52schedulerzd2waitingzd2threadsz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_z52schedulerz52) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long BgL_checksumz00_608, char * BgL_fromz00_609)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_z52schedulerz52))
{ 
BGl_requirezd2initializa7ationz75zz__ft_z52schedulerz52 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_z52schedulerz52(); 
BGl_libraryzd2moduleszd2initz00zz__ft_z52schedulerz52(); 
BGl_cnstzd2initzd2zz__ft_z52schedulerz52(); 
BGl_importedzd2moduleszd2initz00zz__ft_z52schedulerz52(); 
return 
BGl_toplevelzd2initzd2zz__ft_z52schedulerz52();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ft_%scheduler"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_cportz00_586;
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_stringz00_593;
BgL_stringz00_593 = BGl_string1682z00zz__ft_z52schedulerz52; 
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_startz00_594;
BgL_startz00_594 = 
BINT(((long)0)); 
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_endz00_595;
BgL_endz00_595 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_593))); 
{ /* Llib/_scheduler.scm 15 */

BgL_cportz00_586 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_593, BgL_startz00_594, BgL_endz00_595); } } } } 
{ 
 long BgL_iz00_587;
BgL_iz00_587 = ((long)0); 
BgL_loopz00_588:
if(
(BgL_iz00_587==((long)-1)))
{ /* Llib/_scheduler.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/_scheduler.scm 15 */
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_arg1691z00_589;
{ /* Llib/_scheduler.scm 15 */

{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_locationz00_591;
BgL_locationz00_591 = 
BBOOL(((bool_t)0)); 
{ /* Llib/_scheduler.scm 15 */

BgL_arg1691z00_589 = 
BGl_readz00zz__readerz00(BgL_cportz00_586, BgL_locationz00_591); } } } 
{ /* Llib/_scheduler.scm 15 */
 int BgL_tmpz00_638;
BgL_tmpz00_638 = 
(int)(BgL_iz00_587); 
CNST_TABLE_SET(BgL_tmpz00_638, BgL_arg1691z00_589); } } 
{ /* Llib/_scheduler.scm 15 */
 int BgL_auxz00_592;
BgL_auxz00_592 = 
(int)(
(BgL_iz00_587-((long)1))); 
{ 
 long BgL_iz00_643;
BgL_iz00_643 = 
(long)(BgL_auxz00_592); 
BgL_iz00_587 = BgL_iz00_643; 
goto BgL_loopz00_588;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1655z00zz__ft_z52schedulerz52)); 
return BFALSE;} 

}



/* append-21009 */
obj_t BGl_appendzd221009zd2zz__ft_z52schedulerz52(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_40;
BgL_headz00_40 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_41; obj_t BgL_tailz00_42;
BgL_prevz00_41 = BgL_headz00_40; 
BgL_tailz00_42 = BgL_l1z00_1; 
BgL_loopz00_43:
if(
PAIRP(BgL_tailz00_42))
{ 
 obj_t BgL_newzd2prevzd2_45;
BgL_newzd2prevzd2_45 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_42), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_41, BgL_newzd2prevzd2_45); 
{ 
 obj_t BgL_tailz00_655; obj_t BgL_prevz00_654;
BgL_prevz00_654 = BgL_newzd2prevzd2_45; 
BgL_tailz00_655 = 
CDR(BgL_tailz00_42); 
BgL_tailz00_42 = BgL_tailz00_655; 
BgL_prevz00_41 = BgL_prevz00_654; 
goto BgL_loopz00_43;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_40);} } } 

}



/* %get-optional-scheduler */
BGL_EXPORTED_DEF BgL_schedulerz00_bglt BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(obj_t BgL_whoz00_3, obj_t BgL_oz00_4)
{
{ /* Llib/_scheduler.scm 54 */
if(
NULLP(BgL_oz00_4))
{ /* Llib/_scheduler.scm 57 */
 obj_t BgL_sz00_49;
BgL_sz00_49 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); 
{ /* Llib/_scheduler.scm 58 */
 bool_t BgL_test1736z00_661;
{ /* Llib/_scheduler.scm 58 */
 obj_t BgL_classz00_315;
BgL_classz00_315 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_sz00_49))
{ /* Llib/_scheduler.scm 58 */
 BgL_objectz00_bglt BgL_arg1793z00_317;
BgL_arg1793z00_317 = 
(BgL_objectz00_bglt)(BgL_sz00_49); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_scheduler.scm 58 */
 long BgL_idxz00_323;
BgL_idxz00_323 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_317); 
BgL_test1736z00_661 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_323+((long)3)))==BgL_classz00_315); }  else 
{ /* Llib/_scheduler.scm 58 */
 bool_t BgL_res1618z00_345;
{ /* Llib/_scheduler.scm 58 */
 obj_t BgL_oclassz00_331;
{ /* Llib/_scheduler.scm 58 */
 long BgL_arg1801z00_337;
{ /* Llib/_scheduler.scm 58 */
 long BgL_arg1802z00_338;
BgL_arg1802z00_338 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_317); 
BgL_arg1801z00_337 = 
(BgL_arg1802z00_338-OBJECT_TYPE); } 
BgL_oclassz00_331 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_337); } 
{ /* Llib/_scheduler.scm 58 */
 bool_t BgL__ortest_1110z00_332;
BgL__ortest_1110z00_332 = 
(BgL_classz00_315==BgL_oclassz00_331); 
if(BgL__ortest_1110z00_332)
{ /* Llib/_scheduler.scm 58 */
BgL_res1618z00_345 = BgL__ortest_1110z00_332; }  else 
{ /* Llib/_scheduler.scm 58 */
 long BgL_odepthz00_333;
BgL_odepthz00_333 = 
BGL_CLASS_DEPTH(BgL_oclassz00_331); 
if(
(((long)3)<BgL_odepthz00_333))
{ /* Llib/_scheduler.scm 58 */
 obj_t BgL_arg1790z00_335;
BgL_arg1790z00_335 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_331, ((long)3)); 
BgL_res1618z00_345 = 
(BgL_arg1790z00_335==BgL_classz00_315); }  else 
{ /* Llib/_scheduler.scm 58 */
BgL_res1618z00_345 = ((bool_t)0); } } } } 
BgL_test1736z00_661 = BgL_res1618z00_345; } }  else 
{ /* Llib/_scheduler.scm 58 */
BgL_test1736z00_661 = ((bool_t)0)
; } } 
if(BgL_test1736z00_661)
{ /* Llib/_scheduler.scm 58 */
return 
((BgL_schedulerz00_bglt)BgL_sz00_49);}  else 
{ /* Llib/_scheduler.scm 60 */
 BgL_schedulerz00_bglt BgL_arg1133z00_51;
BgL_arg1133z00_51 = 
BGl_makezd2schedulerzd2zz__ft_schedulerz00(BNIL); 
{ /* Llib/_scheduler.scm 60 */
 obj_t BgL_list1134z00_52;
BgL_list1134z00_52 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1133z00_51), BNIL); 
return 
((BgL_schedulerz00_bglt)
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1134z00_52));} } } }  else 
{ /* Llib/_scheduler.scm 61 */
 bool_t BgL_test1743z00_687;
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_arg1141z00_58;
BgL_arg1141z00_58 = 
CAR(BgL_oz00_4); 
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_classz00_347;
BgL_classz00_347 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1141z00_58))
{ /* Llib/_scheduler.scm 61 */
 BgL_objectz00_bglt BgL_arg1793z00_349;
BgL_arg1793z00_349 = 
(BgL_objectz00_bglt)(BgL_arg1141z00_58); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_scheduler.scm 61 */
 long BgL_idxz00_355;
BgL_idxz00_355 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_349); 
BgL_test1743z00_687 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_355+((long)3)))==BgL_classz00_347); }  else 
{ /* Llib/_scheduler.scm 61 */
 bool_t BgL_res1619z00_377;
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_oclassz00_363;
{ /* Llib/_scheduler.scm 61 */
 long BgL_arg1801z00_369;
{ /* Llib/_scheduler.scm 61 */
 long BgL_arg1802z00_370;
BgL_arg1802z00_370 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_349); 
BgL_arg1801z00_369 = 
(BgL_arg1802z00_370-OBJECT_TYPE); } 
BgL_oclassz00_363 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_369); } 
{ /* Llib/_scheduler.scm 61 */
 bool_t BgL__ortest_1110z00_364;
BgL__ortest_1110z00_364 = 
(BgL_classz00_347==BgL_oclassz00_363); 
if(BgL__ortest_1110z00_364)
{ /* Llib/_scheduler.scm 61 */
BgL_res1619z00_377 = BgL__ortest_1110z00_364; }  else 
{ /* Llib/_scheduler.scm 61 */
 long BgL_odepthz00_365;
BgL_odepthz00_365 = 
BGL_CLASS_DEPTH(BgL_oclassz00_363); 
if(
(((long)3)<BgL_odepthz00_365))
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_arg1790z00_367;
BgL_arg1790z00_367 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_363, ((long)3)); 
BgL_res1619z00_377 = 
(BgL_arg1790z00_367==BgL_classz00_347); }  else 
{ /* Llib/_scheduler.scm 61 */
BgL_res1619z00_377 = ((bool_t)0); } } } } 
BgL_test1743z00_687 = BgL_res1619z00_377; } }  else 
{ /* Llib/_scheduler.scm 61 */
BgL_test1743z00_687 = ((bool_t)0)
; } } } 
if(BgL_test1743z00_687)
{ /* Llib/_scheduler.scm 61 */
return 
((BgL_schedulerz00_bglt)
CAR(BgL_oz00_4));}  else 
{ /* Llib/_scheduler.scm 64 */
 obj_t BgL_arg1139z00_57;
BgL_arg1139z00_57 = 
CAR(BgL_oz00_4); 
return 
((BgL_schedulerz00_bglt)
BGl_errorz00zz__errorz00(BgL_whoz00_3, BGl_string1656z00zz__ft_z52schedulerz52, BgL_arg1139z00_57));} } } 

}



/* &%get-optional-scheduler */
BgL_schedulerz00_bglt BGl_z62z52getzd2optionalzd2schedulerz30zz__ft_z52schedulerz52(obj_t BgL_envz00_459, obj_t BgL_whoz00_460, obj_t BgL_oz00_461)
{
{ /* Llib/_scheduler.scm 54 */
{ /* Llib/_scheduler.scm 56 */
 obj_t BgL_auxz00_720; obj_t BgL_auxz00_713;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_oz00_461))
{ /* Llib/_scheduler.scm 56 */
BgL_auxz00_720 = BgL_oz00_461
; }  else 
{ 
 obj_t BgL_auxz00_723;
BgL_auxz00_723 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)2487)), BGl_string1658z00zz__ft_z52schedulerz52, BGl_string1660z00zz__ft_z52schedulerz52, BgL_oz00_461); 
FAILURE(BgL_auxz00_723,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_whoz00_460))
{ /* Llib/_scheduler.scm 56 */
BgL_auxz00_713 = BgL_whoz00_460
; }  else 
{ 
 obj_t BgL_auxz00_716;
BgL_auxz00_716 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)2487)), BGl_string1658z00zz__ft_z52schedulerz52, BGl_string1659z00zz__ft_z52schedulerz52, BgL_whoz00_460); 
FAILURE(BgL_auxz00_716,BFALSE,BFALSE);} 
return 
BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(BgL_auxz00_713, BgL_auxz00_720);} } 

}



/* %scheduler-get-async-runnable */
obj_t BGl_z52schedulerzd2getzd2asynczd2runnablez80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_5, obj_t BgL_nvz00_6)
{
{ /* Llib/_scheduler.scm 73 */
{ /* Llib/_scheduler.scm 74 */
 obj_t BgL_arg1142z00_60;
BgL_arg1142z00_60 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_5)))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1142z00_60)); } 
{ /* Llib/_scheduler.scm 74 */
 obj_t BgL_g1065z00_61;
{ /* Llib/_scheduler.scm 76 */
 obj_t BgL_vz00_63;
BgL_vz00_63 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_5))->BgL_asynczd2runnablezd2); 
if(
PAIRP(BgL_nvz00_6))
{ /* Llib/_scheduler.scm 77 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_5))->BgL_asynczd2runnablezd2)=((obj_t)
CAR(BgL_nvz00_6)),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 77 */BFALSE; } 
BgL_g1065z00_61 = BgL_vz00_63; } 
{ /* Llib/_scheduler.scm 74 */
 obj_t BgL_arg1143z00_62;
BgL_arg1143z00_62 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_5)))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1143z00_62)); } 
return BgL_g1065z00_61;} } 

}



/* %scheduler-add-async-runnable! */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2addzd2asynczd2runnablez12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_7, BgL_fthreadz00_bglt BgL_tz00_8)
{
{ /* Llib/_scheduler.scm 88 */
{ /* Llib/_scheduler.scm 91 */
 obj_t BgL_arg1145z00_68;
BgL_arg1145z00_68 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_7)))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1145z00_68)); } 
{ /* Llib/_scheduler.scm 91 */
 obj_t BgL_g1068z00_69;
{ 
 obj_t BgL_auxz00_745;
{ /* Llib/_scheduler.scm 94 */
 obj_t BgL_arg1147z00_72;
BgL_arg1147z00_72 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_7))->BgL_asynczd2runnablezd2); 
BgL_auxz00_745 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_8), BgL_arg1147z00_72); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_7))->BgL_asynczd2runnablezd2)=((obj_t)BgL_auxz00_745),BUNSPEC); } 
{ /* Llib/_scheduler.scm 95 */
 obj_t BgL_arg1149z00_73;
BgL_arg1149z00_73 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_7)))->BgL_z52builtinz52); 
BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1149z00_73)); } 
BgL_g1068z00_69 = BUNSPEC; 
{ /* Llib/_scheduler.scm 91 */
 obj_t BgL_arg1146z00_70;
BgL_arg1146z00_70 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_7)))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1146z00_70)); } 
return BgL_g1068z00_69;} } 

}



/* &%scheduler-add-async-runnable! */
obj_t BGl_z62z52schedulerzd2addzd2asynczd2runnablez12zf0zz__ft_z52schedulerz52(obj_t BgL_envz00_462, obj_t BgL_scdlz00_463, obj_t BgL_tz00_464)
{
{ /* Llib/_scheduler.scm 88 */
{ /* Llib/_scheduler.scm 91 */
 BgL_fthreadz00_bglt BgL_auxz00_766; BgL_z52schedulerz52_bglt BgL_auxz00_758;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_464, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 91 */
BgL_auxz00_766 = 
((BgL_fthreadz00_bglt)BgL_tz00_464)
; }  else 
{ 
 obj_t BgL_auxz00_770;
BgL_auxz00_770 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)4155)), BGl_string1661z00zz__ft_z52schedulerz52, BGl_string1663z00zz__ft_z52schedulerz52, BgL_tz00_464); 
FAILURE(BgL_auxz00_770,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_463, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 91 */
BgL_auxz00_758 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_463)
; }  else 
{ 
 obj_t BgL_auxz00_762;
BgL_auxz00_762 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)4155)), BGl_string1661z00zz__ft_z52schedulerz52, BGl_string1662z00zz__ft_z52schedulerz52, BgL_scdlz00_463); 
FAILURE(BgL_auxz00_762,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2addzd2asynczd2runnablez12z92zz__ft_z52schedulerz52(BgL_auxz00_758, BgL_auxz00_766);} } 

}



/* %scheduler-add-async! */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2addzd2asyncz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_9, BgL_z52sigasyncz52_bglt BgL_sigz00_10)
{
{ /* Llib/_scheduler.scm 101 */
{ 
 obj_t BgL_auxz00_775;
{ /* Llib/_scheduler.scm 103 */
 obj_t BgL_arg1150z00_382;
BgL_arg1150z00_382 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_tospawnz00); 
BgL_auxz00_775 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sigz00_10), BgL_arg1150z00_382); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_tospawnz00)=((obj_t)BgL_auxz00_775),BUNSPEC);} } 

}



/* &%scheduler-add-async! */
obj_t BGl_z62z52schedulerzd2addzd2asyncz12z22zz__ft_z52schedulerz52(obj_t BgL_envz00_465, obj_t BgL_scdlz00_466, obj_t BgL_sigz00_467)
{
{ /* Llib/_scheduler.scm 101 */
{ /* Llib/_scheduler.scm 102 */
 BgL_z52sigasyncz52_bglt BgL_auxz00_788; BgL_z52schedulerz52_bglt BgL_auxz00_780;
if(
BGl_isazf3zf3zz__objectz00(BgL_sigz00_467, BGl_z52sigasyncz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 102 */
BgL_auxz00_788 = 
((BgL_z52sigasyncz52_bglt)BgL_sigz00_467)
; }  else 
{ 
 obj_t BgL_auxz00_792;
BgL_auxz00_792 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)4674)), BGl_string1664z00zz__ft_z52schedulerz52, BGl_string1665z00zz__ft_z52schedulerz52, BgL_sigz00_467); 
FAILURE(BgL_auxz00_792,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_466, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 102 */
BgL_auxz00_780 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_466)
; }  else 
{ 
 obj_t BgL_auxz00_784;
BgL_auxz00_784 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)4674)), BGl_string1664z00zz__ft_z52schedulerz52, BGl_string1662z00zz__ft_z52schedulerz52, BgL_scdlz00_466); 
FAILURE(BgL_auxz00_784,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2addzd2asyncz12z40zz__ft_z52schedulerz52(BgL_auxz00_780, BgL_auxz00_788);} } 

}



/* %scheduler-next-thread */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt BgL_tz00_11, BgL_schedulerz00_bglt BgL_scdlz00_12)
{
{ /* Llib/_scheduler.scm 108 */
{ /* Llib/_scheduler.scm 152 */
 obj_t BgL_arg1177z00_383;
{ /* Llib/_scheduler.scm 152 */
 obj_t BgL_tmpz00_797;
BgL_tmpz00_797 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1177z00_383 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_797); } 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1177z00_383, BGl_proc1666z00zz__ft_z52schedulerz52); } 
{ 
 obj_t BgL_runnablez00_79;
{ /* Llib/_scheduler.scm 115 */
 obj_t BgL_arg1153z00_78;
BgL_arg1153z00_78 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2); 
BgL_runnablez00_79 = BgL_arg1153z00_78; 
BgL_zc3z04anonymousza31154ze3z87_80:
if(
PAIRP(BgL_runnablez00_79))
{ /* Llib/_scheduler.scm 118 */
 obj_t BgL_ntz00_82;
BgL_ntz00_82 = 
CAR(BgL_runnablez00_79); 
if(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_ntz00_82)))->BgL_z52iszd2suspendz80))
{ /* Llib/_scheduler.scm 120 */
{ 
 obj_t BgL_auxz00_809;
{ /* Llib/_scheduler.scm 122 */
 obj_t BgL_arg1157z00_85;
BgL_arg1157z00_85 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2yieldzd2); 
BgL_auxz00_809 = 
MAKE_YOUNG_PAIR(BgL_ntz00_82, BgL_arg1157z00_85); } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2yieldzd2)=((obj_t)BgL_auxz00_809),BUNSPEC); } 
{ 
 obj_t BgL_runnablez00_815;
BgL_runnablez00_815 = 
CDR(BgL_runnablez00_79); 
BgL_runnablez00_79 = BgL_runnablez00_815; 
goto BgL_zc3z04anonymousza31154ze3z87_80;} }  else 
{ /* Llib/_scheduler.scm 120 */
if(
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_ntz00_82), BNIL))
{ 
 obj_t BgL_runnablez00_820;
BgL_runnablez00_820 = 
CDR(BgL_runnablez00_79); 
BgL_runnablez00_79 = BgL_runnablez00_820; 
goto BgL_zc3z04anonymousza31154ze3z87_80;}  else 
{ /* Llib/_scheduler.scm 124 */
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2)=((obj_t)
CDR(BgL_runnablez00_79)),BUNSPEC); 
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2)))
{ /* Llib/_scheduler.scm 128 */
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 128 */BFALSE; } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_currentzd2threadzd2)=((obj_t)BgL_ntz00_82),BUNSPEC); 
return BgL_ntz00_82;} } }  else 
{ /* Llib/_scheduler.scm 133 */
 obj_t BgL_asyncz00_96;
{ /* Llib/_scheduler.scm 133 */
 obj_t BgL_list1176z00_104;
BgL_list1176z00_104 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_asyncz00_96 = 
BGl_z52schedulerzd2getzd2asynczd2runnablez80zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12), BgL_list1176z00_104); } 
if(
NULLP(BgL_asyncz00_96))
{ /* Llib/_scheduler.scm 134 */
return 
((obj_t)BgL_scdlz00_12);}  else 
{ /* Llib/_scheduler.scm 135 */
 obj_t BgL_ntz00_98;
BgL_ntz00_98 = 
CAR(BgL_asyncz00_96); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2)=((obj_t)
CDR(BgL_asyncz00_96)),BUNSPEC); 
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2)))
{ /* Llib/_scheduler.scm 137 */
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 137 */
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2))),BUNSPEC); } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_currentzd2threadzd2)=((obj_t)BgL_ntz00_98),BUNSPEC); 
return BgL_ntz00_98;} } } } } 

}



/* &%scheduler-next-thread */
obj_t BGl_z62z52schedulerzd2nextzd2threadz30zz__ft_z52schedulerz52(obj_t BgL_envz00_469, obj_t BgL_tz00_470, obj_t BgL_scdlz00_471)
{
{ /* Llib/_scheduler.scm 108 */
{ /* Llib/_scheduler.scm 109 */
 BgL_schedulerz00_bglt BgL_auxz00_864; BgL_fthreadz00_bglt BgL_auxz00_856;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_471, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 109 */
BgL_auxz00_864 = 
((BgL_schedulerz00_bglt)BgL_scdlz00_471)
; }  else 
{ 
 obj_t BgL_auxz00_868;
BgL_auxz00_868 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)5042)), BGl_string1667z00zz__ft_z52schedulerz52, BGl_string1668z00zz__ft_z52schedulerz52, BgL_scdlz00_471); 
FAILURE(BgL_auxz00_868,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_470, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 109 */
BgL_auxz00_856 = 
((BgL_fthreadz00_bglt)BgL_tz00_470)
; }  else 
{ 
 obj_t BgL_auxz00_860;
BgL_auxz00_860 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)5042)), BGl_string1667z00zz__ft_z52schedulerz52, BGl_string1663z00zz__ft_z52schedulerz52, BgL_tz00_470); 
FAILURE(BgL_auxz00_860,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_auxz00_856, BgL_auxz00_864);} } 

}



/* &<@anonymous:1179> */
obj_t BGl_z62zc3z04anonymousza31179ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_472)
{
{ /* Llib/_scheduler.scm 153 */
return BUNSPEC;} 

}



/* %scheduler-switch-to-next-thread */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt BgL_tz00_15, BgL_schedulerz00_bglt BgL_scdlz00_16)
{
{ /* Llib/_scheduler.scm 171 */
{ /* Llib/_scheduler.scm 174 */
 obj_t BgL_ntz00_112;
BgL_ntz00_112 = 
BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_tz00_15, BgL_scdlz00_16); 
{ /* Llib/_scheduler.scm 177 */
 obj_t BgL_arg1180z00_114; obj_t BgL_arg1181z00_115;
BgL_arg1180z00_114 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_15))->BgL_z52builtinz52); 
BgL_arg1181z00_115 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_ntz00_112)))->BgL_z52builtinz52); 
BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(BgL_arg1180z00_114, 
((BgL_z52pthreadz52_bglt)BgL_arg1181z00_115)); } 
if(
(
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_15))->BgL_z52statez52)==
CNST_TABLE_REF(((long)0))))
{ /* Llib/_scheduler.scm 178 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 178 */
{ /* Llib/_scheduler.scm 179 */
 obj_t BgL_arg1185z00_118;
BgL_arg1185z00_118 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_15))->BgL_z52builtinz52); 
BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1185z00_118)); } 
return BUNSPEC;} } } 

}



/* &%scheduler-switch-to-next-thread */
obj_t BGl_z62z52schedulerzd2switchzd2tozd2nextzd2threadz30zz__ft_z52schedulerz52(obj_t BgL_envz00_473, obj_t BgL_tz00_474, obj_t BgL_scdlz00_475)
{
{ /* Llib/_scheduler.scm 171 */
{ /* Llib/_scheduler.scm 172 */
 BgL_schedulerz00_bglt BgL_auxz00_894; BgL_fthreadz00_bglt BgL_auxz00_886;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_475, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 172 */
BgL_auxz00_894 = 
((BgL_schedulerz00_bglt)BgL_scdlz00_475)
; }  else 
{ 
 obj_t BgL_auxz00_898;
BgL_auxz00_898 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)7677)), BGl_string1669z00zz__ft_z52schedulerz52, BGl_string1668z00zz__ft_z52schedulerz52, BgL_scdlz00_475); 
FAILURE(BgL_auxz00_898,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_474, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 172 */
BgL_auxz00_886 = 
((BgL_fthreadz00_bglt)BgL_tz00_474)
; }  else 
{ 
 obj_t BgL_auxz00_890;
BgL_auxz00_890 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)7677)), BGl_string1669z00zz__ft_z52schedulerz52, BGl_string1663z00zz__ft_z52schedulerz52, BgL_tz00_474); 
FAILURE(BgL_auxz00_890,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_auxz00_886, BgL_auxz00_894);} } 

}



/* %schedule-instant */
BGL_EXPORTED_DEF obj_t BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_20)
{
{ /* Llib/_scheduler.scm 195 */
BGl_z52envzd2initzd2instantz52zz__ft_z52schedulerz52(
((BgL_schedulerz00_bglt)BgL_scdlz00_20)); 
BGl_z52terminatezd2threadsz80zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52suspendzf2resumezd2threadsz72zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52selectzd2threadsz12z92zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52startzd2newzd2threadsz52zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52schedulerzd2broadcastza2z12z30zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(
((BgL_fthreadz00_bglt)BgL_scdlz00_20), 
((BgL_schedulerz00_bglt)BgL_scdlz00_20)); 
BGL_TAIL return 
BGl_z52spawnzd2asyncz80zz__ft_z52schedulerz52(BgL_scdlz00_20);} 

}



/* &%schedule-instant */
obj_t BGl_z62z52schedulezd2instantze2zz__ft_z52schedulerz52(obj_t BgL_envz00_476, obj_t BgL_scdlz00_477)
{
{ /* Llib/_scheduler.scm 195 */
{ /* Llib/_scheduler.scm 211 */
 BgL_z52schedulerz52_bglt BgL_auxz00_914;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_477, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 211 */
BgL_auxz00_914 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_477)
; }  else 
{ 
 obj_t BgL_auxz00_918;
BgL_auxz00_918 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)9510)), BGl_string1670z00zz__ft_z52schedulerz52, BGl_string1662z00zz__ft_z52schedulerz52, BgL_scdlz00_477); 
FAILURE(BgL_auxz00_918,BFALSE,BFALSE);} 
return 
BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_auxz00_914);} } 

}



/* %env-init-instant */
bool_t BGl_z52envzd2initzd2instantz52zz__ft_z52schedulerz52(BgL_schedulerz00_bglt BgL_scdlz00_21)
{
{ /* Llib/_scheduler.scm 220 */
{ /* Llib/_scheduler.scm 222 */
 obj_t BgL_g1109z00_121;
BgL_g1109z00_121 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_scdlz00_21))))->BgL_envzb2zb2); 
{ 
 obj_t BgL_l1107z00_123;
BgL_l1107z00_123 = BgL_g1109z00_121; 
BgL_zc3z04anonymousza31188ze3z87_124:
if(
PAIRP(BgL_l1107z00_123))
{ /* Llib/_scheduler.scm 222 */
{ /* Llib/_scheduler.scm 222 */
 obj_t BgL_arg1190z00_126;
BgL_arg1190z00_126 = 
CAR(BgL_l1107z00_123); 
BGl_instantzd2envz12zc0zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_arg1190z00_126)); } 
{ 
 obj_t BgL_l1107z00_931;
BgL_l1107z00_931 = 
CDR(BgL_l1107z00_123); 
BgL_l1107z00_123 = BgL_l1107z00_931; 
goto BgL_zc3z04anonymousza31188ze3z87_124;} }  else 
{ /* Llib/_scheduler.scm 222 */
return ((bool_t)1);} } } } 

}



/* %sort-threads */
obj_t BGl_z52sortzd2threadsz80zz__ft_z52schedulerz52(obj_t BgL_threadsz00_22)
{
{ /* Llib/_scheduler.scm 227 */
return 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_threadsz00_22, BGl_proc1671z00zz__ft_z52schedulerz52);} 

}



/* &<@anonymous:1198> */
obj_t BGl_z62zc3z04anonymousza31198ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_479, obj_t BgL_t1z00_480, obj_t BgL_t2z00_481)
{
{ /* Llib/_scheduler.scm 229 */
return 
BBOOL(
(
(long)(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_t1z00_480)))->BgL_z52identz52))<
(long)(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_t2z00_481)))->BgL_z52identz52))));} 

}



/* %select-threads! */
obj_t BGl_z52selectzd2threadsz12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_23)
{
{ /* Llib/_scheduler.scm 240 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/_scheduler.scm 264 */
 obj_t BgL_runnablez00_488;
{ /* Llib/_scheduler.scm 264 */
 obj_t BgL_cellvalz00_943;
BgL_cellvalz00_943 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2yieldzd2); 
BgL_runnablez00_488 = 
MAKE_CELL(BgL_cellvalz00_943); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2yieldzd2)=((obj_t)BNIL),BUNSPEC); 
{ 
 obj_t BgL_auxz00_946;
{ /* Llib/_scheduler.scm 267 */
 obj_t BgL_arg1206z00_147;
BgL_arg1206z00_147 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2timeoutzd2); 
{ /* Llib/_scheduler.scm 268 */
 obj_t BgL_zc3z04anonymousza31207ze3z87_482;
BgL_zc3z04anonymousza31207ze3z87_482 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31207ze3ze5zz__ft_z52schedulerz52, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31207ze3z87_482, 
(int)(((long)0)), 
((obj_t)BgL_scdlz00_23)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31207ze3z87_482, 
(int)(((long)1)), 
((obj_t)BgL_runnablez00_488)); 
BgL_auxz00_946 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BgL_zc3z04anonymousza31207ze3z87_482, BgL_arg1206z00_147); } } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2timeoutzd2)=((obj_t)BgL_auxz00_946),BUNSPEC); } 
if(
CBOOL(
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_23)))->BgL_strictzd2orderzf3z21)))
{ /* Llib/_scheduler.scm 285 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2)=((obj_t)
BGl_z52sortzd2threadsz80zz__ft_z52schedulerz52(
CELL_REF(BgL_runnablez00_488))),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 285 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2)=((obj_t)
CELL_REF(BgL_runnablez00_488)),BUNSPEC); } 
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2)))
{ /* Llib/_scheduler.scm 288 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC);}  else 
{ /* Llib/_scheduler.scm 288 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2))),BUNSPEC);} } } 

}



/* &<@anonymous:1207> */
obj_t BGl_z62zc3z04anonymousza31207ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_483, obj_t BgL_tz00_486)
{
{ /* Llib/_scheduler.scm 267 */
{ /* Llib/_scheduler.scm 268 */
 BgL_z52schedulerz52_bglt BgL_i1080z00_484; obj_t BgL_runnablez00_485;
BgL_i1080z00_484 = 
((BgL_z52schedulerz52_bglt)
PROCEDURE_REF(BgL_envz00_483, 
(int)(((long)0)))); 
BgL_runnablez00_485 = 
PROCEDURE_REF(BgL_envz00_483, 
(int)(((long)1))); 
{ /* Llib/_scheduler.scm 268 */
 bool_t BgL_tmpz00_978;
{ 

{ /* Llib/_scheduler.scm 269 */
 int BgL_aux1084z00_598;
BgL_aux1084z00_598 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_486)))->BgL_z52timeoutz52); 
{ /* Llib/_scheduler.scm 269 */
 obj_t BgL_aux1086z00_599;
BgL_aux1086z00_599 = 
BINT(BgL_aux1084z00_598); 
switch( 
(long)CINT(BgL_aux1086z00_599)) { case ((long)0) : 

BgL_tmpz00_978 = ((bool_t)0); break;case ((long)1) : 

{ /* Llib/_scheduler.scm 276 */
 obj_t BgL_g1124z00_600;
BgL_g1124z00_600 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_486)))->BgL_z52signalsz52); 
{ 
 obj_t BgL_l1119z00_602;
BgL_l1119z00_602 = BgL_g1124z00_600; 
BgL_zc3z04anonymousza31606ze3z87_601:
if(
PAIRP(BgL_l1119z00_602))
{ /* Llib/_scheduler.scm 276 */
{ /* Llib/_scheduler.scm 276 */
 obj_t BgL_sz00_603;
BgL_sz00_603 = 
CAR(BgL_l1119z00_602); 
BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(BgL_sz00_603, 
((BgL_threadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_486))); } 
{ 
 obj_t BgL_l1119z00_990;
BgL_l1119z00_990 = 
CDR(BgL_l1119z00_602); 
BgL_l1119z00_602 = BgL_l1119z00_990; 
goto BgL_zc3z04anonymousza31606ze3z87_601;} }  else 
{ /* Llib/_scheduler.scm 276 */((bool_t)1); } } } 
{ /* Llib/_scheduler.scm 277 */
 obj_t BgL_auxz00_604;
BgL_auxz00_604 = 
MAKE_YOUNG_PAIR(BgL_tz00_486, 
CELL_REF(BgL_runnablez00_485)); 
CELL_SET(BgL_runnablez00_485, BgL_auxz00_604); } 
BgL_tmpz00_978 = ((bool_t)0); break;
default: 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_486)))->BgL_z52timeoutz52)=((int)
(int)(
(
(long)(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_486)))->BgL_z52timeoutz52))-((long)1)))),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1080z00_484))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)1)),BUNSPEC); 
BgL_tmpz00_978 = ((bool_t)1); } } } } 
return 
BBOOL(BgL_tmpz00_978);} } } 

}



/* %start-new-threads */
obj_t BGl_z52startzd2newzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_sz00_24)
{
{ /* Llib/_scheduler.scm 297 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_tostartz00)))
{ /* Llib/_scheduler.scm 301 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 301 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2)))
{ /* Llib/_scheduler.scm 303 */
{ 
 obj_t BgL_auxz00_1010;
{ /* Llib/_scheduler.scm 309 */
 obj_t BgL_arg1227z00_171; obj_t BgL_arg1229z00_172;
BgL_arg1227z00_171 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2); 
{ /* Llib/_scheduler.scm 309 */
 obj_t BgL_arg1230z00_173;
BgL_arg1230z00_173 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_tostartz00); 
BgL_arg1229z00_172 = 
bgl_reverse_bang(BgL_arg1230z00_173); } 
BgL_auxz00_1010 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BgL_arg1227z00_171, BgL_arg1229z00_172); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2)=((obj_t)BgL_auxz00_1010),BUNSPEC); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2))),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 303 */
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2), 
bgl_reverse_bang(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_tostartz00))); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2))),BUNSPEC); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_tostartz00)=((obj_t)BNIL),BUNSPEC);} } 

}



/* %terminate-threads */
obj_t BGl_z52terminatezd2threadsz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_25)
{
{ /* Llib/_scheduler.scm 319 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_toterminatez00)))
{ /* Llib/_scheduler.scm 324 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 329 */
 obj_t BgL_thdsz00_180;
BgL_thdsz00_180 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BGl_proc1672z00zz__ft_z52schedulerz52, 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_toterminatez00)); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_toterminatez00)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/_scheduler.scm 340 */
 obj_t BgL_runnablez00_181; obj_t BgL_yieldz00_182; obj_t BgL_timeoutz00_183;
BgL_runnablez00_181 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BGl_proc1673z00zz__ft_z52schedulerz52, 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2runnablezd2)); 
BgL_yieldz00_182 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BGl_proc1674z00zz__ft_z52schedulerz52, 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2yieldzd2)); 
BgL_timeoutz00_183 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BGl_proc1675z00zz__ft_z52schedulerz52, 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2timeoutzd2)); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2runnablezd2)=((obj_t)BgL_thdsz00_180),BUNSPEC); 
BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(
((BgL_fthreadz00_bglt)BgL_scdlz00_25), 
((BgL_schedulerz00_bglt)BgL_scdlz00_25)); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2runnablezd2)=((obj_t)BgL_runnablez00_181),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2yieldzd2)=((obj_t)BgL_yieldz00_182),BUNSPEC); 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2timeoutzd2)=((obj_t)BgL_timeoutz00_183),BUNSPEC);} } } 

}



/* &<@anonymous:1260> */
obj_t BGl_z62zc3z04anonymousza31260ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_494, obj_t BgL_tz00_495)
{
{ /* Llib/_scheduler.scm 346 */
{ /* Llib/_scheduler.scm 347 */
 bool_t BgL_tmpz00_1046;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_495), BNIL))
{ /* Llib/_scheduler.scm 347 */
BgL_tmpz00_1046 = ((bool_t)0)
; }  else 
{ /* Llib/_scheduler.scm 347 */
BgL_tmpz00_1046 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_1046);} } 

}



/* &<@anonymous:1253> */
obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_496, obj_t BgL_tz00_497)
{
{ /* Llib/_scheduler.scm 343 */
{ /* Llib/_scheduler.scm 344 */
 bool_t BgL_tmpz00_1051;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_497), BNIL))
{ /* Llib/_scheduler.scm 344 */
BgL_tmpz00_1051 = ((bool_t)0)
; }  else 
{ /* Llib/_scheduler.scm 344 */
BgL_tmpz00_1051 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_1051);} } 

}



/* &<@anonymous:1247> */
obj_t BGl_z62zc3z04anonymousza31247ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_498, obj_t BgL_tz00_499)
{
{ /* Llib/_scheduler.scm 340 */
{ /* Llib/_scheduler.scm 341 */
 bool_t BgL_tmpz00_1056;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_499), BNIL))
{ /* Llib/_scheduler.scm 341 */
BgL_tmpz00_1056 = ((bool_t)0)
; }  else 
{ /* Llib/_scheduler.scm 341 */
BgL_tmpz00_1056 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_1056);} } 

}



/* &<@anonymous:1286> */
obj_t BGl_z62zc3z04anonymousza31286ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_500, obj_t BgL_tz00_501)
{
{ /* Llib/_scheduler.scm 329 */
{ /* Llib/_scheduler.scm 330 */
 bool_t BgL_tmpz00_1061;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_501), BNIL))
{ /* Llib/_scheduler.scm 330 */
{ /* Llib/_scheduler.scm 332 */
 obj_t BgL_list1287z00_605;
BgL_list1287z00_605 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_501), BgL_list1287z00_605); } 
BgL_tmpz00_1061 = ((bool_t)1); }  else 
{ /* Llib/_scheduler.scm 330 */
BgL_tmpz00_1061 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_1061);} } 

}



/* %suspend/resume-threads */
obj_t BGl_z52suspendzf2resumezd2threadsz72zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_26)
{
{ /* Llib/_scheduler.scm 364 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_26))->BgL_tosuspendzf2resumezf2)))
{ /* Llib/_scheduler.scm 366 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 366 */
{ /* Llib/_scheduler.scm 368 */
 obj_t BgL_g1112z00_220;
BgL_g1112z00_220 = 
bgl_reverse_bang(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_26))->BgL_tosuspendzf2resumezf2)); 
{ 
 obj_t BgL_l1110z00_222;
BgL_l1110z00_222 = BgL_g1112z00_220; 
BgL_zc3z04anonymousza31335ze3z87_223:
if(
PAIRP(BgL_l1110z00_222))
{ /* Llib/_scheduler.scm 371 */
{ /* Llib/_scheduler.scm 369 */
 obj_t BgL_vz00_225;
BgL_vz00_225 = 
CAR(BgL_l1110z00_222); 
{ /* Llib/_scheduler.scm 369 */
 BgL_fthreadz00_bglt BgL_i1091z00_226;
BgL_i1091z00_226 = 
((BgL_fthreadz00_bglt)
CAR(
((obj_t)BgL_vz00_225))); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_i1091z00_226))->BgL_z52iszd2suspendz80)=((bool_t)
CBOOL(
CDR(
((obj_t)BgL_vz00_225)))),BUNSPEC); } } 
{ 
 obj_t BgL_l1110z00_1084;
BgL_l1110z00_1084 = 
CDR(BgL_l1110z00_222); 
BgL_l1110z00_222 = BgL_l1110z00_1084; 
goto BgL_zc3z04anonymousza31335ze3z87_223;} }  else 
{ /* Llib/_scheduler.scm 371 */((bool_t)1); } } } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_26))->BgL_tosuspendzf2resumezf2)=((obj_t)BNIL),BUNSPEC);} } 

}



/* %scheduler-spawn-async */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_27, BgL_z52sigasyncz52_bglt BgL_sigz00_28)
{
{ /* Llib/_scheduler.scm 377 */
if(
(((BgL_z52sigasyncz52_bglt)COBJECT(BgL_sigz00_28))->BgL_spawnedz00))
{ /* Llib/_scheduler.scm 379 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 381 */
 obj_t BgL_ntz00_502;
BgL_ntz00_502 = 
MAKE_FX_PROCEDURE(BGl_z62ntz62zz__ft_z52schedulerz52, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_ntz00_502, 
(int)(((long)0)), 
((obj_t)BgL_sigz00_28)); 
PROCEDURE_SET(BgL_ntz00_502, 
(int)(((long)1)), 
((obj_t)BgL_scdlz00_27)); 
PROCEDURE_SET(BgL_ntz00_502, 
(int)(((long)2)), 
((obj_t)BgL_sigz00_28)); 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_sigz00_28))->BgL_spawnedz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/_scheduler.scm 385 */
 obj_t BgL_arg1351z00_235; obj_t BgL_arg1352z00_236;
BgL_arg1351z00_235 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_27)))->BgL_z52builtinz52); 
BgL_arg1352z00_236 = 
(((BgL_z52sigasyncz52_bglt)COBJECT(BgL_sigz00_28))->BgL_idz00); 
BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1351z00_235), BgL_ntz00_502, BgL_arg1352z00_236); } 
return BUNSPEC;} } 

}



/* &%scheduler-spawn-async */
obj_t BGl_z62z52schedulerzd2spawnzd2asyncz30zz__ft_z52schedulerz52(obj_t BgL_envz00_503, obj_t BgL_scdlz00_504, obj_t BgL_sigz00_505)
{
{ /* Llib/_scheduler.scm 377 */
{ /* Llib/_scheduler.scm 378 */
 BgL_z52sigasyncz52_bglt BgL_auxz00_1115; BgL_z52schedulerz52_bglt BgL_auxz00_1107;
if(
BGl_isazf3zf3zz__objectz00(BgL_sigz00_505, BGl_z52sigasyncz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 378 */
BgL_auxz00_1115 = 
((BgL_z52sigasyncz52_bglt)BgL_sigz00_505)
; }  else 
{ 
 obj_t BgL_auxz00_1119;
BgL_auxz00_1119 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)16633)), BGl_string1676z00zz__ft_z52schedulerz52, BGl_string1665z00zz__ft_z52schedulerz52, BgL_sigz00_505); 
FAILURE(BgL_auxz00_1119,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_504, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 378 */
BgL_auxz00_1107 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_504)
; }  else 
{ 
 obj_t BgL_auxz00_1111;
BgL_auxz00_1111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)16633)), BGl_string1676z00zz__ft_z52schedulerz52, BGl_string1662z00zz__ft_z52schedulerz52, BgL_scdlz00_504); 
FAILURE(BgL_auxz00_1111,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_auxz00_1107, BgL_auxz00_1115);} } 

}



/* &nt */
obj_t BGl_z62ntz62zz__ft_z52schedulerz52(obj_t BgL_envz00_506)
{
{ /* Llib/_scheduler.scm 380 */
{ /* Llib/_scheduler.scm 381 */
 BgL_z52sigasyncz52_bglt BgL_i1092z00_507; BgL_z52schedulerz52_bglt BgL_scdlz00_508; BgL_z52sigasyncz52_bglt BgL_sigz00_509;
BgL_i1092z00_507 = 
((BgL_z52sigasyncz52_bglt)
PROCEDURE_REF(BgL_envz00_506, 
(int)(((long)0)))); 
BgL_scdlz00_508 = 
((BgL_z52schedulerz52_bglt)
PROCEDURE_REF(BgL_envz00_506, 
(int)(((long)1)))); 
BgL_sigz00_509 = 
((BgL_z52sigasyncz52_bglt)
PROCEDURE_REF(BgL_envz00_506, 
(int)(((long)2)))); 
{ /* Llib/_scheduler.scm 381 */
 obj_t BgL_arg1354z00_606;
{ /* Llib/_scheduler.scm 381 */
 obj_t BgL_fun1355z00_607;
BgL_fun1355z00_607 = 
(((BgL_z52sigasyncz52_bglt)COBJECT(BgL_i1092z00_507))->BgL_thunkz00); 
BgL_arg1354z00_606 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1355z00_607))(BgL_fun1355z00_607, BEOA); } 
BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_scdlz00_508, 
((obj_t)BgL_sigz00_509), BgL_arg1354z00_606); } 
return BUNSPEC;} } 

}



/* %spawn-async */
obj_t BGl_z52spawnzd2asyncz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_29)
{
{ /* Llib/_scheduler.scm 395 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_29))->BgL_tospawnz00)))
{ /* Llib/_scheduler.scm 397 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 397 */
{ /* Llib/_scheduler.scm 398 */
 obj_t BgL_g1115z00_244;
BgL_g1115z00_244 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_29))->BgL_tospawnz00); 
{ 
 obj_t BgL_l1113z00_246;
BgL_l1113z00_246 = BgL_g1115z00_244; 
BgL_zc3z04anonymousza31360ze3z87_247:
if(
PAIRP(BgL_l1113z00_246))
{ /* Llib/_scheduler.scm 398 */
{ /* Llib/_scheduler.scm 398 */
 obj_t BgL_sz00_249;
BgL_sz00_249 = 
CAR(BgL_l1113z00_246); 
BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_scdlz00_29, 
((BgL_z52sigasyncz52_bglt)BgL_sz00_249)); } 
{ 
 obj_t BgL_l1113z00_1148;
BgL_l1113z00_1148 = 
CDR(BgL_l1113z00_246); 
BgL_l1113z00_246 = BgL_l1113z00_1148; 
goto BgL_zc3z04anonymousza31360ze3z87_247;} }  else 
{ /* Llib/_scheduler.scm 398 */((bool_t)1); } } } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_29))->BgL_tospawnz00)=((obj_t)BNIL),BUNSPEC);} } 

}



/* %broadcast! */
BGL_EXPORTED_DEF obj_t BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_30, obj_t BgL_sigz00_31, obj_t BgL_valz00_32)
{
{ /* Llib/_scheduler.scm 404 */
{ /* Llib/_scheduler.scm 408 */
 obj_t BgL_arg1365z00_427;
BgL_arg1365z00_427 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_30)))->BgL_envzb2zb2); 
return 
BGl_signalzd2emitzd2zz__ft_signalz00(BgL_sigz00_31, BgL_valz00_32, BgL_arg1365z00_427);} } 

}



/* &%broadcast! */
obj_t BGl_z62z52broadcastz12z22zz__ft_z52schedulerz52(obj_t BgL_envz00_510, obj_t BgL_scdlz00_511, obj_t BgL_sigz00_512, obj_t BgL_valz00_513)
{
{ /* Llib/_scheduler.scm 404 */
{ /* Llib/_scheduler.scm 407 */
 BgL_z52schedulerz52_bglt BgL_auxz00_1154;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_511, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 407 */
BgL_auxz00_1154 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_511)
; }  else 
{ 
 obj_t BgL_auxz00_1158;
BgL_auxz00_1158 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)17989)), BGl_string1677z00zz__ft_z52schedulerz52, BGl_string1662z00zz__ft_z52schedulerz52, BgL_scdlz00_511); 
FAILURE(BgL_auxz00_1158,BFALSE,BFALSE);} 
return 
BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_auxz00_1154, BgL_sigz00_512, BgL_valz00_513);} } 

}



/* %scheduler-broadcast*! */
obj_t BGl_z52schedulerzd2broadcastza2z12z30zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_33)
{
{ /* Llib/_scheduler.scm 413 */
{ /* Llib/_scheduler.scm 416 */
 obj_t BgL_arg1374z00_257;
BgL_arg1374z00_257 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_33)))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1374z00_257)); } 
{ /* Llib/_scheduler.scm 416 */
 obj_t BgL_g1098z00_258;
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_33))->BgL_tobroadcastz00)))
{ /* Llib/_scheduler.scm 421 */
BgL_g1098z00_258 = BFALSE; }  else 
{ /* Llib/_scheduler.scm 421 */
{ /* Llib/_scheduler.scm 423 */
 obj_t BgL_g1118z00_263;
BgL_g1118z00_263 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_33))->BgL_tobroadcastz00); 
{ 
 obj_t BgL_l1116z00_265;
BgL_l1116z00_265 = BgL_g1118z00_263; 
BgL_zc3z04anonymousza31382ze3z87_266:
if(
PAIRP(BgL_l1116z00_265))
{ /* Llib/_scheduler.scm 423 */
{ /* Llib/_scheduler.scm 423 */
 obj_t BgL_arg1419z00_268;
BgL_arg1419z00_268 = 
CAR(BgL_l1116z00_265); 
{ /* Llib/_scheduler.scm 415 */
 obj_t BgL_arg1547z00_436; obj_t BgL_arg1548z00_437;
BgL_arg1547z00_436 = 
CAR(
((obj_t)BgL_arg1419z00_268)); 
BgL_arg1548z00_437 = 
CDR(
((obj_t)BgL_arg1419z00_268)); 
{ /* Llib/_scheduler.scm 408 */
 obj_t BgL_arg1365z00_442;
BgL_arg1365z00_442 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_33)))->BgL_envzb2zb2); 
BGl_signalzd2emitzd2zz__ft_signalz00(BgL_arg1547z00_436, BgL_arg1548z00_437, BgL_arg1365z00_442); } } } 
{ 
 obj_t BgL_l1116z00_1181;
BgL_l1116z00_1181 = 
CDR(BgL_l1116z00_265); 
BgL_l1116z00_265 = BgL_l1116z00_1181; 
goto BgL_zc3z04anonymousza31382ze3z87_266;} }  else 
{ /* Llib/_scheduler.scm 423 */((bool_t)1); } } } 
BgL_g1098z00_258 = 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_33))->BgL_tobroadcastz00)=((obj_t)BNIL),BUNSPEC); } 
{ /* Llib/_scheduler.scm 416 */
 obj_t BgL_arg1377z00_259;
BgL_arg1377z00_259 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_33)))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1377z00_259)); } 
return BgL_g1098z00_258;} } 

}



/* %scheduler-add-broadcast! */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_34, obj_t BgL_sigz00_35, obj_t BgL_valz00_36)
{
{ /* Llib/_scheduler.scm 433 */
{ /* Llib/_scheduler.scm 434 */
 obj_t BgL_arg1567z00_278;
BgL_arg1567z00_278 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_34)))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1567z00_278)); } 
{ /* Llib/_scheduler.scm 434 */
 obj_t BgL_g1101z00_279;
{ /* Llib/_scheduler.scm 437 */
 obj_t BgL_svz00_282;
BgL_svz00_282 = 
MAKE_YOUNG_PAIR(BgL_sigz00_35, BgL_valz00_36); 
{ 
 obj_t BgL_auxz00_1193;
{ /* Llib/_scheduler.scm 438 */
 obj_t BgL_arg1574z00_283;
BgL_arg1574z00_283 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_34))->BgL_tobroadcastz00); 
BgL_auxz00_1193 = 
MAKE_YOUNG_PAIR(BgL_svz00_282, BgL_arg1574z00_283); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_34))->BgL_tobroadcastz00)=((obj_t)BgL_auxz00_1193),BUNSPEC); } } 
{ /* Llib/_scheduler.scm 439 */
 obj_t BgL_arg1575z00_284;
BgL_arg1575z00_284 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_34)))->BgL_z52builtinz52); 
BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1575z00_284)); } 
BgL_g1101z00_279 = BUNSPEC; 
{ /* Llib/_scheduler.scm 434 */
 obj_t BgL_arg1568z00_280;
BgL_arg1568z00_280 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_34)))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1568z00_280)); } 
return BgL_g1101z00_279;} } 

}



/* &%scheduler-add-broadcast! */
obj_t BGl_z62z52schedulerzd2addzd2broadcastz12z22zz__ft_z52schedulerz52(obj_t BgL_envz00_514, obj_t BgL_scdlz00_515, obj_t BgL_sigz00_516, obj_t BgL_valz00_517)
{
{ /* Llib/_scheduler.scm 433 */
{ /* Llib/_scheduler.scm 434 */
 BgL_z52schedulerz52_bglt BgL_auxz00_1205;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_515, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 434 */
BgL_auxz00_1205 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_515)
; }  else 
{ 
 obj_t BgL_auxz00_1209;
BgL_auxz00_1209 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)19122)), BGl_string1678z00zz__ft_z52schedulerz52, BGl_string1662z00zz__ft_z52schedulerz52, BgL_scdlz00_515); 
FAILURE(BgL_auxz00_1209,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_auxz00_1205, BgL_sigz00_516, BgL_valz00_517);} } 

}



/* %scheduler-time */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_schedulerz00_bglt BgL_scdlz00_37)
{
{ /* Llib/_scheduler.scm 445 */
return 
BINT(
(((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)
CAR(
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_37))->BgL_envzb2zb2)))))->BgL_instantz00));} 

}



/* &%scheduler-time */
obj_t BGl_z62z52schedulerzd2timeze2zz__ft_z52schedulerz52(obj_t BgL_envz00_518, obj_t BgL_scdlz00_519)
{
{ /* Llib/_scheduler.scm 445 */
{ /* Llib/_scheduler.scm 447 */
 BgL_schedulerz00_bglt BgL_auxz00_1219;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_519, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 447 */
BgL_auxz00_1219 = 
((BgL_schedulerz00_bglt)BgL_scdlz00_519)
; }  else 
{ 
 obj_t BgL_auxz00_1223;
BgL_auxz00_1223 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)19672)), BGl_string1679z00zz__ft_z52schedulerz52, BGl_string1668z00zz__ft_z52schedulerz52, BgL_scdlz00_519); 
FAILURE(BgL_auxz00_1223,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_auxz00_1219);} } 

}



/* %scheduler-waiting-threads */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_38)
{
{ /* Llib/_scheduler.scm 453 */
{ 
 obj_t BgL_envsz00_292; obj_t BgL_thsz00_293;
{ /* Llib/_scheduler.scm 455 */
 obj_t BgL_arg1585z00_291;
BgL_arg1585z00_291 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_38)))->BgL_envzb2zb2); 
BgL_envsz00_292 = BgL_arg1585z00_291; 
BgL_thsz00_293 = BNIL; 
BgL_zc3z04anonymousza31586ze3z87_294:
if(
PAIRP(BgL_envsz00_292))
{ /* Llib/_scheduler.scm 458 */
 obj_t BgL_arg1588z00_296; obj_t BgL_arg1601z00_297;
BgL_arg1588z00_296 = 
CDR(BgL_envsz00_292); 
{ /* Llib/_scheduler.scm 458 */
 obj_t BgL_arg1603z00_298;
{ /* Llib/_scheduler.scm 458 */
 obj_t BgL_arg1604z00_299;
BgL_arg1604z00_299 = 
CAR(
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_38)))->BgL_envzb2zb2)); 
BgL_arg1603z00_298 = 
BGl_ftenvzd2threadszd2zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_arg1604z00_299)); } 
BgL_arg1601z00_297 = 
BGl_appendzd221009zd2zz__ft_z52schedulerz52(BgL_arg1603z00_298, BgL_thsz00_293); } 
{ 
 obj_t BgL_thsz00_1240; obj_t BgL_envsz00_1239;
BgL_envsz00_1239 = BgL_arg1588z00_296; 
BgL_thsz00_1240 = BgL_arg1601z00_297; 
BgL_thsz00_293 = BgL_thsz00_1240; 
BgL_envsz00_292 = BgL_envsz00_1239; 
goto BgL_zc3z04anonymousza31586ze3z87_294;} }  else 
{ /* Llib/_scheduler.scm 457 */
return BgL_thsz00_293;} } } } 

}



/* &%scheduler-waiting-threads */
obj_t BGl_z62z52schedulerzd2waitingzd2threadsz30zz__ft_z52schedulerz52(obj_t BgL_envz00_520, obj_t BgL_scdlz00_521)
{
{ /* Llib/_scheduler.scm 453 */
{ /* Llib/_scheduler.scm 454 */
 BgL_z52schedulerz52_bglt BgL_auxz00_1241;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_521, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 454 */
BgL_auxz00_1241 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_521)
; }  else 
{ 
 obj_t BgL_auxz00_1245;
BgL_auxz00_1245 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1657z00zz__ft_z52schedulerz52, 
BINT(((long)19994)), BGl_string1680z00zz__ft_z52schedulerz52, BGl_string1662z00zz__ft_z52schedulerz52, BgL_scdlz00_521); 
FAILURE(BgL_auxz00_1245,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(BgL_auxz00_1241);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1681z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(((long)0), 
BSTRING_TO_STRING(BGl_string1681z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(((long)427827911), 
BSTRING_TO_STRING(BGl_string1681z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(((long)536507091), 
BSTRING_TO_STRING(BGl_string1681z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_envz00(((long)360853603), 
BSTRING_TO_STRING(BGl_string1681z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52envz52(((long)471565054), 
BSTRING_TO_STRING(BGl_string1681z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(((long)295111899), 
BSTRING_TO_STRING(BGl_string1681z00zz__ft_z52schedulerz52)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(((long)486293435), 
BSTRING_TO_STRING(BGl_string1681z00zz__ft_z52schedulerz52));} 

}

#ifdef __cplusplus
}
#endif
