/*===========================================================================*/
/*   (Llib/_thread.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IPosix Llib/_thread.scm -o objs/_thread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;


static obj_t BGl_requirezd2initializa7ationz75zz__ft_z52threadz52 = BUNSPEC;
static obj_t BGl_z62z52threadzd2cooperateze2zz__ft_z52threadz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_EXPORTED_DECL bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
static obj_t BGl_z62z52threadzd2iszd2deadz30zz__ft_z52threadz52(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ft_z52threadz52(void);
static obj_t BGl_genericzd2initzd2zz__ft_z52threadz52(void);
extern obj_t BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt, BgL_schedulerz00_bglt);
static obj_t BGl_objectzd2initzd2zz__ft_z52threadz52(void);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t BGl_z52schedulerzd2addzd2asynczd2runnablez12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_fthreadz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2unregisterzd2signalsz12z40zz__ft_z52threadz52(BgL_fthreadz00_bglt);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2killz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62z52threadzd2awakez12zf0zz__ft_z52threadz52(obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_methodzd2initzd2zz__ft_z52threadz52(void);
BGL_EXPORTED_DECL bool_t BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_fthreadz00_bglt);
BGL_EXPORTED_DECL bool_t BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2awakez12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
BGL_EXPORTED_DECL bool_t BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
static obj_t BGl_z62z52threadzd2unregisterzd2signalsz12z22zz__ft_z52threadz52(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62z52threadzd2iszd2terminatedz30zz__ft_z52threadz52(obj_t, obj_t, obj_t);
extern obj_t BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(obj_t, BgL_z52pthreadz52_bglt);
extern obj_t BGl_schedulerz00zz__ft_typesz00;
static obj_t BGl_cnstzd2initzd2zz__ft_z52threadz52(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52threadz52(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52threadz52(void);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_gczd2rootszd2initz00zz__ft_z52threadz52(void);
static obj_t BGl_z62z52threadzd2yieldz12zf0zz__ft_z52threadz52(obj_t, obj_t);
static obj_t BGl_z62z52threadzd2attachedzf3z11zz__ft_z52threadz52(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt, int);
static obj_t BGl_z62z52threadzd2iszd2toterminatez30zz__ft_z52threadz52(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2asynchroniza7ez12z35zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
static obj_t BGl_z62z52threadzd2synchroniza7ez12z57zz__ft_z52threadz52(obj_t, obj_t);
extern obj_t BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(obj_t, BgL_threadz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(obj_t);
BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62z52threadzd2killz12zf0zz__ft_z52threadz52(obj_t, obj_t);
static obj_t BGl_z62z52threadzd2asynchroniza7ez12z57zz__ft_z52threadz52(obj_t, obj_t, obj_t);
extern obj_t BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt, BgL_schedulerz00_bglt);
static obj_t BGl_z62z52threadzd2timeoutz12zf0zz__ft_z52threadz52(obj_t, obj_t, obj_t);
static obj_t __cnst[ 3 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2timeoutz12zd2envz40zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2t1195za7, BGl_z62z52threadzd2timeoutz12zf0zz__ft_z52threadz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1174z00zz__ft_z52threadz52, BgL_bgl_string1174za700za7za7_1196za7, "Llib/_thread.scm", 16 );
DEFINE_STRING( BGl_string1175z00zz__ft_z52threadz52, BgL_bgl_string1175za700za7za7_1197za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/fthread/src/Llib/_thread.scm", 68 );
DEFINE_STRING( BGl_string1176z00zz__ft_z52threadz52, BgL_bgl_string1176za700za7za7_1198za7, "&%thread-awake!", 15 );
DEFINE_STRING( BGl_string1177z00zz__ft_z52threadz52, BgL_bgl_string1177za700za7za7_1199za7, "fthread", 7 );
DEFINE_STRING( BGl_string1178z00zz__ft_z52threadz52, BgL_bgl_string1178za700za7za7_1200za7, "&%thread-cooperate", 18 );
DEFINE_STRING( BGl_string1179z00zz__ft_z52threadz52, BgL_bgl_string1179za700za7za7_1201za7, "&%thread-yield!", 15 );
DEFINE_STRING( BGl_string1180z00zz__ft_z52threadz52, BgL_bgl_string1180za700za7za7_1202za7, "&%thread-timeout!", 17 );
DEFINE_STRING( BGl_string1181z00zz__ft_z52threadz52, BgL_bgl_string1181za700za7za7_1203za7, "bint", 4 );
DEFINE_STRING( BGl_string1182z00zz__ft_z52threadz52, BgL_bgl_string1182za700za7za7_1204za7, "&%thread-kill!", 14 );
DEFINE_STRING( BGl_string1183z00zz__ft_z52threadz52, BgL_bgl_string1183za700za7za7_1205za7, "&%thread-unregister-signals!", 28 );
DEFINE_STRING( BGl_string1184z00zz__ft_z52threadz52, BgL_bgl_string1184za700za7za7_1206za7, "&%thread-attached?", 18 );
DEFINE_STRING( BGl_string1185z00zz__ft_z52threadz52, BgL_bgl_string1185za700za7za7_1207za7, "&%thread-is-dead", 16 );
DEFINE_STRING( BGl_string1186z00zz__ft_z52threadz52, BgL_bgl_string1186za700za7za7_1208za7, "&%thread-is-toterminate", 23 );
DEFINE_STRING( BGl_string1187z00zz__ft_z52threadz52, BgL_bgl_string1187za700za7za7_1209za7, "&%thread-is-terminated", 22 );
DEFINE_STRING( BGl_string1188z00zz__ft_z52threadz52, BgL_bgl_string1188za700za7za7_1210za7, "&%thread-asynchronize!", 22 );
DEFINE_STRING( BGl_string1189z00zz__ft_z52threadz52, BgL_bgl_string1189za700za7za7_1211za7, "symbol", 6 );
DEFINE_STRING( BGl_string1190z00zz__ft_z52threadz52, BgL_bgl_string1190za700za7za7_1212za7, "__ft_%thread", 12 );
DEFINE_STRING( BGl_string1191z00zz__ft_z52threadz52, BgL_bgl_string1191za700za7za7_1213za7, "terminated toterminate dead ", 28 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2yieldz12zd2envz40zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2y1214za7, BGl_z62z52threadzd2yieldz12zf0zz__ft_z52threadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2cooperatezd2envz52zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2c1215za7, BGl_z62z52threadzd2cooperateze2zz__ft_z52threadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2killz12zd2envz40zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2k1216za7, BGl_z62z52threadzd2killz12zf0zz__ft_z52threadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2iszd2deadzd2envz80zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2i1217za7, va_generic_entry, BGl_z62z52threadzd2iszd2deadz30zz__ft_z52threadz52, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2attachedzf3zd2envza1zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2a1218za7, BGl_z62z52threadzd2attachedzf3z11zz__ft_z52threadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2iszd2toterminatezd2envz80zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2i1219za7, va_generic_entry, BGl_z62z52threadzd2iszd2toterminatez30zz__ft_z52threadz52, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2unregisterzd2signalsz12zd2envz92zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2u1220za7, BGl_z62z52threadzd2unregisterzd2signalsz12z22zz__ft_z52threadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2iszd2terminatedzd2envz80zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2i1221za7, va_generic_entry, BGl_z62z52threadzd2iszd2terminatedz30zz__ft_z52threadz52, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2synchroniza7ez12zd2envze7zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2s1222za7, BGl_z62z52threadzd2synchroniza7ez12z57zz__ft_z52threadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2asynchroniza7ez12zd2envze7zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2a1223za7, BGl_z62z52threadzd2asynchroniza7ez12z57zz__ft_z52threadz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2awakez12zd2envz40zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2a1224za7, BGl_z62z52threadzd2awakez12zf0zz__ft_z52threadz52, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_z52threadz52) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long BgL_checksumz00_248, char * BgL_fromz00_249)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_z52threadz52))
{ 
BGl_requirezd2initializa7ationz75zz__ft_z52threadz52 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_z52threadz52(); 
BGl_libraryzd2moduleszd2initz00zz__ft_z52threadz52(); 
BGl_cnstzd2initzd2zz__ft_z52threadz52(); 
BGl_importedzd2moduleszd2initz00zz__ft_z52threadz52(); 
return 
BGl_toplevelzd2initzd2zz__ft_z52threadz52();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ft_%thread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
{ /* Llib/_thread.scm 15 */
 obj_t BgL_cportz00_233;
{ /* Llib/_thread.scm 15 */
 obj_t BgL_stringz00_240;
BgL_stringz00_240 = BGl_string1191z00zz__ft_z52threadz52; 
{ /* Llib/_thread.scm 15 */
 obj_t BgL_startz00_241;
BgL_startz00_241 = 
BINT(((long)0)); 
{ /* Llib/_thread.scm 15 */
 obj_t BgL_endz00_242;
BgL_endz00_242 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_240))); 
{ /* Llib/_thread.scm 15 */

BgL_cportz00_233 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_240, BgL_startz00_241, BgL_endz00_242); } } } } 
{ 
 long BgL_iz00_234;
BgL_iz00_234 = ((long)2); 
BgL_loopz00_235:
if(
(BgL_iz00_234==((long)-1)))
{ /* Llib/_thread.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/_thread.scm 15 */
{ /* Llib/_thread.scm 15 */
 obj_t BgL_arg1194z00_236;
{ /* Llib/_thread.scm 15 */

{ /* Llib/_thread.scm 15 */
 obj_t BgL_locationz00_238;
BgL_locationz00_238 = 
BBOOL(((bool_t)0)); 
{ /* Llib/_thread.scm 15 */

BgL_arg1194z00_236 = 
BGl_readz00zz__readerz00(BgL_cportz00_233, BgL_locationz00_238); } } } 
{ /* Llib/_thread.scm 15 */
 int BgL_tmpz00_277;
BgL_tmpz00_277 = 
(int)(BgL_iz00_234); 
CNST_TABLE_SET(BgL_tmpz00_277, BgL_arg1194z00_236); } } 
{ /* Llib/_thread.scm 15 */
 int BgL_auxz00_239;
BgL_auxz00_239 = 
(int)(
(BgL_iz00_234-((long)1))); 
{ 
 long BgL_iz00_282;
BgL_iz00_282 = 
(long)(BgL_auxz00_239); 
BgL_iz00_234 = BgL_iz00_282; 
goto BgL_loopz00_235;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1174z00zz__ft_z52threadz52)); 
return BFALSE;} 

}



/* %thread-awake! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2awakez12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_3)
{
{ /* Llib/_thread.scm 42 */
{ /* Llib/_thread.scm 44 */
 BgL_z52schedulerz52_bglt BgL_i1060z00_30;
BgL_i1060z00_30 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_3))->BgL_schedulerz00)); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_3))->BgL_z52timeoutz52)=((int)
(int)(((long)1))),BUNSPEC); 
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1060z00_30))->BgL_threadszd2runnablezd2lastzd2pairzd2)))
{ /* Llib/_thread.scm 47 */
{ 
 obj_t BgL_auxz00_294;
{ /* Llib/_thread.scm 52 */
 obj_t BgL_list1094z00_35;
BgL_list1094z00_35 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_3), BNIL); 
BgL_auxz00_294 = BgL_list1094z00_35; } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1060z00_30))->BgL_threadszd2runnablezd2)=((obj_t)BgL_auxz00_294),BUNSPEC); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1060z00_30))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1060z00_30))->BgL_threadszd2runnablezd2)),BUNSPEC);}  else 
{ /* Llib/_thread.scm 48 */
 obj_t BgL_pz00_33;
BgL_pz00_33 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_3), BNIL); 
{ /* Llib/_thread.scm 49 */
 obj_t BgL_arg1093z00_34;
BgL_arg1093z00_34 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1060z00_30))->BgL_threadszd2runnablezd2lastzd2pairzd2); 
{ /* Llib/_thread.scm 49 */
 obj_t BgL_tmpz00_303;
BgL_tmpz00_303 = 
((obj_t)BgL_arg1093z00_34); 
SET_CDR(BgL_tmpz00_303, BgL_pz00_33); } } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1060z00_30))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BgL_pz00_33),BUNSPEC);} } } 

}



/* &%thread-awake! */
obj_t BGl_z62z52threadzd2awakez12zf0zz__ft_z52threadz52(obj_t BgL_envz00_154, obj_t BgL_tz00_155)
{
{ /* Llib/_thread.scm 42 */
{ /* Llib/_thread.scm 43 */
 BgL_fthreadz00_bglt BgL_auxz00_307;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_155, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 43 */
BgL_auxz00_307 = 
((BgL_fthreadz00_bglt)BgL_tz00_155)
; }  else 
{ 
 obj_t BgL_auxz00_311;
BgL_auxz00_311 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1175z00zz__ft_z52threadz52, 
BINT(((long)1915)), BGl_string1176z00zz__ft_z52threadz52, BGl_string1177z00zz__ft_z52threadz52, BgL_tz00_155); 
FAILURE(BgL_auxz00_311,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2awakez12z92zz__ft_z52threadz52(BgL_auxz00_307);} } 

}



/* %thread-cooperate */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_4)
{
{ /* Llib/_thread.scm 58 */
{ /* Llib/_thread.scm 64 */
 obj_t BgL_arg1097z00_38;
BgL_arg1097z00_38 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_4))->BgL_schedulerz00); 
BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_tz00_4, 
((BgL_schedulerz00_bglt)BgL_arg1097z00_38)); } 
if(
BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_tz00_4, BNIL))
{ /* Llib/_thread.scm 66 */
 obj_t BgL_fun1100z00_41;
BgL_fun1100z00_41 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_4))->BgL_z52terminatez52); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1100z00_41))(BgL_fun1100z00_41, 
((obj_t)BgL_tz00_4), BEOA);}  else 
{ /* Llib/_thread.scm 65 */
return BFALSE;} } 

}



/* &%thread-cooperate */
obj_t BGl_z62z52threadzd2cooperateze2zz__ft_z52threadz52(obj_t BgL_envz00_156, obj_t BgL_tz00_157)
{
{ /* Llib/_thread.scm 58 */
{ /* Llib/_thread.scm 59 */
 BgL_fthreadz00_bglt BgL_auxz00_327;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_157, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 59 */
BgL_auxz00_327 = 
((BgL_fthreadz00_bglt)BgL_tz00_157)
; }  else 
{ 
 obj_t BgL_auxz00_331;
BgL_auxz00_331 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1175z00zz__ft_z52threadz52, 
BINT(((long)2597)), BGl_string1178z00zz__ft_z52threadz52, BGl_string1177z00zz__ft_z52threadz52, BgL_tz00_157); 
FAILURE(BgL_auxz00_331,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(BgL_auxz00_327);} } 

}



/* %thread-yield! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_5)
{
{ /* Llib/_thread.scm 71 */
{ /* Llib/_thread.scm 73 */
 BgL_z52schedulerz52_bglt BgL_i1063z00_44;
BgL_i1063z00_44 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_5))->BgL_schedulerz00)); 
{ 
 obj_t BgL_auxz00_338;
{ /* Llib/_thread.scm 74 */
 obj_t BgL_arg1104z00_45;
BgL_arg1104z00_45 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1063z00_44))->BgL_threadszd2yieldzd2); 
BgL_auxz00_338 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_5), BgL_arg1104z00_45); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1063z00_44))->BgL_threadszd2yieldzd2)=((obj_t)BgL_auxz00_338),BUNSPEC); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1063z00_44))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)1)),BUNSPEC); 
BGL_TAIL return 
BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(BgL_tz00_5);} } 

}



/* &%thread-yield! */
obj_t BGl_z62z52threadzd2yieldz12zf0zz__ft_z52threadz52(obj_t BgL_envz00_158, obj_t BgL_tz00_159)
{
{ /* Llib/_thread.scm 71 */
{ /* Llib/_thread.scm 72 */
 BgL_fthreadz00_bglt BgL_auxz00_345;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_159, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 72 */
BgL_auxz00_345 = 
((BgL_fthreadz00_bglt)BgL_tz00_159)
; }  else 
{ 
 obj_t BgL_auxz00_349;
BgL_auxz00_349 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1175z00zz__ft_z52threadz52, 
BINT(((long)3208)), BGl_string1179z00zz__ft_z52threadz52, BGl_string1177z00zz__ft_z52threadz52, BgL_tz00_159); 
FAILURE(BgL_auxz00_349,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(BgL_auxz00_345);} } 

}



/* %thread-timeout! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_6, int BgL_tmtz00_7)
{
{ /* Llib/_thread.scm 81 */
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_6))->BgL_z52timeoutz52)=((int)BgL_tmtz00_7),BUNSPEC); 
{ /* Llib/_thread.scm 84 */
 BgL_z52schedulerz52_bglt BgL_i1065z00_47;
BgL_i1065z00_47 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_6))->BgL_schedulerz00)); 
{ 
 obj_t BgL_auxz00_357;
{ /* Llib/_thread.scm 85 */
 obj_t BgL_arg1110z00_48;
BgL_arg1110z00_48 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1065z00_47))->BgL_threadszd2timeoutzd2); 
BgL_auxz00_357 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_6), BgL_arg1110z00_48); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1065z00_47))->BgL_threadszd2timeoutzd2)=((obj_t)BgL_auxz00_357),BUNSPEC); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1065z00_47))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)1)),BUNSPEC); 
return 
BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(BgL_tz00_6);} } 

}



/* &%thread-timeout! */
obj_t BGl_z62z52threadzd2timeoutz12zf0zz__ft_z52threadz52(obj_t BgL_envz00_160, obj_t BgL_tz00_161, obj_t BgL_tmtz00_162)
{
{ /* Llib/_thread.scm 81 */
{ /* Llib/_thread.scm 82 */
 int BgL_auxz00_372; BgL_fthreadz00_bglt BgL_auxz00_364;
{ /* Llib/_thread.scm 82 */
 obj_t BgL_tmpz00_373;
if(
INTEGERP(BgL_tmtz00_162))
{ /* Llib/_thread.scm 82 */
BgL_tmpz00_373 = BgL_tmtz00_162
; }  else 
{ 
 obj_t BgL_auxz00_376;
BgL_auxz00_376 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1175z00zz__ft_z52threadz52, 
BINT(((long)3689)), BGl_string1180z00zz__ft_z52threadz52, BGl_string1181z00zz__ft_z52threadz52, BgL_tmtz00_162); 
FAILURE(BgL_auxz00_376,BFALSE,BFALSE);} 
BgL_auxz00_372 = 
CINT(BgL_tmpz00_373); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_161, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 82 */
BgL_auxz00_364 = 
((BgL_fthreadz00_bglt)BgL_tz00_161)
; }  else 
{ 
 obj_t BgL_auxz00_368;
BgL_auxz00_368 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1175z00zz__ft_z52threadz52, 
BINT(((long)3689)), BGl_string1180z00zz__ft_z52threadz52, BGl_string1177z00zz__ft_z52threadz52, BgL_tz00_161); 
FAILURE(BgL_auxz00_368,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(BgL_auxz00_364, BgL_auxz00_372);} } 

}



/* %thread-kill! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2killz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_8)
{
{ /* Llib/_thread.scm 92 */
{ /* Llib/_thread.scm 96 */
 obj_t BgL_list1111z00_50;
BgL_list1111z00_50 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_tz00_8, BgL_list1111z00_50); } 
{ /* Llib/_thread.scm 97 */
 BgL_z52schedulerz52_bglt BgL_i1067z00_51;
BgL_i1067z00_51 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_8))->BgL_schedulerz00)); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_51))->BgL_z52livezd2threadzd2numberz52)=((int)
(int)(
(
(long)(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_51))->BgL_z52livezd2threadzd2numberz52))-((long)1)))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_391;
{ /* Llib/_thread.scm 101 */
 obj_t BgL_arg1113z00_53;
BgL_arg1113z00_53 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_51))->BgL_threadszd2runnablezd2); 
BgL_auxz00_391 = 
bgl_remq_bang(
((obj_t)BgL_tz00_8), BgL_arg1113z00_53); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_51))->BgL_threadszd2runnablezd2)=((obj_t)BgL_auxz00_391),BUNSPEC); } 
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_51))->BgL_threadszd2runnablezd2)))
{ /* Llib/_thread.scm 102 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_51))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); }  else 
{ /* Llib/_thread.scm 102 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_51))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_51))->BgL_threadszd2runnablezd2))),BUNSPEC); } 
{ /* Llib/_thread.scm 122 */
 obj_t BgL_g1084z00_101;
BgL_g1084z00_101 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_8))->BgL_z52signalsz52); 
{ 
 obj_t BgL_l1078z00_103;
BgL_l1078z00_103 = BgL_g1084z00_101; 
BgL_zc3z04anonymousza31121ze3z87_102:
if(
PAIRP(BgL_l1078z00_103))
{ /* Llib/_thread.scm 122 */
{ /* Llib/_thread.scm 122 */
 obj_t BgL_sz00_105;
BgL_sz00_105 = 
CAR(BgL_l1078z00_103); 
BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(BgL_sz00_105, 
((BgL_threadz00_bglt)BgL_tz00_8)); } 
{ 
 obj_t BgL_l1078z00_409;
BgL_l1078z00_409 = 
CDR(BgL_l1078z00_103); 
BgL_l1078z00_103 = BgL_l1078z00_409; 
goto BgL_zc3z04anonymousza31121ze3z87_102;} }  else 
{ /* Llib/_thread.scm 122 */((bool_t)1); } } } 
{ /* Llib/_thread.scm 106 */
 obj_t BgL_arg1120z00_58;
BgL_arg1120z00_58 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_8))->BgL_schedulerz00); 
BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_tz00_8, 
((BgL_schedulerz00_bglt)BgL_arg1120z00_58)); } 
return BUNSPEC;} } 

}



/* &%thread-kill! */
obj_t BGl_z62z52threadzd2killz12zf0zz__ft_z52threadz52(obj_t BgL_envz00_163, obj_t BgL_tz00_164)
{
{ /* Llib/_thread.scm 92 */
{ /* Llib/_thread.scm 93 */
 BgL_fthreadz00_bglt BgL_auxz00_414;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_164, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 93 */
BgL_auxz00_414 = 
((BgL_fthreadz00_bglt)BgL_tz00_164)
; }  else 
{ 
 obj_t BgL_auxz00_418;
BgL_auxz00_418 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1175z00zz__ft_z52threadz52, 
BINT(((long)4201)), BGl_string1182z00zz__ft_z52threadz52, BGl_string1177z00zz__ft_z52threadz52, BgL_tz00_164); 
FAILURE(BgL_auxz00_418,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2killz12z92zz__ft_z52threadz52(BgL_auxz00_414);} } 

}



/* %thread-unregister-signals! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2unregisterzd2signalsz12z40zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_10)
{
{ /* Llib/_thread.scm 120 */
{ /* Llib/_thread.scm 122 */
 obj_t BgL_g1084z00_244;
BgL_g1084z00_244 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_10))->BgL_z52signalsz52); 
{ 
 obj_t BgL_l1078z00_246;
{ /* Llib/_thread.scm 122 */
 bool_t BgL_tmpz00_424;
BgL_l1078z00_246 = BgL_g1084z00_244; 
BgL_zc3z04anonymousza31121ze3z87_245:
if(
PAIRP(BgL_l1078z00_246))
{ /* Llib/_thread.scm 122 */
{ /* Llib/_thread.scm 122 */
 obj_t BgL_sz00_247;
BgL_sz00_247 = 
CAR(BgL_l1078z00_246); 
BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(BgL_sz00_247, 
((BgL_threadz00_bglt)BgL_tz00_10)); } 
{ 
 obj_t BgL_l1078z00_430;
BgL_l1078z00_430 = 
CDR(BgL_l1078z00_246); 
BgL_l1078z00_246 = BgL_l1078z00_430; 
goto BgL_zc3z04anonymousza31121ze3z87_245;} }  else 
{ /* Llib/_thread.scm 122 */
BgL_tmpz00_424 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_424);} } } } 

}



/* &%thread-unregister-signals! */
obj_t BGl_z62z52threadzd2unregisterzd2signalsz12z22zz__ft_z52threadz52(obj_t BgL_envz00_165, obj_t BgL_tz00_166)
{
{ /* Llib/_thread.scm 120 */
{ /* Llib/_thread.scm 121 */
 BgL_fthreadz00_bglt BgL_auxz00_433;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_166, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 121 */
BgL_auxz00_433 = 
((BgL_fthreadz00_bglt)BgL_tz00_166)
; }  else 
{ 
 obj_t BgL_auxz00_437;
BgL_auxz00_437 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1175z00zz__ft_z52threadz52, 
BINT(((long)5556)), BGl_string1183z00zz__ft_z52threadz52, BGl_string1177z00zz__ft_z52threadz52, BgL_tz00_166); 
FAILURE(BgL_auxz00_437,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2unregisterzd2signalsz12z40zz__ft_z52threadz52(BgL_auxz00_433);} } 

}



/* %thread-attached? */
BGL_EXPORTED_DEF bool_t BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_11)
{
{ /* Llib/_thread.scm 127 */
{ /* Llib/_thread.scm 129 */
 obj_t BgL_arg1130z00_119;
BgL_arg1130z00_119 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_11))->BgL_schedulerz00); 
{ /* Llib/_thread.scm 129 */
 obj_t BgL_classz00_120;
BgL_classz00_120 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1130z00_119))
{ /* Llib/_thread.scm 129 */
 BgL_objectz00_bglt BgL_arg1793z00_122;
BgL_arg1793z00_122 = 
(BgL_objectz00_bglt)(BgL_arg1130z00_119); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_thread.scm 129 */
 long BgL_idxz00_128;
BgL_idxz00_128 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_122); 
return 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_128+((long)3)))==BgL_classz00_120);}  else 
{ /* Llib/_thread.scm 129 */
 bool_t BgL_res1148z00_150;
{ /* Llib/_thread.scm 129 */
 obj_t BgL_oclassz00_136;
{ /* Llib/_thread.scm 129 */
 long BgL_arg1801z00_142;
{ /* Llib/_thread.scm 129 */
 long BgL_arg1802z00_143;
BgL_arg1802z00_143 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_122); 
BgL_arg1801z00_142 = 
(BgL_arg1802z00_143-OBJECT_TYPE); } 
BgL_oclassz00_136 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_142); } 
{ /* Llib/_thread.scm 129 */
 bool_t BgL__ortest_1110z00_137;
BgL__ortest_1110z00_137 = 
(BgL_classz00_120==BgL_oclassz00_136); 
if(BgL__ortest_1110z00_137)
{ /* Llib/_thread.scm 129 */
BgL_res1148z00_150 = BgL__ortest_1110z00_137; }  else 
{ /* Llib/_thread.scm 129 */
 long BgL_odepthz00_138;
BgL_odepthz00_138 = 
BGL_CLASS_DEPTH(BgL_oclassz00_136); 
if(
(((long)3)<BgL_odepthz00_138))
{ /* Llib/_thread.scm 129 */
 obj_t BgL_arg1790z00_140;
BgL_arg1790z00_140 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_136, ((long)3)); 
BgL_res1148z00_150 = 
(BgL_arg1790z00_140==BgL_classz00_120); }  else 
{ /* Llib/_thread.scm 129 */
BgL_res1148z00_150 = ((bool_t)0); } } } } 
return BgL_res1148z00_150;} }  else 
{ /* Llib/_thread.scm 129 */
return ((bool_t)0);} } } } 

}



/* &%thread-attached? */
obj_t BGl_z62z52threadzd2attachedzf3z11zz__ft_z52threadz52(obj_t BgL_envz00_167, obj_t BgL_tz00_168)
{
{ /* Llib/_thread.scm 127 */
{ /* Llib/_thread.scm 128 */
 bool_t BgL_tmpz00_462;
{ /* Llib/_thread.scm 128 */
 BgL_fthreadz00_bglt BgL_auxz00_463;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_168, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 128 */
BgL_auxz00_463 = 
((BgL_fthreadz00_bglt)BgL_tz00_168)
; }  else 
{ 
 obj_t BgL_auxz00_467;
BgL_auxz00_467 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1175z00zz__ft_z52threadz52, 
BINT(((long)5925)), BGl_string1184z00zz__ft_z52threadz52, BGl_string1177z00zz__ft_z52threadz52, BgL_tz00_168); 
FAILURE(BgL_auxz00_467,BFALSE,BFALSE);} 
BgL_tmpz00_462 = 
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_auxz00_463); } 
return 
BBOOL(BgL_tmpz00_462);} } 

}



/* %thread-is-dead */
BGL_EXPORTED_DEF bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_12, obj_t BgL_vz00_13)
{
{ /* Llib/_thread.scm 134 */
{ /* Llib/_thread.scm 136 */
 bool_t BgL_test1249z00_473;
if(
PAIRP(BgL_vz00_13))
{ /* Llib/_thread.scm 136 */
BgL_test1249z00_473 = 
CBOOL(
CAR(BgL_vz00_13))
; }  else 
{ /* Llib/_thread.scm 136 */
BgL_test1249z00_473 = ((bool_t)0)
; } 
if(BgL_test1249z00_473)
{ /* Llib/_thread.scm 137 */
 obj_t BgL_xz00_212;
BgL_xz00_212 = 
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_12))->BgL_z52statez52)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
return ((bool_t)1);}  else 
{ /* Llib/_thread.scm 136 */
return 
(
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_12))->BgL_z52statez52)==
CNST_TABLE_REF(((long)0)));} } } 

}



/* &%thread-is-dead */
obj_t BGl_z62z52threadzd2iszd2deadz30zz__ft_z52threadz52(obj_t BgL_envz00_169, obj_t BgL_tz00_170, obj_t BgL_vz00_171)
{
{ /* Llib/_thread.scm 134 */
{ /* Llib/_thread.scm 135 */
 bool_t BgL_tmpz00_483;
{ /* Llib/_thread.scm 135 */
 BgL_fthreadz00_bglt BgL_auxz00_484;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_170, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 135 */
BgL_auxz00_484 = 
((BgL_fthreadz00_bglt)BgL_tz00_170)
; }  else 
{ 
 obj_t BgL_auxz00_488;
BgL_auxz00_488 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1175z00zz__ft_z52threadz52, 
BINT(((long)6265)), BGl_string1185z00zz__ft_z52threadz52, BGl_string1177z00zz__ft_z52threadz52, BgL_tz00_170); 
FAILURE(BgL_auxz00_488,BFALSE,BFALSE);} 
BgL_tmpz00_483 = 
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_auxz00_484, BgL_vz00_171); } 
return 
BBOOL(BgL_tmpz00_483);} } 

}



/* %thread-is-toterminate */
BGL_EXPORTED_DEF bool_t BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_14, obj_t BgL_vz00_15)
{
{ /* Llib/_thread.scm 143 */
{ /* Llib/_thread.scm 145 */
 bool_t BgL_test1252z00_494;
if(
PAIRP(BgL_vz00_15))
{ /* Llib/_thread.scm 145 */
BgL_test1252z00_494 = 
CBOOL(
CAR(BgL_vz00_15))
; }  else 
{ /* Llib/_thread.scm 145 */
BgL_test1252z00_494 = ((bool_t)0)
; } 
if(BgL_test1252z00_494)
{ /* Llib/_thread.scm 146 */
 obj_t BgL_xz00_217;
BgL_xz00_217 = 
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_14))->BgL_z52statez52)=((obj_t)
CNST_TABLE_REF(((long)1))),BUNSPEC); 
return ((bool_t)1);}  else 
{ /* Llib/_thread.scm 145 */
return 
(
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_14))->BgL_z52statez52)==
CNST_TABLE_REF(((long)1)));} } } 

}



/* &%thread-is-toterminate */
obj_t BGl_z62z52threadzd2iszd2toterminatez30zz__ft_z52threadz52(obj_t BgL_envz00_172, obj_t BgL_tz00_173, obj_t BgL_vz00_174)
{
{ /* Llib/_thread.scm 143 */
{ /* Llib/_thread.scm 144 */
 bool_t BgL_tmpz00_504;
{ /* Llib/_thread.scm 144 */
 BgL_fthreadz00_bglt BgL_auxz00_505;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_173, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 144 */
BgL_auxz00_505 = 
((BgL_fthreadz00_bglt)BgL_tz00_173)
; }  else 
{ 
 obj_t BgL_auxz00_509;
BgL_auxz00_509 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1175z00zz__ft_z52threadz52, 
BINT(((long)6654)), BGl_string1186z00zz__ft_z52threadz52, BGl_string1177z00zz__ft_z52threadz52, BgL_tz00_173); 
FAILURE(BgL_auxz00_509,BFALSE,BFALSE);} 
BgL_tmpz00_504 = 
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_auxz00_505, BgL_vz00_174); } 
return 
BBOOL(BgL_tmpz00_504);} } 

}



/* %thread-is-terminated */
BGL_EXPORTED_DEF bool_t BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_16, obj_t BgL_vz00_17)
{
{ /* Llib/_thread.scm 152 */
{ /* Llib/_thread.scm 154 */
 bool_t BgL_test1255z00_515;
if(
PAIRP(BgL_vz00_17))
{ /* Llib/_thread.scm 154 */
BgL_test1255z00_515 = 
CBOOL(
CAR(BgL_vz00_17))
; }  else 
{ /* Llib/_thread.scm 154 */
BgL_test1255z00_515 = ((bool_t)0)
; } 
if(BgL_test1255z00_515)
{ /* Llib/_thread.scm 155 */
 obj_t BgL_xz00_222;
BgL_xz00_222 = 
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_16))->BgL_z52statez52)=((obj_t)
CNST_TABLE_REF(((long)2))),BUNSPEC); 
return ((bool_t)1);}  else 
{ /* Llib/_thread.scm 154 */
return 
(
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_16))->BgL_z52statez52)==
CNST_TABLE_REF(((long)2)));} } } 

}



/* &%thread-is-terminated */
obj_t BGl_z62z52threadzd2iszd2terminatedz30zz__ft_z52threadz52(obj_t BgL_envz00_175, obj_t BgL_tz00_176, obj_t BgL_vz00_177)
{
{ /* Llib/_thread.scm 152 */
{ /* Llib/_thread.scm 153 */
 bool_t BgL_tmpz00_525;
{ /* Llib/_thread.scm 153 */
 BgL_fthreadz00_bglt BgL_auxz00_526;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_176, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 153 */
BgL_auxz00_526 = 
((BgL_fthreadz00_bglt)BgL_tz00_176)
; }  else 
{ 
 obj_t BgL_auxz00_530;
BgL_auxz00_530 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1175z00zz__ft_z52threadz52, 
BINT(((long)7056)), BGl_string1187z00zz__ft_z52threadz52, BGl_string1177z00zz__ft_z52threadz52, BgL_tz00_176); 
FAILURE(BgL_auxz00_530,BFALSE,BFALSE);} 
BgL_tmpz00_525 = 
BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_auxz00_526, BgL_vz00_177); } 
return 
BBOOL(BgL_tmpz00_525);} } 

}



/* %thread-asynchronize! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2asynchroniza7ez12z35zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_18, obj_t BgL_idz00_19)
{
{ /* Llib/_thread.scm 161 */
{ /* Llib/_thread.scm 166 */
 BgL_z52pthreadz52_bglt BgL_i1074z00_86;
BgL_i1074z00_86 = 
((BgL_z52pthreadz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_18))->BgL_z52builtinz52)); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_i1074z00_86))->BgL_idz00)=((obj_t)BgL_idz00_19),BUNSPEC); } 
{ /* Llib/_thread.scm 168 */
 obj_t BgL_ntz00_87;
{ /* Llib/_thread.scm 168 */
 obj_t BgL_arg1144z00_91;
BgL_arg1144z00_91 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_18))->BgL_schedulerz00); 
BgL_ntz00_87 = 
BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_tz00_18, 
((BgL_schedulerz00_bglt)BgL_arg1144z00_91)); } 
{ /* Llib/_thread.scm 170 */
 obj_t BgL_arg1142z00_89; obj_t BgL_arg1143z00_90;
BgL_arg1142z00_89 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_18))->BgL_z52builtinz52); 
BgL_arg1143z00_90 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_ntz00_87)))->BgL_z52builtinz52); 
BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(BgL_arg1142z00_89, 
((BgL_z52pthreadz52_bglt)BgL_arg1143z00_90)); } } 
return BUNSPEC;} 

}



/* &%thread-asynchronize! */
obj_t BGl_z62z52threadzd2asynchroniza7ez12z57zz__ft_z52threadz52(obj_t BgL_envz00_178, obj_t BgL_tz00_179, obj_t BgL_idz00_180)
{
{ /* Llib/_thread.scm 161 */
{ /* Llib/_thread.scm 165 */
 obj_t BgL_auxz00_555; BgL_fthreadz00_bglt BgL_auxz00_547;
if(
SYMBOLP(BgL_idz00_180))
{ /* Llib/_thread.scm 165 */
BgL_auxz00_555 = BgL_idz00_180
; }  else 
{ 
 obj_t BgL_auxz00_558;
BgL_auxz00_558 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1175z00zz__ft_z52threadz52, 
BINT(((long)7578)), BGl_string1188z00zz__ft_z52threadz52, BGl_string1189z00zz__ft_z52threadz52, BgL_idz00_180); 
FAILURE(BgL_auxz00_558,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_179, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 165 */
BgL_auxz00_547 = 
((BgL_fthreadz00_bglt)BgL_tz00_179)
; }  else 
{ 
 obj_t BgL_auxz00_551;
BgL_auxz00_551 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1175z00zz__ft_z52threadz52, 
BINT(((long)7578)), BGl_string1188z00zz__ft_z52threadz52, BGl_string1177z00zz__ft_z52threadz52, BgL_tz00_179); 
FAILURE(BgL_auxz00_551,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2asynchroniza7ez12z35zz__ft_z52threadz52(BgL_auxz00_547, BgL_auxz00_555);} } 

}



/* %thread-synchronize! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(obj_t BgL_tz00_20)
{
{ /* Llib/_thread.scm 176 */
{ /* Llib/_thread.scm 182 */
 obj_t BgL_arg1145z00_93;
BgL_arg1145z00_93 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_20)))->BgL_schedulerz00); 
BGl_z52schedulerzd2addzd2asynczd2runnablez12z92zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_arg1145z00_93), 
((BgL_fthreadz00_bglt)BgL_tz00_20)); } 
{ /* Llib/_thread.scm 184 */
 obj_t BgL_arg1146z00_94;
BgL_arg1146z00_94 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_20)))->BgL_z52builtinz52); 
BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1146z00_94)); } 
{ /* Llib/_thread.scm 185 */
 BgL_z52pthreadz52_bglt BgL_i1077z00_95;
BgL_i1077z00_95 = 
((BgL_z52pthreadz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_20)))->BgL_z52builtinz52)); 
return 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_i1077z00_95))->BgL_idz00)=((obj_t)
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_20))))->BgL_namez00)),BUNSPEC);} } 

}



/* &%thread-synchronize! */
obj_t BGl_z62z52threadzd2synchroniza7ez12z57zz__ft_z52threadz52(obj_t BgL_envz00_181, obj_t BgL_tz00_182)
{
{ /* Llib/_thread.scm 176 */
return 
BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(BgL_tz00_182);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1190z00zz__ft_z52threadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(((long)0), 
BSTRING_TO_STRING(BGl_string1190z00zz__ft_z52threadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(((long)295111899), 
BSTRING_TO_STRING(BGl_string1190z00zz__ft_z52threadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(((long)427827911), 
BSTRING_TO_STRING(BGl_string1190z00zz__ft_z52threadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(((long)398966270), 
BSTRING_TO_STRING(BGl_string1190z00zz__ft_z52threadz52)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(((long)486293435), 
BSTRING_TO_STRING(BGl_string1190z00zz__ft_z52threadz52));} 

}

#ifdef __cplusplus
}
#endif
