/*===========================================================================*/
/*   (Llib/_types.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IPosix Llib/_types.scm -o objs/_types.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52sigasyncz52_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_spawnedz00;
   obj_t BgL_idz00;
   obj_t BgL_thunkz00;
} *BgL_z52sigasyncz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;


static obj_t BGl_requirezd2initializa7ationz75zz__ft_z52typesz52 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ft_z52typesz52(void);
static obj_t BGl_genericzd2initzd2zz__ft_z52typesz52(void);
static obj_t BGl_z62zc3z04anonymousza31222ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__ft_z52typesz52(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__ft_z52typesz52(void);
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
BGL_EXPORTED_DEF obj_t BGl_z52schedulerz52zz__ft_z52typesz52 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31160ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31152ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31144ze3ze5zz__ft_z52typesz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
static obj_t BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_z52typesz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__ft_z52typesz52(void);
static obj_t BGl_z62zc3z04anonymousza31342ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31602ze3ze5zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31181ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31173ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31335ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1202z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1203z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31620ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1212z62zz__ft_z52typesz52(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52pthreadz52zz__ft_z52typesz52 = BUNSPEC;
static obj_t BGl_z62lambda1213z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31256ze3ze5zz__ft_z52typesz52(obj_t);
static BgL_z52schedulerz52_bglt BGl_z62lambda1139z62zz__ft_z52typesz52(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
static obj_t BGl_z62lambda1220z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1221z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static BgL_z52schedulerz52_bglt BGl_z62lambda1142z62zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31192ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31249ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1230z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1150z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1231z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1151z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31355ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1158z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1159z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
static obj_t BGl_z62lambda1247z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1248z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52sigasyncz52zz__ft_z52typesz52 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31705ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1171z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1333z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1172z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1334z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1254z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1255z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1179z62zz__ft_z52typesz52(obj_t, obj_t);
extern obj_t BGl_schedulerz00zz__ft_typesz00;
static obj_t BGl_z62lambda1420z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1340z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1421z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1341z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1180z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_z52typesz52(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52typesz52(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52typesz52(void);
static obj_t BGl_gczd2rootszd2initz00zz__ft_z52typesz52(void);
static obj_t BGl_z62lambda1190z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1191z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1353z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31375ze3ze5zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1354z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static BgL_z52sigasyncz52_bglt BGl_z62lambda1364z62zz__ft_z52typesz52(obj_t, obj_t, obj_t, obj_t);
static BgL_z52sigasyncz52_bglt BGl_z62lambda1366z62zz__ft_z52typesz52(obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda1286z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1287z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31717ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31288ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1618z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1619z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1703z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1704z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1386z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1548z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1387z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1549z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31654ze3ze5zz__ft_z52typesz52(obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62lambda1715z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1716z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31388ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1652z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1653z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31673ze3ze5zz__ft_z52typesz52(obj_t);
static BgL_z52pthreadz52_bglt BGl_z62lambda1585z62zz__ft_z52typesz52(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z52pthreadz52_bglt BGl_z62lambda1588z62zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1671z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1672z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t __cnst[ 35 ] ;


DEFINE_STRING( BGl_string1720z00zz__ft_z52typesz52, BgL_bgl_string1720za700za7za7_1806za7, "Llib/_types.scm", 15 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1721z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1807za7, BGl_z62zc3z04anonymousza31152ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1722z00zz__ft_z52typesz52, BgL_bgl_za762lambda1151za7621808z00, BGl_z62lambda1151z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1723z00zz__ft_z52typesz52, BgL_bgl_za762lambda1150za7621809z00, BGl_z62lambda1150z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1724z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1810za7, BGl_z62zc3z04anonymousza31160ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1725z00zz__ft_z52typesz52, BgL_bgl_za762lambda1159za7621811z00, BGl_z62lambda1159z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1726z00zz__ft_z52typesz52, BgL_bgl_za762lambda1158za7621812z00, BGl_z62lambda1158z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1727z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1813za7, BGl_z62zc3z04anonymousza31173ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1728z00zz__ft_z52typesz52, BgL_bgl_za762lambda1172za7621814z00, BGl_z62lambda1172z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1729z00zz__ft_z52typesz52, BgL_bgl_za762lambda1171za7621815z00, BGl_z62lambda1171z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
extern obj_t BGl_z52threadzd2setupz12zd2envz40zz__ft_typesz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1730z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1816za7, BGl_z62zc3z04anonymousza31181ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1731z00zz__ft_z52typesz52, BgL_bgl_za762lambda1180za7621817z00, BGl_z62lambda1180z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1732z00zz__ft_z52typesz52, BgL_bgl_za762lambda1179za7621818z00, BGl_z62lambda1179z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1733z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1819za7, BGl_z62zc3z04anonymousza31192ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1734z00zz__ft_z52typesz52, BgL_bgl_za762lambda1191za7621820z00, BGl_z62lambda1191z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1735z00zz__ft_z52typesz52, BgL_bgl_za762lambda1190za7621821z00, BGl_z62lambda1190z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1736z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1822za7, BGl_z62zc3z04anonymousza31204ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1737z00zz__ft_z52typesz52, BgL_bgl_za762lambda1203za7621823z00, BGl_z62lambda1203z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1738z00zz__ft_z52typesz52, BgL_bgl_za762lambda1202za7621824z00, BGl_z62lambda1202z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1739z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1825za7, BGl_z62zc3z04anonymousza31214ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1740z00zz__ft_z52typesz52, BgL_bgl_za762lambda1213za7621826z00, BGl_z62lambda1213z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1741z00zz__ft_z52typesz52, BgL_bgl_za762lambda1212za7621827z00, BGl_z62lambda1212z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1742z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1828za7, BGl_z62zc3z04anonymousza31222ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1743z00zz__ft_z52typesz52, BgL_bgl_za762lambda1221za7621829z00, BGl_z62lambda1221z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1744z00zz__ft_z52typesz52, BgL_bgl_za762lambda1220za7621830z00, BGl_z62lambda1220z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1745z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1831za7, BGl_z62zc3z04anonymousza31232ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1746z00zz__ft_z52typesz52, BgL_bgl_za762lambda1231za7621832z00, BGl_z62lambda1231z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1747z00zz__ft_z52typesz52, BgL_bgl_za762lambda1230za7621833z00, BGl_z62lambda1230z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1748z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1834za7, BGl_z62zc3z04anonymousza31249ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1749z00zz__ft_z52typesz52, BgL_bgl_za762lambda1248za7621835z00, BGl_z62lambda1248z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1750z00zz__ft_z52typesz52, BgL_bgl_za762lambda1247za7621836z00, BGl_z62lambda1247z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1751z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1837za7, BGl_z62zc3z04anonymousza31256ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1752z00zz__ft_z52typesz52, BgL_bgl_za762lambda1255za7621838z00, BGl_z62lambda1255z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1753z00zz__ft_z52typesz52, BgL_bgl_za762lambda1254za7621839z00, BGl_z62lambda1254z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1754z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1840za7, BGl_z62zc3z04anonymousza31288ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1755z00zz__ft_z52typesz52, BgL_bgl_za762lambda1287za7621841z00, BGl_z62lambda1287z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1756z00zz__ft_z52typesz52, BgL_bgl_za762lambda1286za7621842z00, BGl_z62lambda1286z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1757z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1843za7, BGl_z62zc3z04anonymousza31335ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1758z00zz__ft_z52typesz52, BgL_bgl_za762lambda1334za7621844z00, BGl_z62lambda1334z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1759z00zz__ft_z52typesz52, BgL_bgl_za762lambda1333za7621845z00, BGl_z62lambda1333z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1760z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1846za7, BGl_z62zc3z04anonymousza31342ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1761z00zz__ft_z52typesz52, BgL_bgl_za762lambda1341za7621847z00, BGl_z62lambda1341z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1762z00zz__ft_z52typesz52, BgL_bgl_za762lambda1340za7621848z00, BGl_z62lambda1340z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1763z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1849za7, BGl_z62zc3z04anonymousza31355ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1764z00zz__ft_z52typesz52, BgL_bgl_za762lambda1354za7621850z00, BGl_z62lambda1354z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1765z00zz__ft_z52typesz52, BgL_bgl_za762lambda1353za7621851z00, BGl_z62lambda1353z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1766z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1852za7, BGl_z62zc3z04anonymousza31144ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1767z00zz__ft_z52typesz52, BgL_bgl_za762lambda1142za7621853z00, BGl_z62lambda1142z62zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1768z00zz__ft_z52typesz52, BgL_bgl_za762lambda1139za7621854z00, BGl_z62lambda1139z62zz__ft_z52typesz52, 0L, BUNSPEC, 34 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1769z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1855za7, BGl_z62zc3z04anonymousza31388ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1770z00zz__ft_z52typesz52, BgL_bgl_za762lambda1387za7621856z00, BGl_z62lambda1387z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1771z00zz__ft_z52typesz52, BgL_bgl_za762lambda1386za7621857z00, BGl_z62lambda1386z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1772z00zz__ft_z52typesz52, BgL_bgl_za762lambda1421za7621858z00, BGl_z62lambda1421z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1773z00zz__ft_z52typesz52, BgL_bgl_za762lambda1420za7621859z00, BGl_z62lambda1420z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1774z00zz__ft_z52typesz52, BgL_bgl_za762lambda1549za7621860z00, BGl_z62lambda1549z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1775z00zz__ft_z52typesz52, BgL_bgl_za762lambda1548za7621861z00, BGl_z62lambda1548z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1776z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1862za7, BGl_z62zc3z04anonymousza31375ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1777z00zz__ft_z52typesz52, BgL_bgl_za762lambda1366za7621863z00, BGl_z62lambda1366z62zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1778z00zz__ft_z52typesz52, BgL_bgl_za762lambda1364za7621864z00, BGl_z62lambda1364z62zz__ft_z52typesz52, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1779z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1865za7, BGl_z62zc3z04anonymousza31620ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1780z00zz__ft_z52typesz52, BgL_bgl_za762lambda1619za7621866z00, BGl_z62lambda1619z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1781z00zz__ft_z52typesz52, BgL_bgl_za762lambda1618za7621867z00, BGl_z62lambda1618z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1782z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1868za7, BGl_z62zc3z04anonymousza31654ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1783z00zz__ft_z52typesz52, BgL_bgl_za762lambda1653za7621869z00, BGl_z62lambda1653z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1784z00zz__ft_z52typesz52, BgL_bgl_za762lambda1652za7621870z00, BGl_z62lambda1652z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1785z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1871za7, BGl_z62zc3z04anonymousza31673ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1786z00zz__ft_z52typesz52, BgL_bgl_za762lambda1672za7621872z00, BGl_z62lambda1672z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1787z00zz__ft_z52typesz52, BgL_bgl_za762lambda1671za7621873z00, BGl_z62lambda1671z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1788z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1874za7, BGl_z62zc3z04anonymousza31705ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1789z00zz__ft_z52typesz52, BgL_bgl_za762lambda1704za7621875z00, BGl_z62lambda1704z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1798z00zz__ft_z52typesz52, BgL_bgl_string1798za700za7za7_1876za7, "__ft_%types", 11 );
DEFINE_STRING( BGl_string1799z00zz__ft_z52typesz52, BgL_bgl_string1799za700za7za7_1877za7, "condition-variable $fth _ %pthread parent condvar mutex fthread %sigasync thunk symbol id spawned __ft_%types %scheduler current-token tospawn tobroadcast tosuspend/resume toterminate tostart threads-yield threads-timeout async-runnable threads-runnable-last-pair pair-nil threads-runnable bool %threads-ready int %live-thread-number obj current-thread procedure next-instant ", 376 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1790z00zz__ft_z52typesz52, BgL_bgl_za762lambda1703za7621878z00, BGl_z62lambda1703z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1791z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1879za7, BGl_z62zc3z04anonymousza31717ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1792z00zz__ft_z52typesz52, BgL_bgl_za762lambda1716za7621880z00, BGl_z62lambda1716z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1793z00zz__ft_z52typesz52, BgL_bgl_za762lambda1715za7621881z00, BGl_z62lambda1715z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1794z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1882za7, BGl_z62zc3z04anonymousza31602ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1795z00zz__ft_z52typesz52, BgL_bgl_za762lambda1588za7621883z00, BGl_z62lambda1588z62zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1796z00zz__ft_z52typesz52, BgL_bgl_za762lambda1585za7621884z00, BGl_z62lambda1585z62zz__ft_z52typesz52, 0L, BUNSPEC, 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1797z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1885za7, BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_z52typesz52) );
ADD_ROOT( (void *)(&BGl_z52schedulerz52zz__ft_z52typesz52) );
ADD_ROOT( (void *)(&BGl_z52pthreadz52zz__ft_z52typesz52) );
ADD_ROOT( (void *)(&BGl_z52sigasyncz52zz__ft_z52typesz52) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long BgL_checksumz00_886, char * BgL_fromz00_887)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_z52typesz52))
{ 
BGl_requirezd2initializa7ationz75zz__ft_z52typesz52 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_z52typesz52(); 
BGl_libraryzd2moduleszd2initz00zz__ft_z52typesz52(); 
BGl_cnstzd2initzd2zz__ft_z52typesz52(); 
BGl_importedzd2moduleszd2initz00zz__ft_z52typesz52(); 
BGl_objectzd2initzd2zz__ft_z52typesz52(); 
return 
BGl_toplevelzd2initzd2zz__ft_z52typesz52();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52typesz52(void)
{
{ /* Llib/_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_%types"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_z52typesz52(void)
{
{ /* Llib/_types.scm 15 */
{ /* Llib/_types.scm 15 */
 obj_t BgL_cportz00_756;
{ /* Llib/_types.scm 15 */
 obj_t BgL_stringz00_763;
BgL_stringz00_763 = BGl_string1799z00zz__ft_z52typesz52; 
{ /* Llib/_types.scm 15 */
 obj_t BgL_startz00_764;
BgL_startz00_764 = 
BINT(((long)0)); 
{ /* Llib/_types.scm 15 */
 obj_t BgL_endz00_765;
BgL_endz00_765 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_763))); 
{ /* Llib/_types.scm 15 */

BgL_cportz00_756 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_763, BgL_startz00_764, BgL_endz00_765); } } } } 
{ 
 long BgL_iz00_757;
BgL_iz00_757 = ((long)34); 
BgL_loopz00_758:
if(
(BgL_iz00_757==((long)-1)))
{ /* Llib/_types.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/_types.scm 15 */
{ /* Llib/_types.scm 15 */
 obj_t BgL_arg1805z00_759;
{ /* Llib/_types.scm 15 */

{ /* Llib/_types.scm 15 */
 obj_t BgL_locationz00_761;
BgL_locationz00_761 = 
BBOOL(((bool_t)0)); 
{ /* Llib/_types.scm 15 */

BgL_arg1805z00_759 = 
BGl_readz00zz__readerz00(BgL_cportz00_756, BgL_locationz00_761); } } } 
{ /* Llib/_types.scm 15 */
 int BgL_tmpz00_915;
BgL_tmpz00_915 = 
(int)(BgL_iz00_757); 
CNST_TABLE_SET(BgL_tmpz00_915, BgL_arg1805z00_759); } } 
{ /* Llib/_types.scm 15 */
 int BgL_auxz00_762;
BgL_auxz00_762 = 
(int)(
(BgL_iz00_757-((long)1))); 
{ 
 long BgL_iz00_920;
BgL_iz00_920 = 
(long)(BgL_auxz00_762); 
BgL_iz00_757 = BgL_iz00_920; 
goto BgL_loopz00_758;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_z52typesz52(void)
{
{ /* Llib/_types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_z52typesz52(void)
{
{ /* Llib/_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1720z00zz__ft_z52typesz52)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_z52typesz52(void)
{
{ /* Llib/_types.scm 15 */
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1137z00_14; obj_t BgL_arg1138z00_15;
{ /* Llib/_types.scm 21 */
 obj_t BgL_v1119z00_60;
BgL_v1119z00_60 = 
create_vector(((long)15)); 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1145z00_61;
BgL_arg1145z00_61 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1723z00zz__ft_z52typesz52, BGl_proc1722z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1721z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1119z00_60,((long)0),BgL_arg1145z00_61); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1154z00_77;
BgL_arg1154z00_77 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1726z00zz__ft_z52typesz52, BGl_proc1725z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1724z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1119z00_60,((long)1),BgL_arg1154z00_77); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1165z00_90;
BgL_arg1165z00_90 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1729z00zz__ft_z52typesz52, BGl_proc1728z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1727z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1119z00_60,((long)2),BgL_arg1165z00_90); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1174z00_103;
BgL_arg1174z00_103 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1732z00zz__ft_z52typesz52, BGl_proc1731z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1730z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1119z00_60,((long)3),BgL_arg1174z00_103); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1183z00_116;
BgL_arg1183z00_116 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc1735z00zz__ft_z52typesz52, BGl_proc1734z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1733z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)4),BgL_arg1183z00_116); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1194z00_129;
BgL_arg1194z00_129 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)10)), BGl_proc1738z00zz__ft_z52typesz52, BGl_proc1737z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1736z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)5),BgL_arg1194z00_129); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1206z00_142;
BgL_arg1206z00_142 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc1741z00zz__ft_z52typesz52, BGl_proc1740z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1739z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)6),BgL_arg1206z00_142); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1215z00_155;
BgL_arg1215z00_155 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc1744z00zz__ft_z52typesz52, BGl_proc1743z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1742z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)7),BgL_arg1215z00_155); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1223z00_168;
BgL_arg1223z00_168 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1747z00zz__ft_z52typesz52, BGl_proc1746z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1745z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)8),BgL_arg1223z00_168); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1233z00_181;
BgL_arg1233z00_181 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc1750z00zz__ft_z52typesz52, BGl_proc1749z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1748z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)9),BgL_arg1233z00_181); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1250z00_194;
BgL_arg1250z00_194 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc1753z00zz__ft_z52typesz52, BGl_proc1752z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1751z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)10),BgL_arg1250z00_194); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1258z00_207;
BgL_arg1258z00_207 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc1756z00zz__ft_z52typesz52, BGl_proc1755z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1754z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)11),BgL_arg1258z00_207); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1289z00_220;
BgL_arg1289z00_220 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc1759z00zz__ft_z52typesz52, BGl_proc1758z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1757z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)12),BgL_arg1289z00_220); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1336z00_233;
BgL_arg1336z00_233 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc1762z00zz__ft_z52typesz52, BGl_proc1761z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1760z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)13),BgL_arg1336z00_233); } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_arg1344z00_246;
BgL_arg1344z00_246 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc1765z00zz__ft_z52typesz52, BGl_proc1764z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1763z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1119z00_60,((long)14),BgL_arg1344z00_246); } 
BgL_arg1137z00_14 = BgL_v1119z00_60; } 
{ /* Llib/_types.scm 21 */
 obj_t BgL_v1120z00_259;
BgL_v1120z00_259 = 
create_vector(((long)0)); 
BgL_arg1138z00_15 = BgL_v1120z00_259; } 
BGl_z52schedulerz52zz__ft_z52typesz52 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)20)), 
CNST_TABLE_REF(((long)21)), BGl_schedulerz00zz__ft_typesz00, ((long)62772), BGl_proc1768z00zz__ft_z52typesz52, BGl_proc1767z00zz__ft_z52typesz52, BGl_z52threadzd2setupz12zd2envz40zz__ft_typesz00, BGl_proc1766z00zz__ft_z52typesz52, BFALSE, BgL_arg1137z00_14, BgL_arg1138z00_15); } 
{ /* Llib/_types.scm 54 */
 obj_t BgL_arg1361z00_266; obj_t BgL_arg1363z00_267;
{ /* Llib/_types.scm 54 */
 obj_t BgL_v1121z00_280;
BgL_v1121z00_280 = 
create_vector(((long)3)); 
{ /* Llib/_types.scm 54 */
 obj_t BgL_arg1377z00_281;
BgL_arg1377z00_281 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc1771z00zz__ft_z52typesz52, BGl_proc1770z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1769z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1121z00_280,((long)0),BgL_arg1377z00_281); } 
{ /* Llib/_types.scm 54 */
 obj_t BgL_arg1389z00_294;
BgL_arg1389z00_294 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc1773z00zz__ft_z52typesz52, BGl_proc1772z00zz__ft_z52typesz52, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1121z00_280,((long)1),BgL_arg1389z00_294); } 
{ /* Llib/_types.scm 54 */
 obj_t BgL_arg1460z00_304;
BgL_arg1460z00_304 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc1775z00zz__ft_z52typesz52, BGl_proc1774z00zz__ft_z52typesz52, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1121z00_280,((long)2),BgL_arg1460z00_304); } 
BgL_arg1361z00_266 = BgL_v1121z00_280; } 
{ /* Llib/_types.scm 54 */
 obj_t BgL_v1122z00_314;
BgL_v1122z00_314 = 
create_vector(((long)0)); 
BgL_arg1363z00_267 = BgL_v1122z00_314; } 
BGl_z52sigasyncz52zz__ft_z52typesz52 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)26)), 
CNST_TABLE_REF(((long)21)), BGl_objectz00zz__objectz00, ((long)49897), BGl_proc1778z00zz__ft_z52typesz52, BGl_proc1777z00zz__ft_z52typesz52, BFALSE, BGl_proc1776z00zz__ft_z52typesz52, BFALSE, BgL_arg1361z00_266, BgL_arg1363z00_267); } 
{ /* Llib/_types.scm 63 */
 obj_t BgL_arg1575z00_321; obj_t BgL_arg1584z00_322;
{ /* Llib/_types.scm 63 */
 obj_t BgL_v1123z00_344;
BgL_v1123z00_344 = 
create_vector(((long)5)); 
{ /* Llib/_types.scm 63 */
 obj_t BgL_arg1603z00_345;
BgL_arg1603z00_345 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc1781z00zz__ft_z52typesz52, BGl_proc1780z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1779z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1123z00_344,((long)0),BgL_arg1603z00_345); } 
{ /* Llib/_types.scm 63 */
 obj_t BgL_arg1629z00_358;
BgL_arg1629z00_358 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc1784z00zz__ft_z52typesz52, BGl_proc1783z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1782z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1123z00_344,((long)1),BgL_arg1629z00_358); } 
{ /* Llib/_types.scm 63 */
 obj_t BgL_arg1662z00_372;
BgL_arg1662z00_372 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc1787z00zz__ft_z52typesz52, BGl_proc1786z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1785z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)29))); 
VECTOR_SET(BgL_v1123z00_344,((long)2),BgL_arg1662z00_372); } 
{ /* Llib/_types.scm 63 */
 obj_t BgL_arg1679z00_386;
BgL_arg1679z00_386 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc1790z00zz__ft_z52typesz52, BGl_proc1789z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1788z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1123z00_344,((long)3),BgL_arg1679z00_386); } 
{ /* Llib/_types.scm 63 */
 obj_t BgL_arg1708z00_399;
BgL_arg1708z00_399 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc1793z00zz__ft_z52typesz52, BGl_proc1792z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1791z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1123z00_344,((long)4),BgL_arg1708z00_399); } 
BgL_arg1575z00_321 = BgL_v1123z00_344; } 
{ /* Llib/_types.scm 63 */
 obj_t BgL_v1124z00_412;
BgL_v1124z00_412 = 
create_vector(((long)0)); 
BgL_arg1584z00_322 = BgL_v1124z00_412; } 
return ( 
BGl_z52pthreadz52zz__ft_z52typesz52 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)31)), 
CNST_TABLE_REF(((long)21)), BGl_pthreadz00zz__pth_threadz00, ((long)3660), BGl_proc1796z00zz__ft_z52typesz52, BGl_proc1795z00zz__ft_z52typesz52, BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_proc1794z00zz__ft_z52typesz52, BFALSE, BgL_arg1575z00_321, BgL_arg1584z00_322), BUNSPEC) ;} } 

}



/* &<@anonymous:1602> */
obj_t BGl_z62zc3z04anonymousza31602ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_553, obj_t BgL_new1111z00_554)
{
{ /* Llib/_types.scm 63 */
{ 
 BgL_z52pthreadz52_bglt BgL_auxz00_1032;
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1111z00_554))))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1111z00_554))))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1111z00_554))))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1111z00_554))))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1111z00_554))))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1111z00_554))))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1111z00_554)))->BgL_fthreadz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1111z00_554)))->BgL_mutexz00)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1111z00_554)))->BgL_condvarz00)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1111z00_554)))->BgL_idz00)=((obj_t)
CNST_TABLE_REF(((long)32))),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1111z00_554)))->BgL_parentz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1032 = 
((BgL_z52pthreadz52_bglt)BgL_new1111z00_554); 
return 
((obj_t)BgL_auxz00_1032);} } 

}



/* &lambda1588 */
BgL_z52pthreadz52_bglt BGl_z62lambda1588z62zz__ft_z52typesz52(obj_t BgL_envz00_555)
{
{ /* Llib/_types.scm 63 */
{ /* Llib/_types.scm 63 */
 BgL_z52pthreadz52_bglt BgL_new1110z00_768;
BgL_new1110z00_768 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_types.scm 63 */
 long BgL_arg1601z00_769;
BgL_arg1601z00_769 = 
BGL_CLASS_NUM(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_768), BgL_arg1601z00_769); } 
return BgL_new1110z00_768;} } 

}



/* &lambda1585 */
BgL_z52pthreadz52_bglt BGl_z62lambda1585z62zz__ft_z52typesz52(obj_t BgL_envz00_556, obj_t BgL_name1099z00_557, obj_t BgL_body1100z00_558, obj_t BgL_detachedp1101z00_559, obj_t BgL_endzd2result1102zd2_560, obj_t BgL_endzd2exception1103zd2_561, obj_t BgL_z42builtin1104z42_562, obj_t BgL_fthread1105z00_563, obj_t BgL_mutex1106z00_564, obj_t BgL_condvar1107z00_565, obj_t BgL_id1108z00_566, obj_t BgL_parent1109z00_567)
{
{ /* Llib/_types.scm 63 */
{ /* Llib/_types.scm 63 */
 bool_t BgL_detachedp1101z00_771; void * BgL_z42builtin1104z42_772;
BgL_detachedp1101z00_771 = 
CBOOL(BgL_detachedp1101z00_559); 
BgL_z42builtin1104z42_772 = 
FOREIGN_TO_COBJ(BgL_z42builtin1104z42_562); 
{ /* Llib/_types.scm 63 */
 BgL_z52pthreadz52_bglt BgL_new1118z00_776;
{ /* Llib/_types.scm 63 */
 BgL_z52pthreadz52_bglt BgL_new1117z00_777;
BgL_new1117z00_777 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_types.scm 63 */
 long BgL_arg1587z00_778;
BgL_arg1587z00_778 = 
BGL_CLASS_NUM(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_777), BgL_arg1587z00_778); } 
BgL_new1118z00_776 = BgL_new1117z00_777; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1118z00_776)))->BgL_namez00)=((obj_t)BgL_name1099z00_557),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1118z00_776)))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_body1100z00_558)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1118z00_776)))->BgL_detachedpz00)=((bool_t)BgL_detachedp1101z00_771),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1118z00_776)))->BgL_endzd2resultzd2)=((obj_t)BgL_endzd2result1102zd2_560),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1118z00_776)))->BgL_endzd2exceptionzd2)=((obj_t)BgL_endzd2exception1103zd2_561),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1118z00_776)))->BgL_z42builtinz42)=((void *)BgL_z42builtin1104z42_772),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1118z00_776))->BgL_fthreadz00)=((obj_t)BgL_fthread1105z00_563),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1118z00_776))->BgL_mutexz00)=((obj_t)
((obj_t)BgL_mutex1106z00_564)),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1118z00_776))->BgL_condvarz00)=((obj_t)
((obj_t)BgL_condvar1107z00_565)),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1118z00_776))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1108z00_566)),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1118z00_776))->BgL_parentz00)=((obj_t)BgL_parent1109z00_567),BUNSPEC); 
{ /* Llib/_types.scm 63 */
 obj_t BgL_fun1586z00_779;
BgL_fun1586z00_779 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52pthreadz52zz__ft_z52typesz52); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1586z00_779))(BgL_fun1586z00_779, 
((obj_t)BgL_new1118z00_776), BEOA); } 
return BgL_new1118z00_776;} } } 

}



/* &<@anonymous:1717> */
obj_t BGl_z62zc3z04anonymousza31717ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_568)
{
{ /* Llib/_types.scm 63 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1716 */
obj_t BGl_z62lambda1716z62zz__ft_z52typesz52(obj_t BgL_envz00_569, obj_t BgL_oz00_570, obj_t BgL_vz00_571)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_570)))->BgL_parentz00)=((obj_t)BgL_vz00_571),BUNSPEC);} 

}



/* &lambda1715 */
obj_t BGl_z62lambda1715z62zz__ft_z52typesz52(obj_t BgL_envz00_572, obj_t BgL_oz00_573)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_573)))->BgL_parentz00);} 

}



/* &<@anonymous:1705> */
obj_t BGl_z62zc3z04anonymousza31705ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_574)
{
{ /* Llib/_types.scm 63 */
return 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)33)));} 

}



/* &lambda1704 */
obj_t BGl_z62lambda1704z62zz__ft_z52typesz52(obj_t BgL_envz00_575, obj_t BgL_oz00_576, obj_t BgL_vz00_577)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_576)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_577)),BUNSPEC);} 

}



/* &lambda1703 */
obj_t BGl_z62lambda1703z62zz__ft_z52typesz52(obj_t BgL_envz00_578, obj_t BgL_oz00_579)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_579)))->BgL_idz00);} 

}



/* &<@anonymous:1673> */
obj_t BGl_z62zc3z04anonymousza31673ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_580)
{
{ /* Llib/_types.scm 63 */
{ /* Llib/_types.scm 69 */

{ /* Llib/_types.scm 69 */
 obj_t BgL_namez00_785;
BgL_namez00_785 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)34))); 
{ /* Llib/_types.scm 69 */

return 
bgl_make_condvar(BgL_namez00_785);} } } } 

}



/* &lambda1672 */
obj_t BGl_z62lambda1672z62zz__ft_z52typesz52(obj_t BgL_envz00_581, obj_t BgL_oz00_582, obj_t BgL_vz00_583)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_582)))->BgL_condvarz00)=((obj_t)
((obj_t)BgL_vz00_583)),BUNSPEC);} 

}



/* &lambda1671 */
obj_t BGl_z62lambda1671z62zz__ft_z52typesz52(obj_t BgL_envz00_584, obj_t BgL_oz00_585)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_585)))->BgL_condvarz00);} 

}



/* &<@anonymous:1654> */
obj_t BGl_z62zc3z04anonymousza31654ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_586)
{
{ /* Llib/_types.scm 63 */
{ /* Llib/_types.scm 67 */

{ /* Llib/_types.scm 67 */
 obj_t BgL_namez00_789;
BgL_namez00_789 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)28))); 
{ /* Llib/_types.scm 67 */

return 
bgl_make_mutex(BgL_namez00_789);} } } } 

}



/* &lambda1653 */
obj_t BGl_z62lambda1653z62zz__ft_z52typesz52(obj_t BgL_envz00_587, obj_t BgL_oz00_588, obj_t BgL_vz00_589)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_588)))->BgL_mutexz00)=((obj_t)
((obj_t)BgL_vz00_589)),BUNSPEC);} 

}



/* &lambda1652 */
obj_t BGl_z62lambda1652z62zz__ft_z52typesz52(obj_t BgL_envz00_590, obj_t BgL_oz00_591)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_591)))->BgL_mutexz00);} 

}



/* &<@anonymous:1620> */
obj_t BGl_z62zc3z04anonymousza31620ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_592)
{
{ /* Llib/_types.scm 63 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1619 */
obj_t BGl_z62lambda1619z62zz__ft_z52typesz52(obj_t BgL_envz00_593, obj_t BgL_oz00_594, obj_t BgL_vz00_595)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_594)))->BgL_fthreadz00)=((obj_t)BgL_vz00_595),BUNSPEC);} 

}



/* &lambda1618 */
obj_t BGl_z62lambda1618z62zz__ft_z52typesz52(obj_t BgL_envz00_596, obj_t BgL_oz00_597)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_597)))->BgL_fthreadz00);} 

}



/* &<@anonymous:1375> */
obj_t BGl_z62zc3z04anonymousza31375ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_598, obj_t BgL_new1097z00_599)
{
{ /* Llib/_types.scm 54 */
{ 
 BgL_z52sigasyncz52_bglt BgL_auxz00_1137;
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_new1097z00_599)))->BgL_spawnedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_new1097z00_599)))->BgL_idz00)=((obj_t)
CNST_TABLE_REF(((long)32))),BUNSPEC); 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_new1097z00_599)))->BgL_thunkz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_1137 = 
((BgL_z52sigasyncz52_bglt)BgL_new1097z00_599); 
return 
((obj_t)BgL_auxz00_1137);} } 

}



/* &lambda1366 */
BgL_z52sigasyncz52_bglt BGl_z62lambda1366z62zz__ft_z52typesz52(obj_t BgL_envz00_600)
{
{ /* Llib/_types.scm 54 */
{ /* Llib/_types.scm 54 */
 BgL_z52sigasyncz52_bglt BgL_new1096z00_796;
BgL_new1096z00_796 = 
((BgL_z52sigasyncz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigasyncz52_bgl) ))); 
{ /* Llib/_types.scm 54 */
 long BgL_arg1374z00_797;
BgL_arg1374z00_797 = 
BGL_CLASS_NUM(BGl_z52sigasyncz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1096z00_796), BgL_arg1374z00_797); } 
return BgL_new1096z00_796;} } 

}



/* &lambda1364 */
BgL_z52sigasyncz52_bglt BGl_z62lambda1364z62zz__ft_z52typesz52(obj_t BgL_envz00_601, obj_t BgL_spawned1093z00_602, obj_t BgL_id1094z00_603, obj_t BgL_thunk1095z00_604)
{
{ /* Llib/_types.scm 54 */
{ /* Llib/_types.scm 54 */
 bool_t BgL_spawned1093z00_798;
BgL_spawned1093z00_798 = 
CBOOL(BgL_spawned1093z00_602); 
{ /* Llib/_types.scm 54 */
 BgL_z52sigasyncz52_bglt BgL_new1116z00_801;
{ /* Llib/_types.scm 54 */
 BgL_z52sigasyncz52_bglt BgL_new1115z00_802;
BgL_new1115z00_802 = 
((BgL_z52sigasyncz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigasyncz52_bgl) ))); 
{ /* Llib/_types.scm 54 */
 long BgL_arg1365z00_803;
BgL_arg1365z00_803 = 
BGL_CLASS_NUM(BGl_z52sigasyncz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_802), BgL_arg1365z00_803); } 
BgL_new1116z00_801 = BgL_new1115z00_802; } 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_new1116z00_801))->BgL_spawnedz00)=((bool_t)BgL_spawned1093z00_798),BUNSPEC); 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_new1116z00_801))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1094z00_603)),BUNSPEC); 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_new1116z00_801))->BgL_thunkz00)=((obj_t)
((obj_t)BgL_thunk1095z00_604)),BUNSPEC); 
return BgL_new1116z00_801;} } } 

}



/* &lambda1549 */
obj_t BGl_z62lambda1549z62zz__ft_z52typesz52(obj_t BgL_envz00_605, obj_t BgL_oz00_606, obj_t BgL_vz00_607)
{
{ /* Llib/_types.scm 54 */
return 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_606)))->BgL_thunkz00)=((obj_t)
((obj_t)BgL_vz00_607)),BUNSPEC);} 

}



/* &lambda1548 */
obj_t BGl_z62lambda1548z62zz__ft_z52typesz52(obj_t BgL_envz00_608, obj_t BgL_oz00_609)
{
{ /* Llib/_types.scm 54 */
return 
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_609)))->BgL_thunkz00);} 

}



/* &lambda1421 */
obj_t BGl_z62lambda1421z62zz__ft_z52typesz52(obj_t BgL_envz00_610, obj_t BgL_oz00_611, obj_t BgL_vz00_612)
{
{ /* Llib/_types.scm 54 */
return 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_611)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_612)),BUNSPEC);} 

}



/* &lambda1420 */
obj_t BGl_z62lambda1420z62zz__ft_z52typesz52(obj_t BgL_envz00_613, obj_t BgL_oz00_614)
{
{ /* Llib/_types.scm 54 */
return 
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_614)))->BgL_idz00);} 

}



/* &<@anonymous:1388> */
obj_t BGl_z62zc3z04anonymousza31388ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_615)
{
{ /* Llib/_types.scm 54 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1387 */
obj_t BGl_z62lambda1387z62zz__ft_z52typesz52(obj_t BgL_envz00_616, obj_t BgL_oz00_617, obj_t BgL_vz00_618)
{
{ /* Llib/_types.scm 54 */
{ /* Llib/_types.scm 54 */
 bool_t BgL_vz00_811;
BgL_vz00_811 = 
CBOOL(BgL_vz00_618); 
return 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_617)))->BgL_spawnedz00)=((bool_t)BgL_vz00_811),BUNSPEC);} } 

}



/* &lambda1386 */
obj_t BGl_z62lambda1386z62zz__ft_z52typesz52(obj_t BgL_envz00_619, obj_t BgL_oz00_620)
{
{ /* Llib/_types.scm 54 */
return 
BBOOL(
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_620)))->BgL_spawnedz00));} 

}



/* &<@anonymous:1144> */
obj_t BGl_z62zc3z04anonymousza31144ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_621, obj_t BgL_new1091z00_622)
{
{ /* Llib/_types.scm 21 */
{ 
 BgL_z52schedulerz52_bglt BgL_auxz00_1178;
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_schedulerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52builtinz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52timeoutz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52statez52)=((obj_t)
CNST_TABLE_REF(((long)32))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52iszd2suspendz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52terminatez52)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52resultz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52exczd2resultz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52exczd2raisedz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52identz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52signalsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52awakezd2signalz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52awakezd2valuez80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52cleanupz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_z52specificz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_envzb2zb2)=((obj_t)
MAKE_YOUNG_PAIR(BFALSE, BFALSE)),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622))))->BgL_strictzd2orderzf3z21)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_nextzd2instantzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_currentzd2threadzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_z52livezd2threadzd2numberz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_threadszd2runnablezd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_asynczd2runnablezd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_threadszd2timeoutzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_threadszd2yieldzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_tostartz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_toterminatez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_tosuspendzf2resumezf2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_tobroadcastz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_tospawnz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622)))->BgL_currentzd2tokenzd2)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1178 = 
((BgL_z52schedulerz52_bglt)BgL_new1091z00_622); 
return 
((obj_t)BgL_auxz00_1178);} } 

}



/* &lambda1142 */
BgL_z52schedulerz52_bglt BGl_z62lambda1142z62zz__ft_z52typesz52(obj_t BgL_envz00_623)
{
{ /* Llib/_types.scm 21 */
{ /* Llib/_types.scm 21 */
 BgL_z52schedulerz52_bglt BgL_new1090z00_814;
BgL_new1090z00_814 = 
((BgL_z52schedulerz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52schedulerz52_bgl) ))); 
{ /* Llib/_types.scm 21 */
 long BgL_arg1143z00_815;
BgL_arg1143z00_815 = 
BGL_CLASS_NUM(BGl_z52schedulerz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_814), BgL_arg1143z00_815); } 
return BgL_new1090z00_814;} } 

}



/* &lambda1139 */
BgL_z52schedulerz52_bglt BGl_z62lambda1139z62zz__ft_z52typesz52(obj_t BgL_envz00_624, obj_t BgL_name1056z00_625, obj_t BgL_scheduler1057z00_626, obj_t BgL_z52builtin1058z52_627, obj_t BgL_z52timeout1059z52_628, obj_t BgL_z52state1060z52_629, obj_t BgL_z52iszd2suspend1061z80_630, obj_t BgL_z52terminate1062z52_631, obj_t BgL_z52result1063z52_632, obj_t BgL_z52exczd2result1064z80_633, obj_t BgL_z52exczd2raised1065z80_634, obj_t BgL_z52ident1066z52_635, obj_t BgL_z52signals1067z52_636, obj_t BgL_z52awakezd2signal1068z80_637, obj_t BgL_z52awakezd2value1069z80_638, obj_t BgL_z52cleanup1070z52_639, obj_t BgL_z52specific1071z52_640, obj_t BgL_body1072z00_641, obj_t BgL_envzb21073zb2_642, obj_t BgL_strictzd2orderzf31074z21_643, obj_t BgL_nextzd2instant1075zd2_644, obj_t BgL_currentzd2thread1076zd2_645, obj_t BgL_z52livezd2threadzd2number1077z52_646, obj_t BgL_z52threadszd2ready1078z80_647, obj_t BgL_threadszd2runnable1079zd2_648, obj_t BgL_threadszd2runnablezd2las1080z00_649, obj_t BgL_asynczd2runnable1081zd2_650, obj_t BgL_threadszd2timeout1082zd2_651, obj_t BgL_threadszd2yield1083zd2_652, obj_t BgL_tostart1084z00_653, obj_t BgL_toterminate1085z00_654, obj_t BgL_tosuspendzf2resume1086zf2_655, obj_t BgL_tobroadcast1087z00_656, obj_t BgL_tospawn1088z00_657, obj_t BgL_currentzd2token1089zd2_658)
{
{ /* Llib/_types.scm 21 */
{ /* Llib/_types.scm 21 */
 int BgL_z52timeout1059z52_816; bool_t BgL_z52iszd2suspend1061z80_818; bool_t BgL_z52exczd2raised1065z80_820; int BgL_z52ident1066z52_821; int BgL_z52livezd2threadzd2number1077z52_827; bool_t BgL_z52threadszd2ready1078z80_828;
BgL_z52timeout1059z52_816 = 
CINT(BgL_z52timeout1059z52_628); 
BgL_z52iszd2suspend1061z80_818 = 
CBOOL(BgL_z52iszd2suspend1061z80_630); 
BgL_z52exczd2raised1065z80_820 = 
CBOOL(BgL_z52exczd2raised1065z80_634); 
BgL_z52ident1066z52_821 = 
CINT(BgL_z52ident1066z52_635); 
BgL_z52livezd2threadzd2number1077z52_827 = 
CINT(BgL_z52livezd2threadzd2number1077z52_646); 
BgL_z52threadszd2ready1078z80_828 = 
CBOOL(BgL_z52threadszd2ready1078z80_647); 
{ /* Llib/_types.scm 21 */
 BgL_z52schedulerz52_bglt BgL_new1114z00_839;
{ /* Llib/_types.scm 21 */
 BgL_z52schedulerz52_bglt BgL_new1113z00_840;
BgL_new1113z00_840 = 
((BgL_z52schedulerz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52schedulerz52_bgl) ))); 
{ /* Llib/_types.scm 21 */
 long BgL_arg1141z00_841;
BgL_arg1141z00_841 = 
BGL_CLASS_NUM(BGl_z52schedulerz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_840), BgL_arg1141z00_841); } 
BgL_new1114z00_839 = BgL_new1113z00_840; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1114z00_839)))->BgL_namez00)=((obj_t)BgL_name1056z00_625),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_schedulerz00)=((obj_t)BgL_scheduler1057z00_626),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52builtinz52)=((obj_t)BgL_z52builtin1058z52_627),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52timeoutz52)=((int)BgL_z52timeout1059z52_816),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52statez52)=((obj_t)
((obj_t)BgL_z52state1060z52_629)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52iszd2suspendz80)=((bool_t)BgL_z52iszd2suspend1061z80_818),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52terminatez52)=((obj_t)
((obj_t)BgL_z52terminate1062z52_631)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52resultz52)=((obj_t)BgL_z52result1063z52_632),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52exczd2resultz80)=((obj_t)BgL_z52exczd2result1064z80_633),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52exczd2raisedz80)=((bool_t)BgL_z52exczd2raised1065z80_820),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52identz52)=((int)BgL_z52ident1066z52_821),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52signalsz52)=((obj_t)
((obj_t)BgL_z52signals1067z52_636)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52awakezd2signalz80)=((obj_t)BgL_z52awakezd2signal1068z80_637),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52awakezd2valuez80)=((obj_t)BgL_z52awakezd2value1069z80_638),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52cleanupz52)=((obj_t)BgL_z52cleanup1070z52_639),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_z52specificz52)=((obj_t)BgL_z52specific1071z52_640),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_839)))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_body1072z00_641)),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1114z00_839)))->BgL_envzb2zb2)=((obj_t)
((obj_t)BgL_envzb21073zb2_642)),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1114z00_839)))->BgL_strictzd2orderzf3z21)=((obj_t)
((obj_t)BgL_strictzd2orderzf31074z21_643)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_nextzd2instantzd2)=((obj_t)
((obj_t)BgL_nextzd2instant1075zd2_644)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_currentzd2threadzd2)=((obj_t)BgL_currentzd2thread1076zd2_645),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_z52livezd2threadzd2numberz52)=((int)BgL_z52livezd2threadzd2number1077z52_827),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_z52threadszd2readyz80)=((bool_t)BgL_z52threadszd2ready1078z80_828),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_threadszd2runnablezd2)=((obj_t)
((obj_t)BgL_threadszd2runnable1079zd2_648)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
((obj_t)BgL_threadszd2runnablezd2las1080z00_649)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_asynczd2runnablezd2)=((obj_t)
((obj_t)BgL_asynczd2runnable1081zd2_650)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_threadszd2timeoutzd2)=((obj_t)
((obj_t)BgL_threadszd2timeout1082zd2_651)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_threadszd2yieldzd2)=((obj_t)
((obj_t)BgL_threadszd2yield1083zd2_652)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_tostartz00)=((obj_t)
((obj_t)BgL_tostart1084z00_653)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_toterminatez00)=((obj_t)
((obj_t)BgL_toterminate1085z00_654)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_tosuspendzf2resumezf2)=((obj_t)
((obj_t)BgL_tosuspendzf2resume1086zf2_655)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_tobroadcastz00)=((obj_t)
((obj_t)BgL_tobroadcast1087z00_656)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_tospawnz00)=((obj_t)
((obj_t)BgL_tospawn1088z00_657)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_839))->BgL_currentzd2tokenzd2)=((obj_t)BgL_currentzd2token1089zd2_658),BUNSPEC); 
{ /* Llib/_types.scm 21 */
 obj_t BgL_fun1140z00_842;
BgL_fun1140z00_842 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52schedulerz52zz__ft_z52typesz52); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1140z00_842))(BgL_fun1140z00_842, 
((obj_t)BgL_new1114z00_839), BEOA); } 
return BgL_new1114z00_839;} } } 

}



/* &<@anonymous:1355> */
obj_t BGl_z62zc3z04anonymousza31355ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_659)
{
{ /* Llib/_types.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1354 */
obj_t BGl_z62lambda1354z62zz__ft_z52typesz52(obj_t BgL_envz00_660, obj_t BgL_oz00_661, obj_t BgL_vz00_662)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_661)))->BgL_currentzd2tokenzd2)=((obj_t)BgL_vz00_662),BUNSPEC);} 

}



/* &lambda1353 */
obj_t BGl_z62lambda1353z62zz__ft_z52typesz52(obj_t BgL_envz00_663, obj_t BgL_oz00_664)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_664)))->BgL_currentzd2tokenzd2);} 

}



/* &<@anonymous:1342> */
obj_t BGl_z62zc3z04anonymousza31342ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_665)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1341 */
obj_t BGl_z62lambda1341z62zz__ft_z52typesz52(obj_t BgL_envz00_666, obj_t BgL_oz00_667, obj_t BgL_vz00_668)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_667)))->BgL_tospawnz00)=((obj_t)
((obj_t)BgL_vz00_668)),BUNSPEC);} 

}



/* &lambda1340 */
obj_t BGl_z62lambda1340z62zz__ft_z52typesz52(obj_t BgL_envz00_669, obj_t BgL_oz00_670)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_670)))->BgL_tospawnz00);} 

}



/* &<@anonymous:1335> */
obj_t BGl_z62zc3z04anonymousza31335ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_671)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1334 */
obj_t BGl_z62lambda1334z62zz__ft_z52typesz52(obj_t BgL_envz00_672, obj_t BgL_oz00_673, obj_t BgL_vz00_674)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_673)))->BgL_tobroadcastz00)=((obj_t)
((obj_t)BgL_vz00_674)),BUNSPEC);} 

}



/* &lambda1333 */
obj_t BGl_z62lambda1333z62zz__ft_z52typesz52(obj_t BgL_envz00_675, obj_t BgL_oz00_676)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_676)))->BgL_tobroadcastz00);} 

}



/* &<@anonymous:1288> */
obj_t BGl_z62zc3z04anonymousza31288ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_677)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1287 */
obj_t BGl_z62lambda1287z62zz__ft_z52typesz52(obj_t BgL_envz00_678, obj_t BgL_oz00_679, obj_t BgL_vz00_680)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_679)))->BgL_tosuspendzf2resumezf2)=((obj_t)
((obj_t)BgL_vz00_680)),BUNSPEC);} 

}



/* &lambda1286 */
obj_t BGl_z62lambda1286z62zz__ft_z52typesz52(obj_t BgL_envz00_681, obj_t BgL_oz00_682)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_682)))->BgL_tosuspendzf2resumezf2);} 

}



/* &<@anonymous:1256> */
obj_t BGl_z62zc3z04anonymousza31256ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_683)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1255 */
obj_t BGl_z62lambda1255z62zz__ft_z52typesz52(obj_t BgL_envz00_684, obj_t BgL_oz00_685, obj_t BgL_vz00_686)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_685)))->BgL_toterminatez00)=((obj_t)
((obj_t)BgL_vz00_686)),BUNSPEC);} 

}



/* &lambda1254 */
obj_t BGl_z62lambda1254z62zz__ft_z52typesz52(obj_t BgL_envz00_687, obj_t BgL_oz00_688)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_688)))->BgL_toterminatez00);} 

}



/* &<@anonymous:1249> */
obj_t BGl_z62zc3z04anonymousza31249ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_689)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1248 */
obj_t BGl_z62lambda1248z62zz__ft_z52typesz52(obj_t BgL_envz00_690, obj_t BgL_oz00_691, obj_t BgL_vz00_692)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_691)))->BgL_tostartz00)=((obj_t)
((obj_t)BgL_vz00_692)),BUNSPEC);} 

}



/* &lambda1247 */
obj_t BGl_z62lambda1247z62zz__ft_z52typesz52(obj_t BgL_envz00_693, obj_t BgL_oz00_694)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_694)))->BgL_tostartz00);} 

}



/* &<@anonymous:1232> */
obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_695)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1231 */
obj_t BGl_z62lambda1231z62zz__ft_z52typesz52(obj_t BgL_envz00_696, obj_t BgL_oz00_697, obj_t BgL_vz00_698)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_697)))->BgL_threadszd2yieldzd2)=((obj_t)
((obj_t)BgL_vz00_698)),BUNSPEC);} 

}



/* &lambda1230 */
obj_t BGl_z62lambda1230z62zz__ft_z52typesz52(obj_t BgL_envz00_699, obj_t BgL_oz00_700)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_700)))->BgL_threadszd2yieldzd2);} 

}



/* &<@anonymous:1222> */
obj_t BGl_z62zc3z04anonymousza31222ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_701)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1221 */
obj_t BGl_z62lambda1221z62zz__ft_z52typesz52(obj_t BgL_envz00_702, obj_t BgL_oz00_703, obj_t BgL_vz00_704)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_703)))->BgL_threadszd2timeoutzd2)=((obj_t)
((obj_t)BgL_vz00_704)),BUNSPEC);} 

}



/* &lambda1220 */
obj_t BGl_z62lambda1220z62zz__ft_z52typesz52(obj_t BgL_envz00_705, obj_t BgL_oz00_706)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_706)))->BgL_threadszd2timeoutzd2);} 

}



/* &<@anonymous:1214> */
obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_707)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1213 */
obj_t BGl_z62lambda1213z62zz__ft_z52typesz52(obj_t BgL_envz00_708, obj_t BgL_oz00_709, obj_t BgL_vz00_710)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_709)))->BgL_asynczd2runnablezd2)=((obj_t)
((obj_t)BgL_vz00_710)),BUNSPEC);} 

}



/* &lambda1212 */
obj_t BGl_z62lambda1212z62zz__ft_z52typesz52(obj_t BgL_envz00_711, obj_t BgL_oz00_712)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_712)))->BgL_asynczd2runnablezd2);} 

}



/* &<@anonymous:1204> */
obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_713)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1203 */
obj_t BGl_z62lambda1203z62zz__ft_z52typesz52(obj_t BgL_envz00_714, obj_t BgL_oz00_715, obj_t BgL_vz00_716)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_715)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
((obj_t)BgL_vz00_716)),BUNSPEC);} 

}



/* &lambda1202 */
obj_t BGl_z62lambda1202z62zz__ft_z52typesz52(obj_t BgL_envz00_717, obj_t BgL_oz00_718)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_718)))->BgL_threadszd2runnablezd2lastzd2pairzd2);} 

}



/* &<@anonymous:1192> */
obj_t BGl_z62zc3z04anonymousza31192ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_719)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1191 */
obj_t BGl_z62lambda1191z62zz__ft_z52typesz52(obj_t BgL_envz00_720, obj_t BgL_oz00_721, obj_t BgL_vz00_722)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_721)))->BgL_threadszd2runnablezd2)=((obj_t)
((obj_t)BgL_vz00_722)),BUNSPEC);} 

}



/* &lambda1190 */
obj_t BGl_z62lambda1190z62zz__ft_z52typesz52(obj_t BgL_envz00_723, obj_t BgL_oz00_724)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_724)))->BgL_threadszd2runnablezd2);} 

}



/* &<@anonymous:1181> */
obj_t BGl_z62zc3z04anonymousza31181ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_725)
{
{ /* Llib/_types.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1180 */
obj_t BGl_z62lambda1180z62zz__ft_z52typesz52(obj_t BgL_envz00_726, obj_t BgL_oz00_727, obj_t BgL_vz00_728)
{
{ /* Llib/_types.scm 21 */
{ /* Llib/_types.scm 21 */
 bool_t BgL_vz00_876;
BgL_vz00_876 = 
CBOOL(BgL_vz00_728); 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_727)))->BgL_z52threadszd2readyz80)=((bool_t)BgL_vz00_876),BUNSPEC);} } 

}



/* &lambda1179 */
obj_t BGl_z62lambda1179z62zz__ft_z52typesz52(obj_t BgL_envz00_729, obj_t BgL_oz00_730)
{
{ /* Llib/_types.scm 21 */
return 
BBOOL(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_730)))->BgL_z52threadszd2readyz80));} 

}



/* &<@anonymous:1173> */
obj_t BGl_z62zc3z04anonymousza31173ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_731)
{
{ /* Llib/_types.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1172 */
obj_t BGl_z62lambda1172z62zz__ft_z52typesz52(obj_t BgL_envz00_732, obj_t BgL_oz00_733, obj_t BgL_vz00_734)
{
{ /* Llib/_types.scm 21 */
{ /* Llib/_types.scm 21 */
 int BgL_vz00_879;
BgL_vz00_879 = 
CINT(BgL_vz00_734); 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_733)))->BgL_z52livezd2threadzd2numberz52)=((int)BgL_vz00_879),BUNSPEC);} } 

}



/* &lambda1171 */
obj_t BGl_z62lambda1171z62zz__ft_z52typesz52(obj_t BgL_envz00_735, obj_t BgL_oz00_736)
{
{ /* Llib/_types.scm 21 */
return 
BINT(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_736)))->BgL_z52livezd2threadzd2numberz52));} 

}



/* &<@anonymous:1160> */
obj_t BGl_z62zc3z04anonymousza31160ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_737)
{
{ /* Llib/_types.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1159 */
obj_t BGl_z62lambda1159z62zz__ft_z52typesz52(obj_t BgL_envz00_738, obj_t BgL_oz00_739, obj_t BgL_vz00_740)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_739)))->BgL_currentzd2threadzd2)=((obj_t)BgL_vz00_740),BUNSPEC);} 

}



/* &lambda1158 */
obj_t BGl_z62lambda1158z62zz__ft_z52typesz52(obj_t BgL_envz00_741, obj_t BgL_oz00_742)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_742)))->BgL_currentzd2threadzd2);} 

}



/* &<@anonymous:1152> */
obj_t BGl_z62zc3z04anonymousza31152ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_743)
{
{ /* Llib/_types.scm 21 */
return BGl_proc1797z00zz__ft_z52typesz52;} 

}



/* &lambda1151 */
obj_t BGl_z62lambda1151z62zz__ft_z52typesz52(obj_t BgL_envz00_744, obj_t BgL_oz00_745, obj_t BgL_vz00_746)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_745)))->BgL_nextzd2instantzd2)=((obj_t)
((obj_t)BgL_vz00_746)),BUNSPEC);} 

}



/* &lambda1150 */
obj_t BGl_z62lambda1150z62zz__ft_z52typesz52(obj_t BgL_envz00_747, obj_t BgL_oz00_748)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_748)))->BgL_nextzd2instantzd2);} 

}



/* &<@anonymous:1153> */
obj_t BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_749, obj_t BgL_sz00_750, obj_t BgL_iz00_751)
{
{ /* Llib/_types.scm 23 */
return 
BBOOL(((bool_t)0));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_z52typesz52(void)
{
{ /* Llib/_types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_z52typesz52(void)
{
{ /* Llib/_types.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52typesz52(void)
{
{ /* Llib/_types.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1798z00zz__ft_z52typesz52));} 

}

#ifdef __cplusplus
}
#endif
