/*===========================================================================*/
/*   (Llib/scheduler.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IPosix Llib/scheduler.scm -o objs/scheduler.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_ftenvz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
} *BgL_ftenvz00_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;

typedef struct BgL_z52envz52_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52lastzd2signalsz80;
} *BgL_z52envz52_bglt;


static obj_t BGl_z62currentzd2schedulerzd2setz12z70zz__ft_schedulerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_schedulerzd2terminatez12zc0zz__ft_schedulerz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_schedulerz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62schedulerzd2startz12za2zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_z62schedulerzd2reactz12za2zz__ft_schedulerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
extern bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
extern obj_t BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
static obj_t BGl_toplevelzd2initzd2zz__ft_schedulerz00(void);
static obj_t BGl_genericzd2initzd2zz__ft_schedulerz00(void);
BGL_EXPORTED_DECL obj_t BGl_broadcastz12z12zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_z62currentzd2schedulerzb0zz__ft_schedulerz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__ft_schedulerz00(void);
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t BGl_z52schedulerz52zz__ft_z52typesz52;
static obj_t BGl_z62zc3z04anonymousza31208ze3ze5zz__ft_schedulerz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62broadcastz12z70zz__ft_schedulerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
static obj_t BGl_z62schedulerzd2instantzb0zz__ft_schedulerz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_appendzd221009zd2zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62defaultzd2schedulerzb0zz__ft_schedulerz00(obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_za2currentzd2scdlzd2paramzd2idza2zd2zz__ft_schedulerz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__ft_schedulerz00(void);
static BgL_schedulerz00_bglt BGl_z62makezd2schedulerzb0zz__ft_schedulerz00(obj_t, obj_t);
extern obj_t BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_IMPORT obj_t BGl_threadzd2parameterzd2setz12z12zz__threadz00(obj_t, obj_t);
static obj_t BGl_z62busyzd2waitingzd2nextzd2instantzb0zz__ft_schedulerz00(obj_t, obj_t, obj_t);
extern bool_t BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31252ze3ze5zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31148ze3ze5zz__ft_schedulerz00(obj_t);
extern obj_t BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
extern obj_t BGl_z52envz52zz__ft_z52envz52;
static obj_t BGl_z62zc3z04anonymousza31157ze3ze5zz__ft_schedulerz00(obj_t);
static obj_t BGl_z62schedulerzd2broadcastz12za2zz__ft_schedulerz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62withzd2schedulerzb0zz__ft_schedulerz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_schedulerzd2broadcastz12zc0zz__ft_schedulerz00(BgL_schedulerz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL BgL_schedulerz00_bglt BGl_makezd2schedulerzd2zz__ft_schedulerz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31249ze3ze5zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31258ze3ze5zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31169ze3ze5zz__ft_schedulerz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52envz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_schedulerz00_bglt);
extern obj_t BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_currentzd2threadzd2zz__threadz00(void);
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
extern obj_t BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_schedulerz00zz__ft_typesz00;
BGL_EXPORTED_DECL obj_t BGl_withzd2schedulerzd2zz__ft_schedulerz00(BgL_schedulerz00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_schedulerz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_schedulerz00(void);
BGL_EXPORTED_DECL obj_t BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_schedulerz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__ft_schedulerz00(void);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62nozd2busyzd2waitingzd2nextzd2instantz62zz__ft_schedulerz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_currentzd2schedulerzd2zz__ft_schedulerz00(void);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(BgL_z52schedulerz52_bglt);
extern BgL_schedulerz00_bglt BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_schedulerzd2startz12zc0zz__ft_schedulerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_schedulerzd2reactz12zc0zz__ft_schedulerz00(obj_t);
BGL_IMPORT obj_t BGl_threadzd2parameterzd2zz__threadz00(obj_t);
BGL_EXPORTED_DECL int BGl_schedulerzd2instantzd2zz__ft_schedulerz00(obj_t);
BGL_IMPORT obj_t BGl_threadzd2terminatez12zc0zz__threadz00(BgL_threadz00_bglt);
static obj_t BGl_schedulerzd2statezd2zz__ft_schedulerz00(BgL_schedulerz00_bglt);
BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
extern obj_t BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
static obj_t BGl_z62schedulerzd2terminatez12za2zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_schedulez00zz__ft_schedulerz00(BgL_z52schedulerz52_bglt);
static obj_t __cnst[ 11 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_defaultzd2schedulerzd2envz00zz__ft_schedulerz00, BgL_bgl_za762defaultza7d2sch1618z00, va_generic_entry, BGl_z62defaultzd2schedulerzb0zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_STRING( BGl_string1600z00zz__ft_schedulerz00, BgL_bgl_string1600za700za7za7_1619za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/fthread/src/Llib/scheduler.scm", 70 );
DEFINE_STRING( BGl_string1601z00zz__ft_schedulerz00, BgL_bgl_string1601za700za7za7_1620za7, "&with-scheduler", 15 );
DEFINE_STRING( BGl_string1602z00zz__ft_schedulerz00, BgL_bgl_string1602za700za7za7_1621za7, "scheduler", 9 );
DEFINE_STRING( BGl_string1603z00zz__ft_schedulerz00, BgL_bgl_string1603za700za7za7_1622za7, "procedure", 9 );
DEFINE_STRING( BGl_string1607z00zz__ft_schedulerz00, BgL_bgl_string1607za700za7za7_1623za7, "scheduler-start!", 16 );
DEFINE_STRING( BGl_string1608z00zz__ft_schedulerz00, BgL_bgl_string1608za700za7za7_1624za7, "Illegal optional parameter", 26 );
DEFINE_STRING( BGl_string1609z00zz__ft_schedulerz00, BgL_bgl_string1609za700za7za7_1625za7, "broadcast!", 10 );
DEFINE_STRING( BGl_string1610z00zz__ft_schedulerz00, BgL_bgl_string1610za700za7za7_1626za7, "Unattached thread", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1604z00zz__ft_schedulerz00, BgL_bgl_za762za7c3za704anonymo1627za7, BGl_z62zc3z04anonymousza31169ze3ze5zz__ft_schedulerz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1611z00zz__ft_schedulerz00, BgL_bgl_string1611za700za7za7_1628za7, "&scheduler-broadcast!", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1605z00zz__ft_schedulerz00, BgL_bgl_za762za7c3za704anonymo1629za7, BGl_z62zc3z04anonymousza31208ze3ze5zz__ft_schedulerz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1612z00zz__ft_schedulerz00, BgL_bgl_string1612za700za7za7_1630za7, "scheduler-react!", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1606z00zz__ft_schedulerz00, BgL_bgl_za762za7c3za704anonymo1631za7, BGl_z62zc3z04anonymousza31249ze3ze5zz__ft_schedulerz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1613z00zz__ft_schedulerz00, BgL_bgl_string1613za700za7za7_1632za7, "scheduler-instant", 17 );
DEFINE_STRING( BGl_string1614z00zz__ft_schedulerz00, BgL_bgl_string1614za700za7za7_1633za7, "__ft_scheduler", 14 );
DEFINE_STRING( BGl_string1615z00zz__ft_schedulerz00, BgL_bgl_string1615za700za7za7_1634za7, "scheduler-start! scheduler-react! await dead ready done unattached scheduler fthread*default-scheduler* current-scheduler-set! %current@__ft_scheduler ", 151 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2startz12zd2envz12zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2s1635z00, va_generic_entry, BGl_z62schedulerzd2startz12za2zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2reactz12zd2envz12zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2r1636z00, va_generic_entry, BGl_z62schedulerzd2reactz12za2zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_STRING( BGl_string1596z00zz__ft_schedulerz00, BgL_bgl_string1596za700za7za7_1637za7, "Llib/scheduler.scm", 18 );
DEFINE_STRING( BGl_string1597z00zz__ft_schedulerz00, BgL_bgl_string1597za700za7za7_1638za7, "Read-only value", 15 );
DEFINE_STRING( BGl_string1598z00zz__ft_schedulerz00, BgL_bgl_string1598za700za7za7_1639za7, "default-scheduler", 17 );
DEFINE_STRING( BGl_string1599z00zz__ft_schedulerz00, BgL_bgl_string1599za700za7za7_1640za7, "Illegal scheduler", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2broadcastz12zd2envz12zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2b1641z00, va_generic_entry, BGl_z62schedulerzd2broadcastz12za2zz__ft_schedulerz00, BUNSPEC, -3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2instantzd2envz00zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2i1642z00, va_generic_entry, BGl_z62schedulerzd2instantzb0zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_withzd2schedulerzd2envz00zz__ft_schedulerz00, BgL_bgl_za762withza7d2schedu1643z00, BGl_z62withzd2schedulerzb0zz__ft_schedulerz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_currentzd2schedulerzd2envz00zz__ft_schedulerz00, BgL_bgl_za762currentza7d2sch1644z00, BGl_z62currentzd2schedulerzb0zz__ft_schedulerz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_broadcastz12zd2envzc0zz__ft_schedulerz00, BgL_bgl_za762broadcastza712za71645za7, va_generic_entry, BGl_z62broadcastz12z70zz__ft_schedulerz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2terminatez12zd2envz12zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2t1646z00, va_generic_entry, BGl_z62schedulerzd2terminatez12za2zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2schedulerzd2envz00zz__ft_schedulerz00, BgL_bgl_za762makeza7d2schedu1647z00, va_generic_entry, BGl_z62makezd2schedulerzb0zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_currentzd2schedulerzd2setz12zd2envzc0zz__ft_schedulerz00, BgL_bgl_za762currentza7d2sch1648z00, BGl_z62currentzd2schedulerzd2setz12z70zz__ft_schedulerz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_schedulerz00) );
ADD_ROOT( (void *)(&BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00) );
ADD_ROOT( (void *)(&BGl_za2currentzd2scdlzd2paramzd2idza2zd2zz__ft_schedulerz00) );
ADD_ROOT( (void *)(&BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long BgL_checksumz00_856, char * BgL_fromz00_857)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_schedulerz00))
{ 
BGl_requirezd2initializa7ationz75zz__ft_schedulerz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_schedulerz00(); 
BGl_libraryzd2moduleszd2initz00zz__ft_schedulerz00(); 
BGl_cnstzd2initzd2zz__ft_schedulerz00(); 
BGl_importedzd2moduleszd2initz00zz__ft_schedulerz00(); 
return 
BGl_toplevelzd2initzd2zz__ft_schedulerz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_scheduler"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_cportz00_833;
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_stringz00_840;
BgL_stringz00_840 = BGl_string1615z00zz__ft_schedulerz00; 
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_startz00_841;
BgL_startz00_841 = 
BINT(((long)0)); 
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_endz00_842;
BgL_endz00_842 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_840))); 
{ /* Llib/scheduler.scm 15 */

BgL_cportz00_833 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_840, BgL_startz00_841, BgL_endz00_842); } } } } 
{ 
 long BgL_iz00_834;
BgL_iz00_834 = ((long)10); 
BgL_loopz00_835:
if(
(BgL_iz00_834==((long)-1)))
{ /* Llib/scheduler.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/scheduler.scm 15 */
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_arg1617z00_836;
{ /* Llib/scheduler.scm 15 */

{ /* Llib/scheduler.scm 15 */
 obj_t BgL_locationz00_838;
BgL_locationz00_838 = 
BBOOL(((bool_t)0)); 
{ /* Llib/scheduler.scm 15 */

BgL_arg1617z00_836 = 
BGl_readz00zz__readerz00(BgL_cportz00_833, BgL_locationz00_838); } } } 
{ /* Llib/scheduler.scm 15 */
 int BgL_tmpz00_891;
BgL_tmpz00_891 = 
(int)(BgL_iz00_834); 
CNST_TABLE_SET(BgL_tmpz00_891, BgL_arg1617z00_836); } } 
{ /* Llib/scheduler.scm 15 */
 int BgL_auxz00_839;
BgL_auxz00_839 = 
(int)(
(BgL_iz00_834-((long)1))); 
{ 
 long BgL_iz00_896;
BgL_iz00_896 = 
(long)(BgL_auxz00_839); 
BgL_iz00_834 = BgL_iz00_896; 
goto BgL_loopz00_835;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1596z00zz__ft_schedulerz00)); 
BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00 = BFALSE; 
BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00 = BFALSE; 
return ( 
BGl_za2currentzd2scdlzd2paramzd2idza2zd2zz__ft_schedulerz00 = 
CNST_TABLE_REF(((long)0)), BUNSPEC) ;} 

}



/* append-21009 */
obj_t BGl_appendzd221009zd2zz__ft_schedulerz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_20;
BgL_headz00_20 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_21; obj_t BgL_tailz00_22;
BgL_prevz00_21 = BgL_headz00_20; 
BgL_tailz00_22 = BgL_l1z00_1; 
BgL_loopz00_23:
if(
PAIRP(BgL_tailz00_22))
{ 
 obj_t BgL_newzd2prevzd2_25;
BgL_newzd2prevzd2_25 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_22), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_21, BgL_newzd2prevzd2_25); 
{ 
 obj_t BgL_tailz00_909; obj_t BgL_prevz00_908;
BgL_prevz00_908 = BgL_newzd2prevzd2_25; 
BgL_tailz00_909 = 
CDR(BgL_tailz00_22); 
BgL_tailz00_22 = BgL_tailz00_909; 
BgL_prevz00_21 = BgL_prevz00_908; 
goto BgL_loopz00_23;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_20);} } } 

}



/* current-scheduler */
BGL_EXPORTED_DEF obj_t BGl_currentzd2schedulerzd2zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 53 */
{ /* Llib/scheduler.scm 54 */
 obj_t BgL_thz00_28;
BgL_thz00_28 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/scheduler.scm 56 */
 bool_t BgL_test1653z00_913;
{ /* Llib/scheduler.scm 56 */
 obj_t BgL_classz00_285;
BgL_classz00_285 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_thz00_28))
{ /* Llib/scheduler.scm 56 */
 BgL_objectz00_bglt BgL_arg1793z00_287;
BgL_arg1793z00_287 = 
(BgL_objectz00_bglt)(BgL_thz00_28); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 56 */
 long BgL_idxz00_293;
BgL_idxz00_293 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_287); 
BgL_test1653z00_913 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_293+((long)3)))==BgL_classz00_285); }  else 
{ /* Llib/scheduler.scm 56 */
 bool_t BgL_res1575z00_315;
{ /* Llib/scheduler.scm 56 */
 obj_t BgL_oclassz00_301;
{ /* Llib/scheduler.scm 56 */
 long BgL_arg1801z00_307;
{ /* Llib/scheduler.scm 56 */
 long BgL_arg1802z00_308;
BgL_arg1802z00_308 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_287); 
BgL_arg1801z00_307 = 
(BgL_arg1802z00_308-OBJECT_TYPE); } 
BgL_oclassz00_301 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_307); } 
{ /* Llib/scheduler.scm 56 */
 bool_t BgL__ortest_1110z00_302;
BgL__ortest_1110z00_302 = 
(BgL_classz00_285==BgL_oclassz00_301); 
if(BgL__ortest_1110z00_302)
{ /* Llib/scheduler.scm 56 */
BgL_res1575z00_315 = BgL__ortest_1110z00_302; }  else 
{ /* Llib/scheduler.scm 56 */
 long BgL_odepthz00_303;
BgL_odepthz00_303 = 
BGL_CLASS_DEPTH(BgL_oclassz00_301); 
if(
(((long)3)<BgL_odepthz00_303))
{ /* Llib/scheduler.scm 56 */
 obj_t BgL_arg1790z00_305;
BgL_arg1790z00_305 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_301, ((long)3)); 
BgL_res1575z00_315 = 
(BgL_arg1790z00_305==BgL_classz00_285); }  else 
{ /* Llib/scheduler.scm 56 */
BgL_res1575z00_315 = ((bool_t)0); } } } } 
BgL_test1653z00_913 = BgL_res1575z00_315; } }  else 
{ /* Llib/scheduler.scm 56 */
BgL_test1653z00_913 = ((bool_t)0)
; } } 
if(BgL_test1653z00_913)
{ /* Llib/scheduler.scm 56 */
return BgL_thz00_28;}  else 
{ /* Llib/scheduler.scm 58 */
 bool_t BgL_test1658z00_933;
{ /* Llib/scheduler.scm 58 */
 obj_t BgL_classz00_316;
BgL_classz00_316 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_thz00_28))
{ /* Llib/scheduler.scm 58 */
 BgL_objectz00_bglt BgL_arg1793z00_318;
BgL_arg1793z00_318 = 
(BgL_objectz00_bglt)(BgL_thz00_28); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 58 */
 long BgL_idxz00_324;
BgL_idxz00_324 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_318); 
BgL_test1658z00_933 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_324+((long)2)))==BgL_classz00_316); }  else 
{ /* Llib/scheduler.scm 58 */
 bool_t BgL_res1576z00_346;
{ /* Llib/scheduler.scm 58 */
 obj_t BgL_oclassz00_332;
{ /* Llib/scheduler.scm 58 */
 long BgL_arg1801z00_338;
{ /* Llib/scheduler.scm 58 */
 long BgL_arg1802z00_339;
BgL_arg1802z00_339 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_318); 
BgL_arg1801z00_338 = 
(BgL_arg1802z00_339-OBJECT_TYPE); } 
BgL_oclassz00_332 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_338); } 
{ /* Llib/scheduler.scm 58 */
 bool_t BgL__ortest_1110z00_333;
BgL__ortest_1110z00_333 = 
(BgL_classz00_316==BgL_oclassz00_332); 
if(BgL__ortest_1110z00_333)
{ /* Llib/scheduler.scm 58 */
BgL_res1576z00_346 = BgL__ortest_1110z00_333; }  else 
{ /* Llib/scheduler.scm 58 */
 long BgL_odepthz00_334;
BgL_odepthz00_334 = 
BGL_CLASS_DEPTH(BgL_oclassz00_332); 
if(
(((long)2)<BgL_odepthz00_334))
{ /* Llib/scheduler.scm 58 */
 obj_t BgL_arg1790z00_336;
BgL_arg1790z00_336 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_332, ((long)2)); 
BgL_res1576z00_346 = 
(BgL_arg1790z00_336==BgL_classz00_316); }  else 
{ /* Llib/scheduler.scm 58 */
BgL_res1576z00_346 = ((bool_t)0); } } } } 
BgL_test1658z00_933 = BgL_res1576z00_346; } }  else 
{ /* Llib/scheduler.scm 58 */
BgL_test1658z00_933 = ((bool_t)0)
; } } 
if(BgL_test1658z00_933)
{ /* Llib/scheduler.scm 58 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_28)))->BgL_schedulerz00);}  else 
{ /* Llib/scheduler.scm 60 */
 bool_t BgL_test1663z00_955;
{ /* Llib/scheduler.scm 60 */
 obj_t BgL_classz00_347;
BgL_classz00_347 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_thz00_28))
{ /* Llib/scheduler.scm 60 */
 BgL_objectz00_bglt BgL_arg1793z00_349;
BgL_arg1793z00_349 = 
(BgL_objectz00_bglt)(BgL_thz00_28); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 60 */
 long BgL_idxz00_355;
BgL_idxz00_355 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_349); 
BgL_test1663z00_955 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_355+((long)1)))==BgL_classz00_347); }  else 
{ /* Llib/scheduler.scm 60 */
 bool_t BgL_res1577z00_377;
{ /* Llib/scheduler.scm 60 */
 obj_t BgL_oclassz00_363;
{ /* Llib/scheduler.scm 60 */
 long BgL_arg1801z00_369;
{ /* Llib/scheduler.scm 60 */
 long BgL_arg1802z00_370;
BgL_arg1802z00_370 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_349); 
BgL_arg1801z00_369 = 
(BgL_arg1802z00_370-OBJECT_TYPE); } 
BgL_oclassz00_363 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_369); } 
{ /* Llib/scheduler.scm 60 */
 bool_t BgL__ortest_1110z00_364;
BgL__ortest_1110z00_364 = 
(BgL_classz00_347==BgL_oclassz00_363); 
if(BgL__ortest_1110z00_364)
{ /* Llib/scheduler.scm 60 */
BgL_res1577z00_377 = BgL__ortest_1110z00_364; }  else 
{ /* Llib/scheduler.scm 60 */
 long BgL_odepthz00_365;
BgL_odepthz00_365 = 
BGL_CLASS_DEPTH(BgL_oclassz00_363); 
if(
(((long)1)<BgL_odepthz00_365))
{ /* Llib/scheduler.scm 60 */
 obj_t BgL_arg1790z00_367;
BgL_arg1790z00_367 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_363, ((long)1)); 
BgL_res1577z00_377 = 
(BgL_arg1790z00_367==BgL_classz00_347); }  else 
{ /* Llib/scheduler.scm 60 */
BgL_res1577z00_377 = ((bool_t)0); } } } } 
BgL_test1663z00_955 = BgL_res1577z00_377; } }  else 
{ /* Llib/scheduler.scm 60 */
BgL_test1663z00_955 = ((bool_t)0)
; } } 
if(BgL_test1663z00_955)
{ /* Llib/scheduler.scm 60 */
return 
BGl_threadzd2parameterzd2zz__threadz00(
CNST_TABLE_REF(((long)0)));}  else 
{ /* Llib/scheduler.scm 60 */
return BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00;} } } } } } 

}



/* &current-scheduler */
obj_t BGl_z62currentzd2schedulerzb0zz__ft_schedulerz00(obj_t BgL_envz00_760)
{
{ /* Llib/scheduler.scm 53 */
return 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00();} 

}



/* current-scheduler-set! */
BGL_EXPORTED_DEF obj_t BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(obj_t BgL_scdlz00_3)
{
{ /* Llib/scheduler.scm 65 */
{ /* Llib/scheduler.scm 66 */
 obj_t BgL_thz00_33;
BgL_thz00_33 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/scheduler.scm 68 */
 bool_t BgL_test1669z00_979;
{ /* Llib/scheduler.scm 68 */
 obj_t BgL_classz00_378;
BgL_classz00_378 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_thz00_33))
{ /* Llib/scheduler.scm 68 */
 BgL_objectz00_bglt BgL_arg1793z00_380;
BgL_arg1793z00_380 = 
(BgL_objectz00_bglt)(BgL_thz00_33); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 68 */
 long BgL_idxz00_386;
BgL_idxz00_386 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_380); 
BgL_test1669z00_979 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_386+((long)2)))==BgL_classz00_378); }  else 
{ /* Llib/scheduler.scm 68 */
 bool_t BgL_res1578z00_408;
{ /* Llib/scheduler.scm 68 */
 obj_t BgL_oclassz00_394;
{ /* Llib/scheduler.scm 68 */
 long BgL_arg1801z00_400;
{ /* Llib/scheduler.scm 68 */
 long BgL_arg1802z00_401;
BgL_arg1802z00_401 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_380); 
BgL_arg1801z00_400 = 
(BgL_arg1802z00_401-OBJECT_TYPE); } 
BgL_oclassz00_394 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_400); } 
{ /* Llib/scheduler.scm 68 */
 bool_t BgL__ortest_1110z00_395;
BgL__ortest_1110z00_395 = 
(BgL_classz00_378==BgL_oclassz00_394); 
if(BgL__ortest_1110z00_395)
{ /* Llib/scheduler.scm 68 */
BgL_res1578z00_408 = BgL__ortest_1110z00_395; }  else 
{ /* Llib/scheduler.scm 68 */
 long BgL_odepthz00_396;
BgL_odepthz00_396 = 
BGL_CLASS_DEPTH(BgL_oclassz00_394); 
if(
(((long)2)<BgL_odepthz00_396))
{ /* Llib/scheduler.scm 68 */
 obj_t BgL_arg1790z00_398;
BgL_arg1790z00_398 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_394, ((long)2)); 
BgL_res1578z00_408 = 
(BgL_arg1790z00_398==BgL_classz00_378); }  else 
{ /* Llib/scheduler.scm 68 */
BgL_res1578z00_408 = ((bool_t)0); } } } } 
BgL_test1669z00_979 = BgL_res1578z00_408; } }  else 
{ /* Llib/scheduler.scm 68 */
BgL_test1669z00_979 = ((bool_t)0)
; } } 
if(BgL_test1669z00_979)
{ /* Llib/scheduler.scm 68 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string1597z00zz__ft_schedulerz00, BgL_thz00_33);}  else 
{ /* Llib/scheduler.scm 70 */
 bool_t BgL_test1674z00_1001;
{ /* Llib/scheduler.scm 70 */
 obj_t BgL_classz00_409;
BgL_classz00_409 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_thz00_33))
{ /* Llib/scheduler.scm 70 */
 BgL_objectz00_bglt BgL_arg1793z00_411;
BgL_arg1793z00_411 = 
(BgL_objectz00_bglt)(BgL_thz00_33); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 70 */
 long BgL_idxz00_417;
BgL_idxz00_417 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_411); 
BgL_test1674z00_1001 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_417+((long)1)))==BgL_classz00_409); }  else 
{ /* Llib/scheduler.scm 70 */
 bool_t BgL_res1579z00_439;
{ /* Llib/scheduler.scm 70 */
 obj_t BgL_oclassz00_425;
{ /* Llib/scheduler.scm 70 */
 long BgL_arg1801z00_431;
{ /* Llib/scheduler.scm 70 */
 long BgL_arg1802z00_432;
BgL_arg1802z00_432 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_411); 
BgL_arg1801z00_431 = 
(BgL_arg1802z00_432-OBJECT_TYPE); } 
BgL_oclassz00_425 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_431); } 
{ /* Llib/scheduler.scm 70 */
 bool_t BgL__ortest_1110z00_426;
BgL__ortest_1110z00_426 = 
(BgL_classz00_409==BgL_oclassz00_425); 
if(BgL__ortest_1110z00_426)
{ /* Llib/scheduler.scm 70 */
BgL_res1579z00_439 = BgL__ortest_1110z00_426; }  else 
{ /* Llib/scheduler.scm 70 */
 long BgL_odepthz00_427;
BgL_odepthz00_427 = 
BGL_CLASS_DEPTH(BgL_oclassz00_425); 
if(
(((long)1)<BgL_odepthz00_427))
{ /* Llib/scheduler.scm 70 */
 obj_t BgL_arg1790z00_429;
BgL_arg1790z00_429 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_425, ((long)1)); 
BgL_res1579z00_439 = 
(BgL_arg1790z00_429==BgL_classz00_409); }  else 
{ /* Llib/scheduler.scm 70 */
BgL_res1579z00_439 = ((bool_t)0); } } } } 
BgL_test1674z00_1001 = BgL_res1579z00_439; } }  else 
{ /* Llib/scheduler.scm 70 */
BgL_test1674z00_1001 = ((bool_t)0)
; } } 
if(BgL_test1674z00_1001)
{ /* Llib/scheduler.scm 70 */
return 
BGl_threadzd2parameterzd2setz12z12zz__threadz00(
CNST_TABLE_REF(((long)0)), BgL_scdlz00_3);}  else 
{ /* Llib/scheduler.scm 70 */
return ( 
BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00 = BgL_scdlz00_3, BUNSPEC) ;} } } } } 

}



/* &current-scheduler-set! */
obj_t BGl_z62currentzd2schedulerzd2setz12z70zz__ft_schedulerz00(obj_t BgL_envz00_761, obj_t BgL_scdlz00_762)
{
{ /* Llib/scheduler.scm 65 */
return 
BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(BgL_scdlz00_762);} 

}



/* default-scheduler */
BGL_EXPORTED_DEF obj_t BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(obj_t BgL_scdlz00_4)
{
{ /* Llib/scheduler.scm 78 */
{ /* Llib/scheduler.scm 79 */
 obj_t BgL_thz00_36;
BgL_thz00_36 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/scheduler.scm 82 */
 bool_t BgL_test1679z00_1025;
{ /* Llib/scheduler.scm 82 */
 obj_t BgL_objz00_440; obj_t BgL_classz00_441;
BgL_objz00_440 = BgL_thz00_36; 
BgL_classz00_441 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_objz00_440))
{ /* Llib/scheduler.scm 82 */
 BgL_objectz00_bglt BgL_arg1793z00_443;
BgL_arg1793z00_443 = 
(BgL_objectz00_bglt)(BgL_objz00_440); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 82 */
 long BgL_idxz00_449;
BgL_idxz00_449 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_443); 
BgL_test1679z00_1025 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_449+((long)2)))==BgL_classz00_441); }  else 
{ /* Llib/scheduler.scm 82 */
 bool_t BgL_res1580z00_471;
{ /* Llib/scheduler.scm 82 */
 obj_t BgL_oclassz00_457;
{ /* Llib/scheduler.scm 82 */
 long BgL_arg1801z00_463;
{ /* Llib/scheduler.scm 82 */
 long BgL_arg1802z00_464;
BgL_arg1802z00_464 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_443); 
BgL_arg1801z00_463 = 
(BgL_arg1802z00_464-OBJECT_TYPE); } 
BgL_oclassz00_457 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_463); } 
{ /* Llib/scheduler.scm 82 */
 bool_t BgL__ortest_1110z00_458;
BgL__ortest_1110z00_458 = 
(BgL_classz00_441==BgL_oclassz00_457); 
if(BgL__ortest_1110z00_458)
{ /* Llib/scheduler.scm 82 */
BgL_res1580z00_471 = BgL__ortest_1110z00_458; }  else 
{ /* Llib/scheduler.scm 82 */
 long BgL_odepthz00_459;
BgL_odepthz00_459 = 
BGL_CLASS_DEPTH(BgL_oclassz00_457); 
if(
(((long)2)<BgL_odepthz00_459))
{ /* Llib/scheduler.scm 82 */
 obj_t BgL_arg1790z00_461;
BgL_arg1790z00_461 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_457, ((long)2)); 
BgL_res1580z00_471 = 
(BgL_arg1790z00_461==BgL_classz00_441); }  else 
{ /* Llib/scheduler.scm 82 */
BgL_res1580z00_471 = ((bool_t)0); } } } } 
BgL_test1679z00_1025 = BgL_res1580z00_471; } }  else 
{ /* Llib/scheduler.scm 82 */
BgL_test1679z00_1025 = ((bool_t)0)
; } } 
if(BgL_test1679z00_1025)
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_sz00_38;
{ /* Llib/scheduler.scm 83 */
 bool_t BgL_test1684z00_1045;
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_objz00_472; obj_t BgL_classz00_473;
BgL_objz00_472 = BgL_thz00_36; 
BgL_classz00_473 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_objz00_472))
{ /* Llib/scheduler.scm 83 */
 BgL_objectz00_bglt BgL_arg1793z00_475;
BgL_arg1793z00_475 = 
(BgL_objectz00_bglt)(BgL_objz00_472); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 83 */
 long BgL_idxz00_481;
BgL_idxz00_481 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_475); 
BgL_test1684z00_1045 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_481+((long)3)))==BgL_classz00_473); }  else 
{ /* Llib/scheduler.scm 83 */
 bool_t BgL_res1581z00_503;
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_oclassz00_489;
{ /* Llib/scheduler.scm 83 */
 long BgL_arg1801z00_495;
{ /* Llib/scheduler.scm 83 */
 long BgL_arg1802z00_496;
BgL_arg1802z00_496 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_475); 
BgL_arg1801z00_495 = 
(BgL_arg1802z00_496-OBJECT_TYPE); } 
BgL_oclassz00_489 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_495); } 
{ /* Llib/scheduler.scm 83 */
 bool_t BgL__ortest_1110z00_490;
BgL__ortest_1110z00_490 = 
(BgL_classz00_473==BgL_oclassz00_489); 
if(BgL__ortest_1110z00_490)
{ /* Llib/scheduler.scm 83 */
BgL_res1581z00_503 = BgL__ortest_1110z00_490; }  else 
{ /* Llib/scheduler.scm 83 */
 long BgL_odepthz00_491;
BgL_odepthz00_491 = 
BGL_CLASS_DEPTH(BgL_oclassz00_489); 
if(
(((long)3)<BgL_odepthz00_491))
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_arg1790z00_493;
BgL_arg1790z00_493 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_489, ((long)3)); 
BgL_res1581z00_503 = 
(BgL_arg1790z00_493==BgL_classz00_473); }  else 
{ /* Llib/scheduler.scm 83 */
BgL_res1581z00_503 = ((bool_t)0); } } } } 
BgL_test1684z00_1045 = BgL_res1581z00_503; } }  else 
{ /* Llib/scheduler.scm 83 */
BgL_test1684z00_1045 = ((bool_t)0)
; } } 
if(BgL_test1684z00_1045)
{ /* Llib/scheduler.scm 83 */
BgL_sz00_38 = BgL_thz00_36; }  else 
{ /* Llib/scheduler.scm 85 */
 BgL_fthreadz00_bglt BgL_i1062z00_42;
BgL_i1062z00_42 = 
((BgL_fthreadz00_bglt)BgL_thz00_36); 
BgL_sz00_38 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_i1062z00_42))->BgL_schedulerz00); } } 
{ /* Llib/scheduler.scm 87 */
 BgL_z52pthreadz52_bglt BgL_i1064z00_40;
BgL_i1064z00_40 = 
((BgL_z52pthreadz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_sz00_38)))->BgL_z52builtinz52)); 
BgL_thz00_36 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_i1064z00_40))->BgL_parentz00); } }  else 
{ /* Llib/scheduler.scm 82 */BFALSE; } } 
if(
NULLP(BgL_scdlz00_4))
{ /* Llib/scheduler.scm 92 */
 bool_t BgL_test1690z00_1073;
{ /* Llib/scheduler.scm 92 */
 obj_t BgL_objz00_504; obj_t BgL_classz00_505;
BgL_objz00_504 = BgL_thz00_36; 
BgL_classz00_505 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_objz00_504))
{ /* Llib/scheduler.scm 92 */
 BgL_objectz00_bglt BgL_arg1793z00_507;
BgL_arg1793z00_507 = 
(BgL_objectz00_bglt)(BgL_objz00_504); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 92 */
 long BgL_idxz00_513;
BgL_idxz00_513 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_507); 
BgL_test1690z00_1073 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_513+((long)1)))==BgL_classz00_505); }  else 
{ /* Llib/scheduler.scm 92 */
 bool_t BgL_res1582z00_535;
{ /* Llib/scheduler.scm 92 */
 obj_t BgL_oclassz00_521;
{ /* Llib/scheduler.scm 92 */
 long BgL_arg1801z00_527;
{ /* Llib/scheduler.scm 92 */
 long BgL_arg1802z00_528;
BgL_arg1802z00_528 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_507); 
BgL_arg1801z00_527 = 
(BgL_arg1802z00_528-OBJECT_TYPE); } 
BgL_oclassz00_521 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_527); } 
{ /* Llib/scheduler.scm 92 */
 bool_t BgL__ortest_1110z00_522;
BgL__ortest_1110z00_522 = 
(BgL_classz00_505==BgL_oclassz00_521); 
if(BgL__ortest_1110z00_522)
{ /* Llib/scheduler.scm 92 */
BgL_res1582z00_535 = BgL__ortest_1110z00_522; }  else 
{ /* Llib/scheduler.scm 92 */
 long BgL_odepthz00_523;
BgL_odepthz00_523 = 
BGL_CLASS_DEPTH(BgL_oclassz00_521); 
if(
(((long)1)<BgL_odepthz00_523))
{ /* Llib/scheduler.scm 92 */
 obj_t BgL_arg1790z00_525;
BgL_arg1790z00_525 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_521, ((long)1)); 
BgL_res1582z00_535 = 
(BgL_arg1790z00_525==BgL_classz00_505); }  else 
{ /* Llib/scheduler.scm 92 */
BgL_res1582z00_535 = ((bool_t)0); } } } } 
BgL_test1690z00_1073 = BgL_res1582z00_535; } }  else 
{ /* Llib/scheduler.scm 92 */
BgL_test1690z00_1073 = ((bool_t)0)
; } } 
if(BgL_test1690z00_1073)
{ /* Llib/scheduler.scm 92 */
return 
BGl_threadzd2parameterzd2zz__threadz00(
CNST_TABLE_REF(((long)2)));}  else 
{ /* Llib/scheduler.scm 92 */
return BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00;} }  else 
{ /* Llib/scheduler.scm 95 */
 bool_t BgL_test1697z00_1095;
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_arg1146z00_50;
BgL_arg1146z00_50 = 
CAR(
((obj_t)BgL_scdlz00_4)); 
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_classz00_537;
BgL_classz00_537 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1146z00_50))
{ /* Llib/scheduler.scm 95 */
 BgL_objectz00_bglt BgL_arg1793z00_539;
BgL_arg1793z00_539 = 
(BgL_objectz00_bglt)(BgL_arg1146z00_50); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 95 */
 long BgL_idxz00_545;
BgL_idxz00_545 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_539); 
BgL_test1697z00_1095 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_545+((long)3)))==BgL_classz00_537); }  else 
{ /* Llib/scheduler.scm 95 */
 bool_t BgL_res1583z00_567;
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_oclassz00_553;
{ /* Llib/scheduler.scm 95 */
 long BgL_arg1801z00_559;
{ /* Llib/scheduler.scm 95 */
 long BgL_arg1802z00_560;
BgL_arg1802z00_560 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_539); 
BgL_arg1801z00_559 = 
(BgL_arg1802z00_560-OBJECT_TYPE); } 
BgL_oclassz00_553 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_559); } 
{ /* Llib/scheduler.scm 95 */
 bool_t BgL__ortest_1110z00_554;
BgL__ortest_1110z00_554 = 
(BgL_classz00_537==BgL_oclassz00_553); 
if(BgL__ortest_1110z00_554)
{ /* Llib/scheduler.scm 95 */
BgL_res1583z00_567 = BgL__ortest_1110z00_554; }  else 
{ /* Llib/scheduler.scm 95 */
 long BgL_odepthz00_555;
BgL_odepthz00_555 = 
BGL_CLASS_DEPTH(BgL_oclassz00_553); 
if(
(((long)3)<BgL_odepthz00_555))
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_arg1790z00_557;
BgL_arg1790z00_557 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_553, ((long)3)); 
BgL_res1583z00_567 = 
(BgL_arg1790z00_557==BgL_classz00_537); }  else 
{ /* Llib/scheduler.scm 95 */
BgL_res1583z00_567 = ((bool_t)0); } } } } 
BgL_test1697z00_1095 = BgL_res1583z00_567; } }  else 
{ /* Llib/scheduler.scm 95 */
BgL_test1697z00_1095 = ((bool_t)0)
; } } } 
if(BgL_test1697z00_1095)
{ /* Llib/scheduler.scm 95 */
{ /* Llib/scheduler.scm 96 */
 bool_t BgL_test1702z00_1117;
{ /* Llib/scheduler.scm 96 */
 obj_t BgL_objz00_568; obj_t BgL_classz00_569;
BgL_objz00_568 = BgL_thz00_36; 
BgL_classz00_569 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_objz00_568))
{ /* Llib/scheduler.scm 96 */
 BgL_objectz00_bglt BgL_arg1793z00_571;
BgL_arg1793z00_571 = 
(BgL_objectz00_bglt)(BgL_objz00_568); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 96 */
 long BgL_idxz00_577;
BgL_idxz00_577 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_571); 
BgL_test1702z00_1117 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_577+((long)1)))==BgL_classz00_569); }  else 
{ /* Llib/scheduler.scm 96 */
 bool_t BgL_res1584z00_599;
{ /* Llib/scheduler.scm 96 */
 obj_t BgL_oclassz00_585;
{ /* Llib/scheduler.scm 96 */
 long BgL_arg1801z00_591;
{ /* Llib/scheduler.scm 96 */
 long BgL_arg1802z00_592;
BgL_arg1802z00_592 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_571); 
BgL_arg1801z00_591 = 
(BgL_arg1802z00_592-OBJECT_TYPE); } 
BgL_oclassz00_585 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_591); } 
{ /* Llib/scheduler.scm 96 */
 bool_t BgL__ortest_1110z00_586;
BgL__ortest_1110z00_586 = 
(BgL_classz00_569==BgL_oclassz00_585); 
if(BgL__ortest_1110z00_586)
{ /* Llib/scheduler.scm 96 */
BgL_res1584z00_599 = BgL__ortest_1110z00_586; }  else 
{ /* Llib/scheduler.scm 96 */
 long BgL_odepthz00_587;
BgL_odepthz00_587 = 
BGL_CLASS_DEPTH(BgL_oclassz00_585); 
if(
(((long)1)<BgL_odepthz00_587))
{ /* Llib/scheduler.scm 96 */
 obj_t BgL_arg1790z00_589;
BgL_arg1790z00_589 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_585, ((long)1)); 
BgL_res1584z00_599 = 
(BgL_arg1790z00_589==BgL_classz00_569); }  else 
{ /* Llib/scheduler.scm 96 */
BgL_res1584z00_599 = ((bool_t)0); } } } } 
BgL_test1702z00_1117 = BgL_res1584z00_599; } }  else 
{ /* Llib/scheduler.scm 96 */
BgL_test1702z00_1117 = ((bool_t)0)
; } } 
if(BgL_test1702z00_1117)
{ /* Llib/scheduler.scm 97 */
 obj_t BgL_arg1144z00_48;
BgL_arg1144z00_48 = 
CAR(
((obj_t)BgL_scdlz00_4)); 
BGl_threadzd2parameterzd2setz12z12zz__threadz00(
CNST_TABLE_REF(((long)2)), BgL_arg1144z00_48); }  else 
{ /* Llib/scheduler.scm 96 */
BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00 = 
CAR(
((obj_t)BgL_scdlz00_4)); } } 
return 
CAR(
((obj_t)BgL_scdlz00_4));}  else 
{ /* Llib/scheduler.scm 101 */
 obj_t BgL_arg1145z00_49;
BgL_arg1145z00_49 = 
CAR(
((obj_t)BgL_scdlz00_4)); 
return 
BGl_errorz00zz__errorz00(BGl_string1598z00zz__ft_schedulerz00, BGl_string1599z00zz__ft_schedulerz00, BgL_arg1145z00_49);} } } } 

}



/* &default-scheduler */
obj_t BGl_z62defaultzd2schedulerzb0zz__ft_schedulerz00(obj_t BgL_envz00_763, obj_t BgL_scdlz00_764)
{
{ /* Llib/scheduler.scm 78 */
return 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_scdlz00_764);} 

}



/* with-scheduler */
BGL_EXPORTED_DEF obj_t BGl_withzd2schedulerzd2zz__ft_schedulerz00(BgL_schedulerz00_bglt BgL_sz00_5, obj_t BgL_thunkz00_6)
{
{ /* Llib/scheduler.scm 106 */
{ /* Llib/scheduler.scm 107 */
 obj_t BgL_oldz00_51;
BgL_oldz00_51 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); 
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_exitd1065z00_52;
BgL_exitd1065z00_52 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/scheduler.scm 112 */
 obj_t BgL_zc3z04anonymousza31148ze3z87_765;
BgL_zc3z04anonymousza31148ze3z87_765 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31148ze3ze5zz__ft_schedulerz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31148ze3z87_765, 
(int)(((long)0)), BgL_oldz00_51); 
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1812z00_605;
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1813z00_606;
BgL_arg1813z00_606 = 
BGL_EXITD_PROTECT(BgL_exitd1065z00_52); 
BgL_arg1812z00_605 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31148ze3z87_765, BgL_arg1813z00_606); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_52, BgL_arg1812z00_605); BUNSPEC; } 
{ /* Llib/scheduler.scm 110 */
 obj_t BgL_tmp1067z00_54;
{ /* Llib/scheduler.scm 110 */
 obj_t BgL_list1147z00_55;
BgL_list1147z00_55 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sz00_5), BNIL); 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1147z00_55); } 
BgL_tmp1067z00_54 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_thunkz00_6))(BgL_thunkz00_6, BEOA); 
{ /* Llib/scheduler.scm 108 */
 bool_t BgL_test1708z00_1165;
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1811z00_608;
BgL_arg1811z00_608 = 
BGL_EXITD_PROTECT(BgL_exitd1065z00_52); 
BgL_test1708z00_1165 = 
PAIRP(BgL_arg1811z00_608); } 
if(BgL_test1708z00_1165)
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1809z00_609;
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1810z00_610;
BgL_arg1810z00_610 = 
BGL_EXITD_PROTECT(BgL_exitd1065z00_52); 
BgL_arg1809z00_609 = 
CDR(
((obj_t)BgL_arg1810z00_610)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_52, BgL_arg1809z00_609); BUNSPEC; }  else 
{ /* Llib/scheduler.scm 108 */BFALSE; } } 
{ /* Llib/scheduler.scm 112 */
 obj_t BgL_list1149z00_612;
BgL_list1149z00_612 = 
MAKE_YOUNG_PAIR(BgL_oldz00_51, BNIL); 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1149z00_612); } 
return BgL_tmp1067z00_54;} } } } } 

}



/* &with-scheduler */
obj_t BGl_z62withzd2schedulerzb0zz__ft_schedulerz00(obj_t BgL_envz00_766, obj_t BgL_sz00_767, obj_t BgL_thunkz00_768)
{
{ /* Llib/scheduler.scm 106 */
{ /* Llib/scheduler.scm 107 */
 obj_t BgL_auxz00_1182; BgL_schedulerz00_bglt BgL_auxz00_1174;
if(
PROCEDUREP(BgL_thunkz00_768))
{ /* Llib/scheduler.scm 107 */
BgL_auxz00_1182 = BgL_thunkz00_768
; }  else 
{ 
 obj_t BgL_auxz00_1185;
BgL_auxz00_1185 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1600z00zz__ft_schedulerz00, 
BINT(((long)3989)), BGl_string1601z00zz__ft_schedulerz00, BGl_string1603z00zz__ft_schedulerz00, BgL_thunkz00_768); 
FAILURE(BgL_auxz00_1185,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sz00_767, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/scheduler.scm 107 */
BgL_auxz00_1174 = 
((BgL_schedulerz00_bglt)BgL_sz00_767)
; }  else 
{ 
 obj_t BgL_auxz00_1178;
BgL_auxz00_1178 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1600z00zz__ft_schedulerz00, 
BINT(((long)3989)), BGl_string1601z00zz__ft_schedulerz00, BGl_string1602z00zz__ft_schedulerz00, BgL_sz00_767); 
FAILURE(BgL_auxz00_1178,BFALSE,BFALSE);} 
return 
BGl_withzd2schedulerzd2zz__ft_schedulerz00(BgL_auxz00_1174, BgL_auxz00_1182);} } 

}



/* &<@anonymous:1148> */
obj_t BGl_z62zc3z04anonymousza31148ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_769)
{
{ /* Llib/scheduler.scm 108 */
{ /* Llib/scheduler.scm 112 */
 obj_t BgL_oldz00_770;
BgL_oldz00_770 = 
PROCEDURE_REF(BgL_envz00_769, 
(int)(((long)0))); 
{ /* Llib/scheduler.scm 112 */
 obj_t BgL_list1149z00_844;
BgL_list1149z00_844 = 
MAKE_YOUNG_PAIR(BgL_oldz00_770, BNIL); 
return 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1149z00_844);} } } 

}



/* make-scheduler */
BGL_EXPORTED_DEF BgL_schedulerz00_bglt BGl_makezd2schedulerzd2zz__ft_schedulerz00(obj_t BgL_argsz00_7)
{
{ /* Llib/scheduler.scm 117 */
{ /* Llib/scheduler.scm 119 */
 obj_t BgL_idz00_60;
BgL_idz00_60 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)3))); 
{ /* Llib/scheduler.scm 119 */
 bool_t BgL_orderzd2setzf3z21_61;
if(
PAIRP(BgL_argsz00_7))
{ /* Llib/scheduler.scm 120 */
 obj_t BgL_tmpz00_1198;
BgL_tmpz00_1198 = 
CAR(BgL_argsz00_7); 
BgL_orderzd2setzf3z21_61 = 
BOOLEANP(BgL_tmpz00_1198); }  else 
{ /* Llib/scheduler.scm 120 */
BgL_orderzd2setzf3z21_61 = ((bool_t)0); } 
{ /* Llib/scheduler.scm 120 */
 obj_t BgL_orderz00_62;
if(BgL_orderzd2setzf3z21_61)
{ /* Llib/scheduler.scm 121 */
BgL_orderz00_62 = 
CAR(BgL_argsz00_7); }  else 
{ /* Llib/scheduler.scm 121 */
BgL_orderz00_62 = BFALSE; } 
{ /* Llib/scheduler.scm 121 */
 obj_t BgL_envsz00_63;
if(BgL_orderzd2setzf3z21_61)
{ /* Llib/scheduler.scm 122 */
BgL_envsz00_63 = 
CDR(BgL_argsz00_7); }  else 
{ /* Llib/scheduler.scm 122 */
BgL_envsz00_63 = BgL_argsz00_7; } 
{ /* Llib/scheduler.scm 122 */

{ /* Llib/scheduler.scm 123 */
 obj_t BgL_sz00_780;
BgL_sz00_780 = 
MAKE_CELL(BUNSPEC); 
{ /* Llib/scheduler.scm 123 */
 BgL_z52schedulerz52_bglt BgL_g1172z00_86;
{ /* Llib/scheduler.scm 123 */
 BgL_z52schedulerz52_bglt BgL_new1071z00_70;
{ /* Llib/scheduler.scm 125 */
 BgL_z52schedulerz52_bglt BgL_new1070z00_84;
BgL_new1070z00_84 = 
((BgL_z52schedulerz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52schedulerz52_bgl) ))); 
{ /* Llib/scheduler.scm 125 */
 long BgL_arg1171z00_85;
BgL_arg1171z00_85 = 
BGL_CLASS_NUM(BGl_z52schedulerz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1070z00_84), BgL_arg1171z00_85); } 
BgL_new1071z00_70 = BgL_new1070z00_84; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1071z00_70)))->BgL_namez00)=((obj_t)BgL_idz00_60),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_schedulerz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52builtinz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52timeoutz52)=((int)
(int)(((long)1))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52statez52)=((obj_t)
CNST_TABLE_REF(((long)4))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52iszd2suspendz80)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1223;
{ /* Llib/types.scm 28 */
 obj_t BgL_arg1155z00_71;
{ /* Llib/types.scm 28 */
 obj_t BgL_arg1156z00_72;
{ /* Llib/types.scm 28 */
 obj_t BgL_classz00_619;
BgL_classz00_619 = BGl_z52schedulerz52zz__ft_z52typesz52; 
BgL_arg1156z00_72 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_619); } 
BgL_arg1155z00_71 = 
VECTOR_REF(BgL_arg1156z00_72,((long)8)); } 
BgL_auxz00_1223 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1155z00_71); } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52terminatez52)=((obj_t)BgL_auxz00_1223),BUNSPEC); } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52resultz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52exczd2resultz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52exczd2raisedz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52identz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52signalsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52awakezd2signalz80)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52awakezd2valuez80)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52cleanupz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_z52specificz52)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1248;
{ /* Llib/scheduler.scm 124 */
 obj_t BgL_zc3z04anonymousza31157ze3z87_772;
BgL_zc3z04anonymousza31157ze3z87_772 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31157ze3ze5zz__ft_schedulerz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31157ze3z87_772, 
(int)(((long)0)), 
((obj_t)BgL_sz00_780)); 
BgL_auxz00_1248 = BgL_zc3z04anonymousza31157ze3z87_772; } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_70)))->BgL_bodyz00)=((obj_t)BgL_auxz00_1248),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1257;
{ /* Llib/scheduler.scm 126 */
 obj_t BgL_arg1159z00_74;
{ /* Llib/scheduler.scm 126 */
 BgL_z52envz52_bglt BgL_arg1165z00_75;
{ /* Llib/scheduler.scm 126 */
 BgL_z52envz52_bglt BgL_new1073z00_77;
{ /* Llib/_env.scm 25 */
 BgL_z52envz52_bglt BgL_new1072z00_78;
BgL_new1072z00_78 = 
((BgL_z52envz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52envz52_bgl) ))); 
{ /* Llib/_env.scm 25 */
 long BgL_arg1168z00_79;
{ /* Llib/_env.scm 25 */
 obj_t BgL_classz00_621;
BgL_classz00_621 = BGl_z52envz52zz__ft_z52envz52; 
BgL_arg1168z00_79 = 
BGL_CLASS_NUM(BgL_classz00_621); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_78), BgL_arg1168z00_79); } 
BgL_new1073z00_77 = BgL_new1072z00_78; } 
((((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)BgL_new1073z00_77)))->BgL_instantz00)=((long)((long)0)),BUNSPEC); 
((((BgL_z52envz52_bglt)COBJECT(BgL_new1073z00_77))->BgL_z52signalsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52envz52_bglt)COBJECT(BgL_new1073z00_77))->BgL_z52lastzd2signalsz80)=((obj_t)BNIL),BUNSPEC); 
BgL_arg1165z00_75 = BgL_new1073z00_77; } 
{ /* Llib/scheduler.scm 126 */
 obj_t BgL_list1166z00_76;
BgL_list1166z00_76 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1165z00_75), BNIL); 
BgL_arg1159z00_74 = BgL_list1166z00_76; } } 
BgL_auxz00_1257 = 
BGl_appendzd221009zd2zz__ft_schedulerz00(BgL_envsz00_63, BgL_arg1159z00_74); } 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1071z00_70)))->BgL_envzb2zb2)=((obj_t)BgL_auxz00_1257),BUNSPEC); } 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1071z00_70)))->BgL_strictzd2orderzf3z21)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_nextzd2instantzd2)=((obj_t)BGl_proc1604z00zz__ft_schedulerz00),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_currentzd2threadzd2)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_z52livezd2threadzd2numberz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_threadszd2runnablezd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_asynczd2runnablezd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_threadszd2timeoutzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_threadszd2yieldzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_tostartz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_toterminatez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_tosuspendzf2resumezf2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_tobroadcastz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_tospawnz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_70))->BgL_currentzd2tokenzd2)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/scheduler.scm 123 */
 obj_t BgL_fun1170z00_83;
BgL_fun1170z00_83 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52schedulerz52zz__ft_z52typesz52); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1170z00_83))(BgL_fun1170z00_83, 
((obj_t)BgL_new1071z00_70), BEOA); } 
BgL_g1172z00_86 = BgL_new1071z00_70; } 
CELL_SET(BgL_sz00_780, 
((obj_t)BgL_g1172z00_86)); 
{ /* Llib/scheduler.scm 130 */
 BgL_z52schedulerz52_bglt BgL_i1074z00_65;
BgL_i1074z00_65 = 
((BgL_z52schedulerz52_bglt)
((BgL_z52schedulerz52_bglt)
CELL_REF(BgL_sz00_780))); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_i1074z00_65)))->BgL_z52builtinz52)=((obj_t)
BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(
((BgL_z52schedulerz52_bglt)
((BgL_z52schedulerz52_bglt)
CELL_REF(BgL_sz00_780))))),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_i1074z00_65)))->BgL_strictzd2orderzf3z21)=((obj_t)BgL_orderz00_62),BUNSPEC); } 
if(
CBOOL(
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL)))
{ /* Llib/scheduler.scm 134 */BFALSE; }  else 
{ /* Llib/scheduler.scm 134 */
 obj_t BgL_list1153z00_68;
BgL_list1153z00_68 = 
MAKE_YOUNG_PAIR(
CELL_REF(BgL_sz00_780), BNIL); 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1153z00_68); } 
return 
((BgL_schedulerz00_bglt)
((BgL_schedulerz00_bglt)
CELL_REF(BgL_sz00_780)));} } } } } } } } 

}



/* &make-scheduler */
BgL_schedulerz00_bglt BGl_z62makezd2schedulerzb0zz__ft_schedulerz00(obj_t BgL_envz00_773, obj_t BgL_argsz00_774)
{
{ /* Llib/scheduler.scm 117 */
return 
BGl_makezd2schedulerzd2zz__ft_schedulerz00(BgL_argsz00_774);} 

}



/* &<@anonymous:1169> */
obj_t BGl_z62zc3z04anonymousza31169ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_775, obj_t BgL_sz00_776, obj_t BgL_iz00_777)
{
{ /* Llib/_types.scm 23 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1157> */
obj_t BGl_z62zc3z04anonymousza31157ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_778)
{
{ /* Llib/scheduler.scm 124 */
{ /* Llib/scheduler.scm 124 */
 obj_t BgL_sz00_779;
BgL_sz00_779 = 
PROCEDURE_REF(BgL_envz00_778, 
(int)(((long)0))); 
return 
BGl_schedulez00zz__ft_schedulerz00(
((BgL_z52schedulerz52_bglt)
((BgL_z52schedulerz52_bglt)
CELL_REF(BgL_sz00_779))));} } 

}



/* scheduler-state */
obj_t BGl_schedulerzd2statezd2zz__ft_schedulerz00(BgL_schedulerz00_bglt BgL_sz00_8)
{
{ /* Llib/scheduler.scm 141 */
if(
(
(long)(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_z52livezd2threadzd2numberz52))==((long)0)))
{ /* Llib/scheduler.scm 149 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Llib/scheduler.scm 151 */
 bool_t BgL_test1719z00_1325;
if(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_z52threadszd2readyz80))
{ /* Llib/scheduler.scm 151 */
BgL_test1719z00_1325 = ((bool_t)1)
; }  else 
{ /* Llib/scheduler.scm 151 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_tostartz00)))
{ /* Llib/scheduler.scm 152 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_toterminatez00)))
{ /* Llib/scheduler.scm 154 */
 obj_t BgL_tmpz00_1337;
BgL_tmpz00_1337 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_tosuspendzf2resumezf2); 
BgL_test1719z00_1325 = 
PAIRP(BgL_tmpz00_1337); }  else 
{ /* Llib/scheduler.scm 153 */
BgL_test1719z00_1325 = ((bool_t)1)
; } }  else 
{ /* Llib/scheduler.scm 152 */
BgL_test1719z00_1325 = ((bool_t)1)
; } } 
if(BgL_test1719z00_1325)
{ /* Llib/scheduler.scm 151 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* Llib/scheduler.scm 151 */
if(
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_sz00_8), BNIL))
{ /* Llib/scheduler.scm 157 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Llib/scheduler.scm 157 */
return 
CNST_TABLE_REF(((long)8));} } } } 

}



/* schedule */
obj_t BGl_schedulez00zz__ft_schedulerz00(BgL_z52schedulerz52_bglt BgL_scdlz00_9)
{
{ /* Llib/scheduler.scm 168 */
{ /* Llib/scheduler.scm 172 */
 obj_t BgL_g1084z00_112;
BgL_g1084z00_112 = 
BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(
((BgL_schedulerz00_bglt)BgL_scdlz00_9)); 
{ 
 obj_t BgL_iz00_114;
BgL_iz00_114 = BgL_g1084z00_112; 
BgL_zc3z04anonymousza31202ze3z87_115:
BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_scdlz00_9); 
{ /* Llib/scheduler.scm 174 */
 bool_t BgL_test1725z00_1350;
{ /* Llib/scheduler.scm 174 */
 obj_t BgL_fun1207z00_119;
BgL_fun1207z00_119 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_nextzd2instantzd2); 
BgL_test1725z00_1350 = 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1207z00_119))(BgL_fun1207z00_119, 
((obj_t)BgL_scdlz00_9), BgL_iz00_114, BEOA)); } 
if(BgL_test1725z00_1350)
{ /* Llib/scheduler.scm 175 */
 long BgL_arg1206z00_118;
BgL_arg1206z00_118 = 
(
(long)CINT(BgL_iz00_114)+((long)1)); 
{ 
 obj_t BgL_iz00_1361;
BgL_iz00_1361 = 
BINT(BgL_arg1206z00_118); 
BgL_iz00_114 = BgL_iz00_1361; 
goto BgL_zc3z04anonymousza31202ze3z87_115;} }  else 
{ /* Llib/scheduler.scm 174 */((bool_t)0); } } } } 
return BUNSPEC;} 

}



/* scheduler-react! */
BGL_EXPORTED_DEF obj_t BGl_schedulerzd2reactz12zc0zz__ft_schedulerz00(obj_t BgL_oz00_10)
{
{ /* Llib/scheduler.scm 184 */
{ /* Llib/scheduler.scm 185 */
 BgL_schedulerz00_bglt BgL_scdlz00_121;
BgL_scdlz00_121 = 
BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(
CNST_TABLE_REF(((long)9)), BgL_oz00_10); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_121)))->BgL_nextzd2instantzd2)=((obj_t)BGl_proc1605z00zz__ft_schedulerz00),BUNSPEC); 
{ /* Llib/scheduler.scm 193 */
 obj_t BgL_arg1211z00_129;
BgL_arg1211z00_129 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_121)))->BgL_z52builtinz52); 
BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1211z00_129)); } 
return 
BGl_schedulerzd2statezd2zz__ft_schedulerz00(BgL_scdlz00_121);} } 

}



/* &scheduler-react! */
obj_t BGl_z62schedulerzd2reactz12za2zz__ft_schedulerz00(obj_t BgL_envz00_784, obj_t BgL_oz00_785)
{
{ /* Llib/scheduler.scm 184 */
return 
BGl_schedulerzd2reactz12zc0zz__ft_schedulerz00(BgL_oz00_785);} 

}



/* &<@anonymous:1208> */
obj_t BGl_z62zc3z04anonymousza31208ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_786, obj_t BgL_scdlz00_787, obj_t BgL_iz00_788)
{
{ /* Llib/scheduler.scm 188 */
{ /* Llib/scheduler.scm 190 */
 obj_t BgL_arg1210z00_845;
BgL_arg1210z00_845 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_787))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1210z00_845));} } 

}



/* scheduler-start! */
BGL_EXPORTED_DEF obj_t BGl_schedulerzd2startz12zc0zz__ft_schedulerz00(obj_t BgL_argsz00_11)
{
{ /* Llib/scheduler.scm 200 */
{ /* Llib/scheduler.scm 201 */
 bool_t BgL_iterpz00_130;
if(
PAIRP(BgL_argsz00_11))
{ /* Llib/scheduler.scm 201 */
BgL_iterpz00_130 = 
BGl_numberzf3zf3zz__r4_numbers_6_5z00(
CAR(BgL_argsz00_11)); }  else 
{ /* Llib/scheduler.scm 201 */
BgL_iterpz00_130 = ((bool_t)0); } 
{ /* Llib/scheduler.scm 201 */
 obj_t BgL_scdlz00_131;
if(
NULLP(BgL_argsz00_11))
{ /* Llib/scheduler.scm 202 */
BgL_scdlz00_131 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); }  else 
{ /* Llib/scheduler.scm 204 */
 obj_t BgL_arg1289z00_200;
BgL_arg1289z00_200 = 
CDR(
((obj_t)BgL_argsz00_11)); 
BgL_scdlz00_131 = 
((obj_t)
BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(
CNST_TABLE_REF(((long)10)), BgL_arg1289z00_200)); } 
{ /* Llib/scheduler.scm 202 */
 obj_t BgL_stopz00_132;
if(
NULLP(BgL_argsz00_11))
{ /* Llib/scheduler.scm 206 */
BgL_stopz00_132 = BGl_proc1606z00zz__ft_schedulerz00; }  else 
{ /* Llib/scheduler.scm 209 */
 bool_t BgL_test1730z00_1392;
{ /* Llib/scheduler.scm 209 */
 obj_t BgL_arg1285z00_197;
BgL_arg1285z00_197 = 
CAR(
((obj_t)BgL_argsz00_11)); 
BgL_test1730z00_1392 = 
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1285z00_197); } 
if(BgL_test1730z00_1392)
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_stz00_181;
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_a1103z00_185;
BgL_a1103z00_185 = 
CAR(
((obj_t)BgL_argsz00_11)); 
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_b1104z00_186;
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_a1101z00_188;
BgL_a1101z00_188 = 
BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(
((BgL_schedulerz00_bglt)BgL_scdlz00_131)); 
{ /* Llib/scheduler.scm 210 */

if(
INTEGERP(BgL_a1101z00_188))
{ /* Llib/scheduler.scm 210 */
BgL_b1104z00_186 = 
ADDFX(BgL_a1101z00_188, 
BINT(((long)-1))); }  else 
{ /* Llib/scheduler.scm 210 */
BgL_b1104z00_186 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1101z00_188, 
BINT(((long)-1))); } } } 
{ /* Llib/scheduler.scm 210 */

{ /* Llib/scheduler.scm 210 */
 bool_t BgL_test1733z00_1406;
if(
INTEGERP(BgL_a1103z00_185))
{ /* Llib/scheduler.scm 210 */
BgL_test1733z00_1406 = 
INTEGERP(BgL_b1104z00_186)
; }  else 
{ /* Llib/scheduler.scm 210 */
BgL_test1733z00_1406 = ((bool_t)0)
; } 
if(BgL_test1733z00_1406)
{ /* Llib/scheduler.scm 210 */
BgL_stz00_181 = 
ADDFX(BgL_a1103z00_185, BgL_b1104z00_186); }  else 
{ /* Llib/scheduler.scm 210 */
BgL_stz00_181 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1103z00_185, BgL_b1104z00_186); } } } } } 
{ /* Llib/scheduler.scm 211 */
 obj_t BgL_zc3z04anonymousza31252ze3z87_792;
BgL_zc3z04anonymousza31252ze3z87_792 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31252ze3ze5zz__ft_schedulerz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31252ze3z87_792, 
(int)(((long)0)), BgL_stz00_181); 
BgL_stopz00_132 = BgL_zc3z04anonymousza31252ze3z87_792; } }  else 
{ /* Llib/scheduler.scm 213 */
 bool_t BgL_test1735z00_1417;
{ /* Llib/scheduler.scm 213 */
 obj_t BgL_tmpz00_1418;
BgL_tmpz00_1418 = 
CAR(
((obj_t)BgL_argsz00_11)); 
BgL_test1735z00_1417 = 
PROCEDUREP(BgL_tmpz00_1418); } 
if(BgL_test1735z00_1417)
{ /* Llib/scheduler.scm 214 */
 obj_t BgL_zc3z04anonymousza31258ze3z87_793;
BgL_zc3z04anonymousza31258ze3z87_793 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31258ze3ze5zz__ft_schedulerz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31258ze3z87_793, 
(int)(((long)0)), BgL_argsz00_11); 
BgL_stopz00_132 = BgL_zc3z04anonymousza31258ze3z87_793; }  else 
{ /* Llib/scheduler.scm 213 */
BgL_stopz00_132 = 
BGl_errorz00zz__errorz00(BGl_string1607z00zz__ft_schedulerz00, BGl_string1608z00zz__ft_schedulerz00, BgL_argsz00_11); } } } 
{ /* Llib/scheduler.scm 205 */

{ /* Llib/scheduler.scm 221 */
 obj_t BgL_nozd2busyzd2waitingzd2nextzd2instantz00_790; obj_t BgL_busyzd2waitingzd2nextzd2instantzd2_789;
BgL_nozd2busyzd2waitingzd2nextzd2instantz00_790 = 
MAKE_FX_PROCEDURE(BGl_z62nozd2busyzd2waitingzd2nextzd2instantz62zz__ft_schedulerz00, 
(int)(((long)2)), 
(int)(((long)1))); 
BgL_busyzd2waitingzd2nextzd2instantzd2_789 = 
MAKE_FX_PROCEDURE(BGl_z62busyzd2waitingzd2nextzd2instantzb0zz__ft_schedulerz00, 
(int)(((long)2)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_nozd2busyzd2waitingzd2nextzd2instantz00_790, 
(int)(((long)0)), BgL_stopz00_132); 
PROCEDURE_SET(BgL_busyzd2waitingzd2nextzd2instantzd2_789, 
(int)(((long)0)), BgL_stopz00_132); 
{ 
 obj_t BgL_auxz00_1438;
if(BgL_iterpz00_130)
{ /* Llib/scheduler.scm 267 */
BgL_auxz00_1438 = BgL_busyzd2waitingzd2nextzd2instantzd2_789
; }  else 
{ /* Llib/scheduler.scm 267 */
BgL_auxz00_1438 = BgL_nozd2busyzd2waitingzd2nextzd2instantz00_790
; } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_131)))->BgL_nextzd2instantzd2)=((obj_t)BgL_auxz00_1438),BUNSPEC); } 
{ /* Llib/scheduler.scm 272 */
 obj_t BgL_arg1213z00_137;
BgL_arg1213z00_137 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_131))))->BgL_z52builtinz52); 
BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1213z00_137)); } 
return BUNSPEC;} } } } } } 

}



/* &scheduler-start! */
obj_t BGl_z62schedulerzd2startz12za2zz__ft_schedulerz00(obj_t BgL_envz00_794, obj_t BgL_argsz00_795)
{
{ /* Llib/scheduler.scm 200 */
return 
BGl_schedulerzd2startz12zc0zz__ft_schedulerz00(BgL_argsz00_795);} 

}



/* &busy-waiting-next-instant */
obj_t BGl_z62busyzd2waitingzd2nextzd2instantzb0zz__ft_schedulerz00(obj_t BgL_envz00_796, obj_t BgL_scdlz00_798, obj_t BgL_iz00_799)
{
{ /* Llib/scheduler.scm 235 */
{ /* Llib/scheduler.scm 221 */
 obj_t BgL_stopz00_797;
BgL_stopz00_797 = 
PROCEDURE_REF(BgL_envz00_796, 
(int)(((long)0))); 
if(
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_stopz00_797))(BgL_stopz00_797, BgL_iz00_799, BEOA)))
{ /* Llib/scheduler.scm 223 */
 obj_t BgL_arg1216z00_846;
BgL_arg1216z00_846 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_798))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1216z00_846));}  else 
{ /* Llib/scheduler.scm 224 */
 obj_t BgL_statez00_847;
BgL_statez00_847 = 
BGl_schedulerzd2statezd2zz__ft_schedulerz00(
((BgL_schedulerz00_bglt)BgL_scdlz00_798)); 
if(
(BgL_statez00_847==
CNST_TABLE_REF(((long)6))))
{ /* Llib/scheduler.scm 227 */
return BTRUE;}  else 
{ /* Llib/scheduler.scm 227 */
if(
(BgL_statez00_847==
CNST_TABLE_REF(((long)8))))
{ /* Llib/scheduler.scm 227 */
return BTRUE;}  else 
{ /* Llib/scheduler.scm 235 */
 obj_t BgL_arg1219z00_848;
BgL_arg1219z00_848 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_798))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1219z00_848));} } } } } 

}



/* &no-busy-waiting-next-instant */
obj_t BGl_z62nozd2busyzd2waitingzd2nextzd2instantz62zz__ft_schedulerz00(obj_t BgL_envz00_800, obj_t BgL_scdlz00_802, obj_t BgL_iz00_803)
{
{ /* Llib/scheduler.scm 263 */
{ /* Llib/scheduler.scm 237 */
 obj_t BgL_stopz00_801;
BgL_stopz00_801 = 
PROCEDURE_REF(BgL_envz00_800, 
(int)(((long)0))); 
if(
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_stopz00_801))(BgL_stopz00_801, BgL_iz00_803, BEOA)))
{ /* Llib/scheduler.scm 239 */
 obj_t BgL_arg1222z00_849;
BgL_arg1222z00_849 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_802))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1222z00_849));}  else 
{ /* Llib/scheduler.scm 240 */
 obj_t BgL_statez00_850;
BgL_statez00_850 = 
BGl_schedulerzd2statezd2zz__ft_schedulerz00(
((BgL_schedulerz00_bglt)BgL_scdlz00_802)); 
if(
(BgL_statez00_850==
CNST_TABLE_REF(((long)6))))
{ /* Llib/scheduler.scm 243 */
return BTRUE;}  else 
{ /* Llib/scheduler.scm 243 */
if(
(BgL_statez00_850==
CNST_TABLE_REF(((long)8))))
{ /* Llib/scheduler.scm 243 */
{ /* Llib/scheduler.scm 251 */
 obj_t BgL_arg1225z00_851;
BgL_arg1225z00_851 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_scdlz00_802))))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1225z00_851)); } 
{ /* Llib/scheduler.scm 255 */
 bool_t BgL_test1745z00_1500;
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_802)))->BgL_tobroadcastz00)))
{ /* Llib/scheduler.scm 255 */
BgL_test1745z00_1500 = 
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_802)))->BgL_asynczd2runnablezd2))
; }  else 
{ /* Llib/scheduler.scm 255 */
BgL_test1745z00_1500 = ((bool_t)0)
; } 
if(BgL_test1745z00_1500)
{ /* Llib/scheduler.scm 255 */
{ /* Llib/scheduler.scm 257 */
 obj_t BgL_arg1232z00_852;
BgL_arg1232z00_852 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_scdlz00_802))))->BgL_z52builtinz52); 
BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1232z00_852)); } BUNSPEC; }  else 
{ /* Llib/scheduler.scm 255 */BFALSE; } } 
{ /* Llib/scheduler.scm 259 */
 obj_t BgL_arg1237z00_853;
BgL_arg1237z00_853 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_scdlz00_802))))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1237z00_853)); } 
return BTRUE;}  else 
{ /* Llib/scheduler.scm 263 */
 obj_t BgL_arg1246z00_854;
BgL_arg1246z00_854 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_802))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1246z00_854));} } } } } 

}



/* &<@anonymous:1249> */
obj_t BGl_z62zc3z04anonymousza31249ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_804, obj_t BgL_iz00_805)
{
{ /* Llib/scheduler.scm 207 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1252> */
obj_t BGl_z62zc3z04anonymousza31252ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_806, obj_t BgL_iz00_808)
{
{ /* Llib/scheduler.scm 211 */
{ /* Llib/scheduler.scm 212 */
 obj_t BgL_stz00_807;
BgL_stz00_807 = 
PROCEDURE_REF(BgL_envz00_806, 
(int)(((long)0))); 
{ /* Llib/scheduler.scm 212 */
 bool_t BgL_tmpz00_1526;
{ /* Llib/scheduler.scm 212 */
 bool_t BgL_test1748z00_1527;
if(
INTEGERP(BgL_iz00_808))
{ /* Llib/scheduler.scm 212 */
BgL_test1748z00_1527 = 
INTEGERP(BgL_stz00_807)
; }  else 
{ /* Llib/scheduler.scm 212 */
BgL_test1748z00_1527 = ((bool_t)0)
; } 
if(BgL_test1748z00_1527)
{ /* Llib/scheduler.scm 212 */
BgL_tmpz00_1526 = 
(
(long)CINT(BgL_iz00_808)>=
(long)CINT(BgL_stz00_807))
; }  else 
{ /* Llib/scheduler.scm 212 */
BgL_tmpz00_1526 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_iz00_808, BgL_stz00_807)
; } } 
return 
BBOOL(BgL_tmpz00_1526);} } } 

}



/* &<@anonymous:1258> */
obj_t BGl_z62zc3z04anonymousza31258ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_809, obj_t BgL_iz00_811)
{
{ /* Llib/scheduler.scm 214 */
{ /* Llib/scheduler.scm 215 */
 obj_t BgL_argsz00_810;
BgL_argsz00_810 = 
PROCEDURE_REF(BgL_envz00_809, 
(int)(((long)0))); 
{ /* Llib/scheduler.scm 215 */
 obj_t BgL_fun1259z00_855;
BgL_fun1259z00_855 = 
CAR(
((obj_t)BgL_argsz00_810)); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1259z00_855))(BgL_fun1259z00_855, BgL_iz00_811, BEOA);} } } 

}



/* broadcast! */
BGL_EXPORTED_DEF obj_t BGl_broadcastz12z12zz__ft_schedulerz00(obj_t BgL_sigz00_12, obj_t BgL_valz00_13)
{
{ /* Llib/scheduler.scm 278 */
{ /* Llib/scheduler.scm 279 */
 obj_t BgL_tz00_203; obj_t BgL_vz00_204;
BgL_tz00_203 = 
BGl_currentzd2threadzd2zz__threadz00(); 
if(
PAIRP(BgL_valz00_13))
{ /* Llib/scheduler.scm 280 */
BgL_vz00_204 = 
CAR(BgL_valz00_13); }  else 
{ /* Llib/scheduler.scm 280 */
BgL_vz00_204 = BUNSPEC; } 
{ /* Llib/scheduler.scm 281 */
 bool_t BgL_test1751z00_1548;
{ /* Llib/scheduler.scm 281 */
 obj_t BgL_classz00_647;
BgL_classz00_647 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_203))
{ /* Llib/scheduler.scm 281 */
 BgL_objectz00_bglt BgL_arg1793z00_649;
BgL_arg1793z00_649 = 
(BgL_objectz00_bglt)(BgL_tz00_203); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 281 */
 long BgL_idxz00_655;
BgL_idxz00_655 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_649); 
BgL_test1751z00_1548 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_655+((long)1)))==BgL_classz00_647); }  else 
{ /* Llib/scheduler.scm 281 */
 bool_t BgL_res1586z00_677;
{ /* Llib/scheduler.scm 281 */
 obj_t BgL_oclassz00_663;
{ /* Llib/scheduler.scm 281 */
 long BgL_arg1801z00_669;
{ /* Llib/scheduler.scm 281 */
 long BgL_arg1802z00_670;
BgL_arg1802z00_670 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_649); 
BgL_arg1801z00_669 = 
(BgL_arg1802z00_670-OBJECT_TYPE); } 
BgL_oclassz00_663 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_669); } 
{ /* Llib/scheduler.scm 281 */
 bool_t BgL__ortest_1110z00_664;
BgL__ortest_1110z00_664 = 
(BgL_classz00_647==BgL_oclassz00_663); 
if(BgL__ortest_1110z00_664)
{ /* Llib/scheduler.scm 281 */
BgL_res1586z00_677 = BgL__ortest_1110z00_664; }  else 
{ /* Llib/scheduler.scm 281 */
 long BgL_odepthz00_665;
BgL_odepthz00_665 = 
BGL_CLASS_DEPTH(BgL_oclassz00_663); 
if(
(((long)1)<BgL_odepthz00_665))
{ /* Llib/scheduler.scm 281 */
 obj_t BgL_arg1790z00_667;
BgL_arg1790z00_667 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_663, ((long)1)); 
BgL_res1586z00_677 = 
(BgL_arg1790z00_667==BgL_classz00_647); }  else 
{ /* Llib/scheduler.scm 281 */
BgL_res1586z00_677 = ((bool_t)0); } } } } 
BgL_test1751z00_1548 = BgL_res1586z00_677; } }  else 
{ /* Llib/scheduler.scm 281 */
BgL_test1751z00_1548 = ((bool_t)0)
; } } 
if(BgL_test1751z00_1548)
{ /* Llib/scheduler.scm 281 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_203)))
{ /* Llib/scheduler.scm 284 */
 obj_t BgL_arg1336z00_208;
BgL_arg1336z00_208 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_203)))->BgL_schedulerz00); 
return 
BGl_z52broadcastz12z40zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_arg1336z00_208), BgL_sigz00_12, BgL_vz00_204);}  else 
{ /* Llib/scheduler.scm 282 */
return 
BGl_errorz00zz__errorz00(BGl_string1609z00zz__ft_schedulerz00, BGl_string1610z00zz__ft_schedulerz00, BgL_tz00_203);} }  else 
{ /* Llib/scheduler.scm 281 */
return BFALSE;} } } } 

}



/* &broadcast! */
obj_t BGl_z62broadcastz12z70zz__ft_schedulerz00(obj_t BgL_envz00_812, obj_t BgL_sigz00_813, obj_t BgL_valz00_814)
{
{ /* Llib/scheduler.scm 278 */
return 
BGl_broadcastz12z12zz__ft_schedulerz00(BgL_sigz00_813, BgL_valz00_814);} 

}



/* scheduler-broadcast! */
BGL_EXPORTED_DEF obj_t BGl_schedulerzd2broadcastz12zc0zz__ft_schedulerz00(BgL_schedulerz00_bglt BgL_sz00_14, obj_t BgL_sigz00_15, obj_t BgL_valz00_16)
{
{ /* Llib/scheduler.scm 290 */
{ /* Llib/scheduler.scm 291 */
 obj_t BgL_arg1340z00_678;
if(
PAIRP(BgL_valz00_16))
{ /* Llib/scheduler.scm 291 */
BgL_arg1340z00_678 = 
CAR(BgL_valz00_16); }  else 
{ /* Llib/scheduler.scm 291 */
BgL_arg1340z00_678 = BUNSPEC; } 
return 
BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_sz00_14), BgL_sigz00_15, BgL_arg1340z00_678);} } 

}



/* &scheduler-broadcast! */
obj_t BGl_z62schedulerzd2broadcastz12za2zz__ft_schedulerz00(obj_t BgL_envz00_815, obj_t BgL_sz00_816, obj_t BgL_sigz00_817, obj_t BgL_valz00_818)
{
{ /* Llib/scheduler.scm 290 */
{ /* Llib/scheduler.scm 291 */
 BgL_schedulerz00_bglt BgL_auxz00_1582;
if(
BGl_isazf3zf3zz__objectz00(BgL_sz00_816, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/scheduler.scm 291 */
BgL_auxz00_1582 = 
((BgL_schedulerz00_bglt)BgL_sz00_816)
; }  else 
{ 
 obj_t BgL_auxz00_1586;
BgL_auxz00_1586 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1600z00zz__ft_schedulerz00, 
BINT(((long)10938)), BGl_string1611z00zz__ft_schedulerz00, BGl_string1602z00zz__ft_schedulerz00, BgL_sz00_816); 
FAILURE(BgL_auxz00_1586,BFALSE,BFALSE);} 
return 
BGl_schedulerzd2broadcastz12zc0zz__ft_schedulerz00(BgL_auxz00_1582, BgL_sigz00_817, BgL_valz00_818);} } 

}



/* scheduler-terminate! */
BGL_EXPORTED_DEF obj_t BGl_schedulerzd2terminatez12zc0zz__ft_schedulerz00(obj_t BgL_sz00_17)
{
{ /* Llib/scheduler.scm 296 */
{ /* Llib/scheduler.scm 297 */
 obj_t BgL_sz00_212;
if(
NULLP(BgL_sz00_17))
{ /* Llib/scheduler.scm 298 */
BgL_sz00_212 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); }  else 
{ /* Llib/scheduler.scm 300 */
 bool_t BgL_test1761z00_1594;
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_arg1420z00_261;
BgL_arg1420z00_261 = 
CAR(
((obj_t)BgL_sz00_17)); 
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_classz00_682;
BgL_classz00_682 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1420z00_261))
{ /* Llib/scheduler.scm 300 */
 BgL_objectz00_bglt BgL_arg1793z00_684;
BgL_arg1793z00_684 = 
(BgL_objectz00_bglt)(BgL_arg1420z00_261); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 300 */
 long BgL_idxz00_690;
BgL_idxz00_690 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_684); 
BgL_test1761z00_1594 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_690+((long)3)))==BgL_classz00_682); }  else 
{ /* Llib/scheduler.scm 300 */
 bool_t BgL_res1587z00_712;
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_oclassz00_698;
{ /* Llib/scheduler.scm 300 */
 long BgL_arg1801z00_704;
{ /* Llib/scheduler.scm 300 */
 long BgL_arg1802z00_705;
BgL_arg1802z00_705 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_684); 
BgL_arg1801z00_704 = 
(BgL_arg1802z00_705-OBJECT_TYPE); } 
BgL_oclassz00_698 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_704); } 
{ /* Llib/scheduler.scm 300 */
 bool_t BgL__ortest_1110z00_699;
BgL__ortest_1110z00_699 = 
(BgL_classz00_682==BgL_oclassz00_698); 
if(BgL__ortest_1110z00_699)
{ /* Llib/scheduler.scm 300 */
BgL_res1587z00_712 = BgL__ortest_1110z00_699; }  else 
{ /* Llib/scheduler.scm 300 */
 long BgL_odepthz00_700;
BgL_odepthz00_700 = 
BGL_CLASS_DEPTH(BgL_oclassz00_698); 
if(
(((long)3)<BgL_odepthz00_700))
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_arg1790z00_702;
BgL_arg1790z00_702 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_698, ((long)3)); 
BgL_res1587z00_712 = 
(BgL_arg1790z00_702==BgL_classz00_682); }  else 
{ /* Llib/scheduler.scm 300 */
BgL_res1587z00_712 = ((bool_t)0); } } } } 
BgL_test1761z00_1594 = BgL_res1587z00_712; } }  else 
{ /* Llib/scheduler.scm 300 */
BgL_test1761z00_1594 = ((bool_t)0)
; } } } 
if(BgL_test1761z00_1594)
{ /* Llib/scheduler.scm 300 */
BgL_sz00_212 = 
CAR(
((obj_t)BgL_sz00_17)); }  else 
{ /* Llib/scheduler.scm 305 */
 obj_t BgL_arg1419z00_260;
BgL_arg1419z00_260 = 
CAR(
((obj_t)BgL_sz00_17)); 
BgL_sz00_212 = 
BGl_errorz00zz__errorz00(BGl_string1612z00zz__ft_schedulerz00, BGl_string1599z00zz__ft_schedulerz00, BgL_arg1419z00_260); } } 
{ /* Llib/scheduler.scm 322 */
 obj_t BgL_arg1342z00_214;
BgL_arg1342z00_214 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_212)))->BgL_currentzd2threadzd2); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1342z00_214)); } 
{ /* Llib/scheduler.scm 323 */
 obj_t BgL_g1107z00_215;
BgL_g1107z00_215 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_212)))->BgL_tosuspendzf2resumezf2); 
{ 
 obj_t BgL_l1105z00_217;
BgL_l1105z00_217 = BgL_g1107z00_215; 
BgL_zc3z04anonymousza31343ze3z87_218:
if(
PAIRP(BgL_l1105z00_217))
{ /* Llib/scheduler.scm 323 */
{ /* Llib/scheduler.scm 323 */
 obj_t BgL_arg1345z00_220;
BgL_arg1345z00_220 = 
CAR(BgL_l1105z00_217); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1345z00_220)); } 
{ 
 obj_t BgL_l1105z00_1632;
BgL_l1105z00_1632 = 
CDR(BgL_l1105z00_217); 
BgL_l1105z00_217 = BgL_l1105z00_1632; 
goto BgL_zc3z04anonymousza31343ze3z87_218;} }  else 
{ /* Llib/scheduler.scm 323 */((bool_t)1); } } } 
{ /* Llib/scheduler.scm 324 */
 obj_t BgL_g1110z00_223;
BgL_g1110z00_223 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_212)))->BgL_threadszd2runnablezd2); 
{ 
 obj_t BgL_l1108z00_225;
BgL_l1108z00_225 = BgL_g1110z00_223; 
BgL_zc3z04anonymousza31352ze3z87_226:
if(
PAIRP(BgL_l1108z00_225))
{ /* Llib/scheduler.scm 324 */
{ /* Llib/scheduler.scm 324 */
 obj_t BgL_arg1354z00_228;
BgL_arg1354z00_228 = 
CAR(BgL_l1108z00_225); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1354z00_228)); } 
{ 
 obj_t BgL_l1108z00_1641;
BgL_l1108z00_1641 = 
CDR(BgL_l1108z00_225); 
BgL_l1108z00_225 = BgL_l1108z00_1641; 
goto BgL_zc3z04anonymousza31352ze3z87_226;} }  else 
{ /* Llib/scheduler.scm 324 */((bool_t)1); } } } 
{ /* Llib/scheduler.scm 325 */
 obj_t BgL_g1113z00_231;
BgL_g1113z00_231 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_212)))->BgL_threadszd2yieldzd2); 
{ 
 obj_t BgL_l1111z00_233;
BgL_l1111z00_233 = BgL_g1113z00_231; 
BgL_zc3z04anonymousza31356ze3z87_234:
if(
PAIRP(BgL_l1111z00_233))
{ /* Llib/scheduler.scm 325 */
{ /* Llib/scheduler.scm 325 */
 obj_t BgL_arg1358z00_236;
BgL_arg1358z00_236 = 
CAR(BgL_l1111z00_233); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1358z00_236)); } 
{ 
 obj_t BgL_l1111z00_1650;
BgL_l1111z00_1650 = 
CDR(BgL_l1111z00_233); 
BgL_l1111z00_233 = BgL_l1111z00_1650; 
goto BgL_zc3z04anonymousza31356ze3z87_234;} }  else 
{ /* Llib/scheduler.scm 325 */((bool_t)1); } } } 
{ /* Llib/scheduler.scm 326 */
 obj_t BgL_g1116z00_239;
BgL_g1116z00_239 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_212)))->BgL_threadszd2timeoutzd2); 
{ 
 obj_t BgL_l1114z00_241;
BgL_l1114z00_241 = BgL_g1116z00_239; 
BgL_zc3z04anonymousza31361ze3z87_242:
if(
PAIRP(BgL_l1114z00_241))
{ /* Llib/scheduler.scm 326 */
{ /* Llib/scheduler.scm 326 */
 obj_t BgL_arg1363z00_244;
BgL_arg1363z00_244 = 
CAR(BgL_l1114z00_241); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1363z00_244)); } 
{ 
 obj_t BgL_l1114z00_1659;
BgL_l1114z00_1659 = 
CDR(BgL_l1114z00_241); 
BgL_l1114z00_241 = BgL_l1114z00_1659; 
goto BgL_zc3z04anonymousza31361ze3z87_242;} }  else 
{ /* Llib/scheduler.scm 326 */((bool_t)1); } } } 
{ /* Llib/scheduler.scm 328 */
 obj_t BgL_g1119z00_247;
BgL_g1119z00_247 = 
BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_sz00_212)); 
{ 
 obj_t BgL_l1117z00_249;
BgL_l1117z00_249 = BgL_g1119z00_247; 
BgL_zc3z04anonymousza31365ze3z87_250:
if(
PAIRP(BgL_l1117z00_249))
{ /* Llib/scheduler.scm 328 */
{ /* Llib/scheduler.scm 328 */
 obj_t BgL_arg1374z00_252;
BgL_arg1374z00_252 = 
CAR(BgL_l1117z00_249); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1374z00_252)); } 
{ 
 obj_t BgL_l1117z00_1668;
BgL_l1117z00_1668 = 
CDR(BgL_l1117z00_249); 
BgL_l1117z00_249 = BgL_l1117z00_1668; 
goto BgL_zc3z04anonymousza31365ze3z87_250;} }  else 
{ /* Llib/scheduler.scm 328 */((bool_t)1); } } } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_212)))->BgL_tosuspendzf2resumezf2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_212)))->BgL_tostartz00)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/scheduler.scm 333 */
 obj_t BgL_list1378z00_255;
BgL_list1378z00_255 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
return 
BBOOL(
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_sz00_212), BgL_list1378z00_255));} } } 

}



/* &scheduler-terminate! */
obj_t BGl_z62schedulerzd2terminatez12za2zz__ft_schedulerz00(obj_t BgL_envz00_819, obj_t BgL_sz00_820)
{
{ /* Llib/scheduler.scm 296 */
return 
BGl_schedulerzd2terminatez12zc0zz__ft_schedulerz00(BgL_sz00_820);} 

}



/* scheduler-instant */
BGL_EXPORTED_DEF int BGl_schedulerzd2instantzd2zz__ft_schedulerz00(obj_t BgL_sz00_18)
{
{ /* Llib/scheduler.scm 338 */
{ /* Llib/scheduler.scm 339 */
 obj_t BgL_sz00_262;
if(
NULLP(BgL_sz00_18))
{ /* Llib/scheduler.scm 340 */
BgL_sz00_262 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); }  else 
{ /* Llib/scheduler.scm 342 */
 bool_t BgL_test1773z00_1682;
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_arg1568z00_271;
BgL_arg1568z00_271 = 
CAR(
((obj_t)BgL_sz00_18)); 
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_classz00_726;
BgL_classz00_726 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1568z00_271))
{ /* Llib/scheduler.scm 342 */
 BgL_objectz00_bglt BgL_arg1793z00_728;
BgL_arg1793z00_728 = 
(BgL_objectz00_bglt)(BgL_arg1568z00_271); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 342 */
 long BgL_idxz00_734;
BgL_idxz00_734 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_728); 
BgL_test1773z00_1682 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_734+((long)3)))==BgL_classz00_726); }  else 
{ /* Llib/scheduler.scm 342 */
 bool_t BgL_res1588z00_756;
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_oclassz00_742;
{ /* Llib/scheduler.scm 342 */
 long BgL_arg1801z00_748;
{ /* Llib/scheduler.scm 342 */
 long BgL_arg1802z00_749;
BgL_arg1802z00_749 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_728); 
BgL_arg1801z00_748 = 
(BgL_arg1802z00_749-OBJECT_TYPE); } 
BgL_oclassz00_742 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_748); } 
{ /* Llib/scheduler.scm 342 */
 bool_t BgL__ortest_1110z00_743;
BgL__ortest_1110z00_743 = 
(BgL_classz00_726==BgL_oclassz00_742); 
if(BgL__ortest_1110z00_743)
{ /* Llib/scheduler.scm 342 */
BgL_res1588z00_756 = BgL__ortest_1110z00_743; }  else 
{ /* Llib/scheduler.scm 342 */
 long BgL_odepthz00_744;
BgL_odepthz00_744 = 
BGL_CLASS_DEPTH(BgL_oclassz00_742); 
if(
(((long)3)<BgL_odepthz00_744))
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_arg1790z00_746;
BgL_arg1790z00_746 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_742, ((long)3)); 
BgL_res1588z00_756 = 
(BgL_arg1790z00_746==BgL_classz00_726); }  else 
{ /* Llib/scheduler.scm 342 */
BgL_res1588z00_756 = ((bool_t)0); } } } } 
BgL_test1773z00_1682 = BgL_res1588z00_756; } }  else 
{ /* Llib/scheduler.scm 342 */
BgL_test1773z00_1682 = ((bool_t)0)
; } } } 
if(BgL_test1773z00_1682)
{ /* Llib/scheduler.scm 342 */
BgL_sz00_262 = 
CAR(
((obj_t)BgL_sz00_18)); }  else 
{ /* Llib/scheduler.scm 345 */
 obj_t BgL_arg1567z00_270;
BgL_arg1567z00_270 = 
CAR(
((obj_t)BgL_sz00_18)); 
BgL_sz00_262 = 
BGl_errorz00zz__errorz00(BGl_string1613z00zz__ft_schedulerz00, BGl_string1599z00zz__ft_schedulerz00, BgL_arg1567z00_270); } } 
return 
(int)(
(((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)
CAR(
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_sz00_262))))->BgL_envzb2zb2)))))->BgL_instantz00));} } 

}



/* &scheduler-instant */
obj_t BGl_z62schedulerzd2instantzb0zz__ft_schedulerz00(obj_t BgL_envz00_821, obj_t BgL_sz00_822)
{
{ /* Llib/scheduler.scm 338 */
return 
BINT(
BGl_schedulerzd2instantzd2zz__ft_schedulerz00(BgL_sz00_822));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1614z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(((long)0), 
BSTRING_TO_STRING(BGl_string1614z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(((long)398966270), 
BSTRING_TO_STRING(BGl_string1614z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52envz52(((long)471565054), 
BSTRING_TO_STRING(BGl_string1614z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(((long)536507091), 
BSTRING_TO_STRING(BGl_string1614z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_threadz00(((long)431919647), 
BSTRING_TO_STRING(BGl_string1614z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(((long)295111899), 
BSTRING_TO_STRING(BGl_string1614z00zz__ft_schedulerz00)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(((long)486293435), 
BSTRING_TO_STRING(BGl_string1614z00zz__ft_schedulerz00));} 

}

#ifdef __cplusplus
}
#endif
