/*===========================================================================*/
/*   (Llib/thread.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IPosix Llib/thread.scm -o objs/thread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_terminatedzd2threadzd2exceptionz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_terminatedzd2threadzd2exceptionz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_z52sigjoinz52_bgl {
   header_t header;
   obj_t widening;
   struct BgL_fthreadz00_bgl * BgL_threadz00;
} *BgL_z52sigjoinz52_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52sigasyncz52_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_spawnedz00;
   obj_t BgL_idz00;
   obj_t BgL_thunkz00;
} *BgL_z52sigasyncz52_bglt;

typedef struct BgL_joinzd2timeoutzd2exceptionz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_joinzd2timeoutzd2exceptionz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_threadzd2awaitza2z12z62zz__ft_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2specificzd2fthr1152z62zz__ft_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2getzd2valuesz12z70zz__ft_threadz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_threadzd2getzd2valuesza2z12zb0zz__ft_threadz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62threadzd2resumez12za2zz__ft_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_threadzd2awaitzd2valuesza2z12zb0zz__ft_threadz00(obj_t, obj_t);
extern bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ft_threadz00(void);
static obj_t BGl_z62threadzd2joinz12zd2fthread1144z70zz__ft_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__ft_threadz00(void);
static obj_t BGl_objectzd2initzd2zz__ft_threadz00(void);
BGL_IMPORT obj_t BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(bool_t);
static obj_t BGl_z62threadzd2awaitzd2valuesza2z12zd2zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_z62exceptionz62zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_threadzd2resumez12zc0zz__ft_threadz00(BgL_fthreadz00_bglt);
static obj_t BGl_z62threadzd2awaitz12za2zz__ft_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2writezd2fthread1146z62zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_methodzd2initzd2zz__ft_threadz00(void);
extern obj_t BGl_z52sigjoinz52zz__ft_typesz00;
extern obj_t BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62threadzd2cleanupzd2fthre1156z62zz__ft_threadz00(obj_t, obj_t);
extern bool_t BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_fthreadz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00 = BUNSPEC;
extern obj_t BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(obj_t, obj_t, BgL_threadz00_bglt);
extern bool_t BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_threadzd2getzd2valuesz12z12zz__ft_threadz00(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31345ze3ze5zz__ft_threadz00(obj_t, obj_t);
extern bool_t BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
extern obj_t BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_z52sigasyncz52_bglt);
BGL_IMPORT obj_t BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00;
static obj_t BGl_z62zc3z04anonymousza31185ze3ze5zz__ft_threadz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52envz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62threadzd2terminatez12zd2ft1150z70zz__ft_threadz00(obj_t, obj_t);
extern obj_t BGl_z52sigasyncz52zz__ft_z52typesz52;
BGL_IMPORT obj_t BGl_currentzd2threadzd2zz__threadz00(void);
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_threadzd2awaitz12zc0zz__ft_threadz00(obj_t, obj_t);
static BgL_joinzd2timeoutzd2exceptionz00_bglt BGl_z62lambda1341z62zz__ft_threadz00(obj_t, obj_t, obj_t, obj_t);
static BgL_joinzd2timeoutzd2exceptionz00_bglt BGl_z62lambda1343z62zz__ft_threadz00(obj_t);
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_threadz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_threadz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_threadz00(void);
extern obj_t BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_gczd2rootszd2initz00zz__ft_threadz00(void);
BGL_EXPORTED_DECL obj_t BGl_threadzd2suspendz12zc0zz__ft_threadz00(BgL_fthreadz00_bglt);
static obj_t BGl_z62threadzd2suspendz12za2zz__ft_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2specificzd2setz121154z70zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_signalzd2lookupzd2zz__ft_signalz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2awaitzd2valuesz12z70zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_threadzd2suspendzf2resumez12z32zz__ft_threadz00(BgL_fthreadz00_bglt, obj_t, bool_t);
extern obj_t BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt, int);
static obj_t BGl_z62threadzd2getzd2valuesza2z12zd2zz__ft_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2cleanupzd2setz12zd21158za2zz__ft_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2awaitza2z12z00zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_threadzd2awaitzd2valuesz12z12zz__ft_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern BgL_schedulerz00_bglt BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(obj_t, obj_t);
extern obj_t BGl_z52threadzd2asynchroniza7ez12z35zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
extern obj_t BGl_signalzd2valuezd2zz__ft_signalz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2startz12zd2fthrea1148z70zz__ft_threadz00(obj_t, obj_t, obj_t);
extern obj_t BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(obj_t);
extern obj_t BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62objectzd2equalzf3zd2z52sigjo1142zc3zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
extern obj_t BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
extern obj_t BGl_signalzd2lastzd2valuesz00zz__ft_signalz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31667ze3ze5zz__ft_threadz00(obj_t);
static obj_t __cnst[ 11 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2resumez12zd2envz12zz__ft_threadz00, BgL_bgl_za762threadza7d2resu1838z00, BGl_z62threadzd2resumez12za2zz__ft_threadz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2envz00zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2awaitz12zd2envz12zz__ft_threadz00, BgL_bgl_za762threadza7d2awai1839z00, va_generic_entry, BGl_z62threadzd2awaitz12za2zz__ft_threadz00, BUNSPEC, -2 );
BGL_IMPORT obj_t BGl_threadzd2startz12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
DEFINE_STRING( BGl_string1800z00zz__ft_threadz00, BgL_bgl_string1800za700za7za7_1840za7, "&thread-get-values*!", 20 );
DEFINE_STRING( BGl_string1801z00zz__ft_threadz00, BgL_bgl_string1801za700za7za7_1841za7, "&thread-await-values*!", 22 );
DEFINE_STRING( BGl_string1802z00zz__ft_threadz00, BgL_bgl_string1802za700za7za7_1842za7, "Unattached thread", 17 );
DEFINE_STRING( BGl_string1803z00zz__ft_threadz00, BgL_bgl_string1803za700za7za7_1843za7, "&thread-suspend!", 16 );
DEFINE_STRING( BGl_string1804z00zz__ft_threadz00, BgL_bgl_string1804za700za7za7_1844za7, "fthread", 7 );
DEFINE_STRING( BGl_string1805z00zz__ft_threadz00, BgL_bgl_string1805za700za7za7_1845za7, "&thread-resume!", 15 );
BGL_IMPORT obj_t BGl_threadzd2joinz12zd2envz12zz__threadz00;
DEFINE_STRING( BGl_string1810z00zz__ft_threadz00, BgL_bgl_string1810za700za7za7_1846za7, "object-equal?", 13 );
DEFINE_STRING( BGl_string1812z00zz__ft_threadz00, BgL_bgl_string1812za700za7za7_1847za7, "thread-join!", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1806z00zz__ft_threadz00, BgL_bgl_za762za7c3za704anonymo1848za7, BGl_z62zc3z04anonymousza31345ze3ze5zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1807z00zz__ft_threadz00, BgL_bgl_za762lambda1343za7621849z00, BGl_z62lambda1343z62zz__ft_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1814z00zz__ft_threadz00, BgL_bgl_string1814za700za7za7_1850za7, "object-write", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1808z00zz__ft_threadz00, BgL_bgl_za762lambda1341za7621851z00, BGl_z62lambda1341z62zz__ft_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1809z00zz__ft_threadz00, BgL_bgl_za762objectza7d2equa1852z00, BGl_z62objectzd2equalzf3zd2z52sigjo1142zc3zz__ft_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1816z00zz__ft_threadz00, BgL_bgl_string1816za700za7za7_1853za7, "thread-start!", 13 );
DEFINE_STRING( BGl_string1818z00zz__ft_threadz00, BgL_bgl_string1818za700za7za7_1854za7, "thread-terminate!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1811z00zz__ft_threadz00, BgL_bgl_za762threadza7d2join1855z00, va_generic_entry, BGl_z62threadzd2joinz12zd2fthread1144z70zz__ft_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1813z00zz__ft_threadz00, BgL_bgl_za762objectza7d2writ1856z00, va_generic_entry, BGl_z62objectzd2writezd2fthread1146z62zz__ft_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1820z00zz__ft_threadz00, BgL_bgl_string1820za700za7za7_1857za7, "thread-specific", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1815z00zz__ft_threadz00, BgL_bgl_za762threadza7d2star1858z00, va_generic_entry, BGl_z62threadzd2startz12zd2fthrea1148z70zz__ft_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1822z00zz__ft_threadz00, BgL_bgl_string1822za700za7za7_1859za7, "thread-specific-set!", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1817z00zz__ft_threadz00, BgL_bgl_za762threadza7d2term1860z00, BGl_z62threadzd2terminatez12zd2ft1150z70zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1824z00zz__ft_threadz00, BgL_bgl_string1824za700za7za7_1861za7, "thread-cleanup", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1819z00zz__ft_threadz00, BgL_bgl_za762threadza7d2spec1862z00, BGl_z62threadzd2specificzd2fthr1152z62zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1826z00zz__ft_threadz00, BgL_bgl_string1826za700za7za7_1863za7, "thread-cleanup-set!", 19 );
DEFINE_STRING( BGl_string1827z00zz__ft_threadz00, BgL_bgl_string1827za700za7za7_1864za7, "thread already running", 22 );
DEFINE_STRING( BGl_string1828z00zz__ft_threadz00, BgL_bgl_string1828za700za7za7_1865za7, ">", 1 );
DEFINE_STRING( BGl_string1829z00zz__ft_threadz00, BgL_bgl_string1829za700za7za7_1866za7, " signals=", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1821z00zz__ft_threadz00, BgL_bgl_za762threadza7d2spec1867z00, BGl_z62threadzd2specificzd2setz121154z70zz__ft_threadz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_threadzd2specificzd2envz00zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1823z00zz__ft_threadz00, BgL_bgl_za762threadza7d2clea1868z00, BGl_z62threadzd2cleanupzd2fthre1156z62zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1830z00zz__ft_threadz00, BgL_bgl_string1830za700za7za7_1869za7, " timeout=", 9 );
DEFINE_STRING( BGl_string1831z00zz__ft_threadz00, BgL_bgl_string1831za700za7za7_1870za7, " state=", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1825z00zz__ft_threadz00, BgL_bgl_za762threadza7d2clea1871z00, BGl_z62threadzd2cleanupzd2setz12zd21158za2zz__ft_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1832z00zz__ft_threadz00, BgL_bgl_string1832za700za7za7_1872za7, "#<fthread:", 10 );
DEFINE_STRING( BGl_string1833z00zz__ft_threadz00, BgL_bgl_string1833za700za7za7_1873za7, "thread-join", 11 );
DEFINE_STRING( BGl_string1834z00zz__ft_threadz00, BgL_bgl_string1834za700za7za7_1874za7, "integer", 7 );
DEFINE_STRING( BGl_string1835z00zz__ft_threadz00, BgL_bgl_string1835za700za7za7_1875za7, "__ft_thread", 11 );
DEFINE_STRING( BGl_string1836z00zz__ft_threadz00, BgL_bgl_string1836za700za7za7_1876za7, "dead terminated started thread-start! thread-terminate! __ft_thread join-timeout-exception thread-resume! thread-suspend! end init ", 131 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2awaitzd2valuesza2z12zd2envz62zz__ft_threadz00, BgL_bgl_za762threadza7d2awai1877z00, va_generic_entry, BGl_z62threadzd2awaitzd2valuesza2z12zd2zz__ft_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1791z00zz__ft_threadz00, BgL_bgl_string1791za700za7za7_1878za7, "Llib/thread.scm", 15 );
DEFINE_STRING( BGl_string1792z00zz__ft_threadz00, BgL_bgl_string1792za700za7za7_1879za7, "thread-await", 12 );
DEFINE_STRING( BGl_string1793z00zz__ft_threadz00, BgL_bgl_string1793za700za7za7_1880za7, "Illegal timeout", 15 );
DEFINE_STRING( BGl_string1794z00zz__ft_threadz00, BgL_bgl_string1794za700za7za7_1881za7, "unattached thread", 17 );
DEFINE_STRING( BGl_string1795z00zz__ft_threadz00, BgL_bgl_string1795za700za7za7_1882za7, "no such thread", 14 );
DEFINE_STRING( BGl_string1796z00zz__ft_threadz00, BgL_bgl_string1796za700za7za7_1883za7, "thread-await*", 13 );
DEFINE_STRING( BGl_string1797z00zz__ft_threadz00, BgL_bgl_string1797za700za7za7_1884za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/fthread/src/Llib/thread.scm", 67 );
DEFINE_STRING( BGl_string1798z00zz__ft_threadz00, BgL_bgl_string1798za700za7za7_1885za7, "&thread-await*!", 15 );
DEFINE_STRING( BGl_string1799z00zz__ft_threadz00, BgL_bgl_string1799za700za7za7_1886za7, "pair", 4 );
BGL_IMPORT obj_t BGl_objectzd2equalzf3zd2envzf3zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2getzd2valuesza2z12zd2envz62zz__ft_threadz00, BgL_bgl_za762threadza7d2getza71887za7, BGl_z62threadzd2getzd2valuesza2z12zd2zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2suspendz12zd2envz12zz__ft_threadz00, BgL_bgl_za762threadza7d2susp1888z00, BGl_z62threadzd2suspendz12za2zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2awaitza2z12zd2envzb0zz__ft_threadz00, BgL_bgl_za762threadza7d2awai1889z00, va_generic_entry, BGl_z62threadzd2awaitza2z12z00zz__ft_threadz00, BUNSPEC, -2 );
BGL_IMPORT obj_t BGl_threadzd2terminatez12zd2envz12zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2getzd2valuesz12zd2envzc0zz__ft_threadz00, BgL_bgl_za762threadza7d2getza71890za7, BGl_z62threadzd2getzd2valuesz12z70zz__ft_threadz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2awaitzd2valuesz12zd2envzc0zz__ft_threadz00, BgL_bgl_za762threadza7d2awai1891z00, va_generic_entry, BGl_z62threadzd2awaitzd2valuesz12z70zz__ft_threadz00, BUNSPEC, -2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_threadz00) );
ADD_ROOT( (void *)(&BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_threadz00(long BgL_checksumz00_1066, char * BgL_fromz00_1067)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_threadz00))
{ 
BGl_requirezd2initializa7ationz75zz__ft_threadz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__ft_threadz00(); 
BGl_libraryzd2moduleszd2initz00zz__ft_threadz00(); 
BGl_cnstzd2initzd2zz__ft_threadz00(); 
BGl_importedzd2moduleszd2initz00zz__ft_threadz00(); 
BGl_objectzd2initzd2zz__ft_threadz00(); 
BGl_methodzd2initzd2zz__ft_threadz00(); 
return 
BGl_toplevelzd2initzd2zz__ft_threadz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__libraryz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ft_thread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
{ /* Llib/thread.scm 15 */
 obj_t BgL_cportz00_927;
{ /* Llib/thread.scm 15 */
 obj_t BgL_stringz00_934;
BgL_stringz00_934 = BGl_string1836z00zz__ft_threadz00; 
{ /* Llib/thread.scm 15 */
 obj_t BgL_startz00_935;
BgL_startz00_935 = 
BINT(((long)0)); 
{ /* Llib/thread.scm 15 */
 obj_t BgL_endz00_936;
BgL_endz00_936 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_934))); 
{ /* Llib/thread.scm 15 */

BgL_cportz00_927 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_934, BgL_startz00_935, BgL_endz00_936); } } } } 
{ 
 long BgL_iz00_928;
BgL_iz00_928 = ((long)10); 
BgL_loopz00_929:
if(
(BgL_iz00_928==((long)-1)))
{ /* Llib/thread.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/thread.scm 15 */
{ /* Llib/thread.scm 15 */
 obj_t BgL_arg1837z00_930;
{ /* Llib/thread.scm 15 */

{ /* Llib/thread.scm 15 */
 obj_t BgL_locationz00_932;
BgL_locationz00_932 = 
BBOOL(((bool_t)0)); 
{ /* Llib/thread.scm 15 */

BgL_arg1837z00_930 = 
BGl_readz00zz__readerz00(BgL_cportz00_927, BgL_locationz00_932); } } } 
{ /* Llib/thread.scm 15 */
 int BgL_tmpz00_1104;
BgL_tmpz00_1104 = 
(int)(BgL_iz00_928); 
CNST_TABLE_SET(BgL_tmpz00_1104, BgL_arg1837z00_930); } } 
{ /* Llib/thread.scm 15 */
 int BgL_auxz00_933;
BgL_auxz00_933 = 
(int)(
(BgL_iz00_928-((long)1))); 
{ 
 long BgL_iz00_1109;
BgL_iz00_1109 = 
(long)(BgL_auxz00_933); 
BgL_iz00_928 = BgL_iz00_1109; 
goto BgL_loopz00_929;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1791z00zz__ft_threadz00)); 
BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(((bool_t)1)); 
return BUNSPEC;} 

}



/* thread-await! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2awaitz12zc0zz__ft_threadz00(obj_t BgL_sigz00_7, obj_t BgL_argz00_8)
{
{ /* Llib/thread.scm 107 */
{ /* Llib/thread.scm 108 */
 obj_t BgL_tz00_42;
BgL_tz00_42 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/thread.scm 108 */

{ 
 BgL_schedulerz00_bglt BgL_scdlz00_79; obj_t BgL_sigz00_80; obj_t BgL_timeoutz00_81; BgL_schedulerz00_bglt BgL_scdlz00_53; obj_t BgL_sigz00_54;
{ /* Llib/thread.scm 159 */
 bool_t BgL_test1894z00_1116;
{ /* Llib/thread.scm 159 */
 obj_t BgL_classz00_497;
BgL_classz00_497 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_42))
{ /* Llib/thread.scm 159 */
 BgL_objectz00_bglt BgL_arg1793z00_499;
BgL_arg1793z00_499 = 
(BgL_objectz00_bglt)(BgL_tz00_42); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 159 */
 long BgL_idxz00_505;
BgL_idxz00_505 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_499); 
BgL_test1894z00_1116 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_505+((long)1)))==BgL_classz00_497); }  else 
{ /* Llib/thread.scm 159 */
 bool_t BgL_res1757z00_527;
{ /* Llib/thread.scm 159 */
 obj_t BgL_oclassz00_513;
{ /* Llib/thread.scm 159 */
 long BgL_arg1801z00_519;
{ /* Llib/thread.scm 159 */
 long BgL_arg1802z00_520;
BgL_arg1802z00_520 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_499); 
BgL_arg1801z00_519 = 
(BgL_arg1802z00_520-OBJECT_TYPE); } 
BgL_oclassz00_513 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_519); } 
{ /* Llib/thread.scm 159 */
 bool_t BgL__ortest_1110z00_514;
BgL__ortest_1110z00_514 = 
(BgL_classz00_497==BgL_oclassz00_513); 
if(BgL__ortest_1110z00_514)
{ /* Llib/thread.scm 159 */
BgL_res1757z00_527 = BgL__ortest_1110z00_514; }  else 
{ /* Llib/thread.scm 159 */
 long BgL_odepthz00_515;
BgL_odepthz00_515 = 
BGL_CLASS_DEPTH(BgL_oclassz00_513); 
if(
(((long)1)<BgL_odepthz00_515))
{ /* Llib/thread.scm 159 */
 obj_t BgL_arg1790z00_517;
BgL_arg1790z00_517 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_513, ((long)1)); 
BgL_res1757z00_527 = 
(BgL_arg1790z00_517==BgL_classz00_497); }  else 
{ /* Llib/thread.scm 159 */
BgL_res1757z00_527 = ((bool_t)0); } } } } 
BgL_test1894z00_1116 = BgL_res1757z00_527; } }  else 
{ /* Llib/thread.scm 159 */
BgL_test1894z00_1116 = ((bool_t)0)
; } } 
if(BgL_test1894z00_1116)
{ /* Llib/thread.scm 159 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_42)))
{ /* Llib/thread.scm 161 */
if(
PAIRP(BgL_argz00_8))
{ /* Llib/thread.scm 165 */
 obj_t BgL_arg1170z00_49; obj_t BgL_arg1171z00_50;
BgL_arg1170z00_49 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_42)))->BgL_schedulerz00); 
BgL_arg1171z00_50 = 
CAR(BgL_argz00_8); 
BgL_scdlz00_79 = 
((BgL_schedulerz00_bglt)BgL_arg1170z00_49); 
BgL_sigz00_80 = BgL_sigz00_7; 
BgL_timeoutz00_81 = BgL_arg1171z00_50; 
{ /* Llib/thread.scm 137 */
 bool_t BgL_test1901z00_1144;
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_timeoutz00_81))
{ /* Llib/thread.scm 137 */
if(
INTEGERP(BgL_timeoutz00_81))
{ /* Llib/thread.scm 137 */
BgL_test1901z00_1144 = 
(
(long)CINT(BgL_timeoutz00_81)>((long)0))
; }  else 
{ /* Llib/thread.scm 137 */
BgL_test1901z00_1144 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_timeoutz00_81, 
BINT(((long)0)))
; } }  else 
{ /* Llib/thread.scm 137 */
BgL_test1901z00_1144 = ((bool_t)0)
; } 
if(BgL_test1901z00_1144)
{ /* Llib/thread.scm 140 */
 bool_t BgL_test1904z00_1153;
{ /* Llib/thread.scm 140 */
 obj_t BgL_arg1210z00_95;
BgL_arg1210z00_95 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_79))->BgL_envzb2zb2); 
BgL_test1904z00_1153 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_sigz00_80, BgL_arg1210z00_95)); } 
if(BgL_test1904z00_1153)
{ /* Llib/thread.scm 140 */
return 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_sigz00_80, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_79))->BgL_envzb2zb2));}  else 
{ /* Llib/thread.scm 140 */
{ /* Llib/thread.scm 144 */
 obj_t BgL_arg1199z00_89;
BgL_arg1199z00_89 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_79))->BgL_envzb2zb2); 
BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(BgL_sigz00_80, BgL_arg1199z00_89, 
((BgL_threadz00_bglt)BgL_tz00_42)); } 
{ /* Llib/thread.scm 147 */
 bool_t BgL_test1905z00_1162;
{ /* Llib/thread.scm 147 */
 obj_t BgL_classz00_466;
BgL_classz00_466 = BGl_z52sigasyncz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_sigz00_80))
{ /* Llib/thread.scm 147 */
 BgL_objectz00_bglt BgL_arg1793z00_468;
BgL_arg1793z00_468 = 
(BgL_objectz00_bglt)(BgL_sigz00_80); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 147 */
 long BgL_idxz00_474;
BgL_idxz00_474 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_468); 
BgL_test1905z00_1162 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_474+((long)1)))==BgL_classz00_466); }  else 
{ /* Llib/thread.scm 147 */
 bool_t BgL_res1756z00_496;
{ /* Llib/thread.scm 147 */
 obj_t BgL_oclassz00_482;
{ /* Llib/thread.scm 147 */
 long BgL_arg1801z00_488;
{ /* Llib/thread.scm 147 */
 long BgL_arg1802z00_489;
BgL_arg1802z00_489 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_468); 
BgL_arg1801z00_488 = 
(BgL_arg1802z00_489-OBJECT_TYPE); } 
BgL_oclassz00_482 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_488); } 
{ /* Llib/thread.scm 147 */
 bool_t BgL__ortest_1110z00_483;
BgL__ortest_1110z00_483 = 
(BgL_classz00_466==BgL_oclassz00_482); 
if(BgL__ortest_1110z00_483)
{ /* Llib/thread.scm 147 */
BgL_res1756z00_496 = BgL__ortest_1110z00_483; }  else 
{ /* Llib/thread.scm 147 */
 long BgL_odepthz00_484;
BgL_odepthz00_484 = 
BGL_CLASS_DEPTH(BgL_oclassz00_482); 
if(
(((long)1)<BgL_odepthz00_484))
{ /* Llib/thread.scm 147 */
 obj_t BgL_arg1790z00_486;
BgL_arg1790z00_486 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_482, ((long)1)); 
BgL_res1756z00_496 = 
(BgL_arg1790z00_486==BgL_classz00_466); }  else 
{ /* Llib/thread.scm 147 */
BgL_res1756z00_496 = ((bool_t)0); } } } } 
BgL_test1905z00_1162 = BgL_res1756z00_496; } }  else 
{ /* Llib/thread.scm 147 */
BgL_test1905z00_1162 = ((bool_t)0)
; } } 
if(BgL_test1905z00_1162)
{ /* Llib/thread.scm 147 */
BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_79), 
((BgL_z52sigasyncz52_bglt)BgL_sigz00_80)); }  else 
{ /* Llib/thread.scm 147 */BFALSE; } } 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_42), 
CINT(BgL_timeoutz00_81)); 
{ /* Llib/thread.scm 152 */
 bool_t BgL_test1910z00_1188;
{ /* Llib/thread.scm 152 */
 obj_t BgL_arg1208z00_94;
BgL_arg1208z00_94 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_79))->BgL_envzb2zb2); 
BgL_test1910z00_1188 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_sigz00_80, BgL_arg1208z00_94)); } 
if(BgL_test1910z00_1188)
{ /* Llib/thread.scm 152 */
return 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_sigz00_80, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_79))->BgL_envzb2zb2));}  else 
{ /* Llib/thread.scm 152 */
return BFALSE;} } } }  else 
{ /* Llib/thread.scm 137 */
return 
BGl_errorz00zz__errorz00(BGl_string1792z00zz__ft_threadz00, BGl_string1793z00zz__ft_threadz00, BgL_timeoutz00_81);} } }  else 
{ /* Llib/thread.scm 168 */
 obj_t BgL_arg1174z00_52;
BgL_arg1174z00_52 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_42)))->BgL_schedulerz00); 
BgL_scdlz00_53 = 
((BgL_schedulerz00_bglt)BgL_arg1174z00_52); 
BgL_sigz00_54 = BgL_sigz00_7; 
{ /* Llib/thread.scm 113 */
 bool_t BgL_test1911z00_1198;
{ /* Llib/thread.scm 113 */
 obj_t BgL_arg1190z00_78;
BgL_arg1190z00_78 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_53))->BgL_envzb2zb2); 
BgL_test1911z00_1198 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_sigz00_54, BgL_arg1190z00_78)); } 
if(BgL_test1911z00_1198)
{ /* Llib/thread.scm 113 */
return 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_sigz00_54, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_53))->BgL_envzb2zb2));}  else 
{ /* Llib/thread.scm 116 */
 bool_t BgL_test1912z00_1204;
{ /* Llib/thread.scm 116 */
 bool_t BgL_test1913z00_1205;
{ /* Llib/thread.scm 116 */
 obj_t BgL_classz00_427;
BgL_classz00_427 = BGl_z52sigasyncz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_sigz00_54))
{ /* Llib/thread.scm 116 */
 BgL_objectz00_bglt BgL_arg1793z00_429;
BgL_arg1793z00_429 = 
(BgL_objectz00_bglt)(BgL_sigz00_54); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 116 */
 long BgL_idxz00_435;
BgL_idxz00_435 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_429); 
BgL_test1913z00_1205 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_435+((long)1)))==BgL_classz00_427); }  else 
{ /* Llib/thread.scm 116 */
 bool_t BgL_res1755z00_457;
{ /* Llib/thread.scm 116 */
 obj_t BgL_oclassz00_443;
{ /* Llib/thread.scm 116 */
 long BgL_arg1801z00_449;
{ /* Llib/thread.scm 116 */
 long BgL_arg1802z00_450;
BgL_arg1802z00_450 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_429); 
BgL_arg1801z00_449 = 
(BgL_arg1802z00_450-OBJECT_TYPE); } 
BgL_oclassz00_443 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_449); } 
{ /* Llib/thread.scm 116 */
 bool_t BgL__ortest_1110z00_444;
BgL__ortest_1110z00_444 = 
(BgL_classz00_427==BgL_oclassz00_443); 
if(BgL__ortest_1110z00_444)
{ /* Llib/thread.scm 116 */
BgL_res1755z00_457 = BgL__ortest_1110z00_444; }  else 
{ /* Llib/thread.scm 116 */
 long BgL_odepthz00_445;
BgL_odepthz00_445 = 
BGL_CLASS_DEPTH(BgL_oclassz00_443); 
if(
(((long)1)<BgL_odepthz00_445))
{ /* Llib/thread.scm 116 */
 obj_t BgL_arg1790z00_447;
BgL_arg1790z00_447 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_443, ((long)1)); 
BgL_res1755z00_457 = 
(BgL_arg1790z00_447==BgL_classz00_427); }  else 
{ /* Llib/thread.scm 116 */
BgL_res1755z00_457 = ((bool_t)0); } } } } 
BgL_test1913z00_1205 = BgL_res1755z00_457; } }  else 
{ /* Llib/thread.scm 116 */
BgL_test1913z00_1205 = ((bool_t)0)
; } } 
if(BgL_test1913z00_1205)
{ /* Llib/thread.scm 116 */
if(
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_sigz00_54)))->BgL_spawnedz00))
{ /* Llib/thread.scm 118 */
BgL_test1912z00_1204 = ((bool_t)0)
; }  else 
{ /* Llib/thread.scm 118 */
BgL_test1912z00_1204 = ((bool_t)1)
; } }  else 
{ /* Llib/thread.scm 116 */
BgL_test1912z00_1204 = ((bool_t)0)
; } } 
if(BgL_test1912z00_1204)
{ /* Llib/thread.scm 116 */
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_sigz00_54)))->BgL_spawnedz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/thread.scm 123 */
 obj_t BgL_arg1183z00_65;
BgL_arg1183z00_65 = 
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_sigz00_54)))->BgL_idz00); 
BGl_z52threadzd2asynchroniza7ez12z35zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_42), BgL_arg1183z00_65); } 
{ /* Llib/thread.scm 124 */
 obj_t BgL_resz00_66;
{ /* Llib/thread.scm 124 */
 obj_t BgL_exitd1083z00_67;
BgL_exitd1083z00_67 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/thread.scm 126 */
 obj_t BgL_zc3z04anonymousza31185ze3z87_820;
BgL_zc3z04anonymousza31185ze3z87_820 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31185ze3ze5zz__ft_threadz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31185ze3z87_820, 
(int)(((long)0)), BgL_tz00_42); 
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1812z00_458;
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1813z00_459;
BgL_arg1813z00_459 = 
BGL_EXITD_PROTECT(BgL_exitd1083z00_67); 
BgL_arg1812z00_458 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31185ze3z87_820, BgL_arg1813z00_459); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1083z00_67, BgL_arg1812z00_458); BUNSPEC; } 
{ /* Llib/thread.scm 125 */
 obj_t BgL_tmp1085z00_69;
{ /* Llib/thread.scm 125 */
 obj_t BgL_fun1184z00_70;
BgL_fun1184z00_70 = 
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_sigz00_54)))->BgL_thunkz00); 
BgL_tmp1085z00_69 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1184z00_70))(BgL_fun1184z00_70, BEOA); } 
{ /* Llib/thread.scm 124 */
 bool_t BgL_test1919z00_1248;
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1811z00_461;
BgL_arg1811z00_461 = 
BGL_EXITD_PROTECT(BgL_exitd1083z00_67); 
BgL_test1919z00_1248 = 
PAIRP(BgL_arg1811z00_461); } 
if(BgL_test1919z00_1248)
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1809z00_462;
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1810z00_463;
BgL_arg1810z00_463 = 
BGL_EXITD_PROTECT(BgL_exitd1083z00_67); 
BgL_arg1809z00_462 = 
CDR(
((obj_t)BgL_arg1810z00_463)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1083z00_67, BgL_arg1809z00_462); BUNSPEC; }  else 
{ /* Llib/thread.scm 124 */BFALSE; } } 
BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(BgL_tz00_42); 
BgL_resz00_66 = BgL_tmp1085z00_69; } } } 
BGl_z52broadcastz12z40zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_53), BgL_sigz00_54, BgL_resz00_66); 
return BgL_resz00_66;} }  else 
{ /* Llib/thread.scm 116 */
{ /* Llib/thread.scm 131 */
 obj_t BgL_arg1187z00_73;
BgL_arg1187z00_73 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_53))->BgL_envzb2zb2); 
BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(BgL_sigz00_54, BgL_arg1187z00_73, 
((BgL_threadz00_bglt)BgL_tz00_42)); } 
BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_42)); 
return 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_sigz00_54, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_53))->BgL_envzb2zb2));} } } } }  else 
{ /* Llib/thread.scm 161 */
return 
BGl_errorz00zz__errorz00(BGl_string1792z00zz__ft_threadz00, BGl_string1794z00zz__ft_threadz00, BgL_tz00_42);} }  else 
{ /* Llib/thread.scm 159 */
return 
BGl_errorz00zz__errorz00(BGl_string1792z00zz__ft_threadz00, BGl_string1795z00zz__ft_threadz00, BgL_tz00_42);} } } } } } 

}



/* &thread-await! */
obj_t BGl_z62threadzd2awaitz12za2zz__ft_threadz00(obj_t BgL_envz00_821, obj_t BgL_sigz00_822, obj_t BgL_argz00_823)
{
{ /* Llib/thread.scm 107 */
return 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(BgL_sigz00_822, BgL_argz00_823);} 

}



/* &<@anonymous:1185> */
obj_t BGl_z62zc3z04anonymousza31185ze3ze5zz__ft_threadz00(obj_t BgL_envz00_824)
{
{ /* Llib/thread.scm 124 */
return 
BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(
PROCEDURE_REF(BgL_envz00_824, 
(int)(((long)0))));} 

}



/* thread-await*! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2awaitza2z12z62zz__ft_threadz00(obj_t BgL_sza2za2_9, obj_t BgL_argz00_10)
{
{ /* Llib/thread.scm 173 */
{ /* Llib/thread.scm 174 */
 obj_t BgL_tz00_99;
BgL_tz00_99 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/thread.scm 174 */

{ 
 obj_t BgL_eza2za2_141; obj_t BgL_sz00_142; obj_t BgL_timeoutz00_143; obj_t BgL_eza2za2_110; obj_t BgL_sz00_111;
{ /* Llib/thread.scm 215 */
 bool_t BgL_test1920z00_1273;
{ /* Llib/thread.scm 215 */
 obj_t BgL_classz00_542;
BgL_classz00_542 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_99))
{ /* Llib/thread.scm 215 */
 BgL_objectz00_bglt BgL_arg1793z00_544;
BgL_arg1793z00_544 = 
(BgL_objectz00_bglt)(BgL_tz00_99); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 215 */
 long BgL_idxz00_550;
BgL_idxz00_550 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_544); 
BgL_test1920z00_1273 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_550+((long)1)))==BgL_classz00_542); }  else 
{ /* Llib/thread.scm 215 */
 bool_t BgL_res1758z00_572;
{ /* Llib/thread.scm 215 */
 obj_t BgL_oclassz00_558;
{ /* Llib/thread.scm 215 */
 long BgL_arg1801z00_564;
{ /* Llib/thread.scm 215 */
 long BgL_arg1802z00_565;
BgL_arg1802z00_565 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_544); 
BgL_arg1801z00_564 = 
(BgL_arg1802z00_565-OBJECT_TYPE); } 
BgL_oclassz00_558 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_564); } 
{ /* Llib/thread.scm 215 */
 bool_t BgL__ortest_1110z00_559;
BgL__ortest_1110z00_559 = 
(BgL_classz00_542==BgL_oclassz00_558); 
if(BgL__ortest_1110z00_559)
{ /* Llib/thread.scm 215 */
BgL_res1758z00_572 = BgL__ortest_1110z00_559; }  else 
{ /* Llib/thread.scm 215 */
 long BgL_odepthz00_560;
BgL_odepthz00_560 = 
BGL_CLASS_DEPTH(BgL_oclassz00_558); 
if(
(((long)1)<BgL_odepthz00_560))
{ /* Llib/thread.scm 215 */
 obj_t BgL_arg1790z00_562;
BgL_arg1790z00_562 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_558, ((long)1)); 
BgL_res1758z00_572 = 
(BgL_arg1790z00_562==BgL_classz00_542); }  else 
{ /* Llib/thread.scm 215 */
BgL_res1758z00_572 = ((bool_t)0); } } } } 
BgL_test1920z00_1273 = BgL_res1758z00_572; } }  else 
{ /* Llib/thread.scm 215 */
BgL_test1920z00_1273 = ((bool_t)0)
; } } 
if(BgL_test1920z00_1273)
{ /* Llib/thread.scm 215 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_99)))
{ /* Llib/thread.scm 217 */
if(
PAIRP(BgL_argz00_10))
{ /* Llib/thread.scm 221 */
 obj_t BgL_arg1214z00_106; obj_t BgL_arg1215z00_107;
BgL_arg1214z00_106 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_99)))->BgL_schedulerz00); 
BgL_arg1215z00_107 = 
CAR(BgL_argz00_10); 
BgL_eza2za2_141 = BgL_sza2za2_9; 
BgL_sz00_142 = BgL_arg1214z00_106; 
BgL_timeoutz00_143 = BgL_arg1215z00_107; 
{ /* Llib/thread.scm 194 */
 bool_t BgL_test1927z00_1301;
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_timeoutz00_143))
{ /* Llib/thread.scm 194 */
if(
INTEGERP(BgL_timeoutz00_143))
{ /* Llib/thread.scm 194 */
BgL_test1927z00_1301 = 
(
(long)CINT(BgL_timeoutz00_143)>=((long)0))
; }  else 
{ /* Llib/thread.scm 194 */
BgL_test1927z00_1301 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_timeoutz00_143, 
BINT(((long)0)))
; } }  else 
{ /* Llib/thread.scm 194 */
BgL_test1927z00_1301 = ((bool_t)0)
; } 
if(BgL_test1927z00_1301)
{ /* Llib/thread.scm 196 */
 obj_t BgL_g1094z00_148;
BgL_g1094z00_148 = 
CNST_TABLE_REF(((long)0)); 
{ 
 obj_t BgL_esz00_150; obj_t BgL_stagez00_151;
BgL_esz00_150 = BgL_eza2za2_141; 
BgL_stagez00_151 = BgL_g1094z00_148; 
BgL_zc3z04anonymousza31238ze3z87_152:
if(
NULLP(BgL_esz00_150))
{ /* Llib/thread.scm 199 */
if(
(BgL_stagez00_151==
CNST_TABLE_REF(((long)0))))
{ /* Llib/thread.scm 200 */
{ /* Llib/thread.scm 202 */
 BgL_schedulerz00_bglt BgL_i1096z00_155;
BgL_i1096z00_155 = 
((BgL_schedulerz00_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_99)))->BgL_schedulerz00)); 
{ 
 obj_t BgL_l1125z00_157;
BgL_l1125z00_157 = BgL_eza2za2_141; 
BgL_zc3z04anonymousza31240ze3z87_158:
if(
PAIRP(BgL_l1125z00_157))
{ /* Llib/thread.scm 203 */
{ /* Llib/thread.scm 204 */
 obj_t BgL_ez00_160;
BgL_ez00_160 = 
CAR(BgL_l1125z00_157); 
{ /* Llib/thread.scm 204 */
 obj_t BgL_arg1246z00_161;
BgL_arg1246z00_161 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_i1096z00_155))->BgL_envzb2zb2); 
BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(BgL_ez00_160, BgL_arg1246z00_161, 
((BgL_threadz00_bglt)BgL_tz00_99)); } } 
{ 
 obj_t BgL_l1125z00_1325;
BgL_l1125z00_1325 = 
CDR(BgL_l1125z00_157); 
BgL_l1125z00_157 = BgL_l1125z00_1325; 
goto BgL_zc3z04anonymousza31240ze3z87_158;} }  else 
{ /* Llib/thread.scm 203 */((bool_t)1); } } } 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_99), 
CINT(BgL_timeoutz00_143)); 
{ 
 obj_t BgL_stagez00_1331; obj_t BgL_esz00_1330;
BgL_esz00_1330 = BgL_eza2za2_141; 
BgL_stagez00_1331 = 
CNST_TABLE_REF(((long)1)); 
BgL_stagez00_151 = BgL_stagez00_1331; 
BgL_esz00_150 = BgL_esz00_1330; 
goto BgL_zc3z04anonymousza31238ze3z87_152;} }  else 
{ /* Llib/thread.scm 200 */
{ /* Llib/thread.scm 208 */
 int BgL_tmpz00_1333;
BgL_tmpz00_1333 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1333); } 
{ /* Llib/thread.scm 208 */
 int BgL_tmpz00_1336;
BgL_tmpz00_1336 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1336, BFALSE); } 
return BFALSE;} }  else 
{ /* Llib/thread.scm 209 */
 bool_t BgL_test1933z00_1339;
{ /* Llib/thread.scm 209 */
 obj_t BgL_arg1254z00_174; obj_t BgL_arg1255z00_175;
BgL_arg1254z00_174 = 
CAR(
((obj_t)BgL_esz00_150)); 
BgL_arg1255z00_175 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_142)))->BgL_envzb2zb2); 
BgL_test1933z00_1339 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_arg1254z00_174, BgL_arg1255z00_175)); } 
if(BgL_test1933z00_1339)
{ /* Llib/thread.scm 210 */
 obj_t BgL_val0_1129z00_169; obj_t BgL_val1_1130z00_170;
{ /* Llib/thread.scm 210 */
 obj_t BgL_arg1251z00_171; obj_t BgL_arg1252z00_172;
BgL_arg1251z00_171 = 
CAR(
((obj_t)BgL_esz00_150)); 
BgL_arg1252z00_172 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_142)))->BgL_envzb2zb2); 
BgL_val0_1129z00_169 = 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_arg1251z00_171, BgL_arg1252z00_172); } 
BgL_val1_1130z00_170 = 
CAR(
((obj_t)BgL_esz00_150)); 
{ /* Llib/thread.scm 210 */
 int BgL_tmpz00_1353;
BgL_tmpz00_1353 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1353); } 
{ /* Llib/thread.scm 210 */
 int BgL_tmpz00_1356;
BgL_tmpz00_1356 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1356, BgL_val1_1130z00_170); } 
return BgL_val0_1129z00_169;}  else 
{ /* Llib/thread.scm 212 */
 obj_t BgL_arg1253z00_173;
BgL_arg1253z00_173 = 
CDR(
((obj_t)BgL_esz00_150)); 
{ 
 obj_t BgL_esz00_1361;
BgL_esz00_1361 = BgL_arg1253z00_173; 
BgL_esz00_150 = BgL_esz00_1361; 
goto BgL_zc3z04anonymousza31238ze3z87_152;} } } } }  else 
{ /* Llib/thread.scm 194 */
return 
BGl_errorz00zz__errorz00(BGl_string1796z00zz__ft_threadz00, BGl_string1793z00zz__ft_threadz00, BgL_timeoutz00_143);} } }  else 
{ /* Llib/thread.scm 224 */
 obj_t BgL_arg1216z00_109;
BgL_arg1216z00_109 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_99)))->BgL_schedulerz00); 
BgL_eza2za2_110 = BgL_sza2za2_9; 
BgL_sz00_111 = BgL_arg1216z00_109; 
{ 
 obj_t BgL_esz00_115;
BgL_esz00_115 = BgL_eza2za2_110; 
BgL_zc3z04anonymousza31218ze3z87_116:
if(
NULLP(BgL_esz00_115))
{ /* Llib/thread.scm 180 */
{ 
 obj_t BgL_l1119z00_120;
BgL_l1119z00_120 = BgL_eza2za2_110; 
BgL_zc3z04anonymousza31220ze3z87_121:
if(
PAIRP(BgL_l1119z00_120))
{ /* Llib/thread.scm 182 */
{ /* Llib/thread.scm 183 */
 obj_t BgL_ez00_123;
BgL_ez00_123 = 
CAR(BgL_l1119z00_120); 
{ /* Llib/thread.scm 183 */
 obj_t BgL_arg1222z00_124;
BgL_arg1222z00_124 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_111)))->BgL_envzb2zb2); 
BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(BgL_ez00_123, BgL_arg1222z00_124, 
((BgL_threadz00_bglt)BgL_tz00_99)); } } 
{ 
 obj_t BgL_l1119z00_1374;
BgL_l1119z00_1374 = 
CDR(BgL_l1119z00_120); 
BgL_l1119z00_120 = BgL_l1119z00_1374; 
goto BgL_zc3z04anonymousza31220ze3z87_121;} }  else 
{ /* Llib/thread.scm 182 */((bool_t)1); } } 
BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_99)); 
{ /* Llib/thread.scm 187 */
 obj_t BgL_val0_1121z00_128; obj_t BgL_val1_1122z00_129;
BgL_val0_1121z00_128 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_99)))->BgL_z52awakezd2valuez80); 
BgL_val1_1122z00_129 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_99)))->BgL_z52awakezd2signalz80); 
{ /* Llib/thread.scm 187 */
 int BgL_tmpz00_1382;
BgL_tmpz00_1382 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1382); } 
{ /* Llib/thread.scm 187 */
 int BgL_tmpz00_1385;
BgL_tmpz00_1385 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1385, BgL_val1_1122z00_129); } 
return BgL_val0_1121z00_128;} }  else 
{ /* Llib/thread.scm 188 */
 bool_t BgL_test1936z00_1388;
{ /* Llib/thread.scm 188 */
 obj_t BgL_arg1232z00_138; obj_t BgL_arg1233z00_139;
BgL_arg1232z00_138 = 
CAR(
((obj_t)BgL_esz00_115)); 
BgL_arg1233z00_139 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_111)))->BgL_envzb2zb2); 
BgL_test1936z00_1388 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_arg1232z00_138, BgL_arg1233z00_139)); } 
if(BgL_test1936z00_1388)
{ /* Llib/thread.scm 189 */
 obj_t BgL_val0_1123z00_133; obj_t BgL_val1_1124z00_134;
{ /* Llib/thread.scm 189 */
 obj_t BgL_arg1229z00_135; obj_t BgL_arg1230z00_136;
BgL_arg1229z00_135 = 
CAR(
((obj_t)BgL_esz00_115)); 
BgL_arg1230z00_136 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_111)))->BgL_envzb2zb2); 
BgL_val0_1123z00_133 = 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_arg1229z00_135, BgL_arg1230z00_136); } 
BgL_val1_1124z00_134 = 
CAR(
((obj_t)BgL_esz00_115)); 
{ /* Llib/thread.scm 189 */
 int BgL_tmpz00_1402;
BgL_tmpz00_1402 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1402); } 
{ /* Llib/thread.scm 189 */
 int BgL_tmpz00_1405;
BgL_tmpz00_1405 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1405, BgL_val1_1124z00_134); } 
return BgL_val0_1123z00_133;}  else 
{ /* Llib/thread.scm 191 */
 obj_t BgL_arg1231z00_137;
BgL_arg1231z00_137 = 
CDR(
((obj_t)BgL_esz00_115)); 
{ 
 obj_t BgL_esz00_1410;
BgL_esz00_1410 = BgL_arg1231z00_137; 
BgL_esz00_115 = BgL_esz00_1410; 
goto BgL_zc3z04anonymousza31218ze3z87_116;} } } } } }  else 
{ /* Llib/thread.scm 217 */
return 
BGl_errorz00zz__errorz00(BGl_string1792z00zz__ft_threadz00, BGl_string1794z00zz__ft_threadz00, BgL_tz00_99);} }  else 
{ /* Llib/thread.scm 215 */
return 
BGl_errorz00zz__errorz00(BGl_string1792z00zz__ft_threadz00, BGl_string1795z00zz__ft_threadz00, BgL_tz00_99);} } } } } } 

}



/* &thread-await*! */
obj_t BGl_z62threadzd2awaitza2z12z00zz__ft_threadz00(obj_t BgL_envz00_826, obj_t BgL_sza2za2_827, obj_t BgL_argz00_828)
{
{ /* Llib/thread.scm 173 */
{ /* Llib/thread.scm 174 */
 obj_t BgL_auxz00_1413;
if(
PAIRP(BgL_sza2za2_827))
{ /* Llib/thread.scm 174 */
BgL_auxz00_1413 = BgL_sza2za2_827
; }  else 
{ 
 obj_t BgL_auxz00_1416;
BgL_auxz00_1416 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1797z00zz__ft_threadz00, 
BINT(((long)6510)), BGl_string1798z00zz__ft_threadz00, BGl_string1799z00zz__ft_threadz00, BgL_sza2za2_827); 
FAILURE(BgL_auxz00_1416,BFALSE,BFALSE);} 
return 
BGl_threadzd2awaitza2z12z62zz__ft_threadz00(BgL_auxz00_1413, BgL_argz00_828);} } 

}



/* thread-get-values! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2getzd2valuesz12z12zz__ft_threadz00(obj_t BgL_sz00_11)
{
{ /* Llib/thread.scm 229 */
{ /* Llib/thread.scm 230 */
 obj_t BgL_tz00_180;
BgL_tz00_180 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/thread.scm 231 */
 bool_t BgL_test1938z00_1422;
{ /* Llib/thread.scm 231 */
 obj_t BgL_classz00_574;
BgL_classz00_574 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_180))
{ /* Llib/thread.scm 231 */
 BgL_objectz00_bglt BgL_arg1793z00_576;
BgL_arg1793z00_576 = 
(BgL_objectz00_bglt)(BgL_tz00_180); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 231 */
 long BgL_idxz00_582;
BgL_idxz00_582 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_576); 
BgL_test1938z00_1422 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_582+((long)1)))==BgL_classz00_574); }  else 
{ /* Llib/thread.scm 231 */
 bool_t BgL_res1759z00_604;
{ /* Llib/thread.scm 231 */
 obj_t BgL_oclassz00_590;
{ /* Llib/thread.scm 231 */
 long BgL_arg1801z00_596;
{ /* Llib/thread.scm 231 */
 long BgL_arg1802z00_597;
BgL_arg1802z00_597 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_576); 
BgL_arg1801z00_596 = 
(BgL_arg1802z00_597-OBJECT_TYPE); } 
BgL_oclassz00_590 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_596); } 
{ /* Llib/thread.scm 231 */
 bool_t BgL__ortest_1110z00_591;
BgL__ortest_1110z00_591 = 
(BgL_classz00_574==BgL_oclassz00_590); 
if(BgL__ortest_1110z00_591)
{ /* Llib/thread.scm 231 */
BgL_res1759z00_604 = BgL__ortest_1110z00_591; }  else 
{ /* Llib/thread.scm 231 */
 long BgL_odepthz00_592;
BgL_odepthz00_592 = 
BGL_CLASS_DEPTH(BgL_oclassz00_590); 
if(
(((long)1)<BgL_odepthz00_592))
{ /* Llib/thread.scm 231 */
 obj_t BgL_arg1790z00_594;
BgL_arg1790z00_594 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_590, ((long)1)); 
BgL_res1759z00_604 = 
(BgL_arg1790z00_594==BgL_classz00_574); }  else 
{ /* Llib/thread.scm 231 */
BgL_res1759z00_604 = ((bool_t)0); } } } } 
BgL_test1938z00_1422 = BgL_res1759z00_604; } }  else 
{ /* Llib/thread.scm 231 */
BgL_test1938z00_1422 = ((bool_t)0)
; } } 
if(BgL_test1938z00_1422)
{ /* Llib/thread.scm 231 */
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_180)); 
{ /* Llib/thread.scm 234 */
 BgL_schedulerz00_bglt BgL_i1100z00_183;
BgL_i1100z00_183 = 
((BgL_schedulerz00_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_180)))->BgL_schedulerz00)); 
return 
BGl_signalzd2lastzd2valuesz00zz__ft_signalz00(BgL_sz00_11, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_i1100z00_183))->BgL_envzb2zb2));} }  else 
{ /* Llib/thread.scm 231 */
return BFALSE;} } } } 

}



/* &thread-get-values! */
obj_t BGl_z62threadzd2getzd2valuesz12z70zz__ft_threadz00(obj_t BgL_envz00_829, obj_t BgL_sz00_830)
{
{ /* Llib/thread.scm 229 */
return 
BGl_threadzd2getzd2valuesz12z12zz__ft_threadz00(BgL_sz00_830);} 

}



/* thread-get-values*! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2getzd2valuesza2z12zb0zz__ft_threadz00(obj_t BgL_sza2za2_12)
{
{ /* Llib/thread.scm 240 */
{ /* Llib/thread.scm 241 */
 obj_t BgL_tz00_185;
BgL_tz00_185 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/thread.scm 242 */
 bool_t BgL_test1943z00_1451;
{ /* Llib/thread.scm 242 */
 obj_t BgL_classz00_605;
BgL_classz00_605 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_185))
{ /* Llib/thread.scm 242 */
 BgL_objectz00_bglt BgL_arg1793z00_607;
BgL_arg1793z00_607 = 
(BgL_objectz00_bglt)(BgL_tz00_185); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 242 */
 long BgL_idxz00_613;
BgL_idxz00_613 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_607); 
BgL_test1943z00_1451 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_613+((long)1)))==BgL_classz00_605); }  else 
{ /* Llib/thread.scm 242 */
 bool_t BgL_res1760z00_635;
{ /* Llib/thread.scm 242 */
 obj_t BgL_oclassz00_621;
{ /* Llib/thread.scm 242 */
 long BgL_arg1801z00_627;
{ /* Llib/thread.scm 242 */
 long BgL_arg1802z00_628;
BgL_arg1802z00_628 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_607); 
BgL_arg1801z00_627 = 
(BgL_arg1802z00_628-OBJECT_TYPE); } 
BgL_oclassz00_621 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_627); } 
{ /* Llib/thread.scm 242 */
 bool_t BgL__ortest_1110z00_622;
BgL__ortest_1110z00_622 = 
(BgL_classz00_605==BgL_oclassz00_621); 
if(BgL__ortest_1110z00_622)
{ /* Llib/thread.scm 242 */
BgL_res1760z00_635 = BgL__ortest_1110z00_622; }  else 
{ /* Llib/thread.scm 242 */
 long BgL_odepthz00_623;
BgL_odepthz00_623 = 
BGL_CLASS_DEPTH(BgL_oclassz00_621); 
if(
(((long)1)<BgL_odepthz00_623))
{ /* Llib/thread.scm 242 */
 obj_t BgL_arg1790z00_625;
BgL_arg1790z00_625 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_621, ((long)1)); 
BgL_res1760z00_635 = 
(BgL_arg1790z00_625==BgL_classz00_605); }  else 
{ /* Llib/thread.scm 242 */
BgL_res1760z00_635 = ((bool_t)0); } } } } 
BgL_test1943z00_1451 = BgL_res1760z00_635; } }  else 
{ /* Llib/thread.scm 242 */
BgL_test1943z00_1451 = ((bool_t)0)
; } } 
if(BgL_test1943z00_1451)
{ /* Llib/thread.scm 242 */
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_185)); 
{ /* Llib/thread.scm 244 */
 obj_t BgL_head1133z00_189;
BgL_head1133z00_189 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1131z00_191; obj_t BgL_tail1134z00_192;
BgL_l1131z00_191 = BgL_sza2za2_12; 
BgL_tail1134z00_192 = BgL_head1133z00_189; 
BgL_zc3z04anonymousza31265ze3z87_193:
if(
NULLP(BgL_l1131z00_191))
{ /* Llib/thread.scm 244 */
return 
CDR(BgL_head1133z00_189);}  else 
{ /* Llib/thread.scm 244 */
 obj_t BgL_newtail1135z00_195;
{ /* Llib/thread.scm 244 */
 obj_t BgL_arg1285z00_197;
{ /* Llib/thread.scm 244 */
 obj_t BgL_sz00_198;
BgL_sz00_198 = 
CAR(
((obj_t)BgL_l1131z00_191)); 
{ /* Llib/thread.scm 246 */
 BgL_schedulerz00_bglt BgL_i1102z00_200;
BgL_i1102z00_200 = 
((BgL_schedulerz00_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_185)))->BgL_schedulerz00)); 
BgL_arg1285z00_197 = 
MAKE_YOUNG_PAIR(BgL_sz00_198, 
BGl_signalzd2lastzd2valuesz00zz__ft_signalz00(BgL_sz00_198, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_i1102z00_200))->BgL_envzb2zb2))); } } 
BgL_newtail1135z00_195 = 
MAKE_YOUNG_PAIR(BgL_arg1285z00_197, BNIL); } 
SET_CDR(BgL_tail1134z00_192, BgL_newtail1135z00_195); 
{ /* Llib/thread.scm 244 */
 obj_t BgL_arg1280z00_196;
BgL_arg1280z00_196 = 
CDR(
((obj_t)BgL_l1131z00_191)); 
{ 
 obj_t BgL_tail1134z00_1490; obj_t BgL_l1131z00_1489;
BgL_l1131z00_1489 = BgL_arg1280z00_196; 
BgL_tail1134z00_1490 = BgL_newtail1135z00_195; 
BgL_tail1134z00_192 = BgL_tail1134z00_1490; 
BgL_l1131z00_191 = BgL_l1131z00_1489; 
goto BgL_zc3z04anonymousza31265ze3z87_193;} } } } } }  else 
{ /* Llib/thread.scm 242 */
return BFALSE;} } } } 

}



/* &thread-get-values*! */
obj_t BGl_z62threadzd2getzd2valuesza2z12zd2zz__ft_threadz00(obj_t BgL_envz00_831, obj_t BgL_sza2za2_832)
{
{ /* Llib/thread.scm 240 */
{ /* Llib/thread.scm 241 */
 obj_t BgL_auxz00_1491;
if(
PAIRP(BgL_sza2za2_832))
{ /* Llib/thread.scm 241 */
BgL_auxz00_1491 = BgL_sza2za2_832
; }  else 
{ 
 obj_t BgL_auxz00_1494;
BgL_auxz00_1494 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1797z00zz__ft_threadz00, 
BINT(((long)8929)), BGl_string1800z00zz__ft_threadz00, BGl_string1799z00zz__ft_threadz00, BgL_sza2za2_832); 
FAILURE(BgL_auxz00_1494,BFALSE,BFALSE);} 
return 
BGl_threadzd2getzd2valuesza2z12zb0zz__ft_threadz00(BgL_auxz00_1491);} } 

}



/* thread-await-values! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2awaitzd2valuesz12z12zz__ft_threadz00(obj_t BgL_sz00_13, obj_t BgL_tmtz00_14)
{
{ /* Llib/thread.scm 253 */
{ /* Llib/thread.scm 254 */
 obj_t BgL_runner1292z00_640;
{ /* Llib/thread.scm 254 */
 obj_t BgL_list1290z00_641;
BgL_list1290z00_641 = 
MAKE_YOUNG_PAIR(BgL_tmtz00_14, BNIL); 
BgL_runner1292z00_640 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_sz00_13, BgL_list1290z00_641); } 
{ /* Llib/thread.scm 254 */
 obj_t BgL_aux1291z00_642;
BgL_aux1291z00_642 = 
CAR(BgL_runner1292z00_640); 
BgL_runner1292z00_640 = 
CDR(BgL_runner1292z00_640); 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(BgL_aux1291z00_642, BgL_runner1292z00_640); } } 
return 
BGl_threadzd2getzd2valuesz12z12zz__ft_threadz00(BgL_sz00_13);} 

}



/* &thread-await-values! */
obj_t BGl_z62threadzd2awaitzd2valuesz12z70zz__ft_threadz00(obj_t BgL_envz00_833, obj_t BgL_sz00_834, obj_t BgL_tmtz00_835)
{
{ /* Llib/thread.scm 253 */
return 
BGl_threadzd2awaitzd2valuesz12z12zz__ft_threadz00(BgL_sz00_834, BgL_tmtz00_835);} 

}



/* thread-await-values*! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2awaitzd2valuesza2z12zb0zz__ft_threadz00(obj_t BgL_sza2za2_15, obj_t BgL_tmtz00_16)
{
{ /* Llib/thread.scm 260 */
{ /* Llib/thread.scm 261 */
 obj_t BgL_runner1295z00_645;
{ /* Llib/thread.scm 261 */
 obj_t BgL_list1293z00_646;
BgL_list1293z00_646 = 
MAKE_YOUNG_PAIR(BgL_tmtz00_16, BNIL); 
BgL_runner1295z00_645 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_sza2za2_15, BgL_list1293z00_646); } 
{ /* Llib/thread.scm 261 */
 obj_t BgL_aux1294z00_647;
BgL_aux1294z00_647 = 
CAR(BgL_runner1295z00_645); 
BgL_runner1295z00_645 = 
CDR(BgL_runner1295z00_645); 
BGl_threadzd2awaitza2z12z62zz__ft_threadz00(BgL_aux1294z00_647, BgL_runner1295z00_645); } } 
return 
BGl_threadzd2getzd2valuesza2z12zb0zz__ft_threadz00(BgL_sza2za2_15);} 

}



/* &thread-await-values*! */
obj_t BGl_z62threadzd2awaitzd2valuesza2z12zd2zz__ft_threadz00(obj_t BgL_envz00_836, obj_t BgL_sza2za2_837, obj_t BgL_tmtz00_838)
{
{ /* Llib/thread.scm 260 */
{ /* Llib/thread.scm 261 */
 obj_t BgL_auxz00_1512;
if(
PAIRP(BgL_sza2za2_837))
{ /* Llib/thread.scm 261 */
BgL_auxz00_1512 = BgL_sza2za2_837
; }  else 
{ 
 obj_t BgL_auxz00_1515;
BgL_auxz00_1515 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1797z00zz__ft_threadz00, 
BINT(((long)9790)), BGl_string1801z00zz__ft_threadz00, BGl_string1799z00zz__ft_threadz00, BgL_sza2za2_837); 
FAILURE(BgL_auxz00_1515,BFALSE,BFALSE);} 
return 
BGl_threadzd2awaitzd2valuesza2z12zb0zz__ft_threadz00(BgL_auxz00_1512, BgL_tmtz00_838);} } 

}



/* thread-suspend/resume! */
obj_t BGl_threadzd2suspendzf2resumez12z32zz__ft_threadz00(BgL_fthreadz00_bglt BgL_tz00_22, obj_t BgL_whoz00_23, bool_t BgL_valz00_24)
{
{ /* Llib/thread.scm 341 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_tz00_22))
{ /* Llib/thread.scm 346 */
 bool_t BgL_test1952z00_1522;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_tz00_22, BNIL))
{ /* Llib/thread.scm 346 */
BgL_test1952z00_1522 = ((bool_t)1)
; }  else 
{ /* Llib/thread.scm 346 */
if(
BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_tz00_22, BNIL))
{ /* Llib/thread.scm 347 */
BgL_test1952z00_1522 = ((bool_t)1)
; }  else 
{ /* Llib/thread.scm 347 */
BgL_test1952z00_1522 = 
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_tz00_22, BNIL)
; } } 
if(BgL_test1952z00_1522)
{ /* Llib/thread.scm 346 */
return BUNSPEC;}  else 
{ /* Llib/thread.scm 355 */
 BgL_z52schedulerz52_bglt BgL_i1111z00_220;
BgL_i1111z00_220 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_22))->BgL_schedulerz00)); 
{ 
 obj_t BgL_auxz00_1530;
{ /* Llib/thread.scm 356 */
 obj_t BgL_arg1330z00_221; obj_t BgL_arg1331z00_222;
BgL_arg1330z00_221 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_22), 
BBOOL(BgL_valz00_24)); 
BgL_arg1331z00_222 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1111z00_220))->BgL_tosuspendzf2resumezf2); 
BgL_auxz00_1530 = 
MAKE_YOUNG_PAIR(BgL_arg1330z00_221, BgL_arg1331z00_222); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1111z00_220))->BgL_tosuspendzf2resumezf2)=((obj_t)BgL_auxz00_1530),BUNSPEC);} } }  else 
{ /* Llib/thread.scm 343 */
return 
BGl_errorz00zz__errorz00(BgL_whoz00_23, BGl_string1802z00zz__ft_threadz00, 
((obj_t)BgL_tz00_22));} } 

}



/* thread-suspend! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2suspendz12zc0zz__ft_threadz00(BgL_fthreadz00_bglt BgL_tz00_25)
{
{ /* Llib/thread.scm 361 */
return 
BGl_threadzd2suspendzf2resumez12z32zz__ft_threadz00(BgL_tz00_25, 
CNST_TABLE_REF(((long)2)), ((bool_t)1));} 

}



/* &thread-suspend! */
obj_t BGl_z62threadzd2suspendz12za2zz__ft_threadz00(obj_t BgL_envz00_839, obj_t BgL_tz00_840)
{
{ /* Llib/thread.scm 361 */
{ /* Llib/thread.scm 362 */
 BgL_fthreadz00_bglt BgL_auxz00_1541;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_840, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/thread.scm 362 */
BgL_auxz00_1541 = 
((BgL_fthreadz00_bglt)BgL_tz00_840)
; }  else 
{ 
 obj_t BgL_auxz00_1545;
BgL_auxz00_1545 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1797z00zz__ft_threadz00, 
BINT(((long)14254)), BGl_string1803z00zz__ft_threadz00, BGl_string1804z00zz__ft_threadz00, BgL_tz00_840); 
FAILURE(BgL_auxz00_1545,BFALSE,BFALSE);} 
return 
BGl_threadzd2suspendz12zc0zz__ft_threadz00(BgL_auxz00_1541);} } 

}



/* thread-resume! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2resumez12zc0zz__ft_threadz00(BgL_fthreadz00_bglt BgL_tz00_26)
{
{ /* Llib/thread.scm 367 */
return 
BGl_threadzd2suspendzf2resumez12z32zz__ft_threadz00(BgL_tz00_26, 
CNST_TABLE_REF(((long)3)), ((bool_t)0));} 

}



/* &thread-resume! */
obj_t BGl_z62threadzd2resumez12za2zz__ft_threadz00(obj_t BgL_envz00_841, obj_t BgL_tz00_842)
{
{ /* Llib/thread.scm 367 */
{ /* Llib/thread.scm 368 */
 BgL_fthreadz00_bglt BgL_auxz00_1552;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_842, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/thread.scm 368 */
BgL_auxz00_1552 = 
((BgL_fthreadz00_bglt)BgL_tz00_842)
; }  else 
{ 
 obj_t BgL_auxz00_1556;
BgL_auxz00_1556 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1797z00zz__ft_threadz00, 
BINT(((long)14555)), BGl_string1805z00zz__ft_threadz00, BGl_string1804z00zz__ft_threadz00, BgL_tz00_842); 
FAILURE(BgL_auxz00_1556,BFALSE,BFALSE);} 
return 
BGl_threadzd2resumez12zc0zz__ft_threadz00(BgL_auxz00_1552);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
{ /* Llib/thread.scm 31 */
 obj_t BgL_arg1339z00_231; obj_t BgL_arg1340z00_232;
{ /* Llib/thread.scm 31 */
 obj_t BgL_v1136z00_245;
BgL_v1136z00_245 = 
create_vector(((long)0)); 
BgL_arg1339z00_231 = BgL_v1136z00_245; } 
{ /* Llib/thread.scm 31 */
 obj_t BgL_v1137z00_246;
BgL_v1137z00_246 = 
create_vector(((long)0)); 
BgL_arg1340z00_232 = BgL_v1137z00_246; } 
return ( 
BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)4)), 
CNST_TABLE_REF(((long)5)), BGl_z62exceptionz62zz__objectz00, ((long)60410), BGl_proc1808z00zz__ft_threadz00, BGl_proc1807z00zz__ft_threadz00, BFALSE, BGl_proc1806z00zz__ft_threadz00, BFALSE, BgL_arg1339z00_231, BgL_arg1340z00_232), BUNSPEC) ;} } 

}



/* &<@anonymous:1345> */
obj_t BGl_z62zc3z04anonymousza31345ze3ze5zz__ft_threadz00(obj_t BgL_envz00_846, obj_t BgL_new1065z00_847)
{
{ /* Llib/thread.scm 31 */
{ 
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_auxz00_1566;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BgL_new1065z00_847))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BgL_new1065z00_847))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BgL_new1065z00_847))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1566 = 
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BgL_new1065z00_847); 
return 
((obj_t)BgL_auxz00_1566);} } 

}



/* &lambda1343 */
BgL_joinzd2timeoutzd2exceptionz00_bglt BGl_z62lambda1343z62zz__ft_threadz00(obj_t BgL_envz00_848)
{
{ /* Llib/thread.scm 31 */
{ /* Llib/thread.scm 31 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1064z00_939;
BgL_new1064z00_939 = 
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_joinzd2timeoutzd2exceptionz00_bgl) ))); 
{ /* Llib/thread.scm 31 */
 long BgL_arg1344z00_940;
BgL_arg1344z00_940 = 
BGL_CLASS_NUM(BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_939), BgL_arg1344z00_940); } 
return BgL_new1064z00_939;} } 

}



/* &lambda1341 */
BgL_joinzd2timeoutzd2exceptionz00_bglt BGl_z62lambda1341z62zz__ft_threadz00(obj_t BgL_envz00_849, obj_t BgL_fname1061z00_850, obj_t BgL_location1062z00_851, obj_t BgL_stack1063z00_852)
{
{ /* Llib/thread.scm 31 */
{ /* Llib/thread.scm 31 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1117z00_941;
{ /* Llib/thread.scm 31 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1116z00_942;
BgL_new1116z00_942 = 
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_joinzd2timeoutzd2exceptionz00_bgl) ))); 
{ /* Llib/thread.scm 31 */
 long BgL_arg1342z00_943;
BgL_arg1342z00_943 = 
BGL_CLASS_NUM(BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1116z00_942), BgL_arg1342z00_943); } 
BgL_new1117z00_941 = BgL_new1116z00_942; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1117z00_941)))->BgL_fnamez00)=((obj_t)BgL_fname1061z00_850),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1117z00_941)))->BgL_locationz00)=((obj_t)BgL_location1062z00_851),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1117z00_941)))->BgL_stackz00)=((obj_t)BgL_stack1063z00_852),BUNSPEC); 
return BgL_new1117z00_941;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2equalzf3zd2envzf3zz__objectz00, BGl_z52sigjoinz52zz__ft_typesz00, BGl_proc1809z00zz__ft_threadz00, BGl_string1810z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2joinz12zd2envz12zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1811z00zz__ft_threadz00, BGl_string1812z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1813z00zz__ft_threadz00, BGl_string1814z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startz12zd2envz12zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1815z00zz__ft_threadz00, BGl_string1816z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2terminatez12zd2envz12zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1817z00zz__ft_threadz00, BGl_string1818z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2envz00zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1819z00zz__ft_threadz00, BGl_string1820z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1821z00zz__ft_threadz00, BGl_string1822z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2envz00zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1823z00zz__ft_threadz00, BGl_string1824z00zz__ft_threadz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1825z00zz__ft_threadz00, BGl_string1826z00zz__ft_threadz00);} 

}



/* &thread-cleanup-set!-1158 */
obj_t BGl_z62threadzd2cleanupzd2setz12zd21158za2zz__ft_threadz00(obj_t BgL_envz00_863, obj_t BgL_thz00_864, obj_t BgL_vz00_865)
{
{ /* Llib/thread.scm 394 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_864)))->BgL_z52cleanupz52)=((obj_t)BgL_vz00_865),BUNSPEC);} 

}



/* &thread-cleanup-fthre1156 */
obj_t BGl_z62threadzd2cleanupzd2fthre1156z62zz__ft_threadz00(obj_t BgL_envz00_866, obj_t BgL_thz00_867)
{
{ /* Llib/thread.scm 387 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_867)))->BgL_z52cleanupz52);} 

}



/* &thread-specific-set!1154 */
obj_t BGl_z62threadzd2specificzd2setz121154z70zz__ft_threadz00(obj_t BgL_envz00_868, obj_t BgL_thz00_869, obj_t BgL_vz00_870)
{
{ /* Llib/thread.scm 380 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_869)))->BgL_z52specificz52)=((obj_t)BgL_vz00_870),BUNSPEC);} 

}



/* &thread-specific-fthr1152 */
obj_t BGl_z62threadzd2specificzd2fthr1152z62zz__ft_threadz00(obj_t BgL_envz00_871, obj_t BgL_thz00_872)
{
{ /* Llib/thread.scm 373 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_872)))->BgL_z52specificz52);} 

}



/* &thread-terminate!-ft1150 */
obj_t BGl_z62threadzd2terminatez12zd2ft1150z70zz__ft_threadz00(obj_t BgL_envz00_873, obj_t BgL_tz00_874)
{
{ /* Llib/thread.scm 309 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_874)))
{ /* Llib/thread.scm 318 */
if(
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_874), BNIL))
{ /* Llib/thread.scm 321 */
return BUNSPEC;}  else 
{ /* Llib/thread.scm 321 */
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_874), BNIL))
{ /* Llib/thread.scm 324 */
return BUNSPEC;}  else 
{ /* Llib/thread.scm 324 */
{ /* Llib/thread.scm 329 */
 obj_t BgL_list1740z00_949;
BgL_list1740z00_949 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_874), BgL_list1740z00_949); } 
{ 
 obj_t BgL_auxz00_1621;
{ /* Llib/thread.scm 331 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1108z00_950;
{ /* Llib/thread.scm 331 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1107z00_951;
BgL_new1107z00_951 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/thread.scm 331 */
 long BgL_arg1743z00_952;
{ /* Llib/thread.scm 331 */
 obj_t BgL_classz00_953;
BgL_classz00_953 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1743z00_952 = 
BGL_CLASS_NUM(BgL_classz00_953); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1107z00_951), BgL_arg1743z00_952); } 
BgL_new1108z00_950 = BgL_new1107z00_951; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1108z00_950)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1108z00_950)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1631;
{ /* Llib/thread.scm 331 */
 obj_t BgL_arg1741z00_954;
{ /* Llib/thread.scm 331 */
 obj_t BgL_arg1742z00_955;
{ /* Llib/thread.scm 331 */
 obj_t BgL_classz00_956;
BgL_classz00_956 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1742z00_955 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_956); } 
BgL_arg1741z00_954 = 
VECTOR_REF(BgL_arg1742z00_955,((long)2)); } 
BgL_auxz00_1631 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1741z00_954); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1108z00_950)))->BgL_stackz00)=((obj_t)BgL_auxz00_1631),BUNSPEC); } 
BgL_auxz00_1621 = 
((obj_t)BgL_new1108z00_950); } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_874)))->BgL_z52exczd2resultz80)=((obj_t)BgL_auxz00_1621),BUNSPEC); } 
{ /* Llib/thread.scm 334 */
 BgL_z52schedulerz52_bglt BgL_i1109z00_957;
BgL_i1109z00_957 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_874)))->BgL_schedulerz00)); 
{ 
 obj_t BgL_auxz00_1642;
{ /* Llib/thread.scm 336 */
 obj_t BgL_arg1744z00_958;
BgL_arg1744z00_958 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1109z00_957))->BgL_toterminatez00); 
BgL_auxz00_1642 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_874)), BgL_arg1744z00_958); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1109z00_957))->BgL_toterminatez00)=((obj_t)BgL_auxz00_1642),BUNSPEC);} } } } }  else 
{ /* Llib/thread.scm 318 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)6)), BGl_string1802z00zz__ft_threadz00, 
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_874)));} } 

}



/* &thread-start!-fthrea1148 */
obj_t BGl_z62threadzd2startz12zd2fthrea1148z70zz__ft_threadz00(obj_t BgL_envz00_875, obj_t BgL_tz00_876, obj_t BgL_oz00_877)
{
{ /* Llib/thread.scm 280 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_876)))
{ /* Llib/thread.scm 286 */
return 
BGl_errorz00zz__errorz00(BGl_string1816z00zz__ft_threadz00, BGl_string1827z00zz__ft_threadz00, 
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_876)));}  else 
{ /* Llib/thread.scm 288 */
 BgL_schedulerz00_bglt BgL_scdlz00_960;
BgL_scdlz00_960 = 
BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(
CNST_TABLE_REF(((long)7)), BgL_oz00_877); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_876)))->BgL_schedulerz00)=((obj_t)
((obj_t)BgL_scdlz00_960)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_876)))->BgL_z52builtinz52)=((obj_t)
BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(
((BgL_fthreadz00_bglt)BgL_tz00_876))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_876)))->BgL_z52statez52)=((obj_t)
CNST_TABLE_REF(((long)8))),BUNSPEC); 
{ /* Llib/thread.scm 295 */
 obj_t BgL_arg1729z00_961;
BgL_arg1729z00_961 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_876)))->BgL_z52builtinz52); 
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1729z00_961), BNIL); } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_960)))->BgL_z52livezd2threadzd2numberz52)=((int)
(int)(
(((long)1)+
(long)(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_960)))->BgL_z52livezd2threadzd2numberz52))))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1681;
{ /* Llib/thread.scm 302 */
 obj_t BgL_arg1732z00_962;
BgL_arg1732z00_962 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_960)))->BgL_tostartz00); 
BgL_auxz00_1681 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_876)), BgL_arg1732z00_962); } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_960)))->BgL_tostartz00)=((obj_t)BgL_auxz00_1681),BUNSPEC); } 
return 
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_876));} } 

}



/* &object-write-fthread1146 */
obj_t BGl_z62objectzd2writezd2fthread1146z62zz__ft_threadz00(obj_t BgL_envz00_878, obj_t BgL_oz00_879, obj_t BgL_portz00_880)
{
{ /* Llib/thread.scm 267 */
{ /* Llib/thread.scm 268 */
 obj_t BgL_arg1664z00_964;
if(
PAIRP(BgL_portz00_880))
{ /* Llib/thread.scm 268 */
BgL_arg1664z00_964 = 
CAR(BgL_portz00_880); }  else 
{ /* Llib/thread.scm 268 */
 obj_t BgL_tmpz00_1694;
BgL_tmpz00_1694 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1664z00_964 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1694); } 
{ /* Llib/thread.scm 270 */
 obj_t BgL_zc3z04anonymousza31667ze3z87_965;
BgL_zc3z04anonymousza31667ze3z87_965 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31667ze3ze5zz__ft_threadz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31667ze3z87_965, 
(int)(((long)0)), 
((obj_t)
((BgL_fthreadz00_bglt)BgL_oz00_879))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1664z00_964, BgL_zc3z04anonymousza31667ze3z87_965);} } } 

}



/* &<@anonymous:1667> */
obj_t BGl_z62zc3z04anonymousza31667ze3ze5zz__ft_threadz00(obj_t BgL_envz00_881)
{
{ /* Llib/thread.scm 269 */
{ /* Llib/thread.scm 270 */
 BgL_fthreadz00_bglt BgL_oz00_882;
BgL_oz00_882 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_881, 
(int)(((long)0)))); 
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1670z00_966; obj_t BgL_arg1679z00_967; int BgL_arg1691z00_968; obj_t BgL_arg1694z00_969;
BgL_arg1670z00_966 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_oz00_882)))->BgL_namez00); 
BgL_arg1679z00_967 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_oz00_882))->BgL_z52statez52); 
BgL_arg1691z00_968 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_oz00_882))->BgL_z52timeoutz52); 
BgL_arg1694z00_969 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_oz00_882))->BgL_z52signalsz52); 
{ /* Llib/thread.scm 271 */
 obj_t BgL_list1695z00_970;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1702z00_971;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1703z00_972;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1708z00_973;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1709z00_974;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1711z00_975;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1714z00_976;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1724z00_977;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1725z00_978;
BgL_arg1725z00_978 = 
MAKE_YOUNG_PAIR(BGl_string1828z00zz__ft_threadz00, BNIL); 
BgL_arg1724z00_977 = 
MAKE_YOUNG_PAIR(BgL_arg1694z00_969, BgL_arg1725z00_978); } 
BgL_arg1714z00_976 = 
MAKE_YOUNG_PAIR(BGl_string1829z00zz__ft_threadz00, BgL_arg1724z00_977); } 
BgL_arg1711z00_975 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1691z00_968), BgL_arg1714z00_976); } 
BgL_arg1709z00_974 = 
MAKE_YOUNG_PAIR(BGl_string1830z00zz__ft_threadz00, BgL_arg1711z00_975); } 
BgL_arg1708z00_973 = 
MAKE_YOUNG_PAIR(BgL_arg1679z00_967, BgL_arg1709z00_974); } 
BgL_arg1703z00_972 = 
MAKE_YOUNG_PAIR(BGl_string1831z00zz__ft_threadz00, BgL_arg1708z00_973); } 
BgL_arg1702z00_971 = 
MAKE_YOUNG_PAIR(BgL_arg1670z00_966, BgL_arg1703z00_972); } 
BgL_list1695z00_970 = 
MAKE_YOUNG_PAIR(BGl_string1832z00zz__ft_threadz00, BgL_arg1702z00_971); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1695z00_970);} } } } 

}



/* &thread-join!-fthread1144 */
obj_t BGl_z62threadzd2joinz12zd2fthread1144z70zz__ft_threadz00(obj_t BgL_envz00_883, obj_t BgL_tz00_884, obj_t BgL_argsz00_885)
{
{ /* Llib/thread.scm 59 */
{ /* Llib/thread.scm 61 */
 bool_t BgL_test1962z00_1724;
if(
(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_884)))->BgL_z52statez52)==
CNST_TABLE_REF(((long)9))))
{ /* Llib/thread.scm 61 */
BgL_test1962z00_1724 = ((bool_t)1)
; }  else 
{ /* Llib/thread.scm 61 */
BgL_test1962z00_1724 = 
(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_884)))->BgL_z52statez52)==
CNST_TABLE_REF(((long)10)))
; } 
if(BgL_test1962z00_1724)
{ /* Llib/thread.scm 61 */
if(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_884)))->BgL_z52exczd2raisedz80))
{ /* Llib/thread.scm 62 */
return 
BGl_raisez00zz__errorz00(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_884)))->BgL_z52exczd2resultz80));}  else 
{ /* Llib/thread.scm 62 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_884)))->BgL_z52resultz52);} }  else 
{ 
 obj_t BgL_toz00_1028; obj_t BgL_tozd2valzd2_1029; obj_t BgL_toz00_1001;
if(
PAIRP(BgL_argsz00_885))
{ /* Llib/thread.scm 65 */
 obj_t BgL_cdrzd2110zd2_1049;
BgL_cdrzd2110zd2_1049 = 
CDR(
((obj_t)BgL_argsz00_885)); 
if(
PAIRP(BgL_cdrzd2110zd2_1049))
{ /* Llib/thread.scm 65 */
if(
NULLP(
CDR(BgL_cdrzd2110zd2_1049)))
{ /* Llib/thread.scm 65 */
 obj_t BgL_arg1377z00_1050; obj_t BgL_arg1380z00_1051;
BgL_arg1377z00_1050 = 
CAR(
((obj_t)BgL_argsz00_885)); 
BgL_arg1380z00_1051 = 
CAR(BgL_cdrzd2110zd2_1049); 
BgL_toz00_1028 = BgL_arg1377z00_1050; 
BgL_tozd2valzd2_1029 = BgL_arg1380z00_1051; 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_toz00_1028))
{ /* Llib/thread.scm 69 */
 obj_t BgL_vz00_1030;
{ /* Llib/thread.scm 69 */
 BgL_z52sigjoinz52_bglt BgL_arg1567z00_1031;
{ /* Llib/thread.scm 69 */
 BgL_z52sigjoinz52_bglt BgL_new1070z00_1032;
{ /* Llib/thread.scm 70 */
 BgL_z52sigjoinz52_bglt BgL_new1069z00_1033;
BgL_new1069z00_1033 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/thread.scm 70 */
 long BgL_arg1574z00_1034;
BgL_arg1574z00_1034 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_1033), BgL_arg1574z00_1034); } 
BgL_new1070z00_1032 = BgL_new1069z00_1033; } 
((((BgL_z52sigjoinz52_bglt)COBJECT(BgL_new1070z00_1032))->BgL_threadz00)=((BgL_fthreadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_884)),BUNSPEC); 
BgL_arg1567z00_1031 = BgL_new1070z00_1032; } 
{ /* Llib/thread.scm 69 */
 obj_t BgL_list1568z00_1035;
BgL_list1568z00_1035 = 
MAKE_YOUNG_PAIR(BgL_toz00_1028, BNIL); 
BgL_vz00_1030 = 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(
((obj_t)BgL_arg1567z00_1031), BgL_list1568z00_1035); } } 
{ /* Llib/thread.scm 74 */
 bool_t BgL_test1969z00_1765;
{ /* Llib/thread.scm 74 */
 obj_t BgL_arg1548z00_1036;
BgL_arg1548z00_1036 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_884)))->BgL_z52exczd2resultz80); 
{ /* Llib/thread.scm 74 */
 obj_t BgL_classz00_1037;
BgL_classz00_1037 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_arg1548z00_1036))
{ /* Llib/thread.scm 74 */
 BgL_objectz00_bglt BgL_arg1793z00_1038;
BgL_arg1793z00_1038 = 
(BgL_objectz00_bglt)(BgL_arg1548z00_1036); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 74 */
 long BgL_idxz00_1039;
BgL_idxz00_1039 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1038); 
BgL_test1969z00_1765 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1039+((long)3)))==BgL_classz00_1037); }  else 
{ /* Llib/thread.scm 74 */
 bool_t BgL_res1762z00_1042;
{ /* Llib/thread.scm 74 */
 obj_t BgL_oclassz00_1043;
{ /* Llib/thread.scm 74 */
 long BgL_arg1801z00_1044;
{ /* Llib/thread.scm 74 */
 long BgL_arg1802z00_1045;
BgL_arg1802z00_1045 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1038); 
BgL_arg1801z00_1044 = 
(BgL_arg1802z00_1045-OBJECT_TYPE); } 
BgL_oclassz00_1043 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1044); } 
{ /* Llib/thread.scm 74 */
 bool_t BgL__ortest_1110z00_1046;
BgL__ortest_1110z00_1046 = 
(BgL_classz00_1037==BgL_oclassz00_1043); 
if(BgL__ortest_1110z00_1046)
{ /* Llib/thread.scm 74 */
BgL_res1762z00_1042 = BgL__ortest_1110z00_1046; }  else 
{ /* Llib/thread.scm 74 */
 long BgL_odepthz00_1047;
BgL_odepthz00_1047 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1043); 
if(
(((long)3)<BgL_odepthz00_1047))
{ /* Llib/thread.scm 74 */
 obj_t BgL_arg1790z00_1048;
BgL_arg1790z00_1048 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1043, ((long)3)); 
BgL_res1762z00_1042 = 
(BgL_arg1790z00_1048==BgL_classz00_1037); }  else 
{ /* Llib/thread.scm 74 */
BgL_res1762z00_1042 = ((bool_t)0); } } } } 
BgL_test1969z00_1765 = BgL_res1762z00_1042; } }  else 
{ /* Llib/thread.scm 74 */
BgL_test1969z00_1765 = ((bool_t)0)
; } } } 
if(BgL_test1969z00_1765)
{ /* Llib/thread.scm 74 */
return 
BGl_raisez00zz__errorz00(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_884)))->BgL_z52exczd2resultz80));}  else 
{ /* Llib/thread.scm 74 */
if(
CBOOL(BgL_vz00_1030))
{ /* Llib/thread.scm 76 */
return BgL_vz00_1030;}  else 
{ /* Llib/thread.scm 76 */
return BgL_tozd2valzd2_1029;} } } }  else 
{ /* Llib/thread.scm 67 */
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1833z00zz__ft_threadz00, BGl_string1834z00zz__ft_threadz00, BgL_toz00_1028);} }  else 
{ /* Llib/thread.scm 65 */
BgL_tagzd2103zd2_980:
{ /* Llib/thread.scm 95 */
 obj_t BgL_vz00_983;
{ /* Llib/thread.scm 95 */
 BgL_z52sigjoinz52_bglt BgL_arg1631z00_984;
{ /* Llib/thread.scm 95 */
 BgL_z52sigjoinz52_bglt BgL_new1078z00_985;
{ /* Llib/thread.scm 96 */
 BgL_z52sigjoinz52_bglt BgL_new1077z00_986;
BgL_new1077z00_986 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/thread.scm 96 */
 long BgL_arg1650z00_987;
BgL_arg1650z00_987 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_986), BgL_arg1650z00_987); } 
BgL_new1078z00_985 = BgL_new1077z00_986; } 
((((BgL_z52sigjoinz52_bglt)COBJECT(BgL_new1078z00_985))->BgL_threadz00)=((BgL_fthreadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_884)),BUNSPEC); 
BgL_arg1631z00_984 = BgL_new1078z00_985; } 
BgL_vz00_983 = 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(
((obj_t)BgL_arg1631z00_984), BNIL); } 
{ /* Llib/thread.scm 99 */
 bool_t BgL_test1975z00_1801;
{ /* Llib/thread.scm 99 */
 obj_t BgL_arg1629z00_988;
BgL_arg1629z00_988 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_884)))->BgL_z52exczd2resultz80); 
{ /* Llib/thread.scm 99 */
 obj_t BgL_classz00_989;
BgL_classz00_989 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_arg1629z00_988))
{ /* Llib/thread.scm 99 */
 BgL_objectz00_bglt BgL_arg1793z00_990;
BgL_arg1793z00_990 = 
(BgL_objectz00_bglt)(BgL_arg1629z00_988); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 99 */
 long BgL_idxz00_991;
BgL_idxz00_991 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_990); 
BgL_test1975z00_1801 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_991+((long)3)))==BgL_classz00_989); }  else 
{ /* Llib/thread.scm 99 */
 bool_t BgL_res1764z00_994;
{ /* Llib/thread.scm 99 */
 obj_t BgL_oclassz00_995;
{ /* Llib/thread.scm 99 */
 long BgL_arg1801z00_996;
{ /* Llib/thread.scm 99 */
 long BgL_arg1802z00_997;
BgL_arg1802z00_997 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_990); 
BgL_arg1801z00_996 = 
(BgL_arg1802z00_997-OBJECT_TYPE); } 
BgL_oclassz00_995 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_996); } 
{ /* Llib/thread.scm 99 */
 bool_t BgL__ortest_1110z00_998;
BgL__ortest_1110z00_998 = 
(BgL_classz00_989==BgL_oclassz00_995); 
if(BgL__ortest_1110z00_998)
{ /* Llib/thread.scm 99 */
BgL_res1764z00_994 = BgL__ortest_1110z00_998; }  else 
{ /* Llib/thread.scm 99 */
 long BgL_odepthz00_999;
BgL_odepthz00_999 = 
BGL_CLASS_DEPTH(BgL_oclassz00_995); 
if(
(((long)3)<BgL_odepthz00_999))
{ /* Llib/thread.scm 99 */
 obj_t BgL_arg1790z00_1000;
BgL_arg1790z00_1000 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_995, ((long)3)); 
BgL_res1764z00_994 = 
(BgL_arg1790z00_1000==BgL_classz00_989); }  else 
{ /* Llib/thread.scm 99 */
BgL_res1764z00_994 = ((bool_t)0); } } } } 
BgL_test1975z00_1801 = BgL_res1764z00_994; } }  else 
{ /* Llib/thread.scm 99 */
BgL_test1975z00_1801 = ((bool_t)0)
; } } } 
if(BgL_test1975z00_1801)
{ /* Llib/thread.scm 99 */
return 
BGl_raisez00zz__errorz00(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_884)))->BgL_z52exczd2resultz80));}  else 
{ /* Llib/thread.scm 99 */
return BgL_vz00_983;} } } } }  else 
{ /* Llib/thread.scm 65 */
if(
NULLP(BgL_cdrzd2110zd2_1049))
{ /* Llib/thread.scm 65 */
 obj_t BgL_arg1419z00_1052;
BgL_arg1419z00_1052 = 
CAR(
((obj_t)BgL_argsz00_885)); 
BgL_toz00_1001 = BgL_arg1419z00_1052; 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_toz00_1001))
{ /* Llib/thread.scm 83 */
 obj_t BgL_vz00_1002;
{ /* Llib/thread.scm 83 */
 BgL_z52sigjoinz52_bglt BgL_arg1605z00_1003;
{ /* Llib/thread.scm 83 */
 BgL_z52sigjoinz52_bglt BgL_new1073z00_1004;
{ /* Llib/thread.scm 84 */
 BgL_z52sigjoinz52_bglt BgL_new1072z00_1005;
BgL_new1072z00_1005 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/thread.scm 84 */
 long BgL_arg1617z00_1006;
BgL_arg1617z00_1006 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_1005), BgL_arg1617z00_1006); } 
BgL_new1073z00_1004 = BgL_new1072z00_1005; } 
((((BgL_z52sigjoinz52_bglt)COBJECT(BgL_new1073z00_1004))->BgL_threadz00)=((BgL_fthreadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_884)),BUNSPEC); 
BgL_arg1605z00_1003 = BgL_new1073z00_1004; } 
{ /* Llib/thread.scm 83 */
 obj_t BgL_list1606z00_1007;
BgL_list1606z00_1007 = 
MAKE_YOUNG_PAIR(BgL_toz00_1001, BNIL); 
BgL_vz00_1002 = 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(
((obj_t)BgL_arg1605z00_1003), BgL_list1606z00_1007); } } 
{ /* Llib/thread.scm 88 */
 bool_t BgL_test1982z00_1841;
{ /* Llib/thread.scm 88 */
 obj_t BgL_arg1604z00_1008;
BgL_arg1604z00_1008 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_884)))->BgL_z52exczd2resultz80); 
{ /* Llib/thread.scm 88 */
 obj_t BgL_classz00_1009;
BgL_classz00_1009 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_arg1604z00_1008))
{ /* Llib/thread.scm 88 */
 BgL_objectz00_bglt BgL_arg1793z00_1010;
BgL_arg1793z00_1010 = 
(BgL_objectz00_bglt)(BgL_arg1604z00_1008); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 88 */
 long BgL_idxz00_1011;
BgL_idxz00_1011 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1010); 
BgL_test1982z00_1841 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1011+((long)3)))==BgL_classz00_1009); }  else 
{ /* Llib/thread.scm 88 */
 bool_t BgL_res1763z00_1014;
{ /* Llib/thread.scm 88 */
 obj_t BgL_oclassz00_1015;
{ /* Llib/thread.scm 88 */
 long BgL_arg1801z00_1016;
{ /* Llib/thread.scm 88 */
 long BgL_arg1802z00_1017;
BgL_arg1802z00_1017 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1010); 
BgL_arg1801z00_1016 = 
(BgL_arg1802z00_1017-OBJECT_TYPE); } 
BgL_oclassz00_1015 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1016); } 
{ /* Llib/thread.scm 88 */
 bool_t BgL__ortest_1110z00_1018;
BgL__ortest_1110z00_1018 = 
(BgL_classz00_1009==BgL_oclassz00_1015); 
if(BgL__ortest_1110z00_1018)
{ /* Llib/thread.scm 88 */
BgL_res1763z00_1014 = BgL__ortest_1110z00_1018; }  else 
{ /* Llib/thread.scm 88 */
 long BgL_odepthz00_1019;
BgL_odepthz00_1019 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1015); 
if(
(((long)3)<BgL_odepthz00_1019))
{ /* Llib/thread.scm 88 */
 obj_t BgL_arg1790z00_1020;
BgL_arg1790z00_1020 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1015, ((long)3)); 
BgL_res1763z00_1014 = 
(BgL_arg1790z00_1020==BgL_classz00_1009); }  else 
{ /* Llib/thread.scm 88 */
BgL_res1763z00_1014 = ((bool_t)0); } } } } 
BgL_test1982z00_1841 = BgL_res1763z00_1014; } }  else 
{ /* Llib/thread.scm 88 */
BgL_test1982z00_1841 = ((bool_t)0)
; } } } 
if(BgL_test1982z00_1841)
{ /* Llib/thread.scm 88 */
return 
BGl_raisez00zz__errorz00(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_884)))->BgL_z52exczd2resultz80));}  else 
{ /* Llib/thread.scm 88 */
if(
CBOOL(BgL_vz00_1002))
{ /* Llib/thread.scm 90 */
return BgL_vz00_1002;}  else 
{ /* Llib/thread.scm 93 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_arg1587z00_1021;
{ /* Llib/thread.scm 93 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1076z00_1022;
{ /* Llib/thread.scm 93 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1075z00_1023;
BgL_new1075z00_1023 = 
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_joinzd2timeoutzd2exceptionz00_bgl) ))); 
{ /* Llib/thread.scm 93 */
 long BgL_arg1603z00_1024;
BgL_arg1603z00_1024 = 
BGL_CLASS_NUM(BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_1023), BgL_arg1603z00_1024); } 
BgL_new1076z00_1022 = BgL_new1075z00_1023; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_1022)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_1022)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1876;
{ /* Llib/thread.scm 93 */
 obj_t BgL_arg1588z00_1025;
{ /* Llib/thread.scm 93 */
 obj_t BgL_arg1601z00_1026;
{ /* Llib/thread.scm 93 */
 obj_t BgL_classz00_1027;
BgL_classz00_1027 = BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00; 
BgL_arg1601z00_1026 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1027); } 
BgL_arg1588z00_1025 = 
VECTOR_REF(BgL_arg1601z00_1026,((long)2)); } 
BgL_auxz00_1876 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1588z00_1025); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_1022)))->BgL_stackz00)=((obj_t)BgL_auxz00_1876),BUNSPEC); } 
BgL_arg1587z00_1021 = BgL_new1076z00_1022; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1587z00_1021));} } } }  else 
{ /* Llib/thread.scm 81 */
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1833z00zz__ft_threadz00, BGl_string1834z00zz__ft_threadz00, BgL_toz00_1001);} }  else 
{ /* Llib/thread.scm 65 */
goto BgL_tagzd2103zd2_980;} } }  else 
{ /* Llib/thread.scm 65 */
goto BgL_tagzd2103zd2_980;} } } } 

}



/* &object-equal?-%sigjo1142 */
obj_t BGl_z62objectzd2equalzf3zd2z52sigjo1142zc3zz__ft_threadz00(obj_t BgL_envz00_886, obj_t BgL_o1z00_887, obj_t BgL_o2z00_888)
{
{ /* Llib/thread.scm 50 */
{ /* Llib/thread.scm 51 */
 bool_t BgL_tmpz00_1885;
{ /* Llib/thread.scm 51 */
 bool_t BgL_test1988z00_1886;
{ /* Llib/thread.scm 51 */
 obj_t BgL_classz00_1054;
BgL_classz00_1054 = BGl_z52sigjoinz52zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_o2z00_888))
{ /* Llib/thread.scm 51 */
 BgL_objectz00_bglt BgL_arg1793z00_1055;
BgL_arg1793z00_1055 = 
(BgL_objectz00_bglt)(BgL_o2z00_888); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 51 */
 long BgL_idxz00_1056;
BgL_idxz00_1056 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1055); 
BgL_test1988z00_1886 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1056+((long)1)))==BgL_classz00_1054); }  else 
{ /* Llib/thread.scm 51 */
 bool_t BgL_res1761z00_1059;
{ /* Llib/thread.scm 51 */
 obj_t BgL_oclassz00_1060;
{ /* Llib/thread.scm 51 */
 long BgL_arg1801z00_1061;
{ /* Llib/thread.scm 51 */
 long BgL_arg1802z00_1062;
BgL_arg1802z00_1062 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1055); 
BgL_arg1801z00_1061 = 
(BgL_arg1802z00_1062-OBJECT_TYPE); } 
BgL_oclassz00_1060 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1061); } 
{ /* Llib/thread.scm 51 */
 bool_t BgL__ortest_1110z00_1063;
BgL__ortest_1110z00_1063 = 
(BgL_classz00_1054==BgL_oclassz00_1060); 
if(BgL__ortest_1110z00_1063)
{ /* Llib/thread.scm 51 */
BgL_res1761z00_1059 = BgL__ortest_1110z00_1063; }  else 
{ /* Llib/thread.scm 51 */
 long BgL_odepthz00_1064;
BgL_odepthz00_1064 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1060); 
if(
(((long)1)<BgL_odepthz00_1064))
{ /* Llib/thread.scm 51 */
 obj_t BgL_arg1790z00_1065;
BgL_arg1790z00_1065 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1060, ((long)1)); 
BgL_res1761z00_1059 = 
(BgL_arg1790z00_1065==BgL_classz00_1054); }  else 
{ /* Llib/thread.scm 51 */
BgL_res1761z00_1059 = ((bool_t)0); } } } } 
BgL_test1988z00_1886 = BgL_res1761z00_1059; } }  else 
{ /* Llib/thread.scm 51 */
BgL_test1988z00_1886 = ((bool_t)0)
; } } 
if(BgL_test1988z00_1886)
{ /* Llib/thread.scm 51 */
BgL_tmpz00_1885 = 
(
((obj_t)
(((BgL_z52sigjoinz52_bglt)COBJECT(
((BgL_z52sigjoinz52_bglt)BgL_o1z00_887)))->BgL_threadz00))==
((obj_t)
(((BgL_z52sigjoinz52_bglt)COBJECT(
((BgL_z52sigjoinz52_bglt)BgL_o2z00_888)))->BgL_threadz00)))
; }  else 
{ /* Llib/thread.scm 51 */
BgL_tmpz00_1885 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_1885);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1835z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(((long)0), 
BSTRING_TO_STRING(BGl_string1835z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(((long)536507091), 
BSTRING_TO_STRING(BGl_string1835z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(((long)427827911), 
BSTRING_TO_STRING(BGl_string1835z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(((long)398966270), 
BSTRING_TO_STRING(BGl_string1835z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_envz00(((long)360853603), 
BSTRING_TO_STRING(BGl_string1835z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52envz52(((long)471565054), 
BSTRING_TO_STRING(BGl_string1835z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(((long)295111899), 
BSTRING_TO_STRING(BGl_string1835z00zz__ft_threadz00)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(((long)486293435), 
BSTRING_TO_STRING(BGl_string1835z00zz__ft_threadz00));} 

}

#ifdef __cplusplus
}
#endif
