/*===========================================================================*/
/*   (Llib/async.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/async.scm -o objs/async.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvwatcherz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvwatcherz00_bglt;

typedef struct BgL_uvasyncz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvasyncz00_bglt;


static obj_t BGl_requirezd2initializa7ationz75zz__libuv_asyncz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__libuv_asyncz00(void);
static obj_t BGl_genericzd2initzd2zz__libuv_asyncz00(void);
static obj_t BGl_objectzd2initzd2zz__libuv_asyncz00(void);
extern obj_t BGl_UvAsyncz00zz__libuv_typesz00;
static obj_t BGl_methodzd2initzd2zz__libuv_asyncz00(void);
static obj_t BGl_z62uvzd2asynczd2sendz62zz__libuv_asyncz00(obj_t, obj_t);
extern uv_async_t * bgl_uv_async_new(BgL_uvasyncz00_bglt, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_asyncz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
static obj_t BGl_z62z52uvzd2initzd2UvAsync1071z30zz__libuv_asyncz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_asyncz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_asyncz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_asyncz00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2asynczd2sendz00zz__libuv_asyncz00(BgL_uvasyncz00_bglt);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1094z00zz__libuv_asyncz00, BgL_bgl_string1094za700za7za7_1096za7, "%uv-init", 8 );
DEFINE_STRING( BGl_string1095z00zz__libuv_asyncz00, BgL_bgl_string1095za700za7za7_1097za7, "__libuv_async", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1093z00zz__libuv_asyncz00, BgL_bgl_za762za752uvza7d2initza71098z00, BGl_z62z52uvzd2initzd2UvAsync1071z30zz__libuv_asyncz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2asynczd2sendzd2envzd2zz__libuv_asyncz00, BgL_bgl_za762uvza7d2asyncza7d21099za7, BGl_z62uvzd2asynczd2sendz62zz__libuv_asyncz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_z52uvzd2initzd2envz52zz__libuv_typesz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_asyncz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_asyncz00(long BgL_checksumz00_71, char * BgL_fromz00_72)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_asyncz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_asyncz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_asyncz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_asyncz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_asyncz00(); 
BGl_methodzd2initzd2zz__libuv_asyncz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_asyncz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_asyncz00(void)
{
{ /* Llib/async.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__libuv_async"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__libuv_async"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libuv_async"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_asyncz00(void)
{
{ /* Llib/async.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_asyncz00(void)
{
{ /* Llib/async.scm 15 */
return BUNSPEC;} 

}



/* uv-async-send */
BGL_EXPORTED_DEF obj_t BGl_uvzd2asynczd2sendz00zz__libuv_asyncz00(BgL_uvasyncz00_bglt BgL_oz00_4)
{
{ /* Llib/async.scm 38 */
{ /* Llib/async.scm 40 */
 uv_async_t * BgL_arg1076z00_36;
{ /* Llib/async.scm 40 */
 uv_handle_t * BgL_arg1077z00_37;
BgL_arg1077z00_37 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_4)))->BgL_z42builtinz42); 
BgL_arg1076z00_36 = 
(uv_async_t *)(BgL_arg1077z00_37); } 
uv_async_send(BgL_arg1076z00_36); 
return BUNSPEC;} } 

}



/* &uv-async-send */
obj_t BGl_z62uvzd2asynczd2sendz62zz__libuv_asyncz00(obj_t BgL_envz00_55, obj_t BgL_oz00_56)
{
{ /* Llib/async.scm 38 */
return 
BGl_uvzd2asynczd2sendz00zz__libuv_asyncz00(
((BgL_uvasyncz00_bglt)BgL_oz00_56));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_asyncz00(void)
{
{ /* Llib/async.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_asyncz00(void)
{
{ /* Llib/async.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_asyncz00(void)
{
{ /* Llib/async.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvAsyncz00zz__libuv_typesz00, BGl_proc1093z00zz__libuv_asyncz00, BGl_string1094z00zz__libuv_asyncz00);} 

}



/* &%uv-init-UvAsync1071 */
obj_t BGl_z62z52uvzd2initzd2UvAsync1071z30zz__libuv_asyncz00(obj_t BgL_envz00_58, obj_t BgL_oz00_59)
{
{ /* Llib/async.scm 26 */
{ 
 uv_handle_t * BgL_auxz00_92;
{ /* Llib/async.scm 28 */
 uv_async_t * BgL_arg1079z00_63;
{ /* Llib/async.scm 28 */
 BgL_uvloopz00_bglt BgL_arg1080z00_64;
BgL_arg1080z00_64 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvasyncz00_bglt)BgL_oz00_59))))->BgL_loopz00); 
BgL_arg1079z00_63 = 
bgl_uv_async_new(
((BgL_uvasyncz00_bglt)BgL_oz00_59), BgL_arg1080z00_64); } 
BgL_auxz00_92 = 
(uv_handle_t *)(BgL_arg1079z00_63); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_oz00_59))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_92),BUNSPEC); } 
{ /* Llib/async.scm 29 */
 BgL_uvloopz00_bglt BgL_i1067z00_65;
BgL_i1067z00_65 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvasyncz00_bglt)BgL_oz00_59))))->BgL_loopz00); 
{ /* Llib/async.scm 30 */
 obj_t BgL_mutex1081z00_66;
BgL_mutex1081z00_66 = 
(((BgL_uvloopz00_bglt)COBJECT(BgL_i1067z00_65))->BgL_z52mutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1081z00_66); 
{ /* Llib/async.scm 30 */
 obj_t BgL_tmp1101z00_106;
{ /* Llib/async.scm 32 */
 BgL_uvloopz00_bglt BgL_arg1083z00_67;
BgL_arg1083z00_67 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvasyncz00_bglt)BgL_oz00_59))))->BgL_loopz00); 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_67)))->BgL_z52gcmarkstailz52)))
{ /* Llib/async.scm 32 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_67)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvasyncz00_bglt)BgL_oz00_59)), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_67)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_67)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/async.scm 32 */
{ /* Llib/async.scm 32 */
 obj_t BgL_arg1086z00_68; obj_t BgL_arg1087z00_69;
BgL_arg1086z00_68 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_67)))->BgL_z52gcmarkstailz52); 
BgL_arg1087z00_69 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvasyncz00_bglt)BgL_oz00_59)), BNIL); 
{ /* Llib/async.scm 32 */
 obj_t BgL_tmpz00_129;
BgL_tmpz00_129 = 
((obj_t)BgL_arg1086z00_68); 
SET_CDR(BgL_tmpz00_129, BgL_arg1087z00_69); } } 
{ 
 obj_t BgL_auxz00_132;
{ /* Llib/async.scm 32 */
 obj_t BgL_pairz00_70;
BgL_pairz00_70 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_67)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_132 = 
CDR(BgL_pairz00_70); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_67)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_132),BUNSPEC); } } 
BgL_tmp1101z00_106 = BUNSPEC; } 
BGL_MUTEX_UNLOCK(BgL_mutex1081z00_66); BgL_tmp1101z00_106; } } } 
return 
((obj_t)
((BgL_uvasyncz00_bglt)BgL_oz00_59));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_asyncz00(void)
{
{ /* Llib/async.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(((long)204966563), 
BSTRING_TO_STRING(BGl_string1095z00zz__libuv_asyncz00));} 

}

#ifdef __cplusplus
}
#endif
