/*===========================================================================*/
/*   (Llib/loop.scm)                                                         */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/loop.scm -o objs/loop.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvworkz00_bgl {
   header_t header;
   obj_t widening;
   uv_work_t * BgL_z42builtinz42;
   obj_t BgL_z52workzd2cbz80;
   obj_t BgL_z52afterzd2cbz80;
} *BgL_uvworkz00_bglt;


static obj_t BGl_requirezd2initializa7ationz75zz__libuv_loopz00 = BUNSPEC;
static obj_t BGl_z62uvzd2stopzb0zz__libuv_loopz00(obj_t, obj_t);
BGL_EXPORTED_DECL BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(void);
static BgL_uvloopz00_bglt BGl_z62uvzd2defaultzd2loopz62zz__libuv_loopz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31122ze3ze5zz__libuv_loopz00(obj_t);
static obj_t BGl_z62z52uvzd2initzd2UvLoop1091z30zz__libuv_loopz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__libuv_loopz00(void);
static obj_t BGl_z62uvzd2updatezd2timez62zz__libuv_loopz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__libuv_loopz00(void);
static obj_t BGl_uvzd2queuezd2workz00zz__libuv_loopz00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__libuv_loopz00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_defaultzd2loopzd2zz__libuv_loopz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2updatezd2timez00zz__libuv_loopz00(BgL_uvloopz00_bglt);
static obj_t BGl_methodzd2initzd2zz__libuv_loopz00(void);
extern obj_t BGl_UvLoopz00zz__libuv_typesz00;
BGL_EXPORTED_DECL uint64_t BGl_uvzd2nowzd2zz__libuv_loopz00(BgL_uvloopz00_bglt);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_UvWorkz00zz__libuv_typesz00;
BGL_EXPORTED_DEF obj_t bgl_uv_mutex = BUNSPEC;
static obj_t BGl_z62uvzd2loopzd2alivezf3z91zz__libuv_loopz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2stopzd2zz__libuv_loopz00(BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern void bgl_uv_queue_work(BgL_uvworkz00_bglt, BgL_uvloopz00_bglt);
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__libuv_loopz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_loopz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_loopz00(void);
BGL_EXPORTED_DECL bool_t BGl_uvzd2loopzd2alivezf3zf3zz__libuv_loopz00(BgL_uvloopz00_bglt);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_loopz00(void);
static obj_t BGl_z62uvzd2nowzb0zz__libuv_loopz00(obj_t, obj_t);
static obj_t BGl_gczd2loopszd2zz__libuv_loopz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2runzd2zz__libuv_loopz00(BgL_uvloopz00_bglt, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__uvzd2runzd2zz__libuv_loopz00(obj_t, obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_STRING( BGl_string1180z00zz__libuv_loopz00, BgL_bgl_string1180za700za7za7_1195za7, "BROKEN AS LIBUV uses its own thread (and not Bigloo threads)", 60 );
DEFINE_STRING( BGl_string1181z00zz__libuv_loopz00, BgL_bgl_string1181za700za7za7_1196za7, ":", 1 );
DEFINE_STRING( BGl_string1182z00zz__libuv_loopz00, BgL_bgl_string1182za700za7za7_1197za7, ",", 1 );
DEFINE_STRING( BGl_string1183z00zz__libuv_loopz00, BgL_bgl_string1183za700za7za7_1198za7, "Llib/loop.scm", 13 );
DEFINE_STRING( BGl_string1184z00zz__libuv_loopz00, BgL_bgl_string1184za700za7za7_1199za7, "uv-queue-work", 13 );
DEFINE_STRING( BGl_string1185z00zz__libuv_loopz00, BgL_bgl_string1185za700za7za7_1200za7, "wrong after callback arity", 26 );
DEFINE_STRING( BGl_string1186z00zz__libuv_loopz00, BgL_bgl_string1186za700za7za7_1201za7, "wrong work callback arity", 25 );
DEFINE_STRING( BGl_string1188z00zz__libuv_loopz00, BgL_bgl_string1188za700za7za7_1202za7, "%uv-init", 8 );
DEFINE_STRING( BGl_string1189z00zz__libuv_loopz00, BgL_bgl_string1189za700za7za7_1203za7, "__libuv_loop", 12 );
DEFINE_STRING( BGl_string1190z00zz__libuv_loopz00, BgL_bgl_string1190za700za7za7_1204za7, ":loop mutex ", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1187z00zz__libuv_loopz00, BgL_bgl_za762za752uvza7d2initza71205z00, BGl_z62z52uvzd2initzd2UvLoop1091z30zz__libuv_loopz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2updatezd2timezd2envzd2zz__libuv_loopz00, BgL_bgl_za762uvza7d2updateza7d1206za7, BGl_z62uvzd2updatezd2timez62zz__libuv_loopz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2stopzd2envz00zz__libuv_loopz00, BgL_bgl_za762uvza7d2stopza7b0za71207z00, BGl_z62uvzd2stopzb0zz__libuv_loopz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2runzd2envz00zz__libuv_loopz00, BgL_bgl__uvza7d2runza7d2za7za7__1208z00, opt_generic_entry, BGl__uvzd2runzd2zz__libuv_loopz00, BFALSE, -1 );
extern obj_t BGl_z52uvzd2initzd2envz52zz__libuv_typesz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2defaultzd2loopzd2envzd2zz__libuv_loopz00, BgL_bgl_za762uvza7d2defaultza71209za7, BGl_z62uvzd2defaultzd2loopz62zz__libuv_loopz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2loopzd2alivezf3zd2envz21zz__libuv_loopz00, BgL_bgl_za762uvza7d2loopza7d2a1210za7, BGl_z62uvzd2loopzd2alivezf3z91zz__libuv_loopz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2nowzd2envz00zz__libuv_loopz00, BgL_bgl_za762uvza7d2nowza7b0za7za71211za7, BGl_z62uvzd2nowzb0zz__libuv_loopz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_loopz00) );
ADD_ROOT( (void *)(&BGl_defaultzd2loopzd2zz__libuv_loopz00) );
ADD_ROOT( (void *)(&bgl_uv_mutex) );
ADD_ROOT( (void *)(&BGl_gczd2loopszd2zz__libuv_loopz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long BgL_checksumz00_183, char * BgL_fromz00_184)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_loopz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_loopz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__libuv_loopz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_loopz00(); 
BGl_cnstzd2initzd2zz__libuv_loopz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_loopz00(); 
BGl_methodzd2initzd2zz__libuv_loopz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_loopz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__libuv_loop"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
{ /* Llib/loop.scm 15 */
 obj_t BgL_cportz00_169;
{ /* Llib/loop.scm 15 */
 obj_t BgL_stringz00_176;
BgL_stringz00_176 = BGl_string1190z00zz__libuv_loopz00; 
{ /* Llib/loop.scm 15 */
 obj_t BgL_startz00_177;
BgL_startz00_177 = 
BINT(((long)0)); 
{ /* Llib/loop.scm 15 */
 obj_t BgL_endz00_178;
BgL_endz00_178 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_176))); 
{ /* Llib/loop.scm 15 */

BgL_cportz00_169 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_176, BgL_startz00_177, BgL_endz00_178); } } } } 
{ 
 long BgL_iz00_170;
BgL_iz00_170 = ((long)1); 
BgL_loopz00_171:
if(
(BgL_iz00_170==((long)-1)))
{ /* Llib/loop.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/loop.scm 15 */
{ /* Llib/loop.scm 15 */
 obj_t BgL_arg1194z00_172;
{ /* Llib/loop.scm 15 */

{ /* Llib/loop.scm 15 */
 obj_t BgL_locationz00_174;
BgL_locationz00_174 = 
BBOOL(((bool_t)0)); 
{ /* Llib/loop.scm 15 */

BgL_arg1194z00_172 = 
BGl_readz00zz__readerz00(BgL_cportz00_169, BgL_locationz00_174); } } } 
{ /* Llib/loop.scm 15 */
 int BgL_tmpz00_216;
BgL_tmpz00_216 = 
(int)(BgL_iz00_170); 
CNST_TABLE_SET(BgL_tmpz00_216, BgL_arg1194z00_172); } } 
{ /* Llib/loop.scm 15 */
 int BgL_auxz00_175;
BgL_auxz00_175 = 
(int)(
(BgL_iz00_170-((long)1))); 
{ 
 long BgL_iz00_221;
BgL_iz00_221 = 
(long)(BgL_auxz00_175); 
BgL_iz00_170 = BgL_iz00_221; 
goto BgL_loopz00_171;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
BGl_defaultzd2loopzd2zz__libuv_loopz00 = BFALSE; 
BGl_gczd2loopszd2zz__libuv_loopz00 = BNIL; 
{ /* Llib/loop.scm 45 */

{ /* Llib/loop.scm 45 */
 obj_t BgL_namez00_20;
BgL_namez00_20 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)0))); 
{ /* Llib/loop.scm 45 */

bgl_uv_mutex = 
bgl_make_mutex(BgL_namez00_20); } } } 
return BUNSPEC;} 

}



/* uv-default-loop */
BGL_EXPORTED_DEF BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 59 */
if(
CBOOL(BGl_defaultzd2loopzd2zz__libuv_loopz00))
{ /* Llib/loop.scm 60 */BFALSE; }  else 
{ /* Llib/loop.scm 62 */
 BgL_uvloopz00_bglt BgL_new1068z00_29;
{ /* Llib/loop.scm 63 */
 BgL_uvloopz00_bglt BgL_new1067z00_34;
BgL_new1067z00_34 = 
((BgL_uvloopz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvloopz00_bgl) ))); 
{ /* Llib/loop.scm 63 */
 long BgL_arg1118z00_35;
BgL_arg1118z00_35 = 
BGL_CLASS_NUM(BGl_UvLoopz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1067z00_34), BgL_arg1118z00_35); } 
BgL_new1068z00_29 = BgL_new1067z00_34; } 
{ 
 uv_handle_t * BgL_auxz00_233;
{ /* Llib/loop.scm 63 */
 uv_loop_t * BgL_arg1112z00_30;
BgL_arg1112z00_30 = 
uv_default_loop(); 
BgL_auxz00_233 = 
(uv_handle_t *)(BgL_arg1112z00_30); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_29)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_233),BUNSPEC); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_29)))->BgL_z52onclosez52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_29)))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_29)))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_29)))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_246;
{ /* Llib/uvtypes.scm 30 */
 obj_t BgL_arg1113z00_31;
{ /* Llib/uvtypes.scm 30 */
 obj_t BgL_arg1114z00_32;
{ /* Llib/uvtypes.scm 30 */
 obj_t BgL_classz00_113;
BgL_classz00_113 = BGl_UvLoopz00zz__libuv_typesz00; 
BgL_arg1114z00_32 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_113); } 
BgL_arg1113z00_31 = 
VECTOR_REF(BgL_arg1114z00_32,((long)5)); } 
BgL_auxz00_246 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1113z00_31); } 
((((BgL_uvloopz00_bglt)COBJECT(BgL_new1068z00_29))->BgL_z52mutexz52)=((obj_t)BgL_auxz00_246),BUNSPEC); } 
{ /* Llib/loop.scm 62 */
 obj_t BgL_fun1115z00_33;
BgL_fun1115z00_33 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvLoopz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1115z00_33))(BgL_fun1115z00_33, 
((obj_t)BgL_new1068z00_29), BEOA); } 
BGl_defaultzd2loopzd2zz__libuv_loopz00 = 
((obj_t)BgL_new1068z00_29); } 
return 
((BgL_uvloopz00_bglt)BGl_defaultzd2loopzd2zz__libuv_loopz00);} 

}



/* &uv-default-loop */
BgL_uvloopz00_bglt BGl_z62uvzd2defaultzd2loopz62zz__libuv_loopz00(obj_t BgL_envz00_152)
{
{ /* Llib/loop.scm 59 */
return 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00();} 

}



/* _uv-run */
obj_t BGl__uvzd2runzd2zz__libuv_loopz00(obj_t BgL_env1093z00_7, obj_t BgL_opt1092z00_6)
{
{ /* Llib/loop.scm 69 */
{ /* Llib/loop.scm 69 */
 obj_t BgL_g1094z00_36;
BgL_g1094z00_36 = 
VECTOR_REF(BgL_opt1092z00_6,((long)0)); 
switch( 
VECTOR_LENGTH(BgL_opt1092z00_6)) { case ((long)1) : 

{ /* Llib/loop.scm 69 */

return 
BINT(
BGl_uvzd2runzd2zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_g1094z00_36), BFALSE));} break;case ((long)2) : 

{ /* Llib/loop.scm 69 */
 obj_t BgL_modez00_40;
BgL_modez00_40 = 
VECTOR_REF(BgL_opt1092z00_6,((long)1)); 
{ /* Llib/loop.scm 69 */

return 
BINT(
BGl_uvzd2runzd2zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_g1094z00_36), BgL_modez00_40));} } break;
default: 
return BUNSPEC;} } } 

}



/* uv-run */
BGL_EXPORTED_DEF int BGl_uvzd2runzd2zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_4, obj_t BgL_modez00_5)
{
{ /* Llib/loop.scm 69 */
{ /* Llib/loop.scm 71 */
 obj_t BgL_exitd1071z00_42;
BgL_exitd1071z00_42 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/loop.scm 75 */
 obj_t BgL_zc3z04anonymousza31122ze3z87_153;
BgL_zc3z04anonymousza31122ze3z87_153 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31122ze3ze5zz__libuv_loopz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31122ze3z87_153, 
(int)(((long)0)), 
((obj_t)BgL_loopz00_4)); 
{ /* Llib/loop.scm 71 */
 obj_t BgL_arg1812z00_115;
{ /* Llib/loop.scm 71 */
 obj_t BgL_arg1813z00_116;
BgL_arg1813z00_116 = 
BGL_EXITD_PROTECT(BgL_exitd1071z00_42); 
BgL_arg1812z00_115 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31122ze3z87_153, BgL_arg1813z00_116); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1071z00_42, BgL_arg1812z00_115); BUNSPEC; } 
{ /* Llib/loop.scm 73 */
 int BgL_tmp1073z00_44;
BGl_gczd2loopszd2zz__libuv_loopz00 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_loopz00_4), BGl_gczd2loopszd2zz__libuv_loopz00); 
{ /* Llib/loop.scm 74 */
 uv_loop_t * BgL_arg1119z00_45; obj_t BgL_arg1120z00_46;
{ /* Llib/loop.scm 74 */
 uv_handle_t * BgL_arg1121z00_47;
BgL_arg1121z00_47 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_4)))->BgL_z42builtinz42); 
BgL_arg1119z00_45 = 
(uv_loop_t *)(BgL_arg1121z00_47); } 
if(
CBOOL(BgL_modez00_5))
{ /* Llib/loop.scm 74 */
BgL_arg1120z00_46 = BgL_modez00_5; }  else 
{ /* Llib/loop.scm 74 */
BgL_arg1120z00_46 = 
BINT(UV_RUN_DEFAULT); } 
{ /* Llib/loop.scm 74 */
 int BgL_tmpz00_288;
BgL_tmpz00_288 = 
CINT(BgL_arg1120z00_46); 
BgL_tmp1073z00_44 = 
uv_run(BgL_arg1119z00_45, BgL_tmpz00_288); } } 
{ /* Llib/loop.scm 71 */
 bool_t BgL_test1216z00_291;
{ /* Llib/loop.scm 71 */
 obj_t BgL_arg1811z00_118;
BgL_arg1811z00_118 = 
BGL_EXITD_PROTECT(BgL_exitd1071z00_42); 
BgL_test1216z00_291 = 
PAIRP(BgL_arg1811z00_118); } 
if(BgL_test1216z00_291)
{ /* Llib/loop.scm 71 */
 obj_t BgL_arg1809z00_119;
{ /* Llib/loop.scm 71 */
 obj_t BgL_arg1810z00_120;
BgL_arg1810z00_120 = 
BGL_EXITD_PROTECT(BgL_exitd1071z00_42); 
BgL_arg1809z00_119 = 
CDR(
((obj_t)BgL_arg1810z00_120)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1071z00_42, BgL_arg1809z00_119); BUNSPEC; }  else 
{ /* Llib/loop.scm 71 */BFALSE; } } 
BGl_z62zc3z04anonymousza31122ze3ze5zz__libuv_loopz00(BgL_zc3z04anonymousza31122ze3z87_153); 
return BgL_tmp1073z00_44;} } } } 

}



/* &<@anonymous:1122> */
obj_t BGl_z62zc3z04anonymousza31122ze3ze5zz__libuv_loopz00(obj_t BgL_envz00_154)
{
{ /* Llib/loop.scm 71 */
{ /* Llib/loop.scm 75 */
 BgL_uvloopz00_bglt BgL_loopz00_155;
BgL_loopz00_155 = 
((BgL_uvloopz00_bglt)
PROCEDURE_REF(BgL_envz00_154, 
(int)(((long)0)))); 
{ /* Llib/loop.scm 75 */
 obj_t BgL_top1218z00_303;
BgL_top1218z00_303 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(bgl_uv_mutex); 
BGL_EXITD_PUSH_PROTECT(BgL_top1218z00_303, bgl_uv_mutex); BUNSPEC; 
{ /* Llib/loop.scm 75 */
 obj_t BgL_tmp1217z00_302;
BgL_tmp1217z00_302 = ( 
BGl_gczd2loopszd2zz__libuv_loopz00 = 
bgl_remq_bang(
((obj_t)BgL_loopz00_155), BGl_gczd2loopszd2zz__libuv_loopz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top1218z00_303); BUNSPEC; 
BGL_MUTEX_UNLOCK(bgl_uv_mutex); 
return BgL_tmp1217z00_302;} } } } 

}



/* uv-stop */
BGL_EXPORTED_DEF obj_t BGl_uvzd2stopzd2zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_8)
{
{ /* Llib/loop.scm 81 */
{ /* Llib/loop.scm 83 */
 obj_t BgL_top1220z00_312;
BgL_top1220z00_312 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(bgl_uv_mutex); 
BGL_EXITD_PUSH_PROTECT(BgL_top1220z00_312, bgl_uv_mutex); BUNSPEC; 
{ /* Llib/loop.scm 83 */
 obj_t BgL_tmp1219z00_311;
BgL_tmp1219z00_311 = ( 
BGl_gczd2loopszd2zz__libuv_loopz00 = 
bgl_remq_bang(
((obj_t)BgL_loopz00_8), BGl_gczd2loopszd2zz__libuv_loopz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top1220z00_312); BUNSPEC; 
BGL_MUTEX_UNLOCK(bgl_uv_mutex); BgL_tmp1219z00_311; } } 
{ /* Llib/loop.scm 85 */
 uv_loop_t * BgL_arg1129z00_52;
{ /* Llib/loop.scm 85 */
 uv_handle_t * BgL_arg1130z00_53;
BgL_arg1130z00_53 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_8)))->BgL_z42builtinz42); 
BgL_arg1129z00_52 = 
(uv_loop_t *)(BgL_arg1130z00_53); } 
uv_stop(BgL_arg1129z00_52); 
return BUNSPEC;} } 

}



/* &uv-stop */
obj_t BGl_z62uvzd2stopzb0zz__libuv_loopz00(obj_t BgL_envz00_156, obj_t BgL_loopz00_157)
{
{ /* Llib/loop.scm 81 */
return 
BGl_uvzd2stopzd2zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_loopz00_157));} 

}



/* uv-loop-alive? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2loopzd2alivezf3zf3zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_9)
{
{ /* Llib/loop.scm 90 */
{ /* Llib/loop.scm 92 */
 uv_loop_t * BgL_arg1132z00_123;
{ /* Llib/loop.scm 92 */
 uv_handle_t * BgL_arg1133z00_124;
BgL_arg1133z00_124 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_9)))->BgL_z42builtinz42); 
BgL_arg1132z00_123 = 
(uv_loop_t *)(BgL_arg1133z00_124); } 
return 
uv_loop_alive(BgL_arg1132z00_123);} } 

}



/* &uv-loop-alive? */
obj_t BGl_z62uvzd2loopzd2alivezf3z91zz__libuv_loopz00(obj_t BgL_envz00_158, obj_t BgL_loopz00_159)
{
{ /* Llib/loop.scm 90 */
return 
BBOOL(
BGl_uvzd2loopzd2alivezf3zf3zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_loopz00_159)));} 

}



/* uv-update-time */
BGL_EXPORTED_DEF obj_t BGl_uvzd2updatezd2timez00zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_10)
{
{ /* Llib/loop.scm 97 */
{ /* Llib/loop.scm 99 */
 uv_loop_t * BgL_arg1134z00_126;
{ /* Llib/loop.scm 99 */
 uv_handle_t * BgL_arg1137z00_127;
BgL_arg1137z00_127 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_10)))->BgL_z42builtinz42); 
BgL_arg1134z00_126 = 
(uv_loop_t *)(BgL_arg1137z00_127); } 
uv_update_time(BgL_arg1134z00_126); BUNSPEC; } 
return 
((obj_t)BgL_loopz00_10);} 

}



/* &uv-update-time */
obj_t BGl_z62uvzd2updatezd2timez62zz__libuv_loopz00(obj_t BgL_envz00_160, obj_t BgL_loopz00_161)
{
{ /* Llib/loop.scm 97 */
return 
BGl_uvzd2updatezd2timez00zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_loopz00_161));} 

}



/* uv-now */
BGL_EXPORTED_DEF uint64_t BGl_uvzd2nowzd2zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_11)
{
{ /* Llib/loop.scm 105 */
{ /* Llib/loop.scm 107 */
 uv_loop_t * BgL_arg1138z00_129;
{ /* Llib/loop.scm 107 */
 uv_handle_t * BgL_arg1139z00_130;
BgL_arg1139z00_130 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_11)))->BgL_z42builtinz42); 
BgL_arg1138z00_129 = 
(uv_loop_t *)(BgL_arg1139z00_130); } 
return 
uv_now(BgL_arg1138z00_129);} } 

}



/* &uv-now */
obj_t BGl_z62uvzd2nowzb0zz__libuv_loopz00(obj_t BgL_envz00_162, obj_t BgL_loopz00_163)
{
{ /* Llib/loop.scm 105 */
{ /* Llib/loop.scm 106 */
 uint64_t BgL_tmpz00_344;
BgL_tmpz00_344 = 
BGl_uvzd2nowzd2zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_loopz00_163)); 
return 
BGL_UINT64_TO_BUINT64(BgL_tmpz00_344);} } 

}



/* uv-queue-work */
obj_t BGl_uvzd2queuezd2workz00zz__libuv_loopz00(obj_t BgL_workzd2cbzd2_12, obj_t BgL_afterzd2cbzd2_13, obj_t BgL_loopz00_14)
{
{ /* Llib/loop.scm 112 */
{ /* Llib/loop.scm 113 */
 obj_t BgL_arg1145z00_78;
{ /* Llib/loop.scm 113 */
 obj_t BgL_tmpz00_348;
BgL_tmpz00_348 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1145z00_78 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_348); } 
{ /* Llib/loop.scm 113 */
 obj_t BgL_list1146z00_79;
{ /* Llib/loop.scm 113 */
 obj_t BgL_arg1147z00_80;
{ /* Llib/loop.scm 113 */
 obj_t BgL_arg1149z00_81;
{ /* Llib/loop.scm 113 */
 obj_t BgL_arg1150z00_82;
{ /* Llib/loop.scm 113 */
 obj_t BgL_arg1153z00_83;
BgL_arg1153z00_83 = 
MAKE_YOUNG_PAIR(BGl_string1180z00zz__libuv_loopz00, BNIL); 
BgL_arg1150z00_82 = 
MAKE_YOUNG_PAIR(BGl_string1181z00zz__libuv_loopz00, BgL_arg1153z00_83); } 
BgL_arg1149z00_81 = 
MAKE_YOUNG_PAIR(
BINT(((long)113)), BgL_arg1150z00_82); } 
BgL_arg1147z00_80 = 
MAKE_YOUNG_PAIR(BGl_string1182z00zz__libuv_loopz00, BgL_arg1149z00_81); } 
BgL_list1146z00_79 = 
MAKE_YOUNG_PAIR(BGl_string1183z00zz__libuv_loopz00, BgL_arg1147z00_80); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1145z00_78, BgL_list1146z00_79); } } 
{ /* Llib/loop.scm 114 */
 obj_t BgL_wz00_84;
{ /* Llib/loop.scm 114 */
 BgL_uvworkz00_bglt BgL_new1085z00_85;
{ /* Llib/loop.scm 114 */
 BgL_uvworkz00_bglt BgL_new1084z00_89;
BgL_new1084z00_89 = 
((BgL_uvworkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvworkz00_bgl) ))); 
{ /* Llib/loop.scm 114 */
 obj_t BgL_arg1157z00_90;
{ /* Llib/loop.scm 114 */
 obj_t BgL_classz00_147;
BgL_classz00_147 = BGl_UvWorkz00zz__libuv_typesz00; 
BgL_arg1157z00_90 = 
BINT(
BGL_CLASS_NUM(BgL_classz00_147)); } 
{ /* Llib/loop.scm 114 */
 long BgL_numz00_149;
BgL_numz00_149 = 
(long)CINT(BgL_arg1157z00_90); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1084z00_89), BgL_numz00_149); } } 
BgL_new1085z00_85 = BgL_new1084z00_89; } 
{ 
 void * BgL_auxz00_364;
{ /* Llib/loop.scm 114 */
 obj_t BgL_arg1154z00_86;
{ /* Llib/loop.scm 114 */
 obj_t BgL_arg1155z00_87;
{ /* Llib/loop.scm 114 */
 obj_t BgL_classz00_150;
BgL_classz00_150 = BGl_UvWorkz00zz__libuv_typesz00; 
BgL_arg1155z00_87 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_150); } 
BgL_arg1154z00_86 = 
VECTOR_REF(
((obj_t)BgL_arg1155z00_87),((long)0)); } 
BgL_auxz00_364 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1154z00_86)); } 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1085z00_85))->BgL_z42builtinz42)=((uv_work_t *)BgL_auxz00_364),BUNSPEC); } 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1085z00_85))->BgL_z52workzd2cbz80)=((obj_t)BgL_workzd2cbzd2_12),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1085z00_85))->BgL_z52afterzd2cbz80)=((obj_t)BgL_afterzd2cbzd2_13),BUNSPEC); 
{ /* Llib/loop.scm 114 */
 obj_t BgL_fun1156z00_88;
BgL_fun1156z00_88 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvWorkz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1156z00_88))(BgL_fun1156z00_88, 
((obj_t)BgL_new1085z00_85), BEOA); } 
BgL_wz00_84 = 
((obj_t)BgL_new1085z00_85); } 
if(
PROCEDURE_CORRECT_ARITYP(BgL_workzd2cbzd2_12, 
(int)(((long)0))))
{ /* Llib/loop.scm 118 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_afterzd2cbzd2_13, 
(int)(((long)1))))
{ /* Llib/loop.scm 120 */
bgl_uv_queue_work(
((BgL_uvworkz00_bglt)BgL_wz00_84), 
((BgL_uvloopz00_bglt)BgL_loopz00_14)); BUNSPEC; 
return BgL_wz00_84;}  else 
{ /* Llib/loop.scm 120 */
BGL_TAIL return 
BGl_errorz00zz__errorz00(BGl_string1184z00zz__libuv_loopz00, BGl_string1185z00zz__libuv_loopz00, BgL_afterzd2cbzd2_13);} }  else 
{ /* Llib/loop.scm 118 */
BGL_TAIL return 
BGl_errorz00zz__errorz00(BGl_string1184z00zz__libuv_loopz00, BGl_string1186z00zz__libuv_loopz00, BgL_workzd2cbzd2_12);} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvLoopz00zz__libuv_typesz00, BGl_proc1187z00zz__libuv_loopz00, BGl_string1188z00zz__libuv_loopz00);} 

}



/* &%uv-init-UvLoop1091 */
obj_t BGl_z62z52uvzd2initzd2UvLoop1091z30zz__libuv_loopz00(obj_t BgL_envz00_165, obj_t BgL_oz00_166)
{
{ /* Llib/loop.scm 50 */
{ /* Llib/loop.scm 52 */
 bool_t BgL_test1223z00_392;
{ /* Llib/loop.scm 52 */
 uv_handle_t * BgL_arg1170z00_181;
BgL_arg1170z00_181 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_oz00_166))))->BgL_z42builtinz42); 
BgL_test1223z00_392 = 
((uv_handle_t *)0L) == (BgL_arg1170z00_181); } 
if(BgL_test1223z00_392)
{ 
 uv_handle_t * BgL_auxz00_397;
{ /* Llib/loop.scm 53 */
 uv_loop_t * BgL_arg1168z00_182;
BgL_arg1168z00_182 = 
uv_loop_new(); 
BgL_auxz00_397 = 
(uv_handle_t *)(BgL_arg1168z00_182); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_oz00_166))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_397),BUNSPEC); }  else 
{ /* Llib/loop.scm 52 */BFALSE; } } 
return 
((obj_t)
((BgL_uvloopz00_bglt)BgL_oz00_166));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(((long)204966563), 
BSTRING_TO_STRING(BGl_string1189z00zz__libuv_loopz00));} 

}

#ifdef __cplusplus
}
#endif
