/*===========================================================================*/
/*   (Llib/pipe.scm)                                                         */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/pipe.scm -o objs/pipe.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvstreamz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
} *BgL_uvstreamz00_bglt;

typedef struct BgL_uvpipez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
   bool_t BgL_ipcz00;
} *BgL_uvpipez00_bglt;


static obj_t BGl_z62uvzd2pipezd2bindz62zz__libuv_pipez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_pipez00 = BUNSPEC;
extern BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(void);
static obj_t BGl__uvzd2pipezd2connectz00zz__libuv_pipez00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__libuv_pipez00(void);
static obj_t BGl_genericzd2initzd2zz__libuv_pipez00(void);
static obj_t BGl_objectzd2initzd2zz__libuv_pipez00(void);
static obj_t BGl_z62uvzd2pipezd2pendingzd2instanceszb0zz__libuv_pipez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_uvzd2pipezd2ipczf3zf3zz__libuv_pipez00(BgL_uvpipez00_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2pipezd2connectz00zz__libuv_pipez00(BgL_uvpipez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_pipez00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2pipezd2pendingzd2instanceszd2zz__libuv_pipez00(BgL_uvpipez00_bglt, int);
extern obj_t BGl_UvPipez00zz__libuv_typesz00;
extern void bgl_uv_pipe_connect(BgL_uvpipez00_bglt, char *, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_z62uvzd2pipezd2openz62zz__libuv_pipez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52uvzd2initzd2UvPipe1076z30zz__libuv_pipez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2pipezd2bindz00zz__libuv_pipez00(BgL_uvpipez00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_pipez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
static obj_t BGl_cnstzd2initzd2zz__libuv_pipez00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_pipez00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_pipez00(void);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_pipez00(void);
static obj_t BGl_z62uvzd2pipezd2ipczf3z91zz__libuv_pipez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern uv_pipe_t * bgl_uv_pipe_create(uv_loop_t *, obj_t, bool_t);
BGL_EXPORTED_DECL int BGl_uvzd2pipezd2openz00zz__libuv_pipez00(BgL_uvpipez00_bglt, int);
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2pipezd2ipczf3zd2envz21zz__libuv_pipez00, BgL_bgl_za762uvza7d2pipeza7d2i1140za7, BGl_z62uvzd2pipezd2ipczf3z91zz__libuv_pipez00, 0L, BUNSPEC, 1 );
extern obj_t BGl_z52uvzd2initzd2envz52zz__libuv_typesz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2pipezd2bindzd2envzd2zz__libuv_pipez00, BgL_bgl_za762uvza7d2pipeza7d2b1141za7, BGl_z62uvzd2pipezd2bindz62zz__libuv_pipez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2pipezd2openzd2envzd2zz__libuv_pipez00, BgL_bgl_za762uvza7d2pipeza7d2o1142za7, BGl_z62uvzd2pipezd2openz62zz__libuv_pipez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2pipezd2connectzd2envzd2zz__libuv_pipez00, BgL_bgl__uvza7d2pipeza7d2con1143z00, opt_generic_entry, BGl__uvzd2pipezd2connectz00zz__libuv_pipez00, BFALSE, -1 );
DEFINE_STRING( BGl_string1136z00zz__libuv_pipez00, BgL_bgl_string1136za700za7za7_1144za7, "%uv-init", 8 );
DEFINE_STRING( BGl_string1137z00zz__libuv_pipez00, BgL_bgl_string1137za700za7za7_1145za7, "__libuv_pipe", 12 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2pipezd2pendingzd2instanceszd2envz00zz__libuv_pipez00, BgL_bgl_za762uvza7d2pipeza7d2p1146za7, BGl_z62uvzd2pipezd2pendingzd2instanceszb0zz__libuv_pipez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1138z00zz__libuv_pipez00, BgL_bgl_string1138za700za7za7_1147za7, ":loop :callback ", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1135z00zz__libuv_pipez00, BgL_bgl_za762za752uvza7d2initza71148z00, BGl_z62z52uvzd2initzd2UvPipe1076z30zz__libuv_pipez00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_pipez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_pipez00(long BgL_checksumz00_145, char * BgL_fromz00_146)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_pipez00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_pipez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_pipez00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_pipez00(); 
BGl_cnstzd2initzd2zz__libuv_pipez00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_pipez00(); 
BGl_methodzd2initzd2zz__libuv_pipez00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_pipez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_pipez00(void)
{
{ /* Llib/pipe.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libuv_pipe"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__libuv_pipe"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__libuv_pipe"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__libuv_pipe"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__libuv_pipe"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__libuv_pipe"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_pipez00(void)
{
{ /* Llib/pipe.scm 15 */
{ /* Llib/pipe.scm 15 */
 obj_t BgL_cportz00_129;
{ /* Llib/pipe.scm 15 */
 obj_t BgL_stringz00_136;
BgL_stringz00_136 = BGl_string1138z00zz__libuv_pipez00; 
{ /* Llib/pipe.scm 15 */
 obj_t BgL_startz00_137;
BgL_startz00_137 = 
BINT(((long)0)); 
{ /* Llib/pipe.scm 15 */
 obj_t BgL_endz00_138;
BgL_endz00_138 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_136))); 
{ /* Llib/pipe.scm 15 */

BgL_cportz00_129 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_136, BgL_startz00_137, BgL_endz00_138); } } } } 
{ 
 long BgL_iz00_130;
BgL_iz00_130 = ((long)1); 
BgL_loopz00_131:
if(
(BgL_iz00_130==((long)-1)))
{ /* Llib/pipe.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pipe.scm 15 */
{ /* Llib/pipe.scm 15 */
 obj_t BgL_arg1139z00_132;
{ /* Llib/pipe.scm 15 */

{ /* Llib/pipe.scm 15 */
 obj_t BgL_locationz00_134;
BgL_locationz00_134 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pipe.scm 15 */

BgL_arg1139z00_132 = 
BGl_readz00zz__readerz00(BgL_cportz00_129, BgL_locationz00_134); } } } 
{ /* Llib/pipe.scm 15 */
 int BgL_tmpz00_171;
BgL_tmpz00_171 = 
(int)(BgL_iz00_130); 
CNST_TABLE_SET(BgL_tmpz00_171, BgL_arg1139z00_132); } } 
{ /* Llib/pipe.scm 15 */
 int BgL_auxz00_135;
BgL_auxz00_135 = 
(int)(
(BgL_iz00_130-((long)1))); 
{ 
 long BgL_iz00_176;
BgL_iz00_176 = 
(long)(BgL_auxz00_135); 
BgL_iz00_130 = BgL_iz00_176; 
goto BgL_loopz00_131;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_pipez00(void)
{
{ /* Llib/pipe.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_pipez00(void)
{
{ /* Llib/pipe.scm 15 */
return BUNSPEC;} 

}



/* uv-pipe-open */
BGL_EXPORTED_DEF int BGl_uvzd2pipezd2openz00zz__libuv_pipez00(BgL_uvpipez00_bglt BgL_handlez00_4, int BgL_fdz00_5)
{
{ /* Llib/pipe.scm 41 */
{ /* Llib/pipe.scm 43 */
 uv_pipe_t * BgL_arg1093z00_75;
{ /* Llib/pipe.scm 43 */
 uv_handle_t * BgL_arg1094z00_76;
BgL_arg1094z00_76 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_4)))->BgL_z42builtinz42); 
BgL_arg1093z00_75 = 
(uv_pipe_t *)(BgL_arg1094z00_76); } 
return 
uv_pipe_open(BgL_arg1093z00_75, BgL_fdz00_5);} } 

}



/* &uv-pipe-open */
obj_t BGl_z62uvzd2pipezd2openz62zz__libuv_pipez00(obj_t BgL_envz00_113, obj_t BgL_handlez00_114, obj_t BgL_fdz00_115)
{
{ /* Llib/pipe.scm 41 */
return 
BINT(
BGl_uvzd2pipezd2openz00zz__libuv_pipez00(
((BgL_uvpipez00_bglt)BgL_handlez00_114), 
CINT(BgL_fdz00_115)));} 

}



/* uv-pipe-bind */
BGL_EXPORTED_DEF obj_t BGl_uvzd2pipezd2bindz00zz__libuv_pipez00(BgL_uvpipez00_bglt BgL_handlez00_6, obj_t BgL_namez00_7)
{
{ /* Llib/pipe.scm 48 */
{ /* Llib/pipe.scm 50 */
 uv_pipe_t * BgL_arg1096z00_78;
{ /* Llib/pipe.scm 50 */
 uv_handle_t * BgL_arg1097z00_79;
BgL_arg1097z00_79 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_6)))->BgL_z42builtinz42); 
BgL_arg1096z00_78 = 
(uv_pipe_t *)(BgL_arg1097z00_79); } 
{ /* Llib/pipe.scm 50 */
 int BgL_tmpz00_190;
{ /* Llib/pipe.scm 50 */
 char * BgL_tmpz00_191;
BgL_tmpz00_191 = 
BSTRING_TO_STRING(BgL_namez00_7); 
BgL_tmpz00_190 = 
uv_pipe_bind(BgL_arg1096z00_78, BgL_tmpz00_191); } 
return 
BINT(BgL_tmpz00_190);} } } 

}



/* &uv-pipe-bind */
obj_t BGl_z62uvzd2pipezd2bindz62zz__libuv_pipez00(obj_t BgL_envz00_116, obj_t BgL_handlez00_117, obj_t BgL_namez00_118)
{
{ /* Llib/pipe.scm 48 */
return 
BGl_uvzd2pipezd2bindz00zz__libuv_pipez00(
((BgL_uvpipez00_bglt)BgL_handlez00_117), BgL_namez00_118);} 

}



/* uv-pipe-ipc? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2pipezd2ipczf3zf3zz__libuv_pipez00(BgL_uvpipez00_bglt BgL_handlez00_8)
{
{ /* Llib/pipe.scm 55 */
{ /* Llib/pipe.scm 57 */
 uv_pipe_t * BgL_arg1098z00_81;
{ /* Llib/pipe.scm 57 */
 uv_handle_t * BgL_arg1099z00_82;
BgL_arg1099z00_82 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_8)))->BgL_z42builtinz42); 
BgL_arg1098z00_81 = 
(uv_pipe_t *)(BgL_arg1099z00_82); } 
return 
(BgL_arg1098z00_81->ipc);} } 

}



/* &uv-pipe-ipc? */
obj_t BGl_z62uvzd2pipezd2ipczf3z91zz__libuv_pipez00(obj_t BgL_envz00_119, obj_t BgL_handlez00_120)
{
{ /* Llib/pipe.scm 55 */
return 
BBOOL(
BGl_uvzd2pipezd2ipczf3zf3zz__libuv_pipez00(
((BgL_uvpipez00_bglt)BgL_handlez00_120)));} 

}



/* _uv-pipe-connect */
obj_t BGl__uvzd2pipezd2connectz00zz__libuv_pipez00(obj_t BgL_env1078z00_14, obj_t BgL_opt1077z00_13)
{
{ /* Llib/pipe.scm 62 */
{ /* Llib/pipe.scm 62 */
 obj_t BgL_g1085z00_40; obj_t BgL_g1086z00_41;
BgL_g1085z00_40 = 
VECTOR_REF(BgL_opt1077z00_13,((long)0)); 
BgL_g1086z00_41 = 
VECTOR_REF(BgL_opt1077z00_13,((long)1)); 
{ /* Llib/pipe.scm 62 */
 obj_t BgL_callbackz00_42;
BgL_callbackz00_42 = BFALSE; 
{ /* Llib/pipe.scm 62 */
 obj_t BgL_loopz00_43;
BgL_loopz00_43 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/pipe.scm 62 */

{ /* Llib/pipe.scm 62 */
 long BgL_index1083z00_44;
{ 
 long BgL_iz00_89;
BgL_iz00_89 = ((long)2); 
BgL_search1080z00_88:
if(
(BgL_iz00_89==
VECTOR_LENGTH(BgL_opt1077z00_13)))
{ /* Llib/pipe.scm 62 */
BgL_index1083z00_44 = ((long)-1); }  else 
{ /* Llib/pipe.scm 62 */
 obj_t BgL_vz00_93;
BgL_vz00_93 = 
VECTOR_REF(BgL_opt1077z00_13,BgL_iz00_89); 
if(
(BgL_vz00_93==
CNST_TABLE_REF(((long)0))))
{ /* Llib/pipe.scm 62 */
BgL_index1083z00_44 = 
(BgL_iz00_89+((long)1)); }  else 
{ 
 long BgL_iz00_216;
BgL_iz00_216 = 
(BgL_iz00_89+((long)2)); 
BgL_iz00_89 = BgL_iz00_216; 
goto BgL_search1080z00_88;} } } 
if(
(BgL_index1083z00_44>=((long)0)))
{ /* Llib/pipe.scm 62 */
BgL_callbackz00_42 = 
VECTOR_REF(BgL_opt1077z00_13,BgL_index1083z00_44); }  else 
{ /* Llib/pipe.scm 62 */BFALSE; } } 
{ /* Llib/pipe.scm 62 */
 long BgL_index1084z00_46;
{ 
 long BgL_iz00_99;
BgL_iz00_99 = ((long)2); 
BgL_search1080z00_98:
if(
(BgL_iz00_99==
VECTOR_LENGTH(BgL_opt1077z00_13)))
{ /* Llib/pipe.scm 62 */
BgL_index1084z00_46 = ((long)-1); }  else 
{ /* Llib/pipe.scm 62 */
 obj_t BgL_vz00_103;
BgL_vz00_103 = 
VECTOR_REF(BgL_opt1077z00_13,BgL_iz00_99); 
if(
(BgL_vz00_103==
CNST_TABLE_REF(((long)1))))
{ /* Llib/pipe.scm 62 */
BgL_index1084z00_46 = 
(BgL_iz00_99+((long)1)); }  else 
{ 
 long BgL_iz00_229;
BgL_iz00_229 = 
(BgL_iz00_99+((long)2)); 
BgL_iz00_99 = BgL_iz00_229; 
goto BgL_search1080z00_98;} } } 
if(
(BgL_index1084z00_46>=((long)0)))
{ /* Llib/pipe.scm 62 */
BgL_loopz00_43 = 
VECTOR_REF(BgL_opt1077z00_13,BgL_index1084z00_46); }  else 
{ /* Llib/pipe.scm 62 */BFALSE; } } 
{ /* Llib/pipe.scm 62 */
 obj_t BgL_arg1104z00_48; obj_t BgL_arg1110z00_49;
BgL_arg1104z00_48 = 
VECTOR_REF(BgL_opt1077z00_13,((long)0)); 
BgL_arg1110z00_49 = 
VECTOR_REF(BgL_opt1077z00_13,((long)1)); 
{ /* Llib/pipe.scm 62 */
 obj_t BgL_callbackz00_50;
BgL_callbackz00_50 = BgL_callbackz00_42; 
{ /* Llib/pipe.scm 62 */
 obj_t BgL_loopz00_51;
BgL_loopz00_51 = BgL_loopz00_43; 
bgl_uv_pipe_connect(
((BgL_uvpipez00_bglt)BgL_arg1104z00_48), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1110z00_49)), BgL_callbackz00_50, 
((BgL_uvloopz00_bglt)BgL_loopz00_51)); BUNSPEC; 
return BTRUE;} } } } } } } } 

}



/* uv-pipe-connect */
BGL_EXPORTED_DEF obj_t BGl_uvzd2pipezd2connectz00zz__libuv_pipez00(BgL_uvpipez00_bglt BgL_handlez00_9, obj_t BgL_namez00_10, obj_t BgL_callbackz00_11, obj_t BgL_loopz00_12)
{
{ /* Llib/pipe.scm 62 */
bgl_uv_pipe_connect(BgL_handlez00_9, 
BSTRING_TO_STRING(BgL_namez00_10), BgL_callbackz00_11, 
((BgL_uvloopz00_bglt)BgL_loopz00_12)); BUNSPEC; 
return BTRUE;} 

}



/* uv-pipe-pending-instances */
BGL_EXPORTED_DEF obj_t BGl_uvzd2pipezd2pendingzd2instanceszd2zz__libuv_pipez00(BgL_uvpipez00_bglt BgL_handlez00_15, int BgL_countz00_16)
{
{ /* Llib/pipe.scm 69 */
{ /* Llib/pipe.scm 71 */
 uv_pipe_t * BgL_arg1113z00_111;
{ /* Llib/pipe.scm 71 */
 uv_handle_t * BgL_arg1114z00_112;
BgL_arg1114z00_112 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_15)))->BgL_z42builtinz42); 
BgL_arg1113z00_111 = 
(uv_pipe_t *)(BgL_arg1114z00_112); } 
uv_pipe_pending_instances(BgL_arg1113z00_111, BgL_countz00_16); } 
return BTRUE;} 

}



/* &uv-pipe-pending-instances */
obj_t BGl_z62uvzd2pipezd2pendingzd2instanceszb0zz__libuv_pipez00(obj_t BgL_envz00_121, obj_t BgL_handlez00_122, obj_t BgL_countz00_123)
{
{ /* Llib/pipe.scm 69 */
return 
BGl_uvzd2pipezd2pendingzd2instanceszd2zz__libuv_pipez00(
((BgL_uvpipez00_bglt)BgL_handlez00_122), 
CINT(BgL_countz00_123));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_pipez00(void)
{
{ /* Llib/pipe.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_pipez00(void)
{
{ /* Llib/pipe.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_pipez00(void)
{
{ /* Llib/pipe.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvPipez00zz__libuv_typesz00, BGl_proc1135z00zz__libuv_pipez00, BGl_string1136z00zz__libuv_pipez00);} 

}



/* &%uv-init-UvPipe1076 */
obj_t BGl_z62z52uvzd2initzd2UvPipe1076z30zz__libuv_pipez00(obj_t BgL_envz00_125, obj_t BgL_oz00_126)
{
{ /* Llib/pipe.scm 32 */
{ /* Llib/pipe.scm 34 */
 BgL_uvloopz00_bglt BgL_i1067z00_141;
BgL_i1067z00_141 = 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_oz00_126))))->BgL_loopz00); 
{ 
 uv_pipe_t * BgL_auxz00_255;
{ /* Llib/pipe.scm 35 */
 uv_loop_t * BgL_arg1118z00_142; bool_t BgL_arg1119z00_143;
{ /* Llib/pipe.scm 35 */
 uv_handle_t * BgL_arg1120z00_144;
BgL_arg1120z00_144 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_i1067z00_141)))->BgL_z42builtinz42); 
BgL_arg1118z00_142 = 
(uv_loop_t *)(BgL_arg1120z00_144); } 
BgL_arg1119z00_143 = 
(((BgL_uvpipez00_bglt)COBJECT(
((BgL_uvpipez00_bglt)BgL_oz00_126)))->BgL_ipcz00); 
BgL_auxz00_255 = 
bgl_uv_pipe_create(BgL_arg1118z00_142, 
((obj_t)
((BgL_uvpipez00_bglt)BgL_oz00_126)), BgL_arg1119z00_143); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_oz00_126))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_255),BUNSPEC); } 
return 
((obj_t)
((BgL_uvpipez00_bglt)BgL_oz00_126));} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_pipez00(void)
{
{ /* Llib/pipe.scm 15 */
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(((long)204966563), 
BSTRING_TO_STRING(BGl_string1137z00zz__libuv_pipez00)); 
return 
BGl_modulezd2initializa7ationz75zz__libuv_loopz00(((long)325307223), 
BSTRING_TO_STRING(BGl_string1137z00zz__libuv_pipez00));} 

}

#ifdef __cplusplus
}
#endif
