/*===========================================================================*/
/*   (Llib/mpg123.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -srfi mpg123 -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/mpg123.scm -o objs/mpg123.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <mpg123.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_mpg123zd2handlezd2_bgl {
   header_t header;
   obj_t widening;
   mpg123_handle * BgL_z42builtinz42;
   obj_t BgL_decoderz00;
   long BgL_siza7eza7;
} *BgL_mpg123zd2handlezd2_bglt;

typedef struct BgL_z62mpg123zd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62mpg123zd2errorzb0_bglt;


static obj_t BGl_z62mpg123zd2handlezd2init1098z62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62mpg123zd2handlezd2closez62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62mpg123zd2decodezb0zz__mpg123_mpg123z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__mpg123_mpg123z00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62mpg123zd2infozb0zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62mpg123zd2volumezd2getz62zz__mpg123_mpg123z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_mpg123_getparam(obj_t, enum mpg123_parms);
static obj_t BGl_toplevelzd2initzd2zz__mpg123_mpg123z00(void);
BGL_EXPORTED_DECL long BGl_mpg123zd2seekzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, long);
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00 = BUNSPEC;
BGL_EXPORTED_DECL long BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_z62mpg123zd2positionzb0zz__mpg123_mpg123z00(obj_t, obj_t);
BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl_genericzd2initzd2zz__mpg123_mpg123z00(void);
BGL_EXPORTED_DECL obj_t BGl_z52z42mpg123zd2handlezd2nilz10zz__mpg123_mpg123z00(void);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__mpg123_mpg123z00(void);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
BGL_EXPORTED_DECL int bgl_mpg123_error(char *, char *, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__mpg123_mpg123z00(void);
static obj_t BGl_z62mpg123zd2decodezd2statuszd2ze3symbolz53zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62mpg123zd2seekzb0zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2paramzd2getz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2decodezd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, obj_t, long, long, obj_t, long);
static obj_t BGl_z62mpg123zd2getzd2formatz62zz__mpg123_mpg123z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31345ze3ze5zz__mpg123_mpg123z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31337ze3ze5zz__mpg123_mpg123z00(obj_t, obj_t);
extern int bgl_mpg123_decode(obj_t, char *, long, long, char *, long);
extern long bgl_mpg123_info(obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62mpg123zd2handlezd2resetz12z70zz__mpg123_mpg123z00(obj_t, obj_t);
static BgL_mpg123zd2handlezd2_bglt BGl_z62mpg123zd2handlezd2initz62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_mpg123zd2formatzd2ze3symbolze3zz__mpg123_mpg123z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_z62mpg123zd2paramzd2getz62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
extern long bgl_mpg123_position(mpg123_handle *);
static BgL_mpg123zd2handlezd2_bglt BGl_z62lambda1331z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t, obj_t);
static BgL_mpg123zd2handlezd2_bglt BGl_z62lambda1334z62zz__mpg123_mpg123z00(obj_t);
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62lambda1343z62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62lambda1344z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31358ze3ze5zz__mpg123_mpg123z00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__mpg123_mpg123z00(void);
static enum mpg123_parms BGl_symbolzd2ze3mpg123zd2paramze3zz__mpg123_mpg123z00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_mpg123z00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2volumezd2getz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_gczd2rootszd2initz00zz__mpg123_mpg123z00(void);
static obj_t BGl_z62zc3z04anonymousza31391ze3ze5zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31367ze3ze5zz__mpg123_mpg123z00(obj_t);
static obj_t BGl_z62lambda1356z62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62lambda1357z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
extern double bgl_mpg123_getvolume(mpg123_handle *);
static obj_t BGl_z62lambda1365z62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62lambda1366z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00 = BUNSPEC;
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
BGL_EXPORTED_DECL long BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static BgL_z62mpg123zd2errorzb0_bglt BGl_z62lambda1386z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62mpg123zd2errorzb0_bglt BGl_z62lambda1389z62zz__mpg123_mpg123z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(int);
extern long bgl_mpg123_getformat(mpg123_handle *);
static obj_t BGl_z62z52z42mpg123zd2handlezd2nilz72zz__mpg123_mpg123z00(obj_t);
static obj_t BGl_z62mpg123zd2volumezd2setz12z70zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpg123zd2error1467zb0zz__mpg123_mpg123z00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_mpg123zd2handlezd2_bglt BGl_mpg123zd2handlezd2initz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
extern mpg123_handle * bgl_mpg123_new(char *);
static obj_t __cnst[ 40 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2paramzd2getzd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2para1569z00, BGl_z62mpg123zd2paramzd2getz62zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2handlezd2resetz12zd2envzc0zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2hand1570z00, BGl_z62mpg123zd2handlezd2resetz12z70zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1505z00zz__mpg123_mpg123z00, BgL_bgl_string1505za700za7za7_1571za7, "mpg123", 6 );
DEFINE_STRING( BGl_string1506z00zz__mpg123_mpg123z00, BgL_bgl_string1506za700za7za7_1572za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/mpg123/src/Llib/mpg123.scm", 66 );
DEFINE_STRING( BGl_string1507z00zz__mpg123_mpg123z00, BgL_bgl_string1507za700za7za7_1573za7, "&mpg123-handle-close", 20 );
DEFINE_STRING( BGl_string1508z00zz__mpg123_mpg123z00, BgL_bgl_string1508za700za7za7_1574za7, "mpg123-handle", 13 );
DEFINE_STRING( BGl_string1509z00zz__mpg123_mpg123z00, BgL_bgl_string1509za700za7za7_1575za7, "&mpg123-handle-reset!", 21 );
DEFINE_STRING( BGl_string1510z00zz__mpg123_mpg123z00, BgL_bgl_string1510za700za7za7_1576za7, "&mpg123-error1467", 17 );
DEFINE_STRING( BGl_string1511z00zz__mpg123_mpg123z00, BgL_bgl_string1511za700za7za7_1577za7, "bstring", 7 );
DEFINE_STRING( BGl_string1512z00zz__mpg123_mpg123z00, BgL_bgl_string1512za700za7za7_1578za7, "&mpg123-decode", 14 );
DEFINE_STRING( BGl_string1513z00zz__mpg123_mpg123z00, BgL_bgl_string1513za700za7za7_1579za7, "bint", 4 );
DEFINE_STRING( BGl_string1514z00zz__mpg123_mpg123z00, BgL_bgl_string1514za700za7za7_1580za7, "&mpg123-get-format", 18 );
DEFINE_STRING( BGl_string1515z00zz__mpg123_mpg123z00, BgL_bgl_string1515za700za7za7_1581za7, "&mpg123-position", 16 );
DEFINE_STRING( BGl_string1516z00zz__mpg123_mpg123z00, BgL_bgl_string1516za700za7za7_1582za7, "mpg123-decode-status->symbol", 28 );
DEFINE_STRING( BGl_string1517z00zz__mpg123_mpg123z00, BgL_bgl_string1517za700za7za7_1583za7, "Unknown decode-status", 21 );
DEFINE_STRING( BGl_string1518z00zz__mpg123_mpg123z00, BgL_bgl_string1518za700za7za7_1584za7, "&mpg123-decode-status->symbol", 29 );
DEFINE_STRING( BGl_string1519z00zz__mpg123_mpg123z00, BgL_bgl_string1519za700za7za7_1585za7, "mpg123-format->alsa-format", 26 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2infozd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2info1586z00, BGl_z62mpg123zd2infozb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1520z00zz__mpg123_mpg123z00, BgL_bgl_string1520za700za7za7_1587za7, "Unknown format", 14 );
DEFINE_STRING( BGl_string1521z00zz__mpg123_mpg123z00, BgL_bgl_string1521za700za7za7_1588za7, "&mpg123-param-get", 17 );
DEFINE_STRING( BGl_string1522z00zz__mpg123_mpg123z00, BgL_bgl_string1522za700za7za7_1589za7, "symbol", 6 );
DEFINE_STRING( BGl_string1523z00zz__mpg123_mpg123z00, BgL_bgl_string1523za700za7za7_1590za7, "mpg123-param->symbol", 20 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2volumezd2getzd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2volu1591z00, BGl_z62mpg123zd2volumezd2getz62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1524z00zz__mpg123_mpg123z00, BgL_bgl_string1524za700za7za7_1592za7, "unknown param", 13 );
DEFINE_STRING( BGl_string1525z00zz__mpg123_mpg123z00, BgL_bgl_string1525za700za7za7_1593za7, "&mpg123-info", 12 );
DEFINE_STRING( BGl_string1526z00zz__mpg123_mpg123z00, BgL_bgl_string1526za700za7za7_1594za7, "MPG123-SEEK, f=", 15 );
DEFINE_STRING( BGl_string1527z00zz__mpg123_mpg123z00, BgL_bgl_string1527za700za7za7_1595za7, ":", 1 );
DEFINE_STRING( BGl_string1528z00zz__mpg123_mpg123z00, BgL_bgl_string1528za700za7za7_1596za7, ",", 1 );
DEFINE_STRING( BGl_string1529z00zz__mpg123_mpg123z00, BgL_bgl_string1529za700za7za7_1597za7, "Llib/mpg123.scm", 15 );
DEFINE_STRING( BGl_string1530z00zz__mpg123_mpg123z00, BgL_bgl_string1530za700za7za7_1598za7, "MPG123-SEEK, o=", 15 );
DEFINE_STRING( BGl_string1531z00zz__mpg123_mpg123z00, BgL_bgl_string1531za700za7za7_1599za7, "&mpg123-seek", 12 );
DEFINE_STRING( BGl_string1532z00zz__mpg123_mpg123z00, BgL_bgl_string1532za700za7za7_1600za7, "Cannot get volume", 17 );
DEFINE_STRING( BGl_string1533z00zz__mpg123_mpg123z00, BgL_bgl_string1533za700za7za7_1601za7, "&mpg123-volume-get", 18 );
DEFINE_STRING( BGl_string1534z00zz__mpg123_mpg123z00, BgL_bgl_string1534za700za7za7_1602za7, "&mpg123-volume-set!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1535z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1603za7, BGl_z62zc3z04anonymousza31345ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1536z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1344za7621604z00, BGl_z62lambda1344z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1537z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1343za7621605z00, BGl_z62lambda1343z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1538z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1606za7, BGl_z62zc3z04anonymousza31358ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1539z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1357za7621607z00, BGl_z62lambda1357z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1540z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1356za7621608z00, BGl_z62lambda1356z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1541z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1609za7, BGl_z62zc3z04anonymousza31367ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1542z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1366za7621610z00, BGl_z62lambda1366z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1543z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1365za7621611z00, BGl_z62lambda1365z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1544z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1612za7, BGl_z62zc3z04anonymousza31337ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1551z00zz__mpg123_mpg123z00, BgL_bgl_string1551za700za7za7_1613za7, "mpg123-handle-init1098", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1545z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1334za7621614z00, BGl_z62lambda1334z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1552z00zz__mpg123_mpg123z00, BgL_bgl_string1552za700za7za7_1615za7, "&mpg123-handle-init", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1546z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1331za7621616z00, BGl_z62lambda1331z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1553z00zz__mpg123_mpg123z00, BgL_bgl_string1553za700za7za7_1617za7, "&mpg123-error __mpg123_mpg123 mpg123-handle long size obj decoder $mpg123-handle $builtin index-size resync-limit remove-flags timeout outscale icy-interval decode-frames start-frame upspeed downspeed rva down-sample force-rate add-flags flags verbose float64 float u32 s32 mu-law a-law s8 u8 u16 s16 done need-more err new-format ok ", 334 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1547z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1618za7, BGl_z62zc3z04anonymousza31391ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1548z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1389za7621619z00, BGl_z62lambda1389z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1549z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1386za7621620z00, BGl_z62lambda1386z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1550z00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2hand1621z00, BGl_z62mpg123zd2handlezd2init1098z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2errorzd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2erro1622z00, BGl_z62mpg123zd2error1467zb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpg123zd2handlezd2initzd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2hand1623z00, BGl_z62mpg123zd2handlezd2initz62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2volumezd2setz12zd2envzc0zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2volu1624z00, BGl_z62mpg123zd2volumezd2setz12z70zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2decodezd2statuszd2ze3symbolzd2envze3zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2deco1625z00, BGl_z62mpg123zd2decodezd2statuszd2ze3symbolz53zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2positionzd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2posi1626z00, BGl_z62mpg123zd2positionzb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42mpg123zd2handlezd2nilzd2envzc2zz__mpg123_mpg123z00, BgL_bgl_za762za752za742mpg123za71627z00, BGl_z62z52z42mpg123zd2handlezd2nilz72zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2getzd2formatzd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2getza71628za7, BGl_z62mpg123zd2getzd2formatz62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2decodezd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2deco1629z00, BGl_z62mpg123zd2decodezb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2seekzd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2seek1630z00, BGl_z62mpg123zd2seekzb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2handlezd2closezd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2hand1631z00, BGl_z62mpg123zd2handlezd2closez62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__mpg123_mpg123z00) );
ADD_ROOT( (void *)(&BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00) );
ADD_ROOT( (void *)(&BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(long BgL_checksumz00_677, char * BgL_fromz00_678)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__mpg123_mpg123z00))
{ 
BGl_requirezd2initializa7ationz75zz__mpg123_mpg123z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__mpg123_mpg123z00(); 
BGl_libraryzd2moduleszd2initz00zz__mpg123_mpg123z00(); 
BGl_cnstzd2initzd2zz__mpg123_mpg123z00(); 
BGl_objectzd2initzd2zz__mpg123_mpg123z00(); 
BGl_genericzd2initzd2zz__mpg123_mpg123z00(); 
return 
BGl_toplevelzd2initzd2zz__mpg123_mpg123z00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__mpg123_mpg123"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_cportz00_604;
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_stringz00_611;
BgL_stringz00_611 = BGl_string1553z00zz__mpg123_mpg123z00; 
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_startz00_612;
BgL_startz00_612 = 
BINT(((long)0)); 
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_endz00_613;
BgL_endz00_613 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_611))); 
{ /* Llib/mpg123.scm 15 */

BgL_cportz00_604 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_611, BgL_startz00_612, BgL_endz00_613); } } } } 
{ 
 long BgL_iz00_605;
BgL_iz00_605 = ((long)39); 
BgL_loopz00_606:
if(
(BgL_iz00_605==((long)-1)))
{ /* Llib/mpg123.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mpg123.scm 15 */
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_arg1567z00_607;
{ /* Llib/mpg123.scm 15 */

{ /* Llib/mpg123.scm 15 */
 obj_t BgL_locationz00_609;
BgL_locationz00_609 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mpg123.scm 15 */

BgL_arg1567z00_607 = 
BGl_readz00zz__readerz00(BgL_cportz00_604, BgL_locationz00_609); } } } 
{ /* Llib/mpg123.scm 15 */
 int BgL_tmpz00_710;
BgL_tmpz00_710 = 
(int)(BgL_iz00_605); 
CNST_TABLE_SET(BgL_tmpz00_710, BgL_arg1567z00_607); } } 
{ /* Llib/mpg123.scm 15 */
 int BgL_auxz00_610;
BgL_auxz00_610 = 
(int)(
(BgL_iz00_605-((long)1))); 
{ 
 long BgL_iz00_715;
BgL_iz00_715 = 
(long)(BgL_auxz00_610); 
BgL_iz00_605 = BgL_iz00_715; 
goto BgL_loopz00_606;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
{ /* Llib/mpg123.scm 222 */
 int BgL_errz00_32;
BgL_errz00_32 = 
mpg123_init(); 
if(
(
(long)(BgL_errz00_32)==
(long)(MPG123_OK)))
{ /* Llib/mpg123.scm 223 */
return BFALSE;}  else 
{ /* Llib/mpg123.scm 224 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1101z00_34;
{ /* Llib/mpg123.scm 224 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1076z00_35;
{ /* Llib/mpg123.scm 224 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1075z00_38;
BgL_new1075z00_38 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 224 */
 long BgL_arg1111z00_39;
BgL_arg1111z00_39 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_38), BgL_arg1111z00_39); } 
BgL_new1076z00_35 = BgL_new1075z00_38; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_35)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_35)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_731;
{ /* Llib/mpg123.scm 224 */
 obj_t BgL_arg1104z00_36;
{ /* Llib/mpg123.scm 224 */
 obj_t BgL_arg1110z00_37;
{ /* Llib/mpg123.scm 224 */
 obj_t BgL_classz00_295;
BgL_classz00_295 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1110z00_37 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_295); } 
BgL_arg1104z00_36 = 
VECTOR_REF(BgL_arg1110z00_37,((long)2)); } 
BgL_auxz00_731 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1104z00_36); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_35)))->BgL_stackz00)=((obj_t)BgL_auxz00_731),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1076z00_35)))->BgL_procz00)=((obj_t)BGl_string1505z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1076z00_35)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)mpg123_plain_strerror(BgL_errz00_32))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1076z00_35)))->BgL_objz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1101z00_34 = BgL_new1076z00_35; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1101z00_34));} } } 

}



/* %$mpg123-handle-nil */
BGL_EXPORTED_DEF obj_t BGl_z52z42mpg123zd2handlezd2nilz10zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 48 */
return 
void_star_to_obj((mpg123_handle *)0L);} 

}



/* &%$mpg123-handle-nil */
obj_t BGl_z62z52z42mpg123zd2handlezd2nilz72zz__mpg123_mpg123z00(obj_t BgL_envz00_455)
{
{ /* Llib/mpg123.scm 48 */
return 
BGl_z52z42mpg123zd2handlezd2nilz10zz__mpg123_mpg123z00();} 

}



/* mpg123-handle-close */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_oz00_4)
{
{ /* Llib/mpg123.scm 64 */
{ /* Llib/mpg123.scm 66 */
 mpg123_handle * BgL_arg1118z00_298;
BgL_arg1118z00_298 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_oz00_4))->BgL_z42builtinz42); 
mpg123_delete(BgL_arg1118z00_298); BUNSPEC; } 
return 
((obj_t)BgL_oz00_4);} 

}



/* &mpg123-handle-close */
obj_t BGl_z62mpg123zd2handlezd2closez62zz__mpg123_mpg123z00(obj_t BgL_envz00_456, obj_t BgL_oz00_457)
{
{ /* Llib/mpg123.scm 64 */
{ /* Llib/mpg123.scm 65 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_752;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_457, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 65 */
BgL_auxz00_752 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_457)
; }  else 
{ 
 obj_t BgL_auxz00_756;
BgL_auxz00_756 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)3009)), BGl_string1507z00zz__mpg123_mpg123z00, BGl_string1508z00zz__mpg123_mpg123z00, BgL_oz00_457); 
FAILURE(BgL_auxz00_756,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(BgL_auxz00_752);} } 

}



/* mpg123-handle-reset! */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_oz00_5)
{
{ /* Llib/mpg123.scm 72 */
{ /* Llib/mpg123.scm 74 */
 mpg123_handle * BgL_tmpz00_761;
BgL_tmpz00_761 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42builtinz42); 
mpg123_close(BgL_tmpz00_761); } 
{ /* Llib/mpg123.scm 75 */
 mpg123_handle * BgL_arg1120z00_301;
BgL_arg1120z00_301 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42builtinz42); 
return 
BINT(
mpg123_open_feed(BgL_arg1120z00_301));} } 

}



/* &mpg123-handle-reset! */
obj_t BGl_z62mpg123zd2handlezd2resetz12z70zz__mpg123_mpg123z00(obj_t BgL_envz00_458, obj_t BgL_oz00_459)
{
{ /* Llib/mpg123.scm 72 */
{ /* Llib/mpg123.scm 73 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_767;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_459, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 73 */
BgL_auxz00_767 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_459)
; }  else 
{ 
 obj_t BgL_auxz00_771;
BgL_auxz00_771 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)3366)), BGl_string1509z00zz__mpg123_mpg123z00, BGl_string1508z00zz__mpg123_mpg123z00, BgL_oz00_459); 
FAILURE(BgL_auxz00_771,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(BgL_auxz00_767);} } 

}



/* mpg123-error */
BGL_EXPORTED_DEF int bgl_mpg123_error(char * BgL_procz00_6, char * BgL_msgz00_7, obj_t BgL_objz00_8)
{
{ /* Llib/mpg123.scm 80 */
{ /* Llib/mpg123.scm 81 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1121z00_53;
{ /* Llib/mpg123.scm 81 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1065z00_54;
{ /* Llib/mpg123.scm 81 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1064z00_57;
BgL_new1064z00_57 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 81 */
 long BgL_arg1132z00_58;
BgL_arg1132z00_58 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_57), BgL_arg1132z00_58); } 
BgL_new1065z00_54 = BgL_new1064z00_57; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1065z00_54)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1065z00_54)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_784;
{ /* Llib/mpg123.scm 81 */
 obj_t BgL_arg1129z00_55;
{ /* Llib/mpg123.scm 81 */
 obj_t BgL_arg1130z00_56;
{ /* Llib/mpg123.scm 81 */
 obj_t BgL_classz00_305;
BgL_classz00_305 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1130z00_56 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_305); } 
BgL_arg1129z00_55 = 
VECTOR_REF(BgL_arg1130z00_56,((long)2)); } 
BgL_auxz00_784 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1129z00_55); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1065z00_54)))->BgL_stackz00)=((obj_t)BgL_auxz00_784),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1065z00_54)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_6)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1065z00_54)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_7)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1065z00_54)))->BgL_objz00)=((obj_t)BgL_objz00_8),BUNSPEC); 
BgL_arg1121z00_53 = BgL_new1065z00_54; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1121z00_53)); } 
return 
(int)(((long)0));} 

}



/* &mpg123-error1467 */
obj_t BGl_z62mpg123zd2error1467zb0zz__mpg123_mpg123z00(obj_t BgL_envz00_460, obj_t BgL_procz00_461, obj_t BgL_msgz00_462, obj_t BgL_objz00_463)
{
{ /* Llib/mpg123.scm 80 */
{ /* Llib/mpg123.scm 84 */
 int BgL_tmpz00_801;
{ /* Llib/mpg123.scm 84 */
 char * BgL_auxz00_811; char * BgL_auxz00_802;
{ /* Llib/mpg123.scm 84 */
 obj_t BgL_tmpz00_812;
if(
STRINGP(BgL_msgz00_462))
{ /* Llib/mpg123.scm 84 */
BgL_tmpz00_812 = BgL_msgz00_462
; }  else 
{ 
 obj_t BgL_auxz00_815;
BgL_auxz00_815 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)3828)), BGl_string1510z00zz__mpg123_mpg123z00, BGl_string1511z00zz__mpg123_mpg123z00, BgL_msgz00_462); 
FAILURE(BgL_auxz00_815,BFALSE,BFALSE);} 
BgL_auxz00_811 = 
BSTRING_TO_STRING(BgL_tmpz00_812); } 
{ /* Llib/mpg123.scm 84 */
 obj_t BgL_tmpz00_803;
if(
STRINGP(BgL_procz00_461))
{ /* Llib/mpg123.scm 84 */
BgL_tmpz00_803 = BgL_procz00_461
; }  else 
{ 
 obj_t BgL_auxz00_806;
BgL_auxz00_806 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)3828)), BGl_string1510z00zz__mpg123_mpg123z00, BGl_string1511z00zz__mpg123_mpg123z00, BgL_procz00_461); 
FAILURE(BgL_auxz00_806,BFALSE,BFALSE);} 
BgL_auxz00_802 = 
BSTRING_TO_STRING(BgL_tmpz00_803); } 
BgL_tmpz00_801 = 
bgl_mpg123_error(BgL_auxz00_802, BgL_auxz00_811, BgL_objz00_463); } 
return 
BINT(BgL_tmpz00_801);} } 

}



/* mpg123-decode */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2decodezd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_9, obj_t BgL_inbufz00_10, long BgL_inoffz00_11, long BgL_insza7za7_12, obj_t BgL_outbufz00_13, long BgL_outsza7za7_14)
{
{ /* Llib/mpg123.scm 90 */
{ /* Llib/mpg123.scm 91 */
 int BgL_statusz00_307;
BgL_statusz00_307 = 
bgl_mpg123_decode(
((obj_t)BgL_mz00_9), 
BSTRING_TO_STRING(BgL_inbufz00_10), BgL_inoffz00_11, BgL_insza7za7_12, 
BSTRING_TO_STRING(BgL_outbufz00_13), BgL_outsza7za7_14); 
{ /* Llib/mpg123.scm 92 */
 obj_t BgL_val0_1089z00_308; long BgL_val1_1090z00_309;
BgL_val0_1089z00_308 = 
BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(BgL_statusz00_307); 
BgL_val1_1090z00_309 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_9))->BgL_siza7eza7); 
{ /* Llib/mpg123.scm 92 */
 int BgL_tmpz00_828;
BgL_tmpz00_828 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_828); } 
{ /* Llib/mpg123.scm 92 */
 obj_t BgL_auxz00_833; int BgL_tmpz00_831;
BgL_auxz00_833 = 
BINT(BgL_val1_1090z00_309); 
BgL_tmpz00_831 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_831, BgL_auxz00_833); } 
return BgL_val0_1089z00_308;} } } 

}



/* &mpg123-decode */
obj_t BGl_z62mpg123zd2decodezb0zz__mpg123_mpg123z00(obj_t BgL_envz00_464, obj_t BgL_mz00_465, obj_t BgL_inbufz00_466, obj_t BgL_inoffz00_467, obj_t BgL_insza7za7_468, obj_t BgL_outbufz00_469, obj_t BgL_outsza7za7_470)
{
{ /* Llib/mpg123.scm 90 */
{ /* Llib/mpg123.scm 91 */
 long BgL_auxz00_876; obj_t BgL_auxz00_869; long BgL_auxz00_860; long BgL_auxz00_851; obj_t BgL_auxz00_844; BgL_mpg123zd2handlezd2_bglt BgL_auxz00_836;
{ /* Llib/mpg123.scm 91 */
 obj_t BgL_tmpz00_877;
if(
INTEGERP(BgL_outsza7za7_470))
{ /* Llib/mpg123.scm 91 */
BgL_tmpz00_877 = BgL_outsza7za7_470
; }  else 
{ 
 obj_t BgL_auxz00_880;
BgL_auxz00_880 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)4133)), BGl_string1512z00zz__mpg123_mpg123z00, BGl_string1513z00zz__mpg123_mpg123z00, BgL_outsza7za7_470); 
FAILURE(BgL_auxz00_880,BFALSE,BFALSE);} 
BgL_auxz00_876 = 
(long)CINT(BgL_tmpz00_877); } 
if(
STRINGP(BgL_outbufz00_469))
{ /* Llib/mpg123.scm 91 */
BgL_auxz00_869 = BgL_outbufz00_469
; }  else 
{ 
 obj_t BgL_auxz00_872;
BgL_auxz00_872 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)4133)), BGl_string1512z00zz__mpg123_mpg123z00, BGl_string1511z00zz__mpg123_mpg123z00, BgL_outbufz00_469); 
FAILURE(BgL_auxz00_872,BFALSE,BFALSE);} 
{ /* Llib/mpg123.scm 91 */
 obj_t BgL_tmpz00_861;
if(
INTEGERP(BgL_insza7za7_468))
{ /* Llib/mpg123.scm 91 */
BgL_tmpz00_861 = BgL_insza7za7_468
; }  else 
{ 
 obj_t BgL_auxz00_864;
BgL_auxz00_864 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)4133)), BGl_string1512z00zz__mpg123_mpg123z00, BGl_string1513z00zz__mpg123_mpg123z00, BgL_insza7za7_468); 
FAILURE(BgL_auxz00_864,BFALSE,BFALSE);} 
BgL_auxz00_860 = 
(long)CINT(BgL_tmpz00_861); } 
{ /* Llib/mpg123.scm 91 */
 obj_t BgL_tmpz00_852;
if(
INTEGERP(BgL_inoffz00_467))
{ /* Llib/mpg123.scm 91 */
BgL_tmpz00_852 = BgL_inoffz00_467
; }  else 
{ 
 obj_t BgL_auxz00_855;
BgL_auxz00_855 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)4133)), BGl_string1512z00zz__mpg123_mpg123z00, BGl_string1513z00zz__mpg123_mpg123z00, BgL_inoffz00_467); 
FAILURE(BgL_auxz00_855,BFALSE,BFALSE);} 
BgL_auxz00_851 = 
(long)CINT(BgL_tmpz00_852); } 
if(
STRINGP(BgL_inbufz00_466))
{ /* Llib/mpg123.scm 91 */
BgL_auxz00_844 = BgL_inbufz00_466
; }  else 
{ 
 obj_t BgL_auxz00_847;
BgL_auxz00_847 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)4133)), BGl_string1512z00zz__mpg123_mpg123z00, BGl_string1511z00zz__mpg123_mpg123z00, BgL_inbufz00_466); 
FAILURE(BgL_auxz00_847,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_465, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 91 */
BgL_auxz00_836 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_465)
; }  else 
{ 
 obj_t BgL_auxz00_840;
BgL_auxz00_840 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)4133)), BGl_string1512z00zz__mpg123_mpg123z00, BGl_string1508z00zz__mpg123_mpg123z00, BgL_mz00_465); 
FAILURE(BgL_auxz00_840,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2decodezd2zz__mpg123_mpg123z00(BgL_auxz00_836, BgL_auxz00_844, BgL_auxz00_851, BgL_auxz00_860, BgL_auxz00_869, BgL_auxz00_876);} } 

}



/* mpg123-get-format */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_15)
{
{ /* Llib/mpg123.scm 99 */
{ /* Llib/mpg123.scm 101 */
 long BgL_ratez00_64;
BgL_ratez00_64 = 
bgl_mpg123_getformat(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_15))->BgL_z42builtinz42)); 
{ /* Llib/mpg123.scm 102 */
 obj_t BgL_channelsz00_65; obj_t BgL_encodingz00_66;
{ /* Llib/mpg123.scm 103 */
 obj_t BgL_tmpz00_311;
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_888;
BgL_tmpz00_888 = 
(int)(((long)1)); 
BgL_tmpz00_311 = 
BGL_MVALUES_VAL(BgL_tmpz00_888); } 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_891;
BgL_tmpz00_891 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_891, BUNSPEC); } 
BgL_channelsz00_65 = BgL_tmpz00_311; } 
{ /* Llib/mpg123.scm 103 */
 obj_t BgL_tmpz00_312;
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_894;
BgL_tmpz00_894 = 
(int)(((long)2)); 
BgL_tmpz00_312 = 
BGL_MVALUES_VAL(BgL_tmpz00_894); } 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_897;
BgL_tmpz00_897 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_897, BUNSPEC); } 
BgL_encodingz00_66 = BgL_tmpz00_312; } 
{ /* Llib/mpg123.scm 103 */
 obj_t BgL_val2_1093z00_69;
BgL_val2_1093z00_69 = 
BGl_mpg123zd2formatzd2ze3symbolze3zz__mpg123_mpg123z00(BgL_encodingz00_66); 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_901;
BgL_tmpz00_901 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_901); } 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_904;
BgL_tmpz00_904 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_904, BgL_channelsz00_65); } 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_907;
BgL_tmpz00_907 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_907, BgL_val2_1093z00_69); } 
return 
BINT(BgL_ratez00_64);} } } } 

}



/* &mpg123-get-format */
obj_t BGl_z62mpg123zd2getzd2formatz62zz__mpg123_mpg123z00(obj_t BgL_envz00_471, obj_t BgL_mz00_472)
{
{ /* Llib/mpg123.scm 99 */
{ /* Llib/mpg123.scm 100 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_911;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_472, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 100 */
BgL_auxz00_911 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_472)
; }  else 
{ 
 obj_t BgL_auxz00_915;
BgL_auxz00_915 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)4578)), BGl_string1514z00zz__mpg123_mpg123z00, BGl_string1508z00zz__mpg123_mpg123z00, BgL_mz00_472); 
FAILURE(BgL_auxz00_915,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(BgL_auxz00_911);} } 

}



/* mpg123-position */
BGL_EXPORTED_DEF long BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_16)
{
{ /* Llib/mpg123.scm 108 */
return 
bgl_mpg123_position(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_16))->BgL_z42builtinz42));} 

}



/* &mpg123-position */
obj_t BGl_z62mpg123zd2positionzb0zz__mpg123_mpg123z00(obj_t BgL_envz00_473, obj_t BgL_mz00_474)
{
{ /* Llib/mpg123.scm 108 */
{ /* Llib/mpg123.scm 109 */
 long BgL_tmpz00_922;
{ /* Llib/mpg123.scm 109 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_923;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_474, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 109 */
BgL_auxz00_923 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_474)
; }  else 
{ 
 obj_t BgL_auxz00_927;
BgL_auxz00_927 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)5037)), BGl_string1515z00zz__mpg123_mpg123z00, BGl_string1508z00zz__mpg123_mpg123z00, BgL_mz00_474); 
FAILURE(BgL_auxz00_927,BFALSE,BFALSE);} 
BgL_tmpz00_922 = 
BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(BgL_auxz00_923); } 
return 
BINT(BgL_tmpz00_922);} } 

}



/* mpg123-decode-status->symbol */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(int BgL_sz00_17)
{
{ /* Llib/mpg123.scm 115 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_OK)))
{ /* Llib/mpg123.scm 117 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Llib/mpg123.scm 117 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_NEW_FORMAT)))
{ /* Llib/mpg123.scm 118 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Llib/mpg123.scm 118 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_ERR)))
{ /* Llib/mpg123.scm 119 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Llib/mpg123.scm 119 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_NEED_MORE)))
{ /* Llib/mpg123.scm 120 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Llib/mpg123.scm 120 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_DONE)))
{ /* Llib/mpg123.scm 121 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Llib/mpg123.scm 122 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1141z00_78;
{ /* Llib/mpg123.scm 122 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1070z00_79;
{ /* Llib/mpg123.scm 122 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1069z00_82;
BgL_new1069z00_82 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 122 */
 long BgL_arg1144z00_83;
BgL_arg1144z00_83 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_82), BgL_arg1144z00_83); } 
BgL_new1070z00_79 = BgL_new1069z00_82; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1070z00_79)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1070z00_79)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_966;
{ /* Llib/mpg123.scm 122 */
 obj_t BgL_arg1142z00_80;
{ /* Llib/mpg123.scm 122 */
 obj_t BgL_arg1143z00_81;
{ /* Llib/mpg123.scm 122 */
 obj_t BgL_classz00_328;
BgL_classz00_328 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1143z00_81 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_328); } 
BgL_arg1142z00_80 = 
VECTOR_REF(BgL_arg1143z00_81,((long)2)); } 
BgL_auxz00_966 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1142z00_80); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1070z00_79)))->BgL_stackz00)=((obj_t)BgL_auxz00_966),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1070z00_79)))->BgL_procz00)=((obj_t)BGl_string1516z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1070z00_79)))->BgL_msgz00)=((obj_t)BGl_string1517z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1070z00_79)))->BgL_objz00)=((obj_t)
BINT(BgL_sz00_17)),BUNSPEC); 
BgL_arg1141z00_78 = BgL_new1070z00_79; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1141z00_78));} } } } } } 

}



/* &mpg123-decode-status->symbol */
obj_t BGl_z62mpg123zd2decodezd2statuszd2ze3symbolz53zz__mpg123_mpg123z00(obj_t BgL_envz00_475, obj_t BgL_sz00_476)
{
{ /* Llib/mpg123.scm 115 */
{ /* Llib/mpg123.scm 117 */
 int BgL_auxz00_981;
{ /* Llib/mpg123.scm 117 */
 obj_t BgL_tmpz00_982;
if(
INTEGERP(BgL_sz00_476))
{ /* Llib/mpg123.scm 117 */
BgL_tmpz00_982 = BgL_sz00_476
; }  else 
{ 
 obj_t BgL_auxz00_985;
BgL_auxz00_985 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)5397)), BGl_string1518z00zz__mpg123_mpg123z00, BGl_string1513z00zz__mpg123_mpg123z00, BgL_sz00_476); 
FAILURE(BgL_auxz00_985,BFALSE,BFALSE);} 
BgL_auxz00_981 = 
CINT(BgL_tmpz00_982); } 
return 
BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(BgL_auxz00_981);} } 

}



/* mpg123-format->symbol */
obj_t BGl_mpg123zd2formatzd2ze3symbolze3zz__mpg123_mpg123z00(obj_t BgL_fz00_18)
{
{ /* Llib/mpg123.scm 130 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_SIGNED_16))
{ /* Llib/mpg123.scm 132 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Llib/mpg123.scm 132 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_UNSIGNED_16))
{ /* Llib/mpg123.scm 133 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* Llib/mpg123.scm 133 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_UNSIGNED_8))
{ /* Llib/mpg123.scm 134 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Llib/mpg123.scm 134 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_SIGNED_8))
{ /* Llib/mpg123.scm 135 */
return 
CNST_TABLE_REF(((long)8));}  else 
{ /* Llib/mpg123.scm 135 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_ALAW_8))
{ /* Llib/mpg123.scm 136 */
return 
CNST_TABLE_REF(((long)9));}  else 
{ /* Llib/mpg123.scm 136 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_ULAW_8))
{ /* Llib/mpg123.scm 137 */
return 
CNST_TABLE_REF(((long)10));}  else 
{ /* Llib/mpg123.scm 137 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_SIGNED_32))
{ /* Llib/mpg123.scm 138 */
return 
CNST_TABLE_REF(((long)11));}  else 
{ /* Llib/mpg123.scm 138 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_UNSIGNED_32))
{ /* Llib/mpg123.scm 139 */
return 
CNST_TABLE_REF(((long)12));}  else 
{ /* Llib/mpg123.scm 139 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_FLOAT_32))
{ /* Llib/mpg123.scm 144 */
return 
CNST_TABLE_REF(((long)13));}  else 
{ /* Llib/mpg123.scm 144 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_FLOAT_64))
{ /* Llib/mpg123.scm 145 */
return 
CNST_TABLE_REF(((long)14));}  else 
{ /* Llib/mpg123.scm 146 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1155z00_94;
{ /* Llib/mpg123.scm 146 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1072z00_95;
{ /* Llib/mpg123.scm 146 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1071z00_98;
BgL_new1071z00_98 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 146 */
 long BgL_arg1159z00_99;
BgL_arg1159z00_99 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_98), BgL_arg1159z00_99); } 
BgL_new1072z00_95 = BgL_new1071z00_98; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_95)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_95)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1039;
{ /* Llib/mpg123.scm 146 */
 obj_t BgL_arg1156z00_96;
{ /* Llib/mpg123.scm 146 */
 obj_t BgL_arg1157z00_97;
{ /* Llib/mpg123.scm 146 */
 obj_t BgL_classz00_353;
BgL_classz00_353 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1157z00_97 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_353); } 
BgL_arg1156z00_96 = 
VECTOR_REF(BgL_arg1157z00_97,((long)2)); } 
BgL_auxz00_1039 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1156z00_96); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_95)))->BgL_stackz00)=((obj_t)BgL_auxz00_1039),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1072z00_95)))->BgL_procz00)=((obj_t)BGl_string1519z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1072z00_95)))->BgL_msgz00)=((obj_t)BGl_string1520z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1072z00_95)))->BgL_objz00)=((obj_t)BgL_fz00_18),BUNSPEC); 
BgL_arg1155z00_94 = BgL_new1072z00_95; } 
BGL_TAIL return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1155z00_94));} } } } } } } } } } } 

}



/* mpg123-param-get */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2paramzd2getz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_19, obj_t BgL_typez00_20)
{
{ /* Llib/mpg123.scm 154 */
{ /* Llib/mpg123.scm 156 */
 mpg123_handle * BgL_arg1165z00_356; enum mpg123_parms BgL_arg1166z00_357;
BgL_arg1165z00_356 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_19))->BgL_z42builtinz42); 
BgL_arg1166z00_357 = 
BGl_symbolzd2ze3mpg123zd2paramze3zz__mpg123_mpg123z00(BgL_typez00_20); 
return 
bgl_mpg123_getparam(
void_star_to_obj(BgL_arg1165z00_356), BgL_arg1166z00_357);} } 

}



/* &mpg123-param-get */
obj_t BGl_z62mpg123zd2paramzd2getz62zz__mpg123_mpg123z00(obj_t BgL_envz00_477, obj_t BgL_mz00_478, obj_t BgL_typez00_479)
{
{ /* Llib/mpg123.scm 154 */
{ /* Llib/mpg123.scm 155 */
 obj_t BgL_auxz00_1065; BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1057;
if(
SYMBOLP(BgL_typez00_479))
{ /* Llib/mpg123.scm 155 */
BgL_auxz00_1065 = BgL_typez00_479
; }  else 
{ 
 obj_t BgL_auxz00_1068;
BgL_auxz00_1068 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)7171)), BGl_string1521z00zz__mpg123_mpg123z00, BGl_string1522z00zz__mpg123_mpg123z00, BgL_typez00_479); 
FAILURE(BgL_auxz00_1068,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_478, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 155 */
BgL_auxz00_1057 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_478)
; }  else 
{ 
 obj_t BgL_auxz00_1061;
BgL_auxz00_1061 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)7171)), BGl_string1521z00zz__mpg123_mpg123z00, BGl_string1508z00zz__mpg123_mpg123z00, BgL_mz00_478); 
FAILURE(BgL_auxz00_1061,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2paramzd2getz00zz__mpg123_mpg123z00(BgL_auxz00_1057, BgL_auxz00_1065);} } 

}



/* symbol->mpg123-param */
enum mpg123_parms BGl_symbolzd2ze3mpg123zd2paramze3zz__mpg123_mpg123z00(obj_t BgL_pz00_25)
{
{ /* Llib/mpg123.scm 196 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)15))))
{ /* Llib/mpg123.scm 197 */
return MPG123_VERBOSE;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)16))))
{ /* Llib/mpg123.scm 197 */
return MPG123_FLAGS;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)17))))
{ /* Llib/mpg123.scm 197 */
return MPG123_ADD_FLAGS;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)18))))
{ /* Llib/mpg123.scm 197 */
return MPG123_FORCE_RATE;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)19))))
{ /* Llib/mpg123.scm 197 */
return MPG123_DOWN_SAMPLE;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)20))))
{ /* Llib/mpg123.scm 197 */
return MPG123_RVA;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)21))))
{ /* Llib/mpg123.scm 197 */
return MPG123_DOWNSPEED;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)22))))
{ /* Llib/mpg123.scm 197 */
return MPG123_UPSPEED;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)23))))
{ /* Llib/mpg123.scm 197 */
return MPG123_START_FRAME;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)24))))
{ /* Llib/mpg123.scm 197 */
return MPG123_DECODE_FRAMES;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)25))))
{ /* Llib/mpg123.scm 197 */
return MPG123_ICY_INTERVAL;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)26))))
{ /* Llib/mpg123.scm 197 */
return MPG123_OUTSCALE;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)27))))
{ /* Llib/mpg123.scm 197 */
return MPG123_TIMEOUT;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)28))))
{ /* Llib/mpg123.scm 197 */
return MPG123_REMOVE_FLAGS;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)29))))
{ /* Llib/mpg123.scm 197 */
return MPG123_RESYNC_LIMIT;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
CNST_TABLE_REF(((long)30))))
{ /* Llib/mpg123.scm 197 */
return MPG123_INDEX_SIZE;}  else 
{ /* Llib/mpg123.scm 197 */
return 
(long)CINT(
BGl_errorz00zz__errorz00(BGl_string1523z00zz__mpg123_mpg123z00, BGl_string1524z00zz__mpg123_mpg123z00, BgL_pz00_25));} } } } } } } } } } } } } } } } } 

}



/* mpg123-info */
BGL_EXPORTED_DEF long BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_26)
{
{ /* Llib/mpg123.scm 232 */
{ /* Llib/mpg123.scm 234 */
 mpg123_handle * BgL_arg1210z00_375;
BgL_arg1210z00_375 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_26))->BgL_z42builtinz42); 
return 
bgl_mpg123_info(
void_star_to_obj(BgL_arg1210z00_375));} } 

}



/* &mpg123-info */
obj_t BGl_z62mpg123zd2infozb0zz__mpg123_mpg123z00(obj_t BgL_envz00_480, obj_t BgL_mz00_481)
{
{ /* Llib/mpg123.scm 232 */
{ /* Llib/mpg123.scm 233 */
 long BgL_tmpz00_1126;
{ /* Llib/mpg123.scm 233 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1127;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_481, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 233 */
BgL_auxz00_1127 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_481)
; }  else 
{ 
 obj_t BgL_auxz00_1131;
BgL_auxz00_1131 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)10878)), BGl_string1525z00zz__mpg123_mpg123z00, BGl_string1508z00zz__mpg123_mpg123z00, BgL_mz00_481); 
FAILURE(BgL_auxz00_1131,BFALSE,BFALSE);} 
BgL_tmpz00_1126 = 
BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(BgL_auxz00_1127); } 
return 
BINT(BgL_tmpz00_1126);} } 

}



/* mpg123-seek */
BGL_EXPORTED_DEF long BGl_mpg123zd2seekzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_27, long BgL_secz00_28)
{
{ /* Llib/mpg123.scm 239 */
{ /* Llib/mpg123.scm 241 */
 long BgL_fz00_146;
{ /* Llib/mpg123.scm 241 */
 mpg123_handle * BgL_arg1230z00_164; double BgL_arg1231z00_165;
BgL_arg1230z00_164 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_27))->BgL_z42builtinz42); 
BgL_arg1231z00_165 = 
(double)(BgL_secz00_28); 
BgL_fz00_146 = 
mpg123_timeframe(BgL_arg1230z00_164, BgL_arg1231z00_165); } 
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1211z00_147;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_tmpz00_1140;
BgL_tmpz00_1140 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1211z00_147 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1140); } 
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_list1212z00_148;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1213z00_149;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1214z00_150;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1215z00_151;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1216z00_152;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1218z00_153;
BgL_arg1218z00_153 = 
MAKE_YOUNG_PAIR(
BINT(BgL_fz00_146), BNIL); 
BgL_arg1216z00_152 = 
MAKE_YOUNG_PAIR(BGl_string1526z00zz__mpg123_mpg123z00, BgL_arg1218z00_153); } 
BgL_arg1215z00_151 = 
MAKE_YOUNG_PAIR(BGl_string1527z00zz__mpg123_mpg123z00, BgL_arg1216z00_152); } 
BgL_arg1214z00_150 = 
MAKE_YOUNG_PAIR(
BINT(((long)242)), BgL_arg1215z00_151); } 
BgL_arg1213z00_149 = 
MAKE_YOUNG_PAIR(BGl_string1528z00zz__mpg123_mpg123z00, BgL_arg1214z00_150); } 
BgL_list1212z00_148 = 
MAKE_YOUNG_PAIR(BGl_string1529z00zz__mpg123_mpg123z00, BgL_arg1213z00_149); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1211z00_147, BgL_list1212z00_148); } } 
{ /* Llib/mpg123.scm 243 */
 long BgL_oz00_154;
{ /* Llib/mpg123.scm 243 */
 mpg123_handle * BgL_tmpz00_1152;
BgL_tmpz00_1152 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_27))->BgL_z42builtinz42); 
BgL_oz00_154 = 
mpg123_seek_frame(BgL_tmpz00_1152, BgL_fz00_146, SEEK_SET); } 
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1219z00_155;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_tmpz00_1155;
BgL_tmpz00_1155 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1219z00_155 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1155); } 
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_list1220z00_156;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1221z00_157;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1222z00_158;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1223z00_159;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1225z00_160;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1227z00_161;
BgL_arg1227z00_161 = 
MAKE_YOUNG_PAIR(
BINT(BgL_oz00_154), BNIL); 
BgL_arg1225z00_160 = 
MAKE_YOUNG_PAIR(BGl_string1530z00zz__mpg123_mpg123z00, BgL_arg1227z00_161); } 
BgL_arg1223z00_159 = 
MAKE_YOUNG_PAIR(BGl_string1527z00zz__mpg123_mpg123z00, BgL_arg1225z00_160); } 
BgL_arg1222z00_158 = 
MAKE_YOUNG_PAIR(
BINT(((long)244)), BgL_arg1223z00_159); } 
BgL_arg1221z00_157 = 
MAKE_YOUNG_PAIR(BGl_string1528z00zz__mpg123_mpg123z00, BgL_arg1222z00_158); } 
BgL_list1220z00_156 = 
MAKE_YOUNG_PAIR(BGl_string1529z00zz__mpg123_mpg123z00, BgL_arg1221z00_157); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1219z00_155, BgL_list1220z00_156); } } 
if(
(BgL_oz00_154<((long)0)))
{ /* Llib/mpg123.scm 245 */
return ((long)0);}  else 
{ /* Llib/mpg123.scm 245 */
return BgL_oz00_154;} } } } 

}



/* &mpg123-seek */
obj_t BGl_z62mpg123zd2seekzb0zz__mpg123_mpg123z00(obj_t BgL_envz00_482, obj_t BgL_mz00_483, obj_t BgL_secz00_484)
{
{ /* Llib/mpg123.scm 239 */
{ /* Llib/mpg123.scm 240 */
 long BgL_tmpz00_1169;
{ /* Llib/mpg123.scm 240 */
 long BgL_auxz00_1178; BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1170;
{ /* Llib/mpg123.scm 240 */
 obj_t BgL_tmpz00_1179;
if(
INTEGERP(BgL_secz00_484))
{ /* Llib/mpg123.scm 240 */
BgL_tmpz00_1179 = BgL_secz00_484
; }  else 
{ 
 obj_t BgL_auxz00_1182;
BgL_auxz00_1182 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)11227)), BGl_string1531z00zz__mpg123_mpg123z00, BGl_string1513z00zz__mpg123_mpg123z00, BgL_secz00_484); 
FAILURE(BgL_auxz00_1182,BFALSE,BFALSE);} 
BgL_auxz00_1178 = 
(long)CINT(BgL_tmpz00_1179); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_483, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 240 */
BgL_auxz00_1170 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_483)
; }  else 
{ 
 obj_t BgL_auxz00_1174;
BgL_auxz00_1174 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)11227)), BGl_string1531z00zz__mpg123_mpg123z00, BGl_string1508z00zz__mpg123_mpg123z00, BgL_mz00_483); 
FAILURE(BgL_auxz00_1174,BFALSE,BFALSE);} 
BgL_tmpz00_1169 = 
BGl_mpg123zd2seekzd2zz__mpg123_mpg123z00(BgL_auxz00_1170, BgL_auxz00_1178); } 
return 
BINT(BgL_tmpz00_1169);} } 

}



/* mpg123-volume-get */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2volumezd2getz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_29)
{
{ /* Llib/mpg123.scm 256 */
{ /* Llib/mpg123.scm 258 */
 double BgL_volz00_167;
BgL_volz00_167 = 
bgl_mpg123_getvolume(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_29))->BgL_z42builtinz42)); 
if(
(BgL_volz00_167<((double)0.0)))
{ /* Llib/mpg123.scm 260 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1234z00_169;
{ /* Llib/mpg123.scm 260 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1081z00_170;
{ /* Llib/mpg123.scm 260 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1080z00_173;
BgL_new1080z00_173 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 260 */
 long BgL_arg1247z00_174;
BgL_arg1247z00_174 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1080z00_173), BgL_arg1247z00_174); } 
BgL_new1081z00_170 = BgL_new1080z00_173; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_170)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_170)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1201;
{ /* Llib/mpg123.scm 260 */
 obj_t BgL_arg1237z00_171;
{ /* Llib/mpg123.scm 260 */
 obj_t BgL_arg1246z00_172;
{ /* Llib/mpg123.scm 260 */
 obj_t BgL_classz00_385;
BgL_classz00_385 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1246z00_172 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_385); } 
BgL_arg1237z00_171 = 
VECTOR_REF(BgL_arg1246z00_172,((long)2)); } 
BgL_auxz00_1201 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1237z00_171); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_170)))->BgL_stackz00)=((obj_t)BgL_auxz00_1201),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_170)))->BgL_procz00)=((obj_t)BGl_string1505z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_170)))->BgL_msgz00)=((obj_t)BGl_string1532z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_170)))->BgL_objz00)=((obj_t)
((obj_t)BgL_mz00_29)),BUNSPEC); 
BgL_arg1234z00_169 = BgL_new1081z00_170; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1234z00_169));}  else 
{ /* Llib/mpg123.scm 264 */
 double BgL_arg1248z00_175;
BgL_arg1248z00_175 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
(((double)100.0)*
sqrt(BgL_volz00_167))); 
return 
BINT(
(long)(BgL_arg1248z00_175));} } } 

}



/* &mpg123-volume-get */
obj_t BGl_z62mpg123zd2volumezd2getz62zz__mpg123_mpg123z00(obj_t BgL_envz00_485, obj_t BgL_mz00_486)
{
{ /* Llib/mpg123.scm 256 */
{ /* Llib/mpg123.scm 257 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1221;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_486, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 257 */
BgL_auxz00_1221 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_486)
; }  else 
{ 
 obj_t BgL_auxz00_1225;
BgL_auxz00_1225 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)11999)), BGl_string1533z00zz__mpg123_mpg123z00, BGl_string1508z00zz__mpg123_mpg123z00, BgL_mz00_486); 
FAILURE(BgL_auxz00_1225,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2volumezd2getz00zz__mpg123_mpg123z00(BgL_auxz00_1221);} } 

}



/* mpg123-volume-set! */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_30, obj_t BgL_volz00_31)
{
{ /* Llib/mpg123.scm 269 */
{ /* Llib/mpg123.scm 271 */
 double BgL_vz00_180;
BgL_vz00_180 = 
(
(double)(
(long)CINT(BgL_volz00_31))/((double)100.0)); 
{ /* Llib/mpg123.scm 271 */
 double BgL_v2z00_181;
BgL_v2z00_181 = 
(BgL_vz00_180*BgL_vz00_180); 
{ /* Llib/mpg123.scm 272 */

{ /* Llib/mpg123.scm 273 */
 int BgL_errz00_182;
{ /* Llib/mpg123.scm 273 */
 mpg123_handle * BgL_tmpz00_1234;
BgL_tmpz00_1234 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_30))->BgL_z42builtinz42); 
BgL_errz00_182 = 
mpg123_volume(BgL_tmpz00_1234, BgL_v2z00_181); } 
if(
(
(long)(BgL_errz00_182)<((long)0)))
{ /* Llib/mpg123.scm 275 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1253z00_184;
{ /* Llib/mpg123.scm 275 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1084z00_185;
{ /* Llib/mpg123.scm 275 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1083z00_188;
BgL_new1083z00_188 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 275 */
 long BgL_arg1256z00_189;
BgL_arg1256z00_189 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1083z00_188), BgL_arg1256z00_189); } 
BgL_new1084z00_185 = BgL_new1083z00_188; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1084z00_185)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1084z00_185)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1248;
{ /* Llib/mpg123.scm 275 */
 obj_t BgL_arg1254z00_186;
{ /* Llib/mpg123.scm 275 */
 obj_t BgL_arg1255z00_187;
{ /* Llib/mpg123.scm 275 */
 obj_t BgL_classz00_400;
BgL_classz00_400 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1255z00_187 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_400); } 
BgL_arg1254z00_186 = 
VECTOR_REF(BgL_arg1255z00_187,((long)2)); } 
BgL_auxz00_1248 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1254z00_186); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1084z00_185)))->BgL_stackz00)=((obj_t)BgL_auxz00_1248),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1084z00_185)))->BgL_procz00)=((obj_t)BGl_string1505z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1084z00_185)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)mpg123_plain_strerror(BgL_errz00_182))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1084z00_185)))->BgL_objz00)=((obj_t)
((obj_t)BgL_mz00_30)),BUNSPEC); 
BgL_arg1253z00_184 = BgL_new1084z00_185; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1253z00_184));}  else 
{ /* Llib/mpg123.scm 274 */
return BFALSE;} } } } } } 

}



/* &mpg123-volume-set! */
obj_t BGl_z62mpg123zd2volumezd2setz12z70zz__mpg123_mpg123z00(obj_t BgL_envz00_487, obj_t BgL_mz00_488, obj_t BgL_volz00_489)
{
{ /* Llib/mpg123.scm 269 */
{ /* Llib/mpg123.scm 270 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1265;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_488, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 270 */
BgL_auxz00_1265 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_488)
; }  else 
{ 
 obj_t BgL_auxz00_1269;
BgL_auxz00_1269 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)12556)), BGl_string1534z00zz__mpg123_mpg123z00, BGl_string1508z00zz__mpg123_mpg123z00, BgL_mz00_488); 
FAILURE(BgL_auxz00_1269,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(BgL_auxz00_1265, BgL_volz00_489);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_arg1289z00_195; obj_t BgL_arg1330z00_196;
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_v1094z00_210;
BgL_v1094z00_210 = 
create_vector(((long)3)); 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_arg1338z00_211;
BgL_arg1338z00_211 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)31)), BGl_proc1537z00zz__mpg123_mpg123z00, BGl_proc1536z00zz__mpg123_mpg123z00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1535z00zz__mpg123_mpg123z00, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1094z00_210,((long)0),BgL_arg1338z00_211); } 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_arg1351z00_224;
BgL_arg1351z00_224 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc1540z00zz__mpg123_mpg123z00, BGl_proc1539z00zz__mpg123_mpg123z00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1538z00zz__mpg123_mpg123z00, 
CNST_TABLE_REF(((long)34))); 
VECTOR_SET(BgL_v1094z00_210,((long)1),BgL_arg1351z00_224); } 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_arg1360z00_237;
BgL_arg1360z00_237 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc1543z00zz__mpg123_mpg123z00, BGl_proc1542z00zz__mpg123_mpg123z00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1541z00zz__mpg123_mpg123z00, 
CNST_TABLE_REF(((long)36))); 
VECTOR_SET(BgL_v1094z00_210,((long)2),BgL_arg1360z00_237); } 
BgL_arg1289z00_195 = BgL_v1094z00_210; } 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_v1095z00_250;
BgL_v1095z00_250 = 
create_vector(((long)0)); 
BgL_arg1330z00_196 = BgL_v1095z00_250; } 
BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)37)), 
CNST_TABLE_REF(((long)38)), BGl_objectz00zz__objectz00, ((long)38616), BGl_proc1546z00zz__mpg123_mpg123z00, BGl_proc1545z00zz__mpg123_mpg123z00, BGl_mpg123zd2handlezd2initzd2envzd2zz__mpg123_mpg123z00, BGl_proc1544z00zz__mpg123_mpg123z00, BFALSE, BgL_arg1289z00_195, BgL_arg1330z00_196); } 
{ /* Llib/mpg123.scm 27 */
 obj_t BgL_arg1384z00_257; obj_t BgL_arg1385z00_258;
{ /* Llib/mpg123.scm 27 */
 obj_t BgL_v1096z00_274;
BgL_v1096z00_274 = 
create_vector(((long)0)); 
BgL_arg1384z00_257 = BgL_v1096z00_274; } 
{ /* Llib/mpg123.scm 27 */
 obj_t BgL_v1097z00_275;
BgL_v1097z00_275 = 
create_vector(((long)0)); 
BgL_arg1385z00_258 = BgL_v1097z00_275; } 
return ( 
BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)38)), BGl_z62errorz62zz__objectz00, ((long)29460), BGl_proc1549z00zz__mpg123_mpg123z00, BGl_proc1548z00zz__mpg123_mpg123z00, BFALSE, BGl_proc1547z00zz__mpg123_mpg123z00, BFALSE, BgL_arg1384z00_257, BgL_arg1385z00_258), BUNSPEC) ;} } 

}



/* &<@anonymous:1391> */
obj_t BGl_z62zc3z04anonymousza31391ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_505, obj_t BgL_new1060z00_506)
{
{ /* Llib/mpg123.scm 27 */
{ 
 BgL_z62mpg123zd2errorzb0_bglt BgL_auxz00_1296;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_506))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_506))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_506))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_506))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_506))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_506))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1296 = 
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_506); 
return 
((obj_t)BgL_auxz00_1296);} } 

}



/* &lambda1389 */
BgL_z62mpg123zd2errorzb0_bglt BGl_z62lambda1389z62zz__mpg123_mpg123z00(obj_t BgL_envz00_507)
{
{ /* Llib/mpg123.scm 27 */
{ /* Llib/mpg123.scm 27 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1059z00_616;
BgL_new1059z00_616 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 27 */
 long BgL_arg1390z00_617;
BgL_arg1390z00_617 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_616), BgL_arg1390z00_617); } 
return BgL_new1059z00_616;} } 

}



/* &lambda1386 */
BgL_z62mpg123zd2errorzb0_bglt BGl_z62lambda1386z62zz__mpg123_mpg123z00(obj_t BgL_envz00_508, obj_t BgL_fname1053z00_509, obj_t BgL_location1054z00_510, obj_t BgL_stack1055z00_511, obj_t BgL_proc1056z00_512, obj_t BgL_msg1057z00_513, obj_t BgL_obj1058z00_514)
{
{ /* Llib/mpg123.scm 27 */
{ /* Llib/mpg123.scm 27 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1088z00_618;
{ /* Llib/mpg123.scm 27 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1087z00_619;
BgL_new1087z00_619 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 27 */
 long BgL_arg1388z00_620;
BgL_arg1388z00_620 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_619), BgL_arg1388z00_620); } 
BgL_new1088z00_618 = BgL_new1087z00_619; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1088z00_618)))->BgL_fnamez00)=((obj_t)BgL_fname1053z00_509),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1088z00_618)))->BgL_locationz00)=((obj_t)BgL_location1054z00_510),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1088z00_618)))->BgL_stackz00)=((obj_t)BgL_stack1055z00_511),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1088z00_618)))->BgL_procz00)=((obj_t)BgL_proc1056z00_512),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1088z00_618)))->BgL_msgz00)=((obj_t)BgL_msg1057z00_513),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1088z00_618)))->BgL_objz00)=((obj_t)BgL_obj1058z00_514),BUNSPEC); 
return BgL_new1088z00_618;} } 

}



/* &<@anonymous:1337> */
obj_t BGl_z62zc3z04anonymousza31337ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_515, obj_t BgL_new1051z00_516)
{
{ /* Llib/mpg123.scm 21 */
{ 
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1337;
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_new1051z00_516)))->BgL_z42builtinz42)=((mpg123_handle *)
0L),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_new1051z00_516)))->BgL_decoderz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_new1051z00_516)))->BgL_siza7eza7)=((long)((long)0)),BUNSPEC); 
BgL_auxz00_1337 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_new1051z00_516); 
return 
((obj_t)BgL_auxz00_1337);} } 

}



/* &lambda1334 */
BgL_mpg123zd2handlezd2_bglt BGl_z62lambda1334z62zz__mpg123_mpg123z00(obj_t BgL_envz00_517)
{
{ /* Llib/mpg123.scm 21 */
{ /* Llib/mpg123.scm 21 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1050z00_622;
BgL_new1050z00_622 = 
((BgL_mpg123zd2handlezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2handlezd2_bgl) ))); 
{ /* Llib/mpg123.scm 21 */
 long BgL_arg1336z00_623;
BgL_arg1336z00_623 = 
BGL_CLASS_NUM(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1050z00_622), BgL_arg1336z00_623); } 
return BgL_new1050z00_622;} } 

}



/* &lambda1331 */
BgL_mpg123zd2handlezd2_bglt BGl_z62lambda1331z62zz__mpg123_mpg123z00(obj_t BgL_envz00_518, obj_t BgL_z42builtin1047z42_519, obj_t BgL_decoder1048z00_520, obj_t BgL_siza7e1049za7_521)
{
{ /* Llib/mpg123.scm 21 */
{ /* Llib/mpg123.scm 21 */
 mpg123_handle * BgL_z42builtin1047z42_624; long BgL_siza7e1049za7_625;
BgL_z42builtin1047z42_624 = 
FOREIGN_TO_COBJ(BgL_z42builtin1047z42_519); 
BgL_siza7e1049za7_625 = 
(long)CINT(BgL_siza7e1049za7_521); 
{ /* Llib/mpg123.scm 21 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1086z00_626;
{ /* Llib/mpg123.scm 21 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1085z00_627;
BgL_new1085z00_627 = 
((BgL_mpg123zd2handlezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2handlezd2_bgl) ))); 
{ /* Llib/mpg123.scm 21 */
 long BgL_arg1333z00_628;
BgL_arg1333z00_628 = 
BGL_CLASS_NUM(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_627), BgL_arg1333z00_628); } 
BgL_new1086z00_626 = BgL_new1085z00_627; } 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1086z00_626))->BgL_z42builtinz42)=((mpg123_handle *)BgL_z42builtin1047z42_624),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1086z00_626))->BgL_decoderz00)=((obj_t)BgL_decoder1048z00_520),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1086z00_626))->BgL_siza7eza7)=((long)BgL_siza7e1049za7_625),BUNSPEC); 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_fun1332z00_629;
BgL_fun1332z00_629 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1332z00_629))(BgL_fun1332z00_629, 
((obj_t)BgL_new1086z00_626), BEOA); } 
return BgL_new1086z00_626;} } } 

}



/* &<@anonymous:1367> */
obj_t BGl_z62zc3z04anonymousza31367ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_522)
{
{ /* Llib/mpg123.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1366 */
obj_t BGl_z62lambda1366z62zz__mpg123_mpg123z00(obj_t BgL_envz00_523, obj_t BgL_oz00_524, obj_t BgL_vz00_525)
{
{ /* Llib/mpg123.scm 21 */
{ /* Llib/mpg123.scm 21 */
 long BgL_vz00_631;
BgL_vz00_631 = 
(long)CINT(BgL_vz00_525); 
return 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_524)))->BgL_siza7eza7)=((long)BgL_vz00_631),BUNSPEC);} } 

}



/* &lambda1365 */
obj_t BGl_z62lambda1365z62zz__mpg123_mpg123z00(obj_t BgL_envz00_526, obj_t BgL_oz00_527)
{
{ /* Llib/mpg123.scm 21 */
return 
BINT(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_527)))->BgL_siza7eza7));} 

}



/* &<@anonymous:1358> */
obj_t BGl_z62zc3z04anonymousza31358ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_528)
{
{ /* Llib/mpg123.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1357 */
obj_t BGl_z62lambda1357z62zz__mpg123_mpg123z00(obj_t BgL_envz00_529, obj_t BgL_oz00_530, obj_t BgL_vz00_531)
{
{ /* Llib/mpg123.scm 21 */
return 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_530)))->BgL_decoderz00)=((obj_t)BgL_vz00_531),BUNSPEC);} 

}



/* &lambda1356 */
obj_t BGl_z62lambda1356z62zz__mpg123_mpg123z00(obj_t BgL_envz00_532, obj_t BgL_oz00_533)
{
{ /* Llib/mpg123.scm 21 */
return 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_533)))->BgL_decoderz00);} 

}



/* &<@anonymous:1345> */
obj_t BGl_z62zc3z04anonymousza31345ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_534)
{
{ /* Llib/mpg123.scm 21 */
return 
void_star_to_obj((mpg123_handle *)0L);} 

}



/* &lambda1344 */
obj_t BGl_z62lambda1344z62zz__mpg123_mpg123z00(obj_t BgL_envz00_535, obj_t BgL_oz00_536, obj_t BgL_vz00_537)
{
{ /* Llib/mpg123.scm 21 */
{ /* Llib/mpg123.scm 21 */
 mpg123_handle * BgL_vz00_636;
BgL_vz00_636 = 
FOREIGN_TO_COBJ(BgL_vz00_537); 
return 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_536)))->BgL_z42builtinz42)=((mpg123_handle *)BgL_vz00_636),BUNSPEC);} } 

}



/* &lambda1343 */
obj_t BGl_z62lambda1343z62zz__mpg123_mpg123z00(obj_t BgL_envz00_538, obj_t BgL_oz00_539)
{
{ /* Llib/mpg123.scm 21 */
return 
void_star_to_obj(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_539)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpg123zd2handlezd2initzd2envzd2zz__mpg123_mpg123z00, BGl_proc1550z00zz__mpg123_mpg123z00, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00, BGl_string1551z00zz__mpg123_mpg123z00);} 

}



/* &mpg123-handle-init1098 */
obj_t BGl_z62mpg123zd2handlezd2init1098z62zz__mpg123_mpg123z00(obj_t BgL_envz00_543, obj_t BgL_oz00_544)
{
{ /* Llib/mpg123.scm 54 */
{ 
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1386;
{ /* Llib/mpg123.scm 56 */
 char * BgL_dz00_639;
{ /* Llib/mpg123.scm 56 */
 bool_t BgL_test1692z00_1387;
{ /* Llib/mpg123.scm 56 */
 obj_t BgL_tmpz00_1388;
BgL_tmpz00_1388 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_544)))->BgL_decoderz00); 
BgL_test1692z00_1387 = 
STRINGP(BgL_tmpz00_1388); } 
if(BgL_test1692z00_1387)
{ /* Llib/mpg123.scm 56 */
BgL_dz00_639 = 
BSTRING_TO_STRING(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_544)))->BgL_decoderz00)); }  else 
{ /* Llib/mpg123.scm 56 */
BgL_dz00_639 = ((char *)0L); } } 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_544)))->BgL_z42builtinz42)=((mpg123_handle *)
bgl_mpg123_new(BgL_dz00_639)),BUNSPEC); } 
{ /* Llib/mpg123.scm 58 */
 mpg123_handle * BgL_tmpz00_1398;
BgL_tmpz00_1398 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_544)))->BgL_z42builtinz42); 
mpg123_open_feed(BgL_tmpz00_1398); } 
BgL_auxz00_1386 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_544); 
return 
((obj_t)BgL_auxz00_1386);} } 

}



/* mpg123-handle-init */
BGL_EXPORTED_DEF BgL_mpg123zd2handlezd2_bglt BGl_mpg123zd2handlezd2initz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_oz00_3)
{
{ /* Llib/mpg123.scm 54 */
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_method1099z00_289;
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_res1466z00_454;
{ /* Llib/mpg123.scm 54 */
 long BgL_objzd2classzd2numz00_425;
BgL_objzd2classzd2numz00_425 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_3)); 
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_arg1798z00_426;
BgL_arg1798z00_426 = 
PROCEDURE_REF(BGl_mpg123zd2handlezd2initzd2envzd2zz__mpg123_mpg123z00, 
(int)(((long)1))); 
{ /* Llib/mpg123.scm 54 */
 int BgL_offsetz00_429;
BgL_offsetz00_429 = 
(int)(BgL_objzd2classzd2numz00_425); 
{ /* Llib/mpg123.scm 54 */
 long BgL_offsetz00_430;
BgL_offsetz00_430 = 
(
(long)(BgL_offsetz00_429)-OBJECT_TYPE); 
{ /* Llib/mpg123.scm 54 */
 long BgL_modz00_431;
BgL_modz00_431 = 
(BgL_offsetz00_430 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpg123.scm 54 */
 long BgL_restz00_433;
BgL_restz00_433 = 
(BgL_offsetz00_430 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpg123.scm 54 */

{ /* Llib/mpg123.scm 54 */
 obj_t BgL_bucketz00_435;
BgL_bucketz00_435 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_426),BgL_modz00_431); 
BgL_res1466z00_454 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_435),BgL_restz00_433); } } } } } } } } 
BgL_method1099z00_289 = BgL_res1466z00_454; } 
return 
((BgL_mpg123zd2handlezd2_bglt)
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1099z00_289))(BgL_method1099z00_289, 
((obj_t)BgL_oz00_3), BEOA));} } 

}



/* &mpg123-handle-init */
BgL_mpg123zd2handlezd2_bglt BGl_z62mpg123zd2handlezd2initz62zz__mpg123_mpg123z00(obj_t BgL_envz00_540, obj_t BgL_oz00_541)
{
{ /* Llib/mpg123.scm 54 */
{ /* Llib/mpg123.scm 54 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1435;
{ /* Llib/mpg123.scm 54 */
 bool_t BgL_test1693z00_1436;
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_classz00_640;
BgL_classz00_640 = BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00; 
if(
BGL_OBJECTP(BgL_oz00_541))
{ /* Llib/mpg123.scm 54 */
 BgL_objectz00_bglt BgL_arg1796z00_642; long BgL_arg1797z00_643;
BgL_arg1796z00_642 = 
(BgL_objectz00_bglt)(BgL_oz00_541); 
BgL_arg1797z00_643 = 
BGL_CLASS_DEPTH(BgL_classz00_640); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpg123.scm 54 */
 long BgL_idxz00_651;
BgL_idxz00_651 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_642); 
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_arg1788z00_652;
{ /* Llib/mpg123.scm 54 */
 long BgL_arg1789z00_653;
BgL_arg1789z00_653 = 
(BgL_idxz00_651+BgL_arg1797z00_643); 
BgL_arg1788z00_652 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_653); } 
BgL_test1693z00_1436 = 
(BgL_arg1788z00_652==BgL_classz00_640); } }  else 
{ /* Llib/mpg123.scm 54 */
 bool_t BgL_res1568z00_676;
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_oclassz00_661;
{ /* Llib/mpg123.scm 54 */
 long BgL_arg1801z00_667;
{ /* Llib/mpg123.scm 54 */
 long BgL_arg1802z00_668;
BgL_arg1802z00_668 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_642); 
BgL_arg1801z00_667 = 
(BgL_arg1802z00_668-OBJECT_TYPE); } 
BgL_oclassz00_661 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_667); } 
{ /* Llib/mpg123.scm 54 */
 bool_t BgL__ortest_1110z00_662;
BgL__ortest_1110z00_662 = 
(BgL_classz00_640==BgL_oclassz00_661); 
if(BgL__ortest_1110z00_662)
{ /* Llib/mpg123.scm 54 */
BgL_res1568z00_676 = BgL__ortest_1110z00_662; }  else 
{ /* Llib/mpg123.scm 54 */
 long BgL_odepthz00_663;
BgL_odepthz00_663 = 
BGL_CLASS_DEPTH(BgL_oclassz00_661); 
if(
(BgL_arg1797z00_643<BgL_odepthz00_663))
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_arg1790z00_665;
BgL_arg1790z00_665 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_661, BgL_arg1797z00_643); 
BgL_res1568z00_676 = 
(BgL_arg1790z00_665==BgL_classz00_640); }  else 
{ /* Llib/mpg123.scm 54 */
BgL_res1568z00_676 = ((bool_t)0); } } } } 
BgL_test1693z00_1436 = BgL_res1568z00_676; } }  else 
{ /* Llib/mpg123.scm 54 */
BgL_test1693z00_1436 = ((bool_t)0)
; } } 
if(BgL_test1693z00_1436)
{ /* Llib/mpg123.scm 54 */
BgL_auxz00_1435 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_541)
; }  else 
{ 
 obj_t BgL_auxz00_1458;
BgL_auxz00_1458 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1506z00zz__mpg123_mpg123z00, 
BINT(((long)2480)), BGl_string1552z00zz__mpg123_mpg123z00, BGl_string1508z00zz__mpg123_mpg123z00, BgL_oz00_541); 
FAILURE(BgL_auxz00_1458,BFALSE,BFALSE);} } 
return 
BGl_mpg123zd2handlezd2initz00zz__mpg123_mpg123z00(BgL_auxz00_1435);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
