/*===========================================================================*/
/*   (Llib/mpg123_decoder.scm)                                               */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -srfi mpg123 -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/mpg123_decoder.scm -o objs/mpg123_decoder.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <mpg123.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_mpg123zd2handlezd2_bgl {
   header_t header;
   obj_t widening;
   mpg123_handle * BgL_z42builtinz42;
   obj_t BgL_decoderz00;
   long BgL_siza7eza7;
} *BgL_mpg123zd2handlezd2_bglt;

typedef struct BgL_mpg123zd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52mpg123z52;
   long BgL_z52z12dseekz40;
   int BgL_z52ratez52;
   int BgL_z52channelsz52;
   obj_t BgL_z52encodingz52;
} *BgL_mpg123zd2decoderzd2_bglt;


static obj_t BGl_z62musicdecoderzd2closezd2m1132z62zz__mpg123_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufferzd2streamzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00 = BUNSPEC;
static obj_t BGl_z62musicdecoderzd2decodezd21144z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2initzd2mp1130z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__mpg123_decoderz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
extern obj_t BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static int BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(void);
static obj_t BGl_toplevelzd2initzd2zz__mpg123_decoderz00(void);
extern obj_t BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00;
extern long BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31221ze3ze5zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__mpg123_decoderz00(void);
static obj_t BGl_z62zc3z04anonymousza31230ze3ze5zz__mpg123_decoderz00(obj_t);
static obj_t BGl_z62musicdecoderzd2infozd2mp1138z62zz__mpg123_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(BgL_musicbufz00_bglt, obj_t, long);
static obj_t BGl_objectzd2initzd2zz__mpg123_decoderz00(void);
static obj_t BGl_z62musicdecoderzd2positio1136zb0zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
extern obj_t BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_debugz00zz__mpg123_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31209ze3ze5zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__mpg123_decoderz00(void);
BGL_IMPORT obj_t BGl_musicdecoderz00zz__multimediazd2musicbufzd2;
static obj_t BGl_z62zc3z04anonymousza31252ze3ze5zz__mpg123_decoderz00(obj_t);
extern obj_t BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
static obj_t BGl_z62zc3z04anonymousza31237ze3ze5zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
static long BGl_bufferzd2percentagezd2filledze70ze7zz__mpg123_decoderz00(long, BgL_musicbufferz00_bglt);
static obj_t BGl_z62lambda1207z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1208z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_microseconds(void);
extern int bgl_mpg123_decode(obj_t, char *, long, long, char *, long);
static obj_t BGl_z62lambda1219z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2resetz12zd21134z70zz__mpg123_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
static obj_t BGl_z62lambda1220z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_z62lambda1228z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1229z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1235z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1236z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__mpg123_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mp3zd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31186ze3ze5zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1250z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1251z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT int bgl_debug(void);
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static BgL_mpg123zd2decoderzd2_bglt BGl_z62lambda1180z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_mpg123zd2decoderzd2_bglt BGl_z62lambda1184z62zz__mpg123_decoderz00(obj_t);
BGL_IMPORT long BGl_mp3zd2indexzd2zz__multimediazd2mp3zd2(obj_t, long);
static obj_t BGl_z62objectzd2printzd2mpg123zd21128zb0zz__mpg123_decoderz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__mpg123_decoderz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_decoderz00(void);
static obj_t BGl_z62musicdecoderzd2seekzd2mp1140z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_debugzd2initz12zc0zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__mpg123_decoderz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__mpg123_decoderz00(void);
static obj_t BGl_z62zc3z04anonymousza31197ze3ze5zz__mpg123_decoderz00(obj_t);
static obj_t BGl_z62lambda1195z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1196z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_musicbufferzd2seekzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt, obj_t);
BGL_IMPORT long BGl_musicdecoderzd2infozd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt);
BGL_IMPORT long BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
static obj_t BGl_z62musicdecoderzd2volumezd21142z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_debugzd2stopz12zc0zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
extern long BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_newzd2formatzd2zz__mpg123_decoderz00(BgL_mpg123zd2decoderzd2_bglt, BgL_musicbufz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00 = BUNSPEC;
extern obj_t BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(int);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufzd2drainzd2zz__multimediazd2musicbufzd2(BgL_musicbufz00_bglt);
static obj_t __cnst[ 21 ] ;


BGL_IMPORT obj_t BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2closezd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2seekzd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string1960z00zz__mpg123_decoderz00, BgL_bgl_string1960za700za7za7_2034za7, "Llib/mpg123_decoder.scm", 23 );
DEFINE_STRING( BGl_string1961z00zz__mpg123_decoderz00, BgL_bgl_string1961za700za7za7_2035za7, "/tmp/MPG123.log", 15 );
DEFINE_STRING( BGl_string1962z00zz__mpg123_decoderz00, BgL_bgl_string1962za700za7za7_2036za7, "\n", 1 );
DEFINE_STRING( BGl_string1963z00zz__mpg123_decoderz00, BgL_bgl_string1963za700za7za7_2037za7, " ", 1 );
DEFINE_STRING( BGl_string1964z00zz__mpg123_decoderz00, BgL_bgl_string1964za700za7za7_2038za7, ">>> MPG123_DECODER init ", 24 );
DEFINE_STRING( BGl_string1965z00zz__mpg123_decoderz00, BgL_bgl_string1965za700za7za7_2039za7, ">>> MPG123_DECODER stop ", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1966z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2040za7, BGl_z62zc3z04anonymousza31197ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1967z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1196za7622041z00, BGl_z62lambda1196z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1968z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1195za7622042z00, BGl_z62lambda1195z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1969z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2043za7, BGl_z62zc3z04anonymousza31209ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1970z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1208za7622044z00, BGl_z62lambda1208z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1971z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1207za7622045z00, BGl_z62lambda1207z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1972z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2046za7, BGl_z62zc3z04anonymousza31221ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1973z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1220za7622047z00, BGl_z62lambda1220z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1974z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1219za7622048z00, BGl_z62lambda1219z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1975z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2049za7, BGl_z62zc3z04anonymousza31230ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1976z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1229za7622050z00, BGl_z62lambda1229z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1977z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1228za7622051z00, BGl_z62lambda1228z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1978z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2052za7, BGl_z62zc3z04anonymousza31237ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1979z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1236za7622053z00, BGl_z62lambda1236z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1987z00zz__mpg123_decoderz00, BgL_bgl_string1987za700za7za7_2054za7, "", 0 );
DEFINE_STRING( BGl_string1989z00zz__mpg123_decoderz00, BgL_bgl_string1989za700za7za7_2055za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1980z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1235za7622056z00, BGl_z62lambda1235z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1981z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2057za7, BGl_z62zc3z04anonymousza31252ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1982z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1251za7622058z00, BGl_z62lambda1251z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1983z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1250za7622059z00, BGl_z62lambda1250z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1984z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2060za7, BGl_z62zc3z04anonymousza31186ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1991z00zz__mpg123_decoderz00, BgL_bgl_string1991za700za7za7_2061za7, "musicdecoder-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1985z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1184za7622062z00, BGl_z62lambda1184z62zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1986z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1180za7622063z00, BGl_z62lambda1180z62zz__mpg123_decoderz00, 0L, BUNSPEC, 16 );
DEFINE_STRING( BGl_string1993z00zz__mpg123_decoderz00, BgL_bgl_string1993za700za7za7_2064za7, "musicdecoder-close", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1988z00zz__mpg123_decoderz00, BgL_bgl_za762objectza7d2prin2065z00, BGl_z62objectzd2printzd2mpg123zd21128zb0zz__mpg123_decoderz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1995z00zz__mpg123_decoderz00, BgL_bgl_string1995za700za7za7_2066za7, "musicdecoder-reset!", 19 );
DEFINE_STRING( BGl_string1997z00zz__mpg123_decoderz00, BgL_bgl_string1997za700za7za7_2067za7, "musicdecoder-position", 21 );
DEFINE_STRING( BGl_string1999z00zz__mpg123_decoderz00, BgL_bgl_string1999za700za7za7_2068za7, "musicdecoder-info", 17 );
BGL_IMPORT obj_t BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1990z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72069z00, BGl_z62musicdecoderzd2initzd2mp1130z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1992z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72070z00, BGl_z62musicdecoderzd2closezd2m1132z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1994z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72071z00, BGl_z62musicdecoderzd2resetz12zd21134z70zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1996z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72072z00, BGl_z62musicdecoderzd2positio1136zb0zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1998z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72073z00, BGl_z62musicdecoderzd2infozd2mp1138z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_musicdecoderzd2infozd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string2001z00zz__mpg123_decoderz00, BgL_bgl_string2001za700za7za7_2074za7, "musicdecoder-seek", 17 );
DEFINE_STRING( BGl_string2003z00zz__mpg123_decoderz00, BgL_bgl_string2003za700za7za7_2075za7, "musicdecoder-volume-set!", 24 );
DEFINE_STRING( BGl_string2005z00zz__mpg123_decoderz00, BgL_bgl_string2005za700za7za7_2076za7, "musicdecoder-decode", 19 );
DEFINE_STRING( BGl_string2006z00zz__mpg123_decoderz00, BgL_bgl_string2006za700za7za7_2077za7, "\033[0m\033[1;33m", 11 );
DEFINE_STRING( BGl_string2007z00zz__mpg123_decoderz00, BgL_bgl_string2007za700za7za7_2078za7, "\033[0m\033[1;32m", 11 );
DEFINE_STRING( BGl_string2008z00zz__mpg123_decoderz00, BgL_bgl_string2008za700za7za7_2079za7, " EOF", 4 );
DEFINE_STRING( BGl_string2009z00zz__mpg123_decoderz00, BgL_bgl_string2009za700za7za7_2080za7, " url=", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2000z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72081z00, BGl_z62musicdecoderzd2seekzd2mp1140z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2002z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72082z00, BGl_z62musicdecoderzd2volumezd21142z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2010z00zz__mpg123_decoderz00, BgL_bgl_string2010za700za7za7_2083za7, "%\033[0m", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2004z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72084z00, BGl_z62musicdecoderzd2decodezd21144z62zz__mpg123_decoderz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2011z00zz__mpg123_decoderz00, BgL_bgl_string2011za700za7za7_2085za7, "--- MPG123_DECODER, buffer fill: ", 33 );
DEFINE_STRING( BGl_string2012z00zz__mpg123_decoderz00, BgL_bgl_string2012za700za7za7_2086za7, "...", 3 );
DEFINE_STRING( BGl_string2013z00zz__mpg123_decoderz00, BgL_bgl_string2013za700za7za7_2087za7, "--> MPG123_DECODER, broadcast not-full ", 39 );
DEFINE_STRING( BGl_string2014z00zz__mpg123_decoderz00, BgL_bgl_string2014za700za7za7_2088za7, "~~~ MPG123_DECODER, EOF ", 24 );
DEFINE_STRING( BGl_string2015z00zz__mpg123_decoderz00, BgL_bgl_string2015za700za7za7_2089za7, "<-- MPG123_DECODER, wait not-empty ", 35 );
DEFINE_STRING( BGl_string2016z00zz__mpg123_decoderz00, BgL_bgl_string2016za700za7za7_2090za7, " -> status=", 11 );
DEFINE_STRING( BGl_string2017z00zz__mpg123_decoderz00, BgL_bgl_string2017za700za7za7_2091za7, " hd=", 4 );
DEFINE_STRING( BGl_string2018z00zz__mpg123_decoderz00, BgL_bgl_string2018za700za7za7_2092za7, " tl=", 4 );
DEFINE_STRING( BGl_string2019z00zz__mpg123_decoderz00, BgL_bgl_string2019za700za7za7_2093za7, "~~~ MPG123_DECODER, s=", 22 );
DEFINE_STRING( BGl_string2020z00zz__mpg123_decoderz00, BgL_bgl_string2020za700za7za7_2094za7, "offset=", 7 );
DEFINE_STRING( BGl_string2021z00zz__mpg123_decoderz00, BgL_bgl_string2021za700za7za7_2095za7, ":", 1 );
DEFINE_STRING( BGl_string2022z00zz__mpg123_decoderz00, BgL_bgl_string2022za700za7za7_2096za7, ",", 1 );
DEFINE_STRING( BGl_string2023z00zz__mpg123_decoderz00, BgL_bgl_string2023za700za7za7_2097za7, " size=", 6 );
DEFINE_STRING( BGl_string2024z00zz__mpg123_decoderz00, BgL_bgl_string2024za700za7za7_2098za7, "~~~ MPG123_DECODER, OK s=", 25 );
DEFINE_STRING( BGl_string2025z00zz__mpg123_decoderz00, BgL_bgl_string2025za700za7za7_2099za7, " tail=", 6 );
DEFINE_STRING( BGl_string2026z00zz__mpg123_decoderz00, BgL_bgl_string2026za700za7za7_2100za7, " %empty=", 8 );
DEFINE_STRING( BGl_string2027z00zz__mpg123_decoderz00, BgL_bgl_string2027za700za7za7_2101za7, "~~~ MPG123_DECODER, NEED-MORE s=", 32 );
DEFINE_STRING( BGl_string2028z00zz__mpg123_decoderz00, BgL_bgl_string2028za700za7za7_2102za7, "mp3 decoding error", 18 );
DEFINE_STRING( BGl_string2029z00zz__mpg123_decoderz00, BgL_bgl_string2029za700za7za7_2103za7, "~~~ MPG123_SEEK, seek=", 22 );
DEFINE_STRING( BGl_string2030z00zz__mpg123_decoderz00, BgL_bgl_string2030za700za7za7_2104za7, "#|mpg123-decoder|", 17 );
DEFINE_STRING( BGl_string2031z00zz__mpg123_decoderz00, BgL_bgl_string2031za700za7za7_2105za7, "__mpg123_decoder", 16 );
DEFINE_STRING( BGl_string2032z00zz__mpg123_decoderz00, BgL_bgl_string2032za700za7za7_2106za7, "(\"audio/mpeg\") buffering ended stop play pause unknown _ __mpg123_decoder mpg123-decoder symbol %encoding %channels int %rate long %!dseek obj %mpg123 bstring outbuf ", 166 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__mpg123_decoderz00) );
ADD_ROOT( (void *)(&BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__mpg123_decoderz00(long BgL_checksumz00_993, char * BgL_fromz00_994)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__mpg123_decoderz00))
{ 
BGl_requirezd2initializa7ationz75zz__mpg123_decoderz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__mpg123_decoderz00(); 
BGl_libraryzd2moduleszd2initz00zz__mpg123_decoderz00(); 
BGl_cnstzd2initzd2zz__mpg123_decoderz00(); 
BGl_importedzd2moduleszd2initz00zz__mpg123_decoderz00(); 
BGl_objectzd2initzd2zz__mpg123_decoderz00(); 
BGl_methodzd2initzd2zz__mpg123_decoderz00(); 
return 
BGl_toplevelzd2initzd2zz__mpg123_decoderz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2mp3zd2(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__mpg123_decoder"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_cportz00_787;
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_stringz00_794;
BgL_stringz00_794 = BGl_string2032z00zz__mpg123_decoderz00; 
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_startz00_795;
BgL_startz00_795 = 
BINT(((long)0)); 
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_endz00_796;
BgL_endz00_796 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_794))); 
{ /* Llib/mpg123_decoder.scm 15 */

BgL_cportz00_787 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_794, BgL_startz00_795, BgL_endz00_796); } } } } 
{ 
 long BgL_iz00_788;
BgL_iz00_788 = ((long)20); 
BgL_loopz00_789:
if(
(BgL_iz00_788==((long)-1)))
{ /* Llib/mpg123_decoder.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mpg123_decoder.scm 15 */
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_arg2033z00_790;
{ /* Llib/mpg123_decoder.scm 15 */

{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_locationz00_792;
BgL_locationz00_792 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mpg123_decoder.scm 15 */

BgL_arg2033z00_790 = 
BGl_readz00zz__readerz00(BgL_cportz00_787, BgL_locationz00_792); } } } 
{ /* Llib/mpg123_decoder.scm 15 */
 int BgL_tmpz00_1029;
BgL_tmpz00_1029 = 
(int)(BgL_iz00_788); 
CNST_TABLE_SET(BgL_tmpz00_1029, BgL_arg2033z00_790); } } 
{ /* Llib/mpg123_decoder.scm 15 */
 int BgL_auxz00_793;
BgL_auxz00_793 = 
(int)(
(BgL_iz00_788-((long)1))); 
{ 
 long BgL_iz00_1034;
BgL_iz00_1034 = 
(long)(BgL_auxz00_793); 
BgL_iz00_788 = BgL_iz00_1034; 
goto BgL_loopz00_789;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1960z00zz__mpg123_decoderz00)); 
return ( 
BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00 = BFALSE, BUNSPEC) ;} 

}



/* mpg123-debug */
int BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 38 */
if(
(((long)0)>((long)0)))
{ /* Llib/mpg123_decoder.scm 39 */
BGL_TAIL return 
bgl_debug();}  else 
{ /* Llib/mpg123_decoder.scm 39 */
return 
(int)(((long)0));} } 

}



/* new-format */
obj_t BGl_newzd2formatzd2zz__mpg123_decoderz00(BgL_mpg123zd2decoderzd2_bglt BgL_decz00_19, BgL_musicbufz00_bglt BgL_amz00_20, BgL_musicbufferz00_bglt BgL_bufferz00_21)
{
{ /* Llib/mpg123_decoder.scm 303 */
{ /* Llib/mpg123_decoder.scm 305 */
 obj_t BgL_ratez00_35;
{ /* Llib/mpg123_decoder.scm 306 */
 obj_t BgL_arg1149z00_38;
BgL_arg1149z00_38 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_decz00_19))->BgL_z52mpg123z52); 
BgL_ratez00_35 = 
BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1149z00_38)); } 
{ /* Llib/mpg123_decoder.scm 306 */
 obj_t BgL_channelsz00_36; obj_t BgL_encodingz00_37;
{ /* Llib/mpg123_decoder.scm 307 */
 obj_t BgL_tmpz00_526;
{ /* Llib/mpg123_decoder.scm 307 */
 int BgL_tmpz00_1046;
BgL_tmpz00_1046 = 
(int)(((long)1)); 
BgL_tmpz00_526 = 
BGL_MVALUES_VAL(BgL_tmpz00_1046); } 
{ /* Llib/mpg123_decoder.scm 307 */
 int BgL_tmpz00_1049;
BgL_tmpz00_1049 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1049, BUNSPEC); } 
BgL_channelsz00_36 = BgL_tmpz00_526; } 
{ /* Llib/mpg123_decoder.scm 307 */
 obj_t BgL_tmpz00_527;
{ /* Llib/mpg123_decoder.scm 307 */
 int BgL_tmpz00_1052;
BgL_tmpz00_1052 = 
(int)(((long)2)); 
BgL_tmpz00_527 = 
BGL_MVALUES_VAL(BgL_tmpz00_1052); } 
{ /* Llib/mpg123_decoder.scm 307 */
 int BgL_tmpz00_1055;
BgL_tmpz00_1055 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1055, BUNSPEC); } 
BgL_encodingz00_37 = BgL_tmpz00_527; } 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_decz00_19))->BgL_z52ratez52)=((int)
CINT(BgL_ratez00_35)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_decz00_19))->BgL_z52channelsz52)=((int)
CINT(BgL_channelsz00_36)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_decz00_19))->BgL_z52encodingz52)=((obj_t)BgL_encodingz00_37),BUNSPEC); 
BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_decz00_19), 
((BgL_musicz00_bglt)BgL_amz00_20), BgL_bufferz00_21); } } 
{ /* Llib/mpg123_decoder.scm 312 */
 BgL_musicstatusz00_bglt BgL_i1118z00_40;
BgL_i1118z00_40 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_amz00_20)))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1118z00_40))->BgL_songposz00)=((obj_t)
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_decz00_19), BgL_bufferz00_21))),BUNSPEC); 
{ /* Llib/mpg123_decoder.scm 314 */
 long BgL_bratez00_41;
BgL_bratez00_41 = 
BGl_musicdecoderzd2infozd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_decz00_19)); 
{ /* Llib/mpg123_decoder.scm 315 */
 obj_t BgL_ratez00_42;
{ /* Llib/mpg123_decoder.scm 316 */
 obj_t BgL_tmpz00_528;
{ /* Llib/mpg123_decoder.scm 316 */
 int BgL_tmpz00_1074;
BgL_tmpz00_1074 = 
(int)(((long)1)); 
BgL_tmpz00_528 = 
BGL_MVALUES_VAL(BgL_tmpz00_1074); } 
{ /* Llib/mpg123_decoder.scm 316 */
 int BgL_tmpz00_1077;
BgL_tmpz00_1077 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1077, BUNSPEC); } 
BgL_ratez00_42 = BgL_tmpz00_528; } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1118z00_40))->BgL_bitratez00)=((int)
(int)(BgL_bratez00_41)),BUNSPEC); 
return 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1118z00_40))->BgL_khza7za7)=((int)
CINT(BgL_ratez00_42)),BUNSPEC);} } } } 

}



/* debug-init! */
obj_t BGl_debugzd2initz12zc0zz__mpg123_decoderz00(obj_t BgL_urlz00_22)
{
{ /* Llib/mpg123_decoder.scm 327 */
{ /* Llib/mpg123_decoder.scm 328 */

BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00 = 
BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(BGl_string1961z00zz__mpg123_decoderz00, BTRUE); } 
{ /* Llib/mpg123_decoder.scm 329 */
 BGL_LONGLONG_T BgL_arg1150z00_45;
BgL_arg1150z00_45 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_list1151z00_46;
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_arg1153z00_47;
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_arg1154z00_48;
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_arg1155z00_49;
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_arg1156z00_50;
BgL_arg1156z00_50 = 
MAKE_YOUNG_PAIR(BGl_string1962z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1155z00_49 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1150z00_45), BgL_arg1156z00_50); } 
BgL_arg1154z00_48 = 
MAKE_YOUNG_PAIR(BGl_string1963z00zz__mpg123_decoderz00, BgL_arg1155z00_49); } 
BgL_arg1153z00_47 = 
MAKE_YOUNG_PAIR(BgL_urlz00_22, BgL_arg1154z00_48); } 
BgL_list1151z00_46 = 
MAKE_YOUNG_PAIR(BGl_string1964z00zz__mpg123_decoderz00, BgL_arg1153z00_47); } 
return 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1151z00_46);} } } 

}



/* debug-stop! */
obj_t BGl_debugzd2stopz12zc0zz__mpg123_decoderz00(obj_t BgL_urlz00_23)
{
{ /* Llib/mpg123_decoder.scm 334 */
{ /* Llib/mpg123_decoder.scm 335 */
 BGL_LONGLONG_T BgL_arg1157z00_51;
BgL_arg1157z00_51 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_list1158z00_52;
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_arg1159z00_53;
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_arg1165z00_54;
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_arg1166z00_55;
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_arg1168z00_56;
BgL_arg1168z00_56 = 
MAKE_YOUNG_PAIR(BGl_string1962z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1166z00_55 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1157z00_51), BgL_arg1168z00_56); } 
BgL_arg1165z00_54 = 
MAKE_YOUNG_PAIR(BGl_string1963z00zz__mpg123_decoderz00, BgL_arg1166z00_55); } 
BgL_arg1159z00_53 = 
MAKE_YOUNG_PAIR(BgL_urlz00_23, BgL_arg1165z00_54); } 
BgL_list1158z00_52 = 
MAKE_YOUNG_PAIR(BGl_string1965z00zz__mpg123_decoderz00, BgL_arg1159z00_53); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1158z00_52); } } 
return 
bgl_close_output_port(BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00);} 

}



/* debug */
obj_t BGl_debugz00zz__mpg123_decoderz00(obj_t BgL_argsz00_24)
{
{ /* Llib/mpg123_decoder.scm 341 */
{ 
 obj_t BgL_l1123z00_58;
BgL_l1123z00_58 = BgL_argsz00_24; 
BgL_zc3z04anonymousza31169ze3z87_59:
if(
PAIRP(BgL_l1123z00_58))
{ /* Llib/mpg123_decoder.scm 342 */
{ /* Llib/mpg123_decoder.scm 342 */
 obj_t BgL_az00_61;
BgL_az00_61 = 
CAR(BgL_l1123z00_58); 
bgl_display_obj(BgL_az00_61, BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00); } 
{ 
 obj_t BgL_l1123z00_1106;
BgL_l1123z00_1106 = 
CDR(BgL_l1123z00_58); 
BgL_l1123z00_58 = BgL_l1123z00_1106; 
goto BgL_zc3z04anonymousza31169ze3z87_59;} }  else 
{ /* Llib/mpg123_decoder.scm 342 */((bool_t)1); } } 
return 
bgl_flush_output_port(BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1178z00_67; obj_t BgL_arg1179z00_68;
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_v1125z00_95;
BgL_v1125z00_95 = 
create_vector(((long)6)); 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1187z00_96;
BgL_arg1187z00_96 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1968z00zz__mpg123_decoderz00, BGl_proc1967z00zz__mpg123_decoderz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1966z00zz__mpg123_decoderz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1125z00_95,((long)0),BgL_arg1187z00_96); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1199z00_111;
BgL_arg1199z00_111 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1971z00zz__mpg123_decoderz00, BGl_proc1970z00zz__mpg123_decoderz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1969z00zz__mpg123_decoderz00, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1125z00_95,((long)1),BgL_arg1199z00_111); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1214z00_130;
BgL_arg1214z00_130 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1974z00zz__mpg123_decoderz00, BGl_proc1973z00zz__mpg123_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1972z00zz__mpg123_decoderz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1125z00_95,((long)2),BgL_arg1214z00_130); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1222z00_143;
BgL_arg1222z00_143 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1977z00zz__mpg123_decoderz00, BGl_proc1976z00zz__mpg123_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1975z00zz__mpg123_decoderz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1125z00_95,((long)3),BgL_arg1222z00_143); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1231z00_156;
BgL_arg1231z00_156 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc1980z00zz__mpg123_decoderz00, BGl_proc1979z00zz__mpg123_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1978z00zz__mpg123_decoderz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1125z00_95,((long)4),BgL_arg1231z00_156); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1246z00_169;
BgL_arg1246z00_169 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc1983z00zz__mpg123_decoderz00, BGl_proc1982z00zz__mpg123_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1981z00zz__mpg123_decoderz00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1125z00_95,((long)5),BgL_arg1246z00_169); } 
BgL_arg1178z00_67 = BgL_v1125z00_95; } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_v1126z00_182;
BgL_v1126z00_182 = 
create_vector(((long)0)); 
BgL_arg1179z00_68 = BgL_v1126z00_182; } 
return ( 
BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)12)), BGl_musicdecoderz00zz__multimediazd2musicbufzd2, ((long)50873), BGl_proc1986z00zz__mpg123_decoderz00, BGl_proc1985z00zz__mpg123_decoderz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1984z00zz__mpg123_decoderz00, BFALSE, BgL_arg1178z00_67, BgL_arg1179z00_68), BUNSPEC) ;} } 

}



/* &<@anonymous:1186> */
obj_t BGl_z62zc3z04anonymousza31186ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_670, obj_t BgL_new1091z00_671)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ 
 BgL_mpg123zd2decoderzd2_bglt BgL_auxz00_1138;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671)))->BgL_outbufz00)=((obj_t)BGl_string1987z00zz__mpg123_decoderz00),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671)))->BgL_z52mpg123z52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671)))->BgL_z52z12dseekz40)=((long)((long)0)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671)))->BgL_z52ratez52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671)))->BgL_z52channelsz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671)))->BgL_z52encodingz52)=((obj_t)
CNST_TABLE_REF(((long)13))),BUNSPEC); 
BgL_auxz00_1138 = 
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_671); 
return 
((obj_t)BgL_auxz00_1138);} } 

}



/* &lambda1184 */
BgL_mpg123zd2decoderzd2_bglt BGl_z62lambda1184z62zz__mpg123_decoderz00(obj_t BgL_envz00_672)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 BgL_mpg123zd2decoderzd2_bglt BgL_new1090z00_799;
BgL_new1090z00_799 = 
((BgL_mpg123zd2decoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2decoderzd2_bgl) ))); 
{ /* Llib/mpg123_decoder.scm 21 */
 long BgL_arg1185z00_800;
BgL_arg1185z00_800 = 
BGL_CLASS_NUM(BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_799), BgL_arg1185z00_800); } 
return BgL_new1090z00_799;} } 

}



/* &lambda1180 */
BgL_mpg123zd2decoderzd2_bglt BGl_z62lambda1180z62zz__mpg123_decoderz00(obj_t BgL_envz00_673, obj_t BgL_mimetypes1074z00_674, obj_t BgL_bufferzd2timezd2near1075z00_675, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1076z75_676, obj_t BgL_periodzd2siza7ezd2nearzd2rat1077z75_677, obj_t BgL_z52z12dpause1078z40_678, obj_t BgL_z52z12dabort1079z40_679, obj_t BgL_z52z12stop1080z40_680, obj_t BgL_z52dmutex1081z52_681, obj_t BgL_z52dcondv1082z52_682, obj_t BgL_z52doutcondv1083z52_683, obj_t BgL_outbuf1084z00_684, obj_t BgL_z52mpg1231085z52_685, obj_t BgL_z52z12dseek1086z40_686, obj_t BgL_z52rate1087z52_687, obj_t BgL_z52channels1088z52_688, obj_t BgL_z52encoding1089z52_689)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 int BgL_bufferzd2timezd2near1075z00_802; int BgL_bufferzd2siza7ezd2nearzd2rat1076z75_803; int BgL_periodzd2siza7ezd2nearzd2rat1077z75_804; bool_t BgL_z52z12dpause1078z40_805; bool_t BgL_z52z12dabort1079z40_806; bool_t BgL_z52z12stop1080z40_807; long BgL_z52z12dseek1086z40_812; int BgL_z52rate1087z52_813; int BgL_z52channels1088z52_814;
BgL_bufferzd2timezd2near1075z00_802 = 
CINT(BgL_bufferzd2timezd2near1075z00_675); 
BgL_bufferzd2siza7ezd2nearzd2rat1076z75_803 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1076z75_676); 
BgL_periodzd2siza7ezd2nearzd2rat1077z75_804 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1077z75_677); 
BgL_z52z12dpause1078z40_805 = 
CBOOL(BgL_z52z12dpause1078z40_678); 
BgL_z52z12dabort1079z40_806 = 
CBOOL(BgL_z52z12dabort1079z40_679); 
BgL_z52z12stop1080z40_807 = 
CBOOL(BgL_z52z12stop1080z40_680); 
BgL_z52z12dseek1086z40_812 = 
(long)CINT(BgL_z52z12dseek1086z40_686); 
BgL_z52rate1087z52_813 = 
CINT(BgL_z52rate1087z52_687); 
BgL_z52channels1088z52_814 = 
CINT(BgL_z52channels1088z52_688); 
{ /* Llib/mpg123_decoder.scm 21 */
 BgL_mpg123zd2decoderzd2_bglt BgL_new1120z00_816;
{ /* Llib/mpg123_decoder.scm 21 */
 BgL_mpg123zd2decoderzd2_bglt BgL_new1119z00_817;
BgL_new1119z00_817 = 
((BgL_mpg123zd2decoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2decoderzd2_bgl) ))); 
{ /* Llib/mpg123_decoder.scm 21 */
 long BgL_arg1183z00_818;
BgL_arg1183z00_818 = 
BGL_CLASS_NUM(BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_817), BgL_arg1183z00_818); } 
BgL_new1120z00_816 = BgL_new1119z00_817; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_816)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1074z00_674)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_816)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1075z00_802),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_816)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1076z75_803),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_816)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1077z75_804),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_816)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1078z40_805),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_816)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1079z40_806),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_816)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1080z40_807),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_816)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1081z52_681)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_816)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1082z52_682)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_816)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1083z52_683)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1120z00_816))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1084z00_684)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1120z00_816))->BgL_z52mpg123z52)=((obj_t)BgL_z52mpg1231085z52_685),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1120z00_816))->BgL_z52z12dseekz40)=((long)BgL_z52z12dseek1086z40_812),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1120z00_816))->BgL_z52ratez52)=((int)BgL_z52rate1087z52_813),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1120z00_816))->BgL_z52channelsz52)=((int)BgL_z52channels1088z52_814),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1120z00_816))->BgL_z52encodingz52)=((obj_t)
((obj_t)BgL_z52encoding1089z52_689)),BUNSPEC); 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_fun1181z00_819;
BgL_fun1181z00_819 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1181z00_819))(BgL_fun1181z00_819, 
((obj_t)BgL_new1120z00_816), BEOA); } 
return BgL_new1120z00_816;} } } 

}



/* &<@anonymous:1252> */
obj_t BGl_z62zc3z04anonymousza31252ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_690)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
CNST_TABLE_REF(((long)14));} 

}



/* &lambda1251 */
obj_t BGl_z62lambda1251z62zz__mpg123_decoderz00(obj_t BgL_envz00_691, obj_t BgL_oz00_692, obj_t BgL_vz00_693)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_692)))->BgL_z52encodingz52)=((obj_t)
((obj_t)BgL_vz00_693)),BUNSPEC);} 

}



/* &lambda1250 */
obj_t BGl_z62lambda1250z62zz__mpg123_decoderz00(obj_t BgL_envz00_694, obj_t BgL_oz00_695)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_695)))->BgL_z52encodingz52);} 

}



/* &<@anonymous:1237> */
obj_t BGl_z62zc3z04anonymousza31237ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_696)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1236 */
obj_t BGl_z62lambda1236z62zz__mpg123_decoderz00(obj_t BgL_envz00_697, obj_t BgL_oz00_698, obj_t BgL_vz00_699)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 int BgL_vz00_824;
BgL_vz00_824 = 
CINT(BgL_vz00_699); 
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_698)))->BgL_z52channelsz52)=((int)BgL_vz00_824),BUNSPEC);} } 

}



/* &lambda1235 */
obj_t BGl_z62lambda1235z62zz__mpg123_decoderz00(obj_t BgL_envz00_700, obj_t BgL_oz00_701)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_701)))->BgL_z52channelsz52));} 

}



/* &<@anonymous:1230> */
obj_t BGl_z62zc3z04anonymousza31230ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_702)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1229 */
obj_t BGl_z62lambda1229z62zz__mpg123_decoderz00(obj_t BgL_envz00_703, obj_t BgL_oz00_704, obj_t BgL_vz00_705)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 int BgL_vz00_827;
BgL_vz00_827 = 
CINT(BgL_vz00_705); 
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_704)))->BgL_z52ratez52)=((int)BgL_vz00_827),BUNSPEC);} } 

}



/* &lambda1228 */
obj_t BGl_z62lambda1228z62zz__mpg123_decoderz00(obj_t BgL_envz00_706, obj_t BgL_oz00_707)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_707)))->BgL_z52ratez52));} 

}



/* &<@anonymous:1221> */
obj_t BGl_z62zc3z04anonymousza31221ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_708)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(((long)-1));} 

}



/* &lambda1220 */
obj_t BGl_z62lambda1220z62zz__mpg123_decoderz00(obj_t BgL_envz00_709, obj_t BgL_oz00_710, obj_t BgL_vz00_711)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 long BgL_vz00_830;
BgL_vz00_830 = 
(long)CINT(BgL_vz00_711); 
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_710)))->BgL_z52z12dseekz40)=((long)BgL_vz00_830),BUNSPEC);} } 

}



/* &lambda1219 */
obj_t BGl_z62lambda1219z62zz__mpg123_decoderz00(obj_t BgL_envz00_712, obj_t BgL_oz00_713)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_713)))->BgL_z52z12dseekz40));} 

}



/* &<@anonymous:1209> */
obj_t BGl_z62zc3z04anonymousza31209ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_714)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ 
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1274;
{ /* Llib/mpg123_decoder.scm 23 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1122z00_832;
{ /* Llib/mpg123_decoder.scm 23 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1121z00_833;
BgL_new1121z00_833 = 
((BgL_mpg123zd2handlezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2handlezd2_bgl) ))); 
{ /* Llib/mpg123_decoder.scm 23 */
 long BgL_arg1213z00_834;
BgL_arg1213z00_834 = 
BGL_CLASS_NUM(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_833), BgL_arg1213z00_834); } 
BgL_new1122z00_832 = BgL_new1121z00_833; } 
{ 
 void * BgL_auxz00_1279;
{ /* Llib/mpg123_decoder.scm 23 */
 obj_t BgL_arg1210z00_835;
{ /* Llib/mpg123_decoder.scm 23 */
 obj_t BgL_arg1211z00_836;
{ /* Llib/mpg123_decoder.scm 23 */
 obj_t BgL_classz00_837;
BgL_classz00_837 = BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00; 
BgL_arg1211z00_836 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_837); } 
BgL_arg1210z00_835 = 
VECTOR_REF(BgL_arg1211z00_836,((long)0)); } 
BgL_auxz00_1279 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1210z00_835)); } 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1122z00_832))->BgL_z42builtinz42)=((mpg123_handle *)BgL_auxz00_1279),BUNSPEC); } 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1122z00_832))->BgL_decoderz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1122z00_832))->BgL_siza7eza7)=((long)((long)0)),BUNSPEC); 
{ /* Llib/mpg123_decoder.scm 23 */
 obj_t BgL_fun1212z00_838;
BgL_fun1212z00_838 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1212z00_838))(BgL_fun1212z00_838, 
((obj_t)BgL_new1122z00_832), BEOA); } 
BgL_auxz00_1274 = BgL_new1122z00_832; } 
return 
((obj_t)BgL_auxz00_1274);} } 

}



/* &lambda1208 */
obj_t BGl_z62lambda1208z62zz__mpg123_decoderz00(obj_t BgL_envz00_715, obj_t BgL_oz00_716, obj_t BgL_vz00_717)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_716)))->BgL_z52mpg123z52)=((obj_t)BgL_vz00_717),BUNSPEC);} 

}



/* &lambda1207 */
obj_t BGl_z62lambda1207z62zz__mpg123_decoderz00(obj_t BgL_envz00_718, obj_t BgL_oz00_719)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_719)))->BgL_z52mpg123z52);} 

}



/* &<@anonymous:1197> */
obj_t BGl_z62zc3z04anonymousza31197ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_720)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 22 */

return 
make_string(((long)5120), ((unsigned char)' '));} } 

}



/* &lambda1196 */
obj_t BGl_z62lambda1196z62zz__mpg123_decoderz00(obj_t BgL_envz00_721, obj_t BgL_oz00_722, obj_t BgL_vz00_723)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_722)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_vz00_723)),BUNSPEC);} 

}



/* &lambda1195 */
obj_t BGl_z62lambda1195z62zz__mpg123_decoderz00(obj_t BgL_envz00_724, obj_t BgL_oz00_725)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_725)))->BgL_outbufz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc1988z00zz__mpg123_decoderz00, BGl_string1989z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc1990z00zz__mpg123_decoderz00, BGl_string1991z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2closezd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc1992z00zz__mpg123_decoderz00, BGl_string1993z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc1994z00zz__mpg123_decoderz00, BGl_string1995z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc1996z00zz__mpg123_decoderz00, BGl_string1997z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2infozd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc1998z00zz__mpg123_decoderz00, BGl_string1999z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2seekzd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2000z00zz__mpg123_decoderz00, BGl_string2001z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2002z00zz__mpg123_decoderz00, BGl_string2003z00zz__mpg123_decoderz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2004z00zz__mpg123_decoderz00, BGl_string2005z00zz__mpg123_decoderz00);} 

}



/* &musicdecoder-decode-1144 */
obj_t BGl_z62musicdecoderzd2decodezd21144z62zz__mpg123_decoderz00(obj_t BgL_envz00_739, obj_t BgL_decz00_740, obj_t BgL_amz00_741, obj_t BgL_bufferz00_742)
{
{ /* Llib/mpg123_decoder.scm 106 */
{ /* Llib/mpg123_decoder.scm 111 */
 bool_t BgL_haszd2beenzd2emptyzd2oncezd2_847;
BgL_haszd2beenzd2emptyzd2oncezd2_847 = ((bool_t)0); 
{ /* Llib/mpg123_decoder.scm 111 */
 long BgL_inlenz00_848;
BgL_inlenz00_848 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52inlenz52); 
{ /* Llib/mpg123_decoder.scm 119 */
 long BgL_outlenz00_849;
BgL_outlenz00_849 = 
STRING_LENGTH(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_outbufz00)); 
{ /* Llib/mpg123_decoder.scm 121 */
 long BgL_decsza7za7_850;
{ /* Llib/mpg123_decoder.scm 121 */
 long BgL_az00_851;
BgL_az00_851 = 
(((long)2)*BgL_outlenz00_849); 
if(
(BgL_az00_851<BgL_inlenz00_848))
{ /* Llib/mpg123_decoder.scm 121 */
BgL_decsza7za7_850 = BgL_az00_851; }  else 
{ /* Llib/mpg123_decoder.scm 121 */
BgL_decsza7za7_850 = BgL_inlenz00_848; } } 
{ 

{ 

{ 

{ 
 long BgL_siza7eza7_871;
{ /* Llib/mpg123_decoder.scm 179 */
 bool_t BgL_test2112z00_1321;
{ /* Llib/mpg123_decoder.scm 179 */
 int BgL_arg1342z00_886;
BgL_arg1342z00_886 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2112z00_1321 = 
(
(long)(BgL_arg1342z00_886)>((long)0)); } 
if(BgL_test2112z00_1321)
{ /* Llib/mpg123_decoder.scm 179 */
BGl_debugzd2initz12zc0zz__mpg123_decoderz00(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_urlz00)); }  else 
{ /* Llib/mpg123_decoder.scm 179 */BFALSE; } } 
if(
(
(long)(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_z52ratez52))>((long)0)))
{ /* Llib/mpg123_decoder.scm 183 */
BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)), 
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_741)), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)); }  else 
{ /* Llib/mpg123_decoder.scm 183 */BFALSE; } 
{ 

BgL_loopz00_887:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740))))->BgL_z52z12dpausez40))
{ /* Llib/mpg123_decoder.scm 188 */
{ /* Llib/mpg123_decoder.scm 190 */
 BgL_musicstatusz00_bglt BgL_i1107z00_888;
BgL_i1107z00_888 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_741))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1107z00_888))->BgL_songposz00)=((obj_t)
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))),BUNSPEC); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_741)), 
CNST_TABLE_REF(((long)15))); 
{ /* Llib/mpg123_decoder.scm 193 */
 obj_t BgL_mutex1354z00_889;
BgL_mutex1354z00_889 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740))))->BgL_z52dmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1354z00_889); 
{ /* Llib/mpg123_decoder.scm 193 */
 bool_t BgL_tmp2115z00_1359;
{ 

BgL_liipz00_890:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740))))->BgL_z52z12dpausez40))
{ /* Llib/mpg123_decoder.scm 195 */
{ /* Llib/mpg123_decoder.scm 196 */
 obj_t BgL_arg1357z00_891; obj_t BgL_arg1358z00_892;
BgL_arg1357z00_891 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740))))->BgL_z52dcondvz52); 
BgL_arg1358z00_892 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740))))->BgL_z52dmutexz52); 
{ /* Llib/mpg123_decoder.scm 196 */

BGL_CONDVAR_WAIT(BgL_arg1357z00_891, BgL_arg1358z00_892); } } 
goto BgL_liipz00_890;}  else 
{ /* Llib/mpg123_decoder.scm 195 */
BgL_tmp2115z00_1359 = ((bool_t)0); } } 
BGL_MUTEX_UNLOCK(BgL_mutex1354z00_889); BgL_tmp2115z00_1359; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_741)), 
CNST_TABLE_REF(((long)16))); 
goto BgL_loopz00_887;}  else 
{ /* Llib/mpg123_decoder.scm 188 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740))))->BgL_z52z12dabortz40))
{ /* Llib/mpg123_decoder.scm 200 */
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_741)), 
CNST_TABLE_REF(((long)17))); }  else 
{ /* Llib/mpg123_decoder.scm 200 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52emptyz52))
{ /* Llib/mpg123_decoder.scm 203 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 205 */
{ /* Llib/mpg123_decoder.scm 207 */
 bool_t BgL_test2120z00_1391;
{ /* Llib/mpg123_decoder.scm 207 */
 int BgL_arg1384z00_893;
BgL_arg1384z00_893 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2120z00_1391 = 
(
(long)(BgL_arg1384z00_893)>=((long)2)); } 
if(BgL_test2120z00_1391)
{ /* Llib/mpg123_decoder.scm 208 */
 obj_t BgL_arg1374z00_894;
BgL_arg1374z00_894 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_urlz00); 
{ /* Llib/mpg123_decoder.scm 208 */
 obj_t BgL_list1375z00_895;
{ /* Llib/mpg123_decoder.scm 208 */
 obj_t BgL_arg1377z00_896;
{ /* Llib/mpg123_decoder.scm 208 */
 obj_t BgL_arg1380z00_897;
BgL_arg1380z00_897 = 
MAKE_YOUNG_PAIR(BGl_string1962z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1377z00_896 = 
MAKE_YOUNG_PAIR(BgL_arg1374z00_894, BgL_arg1380z00_897); } 
BgL_list1375z00_895 = 
MAKE_YOUNG_PAIR(BGl_string2014z00zz__mpg123_decoderz00, BgL_arg1377z00_896); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1375z00_895); } }  else 
{ /* Llib/mpg123_decoder.scm 207 */BFALSE; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_741)), 
CNST_TABLE_REF(((long)18))); }  else 
{ /* Llib/mpg123_decoder.scm 205 */
{ /* Llib/mpg123_decoder.scm 211 */
 bool_t BgL_test2121z00_1405;
{ /* Llib/mpg123_decoder.scm 211 */
 int BgL_arg1567z00_898;
BgL_arg1567z00_898 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2121z00_1405 = 
(
(long)(BgL_arg1567z00_898)>=((long)1)); } 
if(BgL_test2121z00_1405)
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1419z00_899; BGL_LONGLONG_T BgL_arg1420z00_900;
BgL_arg1419z00_899 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_urlz00); 
BgL_arg1420z00_900 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_list1421z00_901;
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1460z00_902;
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1461z00_903;
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1547z00_904;
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1548z00_905;
BgL_arg1548z00_905 = 
MAKE_YOUNG_PAIR(BGl_string2012z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1547z00_904 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1420z00_900), BgL_arg1548z00_905); } 
BgL_arg1461z00_903 = 
MAKE_YOUNG_PAIR(BGl_string1963z00zz__mpg123_decoderz00, BgL_arg1547z00_904); } 
BgL_arg1460z00_902 = 
MAKE_YOUNG_PAIR(BgL_arg1419z00_899, BgL_arg1461z00_903); } 
BgL_list1421z00_901 = 
MAKE_YOUNG_PAIR(BGl_string2015z00zz__mpg123_decoderz00, BgL_arg1460z00_902); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1421z00_901); } }  else 
{ /* Llib/mpg123_decoder.scm 211 */BFALSE; } } 
{ /* Llib/mpg123_decoder.scm 215 */
 BgL_musicstatusz00_bglt BgL_i1109z00_906;
BgL_i1109z00_906 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_741))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1109z00_906))->BgL_bufferingz00)=((int)
(int)(
BGl_bufferzd2percentagezd2filledze70ze7zz__mpg123_decoderz00(BgL_inlenz00_848, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))),BUNSPEC); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_741)), 
CNST_TABLE_REF(((long)19))); 
{ /* Llib/mpg123_decoder.scm 219 */
 obj_t BgL_mutex1568z00_907;
BgL_mutex1568z00_907 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52bmutexz52); 
{ /* Llib/mpg123_decoder.scm 219 */
 obj_t BgL_top2123z00_1433;
BgL_top2123z00_1433 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1568z00_907); 
BGL_EXITD_PUSH_PROTECT(BgL_top2123z00_1433, BgL_mutex1568z00_907); BUNSPEC; 
{ /* Llib/mpg123_decoder.scm 219 */
 bool_t BgL_tmp2122z00_1432;
{ /* Llib/mpg123_decoder.scm 221 */
 bool_t BgL_test2124z00_1437;
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52emptyz52))
{ /* Llib/mpg123_decoder.scm 221 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 221 */
BgL_test2124z00_1437 = ((bool_t)1)
; }  else 
{ /* Llib/mpg123_decoder.scm 221 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740))))->BgL_z52z12dabortz40))
{ /* Llib/mpg123_decoder.scm 221 */
BgL_test2124z00_1437 = ((bool_t)1)
; }  else 
{ /* Llib/mpg123_decoder.scm 221 */
BgL_test2124z00_1437 = 
(
(((long)8)*
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))>BgL_inlenz00_848)
; } } }  else 
{ /* Llib/mpg123_decoder.scm 221 */
BgL_test2124z00_1437 = ((bool_t)1)
; } 
if(BgL_test2124z00_1437)
{ /* Llib/mpg123_decoder.scm 221 */
BgL_tmp2122z00_1432 = ((bool_t)0); }  else 
{ /* Llib/mpg123_decoder.scm 225 */
 obj_t BgL_arg1574z00_908; obj_t BgL_arg1575z00_909;
BgL_arg1574z00_908 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52bcondvz52); 
BgL_arg1575z00_909 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52bmutexz52); 
{ /* Llib/mpg123_decoder.scm 225 */

BgL_tmp2122z00_1432 = 
BGL_CONDVAR_WAIT(BgL_arg1574z00_908, BgL_arg1575z00_909); } } } 
BGL_EXITD_POP_PROTECT(BgL_top2123z00_1433); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1568z00_907); BgL_tmp2122z00_1432; } } } 
{ /* Llib/mpg123_decoder.scm 226 */
 bool_t BgL_test2128z00_1459;
{ /* Llib/mpg123_decoder.scm 226 */
 int BgL_arg1601z00_910;
BgL_arg1601z00_910 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2128z00_1459 = 
(
(long)(BgL_arg1601z00_910)>=((long)1)); } 
if(BgL_test2128z00_1459)
{ /* Llib/mpg123_decoder.scm 227 */
 BGL_LONGLONG_T BgL_arg1586z00_911;
BgL_arg1586z00_911 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 227 */
 obj_t BgL_list1587z00_912;
{ /* Llib/mpg123_decoder.scm 227 */
 obj_t BgL_arg1588z00_913;
BgL_arg1588z00_913 = 
MAKE_YOUNG_PAIR(BGl_string1962z00zz__mpg123_decoderz00, BNIL); 
BgL_list1587z00_912 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1586z00_911), BgL_arg1588z00_913); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1587z00_912); } }  else 
{ /* Llib/mpg123_decoder.scm 226 */BFALSE; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_741)), 
CNST_TABLE_REF(((long)16))); 
goto BgL_loopz00_887;} }  else 
{ /* Llib/mpg123_decoder.scm 232 */
 long BgL_g1110z00_914;
{ /* Llib/mpg123_decoder.scm 232 */
 long BgL_bz00_915;
if(
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52headz52)>
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52tailz52)))
{ /* Llib/mpg123_decoder.scm 233 */
BgL_bz00_915 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52headz52)-
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52tailz52)); }  else 
{ /* Llib/mpg123_decoder.scm 233 */
BgL_bz00_915 = 
(BgL_inlenz00_848-
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52tailz52)); } 
if(
(BgL_decsza7za7_850<BgL_bz00_915))
{ /* Llib/mpg123_decoder.scm 233 */
BgL_g1110z00_914 = BgL_decsza7za7_850; }  else 
{ /* Llib/mpg123_decoder.scm 233 */
BgL_g1110z00_914 = BgL_bz00_915; } } 
{ 
 long BgL_sz00_917;
BgL_sz00_917 = BgL_g1110z00_914; 
BgL_flushz00_916:
{ /* Llib/mpg123_decoder.scm 236 */
 int BgL_statusz00_918;
{ /* Llib/mpg123_decoder.scm 236 */
 obj_t BgL_arg1833z00_919; char * BgL_arg1834z00_920; long BgL_arg1835z00_921; obj_t BgL_arg1836z00_922;
BgL_arg1833z00_919 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_z52mpg123z52); 
BgL_arg1834z00_920 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52inbufpz52); 
BgL_arg1835z00_921 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52tailz52); 
BgL_arg1836z00_922 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_outbufz00); 
BgL_statusz00_918 = 
bgl_mpg123_decode(BgL_arg1833z00_919, BgL_arg1834z00_920, BgL_arg1835z00_921, BgL_sz00_917, 
BSTRING_TO_STRING(BgL_arg1836z00_922), BgL_outlenz00_849); } 
{ /* Llib/mpg123_decoder.scm 238 */
 bool_t BgL_test2131z00_1498;
{ /* Llib/mpg123_decoder.scm 238 */
 int BgL_arg1670z00_923;
BgL_arg1670z00_923 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2131z00_1498 = 
(
(long)(BgL_arg1670z00_923)>=((long)4)); } 
if(BgL_test2131z00_1498)
{ /* Llib/mpg123_decoder.scm 239 */
 long BgL_arg1605z00_924; long BgL_arg1617z00_925; obj_t BgL_arg1618z00_926;
BgL_arg1605z00_924 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52tailz52); 
BgL_arg1617z00_925 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52headz52); 
BgL_arg1618z00_926 = 
BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(BgL_statusz00_918); 
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_list1619z00_927;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1620z00_928;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1629z00_929;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1631z00_930;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1650z00_931;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1651z00_932;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1662z00_933;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1664z00_934;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1665z00_935;
BgL_arg1665z00_935 = 
MAKE_YOUNG_PAIR(BGl_string1962z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1664z00_934 = 
MAKE_YOUNG_PAIR(BgL_arg1618z00_926, BgL_arg1665z00_935); } 
BgL_arg1662z00_933 = 
MAKE_YOUNG_PAIR(BGl_string2016z00zz__mpg123_decoderz00, BgL_arg1664z00_934); } 
BgL_arg1651z00_932 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1617z00_925), BgL_arg1662z00_933); } 
BgL_arg1650z00_931 = 
MAKE_YOUNG_PAIR(BGl_string2017z00zz__mpg123_decoderz00, BgL_arg1651z00_932); } 
BgL_arg1631z00_930 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1605z00_924), BgL_arg1650z00_931); } 
BgL_arg1629z00_929 = 
MAKE_YOUNG_PAIR(BGl_string2018z00zz__mpg123_decoderz00, BgL_arg1631z00_930); } 
BgL_arg1620z00_928 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_917), BgL_arg1629z00_929); } 
BgL_list1619z00_927 = 
MAKE_YOUNG_PAIR(BGl_string2019z00zz__mpg123_decoderz00, BgL_arg1620z00_928); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1619z00_927); } }  else 
{ /* Llib/mpg123_decoder.scm 238 */BFALSE; } } 
if(
(BgL_sz00_917>((long)0)))
{ /* Llib/mpg123_decoder.scm 244 */
BgL_siza7eza7_871 = BgL_sz00_917; 
{ /* Llib/mpg123_decoder.scm 159 */
 long BgL_ntailz00_872;
BgL_ntailz00_872 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52tailz52)+BgL_siza7eza7_871); 
if(
(BgL_ntailz00_872==BgL_inlenz00_848))
{ /* Llib/mpg123_decoder.scm 160 */
BgL_ntailz00_872 = ((long)0); }  else 
{ /* Llib/mpg123_decoder.scm 160 */BFALSE; } 
if(
(BgL_ntailz00_872==
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52headz52)))
{ /* Llib/mpg123_decoder.scm 163 */
BgL_haszd2beenzd2emptyzd2oncezd2_847 = ((bool_t)1); 
((((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52emptyz52)=((bool_t)((bool_t)1)),BUNSPEC); }  else 
{ /* Llib/mpg123_decoder.scm 163 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52tailz52)=((long)BgL_ntailz00_872),BUNSPEC); } 
{ /* Llib/mpg123_decoder.scm 142 */
 bool_t BgL_test2135z00_1535;
{ /* Llib/mpg123_decoder.scm 142 */
 int BgL_arg1903z00_856;
BgL_arg1903z00_856 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2135z00_1535 = 
(
(long)(BgL_arg1903z00_856)>=((long)3)); } 
if(BgL_test2135z00_1535)
{ /* Llib/mpg123_decoder.scm 143 */
 long BgL_pz00_857;
BgL_pz00_857 = 
BGl_bufferzd2percentagezd2filledze70ze7zz__mpg123_decoderz00(BgL_inlenz00_848, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)); 
{ /* Llib/mpg123_decoder.scm 144 */
 bool_t BgL_test2136z00_1541;
{ /* Llib/mpg123_decoder.scm 144 */
 bool_t BgL_test2137z00_1542;
{ /* Llib/mpg123_decoder.scm 144 */
 bool_t BgL_test2138z00_1543;
if(
(BgL_pz00_857<((long)75)))
{ /* Llib/mpg123_decoder.scm 144 */
BgL_test2138z00_1543 = ((bool_t)1)
; }  else 
{ /* Llib/mpg123_decoder.scm 144 */
BgL_test2138z00_1543 = BgL_haszd2beenzd2emptyzd2oncezd2_847
; } 
if(BgL_test2138z00_1543)
{ /* Llib/mpg123_decoder.scm 144 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 145 */
BgL_test2137z00_1542 = ((bool_t)0)
; }  else 
{ /* Llib/mpg123_decoder.scm 145 */
BgL_test2137z00_1542 = ((bool_t)1)
; } }  else 
{ /* Llib/mpg123_decoder.scm 144 */
BgL_test2137z00_1542 = ((bool_t)0)
; } } 
if(BgL_test2137z00_1542)
{ /* Llib/mpg123_decoder.scm 144 */
BgL_test2136z00_1541 = ((bool_t)1)
; }  else 
{ /* Llib/mpg123_decoder.scm 146 */
 int BgL_arg1902z00_858;
BgL_arg1902z00_858 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2136z00_1541 = 
(
(long)(BgL_arg1902z00_858)>=((long)4)); } } 
if(BgL_test2136z00_1541)
{ /* Llib/mpg123_decoder.scm 149 */
 obj_t BgL_arg1888z00_859; obj_t BgL_arg1889z00_860; obj_t BgL_arg1890z00_861;
if(
(BgL_pz00_857>=((long)80)))
{ /* Llib/mpg123_decoder.scm 149 */
BgL_arg1888z00_859 = BGl_string1987z00zz__mpg123_decoderz00; }  else 
{ /* Llib/mpg123_decoder.scm 149 */
if(
(BgL_pz00_857>((long)25)))
{ /* Llib/mpg123_decoder.scm 150 */
BgL_arg1888z00_859 = BGl_string2006z00zz__mpg123_decoderz00; }  else 
{ /* Llib/mpg123_decoder.scm 150 */
BgL_arg1888z00_859 = BGl_string2007z00zz__mpg123_decoderz00; } } 
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 154 */
BgL_arg1889z00_860 = BGl_string2008z00zz__mpg123_decoderz00; }  else 
{ /* Llib/mpg123_decoder.scm 154 */
BgL_arg1889z00_860 = BGl_string1987z00zz__mpg123_decoderz00; } 
BgL_arg1890z00_861 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_urlz00); 
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_list1891z00_862;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1892z00_863;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1893z00_864;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1894z00_865;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1895z00_866;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1896z00_867;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1897z00_868;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1898z00_869;
BgL_arg1898z00_869 = 
MAKE_YOUNG_PAIR(BGl_string1962z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1897z00_868 = 
MAKE_YOUNG_PAIR(BgL_arg1890z00_861, BgL_arg1898z00_869); } 
BgL_arg1896z00_867 = 
MAKE_YOUNG_PAIR(BGl_string2009z00zz__mpg123_decoderz00, BgL_arg1897z00_868); } 
BgL_arg1895z00_866 = 
MAKE_YOUNG_PAIR(BgL_arg1889z00_860, BgL_arg1896z00_867); } 
BgL_arg1894z00_865 = 
MAKE_YOUNG_PAIR(BGl_string2010z00zz__mpg123_decoderz00, BgL_arg1895z00_866); } 
BgL_arg1893z00_864 = 
MAKE_YOUNG_PAIR(
BINT(BgL_pz00_857), BgL_arg1894z00_865); } 
BgL_arg1892z00_863 = 
MAKE_YOUNG_PAIR(BgL_arg1888z00_859, BgL_arg1893z00_864); } 
BgL_list1891z00_862 = 
MAKE_YOUNG_PAIR(BGl_string2011z00zz__mpg123_decoderz00, BgL_arg1892z00_863); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1891z00_862); } }  else 
{ /* Llib/mpg123_decoder.scm 144 */BFALSE; } } }  else 
{ /* Llib/mpg123_decoder.scm 142 */BFALSE; } } 
{ /* Llib/mpg123_decoder.scm 170 */
 bool_t BgL_test2144z00_1571;
{ /* Llib/mpg123_decoder.scm 170 */
 bool_t BgL_test2145z00_1572;
{ /* Llib/mpg123_decoder.scm 137 */
 bool_t BgL__ortest_1105z00_854;
BgL__ortest_1105z00_854 = BgL_haszd2beenzd2emptyzd2oncezd2_847; 
if(BgL__ortest_1105z00_854)
{ /* Llib/mpg123_decoder.scm 137 */
BgL_test2145z00_1572 = BgL__ortest_1105z00_854
; }  else 
{ /* Llib/mpg123_decoder.scm 137 */
BgL_test2145z00_1572 = 
(
(((long)4)*
(BgL_inlenz00_848-
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742))))>BgL_inlenz00_848)
; } } 
if(BgL_test2145z00_1572)
{ /* Llib/mpg123_decoder.scm 170 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 170 */
BgL_test2144z00_1571 = ((bool_t)0)
; }  else 
{ /* Llib/mpg123_decoder.scm 170 */
BgL_test2144z00_1571 = ((bool_t)1)
; } }  else 
{ /* Llib/mpg123_decoder.scm 170 */
BgL_test2144z00_1571 = ((bool_t)0)
; } } 
if(BgL_test2144z00_1571)
{ /* Llib/mpg123_decoder.scm 170 */
{ /* Llib/mpg123_decoder.scm 171 */
 bool_t BgL_test2148z00_1582;
{ /* Llib/mpg123_decoder.scm 171 */
 int BgL_arg1869z00_873;
BgL_arg1869z00_873 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2148z00_1582 = 
(
(long)(BgL_arg1869z00_873)>=((long)2)); } 
if(BgL_test2148z00_1582)
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1862z00_874; BGL_LONGLONG_T BgL_arg1863z00_875;
BgL_arg1862z00_874 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_urlz00); 
BgL_arg1863z00_875 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_list1864z00_876;
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1865z00_877;
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1866z00_878;
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1867z00_879;
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1868z00_880;
BgL_arg1868z00_880 = 
MAKE_YOUNG_PAIR(BGl_string2012z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1867z00_879 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1863z00_875), BgL_arg1868z00_880); } 
BgL_arg1866z00_878 = 
MAKE_YOUNG_PAIR(BGl_string1963z00zz__mpg123_decoderz00, BgL_arg1867z00_879); } 
BgL_arg1865z00_877 = 
MAKE_YOUNG_PAIR(BgL_arg1862z00_874, BgL_arg1866z00_878); } 
BgL_list1864z00_876 = 
MAKE_YOUNG_PAIR(BGl_string2013z00zz__mpg123_decoderz00, BgL_arg1865z00_877); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1864z00_876); } }  else 
{ /* Llib/mpg123_decoder.scm 171 */BFALSE; } } 
{ /* Llib/mpg123_decoder.scm 174 */
 obj_t BgL_mutex1870z00_881;
BgL_mutex1870z00_881 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52bmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1870z00_881); 
{ /* Llib/mpg123_decoder.scm 174 */
 bool_t BgL_tmp2149z00_1598;
{ /* Llib/mpg123_decoder.scm 175 */
 obj_t BgL_tmpz00_1600;
BgL_tmpz00_1600 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52bcondvz52); 
BgL_tmp2149z00_1598 = 
BGL_CONDVAR_BROADCAST(BgL_tmpz00_1600); } 
BGL_MUTEX_UNLOCK(BgL_mutex1870z00_881); BgL_tmp2149z00_1598; } } 
{ /* Llib/mpg123_decoder.scm 176 */
 bool_t BgL_test2150z00_1605;
{ /* Llib/mpg123_decoder.scm 176 */
 int BgL_arg1878z00_882;
BgL_arg1878z00_882 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2150z00_1605 = 
(
(long)(BgL_arg1878z00_882)>=((long)2)); } 
if(BgL_test2150z00_1605)
{ /* Llib/mpg123_decoder.scm 177 */
 BGL_LONGLONG_T BgL_arg1874z00_883;
BgL_arg1874z00_883 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 177 */
 obj_t BgL_list1875z00_884;
{ /* Llib/mpg123_decoder.scm 177 */
 obj_t BgL_arg1876z00_885;
BgL_arg1876z00_885 = 
MAKE_YOUNG_PAIR(BGl_string1962z00zz__mpg123_decoderz00, BNIL); 
BgL_list1875z00_884 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1874z00_883), BgL_arg1876z00_885); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1875z00_884); } }  else 
{ /* Llib/mpg123_decoder.scm 176 */BFALSE; } } }  else 
{ /* Llib/mpg123_decoder.scm 170 */BFALSE; } } }  else 
{ /* Llib/mpg123_decoder.scm 244 */BFALSE; } 
if(
(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_z52z12dseekz40)>((long)0)))
{ /* Llib/mpg123_decoder.scm 248 */
 long BgL_offsetz00_936;
{ /* Llib/mpg123_decoder.scm 248 */
 obj_t BgL_arg1714z00_937; long BgL_arg1724z00_938;
BgL_arg1714z00_937 = 
BGl_musicbufferzd2streamzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)); 
BgL_arg1724z00_938 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_z52z12dseekz40); 
BgL_offsetz00_936 = 
BGl_mp3zd2indexzd2zz__multimediazd2mp3zd2(BgL_arg1714z00_937, 
(long)(BgL_arg1724z00_938)); } 
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1691z00_939;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_tmpz00_1624;
BgL_tmpz00_1624 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1691z00_939 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1624); } 
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_list1692z00_940;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1694z00_941;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1702z00_942;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1703z00_943;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1708z00_944;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1709z00_945;
BgL_arg1709z00_945 = 
MAKE_YOUNG_PAIR(
make_belong(BgL_offsetz00_936), BNIL); 
BgL_arg1708z00_944 = 
MAKE_YOUNG_PAIR(BGl_string2020z00zz__mpg123_decoderz00, BgL_arg1709z00_945); } 
BgL_arg1703z00_943 = 
MAKE_YOUNG_PAIR(BGl_string2021z00zz__mpg123_decoderz00, BgL_arg1708z00_944); } 
BgL_arg1702z00_942 = 
MAKE_YOUNG_PAIR(
BINT(((long)249)), BgL_arg1703z00_943); } 
BgL_arg1694z00_941 = 
MAKE_YOUNG_PAIR(BGl_string2022z00zz__mpg123_decoderz00, BgL_arg1702z00_942); } 
BgL_list1692z00_940 = 
MAKE_YOUNG_PAIR(BGl_string1960z00zz__mpg123_decoderz00, BgL_arg1694z00_941); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1691z00_939, BgL_list1692z00_940); } } 
BGl_musicbufferzd2seekzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742), 
make_belong(BgL_offsetz00_936)); 
{ /* Llib/mpg123_decoder.scm 251 */
 obj_t BgL_arg1711z00_946;
BgL_arg1711z00_946 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_z52mpg123z52); 
BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1711z00_946)); } 
{ /* Llib/mpg123_decoder.scm 252 */
 BgL_musicstatusz00_bglt BgL_i1111z00_947;
BgL_i1111z00_947 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_741))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1111z00_947))->BgL_songposz00)=((obj_t)
BINT(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_z52z12dseekz40))),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_z52z12dseekz40)=((long)((long)-1)),BUNSPEC); } 
goto BgL_loopz00_887;}  else 
{ /* Llib/mpg123_decoder.scm 247 */
if(
(
(long)(BgL_statusz00_918)==
(long)(MPG123_OK)))
{ /* Llib/mpg123_decoder.scm 258 */
 BgL_mpg123zd2handlezd2_bglt BgL_i1112z00_948;
BgL_i1112z00_948 = 
((BgL_mpg123zd2handlezd2_bglt)
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_z52mpg123z52)); 
{ /* Llib/mpg123_decoder.scm 259 */
 bool_t BgL_test2153z00_1659;
{ /* Llib/mpg123_decoder.scm 259 */
 int BgL_arg1741z00_949;
BgL_arg1741z00_949 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2153z00_1659 = 
(
(long)(BgL_arg1741z00_949)>=((long)5)); } 
if(BgL_test2153z00_1659)
{ /* Llib/mpg123_decoder.scm 260 */
 long BgL_arg1729z00_950;
BgL_arg1729z00_950 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1112z00_948))->BgL_siza7eza7); 
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_list1730z00_951;
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_arg1731z00_952;
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_arg1732z00_953;
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_arg1738z00_954;
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_arg1740z00_955;
BgL_arg1740z00_955 = 
MAKE_YOUNG_PAIR(BGl_string1962z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1738z00_954 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1729z00_950), BgL_arg1740z00_955); } 
BgL_arg1732z00_953 = 
MAKE_YOUNG_PAIR(BGl_string2023z00zz__mpg123_decoderz00, BgL_arg1738z00_954); } 
BgL_arg1731z00_952 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_917), BgL_arg1732z00_953); } 
BgL_list1730z00_951 = 
MAKE_YOUNG_PAIR(BGl_string2024z00zz__mpg123_decoderz00, BgL_arg1731z00_952); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1730z00_951); } }  else 
{ /* Llib/mpg123_decoder.scm 259 */BFALSE; } } 
if(
(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1112z00_948))->BgL_siza7eza7)>((long)0)))
{ /* Llib/mpg123_decoder.scm 262 */
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_741), 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_outbufz00), 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1112z00_948))->BgL_siza7eza7)); 
{ 
 long BgL_sz00_1680;
BgL_sz00_1680 = ((long)0); 
BgL_sz00_917 = BgL_sz00_1680; 
goto BgL_flushz00_916;} }  else 
{ /* Llib/mpg123_decoder.scm 262 */BFALSE; } }  else 
{ /* Llib/mpg123_decoder.scm 256 */
if(
(
(long)(BgL_statusz00_918)==
(long)(MPG123_NEED_MORE)))
{ /* Llib/mpg123_decoder.scm 266 */
{ /* Llib/mpg123_decoder.scm 268 */
 BgL_mpg123zd2handlezd2_bglt BgL_i1113z00_956;
BgL_i1113z00_956 = 
((BgL_mpg123zd2handlezd2_bglt)
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_z52mpg123z52)); 
{ /* Llib/mpg123_decoder.scm 269 */
 bool_t BgL_test2156z00_1688;
{ /* Llib/mpg123_decoder.scm 269 */
 int BgL_arg1814z00_957;
BgL_arg1814z00_957 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2156z00_1688 = 
(
(long)(BgL_arg1814z00_957)>=((long)5)); } 
if(BgL_test2156z00_1688)
{ /* Llib/mpg123_decoder.scm 270 */
 long BgL_arg1758z00_958; bool_t BgL_arg1762z00_959; long BgL_arg1765z00_960;
BgL_arg1758z00_958 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1113z00_956))->BgL_siza7eza7); 
BgL_arg1762z00_959 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52emptyz52); 
BgL_arg1765z00_960 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_z52tailz52); 
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_list1766z00_961;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1769z00_962;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1786z00_963;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1787z00_964;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1792z00_965;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1794z00_966;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1805z00_967;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1807z00_968;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1808z00_969;
BgL_arg1808z00_969 = 
MAKE_YOUNG_PAIR(BGl_string1962z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1807z00_968 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1765z00_960), BgL_arg1808z00_969); } 
BgL_arg1805z00_967 = 
MAKE_YOUNG_PAIR(BGl_string2025z00zz__mpg123_decoderz00, BgL_arg1807z00_968); } 
BgL_arg1794z00_966 = 
MAKE_YOUNG_PAIR(
BBOOL(BgL_arg1762z00_959), BgL_arg1805z00_967); } 
BgL_arg1792z00_965 = 
MAKE_YOUNG_PAIR(BGl_string2026z00zz__mpg123_decoderz00, BgL_arg1794z00_966); } 
BgL_arg1787z00_964 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1758z00_958), BgL_arg1792z00_965); } 
BgL_arg1786z00_963 = 
MAKE_YOUNG_PAIR(BGl_string2023z00zz__mpg123_decoderz00, BgL_arg1787z00_964); } 
BgL_arg1769z00_962 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_917), BgL_arg1786z00_963); } 
BgL_list1766z00_961 = 
MAKE_YOUNG_PAIR(BGl_string2027z00zz__mpg123_decoderz00, BgL_arg1769z00_962); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1766z00_961); } }  else 
{ /* Llib/mpg123_decoder.scm 269 */BFALSE; } } 
if(
(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1113z00_956))->BgL_siza7eza7)>((long)0)))
{ /* Llib/mpg123_decoder.scm 273 */
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_741), 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_outbufz00), 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1113z00_956))->BgL_siza7eza7)); }  else 
{ /* Llib/mpg123_decoder.scm 273 */BFALSE; } } 
goto BgL_loopz00_887;}  else 
{ /* Llib/mpg123_decoder.scm 266 */
if(
(
(long)(BgL_statusz00_918)==
(long)(MPG123_NEW_FORMAT)))
{ /* Llib/mpg123_decoder.scm 277 */
BGl_newzd2formatzd2zz__mpg123_decoderz00(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740), 
((BgL_musicbufz00_bglt)BgL_amz00_741), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)); 
{ /* Llib/mpg123_decoder.scm 280 */
 BgL_mpg123zd2handlezd2_bglt BgL_i1114z00_970;
BgL_i1114z00_970 = 
((BgL_mpg123zd2handlezd2_bglt)
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_z52mpg123z52)); 
if(
(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1114z00_970))->BgL_siza7eza7)>((long)0)))
{ /* Llib/mpg123_decoder.scm 281 */
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_741), 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_outbufz00), 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1114z00_970))->BgL_siza7eza7)); }  else 
{ /* Llib/mpg123_decoder.scm 281 */BFALSE; } } 
{ 
 long BgL_sz00_1738;
BgL_sz00_1738 = ((long)0); 
BgL_sz00_917 = BgL_sz00_1738; 
goto BgL_flushz00_916;} }  else 
{ /* Llib/mpg123_decoder.scm 277 */
if(
(
(long)(BgL_statusz00_918)==
(long)(MPG123_DONE)))
{ /* Llib/mpg123_decoder.scm 285 */
{ /* Llib/mpg123_decoder.scm 287 */
 BgL_mpg123zd2handlezd2_bglt BgL_i1115z00_971;
BgL_i1115z00_971 = 
((BgL_mpg123zd2handlezd2_bglt)
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_z52mpg123z52)); 
if(
(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1115z00_971))->BgL_siza7eza7)>((long)0)))
{ /* Llib/mpg123_decoder.scm 288 */
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_741), 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_740)))->BgL_outbufz00), 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1115z00_971))->BgL_siza7eza7)); }  else 
{ /* Llib/mpg123_decoder.scm 288 */BFALSE; } } 
BGl_musicbufzd2drainzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_741)); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_741)), 
CNST_TABLE_REF(((long)18))); }  else 
{ /* Llib/mpg123_decoder.scm 285 */
BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_741)), BGl_string2028z00zz__mpg123_decoderz00); } } } } } } } } } } } 
{ /* Llib/mpg123_decoder.scm 297 */
 bool_t BgL_test2162z00_1763;
{ /* Llib/mpg123_decoder.scm 297 */
 int BgL_arg1850z00_972;
BgL_arg1850z00_972 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2162z00_1763 = 
(
(long)(BgL_arg1850z00_972)>((long)0)); } 
if(BgL_test2162z00_1763)
{ /* Llib/mpg123_decoder.scm 297 */
return 
BGl_debugzd2stopz12zc0zz__mpg123_decoderz00(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_742)))->BgL_urlz00));}  else 
{ /* Llib/mpg123_decoder.scm 297 */
return BFALSE;} } } } } } } } } } } 

}



/* buffer-percentage-filled~0 */
long BGl_bufferzd2percentagezd2filledze70ze7zz__mpg123_decoderz00(long BgL_inlenz00_786, BgL_musicbufferz00_bglt BgL_bufferz00_785)
{
{ /* Llib/mpg123_decoder.scm 129 */
{ /* Llib/mpg123_decoder.scm 128 */
 BGL_LONGLONG_T BgL_arg1912z00_515;
{ /* Llib/mpg123_decoder.scm 128 */
 BGL_LONGLONG_T BgL_arg1913z00_516; BGL_LONGLONG_T BgL_arg1914z00_517;
{ /* Llib/mpg123_decoder.scm 128 */
 BGL_LONGLONG_T BgL_arg1915z00_518;
{ /* Llib/mpg123_decoder.scm 128 */
 long BgL_tmpz00_1770;
BgL_tmpz00_1770 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_bufferz00_785); 
BgL_arg1915z00_518 = 
LONG_TO_LLONG(BgL_tmpz00_1770); } 
BgL_arg1913z00_516 = 
(((BGL_LONGLONG_T)100)*BgL_arg1915z00_518); } 
BgL_arg1914z00_517 = 
LONG_TO_LLONG(BgL_inlenz00_786); 
BgL_arg1912z00_515 = 
(BgL_arg1913z00_516/BgL_arg1914z00_517); } 
return 
LLONG_TO_LONG(BgL_arg1912z00_515);} } 

}



/* &musicdecoder-volume-1142 */
obj_t BGl_z62musicdecoderzd2volumezd21142z62zz__mpg123_decoderz00(obj_t BgL_envz00_743, obj_t BgL_decz00_744, obj_t BgL_volz00_745)
{
{ /* Llib/mpg123_decoder.scm 99 */
{ /* Llib/mpg123_decoder.scm 101 */
 obj_t BgL_arg1337z00_974;
BgL_arg1337z00_974 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_744)))->BgL_z52mpg123z52); 
return 
BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1337z00_974), BgL_volz00_745);} } 

}



/* &musicdecoder-seek-mp1140 */
obj_t BGl_z62musicdecoderzd2seekzd2mp1140z62zz__mpg123_decoderz00(obj_t BgL_envz00_746, obj_t BgL_decz00_747, obj_t BgL_secz00_748)
{
{ /* Llib/mpg123_decoder.scm 89 */
{ /* Llib/mpg123_decoder.scm 91 */
 bool_t BgL_test2163z00_1781;
{ /* Llib/mpg123_decoder.scm 91 */
 int BgL_arg1332z00_976;
BgL_arg1332z00_976 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2163z00_1781 = 
(
(long)(BgL_arg1332z00_976)>=((long)2)); } 
if(BgL_test2163z00_1781)
{ /* Llib/mpg123_decoder.scm 92 */
 obj_t BgL_list1291z00_977;
{ /* Llib/mpg123_decoder.scm 92 */
 obj_t BgL_arg1330z00_978;
{ /* Llib/mpg123_decoder.scm 92 */
 obj_t BgL_arg1331z00_979;
BgL_arg1331z00_979 = 
MAKE_YOUNG_PAIR(BGl_string1962z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1330z00_978 = 
MAKE_YOUNG_PAIR(BgL_secz00_748, BgL_arg1331z00_979); } 
BgL_list1291z00_977 = 
MAKE_YOUNG_PAIR(BGl_string2029z00zz__mpg123_decoderz00, BgL_arg1330z00_978); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1291z00_977); }  else 
{ /* Llib/mpg123_decoder.scm 91 */BFALSE; } } 
if(
(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_747)))->BgL_z52z12dseekz40)<((long)0)))
{ /* Llib/mpg123_decoder.scm 93 */
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_747)))->BgL_z52z12dseekz40)=((long)
(long)CINT(BgL_secz00_748)),BUNSPEC);}  else 
{ /* Llib/mpg123_decoder.scm 93 */
return BFALSE;} } 

}



/* &musicdecoder-info-mp1138 */
obj_t BGl_z62musicdecoderzd2infozd2mp1138z62zz__mpg123_decoderz00(obj_t BgL_envz00_749, obj_t BgL_decz00_750)
{
{ /* Llib/mpg123_decoder.scm 82 */
{ /* Llib/mpg123_decoder.scm 83 */
 long BgL_tmpz00_1796;
{ /* Llib/mpg123_decoder.scm 84 */
 obj_t BgL_arg1285z00_981;
BgL_arg1285z00_981 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_750)))->BgL_z52mpg123z52); 
BgL_tmpz00_1796 = 
BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1285z00_981)); } 
return 
BINT(BgL_tmpz00_1796);} } 

}



/* &musicdecoder-positio1136 */
obj_t BGl_z62musicdecoderzd2positio1136zb0zz__mpg123_decoderz00(obj_t BgL_envz00_751, obj_t BgL_decz00_752, obj_t BgL_bz00_753)
{
{ /* Llib/mpg123_decoder.scm 75 */
{ /* Llib/mpg123_decoder.scm 76 */
 long BgL_tmpz00_1802;
{ /* Llib/mpg123_decoder.scm 77 */
 long BgL_arg1259z00_983;
{ /* Llib/mpg123_decoder.scm 77 */
 obj_t BgL_arg1280z00_984;
BgL_arg1280z00_984 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_752)))->BgL_z52mpg123z52); 
BgL_arg1259z00_983 = 
BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1280z00_984)); } 
BgL_tmpz00_1802 = 
(BgL_arg1259z00_983/((long)1000)); } 
return 
BINT(BgL_tmpz00_1802);} } 

}



/* &musicdecoder-reset!-1134 */
obj_t BGl_z62musicdecoderzd2resetz12zd21134z70zz__mpg123_decoderz00(obj_t BgL_envz00_754, obj_t BgL_decz00_755)
{
{ /* Llib/mpg123_decoder.scm 67 */
{ 

{ /* Llib/mpg123_decoder.scm 69 */
 obj_t BgL_arg1258z00_988;
BgL_arg1258z00_988 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_755)))->BgL_z52mpg123z52); 
BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1258z00_988)); } 
{ /* Llib/mpg123_decoder.scm 67 */
 obj_t BgL_nextzd2method1133zd2_987;
BgL_nextzd2method1133zd2_987 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_755)), BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1133zd2_987))(BgL_nextzd2method1133zd2_987, 
((obj_t)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_755)), BEOA);} } } 

}



/* &musicdecoder-close-m1132 */
obj_t BGl_z62musicdecoderzd2closezd2m1132z62zz__mpg123_decoderz00(obj_t BgL_envz00_756, obj_t BgL_decz00_757)
{
{ /* Llib/mpg123_decoder.scm 60 */
{ /* Llib/mpg123_decoder.scm 62 */
 obj_t BgL_arg1256z00_990;
BgL_arg1256z00_990 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_757)))->BgL_z52mpg123z52); 
return 
BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1256z00_990));} } 

}



/* &musicdecoder-init-mp1130 */
obj_t BGl_z62musicdecoderzd2initzd2mp1130z62zz__mpg123_decoderz00(obj_t BgL_envz00_758, obj_t BgL_decz00_759)
{
{ /* Llib/mpg123_decoder.scm 52 */
if(
NULLP(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_759))))->BgL_mimetypesz00)))
{ /* Llib/mpg123_decoder.scm 54 */
return 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_759))))->BgL_mimetypesz00)=((obj_t)
CNST_TABLE_REF(((long)20))),BUNSPEC);}  else 
{ /* Llib/mpg123_decoder.scm 54 */
return BFALSE;} } 

}



/* &object-print-mpg123-1128 */
obj_t BGl_z62objectzd2printzd2mpg123zd21128zb0zz__mpg123_decoderz00(obj_t BgL_envz00_760, obj_t BgL_oz00_761, obj_t BgL_portz00_762, obj_t BgL_printzd2slotzd2_763)
{
{ /* Llib/mpg123_decoder.scm 46 */
{ /* Llib/mpg123_decoder.scm 47 */
 obj_t BgL_tmpz00_1835;
BgL_tmpz00_1835 = 
((obj_t)BgL_portz00_762); 
return 
bgl_display_string(BGl_string2030z00zz__mpg123_decoderz00, BgL_tmpz00_1835);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(((long)388603996), 
BSTRING_TO_STRING(BGl_string2031z00zz__mpg123_decoderz00));} 

}

#ifdef __cplusplus
}
#endif
