/*===========================================================================*/
/*   (Llib/mpg123_padec.scm)                                                 */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -srfi mpg123 -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/mpg123_padec.scm -o objs/mpg123_padec.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <mpg123.h>
#include <pulse/simple.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_pulseaudiozd2simplezd2_bgl {
   header_t header;
   obj_t widening;
   pa_simple * BgL_z42builtinz42;
   obj_t BgL_srvnamez00;
   obj_t BgL_namez00;
   obj_t BgL_streamz00;
   long BgL_ratez00;
   long BgL_channelsz00;
   int BgL_bpsz00;
   obj_t BgL_formatz00;
} *BgL_pulseaudiozd2simplezd2_bglt;

typedef struct BgL_pulseaudiomusicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
   struct BgL_pulseaudiozd2simplezd2_bgl * BgL_simplez00;
   obj_t BgL_namez00;
} *BgL_pulseaudiomusicz00_bglt;

typedef struct BgL_mpg123zd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52mpg123z52;
   long BgL_z52z12dseekz40;
   int BgL_z52ratez52;
   int BgL_z52channelsz52;
   obj_t BgL_z52encodingz52;
} *BgL_mpg123zd2decoderzd2_bglt;

typedef struct BgL_mpg123zd2pulseaudiodecoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52mpg123z52;
   long BgL_z52z12dseekz40;
   int BgL_z52ratez52;
   int BgL_z52channelsz52;
   obj_t BgL_z52encodingz52;
} *BgL_mpg123zd2pulseaudiodecoderzd2_bglt;


BGL_IMPORT obj_t BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00;
extern obj_t BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00;
static obj_t BGl_requirezd2initializa7ationz75zz__mpg123_padecz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2pulseaudiodecoderzd2zz__mpg123_padecz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__mpg123_padecz00(void);
static obj_t BGl_genericzd2initzd2zz__mpg123_padecz00(void);
static obj_t BGl_z62zc3z04anonymousza31133ze3ze5zz__mpg123_padecz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__mpg123_padecz00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_IMPORT obj_t BGl_pulseaudiomusiczd2simplezd2setz12z12zz__pulseaudio_musicz00(BgL_pulseaudiomusicz00_bglt, BgL_pulseaudiozd2simplezd2_bglt);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__mpg123_padecz00(void);
static BgL_mpg123zd2pulseaudiodecoderzd2_bglt BGl_z62lambda1120z62zz__mpg123_padecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2hwparam1106zb0zz__mpg123_padecz00(obj_t, obj_t, obj_t, obj_t);
static BgL_mpg123zd2pulseaudiodecoderzd2_bglt BGl_z62lambda1130z62zz__mpg123_padecz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__mpg123_padecz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__mpg123_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_musicz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_simplez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
static obj_t BGl_cnstzd2initzd2zz__mpg123_padecz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_padecz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__mpg123_padecz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__mpg123_padecz00(void);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 3 ] ;


DEFINE_STRING( BGl_string1150z00zz__mpg123_padecz00, BgL_bgl_string1150za700za7za7_1156za7, "", 0 );
DEFINE_STRING( BGl_string1152z00zz__mpg123_padecz00, BgL_bgl_string1152za700za7za7_1157za7, "musicdecoder-hwparams-set!", 26 );
DEFINE_STRING( BGl_string1153z00zz__mpg123_padecz00, BgL_bgl_string1153za700za7za7_1158za7, "__mpg123_padec", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1147z00zz__mpg123_padecz00, BgL_bgl_za762za7c3za704anonymo1159za7, BGl_z62zc3z04anonymousza31133ze3ze5zz__mpg123_padecz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1154z00zz__mpg123_padecz00, BgL_bgl_string1154za700za7za7_1160za7, "_ __mpg123_padec mpg123-pulseaudiodecoder ", 42 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1148z00zz__mpg123_padecz00, BgL_bgl_za762lambda1130za7621161z00, BGl_z62lambda1130z62zz__mpg123_padecz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1149z00zz__mpg123_padecz00, BgL_bgl_za762lambda1120za7621162z00, BGl_z62lambda1120z62zz__mpg123_padecz00, 0L, BUNSPEC, 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1151z00zz__mpg123_padecz00, BgL_bgl_za762musicdecoderza71163z00, BGl_z62musicdecoderzd2hwparam1106zb0zz__mpg123_padecz00, 0L, BUNSPEC, 3 );
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2hwparamszd2setz12zd2envzc0zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string1146z00zz__mpg123_padecz00, BgL_bgl_string1146za700za7za7_1164za7, "Llib/mpg123_padec.scm", 21 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__mpg123_padecz00) );
ADD_ROOT( (void *)(&BGl_mpg123zd2pulseaudiodecoderzd2zz__mpg123_padecz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__mpg123_padecz00(long BgL_checksumz00_156, char * BgL_fromz00_157)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__mpg123_padecz00))
{ 
BGl_requirezd2initializa7ationz75zz__mpg123_padecz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__mpg123_padecz00(); 
BGl_libraryzd2moduleszd2initz00zz__mpg123_padecz00(); 
BGl_cnstzd2initzd2zz__mpg123_padecz00(); 
BGl_importedzd2moduleszd2initz00zz__mpg123_padecz00(); 
BGl_objectzd2initzd2zz__mpg123_padecz00(); 
BGl_methodzd2initzd2zz__mpg123_padecz00(); 
return 
BGl_toplevelzd2initzd2zz__mpg123_padecz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_padecz00(void)
{
{ /* Llib/mpg123_padec.scm 15 */
BGl_modulezd2initializa7ationz75zz__pulseaudio_simplez00(((long)0), "__mpg123_padec"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__mpg123_padec"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__mpg123_padec"); 
BGl_modulezd2initializa7ationz75zz__pulseaudio_musicz00(((long)0), "__mpg123_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__mpg123_padec"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__mpg123_padec"); 
BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(((long)0), "__mpg123_padec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__mpg123_padec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__mpg123_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__mpg123_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__mpg123_padec"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__mpg123_padecz00(void)
{
{ /* Llib/mpg123_padec.scm 15 */
{ /* Llib/mpg123_padec.scm 15 */
 obj_t BgL_cportz00_114;
{ /* Llib/mpg123_padec.scm 15 */
 obj_t BgL_stringz00_121;
BgL_stringz00_121 = BGl_string1154z00zz__mpg123_padecz00; 
{ /* Llib/mpg123_padec.scm 15 */
 obj_t BgL_startz00_122;
BgL_startz00_122 = 
BINT(((long)0)); 
{ /* Llib/mpg123_padec.scm 15 */
 obj_t BgL_endz00_123;
BgL_endz00_123 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_121))); 
{ /* Llib/mpg123_padec.scm 15 */

BgL_cportz00_114 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_121, BgL_startz00_122, BgL_endz00_123); } } } } 
{ 
 long BgL_iz00_115;
BgL_iz00_115 = ((long)2); 
BgL_loopz00_116:
if(
(BgL_iz00_115==((long)-1)))
{ /* Llib/mpg123_padec.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mpg123_padec.scm 15 */
{ /* Llib/mpg123_padec.scm 15 */
 obj_t BgL_arg1155z00_117;
{ /* Llib/mpg123_padec.scm 15 */

{ /* Llib/mpg123_padec.scm 15 */
 obj_t BgL_locationz00_119;
BgL_locationz00_119 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mpg123_padec.scm 15 */

BgL_arg1155z00_117 = 
BGl_readz00zz__readerz00(BgL_cportz00_114, BgL_locationz00_119); } } } 
{ /* Llib/mpg123_padec.scm 15 */
 int BgL_tmpz00_188;
BgL_tmpz00_188 = 
(int)(BgL_iz00_115); 
CNST_TABLE_SET(BgL_tmpz00_188, BgL_arg1155z00_117); } } 
{ /* Llib/mpg123_padec.scm 15 */
 int BgL_auxz00_120;
BgL_auxz00_120 = 
(int)(
(BgL_iz00_115-((long)1))); 
{ 
 long BgL_iz00_193;
BgL_iz00_193 = 
(long)(BgL_auxz00_120); 
BgL_iz00_115 = BgL_iz00_193; 
goto BgL_loopz00_116;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__mpg123_padecz00(void)
{
{ /* Llib/mpg123_padec.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__mpg123_padecz00(void)
{
{ /* Llib/mpg123_padec.scm 15 */
BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(((long)0), 
BSTRING_TO_STRING(BGl_string1146z00zz__mpg123_padecz00)); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1146z00zz__mpg123_padecz00)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__mpg123_padecz00(void)
{
{ /* Llib/mpg123_padec.scm 15 */
{ /* Llib/mpg123_padec.scm 28 */
 obj_t BgL_arg1118z00_17; obj_t BgL_arg1119z00_18;
{ /* Llib/mpg123_padec.scm 28 */
 obj_t BgL_v1103z00_45;
BgL_v1103z00_45 = 
create_vector(((long)0)); 
BgL_arg1118z00_17 = BgL_v1103z00_45; } 
{ /* Llib/mpg123_padec.scm 28 */
 obj_t BgL_v1104z00_46;
BgL_v1104z00_46 = 
create_vector(((long)0)); 
BgL_arg1119z00_18 = BgL_v1104z00_46; } 
return ( 
BGl_mpg123zd2pulseaudiodecoderzd2zz__mpg123_padecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, ((long)4890), BGl_proc1149z00zz__mpg123_padecz00, BGl_proc1148z00zz__mpg123_padecz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1147z00zz__mpg123_padecz00, BFALSE, BgL_arg1118z00_17, BgL_arg1119z00_18), BUNSPEC) ;} } 

}



/* &<@anonymous:1133> */
obj_t BGl_z62zc3z04anonymousza31133ze3ze5zz__mpg123_padecz00(obj_t BgL_envz00_83, obj_t BgL_new1096z00_84)
{
{ /* Llib/mpg123_padec.scm 28 */
{ 
 BgL_mpg123zd2pulseaudiodecoderzd2_bglt BgL_auxz00_205;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_outbufz00)=((obj_t)BGl_string1150z00zz__mpg123_padecz00),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_z52mpg123z52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_z52z12dseekz40)=((long)((long)0)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_z52ratez52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_z52channelsz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84))))->BgL_z52encodingz52)=((obj_t)
CNST_TABLE_REF(((long)2))),BUNSPEC); 
BgL_auxz00_205 = 
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_new1096z00_84); 
return 
((obj_t)BgL_auxz00_205);} } 

}



/* &lambda1130 */
BgL_mpg123zd2pulseaudiodecoderzd2_bglt BGl_z62lambda1130z62zz__mpg123_padecz00(obj_t BgL_envz00_85)
{
{ /* Llib/mpg123_padec.scm 28 */
{ /* Llib/mpg123_padec.scm 28 */
 BgL_mpg123zd2pulseaudiodecoderzd2_bglt BgL_new1095z00_126;
BgL_new1095z00_126 = 
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2pulseaudiodecoderzd2_bgl) ))); 
{ /* Llib/mpg123_padec.scm 28 */
 long BgL_arg1132z00_127;
BgL_arg1132z00_127 = 
BGL_CLASS_NUM(BGl_mpg123zd2pulseaudiodecoderzd2zz__mpg123_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1095z00_126), BgL_arg1132z00_127); } 
return BgL_new1095z00_126;} } 

}



/* &lambda1120 */
BgL_mpg123zd2pulseaudiodecoderzd2_bglt BGl_z62lambda1120z62zz__mpg123_padecz00(obj_t BgL_envz00_86, obj_t BgL_mimetypes1079z00_87, obj_t BgL_bufferzd2timezd2near1080z00_88, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1081z75_89, obj_t BgL_periodzd2siza7ezd2nearzd2rat1082z75_90, obj_t BgL_z52z12dpause1083z40_91, obj_t BgL_z52z12dabort1084z40_92, obj_t BgL_z52z12stop1085z40_93, obj_t BgL_z52dmutex1086z52_94, obj_t BgL_z52dcondv1087z52_95, obj_t BgL_z52doutcondv1088z52_96, obj_t BgL_outbuf1089z00_97, obj_t BgL_z52mpg1231090z52_98, obj_t BgL_z52z12dseek1091z40_99, obj_t BgL_z52rate1092z52_100, obj_t BgL_z52channels1093z52_101, obj_t BgL_z52encoding1094z52_102)
{
{ /* Llib/mpg123_padec.scm 28 */
{ /* Llib/mpg123_padec.scm 28 */
 int BgL_bufferzd2timezd2near1080z00_129; int BgL_bufferzd2siza7ezd2nearzd2rat1081z75_130; int BgL_periodzd2siza7ezd2nearzd2rat1082z75_131; bool_t BgL_z52z12dpause1083z40_132; bool_t BgL_z52z12dabort1084z40_133; bool_t BgL_z52z12stop1085z40_134; long BgL_z52z12dseek1091z40_139; int BgL_z52rate1092z52_140; int BgL_z52channels1093z52_141;
BgL_bufferzd2timezd2near1080z00_129 = 
CINT(BgL_bufferzd2timezd2near1080z00_88); 
BgL_bufferzd2siza7ezd2nearzd2rat1081z75_130 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1081z75_89); 
BgL_periodzd2siza7ezd2nearzd2rat1082z75_131 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1082z75_90); 
BgL_z52z12dpause1083z40_132 = 
CBOOL(BgL_z52z12dpause1083z40_91); 
BgL_z52z12dabort1084z40_133 = 
CBOOL(BgL_z52z12dabort1084z40_92); 
BgL_z52z12stop1085z40_134 = 
CBOOL(BgL_z52z12stop1085z40_93); 
BgL_z52z12dseek1091z40_139 = 
(long)CINT(BgL_z52z12dseek1091z40_99); 
BgL_z52rate1092z52_140 = 
CINT(BgL_z52rate1092z52_100); 
BgL_z52channels1093z52_141 = 
CINT(BgL_z52channels1093z52_101); 
{ /* Llib/mpg123_padec.scm 28 */
 BgL_mpg123zd2pulseaudiodecoderzd2_bglt BgL_new1102z00_143;
{ /* Llib/mpg123_padec.scm 28 */
 BgL_mpg123zd2pulseaudiodecoderzd2_bglt BgL_new1101z00_144;
BgL_new1101z00_144 = 
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2pulseaudiodecoderzd2_bgl) ))); 
{ /* Llib/mpg123_padec.scm 28 */
 long BgL_arg1129z00_145;
BgL_arg1129z00_145 = 
BGL_CLASS_NUM(BGl_mpg123zd2pulseaudiodecoderzd2zz__mpg123_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1101z00_144), BgL_arg1129z00_145); } 
BgL_new1102z00_143 = BgL_new1101z00_144; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1102z00_143)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1079z00_87)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1102z00_143)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1080z00_129),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1102z00_143)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1081z75_130),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1102z00_143)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1082z75_131),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1102z00_143)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1083z40_132),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1102z00_143)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1084z40_133),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1102z00_143)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1085z40_134),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1102z00_143)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1086z52_94)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1102z00_143)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1087z52_95)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1102z00_143)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1088z52_96)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1102z00_143)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1089z00_97)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1102z00_143)))->BgL_z52mpg123z52)=((obj_t)BgL_z52mpg1231090z52_98),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1102z00_143)))->BgL_z52z12dseekz40)=((long)BgL_z52z12dseek1091z40_139),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1102z00_143)))->BgL_z52ratez52)=((int)BgL_z52rate1092z52_140),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1102z00_143)))->BgL_z52channelsz52)=((int)BgL_z52channels1093z52_141),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1102z00_143)))->BgL_z52encodingz52)=((obj_t)
((obj_t)BgL_z52encoding1094z52_102)),BUNSPEC); 
{ /* Llib/mpg123_padec.scm 28 */
 obj_t BgL_fun1121z00_146;
BgL_fun1121z00_146 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpg123zd2pulseaudiodecoderzd2zz__mpg123_padecz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1121z00_146))(BgL_fun1121z00_146, 
((obj_t)BgL_new1102z00_143), BEOA); } 
return BgL_new1102z00_143;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__mpg123_padecz00(void)
{
{ /* Llib/mpg123_padec.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__mpg123_padecz00(void)
{
{ /* Llib/mpg123_padec.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2hwparamszd2setz12zd2envzc0zz__multimediazd2musicbufzd2, BGl_mpg123zd2pulseaudiodecoderzd2zz__mpg123_padecz00, BGl_proc1151z00zz__mpg123_padecz00, BGl_string1152z00zz__mpg123_padecz00);} 

}



/* &musicdecoder-hwparam1106 */
obj_t BGl_z62musicdecoderzd2hwparam1106zb0zz__mpg123_padecz00(obj_t BgL_envz00_106, obj_t BgL_decz00_107, obj_t BgL_amz00_108, obj_t BgL_bufferz00_109)
{
{ /* Llib/mpg123_padec.scm 40 */
{ /* Llib/mpg123_padec.scm 49 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_arg1134z00_148;
{ /* Llib/mpg123_padec.scm 49 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_new1100z00_149;
{ /* Llib/mpg123_padec.scm 49 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_new1099z00_150;
BgL_new1099z00_150 = 
((BgL_pulseaudiozd2simplezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pulseaudiozd2simplezd2_bgl) ))); 
{ /* Llib/mpg123_padec.scm 49 */
 long BgL_arg1141z00_151;
BgL_arg1141z00_151 = 
BGL_CLASS_NUM(BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1099z00_150), BgL_arg1141z00_151); } 
BgL_new1100z00_149 = BgL_new1099z00_150; } 
{ 
 void * BgL_auxz00_331;
{ /* Llib/mpg123_padec.scm 49 */
 obj_t BgL_arg1137z00_152;
{ /* Llib/mpg123_padec.scm 49 */
 obj_t BgL_arg1138z00_153;
{ /* Llib/mpg123_padec.scm 49 */
 obj_t BgL_classz00_154;
BgL_classz00_154 = BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00; 
BgL_arg1138z00_153 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_154); } 
BgL_arg1137z00_152 = 
VECTOR_REF(BgL_arg1138z00_153,((long)0)); } 
BgL_auxz00_331 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1137z00_152)); } 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1100z00_149))->BgL_z42builtinz42)=((pa_simple *)BgL_auxz00_331),BUNSPEC); } 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1100z00_149))->BgL_srvnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1100z00_149))->BgL_namez00)=((obj_t)
(((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_amz00_108)))->BgL_namez00)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1100z00_149))->BgL_streamz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1100z00_149))->BgL_ratez00)=((long)
(long)(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_decz00_107))))->BgL_z52ratez52))),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1100z00_149))->BgL_channelsz00)=((long)
(long)(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_decz00_107))))->BgL_z52channelsz52))),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1100z00_149))->BgL_bpsz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1100z00_149))->BgL_formatz00)=((obj_t)
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2pulseaudiodecoderzd2_bglt)BgL_decz00_107))))->BgL_z52encodingz52)),BUNSPEC); 
{ /* Llib/mpg123_padec.scm 49 */
 obj_t BgL_fun1139z00_155;
BgL_fun1139z00_155 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1139z00_155))(BgL_fun1139z00_155, 
((obj_t)BgL_new1100z00_149), BEOA); } 
BgL_arg1134z00_148 = BgL_new1100z00_149; } 
return 
BGl_pulseaudiomusiczd2simplezd2setz12z12zz__pulseaudio_musicz00(
((BgL_pulseaudiomusicz00_bglt)BgL_amz00_108), BgL_arg1134z00_148);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__mpg123_padecz00(void)
{
{ /* Llib/mpg123_padec.scm 15 */
BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(((long)388603996), 
BSTRING_TO_STRING(BGl_string1153z00zz__mpg123_padecz00)); 
return 
BGl_modulezd2initializa7ationz75zz__mpg123_decoderz00(((long)0), 
BSTRING_TO_STRING(BGl_string1153z00zz__mpg123_padecz00));} 

}

#ifdef __cplusplus
}
#endif
