/*===========================================================================*/
/*   (Llib/pthread.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IPosix Llib/pthread.scm -o objs/objs_u/pthread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglpthread.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62threadzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62threadzd2errorzb0_bglt;

typedef struct BgL_uncaughtzd2exceptionzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_reasonz00;
} *BgL_uncaughtzd2exceptionzd2_bglt;

typedef struct BgL_terminatedzd2threadzd2exceptionz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_terminatedzd2threadzd2exceptionz00_bglt;


extern void * bglpth_thread_new(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31202ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_zc3z04exitza31392ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt);
extern obj_t BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00(void);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
extern bool_t bglpth_thread_terminate(void *);
static obj_t BGl_toplevelzd2initzd2zz__pth_threadz00(void);
BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL void * BGl_z42pthreadzd2nilz90zz__pth_threadz00(void);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2displayzd2zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__pth_threadz00(void);
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31222ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_z62threadzd2terminatez12zd2pt1152z70zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__pth_threadz00(void);
BGL_IMPORT obj_t BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(bool_t);
static obj_t BGl_z62threadzd2specificzd2pthr1154z62zz__pth_threadz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_pthreadz00zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_z62exceptionz62zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
BGL_IMPORT obj_t BGl_objectzd2printzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl_z62threadzd2joinz12zd2pthread1150z70zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31420ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__pth_threadz00(void);
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62threadzd2errorzb0zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_typeof(obj_t);
extern void bglpth_thread_start(void *, obj_t, bool_t);
static obj_t BGl_z62zc3z04anonymousza31252ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31181ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2printzd2uncaugh1140z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_signalz00zz__osz00(int, obj_t);
static obj_t BGl_z62lambda1200z62zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1201z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1212z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1213z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31345ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda1220z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1221z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
extern int sched_yield(void);
static obj_t BGl_z62threadzd2initializa7ez12zd2p1144zd7zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1230z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1231z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pth_backendz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31461ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1248z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1250z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62lambda1331z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1332z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1176z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1259z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1179z62zz__pth_threadz00(obj_t);
extern void bglpth_thread_join(void *, obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1340z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1343z62zz__pth_threadz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__pth_threadz00(void);
static obj_t BGl_z62lambda1188z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1189z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(void);
BGL_IMPORT bool_t BGl_bigloozd2initializa7edzf3z86zz__paramz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00(void);
static obj_t BGl_z62zc3z04anonymousza31286ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2startz12zd2pthrea1146z70zz__pth_threadz00(obj_t, obj_t, obj_t);
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1281z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62objectzd2writezd2uncaugh1136z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2specificzd2setz121156z70zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31385ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62threadzd2cleanupzd2setz12zd21160za2zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62bz62zz__pth_threadz00(obj_t);
static obj_t BGl_z62threadzd2cleanupzd2pthre1158z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2uncau1138z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52userzd2threadzd2yieldz12zd21142zf0zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2startzd2joinabl1148z62zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static obj_t BGl_zc3z04exitza31391ze3ze70z60zz__pth_threadz00(obj_t, obj_t, BgL_pthreadz00_bglt);
static obj_t __cnst[ 18 ] ;


BGL_IMPORT obj_t BGl_threadzd2cleanupzd2envz00zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2startz12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
BGL_IMPORT obj_t BGl_threadzd2joinz12zd2envz12zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1726z00zz__pth_threadz00, BgL_bgl_za762lambda1189za7621793z00, BGl_z62lambda1189z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1727z00zz__pth_threadz00, BgL_bgl_za762lambda1188za7621794z00, BGl_z62lambda1188z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1728z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1795za7, BGl_z62zc3z04anonymousza31202ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1729z00zz__pth_threadz00, BgL_bgl_za762lambda1201za7621796z00, BGl_z62lambda1201z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1730z00zz__pth_threadz00, BgL_bgl_za762lambda1200za7621797z00, BGl_z62lambda1200z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1731z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1798za7, BGl_z62zc3z04anonymousza31214ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1732z00zz__pth_threadz00, BgL_bgl_za762lambda1213za7621799z00, BGl_z62lambda1213z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1733z00zz__pth_threadz00, BgL_bgl_za762lambda1212za7621800z00, BGl_z62lambda1212z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1734z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1801za7, BGl_z62zc3z04anonymousza31222ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1735z00zz__pth_threadz00, BgL_bgl_za762lambda1221za7621802z00, BGl_z62lambda1221z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1736z00zz__pth_threadz00, BgL_bgl_za762lambda1220za7621803z00, BGl_z62lambda1220z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1737z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1804za7, BGl_z62zc3z04anonymousza31232ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1738z00zz__pth_threadz00, BgL_bgl_za762lambda1231za7621805z00, BGl_z62lambda1231z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1739z00zz__pth_threadz00, BgL_bgl_za762lambda1230za7621806z00, BGl_z62lambda1230z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1740z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1807za7, BGl_z62zc3z04anonymousza31181ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1741z00zz__pth_threadz00, BgL_bgl_za762lambda1179za7621808z00, BGl_z62lambda1179z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_threadzd2specificzd2envz00zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1742z00zz__pth_threadz00, BgL_bgl_za762lambda1176za7621809z00, BGl_z62lambda1176z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1743z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1810za7, BGl_z62zc3z04anonymousza31252ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1744z00zz__pth_threadz00, BgL_bgl_za762lambda1250za7621811z00, BGl_z62lambda1250z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1745z00zz__pth_threadz00, BgL_bgl_za762lambda1248za7621812z00, BGl_z62lambda1248z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1746z00zz__pth_threadz00, BgL_bgl_za762lambda1332za7621813z00, BGl_z62lambda1332z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1747z00zz__pth_threadz00, BgL_bgl_za762lambda1331za7621814z00, BGl_z62lambda1331z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1748z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1815za7, BGl_z62zc3z04anonymousza31286ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1755z00zz__pth_threadz00, BgL_bgl_string1755za700za7za7_1816za7, "object-write", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1749z00zz__pth_threadz00, BgL_bgl_za762lambda1281za7621817z00, BGl_z62lambda1281z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1757z00zz__pth_threadz00, BgL_bgl_string1757za700za7za7_1818za7, "object-display", 14 );
DEFINE_STRING( BGl_string1759z00zz__pth_threadz00, BgL_bgl_string1759za700za7za7_1819za7, "object-print", 12 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1750z00zz__pth_threadz00, BgL_bgl_za762lambda1259za7621820z00, BGl_z62lambda1259z62zz__pth_threadz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1751z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1821za7, BGl_z62zc3z04anonymousza31345ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1752z00zz__pth_threadz00, BgL_bgl_za762lambda1343za7621822z00, BGl_z62lambda1343z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1753z00zz__pth_threadz00, BgL_bgl_za762lambda1340za7621823z00, BGl_z62lambda1340z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1754z00zz__pth_threadz00, BgL_bgl_za762objectza7d2writ1824z00, va_generic_entry, BGl_z62objectzd2writezd2uncaugh1136z62zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1761z00zz__pth_threadz00, BgL_bgl_string1761za700za7za7_1825za7, "%user-thread-yield!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1756z00zz__pth_threadz00, BgL_bgl_za762objectza7d2disp1826z00, va_generic_entry, BGl_z62objectzd2displayzd2uncau1138z62zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1763z00zz__pth_threadz00, BgL_bgl_string1763za700za7za7_1827za7, "thread-initialize!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1758z00zz__pth_threadz00, BgL_bgl_za762objectza7d2prin1828z00, BGl_z62objectzd2printzd2uncaugh1140z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1765z00zz__pth_threadz00, BgL_bgl_string1765za700za7za7_1829za7, "thread-start!", 13 );
DEFINE_STRING( BGl_string1767z00zz__pth_threadz00, BgL_bgl_string1767za700za7za7_1830za7, "thread-start-joinable!", 22 );
DEFINE_STRING( BGl_string1769z00zz__pth_threadz00, BgL_bgl_string1769za700za7za7_1831za7, "thread-join!", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1760z00zz__pth_threadz00, BgL_bgl_za762za752userza7d2thr1832za7, BGl_z62z52userzd2threadzd2yieldz12zd21142zf0zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1762z00zz__pth_threadz00, BgL_bgl_za762threadza7d2init1833z00, BGl_z62threadzd2initializa7ez12zd2p1144zd7zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1764z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star1834z00, va_generic_entry, BGl_z62threadzd2startz12zd2pthrea1146z70zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1771z00zz__pth_threadz00, BgL_bgl_string1771za700za7za7_1835za7, "thread-terminate!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1766z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star1836z00, BGl_z62threadzd2startzd2joinabl1148z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1773z00zz__pth_threadz00, BgL_bgl_string1773za700za7za7_1837za7, "thread-specific", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1768z00zz__pth_threadz00, BgL_bgl_za762threadza7d2join1838z00, va_generic_entry, BGl_z62threadzd2joinz12zd2pthread1150z70zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1775z00zz__pth_threadz00, BgL_bgl_string1775za700za7za7_1839za7, "thread-specific-set!", 20 );
DEFINE_STRING( BGl_string1777z00zz__pth_threadz00, BgL_bgl_string1777za700za7za7_1840za7, "thread-cleanup", 14 );
DEFINE_STRING( BGl_string1779z00zz__pth_threadz00, BgL_bgl_string1779za700za7za7_1841za7, "thread-cleanup-set!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1770z00zz__pth_threadz00, BgL_bgl_za762threadza7d2term1842z00, BGl_z62threadzd2terminatez12zd2pt1152z70zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1772z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec1843z00, BGl_z62threadzd2specificzd2pthr1154z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1780z00zz__pth_threadz00, BgL_bgl_string1780za700za7za7_1844za7, "Illegal procedure arity", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1774z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec1845z00, BGl_z62threadzd2specificzd2setz121156z70zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1781z00zz__pth_threadz00, BgL_bgl_string1781za700za7za7_1846za7, "detached thread", 15 );
DEFINE_STRING( BGl_string1782z00zz__pth_threadz00, BgL_bgl_string1782za700za7za7_1847za7, "Thread created before module initialization completed -- ", 57 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1776z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea1848z00, BGl_z62threadzd2cleanupzd2pthre1158z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1783z00zz__pth_threadz00, BgL_bgl_string1783za700za7za7_1849za7, "make-thread", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1778z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea1850z00, BGl_z62threadzd2cleanupzd2setz12zd21160za2zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1785z00zz__pth_threadz00, BgL_bgl_string1785za700za7za7_1851za7, "unwind-until!, ~a", 17 );
DEFINE_STRING( BGl_string1786z00zz__pth_threadz00, BgL_bgl_string1786za700za7za7_1852za7, "exit out of thread dynamic scope", 32 );
DEFINE_STRING( BGl_string1787z00zz__pth_threadz00, BgL_bgl_string1787za700za7za7_1853za7, "__pth_thread", 12 );
DEFINE_STRING( BGl_string1788z00zz__pth_threadz00, BgL_bgl_string1788za700za7za7_1854za7, "&pthread- & thread-join! terminated-thread-exception uncaught-exception reason &thread-error __pth_thread pthread $pthread $builtin end-exception obj end-result bool detachedp procedure body ", 191 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1784z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1855za7, BGl_z62zc3z04anonymousza31461ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42pthreadzd2nilzd2envz42zz__pth_threadz00, BgL_bgl_za762za742pthreadza7d21856za7, BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2terminatez12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_pthreadz00zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_z62threadzd2errorzb0zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_uncaughtzd2exceptionzd2zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long BgL_checksumz00_838, char * BgL_fromz00_839)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pth_threadz00))
{ 
BGl_requirezd2initializa7ationz75zz__pth_threadz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__pth_threadz00(); 
BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_cnstzd2initzd2zz__pth_threadz00(); 
BGl_importedzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_objectzd2initzd2zz__pth_threadz00(); 
BGl_methodzd2initzd2zz__pth_threadz00(); 
return 
BGl_toplevelzd2initzd2zz__pth_threadz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__libraryz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__pth_thread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
 obj_t BgL_cportz00_697;
{ /* Llib/pthread.scm 15 */
 obj_t BgL_stringz00_704;
BgL_stringz00_704 = BGl_string1788z00zz__pth_threadz00; 
{ /* Llib/pthread.scm 15 */
 obj_t BgL_startz00_705;
BgL_startz00_705 = 
BINT(((long)0)); 
{ /* Llib/pthread.scm 15 */
 obj_t BgL_endz00_706;
BgL_endz00_706 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_704))); 
{ /* Llib/pthread.scm 15 */

BgL_cportz00_697 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_704, BgL_startz00_705, BgL_endz00_706); } } } } 
{ 
 long BgL_iz00_698;
BgL_iz00_698 = ((long)17); 
BgL_loopz00_699:
if(
(BgL_iz00_698==((long)-1)))
{ /* Llib/pthread.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
 obj_t BgL_arg1792z00_700;
{ /* Llib/pthread.scm 15 */

{ /* Llib/pthread.scm 15 */
 obj_t BgL_locationz00_702;
BgL_locationz00_702 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pthread.scm 15 */

BgL_arg1792z00_700 = 
BGl_readz00zz__readerz00(BgL_cportz00_697, BgL_locationz00_702); } } } 
{ /* Llib/pthread.scm 15 */
 int BgL_tmpz00_877;
BgL_tmpz00_877 = 
(int)(BgL_iz00_698); 
CNST_TABLE_SET(BgL_tmpz00_877, BgL_arg1792z00_700); } } 
{ /* Llib/pthread.scm 15 */
 int BgL_auxz00_703;
BgL_auxz00_703 = 
(int)(
(BgL_iz00_698-((long)1))); 
{ 
 long BgL_iz00_882;
BgL_iz00_882 = 
(long)(BgL_auxz00_703); 
BgL_iz00_698 = BgL_iz00_882; 
goto BgL_loopz00_699;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(((bool_t)1)); 
BGL_TAIL return 
BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00();} 

}



/* $pthread-nil */
BGL_EXPORTED_DEF void * BGl_z42pthreadzd2nilz90zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 205 */
return 
(0L);} 

}



/* &$pthread-nil */
obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t BgL_envz00_496)
{
{ /* Llib/pthread.scm 205 */
return 
void_star_to_obj(
BGl_z42pthreadzd2nilz90zz__pth_threadz00());} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1174z00_35; obj_t BgL_arg1175z00_36;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_v1127z00_53;
BgL_v1127z00_53 = 
create_vector(((long)5)); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1183z00_54;
BgL_arg1183z00_54 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1727z00zz__pth_threadz00, BGl_proc1726z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1127z00_53,((long)0),BgL_arg1183z00_54); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1190z00_64;
BgL_arg1190z00_64 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1730z00zz__pth_threadz00, BGl_proc1729z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1728z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1127z00_53,((long)1),BgL_arg1190z00_64); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1206z00_77;
BgL_arg1206z00_77 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1733z00zz__pth_threadz00, BGl_proc1732z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1731z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1127z00_53,((long)2),BgL_arg1206z00_77); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1215z00_90;
BgL_arg1215z00_90 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1736z00zz__pth_threadz00, BGl_proc1735z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1734z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1127z00_53,((long)3),BgL_arg1215z00_90); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1223z00_103;
BgL_arg1223z00_103 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc1739z00zz__pth_threadz00, BGl_proc1738z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1737z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1127z00_53,((long)4),BgL_arg1223z00_103); } 
BgL_arg1174z00_35 = BgL_v1127z00_53; } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_v1128z00_116;
BgL_v1128z00_116 = 
create_vector(((long)0)); 
BgL_arg1175z00_36 = BgL_v1128z00_116; } 
BGl_pthreadz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)10)), BGl_threadz00zz__threadz00, ((long)35369), BGl_proc1742z00zz__pth_threadz00, BGl_proc1741z00zz__pth_threadz00, BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_proc1740z00zz__pth_threadz00, BFALSE, BgL_arg1174z00_35, BgL_arg1175z00_36); } 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_arg1246z00_123; obj_t BgL_arg1247z00_124;
{ /* Llib/pthread.scm 37 */
 obj_t BgL_v1129z00_140;
BgL_v1129z00_140 = 
create_vector(((long)0)); 
BgL_arg1246z00_123 = BgL_v1129z00_140; } 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_v1130z00_141;
BgL_v1130z00_141 = 
create_vector(((long)0)); 
BgL_arg1247z00_124 = BgL_v1130z00_141; } 
BGl_z62threadzd2errorzb0zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)10)), BGl_z62errorz62zz__objectz00, ((long)52138), BGl_proc1745z00zz__pth_threadz00, BGl_proc1744z00zz__pth_threadz00, BFALSE, BGl_proc1743z00zz__pth_threadz00, BFALSE, BgL_arg1246z00_123, BgL_arg1247z00_124); } 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1256z00_148; obj_t BgL_arg1258z00_149;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_v1131z00_163;
BgL_v1131z00_163 = 
create_vector(((long)1)); 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1288z00_164;
BgL_arg1288z00_164 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc1747z00zz__pth_threadz00, BGl_proc1746z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1131z00_163,((long)0),BgL_arg1288z00_164); } 
BgL_arg1256z00_148 = BgL_v1131z00_163; } 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_v1132z00_174;
BgL_v1132z00_174 = 
create_vector(((long)0)); 
BgL_arg1258z00_149 = BgL_v1132z00_174; } 
BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)13)), 
CNST_TABLE_REF(((long)10)), BGl_z62exceptionz62zz__objectz00, ((long)30717), BGl_proc1750z00zz__pth_threadz00, BGl_proc1749z00zz__pth_threadz00, BFALSE, BGl_proc1748z00zz__pth_threadz00, BFALSE, BgL_arg1256z00_148, BgL_arg1258z00_149); } 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_arg1338z00_181; obj_t BgL_arg1339z00_182;
{ /* Llib/pthread.scm 42 */
 obj_t BgL_v1133z00_195;
BgL_v1133z00_195 = 
create_vector(((long)0)); 
BgL_arg1338z00_181 = BgL_v1133z00_195; } 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_v1134z00_196;
BgL_v1134z00_196 = 
create_vector(((long)0)); 
BgL_arg1339z00_182 = BgL_v1134z00_196; } 
return ( 
BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)14)), 
CNST_TABLE_REF(((long)10)), BGl_z62exceptionz62zz__objectz00, ((long)35176), BGl_proc1753z00zz__pth_threadz00, BGl_proc1752z00zz__pth_threadz00, BFALSE, BGl_proc1751z00zz__pth_threadz00, BFALSE, BgL_arg1338z00_181, BgL_arg1339z00_182), BUNSPEC) ;} } 

}



/* &<@anonymous:1345> */
obj_t BGl_z62zc3z04anonymousza31345ze3ze5zz__pth_threadz00(obj_t BgL_envz00_528, obj_t BgL_new1077z00_529)
{
{ /* Llib/pthread.scm 42 */
{ 
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_auxz00_934;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1077z00_529))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1077z00_529))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1077z00_529))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_934 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1077z00_529); 
return 
((obj_t)BgL_auxz00_934);} } 

}



/* &lambda1343 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1343z62zz__pth_threadz00(obj_t BgL_envz00_530)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1076z00_709;
BgL_new1076z00_709 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
 long BgL_arg1344z00_710;
BgL_arg1344z00_710 = 
BGL_CLASS_NUM(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_709), BgL_arg1344z00_710); } 
return BgL_new1076z00_709;} } 

}



/* &lambda1340 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1340z62zz__pth_threadz00(obj_t BgL_envz00_531, obj_t BgL_fname1073z00_532, obj_t BgL_location1074z00_533, obj_t BgL_stack1075z00_534)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1126z00_711;
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1125z00_712;
BgL_new1125z00_712 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
 long BgL_arg1342z00_713;
BgL_arg1342z00_713 = 
BGL_CLASS_NUM(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_712), BgL_arg1342z00_713); } 
BgL_new1126z00_711 = BgL_new1125z00_712; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1126z00_711)))->BgL_fnamez00)=((obj_t)BgL_fname1073z00_532),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1126z00_711)))->BgL_locationz00)=((obj_t)BgL_location1074z00_533),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1126z00_711)))->BgL_stackz00)=((obj_t)BgL_stack1075z00_534),BUNSPEC); 
return BgL_new1126z00_711;} } 

}



/* &<@anonymous:1286> */
obj_t BGl_z62zc3z04anonymousza31286ze3ze5zz__pth_threadz00(obj_t BgL_envz00_535, obj_t BgL_new1071z00_536)
{
{ /* Llib/pthread.scm 39 */
{ 
 BgL_uncaughtzd2exceptionzd2_bglt BgL_auxz00_960;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_536))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_536))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_536))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_536)))->BgL_reasonz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_960 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_536); 
return 
((obj_t)BgL_auxz00_960);} } 

}



/* &lambda1281 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1281z62zz__pth_threadz00(obj_t BgL_envz00_537)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1070z00_715;
BgL_new1070z00_715 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
 long BgL_arg1285z00_716;
BgL_arg1285z00_716 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1070z00_715), BgL_arg1285z00_716); } 
return BgL_new1070z00_715;} } 

}



/* &lambda1259 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1259z62zz__pth_threadz00(obj_t BgL_envz00_538, obj_t BgL_fname1066z00_539, obj_t BgL_location1067z00_540, obj_t BgL_stack1068z00_541, obj_t BgL_reason1069z00_542)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1124z00_717;
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1123z00_718;
BgL_new1123z00_718 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
 long BgL_arg1280z00_719;
BgL_arg1280z00_719 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1123z00_718), BgL_arg1280z00_719); } 
BgL_new1124z00_717 = BgL_new1123z00_718; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1124z00_717)))->BgL_fnamez00)=((obj_t)BgL_fname1066z00_539),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1124z00_717)))->BgL_locationz00)=((obj_t)BgL_location1067z00_540),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1124z00_717)))->BgL_stackz00)=((obj_t)BgL_stack1068z00_541),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1124z00_717))->BgL_reasonz00)=((obj_t)BgL_reason1069z00_542),BUNSPEC); 
return BgL_new1124z00_717;} } 

}



/* &lambda1332 */
obj_t BGl_z62lambda1332z62zz__pth_threadz00(obj_t BgL_envz00_543, obj_t BgL_oz00_544, obj_t BgL_vz00_545)
{
{ /* Llib/pthread.scm 39 */
return 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_544)))->BgL_reasonz00)=((obj_t)BgL_vz00_545),BUNSPEC);} 

}



/* &lambda1331 */
obj_t BGl_z62lambda1331z62zz__pth_threadz00(obj_t BgL_envz00_546, obj_t BgL_oz00_547)
{
{ /* Llib/pthread.scm 39 */
return 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_547)))->BgL_reasonz00);} 

}



/* &<@anonymous:1252> */
obj_t BGl_z62zc3z04anonymousza31252ze3ze5zz__pth_threadz00(obj_t BgL_envz00_548, obj_t BgL_new1064z00_549)
{
{ /* Llib/pthread.scm 37 */
{ 
 BgL_z62threadzd2errorzb0_bglt BgL_auxz00_993;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_549))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_549))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_549))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_549))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_549))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_549))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_993 = 
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_549); 
return 
((obj_t)BgL_auxz00_993);} } 

}



/* &lambda1250 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1250z62zz__pth_threadz00(obj_t BgL_envz00_550)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1063z00_723;
BgL_new1063z00_723 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
 long BgL_arg1251z00_724;
BgL_arg1251z00_724 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_723), BgL_arg1251z00_724); } 
return BgL_new1063z00_723;} } 

}



/* &lambda1248 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1248z62zz__pth_threadz00(obj_t BgL_envz00_551, obj_t BgL_fname1057z00_552, obj_t BgL_location1058z00_553, obj_t BgL_stack1059z00_554, obj_t BgL_proc1060z00_555, obj_t BgL_msg1061z00_556, obj_t BgL_obj1062z00_557)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1122z00_725;
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1121z00_726;
BgL_new1121z00_726 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
 long BgL_arg1249z00_727;
BgL_arg1249z00_727 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_726), BgL_arg1249z00_727); } 
BgL_new1122z00_725 = BgL_new1121z00_726; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1122z00_725)))->BgL_fnamez00)=((obj_t)BgL_fname1057z00_552),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1122z00_725)))->BgL_locationz00)=((obj_t)BgL_location1058z00_553),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1122z00_725)))->BgL_stackz00)=((obj_t)BgL_stack1059z00_554),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1122z00_725)))->BgL_procz00)=((obj_t)BgL_proc1060z00_555),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1122z00_725)))->BgL_msgz00)=((obj_t)BgL_msg1061z00_556),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1122z00_725)))->BgL_objz00)=((obj_t)BgL_obj1062z00_557),BUNSPEC); 
return BgL_new1122z00_725;} } 

}



/* &<@anonymous:1181> */
obj_t BGl_z62zc3z04anonymousza31181ze3ze5zz__pth_threadz00(obj_t BgL_envz00_558, obj_t BgL_new1055z00_559)
{
{ /* Llib/pthread.scm 25 */
{ 
 BgL_pthreadz00_bglt BgL_auxz00_1034;
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_pthreadz00_bglt)BgL_new1055z00_559))))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_559)))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_559)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_559)))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_559)))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_559)))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_1034 = 
((BgL_pthreadz00_bglt)BgL_new1055z00_559); 
return 
((obj_t)BgL_auxz00_1034);} } 

}



/* &lambda1179 */
BgL_pthreadz00_bglt BGl_z62lambda1179z62zz__pth_threadz00(obj_t BgL_envz00_560)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1054z00_729;
BgL_new1054z00_729 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
 long BgL_arg1180z00_730;
BgL_arg1180z00_730 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_729), BgL_arg1180z00_730); } 
return BgL_new1054z00_729;} } 

}



/* &lambda1176 */
BgL_pthreadz00_bglt BGl_z62lambda1176z62zz__pth_threadz00(obj_t BgL_envz00_561, obj_t BgL_name1048z00_562, obj_t BgL_body1049z00_563, obj_t BgL_detachedp1050z00_564, obj_t BgL_endzd2result1051zd2_565, obj_t BgL_endzd2exception1052zd2_566, obj_t BgL_z42builtin1053z42_567)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 bool_t BgL_detachedp1050z00_732; void * BgL_z42builtin1053z42_733;
BgL_detachedp1050z00_732 = 
CBOOL(BgL_detachedp1050z00_564); 
BgL_z42builtin1053z42_733 = 
FOREIGN_TO_COBJ(BgL_z42builtin1053z42_567); 
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1120z00_734;
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1119z00_735;
BgL_new1119z00_735 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
 long BgL_arg1178z00_736;
BgL_arg1178z00_736 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_735), BgL_arg1178z00_736); } 
BgL_new1120z00_734 = BgL_new1119z00_735; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1120z00_734)))->BgL_namez00)=((obj_t)BgL_name1048z00_562),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1120z00_734))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_body1049z00_563)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1120z00_734))->BgL_detachedpz00)=((bool_t)BgL_detachedp1050z00_732),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1120z00_734))->BgL_endzd2resultzd2)=((obj_t)BgL_endzd2result1051zd2_565),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1120z00_734))->BgL_endzd2exceptionzd2)=((obj_t)BgL_endzd2exception1052zd2_566),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1120z00_734))->BgL_z42builtinz42)=((void *)BgL_z42builtin1053z42_733),BUNSPEC); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_fun1177z00_737;
BgL_fun1177z00_737 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1177z00_737))(BgL_fun1177z00_737, 
((obj_t)BgL_new1120z00_734), BEOA); } 
return BgL_new1120z00_734;} } } 

}



/* &<@anonymous:1232> */
obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__pth_threadz00(obj_t BgL_envz00_568)
{
{ /* Llib/pthread.scm 25 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1231 */
obj_t BGl_z62lambda1231z62zz__pth_threadz00(obj_t BgL_envz00_569, obj_t BgL_oz00_570, obj_t BgL_vz00_571)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 void * BgL_vz00_739;
BgL_vz00_739 = 
FOREIGN_TO_COBJ(BgL_vz00_571); 
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_570)))->BgL_z42builtinz42)=((void *)BgL_vz00_739),BUNSPEC);} } 

}



/* &lambda1230 */
obj_t BGl_z62lambda1230z62zz__pth_threadz00(obj_t BgL_envz00_572, obj_t BgL_oz00_573)
{
{ /* Llib/pthread.scm 25 */
return 
void_star_to_obj(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_573)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1222> */
obj_t BGl_z62zc3z04anonymousza31222ze3ze5zz__pth_threadz00(obj_t BgL_envz00_574)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1221 */
obj_t BGl_z62lambda1221z62zz__pth_threadz00(obj_t BgL_envz00_575, obj_t BgL_oz00_576, obj_t BgL_vz00_577)
{
{ /* Llib/pthread.scm 25 */
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_576)))->BgL_endzd2exceptionzd2)=((obj_t)BgL_vz00_577),BUNSPEC);} 

}



/* &lambda1220 */
obj_t BGl_z62lambda1220z62zz__pth_threadz00(obj_t BgL_envz00_578, obj_t BgL_oz00_579)
{
{ /* Llib/pthread.scm 25 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_579)))->BgL_endzd2exceptionzd2);} 

}



/* &<@anonymous:1214> */
obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__pth_threadz00(obj_t BgL_envz00_580)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1213 */
obj_t BGl_z62lambda1213z62zz__pth_threadz00(obj_t BgL_envz00_581, obj_t BgL_oz00_582, obj_t BgL_vz00_583)
{
{ /* Llib/pthread.scm 25 */
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_582)))->BgL_endzd2resultzd2)=((obj_t)BgL_vz00_583),BUNSPEC);} 

}



/* &lambda1212 */
obj_t BGl_z62lambda1212z62zz__pth_threadz00(obj_t BgL_envz00_584, obj_t BgL_oz00_585)
{
{ /* Llib/pthread.scm 25 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_585)))->BgL_endzd2resultzd2);} 

}



/* &<@anonymous:1202> */
obj_t BGl_z62zc3z04anonymousza31202ze3ze5zz__pth_threadz00(obj_t BgL_envz00_586)
{
{ /* Llib/pthread.scm 25 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1201 */
obj_t BGl_z62lambda1201z62zz__pth_threadz00(obj_t BgL_envz00_587, obj_t BgL_oz00_588, obj_t BgL_vz00_589)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 bool_t BgL_vz00_746;
BgL_vz00_746 = 
CBOOL(BgL_vz00_589); 
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_588)))->BgL_detachedpz00)=((bool_t)BgL_vz00_746),BUNSPEC);} } 

}



/* &lambda1200 */
obj_t BGl_z62lambda1200z62zz__pth_threadz00(obj_t BgL_envz00_590, obj_t BgL_oz00_591)
{
{ /* Llib/pthread.scm 25 */
return 
BBOOL(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_591)))->BgL_detachedpz00));} 

}



/* &lambda1189 */
obj_t BGl_z62lambda1189z62zz__pth_threadz00(obj_t BgL_envz00_592, obj_t BgL_oz00_593, obj_t BgL_vz00_594)
{
{ /* Llib/pthread.scm 25 */
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_593)))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_vz00_594)),BUNSPEC);} 

}



/* &lambda1188 */
obj_t BGl_z62lambda1188z62zz__pth_threadz00(obj_t BgL_envz00_595, obj_t BgL_oz00_596)
{
{ /* Llib/pthread.scm 25 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_596)))->BgL_bodyz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1754z00zz__pth_threadz00, BGl_string1755z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1756z00zz__pth_threadz00, BGl_string1757z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1758z00zz__pth_threadz00, BGl_string1759z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1760z00zz__pth_threadz00, BGl_string1761z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1762z00zz__pth_threadz00, BGl_string1763z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1764z00zz__pth_threadz00, BGl_string1765z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1766z00zz__pth_threadz00, BGl_string1767z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2joinz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1768z00zz__pth_threadz00, BGl_string1769z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2terminatez12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1770z00zz__pth_threadz00, BGl_string1771z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1772z00zz__pth_threadz00, BGl_string1773z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1774z00zz__pth_threadz00, BGl_string1775z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1776z00zz__pth_threadz00, BGl_string1777z00zz__pth_threadz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1778z00zz__pth_threadz00, BGl_string1779z00zz__pth_threadz00);} 

}



/* &thread-cleanup-set!-1160 */
obj_t BGl_z62threadzd2cleanupzd2setz12zd21160za2zz__pth_threadz00(obj_t BgL_envz00_616, obj_t BgL_tz00_617, obj_t BgL_pz00_618)
{
{ /* Llib/pthread.scm 194 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_pz00_618, 
(int)(((long)1))))
{ /* Llib/pthread.scm 196 */
{ /* Llib/pthread.scm 198 */
 void * BgL_arg1703z00_752;
BgL_arg1703z00_752 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_617)))->BgL_z42builtinz42); 
BGLPTH_THREAD_CLEANUP_SET(BgL_arg1703z00_752, BgL_pz00_618); BUNSPEC; } 
return BgL_pz00_618;}  else 
{ /* Llib/pthread.scm 196 */
return 
BGl_errorz00zz__errorz00(BGl_string1779z00zz__pth_threadz00, BGl_string1780z00zz__pth_threadz00, BgL_pz00_618);} } 

}



/* &thread-cleanup-pthre1158 */
obj_t BGl_z62threadzd2cleanupzd2pthre1158z62zz__pth_threadz00(obj_t BgL_envz00_619, obj_t BgL_tz00_620)
{
{ /* Llib/pthread.scm 187 */
{ /* Llib/pthread.scm 189 */
 void * BgL_tmpz00_1123;
BgL_tmpz00_1123 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_620)))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_CLEANUP(BgL_tmpz00_1123);} } 

}



/* &thread-specific-set!1156 */
obj_t BGl_z62threadzd2specificzd2setz121156z70zz__pth_threadz00(obj_t BgL_envz00_621, obj_t BgL_tz00_622, obj_t BgL_vz00_623)
{
{ /* Llib/pthread.scm 179 */
{ /* Llib/pthread.scm 181 */
 void * BgL_arg1694z00_755;
BgL_arg1694z00_755 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_622)))->BgL_z42builtinz42); 
BGLPTH_THREAD_SPECIFIC_SET(BgL_arg1694z00_755, BgL_vz00_623); BUNSPEC; } 
return BgL_vz00_623;} 

}



/* &thread-specific-pthr1154 */
obj_t BGl_z62threadzd2specificzd2pthr1154z62zz__pth_threadz00(obj_t BgL_envz00_624, obj_t BgL_tz00_625)
{
{ /* Llib/pthread.scm 172 */
{ /* Llib/pthread.scm 174 */
 void * BgL_tmpz00_1130;
BgL_tmpz00_1130 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_625)))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_SPECIFIC(BgL_tmpz00_1130);} } 

}



/* &thread-terminate!-pt1152 */
obj_t BGl_z62threadzd2terminatez12zd2pt1152z70zz__pth_threadz00(obj_t BgL_envz00_626, obj_t BgL_tz00_627)
{
{ /* Llib/pthread.scm 163 */
if(
bglpth_thread_terminate(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_627)))->BgL_z42builtinz42)))
{ 
 obj_t BgL_auxz00_1138;
{ /* Llib/pthread.scm 166 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1114z00_758;
{ /* Llib/pthread.scm 166 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1113z00_759;
BgL_new1113z00_759 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 166 */
 long BgL_arg1670z00_760;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_classz00_761;
BgL_classz00_761 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1670z00_760 = 
BGL_CLASS_NUM(BgL_classz00_761); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_759), BgL_arg1670z00_760); } 
BgL_new1114z00_758 = BgL_new1113z00_759; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1114z00_758)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1114z00_758)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1148;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_arg1664z00_762;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_arg1665z00_763;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_classz00_764;
BgL_classz00_764 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1665z00_763 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_764); } 
BgL_arg1664z00_762 = 
VECTOR_REF(BgL_arg1665z00_763,((long)2)); } 
BgL_auxz00_1148 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1664z00_762); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1114z00_758)))->BgL_stackz00)=((obj_t)BgL_auxz00_1148),BUNSPEC); } 
BgL_auxz00_1138 = 
((obj_t)BgL_new1114z00_758); } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_627)))->BgL_endzd2exceptionzd2)=((obj_t)BgL_auxz00_1138),BUNSPEC); }  else 
{ /* Llib/pthread.scm 165 */BFALSE; } 
return 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_627));} 

}



/* &thread-join!-pthread1150 */
obj_t BGl_z62threadzd2joinz12zd2pthread1150z70zz__pth_threadz00(obj_t BgL_envz00_628, obj_t BgL_tz00_629, obj_t BgL_timeoutz00_630)
{
{ /* Llib/pthread.scm 146 */
if(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_629)))->BgL_detachedpz00))
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_arg1605z00_766;
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1111z00_767;
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1110z00_768;
BgL_new1110z00_768 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 150 */
 long BgL_arg1619z00_769;
BgL_arg1619z00_769 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_768), BgL_arg1619z00_769); } 
BgL_new1111z00_767 = BgL_new1110z00_768; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_767)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_767)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1169;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_arg1617z00_770;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_arg1618z00_771;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_classz00_772;
BgL_classz00_772 = BGl_z62threadzd2errorzb0zz__pth_threadz00; 
BgL_arg1618z00_771 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_772); } 
BgL_arg1617z00_770 = 
VECTOR_REF(BgL_arg1618z00_771,((long)2)); } 
BgL_auxz00_1169 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1617z00_770); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_767)))->BgL_stackz00)=((obj_t)BgL_auxz00_1169),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_767)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)15))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_767)))->BgL_msgz00)=((obj_t)BGl_string1781z00zz__pth_threadz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_767)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_629))),BUNSPEC); 
BgL_arg1605z00_766 = BgL_new1111z00_767; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1605z00_766));}  else 
{ /* Llib/pthread.scm 148 */
{ /* Llib/pthread.scm 155 */
 void * BgL_arg1620z00_773; obj_t BgL_arg1629z00_774;
BgL_arg1620z00_773 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_629)))->BgL_z42builtinz42); 
if(
PAIRP(BgL_timeoutz00_630))
{ /* Llib/pthread.scm 155 */
BgL_arg1629z00_774 = 
CAR(BgL_timeoutz00_630); }  else 
{ /* Llib/pthread.scm 155 */
BgL_arg1629z00_774 = BFALSE; } 
bglpth_thread_join(BgL_arg1620z00_773, BgL_arg1629z00_774); BUNSPEC; } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_test1863z00_1192;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1651z00_775;
BgL_arg1651z00_775 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_629)))->BgL_endzd2exceptionzd2); 
{ /* Llib/pthread.scm 156 */
 obj_t BgL_classz00_776;
BgL_classz00_776 = BGl_z62exceptionz62zz__objectz00; 
if(
BGL_OBJECTP(BgL_arg1651z00_775))
{ /* Llib/pthread.scm 156 */
 BgL_objectz00_bglt BgL_arg1793z00_777;
BgL_arg1793z00_777 = 
(BgL_objectz00_bglt)(BgL_arg1651z00_775); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 156 */
 long BgL_idxz00_778;
BgL_idxz00_778 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_777); 
BgL_test1863z00_1192 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_778+((long)2)))==BgL_classz00_776); }  else 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_res1704z00_781;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_oclassz00_782;
{ /* Llib/pthread.scm 156 */
 long BgL_arg1801z00_783;
{ /* Llib/pthread.scm 156 */
 long BgL_arg1802z00_784;
BgL_arg1802z00_784 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_777); 
BgL_arg1801z00_783 = 
(BgL_arg1802z00_784-OBJECT_TYPE); } 
BgL_oclassz00_782 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_783); } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL__ortest_1110z00_785;
BgL__ortest_1110z00_785 = 
(BgL_classz00_776==BgL_oclassz00_782); 
if(BgL__ortest_1110z00_785)
{ /* Llib/pthread.scm 156 */
BgL_res1704z00_781 = BgL__ortest_1110z00_785; }  else 
{ /* Llib/pthread.scm 156 */
 long BgL_odepthz00_786;
BgL_odepthz00_786 = 
BGL_CLASS_DEPTH(BgL_oclassz00_782); 
if(
(((long)2)<BgL_odepthz00_786))
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1790z00_787;
BgL_arg1790z00_787 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_782, ((long)2)); 
BgL_res1704z00_781 = 
(BgL_arg1790z00_787==BgL_classz00_776); }  else 
{ /* Llib/pthread.scm 156 */
BgL_res1704z00_781 = ((bool_t)0); } } } } 
BgL_test1863z00_1192 = BgL_res1704z00_781; } }  else 
{ /* Llib/pthread.scm 156 */
BgL_test1863z00_1192 = ((bool_t)0)
; } } } 
if(BgL_test1863z00_1192)
{ /* Llib/pthread.scm 156 */
return 
BGl_raisez00zz__errorz00(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_629)))->BgL_endzd2exceptionzd2));}  else 
{ /* Llib/pthread.scm 156 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_629)))->BgL_endzd2resultzd2);} } } } 

}



/* &thread-start-joinabl1148 */
obj_t BGl_z62threadzd2startzd2joinabl1148z62zz__pth_threadz00(obj_t BgL_envz00_631, obj_t BgL_tz00_632)
{
{ /* Llib/pthread.scm 137 */
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_632)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/pthread.scm 140 */
 void * BgL_arg1603z00_789;
BgL_arg1603z00_789 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_632)))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1603z00_789, 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_632)), ((bool_t)0)); BUNSPEC; } 
return 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_632));} 

}



/* &thread-start!-pthrea1146 */
obj_t BGl_z62threadzd2startz12zd2pthrea1146z70zz__pth_threadz00(obj_t BgL_envz00_633, obj_t BgL_tz00_634, obj_t BgL_scdz00_635)
{
{ /* Llib/pthread.scm 128 */
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_634)))->BgL_detachedpz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/pthread.scm 131 */
 void * BgL_arg1601z00_791;
BgL_arg1601z00_791 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_634)))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1601z00_791, 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_634)), ((bool_t)1)); BUNSPEC; } 
return 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_634));} 

}



/* &thread-initialize!-p1144 */
obj_t BGl_z62threadzd2initializa7ez12zd2p1144zd7zz__pth_threadz00(obj_t BgL_envz00_636, obj_t BgL_oz00_637)
{
{ /* Llib/pthread.scm 88 */
if(
BGl_bigloozd2initializa7edzf3z86zz__paramz00())
{ /* Llib/pthread.scm 89 */BFALSE; }  else 
{ /* Llib/pthread.scm 92 */
 obj_t BgL_arg1374z00_793;
BgL_arg1374z00_793 = 
bgl_typeof(
((obj_t)
((BgL_pthreadz00_bglt)BgL_oz00_637))); 
{ /* Llib/pthread.scm 90 */
 obj_t BgL_list1375z00_794;
{ /* Llib/pthread.scm 90 */
 obj_t BgL_arg1377z00_795;
{ /* Llib/pthread.scm 90 */
 obj_t BgL_arg1380z00_796;
BgL_arg1380z00_796 = 
MAKE_YOUNG_PAIR(BgL_arg1374z00_793, BNIL); 
BgL_arg1377z00_795 = 
MAKE_YOUNG_PAIR(BGl_string1782z00zz__pth_threadz00, BgL_arg1380z00_796); } 
BgL_list1375z00_794 = 
MAKE_YOUNG_PAIR(BGl_string1783z00zz__pth_threadz00, BgL_arg1377z00_795); } 
BGl_warningz00zz__errorz00(BgL_list1375z00_794); } } 
{ /* Llib/pthread.scm 95 */
 obj_t BgL_bz00_797;
BgL_bz00_797 = 
MAKE_FX_PROCEDURE(BGl_z62bz62zz__pth_threadz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_bz00_797, 
(int)(((long)0)), 
((obj_t)
((BgL_pthreadz00_bglt)BgL_oz00_637))); 
PROCEDURE_SET(BgL_bz00_797, 
(int)(((long)1)), 
((obj_t)
((BgL_pthreadz00_bglt)BgL_oz00_637))); 
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_637)))->BgL_z42builtinz42)=((void *)
bglpth_thread_new(BgL_bz00_797)),BUNSPEC);} } 

}



/* &b */
obj_t BGl_z62bz62zz__pth_threadz00(obj_t BgL_envz00_638)
{
{ /* Llib/pthread.scm 94 */
{ /* Llib/pthread.scm 95 */
 BgL_pthreadz00_bglt BgL_i1081z00_639; BgL_pthreadz00_bglt BgL_oz00_640;
BgL_i1081z00_639 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_638, 
(int)(((long)0)))); 
BgL_oz00_640 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_638, 
(int)(((long)1)))); 
{ /* Llib/pthread.scm 95 */
 obj_t BgL_idz00_798;
{ /* Llib/pthread.scm 95 */
 bool_t BgL_test1869z00_1266;
{ /* Llib/pthread.scm 95 */
 obj_t BgL_tmpz00_1267;
BgL_tmpz00_1267 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1081z00_639)))->BgL_namez00); 
BgL_test1869z00_1266 = 
SYMBOLP(BgL_tmpz00_1267); } 
if(BgL_test1869z00_1266)
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1584z00_799;
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1585z00_800; obj_t BgL_arg1586z00_801;
{ /* Llib/pthread.scm 96 */
 obj_t BgL_symbolz00_802;
BgL_symbolz00_802 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1462z00_803;
BgL_arg1462z00_803 = 
SYMBOL_TO_STRING(BgL_symbolz00_802); 
BgL_arg1585z00_800 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1462z00_803); } } 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1587z00_804;
BgL_arg1587z00_804 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1081z00_639)))->BgL_namez00); 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1462z00_805;
BgL_arg1462z00_805 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg1587z00_804)); 
BgL_arg1586z00_801 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1462z00_805); } } 
BgL_arg1584z00_799 = 
string_append(BgL_arg1585z00_800, BgL_arg1586z00_801); } 
BgL_idz00_798 = 
bstring_to_symbol(BgL_arg1584z00_799); }  else 
{ /* Llib/pthread.scm 95 */
BgL_idz00_798 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)17))); } } 
{ /* Llib/pthread.scm 98 */

BGL_PUSH_TRACE(BgL_idz00_798, BUNSPEC); 
{ /* Llib/pthread.scm 102 */
 obj_t BgL_zc3z04anonymousza31385ze3z87_806;
BgL_zc3z04anonymousza31385ze3z87_806 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31385ze3ze5zz__pth_threadz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31385ze3z87_806, 
(int)(((long)0)), 
((obj_t)BgL_oz00_640)); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BgL_zc3z04anonymousza31385ze3z87_806); BUNSPEC; } 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_env1090z00_807;
BgL_env1090z00_807 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_809;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_cell1085z00_817;
BgL_cell1085z00_817 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_val1089z00_818;
BgL_val1089z00_818 = 
BGl_zc3z04exitza31391ze3ze70z60zz__pth_threadz00(BgL_cell1085z00_817, BgL_env1090z00_807, BgL_i1081z00_639); 
if(
(BgL_val1089z00_818==BgL_cell1085z00_817))
{ /* Llib/pthread.scm 105 */
{ /* Llib/pthread.scm 105 */
 int BgL_tmpz00_1296;
BgL_tmpz00_1296 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_1296); } 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1390z00_819;
BgL_arg1390z00_819 = 
CELL_REF(
((obj_t)BgL_val1089z00_818)); 
{ /* Llib/pthread.scm 105 */
 bool_t BgL_tmpz00_1301;
BgL_ez00_809 = BgL_arg1390z00_819; 
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_uz00_810;
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1092z00_811;
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1091z00_812;
BgL_new1091z00_812 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 107 */
 long BgL_arg1574z00_813;
BgL_arg1574z00_813 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_812), BgL_arg1574z00_813); } 
BgL_new1092z00_811 = BgL_new1091z00_812; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_811)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_811)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1310;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_arg1567z00_814;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_arg1568z00_815;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_classz00_816;
BgL_classz00_816 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
BgL_arg1568z00_815 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_816); } 
BgL_arg1567z00_814 = 
VECTOR_REF(BgL_arg1568z00_815,((long)2)); } 
BgL_auxz00_1310 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1567z00_814); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_811)))->BgL_stackz00)=((obj_t)BgL_auxz00_1310),BUNSPEC); } 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1092z00_811))->BgL_reasonz00)=((obj_t)BgL_ez00_809),BUNSPEC); 
BgL_uz00_810 = BgL_new1092z00_811; } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1081z00_639))->BgL_endzd2exceptionzd2)=((obj_t)
((obj_t)BgL_uz00_810)),BUNSPEC); 
BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_809); 
BgL_tmpz00_1301 = ((bool_t)0); } 
return 
BBOOL(BgL_tmpz00_1301);} } }  else 
{ /* Llib/pthread.scm 105 */
return BgL_val1089z00_818;} } } } } } } } } 

}



/* <@exit:1392>~0 */
obj_t BGl_zc3z04exitza31392ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt BgL_i1081z00_693)
{
{ /* Llib/pthread.scm 114 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1096z00_267;
if( SET_EXIT(BgL_an_exit1096z00_267 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1096z00_267 = 
(void *)jmpbuf; 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_env1100z00_268;
BgL_env1100z00_268 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1100z00_268, BgL_an_exit1096z00_267, ((long)1)); 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_an_exitd1097z00_269;
BgL_an_exitd1097z00_269 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1100z00_268); 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_res1099z00_272;
{ /* Llib/pthread.scm 117 */
 obj_t BgL_zc3z04anonymousza31420ze3z87_609;
BgL_zc3z04anonymousza31420ze3z87_609 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31420ze3ze5zz__pth_threadz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31420ze3z87_609, 
(int)(((long)0)), BgL_an_exitd1097z00_269); 
BGl_signalz00zz__osz00(BGL_PTHREAD_TERM_SIG, BgL_zc3z04anonymousza31420ze3z87_609); } 
{ 
 obj_t BgL_auxz00_1332;
{ /* Llib/pthread.scm 120 */
 obj_t BgL_fun1462z00_281;
BgL_fun1462z00_281 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_i1081z00_693))->BgL_bodyz00); 
BgL_auxz00_1332 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1462z00_281))(BgL_fun1462z00_281, BEOA); } 
BgL_res1099z00_272 = 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1081z00_693))->BgL_endzd2resultzd2)=((obj_t)BgL_auxz00_1332),BUNSPEC); } 
POP_ENV_EXIT(BgL_env1100z00_268); 
return BgL_res1099z00_272;} } } 
}} 

}



/* <@exit:1391>~0 */
obj_t BGl_zc3z04exitza31391ze3ze70z60zz__pth_threadz00(obj_t BgL_cell1085z00_696, obj_t BgL_env1090z00_695, BgL_pthreadz00_bglt BgL_i1081z00_694)
{
{ /* Llib/pthread.scm 105 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1102z00_258;
if( SET_EXIT(BgL_an_exit1102z00_258 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1102z00_258 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1090z00_695, BgL_an_exit1102z00_258, ((long)1)); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_escape1086z00_259;
BgL_escape1086z00_259 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1090z00_695); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_res1105z00_260;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_ohs1082z00_261;
BgL_ohs1082z00_261 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1090z00_695); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_hds1083z00_262;
BgL_hds1083z00_262 = 
MAKE_STACK_PAIR(BgL_escape1086z00_259, BgL_cell1085z00_696); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1090z00_695, BgL_hds1083z00_262); BUNSPEC; 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_exitd1093z00_263;
BgL_exitd1093z00_263 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1090z00_695); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_tmp1095z00_264;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1547z00_282;
BgL_arg1547z00_282 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_263); 
BgL_tmp1095z00_264 = 
MAKE_YOUNG_PAIR(BgL_ohs1082z00_261, BgL_arg1547z00_282); } 
{ /* Llib/pthread.scm 105 */

BGL_EXITD_PROTECT_SET(BgL_exitd1093z00_263, BgL_tmp1095z00_264); BUNSPEC; 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_tmp1094z00_265;
BgL_tmp1094z00_265 = 
BGl_zc3z04exitza31392ze3ze70z60zz__pth_threadz00(BgL_i1081z00_694); 
{ /* Llib/pthread.scm 105 */
 bool_t BgL_test1871z00_1351;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1811z00_439;
BgL_arg1811z00_439 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_263); 
BgL_test1871z00_1351 = 
PAIRP(BgL_arg1811z00_439); } 
if(BgL_test1871z00_1351)
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1809z00_440;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1810z00_441;
BgL_arg1810z00_441 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_263); 
BgL_arg1809z00_440 = 
CDR(
((obj_t)BgL_arg1810z00_441)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1093z00_263, BgL_arg1809z00_440); BUNSPEC; }  else 
{ /* Llib/pthread.scm 105 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1090z00_695, BgL_ohs1082z00_261); BUNSPEC; 
BgL_res1105z00_260 = BgL_tmp1094z00_265; } } } } } } 
POP_ENV_EXIT(BgL_env1090z00_695); 
return BgL_res1105z00_260;} } 
}} 

}



/* &<@anonymous:1420> */
obj_t BGl_z62zc3z04anonymousza31420ze3ze5zz__pth_threadz00(obj_t BgL_envz00_641, obj_t BgL_sz00_643)
{
{ /* Llib/pthread.scm 116 */
{ /* Llib/pthread.scm 117 */
 obj_t BgL_an_exitd1097z00_642;
BgL_an_exitd1097z00_642 = 
PROCEDURE_REF(BgL_envz00_641, 
(int)(((long)0))); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BGl_proc1784z00zz__pth_threadz00); BUNSPEC; 
return 
unwind_stack_until(BgL_an_exitd1097z00_642, BFALSE, BFALSE, BFALSE, BFALSE);} } 

}



/* &<@anonymous:1461> */
obj_t BGl_z62zc3z04anonymousza31461ze3ze5zz__pth_threadz00(obj_t BgL_envz00_644, obj_t BgL_valz00_645)
{
{ /* Llib/pthread.scm 118 */
return BgL_valz00_645;} 

}



/* &<@anonymous:1385> */
obj_t BGl_z62zc3z04anonymousza31385ze3ze5zz__pth_threadz00(obj_t BgL_envz00_646, obj_t BgL_valz00_648)
{
{ /* Llib/pthread.scm 101 */
{ /* Llib/pthread.scm 102 */
 BgL_pthreadz00_bglt BgL_oz00_647;
BgL_oz00_647 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_646, 
(int)(((long)0)))); 
{ /* Llib/pthread.scm 102 */
 obj_t BgL_arg1388z00_821;
{ /* Llib/pthread.scm 102 */
 obj_t BgL_list1389z00_822;
BgL_list1389z00_822 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_647), BNIL); 
BgL_arg1388z00_821 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1785z00zz__pth_threadz00, BgL_list1389z00_822); } 
return 
BGl_errorz00zz__errorz00(BgL_arg1388z00_821, BGl_string1786z00zz__pth_threadz00, BgL_valz00_648);} } } 

}



/* &%user-thread-yield!-1142 */
obj_t BGl_z62z52userzd2threadzd2yieldz12zd21142zf0zz__pth_threadz00(obj_t BgL_envz00_649, obj_t BgL_oz00_650)
{
{ /* Llib/pthread.scm 82 */
return 
BINT(
sched_yield());} 

}



/* &object-print-uncaugh1140 */
obj_t BGl_z62objectzd2printzd2uncaugh1140z62zz__pth_threadz00(obj_t BgL_envz00_651, obj_t BgL_oz00_652, obj_t BgL_portz00_653, obj_t BgL_printzd2slotzd2_654)
{
{ /* Llib/pthread.scm 75 */
{ /* Llib/pthread.scm 77 */
 obj_t BgL_arg1363z00_825;
BgL_arg1363z00_825 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_652)))->BgL_reasonz00); 
return 
BGl_objectzd2printzd2zz__objectz00(
((BgL_objectz00_bglt)BgL_arg1363z00_825), BgL_portz00_653, BgL_printzd2slotzd2_654);} } 

}



/* &object-display-uncau1138 */
obj_t BGl_z62objectzd2displayzd2uncau1138z62zz__pth_threadz00(obj_t BgL_envz00_655, obj_t BgL_oz00_656, obj_t BgL_portz00_657)
{
{ /* Llib/pthread.scm 68 */
{ /* Llib/pthread.scm 70 */
 obj_t BgL_runner1360z00_827;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_arg1357z00_828;
BgL_arg1357z00_828 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_656)))->BgL_reasonz00); 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_list1358z00_829;
BgL_list1358z00_829 = 
MAKE_YOUNG_PAIR(BgL_portz00_657, BNIL); 
BgL_runner1360z00_827 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1357z00_828, BgL_list1358z00_829); } } 
{ /* Llib/pthread.scm 70 */
 BgL_objectz00_bglt BgL_aux1359z00_830;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_pairz00_831;
BgL_pairz00_831 = BgL_runner1360z00_827; 
BgL_aux1359z00_830 = 
((BgL_objectz00_bglt)
CAR(BgL_pairz00_831)); } 
BgL_runner1360z00_827 = 
CDR(BgL_runner1360z00_827); 
return 
BGl_objectzd2displayzd2zz__objectz00(BgL_aux1359z00_830, BgL_runner1360z00_827);} } } 

}



/* &object-write-uncaugh1136 */
obj_t BGl_z62objectzd2writezd2uncaugh1136z62zz__pth_threadz00(obj_t BgL_envz00_658, obj_t BgL_oz00_659, obj_t BgL_portz00_660)
{
{ /* Llib/pthread.scm 61 */
{ /* Llib/pthread.scm 63 */
 obj_t BgL_runner1354z00_833;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_arg1351z00_834;
BgL_arg1351z00_834 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_659)))->BgL_reasonz00); 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_list1352z00_835;
BgL_list1352z00_835 = 
MAKE_YOUNG_PAIR(BgL_portz00_660, BNIL); 
BgL_runner1354z00_833 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1351z00_834, BgL_list1352z00_835); } } 
{ /* Llib/pthread.scm 63 */
 BgL_objectz00_bglt BgL_aux1353z00_836;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_pairz00_837;
BgL_pairz00_837 = BgL_runner1354z00_833; 
BgL_aux1353z00_836 = 
((BgL_objectz00_bglt)
CAR(BgL_pairz00_837)); } 
BgL_runner1354z00_833 = 
CDR(BgL_runner1354z00_833); 
return 
BGl_objectzd2writezd2zz__objectz00(BgL_aux1353z00_836, BgL_runner1354z00_833);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__pth_backendz00(((long)354908835), 
BSTRING_TO_STRING(BGl_string1787z00zz__pth_threadz00));} 

}

#ifdef __cplusplus
}
#endif
