/*===========================================================================*/
/*   (Llib/levenshtein.scm)                                                  */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -srfi text -unsafe -safee -copt -fPIC -copt -IPosix Llib/levenshtein.scm -o objs/levenshtein.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__text_levenshteinz00 = BUNSPEC;
static obj_t BGl_z62levenshteinzd2listzb0zz__text_levenshteinz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_levenshteinzd2datatypezd2zz__text_levenshteinz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__text_levenshteinz00(void);
static obj_t BGl_z62levenshteinz62zz__text_levenshteinz00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__text_levenshteinz00(void);
static obj_t BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t make_vector(long, obj_t);
BGL_EXPORTED_DECL long BGl_levenshteinzd2vectorzd2zz__text_levenshteinz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__text_levenshteinz00(void);
BGL_EXPORTED_DECL long BGl_levenshteinzd2stringzd2zz__text_levenshteinz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__text_levenshteinz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
static obj_t BGl_levenshteinzd2listzf2predicatez20zz__text_levenshteinz00(obj_t, obj_t, obj_t);
static obj_t BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(obj_t);
static obj_t BGl_z62z52stringzd2ze3vectorz01zz__text_levenshteinz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__text_levenshteinz00(void);
BGL_IMPORT long bgl_list_length(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__text_levenshteinz00(void);
static obj_t BGl_levenshteinzf2predicatezf2zz__text_levenshteinz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62levenshteinzd2vectorzb0zz__text_levenshteinz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_levenshteinzd2listzd2zz__text_levenshteinz00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_levenshteinz00zz__text_levenshteinz00(obj_t, obj_t);
static obj_t BGl_z62levenshteinzd2stringzb0zz__text_levenshteinz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52identityz30zz__text_levenshteinz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1087z00zz__text_levenshteinz00, BgL_bgl_string1087za700za7za7_1097za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/text/src/Llib/levenshtein.scm", 69 );
DEFINE_STRING( BGl_string1088z00zz__text_levenshteinz00, BgL_bgl_string1088za700za7za7_1098za7, "&levenshtein-vector", 19 );
DEFINE_STRING( BGl_string1089z00zz__text_levenshteinz00, BgL_bgl_string1089za700za7za7_1099za7, "vector", 6 );
DEFINE_STRING( BGl_string1090z00zz__text_levenshteinz00, BgL_bgl_string1090za700za7za7_1100za7, "&levenshtein-list", 17 );
DEFINE_STRING( BGl_string1091z00zz__text_levenshteinz00, BgL_bgl_string1091za700za7za7_1101za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1092z00zz__text_levenshteinz00, BgL_bgl_string1092za700za7za7_1102za7, "levenshtein", 11 );
DEFINE_STRING( BGl_string1093z00zz__text_levenshteinz00, BgL_bgl_string1093za700za7za7_1103za7, "term 2 must be vector, list, or string:", 39 );
DEFINE_STRING( BGl_string1094z00zz__text_levenshteinz00, BgL_bgl_string1094za700za7za7_1104za7, "term 1 must be vector, list, or string:", 39 );
DEFINE_STRING( BGl_string1095z00zz__text_levenshteinz00, BgL_bgl_string1095za700za7za7_1105za7, "&levenshtein-string", 19 );
DEFINE_STRING( BGl_string1096z00zz__text_levenshteinz00, BgL_bgl_string1096za700za7za7_1106za7, "bstring", 7 );
BGL_IMPORT obj_t BGl_listzd2ze3vectorzd2envze3zz__r4_vectors_6_8z00;
BGL_IMPORT obj_t BGl_vectorzd2lengthzd2envz00zz__r4_vectors_6_8z00;
BGL_IMPORT obj_t BGl_stringzd2nullzf3zd2envzf3zz__r4_strings_6_7z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_levenshteinzd2stringzd2envz00zz__text_levenshteinz00, BgL_bgl_za762levenshteinza7d1107z00, BGl_z62levenshteinzd2stringzb0zz__text_levenshteinz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_charzd3zf3zd2envzf2zz__r4_characters_6_6z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_levenshteinzd2envzd2zz__text_levenshteinz00, BgL_bgl_za762levenshteinza761108z00, BGl_z62levenshteinz62zz__text_levenshteinz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_nullzf3zd2envz21zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_levenshteinzd2listzd2envz00zz__text_levenshteinz00, BgL_bgl_za762levenshteinza7d1109z00, BGl_z62levenshteinzd2listzb0zz__text_levenshteinz00, 0L, BUNSPEC, 2 );
static obj_t BGl_z52vectorzd2emptyzf3zd2envza1zz__text_levenshteinz00;
BGL_IMPORT obj_t BGl_stringzd2lengthzd2envz00zz__r4_strings_6_7z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_z52stringzd2ze3vectorzd2envzb1zz__text_levenshteinz00, BgL_bgl_za762za752stringza7d2za71110z00, BGl_z62z52stringzd2ze3vectorz01zz__text_levenshteinz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_lengthzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_levenshteinzd2vectorzd2envz00zz__text_levenshteinz00, BgL_bgl_za762levenshteinza7d1111z00, BGl_z62levenshteinzd2vectorzb0zz__text_levenshteinz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_z52identityzd2envz80zz__text_levenshteinz00, BgL_bgl_za762za752identityza731112za7, BGl_z62z52identityz30zz__text_levenshteinz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__text_levenshteinz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__text_levenshteinz00(long BgL_checksumz00_322, char * BgL_fromz00_323)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__text_levenshteinz00))
{ 
BGl_requirezd2initializa7ationz75zz__text_levenshteinz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__text_levenshteinz00(); 
BGl_libraryzd2moduleszd2initz00zz__text_levenshteinz00(); 
return 
BGl_methodzd2initzd2zz__text_levenshteinz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__text_levenshteinz00(void)
{
{ /* Llib/levenshtein.scm 26 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__text_levenshtein"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__text_levenshteinz00(void)
{
{ /* Llib/levenshtein.scm 26 */
return 
bgl_gc_roots_register();} 

}



/* &%identity */
obj_t BGl_z62z52identityz30zz__text_levenshteinz00(obj_t BgL_envz00_272, obj_t BgL_xz00_273)
{
{ /* Llib/levenshtein.scm 35 */
return BgL_xz00_273;} 

}



/* %string->vector */
obj_t BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(obj_t BgL_sz00_5)
{
{ /* Llib/levenshtein.scm 47 */
{ /* Llib/levenshtein.scm 48 */
 long BgL_lz00_50;
BgL_lz00_50 = 
STRING_LENGTH(
((obj_t)BgL_sz00_5)); 
{ /* Llib/levenshtein.scm 48 */
 obj_t BgL_vz00_51;
BgL_vz00_51 = 
make_vector(BgL_lz00_50, BUNSPEC); 
{ /* Llib/levenshtein.scm 49 */

{ 
 long BgL_iz00_53;
BgL_iz00_53 = ((long)0); 
BgL_zc3z04anonymousza31016ze3z87_54:
if(
(BgL_lz00_50==BgL_iz00_53))
{ /* Llib/levenshtein.scm 51 */
return BgL_vz00_51;}  else 
{ /* Llib/levenshtein.scm 51 */
{ /* Llib/levenshtein.scm 54 */
 unsigned char BgL_arg1018z00_56;
BgL_arg1018z00_56 = 
STRING_REF(
((obj_t)BgL_sz00_5), BgL_iz00_53); 
VECTOR_SET(BgL_vz00_51,BgL_iz00_53,
BCHAR(BgL_arg1018z00_56)); } 
{ 
 long BgL_iz00_349;
BgL_iz00_349 = 
(BgL_iz00_53+((long)1)); 
BgL_iz00_53 = BgL_iz00_349; 
goto BgL_zc3z04anonymousza31016ze3z87_54;} } } } } } } 

}



/* &%string->vector */
obj_t BGl_z62z52stringzd2ze3vectorz01zz__text_levenshteinz00(obj_t BgL_envz00_276, obj_t BgL_sz00_277)
{
{ /* Llib/levenshtein.scm 47 */
return 
BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(BgL_sz00_277);} 

}



/* levenshtein-vector/predicate */
obj_t BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(obj_t BgL_az00_6, obj_t BgL_bz00_7, obj_t BgL_predz00_8)
{
{ /* Llib/levenshtein.scm 60 */
if(
(
VECTOR_LENGTH(BgL_az00_6)==((long)0)))
{ /* Llib/levenshtein.scm 64 */
return 
BINT(
VECTOR_LENGTH(BgL_bz00_7));}  else 
{ /* Llib/levenshtein.scm 64 */
if(
(
VECTOR_LENGTH(BgL_bz00_7)==((long)0)))
{ /* Llib/levenshtein.scm 66 */
return 
BINT(
VECTOR_LENGTH(BgL_az00_6));}  else 
{ /* Llib/levenshtein.scm 69 */
 obj_t BgL_wz00_64; obj_t BgL_nextz00_65;
{ /* Llib/levenshtein.scm 69 */
 long BgL_arg1039z00_99;
BgL_arg1039z00_99 = 
(((long)1)+
VECTOR_LENGTH(BgL_bz00_7)); 
BgL_wz00_64 = 
make_vector(BgL_arg1039z00_99, BUNSPEC); } 
BgL_nextz00_65 = BFALSE; 
{ 
 long BgL_kz00_67;
BgL_kz00_67 = 
VECTOR_LENGTH(BgL_bz00_7); 
BgL_zc3z04anonymousza31023ze3z87_68:
VECTOR_SET(BgL_wz00_64,BgL_kz00_67,
BINT(BgL_kz00_67)); 
{ /* Llib/levenshtein.scm 73 */
 bool_t BgL__ortest_1010z00_69;
BgL__ortest_1010z00_69 = 
(BgL_kz00_67==((long)0)); 
if(BgL__ortest_1010z00_69)
{ /* Llib/levenshtein.scm 73 */BgL__ortest_1010z00_69; }  else 
{ 
 long BgL_kz00_369;
BgL_kz00_369 = 
(BgL_kz00_67-((long)1)); 
BgL_kz00_67 = BgL_kz00_369; 
goto BgL_zc3z04anonymousza31023ze3z87_68;} } } 
{ 
 long BgL_iz00_73;
BgL_iz00_73 = ((long)0); 
BgL_zc3z04anonymousza31025ze3z87_74:
if(
(BgL_iz00_73==
VECTOR_LENGTH(BgL_az00_6)))
{ /* Llib/levenshtein.scm 75 */
return BgL_nextz00_65;}  else 
{ /* Llib/levenshtein.scm 77 */
 obj_t BgL_azd2izd2_76;
BgL_azd2izd2_76 = 
VECTOR_REF(BgL_az00_6,BgL_iz00_73); 
{ /* Llib/levenshtein.scm 78 */
 long BgL_g1011z00_77;
BgL_g1011z00_77 = 
(((long)1)+BgL_iz00_73); 
{ 
 long BgL_jz00_79; obj_t BgL_curz00_80;
BgL_jz00_79 = ((long)0); 
BgL_curz00_80 = 
BINT(BgL_g1011z00_77); 
BgL_zc3z04anonymousza31027ze3z87_81:
if(
(BgL_jz00_79==
VECTOR_LENGTH(BgL_bz00_7)))
{ /* Llib/levenshtein.scm 80 */
{ /* Llib/levenshtein.scm 82 */
 obj_t BgL_objz00_175;
BgL_objz00_175 = BgL_nextz00_65; 
VECTOR_SET(BgL_wz00_64,
VECTOR_LENGTH(BgL_bz00_7),BgL_objz00_175); } 
{ 
 long BgL_iz00_382;
BgL_iz00_382 = 
(((long)1)+BgL_iz00_73); 
BgL_iz00_73 = BgL_iz00_382; 
goto BgL_zc3z04anonymousza31025ze3z87_74;} }  else 
{ /* Llib/levenshtein.scm 80 */
{ /* Llib/levenshtein.scm 85 */
 long BgL_az00_84; obj_t BgL_bz00_85;
{ /* Llib/levenshtein.scm 86 */
 obj_t BgL_arg1031z00_87;
BgL_arg1031z00_87 = 
VECTOR_REF(BgL_wz00_64,
(((long)1)+BgL_jz00_79)); 
BgL_az00_84 = 
(((long)1)+
(long)CINT(BgL_arg1031z00_87)); } 
{ /* Llib/levenshtein.scm 87 */
 long BgL_az00_89; obj_t BgL_bz00_90;
BgL_az00_89 = 
(((long)1)+
(long)CINT(BgL_curz00_80)); 
{ /* Llib/levenshtein.scm 88 */
 bool_t BgL_test1120z00_390;
{ /* Llib/levenshtein.scm 88 */
 obj_t BgL_arg1037z00_95;
BgL_arg1037z00_95 = 
VECTOR_REF(BgL_bz00_7,BgL_jz00_79); 
BgL_test1120z00_390 = 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_predz00_8))(BgL_predz00_8, BgL_azd2izd2_76, BgL_arg1037z00_95, BEOA)); } 
if(BgL_test1120z00_390)
{ /* Llib/levenshtein.scm 88 */
BgL_bz00_90 = 
VECTOR_REF(BgL_wz00_64,BgL_jz00_79); }  else 
{ /* Llib/levenshtein.scm 88 */
BgL_bz00_90 = 
ADDFX(
BINT(((long)1)), 
VECTOR_REF(BgL_wz00_64,BgL_jz00_79)); } } 
if(
(BgL_az00_89<
(long)CINT(BgL_bz00_90)))
{ /* Llib/levenshtein.scm 87 */
BgL_bz00_85 = 
BINT(BgL_az00_89); }  else 
{ /* Llib/levenshtein.scm 87 */
BgL_bz00_85 = BgL_bz00_90; } } 
if(
(BgL_az00_84<
(long)CINT(BgL_bz00_85)))
{ /* Llib/levenshtein.scm 87 */
BgL_nextz00_65 = 
BINT(BgL_az00_84); }  else 
{ /* Llib/levenshtein.scm 87 */
BgL_nextz00_65 = BgL_bz00_85; } } 
VECTOR_SET(BgL_wz00_64,BgL_jz00_79,BgL_curz00_80); 
{ /* Llib/levenshtein.scm 92 */
 long BgL_arg1038z00_96;
BgL_arg1038z00_96 = 
(((long)1)+BgL_jz00_79); 
{ 
 obj_t BgL_curz00_413; long BgL_jz00_412;
BgL_jz00_412 = BgL_arg1038z00_96; 
BgL_curz00_413 = BgL_nextz00_65; 
BgL_curz00_80 = BgL_curz00_413; 
BgL_jz00_79 = BgL_jz00_412; 
goto BgL_zc3z04anonymousza31027ze3z87_81;} } } } } } } } } } 

}



/* levenshtein-vector */
BGL_EXPORTED_DEF long BGl_levenshteinzd2vectorzd2zz__text_levenshteinz00(obj_t BgL_az00_15, obj_t BgL_bz00_16)
{
{ /* Llib/levenshtein.scm 101 */
return 
(long)CINT(
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_az00_15, BgL_bz00_16, BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00));} 

}



/* &levenshtein-vector */
obj_t BGl_z62levenshteinzd2vectorzb0zz__text_levenshteinz00(obj_t BgL_envz00_278, obj_t BgL_az00_279, obj_t BgL_bz00_280)
{
{ /* Llib/levenshtein.scm 101 */
{ /* Llib/levenshtein.scm 99 */
 long BgL_tmpz00_417;
{ /* Llib/levenshtein.scm 99 */
 obj_t BgL_auxz00_425; obj_t BgL_auxz00_418;
if(
VECTORP(BgL_bz00_280))
{ /* Llib/levenshtein.scm 99 */
BgL_auxz00_425 = BgL_bz00_280
; }  else 
{ 
 obj_t BgL_auxz00_428;
BgL_auxz00_428 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1087z00zz__text_levenshteinz00, 
BINT(((long)4130)), BGl_string1088z00zz__text_levenshteinz00, BGl_string1089z00zz__text_levenshteinz00, BgL_bz00_280); 
FAILURE(BgL_auxz00_428,BFALSE,BFALSE);} 
if(
VECTORP(BgL_az00_279))
{ /* Llib/levenshtein.scm 99 */
BgL_auxz00_418 = BgL_az00_279
; }  else 
{ 
 obj_t BgL_auxz00_421;
BgL_auxz00_421 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1087z00zz__text_levenshteinz00, 
BINT(((long)4130)), BGl_string1088z00zz__text_levenshteinz00, BGl_string1089z00zz__text_levenshteinz00, BgL_az00_279); 
FAILURE(BgL_auxz00_421,BFALSE,BFALSE);} 
BgL_tmpz00_417 = 
BGl_levenshteinzd2vectorzd2zz__text_levenshteinz00(BgL_auxz00_418, BgL_auxz00_425); } 
return 
BINT(BgL_tmpz00_417);} } 

}



/* levenshtein-list/predicate */
obj_t BGl_levenshteinzd2listzf2predicatez20zz__text_levenshteinz00(obj_t BgL_az00_17, obj_t BgL_bz00_18, obj_t BgL_predz00_19)
{
{ /* Llib/levenshtein.scm 107 */
if(
NULLP(BgL_az00_17))
{ /* Llib/levenshtein.scm 109 */
return 
BINT(
bgl_list_length(BgL_bz00_18));}  else 
{ /* Llib/levenshtein.scm 109 */
if(
NULLP(BgL_bz00_18))
{ /* Llib/levenshtein.scm 111 */
return 
BINT(
bgl_list_length(BgL_az00_17));}  else 
{ /* Llib/levenshtein.scm 111 */
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_az00_17), 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_bz00_18), BgL_predz00_19);} } } 

}



/* levenshtein-list */
BGL_EXPORTED_DEF long BGl_levenshteinzd2listzd2zz__text_levenshteinz00(obj_t BgL_az00_26, obj_t BgL_bz00_27)
{
{ /* Llib/levenshtein.scm 125 */
return 
(long)CINT(
BGl_levenshteinzd2listzf2predicatez20zz__text_levenshteinz00(BgL_az00_26, BgL_bz00_27, BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00));} 

}



/* &levenshtein-list */
obj_t BGl_z62levenshteinzd2listzb0zz__text_levenshteinz00(obj_t BgL_envz00_284, obj_t BgL_az00_285, obj_t BgL_bz00_286)
{
{ /* Llib/levenshtein.scm 125 */
{ /* Llib/levenshtein.scm 123 */
 long BgL_tmpz00_447;
{ /* Llib/levenshtein.scm 123 */
 obj_t BgL_auxz00_455; obj_t BgL_auxz00_448;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_bz00_286))
{ /* Llib/levenshtein.scm 123 */
BgL_auxz00_455 = BgL_bz00_286
; }  else 
{ 
 obj_t BgL_auxz00_458;
BgL_auxz00_458 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1087z00zz__text_levenshteinz00, 
BINT(((long)4899)), BGl_string1090z00zz__text_levenshteinz00, BGl_string1091z00zz__text_levenshteinz00, BgL_bz00_286); 
FAILURE(BgL_auxz00_458,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_az00_285))
{ /* Llib/levenshtein.scm 123 */
BgL_auxz00_448 = BgL_az00_285
; }  else 
{ 
 obj_t BgL_auxz00_451;
BgL_auxz00_451 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1087z00zz__text_levenshteinz00, 
BINT(((long)4899)), BGl_string1090z00zz__text_levenshteinz00, BGl_string1091z00zz__text_levenshteinz00, BgL_az00_285); 
FAILURE(BgL_auxz00_451,BFALSE,BFALSE);} 
BgL_tmpz00_447 = 
BGl_levenshteinzd2listzd2zz__text_levenshteinz00(BgL_auxz00_448, BgL_auxz00_455); } 
return 
BINT(BgL_tmpz00_447);} } 

}



/* levenshtein-datatype */
obj_t BGl_levenshteinzd2datatypezd2zz__text_levenshteinz00(obj_t BgL_az00_28, obj_t BgL_bz00_29, obj_t BgL_predz00_30, obj_t BgL_azd2empzd2_31, obj_t BgL_azd2lenzd2_32, obj_t BgL_azd2veczd2_33)
{
{ /* Llib/levenshtein.scm 131 */
if(
VECTORP(BgL_bz00_29))
{ /* Llib/levenshtein.scm 139 */
if(
(
VECTOR_LENGTH(BgL_bz00_29)==((long)0)))
{ /* Llib/levenshtein.scm 134 */
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_azd2lenzd2_32))(BgL_azd2lenzd2_32, BgL_az00_28, BEOA);}  else 
{ /* Llib/levenshtein.scm 136 */
 obj_t BgL_arg1050z00_210;
BgL_arg1050z00_210 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_azd2veczd2_33))(BgL_azd2veczd2_33, BgL_az00_28, BEOA); 
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_arg1050z00_210, BgL_bz00_29, BgL_predz00_30);} }  else 
{ /* Llib/levenshtein.scm 139 */
if(
STRINGP(BgL_bz00_29))
{ /* Llib/levenshtein.scm 141 */
if(
(
STRING_LENGTH(BgL_bz00_29)==((long)0)))
{ /* Llib/levenshtein.scm 134 */
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_azd2lenzd2_32))(BgL_azd2lenzd2_32, BgL_az00_28, BEOA);}  else 
{ /* Llib/levenshtein.scm 136 */
 obj_t BgL_arg1050z00_217; obj_t BgL_arg1051z00_218;
BgL_arg1050z00_217 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_azd2veczd2_33))(BgL_azd2veczd2_33, BgL_az00_28, BEOA); 
BgL_arg1051z00_218 = 
BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(BgL_bz00_29); 
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_arg1050z00_217, BgL_arg1051z00_218, BgL_predz00_30);} }  else 
{ /* Llib/levenshtein.scm 141 */
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_bz00_29))
{ /* Llib/levenshtein.scm 143 */
if(
NULLP(BgL_bz00_29))
{ /* Llib/levenshtein.scm 134 */
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_azd2lenzd2_32))(BgL_azd2lenzd2_32, BgL_az00_28, BEOA);}  else 
{ /* Llib/levenshtein.scm 136 */
 obj_t BgL_arg1050z00_224; obj_t BgL_arg1051z00_225;
BgL_arg1050z00_224 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_azd2veczd2_33))(BgL_azd2veczd2_33, BgL_az00_28, BEOA); 
BgL_arg1051z00_225 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_bz00_29); 
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_arg1050z00_224, BgL_arg1051z00_225, BgL_predz00_30);} }  else 
{ /* Llib/levenshtein.scm 143 */
return 
BGl_errorz00zz__errorz00(BGl_string1092z00zz__text_levenshteinz00, BGl_string1093z00zz__text_levenshteinz00, BgL_bz00_29);} } } } 

}



/* levenshtein/predicate */
obj_t BGl_levenshteinzf2predicatezf2zz__text_levenshteinz00(obj_t BgL_az00_34, obj_t BgL_bz00_35, obj_t BgL_predz00_36)
{
{ /* Llib/levenshtein.scm 151 */
if(
VECTORP(BgL_az00_34))
{ /* Llib/levenshtein.scm 166 */
if(
VECTORP(BgL_bz00_35))
{ /* Llib/levenshtein.scm 167 */
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_az00_34, BgL_bz00_35, BgL_predz00_36);}  else 
{ /* Llib/levenshtein.scm 167 */
return 
BGl_levenshteinzd2datatypezd2zz__text_levenshteinz00(BgL_az00_34, BgL_bz00_35, BgL_predz00_36, BGl_z52vectorzd2emptyzf3zd2envza1zz__text_levenshteinz00, BGl_vectorzd2lengthzd2envz00zz__r4_vectors_6_8z00, BGl_z52identityzd2envz80zz__text_levenshteinz00);} }  else 
{ /* Llib/levenshtein.scm 166 */
if(
STRINGP(BgL_az00_34))
{ /* Llib/levenshtein.scm 173 */
if(
STRINGP(BgL_bz00_35))
{ /* Llib/levenshtein.scm 174 */
if(
(
STRING_LENGTH(BgL_az00_34)==((long)0)))
{ /* Llib/levenshtein.scm 155 */
return 
BINT(
STRING_LENGTH(BgL_bz00_35));}  else 
{ /* Llib/levenshtein.scm 155 */
if(
(
STRING_LENGTH(BgL_bz00_35)==((long)0)))
{ /* Llib/levenshtein.scm 157 */
return 
BINT(
STRING_LENGTH(BgL_az00_34));}  else 
{ /* Llib/levenshtein.scm 157 */
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(
BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(BgL_az00_34), 
BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(BgL_bz00_35), BgL_predz00_36);} } }  else 
{ /* Llib/levenshtein.scm 174 */
return 
BGl_levenshteinzd2datatypezd2zz__text_levenshteinz00(BgL_az00_34, BgL_bz00_35, BgL_predz00_36, BGl_stringzd2nullzf3zd2envzf3zz__r4_strings_6_7z00, BGl_stringzd2lengthzd2envz00zz__r4_strings_6_7z00, BGl_z52stringzd2ze3vectorzd2envzb1zz__text_levenshteinz00);} }  else 
{ /* Llib/levenshtein.scm 173 */
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_az00_34))
{ /* Llib/levenshtein.scm 180 */
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_bz00_35))
{ /* Llib/levenshtein.scm 181 */
if(
NULLP(
((obj_t)BgL_az00_34)))
{ /* Llib/levenshtein.scm 109 */
return 
BINT(
bgl_list_length(
((obj_t)BgL_bz00_35)));}  else 
{ /* Llib/levenshtein.scm 109 */
if(
NULLP(
((obj_t)BgL_bz00_35)))
{ /* Llib/levenshtein.scm 111 */
return 
BINT(
bgl_list_length(
((obj_t)BgL_az00_34)));}  else 
{ /* Llib/levenshtein.scm 114 */
 obj_t BgL_arg1043z00_258; obj_t BgL_arg1044z00_259;
BgL_arg1043z00_258 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(
((obj_t)BgL_az00_34)); 
BgL_arg1044z00_259 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(
((obj_t)BgL_bz00_35)); 
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_arg1043z00_258, BgL_arg1044z00_259, BgL_predz00_36);} } }  else 
{ /* Llib/levenshtein.scm 181 */
return 
BGl_levenshteinzd2datatypezd2zz__text_levenshteinz00(BgL_az00_34, BgL_bz00_35, BgL_predz00_36, BGl_nullzf3zd2envz21zz__r4_pairs_and_lists_6_3z00, BGl_lengthzd2envzd2zz__r4_pairs_and_lists_6_3z00, BGl_listzd2ze3vectorzd2envze3zz__r4_vectors_6_8z00);} }  else 
{ /* Llib/levenshtein.scm 180 */
return 
BGl_errorz00zz__errorz00(BGl_string1092z00zz__text_levenshteinz00, BGl_string1094z00zz__text_levenshteinz00, BgL_az00_34);} } } } 

}



/* levenshtein-string */
BGL_EXPORTED_DEF long BGl_levenshteinzd2stringzd2zz__text_levenshteinz00(obj_t BgL_az00_37, obj_t BgL_bz00_38)
{
{ /* Llib/levenshtein.scm 190 */
if(
(
STRING_LENGTH(BgL_az00_37)==((long)0)))
{ /* Llib/levenshtein.scm 192 */
return 
STRING_LENGTH(BgL_bz00_38);}  else 
{ /* Llib/levenshtein.scm 192 */
if(
(
STRING_LENGTH(BgL_bz00_38)==((long)0)))
{ /* Llib/levenshtein.scm 194 */
return 
STRING_LENGTH(BgL_az00_37);}  else 
{ /* Llib/levenshtein.scm 198 */
 obj_t BgL_arg1065z00_135; obj_t BgL_arg1066z00_136;
BgL_arg1065z00_135 = 
BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(BgL_az00_37); 
BgL_arg1066z00_136 = 
BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(BgL_bz00_38); 
return 
(long)CINT(
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_arg1065z00_135, BgL_arg1066z00_136, BGl_charzd3zf3zd2envzf2zz__r4_characters_6_6z00));} } } 

}



/* &levenshtein-string */
obj_t BGl_z62levenshteinzd2stringzb0zz__text_levenshteinz00(obj_t BgL_envz00_299, obj_t BgL_az00_300, obj_t BgL_bz00_301)
{
{ /* Llib/levenshtein.scm 190 */
{ /* Llib/levenshtein.scm 192 */
 long BgL_tmpz00_567;
{ /* Llib/levenshtein.scm 192 */
 obj_t BgL_auxz00_575; obj_t BgL_auxz00_568;
if(
STRINGP(BgL_bz00_301))
{ /* Llib/levenshtein.scm 192 */
BgL_auxz00_575 = BgL_bz00_301
; }  else 
{ 
 obj_t BgL_auxz00_578;
BgL_auxz00_578 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1087z00zz__text_levenshteinz00, 
BINT(((long)7160)), BGl_string1095z00zz__text_levenshteinz00, BGl_string1096z00zz__text_levenshteinz00, BgL_bz00_301); 
FAILURE(BgL_auxz00_578,BFALSE,BFALSE);} 
if(
STRINGP(BgL_az00_300))
{ /* Llib/levenshtein.scm 192 */
BgL_auxz00_568 = BgL_az00_300
; }  else 
{ 
 obj_t BgL_auxz00_571;
BgL_auxz00_571 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1087z00zz__text_levenshteinz00, 
BINT(((long)7160)), BGl_string1095z00zz__text_levenshteinz00, BGl_string1096z00zz__text_levenshteinz00, BgL_az00_300); 
FAILURE(BgL_auxz00_571,BFALSE,BFALSE);} 
BgL_tmpz00_567 = 
BGl_levenshteinzd2stringzd2zz__text_levenshteinz00(BgL_auxz00_568, BgL_auxz00_575); } 
return 
BINT(BgL_tmpz00_567);} } 

}



/* levenshtein */
BGL_EXPORTED_DEF long BGl_levenshteinz00zz__text_levenshteinz00(obj_t BgL_az00_39, obj_t BgL_bz00_40)
{
{ /* Llib/levenshtein.scm 205 */
{ /* Llib/levenshtein.scm 206 */
 bool_t BgL_test1149z00_584;
if(
STRINGP(BgL_az00_39))
{ /* Llib/levenshtein.scm 206 */
BgL_test1149z00_584 = 
STRINGP(BgL_bz00_40)
; }  else 
{ /* Llib/levenshtein.scm 206 */
BgL_test1149z00_584 = ((bool_t)0)
; } 
if(BgL_test1149z00_584)
{ /* Llib/levenshtein.scm 206 */
return 
BGl_levenshteinzd2stringzd2zz__text_levenshteinz00(BgL_az00_39, BgL_bz00_40);}  else 
{ /* Llib/levenshtein.scm 206 */
return 
(long)CINT(
BGl_levenshteinzf2predicatezf2zz__text_levenshteinz00(BgL_az00_39, BgL_bz00_40, BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00));} } } 

}



/* &levenshtein */
obj_t BGl_z62levenshteinz62zz__text_levenshteinz00(obj_t BgL_envz00_305, obj_t BgL_az00_306, obj_t BgL_bz00_307)
{
{ /* Llib/levenshtein.scm 205 */
return 
BINT(
BGl_levenshteinz00zz__text_levenshteinz00(BgL_az00_306, BgL_bz00_307));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__text_levenshteinz00(void)
{
{ /* Llib/levenshtein.scm 26 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__text_levenshteinz00(void)
{
{ /* Llib/levenshtein.scm 26 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__text_levenshteinz00(void)
{
{ /* Llib/levenshtein.scm 26 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
