/*===========================================================================*/
/*   (Llib/wav_alsadec.scm)                                                  */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -safee -unsafe -srfi wav -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/wav_alsadec.scm -o objs/wav_alsadec.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <alsa/asoundlib.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_alsamusicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
   struct BgL_alsazd2sndzd2pcmz00_bgl * BgL_pcmz00;
} *BgL_alsamusicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicinfoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   long BgL_sampleratez00;
   int BgL_channelsz00;
   int BgL_bpsz00;
   long BgL_durationz00;
} *BgL_musicinfoz00_bglt;

typedef struct BgL_alsazd2sndzd2pcmz00_bgl {
   header_t header;
   obj_t widening;
   snd_pcm_t * BgL_z42builtinz42;
   obj_t BgL_namez00;
   obj_t BgL_devicez00;
   obj_t BgL_streamz00;
   obj_t BgL_modez00;
   int BgL_hwbpsz00;
   int BgL_hwsratez00;
} *BgL_alsazd2sndzd2pcmz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_wavinfoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   long BgL_sampleratez00;
   int BgL_channelsz00;
   int BgL_bpsz00;
   long BgL_durationz00;
   obj_t BgL_audiofmtz00;
   int BgL_byteratez00;
   int BgL_blockalignz00;
   long BgL_chunksiza7eza7;
} *BgL_wavinfoz00_bglt;

typedef struct BgL_wavmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52headerz52;
   int BgL_z52cursorz52;
   int BgL_z52siza7ezf5;
   int BgL_z52positionz52;
} *BgL_wavmusicdecoderz00_bglt;

typedef struct BgL_wavzd2alsadecoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52headerz52;
   int BgL_z52cursorz52;
   int BgL_z52siza7ezf5;
   int BgL_z52positionz52;
} *BgL_wavzd2alsadecoderzd2_bglt;


static obj_t BGl_requirezd2initializa7ationz75zz__wav_alsadecz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__wav_alsadecz00(void);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__wav_alsadecz00(void);
static obj_t BGl_objectzd2initzd2zz__wav_alsadecz00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__wav_alsadecz00(void);
static obj_t BGl_z62zc3z04anonymousza31138ze3ze5zz__wav_alsadecz00(obj_t, obj_t);
static BgL_wavzd2alsadecoderzd2_bglt BGl_z62lambda1131z62zz__wav_alsadecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_wavzd2alsadecoderzd2_bglt BGl_z62lambda1134z62zz__wav_alsadecz00(obj_t);
static obj_t BGl_z62musicdecoderzd2hwparam1112zb0zz__wav_alsadecz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__wav_alsadecz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__wav_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__wav_wavz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
BGL_EXPORTED_DEF obj_t BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__wav_alsadecz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__wav_alsadecz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__wav_alsadecz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__wav_alsadecz00(void);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_wavmusicdecoderz00zz__wav_decoderz00;
static obj_t __cnst[ 15 ] ;


DEFINE_STRING( BGl_string1176z00zz__wav_alsadecz00, BgL_bgl_string1176za700za7za7_1186za7, "Llib/wav_alsadec.scm", 20 );
DEFINE_STRING( BGl_string1180z00zz__wav_alsadecz00, BgL_bgl_string1180za700za7za7_1187za7, "", 0 );
DEFINE_STRING( BGl_string1182z00zz__wav_alsadecz00, BgL_bgl_string1182za700za7za7_1188za7, "musicdecoder-hwparams-set!", 26 );
DEFINE_STRING( BGl_string1183z00zz__wav_alsadecz00, BgL_bgl_string1183za700za7za7_1189za7, "__wav_alsadec", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1177z00zz__wav_alsadecz00, BgL_bgl_za762za7c3za704anonymo1190za7, BGl_z62zc3z04anonymousza31138ze3ze5zz__wav_alsadecz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1184z00zz__wav_alsadecz00, BgL_bgl_string1184za700za7za7_1191za7, ":start-threshold :avail-min :access rw-interleaved :format :channels :rate-near :buffer-size-near-ratio :period-size-near-ratio s32 s24-3le s16 u8 __wav_alsadec wav-alsadecoder ", 177 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1178z00zz__wav_alsadecz00, BgL_bgl_za762lambda1134za7621192z00, BGl_z62lambda1134z62zz__wav_alsadecz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1179z00zz__wav_alsadecz00, BgL_bgl_za762lambda1131za7621193z00, BGl_z62lambda1131z62zz__wav_alsadecz00, 0L, BUNSPEC, 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1181z00zz__wav_alsadecz00, BgL_bgl_za762musicdecoderza71194z00, BGl_z62musicdecoderzd2hwparam1112zb0zz__wav_alsadecz00, 0L, BUNSPEC, 3 );
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2hwparamszd2setz12zd2envzc0zz__multimediazd2musicbufzd2;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__wav_alsadecz00) );
ADD_ROOT( (void *)(&BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__wav_alsadecz00(long BgL_checksumz00_185, char * BgL_fromz00_186)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__wav_alsadecz00))
{ 
BGl_requirezd2initializa7ationz75zz__wav_alsadecz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__wav_alsadecz00(); 
BGl_libraryzd2moduleszd2initz00zz__wav_alsadecz00(); 
BGl_cnstzd2initzd2zz__wav_alsadecz00(); 
BGl_importedzd2moduleszd2initz00zz__wav_alsadecz00(); 
BGl_objectzd2initzd2zz__wav_alsadecz00(); 
BGl_methodzd2initzd2zz__wav_alsadecz00(); 
return 
BGl_toplevelzd2initzd2zz__wav_alsadecz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__wav_alsadecz00(void)
{
{ /* Llib/wav_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__wav_alsadec"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__wav_alsadecz00(void)
{
{ /* Llib/wav_alsadec.scm 15 */
{ /* Llib/wav_alsadec.scm 15 */
 obj_t BgL_cportz00_126;
{ /* Llib/wav_alsadec.scm 15 */
 obj_t BgL_stringz00_133;
BgL_stringz00_133 = BGl_string1184z00zz__wav_alsadecz00; 
{ /* Llib/wav_alsadec.scm 15 */
 obj_t BgL_startz00_134;
BgL_startz00_134 = 
BINT(((long)0)); 
{ /* Llib/wav_alsadec.scm 15 */
 obj_t BgL_endz00_135;
BgL_endz00_135 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_133))); 
{ /* Llib/wav_alsadec.scm 15 */

BgL_cportz00_126 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_133, BgL_startz00_134, BgL_endz00_135); } } } } 
{ 
 long BgL_iz00_127;
BgL_iz00_127 = ((long)14); 
BgL_loopz00_128:
if(
(BgL_iz00_127==((long)-1)))
{ /* Llib/wav_alsadec.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/wav_alsadec.scm 15 */
{ /* Llib/wav_alsadec.scm 15 */
 obj_t BgL_arg1185z00_129;
{ /* Llib/wav_alsadec.scm 15 */

{ /* Llib/wav_alsadec.scm 15 */
 obj_t BgL_locationz00_131;
BgL_locationz00_131 = 
BBOOL(((bool_t)0)); 
{ /* Llib/wav_alsadec.scm 15 */

BgL_arg1185z00_129 = 
BGl_readz00zz__readerz00(BgL_cportz00_126, BgL_locationz00_131); } } } 
{ /* Llib/wav_alsadec.scm 15 */
 int BgL_tmpz00_215;
BgL_tmpz00_215 = 
(int)(BgL_iz00_127); 
CNST_TABLE_SET(BgL_tmpz00_215, BgL_arg1185z00_129); } } 
{ /* Llib/wav_alsadec.scm 15 */
 int BgL_auxz00_132;
BgL_auxz00_132 = 
(int)(
(BgL_iz00_127-((long)1))); 
{ 
 long BgL_iz00_220;
BgL_iz00_220 = 
(long)(BgL_auxz00_132); 
BgL_iz00_127 = BgL_iz00_220; 
goto BgL_loopz00_128;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__wav_alsadecz00(void)
{
{ /* Llib/wav_alsadec.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__wav_alsadecz00(void)
{
{ /* Llib/wav_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1176z00zz__wav_alsadecz00)); 
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(((long)0), 
BSTRING_TO_STRING(BGl_string1176z00zz__wav_alsadecz00)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__wav_alsadecz00(void)
{
{ /* Llib/wav_alsadec.scm 15 */
{ /* Llib/wav_alsadec.scm 28 */
 obj_t BgL_arg1129z00_17; obj_t BgL_arg1130z00_18;
{ /* Llib/wav_alsadec.scm 28 */
 obj_t BgL_v1109z00_44;
BgL_v1109z00_44 = 
create_vector(((long)0)); 
BgL_arg1129z00_17 = BgL_v1109z00_44; } 
{ /* Llib/wav_alsadec.scm 28 */
 obj_t BgL_v1110z00_45;
BgL_v1110z00_45 = 
create_vector(((long)0)); 
BgL_arg1130z00_18 = BgL_v1110z00_45; } 
return ( 
BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_wavmusicdecoderz00zz__wav_decoderz00, ((long)30116), BGl_proc1179z00zz__wav_alsadecz00, BGl_proc1178z00zz__wav_alsadecz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1177z00zz__wav_alsadecz00, BFALSE, BgL_arg1129z00_17, BgL_arg1130z00_18), BUNSPEC) ;} } 

}



/* &<@anonymous:1138> */
obj_t BGl_z62zc3z04anonymousza31138ze3ze5zz__wav_alsadecz00(obj_t BgL_envz00_96, obj_t BgL_new1101z00_97)
{
{ /* Llib/wav_alsadec.scm 28 */
{ 
 BgL_wavzd2alsadecoderzd2_bglt BgL_auxz00_232;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_outbufz00)=((obj_t)BGl_string1180z00zz__wav_alsadecz00),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_z52headerz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_z52cursorz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_z52siza7ezf5)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97))))->BgL_z52positionz52)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_232 = 
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1101z00_97); 
return 
((obj_t)BgL_auxz00_232);} } 

}



/* &lambda1134 */
BgL_wavzd2alsadecoderzd2_bglt BGl_z62lambda1134z62zz__wav_alsadecz00(obj_t BgL_envz00_98)
{
{ /* Llib/wav_alsadec.scm 28 */
{ /* Llib/wav_alsadec.scm 28 */
 BgL_wavzd2alsadecoderzd2_bglt BgL_new1100z00_138;
BgL_new1100z00_138 = 
((BgL_wavzd2alsadecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_wavzd2alsadecoderzd2_bgl) ))); 
{ /* Llib/wav_alsadec.scm 28 */
 long BgL_arg1137z00_139;
BgL_arg1137z00_139 = 
BGL_CLASS_NUM(BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1100z00_138), BgL_arg1137z00_139); } 
return BgL_new1100z00_138;} } 

}



/* &lambda1131 */
BgL_wavzd2alsadecoderzd2_bglt BGl_z62lambda1131z62zz__wav_alsadecz00(obj_t BgL_envz00_99, obj_t BgL_mimetypes1085z00_100, obj_t BgL_bufferzd2timezd2near1086z00_101, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1087z75_102, obj_t BgL_periodzd2siza7ezd2nearzd2rat1088z75_103, obj_t BgL_z52z12dpause1089z40_104, obj_t BgL_z52z12dabort1090z40_105, obj_t BgL_z52z12stop1091z40_106, obj_t BgL_z52dmutex1092z52_107, obj_t BgL_z52dcondv1093z52_108, obj_t BgL_z52doutcondv1094z52_109, obj_t BgL_outbuf1095z00_110, obj_t BgL_z52header1096z52_111, obj_t BgL_z52cursor1097z52_112, obj_t BgL_z52siza7e1098zf5_113, obj_t BgL_z52position1099z52_114)
{
{ /* Llib/wav_alsadec.scm 28 */
{ /* Llib/wav_alsadec.scm 28 */
 int BgL_bufferzd2timezd2near1086z00_141; int BgL_bufferzd2siza7ezd2nearzd2rat1087z75_142; int BgL_periodzd2siza7ezd2nearzd2rat1088z75_143; bool_t BgL_z52z12dpause1089z40_144; bool_t BgL_z52z12dabort1090z40_145; bool_t BgL_z52z12stop1091z40_146; int BgL_z52cursor1097z52_151; int BgL_z52siza7e1098zf5_152; int BgL_z52position1099z52_153;
BgL_bufferzd2timezd2near1086z00_141 = 
CINT(BgL_bufferzd2timezd2near1086z00_101); 
BgL_bufferzd2siza7ezd2nearzd2rat1087z75_142 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1087z75_102); 
BgL_periodzd2siza7ezd2nearzd2rat1088z75_143 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1088z75_103); 
BgL_z52z12dpause1089z40_144 = 
CBOOL(BgL_z52z12dpause1089z40_104); 
BgL_z52z12dabort1090z40_145 = 
CBOOL(BgL_z52z12dabort1090z40_105); 
BgL_z52z12stop1091z40_146 = 
CBOOL(BgL_z52z12stop1091z40_106); 
BgL_z52cursor1097z52_151 = 
CINT(BgL_z52cursor1097z52_112); 
BgL_z52siza7e1098zf5_152 = 
CINT(BgL_z52siza7e1098zf5_113); 
BgL_z52position1099z52_153 = 
CINT(BgL_z52position1099z52_114); 
{ /* Llib/wav_alsadec.scm 28 */
 BgL_wavzd2alsadecoderzd2_bglt BgL_new1108z00_154;
{ /* Llib/wav_alsadec.scm 28 */
 BgL_wavzd2alsadecoderzd2_bglt BgL_new1107z00_155;
BgL_new1107z00_155 = 
((BgL_wavzd2alsadecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_wavzd2alsadecoderzd2_bgl) ))); 
{ /* Llib/wav_alsadec.scm 28 */
 long BgL_arg1133z00_156;
BgL_arg1133z00_156 = 
BGL_CLASS_NUM(BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1107z00_155), BgL_arg1133z00_156); } 
BgL_new1108z00_154 = BgL_new1107z00_155; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1085z00_100)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1086z00_141),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1087z75_142),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1088z75_143),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1089z40_144),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1090z40_145),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1091z40_146),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1092z52_107)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1093z52_108)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1094z52_109)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1095z00_110)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_z52headerz52)=((obj_t)BgL_z52header1096z52_111),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_z52cursorz52)=((int)BgL_z52cursor1097z52_151),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_z52siza7ezf5)=((int)BgL_z52siza7e1098zf5_152),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1108z00_154)))->BgL_z52positionz52)=((int)BgL_z52position1099z52_153),BUNSPEC); 
{ /* Llib/wav_alsadec.scm 28 */
 obj_t BgL_fun1132z00_157;
BgL_fun1132z00_157 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1132z00_157))(BgL_fun1132z00_157, 
((obj_t)BgL_new1108z00_154), BEOA); } 
return BgL_new1108z00_154;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__wav_alsadecz00(void)
{
{ /* Llib/wav_alsadec.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__wav_alsadecz00(void)
{
{ /* Llib/wav_alsadec.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2hwparamszd2setz12zd2envzc0zz__multimediazd2musicbufzd2, BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00, BGl_proc1181z00zz__wav_alsadecz00, BGl_string1182z00zz__wav_alsadecz00);} 

}



/* &musicdecoder-hwparam1112 */
obj_t BGl_z62musicdecoderzd2hwparam1112zb0zz__wav_alsadecz00(obj_t BgL_envz00_118, obj_t BgL_decz00_119, obj_t BgL_amz00_120, obj_t BgL_bufferz00_121)
{
{ /* Llib/wav_alsadec.scm 40 */
{ /* Llib/wav_alsadec.scm 46 */
 BgL_wavinfoz00_bglt BgL_i1104z00_161;
BgL_i1104z00_161 = 
((BgL_wavinfoz00_bglt)
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_decz00_119))))->BgL_z52headerz52)); 
{ /* Llib/wav_alsadec.scm 47 */
 obj_t BgL_encodingz00_162;
switch( 
(long)(
(((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_i1104z00_161)))->BgL_bpsz00))) { case ((long)8) : 

BgL_encodingz00_162 = 
CNST_TABLE_REF(((long)2)); break;case ((long)16) : 

BgL_encodingz00_162 = 
CNST_TABLE_REF(((long)3)); break;case ((long)24) : 

BgL_encodingz00_162 = 
CNST_TABLE_REF(((long)4)); break;case ((long)32) : 

BgL_encodingz00_162 = 
CNST_TABLE_REF(((long)5)); break;
default: 
BgL_encodingz00_162 = BUNSPEC; } 
{ /* Llib/wav_alsadec.scm 52 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1139z00_163; int BgL_arg1141z00_164; long BgL_arg1142z00_165; int BgL_arg1143z00_166; int BgL_arg1144z00_167;
BgL_arg1139z00_163 = 
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)
((BgL_musicz00_bglt)BgL_amz00_120))))->BgL_pcmz00); 
BgL_arg1141z00_164 = 
(((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_i1104z00_161)))->BgL_channelsz00); 
BgL_arg1142z00_165 = 
(((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_i1104z00_161)))->BgL_sampleratez00); 
BgL_arg1143z00_166 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_decz00_119))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75); 
BgL_arg1144z00_167 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_decz00_119))))->BgL_periodzd2siza7ezd2nearzd2ratioz75); 
{ /* Llib/wav_alsadec.scm 52 */
 obj_t BgL_list1145z00_168;
{ /* Llib/wav_alsadec.scm 52 */
 obj_t BgL_arg1146z00_169;
{ /* Llib/wav_alsadec.scm 52 */
 obj_t BgL_arg1147z00_170;
{ /* Llib/wav_alsadec.scm 52 */
 obj_t BgL_arg1149z00_171;
{ /* Llib/wav_alsadec.scm 52 */
 obj_t BgL_arg1150z00_172;
{ /* Llib/wav_alsadec.scm 52 */
 obj_t BgL_arg1153z00_173;
{ /* Llib/wav_alsadec.scm 52 */
 obj_t BgL_arg1154z00_174;
{ /* Llib/wav_alsadec.scm 52 */
 obj_t BgL_arg1155z00_175;
{ /* Llib/wav_alsadec.scm 52 */
 obj_t BgL_arg1156z00_176;
{ /* Llib/wav_alsadec.scm 52 */
 obj_t BgL_arg1157z00_177;
{ /* Llib/wav_alsadec.scm 52 */
 obj_t BgL_arg1159z00_178;
{ /* Llib/wav_alsadec.scm 52 */
 obj_t BgL_arg1165z00_179;
BgL_arg1165z00_179 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1144z00_167), BNIL); 
BgL_arg1159z00_178 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)6)), BgL_arg1165z00_179); } 
BgL_arg1157z00_177 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1143z00_166), BgL_arg1159z00_178); } 
BgL_arg1156z00_176 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)7)), BgL_arg1157z00_177); } 
BgL_arg1155z00_175 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1142z00_165), BgL_arg1156z00_176); } 
BgL_arg1154z00_174 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)8)), BgL_arg1155z00_175); } 
BgL_arg1153z00_173 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1141z00_164), BgL_arg1154z00_174); } 
BgL_arg1150z00_172 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)9)), BgL_arg1153z00_173); } 
BgL_arg1149z00_171 = 
MAKE_YOUNG_PAIR(BgL_encodingz00_162, BgL_arg1150z00_172); } 
BgL_arg1147z00_170 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)10)), BgL_arg1149z00_171); } 
BgL_arg1146z00_169 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)11)), BgL_arg1147z00_170); } 
BgL_list1145z00_168 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)12)), BgL_arg1146z00_169); } 
BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_arg1139z00_163, BgL_list1145z00_168); } } 
{ /* Llib/wav_alsadec.scm 59 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1166z00_180;
BgL_arg1166z00_180 = 
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)
((BgL_musicz00_bglt)BgL_amz00_120))))->BgL_pcmz00); 
{ /* Llib/wav_alsadec.scm 59 */
 obj_t BgL_list1167z00_181;
{ /* Llib/wav_alsadec.scm 59 */
 obj_t BgL_arg1168z00_182;
{ /* Llib/wav_alsadec.scm 59 */
 obj_t BgL_arg1170z00_183;
{ /* Llib/wav_alsadec.scm 59 */
 obj_t BgL_arg1171z00_184;
BgL_arg1171z00_184 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BNIL); 
BgL_arg1170z00_183 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)13)), BgL_arg1171z00_184); } 
BgL_arg1168z00_182 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg1170z00_183); } 
BgL_list1167z00_181 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg1168z00_182); } 
return 
BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_arg1166z00_180, BgL_list1167z00_181);} } } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__wav_alsadecz00(void)
{
{ /* Llib/wav_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__wav_wavz00(((long)21080121), 
BSTRING_TO_STRING(BGl_string1183z00zz__wav_alsadecz00)); 
return 
BGl_modulezd2initializa7ationz75zz__wav_decoderz00(((long)0), 
BSTRING_TO_STRING(BGl_string1183z00zz__wav_alsadecz00));} 

}

#ifdef __cplusplus
}
#endif
