/*===========================================================================*/
/*   (Llib/wav_decoder.scm)                                                  */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -safee -unsafe -srfi wav -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/wav_decoder.scm -o objs/wav_decoder.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_wavinfoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   long BgL_sampleratez00;
   int BgL_channelsz00;
   int BgL_bpsz00;
   long BgL_durationz00;
   obj_t BgL_audiofmtz00;
   int BgL_byteratez00;
   int BgL_blockalignz00;
   long BgL_chunksiza7eza7;
} *BgL_wavinfoz00_bglt;

typedef struct BgL_wavmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52headerz52;
   int BgL_z52cursorz52;
   int BgL_z52siza7ezf5;
   int BgL_z52positionz52;
} *BgL_wavmusicdecoderz00_bglt;


static long BGl_z42wavzd2statuszd2okz42zz__wav_decoderz00;
static obj_t BGl_z62musicdecoderzd2decodezd21140z62zz__wav_decoderz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__wav_decoderz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__wav_decoderz00(void);
BGL_IMPORT obj_t BGl_musicbufferzd2blitzd2stringz12z12zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt, int, obj_t, int, int);
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__wav_decoderz00(void);
static obj_t BGl_zc3z04exitza31188ze3ze70z60zz__wav_decoderz00(int, BgL_wavmusicdecoderz00_bglt, BgL_musicbufferz00_bglt, obj_t, obj_t);
static obj_t BGl_wavzd2decodezd2statuszd2ze3symbolz31zz__wav_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(BgL_musicbufz00_bglt, obj_t, long);
static obj_t BGl_objectzd2initzd2zz__wav_decoderz00(void);
static obj_t BGl_z62musicdecoderzd2positio1138zb0zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_debugz00zz__wav_decoderz00(obj_t);
static long BGl_z42wavzd2statuszd2needzd2morez90zz__wav_decoderz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_wavzd2decodezd2zz__wav_decoderz00(BgL_wavmusicdecoderz00_bglt, BgL_musicbufz00_bglt, BgL_musicbufferz00_bglt, int, int);
static obj_t BGl_methodzd2initzd2zz__wav_decoderz00(void);
BGL_IMPORT obj_t BGl_musicdecoderz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
static int BGl_wavzd2debugzd2zz__wav_decoderz00(void);
BGL_IMPORT obj_t make_string(long, unsigned char);
static obj_t BGl_inczd2tailz12ze70z27zz__wav_decoderz00(BgL_musicbufferz00_bglt, long, BgL_musicbufferz00_bglt, obj_t, long);
static obj_t BGl_z62zc3z04anonymousza31262ze3ze5zz__wav_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31343ze3ze5zz__wav_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31254ze3ze5zz__wav_decoderz00(obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static long BGl_bufferzd2percentagezd2filledze70ze7zz__wav_decoderz00(long, BgL_musicbufferz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__wav_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31247ze3ze5zz__wav_decoderz00(obj_t, obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_microseconds(void);
static obj_t BGl_z62musicdecoderzd2resetz12zd21136z70zz__wav_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
BGL_IMPORT obj_t BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static long BGl_z42wavzd2statuszd2newzd2formatz90zz__wav_decoderz00;
static BgL_wavmusicdecoderz00_bglt BGl_z62lambda1235z62zz__wav_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_wavmusicdecoderz00_bglt BGl_z62lambda1238z62zz__wav_decoderz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__wav_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__wav_wavz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
BGL_IMPORT int bgl_debug(void);
static obj_t BGl_z62lambda1252z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31292ze3ze5zz__wav_decoderz00(obj_t);
static obj_t BGl_z62lambda1253z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1334z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1335z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1260z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1341z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1261z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1342z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__wav_decoderz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__wav_decoderz00(void);
static obj_t BGl_debugzd2initz12zc0zz__wav_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__wav_decoderz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__wav_decoderz00(void);
BGL_IMPORT long BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicbufferz00_bglt);
static obj_t BGl_z62musicdecoderzd2initzd2wa1134z62zz__wav_decoderz00(obj_t, obj_t);
BGL_IMPORT long BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
static obj_t BGl_z62lambda1290z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1291z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2volumezd21142z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_debugzd2stopz12zc0zz__wav_decoderz00(obj_t);
extern long BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(void);
static long BGl_z42wavzd2statuszd2donez42zz__wav_decoderz00;
static obj_t BGl_z62objectzd2printzd2wavmusi1132z62zz__wav_decoderz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_wavzd2parsezd2headerz00zz__wav_wavz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_wavmusicdecoderz00zz__wav_decoderz00 = BUNSPEC;
static obj_t BGl_za2debugzd2portza2zd2zz__wav_decoderz00 = BUNSPEC;
static bool_t BGl_flushze70ze7zz__wav_decoderz00(BgL_musicbufz00_bglt, BgL_wavmusicdecoderz00_bglt, int);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufferzd2substringzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt, int, int);
static obj_t __cnst[ 23 ] ;


BGL_IMPORT obj_t BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string1956z00zz__wav_decoderz00, BgL_bgl_string1956za700za7za7_2019za7, "Llib/wav_decoder.scm", 20 );
DEFINE_STRING( BGl_string1957z00zz__wav_decoderz00, BgL_bgl_string1957za700za7za7_2020za7, "wav-decode", 10 );
DEFINE_STRING( BGl_string1958z00zz__wav_decoderz00, BgL_bgl_string1958za700za7za7_2021za7, "Cannot play none PCM wav format", 31 );
DEFINE_STRING( BGl_string1959z00zz__wav_decoderz00, BgL_bgl_string1959za700za7za7_2022za7, "/tmp/WAV.log", 12 );
DEFINE_STRING( BGl_string1960z00zz__wav_decoderz00, BgL_bgl_string1960za700za7za7_2023za7, "\n", 1 );
DEFINE_STRING( BGl_string1961z00zz__wav_decoderz00, BgL_bgl_string1961za700za7za7_2024za7, " ", 1 );
DEFINE_STRING( BGl_string1962z00zz__wav_decoderz00, BgL_bgl_string1962za700za7za7_2025za7, ">>> WAV_DECODER init ", 21 );
DEFINE_STRING( BGl_string1963z00zz__wav_decoderz00, BgL_bgl_string1963za700za7za7_2026za7, ">>> WAV_DECODER stop ", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1964z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2027za7, BGl_z62zc3z04anonymousza31254ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1965z00zz__wav_decoderz00, BgL_bgl_za762lambda1253za7622028z00, BGl_z62lambda1253z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1966z00zz__wav_decoderz00, BgL_bgl_za762lambda1252za7622029z00, BGl_z62lambda1252z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1967z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2030za7, BGl_z62zc3z04anonymousza31262ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1968z00zz__wav_decoderz00, BgL_bgl_za762lambda1261za7622031z00, BGl_z62lambda1261z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1969z00zz__wav_decoderz00, BgL_bgl_za762lambda1260za7622032z00, BGl_z62lambda1260z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1970z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2033za7, BGl_z62zc3z04anonymousza31292ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1971z00zz__wav_decoderz00, BgL_bgl_za762lambda1291za7622034z00, BGl_z62lambda1291z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1972z00zz__wav_decoderz00, BgL_bgl_za762lambda1290za7622035z00, BGl_z62lambda1290z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1973z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2036za7, BGl_z62zc3z04anonymousza31336ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1974z00zz__wav_decoderz00, BgL_bgl_za762lambda1335za7622037z00, BGl_z62lambda1335z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1975z00zz__wav_decoderz00, BgL_bgl_za762lambda1334za7622038z00, BGl_z62lambda1334z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1982z00zz__wav_decoderz00, BgL_bgl_string1982za700za7za7_2039za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1976z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2040za7, BGl_z62zc3z04anonymousza31343ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1977z00zz__wav_decoderz00, BgL_bgl_za762lambda1342za7622041z00, BGl_z62lambda1342z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1984z00zz__wav_decoderz00, BgL_bgl_string1984za700za7za7_2042za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1978z00zz__wav_decoderz00, BgL_bgl_za762lambda1341za7622043z00, BGl_z62lambda1341z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1979z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2044za7, BGl_z62zc3z04anonymousza31247ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1986z00zz__wav_decoderz00, BgL_bgl_string1986za700za7za7_2045za7, "musicdecoder-init", 17 );
DEFINE_STRING( BGl_string1988z00zz__wav_decoderz00, BgL_bgl_string1988za700za7za7_2046za7, "musicdecoder-reset!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1980z00zz__wav_decoderz00, BgL_bgl_za762lambda1238za7622047z00, BGl_z62lambda1238z62zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1981z00zz__wav_decoderz00, BgL_bgl_za762lambda1235za7622048z00, BGl_z62lambda1235z62zz__wav_decoderz00, 0L, BUNSPEC, 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1983z00zz__wav_decoderz00, BgL_bgl_za762objectza7d2prin2049z00, BGl_z62objectzd2printzd2wavmusi1132z62zz__wav_decoderz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1990z00zz__wav_decoderz00, BgL_bgl_string1990za700za7za7_2050za7, "musicdecoder-position", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1985z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72051z00, BGl_z62musicdecoderzd2initzd2wa1134z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1992z00zz__wav_decoderz00, BgL_bgl_string1992za700za7za7_2052za7, "musicdecoder-decode", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1987z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72053z00, BGl_z62musicdecoderzd2resetz12zd21136z70zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1994z00zz__wav_decoderz00, BgL_bgl_string1994za700za7za7_2054za7, "musicdecoder-volume-set!", 24 );
DEFINE_STRING( BGl_string1995z00zz__wav_decoderz00, BgL_bgl_string1995za700za7za7_2055za7, "~~~ WAV_DECODER, EOF ", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1989z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72056z00, BGl_z62musicdecoderzd2positio1138zb0zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1996z00zz__wav_decoderz00, BgL_bgl_string1996za700za7za7_2057za7, "...", 3 );
DEFINE_STRING( BGl_string1997z00zz__wav_decoderz00, BgL_bgl_string1997za700za7za7_2058za7, "<-- WAV_DECODER, wait not-empty ", 32 );
DEFINE_STRING( BGl_string1998z00zz__wav_decoderz00, BgL_bgl_string1998za700za7za7_2059za7, " -> status=", 11 );
DEFINE_STRING( BGl_string1999z00zz__wav_decoderz00, BgL_bgl_string1999za700za7za7_2060za7, " hd=", 4 );
BGL_IMPORT obj_t BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1991z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72061z00, BGl_z62musicdecoderzd2decodezd21140z62zz__wav_decoderz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1993z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72062z00, BGl_z62musicdecoderzd2volumezd21142z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string2000z00zz__wav_decoderz00, BgL_bgl_string2000za700za7za7_2063za7, " tl=", 4 );
DEFINE_STRING( BGl_string2001z00zz__wav_decoderz00, BgL_bgl_string2001za700za7za7_2064za7, "~~~ WAV_DECODER, s=", 19 );
DEFINE_STRING( BGl_string2002z00zz__wav_decoderz00, BgL_bgl_string2002za700za7za7_2065za7, " size=", 6 );
DEFINE_STRING( BGl_string2003z00zz__wav_decoderz00, BgL_bgl_string2003za700za7za7_2066za7, "~~~ WAV_DECODER, OK s=", 22 );
DEFINE_STRING( BGl_string2004z00zz__wav_decoderz00, BgL_bgl_string2004za700za7za7_2067za7, " tail=", 6 );
DEFINE_STRING( BGl_string2005z00zz__wav_decoderz00, BgL_bgl_string2005za700za7za7_2068za7, " %empty=", 8 );
DEFINE_STRING( BGl_string2006z00zz__wav_decoderz00, BgL_bgl_string2006za700za7za7_2069za7, "~~~ WAV_DECODER, NEED-MORE s=", 29 );
DEFINE_STRING( BGl_string2007z00zz__wav_decoderz00, BgL_bgl_string2007za700za7za7_2070za7, "wav decoding error", 18 );
DEFINE_STRING( BGl_string2008z00zz__wav_decoderz00, BgL_bgl_string2008za700za7za7_2071za7, "\033[0m\033[1;33m", 11 );
DEFINE_STRING( BGl_string2009z00zz__wav_decoderz00, BgL_bgl_string2009za700za7za7_2072za7, "\033[0m\033[1;32m", 11 );
DEFINE_STRING( BGl_string2010z00zz__wav_decoderz00, BgL_bgl_string2010za700za7za7_2073za7, " EOF", 4 );
DEFINE_STRING( BGl_string2011z00zz__wav_decoderz00, BgL_bgl_string2011za700za7za7_2074za7, " url=", 5 );
DEFINE_STRING( BGl_string2012z00zz__wav_decoderz00, BgL_bgl_string2012za700za7za7_2075za7, "%\033[0m", 5 );
DEFINE_STRING( BGl_string2013z00zz__wav_decoderz00, BgL_bgl_string2013za700za7za7_2076za7, "--- WAV_DECODER, buffer fill: ", 30 );
DEFINE_STRING( BGl_string2014z00zz__wav_decoderz00, BgL_bgl_string2014za700za7za7_2077za7, "--> WAV_DECODER, broadcast not-full ", 36 );
DEFINE_STRING( BGl_string2015z00zz__wav_decoderz00, BgL_bgl_string2015za700za7za7_2078za7, "#|wavmusicdecoder|", 18 );
DEFINE_STRING( BGl_string2016z00zz__wav_decoderz00, BgL_bgl_string2016za700za7za7_2079za7, "__wav_decoder", 13 );
DEFINE_STRING( BGl_string2017z00zz__wav_decoderz00, BgL_bgl_string2017za700za7za7_2080za7, "(\"audio/wav\" \"audio/x-wav\" \"audio/x-pn-windows-acm\") error buffering ended stop play pause __wav_decoder wavmusicdecoder %position %size int %cursor obj %header bstring outbuf pcm unknown-status ok need-more done new-format ", 224 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__wav_decoderz00) );
ADD_ROOT( (void *)(&BGl_wavmusicdecoderz00zz__wav_decoderz00) );
ADD_ROOT( (void *)(&BGl_za2debugzd2portza2zd2zz__wav_decoderz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__wav_decoderz00(long BgL_checksumz00_856, char * BgL_fromz00_857)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__wav_decoderz00))
{ 
BGl_requirezd2initializa7ationz75zz__wav_decoderz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__wav_decoderz00(); 
BGl_libraryzd2moduleszd2initz00zz__wav_decoderz00(); 
BGl_cnstzd2initzd2zz__wav_decoderz00(); 
BGl_importedzd2moduleszd2initz00zz__wav_decoderz00(); 
BGl_objectzd2initzd2zz__wav_decoderz00(); 
BGl_methodzd2initzd2zz__wav_decoderz00(); 
return 
BGl_toplevelzd2initzd2zz__wav_decoderz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__wav_decoder"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_cportz00_728;
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_stringz00_735;
BgL_stringz00_735 = BGl_string2017z00zz__wav_decoderz00; 
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_startz00_736;
BgL_startz00_736 = 
BINT(((long)0)); 
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_endz00_737;
BgL_endz00_737 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_735))); 
{ /* Llib/wav_decoder.scm 15 */

BgL_cportz00_728 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_735, BgL_startz00_736, BgL_endz00_737); } } } } 
{ 
 long BgL_iz00_729;
BgL_iz00_729 = ((long)22); 
BgL_loopz00_730:
if(
(BgL_iz00_729==((long)-1)))
{ /* Llib/wav_decoder.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/wav_decoder.scm 15 */
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_arg2018z00_731;
{ /* Llib/wav_decoder.scm 15 */

{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_locationz00_733;
BgL_locationz00_733 = 
BBOOL(((bool_t)0)); 
{ /* Llib/wav_decoder.scm 15 */

BgL_arg2018z00_731 = 
BGl_readz00zz__readerz00(BgL_cportz00_728, BgL_locationz00_733); } } } 
{ /* Llib/wav_decoder.scm 15 */
 int BgL_tmpz00_894;
BgL_tmpz00_894 = 
(int)(BgL_iz00_729); 
CNST_TABLE_SET(BgL_tmpz00_894, BgL_arg2018z00_731); } } 
{ /* Llib/wav_decoder.scm 15 */
 int BgL_auxz00_734;
BgL_auxz00_734 = 
(int)(
(BgL_iz00_729-((long)1))); 
{ 
 long BgL_iz00_899;
BgL_iz00_899 = 
(long)(BgL_auxz00_734); 
BgL_iz00_729 = BgL_iz00_899; 
goto BgL_loopz00_730;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1956z00zz__wav_decoderz00)); 
BGl_z42wavzd2statuszd2newzd2formatz90zz__wav_decoderz00 = ((long)1); 
BGl_z42wavzd2statuszd2donez42zz__wav_decoderz00 = ((long)2); 
BGl_z42wavzd2statuszd2needzd2morez90zz__wav_decoderz00 = ((long)3); 
BGl_z42wavzd2statuszd2okz42zz__wav_decoderz00 = ((long)4); 
return ( 
BGl_za2debugzd2portza2zd2zz__wav_decoderz00 = BFALSE, BUNSPEC) ;} 

}



/* wav-debug */
int BGl_wavzd2debugzd2zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 37 */
if(
(((long)0)>((long)0)))
{ /* Llib/wav_decoder.scm 38 */
BGL_TAIL return 
bgl_debug();}  else 
{ /* Llib/wav_decoder.scm 38 */
return 
(int)(((long)0));} } 

}



/* wav-decode-status->symbol */
obj_t BGl_wavzd2decodezd2statuszd2ze3symbolz31zz__wav_decoderz00(obj_t BgL_statusz00_10)
{
{ /* Llib/wav_decoder.scm 82 */
if(
(((long)1)==
(long)CINT(BgL_statusz00_10)))
{ /* Llib/wav_decoder.scm 84 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Llib/wav_decoder.scm 84 */
if(
(((long)2)==
(long)CINT(BgL_statusz00_10)))
{ /* Llib/wav_decoder.scm 85 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Llib/wav_decoder.scm 85 */
if(
(((long)3)==
(long)CINT(BgL_statusz00_10)))
{ /* Llib/wav_decoder.scm 86 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Llib/wav_decoder.scm 86 */
if(
(((long)4)==
(long)CINT(BgL_statusz00_10)))
{ /* Llib/wav_decoder.scm 87 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Llib/wav_decoder.scm 87 */
return 
CNST_TABLE_REF(((long)4));} } } } } 

}



/* wav-decode */
obj_t BGl_wavzd2decodezd2zz__wav_decoderz00(BgL_wavmusicdecoderz00_bglt BgL_decz00_14, BgL_musicbufz00_bglt BgL_amz00_15, BgL_musicbufferz00_bglt BgL_bufferz00_16, int BgL_tailz00_17, int BgL_sz00_18)
{
{ /* Llib/wav_decoder.scm 267 */
if(
CBOOL(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52headerz52)))
{ /* Llib/wav_decoder.scm 288 */
 BgL_wavinfoz00_bglt BgL_i1124z00_40;
BgL_i1124z00_40 = 
((BgL_wavinfoz00_bglt)
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52headerz52)); 
if(
(
(long)(BgL_sz00_18)<
(long)(
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1124z00_40))->BgL_blockalignz00))))
{ /* Llib/wav_decoder.scm 290 */
{ /* Llib/wav_decoder.scm 291 */
 long BgL_arg1155z00_43; obj_t BgL_arg1156z00_44; int BgL_arg1157z00_45;
BgL_arg1155z00_43 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_bufferz00_16))->BgL_z52tailz52); 
BgL_arg1156z00_44 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_outbufz00); 
BgL_arg1157z00_45 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52); 
BGl_musicbufferzd2blitzd2stringz12z12zz__multimediazd2musicbufzd2(BgL_bufferz00_16, 
(int)(BgL_arg1155z00_43), BgL_arg1156z00_44, BgL_arg1157z00_45, BgL_sz00_18); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52)=((int)
(int)(
(
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52))+
(long)(BgL_sz00_18)))),BUNSPEC); 
return 
BINT(((long)3));}  else 
{ /* Llib/wav_decoder.scm 294 */
 bool_t BgL_test2090z00_947;
{ /* Llib/wav_decoder.scm 294 */
 long BgL_n1z00_491; long BgL_n2z00_492;
BgL_n1z00_491 = 
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52positionz52)); 
{ /* Llib/wav_decoder.scm 294 */
 long BgL_tmpz00_950;
BgL_tmpz00_950 = 
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1124z00_40))->BgL_chunksiza7eza7); 
BgL_n2z00_492 = 
(long)(BgL_tmpz00_950); } 
BgL_test2090z00_947 = 
(BgL_n1z00_491>=BgL_n2z00_492); } 
if(BgL_test2090z00_947)
{ /* Llib/wav_decoder.scm 294 */
return 
BINT(((long)2));}  else 
{ /* Llib/wav_decoder.scm 294 */
{ 
 int BgL_auxz00_955;
{ /* Llib/wav_decoder.scm 297 */
 long BgL_za71za7_495;
BgL_za71za7_495 = 
(long)(
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1124z00_40))->BgL_blockalignz00)); 
BgL_auxz00_955 = 
(int)(
(BgL_za71za7_495*
(
(long)(BgL_sz00_18)/BgL_za71za7_495))); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52siza7ezf5)=((int)BgL_auxz00_955),BUNSPEC); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52positionz52)=((int)
(int)(
(
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52positionz52))+
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52siza7ezf5))))),BUNSPEC); 
{ /* Llib/wav_decoder.scm 299 */
 long BgL_arg1177z00_55; obj_t BgL_arg1178z00_56; int BgL_arg1179z00_57; int BgL_arg1180z00_58;
BgL_arg1177z00_55 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_bufferz00_16))->BgL_z52tailz52); 
BgL_arg1178z00_56 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_outbufz00); 
BgL_arg1179z00_57 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52); 
BgL_arg1180z00_58 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52siza7ezf5); 
BGl_musicbufferzd2blitzd2stringz12z12zz__multimediazd2musicbufzd2(BgL_bufferz00_16, 
(int)(BgL_arg1177z00_55), BgL_arg1178z00_56, BgL_arg1179z00_57, BgL_arg1180z00_58); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52)=((int)
(int)(((long)0))),BUNSPEC); 
return 
BINT(((long)4));} } }  else 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_env1113z00_63;
BgL_env1113z00_63 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_cell1108z00_64;
BgL_cell1108z00_64 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_val1112z00_65;
BgL_val1112z00_65 = 
BGl_zc3z04exitza31188ze3ze70z60zz__wav_decoderz00(BgL_sz00_18, BgL_decz00_14, BgL_bufferz00_16, BgL_cell1108z00_64, BgL_env1113z00_63); 
if(
(BgL_val1112z00_65==BgL_cell1108z00_64))
{ /* Llib/wav_decoder.scm 271 */
{ /* Llib/wav_decoder.scm 271 */
 int BgL_tmpz00_984;
BgL_tmpz00_984 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_984); } 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1187z00_66;
BgL_arg1187z00_66 = 
CELL_REF(
((obj_t)BgL_val1112z00_65)); 
return 
BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_amz00_15), BgL_arg1187z00_66);} }  else 
{ /* Llib/wav_decoder.scm 271 */
return BgL_val1112z00_65;} } } } } 

}



/* <@exit:1188>~0 */
obj_t BGl_zc3z04exitza31188ze3ze70z60zz__wav_decoderz00(int BgL_sz00_727, BgL_wavmusicdecoderz00_bglt BgL_i1104z00_726, BgL_musicbufferz00_bglt BgL_bufferz00_725, obj_t BgL_cell1108z00_724, obj_t BgL_env1113z00_723)
{
{ /* Llib/wav_decoder.scm 271 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1118z00_68;
if( SET_EXIT(BgL_an_exit1118z00_68 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1118z00_68 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1113z00_723, BgL_an_exit1118z00_68, ((long)1)); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_escape1109z00_69;
BgL_escape1109z00_69 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1113z00_723); 
{ /* Llib/wav_decoder.scm 271 */
 long BgL_res1121z00_70;
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_ohs1105z00_71;
BgL_ohs1105z00_71 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1113z00_723); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_hds1106z00_72;
BgL_hds1106z00_72 = 
MAKE_STACK_PAIR(BgL_escape1109z00_69, BgL_cell1108z00_724); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1113z00_723, BgL_hds1106z00_72); BUNSPEC; 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_exitd1114z00_73;
BgL_exitd1114z00_73 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1113z00_723); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_tmp1116z00_74;
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1208z00_87;
BgL_arg1208z00_87 = 
BGL_EXITD_PROTECT(BgL_exitd1114z00_73); 
BgL_tmp1116z00_74 = 
MAKE_YOUNG_PAIR(BgL_ohs1105z00_71, BgL_arg1208z00_87); } 
{ /* Llib/wav_decoder.scm 271 */

BGL_EXITD_PROTECT_SET(BgL_exitd1114z00_73, BgL_tmp1116z00_74); BUNSPEC; 
{ /* Llib/wav_decoder.scm 274 */
 long BgL_tmp1115z00_75;
{ /* Llib/wav_decoder.scm 274 */
 bool_t BgL_test2092z00_1002;
{ /* Llib/wav_decoder.scm 274 */
 long BgL_arg1206z00_86;
BgL_arg1206z00_86 = 
BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(); 
{ /* Llib/wav_decoder.scm 274 */
 long BgL_n1z00_499; long BgL_n2z00_500;
BgL_n1z00_499 = 
(long)(BgL_sz00_727); 
BgL_n2z00_500 = 
(long)(BgL_arg1206z00_86); 
BgL_test2092z00_1002 = 
(BgL_n1z00_499<BgL_n2z00_500); } } 
if(BgL_test2092z00_1002)
{ /* Llib/wav_decoder.scm 274 */
BgL_tmp1115z00_75 = ((long)3); }  else 
{ /* Llib/wav_decoder.scm 276 */
 obj_t BgL_strz00_78;
{ /* Llib/wav_decoder.scm 277 */
 long BgL_arg1201z00_84;
{ /* Llib/wav_decoder.scm 277 */
 long BgL_tmpz00_1007;
BgL_tmpz00_1007 = 
BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(); 
BgL_arg1201z00_84 = 
(long)(BgL_tmpz00_1007); } 
BgL_strz00_78 = 
BGl_musicbufferzd2substringzd2zz__multimediazd2musicbufzd2(BgL_bufferz00_725, 
(int)(((long)0)), 
(int)(BgL_arg1201z00_84)); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1104z00_726))->BgL_z52headerz52)=((obj_t)
BGl_wavzd2parsezd2headerz00zz__wav_wavz00(BgL_strz00_78)),BUNSPEC); 
{ /* Llib/wav_decoder.scm 279 */
 BgL_wavinfoz00_bglt BgL_i1117z00_79;
BgL_i1117z00_79 = 
((BgL_wavinfoz00_bglt)
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1104z00_726))->BgL_z52headerz52)); 
if(
(
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1117z00_79))->BgL_audiofmtz00)==
CNST_TABLE_REF(((long)5))))
{ /* Llib/wav_decoder.scm 280 */BFALSE; }  else 
{ /* Llib/wav_decoder.scm 280 */
BGl_errorz00zz__errorz00(BGl_string1957z00zz__wav_decoderz00, BGl_string1958z00zz__wav_decoderz00, 
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1117z00_79))->BgL_audiofmtz00)); } } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1104z00_726))->BgL_z52siza7ezf5)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1104z00_726))->BgL_z52cursorz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1104z00_726))->BgL_z52positionz52)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_tmp1115z00_75 = ((long)1); } } 
{ /* Llib/wav_decoder.scm 271 */
 bool_t BgL_test2094z00_1029;
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1811z00_503;
BgL_arg1811z00_503 = 
BGL_EXITD_PROTECT(BgL_exitd1114z00_73); 
BgL_test2094z00_1029 = 
PAIRP(BgL_arg1811z00_503); } 
if(BgL_test2094z00_1029)
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1809z00_504;
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1810z00_505;
BgL_arg1810z00_505 = 
BGL_EXITD_PROTECT(BgL_exitd1114z00_73); 
BgL_arg1809z00_504 = 
CDR(
((obj_t)BgL_arg1810z00_505)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1114z00_73, BgL_arg1809z00_504); BUNSPEC; }  else 
{ /* Llib/wav_decoder.scm 271 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1113z00_723, BgL_ohs1105z00_71); BUNSPEC; 
BgL_res1121z00_70 = BgL_tmp1115z00_75; } } } } } } 
POP_ENV_EXIT(BgL_env1113z00_723); 
return 
BINT(BgL_res1121z00_70);} } 
}} 

}



/* debug-init! */
obj_t BGl_debugzd2initz12zc0zz__wav_decoderz00(obj_t BgL_urlz00_21)
{
{ /* Llib/wav_decoder.scm 317 */
{ /* Llib/wav_decoder.scm 318 */

BGl_za2debugzd2portza2zd2zz__wav_decoderz00 = 
BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(BGl_string1959z00zz__wav_decoderz00, BTRUE); } 
{ /* Llib/wav_decoder.scm 319 */
 BGL_LONGLONG_T BgL_arg1210z00_93;
BgL_arg1210z00_93 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_list1211z00_94;
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_arg1213z00_95;
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_arg1214z00_96;
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_arg1215z00_97;
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_arg1216z00_98;
BgL_arg1216z00_98 = 
MAKE_YOUNG_PAIR(BGl_string1960z00zz__wav_decoderz00, BNIL); 
BgL_arg1215z00_97 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1210z00_93), BgL_arg1216z00_98); } 
BgL_arg1214z00_96 = 
MAKE_YOUNG_PAIR(BGl_string1961z00zz__wav_decoderz00, BgL_arg1215z00_97); } 
BgL_arg1213z00_95 = 
MAKE_YOUNG_PAIR(BgL_urlz00_21, BgL_arg1214z00_96); } 
BgL_list1211z00_94 = 
MAKE_YOUNG_PAIR(BGl_string1962z00zz__wav_decoderz00, BgL_arg1213z00_95); } 
return 
BGl_debugz00zz__wav_decoderz00(BgL_list1211z00_94);} } } 

}



/* debug-stop! */
obj_t BGl_debugzd2stopz12zc0zz__wav_decoderz00(obj_t BgL_urlz00_22)
{
{ /* Llib/wav_decoder.scm 324 */
{ /* Llib/wav_decoder.scm 325 */
 BGL_LONGLONG_T BgL_arg1218z00_99;
BgL_arg1218z00_99 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_list1219z00_100;
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_arg1221z00_101;
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_arg1222z00_102;
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_arg1223z00_103;
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_arg1225z00_104;
BgL_arg1225z00_104 = 
MAKE_YOUNG_PAIR(BGl_string1960z00zz__wav_decoderz00, BNIL); 
BgL_arg1223z00_103 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1218z00_99), BgL_arg1225z00_104); } 
BgL_arg1222z00_102 = 
MAKE_YOUNG_PAIR(BGl_string1961z00zz__wav_decoderz00, BgL_arg1223z00_103); } 
BgL_arg1221z00_101 = 
MAKE_YOUNG_PAIR(BgL_urlz00_22, BgL_arg1222z00_102); } 
BgL_list1219z00_100 = 
MAKE_YOUNG_PAIR(BGl_string1963z00zz__wav_decoderz00, BgL_arg1221z00_101); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1219z00_100); } } 
return 
bgl_close_output_port(BGl_za2debugzd2portza2zd2zz__wav_decoderz00);} 

}



/* debug */
obj_t BGl_debugz00zz__wav_decoderz00(obj_t BgL_argsz00_23)
{
{ /* Llib/wav_decoder.scm 331 */
{ 
 obj_t BgL_l1127z00_106;
BgL_l1127z00_106 = BgL_argsz00_23; 
BgL_zc3z04anonymousza31226ze3z87_107:
if(
PAIRP(BgL_l1127z00_106))
{ /* Llib/wav_decoder.scm 332 */
{ /* Llib/wav_decoder.scm 332 */
 obj_t BgL_az00_109;
BgL_az00_109 = 
CAR(BgL_l1127z00_106); 
bgl_display_obj(BgL_az00_109, BGl_za2debugzd2portza2zd2zz__wav_decoderz00); } 
{ 
 obj_t BgL_l1127z00_1061;
BgL_l1127z00_1061 = 
CDR(BgL_l1127z00_106); 
BgL_l1127z00_106 = BgL_l1127z00_1061; 
goto BgL_zc3z04anonymousza31226ze3z87_107;} }  else 
{ /* Llib/wav_decoder.scm 332 */((bool_t)1); } } 
return 
bgl_flush_output_port(BGl_za2debugzd2portza2zd2zz__wav_decoderz00);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1233z00_115; obj_t BgL_arg1234z00_116;
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_v1129z00_142;
BgL_v1129z00_142 = 
create_vector(((long)5)); 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1248z00_143;
BgL_arg1248z00_143 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1966z00zz__wav_decoderz00, BGl_proc1965z00zz__wav_decoderz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1964z00zz__wav_decoderz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1129z00_142,((long)0),BgL_arg1248z00_143); } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1255z00_158;
BgL_arg1255z00_158 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc1969z00zz__wav_decoderz00, BGl_proc1968z00zz__wav_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1967z00zz__wav_decoderz00, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1129z00_142,((long)1),BgL_arg1255z00_158); } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1280z00_171;
BgL_arg1280z00_171 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)10)), BGl_proc1972z00zz__wav_decoderz00, BGl_proc1971z00zz__wav_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1970z00zz__wav_decoderz00, 
CNST_TABLE_REF(((long)11))); 
VECTOR_SET(BgL_v1129z00_142,((long)2),BgL_arg1280z00_171); } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1330z00_184;
BgL_arg1330z00_184 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc1975z00zz__wav_decoderz00, BGl_proc1974z00zz__wav_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1973z00zz__wav_decoderz00, 
CNST_TABLE_REF(((long)11))); 
VECTOR_SET(BgL_v1129z00_142,((long)3),BgL_arg1330z00_184); } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1337z00_197;
BgL_arg1337z00_197 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1978z00zz__wav_decoderz00, BGl_proc1977z00zz__wav_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1976z00zz__wav_decoderz00, 
CNST_TABLE_REF(((long)11))); 
VECTOR_SET(BgL_v1129z00_142,((long)4),BgL_arg1337z00_197); } 
BgL_arg1233z00_115 = BgL_v1129z00_142; } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_v1130z00_210;
BgL_v1130z00_210 = 
create_vector(((long)0)); 
BgL_arg1234z00_116 = BgL_v1130z00_210; } 
return ( 
BGl_wavmusicdecoderz00zz__wav_decoderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)14)), 
CNST_TABLE_REF(((long)15)), BGl_musicdecoderz00zz__multimediazd2musicbufzd2, ((long)3767), BGl_proc1981z00zz__wav_decoderz00, BGl_proc1980z00zz__wav_decoderz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1979z00zz__wav_decoderz00, BFALSE, BgL_arg1233z00_115, BgL_arg1234z00_116), BUNSPEC) ;} } 

}



/* &<@anonymous:1247> */
obj_t BGl_z62zc3z04anonymousza31247ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_621, obj_t BgL_new1090z00_622)
{
{ /* Llib/wav_decoder.scm 21 */
{ 
 BgL_wavmusicdecoderz00_bglt BgL_auxz00_1089;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622)))->BgL_outbufz00)=((obj_t)BGl_string1982z00zz__wav_decoderz00),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622)))->BgL_z52headerz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622)))->BgL_z52cursorz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622)))->BgL_z52siza7ezf5)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622)))->BgL_z52positionz52)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_1089 = 
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_622); 
return 
((obj_t)BgL_auxz00_1089);} } 

}



/* &lambda1238 */
BgL_wavmusicdecoderz00_bglt BGl_z62lambda1238z62zz__wav_decoderz00(obj_t BgL_envz00_623)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 BgL_wavmusicdecoderz00_bglt BgL_new1089z00_740;
BgL_new1089z00_740 = 
((BgL_wavmusicdecoderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_wavmusicdecoderz00_bgl) ))); 
{ /* Llib/wav_decoder.scm 21 */
 long BgL_arg1246z00_741;
BgL_arg1246z00_741 = 
BGL_CLASS_NUM(BGl_wavmusicdecoderz00zz__wav_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_740), BgL_arg1246z00_741); } 
return BgL_new1089z00_740;} } 

}



/* &lambda1235 */
BgL_wavmusicdecoderz00_bglt BGl_z62lambda1235z62zz__wav_decoderz00(obj_t BgL_envz00_624, obj_t BgL_mimetypes1074z00_625, obj_t BgL_bufferzd2timezd2near1075z00_626, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1076z75_627, obj_t BgL_periodzd2siza7ezd2nearzd2rat1077z75_628, obj_t BgL_z52z12dpause1078z40_629, obj_t BgL_z52z12dabort1079z40_630, obj_t BgL_z52z12stop1080z40_631, obj_t BgL_z52dmutex1081z52_632, obj_t BgL_z52dcondv1082z52_633, obj_t BgL_z52doutcondv1083z52_634, obj_t BgL_outbuf1084z00_635, obj_t BgL_z52header1085z52_636, obj_t BgL_z52cursor1086z52_637, obj_t BgL_z52siza7e1087zf5_638, obj_t BgL_z52position1088z52_639)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 int BgL_bufferzd2timezd2near1075z00_743; int BgL_bufferzd2siza7ezd2nearzd2rat1076z75_744; int BgL_periodzd2siza7ezd2nearzd2rat1077z75_745; bool_t BgL_z52z12dpause1078z40_746; bool_t BgL_z52z12dabort1079z40_747; bool_t BgL_z52z12stop1080z40_748; int BgL_z52cursor1086z52_753; int BgL_z52siza7e1087zf5_754; int BgL_z52position1088z52_755;
BgL_bufferzd2timezd2near1075z00_743 = 
CINT(BgL_bufferzd2timezd2near1075z00_626); 
BgL_bufferzd2siza7ezd2nearzd2rat1076z75_744 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1076z75_627); 
BgL_periodzd2siza7ezd2nearzd2rat1077z75_745 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1077z75_628); 
BgL_z52z12dpause1078z40_746 = 
CBOOL(BgL_z52z12dpause1078z40_629); 
BgL_z52z12dabort1079z40_747 = 
CBOOL(BgL_z52z12dabort1079z40_630); 
BgL_z52z12stop1080z40_748 = 
CBOOL(BgL_z52z12stop1080z40_631); 
BgL_z52cursor1086z52_753 = 
CINT(BgL_z52cursor1086z52_637); 
BgL_z52siza7e1087zf5_754 = 
CINT(BgL_z52siza7e1087zf5_638); 
BgL_z52position1088z52_755 = 
CINT(BgL_z52position1088z52_639); 
{ /* Llib/wav_decoder.scm 21 */
 BgL_wavmusicdecoderz00_bglt BgL_new1126z00_756;
{ /* Llib/wav_decoder.scm 21 */
 BgL_wavmusicdecoderz00_bglt BgL_new1125z00_757;
BgL_new1125z00_757 = 
((BgL_wavmusicdecoderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_wavmusicdecoderz00_bgl) ))); 
{ /* Llib/wav_decoder.scm 21 */
 long BgL_arg1237z00_758;
BgL_arg1237z00_758 = 
BGL_CLASS_NUM(BGl_wavmusicdecoderz00zz__wav_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_757), BgL_arg1237z00_758); } 
BgL_new1126z00_756 = BgL_new1125z00_757; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_756)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1074z00_625)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_756)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1075z00_743),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_756)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1076z75_744),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_756)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1077z75_745),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_756)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1078z40_746),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_756)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1079z40_747),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_756)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1080z40_748),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_756)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1081z52_632)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_756)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1082z52_633)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_756)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1083z52_634)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1126z00_756))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1084z00_635)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1126z00_756))->BgL_z52headerz52)=((obj_t)BgL_z52header1085z52_636),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1126z00_756))->BgL_z52cursorz52)=((int)BgL_z52cursor1086z52_753),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1126z00_756))->BgL_z52siza7ezf5)=((int)BgL_z52siza7e1087zf5_754),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1126z00_756))->BgL_z52positionz52)=((int)BgL_z52position1088z52_755),BUNSPEC); 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_fun1236z00_759;
BgL_fun1236z00_759 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_wavmusicdecoderz00zz__wav_decoderz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1236z00_759))(BgL_fun1236z00_759, 
((obj_t)BgL_new1126z00_756), BEOA); } 
return BgL_new1126z00_756;} } } 

}



/* &<@anonymous:1343> */
obj_t BGl_z62zc3z04anonymousza31343ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_640)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1342 */
obj_t BGl_z62lambda1342z62zz__wav_decoderz00(obj_t BgL_envz00_641, obj_t BgL_oz00_642, obj_t BgL_vz00_643)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 int BgL_vz00_761;
BgL_vz00_761 = 
CINT(BgL_vz00_643); 
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_642)))->BgL_z52positionz52)=((int)BgL_vz00_761),BUNSPEC);} } 

}



/* &lambda1341 */
obj_t BGl_z62lambda1341z62zz__wav_decoderz00(obj_t BgL_envz00_644, obj_t BgL_oz00_645)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_645)))->BgL_z52positionz52));} 

}



/* &<@anonymous:1336> */
obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_646)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1335 */
obj_t BGl_z62lambda1335z62zz__wav_decoderz00(obj_t BgL_envz00_647, obj_t BgL_oz00_648, obj_t BgL_vz00_649)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 int BgL_vz00_764;
BgL_vz00_764 = 
CINT(BgL_vz00_649); 
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_648)))->BgL_z52siza7ezf5)=((int)BgL_vz00_764),BUNSPEC);} } 

}



/* &lambda1334 */
obj_t BGl_z62lambda1334z62zz__wav_decoderz00(obj_t BgL_envz00_650, obj_t BgL_oz00_651)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_651)))->BgL_z52siza7ezf5));} 

}



/* &<@anonymous:1292> */
obj_t BGl_z62zc3z04anonymousza31292ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_652)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1291 */
obj_t BGl_z62lambda1291z62zz__wav_decoderz00(obj_t BgL_envz00_653, obj_t BgL_oz00_654, obj_t BgL_vz00_655)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 int BgL_vz00_767;
BgL_vz00_767 = 
CINT(BgL_vz00_655); 
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_654)))->BgL_z52cursorz52)=((int)BgL_vz00_767),BUNSPEC);} } 

}



/* &lambda1290 */
obj_t BGl_z62lambda1290z62zz__wav_decoderz00(obj_t BgL_envz00_656, obj_t BgL_oz00_657)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_657)))->BgL_z52cursorz52));} 

}



/* &<@anonymous:1262> */
obj_t BGl_z62zc3z04anonymousza31262ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_658)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1261 */
obj_t BGl_z62lambda1261z62zz__wav_decoderz00(obj_t BgL_envz00_659, obj_t BgL_oz00_660, obj_t BgL_vz00_661)
{
{ /* Llib/wav_decoder.scm 21 */
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_660)))->BgL_z52headerz52)=((obj_t)BgL_vz00_661),BUNSPEC);} 

}



/* &lambda1260 */
obj_t BGl_z62lambda1260z62zz__wav_decoderz00(obj_t BgL_envz00_662, obj_t BgL_oz00_663)
{
{ /* Llib/wav_decoder.scm 21 */
return 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_663)))->BgL_z52headerz52);} 

}



/* &<@anonymous:1254> */
obj_t BGl_z62zc3z04anonymousza31254ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_664)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 22 */

return 
make_string(((long)2048), ((unsigned char)' '));} } 

}



/* &lambda1253 */
obj_t BGl_z62lambda1253z62zz__wav_decoderz00(obj_t BgL_envz00_665, obj_t BgL_oz00_666, obj_t BgL_vz00_667)
{
{ /* Llib/wav_decoder.scm 21 */
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_666)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_vz00_667)),BUNSPEC);} 

}



/* &lambda1252 */
obj_t BGl_z62lambda1252z62zz__wav_decoderz00(obj_t BgL_envz00_668, obj_t BgL_oz00_669)
{
{ /* Llib/wav_decoder.scm 21 */
return 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_669)))->BgL_outbufz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc1983z00zz__wav_decoderz00, BGl_string1984z00zz__wav_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc1985z00zz__wav_decoderz00, BGl_string1986z00zz__wav_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc1987z00zz__wav_decoderz00, BGl_string1988z00zz__wav_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc1989z00zz__wav_decoderz00, BGl_string1990z00zz__wav_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc1991z00zz__wav_decoderz00, BGl_string1992z00zz__wav_decoderz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc1993z00zz__wav_decoderz00, BGl_string1994z00zz__wav_decoderz00);} 

}



/* &musicdecoder-volume-1142 */
obj_t BGl_z62musicdecoderzd2volumezd21142z62zz__wav_decoderz00(obj_t BgL_envz00_680, obj_t BgL_decz00_681, obj_t BgL_volz00_682)
{
{ /* Llib/wav_decoder.scm 306 */
return BFALSE;} 

}



/* &musicdecoder-decode-1140 */
obj_t BGl_z62musicdecoderzd2decodezd21140z62zz__wav_decoderz00(obj_t BgL_envz00_683, obj_t BgL_decz00_684, obj_t BgL_amz00_685, obj_t BgL_bufferz00_686)
{
{ /* Llib/wav_decoder.scm 93 */
{ /* Llib/wav_decoder.scm 99 */
struct bgl_cell BgL_box2096_778z00; 
 obj_t BgL_haszd2beenzd2emptyzd2oncezd2_778;
BgL_haszd2beenzd2emptyzd2oncezd2_778 = 
MAKE_CELL_STACK(BFALSE,BgL_box2096_778z00); 
{ /* Llib/wav_decoder.scm 99 */
 long BgL_inlenz00_779;
BgL_inlenz00_779 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52inlenz52); 
{ /* Llib/wav_decoder.scm 107 */
 long BgL_outlenz00_780;
BgL_outlenz00_780 = 
STRING_LENGTH(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684)))->BgL_outbufz00)); 
{ 

{ /* Llib/wav_decoder.scm 169 */
 bool_t BgL_test2097z00_1237;
{ /* Llib/wav_decoder.scm 169 */
 int BgL_arg1355z00_782;
BgL_arg1355z00_782 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2097z00_1237 = 
(
(long)(BgL_arg1355z00_782)>((long)0)); } 
if(BgL_test2097z00_1237)
{ /* Llib/wav_decoder.scm 169 */
BGl_debugzd2initz12zc0zz__wav_decoderz00(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_urlz00)); }  else 
{ /* Llib/wav_decoder.scm 169 */BFALSE; } } 
{ 

BgL_loopz00_783:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684))))->BgL_z52z12dpausez40))
{ /* Llib/wav_decoder.scm 173 */
{ /* Llib/wav_decoder.scm 175 */
 BgL_musicstatusz00_bglt BgL_i1100z00_784;
BgL_i1100z00_784 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_685))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1100z00_784))->BgL_songposz00)=((obj_t)
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684)), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))),BUNSPEC); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_685)), 
CNST_TABLE_REF(((long)16))); 
{ /* Llib/wav_decoder.scm 178 */
 obj_t BgL_mutex1358z00_785;
BgL_mutex1358z00_785 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684))))->BgL_z52dmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1358z00_785); 
{ /* Llib/wav_decoder.scm 178 */
 bool_t BgL_tmp2099z00_1264;
{ 

BgL_liipz00_786:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684))))->BgL_z52z12dpausez40))
{ /* Llib/wav_decoder.scm 180 */
{ /* Llib/wav_decoder.scm 181 */
 obj_t BgL_arg1361z00_787; obj_t BgL_arg1363z00_788;
BgL_arg1361z00_787 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684))))->BgL_z52dcondvz52); 
BgL_arg1363z00_788 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684))))->BgL_z52dmutexz52); 
{ /* Llib/wav_decoder.scm 181 */

BGL_CONDVAR_WAIT(BgL_arg1361z00_787, BgL_arg1363z00_788); } } 
goto BgL_liipz00_786;}  else 
{ /* Llib/wav_decoder.scm 180 */
BgL_tmp2099z00_1264 = ((bool_t)0); } } 
BGL_MUTEX_UNLOCK(BgL_mutex1358z00_785); BgL_tmp2099z00_1264; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_685)), 
CNST_TABLE_REF(((long)17))); 
goto BgL_loopz00_783;}  else 
{ /* Llib/wav_decoder.scm 173 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684))))->BgL_z52z12dabortz40))
{ /* Llib/wav_decoder.scm 185 */
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_685)), 
CNST_TABLE_REF(((long)18))); }  else 
{ /* Llib/wav_decoder.scm 185 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52emptyz52))
{ /* Llib/wav_decoder.scm 188 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 190 */
{ /* Llib/wav_decoder.scm 192 */
 bool_t BgL_test2104z00_1296;
{ /* Llib/wav_decoder.scm 192 */
 int BgL_arg1385z00_789;
BgL_arg1385z00_789 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2104z00_1296 = 
(
(long)(BgL_arg1385z00_789)>=((long)2)); } 
if(BgL_test2104z00_1296)
{ /* Llib/wav_decoder.scm 193 */
 obj_t BgL_arg1377z00_790;
BgL_arg1377z00_790 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_urlz00); 
{ /* Llib/wav_decoder.scm 193 */
 obj_t BgL_list1378z00_791;
{ /* Llib/wav_decoder.scm 193 */
 obj_t BgL_arg1380z00_792;
{ /* Llib/wav_decoder.scm 193 */
 obj_t BgL_arg1384z00_793;
BgL_arg1384z00_793 = 
MAKE_YOUNG_PAIR(BGl_string1960z00zz__wav_decoderz00, BNIL); 
BgL_arg1380z00_792 = 
MAKE_YOUNG_PAIR(BgL_arg1377z00_790, BgL_arg1384z00_793); } 
BgL_list1378z00_791 = 
MAKE_YOUNG_PAIR(BGl_string1995z00zz__wav_decoderz00, BgL_arg1380z00_792); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1378z00_791); } }  else 
{ /* Llib/wav_decoder.scm 192 */BFALSE; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_685)), 
CNST_TABLE_REF(((long)19))); }  else 
{ /* Llib/wav_decoder.scm 190 */
{ /* Llib/wav_decoder.scm 196 */
 bool_t BgL_test2105z00_1310;
{ /* Llib/wav_decoder.scm 196 */
 int BgL_arg1567z00_794;
BgL_arg1567z00_794 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2105z00_1310 = 
(
(long)(BgL_arg1567z00_794)>=((long)1)); } 
if(BgL_test2105z00_1310)
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1419z00_795; BGL_LONGLONG_T BgL_arg1420z00_796;
BgL_arg1419z00_795 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_urlz00); 
BgL_arg1420z00_796 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_list1421z00_797;
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1460z00_798;
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1461z00_799;
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1547z00_800;
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1548z00_801;
BgL_arg1548z00_801 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zz__wav_decoderz00, BNIL); 
BgL_arg1547z00_800 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1420z00_796), BgL_arg1548z00_801); } 
BgL_arg1461z00_799 = 
MAKE_YOUNG_PAIR(BGl_string1961z00zz__wav_decoderz00, BgL_arg1547z00_800); } 
BgL_arg1460z00_798 = 
MAKE_YOUNG_PAIR(BgL_arg1419z00_795, BgL_arg1461z00_799); } 
BgL_list1421z00_797 = 
MAKE_YOUNG_PAIR(BGl_string1997z00zz__wav_decoderz00, BgL_arg1460z00_798); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1421z00_797); } }  else 
{ /* Llib/wav_decoder.scm 196 */BFALSE; } } 
{ /* Llib/wav_decoder.scm 200 */
 BgL_musicstatusz00_bglt BgL_i1102z00_802;
BgL_i1102z00_802 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_685))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1102z00_802))->BgL_bufferingz00)=((int)
(int)(
BGl_bufferzd2percentagezd2filledze70ze7zz__wav_decoderz00(BgL_inlenz00_779, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))),BUNSPEC); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_685)), 
CNST_TABLE_REF(((long)20))); 
{ /* Llib/wav_decoder.scm 204 */
 obj_t BgL_mutex1568z00_803;
BgL_mutex1568z00_803 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52bmutexz52); 
{ /* Llib/wav_decoder.scm 204 */
 obj_t BgL_top2107z00_1338;
BgL_top2107z00_1338 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1568z00_803); 
BGL_EXITD_PUSH_PROTECT(BgL_top2107z00_1338, BgL_mutex1568z00_803); BUNSPEC; 
{ /* Llib/wav_decoder.scm 204 */
 bool_t BgL_tmp2106z00_1337;
{ /* Llib/wav_decoder.scm 206 */
 bool_t BgL_test2108z00_1342;
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52emptyz52))
{ /* Llib/wav_decoder.scm 206 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 206 */
BgL_test2108z00_1342 = ((bool_t)1)
; }  else 
{ /* Llib/wav_decoder.scm 206 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684))))->BgL_z52z12dabortz40))
{ /* Llib/wav_decoder.scm 206 */
BgL_test2108z00_1342 = ((bool_t)1)
; }  else 
{ /* Llib/wav_decoder.scm 206 */
BgL_test2108z00_1342 = 
(
(((long)8)*
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))>BgL_inlenz00_779)
; } } }  else 
{ /* Llib/wav_decoder.scm 206 */
BgL_test2108z00_1342 = ((bool_t)1)
; } 
if(BgL_test2108z00_1342)
{ /* Llib/wav_decoder.scm 206 */
BgL_tmp2106z00_1337 = ((bool_t)0); }  else 
{ /* Llib/wav_decoder.scm 210 */
 obj_t BgL_arg1574z00_804; obj_t BgL_arg1575z00_805;
BgL_arg1574z00_804 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52bcondvz52); 
BgL_arg1575z00_805 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52bmutexz52); 
{ /* Llib/wav_decoder.scm 210 */

BgL_tmp2106z00_1337 = 
BGL_CONDVAR_WAIT(BgL_arg1574z00_804, BgL_arg1575z00_805); } } } 
BGL_EXITD_POP_PROTECT(BgL_top2107z00_1338); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1568z00_803); BgL_tmp2106z00_1337; } } } 
{ /* Llib/wav_decoder.scm 211 */
 bool_t BgL_test2112z00_1364;
{ /* Llib/wav_decoder.scm 211 */
 int BgL_arg1601z00_806;
BgL_arg1601z00_806 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2112z00_1364 = 
(
(long)(BgL_arg1601z00_806)>=((long)1)); } 
if(BgL_test2112z00_1364)
{ /* Llib/wav_decoder.scm 212 */
 BGL_LONGLONG_T BgL_arg1586z00_807;
BgL_arg1586z00_807 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 212 */
 obj_t BgL_list1587z00_808;
{ /* Llib/wav_decoder.scm 212 */
 obj_t BgL_arg1588z00_809;
BgL_arg1588z00_809 = 
MAKE_YOUNG_PAIR(BGl_string1960z00zz__wav_decoderz00, BNIL); 
BgL_list1587z00_808 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1586z00_807), BgL_arg1588z00_809); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1587z00_808); } }  else 
{ /* Llib/wav_decoder.scm 211 */BFALSE; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_685)), 
CNST_TABLE_REF(((long)17))); 
goto BgL_loopz00_783;} }  else 
{ /* Llib/wav_decoder.scm 217 */
 long BgL_sz00_810;
{ /* Llib/wav_decoder.scm 217 */
 long BgL_bz00_811;
if(
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52headz52)>
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52tailz52)))
{ /* Llib/wav_decoder.scm 218 */
BgL_bz00_811 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52headz52)-
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52tailz52)); }  else 
{ /* Llib/wav_decoder.scm 218 */
BgL_bz00_811 = 
(BgL_inlenz00_779-
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52tailz52)); } 
if(
(BgL_outlenz00_780<BgL_bz00_811))
{ /* Llib/wav_decoder.scm 218 */
BgL_sz00_810 = BgL_outlenz00_780; }  else 
{ /* Llib/wav_decoder.scm 218 */
BgL_sz00_810 = BgL_bz00_811; } } 
if(
(BgL_sz00_810==((long)0)))
{ /* Llib/wav_decoder.scm 221 */
goto BgL_loopz00_783;}  else 
{ /* Llib/wav_decoder.scm 223 */
 obj_t BgL_statusz00_812;
{ /* Llib/wav_decoder.scm 223 */
 long BgL_arg1758z00_813;
BgL_arg1758z00_813 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52tailz52); 
BgL_statusz00_812 = 
BGl_wavzd2decodezd2zz__wav_decoderz00(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684), 
((BgL_musicbufz00_bglt)BgL_amz00_685), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_686), 
(int)(BgL_arg1758z00_813), 
(int)(BgL_sz00_810)); } 
{ /* Llib/wav_decoder.scm 224 */
 bool_t BgL_test2116z00_1403;
{ /* Llib/wav_decoder.scm 224 */
 int BgL_arg1670z00_814;
BgL_arg1670z00_814 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2116z00_1403 = 
(
(long)(BgL_arg1670z00_814)>=((long)4)); } 
if(BgL_test2116z00_1403)
{ /* Llib/wav_decoder.scm 225 */
 long BgL_arg1605z00_815; long BgL_arg1617z00_816; obj_t BgL_arg1618z00_817;
BgL_arg1605z00_815 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52tailz52); 
BgL_arg1617z00_816 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52headz52); 
BgL_arg1618z00_817 = 
BGl_wavzd2decodezd2statuszd2ze3symbolz31zz__wav_decoderz00(BgL_statusz00_812); 
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_list1619z00_818;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1620z00_819;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1629z00_820;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1631z00_821;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1650z00_822;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1651z00_823;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1662z00_824;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1664z00_825;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1665z00_826;
BgL_arg1665z00_826 = 
MAKE_YOUNG_PAIR(BGl_string1960z00zz__wav_decoderz00, BNIL); 
BgL_arg1664z00_825 = 
MAKE_YOUNG_PAIR(BgL_arg1618z00_817, BgL_arg1665z00_826); } 
BgL_arg1662z00_824 = 
MAKE_YOUNG_PAIR(BGl_string1998z00zz__wav_decoderz00, BgL_arg1664z00_825); } 
BgL_arg1651z00_823 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1617z00_816), BgL_arg1662z00_824); } 
BgL_arg1650z00_822 = 
MAKE_YOUNG_PAIR(BGl_string1999z00zz__wav_decoderz00, BgL_arg1651z00_823); } 
BgL_arg1631z00_821 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1605z00_815), BgL_arg1650z00_822); } 
BgL_arg1629z00_820 = 
MAKE_YOUNG_PAIR(BGl_string2000z00zz__wav_decoderz00, BgL_arg1631z00_821); } 
BgL_arg1620z00_819 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_810), BgL_arg1629z00_820); } 
BgL_list1619z00_818 = 
MAKE_YOUNG_PAIR(BGl_string2001z00zz__wav_decoderz00, BgL_arg1620z00_819); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1619z00_818); } }  else 
{ /* Llib/wav_decoder.scm 224 */BFALSE; } } 
if(
(
(long)CINT(BgL_statusz00_812)==((long)4)))
{ /* Llib/wav_decoder.scm 231 */
{ /* Llib/wav_decoder.scm 233 */
 bool_t BgL_test2118z00_1428;
{ /* Llib/wav_decoder.scm 233 */
 int BgL_arg1709z00_827;
BgL_arg1709z00_827 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2118z00_1428 = 
(
(long)(BgL_arg1709z00_827)>=((long)5)); } 
if(BgL_test2118z00_1428)
{ /* Llib/wav_decoder.scm 234 */
 int BgL_arg1691z00_828;
BgL_arg1691z00_828 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684)))->BgL_z52siza7ezf5); 
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_list1692z00_829;
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_arg1694z00_830;
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_arg1702z00_831;
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_arg1703z00_832;
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_arg1708z00_833;
BgL_arg1708z00_833 = 
MAKE_YOUNG_PAIR(BGl_string1960z00zz__wav_decoderz00, BNIL); 
BgL_arg1703z00_832 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1691z00_828), BgL_arg1708z00_833); } 
BgL_arg1702z00_831 = 
MAKE_YOUNG_PAIR(BGl_string2002z00zz__wav_decoderz00, BgL_arg1703z00_832); } 
BgL_arg1694z00_830 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_810), BgL_arg1702z00_831); } 
BgL_list1692z00_829 = 
MAKE_YOUNG_PAIR(BGl_string2003z00zz__wav_decoderz00, BgL_arg1694z00_830); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1692z00_829); } }  else 
{ /* Llib/wav_decoder.scm 233 */BFALSE; } } 
BGl_flushze70ze7zz__wav_decoderz00(
((BgL_musicbufz00_bglt)BgL_amz00_685), 
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684), 
(int)(BgL_sz00_810)); 
BGl_inczd2tailz12ze70z27zz__wav_decoderz00(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686), BgL_inlenz00_779, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_686), BgL_haszd2beenzd2emptyzd2oncezd2_778, BgL_sz00_810); 
goto BgL_loopz00_783;}  else 
{ /* Llib/wav_decoder.scm 231 */
if(
(
(long)CINT(BgL_statusz00_812)==((long)3)))
{ /* Llib/wav_decoder.scm 239 */
{ /* Llib/wav_decoder.scm 241 */
 bool_t BgL_test2120z00_1452;
{ /* Llib/wav_decoder.scm 241 */
 int BgL_arg1741z00_834;
BgL_arg1741z00_834 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2120z00_1452 = 
(
(long)(BgL_arg1741z00_834)>=((long)5)); } 
if(BgL_test2120z00_1452)
{ /* Llib/wav_decoder.scm 242 */
 int BgL_arg1714z00_835; bool_t BgL_arg1724z00_836; long BgL_arg1725z00_837;
BgL_arg1714z00_835 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684)))->BgL_z52siza7ezf5); 
BgL_arg1724z00_836 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52emptyz52); 
BgL_arg1725z00_837 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_z52tailz52); 
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_list1726z00_838;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1727z00_839;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1728z00_840;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1729z00_841;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1730z00_842;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1731z00_843;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1732z00_844;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1738z00_845;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1740z00_846;
BgL_arg1740z00_846 = 
MAKE_YOUNG_PAIR(BGl_string1960z00zz__wav_decoderz00, BNIL); 
BgL_arg1738z00_845 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1725z00_837), BgL_arg1740z00_846); } 
BgL_arg1732z00_844 = 
MAKE_YOUNG_PAIR(BGl_string2004z00zz__wav_decoderz00, BgL_arg1738z00_845); } 
BgL_arg1731z00_843 = 
MAKE_YOUNG_PAIR(
BBOOL(BgL_arg1724z00_836), BgL_arg1732z00_844); } 
BgL_arg1730z00_842 = 
MAKE_YOUNG_PAIR(BGl_string2005z00zz__wav_decoderz00, BgL_arg1731z00_843); } 
BgL_arg1729z00_841 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1714z00_835), BgL_arg1730z00_842); } 
BgL_arg1728z00_840 = 
MAKE_YOUNG_PAIR(BGl_string2002z00zz__wav_decoderz00, BgL_arg1729z00_841); } 
BgL_arg1727z00_839 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_810), BgL_arg1728z00_840); } 
BgL_list1726z00_838 = 
MAKE_YOUNG_PAIR(BGl_string2006z00zz__wav_decoderz00, BgL_arg1727z00_839); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1726z00_838); } }  else 
{ /* Llib/wav_decoder.scm 241 */BFALSE; } } 
goto BgL_loopz00_783;}  else 
{ /* Llib/wav_decoder.scm 239 */
if(
(
(long)CINT(BgL_statusz00_812)==((long)1)))
{ /* Llib/wav_decoder.scm 246 */
BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684)), 
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_685)), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)); 
{ /* Llib/wav_decoder.scm 249 */
 long BgL_arg1744z00_847;
{ /* Llib/wav_decoder.scm 249 */
 long BgL_tmpz00_1485;
BgL_tmpz00_1485 = 
BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(); 
BgL_arg1744z00_847 = 
(long)(BgL_tmpz00_1485); } 
BGl_inczd2tailz12ze70z27zz__wav_decoderz00(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686), BgL_inlenz00_779, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_686), BgL_haszd2beenzd2emptyzd2oncezd2_778, BgL_arg1744z00_847); } 
goto BgL_loopz00_783;}  else 
{ /* Llib/wav_decoder.scm 246 */
if(
(
(long)CINT(BgL_statusz00_812)==((long)2)))
{ /* Llib/wav_decoder.scm 251 */
if(
(
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684)))->BgL_z52siza7ezf5))>((long)0)))
{ /* Llib/wav_decoder.scm 253 */
BGl_flushze70ze7zz__wav_decoderz00(
((BgL_musicbufz00_bglt)BgL_amz00_685), 
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684), 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_684)))->BgL_z52siza7ezf5)); }  else 
{ /* Llib/wav_decoder.scm 253 */((bool_t)0); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_685)), 
CNST_TABLE_REF(((long)19))); }  else 
{ /* Llib/wav_decoder.scm 251 */
{ /* Llib/wav_decoder.scm 257 */
 BgL_musicstatusz00_bglt BgL_i1103z00_848;
BgL_i1103z00_848 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_685))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1103z00_848))->BgL_errz00)=((obj_t)BGl_string2007z00zz__wav_decoderz00),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1103z00_848))->BgL_statez00)=((obj_t)
CNST_TABLE_REF(((long)21))),BUNSPEC); } 
BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_685)), BGl_string2007z00zz__wav_decoderz00); } } } } } } } } } 
{ /* Llib/wav_decoder.scm 261 */
 bool_t BgL_test2124z00_1517;
{ /* Llib/wav_decoder.scm 261 */
 int BgL_arg1808z00_849;
BgL_arg1808z00_849 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2124z00_1517 = 
(
(long)(BgL_arg1808z00_849)>((long)0)); } 
if(BgL_test2124z00_1517)
{ /* Llib/wav_decoder.scm 261 */
return 
BGl_debugzd2stopz12zc0zz__wav_decoderz00(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_686)))->BgL_urlz00));}  else 
{ /* Llib/wav_decoder.scm 261 */
return BFALSE;} } } } } } } 

}



/* flush~0 */
bool_t BGl_flushze70ze7zz__wav_decoderz00(BgL_musicbufz00_bglt BgL_amz00_713, BgL_wavmusicdecoderz00_bglt BgL_i1098z00_712, int BgL_sza7za7_464)
{
{ /* Llib/wav_decoder.scm 167 */
BGl_flushze70ze7zz__wav_decoderz00:
if(
(
(long)(BgL_sza7za7_464)>((long)0)))
{ /* Llib/wav_decoder.scm 167 */
 long BgL_arg1884z00_467;
{ /* Llib/wav_decoder.scm 167 */
 obj_t BgL_arg1885z00_468;
BgL_arg1885z00_468 = 
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(BgL_amz00_713, 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1098z00_712))->BgL_outbufz00), 
(long)(BgL_sza7za7_464)); 
BgL_arg1884z00_467 = 
(
(long)(BgL_sza7za7_464)-
(long)CINT(BgL_arg1885z00_468)); } 
{ 
 int BgL_sza7za7_1533;
BgL_sza7za7_1533 = 
(int)(BgL_arg1884z00_467); 
BgL_sza7za7_464 = BgL_sza7za7_1533; 
goto BGl_flushze70ze7zz__wav_decoderz00;} }  else 
{ /* Llib/wav_decoder.scm 166 */
return ((bool_t)0);} } 

}



/* inc-tail!~0 */
obj_t BGl_inczd2tailz12ze70z27zz__wav_decoderz00(BgL_musicbufferz00_bglt BgL_i1099z00_717, long BgL_inlenz00_716, BgL_musicbufferz00_bglt BgL_bufferz00_715, obj_t BgL_haszd2beenzd2emptyzd2oncezd2_714, long BgL_siza7eza7_433)
{
{ /* Llib/wav_decoder.scm 152 */
{ 

{ /* Llib/wav_decoder.scm 145 */
 long BgL_ntailz00_435;
BgL_ntailz00_435 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_717))->BgL_z52tailz52)+BgL_siza7eza7_433); 
if(
(BgL_ntailz00_435==BgL_inlenz00_716))
{ /* Llib/wav_decoder.scm 146 */
BgL_ntailz00_435 = ((long)0); }  else 
{ /* Llib/wav_decoder.scm 146 */BFALSE; } 
if(
(BgL_ntailz00_435==
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_717))->BgL_z52headz52)))
{ /* Llib/wav_decoder.scm 149 */
{ /* Llib/wav_decoder.scm 150 */
 obj_t BgL_auxz00_718;
BgL_auxz00_718 = BTRUE; 
CELL_SET(BgL_haszd2beenzd2emptyzd2oncezd2_714, BgL_auxz00_718); } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_717))->BgL_z52emptyz52)=((bool_t)((bool_t)1)),BUNSPEC); }  else 
{ /* Llib/wav_decoder.scm 149 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_717))->BgL_z52tailz52)=((long)BgL_ntailz00_435),BUNSPEC); } 
{ /* Llib/wav_decoder.scm 128 */
 bool_t BgL_test2128z00_1544;
{ /* Llib/wav_decoder.scm 128 */
 int BgL_arg1853z00_432;
BgL_arg1853z00_432 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2128z00_1544 = 
(
(long)(BgL_arg1853z00_432)>=((long)3)); } 
if(BgL_test2128z00_1544)
{ /* Llib/wav_decoder.scm 129 */
 long BgL_pz00_402;
BgL_pz00_402 = 
BGl_bufferzd2percentagezd2filledze70ze7zz__wav_decoderz00(BgL_inlenz00_716, BgL_bufferz00_715); 
{ /* Llib/wav_decoder.scm 130 */
 bool_t BgL_test2129z00_1549;
{ /* Llib/wav_decoder.scm 130 */
 bool_t BgL_test2130z00_1550;
{ /* Llib/wav_decoder.scm 130 */
 bool_t BgL_test2131z00_1551;
if(
(BgL_pz00_402<((long)75)))
{ /* Llib/wav_decoder.scm 130 */
BgL_test2131z00_1551 = ((bool_t)1)
; }  else 
{ /* Llib/wav_decoder.scm 130 */
BgL_test2131z00_1551 = 
CBOOL(
CELL_REF(BgL_haszd2beenzd2emptyzd2oncezd2_714))
; } 
if(BgL_test2131z00_1551)
{ /* Llib/wav_decoder.scm 130 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_717))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 131 */
BgL_test2130z00_1550 = ((bool_t)0)
; }  else 
{ /* Llib/wav_decoder.scm 131 */
BgL_test2130z00_1550 = ((bool_t)1)
; } }  else 
{ /* Llib/wav_decoder.scm 130 */
BgL_test2130z00_1550 = ((bool_t)0)
; } } 
if(BgL_test2130z00_1550)
{ /* Llib/wav_decoder.scm 130 */
BgL_test2129z00_1549 = ((bool_t)1)
; }  else 
{ /* Llib/wav_decoder.scm 132 */
 int BgL_arg1852z00_428;
BgL_arg1852z00_428 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2129z00_1549 = 
(
(long)(BgL_arg1852z00_428)>=((long)4)); } } 
if(BgL_test2129z00_1549)
{ /* Llib/wav_decoder.scm 135 */
 obj_t BgL_arg1836z00_413; obj_t BgL_arg1837z00_414; obj_t BgL_arg1839z00_415;
if(
(BgL_pz00_402>=((long)80)))
{ /* Llib/wav_decoder.scm 135 */
BgL_arg1836z00_413 = BGl_string1982z00zz__wav_decoderz00; }  else 
{ /* Llib/wav_decoder.scm 135 */
if(
(BgL_pz00_402>((long)25)))
{ /* Llib/wav_decoder.scm 136 */
BgL_arg1836z00_413 = BGl_string2008z00zz__wav_decoderz00; }  else 
{ /* Llib/wav_decoder.scm 136 */
BgL_arg1836z00_413 = BGl_string2009z00zz__wav_decoderz00; } } 
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_717))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 140 */
BgL_arg1837z00_414 = BGl_string2010z00zz__wav_decoderz00; }  else 
{ /* Llib/wav_decoder.scm 140 */
BgL_arg1837z00_414 = BGl_string1982z00zz__wav_decoderz00; } 
BgL_arg1839z00_415 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_717))->BgL_urlz00); 
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_list1840z00_416;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1842z00_417;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1843z00_418;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1844z00_419;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1845z00_420;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1846z00_421;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1847z00_422;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1848z00_423;
BgL_arg1848z00_423 = 
MAKE_YOUNG_PAIR(BGl_string1960z00zz__wav_decoderz00, BNIL); 
BgL_arg1847z00_422 = 
MAKE_YOUNG_PAIR(BgL_arg1839z00_415, BgL_arg1848z00_423); } 
BgL_arg1846z00_421 = 
MAKE_YOUNG_PAIR(BGl_string2011z00zz__wav_decoderz00, BgL_arg1847z00_422); } 
BgL_arg1845z00_420 = 
MAKE_YOUNG_PAIR(BgL_arg1837z00_414, BgL_arg1846z00_421); } 
BgL_arg1844z00_419 = 
MAKE_YOUNG_PAIR(BGl_string2012z00zz__wav_decoderz00, BgL_arg1845z00_420); } 
BgL_arg1843z00_418 = 
MAKE_YOUNG_PAIR(
BINT(BgL_pz00_402), BgL_arg1844z00_419); } 
BgL_arg1842z00_417 = 
MAKE_YOUNG_PAIR(BgL_arg1836z00_413, BgL_arg1843z00_418); } 
BgL_list1840z00_416 = 
MAKE_YOUNG_PAIR(BGl_string2013z00zz__wav_decoderz00, BgL_arg1842z00_417); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1840z00_416); } }  else 
{ /* Llib/wav_decoder.scm 130 */BFALSE; } } }  else 
{ /* Llib/wav_decoder.scm 128 */BFALSE; } } 
{ /* Llib/wav_decoder.scm 156 */
 bool_t BgL_test2137z00_1577;
{ /* Llib/wav_decoder.scm 156 */
 bool_t BgL_test2138z00_1578;
{ /* Llib/wav_decoder.scm 123 */
 long BgL_arg1823z00_395;
{ /* Llib/wav_decoder.scm 123 */
 long BgL_arg1824z00_396; long BgL_arg1825z00_397;
if(
CBOOL(
CELL_REF(BgL_haszd2beenzd2emptyzd2oncezd2_714)))
{ /* Llib/wav_decoder.scm 123 */
BgL_arg1824z00_396 = ((long)2); }  else 
{ /* Llib/wav_decoder.scm 123 */
BgL_arg1824z00_396 = ((long)4); } 
BgL_arg1825z00_397 = 
(BgL_inlenz00_716-
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_bufferz00_715)); 
BgL_arg1823z00_395 = 
(BgL_arg1824z00_396*BgL_arg1825z00_397); } 
BgL_test2138z00_1578 = 
(BgL_arg1823z00_395>BgL_inlenz00_716); } 
if(BgL_test2138z00_1578)
{ /* Llib/wav_decoder.scm 156 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_717))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 156 */
BgL_test2137z00_1577 = ((bool_t)0)
; }  else 
{ /* Llib/wav_decoder.scm 156 */
BgL_test2137z00_1577 = ((bool_t)1)
; } }  else 
{ /* Llib/wav_decoder.scm 156 */
BgL_test2137z00_1577 = ((bool_t)0)
; } } 
if(BgL_test2137z00_1577)
{ /* Llib/wav_decoder.scm 156 */
{ /* Llib/wav_decoder.scm 157 */
 bool_t BgL_test2141z00_1587;
{ /* Llib/wav_decoder.scm 157 */
 int BgL_arg1872z00_453;
BgL_arg1872z00_453 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2141z00_1587 = 
(
(long)(BgL_arg1872z00_453)>=((long)2)); } 
if(BgL_test2141z00_1587)
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1865z00_446; BGL_LONGLONG_T BgL_arg1866z00_447;
BgL_arg1865z00_446 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_717))->BgL_urlz00); 
BgL_arg1866z00_447 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_list1867z00_448;
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1868z00_449;
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1869z00_450;
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1870z00_451;
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1871z00_452;
BgL_arg1871z00_452 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zz__wav_decoderz00, BNIL); 
BgL_arg1870z00_451 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1866z00_447), BgL_arg1871z00_452); } 
BgL_arg1869z00_450 = 
MAKE_YOUNG_PAIR(BGl_string1961z00zz__wav_decoderz00, BgL_arg1870z00_451); } 
BgL_arg1868z00_449 = 
MAKE_YOUNG_PAIR(BgL_arg1865z00_446, BgL_arg1869z00_450); } 
BgL_list1867z00_448 = 
MAKE_YOUNG_PAIR(BGl_string2014z00zz__wav_decoderz00, BgL_arg1868z00_449); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1867z00_448); } }  else 
{ /* Llib/wav_decoder.scm 157 */BFALSE; } } 
{ /* Llib/wav_decoder.scm 160 */
 obj_t BgL_mutex1873z00_454;
BgL_mutex1873z00_454 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_717))->BgL_z52bmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1873z00_454); 
{ /* Llib/wav_decoder.scm 160 */
 bool_t BgL_tmp2142z00_1601;
{ /* Llib/wav_decoder.scm 161 */
 obj_t BgL_tmpz00_1603;
BgL_tmpz00_1603 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_717))->BgL_z52bcondvz52); 
BgL_tmp2142z00_1601 = 
BGL_CONDVAR_BROADCAST(BgL_tmpz00_1603); } 
BGL_MUTEX_UNLOCK(BgL_mutex1873z00_454); BgL_tmp2142z00_1601; } } 
{ /* Llib/wav_decoder.scm 162 */
 bool_t BgL_test2143z00_1607;
{ /* Llib/wav_decoder.scm 162 */
 int BgL_arg1881z00_461;
BgL_arg1881z00_461 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2143z00_1607 = 
(
(long)(BgL_arg1881z00_461)>=((long)2)); } 
if(BgL_test2143z00_1607)
{ /* Llib/wav_decoder.scm 163 */
 BGL_LONGLONG_T BgL_arg1878z00_458;
BgL_arg1878z00_458 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 163 */
 obj_t BgL_list1879z00_459;
{ /* Llib/wav_decoder.scm 163 */
 obj_t BgL_arg1880z00_460;
BgL_arg1880z00_460 = 
MAKE_YOUNG_PAIR(BGl_string1960z00zz__wav_decoderz00, BNIL); 
BgL_list1879z00_459 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1878z00_458), BgL_arg1880z00_460); } 
return 
BGl_debugz00zz__wav_decoderz00(BgL_list1879z00_459);} }  else 
{ /* Llib/wav_decoder.scm 162 */
return BFALSE;} } }  else 
{ /* Llib/wav_decoder.scm 156 */
return BFALSE;} } } } 

}



/* buffer-percentage-filled~0 */
long BGl_bufferzd2percentagezd2filledze70ze7zz__wav_decoderz00(long BgL_inlenz00_720, BgL_musicbufferz00_bglt BgL_bufferz00_719)
{
{ /* Llib/wav_decoder.scm 115 */
{ /* Llib/wav_decoder.scm 114 */
 BGL_LONGLONG_T BgL_arg1814z00_386;
{ /* Llib/wav_decoder.scm 114 */
 BGL_LONGLONG_T BgL_arg1815z00_387; BGL_LONGLONG_T BgL_arg1816z00_388;
{ /* Llib/wav_decoder.scm 114 */
 BGL_LONGLONG_T BgL_arg1817z00_389;
{ /* Llib/wav_decoder.scm 114 */
 long BgL_tmpz00_1616;
BgL_tmpz00_1616 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_bufferz00_719); 
BgL_arg1817z00_389 = 
LONG_TO_LLONG(BgL_tmpz00_1616); } 
BgL_arg1815z00_387 = 
(((BGL_LONGLONG_T)100)*BgL_arg1817z00_389); } 
BgL_arg1816z00_388 = 
LONG_TO_LLONG(BgL_inlenz00_720); 
BgL_arg1814z00_386 = 
(BgL_arg1815z00_387/BgL_arg1816z00_388); } 
return 
LLONG_TO_LONG(BgL_arg1814z00_386);} } 

}



/* &musicdecoder-positio1138 */
obj_t BGl_z62musicdecoderzd2positio1138zb0zz__wav_decoderz00(obj_t BgL_envz00_687, obj_t BgL_decz00_688, obj_t BgL_bz00_689)
{
{ /* Llib/wav_decoder.scm 67 */
return 
BINT(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_688)))->BgL_z52positionz52));} 

}



/* &musicdecoder-reset!-1136 */
obj_t BGl_z62musicdecoderzd2resetz12zd21136z70zz__wav_decoderz00(obj_t BgL_envz00_690, obj_t BgL_decz00_691)
{
{ /* Llib/wav_decoder.scm 59 */
{ 

((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_691)))->BgL_z52headerz52)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/wav_decoder.scm 59 */
 obj_t BgL_nextzd2method1135zd2_853;
BgL_nextzd2method1135zd2_853 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_691)), BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1135zd2_853))(BgL_nextzd2method1135zd2_853, 
((obj_t)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_691)), BEOA);} } } 

}



/* &musicdecoder-init-wa1134 */
obj_t BGl_z62musicdecoderzd2initzd2wa1134z62zz__wav_decoderz00(obj_t BgL_envz00_692, obj_t BgL_decz00_693)
{
{ /* Llib/wav_decoder.scm 51 */
if(
NULLP(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_693))))->BgL_mimetypesz00)))
{ /* Llib/wav_decoder.scm 53 */
return 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_693))))->BgL_mimetypesz00)=((obj_t)
CNST_TABLE_REF(((long)22))),BUNSPEC);}  else 
{ /* Llib/wav_decoder.scm 53 */
return BFALSE;} } 

}



/* &object-print-wavmusi1132 */
obj_t BGl_z62objectzd2printzd2wavmusi1132z62zz__wav_decoderz00(obj_t BgL_envz00_694, obj_t BgL_oz00_695, obj_t BgL_portz00_696, obj_t BgL_printzd2slotzd2_697)
{
{ /* Llib/wav_decoder.scm 45 */
{ /* Llib/wav_decoder.scm 46 */
 obj_t BgL_tmpz00_1646;
BgL_tmpz00_1646 = 
((obj_t)BgL_portz00_696); 
return 
bgl_display_string(BGl_string2015z00zz__wav_decoderz00, BgL_tmpz00_1646);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__wav_wavz00(((long)21080121), 
BSTRING_TO_STRING(BGl_string2016z00zz__wav_decoderz00));} 

}

#ifdef __cplusplus
}
#endif
