/*===========================================================================*/
/*   (Ast/check_init.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/check_init.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_checkzd2globalzd2initz00 =
		BUNSPEC;
	static obj_t
		BGl_z62checkzd2initzd2sequence1261z62zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_checkzd2globalzd2initz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62checkzd2initzd2cast1274z62zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62checkzd2initzd2condition1278z62zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_checkzd2globalzd2initz00(void);
	static obj_t BGl_objectzd2initzd2zzast_checkzd2globalzd2initz00(void);
	static obj_t
		BGl_z62checkzd2initzd2setq1276z62zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t
		BGl_z62checkzd2initzd2sync1263z62zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62checkzd2initzd2fail1280z62zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_checkzd2globalzd2initz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62checkzd2initzd2jumpzd2exzd2i1290z62zzast_checkzd2globalzd2initz00
		(obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2initzd2letzd2fun1284zb0zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t
		BGl_z62checkzd2initzd2setzd2exzd2it1288z62zzast_checkzd2globalzd2initz00
		(obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2initzd2var1259z62zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62checkzd2init1256zb0zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62checkzd2initzd2appzd2ly1267zb0zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_checkzd2globalzd2initz00(void);
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzast_checkzd2globalzd2initz00(void);
	static obj_t
		BGl_z62checkzd2initzd2app1265z62zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	static obj_t BGl_z62checkzd2initzb0zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzast_checkzd2globalzd2initz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_checkzd2globalzd2initz00(void);
	static obj_t BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = BUNSPEC;
	static obj_t
		BGl_z62checkzd2initzd2funcall1269z62zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	static bool_t BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(obj_t);
	static obj_t
		BGl_z62checkzd2initzd2extern1271z62zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62checkzd2initzd2boxzd2setz121294za2zzast_checkzd2globalzd2initz00
		(obj_t, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2initzd2switch1282z62zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62checkzd2initzd2makezd2box1292zb0zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62checkzd2initzd2letzd2var1286zb0zzast_checkzd2globalzd2initz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1724z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_string1724za700za7za7a1750za7, "check-init1256", 14);
	      DEFINE_STRING(BGl_string1726z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_string1726za700za7za7a1751za7, "check-init", 10);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1723z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2init11752z00,
		BGl_z62checkzd2init1256zb0zzast_checkzd2globalzd2initz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1725z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71753za7,
		BGl_z62checkzd2initzd2var1259z62zzast_checkzd2globalzd2initz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1727z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71754za7,
		BGl_z62checkzd2initzd2sequence1261z62zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1728z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71755za7,
		BGl_z62checkzd2initzd2sync1263z62zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1729z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71756za7,
		BGl_z62checkzd2initzd2app1265z62zzast_checkzd2globalzd2initz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1730z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71757za7,
		BGl_z62checkzd2initzd2appzd2ly1267zb0zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1731z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71758za7,
		BGl_z62checkzd2initzd2funcall1269z62zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1732z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71759za7,
		BGl_z62checkzd2initzd2extern1271z62zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1733z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71760za7,
		BGl_z62checkzd2initzd2cast1274z62zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1734z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71761za7,
		BGl_z62checkzd2initzd2setq1276z62zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1735z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71762za7,
		BGl_z62checkzd2initzd2condition1278z62zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1736z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71763za7,
		BGl_z62checkzd2initzd2fail1280z62zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1737z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71764za7,
		BGl_z62checkzd2initzd2switch1282z62zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1744z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_string1744za700za7za7a1765za7, "Variable used before initialized",
		32);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1738z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71766za7,
		BGl_z62checkzd2initzd2letzd2fun1284zb0zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1745z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_string1745za700za7za7a1767za7,
		"Illegal type for prematurely used variable", 42);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1739z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71768za7,
		BGl_z62checkzd2initzd2letzd2var1286zb0zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1746z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_string1746za700za7za7a1769za7, "ast_check-global-init", 21);
	      DEFINE_STRING(BGl_string1747z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_string1747za700za7za7a1770za7, "done ", 5);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1740z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71771za7,
		BGl_z62checkzd2initzd2setzd2exzd2it1288z62zzast_checkzd2globalzd2initz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1741z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71772za7,
		BGl_z62checkzd2initzd2jumpzd2exzd2i1290z62zzast_checkzd2globalzd2initz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1742z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71773za7,
		BGl_z62checkzd2initzd2makezd2box1292zb0zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1743z00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71774za7,
		BGl_z62checkzd2initzd2boxzd2setz121294za2zzast_checkzd2globalzd2initz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
		BgL_bgl_za762checkza7d2initza71775za7,
		BGl_z62checkzd2initzb0zzast_checkzd2globalzd2initz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_checkzd2globalzd2initz00));
		     ADD_ROOT((void
				*) (&BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(long
		BgL_checksumz00_2359, char *BgL_fromz00_2360)
	{
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzast_checkzd2globalzd2initz00))
				{
					BGl_requirezd2initializa7ationz75zzast_checkzd2globalzd2initz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_checkzd2globalzd2initz00();
					BGl_libraryzd2moduleszd2initz00zzast_checkzd2globalzd2initz00();
					BGl_cnstzd2initzd2zzast_checkzd2globalzd2initz00();
					BGl_importedzd2moduleszd2initz00zzast_checkzd2globalzd2initz00();
					BGl_genericzd2initzd2zzast_checkzd2globalzd2initz00();
					BGl_methodzd2initzd2zzast_checkzd2globalzd2initz00();
					return BGl_toplevelzd2initzd2zzast_checkzd2globalzd2initz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2globalzd2initz00(void)
	{
		{	/* Ast/check_init.scm 18 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_check-global-init");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_check-global-init");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_check-global-init");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_check-global-init");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"ast_check-global-init");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_check-global-init");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_check-global-init");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_check-global-init");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"ast_check-global-init");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_check-global-init");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"ast_check-global-init");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_checkzd2globalzd2initz00(void)
	{
		{	/* Ast/check_init.scm 18 */
			{	/* Ast/check_init.scm 18 */
				obj_t BgL_cportz00_2275;

				{	/* Ast/check_init.scm 18 */
					obj_t BgL_stringz00_2282;

					BgL_stringz00_2282 = BGl_string1747z00zzast_checkzd2globalzd2initz00;
					{	/* Ast/check_init.scm 18 */
						obj_t BgL_startz00_2283;

						BgL_startz00_2283 = BINT(((long) 0));
						{	/* Ast/check_init.scm 18 */
							obj_t BgL_endz00_2284;

							BgL_endz00_2284 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2282)));
							{	/* Ast/check_init.scm 18 */

								BgL_cportz00_2275 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2282, BgL_startz00_2283, BgL_endz00_2284);
				}}}}
				{
					long BgL_iz00_2276;

					BgL_iz00_2276 = ((long) 0);
				BgL_loopz00_2277:
					if ((BgL_iz00_2276 == ((long) -1)))
						{	/* Ast/check_init.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Ast/check_init.scm 18 */
							{	/* Ast/check_init.scm 18 */
								obj_t BgL_arg1749z00_2278;

								{	/* Ast/check_init.scm 18 */

									{	/* Ast/check_init.scm 18 */
										obj_t BgL_locationz00_2280;

										BgL_locationz00_2280 = BBOOL(((bool_t) 0));
										{	/* Ast/check_init.scm 18 */

											BgL_arg1749z00_2278 =
												BGl_readz00zz__readerz00(BgL_cportz00_2275,
												BgL_locationz00_2280);
										}
									}
								}
								{	/* Ast/check_init.scm 18 */
									int BgL_tmpz00_2391;

									BgL_tmpz00_2391 = (int) (BgL_iz00_2276);
									CNST_TABLE_SET(BgL_tmpz00_2391, BgL_arg1749z00_2278);
							}}
							{	/* Ast/check_init.scm 18 */
								int BgL_auxz00_2281;

								BgL_auxz00_2281 = (int) ((BgL_iz00_2276 - ((long) 1)));
								{
									long BgL_iz00_2396;

									BgL_iz00_2396 = (long) (BgL_auxz00_2281);
									BgL_iz00_2276 = BgL_iz00_2396;
									goto BgL_loopz00_2277;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_checkzd2globalzd2initz00(void)
	{
		{	/* Ast/check_init.scm 18 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_checkzd2globalzd2initz00(void)
	{
		{	/* Ast/check_init.scm 18 */
			BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = BNIL;
			return BUNSPEC;
		}

	}



/* check-init* */
	bool_t BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(obj_t
		BgL_nodeza2za2_46)
	{
		{	/* Ast/check_init.scm 221 */
			{
				obj_t BgL_l1254z00_1645;

				BgL_l1254z00_1645 = BgL_nodeza2za2_46;
			BgL_zc3z04anonymousza31314ze3z87_1646:
				if (PAIRP(BgL_l1254z00_1645))
					{	/* Ast/check_init.scm 222 */
						{	/* Ast/check_init.scm 222 */
							obj_t BgL_arg1316z00_1648;

							BgL_arg1316z00_1648 = CAR(BgL_l1254z00_1645);
							BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
								((BgL_nodez00_bglt) BgL_arg1316z00_1648));
						}
						{
							obj_t BgL_l1254z00_2404;

							BgL_l1254z00_2404 = CDR(BgL_l1254z00_1645);
							BgL_l1254z00_1645 = BgL_l1254z00_2404;
							goto BgL_zc3z04anonymousza31314ze3z87_1646;
						}
					}
				else
					{	/* Ast/check_init.scm 222 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_checkzd2globalzd2initz00(void)
	{
		{	/* Ast/check_init.scm 18 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_checkzd2globalzd2initz00(void)
	{
		{	/* Ast/check_init.scm 18 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_proc1723z00zzast_checkzd2globalzd2initz00, BGl_nodez00zzast_nodez00,
				BGl_string1724z00zzast_checkzd2globalzd2initz00);
		}

	}



/* &check-init1256 */
	obj_t BGl_z62checkzd2init1256zb0zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2216, obj_t BgL_nodez00_2217)
	{
		{	/* Ast/check_init.scm 57 */
			return CNST_TABLE_REF(((long) 0));
		}

	}



/* check-init */
	obj_t BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(BgL_nodez00_bglt
		BgL_nodez00_27)
	{
		{	/* Ast/check_init.scm 57 */
			{	/* Ast/check_init.scm 57 */
				obj_t BgL_method1257z00_1655;

				{	/* Ast/check_init.scm 57 */
					obj_t BgL_res1717z00_2020;

					{	/* Ast/check_init.scm 57 */
						long BgL_objzd2classzd2numz00_1991;

						BgL_objzd2classzd2numz00_1991 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_27));
						{	/* Ast/check_init.scm 57 */
							obj_t BgL_arg1825z00_1992;

							BgL_arg1825z00_1992 =
								PROCEDURE_REF
								(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
								(int) (((long) 1)));
							{	/* Ast/check_init.scm 57 */
								int BgL_offsetz00_1995;

								BgL_offsetz00_1995 = (int) (BgL_objzd2classzd2numz00_1991);
								{	/* Ast/check_init.scm 57 */
									long BgL_offsetz00_1996;

									BgL_offsetz00_1996 =
										((long) (BgL_offsetz00_1995) - OBJECT_TYPE);
									{	/* Ast/check_init.scm 57 */
										long BgL_modz00_1997;

										BgL_modz00_1997 =
											(BgL_offsetz00_1996 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/check_init.scm 57 */
											long BgL_restz00_1999;

											BgL_restz00_1999 =
												(BgL_offsetz00_1996 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/check_init.scm 57 */

												{	/* Ast/check_init.scm 57 */
													obj_t BgL_bucketz00_2001;

													BgL_bucketz00_2001 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_1992), BgL_modz00_1997);
													BgL_res1717z00_2020 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2001), BgL_restz00_1999);
					}}}}}}}}
					BgL_method1257z00_1655 = BgL_res1717z00_2020;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1257z00_1655)) (BgL_method1257z00_1655,
					((obj_t) BgL_nodez00_27), BEOA);
			}
		}

	}



/* &check-init */
	obj_t BGl_z62checkzd2initzb0zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2218, obj_t BgL_nodez00_2219)
	{
		{	/* Ast/check_init.scm 57 */
			return
				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				((BgL_nodez00_bglt) BgL_nodez00_2219));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_checkzd2globalzd2initz00(void)
	{
		{	/* Ast/check_init.scm 18 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_varz00zzast_nodez00, BGl_proc1725z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_sequencez00zzast_nodez00,
				BGl_proc1727z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_syncz00zzast_nodez00, BGl_proc1728z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_appz00zzast_nodez00, BGl_proc1729z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1730z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_funcallz00zzast_nodez00,
				BGl_proc1731z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_externz00zzast_nodez00,
				BGl_proc1732z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_castz00zzast_nodez00, BGl_proc1733z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_setqz00zzast_nodez00, BGl_proc1734z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc1735z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_failz00zzast_nodez00, BGl_proc1736z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_switchz00zzast_nodez00,
				BGl_proc1737z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1738z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1739z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1740z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1741z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1742z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1743z00zzast_checkzd2globalzd2initz00,
				BGl_string1726z00zzast_checkzd2globalzd2initz00);
		}

	}



/* &check-init-box-set!1294 */
	obj_t
		BGl_z62checkzd2initzd2boxzd2setz121294za2zzast_checkzd2globalzd2initz00
		(obj_t BgL_envz00_2238, obj_t BgL_nodez00_2239)
	{
		{	/* Ast/check_init.scm 214 */
			return
				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2239)))->BgL_valuez00));
		}

	}



/* &check-init-make-box1292 */
	obj_t
		BGl_z62checkzd2initzd2makezd2box1292zb0zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2240, obj_t BgL_nodez00_2241)
	{
		{	/* Ast/check_init.scm 208 */
			return
				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2241)))->BgL_valuez00));
		}

	}



/* &check-init-jump-ex-i1290 */
	obj_t
		BGl_z62checkzd2initzd2jumpzd2exzd2i1290z62zzast_checkzd2globalzd2initz00
		(obj_t BgL_envz00_2242, obj_t BgL_nodez00_2243)
	{
		{	/* Ast/check_init.scm 200 */
			BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2243)))->BgL_exitz00));
			return
				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2243)))->BgL_valuez00));
		}

	}



/* &check-init-set-ex-it1288 */
	obj_t
		BGl_z62checkzd2initzd2setzd2exzd2it1288z62zzast_checkzd2globalzd2initz00
		(obj_t BgL_envz00_2244, obj_t BgL_nodez00_2245)
	{
		{	/* Ast/check_init.scm 193 */
			BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2245)))->BgL_bodyz00));
			return
				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2245)))->BgL_onexitz00));
		}

	}



/* &check-init-let-var1286 */
	obj_t
		BGl_z62checkzd2initzd2letzd2var1286zb0zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2246, obj_t BgL_nodez00_2247)
	{
		{	/* Ast/check_init.scm 183 */
			{	/* Ast/check_init.scm 184 */
				bool_t BgL_tmpz00_2476;

				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2247)))->BgL_bodyz00));
				{	/* Ast/check_init.scm 186 */
					obj_t BgL_g1253z00_2292;

					BgL_g1253z00_2292 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2247)))->BgL_bindingsz00);
					{
						obj_t BgL_l1251z00_2294;

						BgL_l1251z00_2294 = BgL_g1253z00_2292;
					BgL_zc3z04anonymousza31427ze3z87_2293:
						if (PAIRP(BgL_l1251z00_2294))
							{	/* Ast/check_init.scm 186 */
								{	/* Ast/check_init.scm 187 */
									obj_t BgL_bindingz00_2295;

									BgL_bindingz00_2295 = CAR(BgL_l1251z00_2294);
									{	/* Ast/check_init.scm 187 */
										obj_t BgL_arg1429z00_2296;

										BgL_arg1429z00_2296 = CDR(((obj_t) BgL_bindingz00_2295));
										BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
											((BgL_nodez00_bglt) BgL_arg1429z00_2296));
									}
								}
								{
									obj_t BgL_l1251z00_2489;

									BgL_l1251z00_2489 = CDR(BgL_l1251z00_2294);
									BgL_l1251z00_2294 = BgL_l1251z00_2489;
									goto BgL_zc3z04anonymousza31427ze3z87_2293;
								}
							}
						else
							{	/* Ast/check_init.scm 186 */
								BgL_tmpz00_2476 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2476);
			}
		}

	}



/* &check-init-let-fun1284 */
	obj_t
		BGl_z62checkzd2initzd2letzd2fun1284zb0zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2248, obj_t BgL_nodez00_2249)
	{
		{	/* Ast/check_init.scm 176 */
			return
				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2249)))->BgL_bodyz00));
		}

	}



/* &check-init-switch1282 */
	obj_t BGl_z62checkzd2initzd2switch1282z62zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2250, obj_t BgL_nodez00_2251)
	{
		{	/* Ast/check_init.scm 163 */
			{	/* Ast/check_init.scm 164 */
				bool_t BgL_tmpz00_2495;

				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2251)))->BgL_testz00));
				{	/* Ast/check_init.scm 166 */
					obj_t BgL_g1250z00_2299;

					BgL_g1250z00_2299 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2251)))->BgL_clausesz00);
					{
						obj_t BgL_l1248z00_2301;

						BgL_l1248z00_2301 = BgL_g1250z00_2299;
					BgL_zc3z04anonymousza31395ze3z87_2300:
						if (PAIRP(BgL_l1248z00_2301))
							{	/* Ast/check_init.scm 166 */
								{	/* Ast/check_init.scm 167 */
									obj_t BgL_clausez00_2302;

									BgL_clausez00_2302 = CAR(BgL_l1248z00_2301);
									{	/* Ast/check_init.scm 167 */
										obj_t BgL_arg1400z00_2303;

										BgL_arg1400z00_2303 = CDR(((obj_t) BgL_clausez00_2302));
										BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
											((BgL_nodez00_bglt) BgL_arg1400z00_2303));
									}
								}
								{
									obj_t BgL_l1248z00_2508;

									BgL_l1248z00_2508 = CDR(BgL_l1248z00_2301);
									BgL_l1248z00_2301 = BgL_l1248z00_2508;
									goto BgL_zc3z04anonymousza31395ze3z87_2300;
								}
							}
						else
							{	/* Ast/check_init.scm 166 */
								BgL_tmpz00_2495 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2495);
			}
		}

	}



/* &check-init-fail1280 */
	obj_t BGl_z62checkzd2initzd2fail1280z62zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2252, obj_t BgL_nodez00_2253)
	{
		{	/* Ast/check_init.scm 154 */
			BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2253)))->BgL_procz00));
			BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2253)))->BgL_msgz00));
			return
				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2253)))->BgL_objz00));
		}

	}



/* &check-init-condition1278 */
	obj_t
		BGl_z62checkzd2initzd2condition1278z62zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2254, obj_t BgL_nodez00_2255)
	{
		{	/* Ast/check_init.scm 145 */
			BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2255)))->BgL_testz00));
			BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2255)))->BgL_truez00));
			return
				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2255)))->BgL_falsez00));
		}

	}



/* &check-init-setq1276 */
	obj_t BGl_z62checkzd2initzd2setq1276z62zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2256, obj_t BgL_nodez00_2257)
	{
		{	/* Ast/check_init.scm 133 */
			{	/* Ast/check_init.scm 137 */
				BgL_variablez00_bglt BgL_varz00_2307;

				BgL_varz00_2307 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_2257)))->BgL_varz00)))->
					BgL_variablez00);
				{	/* Ast/check_init.scm 138 */
					bool_t BgL_test1782z00_2532;

					{	/* Ast/check_init.scm 138 */
						obj_t BgL_classz00_2308;

						BgL_classz00_2308 = BGl_globalz00zzast_varz00;
						{	/* Ast/check_init.scm 138 */
							BgL_objectz00_bglt BgL_arg1820z00_2309;

							{	/* Ast/check_init.scm 138 */
								obj_t BgL_tmpz00_2533;

								BgL_tmpz00_2533 =
									((obj_t) ((BgL_objectz00_bglt) BgL_varz00_2307));
								BgL_arg1820z00_2309 = (BgL_objectz00_bglt) (BgL_tmpz00_2533);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/check_init.scm 138 */
									long BgL_idxz00_2310;

									BgL_idxz00_2310 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2309);
									BgL_test1782z00_2532 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2310 + ((long) 2))) == BgL_classz00_2308);
								}
							else
								{	/* Ast/check_init.scm 138 */
									bool_t BgL_res1720z00_2313;

									{	/* Ast/check_init.scm 138 */
										obj_t BgL_oclassz00_2314;

										{	/* Ast/check_init.scm 138 */
											long BgL_arg1828z00_2315;

											{	/* Ast/check_init.scm 138 */
												long BgL_arg1829z00_2316;

												BgL_arg1829z00_2316 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2309);
												BgL_arg1828z00_2315 =
													(BgL_arg1829z00_2316 - OBJECT_TYPE);
											}
											BgL_oclassz00_2314 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2315);
										}
										{	/* Ast/check_init.scm 138 */
											bool_t BgL__ortest_1111z00_2317;

											BgL__ortest_1111z00_2317 =
												(BgL_classz00_2308 == BgL_oclassz00_2314);
											if (BgL__ortest_1111z00_2317)
												{	/* Ast/check_init.scm 138 */
													BgL_res1720z00_2313 = BgL__ortest_1111z00_2317;
												}
											else
												{	/* Ast/check_init.scm 138 */
													long BgL_odepthz00_2318;

													BgL_odepthz00_2318 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2314);
													if ((((long) 2) < BgL_odepthz00_2318))
														{	/* Ast/check_init.scm 138 */
															obj_t BgL_arg1816z00_2319;

															BgL_arg1816z00_2319 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2314,
																((long) 2));
															BgL_res1720z00_2313 =
																(BgL_arg1816z00_2319 == BgL_classz00_2308);
														}
													else
														{	/* Ast/check_init.scm 138 */
															BgL_res1720z00_2313 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1782z00_2532 = BgL_res1720z00_2313;
								}
						}
					}
					if (BgL_test1782z00_2532)
						{	/* Ast/check_init.scm 138 */
							BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_varz00_2307),
								BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00);
						}
					else
						{	/* Ast/check_init.scm 138 */
							BFALSE;
						}
				}
			}
			return
				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2257)))->BgL_valuez00));
		}

	}



/* &check-init-cast1274 */
	obj_t BGl_z62checkzd2initzd2cast1274z62zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2258, obj_t BgL_nodez00_2259)
	{
		{	/* Ast/check_init.scm 127 */
			return
				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2259)))->BgL_argz00));
		}

	}



/* &check-init-extern1271 */
	obj_t BGl_z62checkzd2initzd2extern1271z62zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2260, obj_t BgL_nodez00_2261)
	{
		{	/* Ast/check_init.scm 121 */
			return
				BBOOL(BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2261)))->BgL_exprza2za2)));
		}

	}



/* &check-init-funcall1269 */
	obj_t BGl_z62checkzd2initzd2funcall1269z62zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2262, obj_t BgL_nodez00_2263)
	{
		{	/* Ast/check_init.scm 113 */
			{	/* Ast/check_init.scm 114 */
				bool_t BgL_tmpz00_2565;

				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2263)))->BgL_funz00));
				BgL_tmpz00_2565 =
					BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2263)))->BgL_argsz00));
				return BBOOL(BgL_tmpz00_2565);
			}
		}

	}



/* &check-init-app-ly1267 */
	obj_t
		BGl_z62checkzd2initzd2appzd2ly1267zb0zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2264, obj_t BgL_nodez00_2265)
	{
		{	/* Ast/check_init.scm 105 */
			BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2265)))->BgL_funz00));
			return
				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2265)))->BgL_argz00));
		}

	}



/* &check-init-app1265 */
	obj_t BGl_z62checkzd2initzd2app1265z62zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2266, obj_t BgL_nodez00_2267)
	{
		{	/* Ast/check_init.scm 98 */
			return
				BBOOL(BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2267)))->BgL_argsz00)));
		}

	}



/* &check-init-sync1263 */
	obj_t BGl_z62checkzd2initzd2sync1263z62zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2268, obj_t BgL_nodez00_2269)
	{
		{	/* Ast/check_init.scm 90 */
			BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2269)))->BgL_mutexz00));
			BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2269)))->BgL_prelockz00));
			return
				BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2269)))->BgL_bodyz00));
		}

	}



/* &check-init-sequence1261 */
	obj_t
		BGl_z62checkzd2initzd2sequence1261z62zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2270, obj_t BgL_nodez00_2271)
	{
		{	/* Ast/check_init.scm 84 */
			return
				BBOOL(BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2271)))->BgL_nodesz00)));
		}

	}



/* &check-init-var1259 */
	obj_t BGl_z62checkzd2initzd2var1259z62zzast_checkzd2globalzd2initz00(obj_t
		BgL_envz00_2272, obj_t BgL_nodez00_2273)
	{
		{	/* Ast/check_init.scm 63 */
			{	/* Ast/check_init.scm 64 */
				BgL_variablez00_bglt BgL_varz00_2328;

				BgL_varz00_2328 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2273)))->BgL_variablez00);
				{	/* Ast/check_init.scm 65 */
					bool_t BgL_test1786z00_2598;

					{	/* Ast/check_init.scm 65 */
						bool_t BgL_test1787z00_2599;

						{	/* Ast/check_init.scm 65 */
							obj_t BgL_classz00_2329;

							BgL_classz00_2329 = BGl_globalz00zzast_varz00;
							{	/* Ast/check_init.scm 65 */
								BgL_objectz00_bglt BgL_arg1820z00_2330;

								{	/* Ast/check_init.scm 65 */
									obj_t BgL_tmpz00_2600;

									BgL_tmpz00_2600 =
										((obj_t) ((BgL_objectz00_bglt) BgL_varz00_2328));
									BgL_arg1820z00_2330 = (BgL_objectz00_bglt) (BgL_tmpz00_2600);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/check_init.scm 65 */
										long BgL_idxz00_2331;

										BgL_idxz00_2331 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2330);
										BgL_test1787z00_2599 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2331 + ((long) 2))) == BgL_classz00_2329);
									}
								else
									{	/* Ast/check_init.scm 65 */
										bool_t BgL_res1718z00_2334;

										{	/* Ast/check_init.scm 65 */
											obj_t BgL_oclassz00_2335;

											{	/* Ast/check_init.scm 65 */
												long BgL_arg1828z00_2336;

												{	/* Ast/check_init.scm 65 */
													long BgL_arg1829z00_2337;

													BgL_arg1829z00_2337 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2330);
													BgL_arg1828z00_2336 =
														(BgL_arg1829z00_2337 - OBJECT_TYPE);
												}
												BgL_oclassz00_2335 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2336);
											}
											{	/* Ast/check_init.scm 65 */
												bool_t BgL__ortest_1111z00_2338;

												BgL__ortest_1111z00_2338 =
													(BgL_classz00_2329 == BgL_oclassz00_2335);
												if (BgL__ortest_1111z00_2338)
													{	/* Ast/check_init.scm 65 */
														BgL_res1718z00_2334 = BgL__ortest_1111z00_2338;
													}
												else
													{	/* Ast/check_init.scm 65 */
														long BgL_odepthz00_2339;

														BgL_odepthz00_2339 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2335);
														if ((((long) 2) < BgL_odepthz00_2339))
															{	/* Ast/check_init.scm 65 */
																obj_t BgL_arg1816z00_2340;

																BgL_arg1816z00_2340 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2335,
																	((long) 2));
																BgL_res1718z00_2334 =
																	(BgL_arg1816z00_2340 == BgL_classz00_2329);
															}
														else
															{	/* Ast/check_init.scm 65 */
																BgL_res1718z00_2334 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1787z00_2599 = BgL_res1718z00_2334;
									}
							}
						}
						if (BgL_test1787z00_2599)
							{	/* Ast/check_init.scm 66 */
								bool_t BgL_test1792z00_2620;

								{	/* Ast/check_init.scm 66 */
									BgL_valuez00_bglt BgL_arg1358z00_2341;

									BgL_arg1358z00_2341 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_varz00_2328))))->
										BgL_valuez00);
									{	/* Ast/check_init.scm 66 */
										obj_t BgL_classz00_2342;

										BgL_classz00_2342 = BGl_funz00zzast_varz00;
										{	/* Ast/check_init.scm 66 */
											BgL_objectz00_bglt BgL_arg1820z00_2343;

											{	/* Ast/check_init.scm 66 */
												obj_t BgL_tmpz00_2624;

												BgL_tmpz00_2624 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1358z00_2341));
												BgL_arg1820z00_2343 =
													(BgL_objectz00_bglt) (BgL_tmpz00_2624);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Ast/check_init.scm 66 */
													long BgL_idxz00_2344;

													BgL_idxz00_2344 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2343);
													BgL_test1792z00_2620 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2344 + ((long) 2))) ==
														BgL_classz00_2342);
												}
											else
												{	/* Ast/check_init.scm 66 */
													bool_t BgL_res1719z00_2347;

													{	/* Ast/check_init.scm 66 */
														obj_t BgL_oclassz00_2348;

														{	/* Ast/check_init.scm 66 */
															long BgL_arg1828z00_2349;

															{	/* Ast/check_init.scm 66 */
																long BgL_arg1829z00_2350;

																BgL_arg1829z00_2350 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2343);
																BgL_arg1828z00_2349 =
																	(BgL_arg1829z00_2350 - OBJECT_TYPE);
															}
															BgL_oclassz00_2348 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_2349);
														}
														{	/* Ast/check_init.scm 66 */
															bool_t BgL__ortest_1111z00_2351;

															BgL__ortest_1111z00_2351 =
																(BgL_classz00_2342 == BgL_oclassz00_2348);
															if (BgL__ortest_1111z00_2351)
																{	/* Ast/check_init.scm 66 */
																	BgL_res1719z00_2347 =
																		BgL__ortest_1111z00_2351;
																}
															else
																{	/* Ast/check_init.scm 66 */
																	long BgL_odepthz00_2352;

																	BgL_odepthz00_2352 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2348);
																	if ((((long) 2) < BgL_odepthz00_2352))
																		{	/* Ast/check_init.scm 66 */
																			obj_t BgL_arg1816z00_2353;

																			BgL_arg1816z00_2353 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2348, ((long) 2));
																			BgL_res1719z00_2347 =
																				(BgL_arg1816z00_2353 ==
																				BgL_classz00_2342);
																		}
																	else
																		{	/* Ast/check_init.scm 66 */
																			BgL_res1719z00_2347 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1792z00_2620 = BgL_res1719z00_2347;
												}
										}
									}
								}
								if (BgL_test1792z00_2620)
									{	/* Ast/check_init.scm 66 */
										BgL_test1786z00_2598 = ((bool_t) 0);
									}
								else
									{	/* Ast/check_init.scm 66 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
													((obj_t) BgL_varz00_2328),
													BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00)))
											{	/* Ast/check_init.scm 67 */
												BgL_test1786z00_2598 = ((bool_t) 0);
											}
										else
											{	/* Ast/check_init.scm 68 */
												obj_t BgL_arg1356z00_2354;

												BgL_arg1356z00_2354 =
													(((BgL_globalz00_bglt) COBJECT(
															((BgL_globalz00_bglt) BgL_varz00_2328)))->
													BgL_modulez00);
												BgL_test1786z00_2598 =
													(BgL_arg1356z00_2354 ==
													BGl_za2moduleza2z00zzmodule_modulez00);
											}
									}
							}
						else
							{	/* Ast/check_init.scm 65 */
								BgL_test1786z00_2598 = ((bool_t) 0);
							}
					}
					if (BgL_test1786z00_2598)
						{	/* Ast/check_init.scm 65 */
							{	/* Ast/check_init.scm 70 */
								obj_t BgL_arg1341z00_2355;
								obj_t BgL_arg1343z00_2356;

								BgL_arg1341z00_2355 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_varz00_bglt) BgL_nodez00_2273))))->BgL_locz00);
								BgL_arg1343z00_2356 =
									(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2328))->
									BgL_idz00);
								BGl_userzd2warningzf2locationz20zztools_errorz00
									(BgL_arg1341z00_2355,
									BGl_string1726z00zzast_checkzd2globalzd2initz00,
									BGl_string1744z00zzast_checkzd2globalzd2initz00,
									BgL_arg1343z00_2356);
							}
							{	/* Ast/check_init.scm 74 */
								bool_t BgL_test1797z00_2656;

								{	/* Ast/check_init.scm 74 */
									BgL_typez00_bglt BgL_arg1353z00_2357;

									BgL_arg1353z00_2357 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_varz00_2328))))->
										BgL_typez00);
									BgL_test1797z00_2656 =
										(((obj_t) BgL_arg1353z00_2357) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_test1797z00_2656)
									{	/* Ast/check_init.scm 75 */
										BgL_typez00_bglt BgL_vz00_2358;

										BgL_vz00_2358 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_varz00_2328))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_2358), BUNSPEC);
									}
								else
									{	/* Ast/check_init.scm 74 */
										BGl_errorz00zz__errorz00(
											(((BgL_typez00_bglt) COBJECT(
														(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2328))->
															BgL_typez00)))->BgL_idz00),
											BGl_string1745z00zzast_checkzd2globalzd2initz00,
											(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2328))->
												BgL_idz00));
									}
							}
							return (BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 =
								MAKE_YOUNG_PAIR(
									((obj_t) BgL_varz00_2328),
									BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00), BUNSPEC);
						}
					else
						{	/* Ast/check_init.scm 65 */
							return BFALSE;
						}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2globalzd2initz00(void)
	{
		{	/* Ast/check_init.scm 18 */
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1746z00zzast_checkzd2globalzd2initz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1746z00zzast_checkzd2globalzd2initz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1746z00zzast_checkzd2globalzd2initz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1746z00zzast_checkzd2globalzd2initz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1746z00zzast_checkzd2globalzd2initz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1746z00zzast_checkzd2globalzd2initz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1746z00zzast_checkzd2globalzd2initz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1746z00zzast_checkzd2globalzd2initz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string1746z00zzast_checkzd2globalzd2initz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 153808441),
				BSTRING_TO_STRING(BGl_string1746z00zzast_checkzd2globalzd2initz00));
		}

	}

#ifdef __cplusplus
}
#endif
