/*===========================================================================*/
/*   (Ast/glo_decl.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/glo_decl.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;


	static obj_t BGl_symbol1837z00zzast_glozd2declzd2 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zzast_glozd2declzd2 = BUNSPEC;
	extern obj_t BGl_dssslzd2keyszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_parsezd2idzf2importzd2locationzf2zzast_identz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_dssslzd2formalszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t,
		obj_t, BgL_valuez00_bglt, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_glozd2declzd2(void);
	static obj_t BGl_objectzd2initzd2zzast_glozd2declzd2(void);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2cfunz12z70zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_dropz00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2sfunz12z70zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzast_glozd2declzd2(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_glozd2declzd2(void);
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2scnstz12z70zzast_glozd2declzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_svarz00zzast_varz00;
	extern bool_t
		BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00(obj_t, obj_t,
		obj_t);
	static BgL_globalz00_bglt
		BGl_declarezd2globalzd2nooptzd2sfunz12zc0zzast_glozd2declzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2cvarz12z70zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2svarz12z70zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_glozd2declzd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2declzd2(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2declzd2(void);
	static BgL_globalz00_bglt
		BGl_declarezd2globalzd2dssslzd2sfunz12zc0zzast_glozd2declzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_dssslzd2optionalszd2zztools_dssslz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_glozd2declzd2(void);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
	static obj_t BGl_loopze70ze7zzast_glozd2declzd2(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_cvarz00zzast_varz00;
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t __cnst[11];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2scnstz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1845z00,
		BGl_z62declarezd2globalzd2scnstz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2cfunz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1846z00,
		BGl_z62declarezd2globalzd2cfunz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2sfunz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1847z00,
		BGl_z62declarezd2globalzd2sfunz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 8);
	      DEFINE_STRING(BGl_string1838z00zzast_glozd2declzd2,
		BgL_bgl_string1838za700za7za7a1848za7, "", 0);
	      DEFINE_STRING(BGl_string1839z00zzast_glozd2declzd2,
		BgL_bgl_string1839za700za7za7a1849za7, "Illegal nary argument type", 26);
	      DEFINE_STRING(BGl_string1840z00zzast_glozd2declzd2,
		BgL_bgl_string1840za700za7za7a1850za7, "Illegal type for global variable",
		32);
	      DEFINE_STRING(BGl_string1841z00zzast_glozd2declzd2,
		BgL_bgl_string1841za700za7za7a1851za7, "ast_glo-decl", 12);
	      DEFINE_STRING(BGl_string1842z00zzast_glozd2declzd2,
		BgL_bgl_string1842za700za7za7a1852za7,
		"foreign a-cnst write read (export import) bigloo sgfun \077\077? export bdb static ",
		77);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2cvarz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1853z00,
		BGl_z62declarezd2globalzd2cvarz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2svarz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1854z00,
		BGl_z62declarezd2globalzd2svarz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 6);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol1837z00zzast_glozd2declzd2));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_glozd2declzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long
		BgL_checksumz00_2166, char *BgL_fromz00_2167)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_glozd2declzd2))
				{
					BGl_requirezd2initializa7ationz75zzast_glozd2declzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_glozd2declzd2();
					BGl_libraryzd2moduleszd2initz00zzast_glozd2declzd2();
					BGl_cnstzd2initzd2zzast_glozd2declzd2();
					BGl_importedzd2moduleszd2initz00zzast_glozd2declzd2();
					return BGl_methodzd2initzd2zzast_glozd2declzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_glo-decl");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			{	/* Ast/glo_decl.scm 17 */
				obj_t BgL_cportz00_2155;

				{	/* Ast/glo_decl.scm 17 */
					obj_t BgL_stringz00_2162;

					BgL_stringz00_2162 = BGl_string1842z00zzast_glozd2declzd2;
					{	/* Ast/glo_decl.scm 17 */
						obj_t BgL_startz00_2163;

						BgL_startz00_2163 = BINT(((long) 0));
						{	/* Ast/glo_decl.scm 17 */
							obj_t BgL_endz00_2164;

							BgL_endz00_2164 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2162)));
							{	/* Ast/glo_decl.scm 17 */

								BgL_cportz00_2155 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2162, BgL_startz00_2163, BgL_endz00_2164);
				}}}}
				{
					long BgL_iz00_2156;

					BgL_iz00_2156 = ((long) 10);
				BgL_loopz00_2157:
					if ((BgL_iz00_2156 == ((long) -1)))
						{	/* Ast/glo_decl.scm 17 */
							BUNSPEC;
						}
					else
						{	/* Ast/glo_decl.scm 17 */
							{	/* Ast/glo_decl.scm 17 */
								obj_t BgL_arg1844z00_2158;

								{	/* Ast/glo_decl.scm 17 */

									{	/* Ast/glo_decl.scm 17 */
										obj_t BgL_locationz00_2160;

										BgL_locationz00_2160 = BBOOL(((bool_t) 0));
										{	/* Ast/glo_decl.scm 17 */

											BgL_arg1844z00_2158 =
												BGl_readz00zz__readerz00(BgL_cportz00_2155,
												BgL_locationz00_2160);
										}
									}
								}
								{	/* Ast/glo_decl.scm 17 */
									int BgL_tmpz00_2193;

									BgL_tmpz00_2193 = (int) (BgL_iz00_2156);
									CNST_TABLE_SET(BgL_tmpz00_2193, BgL_arg1844z00_2158);
							}}
							{	/* Ast/glo_decl.scm 17 */
								int BgL_auxz00_2161;

								BgL_auxz00_2161 = (int) ((BgL_iz00_2156 - ((long) 1)));
								{
									long BgL_iz00_2198;

									BgL_iz00_2198 = (long) (BgL_auxz00_2161);
									BgL_iz00_2156 = BgL_iz00_2198;
									goto BgL_loopz00_2157;
								}
							}
						}
				}
			}
			return (BGl_symbol1837z00zzast_glozd2declzd2 =
				bstring_to_symbol(BGl_string1838z00zzast_glozd2declzd2), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_glozd2declzd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1513;

				BgL_headz00_1513 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1514;
					obj_t BgL_tailz00_1515;

					BgL_prevz00_1514 = BgL_headz00_1513;
					BgL_tailz00_1515 = BgL_l1z00_1;
				BgL_loopz00_1516:
					if (PAIRP(BgL_tailz00_1515))
						{
							obj_t BgL_newzd2prevzd2_1518;

							BgL_newzd2prevzd2_1518 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1515), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1514, BgL_newzd2prevzd2_1518);
							{
								obj_t BgL_tailz00_2209;
								obj_t BgL_prevz00_2208;

								BgL_prevz00_2208 = BgL_newzd2prevzd2_1518;
								BgL_tailz00_2209 = CDR(BgL_tailz00_1515);
								BgL_tailz00_1515 = BgL_tailz00_2209;
								BgL_prevz00_1514 = BgL_prevz00_2208;
								goto BgL_loopz00_1516;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1513);
				}
			}
		}

	}



/* declare-global-sfun! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t BgL_idz00_3,
		obj_t BgL_aliasz00_4, obj_t BgL_argsz00_5, obj_t BgL_modulez00_6,
		obj_t BgL_importz00_7, obj_t BgL_classz00_8, obj_t BgL_srcez00_9,
		obj_t BgL_srciz00_10)
	{
		{	/* Ast/glo_decl.scm 56 */
			if (BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00
				(BgL_argsz00_5))
				{	/* Ast/glo_decl.scm 60 */
					return
						BGl_declarezd2globalzd2dssslzd2sfunz12zc0zzast_glozd2declzd2
						(BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_5), BNIL,
						BgL_idz00_3, BgL_aliasz00_4, BgL_argsz00_5, BgL_modulez00_6,
						BgL_importz00_7, BgL_classz00_8, BgL_srcez00_9, BgL_srciz00_10);
				}
			else
				{	/* Ast/glo_decl.scm 60 */
					if (BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00
						(BgL_argsz00_5))
						{	/* Ast/glo_decl.scm 62 */
							return
								BGl_declarezd2globalzd2dssslzd2sfunz12zc0zzast_glozd2declzd2
								(BNIL, BGl_dssslzd2keyszd2zztools_dssslz00(BgL_argsz00_5),
								BgL_idz00_3, BgL_aliasz00_4, BgL_argsz00_5, BgL_modulez00_6,
								BgL_importz00_7, BgL_classz00_8, BgL_srcez00_9, BgL_srciz00_10);
						}
					else
						{	/* Ast/glo_decl.scm 62 */
							BGL_TAIL return
								BGl_declarezd2globalzd2nooptzd2sfunz12zc0zzast_glozd2declzd2
								(BgL_idz00_3, BgL_aliasz00_4, BgL_argsz00_5, BgL_modulez00_6,
								BgL_importz00_7, BgL_classz00_8, BgL_srcez00_9, BgL_srciz00_10);
						}
				}
		}

	}



/* &declare-global-sfun! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2sfunz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2111, obj_t BgL_idz00_2112, obj_t BgL_aliasz00_2113,
		obj_t BgL_argsz00_2114, obj_t BgL_modulez00_2115, obj_t BgL_importz00_2116,
		obj_t BgL_classz00_2117, obj_t BgL_srcez00_2118, obj_t BgL_srciz00_2119)
	{
		{	/* Ast/glo_decl.scm 56 */
			return
				BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(BgL_idz00_2112,
				BgL_aliasz00_2113, BgL_argsz00_2114, BgL_modulez00_2115,
				BgL_importz00_2116, BgL_classz00_2117, BgL_srcez00_2118,
				BgL_srciz00_2119);
		}

	}



/* declare-global-dsssl-sfun! */
	BgL_globalz00_bglt
		BGl_declarezd2globalzd2dssslzd2sfunz12zc0zzast_glozd2declzd2(obj_t
		BgL_optsz00_11, obj_t BgL_keysz00_12, obj_t BgL_idz00_13,
		obj_t BgL_aliasz00_14, obj_t BgL_argsz00_15, obj_t BgL_modulez00_16,
		obj_t BgL_importz00_17, obj_t BgL_classz00_18, obj_t BgL_srcez00_19,
		obj_t BgL_srciz00_20)
	{
		{	/* Ast/glo_decl.scm 70 */
			{	/* Ast/glo_decl.scm 73 */
				long BgL_arityz00_1523;

				BgL_arityz00_1523 =
					BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_15);
				{	/* Ast/glo_decl.scm 73 */
					bool_t BgL_exportzf3zf3_1524;

					{	/* Ast/glo_decl.scm 74 */
						bool_t BgL__ortest_1108z00_1608;

						if ((BgL_importz00_17 == CNST_TABLE_REF(((long) 0))))
							{	/* Ast/glo_decl.scm 74 */
								BgL__ortest_1108z00_1608 = ((bool_t) 0);
							}
						else
							{	/* Ast/glo_decl.scm 74 */
								BgL__ortest_1108z00_1608 = ((bool_t) 1);
							}
						if (BgL__ortest_1108z00_1608)
							{	/* Ast/glo_decl.scm 74 */
								BgL_exportzf3zf3_1524 = BgL__ortest_1108z00_1608;
							}
						else
							{	/* Ast/glo_decl.scm 75 */
								obj_t BgL__andtest_1109z00_1609;

								{	/* Ast/glo_decl.scm 75 */
									obj_t BgL_arg1468z00_1610;

									{	/* Ast/glo_decl.scm 75 */
										obj_t BgL_arg1482z00_1611;

										BgL_arg1482z00_1611 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg1468z00_1610 =
											(((BgL_backendz00_bglt) COBJECT(
													((BgL_backendz00_bglt) BgL_arg1482z00_1611)))->
											BgL_debugzd2supportzd2);
									}
									BgL__andtest_1109z00_1609 =
										BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
												(long) 1)), BgL_arg1468z00_1610);
								}
								if (CBOOL(BgL__andtest_1109z00_1609))
									{	/* Ast/glo_decl.scm 75 */
										BgL_exportzf3zf3_1524 =
											(
											(long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 3));
									}
								else
									{	/* Ast/glo_decl.scm 75 */
										BgL_exportzf3zf3_1524 = ((bool_t) 0);
									}
							}
					}
					{	/* Ast/glo_decl.scm 74 */
						obj_t BgL_importz00_1525;

						{	/* Ast/glo_decl.scm 77 */
							bool_t BgL_test1863z00_2236;

							if ((BgL_importz00_17 == CNST_TABLE_REF(((long) 0))))
								{	/* Ast/glo_decl.scm 78 */
									bool_t BgL_test1865z00_2240;

									{	/* Ast/glo_decl.scm 78 */
										obj_t BgL_arg1458z00_1606;

										{	/* Ast/glo_decl.scm 78 */
											obj_t BgL_arg1467z00_1607;

											BgL_arg1467z00_1607 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_arg1458z00_1606 =
												(((BgL_backendz00_bglt) COBJECT(
														((BgL_backendz00_bglt) BgL_arg1467z00_1607)))->
												BgL_debugzd2supportzd2);
										}
										BgL_test1865z00_2240 =
											CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(CNST_TABLE_REF(((long) 1)), BgL_arg1458z00_1606));
									}
									if (BgL_test1865z00_2240)
										{	/* Ast/glo_decl.scm 78 */
											BgL_test1863z00_2236 =
												(
												(long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
												>= ((long) 3));
										}
									else
										{	/* Ast/glo_decl.scm 78 */
											BgL_test1863z00_2236 = ((bool_t) 0);
										}
								}
							else
								{	/* Ast/glo_decl.scm 77 */
									BgL_test1863z00_2236 = ((bool_t) 0);
								}
							if (BgL_test1863z00_2236)
								{	/* Ast/glo_decl.scm 77 */
									BgL_importz00_1525 = CNST_TABLE_REF(((long) 2));
								}
							else
								{	/* Ast/glo_decl.scm 77 */
									BgL_importz00_1525 = BgL_importz00_17;
								}
						}
						{	/* Ast/glo_decl.scm 77 */
							obj_t BgL_locz00_1526;

							BgL_locz00_1526 =
								BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_19);
							{	/* Ast/glo_decl.scm 82 */
								obj_t BgL_lociz00_1527;

								BgL_lociz00_1527 =
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_srciz00_20, BgL_locz00_1526);
								{	/* Ast/glo_decl.scm 83 */
									obj_t BgL_argsz00_1528;

									if (NULLP(BgL_keysz00_12))
										{	/* Ast/glo_decl.scm 84 */
											BgL_argsz00_1528 = BgL_argsz00_15;
										}
									else
										{	/* Ast/glo_decl.scm 84 */
											BgL_argsz00_1528 =
												BGl_loopze70ze7zzast_glozd2declzd2(BgL_keysz00_12,
												BgL_argsz00_15);
										}
									{	/* Ast/glo_decl.scm 84 */
										obj_t BgL_argszd2typezd2_1529;

										{
											obj_t BgL_argsz00_1563;
											obj_t BgL_resz00_1564;

											BgL_argsz00_1563 = BgL_argsz00_1528;
											BgL_resz00_1564 = BNIL;
										BgL_zc3z04anonymousza31354ze3z87_1565:
											if (NULLP(BgL_argsz00_1563))
												{	/* Ast/glo_decl.scm 102 */
													BgL_argszd2typezd2_1529 =
														bgl_reverse_bang(BgL_resz00_1564);
												}
											else
												{	/* Ast/glo_decl.scm 104 */
													bool_t BgL_test1868z00_2258;

													{	/* Ast/glo_decl.scm 104 */
														obj_t BgL_arg1375z00_1579;

														BgL_arg1375z00_1579 =
															CAR(((obj_t) BgL_argsz00_1563));
														BgL_test1868z00_2258 =
															BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
															(BgL_arg1375z00_1579);
													}
													if (BgL_test1868z00_2258)
														{	/* Ast/glo_decl.scm 105 */
															obj_t BgL_arg1358z00_1569;

															BgL_arg1358z00_1569 =
																CDR(((obj_t) BgL_argsz00_1563));
															{
																obj_t BgL_argsz00_2264;

																BgL_argsz00_2264 = BgL_arg1358z00_1569;
																BgL_argsz00_1563 = BgL_argsz00_2264;
																goto BgL_zc3z04anonymousza31354ze3z87_1565;
															}
														}
													else
														{	/* Ast/glo_decl.scm 107 */
															obj_t BgL_az00_1570;

															{	/* Ast/glo_decl.scm 107 */
																bool_t BgL_test1869z00_2265;

																{	/* Ast/glo_decl.scm 107 */
																	obj_t BgL_tmpz00_2266;

																	BgL_tmpz00_2266 =
																		CAR(((obj_t) BgL_argsz00_1563));
																	BgL_test1869z00_2265 =
																		SYMBOLP(BgL_tmpz00_2266);
																}
																if (BgL_test1869z00_2265)
																	{	/* Ast/glo_decl.scm 107 */
																		BgL_az00_1570 =
																			CAR(((obj_t) BgL_argsz00_1563));
																	}
																else
																	{	/* Ast/glo_decl.scm 109 */
																		obj_t BgL_pairz00_2009;

																		BgL_pairz00_2009 =
																			CAR(((obj_t) BgL_argsz00_1563));
																		BgL_az00_1570 = CAR(BgL_pairz00_2009);
																	}
															}
															{	/* Ast/glo_decl.scm 107 */
																obj_t BgL_tyz00_1571;

																{	/* Ast/glo_decl.scm 110 */
																	BgL_typez00_bglt BgL_tz00_1574;

																	BgL_tz00_1574 =
																		BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00
																		(BgL_az00_1570, BgL_locz00_1526,
																		BgL_lociz00_1527);
																	{	/* Ast/glo_decl.scm 112 */
																		bool_t BgL_test1870z00_2276;

																		if (
																			(((obj_t) BgL_tz00_1574) ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/glo_decl.scm 112 */
																				BgL_test1870z00_2276 =
																					BgL_exportzf3zf3_1524;
																			}
																		else
																			{	/* Ast/glo_decl.scm 112 */
																				BgL_test1870z00_2276 = ((bool_t) 0);
																			}
																		if (BgL_test1870z00_2276)
																			{	/* Ast/glo_decl.scm 112 */
																				BgL_tyz00_1571 =
																					BGl_za2objza2z00zztype_cachez00;
																			}
																		else
																			{	/* Ast/glo_decl.scm 112 */
																				BgL_tyz00_1571 =
																					((obj_t) BgL_tz00_1574);
																			}
																	}
																}
																{	/* Ast/glo_decl.scm 110 */

																	{	/* Ast/glo_decl.scm 115 */
																		obj_t BgL_arg1359z00_1572;
																		obj_t BgL_arg1361z00_1573;

																		BgL_arg1359z00_1572 =
																			CDR(((obj_t) BgL_argsz00_1563));
																		BgL_arg1361z00_1573 =
																			MAKE_YOUNG_PAIR(BgL_tyz00_1571,
																			BgL_resz00_1564);
																		{
																			obj_t BgL_resz00_2285;
																			obj_t BgL_argsz00_2284;

																			BgL_argsz00_2284 = BgL_arg1359z00_1572;
																			BgL_resz00_2285 = BgL_arg1361z00_1573;
																			BgL_resz00_1564 = BgL_resz00_2285;
																			BgL_argsz00_1563 = BgL_argsz00_2284;
																			goto
																				BgL_zc3z04anonymousza31354ze3z87_1565;
																		}
																	}
																}
															}
														}
												}
										}
										{	/* Ast/glo_decl.scm 99 */
											obj_t BgL_argszd2namezd2_1530;

											{
												obj_t BgL_argsz00_1543;
												obj_t BgL_resz00_1544;

												BgL_argsz00_1543 = BgL_argsz00_1528;
												BgL_resz00_1544 = BNIL;
											BgL_zc3z04anonymousza31332ze3z87_1545:
												if (NULLP(BgL_argsz00_1543))
													{	/* Ast/glo_decl.scm 119 */
														BgL_argszd2namezd2_1530 =
															bgl_reverse_bang(BgL_resz00_1544);
													}
												else
													{	/* Ast/glo_decl.scm 121 */
														bool_t BgL_test1873z00_2289;

														{	/* Ast/glo_decl.scm 121 */
															obj_t BgL_arg1353z00_1559;

															BgL_arg1353z00_1559 =
																CAR(((obj_t) BgL_argsz00_1543));
															BgL_test1873z00_2289 =
																BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
																(BgL_arg1353z00_1559);
														}
														if (BgL_test1873z00_2289)
															{	/* Ast/glo_decl.scm 122 */
																obj_t BgL_arg1341z00_1549;

																BgL_arg1341z00_1549 =
																	CDR(((obj_t) BgL_argsz00_1543));
																{
																	obj_t BgL_argsz00_2295;

																	BgL_argsz00_2295 = BgL_arg1341z00_1549;
																	BgL_argsz00_1543 = BgL_argsz00_2295;
																	goto BgL_zc3z04anonymousza31332ze3z87_1545;
																}
															}
														else
															{	/* Ast/glo_decl.scm 124 */
																obj_t BgL_az00_1550;

																{	/* Ast/glo_decl.scm 124 */
																	bool_t BgL_test1874z00_2296;

																	{	/* Ast/glo_decl.scm 124 */
																		obj_t BgL_tmpz00_2297;

																		BgL_tmpz00_2297 =
																			CAR(((obj_t) BgL_argsz00_1543));
																		BgL_test1874z00_2296 =
																			SYMBOLP(BgL_tmpz00_2297);
																	}
																	if (BgL_test1874z00_2296)
																		{	/* Ast/glo_decl.scm 124 */
																			BgL_az00_1550 =
																				CAR(((obj_t) BgL_argsz00_1543));
																		}
																	else
																		{	/* Ast/glo_decl.scm 126 */
																			obj_t BgL_pairz00_2018;

																			BgL_pairz00_2018 =
																				CAR(((obj_t) BgL_argsz00_1543));
																			BgL_az00_1550 = CAR(BgL_pairz00_2018);
																		}
																}
																{	/* Ast/glo_decl.scm 124 */
																	obj_t BgL_vidz00_1551;

																	BgL_vidz00_1551 =
																		BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																		(BgL_az00_1550, BgL_locz00_1526);
																	{	/* Ast/glo_decl.scm 127 */
																		obj_t BgL_varz00_1552;

																		if (
																			(BgL_vidz00_1551 ==
																				BGl_symbol1837z00zzast_glozd2declzd2))
																			{	/* Ast/glo_decl.scm 129 */

																				{	/* Ast/glo_decl.scm 129 */

																					BgL_varz00_1552 =
																						BGl_gensymz00zz__r4_symbols_6_4z00
																						(BFALSE);
																				}
																			}
																		else
																			{	/* Ast/glo_decl.scm 128 */
																				BgL_varz00_1552 = BgL_vidz00_1551;
																			}
																		{	/* Ast/glo_decl.scm 128 */

																			{	/* Ast/glo_decl.scm 131 */
																				obj_t BgL_arg1343z00_1553;
																				obj_t BgL_arg1344z00_1554;

																				BgL_arg1343z00_1553 =
																					CDR(((obj_t) BgL_argsz00_1543));
																				BgL_arg1344z00_1554 =
																					MAKE_YOUNG_PAIR(BgL_varz00_1552,
																					BgL_resz00_1544);
																				{
																					obj_t BgL_resz00_2314;
																					obj_t BgL_argsz00_2313;

																					BgL_argsz00_2313 =
																						BgL_arg1343z00_1553;
																					BgL_resz00_2314 = BgL_arg1344z00_1554;
																					BgL_resz00_1544 = BgL_resz00_2314;
																					BgL_argsz00_1543 = BgL_argsz00_2313;
																					goto
																						BgL_zc3z04anonymousza31332ze3z87_1545;
																				}
																			}
																		}
																	}
																}
															}
													}
											}
											{	/* Ast/glo_decl.scm 116 */
												obj_t BgL_idzd2typezd2_1531;

												BgL_idzd2typezd2_1531 =
													BGl_parsezd2idzf2importzd2locationzf2zzast_identz00
													(BgL_idz00_13, BgL_locz00_1526, BgL_lociz00_1527);
												{	/* Ast/glo_decl.scm 132 */
													obj_t BgL_typezd2reszd2_1532;

													BgL_typezd2reszd2_1532 = CDR(BgL_idzd2typezd2_1531);
													{	/* Ast/glo_decl.scm 133 */
														obj_t BgL_idz00_1533;

														BgL_idz00_1533 = CAR(BgL_idzd2typezd2_1531);
														{	/* Ast/glo_decl.scm 134 */
															BgL_sfunz00_bglt BgL_sfunz00_1534;

															{	/* Ast/glo_decl.scm 135 */
																BgL_sfunz00_bglt BgL_new1113z00_1538;

																{	/* Ast/glo_decl.scm 136 */
																	BgL_sfunz00_bglt BgL_new1112z00_1539;

																	BgL_new1112z00_1539 =
																		((BgL_sfunz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_sfunz00_bgl))));
																	{	/* Ast/glo_decl.scm 136 */
																		long BgL_arg1331z00_1540;

																		BgL_arg1331z00_1540 =
																			BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1112z00_1539),
																			BgL_arg1331z00_1540);
																	}
																	{	/* Ast/glo_decl.scm 136 */
																		BgL_objectz00_bglt BgL_tmpz00_2322;

																		BgL_tmpz00_2322 =
																			((BgL_objectz00_bglt)
																			BgL_new1112z00_1539);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2322,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1112z00_1539);
																	BgL_new1113z00_1538 = BgL_new1112z00_1539;
																}
																((((BgL_funz00_bglt) COBJECT(
																				((BgL_funz00_bglt)
																					BgL_new1113z00_1538)))->
																		BgL_arityz00) =
																	((long) BgL_arityz00_1523), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1538)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1538)))->
																		BgL_predicatezd2ofzd2) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1538)))->
																		BgL_stackzd2allocatorzd2) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1538)))->
																		BgL_topzf3zf3) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1538)))->
																		BgL_thezd2closurezd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1538)))->
																		BgL_effectz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1538)))->
																		BgL_failsafez00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1538)))->
																		BgL_argszd2noescapezd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1538)))->
																		BgL_argszd2retescapezd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1538))->
																		BgL_propertyz00) = ((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1538))->
																		BgL_argsz00) =
																	((obj_t) BgL_argszd2typezd2_1529), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1538))->
																		BgL_argszd2namezd2) =
																	((obj_t) BgL_argszd2namezd2_1530), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1538))->
																		BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1538))->
																		BgL_classz00) =
																	((obj_t) BgL_classz00_18), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1538))->
																		BgL_dssslzd2keywordszd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1538))->
																		BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1538))->
																		BgL_optionalsz00) =
																	((obj_t) BgL_optsz00_11), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1538))->
																		BgL_keysz00) =
																	((obj_t) BgL_keysz00_12), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1538))->
																		BgL_thezd2closurezd2globalz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1538))->
																		BgL_strengthz00) =
																	((obj_t) CNST_TABLE_REF(((long) 3))),
																	BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1538))->
																		BgL_stackablez00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																BgL_sfunz00_1534 = BgL_new1113z00_1538;
															}
															{	/* Ast/glo_decl.scm 135 */
																obj_t BgL_oldz00_1535;

																BgL_oldz00_1535 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_idz00_1533, BNIL);
																{	/* Ast/glo_decl.scm 142 */
																	BgL_globalz00_bglt BgL_globalz00_1536;

																	BgL_globalz00_1536 =
																		BGl_bindzd2globalz12zc0zzast_envz00
																		(BgL_idz00_1533, BgL_aliasz00_14,
																		BgL_modulez00_16,
																		((BgL_valuez00_bglt) BgL_sfunz00_1534),
																		BgL_importz00_1525, BgL_srcez00_19);
																	{	/* Ast/glo_decl.scm 143 */

																		if (
																			(BgL_typezd2reszd2_1532 ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/glo_decl.scm 151 */
																				if (BgL_exportzf3zf3_1524)
																					{	/* Ast/glo_decl.scm 154 */
																						BgL_typez00_bglt BgL_vz00_2027;

																						BgL_vz00_2027 =
																							((BgL_typez00_bglt)
																							BGl_za2objza2z00zztype_cachez00);
																						((((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt)
																											BgL_globalz00_1536)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt)
																								BgL_vz00_2027), BUNSPEC);
																					}
																				else
																					{	/* Ast/glo_decl.scm 153 */
																						((((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											BgL_globalz00_1536)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_typezd2reszd2_1532)),
																							BUNSPEC);
																					}
																			}
																		else
																			{	/* Ast/glo_decl.scm 151 */
																				((((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									BgL_globalz00_1536)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) (
																							(BgL_typez00_bglt)
																							BgL_typezd2reszd2_1532)),
																					BUNSPEC);
																			}
																		return BgL_globalz00_1536;
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzast_glozd2declzd2(obj_t BgL_keysz00_2154,
		obj_t BgL_argsz00_1583)
	{
		{	/* Ast/glo_decl.scm 87 */
			if (NULLP(BgL_argsz00_1583))
				{	/* Ast/glo_decl.scm 89 */
					return BNIL;
				}
			else
				{	/* Ast/glo_decl.scm 89 */
					if ((CAR(((obj_t) BgL_argsz00_1583)) == (BKEY)))
						{	/* Ast/glo_decl.scm 92 */
							obj_t BgL_arg1384z00_1588;
							obj_t BgL_arg1387z00_1589;

							BgL_arg1384z00_1588 = CAR(((obj_t) BgL_argsz00_1583));
							{	/* Ast/glo_decl.scm 95 */
								obj_t BgL_arg1388z00_1590;

								{	/* Ast/glo_decl.scm 95 */
									obj_t BgL_arg1389z00_1591;

									BgL_arg1389z00_1591 =
										BGl_dropz00zz__r4_pairs_and_lists_6_3z00(CDR(
											((obj_t) BgL_argsz00_1583)),
										bgl_list_length(BgL_keysz00_2154));
									BgL_arg1388z00_1590 =
										BGl_loopze70ze7zzast_glozd2declzd2(BgL_keysz00_2154,
										BgL_arg1389z00_1591);
								}
								BgL_arg1387z00_1589 =
									BGl_appendzd221011zd2zzast_glozd2declzd2(BgL_keysz00_2154,
									BgL_arg1388z00_1590);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1384z00_1588, BgL_arg1387z00_1589);
						}
					else
						{	/* Ast/glo_decl.scm 97 */
							obj_t BgL_arg1392z00_1594;
							obj_t BgL_arg1393z00_1595;

							BgL_arg1392z00_1594 = CAR(((obj_t) BgL_argsz00_1583));
							{	/* Ast/glo_decl.scm 97 */
								obj_t BgL_arg1394z00_1596;

								BgL_arg1394z00_1596 = CDR(((obj_t) BgL_argsz00_1583));
								BgL_arg1393z00_1595 =
									BGl_loopze70ze7zzast_glozd2declzd2(BgL_keysz00_2154,
									BgL_arg1394z00_1596);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1392z00_1594, BgL_arg1393z00_1595);
						}
				}
		}

	}



/* declare-global-noopt-sfun! */
	BgL_globalz00_bglt
		BGl_declarezd2globalzd2nooptzd2sfunz12zc0zzast_glozd2declzd2(obj_t
		BgL_idz00_37, obj_t BgL_aliasz00_38, obj_t BgL_argsz00_39,
		obj_t BgL_modulez00_40, obj_t BgL_importz00_41, obj_t BgL_classz00_42,
		obj_t BgL_srcez00_43, obj_t BgL_srciz00_44)
	{
		{	/* Ast/glo_decl.scm 177 */
			{	/* Ast/glo_decl.scm 178 */
				long BgL_arityz00_1614;

				BgL_arityz00_1614 =
					BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_39);
				{	/* Ast/glo_decl.scm 178 */
					obj_t BgL_argsz00_1615;

					BgL_argsz00_1615 =
						BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(BgL_argsz00_39);
					{	/* Ast/glo_decl.scm 179 */
						bool_t BgL_exportzf3zf3_1616;

						{	/* Ast/glo_decl.scm 180 */
							bool_t BgL__ortest_1114z00_1684;

							if ((BgL_importz00_41 == CNST_TABLE_REF(((long) 0))))
								{	/* Ast/glo_decl.scm 180 */
									BgL__ortest_1114z00_1684 = ((bool_t) 0);
								}
							else
								{	/* Ast/glo_decl.scm 180 */
									BgL__ortest_1114z00_1684 = ((bool_t) 1);
								}
							if (BgL__ortest_1114z00_1684)
								{	/* Ast/glo_decl.scm 180 */
									BgL_exportzf3zf3_1616 = BgL__ortest_1114z00_1684;
								}
							else
								{	/* Ast/glo_decl.scm 181 */
									obj_t BgL__andtest_1115z00_1685;

									{	/* Ast/glo_decl.scm 181 */
										obj_t BgL_arg1600z00_1686;

										{	/* Ast/glo_decl.scm 181 */
											obj_t BgL_arg1610z00_1687;

											BgL_arg1610z00_1687 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_arg1600z00_1686 =
												(((BgL_backendz00_bglt) COBJECT(
														((BgL_backendz00_bglt) BgL_arg1610z00_1687)))->
												BgL_debugzd2supportzd2);
										}
										BgL__andtest_1115z00_1685 =
											BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
													(long) 1)), BgL_arg1600z00_1686);
									}
									if (CBOOL(BgL__andtest_1115z00_1685))
										{	/* Ast/glo_decl.scm 181 */
											BgL_exportzf3zf3_1616 =
												(
												(long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
												>= ((long) 3));
										}
									else
										{	/* Ast/glo_decl.scm 181 */
											BgL_exportzf3zf3_1616 = ((bool_t) 0);
										}
								}
						}
						{	/* Ast/glo_decl.scm 180 */
							obj_t BgL_importz00_1617;

							{	/* Ast/glo_decl.scm 183 */
								bool_t BgL_test1883z00_2410;

								if ((BgL_importz00_41 == CNST_TABLE_REF(((long) 0))))
									{	/* Ast/glo_decl.scm 184 */
										bool_t BgL_test1885z00_2414;

										{	/* Ast/glo_decl.scm 184 */
											obj_t BgL_arg1598z00_1682;

											{	/* Ast/glo_decl.scm 184 */
												obj_t BgL_arg1599z00_1683;

												BgL_arg1599z00_1683 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1598z00_1682 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1599z00_1683)))->
													BgL_debugzd2supportzd2);
											}
											BgL_test1885z00_2414 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 1)), BgL_arg1598z00_1682));
										}
										if (BgL_test1885z00_2414)
											{	/* Ast/glo_decl.scm 184 */
												BgL_test1883z00_2410 =
													(
													(long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
													>= ((long) 3));
											}
										else
											{	/* Ast/glo_decl.scm 184 */
												BgL_test1883z00_2410 = ((bool_t) 0);
											}
									}
								else
									{	/* Ast/glo_decl.scm 183 */
										BgL_test1883z00_2410 = ((bool_t) 0);
									}
								if (BgL_test1883z00_2410)
									{	/* Ast/glo_decl.scm 183 */
										BgL_importz00_1617 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/glo_decl.scm 183 */
										BgL_importz00_1617 = BgL_importz00_41;
									}
							}
							{	/* Ast/glo_decl.scm 183 */
								obj_t BgL_locz00_1618;

								BgL_locz00_1618 =
									BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_43);
								{	/* Ast/glo_decl.scm 188 */
									obj_t BgL_lociz00_1619;

									BgL_lociz00_1619 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_srciz00_44, BgL_locz00_1618);
									{	/* Ast/glo_decl.scm 189 */
										obj_t BgL_argszd2typezd2_1620;

										{	/* Ast/glo_decl.scm 190 */
											bool_t BgL_g1117z00_1648;

											BgL_g1117z00_1648 =
												(BgL_classz00_42 == CNST_TABLE_REF(((long) 4)));
											{
												obj_t BgL_argsz00_1650;
												obj_t BgL_resz00_1651;
												bool_t BgL_sgfunzf3zf3_1652;

												BgL_argsz00_1650 = BgL_argsz00_1615;
												BgL_resz00_1651 = BNIL;
												BgL_sgfunzf3zf3_1652 = BgL_g1117z00_1648;
											BgL_zc3z04anonymousza31527ze3z87_1653:
												if (NULLP(BgL_argsz00_1650))
													{	/* Ast/glo_decl.scm 194 */
														if ((BgL_arityz00_1614 >= ((long) 0)))
															{	/* Ast/glo_decl.scm 195 */
																BgL_argszd2typezd2_1620 =
																	bgl_reverse_bang(BgL_resz00_1651);
															}
														else
															{	/* Ast/glo_decl.scm 197 */
																obj_t BgL_typez00_1656;

																BgL_typez00_1656 =
																	CAR(((obj_t) BgL_resz00_1651));
																{	/* Ast/glo_decl.scm 199 */
																	bool_t BgL_test1888z00_2435;

																	if (
																		(BgL_typez00_1656 ==
																			BGl_za2objza2z00zztype_cachez00))
																		{	/* Ast/glo_decl.scm 199 */
																			BgL_test1888z00_2435 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/glo_decl.scm 199 */
																			BgL_test1888z00_2435 =
																				(BgL_typez00_1656 ==
																				BGl_za2pairzd2nilza2zd2zztype_cachez00);
																		}
																	if (BgL_test1888z00_2435)
																		{	/* Ast/glo_decl.scm 199 */
																			BgL_argszd2typezd2_1620 =
																				bgl_reverse_bang(BgL_resz00_1651);
																		}
																	else
																		{	/* Ast/glo_decl.scm 199 */
																			if (
																				(BgL_typez00_1656 ==
																					BGl_za2_za2z00zztype_cachez00))
																				{	/* Ast/glo_decl.scm 203 */
																					obj_t BgL_arg1532z00_1658;

																					{	/* Ast/glo_decl.scm 203 */
																						obj_t BgL_arg1535z00_1659;

																						BgL_arg1535z00_1659 =
																							CDR(((obj_t) BgL_resz00_1651));
																						BgL_arg1532z00_1658 =
																							MAKE_YOUNG_PAIR
																							(BGl_za2objza2z00zztype_cachez00,
																							BgL_arg1535z00_1659);
																					}
																					BgL_argszd2typezd2_1620 =
																						bgl_reverse_bang
																						(BgL_arg1532z00_1658);
																				}
																			else
																				{	/* Ast/glo_decl.scm 202 */
																					BgL_argszd2typezd2_1620 =
																						BGl_userzd2errorzd2zztools_errorz00
																						(BgL_idz00_37,
																						BGl_string1839z00zzast_glozd2declzd2,
																						BGl_shapez00zztools_shapez00
																						(BgL_typez00_1656), BNIL);
																				}
																		}
																}
															}
													}
												else
													{	/* Ast/glo_decl.scm 208 */
														bool_t BgL_test1891z00_2448;

														{	/* Ast/glo_decl.scm 208 */
															obj_t BgL_arg1580z00_1673;

															BgL_arg1580z00_1673 =
																CAR(((obj_t) BgL_argsz00_1650));
															BgL_test1891z00_2448 =
																BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
																(BgL_arg1580z00_1673);
														}
														if (BgL_test1891z00_2448)
															{	/* Ast/glo_decl.scm 209 */
																obj_t BgL_arg1565z00_1664;

																BgL_arg1565z00_1664 =
																	MAKE_YOUNG_PAIR
																	(BGl_za2objza2z00zztype_cachez00,
																	BgL_resz00_1651);
																BgL_argszd2typezd2_1620 =
																	bgl_reverse_bang(BgL_arg1565z00_1664);
															}
														else
															{	/* Ast/glo_decl.scm 211 */
																obj_t BgL_typez00_1665;

																{	/* Ast/glo_decl.scm 211 */
																	BgL_typez00_bglt BgL_tz00_1668;

																	{	/* Ast/glo_decl.scm 212 */
																		obj_t BgL_arg1572z00_1672;

																		BgL_arg1572z00_1672 =
																			CAR(((obj_t) BgL_argsz00_1650));
																		BgL_tz00_1668 =
																			BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00
																			(BgL_arg1572z00_1672, BgL_locz00_1618,
																			BgL_lociz00_1619);
																	}
																	{	/* Ast/glo_decl.scm 213 */
																		bool_t BgL_test1892z00_2457;

																		if (
																			(((obj_t) BgL_tz00_1668) ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/glo_decl.scm 213 */
																				if (BgL_exportzf3zf3_1616)
																					{	/* Ast/glo_decl.scm 214 */
																						BgL_test1892z00_2457 =
																							BgL_exportzf3zf3_1616;
																					}
																				else
																					{	/* Ast/glo_decl.scm 214 */
																						BgL_test1892z00_2457 =
																							BgL_sgfunzf3zf3_1652;
																					}
																			}
																		else
																			{	/* Ast/glo_decl.scm 213 */
																				BgL_test1892z00_2457 = ((bool_t) 0);
																			}
																		if (BgL_test1892z00_2457)
																			{	/* Ast/glo_decl.scm 213 */
																				BgL_typez00_1665 =
																					BGl_za2objza2z00zztype_cachez00;
																			}
																		else
																			{	/* Ast/glo_decl.scm 213 */
																				BgL_typez00_1665 =
																					((obj_t) BgL_tz00_1668);
																			}
																	}
																}
																{	/* Ast/glo_decl.scm 217 */
																	obj_t BgL_arg1567z00_1666;
																	obj_t BgL_arg1570z00_1667;

																	BgL_arg1567z00_1666 =
																		CDR(((obj_t) BgL_argsz00_1650));
																	BgL_arg1570z00_1667 =
																		MAKE_YOUNG_PAIR(BgL_typez00_1665,
																		BgL_resz00_1651);
																	{
																		bool_t BgL_sgfunzf3zf3_2468;
																		obj_t BgL_resz00_2467;
																		obj_t BgL_argsz00_2466;

																		BgL_argsz00_2466 = BgL_arg1567z00_1666;
																		BgL_resz00_2467 = BgL_arg1570z00_1667;
																		BgL_sgfunzf3zf3_2468 = ((bool_t) 0);
																		BgL_sgfunzf3zf3_1652 = BgL_sgfunzf3zf3_2468;
																		BgL_resz00_1651 = BgL_resz00_2467;
																		BgL_argsz00_1650 = BgL_argsz00_2466;
																		goto BgL_zc3z04anonymousza31527ze3z87_1653;
																	}
																}
															}
													}
											}
										}
										{	/* Ast/glo_decl.scm 190 */
											obj_t BgL_argszd2namezd2_1621;

											{
												obj_t BgL_argsz00_1634;
												obj_t BgL_resz00_1635;

												BgL_argsz00_1634 = BgL_argsz00_1615;
												BgL_resz00_1635 = BNIL;
											BgL_zc3z04anonymousza31507ze3z87_1636:
												if (NULLP(BgL_argsz00_1634))
													{	/* Ast/glo_decl.scm 223 */
														BgL_argszd2namezd2_1621 =
															bgl_reverse_bang(BgL_resz00_1635);
													}
												else
													{	/* Ast/glo_decl.scm 225 */
														bool_t BgL_test1896z00_2472;

														{	/* Ast/glo_decl.scm 225 */
															obj_t BgL_arg1526z00_1645;

															BgL_arg1526z00_1645 =
																CAR(((obj_t) BgL_argsz00_1634));
															BgL_test1896z00_2472 =
																BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
																(BgL_arg1526z00_1645);
														}
														if (BgL_test1896z00_2472)
															{	/* Ast/glo_decl.scm 226 */
																obj_t BgL_arg1521z00_1640;

																BgL_arg1521z00_1640 =
																	CDR(((obj_t) BgL_argsz00_1634));
																{
																	obj_t BgL_argsz00_2478;

																	BgL_argsz00_2478 = BgL_arg1521z00_1640;
																	BgL_argsz00_1634 = BgL_argsz00_2478;
																	goto BgL_zc3z04anonymousza31507ze3z87_1636;
																}
															}
														else
															{	/* Ast/glo_decl.scm 228 */
																obj_t BgL_az00_1641;

																{	/* Ast/glo_decl.scm 228 */
																	obj_t BgL_arg1524z00_1644;

																	BgL_arg1524z00_1644 =
																		CAR(((obj_t) BgL_argsz00_1634));
																	BgL_az00_1641 =
																		BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																		(BgL_arg1524z00_1644, BgL_locz00_1618);
																}
																{	/* Ast/glo_decl.scm 229 */
																	obj_t BgL_arg1522z00_1642;
																	obj_t BgL_arg1523z00_1643;

																	BgL_arg1522z00_1642 =
																		CDR(((obj_t) BgL_argsz00_1634));
																	BgL_arg1523z00_1643 =
																		MAKE_YOUNG_PAIR(BgL_az00_1641,
																		BgL_resz00_1635);
																	{
																		obj_t BgL_resz00_2486;
																		obj_t BgL_argsz00_2485;

																		BgL_argsz00_2485 = BgL_arg1522z00_1642;
																		BgL_resz00_2486 = BgL_arg1523z00_1643;
																		BgL_resz00_1635 = BgL_resz00_2486;
																		BgL_argsz00_1634 = BgL_argsz00_2485;
																		goto BgL_zc3z04anonymousza31507ze3z87_1636;
																	}
																}
															}
													}
											}
											{	/* Ast/glo_decl.scm 220 */
												obj_t BgL_idzd2typezd2_1622;

												BgL_idzd2typezd2_1622 =
													BGl_parsezd2idzf2importzd2locationzf2zzast_identz00
													(BgL_idz00_37, BgL_locz00_1618, BgL_lociz00_1619);
												{	/* Ast/glo_decl.scm 230 */
													obj_t BgL_typezd2reszd2_1623;

													BgL_typezd2reszd2_1623 = CDR(BgL_idzd2typezd2_1622);
													{	/* Ast/glo_decl.scm 231 */
														obj_t BgL_idz00_1624;

														BgL_idz00_1624 = CAR(BgL_idzd2typezd2_1622);
														{	/* Ast/glo_decl.scm 232 */
															BgL_sfunz00_bglt BgL_sfunz00_1625;

															{	/* Ast/glo_decl.scm 233 */
																BgL_sfunz00_bglt BgL_new1122z00_1629;

																{	/* Ast/glo_decl.scm 234 */
																	BgL_sfunz00_bglt BgL_new1120z00_1630;

																	BgL_new1120z00_1630 =
																		((BgL_sfunz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_sfunz00_bgl))));
																	{	/* Ast/glo_decl.scm 234 */
																		long BgL_arg1506z00_1631;

																		BgL_arg1506z00_1631 =
																			BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1120z00_1630),
																			BgL_arg1506z00_1631);
																	}
																	{	/* Ast/glo_decl.scm 234 */
																		BgL_objectz00_bglt BgL_tmpz00_2494;

																		BgL_tmpz00_2494 =
																			((BgL_objectz00_bglt)
																			BgL_new1120z00_1630);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2494,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1120z00_1630);
																	BgL_new1122z00_1629 = BgL_new1120z00_1630;
																}
																((((BgL_funz00_bglt) COBJECT(
																				((BgL_funz00_bglt)
																					BgL_new1122z00_1629)))->
																		BgL_arityz00) =
																	((long) BgL_arityz00_1614), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1122z00_1629)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1122z00_1629)))->
																		BgL_predicatezd2ofzd2) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1122z00_1629)))->
																		BgL_stackzd2allocatorzd2) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1122z00_1629)))->
																		BgL_topzf3zf3) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1122z00_1629)))->
																		BgL_thezd2closurezd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1122z00_1629)))->
																		BgL_effectz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1122z00_1629)))->
																		BgL_failsafez00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1122z00_1629)))->
																		BgL_argszd2noescapezd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1122z00_1629)))->
																		BgL_argszd2retescapezd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1122z00_1629))->
																		BgL_propertyz00) = ((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1122z00_1629))->
																		BgL_argsz00) =
																	((obj_t) BgL_argszd2typezd2_1620), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1122z00_1629))->
																		BgL_argszd2namezd2) =
																	((obj_t) BgL_argszd2namezd2_1621), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1122z00_1629))->
																		BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1122z00_1629))->
																		BgL_classz00) =
																	((obj_t) BgL_classz00_42), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1122z00_1629))->
																		BgL_dssslzd2keywordszd2) =
																	((obj_t)
																		BGl_dssslzd2formalszd2zztools_dssslz00
																		(BgL_argsz00_1615)), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1122z00_1629))->
																		BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1122z00_1629))->
																		BgL_optionalsz00) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1122z00_1629))->
																		BgL_keysz00) = ((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1122z00_1629))->
																		BgL_thezd2closurezd2globalz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1122z00_1629))->
																		BgL_strengthz00) =
																	((obj_t) CNST_TABLE_REF(((long) 3))),
																	BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1122z00_1629))->
																		BgL_stackablez00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																BgL_sfunz00_1625 = BgL_new1122z00_1629;
															}
															{	/* Ast/glo_decl.scm 233 */
																obj_t BgL_oldz00_1626;

																BgL_oldz00_1626 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_idz00_1624, BNIL);
																{	/* Ast/glo_decl.scm 239 */
																	BgL_globalz00_bglt BgL_globalz00_1627;

																	BgL_globalz00_1627 =
																		BGl_bindzd2globalz12zc0zzast_envz00
																		(BgL_idz00_1624, BgL_aliasz00_38,
																		BgL_modulez00_40,
																		((BgL_valuez00_bglt) BgL_sfunz00_1625),
																		BgL_importz00_1617, BgL_srcez00_43);
																	{	/* Ast/glo_decl.scm 240 */

																		if (
																			(BgL_typezd2reszd2_1623 ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/glo_decl.scm 248 */
																				if (BgL_exportzf3zf3_1616)
																					{	/* Ast/glo_decl.scm 251 */
																						BgL_typez00_bglt BgL_vz00_2057;

																						BgL_vz00_2057 =
																							((BgL_typez00_bglt)
																							BGl_za2objza2z00zztype_cachez00);
																						((((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt)
																											BgL_globalz00_1627)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt)
																								BgL_vz00_2057), BUNSPEC);
																					}
																				else
																					{	/* Ast/glo_decl.scm 250 */
																						((((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											BgL_globalz00_1627)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_typezd2reszd2_1623)),
																							BUNSPEC);
																					}
																			}
																		else
																			{	/* Ast/glo_decl.scm 248 */
																				((((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									BgL_globalz00_1627)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) (
																							(BgL_typez00_bglt)
																							BgL_typezd2reszd2_1623)),
																					BUNSPEC);
																			}
																		return BgL_globalz00_1627;
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* declare-global-svar! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t BgL_idz00_45,
		obj_t BgL_aliasz00_46, obj_t BgL_modulez00_47, obj_t BgL_importz00_48,
		obj_t BgL_srcez00_49, obj_t BgL_srciz00_50)
	{
		{	/* Ast/glo_decl.scm 260 */
			{	/* Ast/glo_decl.scm 261 */
				obj_t BgL_locz00_1688;

				BgL_locz00_1688 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_49);
				{	/* Ast/glo_decl.scm 261 */
					obj_t BgL_lociz00_1689;

					BgL_lociz00_1689 =
						BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srciz00_50,
						BgL_locz00_1688);
					{	/* Ast/glo_decl.scm 262 */
						obj_t BgL_idzd2typezd2_1690;

						BgL_idzd2typezd2_1690 =
							BGl_parsezd2idzf2importzd2locationzf2zzast_identz00(BgL_idz00_45,
							BgL_locz00_1688, BgL_lociz00_1689);
						{	/* Ast/glo_decl.scm 263 */
							obj_t BgL_typez00_1691;

							{	/* Ast/glo_decl.scm 264 */
								obj_t BgL_typez00_1709;

								BgL_typez00_1709 = CDR(BgL_idzd2typezd2_1690);
								if (
									((((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_typez00_1709)))->
											BgL_classz00) == CNST_TABLE_REF(((long) 5))))
									{	/* Ast/glo_decl.scm 273 */
										bool_t BgL_test1900z00_2556;

										if ((BgL_typez00_1709 == BGl_za2_za2z00zztype_cachez00))
											{	/* Ast/glo_decl.scm 274 */
												obj_t BgL__ortest_1123z00_1717;

												BgL__ortest_1123z00_1717 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_importz00_48, CNST_TABLE_REF(((long) 6)));
												if (CBOOL(BgL__ortest_1123z00_1717))
													{	/* Ast/glo_decl.scm 274 */
														BgL_test1900z00_2556 =
															CBOOL(BgL__ortest_1123z00_1717);
													}
												else
													{	/* Ast/glo_decl.scm 275 */
														obj_t BgL__andtest_1124z00_1718;

														{	/* Ast/glo_decl.scm 276 */
															obj_t BgL_arg1648z00_1719;

															{	/* Ast/glo_decl.scm 276 */
																obj_t BgL_arg1651z00_1720;

																BgL_arg1651z00_1720 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_arg1648z00_1719 =
																	(((BgL_backendz00_bglt) COBJECT(
																			((BgL_backendz00_bglt)
																				BgL_arg1651z00_1720)))->
																	BgL_debugzd2supportzd2);
															}
															BgL__andtest_1124z00_1718 =
																BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																(CNST_TABLE_REF(((long) 1)),
																BgL_arg1648z00_1719);
														}
														if (CBOOL(BgL__andtest_1124z00_1718))
															{	/* Ast/glo_decl.scm 275 */
																BgL_test1900z00_2556 =
																	(
																	(long)
																	CINT
																	(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
																	((long) 0));
															}
														else
															{	/* Ast/glo_decl.scm 275 */
																BgL_test1900z00_2556 = ((bool_t) 0);
															}
													}
											}
										else
											{	/* Ast/glo_decl.scm 273 */
												BgL_test1900z00_2556 = ((bool_t) 0);
											}
										if (BgL_test1900z00_2556)
											{	/* Ast/glo_decl.scm 273 */
												BgL_typez00_1691 = BGl_za2objza2z00zztype_cachez00;
											}
										else
											{	/* Ast/glo_decl.scm 273 */
												BgL_typez00_1691 = BgL_typez00_1709;
											}
									}
								else
									{	/* Ast/glo_decl.scm 271 */
										obj_t BgL_arg1652z00_1721;

										BgL_arg1652z00_1721 =
											BGl_shapez00zztools_shapez00(BgL_typez00_1709);
										{	/* Ast/glo_decl.scm 269 */
											obj_t BgL_list1653z00_1722;

											BgL_list1653z00_1722 =
												MAKE_YOUNG_PAIR(BGl_za2_za2z00zztype_cachez00, BNIL);
											BgL_typez00_1691 =
												BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_45,
												BGl_string1840z00zzast_glozd2declzd2,
												BgL_arg1652z00_1721, BgL_list1653z00_1722);
										}
									}
							}
							{	/* Ast/glo_decl.scm 264 */
								obj_t BgL_importz00_1692;

								{	/* Ast/glo_decl.scm 281 */
									bool_t BgL_test1904z00_2576;

									if ((BgL_importz00_48 == CNST_TABLE_REF(((long) 0))))
										{	/* Ast/glo_decl.scm 282 */
											bool_t BgL_test1906z00_2580;

											{	/* Ast/glo_decl.scm 282 */
												obj_t BgL_arg1635z00_1707;

												{	/* Ast/glo_decl.scm 282 */
													obj_t BgL_arg1636z00_1708;

													BgL_arg1636z00_1708 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_arg1635z00_1707 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1636z00_1708)))->
														BgL_debugzd2supportzd2);
												}
												BgL_test1906z00_2580 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 1)), BgL_arg1635z00_1707));
											}
											if (BgL_test1906z00_2580)
												{	/* Ast/glo_decl.scm 282 */
													BgL_test1904z00_2576 =
														(
														(long)
														CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
														((long) 3));
												}
											else
												{	/* Ast/glo_decl.scm 282 */
													BgL_test1904z00_2576 = ((bool_t) 0);
												}
										}
									else
										{	/* Ast/glo_decl.scm 281 */
											BgL_test1904z00_2576 = ((bool_t) 0);
										}
									if (BgL_test1904z00_2576)
										{	/* Ast/glo_decl.scm 281 */
											BgL_importz00_1692 = CNST_TABLE_REF(((long) 2));
										}
									else
										{	/* Ast/glo_decl.scm 281 */
											BgL_importz00_1692 = BgL_importz00_48;
										}
								}
								{	/* Ast/glo_decl.scm 281 */
									obj_t BgL_idz00_1693;

									BgL_idz00_1693 = CAR(BgL_idzd2typezd2_1690);
									{	/* Ast/glo_decl.scm 286 */
										BgL_svarz00_bglt BgL_svarz00_1694;

										{	/* Ast/glo_decl.scm 287 */
											BgL_svarz00_bglt BgL_new1127z00_1697;

											{	/* Ast/glo_decl.scm 287 */
												BgL_svarz00_bglt BgL_new1125z00_1698;

												BgL_new1125z00_1698 =
													((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_svarz00_bgl))));
												{	/* Ast/glo_decl.scm 287 */
													long BgL_arg1615z00_1699;

													BgL_arg1615z00_1699 =
														BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1125z00_1698),
														BgL_arg1615z00_1699);
												}
												{	/* Ast/glo_decl.scm 287 */
													BgL_objectz00_bglt BgL_tmpz00_2595;

													BgL_tmpz00_2595 =
														((BgL_objectz00_bglt) BgL_new1125z00_1698);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2595, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1125z00_1698);
												BgL_new1127z00_1697 = BgL_new1125z00_1698;
											}
											((((BgL_svarz00_bglt) COBJECT(BgL_new1127z00_1697))->
													BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
											BgL_svarz00_1694 = BgL_new1127z00_1697;
										}
										{	/* Ast/glo_decl.scm 287 */
											BgL_globalz00_bglt BgL_globalz00_1695;

											BgL_globalz00_1695 =
												BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1693,
												BgL_aliasz00_46, BgL_modulez00_47,
												((BgL_valuez00_bglt) BgL_svarz00_1694),
												BgL_importz00_1692, BgL_srcez00_49);
											{	/* Ast/glo_decl.scm 288 */

												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_globalz00_1695)))->
														BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BgL_typez00_1691)), BUNSPEC);
												{	/* Ast/glo_decl.scm 292 */
													obj_t BgL_arg1614z00_1696;

													if (
														(BgL_importz00_1692 == CNST_TABLE_REF(((long) 0))))
														{	/* Ast/glo_decl.scm 292 */
															BgL_arg1614z00_1696 = CNST_TABLE_REF(((long) 7));
														}
													else
														{	/* Ast/glo_decl.scm 292 */
															BgL_arg1614z00_1696 = CNST_TABLE_REF(((long) 8));
														}
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_globalz00_1695)))->BgL_accessz00) =
														((obj_t) BgL_arg1614z00_1696), BUNSPEC);
												}
												return BgL_globalz00_1695;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &declare-global-svar! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2svarz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2120, obj_t BgL_idz00_2121, obj_t BgL_aliasz00_2122,
		obj_t BgL_modulez00_2123, obj_t BgL_importz00_2124, obj_t BgL_srcez00_2125,
		obj_t BgL_srciz00_2126)
	{
		{	/* Ast/glo_decl.scm 260 */
			return
				BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(BgL_idz00_2121,
				BgL_aliasz00_2122, BgL_modulez00_2123, BgL_importz00_2124,
				BgL_srcez00_2125, BgL_srciz00_2126);
		}

	}



/* declare-global-scnst! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t BgL_idz00_51,
		obj_t BgL_aliasz00_52, obj_t BgL_modulez00_53, obj_t BgL_importz00_54,
		obj_t BgL_nodez00_55, obj_t BgL_classz00_56, obj_t BgL_locz00_57)
	{
		{	/* Ast/glo_decl.scm 299 */
			{	/* Ast/glo_decl.scm 300 */
				obj_t BgL_idzd2typezd2_1724;

				BgL_idzd2typezd2_1724 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_51, BgL_locz00_57);
				{	/* Ast/glo_decl.scm 300 */
					obj_t BgL_typez00_1725;

					{	/* Ast/glo_decl.scm 301 */
						obj_t BgL_typez00_1732;

						BgL_typez00_1732 = CDR(BgL_idzd2typezd2_1724);
						if ((BgL_typez00_1732 == BGl_za2_za2z00zztype_cachez00))
							{	/* Ast/glo_decl.scm 305 */
								BgL_typez00_1725 =
									BGl_internalzd2errorzd2zztools_errorz00(BgL_idz00_51,
									BGl_string1840z00zzast_glozd2declzd2,
									BGl_shapez00zztools_shapez00(BgL_typez00_1732));
							}
						else
							{	/* Ast/glo_decl.scm 305 */
								BgL_typez00_1725 = BgL_typez00_1732;
							}
					}
					{	/* Ast/glo_decl.scm 301 */
						obj_t BgL_idz00_1726;

						BgL_idz00_1726 = CAR(BgL_idzd2typezd2_1724);
						{	/* Ast/glo_decl.scm 311 */
							BgL_scnstz00_bglt BgL_scnstz00_1727;

							{	/* Ast/glo_decl.scm 312 */
								BgL_scnstz00_bglt BgL_new1130z00_1729;

								{	/* Ast/glo_decl.scm 314 */
									BgL_scnstz00_bglt BgL_new1128z00_1730;

									BgL_new1128z00_1730 =
										((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_scnstz00_bgl))));
									{	/* Ast/glo_decl.scm 314 */
										long BgL_arg1662z00_1731;

										BgL_arg1662z00_1731 =
											BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1128z00_1730),
											BgL_arg1662z00_1731);
									}
									{	/* Ast/glo_decl.scm 314 */
										BgL_objectz00_bglt BgL_tmpz00_2624;

										BgL_tmpz00_2624 =
											((BgL_objectz00_bglt) BgL_new1128z00_1730);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2624, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1128z00_1730);
									BgL_new1130z00_1729 = BgL_new1128z00_1730;
								}
								((((BgL_scnstz00_bglt) COBJECT(BgL_new1130z00_1729))->
										BgL_nodez00) = ((obj_t) BgL_nodez00_55), BUNSPEC);
								((((BgL_scnstz00_bglt) COBJECT(BgL_new1130z00_1729))->
										BgL_classz00) = ((obj_t) BgL_classz00_56), BUNSPEC);
								((((BgL_scnstz00_bglt) COBJECT(BgL_new1130z00_1729))->
										BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_scnstz00_1727 = BgL_new1130z00_1729;
							}
							{	/* Ast/glo_decl.scm 312 */
								BgL_globalz00_bglt BgL_globalz00_1728;

								BgL_globalz00_1728 =
									BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1726,
									BgL_aliasz00_52, BgL_modulez00_53,
									((BgL_valuez00_bglt) BgL_scnstz00_1727), BgL_importz00_54,
									CNST_TABLE_REF(((long) 9)));
								{	/* Ast/glo_decl.scm 315 */

									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_1728)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typez00_1725)),
										BUNSPEC);
									{	/* Ast/glo_decl.scm 319 */
										obj_t BgL_vz00_2087;

										BgL_vz00_2087 = CNST_TABLE_REF(((long) 7));
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_1728)))->
												BgL_accessz00) = ((obj_t) BgL_vz00_2087), BUNSPEC);
									}
									return BgL_globalz00_1728;
								}
							}
						}
					}
				}
			}
		}

	}



/* &declare-global-scnst! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2scnstz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2127, obj_t BgL_idz00_2128, obj_t BgL_aliasz00_2129,
		obj_t BgL_modulez00_2130, obj_t BgL_importz00_2131, obj_t BgL_nodez00_2132,
		obj_t BgL_classz00_2133, obj_t BgL_locz00_2134)
	{
		{	/* Ast/glo_decl.scm 299 */
			return
				BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(BgL_idz00_2128,
				BgL_aliasz00_2129, BgL_modulez00_2130, BgL_importz00_2131,
				BgL_nodez00_2132, BgL_classz00_2133, BgL_locz00_2134);
		}

	}



/* declare-global-cfun! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t BgL_idz00_58,
		obj_t BgL_aliasz00_59, obj_t BgL_modulez00_60, obj_t BgL_namez00_61,
		obj_t BgL_treszd2idzd2_62, obj_t BgL_targszd2idzd2_63,
		bool_t BgL_infixzf3zf3_64, bool_t BgL_macrozf3zf3_65, obj_t BgL_srcez00_66,
		obj_t BgL_srciz00_67)
	{
		{	/* Ast/glo_decl.scm 326 */
			{	/* Ast/glo_decl.scm 327 */
				long BgL_arityz00_1734;

				BgL_arityz00_1734 =
					BGl_globalzd2arityzd2zztools_argsz00(BgL_targszd2idzd2_63);
				{	/* Ast/glo_decl.scm 327 */
					obj_t BgL_locz00_1735;

					BgL_locz00_1735 =
						BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_66);
					{	/* Ast/glo_decl.scm 328 */
						obj_t BgL_lociz00_1736;

						BgL_lociz00_1736 =
							BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srciz00_67,
							BgL_locz00_1735);
						{	/* Ast/glo_decl.scm 329 */
							BgL_typez00_bglt BgL_typezd2reszd2_1737;

							BgL_typezd2reszd2_1737 =
								BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00
								(BgL_treszd2idzd2_62, BgL_locz00_1735, BgL_lociz00_1736);
							{	/* Ast/glo_decl.scm 330 */
								obj_t BgL_typezd2argszd2_1738;

								{	/* Ast/glo_decl.scm 331 */
									obj_t BgL_l1312z00_1744;

									BgL_l1312z00_1744 =
										BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
										(BgL_targszd2idzd2_63);
									if (NULLP(BgL_l1312z00_1744))
										{	/* Ast/glo_decl.scm 331 */
											BgL_typezd2argszd2_1738 = BNIL;
										}
									else
										{	/* Ast/glo_decl.scm 331 */
											obj_t BgL_head1314z00_1746;

											BgL_head1314z00_1746 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											{
												obj_t BgL_l1312z00_1748;
												obj_t BgL_tail1315z00_1749;

												BgL_l1312z00_1748 = BgL_l1312z00_1744;
												BgL_tail1315z00_1749 = BgL_head1314z00_1746;
											BgL_zc3z04anonymousza31674ze3z87_1750:
												if (NULLP(BgL_l1312z00_1748))
													{	/* Ast/glo_decl.scm 331 */
														BgL_typezd2argszd2_1738 = CDR(BgL_head1314z00_1746);
													}
												else
													{	/* Ast/glo_decl.scm 331 */
														obj_t BgL_newtail1316z00_1752;

														{	/* Ast/glo_decl.scm 331 */
															BgL_typez00_bglt BgL_arg1680z00_1754;

															{	/* Ast/glo_decl.scm 331 */
																obj_t BgL_tz00_1755;

																BgL_tz00_1755 =
																	CAR(((obj_t) BgL_l1312z00_1748));
																BgL_arg1680z00_1754 =
																	BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00
																	(BgL_tz00_1755, BgL_locz00_1735,
																	BgL_lociz00_1736);
															}
															BgL_newtail1316z00_1752 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1680z00_1754), BNIL);
														}
														SET_CDR(BgL_tail1315z00_1749,
															BgL_newtail1316z00_1752);
														{	/* Ast/glo_decl.scm 331 */
															obj_t BgL_arg1677z00_1753;

															BgL_arg1677z00_1753 =
																CDR(((obj_t) BgL_l1312z00_1748));
															{
																obj_t BgL_tail1315z00_2661;
																obj_t BgL_l1312z00_2660;

																BgL_l1312z00_2660 = BgL_arg1677z00_1753;
																BgL_tail1315z00_2661 = BgL_newtail1316z00_1752;
																BgL_tail1315z00_1749 = BgL_tail1315z00_2661;
																BgL_l1312z00_1748 = BgL_l1312z00_2660;
																goto BgL_zc3z04anonymousza31674ze3z87_1750;
															}
														}
													}
											}
										}
								}
								{	/* Ast/glo_decl.scm 331 */
									BgL_cfunz00_bglt BgL_cfunz00_1739;

									{	/* Ast/glo_decl.scm 334 */
										BgL_cfunz00_bglt BgL_new1132z00_1741;

										{	/* Ast/glo_decl.scm 334 */
											BgL_cfunz00_bglt BgL_new1131z00_1742;

											BgL_new1131z00_1742 =
												((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_cfunz00_bgl))));
											{	/* Ast/glo_decl.scm 334 */
												long BgL_arg1672z00_1743;

												BgL_arg1672z00_1743 =
													BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1131z00_1742),
													BgL_arg1672z00_1743);
											}
											{	/* Ast/glo_decl.scm 334 */
												BgL_objectz00_bglt BgL_tmpz00_2666;

												BgL_tmpz00_2666 =
													((BgL_objectz00_bglt) BgL_new1131z00_1742);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2666, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1131z00_1742);
											BgL_new1132z00_1741 = BgL_new1131z00_1742;
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt) BgL_new1132z00_1741)))->
												BgL_arityz00) = ((long) BgL_arityz00_1734), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1132z00_1741)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1132z00_1741)))->BgL_predicatezd2ofzd2) =
											((obj_t) BFALSE), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1132z00_1741)))->
												BgL_stackzd2allocatorzd2) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1132z00_1741)))->BgL_topzf3zf3) =
											((bool_t) ((bool_t) 1)), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1132z00_1741)))->BgL_thezd2closurezd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1132z00_1741)))->BgL_effectz00) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1132z00_1741)))->BgL_failsafez00) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1132z00_1741)))->BgL_argszd2noescapezd2) =
											((obj_t) BNIL), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1132z00_1741)))->BgL_argszd2retescapezd2) =
											((obj_t) BNIL), BUNSPEC);
										((((BgL_cfunz00_bglt) COBJECT(BgL_new1132z00_1741))->
												BgL_argszd2typezd2) =
											((obj_t) BgL_typezd2argszd2_1738), BUNSPEC);
										((((BgL_cfunz00_bglt) COBJECT(BgL_new1132z00_1741))->
												BgL_macrozf3zf3) =
											((bool_t) BgL_macrozf3zf3_65), BUNSPEC);
										((((BgL_cfunz00_bglt) COBJECT(BgL_new1132z00_1741))->
												BgL_infixzf3zf3) =
											((bool_t) BgL_infixzf3zf3_64), BUNSPEC);
										((((BgL_cfunz00_bglt) COBJECT(BgL_new1132z00_1741))->
												BgL_methodz00) = ((obj_t) BNIL), BUNSPEC);
										BgL_cfunz00_1739 = BgL_new1132z00_1741;
									}
									{	/* Ast/glo_decl.scm 334 */
										BgL_globalz00_bglt BgL_globalz00_1740;

										BgL_globalz00_1740 =
											BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_58,
											BgL_aliasz00_59, BgL_modulez00_60,
											((BgL_valuez00_bglt) BgL_cfunz00_1739),
											CNST_TABLE_REF(((long) 10)), BgL_srcez00_66);
										{	/* Ast/glo_decl.scm 338 */

											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_1740)))->
													BgL_namez00) = ((obj_t) BgL_namez00_61), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_globalz00_1740)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_typezd2reszd2_1737), BUNSPEC);
											((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_1740))->
													BgL_evaluablezf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
											return BgL_globalz00_1740;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &declare-global-cfun! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2cfunz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2135, obj_t BgL_idz00_2136, obj_t BgL_aliasz00_2137,
		obj_t BgL_modulez00_2138, obj_t BgL_namez00_2139,
		obj_t BgL_treszd2idzd2_2140, obj_t BgL_targszd2idzd2_2141,
		obj_t BgL_infixzf3zf3_2142, obj_t BgL_macrozf3zf3_2143,
		obj_t BgL_srcez00_2144, obj_t BgL_srciz00_2145)
	{
		{	/* Ast/glo_decl.scm 326 */
			return
				BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(BgL_idz00_2136,
				BgL_aliasz00_2137, BgL_modulez00_2138, BgL_namez00_2139,
				BgL_treszd2idzd2_2140, BgL_targszd2idzd2_2141,
				CBOOL(BgL_infixzf3zf3_2142), CBOOL(BgL_macrozf3zf3_2143),
				BgL_srcez00_2144, BgL_srciz00_2145);
		}

	}



/* declare-global-cvar! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t BgL_idz00_68,
		obj_t BgL_aliasz00_69, obj_t BgL_namez00_70, obj_t BgL_typezd2idzd2_71,
		bool_t BgL_macrozf3zf3_72, obj_t BgL_srcez00_73, obj_t BgL_srciz00_74)
	{
		{	/* Ast/glo_decl.scm 351 */
			{	/* Ast/glo_decl.scm 352 */
				obj_t BgL_locz00_1757;

				BgL_locz00_1757 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_73);
				{	/* Ast/glo_decl.scm 352 */
					obj_t BgL_lociz00_1758;

					BgL_lociz00_1758 =
						BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srciz00_74,
						BgL_locz00_1757);
					{	/* Ast/glo_decl.scm 353 */
						BgL_typez00_bglt BgL_typez00_1759;

						BgL_typez00_1759 =
							BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00
							(BgL_typezd2idzd2_71, BgL_locz00_1757, BgL_lociz00_1758);
						{	/* Ast/glo_decl.scm 354 */
							BgL_cvarz00_bglt BgL_cvarz00_1760;

							{	/* Ast/glo_decl.scm 355 */
								BgL_cvarz00_bglt BgL_new1135z00_1762;

								{	/* Ast/glo_decl.scm 355 */
									BgL_cvarz00_bglt BgL_new1133z00_1763;

									BgL_new1133z00_1763 =
										((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_cvarz00_bgl))));
									{	/* Ast/glo_decl.scm 355 */
										long BgL_arg1682z00_1764;

										BgL_arg1682z00_1764 =
											BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1133z00_1763),
											BgL_arg1682z00_1764);
									}
									{	/* Ast/glo_decl.scm 355 */
										BgL_objectz00_bglt BgL_tmpz00_2712;

										BgL_tmpz00_2712 =
											((BgL_objectz00_bglt) BgL_new1133z00_1763);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2712, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1133z00_1763);
									BgL_new1135z00_1762 = BgL_new1133z00_1763;
								}
								((((BgL_cvarz00_bglt) COBJECT(BgL_new1135z00_1762))->
										BgL_macrozf3zf3) = ((bool_t) BgL_macrozf3zf3_72), BUNSPEC);
								BgL_cvarz00_1760 = BgL_new1135z00_1762;
							}
							{	/* Ast/glo_decl.scm 355 */
								BgL_globalz00_bglt BgL_globalz00_1761;

								BgL_globalz00_1761 =
									BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_68,
									BgL_aliasz00_69, CNST_TABLE_REF(((long) 10)),
									((BgL_valuez00_bglt) BgL_cvarz00_1760),
									CNST_TABLE_REF(((long) 10)), BgL_srcez00_73);
								{	/* Ast/glo_decl.scm 356 */

									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_1761)))->
											BgL_namez00) = ((obj_t) BgL_namez00_70), BUNSPEC);
									((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
														BgL_globalz00_1761)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_typez00_1759), BUNSPEC);
									((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_1761))->
											BgL_evaluablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									return BgL_globalz00_1761;
								}
							}
						}
					}
				}
			}
		}

	}



/* &declare-global-cvar! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2cvarz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2146, obj_t BgL_idz00_2147, obj_t BgL_aliasz00_2148,
		obj_t BgL_namez00_2149, obj_t BgL_typezd2idzd2_2150,
		obj_t BgL_macrozf3zf3_2151, obj_t BgL_srcez00_2152, obj_t BgL_srciz00_2153)
	{
		{	/* Ast/glo_decl.scm 351 */
			return
				BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(BgL_idz00_2147,
				BgL_aliasz00_2148, BgL_namez00_2149, BgL_typezd2idzd2_2150,
				CBOOL(BgL_macrozf3zf3_2151), BgL_srcez00_2152, BgL_srciz00_2153);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
			return
				BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1841z00zzast_glozd2declzd2));
		}

	}

#ifdef __cplusplus
}
#endif
