/*===========================================================================*/
/*   (Ast/remove.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/remove.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_removez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2removez12zd2appzd2ly1245za2zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62nodezd2removez12za2zzast_removez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_removez00(void);
	extern obj_t BGl_occurzd2nodezd2sfunz12z12zzast_occurz00(BgL_sfunz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2removez12zd2extern1249z70zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_removez00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62nodezd2removez12zd2return1278z70zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2removez12zd2switch1259z70zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_removez00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_nodezd2removeza2z12z62zzast_removez00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2removez121230za2zzast_removez00(obj_t, obj_t);
	static long BGl_za2removedzd2countza2zd2zzast_removez00;
	static obj_t
		BGl_z62nodezd2removez12zd2setzd2exzd21271z70zzast_removez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2removez12zd2funcall1247z70zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2removez12zd2kwote1237z70zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2removez12zd2conditi1255z70zzast_removez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2removez12zd2retbloc1276z70zzast_removez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2removez12zd2letzd2var1269za2zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzast_removez00(void);
	static obj_t BGl_z62nodezd2removez12zd2boxzd2set1265za2zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd2removez12zd2cast1251z70zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2removez12zd2boxzd2ref1263za2zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62nodezd2removez12zd2setq1253z70zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2removez12zd2sequenc1239z70zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2removez12zd2sync1241z70zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2removez12zd2fail1257z70zzast_removez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62removezd2varzb0zzast_removez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_globalzd2removezd2sfunz12z12zzast_removez00(obj_t);
	static obj_t BGl_z62nodezd2removez12zd2makezd2bo1261za2zzast_removez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2removez12zd2var1235z70zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62removezd2varzd2fromz12z70zzast_removez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_removez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_removez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2removez12zc0zzast_removez00(BgL_nodez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_removez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_removez00(void);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2removez12zd2app1243z70zzast_removez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2removez12zd2jumpzd2ex1274za2zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62nodezd2removez12zd2atom1233z70zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2removez12zd2letzd2fun1267za2zzast_removez00(obj_t,
		obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_removezd2varzd2fromz12zd2envzc0zzast_removez00,
		BgL_bgl_za762removeza7d2varza71915za7,
		BGl_z62removezd2varzd2fromz12z70zzast_removez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1916z00,
		BGl_z62nodezd2removez12zd2fail1257z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1917z00,
		BGl_z62nodezd2removez12zd2switch1259z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1918z00,
		BGl_z62nodezd2removez12zd2makezd2bo1261za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1919z00,
		BGl_z62nodezd2removez12zd2boxzd2ref1263za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1904z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1920z00,
		BGl_z62nodezd2removez12zd2boxzd2set1265za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1911z00zzast_removez00,
		BgL_bgl_string1911za700za7za7a1921za7, "ast_remove", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1905z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1922z00,
		BGl_z62nodezd2removez12zd2letzd2fun1267za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1912z00zzast_removez00,
		BgL_bgl_string1912za700za7za7a1923za7,
		"read node-remove!1230 done no-remove export ok now ", 51);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1924z00,
		BGl_z62nodezd2removez12zd2letzd2var1269za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1925z00,
		BGl_z62nodezd2removez12zd2setzd2exzd21271z70zzast_removez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1908z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1926z00,
		BGl_z62nodezd2removez12zd2jumpzd2ex1274za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1927z00,
		BGl_z62nodezd2removez12zd2retbloc1276z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1910z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1928z00,
		BGl_z62nodezd2removez12zd2return1278z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1876z00zzast_removez00,
		BgL_bgl_string1876za700za7za7a1929za7, "/", 1);
	      DEFINE_STRING(BGl_string1877z00zzast_removez00,
		BgL_bgl_string1877za700za7za7a1930za7, "remove-var-from!", 16);
	      DEFINE_STRING(BGl_string1878z00zzast_removez00,
		BgL_bgl_string1878za700za7za7a1931za7, "already removable variable", 26);
	      DEFINE_STRING(BGl_string1879z00zzast_removez00,
		BgL_bgl_string1879za700za7za7a1932za7, "         removing ", 18);
	      DEFINE_STRING(BGl_string1880z00zzast_removez00,
		BgL_bgl_string1880za700za7za7a1933za7, ")", 1);
	      DEFINE_STRING(BGl_string1881z00zzast_removez00,
		BgL_bgl_string1881za700za7za7a1934za7, " (import: ", 10);
	      DEFINE_STRING(BGl_string1882z00zzast_removez00,
		BgL_bgl_string1882za700za7za7a1935za7, " removed ", 9);
	      DEFINE_STRING(BGl_string1883z00zzast_removez00,
		BgL_bgl_string1883za700za7za7a1936za7, "        ", 8);
	      DEFINE_STRING(BGl_string1885z00zzast_removez00,
		BgL_bgl_string1885za700za7za7a1937za7, "node-remove!1230", 16);
	      DEFINE_STRING(BGl_string1886z00zzast_removez00,
		BgL_bgl_string1886za700za7za7a1938za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1888z00zzast_removez00,
		BgL_bgl_string1888za700za7za7a1939za7, "node-remove!", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1940z00,
		BGl_z62nodezd2removez121230za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1941z00,
		BGl_z62nodezd2removez12zd2atom1233z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1942z00,
		BGl_z62nodezd2removez12zd2var1235z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1943z00,
		BGl_z62nodezd2removez12zd2kwote1237z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1944z00,
		BGl_z62nodezd2removez12zd2sequenc1239z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1945z00,
		BGl_z62nodezd2removez12zd2sync1241z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1946z00,
		BGl_z62nodezd2removez12zd2app1243z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1947z00,
		BGl_z62nodezd2removez12zd2appzd2ly1245za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1948z00,
		BGl_z62nodezd2removez12zd2funcall1247z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1949z00,
		BGl_z62nodezd2removez12zd2extern1249z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1950z00,
		BGl_z62nodezd2removez12zd2cast1251z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1951z00,
		BGl_z62nodezd2removez12zd2setq1253z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1952z00,
		BGl_z62nodezd2removez12zd2conditi1255z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2removez12zd2envz12zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1953z00,
		BGl_z62nodezd2removez12za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_removezd2varzd2envz00zzast_removez00,
		BgL_bgl_za762removeza7d2varza71954za7,
		BGl_z62removezd2varzb0zzast_removez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_removez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long
		BgL_checksumz00_2278, char *BgL_fromz00_2279)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_removez00))
				{
					BGl_requirezd2initializa7ationz75zzast_removez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_removez00();
					BGl_libraryzd2moduleszd2initz00zzast_removez00();
					BGl_cnstzd2initzd2zzast_removez00();
					BGl_importedzd2moduleszd2initz00zzast_removez00();
					BGl_genericzd2initzd2zzast_removez00();
					BGl_methodzd2initzd2zzast_removez00();
					return BGl_toplevelzd2initzd2zzast_removez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_remove");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_remove");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_remove");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_remove");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			{	/* Ast/remove.scm 16 */
				obj_t BgL_cportz00_2170;

				{	/* Ast/remove.scm 16 */
					obj_t BgL_stringz00_2177;

					BgL_stringz00_2177 = BGl_string1912z00zzast_removez00;
					{	/* Ast/remove.scm 16 */
						obj_t BgL_startz00_2178;

						BgL_startz00_2178 = BINT(((long) 0));
						{	/* Ast/remove.scm 16 */
							obj_t BgL_endz00_2179;

							BgL_endz00_2179 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2177)));
							{	/* Ast/remove.scm 16 */

								BgL_cportz00_2170 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2177, BgL_startz00_2178, BgL_endz00_2179);
				}}}}
				{
					long BgL_iz00_2171;

					BgL_iz00_2171 = ((long) 6);
				BgL_loopz00_2172:
					if ((BgL_iz00_2171 == ((long) -1)))
						{	/* Ast/remove.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Ast/remove.scm 16 */
							{	/* Ast/remove.scm 16 */
								obj_t BgL_arg1914z00_2173;

								{	/* Ast/remove.scm 16 */

									{	/* Ast/remove.scm 16 */
										obj_t BgL_locationz00_2175;

										BgL_locationz00_2175 = BBOOL(((bool_t) 0));
										{	/* Ast/remove.scm 16 */

											BgL_arg1914z00_2173 =
												BGl_readz00zz__readerz00(BgL_cportz00_2170,
												BgL_locationz00_2175);
										}
									}
								}
								{	/* Ast/remove.scm 16 */
									int BgL_tmpz00_2310;

									BgL_tmpz00_2310 = (int) (BgL_iz00_2171);
									CNST_TABLE_SET(BgL_tmpz00_2310, BgL_arg1914z00_2173);
							}}
							{	/* Ast/remove.scm 16 */
								int BgL_auxz00_2176;

								BgL_auxz00_2176 = (int) ((BgL_iz00_2171 - ((long) 1)));
								{
									long BgL_iz00_2315;

									BgL_iz00_2315 = (long) (BgL_auxz00_2176);
									BgL_iz00_2171 = BgL_iz00_2315;
									goto BgL_loopz00_2172;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			BGl_za2removedzd2countza2zd2zzast_removez00 = ((long) 0);
			return BUNSPEC;
		}

	}



/* remove-var-from! */
	BGL_EXPORTED_DEF obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t
		BgL_passz00_3, BgL_variablez00_bglt BgL_varz00_4)
	{
		{	/* Ast/remove.scm 32 */
			{	/* Ast/remove.scm 33 */
				obj_t BgL_oldz00_1382;

				BgL_oldz00_1382 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_4))->BgL_removablez00);
				if ((BgL_oldz00_1382 == CNST_TABLE_REF(((long) 0))))
					{	/* Ast/remove.scm 35 */
						return
							((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_varz00_4))))->
								BgL_removablez00) = ((obj_t) BgL_passz00_3), BUNSPEC);
					}
				else
					{	/* Ast/remove.scm 35 */
						if ((BgL_oldz00_1382 == BgL_passz00_3))
							{	/* Ast/remove.scm 38 */
								return CNST_TABLE_REF(((long) 1));
							}
						else
							{	/* Ast/remove.scm 38 */
								if ((BgL_passz00_3 == CNST_TABLE_REF(((long) 0))))
									{	/* Ast/remove.scm 40 */
										return CNST_TABLE_REF(((long) 1));
									}
								else
									{	/* Ast/remove.scm 45 */
										obj_t BgL_arg1283z00_1383;

										{	/* Ast/remove.scm 45 */
											obj_t BgL_arg1286z00_1384;
											obj_t BgL_arg1287z00_1385;

											{	/* Ast/remove.scm 45 */
												obj_t BgL_arg1469z00_1848;

												BgL_arg1469z00_1848 =
													SYMBOL_TO_STRING(((obj_t) BgL_oldz00_1382));
												BgL_arg1286z00_1384 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1469z00_1848);
											}
											{	/* Ast/remove.scm 47 */
												obj_t BgL_arg1469z00_1850;

												BgL_arg1469z00_1850 = SYMBOL_TO_STRING(BgL_passz00_3);
												BgL_arg1287z00_1385 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1469z00_1850);
											}
											BgL_arg1283z00_1383 =
												string_append_3(BgL_arg1286z00_1384,
												BGl_string1876z00zzast_removez00, BgL_arg1287z00_1385);
										}
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string1877z00zzast_removez00,
											BGl_string1878z00zzast_removez00, BgL_arg1283z00_1383);
									}
							}
					}
			}
		}

	}



/* &remove-var-from! */
	obj_t BGl_z62removezd2varzd2fromz12z70zzast_removez00(obj_t BgL_envz00_2090,
		obj_t BgL_passz00_2091, obj_t BgL_varz00_2092)
	{
		{	/* Ast/remove.scm 32 */
			return
				BGl_removezd2varzd2fromz12z12zzast_removez00(BgL_passz00_2091,
				((BgL_variablez00_bglt) BgL_varz00_2092));
		}

	}



/* remove-var */
	BGL_EXPORTED_DEF obj_t BGl_removezd2varzd2zzast_removez00(obj_t BgL_passz00_5,
		obj_t BgL_globalsz00_6)
	{
		{	/* Ast/remove.scm 57 */
			BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_6);
			{
				obj_t BgL_globalsz00_1388;
				obj_t BgL_resz00_1389;
				bool_t BgL_fixpz00_1390;

				BgL_globalsz00_1388 = BgL_globalsz00_6;
				BgL_resz00_1389 = BNIL;
				BgL_fixpz00_1390 = ((bool_t) 1);
			BgL_zc3z04anonymousza31288ze3z87_1391:
				if (NULLP(BgL_globalsz00_1388))
					{	/* Ast/remove.scm 66 */
						obj_t BgL_nglobalsz00_1393;

						BgL_nglobalsz00_1393 = bgl_reverse_bang(BgL_resz00_1389);
						BGl_occurzd2varzd2zzast_occurz00(BgL_nglobalsz00_1393);
						if (BgL_fixpz00_1390)
							{	/* Ast/remove.scm 69 */
								return BgL_nglobalsz00_1393;
							}
						else
							{
								bool_t BgL_fixpz00_2349;
								obj_t BgL_resz00_2348;
								obj_t BgL_globalsz00_2347;

								BgL_globalsz00_2347 = BgL_nglobalsz00_1393;
								BgL_resz00_2348 = BNIL;
								BgL_fixpz00_2349 = ((bool_t) 1);
								BgL_fixpz00_1390 = BgL_fixpz00_2349;
								BgL_resz00_1389 = BgL_resz00_2348;
								BgL_globalsz00_1388 = BgL_globalsz00_2347;
								goto BgL_zc3z04anonymousza31288ze3z87_1391;
							}
					}
				else
					{	/* Ast/remove.scm 72 */
						obj_t BgL_globalz00_1394;

						BgL_globalz00_1394 = CAR(((obj_t) BgL_globalsz00_1388));
						if (
							((((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_globalz00_1394)))->
									BgL_importz00) == CNST_TABLE_REF(((long) 2))))
							{	/* Ast/remove.scm 75 */
								BGl_globalzd2removezd2sfunz12z12zzast_removez00
									(BgL_globalz00_1394);
								{	/* Ast/remove.scm 77 */
									obj_t BgL_arg1294z00_1397;
									obj_t BgL_arg1295z00_1398;

									BgL_arg1294z00_1397 = CDR(((obj_t) BgL_globalsz00_1388));
									BgL_arg1295z00_1398 =
										MAKE_YOUNG_PAIR(BgL_globalz00_1394, BgL_resz00_1389);
									{
										obj_t BgL_resz00_2362;
										obj_t BgL_globalsz00_2361;

										BgL_globalsz00_2361 = BgL_arg1294z00_1397;
										BgL_resz00_2362 = BgL_arg1295z00_1398;
										BgL_resz00_1389 = BgL_resz00_2362;
										BgL_globalsz00_1388 = BgL_globalsz00_2361;
										goto BgL_zc3z04anonymousza31288ze3z87_1391;
									}
								}
							}
						else
							{	/* Ast/remove.scm 80 */
								bool_t BgL_test1963z00_2363;

								if (
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_1394))))->
											BgL_removablez00) == BgL_passz00_5))
									{	/* Ast/remove.scm 80 */
										BgL_test1963z00_2363 = ((bool_t) 1);
									}
								else
									{	/* Ast/remove.scm 80 */
										if (PAIRP(BgL_passz00_5))
											{	/* Ast/remove.scm 81 */
												BgL_test1963z00_2363 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt)
																			BgL_globalz00_1394))))->BgL_removablez00),
														BgL_passz00_5));
											}
										else
											{	/* Ast/remove.scm 81 */
												BgL_test1963z00_2363 = ((bool_t) 0);
											}
									}
								if (BgL_test1963z00_2363)
									{	/* Ast/remove.scm 80 */
										if (
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_1394))))->
													BgL_occurrencez00) <= ((long) 0)))
											{	/* Ast/remove.scm 83 */
												{	/* Ast/remove.scm 87 */
													obj_t BgL_arg1304z00_1407;

													BgL_arg1304z00_1407 =
														BGl_shapez00zztools_shapez00(BgL_globalz00_1394);
													{	/* Ast/remove.scm 86 */
														obj_t BgL_list1305z00_1408;

														{	/* Ast/remove.scm 86 */
															obj_t BgL_arg1306z00_1409;

															{	/* Ast/remove.scm 86 */
																obj_t BgL_arg1307z00_1410;

																BgL_arg1307z00_1410 =
																	MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
																	BNIL);
																BgL_arg1306z00_1409 =
																	MAKE_YOUNG_PAIR(BgL_arg1304z00_1407,
																	BgL_arg1307z00_1410);
															}
															BgL_list1305z00_1408 =
																MAKE_YOUNG_PAIR
																(BGl_string1879z00zzast_removez00,
																BgL_arg1306z00_1409);
														}
														BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
															BgL_list1305z00_1408);
												}}
												{	/* Ast/remove.scm 88 */
													obj_t BgL_arg1308z00_1411;

													BgL_arg1308z00_1411 =
														CDR(((obj_t) BgL_globalsz00_1388));
													{
														bool_t BgL_fixpz00_2391;
														obj_t BgL_globalsz00_2390;

														BgL_globalsz00_2390 = BgL_arg1308z00_1411;
														BgL_fixpz00_2391 = ((bool_t) 0);
														BgL_fixpz00_1390 = BgL_fixpz00_2391;
														BgL_globalsz00_1388 = BgL_globalsz00_2390;
														goto BgL_zc3z04anonymousza31288ze3z87_1391;
													}
												}
											}
										else
											{	/* Ast/remove.scm 83 */
												{	/* Ast/remove.scm 90 */
													obj_t BgL_vz00_1860;

													BgL_vz00_1860 = CNST_TABLE_REF(((long) 0));
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt)
																			BgL_globalz00_1394))))->
															BgL_removablez00) =
														((obj_t) BgL_vz00_1860), BUNSPEC);
												}
												BGl_globalzd2removezd2sfunz12z12zzast_removez00
													(BgL_globalz00_1394);
												{	/* Ast/remove.scm 92 */
													obj_t BgL_arg1309z00_1412;
													obj_t BgL_arg1310z00_1413;

													BgL_arg1309z00_1412 =
														CDR(((obj_t) BgL_globalsz00_1388));
													BgL_arg1310z00_1413 =
														MAKE_YOUNG_PAIR(BgL_globalz00_1394,
														BgL_resz00_1389);
													{
														obj_t BgL_resz00_2401;
														obj_t BgL_globalsz00_2400;

														BgL_globalsz00_2400 = BgL_arg1309z00_1412;
														BgL_resz00_2401 = BgL_arg1310z00_1413;
														BgL_resz00_1389 = BgL_resz00_2401;
														BgL_globalsz00_1388 = BgL_globalsz00_2400;
														goto BgL_zc3z04anonymousza31288ze3z87_1391;
													}
												}
											}
									}
								else
									{	/* Ast/remove.scm 93 */
										bool_t BgL_test1967z00_2402;

										if (
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_1394))))->
													BgL_occurrencez00) <= ((long) 0)))
											{	/* Ast/remove.scm 93 */
												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt)
																			BgL_globalz00_1394))))->
															BgL_removablez00) == CNST_TABLE_REF(((long) 0))))
													{	/* Ast/remove.scm 94 */
														if ((BgL_passz00_5 == CNST_TABLE_REF(((long) 3))))
															{	/* Ast/remove.scm 95 */
																BgL_test1967z00_2402 = ((bool_t) 0);
															}
														else
															{	/* Ast/remove.scm 95 */
																BgL_test1967z00_2402 = ((bool_t) 1);
															}
													}
												else
													{	/* Ast/remove.scm 94 */
														BgL_test1967z00_2402 = ((bool_t) 0);
													}
											}
										else
											{	/* Ast/remove.scm 93 */
												BgL_test1967z00_2402 = ((bool_t) 0);
											}
										if (BgL_test1967z00_2402)
											{	/* Ast/remove.scm 93 */
												{	/* Ast/remove.scm 97 */
													obj_t BgL_arg1331z00_1422;
													obj_t BgL_arg1332z00_1423;

													BgL_arg1331z00_1422 =
														BGl_shapez00zztools_shapez00(BgL_globalz00_1394);
													BgL_arg1332z00_1423 =
														(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_globalz00_1394)))->
														BgL_importz00);
													{	/* Ast/remove.scm 97 */
														obj_t BgL_list1333z00_1424;

														{	/* Ast/remove.scm 97 */
															obj_t BgL_arg1334z00_1425;

															{	/* Ast/remove.scm 97 */
																obj_t BgL_arg1338z00_1426;

																{	/* Ast/remove.scm 97 */
																	obj_t BgL_arg1339z00_1427;

																	{	/* Ast/remove.scm 97 */
																		obj_t BgL_arg1340z00_1428;

																		{	/* Ast/remove.scm 97 */
																			obj_t BgL_arg1341z00_1429;

																			{	/* Ast/remove.scm 97 */
																				obj_t BgL_arg1343z00_1430;

																				BgL_arg1343z00_1430 =
																					MAKE_YOUNG_PAIR(BCHAR(((unsigned char)
																							10)), BNIL);
																				BgL_arg1341z00_1429 =
																					MAKE_YOUNG_PAIR
																					(BGl_string1880z00zzast_removez00,
																					BgL_arg1343z00_1430);
																			}
																			BgL_arg1340z00_1428 =
																				MAKE_YOUNG_PAIR(BgL_arg1332z00_1423,
																				BgL_arg1341z00_1429);
																		}
																		BgL_arg1339z00_1427 =
																			MAKE_YOUNG_PAIR
																			(BGl_string1881z00zzast_removez00,
																			BgL_arg1340z00_1428);
																	}
																	BgL_arg1338z00_1426 =
																		MAKE_YOUNG_PAIR
																		(BGl_string1882z00zzast_removez00,
																		BgL_arg1339z00_1427);
																}
																BgL_arg1334z00_1425 =
																	MAKE_YOUNG_PAIR(BgL_arg1331z00_1422,
																	BgL_arg1338z00_1426);
															}
															BgL_list1333z00_1424 =
																MAKE_YOUNG_PAIR
																(BGl_string1883z00zzast_removez00,
																BgL_arg1334z00_1425);
														}
														BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
															BgL_list1333z00_1424);
												}}
												{	/* Ast/remove.scm 100 */
													obj_t BgL_arg1344z00_1431;

													BgL_arg1344z00_1431 =
														CDR(((obj_t) BgL_globalsz00_1388));
													{
														bool_t BgL_fixpz00_2433;
														obj_t BgL_globalsz00_2432;

														BgL_globalsz00_2432 = BgL_arg1344z00_1431;
														BgL_fixpz00_2433 = ((bool_t) 0);
														BgL_fixpz00_1390 = BgL_fixpz00_2433;
														BgL_globalsz00_1388 = BgL_globalsz00_2432;
														goto BgL_zc3z04anonymousza31288ze3z87_1391;
													}
												}
											}
										else
											{	/* Ast/remove.scm 93 */
												BGl_globalzd2removezd2sfunz12z12zzast_removez00
													(BgL_globalz00_1394);
												{	/* Ast/remove.scm 104 */
													obj_t BgL_arg1346z00_1432;
													obj_t BgL_arg1347z00_1433;

													BgL_arg1346z00_1432 =
														CDR(((obj_t) BgL_globalsz00_1388));
													BgL_arg1347z00_1433 =
														MAKE_YOUNG_PAIR(BgL_globalz00_1394,
														BgL_resz00_1389);
													{
														obj_t BgL_resz00_2439;
														obj_t BgL_globalsz00_2438;

														BgL_globalsz00_2438 = BgL_arg1346z00_1432;
														BgL_resz00_2439 = BgL_arg1347z00_1433;
														BgL_resz00_1389 = BgL_resz00_2439;
														BgL_globalsz00_1388 = BgL_globalsz00_2438;
														goto BgL_zc3z04anonymousza31288ze3z87_1391;
													}
												}
											}
									}
							}
					}
			}
		}

	}



/* &remove-var */
	obj_t BGl_z62removezd2varzb0zzast_removez00(obj_t BgL_envz00_2093,
		obj_t BgL_passz00_2094, obj_t BgL_globalsz00_2095)
	{
		{	/* Ast/remove.scm 57 */
			return
				BGl_removezd2varzd2zzast_removez00(BgL_passz00_2094,
				BgL_globalsz00_2095);
		}

	}



/* global-remove-sfun! */
	obj_t BGl_globalzd2removezd2sfunz12z12zzast_removez00(obj_t BgL_globalz00_7)
	{
		{	/* Ast/remove.scm 109 */
		BGl_globalzd2removezd2sfunz12z12zzast_removez00:
			{	/* Ast/remove.scm 110 */
				BgL_valuez00_bglt BgL_sfunz00_1444;

				BgL_sfunz00_1444 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_7))))->BgL_valuez00);
				BGl_za2removedzd2countza2zd2zzast_removez00 = ((long) 0);
				{	/* Ast/remove.scm 112 */
					obj_t BgL_arg1361z00_1445;

					{	/* Ast/remove.scm 112 */
						obj_t BgL_arg1362z00_1446;

						BgL_arg1362z00_1446 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_sfunz00_1444)))->BgL_bodyz00);
						BgL_arg1361z00_1445 =
							BGl_nodezd2removez12zc0zzast_removez00(
							((BgL_nodez00_bglt) BgL_arg1362z00_1446));
					}
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_sfunz00_1444)))->BgL_bodyz00) =
						((obj_t) BgL_arg1361z00_1445), BUNSPEC);
				}
				{	/* Ast/remove.scm 113 */
					bool_t BgL_test1971z00_2450;

					if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
						{	/* Ast/remove.scm 113 */
							BgL_test1971z00_2450 =
								(BGl_za2removedzd2countza2zd2zzast_removez00 > ((long) 0));
						}
					else
						{	/* Ast/remove.scm 113 */
							BgL_test1971z00_2450 = ((bool_t) 0);
						}
					if (BgL_test1971z00_2450)
						{	/* Ast/remove.scm 113 */
							{	/* Ast/remove.scm 116 */
								BgL_valuez00_bglt BgL_arg1372z00_1449;

								BgL_arg1372z00_1449 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_7))))->
									BgL_valuez00);
								BGl_occurzd2nodezd2sfunz12z12zzast_occurz00(((BgL_sfunz00_bglt)
										BgL_arg1372z00_1449),
									((BgL_globalz00_bglt) BgL_globalz00_7));
							}
							{

								goto BGl_globalzd2removezd2sfunz12z12zzast_removez00;
							}
						}
					else
						{	/* Ast/remove.scm 113 */
							return BgL_globalz00_7;
						}
				}
			}
		}

	}



/* node-remove*! */
	obj_t BGl_nodezd2removeza2z12z62zzast_removez00(obj_t BgL_nodeza2za2_32)
	{
		{	/* Ast/remove.scm 351 */
		BGl_nodezd2removeza2z12z62zzast_removez00:
			if (NULLP(BgL_nodeza2za2_32))
				{	/* Ast/remove.scm 352 */
					return CNST_TABLE_REF(((long) 4));
				}
			else
				{	/* Ast/remove.scm 352 */
					{	/* Ast/remove.scm 355 */
						obj_t BgL_arg1375z00_1452;

						{	/* Ast/remove.scm 355 */
							obj_t BgL_arg1376z00_1453;

							BgL_arg1376z00_1453 = CAR(((obj_t) BgL_nodeza2za2_32));
							BgL_arg1375z00_1452 =
								BGl_nodezd2removez12zc0zzast_removez00(
								((BgL_nodez00_bglt) BgL_arg1376z00_1453));
						}
						{	/* Ast/remove.scm 355 */
							obj_t BgL_tmpz00_2468;

							BgL_tmpz00_2468 = ((obj_t) BgL_nodeza2za2_32);
							SET_CAR(BgL_tmpz00_2468, BgL_arg1375z00_1452);
						}
					}
					{	/* Ast/remove.scm 356 */
						obj_t BgL_arg1378z00_1454;

						BgL_arg1378z00_1454 = CDR(((obj_t) BgL_nodeza2za2_32));
						{
							obj_t BgL_nodeza2za2_2473;

							BgL_nodeza2za2_2473 = BgL_arg1378z00_1454;
							BgL_nodeza2za2_32 = BgL_nodeza2za2_2473;
							goto BGl_nodezd2removeza2z12z62zzast_removez00;
						}
					}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_proc1884z00zzast_removez00, BGl_nodez00zzast_nodez00,
				BGl_string1885z00zzast_removez00);
		}

	}



/* &node-remove!1230 */
	obj_t BGl_z62nodezd2removez121230za2zzast_removez00(obj_t BgL_envz00_2097,
		obj_t BgL_nodez00_2098)
	{
		{	/* Ast/remove.scm 123 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 5)),
				BGl_string1886z00zzast_removez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2098)));
		}

	}



/* node-remove! */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2removez12zc0zzast_removez00(BgL_nodez00_bglt
		BgL_nodez00_8)
	{
		{	/* Ast/remove.scm 123 */
			{	/* Ast/remove.scm 123 */
				obj_t BgL_method1231z00_1459;

				{	/* Ast/remove.scm 123 */
					obj_t BgL_res1873z00_1907;

					{	/* Ast/remove.scm 123 */
						long BgL_objzd2classzd2numz00_1878;

						BgL_objzd2classzd2numz00_1878 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_8));
						{	/* Ast/remove.scm 123 */
							obj_t BgL_arg1825z00_1879;

							BgL_arg1825z00_1879 =
								PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00,
								(int) (((long) 1)));
							{	/* Ast/remove.scm 123 */
								int BgL_offsetz00_1882;

								BgL_offsetz00_1882 = (int) (BgL_objzd2classzd2numz00_1878);
								{	/* Ast/remove.scm 123 */
									long BgL_offsetz00_1883;

									BgL_offsetz00_1883 =
										((long) (BgL_offsetz00_1882) - OBJECT_TYPE);
									{	/* Ast/remove.scm 123 */
										long BgL_modz00_1884;

										BgL_modz00_1884 =
											(BgL_offsetz00_1883 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/remove.scm 123 */
											long BgL_restz00_1886;

											BgL_restz00_1886 =
												(BgL_offsetz00_1883 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/remove.scm 123 */

												{	/* Ast/remove.scm 123 */
													obj_t BgL_bucketz00_1888;

													BgL_bucketz00_1888 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_1879), BgL_modz00_1884);
													BgL_res1873z00_1907 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1888), BgL_restz00_1886);
					}}}}}}}}
					BgL_method1231z00_1459 = BgL_res1873z00_1907;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1231z00_1459)) (BgL_method1231z00_1459,
					((obj_t) BgL_nodez00_8), BEOA);
			}
		}

	}



/* &node-remove! */
	obj_t BGl_z62nodezd2removez12za2zzast_removez00(obj_t BgL_envz00_2099,
		obj_t BgL_nodez00_2100)
	{
		{	/* Ast/remove.scm 123 */
			return
				BGl_nodezd2removez12zc0zzast_removez00(
				((BgL_nodez00_bglt) BgL_nodez00_2100));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_atomz00zzast_nodez00,
				BGl_proc1887z00zzast_removez00, BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_varz00zzast_nodez00,
				BGl_proc1889z00zzast_removez00, BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_kwotez00zzast_nodez00, BGl_proc1890z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1891z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_syncz00zzast_nodez00,
				BGl_proc1892z00zzast_removez00, BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_appz00zzast_nodez00,
				BGl_proc1893z00zzast_removez00, BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1894z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1895z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_externz00zzast_nodez00, BGl_proc1896z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_castz00zzast_nodez00,
				BGl_proc1897z00zzast_removez00, BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_setqz00zzast_nodez00,
				BGl_proc1898z00zzast_removez00, BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1899z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_failz00zzast_nodez00,
				BGl_proc1900z00zzast_removez00, BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_switchz00zzast_nodez00, BGl_proc1901z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1902z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1903z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1904z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1905z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1906z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1907z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1908z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_retblockz00zzast_nodez00, BGl_proc1909z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_returnz00zzast_nodez00, BGl_proc1910z00zzast_removez00,
				BGl_string1888z00zzast_removez00);
		}

	}



/* &node-remove!-return1278 */
	obj_t BGl_z62nodezd2removez12zd2return1278z70zzast_removez00(obj_t
		BgL_envz00_2124, obj_t BgL_nodez00_2125)
	{
		{	/* Ast/remove.scm 344 */
			{	/* Ast/remove.scm 345 */
				obj_t BgL_arg1749z00_2183;

				BgL_arg1749z00_2183 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2125)))->BgL_valuez00));
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2125)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1749z00_2183)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_returnz00_bglt) BgL_nodez00_2125));
		}

	}



/* &node-remove!-retbloc1276 */
	obj_t BGl_z62nodezd2removez12zd2retbloc1276z70zzast_removez00(obj_t
		BgL_envz00_2126, obj_t BgL_nodez00_2127)
	{
		{	/* Ast/remove.scm 337 */
			{	/* Ast/remove.scm 338 */
				obj_t BgL_arg1745z00_2185;

				BgL_arg1745z00_2185 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2127)))->BgL_bodyz00));
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2127)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1745z00_2185)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_retblockz00_bglt) BgL_nodez00_2127));
		}

	}



/* &node-remove!-jump-ex1274 */
	obj_t BGl_z62nodezd2removez12zd2jumpzd2ex1274za2zzast_removez00(obj_t
		BgL_envz00_2128, obj_t BgL_nodez00_2129)
	{
		{	/* Ast/remove.scm 329 */
			{	/* Ast/remove.scm 330 */
				obj_t BgL_arg1734z00_2187;

				BgL_arg1734z00_2187 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2129)))->
						BgL_exitz00));
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_nodez00_2129)))->BgL_exitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1734z00_2187)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 331 */
				obj_t BgL_arg1738z00_2188;

				BgL_arg1738z00_2188 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2129)))->
						BgL_valuez00));
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_nodez00_2129)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1738z00_2188)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2129));
		}

	}



/* &node-remove!-set-ex-1271 */
	obj_t BGl_z62nodezd2removez12zd2setzd2exzd21271z70zzast_removez00(obj_t
		BgL_envz00_2130, obj_t BgL_nodez00_2131)
	{
		{	/* Ast/remove.scm 319 */
			{	/* Ast/remove.scm 320 */
				obj_t BgL_arg1698z00_2190;

				BgL_arg1698z00_2190 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2131)))->BgL_bodyz00));
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2131)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1698z00_2190)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 321 */
				obj_t BgL_arg1711z00_2191;

				BgL_arg1711z00_2191 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2131)))->
						BgL_onexitz00));
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_nodez00_2131)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1711z00_2191)),
					BUNSPEC);
			}
			if (
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt)
										(((BgL_varz00_bglt) COBJECT(
													(((BgL_setzd2exzd2itz00_bglt) COBJECT(
																((BgL_setzd2exzd2itz00_bglt)
																	BgL_nodez00_2131)))->BgL_varz00)))->
											BgL_variablez00)))))->BgL_occurrencez00) <= ((long) 0)))
				{	/* Ast/remove.scm 322 */
					return
						((obj_t)
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2131)))->
							BgL_bodyz00));
				}
			else
				{	/* Ast/remove.scm 322 */
					return ((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2131));
				}
		}

	}



/* &node-remove!-let-var1269 */
	obj_t BGl_z62nodezd2removez12zd2letzd2var1269za2zzast_removez00(obj_t
		BgL_envz00_2132, obj_t BgL_nodez00_2133)
	{
		{	/* Ast/remove.scm 280 */
			{
				BgL_nodez00_bglt BgL_auxz00_2589;

				{	/* Ast/remove.scm 282 */
					BgL_nodez00_bglt BgL_arg1641z00_2193;

					BgL_arg1641z00_2193 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2133)))->BgL_bodyz00);
					BgL_auxz00_2589 =
						((BgL_nodez00_bglt)
						BGl_nodezd2removez12zc0zzast_removez00(BgL_arg1641z00_2193));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2133)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2589), BUNSPEC);
			}
			{
				obj_t BgL_oldzd2bindingszd2_2195;
				obj_t BgL_newzd2bindingszd2_2196;

				{	/* Ast/remove.scm 283 */
					obj_t BgL_arg1645z00_2218;

					BgL_arg1645z00_2218 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2133)))->BgL_bindingsz00);
					{
						BgL_nodez00_bglt BgL_auxz00_2598;

						BgL_oldzd2bindingszd2_2195 = BgL_arg1645z00_2218;
						BgL_newzd2bindingszd2_2196 = BNIL;
					BgL_loopz00_2194:
						if (NULLP(BgL_oldzd2bindingszd2_2195))
							{	/* Ast/remove.scm 285 */
								if (NULLP(BgL_newzd2bindingszd2_2196))
									{	/* Ast/remove.scm 286 */
										if (
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2133)))->
												BgL_removablezf3zf3))
											{	/* Ast/remove.scm 287 */
												BgL_auxz00_2598 =
													(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2133)))->
													BgL_bodyz00);
											}
										else
											{	/* Ast/remove.scm 287 */
												((((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_2133)))->
														BgL_bindingsz00) = ((obj_t) BNIL), BUNSPEC);
												BgL_auxz00_2598 =
													((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
														BgL_nodez00_2133));
											}
									}
								else
									{	/* Ast/remove.scm 286 */
										((((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2133)))->
												BgL_bindingsz00) =
											((obj_t) bgl_reverse_bang(BgL_newzd2bindingszd2_2196)),
											BUNSPEC);
										BgL_auxz00_2598 =
											((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
												BgL_nodez00_2133));
									}
							}
						else
							{	/* Ast/remove.scm 295 */
								obj_t BgL_bindingz00_2197;

								BgL_bindingz00_2197 = CAR(((obj_t) BgL_oldzd2bindingszd2_2195));
								{	/* Ast/remove.scm 295 */
									obj_t BgL_varz00_2198;

									BgL_varz00_2198 = CAR(((obj_t) BgL_bindingz00_2197));
									{	/* Ast/remove.scm 296 */
										obj_t BgL_valz00_2199;

										{	/* Ast/remove.scm 297 */
											obj_t BgL_arg1697z00_2200;

											BgL_arg1697z00_2200 = CDR(((obj_t) BgL_bindingz00_2197));
											BgL_valz00_2199 =
												BGl_nodezd2removez12zc0zzast_removez00(
												((BgL_nodez00_bglt) BgL_arg1697z00_2200));
										}
										{	/* Ast/remove.scm 297 */

											{	/* Ast/remove.scm 298 */
												bool_t BgL_test1978z00_2625;

												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_2198))))->
															BgL_occurrencez00) <= ((long) 0)))
													{	/* Ast/remove.scm 298 */
														if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
																((BgL_nodez00_bglt) BgL_valz00_2199)))
															{	/* Ast/remove.scm 299 */
																BgL_test1978z00_2625 = ((bool_t) 0);
															}
														else
															{	/* Ast/remove.scm 299 */
																if (
																	((((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_varz00_2198))))->
																			BgL_accessz00) ==
																		CNST_TABLE_REF(((long) 6))))
																	{	/* Ast/remove.scm 301 */
																		bool_t BgL__ortest_1108z00_2201;

																		if (
																			(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_localz00_bglt)
																								BgL_varz00_2198))))->
																				BgL_userzf3zf3))
																			{	/* Ast/remove.scm 301 */
																				BgL__ortest_1108z00_2201 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/remove.scm 301 */
																				BgL__ortest_1108z00_2201 = ((bool_t) 1);
																			}
																		if (BgL__ortest_1108z00_2201)
																			{	/* Ast/remove.scm 301 */
																				BgL_test1978z00_2625 =
																					BgL__ortest_1108z00_2201;
																			}
																		else
																			{	/* Ast/remove.scm 301 */
																				BgL_test1978z00_2625 =
																					(
																					(long)
																					CINT
																					(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
																					== ((long) 0));
																	}}
																else
																	{	/* Ast/remove.scm 300 */
																		BgL_test1978z00_2625 = ((bool_t) 0);
																	}
															}
													}
												else
													{	/* Ast/remove.scm 298 */
														BgL_test1978z00_2625 = ((bool_t) 0);
													}
												if (BgL_test1978z00_2625)
													{	/* Ast/remove.scm 298 */
														{	/* Ast/remove.scm 304 */
															bool_t BgL_test1984z00_2647;

															{	/* Ast/remove.scm 304 */
																obj_t BgL_classz00_2202;

																BgL_classz00_2202 = BGl_varz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_valz00_2199))
																	{	/* Ast/remove.scm 304 */
																		BgL_objectz00_bglt BgL_arg1820z00_2203;

																		BgL_arg1820z00_2203 =
																			(BgL_objectz00_bglt) (BgL_valz00_2199);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Ast/remove.scm 304 */
																				long BgL_idxz00_2204;

																				BgL_idxz00_2204 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1820z00_2203);
																				BgL_test1984z00_2647 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2204 + ((long) 2))) ==
																					BgL_classz00_2202);
																			}
																		else
																			{	/* Ast/remove.scm 304 */
																				bool_t BgL_res1874z00_2207;

																				{	/* Ast/remove.scm 304 */
																					obj_t BgL_oclassz00_2208;

																					{	/* Ast/remove.scm 304 */
																						long BgL_arg1828z00_2209;

																						{	/* Ast/remove.scm 304 */
																							long BgL_arg1829z00_2210;

																							BgL_arg1829z00_2210 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1820z00_2203);
																							BgL_arg1828z00_2209 =
																								(BgL_arg1829z00_2210 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2208 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1828z00_2209);
																					}
																					{	/* Ast/remove.scm 304 */
																						bool_t BgL__ortest_1111z00_2211;

																						BgL__ortest_1111z00_2211 =
																							(BgL_classz00_2202 ==
																							BgL_oclassz00_2208);
																						if (BgL__ortest_1111z00_2211)
																							{	/* Ast/remove.scm 304 */
																								BgL_res1874z00_2207 =
																									BgL__ortest_1111z00_2211;
																							}
																						else
																							{	/* Ast/remove.scm 304 */
																								long BgL_odepthz00_2212;

																								BgL_odepthz00_2212 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2208);
																								if ((((long) 2) <
																										BgL_odepthz00_2212))
																									{	/* Ast/remove.scm 304 */
																										obj_t BgL_arg1816z00_2213;

																										BgL_arg1816z00_2213 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2208,
																											((long) 2));
																										BgL_res1874z00_2207 =
																											(BgL_arg1816z00_2213 ==
																											BgL_classz00_2202);
																									}
																								else
																									{	/* Ast/remove.scm 304 */
																										BgL_res1874z00_2207 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test1984z00_2647 =
																					BgL_res1874z00_2207;
																			}
																	}
																else
																	{	/* Ast/remove.scm 304 */
																		BgL_test1984z00_2647 = ((bool_t) 0);
																	}
															}
															if (BgL_test1984z00_2647)
																{	/* Ast/remove.scm 305 */
																	BgL_variablez00_bglt BgL_vz00_2214;

																	BgL_vz00_2214 =
																		(((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt) BgL_valz00_2199)))->
																		BgL_variablez00);
																	((((BgL_variablez00_bglt)
																				COBJECT(BgL_vz00_2214))->
																			BgL_occurrencez00) =
																		((long) ((((BgL_variablez00_bglt)
																						COBJECT(BgL_vz00_2214))->
																					BgL_occurrencez00) - ((long) 1))),
																		BUNSPEC);
																}
															else
																{	/* Ast/remove.scm 304 */
																	BFALSE;
																}
														}
														BGl_za2removedzd2countza2zd2zzast_removez00 =
															(BGl_za2removedzd2countza2zd2zzast_removez00 +
															((long) 1));
														{	/* Ast/remove.scm 310 */
															obj_t BgL_arg1682z00_2215;

															BgL_arg1682z00_2215 =
																CDR(((obj_t) BgL_oldzd2bindingszd2_2195));
															{
																obj_t BgL_oldzd2bindingszd2_2675;

																BgL_oldzd2bindingszd2_2675 =
																	BgL_arg1682z00_2215;
																BgL_oldzd2bindingszd2_2195 =
																	BgL_oldzd2bindingszd2_2675;
																goto BgL_loopz00_2194;
															}
														}
													}
												else
													{	/* Ast/remove.scm 298 */
														{	/* Ast/remove.scm 312 */
															obj_t BgL_tmpz00_2676;

															BgL_tmpz00_2676 = ((obj_t) BgL_bindingz00_2197);
															SET_CDR(BgL_tmpz00_2676, BgL_valz00_2199);
														}
														{	/* Ast/remove.scm 313 */
															obj_t BgL_arg1683z00_2216;
															obj_t BgL_arg1687z00_2217;

															BgL_arg1683z00_2216 =
																CDR(((obj_t) BgL_oldzd2bindingszd2_2195));
															BgL_arg1687z00_2217 =
																MAKE_YOUNG_PAIR(BgL_bindingz00_2197,
																BgL_newzd2bindingszd2_2196);
															{
																obj_t BgL_newzd2bindingszd2_2683;
																obj_t BgL_oldzd2bindingszd2_2682;

																BgL_oldzd2bindingszd2_2682 =
																	BgL_arg1683z00_2216;
																BgL_newzd2bindingszd2_2683 =
																	BgL_arg1687z00_2217;
																BgL_newzd2bindingszd2_2196 =
																	BgL_newzd2bindingszd2_2683;
																BgL_oldzd2bindingszd2_2195 =
																	BgL_oldzd2bindingszd2_2682;
																goto BgL_loopz00_2194;
															}
														}
													}
											}
										}
									}
								}
							}
						return ((obj_t) BgL_auxz00_2598);
					}
				}
			}
		}

	}



/* &node-remove!-let-fun1267 */
	obj_t BGl_z62nodezd2removez12zd2letzd2fun1267za2zzast_removez00(obj_t
		BgL_envz00_2134, obj_t BgL_nodez00_2135)
	{
		{	/* Ast/remove.scm 257 */
			{
				BgL_nodez00_bglt BgL_auxz00_2685;

				{	/* Ast/remove.scm 259 */
					BgL_nodez00_bglt BgL_arg1614z00_2220;

					BgL_arg1614z00_2220 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2135)))->BgL_bodyz00);
					BgL_auxz00_2685 =
						((BgL_nodez00_bglt)
						BGl_nodezd2removez12zc0zzast_removez00(BgL_arg1614z00_2220));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2135)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2685), BUNSPEC);
			}
			{
				obj_t BgL_oldzd2localszd2_2222;
				obj_t BgL_newzd2localszd2_2223;

				{	/* Ast/remove.scm 260 */
					obj_t BgL_arg1615z00_2231;

					BgL_arg1615z00_2231 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2135)))->BgL_localsz00);
					{
						BgL_nodez00_bglt BgL_auxz00_2694;

						BgL_oldzd2localszd2_2222 = BgL_arg1615z00_2231;
						BgL_newzd2localszd2_2223 = BNIL;
					BgL_loopz00_2221:
						if (NULLP(BgL_oldzd2localszd2_2222))
							{	/* Ast/remove.scm 262 */
								if (NULLP(BgL_newzd2localszd2_2223))
									{	/* Ast/remove.scm 263 */
										BgL_auxz00_2694 =
											(((BgL_letzd2funzd2_bglt) COBJECT(
													((BgL_letzd2funzd2_bglt) BgL_nodez00_2135)))->
											BgL_bodyz00);
									}
								else
									{	/* Ast/remove.scm 263 */
										((((BgL_letzd2funzd2_bglt) COBJECT(
														((BgL_letzd2funzd2_bglt) BgL_nodez00_2135)))->
												BgL_localsz00) =
											((obj_t) bgl_reverse_bang(BgL_newzd2localszd2_2223)),
											BUNSPEC);
										BgL_auxz00_2694 =
											((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
												BgL_nodez00_2135));
									}
							}
						else
							{	/* Ast/remove.scm 268 */
								obj_t BgL_localz00_2224;

								BgL_localz00_2224 = CAR(((obj_t) BgL_oldzd2localszd2_2222));
								if (
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2224))))->
											BgL_occurrencez00) <= ((long) 0)))
									{	/* Ast/remove.scm 269 */
										BGl_za2removedzd2countza2zd2zzast_removez00 =
											(BGl_za2removedzd2countza2zd2zzast_removez00 +
											((long) 1));
										{	/* Ast/remove.scm 272 */
											obj_t BgL_arg1629z00_2225;

											BgL_arg1629z00_2225 =
												CDR(((obj_t) BgL_oldzd2localszd2_2222));
											{
												obj_t BgL_oldzd2localszd2_2716;

												BgL_oldzd2localszd2_2716 = BgL_arg1629z00_2225;
												BgL_oldzd2localszd2_2222 = BgL_oldzd2localszd2_2716;
												goto BgL_loopz00_2221;
											}
										}
									}
								else
									{	/* Ast/remove.scm 273 */
										BgL_valuez00_bglt BgL_sfunz00_2226;

										BgL_sfunz00_2226 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2224))))->
											BgL_valuez00);
										{	/* Ast/remove.scm 274 */
											obj_t BgL_arg1630z00_2227;

											{	/* Ast/remove.scm 274 */
												obj_t BgL_arg1632z00_2228;

												BgL_arg1632z00_2228 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_2226)))->
													BgL_bodyz00);
												BgL_arg1630z00_2227 =
													BGl_nodezd2removez12zc0zzast_removez00((
														(BgL_nodez00_bglt) BgL_arg1632z00_2228));
											}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_2226)))->
													BgL_bodyz00) =
												((obj_t) BgL_arg1630z00_2227), BUNSPEC);
										}
										{	/* Ast/remove.scm 275 */
											obj_t BgL_arg1635z00_2229;
											obj_t BgL_arg1636z00_2230;

											BgL_arg1635z00_2229 =
												CDR(((obj_t) BgL_oldzd2localszd2_2222));
											BgL_arg1636z00_2230 =
												MAKE_YOUNG_PAIR(BgL_localz00_2224,
												BgL_newzd2localszd2_2223);
											{
												obj_t BgL_newzd2localszd2_2730;
												obj_t BgL_oldzd2localszd2_2729;

												BgL_oldzd2localszd2_2729 = BgL_arg1635z00_2229;
												BgL_newzd2localszd2_2730 = BgL_arg1636z00_2230;
												BgL_newzd2localszd2_2223 = BgL_newzd2localszd2_2730;
												BgL_oldzd2localszd2_2222 = BgL_oldzd2localszd2_2729;
												goto BgL_loopz00_2221;
											}
										}
									}
							}
						return ((obj_t) BgL_auxz00_2694);
					}
				}
			}
		}

	}



/* &node-remove!-box-set1265 */
	obj_t BGl_z62nodezd2removez12zd2boxzd2set1265za2zzast_removez00(obj_t
		BgL_envz00_2136, obj_t BgL_nodez00_2137)
	{
		{	/* Ast/remove.scm 249 */
			{	/* Ast/remove.scm 250 */
				obj_t BgL_arg1598z00_2233;

				{	/* Ast/remove.scm 250 */
					BgL_varz00_bglt BgL_arg1599z00_2234;

					BgL_arg1599z00_2234 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2137)))->BgL_varz00);
					BgL_arg1598z00_2233 =
						BGl_nodezd2removez12zc0zzast_removez00(
						((BgL_nodez00_bglt) BgL_arg1599z00_2234));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2137)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1598z00_2233)), BUNSPEC);
			}
			{	/* Ast/remove.scm 251 */
				obj_t BgL_arg1600z00_2235;

				BgL_arg1600z00_2235 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2137)))->BgL_valuez00));
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2137)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1600z00_2235)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2137));
		}

	}



/* &node-remove!-box-ref1263 */
	obj_t BGl_z62nodezd2removez12zd2boxzd2ref1263za2zzast_removez00(obj_t
		BgL_envz00_2138, obj_t BgL_nodez00_2139)
	{
		{	/* Ast/remove.scm 242 */
			{	/* Ast/remove.scm 243 */
				obj_t BgL_arg1588z00_2237;

				{	/* Ast/remove.scm 243 */
					BgL_varz00_bglt BgL_arg1590z00_2238;

					BgL_arg1590z00_2238 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2139)))->BgL_varz00);
					BgL_arg1588z00_2237 =
						BGl_nodezd2removez12zc0zzast_removez00(
						((BgL_nodez00_bglt) BgL_arg1590z00_2238));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2139)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1588z00_2237)), BUNSPEC);
			}
			return ((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2139));
		}

	}



/* &node-remove!-make-bo1261 */
	obj_t BGl_z62nodezd2removez12zd2makezd2bo1261za2zzast_removez00(obj_t
		BgL_envz00_2140, obj_t BgL_nodez00_2141)
	{
		{	/* Ast/remove.scm 235 */
			{	/* Ast/remove.scm 236 */
				obj_t BgL_arg1581z00_2240;

				BgL_arg1581z00_2240 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2141)))->BgL_valuez00));
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2141)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1581z00_2240)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2141));
		}

	}



/* &node-remove!-switch1259 */
	obj_t BGl_z62nodezd2removez12zd2switch1259z70zzast_removez00(obj_t
		BgL_envz00_2142, obj_t BgL_nodez00_2143)
	{
		{	/* Ast/remove.scm 225 */
			{	/* Ast/remove.scm 226 */
				obj_t BgL_arg1565z00_2242;

				BgL_arg1565z00_2242 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2143)))->BgL_testz00));
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2143)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1565z00_2242)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 227 */
				obj_t BgL_g1229z00_2243;

				BgL_g1229z00_2243 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2143)))->BgL_clausesz00);
				{
					obj_t BgL_l1227z00_2245;

					BgL_l1227z00_2245 = BgL_g1229z00_2243;
				BgL_zc3z04anonymousza31568ze3z87_2244:
					if (PAIRP(BgL_l1227z00_2245))
						{	/* Ast/remove.scm 229 */
							{	/* Ast/remove.scm 228 */
								obj_t BgL_clausez00_2246;

								BgL_clausez00_2246 = CAR(BgL_l1227z00_2245);
								{	/* Ast/remove.scm 228 */
									obj_t BgL_arg1570z00_2247;

									{	/* Ast/remove.scm 228 */
										obj_t BgL_arg1572z00_2248;

										BgL_arg1572z00_2248 = CDR(((obj_t) BgL_clausez00_2246));
										BgL_arg1570z00_2247 =
											BGl_nodezd2removez12zc0zzast_removez00(
											((BgL_nodez00_bglt) BgL_arg1572z00_2248));
									}
									{	/* Ast/remove.scm 228 */
										obj_t BgL_tmpz00_2779;

										BgL_tmpz00_2779 = ((obj_t) BgL_clausez00_2246);
										SET_CDR(BgL_tmpz00_2779, BgL_arg1570z00_2247);
									}
								}
							}
							{
								obj_t BgL_l1227z00_2782;

								BgL_l1227z00_2782 = CDR(BgL_l1227z00_2245);
								BgL_l1227z00_2245 = BgL_l1227z00_2782;
								goto BgL_zc3z04anonymousza31568ze3z87_2244;
							}
						}
					else
						{	/* Ast/remove.scm 229 */
							((bool_t) 1);
						}
				}
			}
			return ((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2143));
		}

	}



/* &node-remove!-fail1257 */
	obj_t BGl_z62nodezd2removez12zd2fail1257z70zzast_removez00(obj_t
		BgL_envz00_2144, obj_t BgL_nodez00_2145)
	{
		{	/* Ast/remove.scm 216 */
			{	/* Ast/remove.scm 217 */
				obj_t BgL_arg1529z00_2250;

				BgL_arg1529z00_2250 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2145)))->BgL_procz00));
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2145)))->BgL_procz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1529z00_2250)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 218 */
				obj_t BgL_arg1535z00_2251;

				BgL_arg1535z00_2251 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2145)))->BgL_msgz00));
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2145)))->BgL_msgz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1535z00_2251)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 219 */
				obj_t BgL_arg1559z00_2252;

				BgL_arg1559z00_2252 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2145)))->BgL_objz00));
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2145)))->BgL_objz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1559z00_2252)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2145));
		}

	}



/* &node-remove!-conditi1255 */
	obj_t BGl_z62nodezd2removez12zd2conditi1255z70zzast_removez00(obj_t
		BgL_envz00_2146, obj_t BgL_nodez00_2147)
	{
		{	/* Ast/remove.scm 207 */
			{	/* Ast/remove.scm 208 */
				obj_t BgL_arg1511z00_2254;

				BgL_arg1511z00_2254 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2147)))->BgL_testz00));
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2147)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1511z00_2254)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 209 */
				obj_t BgL_arg1522z00_2255;

				BgL_arg1522z00_2255 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2147)))->BgL_truez00));
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2147)))->BgL_truez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1522z00_2255)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 210 */
				obj_t BgL_arg1524z00_2256;

				BgL_arg1524z00_2256 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2147)))->BgL_falsez00));
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2147)))->BgL_falsez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1524z00_2256)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_2147));
		}

	}



/* &node-remove!-setq1253 */
	obj_t BGl_z62nodezd2removez12zd2setq1253z70zzast_removez00(obj_t
		BgL_envz00_2148, obj_t BgL_nodez00_2149)
	{
		{	/* Ast/remove.scm 200 */
			{	/* Ast/remove.scm 201 */
				obj_t BgL_arg1506z00_2258;

				BgL_arg1506z00_2258 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2149)))->BgL_valuez00));
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2149)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1506z00_2258)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2149));
		}

	}



/* &node-remove!-cast1251 */
	obj_t BGl_z62nodezd2removez12zd2cast1251z70zzast_removez00(obj_t
		BgL_envz00_2150, obj_t BgL_nodez00_2151)
	{
		{	/* Ast/remove.scm 193 */
			{	/* Ast/remove.scm 194 */
				obj_t BgL_arg1484z00_2260;

				BgL_arg1484z00_2260 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2151)))->BgL_argz00));
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2151)))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1484z00_2260)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2151));
		}

	}



/* &node-remove!-extern1249 */
	obj_t BGl_z62nodezd2removez12zd2extern1249z70zzast_removez00(obj_t
		BgL_envz00_2152, obj_t BgL_nodez00_2153)
	{
		{	/* Ast/remove.scm 186 */
			BGl_nodezd2removeza2z12z62zzast_removez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2153)))->BgL_exprza2za2));
			return ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2153));
		}

	}



/* &node-remove!-funcall1247 */
	obj_t BGl_z62nodezd2removez12zd2funcall1247z70zzast_removez00(obj_t
		BgL_envz00_2154, obj_t BgL_nodez00_2155)
	{
		{	/* Ast/remove.scm 178 */
			{	/* Ast/remove.scm 179 */
				obj_t BgL_arg1458z00_2263;

				BgL_arg1458z00_2263 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2155)))->BgL_funz00));
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2155)))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1458z00_2263)),
					BUNSPEC);
			}
			BGl_nodezd2removeza2z12z62zzast_removez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2155)))->BgL_argsz00));
			return ((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2155));
		}

	}



/* &node-remove!-app-ly1245 */
	obj_t BGl_z62nodezd2removez12zd2appzd2ly1245za2zzast_removez00(obj_t
		BgL_envz00_2156, obj_t BgL_nodez00_2157)
	{
		{	/* Ast/remove.scm 170 */
			{	/* Ast/remove.scm 171 */
				obj_t BgL_arg1421z00_2265;

				BgL_arg1421z00_2265 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2157)))->BgL_funz00));
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2157)))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1421z00_2265)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 172 */
				obj_t BgL_arg1426z00_2266;

				BgL_arg1426z00_2266 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2157)))->BgL_argz00));
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2157)))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1426z00_2266)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2157));
		}

	}



/* &node-remove!-app1243 */
	obj_t BGl_z62nodezd2removez12zd2app1243z70zzast_removez00(obj_t
		BgL_envz00_2158, obj_t BgL_nodez00_2159)
	{
		{	/* Ast/remove.scm 162 */
			{	/* Ast/remove.scm 163 */
				obj_t BgL_arg1393z00_2268;

				{	/* Ast/remove.scm 163 */
					BgL_varz00_bglt BgL_arg1394z00_2269;

					BgL_arg1394z00_2269 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2159)))->BgL_funz00);
					BgL_arg1393z00_2268 =
						BGl_nodezd2removez12zc0zzast_removez00(
						((BgL_nodez00_bglt) BgL_arg1394z00_2269));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2159)))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1393z00_2268)), BUNSPEC);
			}
			BGl_nodezd2removeza2z12z62zzast_removez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2159)))->BgL_argsz00));
			return ((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2159));
		}

	}



/* &node-remove!-sync1241 */
	obj_t BGl_z62nodezd2removez12zd2sync1241z70zzast_removez00(obj_t
		BgL_envz00_2160, obj_t BgL_nodez00_2161)
	{
		{	/* Ast/remove.scm 153 */
			{	/* Ast/remove.scm 154 */
				obj_t BgL_arg1387z00_2271;

				BgL_arg1387z00_2271 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2161)))->BgL_mutexz00));
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2161)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1387z00_2271)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 155 */
				obj_t BgL_arg1389z00_2272;

				BgL_arg1389z00_2272 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2161)))->BgL_prelockz00));
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2161)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1389z00_2272)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 156 */
				obj_t BgL_arg1391z00_2273;

				BgL_arg1391z00_2273 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2161)))->BgL_bodyz00));
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2161)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1391z00_2273)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2161));
		}

	}



/* &node-remove!-sequenc1239 */
	obj_t BGl_z62nodezd2removez12zd2sequenc1239z70zzast_removez00(obj_t
		BgL_envz00_2162, obj_t BgL_nodez00_2163)
	{
		{	/* Ast/remove.scm 146 */
			BGl_nodezd2removeza2z12z62zzast_removez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2163)))->BgL_nodesz00));
			return ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2163));
		}

	}



/* &node-remove!-kwote1237 */
	obj_t BGl_z62nodezd2removez12zd2kwote1237z70zzast_removez00(obj_t
		BgL_envz00_2164, obj_t BgL_nodez00_2165)
	{
		{	/* Ast/remove.scm 140 */
			return ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_2165));
		}

	}



/* &node-remove!-var1235 */
	obj_t BGl_z62nodezd2removez12zd2var1235z70zzast_removez00(obj_t
		BgL_envz00_2166, obj_t BgL_nodez00_2167)
	{
		{	/* Ast/remove.scm 134 */
			return ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2167));
		}

	}



/* &node-remove!-atom1233 */
	obj_t BGl_z62nodezd2removez12zd2atom1233z70zzast_removez00(obj_t
		BgL_envz00_2168, obj_t BgL_nodez00_2169)
	{
		{	/* Ast/remove.scm 128 */
			return ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_2169));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1911z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1911z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1911z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1911z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1911z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1911z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1911z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1911z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 282085879),
				BSTRING_TO_STRING(BGl_string1911z00zzast_removez00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1911z00zzast_removez00));
		}

	}

#ifdef __cplusplus
}
#endif
