/*===========================================================================*/
/*   (Ast/substitute.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/substitute.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_substitutez00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_substitutez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque1266z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd21296za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_substitutez00(void);
	static obj_t BGl_objectzd2initzd2zzast_substitutez00(void);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var1262z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2switc1286z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_substitutez00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom1260z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app1270z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62dozd2substitutez121257za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l1272za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e1292za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t, obj_t,
		obj_t, BgL_varz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter1276z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca1274z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote1264z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t, obj_t, BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi1282z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_substitutez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_substitutez00(void);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s1300za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast1278z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern BgL_nodez00_bglt BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r1298za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f1288za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq1280z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2sync1268z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v1290za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail1284z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd21294za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_substitutez12zd2envzc0zzast_substitutez00,
		BgL_bgl_za762substituteza7121900z00,
		BGl_z62substitutez12z70zzast_substitutez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1869z00zzast_substitutez00,
		BgL_bgl_string1869za700za7za7a1901za7, "do-substitute!1257", 18);
	      DEFINE_STRING(BGl_string1870z00zzast_substitutez00,
		BgL_bgl_string1870za700za7za7a1902za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1872z00zzast_substitutez00,
		BgL_bgl_string1872za700za7za7a1903za7, "do-substitute!", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1904z00,
		BGl_z62dozd2substitutez121257za2zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1905z00,
		BGl_z62dozd2substitutez12zd2atom1260z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1906z00,
		BGl_z62dozd2substitutez12zd2var1262z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1907z00,
		BGl_z62dozd2substitutez12zd2kwote1264z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1908z00,
		BGl_z62dozd2substitutez12zd2seque1266z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1909z00,
		BGl_z62dozd2substitutez12zd2sync1268z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1910z00,
		BGl_z62dozd2substitutez12zd2app1270z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1911z00,
		BGl_z62dozd2substitutez12zd2appzd2l1272za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1912z00,
		BGl_z62dozd2substitutez12zd2funca1274z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1913z00,
		BGl_z62dozd2substitutez12zd2exter1276z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1914z00,
		BGl_z62dozd2substitutez12zd2cast1278z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1915z00,
		BGl_z62dozd2substitutez12zd2setq1280z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1916z00,
		BGl_z62dozd2substitutez12zd2condi1282z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1917z00,
		BGl_z62dozd2substitutez12zd2fail1284z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1918z00,
		BGl_z62dozd2substitutez12zd2switc1286z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1919z00,
		BGl_z62dozd2substitutez12zd2letzd2f1288za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1893z00zzast_substitutez00,
		BgL_bgl_string1893za700za7za7a1920za7, "Illegal application", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1921z00,
		BGl_z62dozd2substitutez12zd2letzd2v1290za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1894z00zzast_substitutez00,
		BgL_bgl_string1894za700za7za7a1922za7, "wrong number of argument(s)", 27);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1923z00,
		BGl_z62dozd2substitutez12zd2setzd2e1292za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1895z00zzast_substitutez00,
		BgL_bgl_string1895za700za7za7a1924za7, "duplicate", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1925z00,
		BGl_z62dozd2substitutez12zd2jumpzd21294za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1896z00zzast_substitutez00,
		BgL_bgl_string1896za700za7za7a1926za7, "Illegal substitution", 20);
	      DEFINE_STRING(BGl_string1897z00zzast_substitutez00,
		BgL_bgl_string1897za700za7za7a1927za7, "ast_substitute", 14);
	      DEFINE_STRING(BGl_string1898z00zzast_substitutez00,
		BgL_bgl_string1898za700za7za7a1928za7,
		"apply funcall set! app do-substitute!1257 value done ", 53);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1929z00,
		BGl_z62dozd2substitutez12zd2makezd21296za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1930z00,
		BGl_z62dozd2substitutez12zd2boxzd2r1298za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1931z00,
		BGl_z62dozd2substitutez12zd2boxzd2s1300za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1932z00,
		BGl_z62dozd2substitutez12za2zzast_substitutez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_substitutez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long
		BgL_checksumz00_2731, char *BgL_fromz00_2732)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_substitutez00))
				{
					BGl_requirezd2initializa7ationz75zzast_substitutez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_substitutez00();
					BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
					BGl_cnstzd2initzd2zzast_substitutez00();
					BGl_importedzd2moduleszd2initz00zzast_substitutez00();
					BGl_genericzd2initzd2zzast_substitutez00();
					BGl_methodzd2initzd2zzast_substitutez00();
					return BGl_toplevelzd2initzd2zzast_substitutez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_substitute");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			{	/* Ast/substitute.scm 14 */
				obj_t BgL_cportz00_2513;

				{	/* Ast/substitute.scm 14 */
					obj_t BgL_stringz00_2520;

					BgL_stringz00_2520 = BGl_string1898z00zzast_substitutez00;
					{	/* Ast/substitute.scm 14 */
						obj_t BgL_startz00_2521;

						BgL_startz00_2521 = BINT(((long) 0));
						{	/* Ast/substitute.scm 14 */
							obj_t BgL_endz00_2522;

							BgL_endz00_2522 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2520)));
							{	/* Ast/substitute.scm 14 */

								BgL_cportz00_2513 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2520, BgL_startz00_2521, BgL_endz00_2522);
				}}}}
				{
					long BgL_iz00_2514;

					BgL_iz00_2514 = ((long) 6);
				BgL_loopz00_2515:
					if ((BgL_iz00_2514 == ((long) -1)))
						{	/* Ast/substitute.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/substitute.scm 14 */
							{	/* Ast/substitute.scm 14 */
								obj_t BgL_arg1899z00_2516;

								{	/* Ast/substitute.scm 14 */

									{	/* Ast/substitute.scm 14 */
										obj_t BgL_locationz00_2518;

										BgL_locationz00_2518 = BBOOL(((bool_t) 0));
										{	/* Ast/substitute.scm 14 */

											BgL_arg1899z00_2516 =
												BGl_readz00zz__readerz00(BgL_cportz00_2513,
												BgL_locationz00_2518);
										}
									}
								}
								{	/* Ast/substitute.scm 14 */
									int BgL_tmpz00_2762;

									BgL_tmpz00_2762 = (int) (BgL_iz00_2514);
									CNST_TABLE_SET(BgL_tmpz00_2762, BgL_arg1899z00_2516);
							}}
							{	/* Ast/substitute.scm 14 */
								int BgL_auxz00_2519;

								BgL_auxz00_2519 = (int) ((BgL_iz00_2514 - ((long) 1)));
								{
									long BgL_iz00_2767;

									BgL_iz00_2767 = (long) (BgL_auxz00_2519);
									BgL_iz00_2514 = BgL_iz00_2767;
									goto BgL_loopz00_2515;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}

	}



/* substitute! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t BgL_whatza2za2_3,
		obj_t BgL_byza2za2_4, BgL_nodez00_bglt BgL_nodez00_5, obj_t BgL_sitez00_6)
	{
		{	/* Ast/substitute.scm 34 */
			{
				obj_t BgL_ll1238z00_1403;
				obj_t BgL_ll1239z00_1404;

				BgL_ll1238z00_1403 = BgL_whatza2za2_3;
				BgL_ll1239z00_1404 = BgL_byza2za2_4;
			BgL_zc3z04anonymousza31304ze3z87_1405:
				if (NULLP(BgL_ll1238z00_1403))
					{	/* Ast/substitute.scm 37 */
						((bool_t) 1);
					}
				else
					{	/* Ast/substitute.scm 37 */
						{	/* Ast/substitute.scm 39 */
							obj_t BgL_whatz00_1407;
							obj_t BgL_byz00_1408;

							BgL_whatz00_1407 = CAR(((obj_t) BgL_ll1238z00_1403));
							BgL_byz00_1408 = CAR(((obj_t) BgL_ll1239z00_1404));
							((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_whatz00_1407)))->
									BgL_fastzd2alphazd2) = ((obj_t) BgL_byz00_1408), BUNSPEC);
						}
						{	/* Ast/substitute.scm 37 */
							obj_t BgL_arg1306z00_1409;
							obj_t BgL_arg1307z00_1410;

							BgL_arg1306z00_1409 = CDR(((obj_t) BgL_ll1238z00_1403));
							BgL_arg1307z00_1410 = CDR(((obj_t) BgL_ll1239z00_1404));
							{
								obj_t BgL_ll1239z00_2783;
								obj_t BgL_ll1238z00_2782;

								BgL_ll1238z00_2782 = BgL_arg1306z00_1409;
								BgL_ll1239z00_2783 = BgL_arg1307z00_1410;
								BgL_ll1239z00_1404 = BgL_ll1239z00_2783;
								BgL_ll1238z00_1403 = BgL_ll1238z00_2782;
								goto BgL_zc3z04anonymousza31304ze3z87_1405;
							}
						}
					}
			}
			{	/* Ast/substitute.scm 42 */
				BgL_nodez00_bglt BgL_resz00_1412;

				BgL_resz00_1412 =
					BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_5,
					BgL_sitez00_6);
				{
					obj_t BgL_l1241z00_1414;

					BgL_l1241z00_1414 = BgL_whatza2za2_3;
				BgL_zc3z04anonymousza31308ze3z87_1415:
					if (PAIRP(BgL_l1241z00_1414))
						{	/* Ast/substitute.scm 44 */
							{	/* Ast/substitute.scm 45 */
								obj_t BgL_whatz00_1417;

								BgL_whatz00_1417 = CAR(BgL_l1241z00_1414);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_whatz00_1417)))->
										BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							{
								obj_t BgL_l1241z00_2790;

								BgL_l1241z00_2790 = CDR(BgL_l1241z00_1414);
								BgL_l1241z00_1414 = BgL_l1241z00_2790;
								goto BgL_zc3z04anonymousza31308ze3z87_1415;
							}
						}
					else
						{	/* Ast/substitute.scm 44 */
							((bool_t) 1);
						}
				}
				return BgL_resz00_1412;
			}
		}

	}



/* &substitute! */
	BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t
		BgL_envz00_2417, obj_t BgL_whatza2za2_2418, obj_t BgL_byza2za2_2419,
		obj_t BgL_nodez00_2420, obj_t BgL_sitez00_2421)
	{
		{	/* Ast/substitute.scm 34 */
			return
				BGl_substitutez12z12zzast_substitutez00(BgL_whatza2za2_2418,
				BgL_byza2za2_2419, ((BgL_nodez00_bglt) BgL_nodez00_2420),
				BgL_sitez00_2421);
		}

	}



/* do-substitute*! */
	obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t BgL_nodeza2za2_51,
		obj_t BgL_sitez00_52)
	{
		{	/* Ast/substitute.scm 275 */
		BGl_dozd2substituteza2z12z62zzast_substitutez00:
			if (NULLP(BgL_nodeza2za2_51))
				{	/* Ast/substitute.scm 277 */
					return CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Ast/substitute.scm 277 */
					if (NULLP(CDR(((obj_t) BgL_nodeza2za2_51))))
						{	/* Ast/substitute.scm 279 */
							{	/* Ast/substitute.scm 280 */
								BgL_nodez00_bglt BgL_arg1315z00_1423;

								{	/* Ast/substitute.scm 280 */
									obj_t BgL_arg1316z00_1424;

									BgL_arg1316z00_1424 = CAR(((obj_t) BgL_nodeza2za2_51));
									BgL_arg1315z00_1423 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg1316z00_1424), BgL_sitez00_52);
								}
								{	/* Ast/substitute.scm 280 */
									obj_t BgL_auxz00_2807;
									obj_t BgL_tmpz00_2805;

									BgL_auxz00_2807 = ((obj_t) BgL_arg1315z00_1423);
									BgL_tmpz00_2805 = ((obj_t) BgL_nodeza2za2_51);
									SET_CAR(BgL_tmpz00_2805, BgL_auxz00_2807);
								}
							}
							return CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Ast/substitute.scm 279 */
							{	/* Ast/substitute.scm 283 */
								BgL_nodez00_bglt BgL_arg1317z00_1425;

								{	/* Ast/substitute.scm 283 */
									obj_t BgL_arg1318z00_1426;

									BgL_arg1318z00_1426 = CAR(((obj_t) BgL_nodeza2za2_51));
									BgL_arg1317z00_1425 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg1318z00_1426),
										CNST_TABLE_REF(((long) 1)));
								}
								{	/* Ast/substitute.scm 283 */
									obj_t BgL_auxz00_2818;
									obj_t BgL_tmpz00_2816;

									BgL_auxz00_2818 = ((obj_t) BgL_arg1317z00_1425);
									BgL_tmpz00_2816 = ((obj_t) BgL_nodeza2za2_51);
									SET_CAR(BgL_tmpz00_2816, BgL_auxz00_2818);
							}}
							{	/* Ast/substitute.scm 284 */
								obj_t BgL_arg1319z00_1427;

								BgL_arg1319z00_1427 = CDR(((obj_t) BgL_nodeza2za2_51));
								{
									obj_t BgL_nodeza2za2_2823;

									BgL_nodeza2za2_2823 = BgL_arg1319z00_1427;
									BgL_nodeza2za2_51 = BgL_nodeza2za2_2823;
									goto BGl_dozd2substituteza2z12z62zzast_substitutez00;
								}
							}
						}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_proc1868z00zzast_substitutez00, BGl_nodez00zzast_nodez00,
				BGl_string1869z00zzast_substitutez00);
		}

	}



/* &do-substitute!1257 */
	obj_t BGl_z62dozd2substitutez121257za2zzast_substitutez00(obj_t
		BgL_envz00_2423, obj_t BgL_nodez00_2424, obj_t BgL_sitez00_2425)
	{
		{	/* Ast/substitute.scm 52 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
				BGl_string1870z00zzast_substitutez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2424)));
		}

	}



/* do-substitute! */
	BgL_nodez00_bglt BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt
		BgL_nodez00_7, obj_t BgL_sitez00_8)
	{
		{	/* Ast/substitute.scm 52 */
			{	/* Ast/substitute.scm 52 */
				obj_t BgL_method1258z00_1434;

				{	/* Ast/substitute.scm 52 */
					obj_t BgL_res1854z00_1906;

					{	/* Ast/substitute.scm 52 */
						long BgL_objzd2classzd2numz00_1877;

						BgL_objzd2classzd2numz00_1877 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_7));
						{	/* Ast/substitute.scm 52 */
							obj_t BgL_arg1825z00_1878;

							BgL_arg1825z00_1878 =
								PROCEDURE_REF
								(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
								(int) (((long) 1)));
							{	/* Ast/substitute.scm 52 */
								int BgL_offsetz00_1881;

								BgL_offsetz00_1881 = (int) (BgL_objzd2classzd2numz00_1877);
								{	/* Ast/substitute.scm 52 */
									long BgL_offsetz00_1882;

									BgL_offsetz00_1882 =
										((long) (BgL_offsetz00_1881) - OBJECT_TYPE);
									{	/* Ast/substitute.scm 52 */
										long BgL_modz00_1883;

										BgL_modz00_1883 =
											(BgL_offsetz00_1882 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/substitute.scm 52 */
											long BgL_restz00_1885;

											BgL_restz00_1885 =
												(BgL_offsetz00_1882 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/substitute.scm 52 */

												{	/* Ast/substitute.scm 52 */
													obj_t BgL_bucketz00_1887;

													BgL_bucketz00_1887 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_1878), BgL_modz00_1883);
													BgL_res1854z00_1906 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1887), BgL_restz00_1885);
					}}}}}}}}
					BgL_method1258z00_1434 = BgL_res1854z00_1906;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1258z00_1434)) (BgL_method1258z00_1434,
						((obj_t) BgL_nodez00_7), BgL_sitez00_8, BEOA));
			}
		}

	}



/* &do-substitute! */
	BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t
		BgL_envz00_2426, obj_t BgL_nodez00_2427, obj_t BgL_sitez00_2428)
	{
		{	/* Ast/substitute.scm 52 */
			return
				BGl_dozd2substitutez12zc0zzast_substitutez00(
				((BgL_nodez00_bglt) BgL_nodez00_2427), BgL_sitez00_2428);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_atomz00zzast_nodez00, BGl_proc1871z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_varz00zzast_nodez00, BGl_proc1873z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_kwotez00zzast_nodez00, BGl_proc1874z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1875z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_syncz00zzast_nodez00, BGl_proc1876z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appz00zzast_nodez00, BGl_proc1877z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1878z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1879z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_externz00zzast_nodez00, BGl_proc1880z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_castz00zzast_nodez00, BGl_proc1881z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setqz00zzast_nodez00, BGl_proc1882z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1883z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_failz00zzast_nodez00, BGl_proc1884z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_switchz00zzast_nodez00, BGl_proc1885z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1886z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1887z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1888z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1889z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1890z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1891z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1892z00zzast_substitutez00,
				BGl_string1872z00zzast_substitutez00);
		}

	}



/* &do-substitute!-box-s1300 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s1300za2zzast_substitutez00(obj_t
		BgL_envz00_2450, obj_t BgL_nodez00_2451, obj_t BgL_sitez00_2452)
	{
		{	/* Ast/substitute.scm 267 */
			{	/* Ast/substitute.scm 268 */
				BgL_nodez00_bglt BgL_arg1698z00_2526;

				{	/* Ast/substitute.scm 268 */
					BgL_varz00_bglt BgL_arg1705z00_2527;

					BgL_arg1705z00_2527 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2451)))->BgL_varz00);
					BgL_arg1698z00_2526 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(
						((BgL_nodez00_bglt) BgL_arg1705z00_2527),
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2451)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1698z00_2526)), BUNSPEC);
			}
			{	/* Ast/substitute.scm 269 */
				BgL_nodez00_bglt BgL_arg1711z00_2528;

				{	/* Ast/substitute.scm 269 */
					BgL_nodez00_bglt BgL_arg1712z00_2529;

					BgL_arg1712z00_2529 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2451)))->BgL_valuez00);
					BgL_arg1711z00_2528 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1712z00_2529,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2451)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_arg1711z00_2528), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2451));
		}

	}



/* &do-substitute!-box-r1298 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r1298za2zzast_substitutez00(obj_t
		BgL_envz00_2453, obj_t BgL_nodez00_2454, obj_t BgL_sitez00_2455)
	{
		{	/* Ast/substitute.scm 260 */
			{	/* Ast/substitute.scm 261 */
				BgL_nodez00_bglt BgL_arg1696z00_2531;

				{	/* Ast/substitute.scm 261 */
					BgL_varz00_bglt BgL_arg1697z00_2532;

					BgL_arg1697z00_2532 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2454)))->BgL_varz00);
					BgL_arg1696z00_2531 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(
						((BgL_nodez00_bglt) BgL_arg1697z00_2532),
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2454)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1696z00_2531)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2454));
		}

	}



/* &do-substitute!-make-1296 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd21296za2zzast_substitutez00(obj_t
		BgL_envz00_2456, obj_t BgL_nodez00_2457, obj_t BgL_sitez00_2458)
	{
		{	/* Ast/substitute.scm 253 */
			{	/* Ast/substitute.scm 254 */
				BgL_nodez00_bglt BgL_arg1687z00_2534;

				{	/* Ast/substitute.scm 254 */
					BgL_nodez00_bglt BgL_arg1692z00_2535;

					BgL_arg1692z00_2535 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2457)))->BgL_valuez00);
					BgL_arg1687z00_2534 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1692z00_2535,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2457)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_arg1687z00_2534), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2457));
		}

	}



/* &do-substitute!-jump-1294 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd21294za2zzast_substitutez00(obj_t
		BgL_envz00_2459, obj_t BgL_nodez00_2460, obj_t BgL_sitez00_2461)
	{
		{	/* Ast/substitute.scm 245 */
			{	/* Ast/substitute.scm 246 */
				BgL_nodez00_bglt BgL_arg1677z00_2537;

				{	/* Ast/substitute.scm 246 */
					BgL_nodez00_bglt BgL_arg1680z00_2538;

					BgL_arg1680z00_2538 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2460)))->BgL_exitz00);
					BgL_arg1677z00_2537 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1680z00_2538,
						CNST_TABLE_REF(((long) 3)));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2460)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_arg1677z00_2537), BUNSPEC);
			}
			{	/* Ast/substitute.scm 247 */
				BgL_nodez00_bglt BgL_arg1682z00_2539;

				{	/* Ast/substitute.scm 247 */
					BgL_nodez00_bglt BgL_arg1683z00_2540;

					BgL_arg1683z00_2540 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2460)))->
						BgL_valuez00);
					BgL_arg1682z00_2539 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1683z00_2540,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2460)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_arg1682z00_2539), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2460));
		}

	}



/* &do-substitute!-set-e1292 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e1292za2zzast_substitutez00(obj_t
		BgL_envz00_2462, obj_t BgL_nodez00_2463, obj_t BgL_sitez00_2464)
	{
		{	/* Ast/substitute.scm 237 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2463)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00(((
								(BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
										BgL_nodez00_2463)))->BgL_bodyz00), BgL_sitez00_2464)),
				BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_2463)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00(((
								(BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
										BgL_nodez00_2463)))->BgL_onexitz00), BgL_sitez00_2464)),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_2463));
		}

	}



/* &do-substitute!-let-v1290 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v1290za2zzast_substitutez00(obj_t
		BgL_envz00_2465, obj_t BgL_nodez00_2466, obj_t BgL_sitez00_2467)
	{
		{	/* Ast/substitute.scm 227 */
			{	/* Ast/substitute.scm 228 */
				obj_t BgL_g1256z00_2543;

				BgL_g1256z00_2543 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2466)))->BgL_bindingsz00);
				{
					obj_t BgL_l1254z00_2545;

					BgL_l1254z00_2545 = BgL_g1256z00_2543;
				BgL_zc3z04anonymousza31646ze3z87_2544:
					if (PAIRP(BgL_l1254z00_2545))
						{	/* Ast/substitute.scm 230 */
							{	/* Ast/substitute.scm 229 */
								obj_t BgL_bindingz00_2546;

								BgL_bindingz00_2546 = CAR(BgL_l1254z00_2545);
								{	/* Ast/substitute.scm 229 */
									BgL_nodez00_bglt BgL_arg1651z00_2547;

									{	/* Ast/substitute.scm 229 */
										obj_t BgL_arg1652z00_2548;

										BgL_arg1652z00_2548 = CDR(((obj_t) BgL_bindingz00_2546));
										BgL_arg1651z00_2547 =
											BGl_dozd2substitutez12zc0zzast_substitutez00(
											((BgL_nodez00_bglt) BgL_arg1652z00_2548),
											CNST_TABLE_REF(((long) 1)));
									}
									{	/* Ast/substitute.scm 229 */
										obj_t BgL_auxz00_2956;
										obj_t BgL_tmpz00_2954;

										BgL_auxz00_2956 = ((obj_t) BgL_arg1651z00_2547);
										BgL_tmpz00_2954 = ((obj_t) BgL_bindingz00_2546);
										SET_CDR(BgL_tmpz00_2954, BgL_auxz00_2956);
							}}}
							{
								obj_t BgL_l1254z00_2959;

								BgL_l1254z00_2959 = CDR(BgL_l1254z00_2545);
								BgL_l1254z00_2545 = BgL_l1254z00_2959;
								goto BgL_zc3z04anonymousza31646ze3z87_2544;
							}
						}
					else
						{	/* Ast/substitute.scm 230 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2466)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_letzd2varzd2_bglt)
								COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_2466)))->
							BgL_bodyz00), BgL_sitez00_2467)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2466));
		}

	}



/* &do-substitute!-let-f1288 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f1288za2zzast_substitutez00(obj_t
		BgL_envz00_2468, obj_t BgL_nodez00_2469, obj_t BgL_sitez00_2470)
	{
		{	/* Ast/substitute.scm 215 */
			{	/* Ast/substitute.scm 216 */
				obj_t BgL_g1253z00_2550;

				BgL_g1253z00_2550 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2469)))->BgL_localsz00);
				{
					obj_t BgL_l1251z00_2552;

					BgL_l1251z00_2552 = BgL_g1253z00_2550;
				BgL_zc3z04anonymousza31631ze3z87_2551:
					if (PAIRP(BgL_l1251z00_2552))
						{	/* Ast/substitute.scm 220 */
							{	/* Ast/substitute.scm 217 */
								obj_t BgL_localz00_2553;

								BgL_localz00_2553 = CAR(BgL_l1251z00_2552);
								{	/* Ast/substitute.scm 217 */
									BgL_valuez00_bglt BgL_funz00_2554;

									BgL_funz00_2554 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2553))))->
										BgL_valuez00);
									{	/* Ast/substitute.scm 218 */
										BgL_nodez00_bglt BgL_arg1635z00_2555;

										{	/* Ast/substitute.scm 218 */
											obj_t BgL_arg1636z00_2556;

											BgL_arg1636z00_2556 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2554)))->
												BgL_bodyz00);
											BgL_arg1635z00_2555 =
												BGl_dozd2substitutez12zc0zzast_substitutez00((
													(BgL_nodez00_bglt) BgL_arg1636z00_2556),
												CNST_TABLE_REF(((long) 1)));
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2554)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1635z00_2555)), BUNSPEC);
							}}}
							{
								obj_t BgL_l1251z00_2984;

								BgL_l1251z00_2984 = CDR(BgL_l1251z00_2552);
								BgL_l1251z00_2552 = BgL_l1251z00_2984;
								goto BgL_zc3z04anonymousza31631ze3z87_2551;
							}
						}
					else
						{	/* Ast/substitute.scm 220 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2469)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_letzd2funzd2_bglt)
								COBJECT(((BgL_letzd2funzd2_bglt) BgL_nodez00_2469)))->
							BgL_bodyz00), BgL_sitez00_2470)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2469));
		}

	}



/* &do-substitute!-switc1286 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2switc1286z70zzast_substitutez00(obj_t
		BgL_envz00_2471, obj_t BgL_nodez00_2472, obj_t BgL_sitez00_2473)
	{
		{	/* Ast/substitute.scm 205 */
			{	/* Ast/substitute.scm 206 */
				BgL_nodez00_bglt BgL_arg1614z00_2558;

				{	/* Ast/substitute.scm 206 */
					BgL_nodez00_bglt BgL_arg1615z00_2559;

					BgL_arg1615z00_2559 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2472)))->BgL_testz00);
					BgL_arg1614z00_2558 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1615z00_2559,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2472)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_arg1614z00_2558), BUNSPEC);
			}
			{	/* Ast/substitute.scm 207 */
				obj_t BgL_g1250z00_2560;

				BgL_g1250z00_2560 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2472)))->BgL_clausesz00);
				{
					obj_t BgL_l1248z00_2562;

					BgL_l1248z00_2562 = BgL_g1250z00_2560;
				BgL_zc3z04anonymousza31616ze3z87_2561:
					if (PAIRP(BgL_l1248z00_2562))
						{	/* Ast/substitute.scm 209 */
							{	/* Ast/substitute.scm 208 */
								obj_t BgL_clausez00_2563;

								BgL_clausez00_2563 = CAR(BgL_l1248z00_2562);
								{	/* Ast/substitute.scm 208 */
									BgL_nodez00_bglt BgL_arg1625z00_2564;

									{	/* Ast/substitute.scm 208 */
										obj_t BgL_arg1629z00_2565;

										BgL_arg1629z00_2565 = CDR(((obj_t) BgL_clausez00_2563));
										BgL_arg1625z00_2564 =
											BGl_dozd2substitutez12zc0zzast_substitutez00(
											((BgL_nodez00_bglt) BgL_arg1629z00_2565),
											BgL_sitez00_2473);
									}
									{	/* Ast/substitute.scm 208 */
										obj_t BgL_auxz00_3010;
										obj_t BgL_tmpz00_3008;

										BgL_auxz00_3010 = ((obj_t) BgL_arg1625z00_2564);
										BgL_tmpz00_3008 = ((obj_t) BgL_clausez00_2563);
										SET_CDR(BgL_tmpz00_3008, BgL_auxz00_3010);
									}
								}
							}
							{
								obj_t BgL_l1248z00_3013;

								BgL_l1248z00_3013 = CDR(BgL_l1248z00_2562);
								BgL_l1248z00_2562 = BgL_l1248z00_3013;
								goto BgL_zc3z04anonymousza31616ze3z87_2561;
							}
						}
					else
						{	/* Ast/substitute.scm 209 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2472));
		}

	}



/* &do-substitute!-fail1284 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail1284z70zzast_substitutez00(obj_t
		BgL_envz00_2474, obj_t BgL_nodez00_2475, obj_t BgL_sitez00_2476)
	{
		{	/* Ast/substitute.scm 195 */
			{
				BgL_nodez00_bglt BgL_auxz00_3017;

				{	/* Ast/substitute.scm 197 */
					BgL_nodez00_bglt BgL_arg1599z00_2567;

					BgL_arg1599z00_2567 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2475)))->BgL_procz00);
					BgL_auxz00_3017 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1599z00_2567,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2475)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3017), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3024;

				{	/* Ast/substitute.scm 198 */
					BgL_nodez00_bglt BgL_arg1600z00_2568;

					BgL_arg1600z00_2568 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2475)))->BgL_msgz00);
					BgL_auxz00_3024 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1600z00_2568,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2475)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3024), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3031;

				{	/* Ast/substitute.scm 199 */
					BgL_nodez00_bglt BgL_arg1610z00_2569;

					BgL_arg1610z00_2569 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2475)))->BgL_objz00);
					BgL_auxz00_3031 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1610z00_2569,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2475)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3031), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2475));
		}

	}



/* &do-substitute!-condi1282 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi1282z70zzast_substitutez00(obj_t
		BgL_envz00_2477, obj_t BgL_nodez00_2478, obj_t BgL_sitez00_2479)
	{
		{	/* Ast/substitute.scm 185 */
			{
				BgL_nodez00_bglt BgL_auxz00_3040;

				{	/* Ast/substitute.scm 187 */
					BgL_nodez00_bglt BgL_arg1588z00_2571;

					BgL_arg1588z00_2571 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2478)))->BgL_testz00);
					BgL_auxz00_3040 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1588z00_2571,
						CNST_TABLE_REF(((long) 1)));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2478)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3040), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3047;

				{	/* Ast/substitute.scm 188 */
					BgL_nodez00_bglt BgL_arg1590z00_2572;

					BgL_arg1590z00_2572 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2478)))->BgL_truez00);
					BgL_auxz00_3047 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1590z00_2572,
						BgL_sitez00_2479);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2478)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3047), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3053;

				{	/* Ast/substitute.scm 189 */
					BgL_nodez00_bglt BgL_arg1598z00_2573;

					BgL_arg1598z00_2573 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2478)))->BgL_falsez00);
					BgL_auxz00_3053 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1598z00_2573,
						BgL_sitez00_2479);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2478)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3053), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2478));
		}

	}



/* &do-substitute!-setq1280 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq1280z70zzast_substitutez00(obj_t
		BgL_envz00_2480, obj_t BgL_nodez00_2481, obj_t BgL_sitez00_2482)
	{
		{	/* Ast/substitute.scm 176 */
			{
				BgL_varz00_bglt BgL_auxz00_3061;

				{	/* Ast/substitute.scm 178 */
					BgL_varz00_bglt BgL_arg1581z00_2575;

					BgL_arg1581z00_2575 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2481)))->BgL_varz00);
					BgL_auxz00_3061 =
						((BgL_varz00_bglt)
						BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg1581z00_2575),
							CNST_TABLE_REF(((long) 4))));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2481)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3061), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3070;

				{	/* Ast/substitute.scm 179 */
					BgL_nodez00_bglt BgL_arg1582z00_2576;

					BgL_arg1582z00_2576 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2481)))->BgL_valuez00);
					BgL_auxz00_3070 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1582z00_2576,
						BgL_sitez00_2482);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2481)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3070), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2481));
		}

	}



/* &do-substitute!-cast1278 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast1278z70zzast_substitutez00(obj_t
		BgL_envz00_2483, obj_t BgL_nodez00_2484, obj_t BgL_sitez00_2485)
	{
		{	/* Ast/substitute.scm 169 */
			((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2484)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_castz00_bglt)
								COBJECT(((BgL_castz00_bglt) BgL_nodez00_2484)))->BgL_argz00),
						BgL_sitez00_2485)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2484));
		}

	}



/* &do-substitute!-exter1276 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter1276z70zzast_substitutez00(obj_t
		BgL_envz00_2486, obj_t BgL_nodez00_2487, obj_t BgL_sitez00_2488)
	{
		{	/* Ast/substitute.scm 162 */
			BGl_dozd2substituteza2z12z62zzast_substitutez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2487)))->BgL_exprza2za2),
				BgL_sitez00_2488);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2487));
		}

	}



/* &do-substitute!-funca1274 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca1274z70zzast_substitutez00(obj_t
		BgL_envz00_2489, obj_t BgL_nodez00_2490, obj_t BgL_sitez00_2491)
	{
		{	/* Ast/substitute.scm 140 */
			{	/* Ast/substitute.scm 142 */
				BgL_nodez00_bglt BgL_nfunz00_2580;
				obj_t BgL_nargsz00_2581;

				{	/* Ast/substitute.scm 142 */
					BgL_nodez00_bglt BgL_arg1558z00_2582;

					BgL_arg1558z00_2582 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2490)))->BgL_funz00);
					BgL_nfunz00_2580 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1558z00_2582,
						CNST_TABLE_REF(((long) 1)));
				}
				{	/* Ast/substitute.scm 143 */
					obj_t BgL_l1243z00_2583;

					BgL_l1243z00_2583 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2490)))->BgL_argsz00);
					if (NULLP(BgL_l1243z00_2583))
						{	/* Ast/substitute.scm 143 */
							BgL_nargsz00_2581 = BNIL;
						}
					else
						{	/* Ast/substitute.scm 143 */
							obj_t BgL_head1245z00_2584;

							BgL_head1245z00_2584 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1243z00_2586;
								obj_t BgL_tail1246z00_2587;

								BgL_l1243z00_2586 = BgL_l1243z00_2583;
								BgL_tail1246z00_2587 = BgL_head1245z00_2584;
							BgL_zc3z04anonymousza31560ze3z87_2585:
								if (NULLP(BgL_l1243z00_2586))
									{	/* Ast/substitute.scm 143 */
										BgL_nargsz00_2581 = CDR(BgL_head1245z00_2584);
									}
								else
									{	/* Ast/substitute.scm 143 */
										obj_t BgL_newtail1247z00_2588;

										{	/* Ast/substitute.scm 143 */
											BgL_nodez00_bglt BgL_arg1567z00_2589;

											{	/* Ast/substitute.scm 143 */
												obj_t BgL_az00_2590;

												BgL_az00_2590 = CAR(((obj_t) BgL_l1243z00_2586));
												BgL_arg1567z00_2589 =
													BGl_dozd2substitutez12zc0zzast_substitutez00(
													((BgL_nodez00_bglt) BgL_az00_2590),
													CNST_TABLE_REF(((long) 1)));
											}
											BgL_newtail1247z00_2588 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1567z00_2589), BNIL);
										}
										SET_CDR(BgL_tail1246z00_2587, BgL_newtail1247z00_2588);
										{	/* Ast/substitute.scm 143 */
											obj_t BgL_arg1565z00_2591;

											BgL_arg1565z00_2591 = CDR(((obj_t) BgL_l1243z00_2586));
											{
												obj_t BgL_tail1246z00_3113;
												obj_t BgL_l1243z00_3112;

												BgL_l1243z00_3112 = BgL_arg1565z00_2591;
												BgL_tail1246z00_3113 = BgL_newtail1247z00_2588;
												BgL_tail1246z00_2587 = BgL_tail1246z00_3113;
												BgL_l1243z00_2586 = BgL_l1243z00_3112;
												goto BgL_zc3z04anonymousza31560ze3z87_2585;
											}
										}
									}
							}
						}
				}
				{	/* Ast/substitute.scm 144 */
					bool_t BgL_test1944z00_3114;

					{	/* Ast/substitute.scm 144 */
						bool_t BgL_test1945z00_3115;

						{	/* Ast/substitute.scm 144 */
							obj_t BgL_classz00_2592;

							BgL_classz00_2592 = BGl_closurez00zzast_nodez00;
							{	/* Ast/substitute.scm 144 */
								BgL_objectz00_bglt BgL_arg1820z00_2593;

								{	/* Ast/substitute.scm 144 */
									obj_t BgL_tmpz00_3116;

									BgL_tmpz00_3116 =
										((obj_t) ((BgL_objectz00_bglt) BgL_nfunz00_2580));
									BgL_arg1820z00_2593 = (BgL_objectz00_bglt) (BgL_tmpz00_3116);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/substitute.scm 144 */
										long BgL_idxz00_2594;

										BgL_idxz00_2594 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2593);
										BgL_test1945z00_3115 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2594 + ((long) 3))) == BgL_classz00_2592);
									}
								else
									{	/* Ast/substitute.scm 144 */
										bool_t BgL_res1860z00_2597;

										{	/* Ast/substitute.scm 144 */
											obj_t BgL_oclassz00_2598;

											{	/* Ast/substitute.scm 144 */
												long BgL_arg1828z00_2599;

												{	/* Ast/substitute.scm 144 */
													long BgL_arg1829z00_2600;

													BgL_arg1829z00_2600 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2593);
													BgL_arg1828z00_2599 =
														(BgL_arg1829z00_2600 - OBJECT_TYPE);
												}
												BgL_oclassz00_2598 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2599);
											}
											{	/* Ast/substitute.scm 144 */
												bool_t BgL__ortest_1111z00_2601;

												BgL__ortest_1111z00_2601 =
													(BgL_classz00_2592 == BgL_oclassz00_2598);
												if (BgL__ortest_1111z00_2601)
													{	/* Ast/substitute.scm 144 */
														BgL_res1860z00_2597 = BgL__ortest_1111z00_2601;
													}
												else
													{	/* Ast/substitute.scm 144 */
														long BgL_odepthz00_2602;

														BgL_odepthz00_2602 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2598);
														if ((((long) 3) < BgL_odepthz00_2602))
															{	/* Ast/substitute.scm 144 */
																obj_t BgL_arg1816z00_2603;

																BgL_arg1816z00_2603 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2598,
																	((long) 3));
																BgL_res1860z00_2597 =
																	(BgL_arg1816z00_2603 == BgL_classz00_2592);
															}
														else
															{	/* Ast/substitute.scm 144 */
																BgL_res1860z00_2597 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1945z00_3115 = BgL_res1860z00_2597;
									}
							}
						}
						if (BgL_test1945z00_3115)
							{	/* Ast/substitute.scm 144 */
								BgL_test1944z00_3114 = ((bool_t) 1);
							}
						else
							{	/* Ast/substitute.scm 145 */
								bool_t BgL_test1949z00_3136;

								{	/* Ast/substitute.scm 145 */
									obj_t BgL_classz00_2604;

									BgL_classz00_2604 = BGl_varz00zzast_nodez00;
									{	/* Ast/substitute.scm 145 */
										BgL_objectz00_bglt BgL_arg1820z00_2605;

										{	/* Ast/substitute.scm 145 */
											obj_t BgL_tmpz00_3137;

											BgL_tmpz00_3137 =
												((obj_t) ((BgL_objectz00_bglt) BgL_nfunz00_2580));
											BgL_arg1820z00_2605 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3137);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Ast/substitute.scm 145 */
												long BgL_idxz00_2606;

												BgL_idxz00_2606 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2605);
												BgL_test1949z00_3136 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2606 + ((long) 2))) ==
													BgL_classz00_2604);
											}
										else
											{	/* Ast/substitute.scm 145 */
												bool_t BgL_res1861z00_2609;

												{	/* Ast/substitute.scm 145 */
													obj_t BgL_oclassz00_2610;

													{	/* Ast/substitute.scm 145 */
														long BgL_arg1828z00_2611;

														{	/* Ast/substitute.scm 145 */
															long BgL_arg1829z00_2612;

															BgL_arg1829z00_2612 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2605);
															BgL_arg1828z00_2611 =
																(BgL_arg1829z00_2612 - OBJECT_TYPE);
														}
														BgL_oclassz00_2610 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2611);
													}
													{	/* Ast/substitute.scm 145 */
														bool_t BgL__ortest_1111z00_2613;

														BgL__ortest_1111z00_2613 =
															(BgL_classz00_2604 == BgL_oclassz00_2610);
														if (BgL__ortest_1111z00_2613)
															{	/* Ast/substitute.scm 145 */
																BgL_res1861z00_2609 = BgL__ortest_1111z00_2613;
															}
														else
															{	/* Ast/substitute.scm 145 */
																long BgL_odepthz00_2614;

																BgL_odepthz00_2614 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2610);
																if ((((long) 2) < BgL_odepthz00_2614))
																	{	/* Ast/substitute.scm 145 */
																		obj_t BgL_arg1816z00_2615;

																		BgL_arg1816z00_2615 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2610, ((long) 2));
																		BgL_res1861z00_2609 =
																			(BgL_arg1816z00_2615 ==
																			BgL_classz00_2604);
																	}
																else
																	{	/* Ast/substitute.scm 145 */
																		BgL_res1861z00_2609 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1949z00_3136 = BgL_res1861z00_2609;
											}
									}
								}
								if (BgL_test1949z00_3136)
									{	/* Ast/substitute.scm 146 */
										BgL_valuez00_bglt BgL_arg1532z00_2616;

										BgL_arg1532z00_2616 =
											(((BgL_variablez00_bglt) COBJECT(
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nfunz00_2580)))->
														BgL_variablez00)))->BgL_valuez00);
										{	/* Ast/substitute.scm 146 */
											obj_t BgL_classz00_2617;

											BgL_classz00_2617 = BGl_funz00zzast_varz00;
											{	/* Ast/substitute.scm 146 */
												BgL_objectz00_bglt BgL_arg1820z00_2618;

												{	/* Ast/substitute.scm 146 */
													obj_t BgL_tmpz00_3160;

													BgL_tmpz00_3160 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1532z00_2616));
													BgL_arg1820z00_2618 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3160);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Ast/substitute.scm 146 */
														long BgL_idxz00_2619;

														BgL_idxz00_2619 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2618);
														BgL_test1944z00_3114 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2619 + ((long) 2))) ==
															BgL_classz00_2617);
													}
												else
													{	/* Ast/substitute.scm 146 */
														bool_t BgL_res1862z00_2622;

														{	/* Ast/substitute.scm 146 */
															obj_t BgL_oclassz00_2623;

															{	/* Ast/substitute.scm 146 */
																long BgL_arg1828z00_2624;

																{	/* Ast/substitute.scm 146 */
																	long BgL_arg1829z00_2625;

																	BgL_arg1829z00_2625 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2618);
																	BgL_arg1828z00_2624 =
																		(BgL_arg1829z00_2625 - OBJECT_TYPE);
																}
																BgL_oclassz00_2623 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_2624);
															}
															{	/* Ast/substitute.scm 146 */
																bool_t BgL__ortest_1111z00_2626;

																BgL__ortest_1111z00_2626 =
																	(BgL_classz00_2617 == BgL_oclassz00_2623);
																if (BgL__ortest_1111z00_2626)
																	{	/* Ast/substitute.scm 146 */
																		BgL_res1862z00_2622 =
																			BgL__ortest_1111z00_2626;
																	}
																else
																	{	/* Ast/substitute.scm 146 */
																		long BgL_odepthz00_2627;

																		BgL_odepthz00_2627 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2623);
																		if ((((long) 2) < BgL_odepthz00_2627))
																			{	/* Ast/substitute.scm 146 */
																				obj_t BgL_arg1816z00_2628;

																				BgL_arg1816z00_2628 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2623, ((long) 2));
																				BgL_res1862z00_2622 =
																					(BgL_arg1816z00_2628 ==
																					BgL_classz00_2617);
																			}
																		else
																			{	/* Ast/substitute.scm 146 */
																				BgL_res1862z00_2622 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1944z00_3114 = BgL_res1862z00_2622;
													}
											}
										}
									}
								else
									{	/* Ast/substitute.scm 145 */
										BgL_test1944z00_3114 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test1944z00_3114)
						{	/* Ast/substitute.scm 147 */
							bool_t BgL_test1956z00_3180;

							{	/* Ast/substitute.scm 147 */
								BgL_variablez00_bglt BgL_arg1526z00_2629;
								obj_t BgL_arg1529z00_2630;

								BgL_arg1526z00_2629 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nfunz00_2580)))->BgL_variablez00);
								BgL_arg1529z00_2630 = CDR(((obj_t) BgL_nargsz00_2581));
								BgL_test1956z00_3180 =
									BGl_correctzd2arityzd2appzf3zf3zzast_appz00
									(BgL_arg1526z00_2629, BgL_arg1529z00_2630);
							}
							if (BgL_test1956z00_3180)
								{	/* Ast/substitute.scm 149 */
									obj_t BgL_arg1521z00_2631;
									obj_t BgL_arg1522z00_2632;

									BgL_arg1521z00_2631 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_funcallz00_bglt) BgL_nodez00_2490))))->
										BgL_locz00);
									BgL_arg1522z00_2632 = CDR(((obj_t) BgL_nargsz00_2581));
									return
										BGl_makezd2appzd2nodez00zzast_appz00(BNIL,
										BgL_arg1521z00_2631, CNST_TABLE_REF(((long) 5)),
										((BgL_varz00_bglt) BgL_nfunz00_2580), BgL_arg1522z00_2632);
								}
							else
								{	/* Ast/substitute.scm 150 */
									obj_t BgL_arg1523z00_2633;
									obj_t BgL_arg1524z00_2634;

									BgL_arg1523z00_2633 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_funcallz00_bglt) BgL_nodez00_2490))))->
										BgL_locz00);
									BgL_arg1524z00_2634 =
										BGl_shapez00zztools_shapez00(((obj_t) ((BgL_funcallz00_bglt)
												BgL_nodez00_2490)));
									return ((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_arg1523z00_2633, BGl_string1893z00zzast_substitutez00,
											BGl_string1894z00zzast_substitutez00, BgL_arg1524z00_2634,
											BNIL));
								}
						}
					else
						{	/* Ast/substitute.scm 144 */
							((((BgL_funcallz00_bglt) COBJECT(
											((BgL_funcallz00_bglt) BgL_nodez00_2490)))->BgL_funz00) =
								((BgL_nodez00_bglt) BgL_nfunz00_2580), BUNSPEC);
							((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
												BgL_nodez00_2490)))->BgL_argsz00) =
								((obj_t) BgL_nargsz00_2581), BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt)
									BgL_nodez00_2490));
						}
				}
			}
		}

	}



/* &do-substitute!-app-l1272 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l1272za2zzast_substitutez00(obj_t
		BgL_envz00_2492, obj_t BgL_nodez00_2493, obj_t BgL_sitez00_2494)
	{
		{	/* Ast/substitute.scm 121 */
			{	/* Ast/substitute.scm 123 */
				BgL_nodez00_bglt BgL_nfunz00_2636;
				BgL_nodez00_bglt BgL_nargz00_2637;

				{	/* Ast/substitute.scm 123 */
					BgL_nodez00_bglt BgL_arg1482z00_2638;

					BgL_arg1482z00_2638 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2493)))->BgL_funz00);
					BgL_nfunz00_2636 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1482z00_2638,
						CNST_TABLE_REF(((long) 6)));
				}
				{	/* Ast/substitute.scm 124 */
					BgL_nodez00_bglt BgL_arg1484z00_2639;

					BgL_arg1484z00_2639 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2493)))->BgL_argz00);
					BgL_nargz00_2637 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1484z00_2639,
						CNST_TABLE_REF(((long) 1)));
				}
				{	/* Ast/substitute.scm 125 */
					bool_t BgL_test1957z00_3216;

					{	/* Ast/substitute.scm 125 */
						bool_t BgL_test1958z00_3217;

						{	/* Ast/substitute.scm 125 */
							obj_t BgL_classz00_2640;

							BgL_classz00_2640 = BGl_closurez00zzast_nodez00;
							{	/* Ast/substitute.scm 125 */
								BgL_objectz00_bglt BgL_arg1820z00_2641;

								{	/* Ast/substitute.scm 125 */
									obj_t BgL_tmpz00_3218;

									BgL_tmpz00_3218 =
										((obj_t) ((BgL_objectz00_bglt) BgL_nfunz00_2636));
									BgL_arg1820z00_2641 = (BgL_objectz00_bglt) (BgL_tmpz00_3218);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/substitute.scm 125 */
										long BgL_idxz00_2642;

										BgL_idxz00_2642 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2641);
										BgL_test1958z00_3217 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2642 + ((long) 3))) == BgL_classz00_2640);
									}
								else
									{	/* Ast/substitute.scm 125 */
										bool_t BgL_res1859z00_2645;

										{	/* Ast/substitute.scm 125 */
											obj_t BgL_oclassz00_2646;

											{	/* Ast/substitute.scm 125 */
												long BgL_arg1828z00_2647;

												{	/* Ast/substitute.scm 125 */
													long BgL_arg1829z00_2648;

													BgL_arg1829z00_2648 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2641);
													BgL_arg1828z00_2647 =
														(BgL_arg1829z00_2648 - OBJECT_TYPE);
												}
												BgL_oclassz00_2646 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2647);
											}
											{	/* Ast/substitute.scm 125 */
												bool_t BgL__ortest_1111z00_2649;

												BgL__ortest_1111z00_2649 =
													(BgL_classz00_2640 == BgL_oclassz00_2646);
												if (BgL__ortest_1111z00_2649)
													{	/* Ast/substitute.scm 125 */
														BgL_res1859z00_2645 = BgL__ortest_1111z00_2649;
													}
												else
													{	/* Ast/substitute.scm 125 */
														long BgL_odepthz00_2650;

														BgL_odepthz00_2650 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2646);
														if ((((long) 3) < BgL_odepthz00_2650))
															{	/* Ast/substitute.scm 125 */
																obj_t BgL_arg1816z00_2651;

																BgL_arg1816z00_2651 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2646,
																	((long) 3));
																BgL_res1859z00_2645 =
																	(BgL_arg1816z00_2651 == BgL_classz00_2640);
															}
														else
															{	/* Ast/substitute.scm 125 */
																BgL_res1859z00_2645 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1958z00_3217 = BgL_res1859z00_2645;
									}
							}
						}
						if (BgL_test1958z00_3217)
							{	/* Ast/substitute.scm 126 */
								bool_t BgL_test1962z00_3238;

								{	/* Ast/substitute.scm 126 */
									BgL_variablez00_bglt BgL_arg1468z00_2652;

									BgL_arg1468z00_2652 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nfunz00_2636)))->
										BgL_variablez00);
									BgL_test1962z00_3238 =
										BGl_globalzd2optionalzf3z21zzast_varz00(((obj_t)
											BgL_arg1468z00_2652));
								}
								if (BgL_test1962z00_3238)
									{	/* Ast/substitute.scm 126 */
										BgL_test1957z00_3216 = ((bool_t) 0);
									}
								else
									{	/* Ast/substitute.scm 127 */
										bool_t BgL_test1963z00_3243;

										{	/* Ast/substitute.scm 127 */
											BgL_variablez00_bglt BgL_arg1467z00_2653;

											BgL_arg1467z00_2653 =
												(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nfunz00_2636)))->
												BgL_variablez00);
											BgL_test1963z00_3243 =
												BGl_globalzd2keyzf3z21zzast_varz00(((obj_t)
													BgL_arg1467z00_2653));
										}
										if (BgL_test1963z00_3243)
											{	/* Ast/substitute.scm 127 */
												BgL_test1957z00_3216 = ((bool_t) 0);
											}
										else
											{	/* Ast/substitute.scm 127 */
												BgL_test1957z00_3216 = ((bool_t) 1);
											}
									}
							}
						else
							{	/* Ast/substitute.scm 125 */
								BgL_test1957z00_3216 = ((bool_t) 0);
							}
					}
					if (BgL_test1957z00_3216)
						{	/* Ast/substitute.scm 128 */
							obj_t BgL_arg1426z00_2654;
							BgL_refz00_bglt BgL_arg1429z00_2655;

							BgL_arg1426z00_2654 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2493))))->BgL_locz00);
							{	/* Ast/substitute.scm 128 */
								BgL_refz00_bglt BgL_new1112z00_2656;

								{	/* Ast/substitute.scm 128 */
									BgL_refz00_bglt BgL_new1116z00_2657;

									BgL_new1116z00_2657 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Ast/substitute.scm 128 */
										long BgL_arg1458z00_2658;

										BgL_arg1458z00_2658 =
											BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1116z00_2657),
											BgL_arg1458z00_2658);
									}
									{	/* Ast/substitute.scm 128 */
										BgL_objectz00_bglt BgL_tmpz00_3255;

										BgL_tmpz00_3255 =
											((BgL_objectz00_bglt) BgL_new1116z00_2657);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3255, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1116z00_2657);
									BgL_new1112z00_2656 = BgL_new1116z00_2657;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1112z00_2656)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nfunz00_2636))->
											BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1112z00_2656)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(BgL_nfunz00_2636))->BgL_typez00)), BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1112z00_2656)))->BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												COBJECT(((BgL_varz00_bglt) BgL_nfunz00_2636)))->
											BgL_variablez00)), BUNSPEC);
								BgL_arg1429z00_2655 = BgL_new1112z00_2656;
							}
							return
								BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BNIL,
								BgL_arg1426z00_2654, ((BgL_nodez00_bglt) BgL_arg1429z00_2655),
								BgL_nargz00_2637, BgL_sitez00_2494);
						}
					else
						{	/* Ast/substitute.scm 125 */
							((((BgL_appzd2lyzd2_bglt) COBJECT(
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2493)))->BgL_funz00) =
								((BgL_nodez00_bglt) BgL_nfunz00_2636), BUNSPEC);
							((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
												BgL_nodez00_2493)))->BgL_argz00) =
								((BgL_nodez00_bglt) BgL_nargz00_2637), BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt)
									BgL_nodez00_2493));
						}
				}
			}
		}

	}



/* &do-substitute!-app1270 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app1270z70zzast_substitutez00(obj_t
		BgL_envz00_2495, obj_t BgL_nodez00_2496, obj_t BgL_sitez00_2497)
	{
		{	/* Ast/substitute.scm 113 */
			{	/* Ast/substitute.scm 114 */
				BgL_nodez00_bglt BgL_arg1378z00_2660;

				{	/* Ast/substitute.scm 114 */
					BgL_varz00_bglt BgL_arg1381z00_2661;

					BgL_arg1381z00_2661 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2496)))->BgL_funz00);
					BgL_arg1378z00_2660 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(
						((BgL_nodez00_bglt) BgL_arg1381z00_2661),
						CNST_TABLE_REF(((long) 3)));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2496)))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1378z00_2660)), BUNSPEC);
			}
			{	/* Ast/substitute.scm 115 */
				obj_t BgL_arg1384z00_2662;

				BgL_arg1384z00_2662 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2496)))->BgL_argsz00);
				BGl_dozd2substituteza2z12z62zzast_substitutez00(BgL_arg1384z00_2662,
					CNST_TABLE_REF(((long) 1)));
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2496));
		}

	}



/* &do-substitute!-sync1268 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2sync1268z70zzast_substitutez00(obj_t
		BgL_envz00_2498, obj_t BgL_nodez00_2499, obj_t BgL_sitez00_2500)
	{
		{	/* Ast/substitute.scm 104 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2499)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2499)))->BgL_mutexz00),
						BgL_sitez00_2500)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2499)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2499)))->
							BgL_prelockz00), BgL_sitez00_2500)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2499)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2499)))->BgL_bodyz00),
						BgL_sitez00_2500)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2499));
		}

	}



/* &do-substitute!-seque1266 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque1266z70zzast_substitutez00(obj_t
		BgL_envz00_2501, obj_t BgL_nodez00_2502, obj_t BgL_sitez00_2503)
	{
		{	/* Ast/substitute.scm 97 */
			BGl_dozd2substituteza2z12z62zzast_substitutez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2502)))->BgL_nodesz00),
				BgL_sitez00_2503);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2502));
		}

	}



/* &do-substitute!-kwote1264 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote1264z70zzast_substitutez00(obj_t
		BgL_envz00_2504, obj_t BgL_nodez00_2505, obj_t BgL_sitez00_2506)
	{
		{	/* Ast/substitute.scm 91 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2505));
		}

	}



/* &do-substitute!-var1262 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var1262z70zzast_substitutez00(obj_t
		BgL_envz00_2507, obj_t BgL_nodez00_2508, obj_t BgL_sitez00_2509)
	{
		{	/* Ast/substitute.scm 63 */
			{	/* Ast/substitute.scm 64 */
				BgL_variablez00_bglt BgL_varz00_2667;

				BgL_varz00_2667 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2508)))->BgL_variablez00);
				{	/* Ast/substitute.scm 64 */
					obj_t BgL_alphaz00_2668;

					BgL_alphaz00_2668 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2667))->
						BgL_fastzd2alphazd2);
					{	/* Ast/substitute.scm 65 */

						{
							obj_t BgL_alphaz00_2670;

							{
								obj_t BgL_auxz00_3318;

								BgL_alphaz00_2670 = BgL_alphaz00_2668;
							BgL_loopz00_2669:
								if ((BgL_alphaz00_2670 == BUNSPEC))
									{	/* Ast/substitute.scm 68 */
										BgL_auxz00_3318 =
											((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2508));
									}
								else
									{	/* Ast/substitute.scm 70 */
										bool_t BgL_test1965z00_3323;

										{	/* Ast/substitute.scm 70 */
											obj_t BgL_classz00_2671;

											BgL_classz00_2671 = BGl_varz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_alphaz00_2670))
												{	/* Ast/substitute.scm 70 */
													BgL_objectz00_bglt BgL_arg1820z00_2672;

													BgL_arg1820z00_2672 =
														(BgL_objectz00_bglt) (BgL_alphaz00_2670);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Ast/substitute.scm 70 */
															long BgL_idxz00_2673;

															BgL_idxz00_2673 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2672);
															BgL_test1965z00_3323 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2673 + ((long) 2))) ==
																BgL_classz00_2671);
														}
													else
														{	/* Ast/substitute.scm 70 */
															bool_t BgL_res1855z00_2676;

															{	/* Ast/substitute.scm 70 */
																obj_t BgL_oclassz00_2677;

																{	/* Ast/substitute.scm 70 */
																	long BgL_arg1828z00_2678;

																	{	/* Ast/substitute.scm 70 */
																		long BgL_arg1829z00_2679;

																		BgL_arg1829z00_2679 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2672);
																		BgL_arg1828z00_2678 =
																			(BgL_arg1829z00_2679 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2677 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_2678);
																}
																{	/* Ast/substitute.scm 70 */
																	bool_t BgL__ortest_1111z00_2680;

																	BgL__ortest_1111z00_2680 =
																		(BgL_classz00_2671 == BgL_oclassz00_2677);
																	if (BgL__ortest_1111z00_2680)
																		{	/* Ast/substitute.scm 70 */
																			BgL_res1855z00_2676 =
																				BgL__ortest_1111z00_2680;
																		}
																	else
																		{	/* Ast/substitute.scm 70 */
																			long BgL_odepthz00_2681;

																			BgL_odepthz00_2681 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2677);
																			if ((((long) 2) < BgL_odepthz00_2681))
																				{	/* Ast/substitute.scm 70 */
																					obj_t BgL_arg1816z00_2682;

																					BgL_arg1816z00_2682 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2677, ((long) 2));
																					BgL_res1855z00_2676 =
																						(BgL_arg1816z00_2682 ==
																						BgL_classz00_2671);
																				}
																			else
																				{	/* Ast/substitute.scm 70 */
																					BgL_res1855z00_2676 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1965z00_3323 = BgL_res1855z00_2676;
														}
												}
											else
												{	/* Ast/substitute.scm 70 */
													BgL_test1965z00_3323 = ((bool_t) 0);
												}
										}
										if (BgL_test1965z00_3323)
											{	/* Ast/substitute.scm 71 */
												BgL_variablez00_bglt BgL_arg1338z00_2683;

												BgL_arg1338z00_2683 =
													(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_alphaz00_2670)))->
													BgL_variablez00);
												{
													obj_t BgL_alphaz00_3345;

													BgL_alphaz00_3345 = ((obj_t) BgL_arg1338z00_2683);
													BgL_alphaz00_2670 = BgL_alphaz00_3345;
													goto BgL_loopz00_2669;
												}
											}
										else
											{	/* Ast/substitute.scm 72 */
												bool_t BgL_test1970z00_3347;

												{	/* Ast/substitute.scm 72 */
													obj_t BgL_classz00_2684;

													BgL_classz00_2684 = BGl_variablez00zzast_varz00;
													if (BGL_OBJECTP(BgL_alphaz00_2670))
														{	/* Ast/substitute.scm 72 */
															BgL_objectz00_bglt BgL_arg1820z00_2685;

															BgL_arg1820z00_2685 =
																(BgL_objectz00_bglt) (BgL_alphaz00_2670);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Ast/substitute.scm 72 */
																	long BgL_idxz00_2686;

																	BgL_idxz00_2686 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_2685);
																	BgL_test1970z00_3347 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2686 + ((long) 1))) ==
																		BgL_classz00_2684);
																}
															else
																{	/* Ast/substitute.scm 72 */
																	bool_t BgL_res1856z00_2689;

																	{	/* Ast/substitute.scm 72 */
																		obj_t BgL_oclassz00_2690;

																		{	/* Ast/substitute.scm 72 */
																			long BgL_arg1828z00_2691;

																			{	/* Ast/substitute.scm 72 */
																				long BgL_arg1829z00_2692;

																				BgL_arg1829z00_2692 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_2685);
																				BgL_arg1828z00_2691 =
																					(BgL_arg1829z00_2692 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2690 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_2691);
																		}
																		{	/* Ast/substitute.scm 72 */
																			bool_t BgL__ortest_1111z00_2693;

																			BgL__ortest_1111z00_2693 =
																				(BgL_classz00_2684 ==
																				BgL_oclassz00_2690);
																			if (BgL__ortest_1111z00_2693)
																				{	/* Ast/substitute.scm 72 */
																					BgL_res1856z00_2689 =
																						BgL__ortest_1111z00_2693;
																				}
																			else
																				{	/* Ast/substitute.scm 72 */
																					long BgL_odepthz00_2694;

																					BgL_odepthz00_2694 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2690);
																					if ((((long) 1) < BgL_odepthz00_2694))
																						{	/* Ast/substitute.scm 72 */
																							obj_t BgL_arg1816z00_2695;

																							BgL_arg1816z00_2695 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2690,
																								((long) 1));
																							BgL_res1856z00_2689 =
																								(BgL_arg1816z00_2695 ==
																								BgL_classz00_2684);
																						}
																					else
																						{	/* Ast/substitute.scm 72 */
																							BgL_res1856z00_2689 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1970z00_3347 = BgL_res1856z00_2689;
																}
														}
													else
														{	/* Ast/substitute.scm 72 */
															BgL_test1970z00_3347 = ((bool_t) 0);
														}
												}
												if (BgL_test1970z00_3347)
													{	/* Ast/substitute.scm 72 */
														{	/* Ast/substitute.scm 73 */
															obj_t BgL_arg1341z00_2696;

															BgL_arg1341z00_2696 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt)
																			((BgL_varz00_bglt) BgL_nodez00_2508))))->
																BgL_locz00);
															BGl_usezd2variablez12zc0zzast_sexpz00((
																	(BgL_variablez00_bglt) BgL_alphaz00_2670),
																BgL_arg1341z00_2696, BgL_sitez00_2509);
														}
														{	/* Ast/substitute.scm 74 */
															bool_t BgL_test1975z00_3372;

															{	/* Ast/substitute.scm 74 */
																bool_t BgL_test1976z00_3373;

																{	/* Ast/substitute.scm 74 */
																	BgL_valuez00_bglt BgL_arg1358z00_2697;

																	BgL_arg1358z00_2697 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_alphaz00_2670)))->BgL_valuez00);
																	{	/* Ast/substitute.scm 74 */
																		obj_t BgL_classz00_2698;

																		BgL_classz00_2698 = BGl_funz00zzast_varz00;
																		{	/* Ast/substitute.scm 74 */
																			BgL_objectz00_bglt BgL_arg1820z00_2699;

																			{	/* Ast/substitute.scm 74 */
																				obj_t BgL_tmpz00_3376;

																				BgL_tmpz00_3376 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_arg1358z00_2697));
																				BgL_arg1820z00_2699 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3376);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Ast/substitute.scm 74 */
																					long BgL_idxz00_2700;

																					BgL_idxz00_2700 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1820z00_2699);
																					BgL_test1976z00_3373 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2700 + ((long) 2))) ==
																						BgL_classz00_2698);
																				}
																			else
																				{	/* Ast/substitute.scm 74 */
																					bool_t BgL_res1857z00_2703;

																					{	/* Ast/substitute.scm 74 */
																						obj_t BgL_oclassz00_2704;

																						{	/* Ast/substitute.scm 74 */
																							long BgL_arg1828z00_2705;

																							{	/* Ast/substitute.scm 74 */
																								long BgL_arg1829z00_2706;

																								BgL_arg1829z00_2706 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1820z00_2699);
																								BgL_arg1828z00_2705 =
																									(BgL_arg1829z00_2706 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2704 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1828z00_2705);
																						}
																						{	/* Ast/substitute.scm 74 */
																							bool_t BgL__ortest_1111z00_2707;

																							BgL__ortest_1111z00_2707 =
																								(BgL_classz00_2698 ==
																								BgL_oclassz00_2704);
																							if (BgL__ortest_1111z00_2707)
																								{	/* Ast/substitute.scm 74 */
																									BgL_res1857z00_2703 =
																										BgL__ortest_1111z00_2707;
																								}
																							else
																								{	/* Ast/substitute.scm 74 */
																									long BgL_odepthz00_2708;

																									BgL_odepthz00_2708 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2704);
																									if ((((long) 2) <
																											BgL_odepthz00_2708))
																										{	/* Ast/substitute.scm 74 */
																											obj_t BgL_arg1816z00_2709;

																											BgL_arg1816z00_2709 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2704,
																												((long) 2));
																											BgL_res1857z00_2703 =
																												(BgL_arg1816z00_2709 ==
																												BgL_classz00_2698);
																										}
																									else
																										{	/* Ast/substitute.scm 74 */
																											BgL_res1857z00_2703 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test1976z00_3373 =
																						BgL_res1857z00_2703;
																				}
																		}
																	}
																}
																if (BgL_test1976z00_3373)
																	{	/* Ast/substitute.scm 74 */
																		if (
																			(BgL_sitez00_2509 ==
																				CNST_TABLE_REF(((long) 3))))
																			{	/* Ast/substitute.scm 74 */
																				BgL_test1975z00_3372 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/substitute.scm 74 */
																				BgL_test1975z00_3372 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* Ast/substitute.scm 74 */
																		BgL_test1975z00_3372 = ((bool_t) 0);
																	}
															}
															if (BgL_test1975z00_3372)
																{	/* Ast/substitute.scm 75 */
																	BgL_closurez00_bglt BgL_new1107z00_2710;

																	{	/* Ast/substitute.scm 76 */
																		BgL_closurez00_bglt BgL_new1106z00_2711;

																		BgL_new1106z00_2711 =
																			((BgL_closurez00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_closurez00_bgl))));
																		{	/* Ast/substitute.scm 76 */
																			long BgL_arg1353z00_2712;

																			BgL_arg1353z00_2712 =
																				BGL_CLASS_NUM
																				(BGl_closurez00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1106z00_2711),
																				BgL_arg1353z00_2712);
																		}
																		{	/* Ast/substitute.scm 76 */
																			BgL_objectz00_bglt BgL_tmpz00_3403;

																			BgL_tmpz00_3403 =
																				((BgL_objectz00_bglt)
																				BgL_new1106z00_2711);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3403,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1106z00_2711);
																		BgL_new1107z00_2710 = BgL_new1106z00_2711;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1107z00_2710)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt) (
																								(BgL_varz00_bglt)
																								BgL_nodez00_2508))))->
																				BgL_locz00)), BUNSPEC);
																	{
																		BgL_typez00_bglt BgL_auxz00_3412;

																		{	/* Ast/substitute.scm 77 */
																			BgL_typez00_bglt BgL_arg1352z00_2713;

																			BgL_arg1352z00_2713 =
																				(((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							((BgL_varz00_bglt)
																								BgL_nodez00_2508))))->
																				BgL_typez00);
																			BgL_auxz00_3412 =
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(((BgL_typez00_bglt)
																					BGl_za2procedureza2z00zztype_cachez00),
																				BgL_arg1352z00_2713);
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1107z00_2710)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_auxz00_3412),
																			BUNSPEC);
																	}
																	((((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						BgL_new1107z00_2710)))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_alphaz00_2670)), BUNSPEC);
																	BgL_auxz00_3318 =
																		((obj_t) BgL_new1107z00_2710);
																}
															else
																{	/* Ast/substitute.scm 79 */
																	BgL_refz00_bglt BgL_new1109z00_2714;

																	{	/* Ast/substitute.scm 80 */
																		BgL_refz00_bglt BgL_new1108z00_2715;

																		BgL_new1108z00_2715 =
																			((BgL_refz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_refz00_bgl))));
																		{	/* Ast/substitute.scm 80 */
																			long BgL_arg1356z00_2716;

																			BgL_arg1356z00_2716 =
																				BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1108z00_2715),
																				BgL_arg1356z00_2716);
																		}
																		{	/* Ast/substitute.scm 80 */
																			BgL_objectz00_bglt BgL_tmpz00_3428;

																			BgL_tmpz00_3428 =
																				((BgL_objectz00_bglt)
																				BgL_new1108z00_2715);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3428,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1108z00_2715);
																		BgL_new1109z00_2714 = BgL_new1108z00_2715;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1109z00_2714)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt) (
																								(BgL_varz00_bglt)
																								BgL_nodez00_2508))))->
																				BgL_locz00)), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1109z00_2714)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt) (
																								(BgL_varz00_bglt)
																								BgL_nodez00_2508))))->
																				BgL_typez00)), BUNSPEC);
																	((((BgL_varz00_bglt)
																				COBJECT(((BgL_varz00_bglt)
																						BgL_new1109z00_2714)))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_alphaz00_2670)), BUNSPEC);
																	BgL_auxz00_3318 =
																		((obj_t) BgL_new1109z00_2714);
													}}}
												else
													{	/* Ast/substitute.scm 83 */
														bool_t BgL_test1981z00_3446;

														{	/* Ast/substitute.scm 83 */
															obj_t BgL_classz00_2717;

															BgL_classz00_2717 = BGl_atomz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_alphaz00_2670))
																{	/* Ast/substitute.scm 83 */
																	BgL_objectz00_bglt BgL_arg1820z00_2718;

																	BgL_arg1820z00_2718 =
																		(BgL_objectz00_bglt) (BgL_alphaz00_2670);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Ast/substitute.scm 83 */
																			long BgL_idxz00_2719;

																			BgL_idxz00_2719 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_2718);
																			BgL_test1981z00_3446 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2719 + ((long) 2))) ==
																				BgL_classz00_2717);
																		}
																	else
																		{	/* Ast/substitute.scm 83 */
																			bool_t BgL_res1858z00_2722;

																			{	/* Ast/substitute.scm 83 */
																				obj_t BgL_oclassz00_2723;

																				{	/* Ast/substitute.scm 83 */
																					long BgL_arg1828z00_2724;

																					{	/* Ast/substitute.scm 83 */
																						long BgL_arg1829z00_2725;

																						BgL_arg1829z00_2725 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_2718);
																						BgL_arg1828z00_2724 =
																							(BgL_arg1829z00_2725 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2723 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_2724);
																				}
																				{	/* Ast/substitute.scm 83 */
																					bool_t BgL__ortest_1111z00_2726;

																					BgL__ortest_1111z00_2726 =
																						(BgL_classz00_2717 ==
																						BgL_oclassz00_2723);
																					if (BgL__ortest_1111z00_2726)
																						{	/* Ast/substitute.scm 83 */
																							BgL_res1858z00_2722 =
																								BgL__ortest_1111z00_2726;
																						}
																					else
																						{	/* Ast/substitute.scm 83 */
																							long BgL_odepthz00_2727;

																							BgL_odepthz00_2727 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2723);
																							if ((((long) 2) <
																									BgL_odepthz00_2727))
																								{	/* Ast/substitute.scm 83 */
																									obj_t BgL_arg1816z00_2728;

																									BgL_arg1816z00_2728 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2723,
																										((long) 2));
																									BgL_res1858z00_2722 =
																										(BgL_arg1816z00_2728 ==
																										BgL_classz00_2717);
																								}
																							else
																								{	/* Ast/substitute.scm 83 */
																									BgL_res1858z00_2722 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1981z00_3446 =
																				BgL_res1858z00_2722;
																		}
																}
															else
																{	/* Ast/substitute.scm 83 */
																	BgL_test1981z00_3446 = ((bool_t) 0);
																}
														}
														if (BgL_test1981z00_3446)
															{	/* Ast/substitute.scm 83 */
																BgL_auxz00_3318 = BgL_alphaz00_2670;
															}
														else
															{	/* Ast/substitute.scm 86 */
																obj_t BgL_arg1361z00_2729;

																BgL_arg1361z00_2729 =
																	BGl_shapez00zztools_shapez00(
																	((obj_t)
																		((BgL_varz00_bglt) BgL_nodez00_2508)));
																BgL_auxz00_3318 =
																	BGl_internalzd2errorzd2zztools_errorz00
																	(BGl_string1895z00zzast_substitutez00,
																	BGl_string1896z00zzast_substitutez00,
																	BgL_arg1361z00_2729);
															}
													}
											}
									}
								return ((BgL_nodez00_bglt) BgL_auxz00_3318);
							}
						}
					}
				}
			}
		}

	}



/* &do-substitute!-atom1260 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom1260z70zzast_substitutez00(obj_t
		BgL_envz00_2510, obj_t BgL_nodez00_2511, obj_t BgL_sitez00_2512)
	{
		{	/* Ast/substitute.scm 57 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2511));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1897z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1897z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1897z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1897z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1897z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1897z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1897z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string1897z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string1897z00zzast_substitutez00));
			return
				BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1897z00zzast_substitutez00));
		}

	}

#ifdef __cplusplus
}
#endif
