/*===========================================================================*/
/*   (Ast/toccur.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/toccur.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t
		BGl_z62occurzd2nodez12zd2makezd2box1332za2zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2setfield1298z70zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2instance1306z70zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2vsetz121312z62zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_typezd2occurzd2 = BUNSPEC;
	static obj_t BGl_za2globalza2z00zzast_typezd2occurzd2 = BUNSPEC;
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12za2zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2jumpzd2exzd21330z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_z62occurzd2nodez12zd2letzd2fun1324za2zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2extern1294z70zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez121279za2zzast_typezd2occurzd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzast_typezd2occurzd2(void);
	static obj_t
		BGl_z62typezd2incrementzd2globalz12z70zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2castzd2nul1304za2zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2cast1302z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_typezd2occurzd2(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_typezd2occurzd2(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2var1282z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62occurzd2nodez12zd2setq1316z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t BGl_typezd2incrementzd2sfunz12z12zzast_typezd2occurzd2(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2fail1320z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_typezd2occurzd2(void);
	extern obj_t
		BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2app1288z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2sequence1284z70zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2letzd2var1326za2zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2sync1286z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2retblock1339z70zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2boxzd2ref1334za2zzast_typezd2occurzd2(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_typezd2occurzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2vref1310z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2valloc1314z70zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2funcall1292z70zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_typezd2occurzd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_typezd2occurzd2(void);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_typezd2occurzd2(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_typezd2occurzd2(void);
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2new1300z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	static bool_t BGl_occurzd2nodeza2z12z62zzast_typezd2occurzd2(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(BgL_nodez00_bglt);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2
		(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2getfield1296z70zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2switch1322z70zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2vlength1308z70zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2setzd2exzd2i1328z70zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2appzd2ly1290za2zzast_typezd2occurzd2(obj_t, obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t
		BGl_z62occurzd2nodez12zd2conditio1318z70zzast_typezd2occurzd2(obj_t, obj_t);
	static obj_t
		BGl_z62occurzd2nodez12zd2boxzd2setz121336zb0zzast_typezd2occurzd2(obj_t,
		obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2incrementzd2globalz12zd2envzc0zzast_typezd2occurzd2,
		BgL_bgl_za762typeza7d2increm1901z00,
		BGl_z62typezd2incrementzd2globalz12z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1867z00zzast_typezd2occurzd2,
		BgL_bgl_string1867za700za7za7a1902za7, "occur-node!1279", 15);
	      DEFINE_STRING(BGl_string1869z00zzast_typezd2occurzd2,
		BgL_bgl_string1869za700za7za7a1903za7, "occur-node!", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71904za7,
		BGl_z62occurzd2nodez121279za2zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71905za7,
		BGl_z62occurzd2nodez12zd2var1282z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71906za7,
		BGl_z62occurzd2nodez12zd2sequence1284z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71907za7,
		BGl_z62occurzd2nodez12zd2sync1286z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71908za7,
		BGl_z62occurzd2nodez12zd2app1288z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71909za7,
		BGl_z62occurzd2nodez12zd2appzd2ly1290za2zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71910za7,
		BGl_z62occurzd2nodez12zd2funcall1292z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71911za7,
		BGl_z62occurzd2nodez12zd2extern1294z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71912za7,
		BGl_z62occurzd2nodez12zd2getfield1296z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71913za7,
		BGl_z62occurzd2nodez12zd2setfield1298z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71914za7,
		BGl_z62occurzd2nodez12zd2new1300z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71915za7,
		BGl_z62occurzd2nodez12zd2cast1302z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71916za7,
		BGl_z62occurzd2nodez12zd2castzd2nul1304za2zzast_typezd2occurzd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71917za7,
		BGl_z62occurzd2nodez12zd2instance1306z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71918za7,
		BGl_z62occurzd2nodez12zd2vlength1308z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71919za7,
		BGl_z62occurzd2nodez12zd2vref1310z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71920za7,
		BGl_z62occurzd2nodez12zd2vsetz121312z62zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71921za7,
		BGl_z62occurzd2nodez12zd2valloc1314z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71922za7,
		BGl_z62occurzd2nodez12zd2setq1316z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71923za7,
		BGl_z62occurzd2nodez12zd2conditio1318z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71924za7,
		BGl_z62occurzd2nodez12zd2fail1320z70zzast_typezd2occurzd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71925za7,
		BGl_z62occurzd2nodez12zd2switch1322z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1898z00zzast_typezd2occurzd2,
		BgL_bgl_string1898za700za7za7a1926za7, "ast_type-occur", 14);
	      DEFINE_STRING(BGl_string1899z00zzast_typezd2occurzd2,
		BgL_bgl_string1899za700za7za7a1927za7, "done ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71928za7,
		BGl_z62occurzd2nodez12zd2letzd2fun1324za2zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71929za7,
		BGl_z62occurzd2nodez12zd2letzd2var1326za2zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71930za7,
		BGl_z62occurzd2nodez12zd2setzd2exzd2i1328z70zzast_typezd2occurzd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71931za7,
		BGl_z62occurzd2nodez12zd2jumpzd2exzd21330z70zzast_typezd2occurzd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71932za7,
		BGl_z62occurzd2nodez12zd2makezd2box1332za2zzast_typezd2occurzd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71933za7,
		BGl_z62occurzd2nodez12zd2boxzd2ref1334za2zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71934za7,
		BGl_z62occurzd2nodez12zd2boxzd2setz121336zb0zzast_typezd2occurzd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71935za7,
		BGl_z62occurzd2nodez12zd2retblock1339z70zzast_typezd2occurzd2, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
		BgL_bgl_za762occurza7d2nodeza71936za7,
		BGl_z62occurzd2nodez12za2zzast_typezd2occurzd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_typezd2occurzd2));
		     ADD_ROOT((void *) (&BGl_za2globalza2z00zzast_typezd2occurzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_typezd2occurzd2(long
		BgL_checksumz00_2790, char *BgL_fromz00_2791)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_typezd2occurzd2))
				{
					BGl_requirezd2initializa7ationz75zzast_typezd2occurzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_typezd2occurzd2();
					BGl_libraryzd2moduleszd2initz00zzast_typezd2occurzd2();
					BGl_cnstzd2initzd2zzast_typezd2occurzd2();
					BGl_importedzd2moduleszd2initz00zzast_typezd2occurzd2();
					BGl_genericzd2initzd2zzast_typezd2occurzd2();
					BGl_methodzd2initzd2zzast_typezd2occurzd2();
					return BGl_toplevelzd2initzd2zzast_typezd2occurzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_typezd2occurzd2(void)
	{
		{	/* Ast/toccur.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_type-occur");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_type-occur");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_typezd2occurzd2(void)
	{
		{	/* Ast/toccur.scm 14 */
			{	/* Ast/toccur.scm 14 */
				obj_t BgL_cportz00_2651;

				{	/* Ast/toccur.scm 14 */
					obj_t BgL_stringz00_2658;

					BgL_stringz00_2658 = BGl_string1899z00zzast_typezd2occurzd2;
					{	/* Ast/toccur.scm 14 */
						obj_t BgL_startz00_2659;

						BgL_startz00_2659 = BINT(((long) 0));
						{	/* Ast/toccur.scm 14 */
							obj_t BgL_endz00_2660;

							BgL_endz00_2660 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2658)));
							{	/* Ast/toccur.scm 14 */

								BgL_cportz00_2651 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2658, BgL_startz00_2659, BgL_endz00_2660);
				}}}}
				{
					long BgL_iz00_2652;

					BgL_iz00_2652 = ((long) 0);
				BgL_loopz00_2653:
					if ((BgL_iz00_2652 == ((long) -1)))
						{	/* Ast/toccur.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/toccur.scm 14 */
							{	/* Ast/toccur.scm 14 */
								obj_t BgL_arg1900z00_2654;

								{	/* Ast/toccur.scm 14 */

									{	/* Ast/toccur.scm 14 */
										obj_t BgL_locationz00_2656;

										BgL_locationz00_2656 = BBOOL(((bool_t) 0));
										{	/* Ast/toccur.scm 14 */

											BgL_arg1900z00_2654 =
												BGl_readz00zz__readerz00(BgL_cportz00_2651,
												BgL_locationz00_2656);
										}
									}
								}
								{	/* Ast/toccur.scm 14 */
									int BgL_tmpz00_2820;

									BgL_tmpz00_2820 = (int) (BgL_iz00_2652);
									CNST_TABLE_SET(BgL_tmpz00_2820, BgL_arg1900z00_2654);
							}}
							{	/* Ast/toccur.scm 14 */
								int BgL_auxz00_2657;

								BgL_auxz00_2657 = (int) ((BgL_iz00_2652 - ((long) 1)));
								{
									long BgL_iz00_2825;

									BgL_iz00_2825 = (long) (BgL_auxz00_2657);
									BgL_iz00_2652 = BgL_iz00_2825;
									goto BgL_loopz00_2653;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_typezd2occurzd2(void)
	{
		{	/* Ast/toccur.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_typezd2occurzd2(void)
	{
		{	/* Ast/toccur.scm 14 */
			BGl_za2globalza2z00zzast_typezd2occurzd2 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* type-increment-global! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2(BgL_globalz00_bglt
		BgL_globalz00_3)
	{
		{	/* Ast/toccur.scm 33 */
			{	/* Ast/toccur.scm 34 */
				bool_t BgL_test1939z00_2828;

				{	/* Ast/toccur.scm 34 */
					BgL_valuez00_bglt BgL_arg1347z00_1615;

					BgL_arg1347z00_1615 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_valuez00);
					{	/* Ast/toccur.scm 34 */
						obj_t BgL_classz00_2074;

						BgL_classz00_2074 = BGl_sfunz00zzast_varz00;
						{	/* Ast/toccur.scm 34 */
							BgL_objectz00_bglt BgL_arg1820z00_2076;

							{	/* Ast/toccur.scm 34 */
								obj_t BgL_tmpz00_2831;

								BgL_tmpz00_2831 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1347z00_1615));
								BgL_arg1820z00_2076 = (BgL_objectz00_bglt) (BgL_tmpz00_2831);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/toccur.scm 34 */
									long BgL_idxz00_2082;

									BgL_idxz00_2082 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2076);
									BgL_test1939z00_2828 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2082 + ((long) 3))) == BgL_classz00_2074);
								}
							else
								{	/* Ast/toccur.scm 34 */
									bool_t BgL_res1848z00_2104;

									{	/* Ast/toccur.scm 34 */
										obj_t BgL_oclassz00_2090;

										{	/* Ast/toccur.scm 34 */
											long BgL_arg1828z00_2096;

											{	/* Ast/toccur.scm 34 */
												long BgL_arg1829z00_2097;

												BgL_arg1829z00_2097 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2076);
												BgL_arg1828z00_2096 =
													(BgL_arg1829z00_2097 - OBJECT_TYPE);
											}
											BgL_oclassz00_2090 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2096);
										}
										{	/* Ast/toccur.scm 34 */
											bool_t BgL__ortest_1111z00_2091;

											BgL__ortest_1111z00_2091 =
												(BgL_classz00_2074 == BgL_oclassz00_2090);
											if (BgL__ortest_1111z00_2091)
												{	/* Ast/toccur.scm 34 */
													BgL_res1848z00_2104 = BgL__ortest_1111z00_2091;
												}
											else
												{	/* Ast/toccur.scm 34 */
													long BgL_odepthz00_2092;

													BgL_odepthz00_2092 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2090);
													if ((((long) 3) < BgL_odepthz00_2092))
														{	/* Ast/toccur.scm 34 */
															obj_t BgL_arg1816z00_2094;

															BgL_arg1816z00_2094 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2090,
																((long) 3));
															BgL_res1848z00_2104 =
																(BgL_arg1816z00_2094 == BgL_classz00_2074);
														}
													else
														{	/* Ast/toccur.scm 34 */
															BgL_res1848z00_2104 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1939z00_2828 = BgL_res1848z00_2104;
								}
						}
					}
				}
				if (BgL_test1939z00_2828)
					{	/* Ast/toccur.scm 34 */
						return
							BGl_typezd2incrementzd2sfunz12z12zzast_typezd2occurzd2(
							((obj_t) BgL_globalz00_3));
					}
				else
					{	/* Ast/toccur.scm 36 */
						BgL_typez00_bglt BgL_arg1346z00_1614;

						BgL_arg1346z00_1614 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_typez00);
						return
							BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
							(BgL_arg1346z00_1614);
					}
			}
		}

	}



/* &type-increment-global! */
	obj_t BGl_z62typezd2incrementzd2globalz12z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2557, obj_t BgL_globalz00_2558)
	{
		{	/* Ast/toccur.scm 33 */
			return
				BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2(
				((BgL_globalz00_bglt) BgL_globalz00_2558));
		}

	}



/* type-increment-sfun! */
	obj_t BGl_typezd2incrementzd2sfunz12z12zzast_typezd2occurzd2(obj_t
		BgL_varz00_4)
	{
		{	/* Ast/toccur.scm 41 */
			{	/* Ast/toccur.scm 43 */
				BgL_typez00_bglt BgL_arg1352z00_1617;

				BgL_arg1352z00_1617 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_4)))->BgL_typez00);
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
					(BgL_arg1352z00_1617);
			}
			{	/* Ast/toccur.scm 44 */
				obj_t BgL_g1261z00_1618;

				BgL_g1261z00_1618 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_4)))->
									BgL_valuez00))))->BgL_argsz00);
				{
					obj_t BgL_l1259z00_1620;

					BgL_l1259z00_1620 = BgL_g1261z00_1618;
				BgL_zc3z04anonymousza31353ze3z87_1621:
					if (PAIRP(BgL_l1259z00_1620))
						{	/* Ast/toccur.scm 50 */
							{	/* Ast/toccur.scm 46 */
								obj_t BgL_az00_1623;

								BgL_az00_1623 = CAR(BgL_l1259z00_1620);
								{	/* Ast/toccur.scm 46 */
									bool_t BgL_test1944z00_2868;

									{	/* Ast/toccur.scm 46 */
										obj_t BgL_classz00_2110;

										BgL_classz00_2110 = BGl_typez00zztype_typez00;
										if (BGL_OBJECTP(BgL_az00_1623))
											{	/* Ast/toccur.scm 46 */
												BgL_objectz00_bglt BgL_arg1820z00_2112;

												BgL_arg1820z00_2112 =
													(BgL_objectz00_bglt) (BgL_az00_1623);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Ast/toccur.scm 46 */
														long BgL_idxz00_2118;

														BgL_idxz00_2118 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2112);
														BgL_test1944z00_2868 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2118 + ((long) 1))) ==
															BgL_classz00_2110);
													}
												else
													{	/* Ast/toccur.scm 46 */
														bool_t BgL_res1849z00_2140;

														{	/* Ast/toccur.scm 46 */
															obj_t BgL_oclassz00_2126;

															{	/* Ast/toccur.scm 46 */
																long BgL_arg1828z00_2132;

																{	/* Ast/toccur.scm 46 */
																	long BgL_arg1829z00_2133;

																	BgL_arg1829z00_2133 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2112);
																	BgL_arg1828z00_2132 =
																		(BgL_arg1829z00_2133 - OBJECT_TYPE);
																}
																BgL_oclassz00_2126 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_2132);
															}
															{	/* Ast/toccur.scm 46 */
																bool_t BgL__ortest_1111z00_2127;

																BgL__ortest_1111z00_2127 =
																	(BgL_classz00_2110 == BgL_oclassz00_2126);
																if (BgL__ortest_1111z00_2127)
																	{	/* Ast/toccur.scm 46 */
																		BgL_res1849z00_2140 =
																			BgL__ortest_1111z00_2127;
																	}
																else
																	{	/* Ast/toccur.scm 46 */
																		long BgL_odepthz00_2128;

																		BgL_odepthz00_2128 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2126);
																		if ((((long) 1) < BgL_odepthz00_2128))
																			{	/* Ast/toccur.scm 46 */
																				obj_t BgL_arg1816z00_2130;

																				BgL_arg1816z00_2130 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2126, ((long) 1));
																				BgL_res1849z00_2140 =
																					(BgL_arg1816z00_2130 ==
																					BgL_classz00_2110);
																			}
																		else
																			{	/* Ast/toccur.scm 46 */
																				BgL_res1849z00_2140 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1944z00_2868 = BgL_res1849z00_2140;
													}
											}
										else
											{	/* Ast/toccur.scm 46 */
												BgL_test1944z00_2868 = ((bool_t) 0);
											}
									}
									if (BgL_test1944z00_2868)
										{	/* Ast/toccur.scm 46 */
											BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
												((BgL_typez00_bglt) BgL_az00_1623));
										}
									else
										{	/* Ast/toccur.scm 48 */
											bool_t BgL_test1949z00_2890;

											{	/* Ast/toccur.scm 48 */
												obj_t BgL_classz00_2141;

												BgL_classz00_2141 = BGl_localz00zzast_varz00;
												if (BGL_OBJECTP(BgL_az00_1623))
													{	/* Ast/toccur.scm 48 */
														BgL_objectz00_bglt BgL_arg1820z00_2143;

														BgL_arg1820z00_2143 =
															(BgL_objectz00_bglt) (BgL_az00_1623);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Ast/toccur.scm 48 */
																long BgL_idxz00_2149;

																BgL_idxz00_2149 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_2143);
																BgL_test1949z00_2890 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2149 + ((long) 2))) ==
																	BgL_classz00_2141);
															}
														else
															{	/* Ast/toccur.scm 48 */
																bool_t BgL_res1850z00_2171;

																{	/* Ast/toccur.scm 48 */
																	obj_t BgL_oclassz00_2157;

																	{	/* Ast/toccur.scm 48 */
																		long BgL_arg1828z00_2163;

																		{	/* Ast/toccur.scm 48 */
																			long BgL_arg1829z00_2164;

																			BgL_arg1829z00_2164 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_2143);
																			BgL_arg1828z00_2163 =
																				(BgL_arg1829z00_2164 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2157 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_2163);
																	}
																	{	/* Ast/toccur.scm 48 */
																		bool_t BgL__ortest_1111z00_2158;

																		BgL__ortest_1111z00_2158 =
																			(BgL_classz00_2141 == BgL_oclassz00_2157);
																		if (BgL__ortest_1111z00_2158)
																			{	/* Ast/toccur.scm 48 */
																				BgL_res1850z00_2171 =
																					BgL__ortest_1111z00_2158;
																			}
																		else
																			{	/* Ast/toccur.scm 48 */
																				long BgL_odepthz00_2159;

																				BgL_odepthz00_2159 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2157);
																				if ((((long) 2) < BgL_odepthz00_2159))
																					{	/* Ast/toccur.scm 48 */
																						obj_t BgL_arg1816z00_2161;

																						BgL_arg1816z00_2161 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2157, ((long) 2));
																						BgL_res1850z00_2171 =
																							(BgL_arg1816z00_2161 ==
																							BgL_classz00_2141);
																					}
																				else
																					{	/* Ast/toccur.scm 48 */
																						BgL_res1850z00_2171 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1949z00_2890 = BgL_res1850z00_2171;
															}
													}
												else
													{	/* Ast/toccur.scm 48 */
														BgL_test1949z00_2890 = ((bool_t) 0);
													}
											}
											if (BgL_test1949z00_2890)
												{	/* Ast/toccur.scm 49 */
													BgL_typez00_bglt BgL_arg1358z00_1626;

													BgL_arg1358z00_1626 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_az00_1623))))->
														BgL_typez00);
													BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
														(BgL_arg1358z00_1626);
												}
											else
												{	/* Ast/toccur.scm 48 */
													BFALSE;
												}
										}
								}
							}
							{
								obj_t BgL_l1259z00_2914;

								BgL_l1259z00_2914 = CDR(BgL_l1259z00_1620);
								BgL_l1259z00_1620 = BgL_l1259z00_2914;
								goto BgL_zc3z04anonymousza31353ze3z87_1621;
							}
						}
					else
						{	/* Ast/toccur.scm 50 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/toccur.scm 51 */
				obj_t BgL_nodez00_1630;

				BgL_nodez00_1630 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_4)))->
									BgL_valuez00))))->BgL_bodyz00);
				{	/* Ast/toccur.scm 52 */
					bool_t BgL_test1954z00_2920;

					{	/* Ast/toccur.scm 52 */
						obj_t BgL_classz00_2176;

						BgL_classz00_2176 = BGl_nodez00zzast_nodez00;
						if (BGL_OBJECTP(BgL_nodez00_1630))
							{	/* Ast/toccur.scm 52 */
								BgL_objectz00_bglt BgL_arg1820z00_2178;

								BgL_arg1820z00_2178 = (BgL_objectz00_bglt) (BgL_nodez00_1630);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/toccur.scm 52 */
										long BgL_idxz00_2184;

										BgL_idxz00_2184 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2178);
										BgL_test1954z00_2920 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2184 + ((long) 1))) == BgL_classz00_2176);
									}
								else
									{	/* Ast/toccur.scm 52 */
										bool_t BgL_res1851z00_2206;

										{	/* Ast/toccur.scm 52 */
											obj_t BgL_oclassz00_2192;

											{	/* Ast/toccur.scm 52 */
												long BgL_arg1828z00_2198;

												{	/* Ast/toccur.scm 52 */
													long BgL_arg1829z00_2199;

													BgL_arg1829z00_2199 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2178);
													BgL_arg1828z00_2198 =
														(BgL_arg1829z00_2199 - OBJECT_TYPE);
												}
												BgL_oclassz00_2192 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2198);
											}
											{	/* Ast/toccur.scm 52 */
												bool_t BgL__ortest_1111z00_2193;

												BgL__ortest_1111z00_2193 =
													(BgL_classz00_2176 == BgL_oclassz00_2192);
												if (BgL__ortest_1111z00_2193)
													{	/* Ast/toccur.scm 52 */
														BgL_res1851z00_2206 = BgL__ortest_1111z00_2193;
													}
												else
													{	/* Ast/toccur.scm 52 */
														long BgL_odepthz00_2194;

														BgL_odepthz00_2194 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2192);
														if ((((long) 1) < BgL_odepthz00_2194))
															{	/* Ast/toccur.scm 52 */
																obj_t BgL_arg1816z00_2196;

																BgL_arg1816z00_2196 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2192,
																	((long) 1));
																BgL_res1851z00_2206 =
																	(BgL_arg1816z00_2196 == BgL_classz00_2176);
															}
														else
															{	/* Ast/toccur.scm 52 */
																BgL_res1851z00_2206 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1954z00_2920 = BgL_res1851z00_2206;
									}
							}
						else
							{	/* Ast/toccur.scm 52 */
								BgL_test1954z00_2920 = ((bool_t) 0);
							}
					}
					if (BgL_test1954z00_2920)
						{	/* Ast/toccur.scm 52 */
							return
								BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
								((BgL_nodez00_bglt) BgL_nodez00_1630));
						}
					else
						{	/* Ast/toccur.scm 52 */
							return BFALSE;
						}
				}
			}
		}

	}



/* occur-node*! */
	bool_t BGl_occurzd2nodeza2z12z62zzast_typezd2occurzd2(obj_t BgL_nodeza2za2_37)
	{
		{	/* Ast/toccur.scm 328 */
			{
				obj_t BgL_l1277z00_1634;

				BgL_l1277z00_1634 = BgL_nodeza2za2_37;
			BgL_zc3z04anonymousza31365ze3z87_1635:
				if (PAIRP(BgL_l1277z00_1634))
					{	/* Ast/toccur.scm 329 */
						{	/* Ast/toccur.scm 329 */
							obj_t BgL_arg1372z00_1637;

							BgL_arg1372z00_1637 = CAR(BgL_l1277z00_1634);
							BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
								((BgL_nodez00_bglt) BgL_arg1372z00_1637));
						}
						{
							obj_t BgL_l1277z00_2947;

							BgL_l1277z00_2947 = CDR(BgL_l1277z00_1634);
							BgL_l1277z00_1634 = BgL_l1277z00_2947;
							goto BgL_zc3z04anonymousza31365ze3z87_1635;
						}
					}
				else
					{	/* Ast/toccur.scm 329 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_typezd2occurzd2(void)
	{
		{	/* Ast/toccur.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_typezd2occurzd2(void)
	{
		{	/* Ast/toccur.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_proc1866z00zzast_typezd2occurzd2, BGl_nodez00zzast_nodez00,
				BGl_string1867z00zzast_typezd2occurzd2);
		}

	}



/* &occur-node!1279 */
	obj_t BGl_z62occurzd2nodez121279za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2560, obj_t BgL_nodez00_2561)
	{
		{	/* Ast/toccur.scm 70 */
			return CNST_TABLE_REF(((long) 0));
		}

	}



/* occur-node! */
	obj_t BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(BgL_nodez00_bglt
		BgL_nodez00_7)
	{
		{	/* Ast/toccur.scm 70 */
			{	/* Ast/toccur.scm 70 */
				obj_t BgL_method1280z00_1644;

				{	/* Ast/toccur.scm 70 */
					obj_t BgL_res1856z00_2239;

					{	/* Ast/toccur.scm 70 */
						long BgL_objzd2classzd2numz00_2210;

						BgL_objzd2classzd2numz00_2210 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_7));
						{	/* Ast/toccur.scm 70 */
							obj_t BgL_arg1825z00_2211;

							BgL_arg1825z00_2211 =
								PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
								(int) (((long) 1)));
							{	/* Ast/toccur.scm 70 */
								int BgL_offsetz00_2214;

								BgL_offsetz00_2214 = (int) (BgL_objzd2classzd2numz00_2210);
								{	/* Ast/toccur.scm 70 */
									long BgL_offsetz00_2215;

									BgL_offsetz00_2215 =
										((long) (BgL_offsetz00_2214) - OBJECT_TYPE);
									{	/* Ast/toccur.scm 70 */
										long BgL_modz00_2216;

										BgL_modz00_2216 =
											(BgL_offsetz00_2215 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/toccur.scm 70 */
											long BgL_restz00_2218;

											BgL_restz00_2218 =
												(BgL_offsetz00_2215 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/toccur.scm 70 */

												{	/* Ast/toccur.scm 70 */
													obj_t BgL_bucketz00_2220;

													BgL_bucketz00_2220 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2211), BgL_modz00_2216);
													BgL_res1856z00_2239 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2220), BgL_restz00_2218);
					}}}}}}}}
					BgL_method1280z00_1644 = BgL_res1856z00_2239;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1280z00_1644)) (BgL_method1280z00_1644,
					((obj_t) BgL_nodez00_7), BEOA);
			}
		}

	}



/* &occur-node! */
	obj_t BGl_z62occurzd2nodez12za2zzast_typezd2occurzd2(obj_t BgL_envz00_2562,
		obj_t BgL_nodez00_2563)
	{
		{	/* Ast/toccur.scm 70 */
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				((BgL_nodez00_bglt) BgL_nodez00_2563));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_typezd2occurzd2(void)
	{
		{	/* Ast/toccur.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_varz00zzast_nodez00, BGl_proc1868z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_sequencez00zzast_nodez00, BGl_proc1870z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_syncz00zzast_nodez00, BGl_proc1871z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_appz00zzast_nodez00, BGl_proc1872z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1873z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_funcallz00zzast_nodez00, BGl_proc1874z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_externz00zzast_nodez00, BGl_proc1875z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_getfieldz00zzast_nodez00, BGl_proc1876z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_setfieldz00zzast_nodez00, BGl_proc1877z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_newz00zzast_nodez00, BGl_proc1878z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_castz00zzast_nodez00, BGl_proc1879z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc1880z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_instanceofz00zzast_nodez00, BGl_proc1881z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_vlengthz00zzast_nodez00, BGl_proc1882z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_vrefz00zzast_nodez00, BGl_proc1883z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_vsetz12z12zzast_nodez00, BGl_proc1884z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_vallocz00zzast_nodez00, BGl_proc1885z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_setqz00zzast_nodez00, BGl_proc1886z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_conditionalz00zzast_nodez00, BGl_proc1887z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_failz00zzast_nodez00, BGl_proc1888z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_switchz00zzast_nodez00, BGl_proc1889z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1890z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1891z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1892z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1893z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1894z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1895z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1896z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
				BGl_retblockz00zzast_nodez00, BGl_proc1897z00zzast_typezd2occurzd2,
				BGl_string1869z00zzast_typezd2occurzd2);
		}

	}



/* &occur-node!-retblock1339 */
	obj_t BGl_z62occurzd2nodez12zd2retblock1339z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2593, obj_t BgL_nodez00_2594)
	{
		{	/* Ast/toccur.scm 321 */
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nodez00_2594)))->BgL_bodyz00));
		}

	}



/* &occur-node!-box-set!1336 */
	obj_t BGl_z62occurzd2nodez12zd2boxzd2setz121336zb0zzast_typezd2occurzd2(obj_t
		BgL_envz00_2595, obj_t BgL_nodez00_2596)
	{
		{	/* Ast/toccur.scm 313 */
			{	/* Ast/toccur.scm 315 */
				BgL_varz00_bglt BgL_arg1680z00_2665;

				BgL_arg1680z00_2665 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2596)))->BgL_varz00);
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
					((BgL_nodez00_bglt) BgL_arg1680z00_2665));
			}
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2596)))->BgL_valuez00));
		}

	}



/* &occur-node!-box-ref1334 */
	obj_t BGl_z62occurzd2nodez12zd2boxzd2ref1334za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2597, obj_t BgL_nodez00_2598)
	{
		{	/* Ast/toccur.scm 307 */
			{	/* Ast/toccur.scm 308 */
				BgL_varz00_bglt BgL_arg1677z00_2667;

				BgL_arg1677z00_2667 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2598)))->BgL_varz00);
				return
					BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
					((BgL_nodez00_bglt) BgL_arg1677z00_2667));
			}
		}

	}



/* &occur-node!-make-box1332 */
	obj_t BGl_z62occurzd2nodez12zd2makezd2box1332za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2599, obj_t BgL_nodez00_2600)
	{
		{	/* Ast/toccur.scm 301 */
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2600)))->BgL_valuez00));
		}

	}



/* &occur-node!-jump-ex-1330 */
	obj_t BGl_z62occurzd2nodez12zd2jumpzd2exzd21330z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2601, obj_t BgL_nodez00_2602)
	{
		{	/* Ast/toccur.scm 293 */
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2602)))->BgL_exitz00));
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2602)))->BgL_valuez00));
		}

	}



/* &occur-node!-set-ex-i1328 */
	obj_t BGl_z62occurzd2nodez12zd2setzd2exzd2i1328z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2603, obj_t BgL_nodez00_2604)
	{
		{	/* Ast/toccur.scm 286 */
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2604)))->BgL_onexitz00));
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2604)))->BgL_bodyz00));
		}

	}



/* &occur-node!-let-var1326 */
	obj_t BGl_z62occurzd2nodez12zd2letzd2var1326za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2605, obj_t BgL_nodez00_2606)
	{
		{	/* Ast/toccur.scm 274 */
			{	/* Ast/toccur.scm 276 */
				obj_t BgL_g1276z00_2672;

				BgL_g1276z00_2672 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2606)))->BgL_bindingsz00);
				{
					obj_t BgL_l1274z00_2674;

					BgL_l1274z00_2674 = BgL_g1276z00_2672;
				BgL_zc3z04anonymousza31646ze3z87_2673:
					if (PAIRP(BgL_l1274z00_2674))
						{	/* Ast/toccur.scm 276 */
							{	/* Ast/toccur.scm 278 */
								obj_t BgL_bindingz00_2675;

								BgL_bindingz00_2675 = CAR(BgL_l1274z00_2674);
								{	/* Ast/toccur.scm 277 */
									BgL_localz00_bglt BgL_i1126z00_2676;

									BgL_i1126z00_2676 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bindingz00_2675)));
									{	/* Ast/toccur.scm 278 */
										BgL_typez00_bglt BgL_arg1651z00_2677;

										BgL_arg1651z00_2677 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_i1126z00_2676)))->
											BgL_typez00);
										BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
											(BgL_arg1651z00_2677);
									}
								}
								{	/* Ast/toccur.scm 279 */
									obj_t BgL_arg1652z00_2678;

									BgL_arg1652z00_2678 = CDR(((obj_t) BgL_bindingz00_2675));
									BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
										((BgL_nodez00_bglt) BgL_arg1652z00_2678));
								}
							}
							{
								obj_t BgL_l1274z00_3056;

								BgL_l1274z00_3056 = CDR(BgL_l1274z00_2674);
								BgL_l1274z00_2674 = BgL_l1274z00_3056;
								goto BgL_zc3z04anonymousza31646ze3z87_2673;
							}
						}
					else
						{	/* Ast/toccur.scm 276 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2606)))->BgL_bodyz00));
		}

	}



/* &occur-node!-let-fun1324 */
	obj_t BGl_z62occurzd2nodez12zd2letzd2fun1324za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2607, obj_t BgL_nodez00_2608)
	{
		{	/* Ast/toccur.scm 266 */
			{	/* Ast/toccur.scm 268 */
				obj_t BgL_g1273z00_2680;

				BgL_g1273z00_2680 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2608)))->BgL_localsz00);
				{
					obj_t BgL_l1271z00_2682;

					BgL_l1271z00_2682 = BgL_g1273z00_2680;
				BgL_zc3z04anonymousza31637ze3z87_2681:
					if (PAIRP(BgL_l1271z00_2682))
						{	/* Ast/toccur.scm 268 */
							BGl_typezd2incrementzd2sfunz12z12zzast_typezd2occurzd2(CAR
								(BgL_l1271z00_2682));
							{
								obj_t BgL_l1271z00_3067;

								BgL_l1271z00_3067 = CDR(BgL_l1271z00_2682);
								BgL_l1271z00_2682 = BgL_l1271z00_3067;
								goto BgL_zc3z04anonymousza31637ze3z87_2681;
							}
						}
					else
						{	/* Ast/toccur.scm 268 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2608)))->BgL_bodyz00));
		}

	}



/* &occur-node!-switch1322 */
	obj_t BGl_z62occurzd2nodez12zd2switch1322z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2609, obj_t BgL_nodez00_2610)
	{
		{	/* Ast/toccur.scm 256 */
			{	/* Ast/toccur.scm 257 */
				bool_t BgL_tmpz00_3072;

				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2610)))->BgL_testz00));
				{	/* Ast/toccur.scm 259 */
					obj_t BgL_g1270z00_2684;

					BgL_g1270z00_2684 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2610)))->BgL_clausesz00);
					{
						obj_t BgL_l1268z00_2686;

						BgL_l1268z00_2686 = BgL_g1270z00_2684;
					BgL_zc3z04anonymousza31633ze3z87_2685:
						if (PAIRP(BgL_l1268z00_2686))
							{	/* Ast/toccur.scm 259 */
								{	/* Ast/toccur.scm 260 */
									obj_t BgL_clausez00_2687;

									BgL_clausez00_2687 = CAR(BgL_l1268z00_2686);
									{	/* Ast/toccur.scm 260 */
										obj_t BgL_arg1635z00_2688;

										BgL_arg1635z00_2688 = CDR(((obj_t) BgL_clausez00_2687));
										BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
											((BgL_nodez00_bglt) BgL_arg1635z00_2688));
									}
								}
								{
									obj_t BgL_l1268z00_3085;

									BgL_l1268z00_3085 = CDR(BgL_l1268z00_2686);
									BgL_l1268z00_2686 = BgL_l1268z00_3085;
									goto BgL_zc3z04anonymousza31633ze3z87_2685;
								}
							}
						else
							{	/* Ast/toccur.scm 259 */
								BgL_tmpz00_3072 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_3072);
			}
		}

	}



/* &occur-node!-fail1320 */
	obj_t BGl_z62occurzd2nodez12zd2fail1320z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2611, obj_t BgL_nodez00_2612)
	{
		{	/* Ast/toccur.scm 247 */
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2612)))->BgL_procz00));
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2612)))->BgL_msgz00));
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2612)))->BgL_objz00));
		}

	}



/* &occur-node!-conditio1318 */
	obj_t BGl_z62occurzd2nodez12zd2conditio1318z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2613, obj_t BgL_nodez00_2614)
	{
		{	/* Ast/toccur.scm 238 */
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2614)))->BgL_testz00));
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2614)))->BgL_truez00));
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2614)))->BgL_falsez00));
		}

	}



/* &occur-node!-setq1316 */
	obj_t BGl_z62occurzd2nodez12zd2setq1316z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2615, obj_t BgL_nodez00_2616)
	{
		{	/* Ast/toccur.scm 230 */
			{	/* Ast/toccur.scm 232 */
				BgL_varz00_bglt BgL_arg1600z00_2692;

				BgL_arg1600z00_2692 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2616)))->BgL_varz00);
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
					((BgL_nodez00_bglt) BgL_arg1600z00_2692));
			}
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2616)))->BgL_valuez00));
		}

	}



/* &occur-node!-valloc1314 */
	obj_t BGl_z62occurzd2nodez12zd2valloc1314z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2617, obj_t BgL_nodez00_2618)
	{
		{	/* Ast/toccur.scm 220 */
			{

				{	/* Ast/toccur.scm 222 */
					BgL_typez00_bglt BgL_arg1590z00_2696;

					BgL_arg1590z00_2696 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vallocz00_bglt) BgL_nodez00_2618))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1590z00_2696);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vallocz00_bglt) COBJECT(
								((BgL_vallocz00_bglt) BgL_nodez00_2618)))->BgL_ftypez00));
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vallocz00_bglt) COBJECT(
								((BgL_vallocz00_bglt) BgL_nodez00_2618)))->BgL_otypez00));
				{	/* Ast/toccur.scm 220 */
					obj_t BgL_nextzd2method1313zd2_2695;

					BgL_nextzd2method1313zd2_2695 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) BgL_nodez00_2618)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_vallocz00zzast_nodez00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1313zd2_2695))
						(BgL_nextzd2method1313zd2_2695,
						((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_2618)), BEOA);
				}
			}
		}

	}



/* &occur-node!-vset!1312 */
	obj_t BGl_z62occurzd2nodez12zd2vsetz121312z62zzast_typezd2occurzd2(obj_t
		BgL_envz00_2619, obj_t BgL_nodez00_2620)
	{
		{	/* Ast/toccur.scm 210 */
			{

				{	/* Ast/toccur.scm 212 */
					BgL_typez00_bglt BgL_arg1581z00_2700;

					BgL_arg1581z00_2700 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_2620))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1581z00_2700);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt) BgL_nodez00_2620)))->BgL_ftypez00));
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt) BgL_nodez00_2620)))->BgL_otypez00));
				{	/* Ast/toccur.scm 210 */
					obj_t BgL_nextzd2method1311zd2_2699;

					BgL_nextzd2method1311zd2_2699 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_2620)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_vsetz12z12zzast_nodez00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1311zd2_2699))
						(BgL_nextzd2method1311zd2_2699,
						((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_2620)), BEOA);
				}
			}
		}

	}



/* &occur-node!-vref1310 */
	obj_t BGl_z62occurzd2nodez12zd2vref1310z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2621, obj_t BgL_nodez00_2622)
	{
		{	/* Ast/toccur.scm 200 */
			{

				{	/* Ast/toccur.scm 202 */
					BgL_typez00_bglt BgL_arg1570z00_2704;

					BgL_arg1570z00_2704 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vrefz00_bglt) BgL_nodez00_2622))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1570z00_2704);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt) BgL_nodez00_2622)))->BgL_ftypez00));
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt) BgL_nodez00_2622)))->BgL_otypez00));
				{	/* Ast/toccur.scm 200 */
					obj_t BgL_nextzd2method1309zd2_2703;

					BgL_nextzd2method1309zd2_2703 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt) BgL_nodez00_2622)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_vrefz00zzast_nodez00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1309zd2_2703))
						(BgL_nextzd2method1309zd2_2703,
						((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_2622)), BEOA);
				}
			}
		}

	}



/* &occur-node!-vlength1308 */
	obj_t BGl_z62occurzd2nodez12zd2vlength1308z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2623, obj_t BgL_nodez00_2624)
	{
		{	/* Ast/toccur.scm 191 */
			{

				{	/* Ast/toccur.scm 193 */
					BgL_typez00_bglt BgL_arg1565z00_2708;

					BgL_arg1565z00_2708 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vlengthz00_bglt) BgL_nodez00_2624))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1565z00_2708);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_vlengthz00_bglt) COBJECT(
								((BgL_vlengthz00_bglt) BgL_nodez00_2624)))->BgL_vtypez00));
				{	/* Ast/toccur.scm 191 */
					obj_t BgL_nextzd2method1307zd2_2707;

					BgL_nextzd2method1307zd2_2707 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt) BgL_nodez00_2624)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_vlengthz00zzast_nodez00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1307zd2_2707))
						(BgL_nextzd2method1307zd2_2707,
						((obj_t) ((BgL_vlengthz00_bglt) BgL_nodez00_2624)), BEOA);
				}
			}
		}

	}



/* &occur-node!-instance1306 */
	obj_t BGl_z62occurzd2nodez12zd2instance1306z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2625, obj_t BgL_nodez00_2626)
	{
		{	/* Ast/toccur.scm 182 */
			{

				{	/* Ast/toccur.scm 184 */
					BgL_typez00_bglt BgL_arg1559z00_2712;

					BgL_arg1559z00_2712 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_instanceofz00_bglt) BgL_nodez00_2626))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1559z00_2712);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_instanceofz00_bglt) COBJECT(
								((BgL_instanceofz00_bglt) BgL_nodez00_2626)))->BgL_classz00));
				{	/* Ast/toccur.scm 182 */
					obj_t BgL_nextzd2method1305zd2_2711;

					BgL_nextzd2method1305zd2_2711 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nodez00_2626)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_instanceofz00zzast_nodez00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1305zd2_2711))
						(BgL_nextzd2method1305zd2_2711,
						((obj_t) ((BgL_instanceofz00_bglt) BgL_nodez00_2626)), BEOA);
				}
			}
		}

	}



/* &occur-node!-cast-nul1304 */
	obj_t BGl_z62occurzd2nodez12zd2castzd2nul1304za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2627, obj_t BgL_nodez00_2628)
	{
		{	/* Ast/toccur.scm 175 */
			{	/* Ast/toccur.scm 177 */
				BgL_typez00_bglt BgL_arg1558z00_2714;

				BgL_arg1558z00_2714 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nodez00_2628))))->BgL_typez00);
				return
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
					(BgL_arg1558z00_2714);
			}
		}

	}



/* &occur-node!-cast1302 */
	obj_t BGl_z62occurzd2nodez12zd2cast1302z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2629, obj_t BgL_nodez00_2630)
	{
		{	/* Ast/toccur.scm 166 */
			{

				{	/* Ast/toccur.scm 168 */
					BgL_typez00_bglt BgL_arg1532z00_2718;

					BgL_arg1532z00_2718 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castz00_bglt) BgL_nodez00_2630))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1532z00_2718);
				}
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2630)))->BgL_argz00));
				{	/* Ast/toccur.scm 166 */
					obj_t BgL_nextzd2method1301zd2_2717;

					BgL_nextzd2method1301zd2_2717 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_castz00_bglt) BgL_nodez00_2630)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_castz00zzast_nodez00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1301zd2_2717))
						(BgL_nextzd2method1301zd2_2717,
						((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2630)), BEOA);
				}
			}
		}

	}



/* &occur-node!-new1300 */
	obj_t BGl_z62occurzd2nodez12zd2new1300z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2631, obj_t BgL_nodez00_2632)
	{
		{	/* Ast/toccur.scm 157 */
			{

				{	/* Ast/toccur.scm 159 */
					BgL_typez00_bglt BgL_arg1522z00_2722;

					BgL_arg1522z00_2722 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_nodez00_2632))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1522z00_2722);
				}
				{	/* Ast/toccur.scm 160 */
					obj_t BgL_g1267z00_2723;

					BgL_g1267z00_2723 =
						(((BgL_newz00_bglt) COBJECT(
								((BgL_newz00_bglt) BgL_nodez00_2632)))->BgL_argszd2typezd2);
					{
						obj_t BgL_l1265z00_2725;

						BgL_l1265z00_2725 = BgL_g1267z00_2723;
					BgL_zc3z04anonymousza31523ze3z87_2724:
						if (PAIRP(BgL_l1265z00_2725))
							{	/* Ast/toccur.scm 160 */
								{	/* Ast/toccur.scm 160 */
									obj_t BgL_arg1526z00_2726;

									BgL_arg1526z00_2726 = CAR(BgL_l1265z00_2725);
									BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
										((BgL_typez00_bglt) BgL_arg1526z00_2726));
								}
								{
									obj_t BgL_l1265z00_3233;

									BgL_l1265z00_3233 = CDR(BgL_l1265z00_2725);
									BgL_l1265z00_2725 = BgL_l1265z00_3233;
									goto BgL_zc3z04anonymousza31523ze3z87_2724;
								}
							}
						else
							{	/* Ast/toccur.scm 160 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/toccur.scm 157 */
					obj_t BgL_nextzd2method1299zd2_2721;

					BgL_nextzd2method1299zd2_2721 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_newz00_bglt) BgL_nodez00_2632)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_newz00zzast_nodez00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1299zd2_2721))
						(BgL_nextzd2method1299zd2_2721,
						((obj_t) ((BgL_newz00_bglt) BgL_nodez00_2632)), BEOA);
				}
			}
		}

	}



/* &occur-node!-setfield1298 */
	obj_t BGl_z62occurzd2nodez12zd2setfield1298z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2633, obj_t BgL_nodez00_2634)
	{
		{	/* Ast/toccur.scm 147 */
			{

				{	/* Ast/toccur.scm 149 */
					BgL_typez00_bglt BgL_arg1510z00_2730;

					BgL_arg1510z00_2730 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setfieldz00_bglt) BgL_nodez00_2634))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1510z00_2730);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_setfieldz00_bglt) COBJECT(
								((BgL_setfieldz00_bglt) BgL_nodez00_2634)))->BgL_otypez00));
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_setfieldz00_bglt) COBJECT(
								((BgL_setfieldz00_bglt) BgL_nodez00_2634)))->BgL_ftypez00));
				{	/* Ast/toccur.scm 147 */
					obj_t BgL_nextzd2method1297zd2_2729;

					BgL_nextzd2method1297zd2_2729 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt) BgL_nodez00_2634)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_setfieldz00zzast_nodez00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1297zd2_2729))
						(BgL_nextzd2method1297zd2_2729,
						((obj_t) ((BgL_setfieldz00_bglt) BgL_nodez00_2634)), BEOA);
				}
			}
		}

	}



/* &occur-node!-getfield1296 */
	obj_t BGl_z62occurzd2nodez12zd2getfield1296z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2635, obj_t BgL_nodez00_2636)
	{
		{	/* Ast/toccur.scm 137 */
			{

				{	/* Ast/toccur.scm 139 */
					BgL_typez00_bglt BgL_arg1484z00_2734;

					BgL_arg1484z00_2734 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_getfieldz00_bglt) BgL_nodez00_2636))))->BgL_typez00);
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1484z00_2734);
				}
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_getfieldz00_bglt) COBJECT(
								((BgL_getfieldz00_bglt) BgL_nodez00_2636)))->BgL_otypez00));
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
					(((BgL_getfieldz00_bglt) COBJECT(
								((BgL_getfieldz00_bglt) BgL_nodez00_2636)))->BgL_ftypez00));
				{	/* Ast/toccur.scm 137 */
					obj_t BgL_nextzd2method1295zd2_2733;

					BgL_nextzd2method1295zd2_2733 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt) BgL_nodez00_2636)),
						BGl_occurzd2nodez12zd2envz12zzast_typezd2occurzd2,
						BGl_getfieldz00zzast_nodez00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1295zd2_2733))
						(BgL_nextzd2method1295zd2_2733,
						((obj_t) ((BgL_getfieldz00_bglt) BgL_nodez00_2636)), BEOA);
				}
			}
		}

	}



/* &occur-node!-extern1294 */
	obj_t BGl_z62occurzd2nodez12zd2extern1294z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2637, obj_t BgL_nodez00_2638)
	{
		{	/* Ast/toccur.scm 129 */
			return
				BBOOL(BGl_occurzd2nodeza2z12z62zzast_typezd2occurzd2(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2638)))->BgL_exprza2za2)));
		}

	}



/* &occur-node!-funcall1292 */
	obj_t BGl_z62occurzd2nodez12zd2funcall1292z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2639, obj_t BgL_nodez00_2640)
	{
		{	/* Ast/toccur.scm 120 */
			{	/* Ast/toccur.scm 121 */
				bool_t BgL_tmpz00_3286;

				{	/* Ast/toccur.scm 122 */
					BgL_typez00_bglt BgL_arg1467z00_2737;

					BgL_arg1467z00_2737 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt)
							((BgL_funcallz00_bglt) BgL_nodez00_2640)), ((bool_t) 0));
					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
						(BgL_arg1467z00_2737);
				}
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2640)))->BgL_funz00));
				BgL_tmpz00_3286 =
					BGl_occurzd2nodeza2z12z62zzast_typezd2occurzd2(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2640)))->BgL_argsz00));
				return BBOOL(BgL_tmpz00_3286);
			}
		}

	}



/* &occur-node!-app-ly1290 */
	obj_t BGl_z62occurzd2nodez12zd2appzd2ly1290za2zzast_typezd2occurzd2(obj_t
		BgL_envz00_2641, obj_t BgL_nodez00_2642)
	{
		{	/* Ast/toccur.scm 112 */
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2642)))->BgL_funz00));
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2642)))->BgL_argz00));
		}

	}



/* &occur-node!-app1288 */
	obj_t BGl_z62occurzd2nodez12zd2app1288z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2643, obj_t BgL_nodez00_2644)
	{
		{	/* Ast/toccur.scm 99 */
			{	/* Ast/toccur.scm 100 */
				bool_t BgL_tmpz00_3304;

				{	/* Ast/toccur.scm 101 */
					BgL_varz00_bglt BgL_arg1391z00_2740;

					BgL_arg1391z00_2740 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2644)))->BgL_funz00);
					BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
						((BgL_nodez00_bglt) BgL_arg1391z00_2740));
				}
				BGl_occurzd2nodeza2z12z62zzast_typezd2occurzd2(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2644)))->BgL_argsz00));
				{	/* Ast/toccur.scm 103 */
					BgL_variablez00_bglt BgL_varz00_2741;

					BgL_varz00_2741 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2644)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Ast/toccur.scm 103 */
						BgL_valuez00_bglt BgL_valz00_2742;

						BgL_valz00_2742 =
							(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2741))->BgL_valuez00);
						{	/* Ast/toccur.scm 104 */

							{	/* Ast/toccur.scm 105 */
								bool_t BgL_test1964z00_3316;

								{	/* Ast/toccur.scm 105 */
									obj_t BgL_classz00_2743;

									BgL_classz00_2743 = BGl_cfunz00zzast_varz00;
									{	/* Ast/toccur.scm 105 */
										BgL_objectz00_bglt BgL_arg1820z00_2744;

										{	/* Ast/toccur.scm 105 */
											obj_t BgL_tmpz00_3317;

											BgL_tmpz00_3317 =
												((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2742));
											BgL_arg1820z00_2744 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3317);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Ast/toccur.scm 105 */
												long BgL_idxz00_2745;

												BgL_idxz00_2745 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2744);
												BgL_test1964z00_3316 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2745 + ((long) 3))) ==
													BgL_classz00_2743);
											}
										else
											{	/* Ast/toccur.scm 105 */
												bool_t BgL_res1859z00_2748;

												{	/* Ast/toccur.scm 105 */
													obj_t BgL_oclassz00_2749;

													{	/* Ast/toccur.scm 105 */
														long BgL_arg1828z00_2750;

														{	/* Ast/toccur.scm 105 */
															long BgL_arg1829z00_2751;

															BgL_arg1829z00_2751 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2744);
															BgL_arg1828z00_2750 =
																(BgL_arg1829z00_2751 - OBJECT_TYPE);
														}
														BgL_oclassz00_2749 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2750);
													}
													{	/* Ast/toccur.scm 105 */
														bool_t BgL__ortest_1111z00_2752;

														BgL__ortest_1111z00_2752 =
															(BgL_classz00_2743 == BgL_oclassz00_2749);
														if (BgL__ortest_1111z00_2752)
															{	/* Ast/toccur.scm 105 */
																BgL_res1859z00_2748 = BgL__ortest_1111z00_2752;
															}
														else
															{	/* Ast/toccur.scm 105 */
																long BgL_odepthz00_2753;

																BgL_odepthz00_2753 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2749);
																if ((((long) 3) < BgL_odepthz00_2753))
																	{	/* Ast/toccur.scm 105 */
																		obj_t BgL_arg1816z00_2754;

																		BgL_arg1816z00_2754 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2749, ((long) 3));
																		BgL_res1859z00_2748 =
																			(BgL_arg1816z00_2754 ==
																			BgL_classz00_2743);
																	}
																else
																	{	/* Ast/toccur.scm 105 */
																		BgL_res1859z00_2748 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1964z00_3316 = BgL_res1859z00_2748;
											}
									}
								}
								if (BgL_test1964z00_3316)
									{	/* Ast/toccur.scm 105 */
										BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
											(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2741))->
												BgL_typez00));
										{	/* Ast/toccur.scm 107 */
											obj_t BgL_g1264z00_2755;

											BgL_g1264z00_2755 =
												(((BgL_cfunz00_bglt) COBJECT(
														((BgL_cfunz00_bglt) BgL_valz00_2742)))->
												BgL_argszd2typezd2);
											{
												obj_t BgL_l1262z00_2757;

												BgL_l1262z00_2757 = BgL_g1264z00_2755;
											BgL_zc3z04anonymousza31401ze3z87_2756:
												if (PAIRP(BgL_l1262z00_2757))
													{	/* Ast/toccur.scm 107 */
														{	/* Ast/toccur.scm 107 */
															obj_t BgL_arg1421z00_2758;

															BgL_arg1421z00_2758 = CAR(BgL_l1262z00_2757);
															BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
																(((BgL_typez00_bglt) BgL_arg1421z00_2758));
														}
														{
															obj_t BgL_l1262z00_3346;

															BgL_l1262z00_3346 = CDR(BgL_l1262z00_2757);
															BgL_l1262z00_2757 = BgL_l1262z00_3346;
															goto BgL_zc3z04anonymousza31401ze3z87_2756;
														}
													}
												else
													{	/* Ast/toccur.scm 107 */
														BgL_tmpz00_3304 = ((bool_t) 1);
													}
											}
										}
									}
								else
									{	/* Ast/toccur.scm 105 */
										BgL_tmpz00_3304 = ((bool_t) 0);
									}
							}
						}
					}
				}
				return BBOOL(BgL_tmpz00_3304);
			}
		}

	}



/* &occur-node!-sync1286 */
	obj_t BGl_z62occurzd2nodez12zd2sync1286z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2645, obj_t BgL_nodez00_2646)
	{
		{	/* Ast/toccur.scm 91 */
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2646)))->BgL_mutexz00));
			BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2646)))->BgL_prelockz00));
			return
				BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2646)))->BgL_bodyz00));
		}

	}



/* &occur-node!-sequence1284 */
	obj_t BGl_z62occurzd2nodez12zd2sequence1284z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2647, obj_t BgL_nodez00_2648)
	{
		{	/* Ast/toccur.scm 85 */
			return
				BBOOL(BGl_occurzd2nodeza2z12z62zzast_typezd2occurzd2(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2648)))->BgL_nodesz00)));
		}

	}



/* &occur-node!-var1282 */
	obj_t BGl_z62occurzd2nodez12zd2var1282z70zzast_typezd2occurzd2(obj_t
		BgL_envz00_2649, obj_t BgL_nodez00_2650)
	{
		{	/* Ast/toccur.scm 76 */
			{	/* Ast/toccur.scm 77 */
				BgL_variablez00_bglt BgL_vz00_2762;

				BgL_vz00_2762 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2650)))->BgL_variablez00);
				{	/* Ast/toccur.scm 78 */
					BgL_valuez00_bglt BgL_valuez00_2763;

					BgL_valuez00_2763 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2762))->BgL_valuez00);
					{	/* Ast/toccur.scm 79 */
						bool_t BgL_test1969z00_3365;

						{	/* Ast/toccur.scm 79 */
							bool_t BgL_test1970z00_3366;

							{	/* Ast/toccur.scm 79 */
								obj_t BgL_classz00_2764;

								BgL_classz00_2764 = BGl_scnstz00zzast_varz00;
								{	/* Ast/toccur.scm 79 */
									BgL_objectz00_bglt BgL_arg1820z00_2765;

									{	/* Ast/toccur.scm 79 */
										obj_t BgL_tmpz00_3367;

										BgL_tmpz00_3367 =
											((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_2763));
										BgL_arg1820z00_2765 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3367);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Ast/toccur.scm 79 */
											long BgL_idxz00_2766;

											BgL_idxz00_2766 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2765);
											BgL_test1970z00_3366 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2766 + ((long) 2))) == BgL_classz00_2764);
										}
									else
										{	/* Ast/toccur.scm 79 */
											bool_t BgL_res1857z00_2769;

											{	/* Ast/toccur.scm 79 */
												obj_t BgL_oclassz00_2770;

												{	/* Ast/toccur.scm 79 */
													long BgL_arg1828z00_2771;

													{	/* Ast/toccur.scm 79 */
														long BgL_arg1829z00_2772;

														BgL_arg1829z00_2772 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2765);
														BgL_arg1828z00_2771 =
															(BgL_arg1829z00_2772 - OBJECT_TYPE);
													}
													BgL_oclassz00_2770 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2771);
												}
												{	/* Ast/toccur.scm 79 */
													bool_t BgL__ortest_1111z00_2773;

													BgL__ortest_1111z00_2773 =
														(BgL_classz00_2764 == BgL_oclassz00_2770);
													if (BgL__ortest_1111z00_2773)
														{	/* Ast/toccur.scm 79 */
															BgL_res1857z00_2769 = BgL__ortest_1111z00_2773;
														}
													else
														{	/* Ast/toccur.scm 79 */
															long BgL_odepthz00_2774;

															BgL_odepthz00_2774 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2770);
															if ((((long) 2) < BgL_odepthz00_2774))
																{	/* Ast/toccur.scm 79 */
																	obj_t BgL_arg1816z00_2775;

																	BgL_arg1816z00_2775 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2770,
																		((long) 2));
																	BgL_res1857z00_2769 =
																		(BgL_arg1816z00_2775 == BgL_classz00_2764);
																}
															else
																{	/* Ast/toccur.scm 79 */
																	BgL_res1857z00_2769 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1970z00_3366 = BgL_res1857z00_2769;
										}
								}
							}
							if (BgL_test1970z00_3366)
								{	/* Ast/toccur.scm 79 */
									obj_t BgL_arg1384z00_2776;

									BgL_arg1384z00_2776 =
										(((BgL_scnstz00_bglt) COBJECT(
												((BgL_scnstz00_bglt) BgL_valuez00_2763)))->BgL_nodez00);
									{	/* Ast/toccur.scm 79 */
										obj_t BgL_classz00_2777;

										BgL_classz00_2777 = BGl_nodez00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg1384z00_2776))
											{	/* Ast/toccur.scm 79 */
												BgL_objectz00_bglt BgL_arg1820z00_2778;

												BgL_arg1820z00_2778 =
													(BgL_objectz00_bglt) (BgL_arg1384z00_2776);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Ast/toccur.scm 79 */
														long BgL_idxz00_2779;

														BgL_idxz00_2779 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2778);
														BgL_test1969z00_3365 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2779 + ((long) 1))) ==
															BgL_classz00_2777);
													}
												else
													{	/* Ast/toccur.scm 79 */
														bool_t BgL_res1858z00_2782;

														{	/* Ast/toccur.scm 79 */
															obj_t BgL_oclassz00_2783;

															{	/* Ast/toccur.scm 79 */
																long BgL_arg1828z00_2784;

																{	/* Ast/toccur.scm 79 */
																	long BgL_arg1829z00_2785;

																	BgL_arg1829z00_2785 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2778);
																	BgL_arg1828z00_2784 =
																		(BgL_arg1829z00_2785 - OBJECT_TYPE);
																}
																BgL_oclassz00_2783 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_2784);
															}
															{	/* Ast/toccur.scm 79 */
																bool_t BgL__ortest_1111z00_2786;

																BgL__ortest_1111z00_2786 =
																	(BgL_classz00_2777 == BgL_oclassz00_2783);
																if (BgL__ortest_1111z00_2786)
																	{	/* Ast/toccur.scm 79 */
																		BgL_res1858z00_2782 =
																			BgL__ortest_1111z00_2786;
																	}
																else
																	{	/* Ast/toccur.scm 79 */
																		long BgL_odepthz00_2787;

																		BgL_odepthz00_2787 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2783);
																		if ((((long) 1) < BgL_odepthz00_2787))
																			{	/* Ast/toccur.scm 79 */
																				obj_t BgL_arg1816z00_2788;

																				BgL_arg1816z00_2788 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2783, ((long) 1));
																				BgL_res1858z00_2782 =
																					(BgL_arg1816z00_2788 ==
																					BgL_classz00_2777);
																			}
																		else
																			{	/* Ast/toccur.scm 79 */
																				BgL_res1858z00_2782 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1969z00_3365 = BgL_res1858z00_2782;
													}
											}
										else
											{	/* Ast/toccur.scm 79 */
												BgL_test1969z00_3365 = ((bool_t) 0);
											}
									}
								}
							else
								{	/* Ast/toccur.scm 79 */
									BgL_test1969z00_3365 = ((bool_t) 0);
								}
						}
						if (BgL_test1969z00_3365)
							{	/* Ast/toccur.scm 80 */
								obj_t BgL_arg1381z00_2789;

								BgL_arg1381z00_2789 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt) BgL_valuez00_2763)))->BgL_nodez00);
								return
									BGl_occurzd2nodez12zc0zzast_typezd2occurzd2(
									((BgL_nodez00_bglt) BgL_arg1381z00_2789));
							}
						else
							{	/* Ast/toccur.scm 79 */
								return BFALSE;
							}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_typezd2occurzd2(void)
	{
		{	/* Ast/toccur.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1898z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1898z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1898z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1898z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1898z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1898z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1898z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1898z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1898z00zzast_typezd2occurzd2));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1898z00zzast_typezd2occurzd2));
			return
				BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1898z00zzast_typezd2occurzd2));
		}

	}

#ifdef __cplusplus
}
#endif
