/*===========================================================================*/
/*   (BackEnd/jvm.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/jvm.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;


	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	BGL_IMPORT obj_t BGl_za2ppzd2widthza2zd2zz__ppz00;
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	BGL_IMPORT bool_t BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00(obj_t);
	extern obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_jvmz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
	extern obj_t BGl_za2autozd2linkzd2mainza2z00zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31880ze3ze5zzbackend_jvmz00(obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzbackend_jvmz00(void);
	extern obj_t BGl_jvmzd2aszd2zzjas_asz00(obj_t, obj_t);
	extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_jvmz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzbackend_jvmz00(void);
	static obj_t BGl_emitze70ze7zzbackend_jvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_za2ppzd2caseza2zd2zz__ppz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_jasnamez00zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
	static obj_t BGl_zc3z04exitza31770ze3ze70z60zzbackend_jvmz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_addsuffixz00zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	static obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00(void);
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t, bool_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_jvmz00(void);
	extern obj_t BGl_jvmz00zzbackend_jvm_classz00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	extern obj_t BGl_findzd2mainzd2zzengine_linkz00(obj_t);
	static obj_t BGl_z62backendzd2cnstzd2tablezd2n1496zb0zzbackend_jvmz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62startzd2jvmzd2emissionz12z70zzbackend_jvmz00(obj_t);
	extern obj_t BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00(void);
	static obj_t BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_compilerz00zzengine_compilerz00(void);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_ldz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_peepz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_asz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2subtypezf3zd2jvm1502z91zzbackend_jvmz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2mcozd2suffixza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t fexists(char *);
	static obj_t BGl_z62buildzd2jvmzd2backendz62zzbackend_jvmz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31721ze3ze5zzbackend_jvmz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31713ze3ze5zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_suffixz00zz__osz00(obj_t);
	static obj_t BGl_z62backendzd2linkzd2objects1498z62zzbackend_jvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_jvmzd2dirnamezd2zzbackend_jvmz00(obj_t);
	extern obj_t BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00(void);
	static obj_t BGl_cnstzd2initzd2zzbackend_jvmz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00(void);
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	static obj_t BGl_z62backendzd2checkzd2inline1500z62zzbackend_jvmz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvmz00(void);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_jvmz00(void);
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31724ze3ze5zzbackend_jvmz00(obj_t);
	extern obj_t BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
	static obj_t BGl_z62backendzd2compilezd2jvm1492z62zzbackend_jvmz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t bgl_directoryp(char *);
	static obj_t BGl_jvmzd2filenamezd2zzbackend_jvmz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_readzd2jfilezd2zzread_jvmz00(void);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t);
	extern obj_t BGl_iszd2subtypezf3z21zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2linkzd2jvm1494z62zzbackend_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
	static obj_t BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 = BUNSPEC;
	extern obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31771ze3ze5zzbackend_jvmz00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	static bool_t BGl_z62zc3z04anonymousza31845ze3ze5zzbackend_jvmz00(obj_t,
		obj_t);
	static obj_t BGl_jvmasdumpz00zzbackend_jvmz00(obj_t, obj_t);
	static obj_t __cnst[21];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2032z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2che2061z00,
		BGl_z62backendzd2checkzd2inline1500z62zzbackend_jvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2040z00zzbackend_jvmz00,
		BgL_bgl_string2040za700za7za7b2062za7, "Illegal file", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2034z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2sub2063z00,
		BGl_z62backendzd2subtypezf3zd2jvm1502z91zzbackend_jvmz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2041z00zzbackend_jvmz00,
		BgL_bgl_string2041za700za7za7b2064za7, "__cnst", 6);
	      DEFINE_STRING(BGl_string2042z00zzbackend_jvmz00,
		BgL_bgl_string2042za700za7za7b2065za7, "Jvm", 3);
	      DEFINE_STRING(BGl_string2043z00zzbackend_jvmz00,
		BgL_bgl_string2043za700za7za7b2066za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2044z00zzbackend_jvmz00,
		BgL_bgl_string2044za700za7za7b2067za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2045z00zzbackend_jvmz00,
		BgL_bgl_string2045za700za7za7b2068za7, "]", 1);
	      DEFINE_STRING(BGl_string2046z00zzbackend_jvmz00,
		BgL_bgl_string2046za700za7za7b2069za7, " qualified type name: ", 22);
	      DEFINE_STRING(BGl_string2047z00zzbackend_jvmz00,
		BgL_bgl_string2047za700za7za7b2070za7, "      [module: ", 15);
	      DEFINE_STRING(BGl_string2048z00zzbackend_jvmz00,
		BgL_bgl_string2048za700za7za7b2071za7, "a.class", 7);
	      DEFINE_STRING(BGl_string2052z00zzbackend_jvmz00,
		BgL_bgl_string2052za700za7za7b2072za7, "/", 1);
	      DEFINE_STRING(BGl_string2053z00zzbackend_jvmz00,
		BgL_bgl_string2053za700za7za7b2073za7, "/a.class", 8);
	      DEFINE_STRING(BGl_string2054z00zzbackend_jvmz00,
		BgL_bgl_string2054za700za7za7b2074za7, "\n", 1);
	      DEFINE_STRING(BGl_string2055z00zzbackend_jvmz00,
		BgL_bgl_string2055za700za7za7b2075za7, "        class: ", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zzbackend_jvmz00,
		BgL_bgl_za762za7c3za704anonymo2076za7,
		BGl_z62zc3z04anonymousza31713ze3ze5zzbackend_jvmz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2056z00zzbackend_jvmz00,
		BgL_bgl_string2056za700za7za7b2077za7, "jvm-dump", 8);
	      DEFINE_STRING(BGl_string2057z00zzbackend_jvmz00,
		BgL_bgl_string2057za700za7za7b2078za7, "Can't open file for output", 26);
	      DEFINE_STRING(BGl_string2058z00zzbackend_jvmz00,
		BgL_bgl_string2058za700za7za7b2079za7, "backend_jvm", 11);
	      DEFINE_STRING(BGl_string2059z00zzbackend_jvmz00,
		BgL_bgl_string2059za700za7za7b2080za7,
		"done cc (ld distrib) pass-started (start-jvm-emission!) module eval library java.lang.Object object ld class jvmas jast lower unamed (jvm) (java) native bigloo-jvm jvm ",
		168);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2050z00zzbackend_jvmz00,
		BgL_bgl_za762za7c3za704anonymo2081za7,
		BGl_z62zc3z04anonymousza31721ze3ze5zzbackend_jvmz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2051z00zzbackend_jvmz00,
		BgL_bgl_za762za7c3za704anonymo2082za7,
		BGl_z62zc3z04anonymousza31724ze3ze5zzbackend_jvmz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_buildzd2jvmzd2backendzd2envzd2zzbackend_jvmz00,
		BgL_bgl_za762buildza7d2jvmza7d2083za7,
		BGl_z62buildzd2jvmzd2backendz62zzbackend_jvmz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2compilezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_startzd2jvmzd2emissionz12zd2envzc0zzbackend_jvmz00,
		BgL_bgl_za762startza7d2jvmza7d2084za7,
		BGl_z62startzd2jvmzd2emissionz12z70zzbackend_jvmz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2linkzd2envz00zzbackend_backendz00;
	extern obj_t BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00;
	extern obj_t BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00;
	extern obj_t BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00;
	extern obj_t BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00;
	   
		 
		DEFINE_STRING(BGl_string2008z00zzbackend_jvmz00,
		BgL_bgl_string2008za700za7za7b2085za7, ".", 1);
	      DEFINE_STRING(BGl_string2009z00zzbackend_jvmz00,
		BgL_bgl_string2009za700za7za7b2086za7, "dummy", 5);
	      DEFINE_STRING(BGl_string2010z00zzbackend_jvmz00,
		BgL_bgl_string2010za700za7za7b2087za7, "jheap", 5);
	      DEFINE_STRING(BGl_string2011z00zzbackend_jvmz00,
		BgL_bgl_string2011za700za7za7b2088za7, "", 0);
	      DEFINE_STRING(BGl_string2012z00zzbackend_jvmz00,
		BgL_bgl_string2012za700za7za7b2089za7, "'.", 2);
	      DEFINE_STRING(BGl_string2013z00zzbackend_jvmz00,
		BgL_bgl_string2013za700za7za7b2090za7, "', class path is `", 18);
	      DEFINE_STRING(BGl_string2014z00zzbackend_jvmz00,
		BgL_bgl_string2014za700za7za7b2091za7, " is `", 5);
	      DEFINE_STRING(BGl_string2015z00zzbackend_jvmz00,
		BgL_bgl_string2015za700za7za7b2092za7, "Package name for module ", 24);
	      DEFINE_STRING(BGl_string2016z00zzbackend_jvmz00,
		BgL_bgl_string2016za700za7za7b2093za7,
		"Incompatible package name and class path.", 41);
	      DEFINE_STRING(BGl_string2017z00zzbackend_jvmz00,
		BgL_bgl_string2017za700za7za7b2094za7, ".jast", 5);
	      DEFINE_STRING(BGl_string2018z00zzbackend_jvmz00,
		BgL_bgl_string2018za700za7za7b2095za7, ".jas", 4);
	      DEFINE_STRING(BGl_string2019z00zzbackend_jvmz00,
		BgL_bgl_string2019za700za7za7b2096za7, ".class", 6);
	      DEFINE_STRING(BGl_string2020z00zzbackend_jvmz00,
		BgL_bgl_string2020za700za7za7b2097za7, "start-jvm-emission!", 19);
	      DEFINE_STRING(BGl_string2021z00zzbackend_jvmz00,
		BgL_bgl_string2021za700za7za7b2098za7,
		"Can't write dest file because directory doesn't exist", 53);
	      DEFINE_STRING(BGl_string2022z00zzbackend_jvmz00,
		BgL_bgl_string2022za700za7za7b2099za7, "JVMMAIN", 7);
	      DEFINE_STRING(BGl_string2023z00zzbackend_jvmz00,
		BgL_bgl_string2023za700za7za7b2100za7, ".bgl", 4);
	      DEFINE_STRING(BGl_string2025z00zzbackend_jvmz00,
		BgL_bgl_string2025za700za7za7b2101za7, "backend-compile", 15);
	      DEFINE_STRING(BGl_string2027z00zzbackend_jvmz00,
		BgL_bgl_string2027za700za7za7b2102za7, "backend-link", 12);
	      DEFINE_STRING(BGl_string2029z00zzbackend_jvmz00,
		BgL_bgl_string2029za700za7za7b2103za7, "backend-cnst-table-name", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2024z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2com2104z00,
		BGl_z62backendzd2compilezd2jvm1492z62zzbackend_jvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2031z00zzbackend_jvmz00,
		BgL_bgl_string2031za700za7za7b2105za7, "backend-link-objects", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2026z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2lin2106z00,
		BGl_z62backendzd2linkzd2jvm1494z62zzbackend_jvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2033z00zzbackend_jvmz00,
		BgL_bgl_string2033za700za7za7b2107za7, "backend-check-inlines", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2028z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2cns2108z00,
		BGl_z62backendzd2cnstzd2tablezd2n1496zb0zzbackend_jvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2035z00zzbackend_jvmz00,
		BgL_bgl_string2035za700za7za7b2109za7, "backend-subtype?", 16);
	      DEFINE_STRING(BGl_string2036z00zzbackend_jvmz00,
		BgL_bgl_string2036za700za7za7b2110za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2037z00zzbackend_jvmz00,
		BgL_bgl_string2037za700za7za7b2111za7, "No source file found", 20);
	      DEFINE_STRING(BGl_string2038z00zzbackend_jvmz00,
		BgL_bgl_string2038za700za7za7b2112za7, "link", 4);
	      DEFINE_STRING(BGl_string2039z00zzbackend_jvmz00,
		BgL_bgl_string2039za700za7za7b2113za7, "\"", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2030z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2lin2114z00,
		BGl_z62backendzd2linkzd2objects1498z62zzbackend_jvmz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbackend_jvmz00));
		     ADD_ROOT((void *) (&BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long
		BgL_checksumz00_3246, char *BgL_fromz00_3247)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_jvmz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_jvmz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_jvmz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00();
					BGl_cnstzd2initzd2zzbackend_jvmz00();
					BGl_importedzd2moduleszd2initz00zzbackend_jvmz00();
					BGl_methodzd2initzd2zzbackend_jvmz00();
					return BGl_toplevelzd2initzd2zzbackend_jvmz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_jvm");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			{	/* BackEnd/jvm.scm 15 */
				obj_t BgL_cportz00_3070;

				{	/* BackEnd/jvm.scm 15 */
					obj_t BgL_stringz00_3077;

					BgL_stringz00_3077 = BGl_string2059z00zzbackend_jvmz00;
					{	/* BackEnd/jvm.scm 15 */
						obj_t BgL_startz00_3078;

						BgL_startz00_3078 = BINT(((long) 0));
						{	/* BackEnd/jvm.scm 15 */
							obj_t BgL_endz00_3079;

							BgL_endz00_3079 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3077)));
							{	/* BackEnd/jvm.scm 15 */

								BgL_cportz00_3070 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3077, BgL_startz00_3078, BgL_endz00_3079);
				}}}}
				{
					long BgL_iz00_3071;

					BgL_iz00_3071 = ((long) 20);
				BgL_loopz00_3072:
					if ((BgL_iz00_3071 == ((long) -1)))
						{	/* BackEnd/jvm.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/jvm.scm 15 */
							{	/* BackEnd/jvm.scm 15 */
								obj_t BgL_arg2060z00_3073;

								{	/* BackEnd/jvm.scm 15 */

									{	/* BackEnd/jvm.scm 15 */
										obj_t BgL_locationz00_3075;

										BgL_locationz00_3075 = BBOOL(((bool_t) 0));
										{	/* BackEnd/jvm.scm 15 */

											BgL_arg2060z00_3073 =
												BGl_readz00zz__readerz00(BgL_cportz00_3070,
												BgL_locationz00_3075);
										}
									}
								}
								{	/* BackEnd/jvm.scm 15 */
									int BgL_tmpz00_3282;

									BgL_tmpz00_3282 = (int) (BgL_iz00_3071);
									CNST_TABLE_SET(BgL_tmpz00_3282, BgL_arg2060z00_3073);
							}}
							{	/* BackEnd/jvm.scm 15 */
								int BgL_auxz00_3076;

								BgL_auxz00_3076 = (int) ((BgL_iz00_3071 - ((long) 1)));
								{
									long BgL_iz00_3287;

									BgL_iz00_3287 = (long) (BgL_auxz00_3076);
									BgL_iz00_3071 = BgL_iz00_3287;
									goto BgL_loopz00_3072;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			BGl_registerzd2backendz12zc0zzbackend_backendz00(CNST_TABLE_REF(((long)
						0)), BGl_buildzd2jvmzd2backendzd2envzd2zzbackend_jvmz00);
			BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
				BGl_string2008z00zzbackend_jvmz00;
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzbackend_jvmz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1930;

				BgL_headz00_1930 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1931;
					obj_t BgL_tailz00_1932;

					BgL_prevz00_1931 = BgL_headz00_1930;
					BgL_tailz00_1932 = BgL_l1z00_1;
				BgL_loopz00_1933:
					if (PAIRP(BgL_tailz00_1932))
						{
							obj_t BgL_newzd2prevzd2_1935;

							BgL_newzd2prevzd2_1935 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1932), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1931, BgL_newzd2prevzd2_1935);
							{
								obj_t BgL_tailz00_3299;
								obj_t BgL_prevz00_3298;

								BgL_prevz00_3298 = BgL_newzd2prevzd2_1935;
								BgL_tailz00_3299 = CDR(BgL_tailz00_1932);
								BgL_tailz00_1932 = BgL_tailz00_3299;
								BgL_prevz00_1931 = BgL_prevz00_3298;
								goto BgL_loopz00_1933;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1930);
				}
			}
		}

	}



/* &build-jvm-backend */
	obj_t BGl_z62buildzd2jvmzd2backendz62zzbackend_jvmz00(obj_t BgL_envz00_3009)
	{
		{	/* BackEnd/jvm.scm 52 */
			{
				BgL_jvmz00_bglt BgL_auxz00_3302;

				{	/* BackEnd/jvm.scm 53 */
					BgL_jvmz00_bglt BgL_new1114z00_3081;

					{	/* BackEnd/jvm.scm 54 */
						BgL_jvmz00_bglt BgL_new1113z00_3082;

						BgL_new1113z00_3082 =
							((BgL_jvmz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_jvmz00_bgl))));
						{	/* BackEnd/jvm.scm 54 */
							long BgL_arg1521z00_3083;

							BgL_arg1521z00_3083 =
								BGL_CLASS_NUM(BGl_jvmz00zzbackend_jvm_classz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1113z00_3082),
								BgL_arg1521z00_3083);
						}
						BgL_new1114z00_3081 = BgL_new1113z00_3082;
					}
					((((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_new1114z00_3081)))->
							BgL_languagez00) = ((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_srfi0z00) =
						((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_namez00) =
						((obj_t) BGl_string2009z00zzbackend_jvmz00), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_externzd2variableszd2) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_externzd2functionszd2) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_externzd2typeszd2) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_variablesz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_functionsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_typesz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_typedz00) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_heapzd2suffixzd2) =
						((obj_t) BGl_string2010z00zzbackend_jvmz00), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_heapzd2compatiblezd2) =
						((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_callccz00) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_qualifiedzd2typeszd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_effectzb2zb2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_removezd2emptyzd2letz00) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_foreignzd2closurezd2) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_typedzd2eqzd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_tracezd2supportzd2) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_foreignzd2clausezd2supportz00) =
						((obj_t) CNST_TABLE_REF(((long) 3))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_debugzd2supportzd2) =
						((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_pragmazd2supportzd2) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_tvectorzd2descrzd2supportz00) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_requirezd2tailczd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_registersz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_pregistersz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_boundzd2checkzd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_typezd2checkzd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1114z00_3081)))->BgL_typedzd2funcallzd2) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1114z00_3081))->BgL_qnamez00) =
						((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1114z00_3081))->BgL_classesz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1114z00_3081))->
							BgL_currentzd2classzd2) = ((obj_t) BFALSE), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1114z00_3081))->
							BgL_declarationsz00) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1114z00_3081))->BgL_fieldsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1114z00_3081))->BgL_methodsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1114z00_3081))->
							BgL_currentzd2methodzd2) = ((obj_t) BFALSE), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1114z00_3081))->BgL_codez00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1114z00_3081))->
							BgL_lightzd2funcallszd2) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1114z00_3081))->BgL_inlinez00) =
						((obj_t) BTRUE), BUNSPEC);
					{	/* BackEnd/jvm.scm 53 */
						obj_t BgL_fun1511z00_3084;

						BgL_fun1511z00_3084 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_jvmz00zzbackend_jvm_classz00);
						((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_fun1511z00_3084)) (BgL_fun1511z00_3084,
							((obj_t) BgL_new1114z00_3081), BEOA);
					}
					BgL_auxz00_3302 = BgL_new1114z00_3081;
				}
				return ((obj_t) BgL_auxz00_3302);
			}
		}

	}



/* jvm-check-package */
	obj_t BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00(obj_t BgL_modulez00_4,
		obj_t BgL_pathz00_5)
	{
		{	/* BackEnd/jvm.scm 127 */
			{
				obj_t BgL_basez00_1959;
				obj_t BgL_pathz00_1960;

				{	/* BackEnd/jvm.scm 144 */
					obj_t BgL_qtypez00_1943;

					BgL_qtypez00_1943 =
						BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_4);
					{	/* BackEnd/jvm.scm 144 */
						obj_t BgL_basez00_1944;

						{	/* BackEnd/jvm.scm 145 */
							obj_t BgL_prez00_1956;

							BgL_prez00_1956 = BGl_prefixz00zz__osz00(BgL_qtypez00_1943);
							{	/* BackEnd/jvm.scm 147 */
								bool_t BgL_test2118z00_3390;

								{	/* BackEnd/jvm.scm 147 */
									long BgL_l1z00_2745;

									BgL_l1z00_2745 = STRING_LENGTH(BgL_prez00_1956);
									if ((BgL_l1z00_2745 == ((long) 0)))
										{	/* BackEnd/jvm.scm 147 */
											int BgL_arg1290z00_2748;

											{	/* BackEnd/jvm.scm 147 */
												char *BgL_auxz00_3396;
												char *BgL_tmpz00_3394;

												BgL_auxz00_3396 =
													BSTRING_TO_STRING(BGl_string2011z00zzbackend_jvmz00);
												BgL_tmpz00_3394 = BSTRING_TO_STRING(BgL_prez00_1956);
												BgL_arg1290z00_2748 =
													memcmp(BgL_tmpz00_3394, BgL_auxz00_3396,
													BgL_l1z00_2745);
											}
											BgL_test2118z00_3390 =
												((long) (BgL_arg1290z00_2748) == ((long) 0));
										}
									else
										{	/* BackEnd/jvm.scm 147 */
											BgL_test2118z00_3390 = ((bool_t) 0);
										}
								}
								if (BgL_test2118z00_3390)
									{	/* BackEnd/jvm.scm 147 */
										BgL_basez00_1944 = BGl_string2008z00zzbackend_jvmz00;
									}
								else
									{	/* BackEnd/jvm.scm 149 */
										bool_t BgL_test2120z00_3401;

										{	/* BackEnd/jvm.scm 149 */
											long BgL_l1z00_2756;

											BgL_l1z00_2756 = STRING_LENGTH(BgL_prez00_1956);
											if ((BgL_l1z00_2756 == STRING_LENGTH(BgL_qtypez00_1943)))
												{	/* BackEnd/jvm.scm 149 */
													int BgL_arg1290z00_2759;

													{	/* BackEnd/jvm.scm 149 */
														char *BgL_auxz00_3408;
														char *BgL_tmpz00_3406;

														BgL_auxz00_3408 =
															BSTRING_TO_STRING(BgL_qtypez00_1943);
														BgL_tmpz00_3406 =
															BSTRING_TO_STRING(BgL_prez00_1956);
														BgL_arg1290z00_2759 =
															memcmp(BgL_tmpz00_3406, BgL_auxz00_3408,
															BgL_l1z00_2756);
													}
													BgL_test2120z00_3401 =
														((long) (BgL_arg1290z00_2759) == ((long) 0));
												}
											else
												{	/* BackEnd/jvm.scm 149 */
													BgL_test2120z00_3401 = ((bool_t) 0);
												}
										}
										if (BgL_test2120z00_3401)
											{	/* BackEnd/jvm.scm 149 */
												BgL_basez00_1944 = BGl_string2008z00zzbackend_jvmz00;
											}
										else
											{	/* BackEnd/jvm.scm 149 */
												BgL_basez00_1944 = BgL_prez00_1956;
											}
									}
							}
						}
						{	/* BackEnd/jvm.scm 145 */

							{	/* BackEnd/jvm.scm 153 */
								bool_t BgL_test2122z00_3413;

								BgL_basez00_1959 =
									BGl_jvmzd2filenamezd2zzbackend_jvmz00(BgL_basez00_1944);
								BgL_pathz00_1960 = BgL_pathz00_5;
								{	/* BackEnd/jvm.scm 129 */
									long BgL_lbasez00_1962;
									long BgL_lpathz00_1963;

									BgL_lbasez00_1962 = STRING_LENGTH(BgL_basez00_1959);
									BgL_lpathz00_1963 = STRING_LENGTH(BgL_pathz00_1960);
									if ((BgL_lpathz00_1963 < BgL_lbasez00_1962))
										{	/* BackEnd/jvm.scm 131 */
											BgL_test2122z00_3413 = ((bool_t) 0);
										}
									else
										{
											long BgL_rpathz00_1969;
											long BgL_rbasez00_1970;

											BgL_rpathz00_1969 = (BgL_lpathz00_1963 - ((long) 1));
											BgL_rbasez00_1970 = (BgL_lbasez00_1962 - ((long) 1));
										BgL_zc3z04anonymousza31571ze3z87_1971:
											if ((BgL_rbasez00_1970 == ((long) -1)))
												{	/* BackEnd/jvm.scm 135 */
													BgL_test2122z00_3413 = ((bool_t) 1);
												}
											else
												{	/* BackEnd/jvm.scm 137 */
													unsigned char BgL_cbasez00_1973;
													unsigned char BgL_cpathz00_1974;

													BgL_cbasez00_1973 =
														STRING_REF(BgL_basez00_1959, BgL_rbasez00_1970);
													BgL_cpathz00_1974 =
														STRING_REF(BgL_pathz00_1960, BgL_rpathz00_1969);
													{	/* BackEnd/jvm.scm 139 */
														bool_t BgL_test2125z00_3422;

														if ((BgL_cbasez00_1973 == BgL_cpathz00_1974))
															{	/* BackEnd/jvm.scm 139 */
																BgL_test2125z00_3422 = ((bool_t) 1);
															}
														else
															{	/* BackEnd/jvm.scm 139 */
																if (
																	(BgL_cpathz00_1974 == ((unsigned char) '/')))
																	{	/* BackEnd/jvm.scm 140 */
																		BgL_test2125z00_3422 =
																			(BgL_cbasez00_1973 ==
																			((unsigned char) '.'));
																	}
																else
																	{	/* BackEnd/jvm.scm 140 */
																		BgL_test2125z00_3422 = ((bool_t) 0);
																	}
															}
														if (BgL_test2125z00_3422)
															{
																long BgL_rbasez00_3430;
																long BgL_rpathz00_3428;

																BgL_rpathz00_3428 =
																	(BgL_rpathz00_1969 - ((long) 1));
																BgL_rbasez00_3430 =
																	(BgL_rbasez00_1970 - ((long) 1));
																BgL_rbasez00_1970 = BgL_rbasez00_3430;
																BgL_rpathz00_1969 = BgL_rpathz00_3428;
																goto BgL_zc3z04anonymousza31571ze3z87_1971;
															}
														else
															{	/* BackEnd/jvm.scm 139 */
																BgL_test2122z00_3413 = ((bool_t) 0);
															}
													}
												}
										}
								}
								if (BgL_test2122z00_3413)
									{	/* BackEnd/jvm.scm 153 */
										return BFALSE;
									}
								else
									{	/* BackEnd/jvm.scm 154 */
										obj_t BgL_list1524z00_1947;

										{	/* BackEnd/jvm.scm 154 */
											obj_t BgL_arg1526z00_1948;

											{	/* BackEnd/jvm.scm 154 */
												obj_t BgL_arg1529z00_1949;

												{	/* BackEnd/jvm.scm 154 */
													obj_t BgL_arg1532z00_1950;

													{	/* BackEnd/jvm.scm 154 */
														obj_t BgL_arg1535z00_1951;

														{	/* BackEnd/jvm.scm 154 */
															obj_t BgL_arg1558z00_1952;

															{	/* BackEnd/jvm.scm 154 */
																obj_t BgL_arg1559z00_1953;

																{	/* BackEnd/jvm.scm 154 */
																	obj_t BgL_arg1561z00_1954;

																	BgL_arg1561z00_1954 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2012z00zzbackend_jvmz00, BNIL);
																	BgL_arg1559z00_1953 =
																		MAKE_YOUNG_PAIR(BgL_pathz00_5,
																		BgL_arg1561z00_1954);
																}
																BgL_arg1558z00_1952 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2013z00zzbackend_jvmz00,
																	BgL_arg1559z00_1953);
															}
															BgL_arg1535z00_1951 =
																MAKE_YOUNG_PAIR(BgL_basez00_1944,
																BgL_arg1558z00_1952);
														}
														BgL_arg1532z00_1950 =
															MAKE_YOUNG_PAIR(BGl_string2014z00zzbackend_jvmz00,
															BgL_arg1535z00_1951);
													}
													BgL_arg1529z00_1949 =
														MAKE_YOUNG_PAIR
														(BGl_za2moduleza2z00zzmodule_modulez00,
														BgL_arg1532z00_1950);
												}
												BgL_arg1526z00_1948 =
													MAKE_YOUNG_PAIR(BGl_string2015z00zzbackend_jvmz00,
													BgL_arg1529z00_1949);
											}
											BgL_list1524z00_1947 =
												MAKE_YOUNG_PAIR(BGl_string2016z00zzbackend_jvmz00,
												BgL_arg1526z00_1948);
										}
										return BGl_warningz00zz__errorz00(BgL_list1524z00_1947);
									}
							}
						}
					}
				}
			}
		}

	}



/* jvmasdump */
	obj_t BGl_jvmasdumpz00zzbackend_jvmz00(obj_t BgL_classfilez00_6,
		obj_t BgL_portz00_7)
	{
		{	/* BackEnd/jvm.scm 160 */
			{	/* BackEnd/jvm.scm 161 */
				obj_t BgL_owz00_1985;
				obj_t BgL_ocz00_1986;

				BgL_owz00_1985 = BGl_za2ppzd2widthza2zd2zz__ppz00;
				BgL_ocz00_1986 = BGl_za2ppzd2caseza2zd2zz__ppz00;
				BGl_za2ppzd2widthza2zd2zz__ppz00 = BINT(((long) 10240));
				BGl_za2ppzd2caseza2zd2zz__ppz00 = CNST_TABLE_REF(((long) 6));
				{	/* BackEnd/jvm.scm 164 */
					obj_t BgL_list1582z00_1987;

					BgL_list1582z00_1987 = MAKE_YOUNG_PAIR(BgL_portz00_7, BNIL);
					BGl_ppz00zz__ppz00(BgL_classfilez00_6, BgL_list1582z00_1987);
				}
				BGl_za2ppzd2caseza2zd2zz__ppz00 = BgL_ocz00_1986;
				return (BGl_za2ppzd2widthza2zd2zz__ppz00 = BgL_owz00_1985, BUNSPEC);
			}
		}

	}



/* addsuffix */
	obj_t BGl_addsuffixz00zzbackend_jvmz00(obj_t BgL_namez00_8)
	{
		{	/* BackEnd/jvm.scm 168 */
			{	/* BackEnd/jvm.scm 170 */
				obj_t BgL_arg1588z00_1988;

				{	/* BackEnd/jvm.scm 170 */
					obj_t BgL_casezd2valuezd2_1989;

					BgL_casezd2valuezd2_1989 = BGl_za2passza2z00zzengine_paramz00;
					if ((BgL_casezd2valuezd2_1989 == CNST_TABLE_REF(((long) 7))))
						{	/* BackEnd/jvm.scm 170 */
							BgL_arg1588z00_1988 = BGl_string2017z00zzbackend_jvmz00;
						}
					else
						{	/* BackEnd/jvm.scm 170 */
							if ((BgL_casezd2valuezd2_1989 == CNST_TABLE_REF(((long) 8))))
								{	/* BackEnd/jvm.scm 170 */
									BgL_arg1588z00_1988 = BGl_string2018z00zzbackend_jvmz00;
								}
							else
								{	/* BackEnd/jvm.scm 170 */
									BgL_arg1588z00_1988 = BGl_string2019z00zzbackend_jvmz00;
								}
						}
				}
				return string_append(BgL_namez00_8, BgL_arg1588z00_1988);
			}
		}

	}



/* jasname */
	obj_t BGl_jasnamez00zzbackend_jvmz00(obj_t BgL_cfz00_9)
	{
		{	/* BackEnd/jvm.scm 178 */
			if (PAIRP(BgL_cfz00_9))
				{	/* BackEnd/jvm.scm 179 */
					obj_t BgL_carzd2139zd2_1994;

					BgL_carzd2139zd2_1994 = CAR(((obj_t) BgL_cfz00_9));
					if (PAIRP(BgL_carzd2139zd2_1994))
						{	/* BackEnd/jvm.scm 179 */
							obj_t BgL_cdrzd2143zd2_1996;

							BgL_cdrzd2143zd2_1996 = CDR(BgL_carzd2139zd2_1994);
							if ((CAR(BgL_carzd2139zd2_1994) == CNST_TABLE_REF(((long) 9))))
								{	/* BackEnd/jvm.scm 179 */
									if (PAIRP(BgL_cdrzd2143zd2_1996))
										{	/* BackEnd/jvm.scm 179 */
											if (NULLP(CDR(BgL_cdrzd2143zd2_1996)))
												{	/* BackEnd/jvm.scm 179 */
													obj_t BgL_arg1614z00_2002;

													BgL_arg1614z00_2002 = CAR(BgL_cdrzd2143zd2_1996);
													{	/* BackEnd/jvm.scm 181 */
														obj_t BgL_arg1625z00_2773;

														{	/* BackEnd/jvm.scm 181 */
															obj_t BgL_arg1469z00_2775;

															BgL_arg1469z00_2775 =
																SYMBOL_TO_STRING(((obj_t) BgL_arg1614z00_2002));
															BgL_arg1625z00_2773 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1469z00_2775);
														}
														return
															BGl_addsuffixz00zzbackend_jvmz00
															(BgL_arg1625z00_2773);
													}
												}
											else
												{	/* BackEnd/jvm.scm 179 */
													return BFALSE;
												}
										}
									else
										{	/* BackEnd/jvm.scm 179 */
											return BFALSE;
										}
								}
							else
								{	/* BackEnd/jvm.scm 179 */
									return BFALSE;
								}
						}
					else
						{	/* BackEnd/jvm.scm 179 */
							return BFALSE;
						}
				}
			else
				{	/* BackEnd/jvm.scm 179 */
					return BFALSE;
				}
		}

	}



/* jvm-filename */
	obj_t BGl_jvmzd2filenamezd2zzbackend_jvmz00(obj_t BgL_namez00_10)
	{
		{	/* BackEnd/jvm.scm 186 */
			if (STRINGP(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
				{	/* BackEnd/jvm.scm 188 */
					bool_t BgL_test2136z00_3478;

					{	/* BackEnd/jvm.scm 188 */
						long BgL_l1z00_2779;

						BgL_l1z00_2779 = STRING_LENGTH(BgL_namez00_10);
						if ((BgL_l1z00_2779 == ((long) 1)))
							{	/* BackEnd/jvm.scm 188 */
								int BgL_arg1290z00_2782;

								{	/* BackEnd/jvm.scm 188 */
									char *BgL_auxz00_3484;
									char *BgL_tmpz00_3482;

									BgL_auxz00_3484 =
										BSTRING_TO_STRING(BGl_string2008z00zzbackend_jvmz00);
									BgL_tmpz00_3482 = BSTRING_TO_STRING(BgL_namez00_10);
									BgL_arg1290z00_2782 =
										memcmp(BgL_tmpz00_3482, BgL_auxz00_3484, BgL_l1z00_2779);
								}
								BgL_test2136z00_3478 =
									((long) (BgL_arg1290z00_2782) == ((long) 0));
							}
						else
							{	/* BackEnd/jvm.scm 188 */
								BgL_test2136z00_3478 = ((bool_t) 0);
							}
					}
					if (BgL_test2136z00_3478)
						{	/* BackEnd/jvm.scm 188 */
							return BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
						}
					else
						{	/* BackEnd/jvm.scm 188 */
							return
								BGl_makezd2filezd2namez00zz__osz00
								(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00, BgL_namez00_10);
						}
				}
			else
				{	/* BackEnd/jvm.scm 187 */
					return BgL_namez00_10;
				}
		}

	}



/* jvm-dirname */
	obj_t BGl_jvmzd2dirnamezd2zzbackend_jvmz00(obj_t BgL_filez00_11)
	{
		{	/* BackEnd/jvm.scm 196 */
			{	/* BackEnd/jvm.scm 197 */
				obj_t BgL_dfilez00_2008;

				BgL_dfilez00_2008 = BGl_dirnamez00zz__osz00(BgL_filez00_11);
				{	/* BackEnd/jvm.scm 197 */
					obj_t BgL_dirz00_2009;

					BgL_dirz00_2009 =
						BGl_jvmzd2filenamezd2zzbackend_jvmz00(BgL_dfilez00_2008);
					{	/* BackEnd/jvm.scm 198 */

						{	/* BackEnd/jvm.scm 199 */
							bool_t BgL_test2138z00_3492;

							{	/* BackEnd/jvm.scm 199 */
								bool_t BgL_test2139z00_3493;

								{	/* BackEnd/jvm.scm 199 */
									long BgL_l1z00_2790;

									BgL_l1z00_2790 = STRING_LENGTH(BgL_dfilez00_2008);
									if ((BgL_l1z00_2790 == ((long) 0)))
										{	/* BackEnd/jvm.scm 199 */
											int BgL_arg1290z00_2793;

											{	/* BackEnd/jvm.scm 199 */
												char *BgL_auxz00_3499;
												char *BgL_tmpz00_3497;

												BgL_auxz00_3499 =
													BSTRING_TO_STRING(BGl_string2011z00zzbackend_jvmz00);
												BgL_tmpz00_3497 = BSTRING_TO_STRING(BgL_dfilez00_2008);
												BgL_arg1290z00_2793 =
													memcmp(BgL_tmpz00_3497, BgL_auxz00_3499,
													BgL_l1z00_2790);
											}
											BgL_test2139z00_3493 =
												((long) (BgL_arg1290z00_2793) == ((long) 0));
										}
									else
										{	/* BackEnd/jvm.scm 199 */
											BgL_test2139z00_3493 = ((bool_t) 0);
										}
								}
								if (BgL_test2139z00_3493)
									{	/* BackEnd/jvm.scm 199 */
										BgL_test2138z00_3492 = ((bool_t) 0);
									}
								else
									{	/* BackEnd/jvm.scm 199 */
										if (bgl_directoryp(BSTRING_TO_STRING(BgL_dfilez00_2008)))
											{	/* BackEnd/jvm.scm 200 */
												BgL_test2138z00_3492 = ((bool_t) 0);
											}
										else
											{	/* BackEnd/jvm.scm 200 */
												if (fexists(BSTRING_TO_STRING(BgL_dfilez00_2008)))
													{	/* BackEnd/jvm.scm 201 */
														BgL_test2138z00_3492 = ((bool_t) 0);
													}
												else
													{	/* BackEnd/jvm.scm 202 */
														bool_t BgL__ortest_1141z00_2019;

														if (STRINGP
															(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
															{	/* BackEnd/jvm.scm 202 */
																BgL__ortest_1141z00_2019 = ((bool_t) 0);
															}
														else
															{	/* BackEnd/jvm.scm 202 */
																BgL__ortest_1141z00_2019 = ((bool_t) 1);
															}
														if (BgL__ortest_1141z00_2019)
															{	/* BackEnd/jvm.scm 202 */
																BgL_test2138z00_3492 = BgL__ortest_1141z00_2019;
															}
														else
															{	/* BackEnd/jvm.scm 202 */
																BgL_test2138z00_3492 =
																	bgl_directoryp(BSTRING_TO_STRING
																	(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00));
															}
													}
											}
									}
							}
							if (BgL_test2138z00_3492)
								{	/* BackEnd/jvm.scm 199 */
									BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00
										(BgL_dirz00_2009);
								}
							else
								{	/* BackEnd/jvm.scm 199 */
									((bool_t) 0);
								}
						}
						return BgL_dirz00_2009;
					}
				}
			}
		}

	}



/* &start-jvm-emission! */
	obj_t BGl_z62startzd2jvmzd2emissionz12z70zzbackend_jvmz00(obj_t
		BgL_envz00_3010)
	{
		{	/* BackEnd/jvm.scm 211 */
			if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
				{	/* BackEnd/jvm.scm 214 */
					obj_t BgL_dnamez00_3085;

					BgL_dnamez00_3085 =
						BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
					{	/* BackEnd/jvm.scm 215 */
						bool_t BgL_test2146z00_3519;

						{	/* BackEnd/jvm.scm 215 */
							long BgL_l1z00_3086;

							BgL_l1z00_3086 = STRING_LENGTH(BgL_dnamez00_3085);
							if ((BgL_l1z00_3086 == ((long) 0)))
								{	/* BackEnd/jvm.scm 215 */
									int BgL_arg1290z00_3087;

									{	/* BackEnd/jvm.scm 215 */
										char *BgL_auxz00_3525;
										char *BgL_tmpz00_3523;

										BgL_auxz00_3525 =
											BSTRING_TO_STRING(BGl_string2011z00zzbackend_jvmz00);
										BgL_tmpz00_3523 = BSTRING_TO_STRING(BgL_dnamez00_3085);
										BgL_arg1290z00_3087 =
											memcmp(BgL_tmpz00_3523, BgL_auxz00_3525, BgL_l1z00_3086);
									}
									BgL_test2146z00_3519 =
										((long) (BgL_arg1290z00_3087) == ((long) 0));
								}
							else
								{	/* BackEnd/jvm.scm 215 */
									BgL_test2146z00_3519 = ((bool_t) 0);
								}
						}
						if (BgL_test2146z00_3519)
							{	/* BackEnd/jvm.scm 215 */
								BFALSE;
							}
						else
							{	/* BackEnd/jvm.scm 215 */
								BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
									BGl_jvmzd2dirnamezd2zzbackend_jvmz00
									(BGl_za2destza2z00zzengine_paramz00);
							}
					}
				}
			else
				{	/* BackEnd/jvm.scm 213 */
					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 10))))
						{	/* BackEnd/jvm.scm 217 */
							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/jvm.scm 218 */
									BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
										BGl_jvmzd2dirnamezd2zzbackend_jvmz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00));
								}
							else
								{	/* BackEnd/jvm.scm 218 */
									BFALSE;
								}
						}
					else
						{	/* BackEnd/jvm.scm 217 */
							BFALSE;
						}
				}
			{	/* BackEnd/jvm.scm 220 */
				bool_t BgL_test2150z00_3538;

				if (fexists(BSTRING_TO_STRING
						(BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00)))
					{	/* BackEnd/jvm.scm 220 */
						BgL_test2150z00_3538 =
							bgl_directoryp(BSTRING_TO_STRING
							(BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00));
					}
				else
					{	/* BackEnd/jvm.scm 220 */
						BgL_test2150z00_3538 = ((bool_t) 0);
					}
				if (BgL_test2150z00_3538)
					{	/* BackEnd/jvm.scm 220 */
						return BTRUE;
					}
				else
					{	/* BackEnd/jvm.scm 220 */
						return
							BGl_errorz00zz__errorz00(BGl_string2020z00zzbackend_jvmz00,
							BGl_string2021z00zzbackend_jvmz00,
							BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00);
					}
			}
		}

	}



/* make-tmp-file-name */
	obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 255 */
			return
				string_append(BGl_string2022z00zzbackend_jvmz00,
				BGl_string2023z00zzbackend_jvmz00);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2024z00zzbackend_jvmz00,
				BGl_string2025z00zzbackend_jvmz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2026z00zzbackend_jvmz00,
				BGl_string2027z00zzbackend_jvmz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2028z00zzbackend_jvmz00,
				BGl_string2029z00zzbackend_jvmz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2030z00zzbackend_jvmz00,
				BGl_string2031z00zzbackend_jvmz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2032z00zzbackend_jvmz00,
				BGl_string2033z00zzbackend_jvmz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2034z00zzbackend_jvmz00,
				BGl_string2035z00zzbackend_jvmz00);
		}

	}



/* &backend-subtype?-jvm1502 */
	obj_t BGl_z62backendzd2subtypezf3zd2jvm1502z91zzbackend_jvmz00(obj_t
		BgL_envz00_3023, obj_t BgL_bz00_3024, obj_t BgL_t1z00_3025,
		obj_t BgL_t2z00_3026)
	{
		{	/* BackEnd/jvm.scm 367 */
			{	/* BackEnd/jvm.scm 368 */
				bool_t BgL__ortest_1150z00_3089;

				BgL__ortest_1150z00_3089 = (BgL_t1z00_3025 == BgL_t2z00_3026);
				if (BgL__ortest_1150z00_3089)
					{	/* BackEnd/jvm.scm 368 */
						return BBOOL(BgL__ortest_1150z00_3089);
					}
				else
					{	/* BackEnd/jvm.scm 369 */
						bool_t BgL__ortest_1151z00_3090;

						BgL__ortest_1151z00_3090 =
							(
							(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_t1z00_3025)))->BgL_idz00) ==
							(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_t2z00_3026)))->BgL_idz00));
						if (BgL__ortest_1151z00_3090)
							{	/* BackEnd/jvm.scm 369 */
								return BBOOL(BgL__ortest_1151z00_3090);
							}
						else
							{	/* BackEnd/jvm.scm 370 */
								bool_t BgL__ortest_1152z00_3091;

								{	/* BackEnd/jvm.scm 370 */
									bool_t BgL_test2154z00_3562;

									{	/* BackEnd/jvm.scm 370 */
										obj_t BgL_classz00_3092;

										BgL_classz00_3092 = BGl_tclassz00zzobject_classz00;
										if (BGL_OBJECTP(BgL_t1z00_3025))
											{	/* BackEnd/jvm.scm 370 */
												BgL_objectz00_bglt BgL_arg1820z00_3093;

												BgL_arg1820z00_3093 =
													(BgL_objectz00_bglt) (BgL_t1z00_3025);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* BackEnd/jvm.scm 370 */
														long BgL_idxz00_3094;

														BgL_idxz00_3094 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3093);
														BgL_test2154z00_3562 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3094 + ((long) 2))) ==
															BgL_classz00_3092);
													}
												else
													{	/* BackEnd/jvm.scm 370 */
														bool_t BgL_res1995z00_3097;

														{	/* BackEnd/jvm.scm 370 */
															obj_t BgL_oclassz00_3098;

															{	/* BackEnd/jvm.scm 370 */
																long BgL_arg1828z00_3099;

																{	/* BackEnd/jvm.scm 370 */
																	long BgL_arg1829z00_3100;

																	BgL_arg1829z00_3100 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3093);
																	BgL_arg1828z00_3099 =
																		(BgL_arg1829z00_3100 - OBJECT_TYPE);
																}
																BgL_oclassz00_3098 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3099);
															}
															{	/* BackEnd/jvm.scm 370 */
																bool_t BgL__ortest_1111z00_3101;

																BgL__ortest_1111z00_3101 =
																	(BgL_classz00_3092 == BgL_oclassz00_3098);
																if (BgL__ortest_1111z00_3101)
																	{	/* BackEnd/jvm.scm 370 */
																		BgL_res1995z00_3097 =
																			BgL__ortest_1111z00_3101;
																	}
																else
																	{	/* BackEnd/jvm.scm 370 */
																		long BgL_odepthz00_3102;

																		BgL_odepthz00_3102 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3098);
																		if ((((long) 2) < BgL_odepthz00_3102))
																			{	/* BackEnd/jvm.scm 370 */
																				obj_t BgL_arg1816z00_3103;

																				BgL_arg1816z00_3103 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3098, ((long) 2));
																				BgL_res1995z00_3097 =
																					(BgL_arg1816z00_3103 ==
																					BgL_classz00_3092);
																			}
																		else
																			{	/* BackEnd/jvm.scm 370 */
																				BgL_res1995z00_3097 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2154z00_3562 = BgL_res1995z00_3097;
													}
											}
										else
											{	/* BackEnd/jvm.scm 370 */
												BgL_test2154z00_3562 = ((bool_t) 0);
											}
									}
									if (BgL_test2154z00_3562)
										{	/* BackEnd/jvm.scm 370 */
											BgL__ortest_1152z00_3091 =
												(
												(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt) BgL_t2z00_3026)))->
													BgL_idz00) == CNST_TABLE_REF(((long) 11)));
										}
									else
										{	/* BackEnd/jvm.scm 370 */
											BgL__ortest_1152z00_3091 = ((bool_t) 0);
										}
								}
								if (BgL__ortest_1152z00_3091)
									{	/* BackEnd/jvm.scm 370 */
										return BBOOL(BgL__ortest_1152z00_3091);
									}
								else
									{	/* BackEnd/jvm.scm 371 */
										bool_t BgL__ortest_1153z00_3104;

										BgL__ortest_1153z00_3104 =
											(
											(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_t2z00_3026)))->
												BgL_namez00) == CNST_TABLE_REF(((long) 12)));
										if (BgL__ortest_1153z00_3104)
											{	/* BackEnd/jvm.scm 371 */
												return BBOOL(BgL__ortest_1153z00_3104);
											}
										else
											{	/* BackEnd/jvm.scm 372 */
												bool_t BgL__ortest_1154z00_3105;

												BgL__ortest_1154z00_3105 =
													(
													(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_t1z00_3025)))->
														BgL_namez00) ==
													(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
																	BgL_t2z00_3026)))->BgL_namez00));
												if (BgL__ortest_1154z00_3105)
													{	/* BackEnd/jvm.scm 372 */
														return BBOOL(BgL__ortest_1154z00_3105);
													}
												else
													{	/* BackEnd/jvm.scm 373 */
														obj_t BgL__ortest_1155z00_3106;

														BgL__ortest_1155z00_3106 =
															BGl_iszd2subtypezf3z21zztype_typeofz00
															(BgL_t1z00_3025, BgL_t2z00_3026);
														if (CBOOL(BgL__ortest_1155z00_3106))
															{	/* BackEnd/jvm.scm 373 */
																return BgL__ortest_1155z00_3106;
															}
														else
															{	/* BackEnd/jvm.scm 373 */
																return
																	BBOOL(BGl_subzd2typezf3z21zztype_envz00(
																		((BgL_typez00_bglt) BgL_t1z00_3025),
																		((BgL_typez00_bglt) BgL_t2z00_3026)));
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* &backend-check-inline1500 */
	obj_t BGl_z62backendzd2checkzd2inline1500z62zzbackend_jvmz00(obj_t
		BgL_envz00_3027, obj_t BgL_mez00_3028)
	{
		{	/* BackEnd/jvm.scm 361 */
			if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
				{	/* BackEnd/jvm.scm 362 */
					return BFALSE;
				}
			else
				{	/* BackEnd/jvm.scm 362 */
					return BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
				}
		}

	}



/* &backend-link-objects1498 */
	obj_t BGl_z62backendzd2linkzd2objects1498z62zzbackend_jvmz00(obj_t
		BgL_envz00_3029, obj_t BgL_mez00_3030, obj_t BgL_sourcesz00_3031)
	{
		{	/* BackEnd/jvm.scm 261 */
			if (NULLP(BgL_sourcesz00_3031))
				{	/* BackEnd/jvm.scm 266 */
					obj_t BgL_firstz00_3109;

					BgL_firstz00_3109 =
						BGl_prefixz00zz__osz00(CAR
						(BGl_za2ozd2filesza2zd2zzengine_paramz00));
					{	/* BackEnd/jvm.scm 267 */
						obj_t BgL_list1782z00_3110;

						{	/* BackEnd/jvm.scm 267 */
							obj_t BgL_arg1785z00_3111;

							{	/* BackEnd/jvm.scm 267 */
								obj_t BgL_arg1787z00_3112;

								{	/* BackEnd/jvm.scm 267 */
									obj_t BgL_arg1789z00_3113;

									BgL_arg1789z00_3113 =
										MAKE_YOUNG_PAIR(BGl_za2ozd2filesza2zd2zzengine_paramz00,
										BNIL);
									BgL_arg1787z00_3112 =
										MAKE_YOUNG_PAIR(BGl_string2036z00zzbackend_jvmz00,
										BgL_arg1789z00_3113);
								}
								BgL_arg1785z00_3111 =
									MAKE_YOUNG_PAIR(BGl_string2037z00zzbackend_jvmz00,
									BgL_arg1787z00_3112);
							}
							BgL_list1782z00_3110 =
								MAKE_YOUNG_PAIR(BGl_string2038z00zzbackend_jvmz00,
								BgL_arg1785z00_3111);
						}
						BGl_warningz00zz__errorz00(BgL_list1782z00_3110);
					}
					BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
					BGl_readzd2jfilezd2zzread_jvmz00();
					return BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BFALSE);
				}
			else
				{
					obj_t BgL_sourcesz00_3115;
					obj_t BgL_clsz00_3116;
					obj_t BgL_mainzd2modulezd2_3117;
					obj_t BgL_mainz00_3118;
					obj_t BgL_fmainz00_3119;
					obj_t BgL_librariesz00_3120;

					BgL_sourcesz00_3115 = BgL_sourcesz00_3031;
					BgL_clsz00_3116 = BNIL;
					BgL_mainzd2modulezd2_3117 = BFALSE;
					BgL_mainz00_3118 = BFALSE;
					BgL_fmainz00_3119 = BGl_string2011z00zzbackend_jvmz00;
					BgL_librariesz00_3120 = BNIL;
				BgL_loopz00_3114:
					if (NULLP(BgL_sourcesz00_3115))
						{	/* BackEnd/jvm.scm 278 */
							if (CBOOL(BgL_mainz00_3118))
								{	/* BackEnd/jvm.scm 282 */
									obj_t BgL_firstz00_3121;

									BgL_firstz00_3121 =
										BGl_prefixz00zz__osz00(CAR
										(BGl_za2ozd2filesza2zd2zzengine_paramz00));
									{
										obj_t BgL_l1488z00_3123;

										BgL_l1488z00_3123 = BgL_librariesz00_3120;
									BgL_zc3z04anonymousza31793ze3z87_3122:
										if (PAIRP(BgL_l1488z00_3123))
											{	/* BackEnd/jvm.scm 285 */
												{	/* BackEnd/jvm.scm 286 */
													obj_t BgL_libz00_3124;

													BgL_libz00_3124 = CAR(BgL_l1488z00_3123);
													{
														obj_t BgL_clausesz00_3130;
														obj_t BgL_libsz00_3127;

														if (PAIRP(BgL_libz00_3124))
															{	/* BackEnd/jvm.scm 286 */
																if (
																	(CAR(
																			((obj_t) BgL_libz00_3124)) ==
																		CNST_TABLE_REF(((long) 13))))
																	{	/* BackEnd/jvm.scm 286 */
																		obj_t BgL_arg1817z00_3136;

																		BgL_arg1817z00_3136 =
																			CDR(((obj_t) BgL_libz00_3124));
																		BgL_libsz00_3127 = BgL_arg1817z00_3136;
																		{
																			obj_t BgL_l1479z00_3129;

																			BgL_l1479z00_3129 = BgL_libsz00_3127;
																		BgL_zc3z04anonymousza31831ze3z87_3128:
																			if (PAIRP(BgL_l1479z00_3129))
																				{	/* BackEnd/jvm.scm 288 */
																					BGl_usezd2libraryz12zc0zzmodule_alibraryz00
																						(CAR(BgL_l1479z00_3129));
																					{
																						obj_t BgL_l1479z00_3645;

																						BgL_l1479z00_3645 =
																							CDR(BgL_l1479z00_3129);
																						BgL_l1479z00_3129 =
																							BgL_l1479z00_3645;
																						goto
																							BgL_zc3z04anonymousza31831ze3z87_3128;
																					}
																				}
																			else
																				{	/* BackEnd/jvm.scm 288 */
																					((bool_t) 1);
																				}
																		}
																	}
																else
																	{	/* BackEnd/jvm.scm 286 */
																		if (
																			(CAR(
																					((obj_t) BgL_libz00_3124)) ==
																				CNST_TABLE_REF(((long) 14))))
																			{	/* BackEnd/jvm.scm 286 */
																				obj_t BgL_arg1821z00_3137;

																				BgL_arg1821z00_3137 =
																					CDR(((obj_t) BgL_libz00_3124));
																				BgL_clausesz00_3130 =
																					BgL_arg1821z00_3137;
																				{	/* BackEnd/jvm.scm 290 */
																					obj_t BgL_fun1487z00_3131;

																					{	/* BackEnd/jvm.scm 290 */
																						obj_t
																							BgL_zc3z04anonymousza31845ze3z87_3132;
																						{	/* BackEnd/jvm.scm 286 */
																							int BgL_tmpz00_3654;

																							BgL_tmpz00_3654 =
																								(int) (((long) 0));
																							BgL_zc3z04anonymousza31845ze3z87_3132
																								=
																								MAKE_EL_PROCEDURE
																								(BgL_tmpz00_3654);
																						}
																						BgL_fun1487z00_3131 =
																							BgL_zc3z04anonymousza31845ze3z87_3132;
																					}
																					{
																						obj_t BgL_l1485z00_3134;

																						BgL_l1485z00_3134 =
																							BgL_clausesz00_3130;
																					BgL_zc3z04anonymousza31836ze3z87_3133:
																						if (PAIRP
																							(BgL_l1485z00_3134))
																							{	/* BackEnd/jvm.scm 290 */
																								{	/* BackEnd/jvm.scm 290 */
																									obj_t BgL_arg1840z00_3135;

																									BgL_arg1840z00_3135 =
																										CAR(BgL_l1485z00_3134);
																									BGl_z62zc3z04anonymousza31845ze3ze5zzbackend_jvmz00
																										(BgL_fun1487z00_3131,
																										BgL_arg1840z00_3135);
																								}
																								{
																									obj_t BgL_l1485z00_3664;

																									BgL_l1485z00_3664 =
																										CDR(BgL_l1485z00_3134);
																									BgL_l1485z00_3134 =
																										BgL_l1485z00_3664;
																									goto
																										BgL_zc3z04anonymousza31836ze3z87_3133;
																								}
																							}
																						else
																							{	/* BackEnd/jvm.scm 290 */
																								((bool_t) 1);
																							}
																					}
																				}
																			}
																		else
																			{	/* BackEnd/jvm.scm 286 */
																				((bool_t) 0);
																			}
																	}
															}
														else
															{	/* BackEnd/jvm.scm 286 */
																((bool_t) 0);
															}
													}
												}
												{
													obj_t BgL_l1488z00_3666;

													BgL_l1488z00_3666 = CDR(BgL_l1488z00_3123);
													BgL_l1488z00_3123 = BgL_l1488z00_3666;
													goto BgL_zc3z04anonymousza31793ze3z87_3122;
												}
											}
										else
											{	/* BackEnd/jvm.scm 285 */
												((bool_t) 1);
											}
									}
									BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
									{	/* BackEnd/jvm.scm 298 */
										obj_t BgL_list1862z00_3138;

										BgL_list1862z00_3138 =
											MAKE_YOUNG_PAIR(BgL_fmainz00_3119, BNIL);
										BGl_za2srczd2filesza2zd2zzengine_paramz00 =
											BgL_list1862z00_3138;
									}
									BGl_readzd2jfilezd2zzread_jvmz00();
									return
										BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BgL_mainzd2modulezd2_3117);
								}
							else
								{	/* BackEnd/jvm.scm 301 */
									obj_t BgL_tmpz00_3139;

									BgL_tmpz00_3139 =
										BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00();
									BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_tmpz00_3139,
										CBOOL(BgL_mainz00_3118),
										bstring_to_symbol(BGl_string2022z00zzbackend_jvmz00),
										BgL_clsz00_3116, BgL_librariesz00_3120);
									{	/* BackEnd/jvm.scm 303 */
										obj_t BgL_list1866z00_3140;

										BgL_list1866z00_3140 =
											MAKE_YOUNG_PAIR(BgL_tmpz00_3139, BNIL);
										BGl_za2srczd2filesza2zd2zzengine_paramz00 =
											BgL_list1866z00_3140;
									}
									{
										obj_t BgL_raz00_3142;
										obj_t BgL_resz00_3143;

										BgL_raz00_3142 = BGl_za2restzd2argsza2zd2zzengine_paramz00;
										BgL_resz00_3143 = BNIL;
									BgL_liipz00_3141:
										if (NULLP(BgL_raz00_3142))
											{	/* BackEnd/jvm.scm 309 */
												BGl_za2restzd2argsza2zd2zzengine_paramz00 =
													bgl_reverse_bang(BgL_resz00_3143);
											}
										else
											{	/* BackEnd/jvm.scm 311 */
												bool_t BgL_test2174z00_3680;

												{	/* BackEnd/jvm.scm 311 */
													obj_t BgL_arg1877z00_3144;

													{	/* BackEnd/jvm.scm 311 */
														obj_t BgL_arg1879z00_3145;

														BgL_arg1879z00_3145 = CAR(((obj_t) BgL_raz00_3142));
														BgL_arg1877z00_3144 =
															BGl_suffixz00zz__osz00(BgL_arg1879z00_3145);
													}
													BgL_test2174z00_3680 =
														CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1877z00_3144,
															BGl_za2mcozd2suffixza2zd2zzengine_paramz00));
												}
												if (BgL_test2174z00_3680)
													{	/* BackEnd/jvm.scm 312 */
														obj_t BgL_arg1873z00_3146;

														BgL_arg1873z00_3146 = CDR(((obj_t) BgL_raz00_3142));
														{
															obj_t BgL_raz00_3688;

															BgL_raz00_3688 = BgL_arg1873z00_3146;
															BgL_raz00_3142 = BgL_raz00_3688;
															goto BgL_liipz00_3141;
														}
													}
												else
													{	/* BackEnd/jvm.scm 314 */
														obj_t BgL_arg1874z00_3147;
														obj_t BgL_arg1875z00_3148;

														BgL_arg1874z00_3147 = CDR(((obj_t) BgL_raz00_3142));
														{	/* BackEnd/jvm.scm 314 */
															obj_t BgL_arg1876z00_3149;

															BgL_arg1876z00_3149 =
																CAR(((obj_t) BgL_raz00_3142));
															BgL_arg1875z00_3148 =
																MAKE_YOUNG_PAIR(BgL_arg1876z00_3149,
																BgL_resz00_3143);
														}
														{
															obj_t BgL_resz00_3695;
															obj_t BgL_raz00_3694;

															BgL_raz00_3694 = BgL_arg1874z00_3147;
															BgL_resz00_3695 = BgL_arg1875z00_3148;
															BgL_resz00_3143 = BgL_resz00_3695;
															BgL_raz00_3142 = BgL_raz00_3694;
															goto BgL_liipz00_3141;
														}
													}
											}
									}
									{	/* BackEnd/jvm.scm 315 */
										obj_t BgL_exitd1145z00_3150;

										BgL_exitd1145z00_3150 = BGL_EXITD_TOP_AS_OBJ();
										{	/* BackEnd/jvm.scm 318 */
											obj_t BgL_zc3z04anonymousza31880ze3z87_3151;

											BgL_zc3z04anonymousza31880ze3z87_3151 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31880ze3ze5zzbackend_jvmz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31880ze3z87_3151,
												(int) (((long) 0)), BgL_tmpz00_3139);
											{	/* BackEnd/jvm.scm 315 */
												obj_t BgL_arg1842z00_3152;

												{	/* BackEnd/jvm.scm 315 */
													obj_t BgL_arg1843z00_3153;

													BgL_arg1843z00_3153 =
														BGL_EXITD_PROTECT(BgL_exitd1145z00_3150);
													BgL_arg1842z00_3152 =
														MAKE_YOUNG_PAIR
														(BgL_zc3z04anonymousza31880ze3z87_3151,
														BgL_arg1843z00_3153);
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1145z00_3150,
													BgL_arg1842z00_3152);
												BUNSPEC;
											}
											{	/* BackEnd/jvm.scm 316 */
												obj_t BgL_tmp1147z00_3154;

												BgL_tmp1147z00_3154 =
													BGl_compilerz00zzengine_compilerz00();
												{	/* BackEnd/jvm.scm 315 */
													bool_t BgL_test2175z00_3706;

													{	/* BackEnd/jvm.scm 315 */
														obj_t BgL_arg1841z00_3155;

														BgL_arg1841z00_3155 =
															BGL_EXITD_PROTECT(BgL_exitd1145z00_3150);
														BgL_test2175z00_3706 = PAIRP(BgL_arg1841z00_3155);
													}
													if (BgL_test2175z00_3706)
														{	/* BackEnd/jvm.scm 315 */
															obj_t BgL_arg1838z00_3156;

															{	/* BackEnd/jvm.scm 315 */
																obj_t BgL_arg1839z00_3157;

																BgL_arg1839z00_3157 =
																	BGL_EXITD_PROTECT(BgL_exitd1145z00_3150);
																BgL_arg1838z00_3156 =
																	CDR(((obj_t) BgL_arg1839z00_3157));
															}
															BGL_EXITD_PROTECT_SET(BgL_exitd1145z00_3150,
																BgL_arg1838z00_3156);
															BUNSPEC;
														}
													else
														{	/* BackEnd/jvm.scm 315 */
															BFALSE;
														}
												}
												BGl_z62zc3z04anonymousza31880ze3ze5zzbackend_jvmz00
													(BgL_zc3z04anonymousza31880ze3z87_3151);
												BgL_tmp1147z00_3154;
											}
										}
									}
									return BINT(((long) 0));
						}}
					else
						{	/* BackEnd/jvm.scm 324 */
							obj_t BgL_portz00_3158;

							{	/* BackEnd/jvm.scm 324 */
								obj_t BgL_arg1919z00_3159;

								{	/* BackEnd/jvm.scm 324 */
									obj_t BgL_pairz00_3160;

									BgL_pairz00_3160 = CAR(((obj_t) BgL_sourcesz00_3115));
									BgL_arg1919z00_3159 = CAR(BgL_pairz00_3160);
								}
								{	/* BackEnd/jvm.scm 324 */

									BgL_portz00_3158 =
										BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_arg1919z00_3159, BTRUE, BINT(((long) 5000000)));
							}}
							if (INPUT_PORTP(BgL_portz00_3158))
								{	/* BackEnd/jvm.scm 327 */
									obj_t BgL_expz00_3161;

									{	/* BackEnd/jvm.scm 327 */
										obj_t BgL_list1917z00_3162;

										BgL_list1917z00_3162 =
											MAKE_YOUNG_PAIR(BgL_portz00_3158, BNIL);
										BgL_expz00_3161 =
											BGl_compilerzd2readzd2zzread_readerz00
											(BgL_list1917z00_3162);
									}
									bgl_close_input_port(BgL_portz00_3158);
									{
										obj_t BgL_namez00_3165;

										if (PAIRP(BgL_expz00_3161))
											{	/* BackEnd/jvm.scm 329 */
												obj_t BgL_cdrzd2177zd2_3191;

												BgL_cdrzd2177zd2_3191 = CDR(((obj_t) BgL_expz00_3161));
												if (
													(CAR(
															((obj_t) BgL_expz00_3161)) ==
														CNST_TABLE_REF(((long) 15))))
													{	/* BackEnd/jvm.scm 329 */
														if (PAIRP(BgL_cdrzd2177zd2_3191))
															{	/* BackEnd/jvm.scm 329 */
																BgL_namez00_3165 = CAR(BgL_cdrzd2177zd2_3191);
																{	/* BackEnd/jvm.scm 331 */
																	obj_t BgL_libsz00_3166;
																	obj_t BgL_nmainz00_3167;

																	{	/* BackEnd/jvm.scm 331 */
																		obj_t BgL_arg1914z00_3168;

																		{	/* BackEnd/jvm.scm 331 */
																			obj_t BgL_pairz00_3169;

																			BgL_pairz00_3169 =
																				CDR(((obj_t) BgL_expz00_3161));
																			BgL_arg1914z00_3168 =
																				CDR(BgL_pairz00_3169);
																		}
																		BgL_libsz00_3166 =
																			BGl_findzd2librarieszd2zzengine_linkz00
																			(BgL_arg1914z00_3168);
																	}
																	{	/* BackEnd/jvm.scm 332 */
																		obj_t BgL_arg1915z00_3170;

																		{	/* BackEnd/jvm.scm 332 */
																			obj_t BgL_pairz00_3171;

																			BgL_pairz00_3171 =
																				CDR(((obj_t) BgL_expz00_3161));
																			BgL_arg1915z00_3170 =
																				CDR(BgL_pairz00_3171);
																		}
																		BgL_nmainz00_3167 =
																			BGl_findzd2mainzd2zzengine_linkz00
																			(BgL_arg1915z00_3170);
																	}
																	{	/* BackEnd/jvm.scm 336 */
																		obj_t BgL_arg1889z00_3172;

																		{	/* BackEnd/jvm.scm 336 */
																			obj_t BgL_arg1891z00_3173;

																			{	/* BackEnd/jvm.scm 336 */
																				obj_t BgL_arg1894z00_3174;

																				{	/* BackEnd/jvm.scm 336 */
																					obj_t BgL_arg1898z00_3175;

																					{	/* BackEnd/jvm.scm 336 */
																						obj_t BgL_pairz00_3176;

																						BgL_pairz00_3176 =
																							CAR(
																							((obj_t) BgL_sourcesz00_3115));
																						BgL_arg1898z00_3175 =
																							CDR(BgL_pairz00_3176);
																					}
																					BgL_arg1894z00_3174 =
																						BGl_prefixz00zz__osz00
																						(BgL_arg1898z00_3175);
																				}
																				BgL_arg1891z00_3173 =
																					BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00
																					(BgL_arg1894z00_3174);
																			}
																			BgL_arg1889z00_3172 =
																				BGl_stringzd2replacezd2zz__r4_strings_6_7z00
																				(BgL_arg1891z00_3173, FILE_SEPARATOR,
																				(char) (((unsigned char) '.')));
																		}
																		BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																			(BgL_namez00_3165, BgL_arg1889z00_3172,
																			BNIL);
																	}
																	{	/* BackEnd/jvm.scm 339 */
																		obj_t BgL_arg1899z00_3177;
																		obj_t BgL_arg1900z00_3178;
																		obj_t BgL_arg1901z00_3179;
																		obj_t BgL_arg1902z00_3180;
																		obj_t BgL_arg1903z00_3181;
																		obj_t BgL_arg1904z00_3182;

																		BgL_arg1899z00_3177 =
																			CDR(((obj_t) BgL_sourcesz00_3115));
																		{	/* BackEnd/jvm.scm 342 */
																			obj_t BgL_arg1906z00_3183;

																			{	/* BackEnd/jvm.scm 342 */
																				obj_t BgL_arg1907z00_3184;

																				{	/* BackEnd/jvm.scm 342 */
																					obj_t BgL_arg1912z00_3185;

																					{	/* BackEnd/jvm.scm 342 */
																						obj_t BgL_pairz00_3186;

																						BgL_pairz00_3186 =
																							CAR(
																							((obj_t) BgL_sourcesz00_3115));
																						BgL_arg1912z00_3185 =
																							CAR(BgL_pairz00_3186);
																					}
																					BgL_arg1907z00_3184 =
																						string_append_3
																						(BGl_string2039z00zzbackend_jvmz00,
																						BgL_arg1912z00_3185,
																						BGl_string2039z00zzbackend_jvmz00);
																				}
																				{	/* BackEnd/jvm.scm 340 */
																					obj_t BgL_list1908z00_3187;

																					{	/* BackEnd/jvm.scm 340 */
																						obj_t BgL_arg1910z00_3188;

																						BgL_arg1910z00_3188 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1907z00_3184, BNIL);
																						BgL_list1908z00_3187 =
																							MAKE_YOUNG_PAIR(BgL_namez00_3165,
																							BgL_arg1910z00_3188);
																					}
																					BgL_arg1906z00_3183 =
																						BgL_list1908z00_3187;
																			}}
																			BgL_arg1900z00_3178 =
																				MAKE_YOUNG_PAIR(BgL_arg1906z00_3183,
																				BgL_clsz00_3116);
																		}
																		if (CBOOL(BgL_nmainz00_3167))
																			{	/* BackEnd/jvm.scm 344 */
																				BgL_arg1901z00_3179 = BgL_namez00_3165;
																			}
																		else
																			{	/* BackEnd/jvm.scm 344 */
																				BgL_arg1901z00_3179 =
																					BgL_mainzd2modulezd2_3117;
																			}
																		if (CBOOL(BgL_nmainz00_3167))
																			{	/* BackEnd/jvm.scm 345 */
																				BgL_arg1902z00_3180 = BgL_nmainz00_3167;
																			}
																		else
																			{	/* BackEnd/jvm.scm 345 */
																				BgL_arg1902z00_3180 = BgL_mainz00_3118;
																			}
																		if (CBOOL(BgL_nmainz00_3167))
																			{	/* BackEnd/jvm.scm 346 */
																				obj_t BgL_pairz00_3189;

																				BgL_pairz00_3189 =
																					CAR(((obj_t) BgL_sourcesz00_3115));
																				BgL_arg1903z00_3181 =
																					CAR(BgL_pairz00_3189);
																			}
																		else
																			{	/* BackEnd/jvm.scm 346 */
																				BgL_arg1903z00_3181 = BgL_fmainz00_3119;
																			}
																		BgL_arg1904z00_3182 =
																			BGl_appendzd221011zd2zzbackend_jvmz00
																			(BgL_libsz00_3166, BgL_librariesz00_3120);
																		{
																			obj_t BgL_librariesz00_3776;
																			obj_t BgL_fmainz00_3775;
																			obj_t BgL_mainz00_3774;
																			obj_t BgL_mainzd2modulezd2_3773;
																			obj_t BgL_clsz00_3772;
																			obj_t BgL_sourcesz00_3771;

																			BgL_sourcesz00_3771 = BgL_arg1899z00_3177;
																			BgL_clsz00_3772 = BgL_arg1900z00_3178;
																			BgL_mainzd2modulezd2_3773 =
																				BgL_arg1901z00_3179;
																			BgL_mainz00_3774 = BgL_arg1902z00_3180;
																			BgL_fmainz00_3775 = BgL_arg1903z00_3181;
																			BgL_librariesz00_3776 =
																				BgL_arg1904z00_3182;
																			BgL_librariesz00_3120 =
																				BgL_librariesz00_3776;
																			BgL_fmainz00_3119 = BgL_fmainz00_3775;
																			BgL_mainz00_3118 = BgL_mainz00_3774;
																			BgL_mainzd2modulezd2_3117 =
																				BgL_mainzd2modulezd2_3773;
																			BgL_clsz00_3116 = BgL_clsz00_3772;
																			BgL_sourcesz00_3115 = BgL_sourcesz00_3771;
																			goto BgL_loopz00_3114;
																		}
																	}
																}
															}
														else
															{	/* BackEnd/jvm.scm 329 */
															BgL_tagzd2172zd2_3164:
																{	/* BackEnd/jvm.scm 351 */
																	obj_t BgL_arg1916z00_3190;

																	BgL_arg1916z00_3190 =
																		CDR(((obj_t) BgL_sourcesz00_3115));
																	{
																		obj_t BgL_sourcesz00_3780;

																		BgL_sourcesz00_3780 = BgL_arg1916z00_3190;
																		BgL_sourcesz00_3115 = BgL_sourcesz00_3780;
																		goto BgL_loopz00_3114;
																	}
																}
															}
													}
												else
													{	/* BackEnd/jvm.scm 329 */
														goto BgL_tagzd2172zd2_3164;
													}
											}
										else
											{	/* BackEnd/jvm.scm 329 */
												goto BgL_tagzd2172zd2_3164;
											}
									}
								}
							else
								{	/* BackEnd/jvm.scm 326 */
									obj_t BgL_arg1918z00_3192;

									{	/* BackEnd/jvm.scm 326 */
										obj_t BgL_pairz00_3193;

										BgL_pairz00_3193 = CAR(((obj_t) BgL_sourcesz00_3115));
										BgL_arg1918z00_3192 = CAR(BgL_pairz00_3193);
									}
									return
										BGl_errorz00zz__errorz00(BGl_string2011z00zzbackend_jvmz00,
										BGl_string2040z00zzbackend_jvmz00, BgL_arg1918z00_3192);
								}
						}
				}
		}

	}



/* &<@anonymous:1845> */
	bool_t BGl_z62zc3z04anonymousza31845ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3032, obj_t BgL_ezd2165zd2_3033)
	{
		{	/* BackEnd/jvm.scm 290 */
			{
				obj_t BgL_libsz00_3195;

				if (PAIRP(BgL_ezd2165zd2_3033))
					{	/* BackEnd/jvm.scm 290 */
						if ((CAR(BgL_ezd2165zd2_3033) == CNST_TABLE_REF(((long) 13))))
							{	/* BackEnd/jvm.scm 290 */
								BgL_libsz00_3195 = CDR(BgL_ezd2165zd2_3033);
								{
									obj_t BgL_l1481z00_3197;

									BgL_l1481z00_3197 = BgL_libsz00_3195;
								BgL_zc3z04anonymousza31851ze3z87_3196:
									if (PAIRP(BgL_l1481z00_3197))
										{	/* BackEnd/jvm.scm 292 */
											BGl_usezd2libraryz12zc0zzmodule_alibraryz00(CAR
												(BgL_l1481z00_3197));
											{
												obj_t BgL_l1481z00_3795;

												BgL_l1481z00_3795 = CDR(BgL_l1481z00_3197);
												BgL_l1481z00_3197 = BgL_l1481z00_3795;
												goto BgL_zc3z04anonymousza31851ze3z87_3196;
											}
										}
									else
										{	/* BackEnd/jvm.scm 292 */
											((bool_t) 1);
										}
								}
								{
									obj_t BgL_l1483z00_3199;

									BgL_l1483z00_3199 = BgL_libsz00_3195;
								BgL_zc3z04anonymousza31857ze3z87_3198:
									if (PAIRP(BgL_l1483z00_3199))
										{	/* BackEnd/jvm.scm 293 */
											BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(CAR
												(BgL_l1483z00_3199));
											{
												obj_t BgL_l1483z00_3801;

												BgL_l1483z00_3801 = CDR(BgL_l1483z00_3199);
												BgL_l1483z00_3199 = BgL_l1483z00_3801;
												goto BgL_zc3z04anonymousza31857ze3z87_3198;
											}
										}
									else
										{	/* BackEnd/jvm.scm 293 */
											return ((bool_t) 1);
										}
								}
							}
						else
							{	/* BackEnd/jvm.scm 290 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* BackEnd/jvm.scm 290 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &<@anonymous:1880> */
	obj_t BGl_z62zc3z04anonymousza31880ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3034)
	{
		{	/* BackEnd/jvm.scm 315 */
			{	/* BackEnd/jvm.scm 318 */
				obj_t BgL_tmpz00_3035;

				BgL_tmpz00_3035 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3034, (int) (((long) 0))));
				{	/* BackEnd/jvm.scm 318 */
					bool_t BgL_tmpz00_3807;

					BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
					{	/* BackEnd/jvm.scm 319 */
						obj_t BgL_prez00_3200;

						BgL_prez00_3200 = BGl_prefixz00zz__osz00(BgL_tmpz00_3035);
						{	/* BackEnd/jvm.scm 319 */
							obj_t BgL_classzd2filezd2_3201;

							BgL_classzd2filezd2_3201 =
								string_append(BgL_prez00_3200,
								BGl_string2019z00zzbackend_jvmz00);
							{	/* BackEnd/jvm.scm 320 */

								if (fexists(BSTRING_TO_STRING(BgL_tmpz00_3035)))
									{	/* BackEnd/jvm.scm 322 */
										char *BgL_stringz00_3202;

										BgL_stringz00_3202 = BSTRING_TO_STRING(BgL_tmpz00_3035);
										if (unlink(BgL_stringz00_3202))
											{	/* BackEnd/jvm.scm 322 */
												BgL_tmpz00_3807 = ((bool_t) 0);
											}
										else
											{	/* BackEnd/jvm.scm 322 */
												BgL_tmpz00_3807 = ((bool_t) 1);
											}
									}
								else
									{	/* BackEnd/jvm.scm 321 */
										BgL_tmpz00_3807 = ((bool_t) 0);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_3807);
				}
			}
		}

	}



/* &backend-cnst-table-n1496 */
	obj_t BGl_z62backendzd2cnstzd2tablezd2n1496zb0zzbackend_jvmz00(obj_t
		BgL_envz00_3036, obj_t BgL_mez00_3037, obj_t BgL_offsetz00_3038)
	{
		{	/* BackEnd/jvm.scm 237 */
			return BGl_string2041z00zzbackend_jvmz00;
		}

	}



/* &backend-link-jvm1494 */
	obj_t BGl_z62backendzd2linkzd2jvm1494z62zzbackend_jvmz00(obj_t
		BgL_envz00_3039, obj_t BgL_mez00_3040, obj_t BgL_resultz00_3041)
	{
		{	/* BackEnd/jvm.scm 230 */
			return BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BFALSE);
		}

	}



/* &backend-compile-jvm1492 */
	obj_t BGl_z62backendzd2compilezd2jvm1492z62zzbackend_jvmz00(obj_t
		BgL_envz00_3042, obj_t BgL_mez00_3043)
	{
		{	/* BackEnd/jvm.scm 65 */
			{	/* BackEnd/jvm.scm 67 */
				obj_t BgL_list1647z00_3206;

				{	/* BackEnd/jvm.scm 67 */
					obj_t BgL_arg1648z00_3207;

					{	/* BackEnd/jvm.scm 67 */
						obj_t BgL_arg1651z00_3208;

						BgL_arg1651z00_3208 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1648z00_3207 =
							MAKE_YOUNG_PAIR(BGl_string2042z00zzbackend_jvmz00,
							BgL_arg1651z00_3208);
					}
					BgL_list1647z00_3206 =
						MAKE_YOUNG_PAIR(BGl_string2043z00zzbackend_jvmz00,
						BgL_arg1648z00_3207);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1647z00_3206);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2042z00zzbackend_jvmz00;
			{	/* BackEnd/jvm.scm 67 */
				obj_t BgL_g1115z00_3209;
				obj_t BgL_g1116z00_3210;

				{	/* BackEnd/jvm.scm 67 */
					obj_t BgL_list1665z00_3211;

					BgL_list1665z00_3211 =
						MAKE_YOUNG_PAIR
						(BGl_startzd2jvmzd2emissionz12zd2envzc0zzbackend_jvmz00, BNIL);
					BgL_g1115z00_3209 = BgL_list1665z00_3211;
				}
				BgL_g1116z00_3210 = CNST_TABLE_REF(((long) 16));
				{
					obj_t BgL_hooksz00_3213;
					obj_t BgL_hnamesz00_3214;

					BgL_hooksz00_3213 = BgL_g1115z00_3209;
					BgL_hnamesz00_3214 = BgL_g1116z00_3210;
				BgL_loopz00_3212:
					if (NULLP(BgL_hooksz00_3213))
						{	/* BackEnd/jvm.scm 67 */
							CNST_TABLE_REF(((long) 17));
						}
					else
						{	/* BackEnd/jvm.scm 67 */
							bool_t BgL_test2190z00_3831;

							{	/* BackEnd/jvm.scm 67 */
								obj_t BgL_fun1664z00_3215;

								BgL_fun1664z00_3215 = CAR(((obj_t) BgL_hooksz00_3213));
								BgL_test2190z00_3831 =
									CBOOL(
									((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun1664z00_3215)) (BgL_fun1664z00_3215,
										BEOA));
							}
							if (BgL_test2190z00_3831)
								{	/* BackEnd/jvm.scm 67 */
									obj_t BgL_arg1661z00_3216;
									obj_t BgL_arg1662z00_3217;

									BgL_arg1661z00_3216 = CDR(((obj_t) BgL_hooksz00_3213));
									BgL_arg1662z00_3217 = CDR(((obj_t) BgL_hnamesz00_3214));
									{
										obj_t BgL_hnamesz00_3843;
										obj_t BgL_hooksz00_3842;

										BgL_hooksz00_3842 = BgL_arg1661z00_3216;
										BgL_hnamesz00_3843 = BgL_arg1662z00_3217;
										BgL_hnamesz00_3214 = BgL_hnamesz00_3843;
										BgL_hooksz00_3213 = BgL_hooksz00_3842;
										goto BgL_loopz00_3212;
									}
								}
							else
								{	/* BackEnd/jvm.scm 67 */
									obj_t BgL_arg1663z00_3218;

									BgL_arg1663z00_3218 = CAR(((obj_t) BgL_hnamesz00_3214));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2042z00zzbackend_jvmz00,
										BGl_string2044z00zzbackend_jvmz00, BgL_arg1663z00_3218);
								}
						}
				}
			}
			{	/* BackEnd/jvm.scm 69 */
				obj_t BgL_arg1672z00_3219;

				BgL_arg1672z00_3219 =
					BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{	/* BackEnd/jvm.scm 68 */
					obj_t BgL_list1673z00_3220;

					{	/* BackEnd/jvm.scm 68 */
						obj_t BgL_arg1674z00_3221;

						{	/* BackEnd/jvm.scm 68 */
							obj_t BgL_arg1677z00_3222;

							{	/* BackEnd/jvm.scm 68 */
								obj_t BgL_arg1680z00_3223;

								{	/* BackEnd/jvm.scm 68 */
									obj_t BgL_arg1682z00_3224;

									{	/* BackEnd/jvm.scm 68 */
										obj_t BgL_arg1683z00_3225;

										BgL_arg1683z00_3225 =
											MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
										BgL_arg1682z00_3224 =
											MAKE_YOUNG_PAIR(BGl_string2045z00zzbackend_jvmz00,
											BgL_arg1683z00_3225);
									}
									BgL_arg1680z00_3223 =
										MAKE_YOUNG_PAIR(BgL_arg1672z00_3219, BgL_arg1682z00_3224);
								}
								BgL_arg1677z00_3222 =
									MAKE_YOUNG_PAIR(BGl_string2046z00zzbackend_jvmz00,
									BgL_arg1680z00_3223);
							}
							BgL_arg1674z00_3221 =
								MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
								BgL_arg1677z00_3222);
						}
						BgL_list1673z00_3220 =
							MAKE_YOUNG_PAIR(BGl_string2047z00zzbackend_jvmz00,
							BgL_arg1674z00_3221);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
						BgL_list1673z00_3220);
			}}
			((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_mez00_3043)))->BgL_qnamez00) = ((obj_t)
					bstring_to_symbol(BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
						(BGl_za2moduleza2z00zzmodule_modulez00))), BUNSPEC);
			{	/* BackEnd/jvm.scm 74 */
				bool_t BgL_test2191z00_3861;

				if (CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
					{	/* BackEnd/jvm.scm 74 */
						BgL_test2191z00_3861 = ((bool_t) 0);
					}
				else
					{	/* BackEnd/jvm.scm 74 */
						if (CBOOL(BGl_za2autozd2linkzd2mainza2z00zzengine_paramz00))
							{	/* BackEnd/jvm.scm 74 */
								BgL_test2191z00_3861 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BGl_za2passza2z00zzengine_paramz00,
										CNST_TABLE_REF(((long) 18))));
							}
						else
							{	/* BackEnd/jvm.scm 74 */
								BgL_test2191z00_3861 = ((bool_t) 0);
							}
					}
				if (BgL_test2191z00_3861)
					{	/* BackEnd/jvm.scm 74 */
						BGl_za2mainza2z00zzmodule_modulez00 =
							BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
					}
				else
					{	/* BackEnd/jvm.scm 74 */
						BFALSE;
					}
			}
			BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00
				(BGl_za2moduleza2z00zzmodule_modulez00,
				BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00);
			{	/* BackEnd/jvm.scm 102 */
				obj_t BgL_lza2za2_3226;
				obj_t BgL_bnamez00_3227;

				BgL_lza2za2_3226 =
					BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(
					((BgL_jvmz00_bglt) BgL_mez00_3043));
				if ((BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 10))))
					{	/* BackEnd/jvm.scm 105 */
						bool_t BgL_test2195z00_3876;

						{	/* BackEnd/jvm.scm 105 */
							obj_t BgL_tmpz00_3877;

							BgL_tmpz00_3877 =
								(((BgL_jvmz00_bglt) COBJECT(
										((BgL_jvmz00_bglt) BgL_mez00_3043)))->BgL_qnamez00);
							BgL_test2195z00_3876 = SYMBOLP(BgL_tmpz00_3877);
						}
						if (BgL_test2195z00_3876)
							{	/* BackEnd/jvm.scm 106 */
								obj_t BgL_arg1730z00_3228;

								{	/* BackEnd/jvm.scm 106 */
									obj_t BgL_arg1731z00_3229;

									{	/* BackEnd/jvm.scm 106 */
										obj_t BgL_arg1734z00_3230;

										{	/* BackEnd/jvm.scm 106 */
											obj_t BgL_arg1736z00_3231;

											BgL_arg1736z00_3231 =
												(((BgL_jvmz00_bglt) COBJECT(
														((BgL_jvmz00_bglt) BgL_mez00_3043)))->BgL_qnamez00);
											{	/* BackEnd/jvm.scm 106 */
												obj_t BgL_arg1469z00_3232;

												BgL_arg1469z00_3232 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1736z00_3231));
												BgL_arg1734z00_3230 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1469z00_3232);
											}
										}
										BgL_arg1731z00_3229 =
											BGl_basenamez00zz__osz00(BgL_arg1734z00_3230);
									}
									BgL_arg1730z00_3228 =
										BGl_prefixz00zz__osz00(BgL_arg1731z00_3229);
								}
								BgL_bnamez00_3227 =
									BGl_addsuffixz00zzbackend_jvmz00(BgL_arg1730z00_3228);
							}
						else
							{	/* BackEnd/jvm.scm 105 */
								BgL_bnamez00_3227 = BGl_string2048z00zzbackend_jvmz00;
							}
					}
				else
					{	/* BackEnd/jvm.scm 104 */
						if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
							{	/* BackEnd/jvm.scm 108 */
								BgL_bnamez00_3227 =
									BGl_addsuffixz00zzbackend_jvmz00(BGl_prefixz00zz__osz00
									(BGl_basenamez00zz__osz00
										(BGl_za2destza2z00zzengine_paramz00)));
							}
						else
							{	/* BackEnd/jvm.scm 109 */
								bool_t BgL_test2197z00_3894;

								{	/* BackEnd/jvm.scm 109 */
									obj_t BgL_tmpz00_3895;

									BgL_tmpz00_3895 =
										(((BgL_jvmz00_bglt) COBJECT(
												((BgL_jvmz00_bglt) BgL_mez00_3043)))->BgL_qnamez00);
									BgL_test2197z00_3894 = SYMBOLP(BgL_tmpz00_3895);
								}
								if (BgL_test2197z00_3894)
									{	/* BackEnd/jvm.scm 110 */
										obj_t BgL_arg1749z00_3233;

										{	/* BackEnd/jvm.scm 110 */
											obj_t BgL_arg1750z00_3234;

											{	/* BackEnd/jvm.scm 110 */
												obj_t BgL_arg1751z00_3235;

												{	/* BackEnd/jvm.scm 110 */
													obj_t BgL_arg1752z00_3236;

													BgL_arg1752z00_3236 =
														(((BgL_jvmz00_bglt) COBJECT(
																((BgL_jvmz00_bglt) BgL_mez00_3043)))->
														BgL_qnamez00);
													{	/* BackEnd/jvm.scm 110 */
														obj_t BgL_arg1469z00_3237;

														BgL_arg1469z00_3237 =
															SYMBOL_TO_STRING(((obj_t) BgL_arg1752z00_3236));
														BgL_arg1751z00_3235 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1469z00_3237);
													}
												}
												BgL_arg1750z00_3234 =
													BGl_basenamez00zz__osz00(BgL_arg1751z00_3235);
											}
											BgL_arg1749z00_3233 =
												BGl_prefixz00zz__osz00(BgL_arg1750z00_3234);
										}
										BgL_bnamez00_3227 =
											BGl_addsuffixz00zzbackend_jvmz00(BgL_arg1749z00_3233);
									}
								else
									{	/* BackEnd/jvm.scm 109 */
										BgL_bnamez00_3227 = BFALSE;
									}
							}
					}
				{	/* BackEnd/jvm.scm 114 */
					obj_t BgL_arg1696z00_3238;

					BgL_arg1696z00_3238 = CAR(((obj_t) BgL_lza2za2_3226));
					BGl_emitze70ze7zzbackend_jvmz00(BgL_arg1696z00_3238,
						BgL_bnamez00_3227);
				}
				{	/* BackEnd/jvm.scm 115 */
					obj_t BgL_g1478z00_3239;

					BgL_g1478z00_3239 = CDR(((obj_t) BgL_lza2za2_3226));
					{
						obj_t BgL_l1476z00_3241;

						BgL_l1476z00_3241 = BgL_g1478z00_3239;
					BgL_zc3z04anonymousza31697ze3z87_3240:
						if (PAIRP(BgL_l1476z00_3241))
							{	/* BackEnd/jvm.scm 116 */
								{	/* BackEnd/jvm.scm 115 */
									obj_t BgL_cfz00_3242;

									BgL_cfz00_3242 = CAR(BgL_l1476z00_3241);
									BGl_emitze70ze7zzbackend_jvmz00(BgL_cfz00_3242,
										BGl_jasnamez00zzbackend_jvmz00(BgL_cfz00_3242));
								}
								{
									obj_t BgL_l1476z00_3917;

									BgL_l1476z00_3917 = CDR(BgL_l1476z00_3241);
									BgL_l1476z00_3241 = BgL_l1476z00_3917;
									goto BgL_zc3z04anonymousza31697ze3z87_3240;
								}
							}
						else
							{	/* BackEnd/jvm.scm 116 */
								((bool_t) 1);
							}
					}
				}
				BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long) 19)),
					BGl_proc2049z00zzbackend_jvmz00);
				BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long) 8)),
					BGl_proc2050z00zzbackend_jvmz00);
				return BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long)
							7)), BGl_proc2051z00zzbackend_jvmz00);
		}}

	}



/* <@exit:1770>~0 */
	obj_t BGl_zc3z04exitza31770ze3ze70z60zzbackend_jvmz00(obj_t
		BgL_classfilez00_3069, obj_t BgL_portz00_3068, obj_t BgL_cell1120z00_3067,
		obj_t BgL_env1125z00_3066)
	{
		{	/* BackEnd/jvm.scm 94 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1133z00_2125;

			if (SET_EXIT(BgL_an_exit1133z00_2125))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1133z00_2125 = (void *) jmpbuf;
					PUSH_ENV_EXIT(BgL_env1125z00_3066, BgL_an_exit1133z00_2125,
						((long) 1));
					{	/* BackEnd/jvm.scm 94 */
						obj_t BgL_escape1121z00_2126;

						BgL_escape1121z00_2126 =
							BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1125z00_3066);
						{	/* BackEnd/jvm.scm 94 */
							obj_t BgL_res1136z00_2127;

							{	/* BackEnd/jvm.scm 94 */
								obj_t BgL_ohs1117z00_2128;

								BgL_ohs1117z00_2128 =
									BGL_ENV_ERROR_HANDLER_GET(BgL_env1125z00_3066);
								{	/* BackEnd/jvm.scm 94 */
									obj_t BgL_hds1118z00_2129;

									BgL_hds1118z00_2129 =
										MAKE_STACK_PAIR(BgL_escape1121z00_2126,
										BgL_cell1120z00_3067);
									BGL_ENV_ERROR_HANDLER_SET(BgL_env1125z00_3066,
										BgL_hds1118z00_2129);
									BUNSPEC;
									{	/* BackEnd/jvm.scm 94 */
										obj_t BgL_exitd1126z00_2130;

										BgL_exitd1126z00_2130 =
											BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1125z00_3066);
										{	/* BackEnd/jvm.scm 94 */
											obj_t BgL_tmp1128z00_2131;

											{	/* BackEnd/jvm.scm 94 */
												obj_t BgL_arg1777z00_2138;

												BgL_arg1777z00_2138 =
													BGL_EXITD_PROTECT(BgL_exitd1126z00_2130);
												BgL_tmp1128z00_2131 =
													MAKE_YOUNG_PAIR(BgL_ohs1117z00_2128,
													BgL_arg1777z00_2138);
											}
											{	/* BackEnd/jvm.scm 94 */

												BGL_EXITD_PROTECT_SET(BgL_exitd1126z00_2130,
													BgL_tmp1128z00_2131);
												BUNSPEC;
												{	/* BackEnd/jvm.scm 98 */
													obj_t BgL_tmp1127z00_2132;

													{	/* BackEnd/jvm.scm 98 */
														obj_t BgL_exitd1129z00_2133;

														BgL_exitd1129z00_2133 = BGL_EXITD_TOP_AS_OBJ();
														{	/* BackEnd/jvm.scm 100 */
															obj_t BgL_zc3z04anonymousza31771ze3z87_3021;

															BgL_zc3z04anonymousza31771ze3z87_3021 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31771ze3ze5zzbackend_jvmz00,
																(int) (((long) 0)), (int) (((long) 1)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31771ze3z87_3021,
																(int) (((long) 0)), BgL_portz00_3068);
															{	/* BackEnd/jvm.scm 98 */
																obj_t BgL_arg1842z00_2827;

																{	/* BackEnd/jvm.scm 98 */
																	obj_t BgL_arg1843z00_2828;

																	BgL_arg1843z00_2828 =
																		BGL_EXITD_PROTECT(BgL_exitd1129z00_2133);
																	BgL_arg1842z00_2827 =
																		MAKE_YOUNG_PAIR
																		(BgL_zc3z04anonymousza31771ze3z87_3021,
																		BgL_arg1843z00_2828);
																}
																BGL_EXITD_PROTECT_SET(BgL_exitd1129z00_2133,
																	BgL_arg1842z00_2827);
																BUNSPEC;
															}
															{	/* BackEnd/jvm.scm 99 */
																obj_t BgL_tmp1131z00_2135;

																BgL_tmp1131z00_2135 =
																	BGl_jvmzd2aszd2zzjas_asz00
																	(BgL_classfilez00_3069, BgL_portz00_3068);
																{	/* BackEnd/jvm.scm 98 */
																	bool_t BgL_test2199z00_3946;

																	{	/* BackEnd/jvm.scm 98 */
																		obj_t BgL_arg1841z00_2830;

																		BgL_arg1841z00_2830 =
																			BGL_EXITD_PROTECT(BgL_exitd1129z00_2133);
																		BgL_test2199z00_3946 =
																			PAIRP(BgL_arg1841z00_2830);
																	}
																	if (BgL_test2199z00_3946)
																		{	/* BackEnd/jvm.scm 98 */
																			obj_t BgL_arg1838z00_2831;

																			{	/* BackEnd/jvm.scm 98 */
																				obj_t BgL_arg1839z00_2832;

																				BgL_arg1839z00_2832 =
																					BGL_EXITD_PROTECT
																					(BgL_exitd1129z00_2133);
																				BgL_arg1838z00_2831 =
																					CDR(((obj_t) BgL_arg1839z00_2832));
																			}
																			BGL_EXITD_PROTECT_SET
																				(BgL_exitd1129z00_2133,
																				BgL_arg1838z00_2831);
																			BUNSPEC;
																		}
																	else
																		{	/* BackEnd/jvm.scm 98 */
																			BFALSE;
																		}
																}
																close_binary_port(((obj_t) BgL_portz00_3068));
																BgL_tmp1127z00_2132 = BgL_tmp1131z00_2135;
															}
														}
													}
													{	/* BackEnd/jvm.scm 94 */
														bool_t BgL_test2200z00_3955;

														{	/* BackEnd/jvm.scm 94 */
															obj_t BgL_arg1841z00_2836;

															BgL_arg1841z00_2836 =
																BGL_EXITD_PROTECT(BgL_exitd1126z00_2130);
															BgL_test2200z00_3955 = PAIRP(BgL_arg1841z00_2836);
														}
														if (BgL_test2200z00_3955)
															{	/* BackEnd/jvm.scm 94 */
																obj_t BgL_arg1838z00_2837;

																{	/* BackEnd/jvm.scm 94 */
																	obj_t BgL_arg1839z00_2838;

																	BgL_arg1839z00_2838 =
																		BGL_EXITD_PROTECT(BgL_exitd1126z00_2130);
																	BgL_arg1838z00_2837 =
																		CDR(((obj_t) BgL_arg1839z00_2838));
																}
																BGL_EXITD_PROTECT_SET(BgL_exitd1126z00_2130,
																	BgL_arg1838z00_2837);
																BUNSPEC;
															}
														else
															{	/* BackEnd/jvm.scm 94 */
																BFALSE;
															}
													}
													BGL_ENV_ERROR_HANDLER_SET(BgL_env1125z00_3066,
														BgL_ohs1117z00_2128);
													BUNSPEC;
													BgL_res1136z00_2127 = BgL_tmp1127z00_2132;
												}
											}
										}
									}
								}
							}
							POP_ENV_EXIT(BgL_env1125z00_3066);
							return BgL_res1136z00_2127;
						}
					}
				}
		}

	}



/* emit~0 */
	obj_t BGl_emitze70ze7zzbackend_jvmz00(obj_t BgL_classfilez00_2101,
		obj_t BgL_destz00_2102)
	{
		{	/* BackEnd/jvm.scm 100 */
			{	/* BackEnd/jvm.scm 78 */
				obj_t BgL_dirz00_2104;

				BgL_dirz00_2104 = BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00;
				if ((BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 8))))
					{	/* BackEnd/jvm.scm 80 */
						obj_t BgL_portz00_2105;

						if (STRINGP(BgL_destz00_2102))
							{	/* BackEnd/jvm.scm 83 */
								obj_t BgL_arg1763z00_2110;

								BgL_arg1763z00_2110 =
									string_append_3(BgL_dirz00_2104,
									BGl_string2052z00zzbackend_jvmz00, BgL_destz00_2102);
								{	/* BackEnd/jvm.scm 82 */

									BgL_portz00_2105 =
										BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_arg1763z00_2110, BTRUE);
								}
							}
						else
							{	/* BackEnd/jvm.scm 81 */
								obj_t BgL_tmpz00_3971;

								BgL_tmpz00_3971 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_portz00_2105 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3971);
							}
						BGl_jvmasdumpz00zzbackend_jvmz00(BgL_classfilez00_2101,
							BgL_portz00_2105);
						{	/* BackEnd/jvm.scm 85 */
							bool_t BgL_test2203z00_3975;

							{	/* BackEnd/jvm.scm 85 */
								obj_t BgL_arg1757z00_2108;

								{	/* BackEnd/jvm.scm 85 */
									obj_t BgL_tmpz00_3976;

									BgL_tmpz00_3976 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1757z00_2108 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3976);
								}
								BgL_test2203z00_3975 =
									(BgL_portz00_2105 == BgL_arg1757z00_2108);
							}
							if (BgL_test2203z00_3975)
								{	/* BackEnd/jvm.scm 85 */
									return BFALSE;
								}
							else
								{	/* BackEnd/jvm.scm 85 */
									return bgl_close_output_port(((obj_t) BgL_portz00_2105));
								}
						}
					}
				else
					{	/* BackEnd/jvm.scm 87 */
						obj_t BgL_cnamez00_2113;

						if (STRINGP(BgL_destz00_2102))
							{	/* BackEnd/jvm.scm 87 */
								BgL_cnamez00_2113 =
									string_append_3(BgL_dirz00_2104,
									BGl_string2052z00zzbackend_jvmz00, BgL_destz00_2102);
							}
						else
							{	/* BackEnd/jvm.scm 87 */
								BgL_cnamez00_2113 =
									string_append(BgL_dirz00_2104,
									BGl_string2053z00zzbackend_jvmz00);
							}
						{	/* BackEnd/jvm.scm 87 */
							obj_t BgL_portz00_2114;

							BgL_portz00_2114 =
								BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
								(BgL_cnamez00_2113);
							{	/* BackEnd/jvm.scm 90 */

								{	/* BackEnd/jvm.scm 91 */
									obj_t BgL_list1764z00_2115;

									{	/* BackEnd/jvm.scm 91 */
										obj_t BgL_arg1765z00_2116;

										{	/* BackEnd/jvm.scm 91 */
											obj_t BgL_arg1766z00_2117;

											BgL_arg1766z00_2117 =
												MAKE_YOUNG_PAIR(BGl_string2054z00zzbackend_jvmz00,
												BNIL);
											BgL_arg1765z00_2116 =
												MAKE_YOUNG_PAIR(BgL_cnamez00_2113, BgL_arg1766z00_2117);
										}
										BgL_list1764z00_2115 =
											MAKE_YOUNG_PAIR(BGl_string2055z00zzbackend_jvmz00,
											BgL_arg1765z00_2116);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
										BgL_list1764z00_2115);
								}
								if (BINARY_PORTP(BgL_portz00_2114))
									{	/* BackEnd/jvm.scm 92 */
										BFALSE;
									}
								else
									{	/* BackEnd/jvm.scm 92 */
										BGl_errorz00zz__errorz00(BGl_string2056z00zzbackend_jvmz00,
											BGl_string2057z00zzbackend_jvmz00, BgL_cnamez00_2113);
									}
								{	/* BackEnd/jvm.scm 94 */
									obj_t BgL_env1125z00_2120;

									BgL_env1125z00_2120 = BGL_CURRENT_DYNAMIC_ENV();
									{	/* BackEnd/jvm.scm 94 */
										obj_t BgL_cell1120z00_2121;

										BgL_cell1120z00_2121 = MAKE_STACK_CELL(BUNSPEC);
										{	/* BackEnd/jvm.scm 94 */
											obj_t BgL_val1124z00_2122;

											BgL_val1124z00_2122 =
												BGl_zc3z04exitza31770ze3ze70z60zzbackend_jvmz00
												(BgL_classfilez00_2101, BgL_portz00_2114,
												BgL_cell1120z00_2121, BgL_env1125z00_2120);
											if ((BgL_val1124z00_2122 == BgL_cell1120z00_2121))
												{	/* BackEnd/jvm.scm 94 */
													{	/* BackEnd/jvm.scm 94 */
														int BgL_tmpz00_4000;

														BgL_tmpz00_4000 = (int) (((long) 0));
														BGL_SIGSETMASK(BgL_tmpz00_4000);
													}
													{	/* BackEnd/jvm.scm 94 */
														obj_t BgL_arg1769z00_2123;

														BgL_arg1769z00_2123 =
															CELL_REF(((obj_t) BgL_val1124z00_2122));
														{	/* BackEnd/jvm.scm 96 */
															char *BgL_stringz00_2841;

															BgL_stringz00_2841 =
																BSTRING_TO_STRING(BgL_cnamez00_2113);
															if (unlink(BgL_stringz00_2841))
																{	/* BackEnd/jvm.scm 96 */
																	((bool_t) 0);
																}
															else
																{	/* BackEnd/jvm.scm 96 */
																	((bool_t) 1);
																}
														}
														return
															BGl_raisez00zz__errorz00(BgL_arg1769z00_2123);
													}
												}
											else
												{	/* BackEnd/jvm.scm 94 */
													return BgL_val1124z00_2122;
												}
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* &<@anonymous:1724> */
	obj_t BGl_z62zc3z04anonymousza31724ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3044)
	{
		{	/* BackEnd/jvm.scm 119 */
			return CNST_TABLE_REF(((long) 20));
		}

	}



/* &<@anonymous:1721> */
	obj_t BGl_z62zc3z04anonymousza31721ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3045)
	{
		{	/* BackEnd/jvm.scm 118 */
			return CNST_TABLE_REF(((long) 20));
		}

	}



/* &<@anonymous:1713> */
	obj_t BGl_z62zc3z04anonymousza31713ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3046)
	{
		{	/* BackEnd/jvm.scm 117 */
			return CNST_TABLE_REF(((long) 20));
		}

	}



/* &<@anonymous:1771> */
	obj_t BGl_z62zc3z04anonymousza31771ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3047)
	{
		{	/* BackEnd/jvm.scm 98 */
			{	/* BackEnd/jvm.scm 100 */
				obj_t BgL_portz00_3048;

				BgL_portz00_3048 = PROCEDURE_REF(BgL_envz00_3047, (int) (((long) 0)));
				return close_binary_port(((obj_t) BgL_portz00_3048));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_linkz00(((long) 117219619),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_compilerz00(((long) 412406770),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(((long) 316727058),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(((long) 428236825),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(((long) 65542503),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzjas_asz00(((long) 476839586),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzjas_peepz00(((long) 121595967),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(((long) 100353792),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_ldz00(((long) 14468792),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(((long) 252555369),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long) 32737986),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
			return
				BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 95801752),
				BSTRING_TO_STRING(BGl_string2058z00zzbackend_jvmz00));
		}

	}

#ifdef __cplusplus
}
#endif
