/*===========================================================================*/
/*   (Cfa/cfa.scm)                                                           */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/cfa.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_genpatchidz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		long BgL_indexz00;
		long BgL_rindexz00;
	}                    *BgL_genpatchidz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_literalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                         *BgL_literalzf2cinfozf2_bglt;

	typedef struct BgL_genpatchidzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_genpatchidzf2cinfozf2_bglt;

	typedef struct BgL_patchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_patchzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_switchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_switchzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_pragmazf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_pragmazf2cinfozf2_bglt;

	typedef struct BgL_getfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_getfieldzf2cinfozf2_bglt;

	typedef struct BgL_setfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_setfieldzf2cinfozf2_bglt;

	typedef struct BgL_newzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                     *BgL_newzf2cinfozf2_bglt;

	typedef struct BgL_instanceofzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_instanceofzf2cinfozf2_bglt;

	typedef struct BgL_castzd2nullzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_castzd2nullzf2cinfoz20_bglt;


	extern obj_t BGl_newzf2Cinfozf2zzcfa_info3z00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2genpatchidzf2Cinf1634z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_pragmazf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_approxz00zzcfa_infoz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt BGl_z62cfaz12zd2sequence1626za2zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_cfaz00(void);
	extern obj_t BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
	extern obj_t BGl_genpatchidzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2setfieldzf2Cinfo1638z50zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62cfaz12zd2letzd2fun1656z70zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2literalzf2Cinfo1602z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2kwotezf2Cinfo1606z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_globalzd2loosez12zc0zzcfa_loosez00(BgL_globalz00_bglt,
		BgL_approxz00_bglt);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_switchzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_cfaz00(void);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2instanceofzf2Cinf1642z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_literalzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2conditionalzf2Cin1650z50zzcfa_cfaz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(BgL_valuez00_bglt);
	extern obj_t BGl_castzd2nullzf2Cinfoz20zzcfa_info3z00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_failzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2setzd2exzd2itzf2Cinfo1660z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_setqzf2Cinfozf2zzcfa_infoz00;
	extern BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static BgL_approxz00_bglt BGl_z62cfaz12zd2closure1612za2zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt BGl_z62cfaz12zd2letzd2var1658z70zzcfa_cfaz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2failzf2Cinfo1652z50zzcfa_cfaz00(obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_cfaz00(void);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
	extern obj_t BGl_instanceofzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2refzf2Cinfo1668z82zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2setqzf2Cinfo1648z50zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62cfaz12z70zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62cfaz12zd2sync1628za2zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2jumpzd2exzd2itzf2Cinf1662z50zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Cinfo1666z90zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_getfieldzf2Cinfozf2zzcfa_info3z00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_cfaz00 = BUNSPEC;
	extern obj_t BGl_patchzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2appzd2lyzf2Cinfo1630z82zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2switchzf2Cinfo1654z50zzcfa_cfaz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_cfaz00(void);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2castzd2nullzf2Cinfo1644z82zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_cfaz00(void);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2boxzf2Cinfo1664z82zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2kwotezf2node1608z50zzcfa_cfaz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2approxzb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1613zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1616zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1618zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1620zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1622zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1624zb0zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62cfaz121599z70zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2patchzf2Cinfo1604z50zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2pragmazf2Cinfo1632z50zzcfa_cfaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_cfaz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_cfaz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_cfaz00(void);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt BGl_z62cfaz12zd2var1610za2zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static BgL_approxz00_bglt BGl_z62cfaz12zd2cast1646za2zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2getfieldzf2Cinfo1636z50zzcfa_cfaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_setfieldzf2Cinfozf2zzcfa_info3z00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2newzf2Cinfo1640z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string2121z00zzcfa_cfaz00,
		BgL_bgl_string2121za700za7za7c2152za7, "cfa-variable-value-approx", 25);
	      DEFINE_STRING(BGl_string2148z00zzcfa_cfaz00,
		BgL_bgl_string2148za700za7za7c2153za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2149z00zzcfa_cfaz00,
		BgL_bgl_string2149za700za7za7c2154za7, "cfa_cfa", 7);
	      DEFINE_STRING(BGl_string2150z00zzcfa_cfaz00,
		BgL_bgl_string2150za700za7za7c2155za7,
		"static all cfa-variable-value-a1613 ", 36);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za770za7za7cf2156za7, BGl_z62cfaz12z70zzcfa_cfaz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7121599za7702157za7, BGl_z62cfaz121599z70zzcfa_cfaz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2158z00,
		BGl_z62cfazd2variablezd2valuezd2a1613zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2113z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2lite2159za7,
		BGl_z62cfaz12zd2literalzf2Cinfo1602z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2patc2160za7,
		BGl_z62cfaz12zd2patchzf2Cinfo1604z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2116z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2kwot2161za7,
		BGl_z62cfaz12zd2kwotezf2Cinfo1606z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2kwot2162za7,
		BGl_z62cfaz12zd2kwotezf2node1608z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2118z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2var12163za7,
		BGl_z62cfaz12zd2var1610za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2clos2164za7,
		BGl_z62cfaz12zd2closure1612za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2165z00,
		BGl_z62cfazd2variablezd2valuezd2a1616zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2122z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2166z00,
		BGl_z62cfazd2variablezd2valuezd2a1618zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2167z00,
		BGl_z62cfazd2variablezd2valuezd2a1620zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2124z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2168z00,
		BGl_z62cfazd2variablezd2valuezd2a1622zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2169z00,
		BGl_z62cfazd2variablezd2valuezd2a1624zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2126z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2sequ2170za7,
		BGl_z62cfaz12zd2sequence1626za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2sync2171za7,
		BGl_z62cfaz12zd2sync1628za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2128z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2appza72172z00,
		BGl_z62cfaz12zd2appzd2lyzf2Cinfo1630z82zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2prag2173za7,
		BGl_z62cfaz12zd2pragmazf2Cinfo1632z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2130z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2genp2174za7,
		BGl_z62cfaz12zd2genpatchidzf2Cinf1634z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2131z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2getf2175za7,
		BGl_z62cfaz12zd2getfieldzf2Cinfo1636z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2setf2176za7,
		BGl_z62cfaz12zd2setfieldzf2Cinfo1638z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2newza72177z00,
		BGl_z62cfaz12zd2newzf2Cinfo1640z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2inst2178za7,
		BGl_z62cfaz12zd2instanceofzf2Cinf1642z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2cast2179za7,
		BGl_z62cfaz12zd2castzd2nullzf2Cinfo1644z82zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2cast2180za7,
		BGl_z62cfaz12zd2cast1646za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2setq2181za7,
		BGl_z62cfaz12zd2setqzf2Cinfo1648z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2cond2182za7,
		BGl_z62cfaz12zd2conditionalzf2Cin1650z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2fail2183za7,
		BGl_z62cfaz12zd2failzf2Cinfo1652z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2swit2184za7,
		BGl_z62cfaz12zd2switchzf2Cinfo1654z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2letza72185z00,
		BGl_z62cfaz12zd2letzd2fun1656z70zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2letza72186z00,
		BGl_z62cfaz12zd2letzd2var1658z70zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2setza72187z00,
		BGl_z62cfaz12zd2setzd2exzd2itzf2Cinfo1660z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2jump2188za7,
		BGl_z62cfaz12zd2jumpzd2exzd2itzf2Cinf1662z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2make2189za7,
		BGl_z62cfaz12zd2makezd2boxzf2Cinfo1664z82zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2boxza72190z00,
		BGl_z62cfaz12zd2boxzd2setz12zf2Cinfo1666z90zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2boxza72191z00,
		BGl_z62cfaz12zd2boxzd2refzf2Cinfo1668z82zzcfa_cfaz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2192z00,
		BGl_z62cfazd2variablezd2valuezd2approxzb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2108z00zzcfa_cfaz00,
		BgL_bgl_string2108za700za7za7c2193za7, "cfa!1599", 8);
	      DEFINE_STRING(BGl_string2110z00zzcfa_cfaz00,
		BgL_bgl_string2110za700za7za7c2194za7, "cfa-variable-value-a1613", 24);
	      DEFINE_STRING(BGl_string2111z00zzcfa_cfaz00,
		BgL_bgl_string2111za700za7za7c2195za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2112z00zzcfa_cfaz00,
		BgL_bgl_string2112za700za7za7c2196za7, "cfa!:no method for this ast", 27);
	      DEFINE_STRING(BGl_string2114z00zzcfa_cfaz00,
		BgL_bgl_string2114za700za7za7c2197za7, "cfa!", 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_cfaz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long
		BgL_checksumz00_4812, char *BgL_fromz00_4813)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_cfaz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_cfaz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_cfaz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_cfaz00();
					BGl_cnstzd2initzd2zzcfa_cfaz00();
					BGl_importedzd2moduleszd2initz00zzcfa_cfaz00();
					BGl_genericzd2initzd2zzcfa_cfaz00();
					BGl_methodzd2initzd2zzcfa_cfaz00();
					return BGl_toplevelzd2initzd2zzcfa_cfaz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_cfa");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			{	/* Cfa/cfa.scm 15 */
				obj_t BgL_cportz00_4654;

				{	/* Cfa/cfa.scm 15 */
					obj_t BgL_stringz00_4661;

					BgL_stringz00_4661 = BGl_string2150z00zzcfa_cfaz00;
					{	/* Cfa/cfa.scm 15 */
						obj_t BgL_startz00_4662;

						BgL_startz00_4662 = BINT(((long) 0));
						{	/* Cfa/cfa.scm 15 */
							obj_t BgL_endz00_4663;

							BgL_endz00_4663 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4661)));
							{	/* Cfa/cfa.scm 15 */

								BgL_cportz00_4654 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4661, BgL_startz00_4662, BgL_endz00_4663);
				}}}}
				{
					long BgL_iz00_4655;

					BgL_iz00_4655 = ((long) 2);
				BgL_loopz00_4656:
					if ((BgL_iz00_4655 == ((long) -1)))
						{	/* Cfa/cfa.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/cfa.scm 15 */
							{	/* Cfa/cfa.scm 15 */
								obj_t BgL_arg2151z00_4657;

								{	/* Cfa/cfa.scm 15 */

									{	/* Cfa/cfa.scm 15 */
										obj_t BgL_locationz00_4659;

										BgL_locationz00_4659 = BBOOL(((bool_t) 0));
										{	/* Cfa/cfa.scm 15 */

											BgL_arg2151z00_4657 =
												BGl_readz00zz__readerz00(BgL_cportz00_4654,
												BgL_locationz00_4659);
										}
									}
								}
								{	/* Cfa/cfa.scm 15 */
									int BgL_tmpz00_4843;

									BgL_tmpz00_4843 = (int) (BgL_iz00_4655);
									CNST_TABLE_SET(BgL_tmpz00_4843, BgL_arg2151z00_4657);
							}}
							{	/* Cfa/cfa.scm 15 */
								int BgL_auxz00_4660;

								BgL_auxz00_4660 = (int) ((BgL_iz00_4655 - ((long) 1)));
								{
									long BgL_iz00_4848;

									BgL_iz00_4848 = (long) (BgL_auxz00_4660);
									BgL_iz00_4655 = BgL_iz00_4848;
									goto BgL_loopz00_4656;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_proc2107z00zzcfa_cfaz00, BGl_nodez00zzast_nodez00,
				BGl_string2108z00zzcfa_cfaz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_proc2109z00zzcfa_cfaz00, BGl_valuez00zzast_varz00,
				BGl_string2110z00zzcfa_cfaz00);
		}

	}



/* &cfa-variable-value-a1613 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1613zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4547, obj_t BgL_valuez00_4548)
	{
		{	/* Cfa/cfa.scm 93 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string2111z00zzcfa_cfaz00,
				((obj_t) ((BgL_valuez00_bglt) BgL_valuez00_4548)));
		}

	}



/* &cfa!1599 */
	obj_t BGl_z62cfaz121599z70zzcfa_cfaz00(obj_t BgL_envz00_4549,
		obj_t BgL_nodez00_4550)
	{
		{	/* Cfa/cfa.scm 38 */
			{	/* Cfa/cfa.scm 39 */
				obj_t BgL_arg1677z00_4667;

				BgL_arg1677z00_4667 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4550)));
				return
					BGl_internalzd2errorzd2zztools_errorz00(BGl_string2112z00zzcfa_cfaz00,
					((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4550)), BgL_arg1677z00_4667);
			}
		}

	}



/* cfa! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		{	/* Cfa/cfa.scm 38 */
			{	/* Cfa/cfa.scm 38 */
				obj_t BgL_method1600z00_3456;

				{	/* Cfa/cfa.scm 38 */
					obj_t BgL_res2099z00_4363;

					{	/* Cfa/cfa.scm 38 */
						long BgL_objzd2classzd2numz00_4334;

						BgL_objzd2classzd2numz00_4334 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
						{	/* Cfa/cfa.scm 38 */
							obj_t BgL_arg1825z00_4335;

							BgL_arg1825z00_4335 =
								PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
								(int) (((long) 1)));
							{	/* Cfa/cfa.scm 38 */
								int BgL_offsetz00_4338;

								BgL_offsetz00_4338 = (int) (BgL_objzd2classzd2numz00_4334);
								{	/* Cfa/cfa.scm 38 */
									long BgL_offsetz00_4339;

									BgL_offsetz00_4339 =
										((long) (BgL_offsetz00_4338) - OBJECT_TYPE);
									{	/* Cfa/cfa.scm 38 */
										long BgL_modz00_4340;

										BgL_modz00_4340 =
											(BgL_offsetz00_4339 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/cfa.scm 38 */
											long BgL_restz00_4342;

											BgL_restz00_4342 =
												(BgL_offsetz00_4339 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/cfa.scm 38 */

												{	/* Cfa/cfa.scm 38 */
													obj_t BgL_bucketz00_4344;

													BgL_bucketz00_4344 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4335), BgL_modz00_4340);
													BgL_res2099z00_4363 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4344), BgL_restz00_4342);
					}}}}}}}}
					BgL_method1600z00_3456 = BgL_res2099z00_4363;
				}
				return
					((BgL_approxz00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1600z00_3456)) (BgL_method1600z00_3456,
						((obj_t) BgL_nodez00_3), BEOA));
			}
		}

	}



/* &cfa! */
	BgL_approxz00_bglt BGl_z62cfaz12z70zzcfa_cfaz00(obj_t BgL_envz00_4551,
		obj_t BgL_nodez00_4552)
	{
		{	/* Cfa/cfa.scm 38 */
			return BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_nodez00_4552));
		}

	}



/* cfa-variable-value-approx */
	BGL_EXPORTED_DEF obj_t
		BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(BgL_valuez00_bglt
		BgL_valuez00_10)
	{
		{	/* Cfa/cfa.scm 93 */
			{	/* Cfa/cfa.scm 93 */
				obj_t BgL_method1614z00_3457;

				{	/* Cfa/cfa.scm 93 */
					obj_t BgL_res2104z00_4394;

					{	/* Cfa/cfa.scm 93 */
						long BgL_objzd2classzd2numz00_4365;

						BgL_objzd2classzd2numz00_4365 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_10));
						{	/* Cfa/cfa.scm 93 */
							obj_t BgL_arg1825z00_4366;

							BgL_arg1825z00_4366 =
								PROCEDURE_REF
								(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
								(int) (((long) 1)));
							{	/* Cfa/cfa.scm 93 */
								int BgL_offsetz00_4369;

								BgL_offsetz00_4369 = (int) (BgL_objzd2classzd2numz00_4365);
								{	/* Cfa/cfa.scm 93 */
									long BgL_offsetz00_4370;

									BgL_offsetz00_4370 =
										((long) (BgL_offsetz00_4369) - OBJECT_TYPE);
									{	/* Cfa/cfa.scm 93 */
										long BgL_modz00_4371;

										BgL_modz00_4371 =
											(BgL_offsetz00_4370 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/cfa.scm 93 */
											long BgL_restz00_4373;

											BgL_restz00_4373 =
												(BgL_offsetz00_4370 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/cfa.scm 93 */

												{	/* Cfa/cfa.scm 93 */
													obj_t BgL_bucketz00_4375;

													BgL_bucketz00_4375 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4366), BgL_modz00_4371);
													BgL_res2104z00_4394 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4375), BgL_restz00_4373);
					}}}}}}}}
					BgL_method1614z00_3457 = BgL_res2104z00_4394;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1614z00_3457)) (BgL_method1614z00_3457,
					((obj_t) BgL_valuez00_10), BEOA);
			}
		}

	}



/* &cfa-variable-value-approx */
	obj_t BGl_z62cfazd2variablezd2valuezd2approxzb0zzcfa_cfaz00(obj_t
		BgL_envz00_4553, obj_t BgL_valuez00_4554)
	{
		{	/* Cfa/cfa.scm 93 */
			return
				BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
				((BgL_valuez00_bglt) BgL_valuez00_4554));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_literalzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2113z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_patchzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2115z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_kwotezf2Cinfozf2zzcfa_infoz00,
				BGl_proc2116z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_kwotezf2nodezf2zzcfa_infoz00,
				BGl_proc2117z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_varz00zzast_nodez00,
				BGl_proc2118z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_closurez00zzast_nodez00,
				BGl_proc2119z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc2120z00zzcfa_cfaz00,
				BGl_string2121z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc2122z00zzcfa_cfaz00,
				BGl_string2121z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc2123z00zzcfa_cfaz00,
				BGl_string2121z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc2124z00zzcfa_cfaz00,
				BGl_string2121z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc2125z00zzcfa_cfaz00,
				BGl_string2121z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2126z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_syncz00zzast_nodez00,
				BGl_proc2127z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00,
				BGl_proc2128z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_pragmazf2Cinfozf2zzcfa_info3z00,
				BGl_proc2129z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_genpatchidzf2Cinfozf2zzcfa_infoz00, BGl_proc2130z00zzcfa_cfaz00,
				BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_getfieldzf2Cinfozf2zzcfa_info3z00,
				BGl_proc2131z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_setfieldzf2Cinfozf2zzcfa_info3z00,
				BGl_proc2132z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_newzf2Cinfozf2zzcfa_info3z00,
				BGl_proc2133z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_instanceofzf2Cinfozf2zzcfa_info3z00, BGl_proc2134z00zzcfa_cfaz00,
				BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_castzd2nullzf2Cinfoz20zzcfa_info3z00, BGl_proc2135z00zzcfa_cfaz00,
				BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_castz00zzast_nodez00,
				BGl_proc2136z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_setqzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2137z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc2138z00zzcfa_cfaz00,
				BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_failzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2139z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_switchzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2140z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2141z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2142z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00, BGl_proc2143z00zzcfa_cfaz00,
				BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00, BGl_proc2144z00zzcfa_cfaz00,
				BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00, BGl_proc2145z00zzcfa_cfaz00,
				BGl_string2114z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00, BGl_proc2146z00zzcfa_cfaz00,
				BGl_string2114z00zzcfa_cfaz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00,
				BGl_proc2147z00zzcfa_cfaz00, BGl_string2114z00zzcfa_cfaz00);
		}

	}



/* &cfa!-box-ref/Cinfo1668 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2boxzd2refzf2Cinfo1668z82zzcfa_cfaz00(obj_t
		BgL_envz00_4588, obj_t BgL_nodez00_4589)
	{
		{	/* Cfa/cfa.scm 369 */
			{	/* Cfa/cfa.scm 371 */
				BgL_varz00_bglt BgL_arg1889z00_4669;

				BgL_arg1889z00_4669 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_4589))))->BgL_varz00);
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1889z00_4669));
			}
			{
				BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_4966;

				{
					obj_t BgL_auxz00_4967;

					{	/* Cfa/cfa.scm 372 */
						BgL_objectz00_bglt BgL_tmpz00_4968;

						BgL_tmpz00_4968 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_4589));
						BgL_auxz00_4967 = BGL_OBJECT_WIDENING(BgL_tmpz00_4968);
					}
					BgL_auxz00_4966 = ((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_4967);
				}
				return
					(((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4966))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-box-set!/Cinfo1666 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Cinfo1666z90zzcfa_cfaz00(obj_t
		BgL_envz00_4590, obj_t BgL_nodez00_4591)
	{
		{	/* Cfa/cfa.scm 358 */
			{	/* Cfa/cfa.scm 360 */
				BgL_varz00_bglt BgL_arg1884z00_4671;

				BgL_arg1884z00_4671 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4591))))->BgL_varz00);
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1884z00_4671));
			}
			{	/* Cfa/cfa.scm 361 */
				BgL_approxz00_bglt BgL_valzd2approxzd2_4672;

				{	/* Cfa/cfa.scm 361 */
					BgL_nodez00_bglt BgL_arg1886z00_4673;

					BgL_arg1886z00_4673 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4591))))->
						BgL_valuez00);
					BgL_valzd2approxzd2_4672 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1886z00_4673);
				}
				{	/* Cfa/cfa.scm 362 */
					BgL_approxz00_bglt BgL_arg1885z00_4674;

					{
						BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_4983;

						{
							obj_t BgL_auxz00_4984;

							{	/* Cfa/cfa.scm 362 */
								BgL_objectz00_bglt BgL_tmpz00_4985;

								BgL_tmpz00_4985 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4591));
								BgL_auxz00_4984 = BGL_OBJECT_WIDENING(BgL_tmpz00_4985);
							}
							BgL_auxz00_4983 =
								((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_4984);
						}
						BgL_arg1885z00_4674 =
							(((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_4983))->
							BgL_approxz00);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1885z00_4674,
						BgL_valzd2approxzd2_4672);
				}
			}
			{	/* Cfa/cfa.scm 363 */
				BgL_approxz00_bglt BgL_arg1887z00_4675;

				{	/* Cfa/cfa.scm 363 */
					BgL_nodez00_bglt BgL_arg1888z00_4676;

					BgL_arg1888z00_4676 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4591))))->
						BgL_valuez00);
					BgL_arg1887z00_4675 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1888z00_4676);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1887z00_4675,
					CNST_TABLE_REF(((long) 1)));
			}
			{
				BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_4998;

				{
					obj_t BgL_auxz00_4999;

					{	/* Cfa/cfa.scm 364 */
						BgL_objectz00_bglt BgL_tmpz00_5000;

						BgL_tmpz00_5000 =
							((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4591));
						BgL_auxz00_4999 = BGL_OBJECT_WIDENING(BgL_tmpz00_5000);
					}
					BgL_auxz00_4998 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_4999);
				}
				return
					(((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_4998))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-make-box/Cinfo1664 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2makezd2boxzf2Cinfo1664z82zzcfa_cfaz00(obj_t
		BgL_envz00_4592, obj_t BgL_nodez00_4593)
	{
		{	/* Cfa/cfa.scm 348 */
			{	/* Cfa/cfa.scm 352 */
				BgL_approxz00_bglt BgL_arg1882z00_4678;

				{	/* Cfa/cfa.scm 352 */
					BgL_nodez00_bglt BgL_arg1883z00_4679;

					BgL_arg1883z00_4679 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_4593))))->BgL_valuez00);
					BgL_arg1882z00_4678 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1883z00_4679);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1882z00_4678,
					CNST_TABLE_REF(((long) 1)));
			}
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_5012;

				{
					obj_t BgL_auxz00_5013;

					{	/* Cfa/cfa.scm 353 */
						BgL_objectz00_bglt BgL_tmpz00_5014;

						BgL_tmpz00_5014 =
							((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_4593));
						BgL_auxz00_5013 = BGL_OBJECT_WIDENING(BgL_tmpz00_5014);
					}
					BgL_auxz00_5012 = ((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_5013);
				}
				return
					(((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_5012))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-jump-ex-it/Cinf1662 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2jumpzd2exzd2itzf2Cinf1662z50zzcfa_cfaz00(obj_t
		BgL_envz00_4594, obj_t BgL_nodez00_4595)
	{
		{	/* Cfa/cfa.scm 338 */
			{	/* Cfa/cfa.scm 340 */
				BgL_nodez00_bglt BgL_arg1879z00_4681;

				BgL_arg1879z00_4681 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4595))))->
					BgL_exitz00);
				BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1879z00_4681);
			}
			{	/* Cfa/cfa.scm 341 */
				BgL_approxz00_bglt BgL_valzd2approxzd2_4682;

				{	/* Cfa/cfa.scm 341 */
					BgL_nodez00_bglt BgL_arg1880z00_4683;

					BgL_arg1880z00_4683 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4595))))->
						BgL_valuez00);
					BgL_valzd2approxzd2_4682 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1880z00_4683);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_4682,
					CNST_TABLE_REF(((long) 1)));
				{
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_5030;

					{
						obj_t BgL_auxz00_5031;

						{	/* Cfa/cfa.scm 343 */
							BgL_objectz00_bglt BgL_tmpz00_5032;

							BgL_tmpz00_5032 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4595));
							BgL_auxz00_5031 = BGL_OBJECT_WIDENING(BgL_tmpz00_5032);
						}
						BgL_auxz00_5030 =
							((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_5031);
					}
					return
						(((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5030))->
						BgL_approxz00);
				}
			}
		}

	}



/* &cfa!-set-ex-it/Cinfo1660 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2setzd2exzd2itzf2Cinfo1660z50zzcfa_cfaz00(obj_t
		BgL_envz00_4596, obj_t BgL_nodez00_4597)
	{
		{	/* Cfa/cfa.scm 329 */
			{	/* Cfa/cfa.scm 331 */
				BgL_approxz00_bglt BgL_arg1874z00_4685;

				{	/* Cfa/cfa.scm 331 */
					BgL_nodez00_bglt BgL_arg1875z00_4686;

					BgL_arg1875z00_4686 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4597))))->
						BgL_bodyz00);
					BgL_arg1874z00_4685 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1875z00_4686);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1874z00_4685,
					CNST_TABLE_REF(((long) 1)));
			}
			{	/* Cfa/cfa.scm 332 */
				BgL_approxz00_bglt BgL_arg1876z00_4687;

				{	/* Cfa/cfa.scm 332 */
					BgL_nodez00_bglt BgL_arg1877z00_4688;

					BgL_arg1877z00_4688 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4597))))->
						BgL_onexitz00);
					BgL_arg1876z00_4687 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1877z00_4688);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1876z00_4687,
					CNST_TABLE_REF(((long) 1)));
			}
			{
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_5050;

				{
					obj_t BgL_auxz00_5051;

					{	/* Cfa/cfa.scm 333 */
						BgL_objectz00_bglt BgL_tmpz00_5052;

						BgL_tmpz00_5052 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4597));
						BgL_auxz00_5051 = BGL_OBJECT_WIDENING(BgL_tmpz00_5052);
					}
					BgL_auxz00_5050 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_5051);
				}
				return
					(((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5050))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-let-var1658 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2letzd2var1658z70zzcfa_cfaz00(obj_t
		BgL_envz00_4598, obj_t BgL_nodez00_4599)
	{
		{	/* Cfa/cfa.scm 288 */
			{	/* Cfa/cfa.scm 291 */
				obj_t BgL_g1598z00_4690;

				BgL_g1598z00_4690 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4599)))->BgL_bindingsz00);
				{
					obj_t BgL_l1596z00_4692;

					BgL_l1596z00_4692 = BgL_g1598z00_4690;
				BgL_zc3z04anonymousza31865ze3z87_4691:
					if (PAIRP(BgL_l1596z00_4692))
						{	/* Cfa/cfa.scm 291 */
							{	/* Cfa/cfa.scm 292 */
								obj_t BgL_bindingz00_4693;

								BgL_bindingz00_4693 = CAR(BgL_l1596z00_4692);
								{	/* Cfa/cfa.scm 292 */
									obj_t BgL_varz00_4694;

									BgL_varz00_4694 = CAR(((obj_t) BgL_bindingz00_4693));
									{	/* Cfa/cfa.scm 292 */
										BgL_approxz00_bglt BgL_varzd2approxzd2_4695;

										{	/* Cfa/cfa.scm 293 */
											BgL_svarz00_bglt BgL_oz00_4696;

											BgL_oz00_4696 =
												((BgL_svarz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_4694)))->
													BgL_valuez00));
											{
												BgL_svarzf2cinfozf2_bglt BgL_auxz00_5068;

												{
													obj_t BgL_auxz00_5069;

													{	/* Cfa/cfa.scm 293 */
														BgL_objectz00_bglt BgL_tmpz00_5070;

														BgL_tmpz00_5070 =
															((BgL_objectz00_bglt) BgL_oz00_4696);
														BgL_auxz00_5069 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5070);
													}
													BgL_auxz00_5068 =
														((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_5069);
												}
												BgL_varzd2approxzd2_4695 =
													(((BgL_svarzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_5068))->BgL_approxz00);
											}
										}
										{	/* Cfa/cfa.scm 293 */
											BgL_approxz00_bglt BgL_valzd2approxzd2_4697;

											{	/* Cfa/cfa.scm 294 */
												obj_t BgL_arg1868z00_4698;

												BgL_arg1868z00_4698 =
													CDR(((obj_t) BgL_bindingz00_4693));
												BgL_valzd2approxzd2_4697 =
													BGl_cfaz12z12zzcfa_cfaz00(
													((BgL_nodez00_bglt) BgL_arg1868z00_4698));
											}
											{	/* Cfa/cfa.scm 294 */

												{	/* Cfa/cfa.scm 295 */
													BgL_typez00_bglt BgL_vtypez00_4699;
													BgL_typez00_bglt BgL_atypez00_4700;

													BgL_vtypez00_4699 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_varz00_4694)))->
														BgL_typez00);
													BgL_atypez00_4700 =
														(((BgL_approxz00_bglt)
															COBJECT(BgL_valzd2approxzd2_4697))->BgL_typez00);
													BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00
														(BgL_varzd2approxzd2_4695,
														BgL_valzd2approxzd2_4697);
													{	/* Cfa/cfa.scm 311 */
														bool_t BgL_test2201z00_5083;

														if (
															(((obj_t) BgL_vtypez00_4699) ==
																BGl_za2_za2z00zztype_cachez00))
															{	/* Cfa/cfa.scm 311 */
																BgL_test2201z00_5083 = ((bool_t) 0);
															}
														else
															{	/* Cfa/cfa.scm 311 */
																if (
																	(((obj_t) BgL_vtypez00_4699) ==
																		BGl_za2objza2z00zztype_cachez00))
																	{	/* Cfa/cfa.scm 312 */
																		BgL_test2201z00_5083 = ((bool_t) 0);
																	}
																else
																	{	/* Cfa/cfa.scm 312 */
																		if (
																			(((obj_t) BgL_atypez00_4700) ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Cfa/cfa.scm 313 */
																				BgL_test2201z00_5083 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/cfa.scm 313 */
																				BgL_test2201z00_5083 =
																					(
																					((obj_t) BgL_atypez00_4700) ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																	}
															}
														if (BgL_test2201z00_5083)
															{	/* Cfa/cfa.scm 311 */
																BGl_approxzd2setzd2topz12z12zzcfa_approxz00
																	(BgL_valzd2approxzd2_4697);
																((obj_t)
																	BGl_loosez12z12zzcfa_loosez00
																	(BgL_valzd2approxzd2_4697,
																		CNST_TABLE_REF(((long) 1))));
															}
														else
															{	/* Cfa/cfa.scm 311 */
																BFALSE;
															}
													}
												}
											}
										}
									}
								}
							}
							{
								obj_t BgL_l1596z00_5099;

								BgL_l1596z00_5099 = CDR(BgL_l1596z00_4692);
								BgL_l1596z00_4692 = BgL_l1596z00_5099;
								goto BgL_zc3z04anonymousza31865ze3z87_4691;
							}
						}
					else
						{	/* Cfa/cfa.scm 291 */
							((bool_t) 1);
						}
				}
			}
			{	/* Cfa/cfa.scm 321 */
				BgL_approxz00_bglt BgL_approxz00_4701;

				BgL_approxz00_4701 =
					BGl_cfaz12z12zzcfa_cfaz00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4599)))->BgL_bodyz00));
				return BgL_approxz00_4701;
			}
		}

	}



/* &cfa!-let-fun1656 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2letzd2fun1656z70zzcfa_cfaz00(obj_t
		BgL_envz00_4600, obj_t BgL_nodez00_4601)
	{
		{	/* Cfa/cfa.scm 281 */
			return
				BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4601)))->BgL_bodyz00));
		}

	}



/* &cfa!-switch/Cinfo1654 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2switchzf2Cinfo1654z50zzcfa_cfaz00(obj_t
		BgL_envz00_4602, obj_t BgL_nodez00_4603)
	{
		{	/* Cfa/cfa.scm 267 */
			{	/* Cfa/cfa.scm 269 */
				BgL_nodez00_bglt BgL_arg1856z00_4704;

				BgL_arg1856z00_4704 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_nodez00_4603))))->BgL_testz00);
				BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1856z00_4704);
			}
			{	/* Cfa/cfa.scm 270 */
				BgL_approxz00_bglt BgL_reszd2approxzd2_4705;

				{
					BgL_switchzf2cinfozf2_bglt BgL_auxz00_5111;

					{
						obj_t BgL_auxz00_5112;

						{	/* Cfa/cfa.scm 270 */
							BgL_objectz00_bglt BgL_tmpz00_5113;

							BgL_tmpz00_5113 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_4603));
							BgL_auxz00_5112 = BGL_OBJECT_WIDENING(BgL_tmpz00_5113);
						}
						BgL_auxz00_5111 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_5112);
					}
					BgL_reszd2approxzd2_4705 =
						(((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5111))->
						BgL_approxz00);
				}
				{
					obj_t BgL_clsz00_4707;

					{	/* Cfa/cfa.scm 271 */
						obj_t BgL_arg1857z00_4712;

						BgL_arg1857z00_4712 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_nodez00_4603))))->BgL_clausesz00);
						BgL_clsz00_4707 = BgL_arg1857z00_4712;
					BgL_loopz00_4706:
						if (NULLP(BgL_clsz00_4707))
							{	/* Cfa/cfa.scm 272 */
								return BgL_reszd2approxzd2_4705;
							}
						else
							{	/* Cfa/cfa.scm 274 */
								BgL_approxz00_bglt BgL_newzd2approxzd2_4708;

								{	/* Cfa/cfa.scm 274 */
									obj_t BgL_arg1861z00_4709;

									{	/* Cfa/cfa.scm 274 */
										obj_t BgL_pairz00_4710;

										BgL_pairz00_4710 = CAR(((obj_t) BgL_clsz00_4707));
										BgL_arg1861z00_4709 = CDR(BgL_pairz00_4710);
									}
									BgL_newzd2approxzd2_4708 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg1861z00_4709));
								}
								BGl_unionzd2approxz12zc0zzcfa_approxz00
									(BgL_reszd2approxzd2_4705, BgL_newzd2approxzd2_4708);
								{	/* Cfa/cfa.scm 276 */
									obj_t BgL_arg1860z00_4711;

									BgL_arg1860z00_4711 = CDR(((obj_t) BgL_clsz00_4707));
									{
										obj_t BgL_clsz00_5132;

										BgL_clsz00_5132 = BgL_arg1860z00_4711;
										BgL_clsz00_4707 = BgL_clsz00_5132;
										goto BgL_loopz00_4706;
									}
								}
							}
					}
				}
			}
		}

	}



/* &cfa!-fail/Cinfo1652 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2failzf2Cinfo1652z50zzcfa_cfaz00(obj_t
		BgL_envz00_4604, obj_t BgL_nodez00_4605)
	{
		{	/* Cfa/cfa.scm 257 */
			{	/* Cfa/cfa.scm 259 */
				BgL_approxz00_bglt BgL_arg1847z00_4714;

				{	/* Cfa/cfa.scm 259 */
					BgL_nodez00_bglt BgL_arg1848z00_4715;

					BgL_arg1848z00_4715 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt)
									((BgL_failz00_bglt) BgL_nodez00_4605))))->BgL_procz00);
					BgL_arg1847z00_4714 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1848z00_4715);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1847z00_4714,
					CNST_TABLE_REF(((long) 1)));
			}
			{	/* Cfa/cfa.scm 260 */
				BgL_approxz00_bglt BgL_arg1849z00_4716;

				{	/* Cfa/cfa.scm 260 */
					BgL_nodez00_bglt BgL_arg1850z00_4717;

					BgL_arg1850z00_4717 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt)
									((BgL_failz00_bglt) BgL_nodez00_4605))))->BgL_msgz00);
					BgL_arg1849z00_4716 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1850z00_4717);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1849z00_4716,
					CNST_TABLE_REF(((long) 1)));
			}
			{	/* Cfa/cfa.scm 261 */
				BgL_approxz00_bglt BgL_arg1851z00_4718;

				{	/* Cfa/cfa.scm 261 */
					BgL_nodez00_bglt BgL_arg1854z00_4719;

					BgL_arg1854z00_4719 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt)
									((BgL_failz00_bglt) BgL_nodez00_4605))))->BgL_objz00);
					BgL_arg1851z00_4718 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1854z00_4719);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1851z00_4718,
					CNST_TABLE_REF(((long) 1)));
			}
			{
				BgL_failzf2cinfozf2_bglt BgL_auxz00_5151;

				{
					obj_t BgL_auxz00_5152;

					{	/* Cfa/cfa.scm 262 */
						BgL_objectz00_bglt BgL_tmpz00_5153;

						BgL_tmpz00_5153 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_4605));
						BgL_auxz00_5152 = BGL_OBJECT_WIDENING(BgL_tmpz00_5153);
					}
					BgL_auxz00_5151 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_5152);
				}
				return
					(((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5151))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-conditional/Cin1650 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2conditionalzf2Cin1650z50zzcfa_cfaz00(obj_t
		BgL_envz00_4606, obj_t BgL_nodez00_4607)
	{
		{	/* Cfa/cfa.scm 245 */
			{	/* Cfa/cfa.scm 247 */
				BgL_nodez00_bglt BgL_arg1837z00_4721;

				BgL_arg1837z00_4721 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_4607))))->BgL_testz00);
				BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1837z00_4721);
			}
			{	/* Cfa/cfa.scm 248 */
				BgL_approxz00_bglt BgL_thenzd2approxzd2_4722;
				BgL_approxz00_bglt BgL_elsezd2approxzd2_4723;

				{	/* Cfa/cfa.scm 248 */
					BgL_nodez00_bglt BgL_arg1845z00_4724;

					BgL_arg1845z00_4724 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_4607))))->BgL_truez00);
					BgL_thenzd2approxzd2_4722 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1845z00_4724);
				}
				{	/* Cfa/cfa.scm 249 */
					BgL_nodez00_bglt BgL_arg1846z00_4725;

					BgL_arg1846z00_4725 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_4607))))->
						BgL_falsez00);
					BgL_elsezd2approxzd2_4723 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1846z00_4725);
				}
				{	/* Cfa/cfa.scm 250 */
					BgL_approxz00_bglt BgL_arg1840z00_4726;

					{
						BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_5171;

						{
							obj_t BgL_auxz00_5172;

							{	/* Cfa/cfa.scm 250 */
								BgL_objectz00_bglt BgL_tmpz00_5173;

								BgL_tmpz00_5173 =
									((BgL_objectz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_4607));
								BgL_auxz00_5172 = BGL_OBJECT_WIDENING(BgL_tmpz00_5173);
							}
							BgL_auxz00_5171 =
								((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_5172);
						}
						BgL_arg1840z00_4726 =
							(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5171))->
							BgL_approxz00);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1840z00_4726,
						BgL_thenzd2approxzd2_4722);
				}
				{	/* Cfa/cfa.scm 251 */
					BgL_approxz00_bglt BgL_arg1844z00_4727;

					{
						BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_5180;

						{
							obj_t BgL_auxz00_5181;

							{	/* Cfa/cfa.scm 251 */
								BgL_objectz00_bglt BgL_tmpz00_5182;

								BgL_tmpz00_5182 =
									((BgL_objectz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_4607));
								BgL_auxz00_5181 = BGL_OBJECT_WIDENING(BgL_tmpz00_5182);
							}
							BgL_auxz00_5180 =
								((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_5181);
						}
						BgL_arg1844z00_4727 =
							(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5180))->
							BgL_approxz00);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1844z00_4727,
						BgL_elsezd2approxzd2_4723);
				}
				{
					BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_5189;

					{
						obj_t BgL_auxz00_5190;

						{	/* Cfa/cfa.scm 252 */
							BgL_objectz00_bglt BgL_tmpz00_5191;

							BgL_tmpz00_5191 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_4607));
							BgL_auxz00_5190 = BGL_OBJECT_WIDENING(BgL_tmpz00_5191);
						}
						BgL_auxz00_5189 =
							((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_5190);
					}
					return
						(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5189))->
						BgL_approxz00);
				}
			}
		}

	}



/* &cfa!-setq/Cinfo1648 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2setqzf2Cinfo1648z50zzcfa_cfaz00(obj_t
		BgL_envz00_4608, obj_t BgL_nodez00_4609)
	{
		{	/* Cfa/cfa.scm 227 */
			{	/* Cfa/cfa.scm 229 */
				BgL_approxz00_bglt BgL_varzd2approxzd2_4729;

				{	/* Cfa/cfa.scm 229 */
					BgL_varz00_bglt BgL_arg1836z00_4730;

					BgL_arg1836z00_4730 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt)
									((BgL_setqz00_bglt) BgL_nodez00_4609))))->BgL_varz00);
					BgL_varzd2approxzd2_4729 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1836z00_4730));
				}
				{	/* Cfa/cfa.scm 229 */
					BgL_approxz00_bglt BgL_valzd2approxzd2_4731;

					{	/* Cfa/cfa.scm 230 */
						BgL_nodez00_bglt BgL_arg1835z00_4732;

						BgL_arg1835z00_4732 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt)
										((BgL_setqz00_bglt) BgL_nodez00_4609))))->BgL_valuez00);
						BgL_valzd2approxzd2_4731 =
							BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1835z00_4732);
					}
					{	/* Cfa/cfa.scm 230 */
						BgL_variablez00_bglt BgL_vz00_4733;

						BgL_vz00_4733 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_setqz00_bglt) COBJECT(
												((BgL_setqz00_bglt)
													((BgL_setqz00_bglt) BgL_nodez00_4609))))->
										BgL_varz00)))->BgL_variablez00);
						{	/* Cfa/cfa.scm 231 */

							BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_varzd2approxzd2_4729,
								BgL_valzd2approxzd2_4731);
							{	/* Cfa/cfa.scm 236 */
								bool_t BgL_test2206z00_5211;

								{	/* Cfa/cfa.scm 236 */
									bool_t BgL_test2207z00_5212;

									{	/* Cfa/cfa.scm 236 */
										obj_t BgL_classz00_4734;

										BgL_classz00_4734 = BGl_globalz00zzast_varz00;
										{	/* Cfa/cfa.scm 236 */
											BgL_objectz00_bglt BgL_arg1820z00_4735;

											{	/* Cfa/cfa.scm 236 */
												obj_t BgL_tmpz00_5213;

												BgL_tmpz00_5213 =
													((obj_t) ((BgL_objectz00_bglt) BgL_vz00_4733));
												BgL_arg1820z00_4735 =
													(BgL_objectz00_bglt) (BgL_tmpz00_5213);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Cfa/cfa.scm 236 */
													long BgL_idxz00_4736;

													BgL_idxz00_4736 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4735);
													BgL_test2207z00_5212 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4736 + ((long) 2))) ==
														BgL_classz00_4734);
												}
											else
												{	/* Cfa/cfa.scm 236 */
													bool_t BgL_res2105z00_4739;

													{	/* Cfa/cfa.scm 236 */
														obj_t BgL_oclassz00_4740;

														{	/* Cfa/cfa.scm 236 */
															long BgL_arg1828z00_4741;

															{	/* Cfa/cfa.scm 236 */
																long BgL_arg1829z00_4742;

																BgL_arg1829z00_4742 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4735);
																BgL_arg1828z00_4741 =
																	(BgL_arg1829z00_4742 - OBJECT_TYPE);
															}
															BgL_oclassz00_4740 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_4741);
														}
														{	/* Cfa/cfa.scm 236 */
															bool_t BgL__ortest_1111z00_4743;

															BgL__ortest_1111z00_4743 =
																(BgL_classz00_4734 == BgL_oclassz00_4740);
															if (BgL__ortest_1111z00_4743)
																{	/* Cfa/cfa.scm 236 */
																	BgL_res2105z00_4739 =
																		BgL__ortest_1111z00_4743;
																}
															else
																{	/* Cfa/cfa.scm 236 */
																	long BgL_odepthz00_4744;

																	BgL_odepthz00_4744 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4740);
																	if ((((long) 2) < BgL_odepthz00_4744))
																		{	/* Cfa/cfa.scm 236 */
																			obj_t BgL_arg1816z00_4745;

																			BgL_arg1816z00_4745 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4740, ((long) 2));
																			BgL_res2105z00_4739 =
																				(BgL_arg1816z00_4745 ==
																				BgL_classz00_4734);
																		}
																	else
																		{	/* Cfa/cfa.scm 236 */
																			BgL_res2105z00_4739 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2207z00_5212 = BgL_res2105z00_4739;
												}
										}
									}
									if (BgL_test2207z00_5212)
										{	/* Cfa/cfa.scm 237 */
											bool_t BgL__ortest_1197z00_4746;

											if (CBOOL(
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_vz00_4733)))->
														BgL_initz00)))
												{	/* Cfa/cfa.scm 237 */
													BgL__ortest_1197z00_4746 = ((bool_t) 0);
												}
											else
												{	/* Cfa/cfa.scm 237 */
													BgL__ortest_1197z00_4746 = ((bool_t) 1);
												}
											if (BgL__ortest_1197z00_4746)
												{	/* Cfa/cfa.scm 237 */
													BgL_test2206z00_5211 = BgL__ortest_1197z00_4746;
												}
											else
												{	/* Cfa/cfa.scm 237 */
													if (
														((((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt) BgL_vz00_4733)))->
																BgL_importz00) == CNST_TABLE_REF(((long) 2))))
														{	/* Cfa/cfa.scm 238 */
															BgL_test2206z00_5211 = ((bool_t) 0);
														}
													else
														{	/* Cfa/cfa.scm 238 */
															BgL_test2206z00_5211 = ((bool_t) 1);
														}
												}
										}
									else
										{	/* Cfa/cfa.scm 236 */
											BgL_test2206z00_5211 = ((bool_t) 0);
										}
								}
								if (BgL_test2206z00_5211)
									{	/* Cfa/cfa.scm 236 */
										BGl_globalzd2loosez12zc0zzcfa_loosez00(
											((BgL_globalz00_bglt) BgL_vz00_4733),
											BgL_varzd2approxzd2_4729);
									}
								else
									{	/* Cfa/cfa.scm 236 */
										BFALSE;
									}
							}
							{
								BgL_setqzf2cinfozf2_bglt BgL_auxz00_5245;

								{
									obj_t BgL_auxz00_5246;

									{	/* Cfa/cfa.scm 240 */
										BgL_objectz00_bglt BgL_tmpz00_5247;

										BgL_tmpz00_5247 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) BgL_nodez00_4609));
										BgL_auxz00_5246 = BGL_OBJECT_WIDENING(BgL_tmpz00_5247);
									}
									BgL_auxz00_5245 =
										((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_5246);
								}
								return
									(((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5245))->
									BgL_approxz00);
							}
						}
					}
				}
			}
		}

	}



/* &cfa!-cast1646 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2cast1646za2zzcfa_cfaz00(obj_t
		BgL_envz00_4610, obj_t BgL_nodez00_4611)
	{
		{	/* Cfa/cfa.scm 220 */
			return
				BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_4611)))->BgL_argz00));
		}

	}



/* &cfa!-cast-null/Cinfo1644 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2castzd2nullzf2Cinfo1644z82zzcfa_cfaz00(obj_t
		BgL_envz00_4612, obj_t BgL_nodez00_4613)
	{
		{	/* Cfa/cfa.scm 213 */
			{
				BgL_castzd2nullzf2cinfoz20_bglt BgL_auxz00_5256;

				{
					obj_t BgL_auxz00_5257;

					{	/* Cfa/cfa.scm 214 */
						BgL_objectz00_bglt BgL_tmpz00_5258;

						BgL_tmpz00_5258 =
							((BgL_objectz00_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_nodez00_4613));
						BgL_auxz00_5257 = BGL_OBJECT_WIDENING(BgL_tmpz00_5258);
					}
					BgL_auxz00_5256 = ((BgL_castzd2nullzf2cinfoz20_bglt) BgL_auxz00_5257);
				}
				return
					(((BgL_castzd2nullzf2cinfoz20_bglt) COBJECT(BgL_auxz00_5256))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-instanceof/Cinf1642 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2instanceofzf2Cinf1642z50zzcfa_cfaz00(obj_t
		BgL_envz00_4614, obj_t BgL_nodez00_4615)
	{
		{	/* Cfa/cfa.scm 206 */
			{
				BgL_instanceofzf2cinfozf2_bglt BgL_auxz00_5264;

				{
					obj_t BgL_auxz00_5265;

					{	/* Cfa/cfa.scm 207 */
						BgL_objectz00_bglt BgL_tmpz00_5266;

						BgL_tmpz00_5266 =
							((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nodez00_4615));
						BgL_auxz00_5265 = BGL_OBJECT_WIDENING(BgL_tmpz00_5266);
					}
					BgL_auxz00_5264 = ((BgL_instanceofzf2cinfozf2_bglt) BgL_auxz00_5265);
				}
				return
					(((BgL_instanceofzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5264))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-new/Cinfo1640 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2newzf2Cinfo1640z50zzcfa_cfaz00(obj_t
		BgL_envz00_4616, obj_t BgL_nodez00_4617)
	{
		{	/* Cfa/cfa.scm 198 */
			{	/* Cfa/cfa.scm 200 */
				obj_t BgL_g1595z00_4751;

				BgL_g1595z00_4751 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_nodez00_4617))))->BgL_exprza2za2);
				{
					obj_t BgL_l1593z00_4753;

					BgL_l1593z00_4753 = BgL_g1595z00_4751;
				BgL_zc3z04anonymousza31786ze3z87_4752:
					if (PAIRP(BgL_l1593z00_4753))
						{	/* Cfa/cfa.scm 200 */
							{	/* Cfa/cfa.scm 200 */
								obj_t BgL_az00_4754;

								BgL_az00_4754 = CAR(BgL_l1593z00_4753);
								{	/* Cfa/cfa.scm 200 */
									BgL_approxz00_bglt BgL_arg1789z00_4755;

									BgL_arg1789z00_4755 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4754));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1789z00_4755,
										CNST_TABLE_REF(((long) 1)));
							}}
							{
								obj_t BgL_l1593z00_5282;

								BgL_l1593z00_5282 = CDR(BgL_l1593z00_4753);
								BgL_l1593z00_4753 = BgL_l1593z00_5282;
								goto BgL_zc3z04anonymousza31786ze3z87_4752;
							}
						}
					else
						{	/* Cfa/cfa.scm 200 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_newzf2cinfozf2_bglt BgL_auxz00_5284;

				{
					obj_t BgL_auxz00_5285;

					{	/* Cfa/cfa.scm 201 */
						BgL_objectz00_bglt BgL_tmpz00_5286;

						BgL_tmpz00_5286 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_4617));
						BgL_auxz00_5285 = BGL_OBJECT_WIDENING(BgL_tmpz00_5286);
					}
					BgL_auxz00_5284 = ((BgL_newzf2cinfozf2_bglt) BgL_auxz00_5285);
				}
				return
					(((BgL_newzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5284))->BgL_approxz00);
			}
		}

	}



/* &cfa!-setfield/Cinfo1638 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2setfieldzf2Cinfo1638z50zzcfa_cfaz00(obj_t
		BgL_envz00_4618, obj_t BgL_nodez00_4619)
	{
		{	/* Cfa/cfa.scm 190 */
			{	/* Cfa/cfa.scm 192 */
				obj_t BgL_g1592z00_4757;

				BgL_g1592z00_4757 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_4619))))->BgL_exprza2za2);
				{
					obj_t BgL_l1590z00_4759;

					BgL_l1590z00_4759 = BgL_g1592z00_4757;
				BgL_zc3z04anonymousza31779ze3z87_4758:
					if (PAIRP(BgL_l1590z00_4759))
						{	/* Cfa/cfa.scm 192 */
							{	/* Cfa/cfa.scm 192 */
								obj_t BgL_az00_4760;

								BgL_az00_4760 = CAR(BgL_l1590z00_4759);
								{	/* Cfa/cfa.scm 192 */
									BgL_approxz00_bglt BgL_arg1781z00_4761;

									BgL_arg1781z00_4761 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4760));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1781z00_4761,
										CNST_TABLE_REF(((long) 1)));
							}}
							{
								obj_t BgL_l1590z00_5302;

								BgL_l1590z00_5302 = CDR(BgL_l1590z00_4759);
								BgL_l1590z00_4759 = BgL_l1590z00_5302;
								goto BgL_zc3z04anonymousza31779ze3z87_4758;
							}
						}
					else
						{	/* Cfa/cfa.scm 192 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_setfieldzf2cinfozf2_bglt BgL_auxz00_5304;

				{
					obj_t BgL_auxz00_5305;

					{	/* Cfa/cfa.scm 193 */
						BgL_objectz00_bglt BgL_tmpz00_5306;

						BgL_tmpz00_5306 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_4619));
						BgL_auxz00_5305 = BGL_OBJECT_WIDENING(BgL_tmpz00_5306);
					}
					BgL_auxz00_5304 = ((BgL_setfieldzf2cinfozf2_bglt) BgL_auxz00_5305);
				}
				return
					(((BgL_setfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5304))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-getfield/Cinfo1636 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2getfieldzf2Cinfo1636z50zzcfa_cfaz00(obj_t
		BgL_envz00_4620, obj_t BgL_nodez00_4621)
	{
		{	/* Cfa/cfa.scm 182 */
			{	/* Cfa/cfa.scm 184 */
				obj_t BgL_g1589z00_4763;

				BgL_g1589z00_4763 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_4621))))->BgL_exprza2za2);
				{
					obj_t BgL_l1587z00_4765;

					BgL_l1587z00_4765 = BgL_g1589z00_4763;
				BgL_zc3z04anonymousza31770ze3z87_4764:
					if (PAIRP(BgL_l1587z00_4765))
						{	/* Cfa/cfa.scm 184 */
							{	/* Cfa/cfa.scm 184 */
								obj_t BgL_az00_4766;

								BgL_az00_4766 = CAR(BgL_l1587z00_4765);
								{	/* Cfa/cfa.scm 184 */
									BgL_approxz00_bglt BgL_arg1777z00_4767;

									BgL_arg1777z00_4767 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4766));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1777z00_4767,
										CNST_TABLE_REF(((long) 1)));
							}}
							{
								obj_t BgL_l1587z00_5322;

								BgL_l1587z00_5322 = CDR(BgL_l1587z00_4765);
								BgL_l1587z00_4765 = BgL_l1587z00_5322;
								goto BgL_zc3z04anonymousza31770ze3z87_4764;
							}
						}
					else
						{	/* Cfa/cfa.scm 184 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_getfieldzf2cinfozf2_bglt BgL_auxz00_5324;

				{
					obj_t BgL_auxz00_5325;

					{	/* Cfa/cfa.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_5326;

						BgL_tmpz00_5326 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_4621));
						BgL_auxz00_5325 = BGL_OBJECT_WIDENING(BgL_tmpz00_5326);
					}
					BgL_auxz00_5324 = ((BgL_getfieldzf2cinfozf2_bglt) BgL_auxz00_5325);
				}
				return
					(((BgL_getfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5324))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-genpatchid/Cinf1634 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2genpatchidzf2Cinf1634z50zzcfa_cfaz00(obj_t
		BgL_envz00_4622, obj_t BgL_nodez00_4623)
	{
		{	/* Cfa/cfa.scm 174 */
			{	/* Cfa/cfa.scm 176 */
				obj_t BgL_g1586z00_4769;

				BgL_g1586z00_4769 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_nodez00_4623))))->BgL_exprza2za2);
				{
					obj_t BgL_l1584z00_4771;

					BgL_l1584z00_4771 = BgL_g1586z00_4769;
				BgL_zc3z04anonymousza31764ze3z87_4770:
					if (PAIRP(BgL_l1584z00_4771))
						{	/* Cfa/cfa.scm 176 */
							{	/* Cfa/cfa.scm 176 */
								obj_t BgL_az00_4772;

								BgL_az00_4772 = CAR(BgL_l1584z00_4771);
								{	/* Cfa/cfa.scm 176 */
									BgL_approxz00_bglt BgL_arg1766z00_4773;

									BgL_arg1766z00_4773 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4772));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1766z00_4773,
										CNST_TABLE_REF(((long) 1)));
							}}
							{
								obj_t BgL_l1584z00_5342;

								BgL_l1584z00_5342 = CDR(BgL_l1584z00_4771);
								BgL_l1584z00_4771 = BgL_l1584z00_5342;
								goto BgL_zc3z04anonymousza31764ze3z87_4770;
							}
						}
					else
						{	/* Cfa/cfa.scm 176 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_5344;

				{
					obj_t BgL_auxz00_5345;

					{	/* Cfa/cfa.scm 177 */
						BgL_objectz00_bglt BgL_tmpz00_5346;

						BgL_tmpz00_5346 =
							((BgL_objectz00_bglt)
							((BgL_genpatchidz00_bglt) BgL_nodez00_4623));
						BgL_auxz00_5345 = BGL_OBJECT_WIDENING(BgL_tmpz00_5346);
					}
					BgL_auxz00_5344 = ((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_5345);
				}
				return
					(((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5344))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-pragma/Cinfo1632 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2pragmazf2Cinfo1632z50zzcfa_cfaz00(obj_t
		BgL_envz00_4624, obj_t BgL_nodez00_4625)
	{
		{	/* Cfa/cfa.scm 166 */
			{	/* Cfa/cfa.scm 168 */
				obj_t BgL_g1583z00_4775;

				BgL_g1583z00_4775 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_nodez00_4625))))->BgL_exprza2za2);
				{
					obj_t BgL_l1581z00_4777;

					BgL_l1581z00_4777 = BgL_g1583z00_4775;
				BgL_zc3z04anonymousza31755ze3z87_4776:
					if (PAIRP(BgL_l1581z00_4777))
						{	/* Cfa/cfa.scm 168 */
							{	/* Cfa/cfa.scm 168 */
								obj_t BgL_az00_4778;

								BgL_az00_4778 = CAR(BgL_l1581z00_4777);
								{	/* Cfa/cfa.scm 168 */
									BgL_approxz00_bglt BgL_arg1757z00_4779;

									BgL_arg1757z00_4779 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4778));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1757z00_4779,
										CNST_TABLE_REF(((long) 1)));
							}}
							{
								obj_t BgL_l1581z00_5362;

								BgL_l1581z00_5362 = CDR(BgL_l1581z00_4777);
								BgL_l1581z00_4777 = BgL_l1581z00_5362;
								goto BgL_zc3z04anonymousza31755ze3z87_4776;
							}
						}
					else
						{	/* Cfa/cfa.scm 168 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_pragmazf2cinfozf2_bglt BgL_auxz00_5364;

				{
					obj_t BgL_auxz00_5365;

					{	/* Cfa/cfa.scm 169 */
						BgL_objectz00_bglt BgL_tmpz00_5366;

						BgL_tmpz00_5366 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_4625));
						BgL_auxz00_5365 = BGL_OBJECT_WIDENING(BgL_tmpz00_5366);
					}
					BgL_auxz00_5364 = ((BgL_pragmazf2cinfozf2_bglt) BgL_auxz00_5365);
				}
				return
					(((BgL_pragmazf2cinfozf2_bglt) COBJECT(BgL_auxz00_5364))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-app-ly/Cinfo1630 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2appzd2lyzf2Cinfo1630z82zzcfa_cfaz00(obj_t
		BgL_envz00_4626, obj_t BgL_nodez00_4627)
	{
		{	/* Cfa/cfa.scm 157 */
			{	/* Cfa/cfa.scm 159 */
				BgL_approxz00_bglt BgL_arg1751z00_4781;

				{	/* Cfa/cfa.scm 159 */
					BgL_nodez00_bglt BgL_arg1752z00_4782;

					BgL_arg1752z00_4782 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_4627))))->BgL_argz00);
					BgL_arg1751z00_4781 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1752z00_4782);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1751z00_4781,
					CNST_TABLE_REF(((long) 1)));
			}
			{	/* Cfa/cfa.scm 160 */
				BgL_approxz00_bglt BgL_arg1753z00_4783;

				{	/* Cfa/cfa.scm 160 */
					BgL_nodez00_bglt BgL_arg1754z00_4784;

					BgL_arg1754z00_4784 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_4627))))->BgL_funz00);
					BgL_arg1753z00_4783 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1754z00_4784);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1753z00_4783,
					CNST_TABLE_REF(((long) 1)));
			}
			{
				BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_5384;

				{
					obj_t BgL_auxz00_5385;

					{	/* Cfa/cfa.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_5386;

						BgL_tmpz00_5386 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_4627));
						BgL_auxz00_5385 = BGL_OBJECT_WIDENING(BgL_tmpz00_5386);
					}
					BgL_auxz00_5384 = ((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_5385);
				}
				return
					(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_5384))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-sync1628 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2sync1628za2zzcfa_cfaz00(obj_t
		BgL_envz00_4628, obj_t BgL_nodez00_4629)
	{
		{	/* Cfa/cfa.scm 148 */
			BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4629)))->BgL_prelockz00));
			BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4629)))->BgL_mutexz00));
			return
				BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4629)))->BgL_bodyz00));
		}

	}



/* &cfa!-sequence1626 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2sequence1626za2zzcfa_cfaz00(obj_t
		BgL_envz00_4630, obj_t BgL_nodez00_4631)
	{
		{	/* Cfa/cfa.scm 137 */
			{	/* Cfa/cfa.scm 139 */
				obj_t BgL_arg1734z00_4787;

				BgL_arg1734z00_4787 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_4631)))->BgL_nodesz00);
				{
					obj_t BgL_nz00_4789;
					obj_t BgL_approxz00_4790;

					{
						obj_t BgL_auxz00_5403;

						BgL_nz00_4789 = BgL_arg1734z00_4787;
						BgL_approxz00_4790 = BUNSPEC;
					BgL_loopz00_4788:
						if (NULLP(BgL_nz00_4789))
							{	/* Cfa/cfa.scm 141 */
								BgL_auxz00_5403 = BgL_approxz00_4790;
							}
						else
							{	/* Cfa/cfa.scm 143 */
								obj_t BgL_arg1738z00_4791;
								BgL_approxz00_bglt BgL_arg1741z00_4792;

								BgL_arg1738z00_4791 = CDR(((obj_t) BgL_nz00_4789));
								{	/* Cfa/cfa.scm 143 */
									obj_t BgL_arg1745z00_4793;

									BgL_arg1745z00_4793 = CAR(((obj_t) BgL_nz00_4789));
									BgL_arg1741z00_4792 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg1745z00_4793));
								}
								{
									obj_t BgL_approxz00_5413;
									obj_t BgL_nz00_5412;

									BgL_nz00_5412 = BgL_arg1738z00_4791;
									BgL_approxz00_5413 = ((obj_t) BgL_arg1741z00_4792);
									BgL_approxz00_4790 = BgL_approxz00_5413;
									BgL_nz00_4789 = BgL_nz00_5412;
									goto BgL_loopz00_4788;
								}
							}
						return ((BgL_approxz00_bglt) BgL_auxz00_5403);
					}
				}
			}
		}

	}



/* &cfa-variable-value-a1624 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1624zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4632, obj_t BgL_valuez00_4633)
	{
		{	/* Cfa/cfa.scm 130 */
			{
				BgL_approxz00_bglt BgL_auxz00_5416;

				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_5417;

					{
						obj_t BgL_auxz00_5418;

						{	/* Cfa/cfa.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_5419;

							BgL_tmpz00_5419 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_valuez00_4633));
							BgL_auxz00_5418 = BGL_OBJECT_WIDENING(BgL_tmpz00_5419);
						}
						BgL_auxz00_5417 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_5418);
					}
					BgL_auxz00_5416 =
						(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_5417))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5416);
			}
		}

	}



/* &cfa-variable-value-a1622 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1622zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4634, obj_t BgL_valuez00_4635)
	{
		{	/* Cfa/cfa.scm 119 */
			{
				BgL_approxz00_bglt BgL_auxz00_5426;

				{
					BgL_sexitzf2cinfozf2_bglt BgL_auxz00_5427;

					{
						obj_t BgL_auxz00_5428;

						{	/* Cfa/cfa.scm 120 */
							BgL_objectz00_bglt BgL_tmpz00_5429;

							BgL_tmpz00_5429 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_4635));
							BgL_auxz00_5428 = BGL_OBJECT_WIDENING(BgL_tmpz00_5429);
						}
						BgL_auxz00_5427 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_5428);
					}
					BgL_auxz00_5426 =
						(((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5427))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5426);
			}
		}

	}



/* &cfa-variable-value-a1620 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1620zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4636, obj_t BgL_valuez00_4637)
	{
		{	/* Cfa/cfa.scm 112 */
			{
				BgL_approxz00_bglt BgL_auxz00_5436;

				{
					BgL_cvarzf2cinfozf2_bglt BgL_auxz00_5437;

					{
						obj_t BgL_auxz00_5438;

						{	/* Cfa/cfa.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_5439;

							BgL_tmpz00_5439 =
								((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_4637));
							BgL_auxz00_5438 = BGL_OBJECT_WIDENING(BgL_tmpz00_5439);
						}
						BgL_auxz00_5437 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_5438);
					}
					BgL_auxz00_5436 =
						(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5437))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5436);
			}
		}

	}



/* &cfa-variable-value-a1618 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1618zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4638, obj_t BgL_valuez00_4639)
	{
		{	/* Cfa/cfa.scm 105 */
			{
				BgL_approxz00_bglt BgL_auxz00_5446;

				{
					BgL_scnstzf2cinfozf2_bglt BgL_auxz00_5447;

					{
						obj_t BgL_auxz00_5448;

						{	/* Cfa/cfa.scm 106 */
							BgL_objectz00_bglt BgL_tmpz00_5449;

							BgL_tmpz00_5449 =
								((BgL_objectz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_4639));
							BgL_auxz00_5448 = BGL_OBJECT_WIDENING(BgL_tmpz00_5449);
						}
						BgL_auxz00_5447 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_5448);
					}
					BgL_auxz00_5446 =
						(((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5447))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5446);
			}
		}

	}



/* &cfa-variable-value-a1616 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1616zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4640, obj_t BgL_valuez00_4641)
	{
		{	/* Cfa/cfa.scm 98 */
			{
				BgL_approxz00_bglt BgL_auxz00_5456;

				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_5457;

					{
						obj_t BgL_auxz00_5458;

						{	/* Cfa/cfa.scm 99 */
							BgL_objectz00_bglt BgL_tmpz00_5459;

							BgL_tmpz00_5459 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_4641));
							BgL_auxz00_5458 = BGL_OBJECT_WIDENING(BgL_tmpz00_5459);
						}
						BgL_auxz00_5457 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_5458);
					}
					BgL_auxz00_5456 =
						(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5457))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5456);
			}
		}

	}



/* &cfa!-closure1612 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2closure1612za2zzcfa_cfaz00(obj_t
		BgL_envz00_4642, obj_t BgL_nodez00_4643)
	{
		{	/* Cfa/cfa.scm 87 */
			{	/* Cfa/cfa.scm 88 */
				obj_t BgL_arg1731z00_4800;

				BgL_arg1731z00_4800 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_4643)));
				return
					((BgL_approxz00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00(BGl_string2114z00zzcfa_cfaz00,
						BGl_string2148z00zzcfa_cfaz00, BgL_arg1731z00_4800));
			}
		}

	}



/* &cfa!-var1610 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2var1610za2zzcfa_cfaz00(obj_t
		BgL_envz00_4644, obj_t BgL_nodez00_4645)
	{
		{	/* Cfa/cfa.scm 75 */
			{	/* Cfa/cfa.scm 77 */
				obj_t BgL_approxz00_4802;

				BgL_approxz00_4802 =
					BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
					(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_4645)))->
									BgL_variablez00)))->BgL_valuez00));
				{	/* Cfa/cfa.scm 78 */
					bool_t BgL_test2220z00_5475;

					if (
						(((obj_t)
								(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nodez00_4645)))->
												BgL_variablez00)))->BgL_typez00)) ==
							((obj_t) (((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
													BgL_nodez00_4645))))->BgL_typez00))))
						{	/* Cfa/cfa.scm 78 */
							BgL_test2220z00_5475 = ((bool_t) 1);
						}
					else
						{	/* Cfa/cfa.scm 78 */
							BgL_typez00_bglt BgL_arg1712z00_4803;

							BgL_arg1712z00_4803 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_varz00_bglt) BgL_nodez00_4645))))->BgL_typez00);
							BgL_test2220z00_5475 =
								(
								((obj_t) BgL_arg1712z00_4803) == BGl_za2_za2z00zztype_cachez00);
						}
					if (BgL_test2220z00_5475)
						{	/* Cfa/cfa.scm 78 */
							return ((BgL_approxz00_bglt) BgL_approxz00_4802);
						}
					else
						{	/* Cfa/cfa.scm 80 */
							BgL_approxz00_bglt BgL_new1176z00_4804;

							{	/* Cfa/cfa.scm 82 */
								BgL_approxz00_bglt BgL_new1179z00_4805;

								BgL_new1179z00_4805 =
									((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_approxz00_bgl))));
								{	/* Cfa/cfa.scm 82 */
									long BgL_arg1711z00_4806;

									BgL_arg1711z00_4806 =
										BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1179z00_4805),
										BgL_arg1711z00_4806);
								}
								BgL_new1176z00_4804 = BgL_new1179z00_4805;
							}
							((((BgL_approxz00_bglt) COBJECT(BgL_new1176z00_4804))->
									BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
														BgL_nodez00_4645))))->BgL_typez00)), BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1176z00_4804))->
									BgL_typezd2lockedzf3z21) =
								((bool_t) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4802)))->BgL_typezd2lockedzf3z21)),
								BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1176z00_4804))->
									BgL_allocsz00) =
								((obj_t) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4802)))->BgL_allocsz00)), BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1176z00_4804))->
									BgL_topzf3zf3) =
								((bool_t) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4802)))->BgL_topzf3zf3)), BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1176z00_4804))->
									BgL_lostzd2stampzd2) =
								((long) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4802)))->BgL_lostzd2stampzd2)),
								BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1176z00_4804))->
									BgL_dupz00) = ((obj_t) BgL_approxz00_4802), BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1176z00_4804))->
									BgL_haszd2procedurezf3z21) =
								((bool_t) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4802)))->BgL_haszd2procedurezf3z21)),
								BUNSPEC);
							return BgL_new1176z00_4804;
						}
				}
			}
		}

	}



/* &cfa!-kwote/node1608 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2kwotezf2node1608z50zzcfa_cfaz00(obj_t
		BgL_envz00_4646, obj_t BgL_knodez00_4647)
	{
		{	/* Cfa/cfa.scm 65 */
			{	/* Cfa/cfa.scm 70 */
				BgL_nodez00_bglt BgL_arg1682z00_4808;

				{
					BgL_kwotezf2nodezf2_bglt BgL_auxz00_5516;

					{
						obj_t BgL_auxz00_5517;

						{	/* Cfa/cfa.scm 70 */
							BgL_objectz00_bglt BgL_tmpz00_5518;

							BgL_tmpz00_5518 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_knodez00_4647));
							BgL_auxz00_5517 = BGL_OBJECT_WIDENING(BgL_tmpz00_5518);
						}
						BgL_auxz00_5516 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_5517);
					}
					BgL_arg1682z00_4808 =
						(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_5516))->
						BgL_nodez00);
				}
				return BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1682z00_4808);
			}
		}

	}



/* &cfa!-kwote/Cinfo1606 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2kwotezf2Cinfo1606z50zzcfa_cfaz00(obj_t
		BgL_envz00_4648, obj_t BgL_nodez00_4649)
	{
		{	/* Cfa/cfa.scm 58 */
			{
				BgL_kwotezf2cinfozf2_bglt BgL_auxz00_5525;

				{
					obj_t BgL_auxz00_5526;

					{	/* Cfa/cfa.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_5527;

						BgL_tmpz00_5527 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_4649));
						BgL_auxz00_5526 = BGL_OBJECT_WIDENING(BgL_tmpz00_5527);
					}
					BgL_auxz00_5525 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_5526);
				}
				return
					(((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_5525))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-patch/Cinfo1604 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2patchzf2Cinfo1604z50zzcfa_cfaz00(obj_t
		BgL_envz00_4650, obj_t BgL_nodez00_4651)
	{
		{	/* Cfa/cfa.scm 51 */
			{
				BgL_patchzf2cinfozf2_bglt BgL_auxz00_5533;

				{
					obj_t BgL_auxz00_5534;

					{	/* Cfa/cfa.scm 52 */
						BgL_objectz00_bglt BgL_tmpz00_5535;

						BgL_tmpz00_5535 =
							((BgL_objectz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_4651));
						BgL_auxz00_5534 = BGL_OBJECT_WIDENING(BgL_tmpz00_5535);
					}
					BgL_auxz00_5533 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_5534);
				}
				return
					(((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5533))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-literal/Cinfo1602 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2literalzf2Cinfo1602z50zzcfa_cfaz00(obj_t
		BgL_envz00_4652, obj_t BgL_nodez00_4653)
	{
		{	/* Cfa/cfa.scm 44 */
			{
				BgL_literalzf2cinfozf2_bglt BgL_auxz00_5541;

				{
					obj_t BgL_auxz00_5542;

					{	/* Cfa/cfa.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5543;

						BgL_tmpz00_5543 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_4653));
						BgL_auxz00_5542 = BGL_OBJECT_WIDENING(BgL_tmpz00_5543);
					}
					BgL_auxz00_5541 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_5542);
				}
				return
					(((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5541))->
					BgL_approxz00);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 54924680),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_appz00(((long) 102053843),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_funcallz00(((long) 87791639),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 93933605),
				BSTRING_TO_STRING(BGl_string2149z00zzcfa_cfaz00));
		}

	}

#ifdef __cplusplus
}
#endif
