/*===========================================================================*/
/*   (Cfa/funcall.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/funcall.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	static obj_t BGl_objectzd2initzd2zzcfa_funcallz00(void);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_appz00_bglt,
		obj_t, BgL_funcallz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_funcallz00(void);
	static bool_t
		BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt,
		obj_t);
	static bool_t
		BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_funcallz00(void);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00(void);
	extern BgL_approxz00_bglt BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt,
		BgL_varz00_bglt, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2funcallzf2Cinfo1526z50zzcfa_funcallz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt,
		BgL_variablez00_bglt, long, obj_t);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_funcallz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00(void);
	static obj_t BGl_genericzd2initzd2zzcfa_funcallz00(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31788ze3ze5zzcfa_funcallz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static bool_t
		BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern bool_t BGl_soundzd2arityzf3z21zztools_argsz00(obj_t, obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzcfa_funcallz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00(void);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	static obj_t
		BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	extern obj_t
		BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
		(BgL_appz00_bglt);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31753ze3ze5zzcfa_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31737ze3ze5zzcfa_funcallz00(obj_t,
		obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2034z00zzcfa_funcallz00,
		BgL_bgl_za762cfaza712za7d2func2040za7,
		BGl_z62cfaz12zd2funcallzf2Cinfo1526z50zzcfa_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2036z00zzcfa_funcallz00,
		BgL_bgl_za762za7c3za704anonymo2041za7,
		BGl_z62zc3z04anonymousza31788ze3ze5zzcfa_funcallz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STRING(BGl_string2029z00zzcfa_funcallz00,
		BgL_bgl_string2029za700za7za7c2042za7, "cfa", 3);
	      DEFINE_STRING(BGl_string2030z00zzcfa_funcallz00,
		BgL_bgl_string2030za700za7za7c2043za7, "Possible funcall type error", 27);
	      DEFINE_STRING(BGl_string2031z00zzcfa_funcallz00,
		BgL_bgl_string2031za700za7za7c2044za7, " provided", 9);
	      DEFINE_STRING(BGl_string2032z00zzcfa_funcallz00,
		BgL_bgl_string2032za700za7za7c2045za7, " arg(s) expected, ", 18);
	      DEFINE_STRING(BGl_string2033z00zzcfa_funcallz00,
		BgL_bgl_string2033za700za7za7c2046za7, "Possible funcall arity error", 28);
	      DEFINE_STRING(BGl_string2035z00zzcfa_funcallz00,
		BgL_bgl_string2035za700za7za7c2047za7, "cfa!", 4);
	      DEFINE_STRING(BGl_string2037z00zzcfa_funcallz00,
		BgL_bgl_string2037za700za7za7c2048za7, "cfa_funcall", 11);
	      DEFINE_STRING(BGl_string2038z00zzcfa_funcallz00,
		BgL_bgl_string2038za700za7za7c2049za7, "all ", 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_funcallz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long
		BgL_checksumz00_4103, char *BgL_fromz00_4104)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_funcallz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_cnstzd2initzd2zzcfa_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_methodzd2initzd2zzcfa_funcallz00();
					return BGl_toplevelzd2initzd2zzcfa_funcallz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_funcall");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			{	/* Cfa/funcall.scm 15 */
				obj_t BgL_cportz00_4016;

				{	/* Cfa/funcall.scm 15 */
					obj_t BgL_stringz00_4023;

					BgL_stringz00_4023 = BGl_string2038z00zzcfa_funcallz00;
					{	/* Cfa/funcall.scm 15 */
						obj_t BgL_startz00_4024;

						BgL_startz00_4024 = BINT(((long) 0));
						{	/* Cfa/funcall.scm 15 */
							obj_t BgL_endz00_4025;

							BgL_endz00_4025 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4023)));
							{	/* Cfa/funcall.scm 15 */

								BgL_cportz00_4016 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4023, BgL_startz00_4024, BgL_endz00_4025);
				}}}}
				{
					long BgL_iz00_4017;

					BgL_iz00_4017 = ((long) 0);
				BgL_loopz00_4018:
					if ((BgL_iz00_4017 == ((long) -1)))
						{	/* Cfa/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/funcall.scm 15 */
							{	/* Cfa/funcall.scm 15 */
								obj_t BgL_arg2039z00_4019;

								{	/* Cfa/funcall.scm 15 */

									{	/* Cfa/funcall.scm 15 */
										obj_t BgL_locationz00_4021;

										BgL_locationz00_4021 = BBOOL(((bool_t) 0));
										{	/* Cfa/funcall.scm 15 */

											BgL_arg2039z00_4019 =
												BGl_readz00zz__readerz00(BgL_cportz00_4016,
												BgL_locationz00_4021);
										}
									}
								}
								{	/* Cfa/funcall.scm 15 */
									int BgL_tmpz00_4131;

									BgL_tmpz00_4131 = (int) (BgL_iz00_4017);
									CNST_TABLE_SET(BgL_tmpz00_4131, BgL_arg2039z00_4019);
							}}
							{	/* Cfa/funcall.scm 15 */
								int BgL_auxz00_4022;

								BgL_auxz00_4022 = (int) ((BgL_iz00_4017 - ((long) 1)));
								{
									long BgL_iz00_4136;

									BgL_iz00_4136 = (long) (BgL_auxz00_4022);
									BgL_iz00_4017 = BgL_iz00_4136;
									goto BgL_loopz00_4018;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* optional-correct-arity? */
	bool_t BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_4, obj_t BgL_argszd2approxzd2_5)
	{
		{	/* Cfa/funcall.scm 111 */
			{	/* Cfa/funcall.scm 113 */
				long BgL_miz00_2984;

				BgL_miz00_2984 =
					(((long) 1) +
					(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_funz00_4)))->BgL_arityz00));
				{	/* Cfa/funcall.scm 114 */
					long BgL_lz00_2986;

					BgL_lz00_2986 = bgl_list_length(BgL_argszd2approxzd2_5);
					{	/* Cfa/funcall.scm 115 */

						if ((BgL_lz00_2986 >= BgL_miz00_2984))
							{	/* Cfa/funcall.scm 116 */
								return
									(BgL_lz00_2986 <=
									(BgL_miz00_2984 +
										bgl_list_length(
											(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_4)))->
												BgL_optionalsz00))));
							}
						else
							{	/* Cfa/funcall.scm 116 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* key-correct-arity? */
	bool_t BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_6, obj_t BgL_argszd2approxzd2_7)
	{
		{	/* Cfa/funcall.scm 121 */
			{	/* Cfa/funcall.scm 123 */
				long BgL_miz00_2991;

				BgL_miz00_2991 =
					(((long) 1) +
					(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_funz00_6)))->BgL_arityz00));
				{	/* Cfa/funcall.scm 124 */
					long BgL_lz00_2993;

					BgL_lz00_2993 = bgl_list_length(BgL_argszd2approxzd2_7);
					{	/* Cfa/funcall.scm 125 */

						if ((BgL_lz00_2993 >= BgL_miz00_2991))
							{	/* Cfa/funcall.scm 126 */
								return
									(BgL_lz00_2993 <=
									(BgL_miz00_2991 +
										(((long) 2) *
											bgl_list_length(
												(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_6)))->
													BgL_keysz00)))));
							}
						else
							{	/* Cfa/funcall.scm 126 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* cfa-correct-arity? */
	bool_t BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_8, obj_t BgL_argszd2approxzd2_9)
	{
		{	/* Cfa/funcall.scm 131 */
			{	/* Cfa/funcall.scm 132 */
				obj_t BgL_gz00_2999;

				BgL_gz00_2999 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_funz00_8)))->
					BgL_thezd2closurezd2globalz00);
				if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_2999))
					{	/* Cfa/funcall.scm 135 */
						BgL_valuez00_bglt BgL_arg1572z00_3001;

						BgL_arg1572z00_3001 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_gz00_2999))))->BgL_valuez00);
						BGL_TAIL return
							BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00
							(BgL_arg1572z00_3001, BgL_argszd2approxzd2_9);
					}
				else
					{	/* Cfa/funcall.scm 134 */
						if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_2999))
							{	/* Cfa/funcall.scm 137 */
								BgL_valuez00_bglt BgL_arg1580z00_3003;

								BgL_arg1580z00_3003 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_2999))))->BgL_valuez00);
								BGL_TAIL return
									BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00
									(BgL_arg1580z00_3003, BgL_argszd2approxzd2_9);
							}
						else
							{	/* Cfa/funcall.scm 139 */
								long BgL_arg1581z00_3004;

								BgL_arg1581z00_3004 =
									(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt) BgL_funz00_8)))->BgL_arityz00);
								return
									BGl_soundzd2arityzf3z21zztools_argsz00(BINT
									(BgL_arg1581z00_3004), BgL_argszd2approxzd2_9);
							}
					}
			}
		}

	}



/* funcall! */
	BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_appz00_bglt
		BgL_allocz00_10, obj_t BgL_argszd2approxzd2_11,
		BgL_funcallz00_bglt BgL_nodez00_12)
	{
		{	/* Cfa/funcall.scm 144 */
			{	/* Cfa/funcall.scm 145 */
				obj_t BgL_calleez00_3005;

				{	/* Cfa/funcall.scm 145 */
					obj_t BgL_pairz00_3686;

					BgL_pairz00_3686 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_allocz00_10)))->BgL_argsz00);
					BgL_calleez00_3005 = CAR(BgL_pairz00_3686);
				}
				{	/* Cfa/funcall.scm 145 */
					BgL_variablez00_bglt BgL_vz00_3006;

					BgL_vz00_3006 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_calleez00_3005)))->BgL_variablez00);
					{	/* Cfa/funcall.scm 146 */
						BgL_valuez00_bglt BgL_funz00_3007;

						BgL_funz00_3007 =
							(((BgL_variablez00_bglt) COBJECT(BgL_vz00_3006))->BgL_valuez00);
						{	/* Cfa/funcall.scm 147 */
							long BgL_arityz00_3008;

							BgL_arityz00_3008 =
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt) BgL_funz00_3007)))->BgL_arityz00);
							{	/* Cfa/funcall.scm 148 */

								if (BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00
									(BgL_funz00_3007, BgL_argszd2approxzd2_11))
									{	/* Cfa/funcall.scm 159 */
										bool_t BgL_test2057z00_4190;

										{	/* Cfa/funcall.scm 159 */
											bool_t BgL_test2058z00_4191;

											{	/* Cfa/funcall.scm 159 */
												obj_t BgL_arg1645z00_3047;

												BgL_arg1645z00_3047 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_3007)))->
													BgL_thezd2closurezd2globalz00);
												BgL_test2058z00_4191 =
													BGl_globalzd2optionalzf3z21zzast_varz00
													(BgL_arg1645z00_3047);
											}
											if (BgL_test2058z00_4191)
												{	/* Cfa/funcall.scm 159 */
													BgL_test2057z00_4190 = ((bool_t) 1);
												}
											else
												{	/* Cfa/funcall.scm 160 */
													obj_t BgL_arg1641z00_3046;

													BgL_arg1641z00_3046 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_3007)))->
														BgL_thezd2closurezd2globalz00);
													BgL_test2057z00_4190 =
														BGl_globalzd2keyzf3z21zzast_varz00
														(BgL_arg1641z00_3046);
												}
										}
										if (BgL_test2057z00_4190)
											{	/* Cfa/funcall.scm 159 */
												{
													obj_t BgL_l1521z00_3016;

													BgL_l1521z00_3016 = BgL_argszd2approxzd2_11;
												BgL_zc3z04anonymousza31600ze3z87_3017:
													if (PAIRP(BgL_l1521z00_3016))
														{	/* Cfa/funcall.scm 163 */
															{	/* Cfa/funcall.scm 163 */
																obj_t BgL_approxz00_3019;

																BgL_approxz00_3019 = CAR(BgL_l1521z00_3016);
																BGl_loosez12z12zzcfa_loosez00(
																	((BgL_approxz00_bglt) BgL_approxz00_3019),
																	CNST_TABLE_REF(((long) 0)));
															}
															{
																obj_t BgL_l1521z00_4204;

																BgL_l1521z00_4204 = CDR(BgL_l1521z00_3016);
																BgL_l1521z00_3016 = BgL_l1521z00_4204;
																goto BgL_zc3z04anonymousza31600ze3z87_3017;
															}
														}
													else
														{	/* Cfa/funcall.scm 163 */
															((bool_t) 1);
														}
												}
												return
													BGl_makezd2typezd2approxz00zzcfa_approxz00(
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										else
											{	/* Cfa/funcall.scm 159 */
												if ((BgL_arityz00_3008 >= ((long) 0)))
													{	/* Cfa/funcall.scm 165 */
														return
															BGl_appz12z12zzcfa_appz00(
															((BgL_funz00_bglt) BgL_funz00_3007),
															((BgL_varz00_bglt) BgL_calleez00_3005),
															BgL_argszd2approxzd2_11);
													}
												else
													{	/* Cfa/funcall.scm 165 */
														{
															obj_t BgL_oldzd2argszd2approxz00_3025;
															obj_t BgL_newzd2argszd2approxz00_3026;
															long BgL_arityz00_3027;

															BgL_oldzd2argszd2approxz00_3025 =
																BgL_argszd2approxzd2_11;
															BgL_newzd2argszd2approxz00_3026 = BNIL;
															BgL_arityz00_3027 = BgL_arityz00_3008;
														BgL_zc3z04anonymousza31612ze3z87_3028:
															if ((BgL_arityz00_3027 == ((long) -1)))
																{	/* Cfa/funcall.scm 175 */
																	{
																		obj_t BgL_l1523z00_3031;

																		BgL_l1523z00_3031 =
																			BgL_oldzd2argszd2approxz00_3025;
																	BgL_zc3z04anonymousza31614ze3z87_3032:
																		if (PAIRP(BgL_l1523z00_3031))
																			{	/* Cfa/funcall.scm 177 */
																				{	/* Cfa/funcall.scm 177 */
																					obj_t BgL_approxz00_3034;

																					BgL_approxz00_3034 =
																						CAR(BgL_l1523z00_3031);
																					BGl_loosez12z12zzcfa_loosez00(
																						((BgL_approxz00_bglt)
																							BgL_approxz00_3034),
																						CNST_TABLE_REF(((long) 0)));
																				}
																				{
																					obj_t BgL_l1523z00_4221;

																					BgL_l1523z00_4221 =
																						CDR(BgL_l1523z00_3031);
																					BgL_l1523z00_3031 = BgL_l1523z00_4221;
																					goto
																						BgL_zc3z04anonymousza31614ze3z87_3032;
																				}
																			}
																		else
																			{	/* Cfa/funcall.scm 177 */
																				((bool_t) 1);
																			}
																	}
																	{	/* Cfa/funcall.scm 181 */
																		obj_t BgL_arg1625z00_3037;

																		{	/* Cfa/funcall.scm 181 */
																			obj_t BgL_arg1629z00_3038;

																			{	/* Cfa/funcall.scm 181 */
																				BgL_approxz00_bglt BgL_arg1630z00_3039;

																				{
																					BgL_funcallzf2cinfozf2_bglt
																						BgL_auxz00_4223;
																					{
																						obj_t BgL_auxz00_4224;

																						{	/* Cfa/funcall.scm 181 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_4225;
																							BgL_tmpz00_4225 =
																								((BgL_objectz00_bglt)
																								BgL_nodez00_12);
																							BgL_auxz00_4224 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_4225);
																						}
																						BgL_auxz00_4223 =
																							((BgL_funcallzf2cinfozf2_bglt)
																							BgL_auxz00_4224);
																					}
																					BgL_arg1630z00_3039 =
																						(((BgL_funcallzf2cinfozf2_bglt)
																							COBJECT(BgL_auxz00_4223))->
																						BgL_vazd2approxzd2);
																				}
																				BgL_arg1629z00_3038 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_arg1630z00_3039),
																					BgL_newzd2argszd2approxz00_3026);
																			}
																			BgL_arg1625z00_3037 =
																				bgl_reverse_bang(BgL_arg1629z00_3038);
																		}
																		return
																			BGl_appz12z12zzcfa_appz00(
																			((BgL_funz00_bglt) BgL_funz00_3007),
																			((BgL_varz00_bglt) BgL_calleez00_3005),
																			BgL_arg1625z00_3037);
																	}
																}
															else
																{	/* Cfa/funcall.scm 183 */
																	obj_t BgL_arg1632z00_3040;
																	obj_t BgL_arg1635z00_3041;
																	long BgL_arg1636z00_3042;

																	BgL_arg1632z00_3040 =
																		CDR(
																		((obj_t) BgL_oldzd2argszd2approxz00_3025));
																	{	/* Cfa/funcall.scm 184 */
																		obj_t BgL_arg1639z00_3043;

																		BgL_arg1639z00_3043 =
																			CAR(
																			((obj_t)
																				BgL_oldzd2argszd2approxz00_3025));
																		BgL_arg1635z00_3041 =
																			MAKE_YOUNG_PAIR(BgL_arg1639z00_3043,
																			BgL_newzd2argszd2approxz00_3026);
																	}
																	BgL_arg1636z00_3042 =
																		(BgL_arityz00_3027 + ((long) 1));
																	{
																		long BgL_arityz00_4244;
																		obj_t BgL_newzd2argszd2approxz00_4243;
																		obj_t BgL_oldzd2argszd2approxz00_4242;

																		BgL_oldzd2argszd2approxz00_4242 =
																			BgL_arg1632z00_3040;
																		BgL_newzd2argszd2approxz00_4243 =
																			BgL_arg1635z00_3041;
																		BgL_arityz00_4244 = BgL_arg1636z00_3042;
																		BgL_arityz00_3027 = BgL_arityz00_4244;
																		BgL_newzd2argszd2approxz00_3026 =
																			BgL_newzd2argszd2approxz00_4243;
																		BgL_oldzd2argszd2approxz00_3025 =
																			BgL_oldzd2argszd2approxz00_4242;
																		goto BgL_zc3z04anonymousza31612ze3z87_3028;
																	}
																}
														}
													}
											}
									}
								else
									{	/* Cfa/funcall.scm 153 */
										{
											BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4245;

											{
												obj_t BgL_auxz00_4246;

												{	/* Cfa/funcall.scm 157 */
													BgL_objectz00_bglt BgL_tmpz00_4247;

													BgL_tmpz00_4247 =
														((BgL_objectz00_bglt) BgL_allocz00_10);
													BgL_auxz00_4246 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4247);
												}
												BgL_auxz00_4245 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_auxz00_4246);
											}
											((((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_4245))->BgL_xzd2tzf3z21) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										return
											BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00
											(BgL_nodez00_12, BgL_vz00_3006, BgL_arityz00_3008,
											BgL_argszd2approxzd2_11);
									}
							}
						}
					}
				}
			}
		}

	}



/* funcall-type-error */
	obj_t BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_13, BgL_typez00_bglt BgL_typez00_14)
	{
		{	/* Cfa/funcall.scm 190 */
			{	/* Cfa/funcall.scm 193 */
				bool_t BgL_test2063z00_4253;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4254;

					{
						obj_t BgL_auxz00_4255;

						{	/* Cfa/funcall.scm 193 */
							BgL_objectz00_bglt BgL_tmpz00_4256;

							BgL_tmpz00_4256 = ((BgL_objectz00_bglt) BgL_nodez00_13);
							BgL_auxz00_4255 = BGL_OBJECT_WIDENING(BgL_tmpz00_4256);
						}
						BgL_auxz00_4254 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4255);
					}
					BgL_test2063z00_4253 =
						(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4254))->
						BgL_typezd2errorzd2noticedzf3zf3);
				}
				if (BgL_test2063z00_4253)
					{	/* Cfa/funcall.scm 193 */
						return BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 193 */
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4261;

							{
								obj_t BgL_auxz00_4262;

								{	/* Cfa/funcall.scm 194 */
									BgL_objectz00_bglt BgL_tmpz00_4263;

									BgL_tmpz00_4263 = ((BgL_objectz00_bglt) BgL_nodez00_13);
									BgL_auxz00_4262 = BGL_OBJECT_WIDENING(BgL_tmpz00_4263);
								}
								BgL_auxz00_4261 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4262);
							}
							((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4261))->
									BgL_typezd2errorzd2noticedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
						{	/* Cfa/funcall.scm 195 */
							obj_t BgL_arg1651z00_3052;
							obj_t BgL_arg1652z00_3053;

							BgL_arg1651z00_3052 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_13)))->BgL_locz00);
							BgL_arg1652z00_3053 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_typez00_14));
							return
								BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg1651z00_3052, BGl_string2029z00zzcfa_funcallz00,
								BGl_string2030z00zzcfa_funcallz00, BgL_arg1652z00_3053);
						}
					}
			}
		}

	}



/* funcall-arity-error */
	BgL_approxz00_bglt
		BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_15, BgL_variablez00_bglt BgL_vz00_16, long BgL_arityz00_17,
		obj_t BgL_argszd2approxzd2_18)
	{
		{	/* Cfa/funcall.scm 203 */
			{	/* Cfa/funcall.scm 205 */
				bool_t BgL_test2064z00_4273;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4274;

					{
						obj_t BgL_auxz00_4275;

						{	/* Cfa/funcall.scm 205 */
							BgL_objectz00_bglt BgL_tmpz00_4276;

							BgL_tmpz00_4276 = ((BgL_objectz00_bglt) BgL_nodez00_15);
							BgL_auxz00_4275 = BGL_OBJECT_WIDENING(BgL_tmpz00_4276);
						}
						BgL_auxz00_4274 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4275);
					}
					BgL_test2064z00_4273 =
						(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4274))->
						BgL_arityzd2errorzd2noticedzf3zf3);
				}
				if (BgL_test2064z00_4273)
					{	/* Cfa/funcall.scm 205 */
						BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 206 */
						long BgL_lenzd2provzd2_3056;

						BgL_lenzd2provzd2_3056 =
							(bgl_list_length(BgL_argszd2approxzd2_18) - ((long) 1));
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4283;

							{
								obj_t BgL_auxz00_4284;

								{	/* Cfa/funcall.scm 207 */
									BgL_objectz00_bglt BgL_tmpz00_4285;

									BgL_tmpz00_4285 = ((BgL_objectz00_bglt) BgL_nodez00_15);
									BgL_auxz00_4284 = BGL_OBJECT_WIDENING(BgL_tmpz00_4285);
								}
								BgL_auxz00_4283 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4284);
							}
							((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4283))->
									BgL_arityzd2errorzd2noticedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
						{	/* Cfa/funcall.scm 208 */
							obj_t BgL_arg1661z00_3057;
							obj_t BgL_arg1663z00_3058;
							obj_t BgL_arg1672z00_3059;

							BgL_arg1661z00_3057 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_15)))->BgL_locz00);
							{	/* Cfa/funcall.scm 212 */
								BgL_variablez00_bglt BgL_arg1673z00_3060;

								{	/* Cfa/funcall.scm 212 */
									bool_t BgL_test2065z00_4292;

									{	/* Cfa/funcall.scm 212 */
										obj_t BgL_classz00_3709;

										BgL_classz00_3709 = BGl_localz00zzast_varz00;
										{	/* Cfa/funcall.scm 212 */
											BgL_objectz00_bglt BgL_arg1820z00_3711;

											{	/* Cfa/funcall.scm 212 */
												obj_t BgL_tmpz00_4293;

												BgL_tmpz00_4293 =
													((obj_t) ((BgL_objectz00_bglt) BgL_vz00_16));
												BgL_arg1820z00_3711 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4293);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Cfa/funcall.scm 212 */
													long BgL_idxz00_3717;

													BgL_idxz00_3717 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3711);
													BgL_test2065z00_4292 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3717 + ((long) 2))) ==
														BgL_classz00_3709);
												}
											else
												{	/* Cfa/funcall.scm 212 */
													bool_t BgL_res2020z00_3739;

													{	/* Cfa/funcall.scm 212 */
														obj_t BgL_oclassz00_3725;

														{	/* Cfa/funcall.scm 212 */
															long BgL_arg1828z00_3731;

															{	/* Cfa/funcall.scm 212 */
																long BgL_arg1829z00_3732;

																BgL_arg1829z00_3732 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3711);
																BgL_arg1828z00_3731 =
																	(BgL_arg1829z00_3732 - OBJECT_TYPE);
															}
															BgL_oclassz00_3725 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_3731);
														}
														{	/* Cfa/funcall.scm 212 */
															bool_t BgL__ortest_1111z00_3726;

															BgL__ortest_1111z00_3726 =
																(BgL_classz00_3709 == BgL_oclassz00_3725);
															if (BgL__ortest_1111z00_3726)
																{	/* Cfa/funcall.scm 212 */
																	BgL_res2020z00_3739 =
																		BgL__ortest_1111z00_3726;
																}
															else
																{	/* Cfa/funcall.scm 212 */
																	long BgL_odepthz00_3727;

																	BgL_odepthz00_3727 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_3725);
																	if ((((long) 2) < BgL_odepthz00_3727))
																		{	/* Cfa/funcall.scm 212 */
																			obj_t BgL_arg1816z00_3729;

																			BgL_arg1816z00_3729 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_3725, ((long) 2));
																			BgL_res2020z00_3739 =
																				(BgL_arg1816z00_3729 ==
																				BgL_classz00_3709);
																		}
																	else
																		{	/* Cfa/funcall.scm 212 */
																			BgL_res2020z00_3739 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2065z00_4292 = BgL_res2020z00_3739;
												}
										}
									}
									if (BgL_test2065z00_4292)
										{	/* Cfa/funcall.scm 213 */
											BgL_localz00_bglt BgL_new1166z00_3063;

											{	/* Cfa/funcall.scm 213 */
												BgL_localz00_bglt BgL_new1172z00_3067;

												BgL_new1172z00_3067 =
													((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_localz00_bgl))));
												{	/* Cfa/funcall.scm 213 */
													long BgL_arg1677z00_3068;

													BgL_arg1677z00_3068 =
														BGL_CLASS_NUM(BGl_localz00zzast_varz00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1172z00_3067),
														BgL_arg1677z00_3068);
												}
												{	/* Cfa/funcall.scm 213 */
													BgL_objectz00_bglt BgL_tmpz00_4317;

													BgL_tmpz00_4317 =
														((BgL_objectz00_bglt) BgL_new1172z00_3067);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4317, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1172z00_3067);
												BgL_new1166z00_3063 = BgL_new1172z00_3067;
											}
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_new1166z00_3063)))->
													BgL_idz00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_idz00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1166z00_3063)))->BgL_namez00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_namez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1166z00_3063)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_typez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1166z00_3063)))->BgL_valuez00) =
												((BgL_valuez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_valuez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1166z00_3063)))->BgL_accessz00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_accessz00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1166z00_3063)))->BgL_fastzd2alphazd2) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_fastzd2alphazd2)),
												BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1166z00_3063)))->BgL_removablez00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_removablez00)),
												BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1166z00_3063)))->BgL_occurrencez00) =
												((long) (((BgL_variablez00_bglt) COBJECT(BgL_vz00_16))->
														BgL_occurrencez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1166z00_3063)))->BgL_occurrencewz00) =
												((long) (((BgL_variablez00_bglt) COBJECT(BgL_vz00_16))->
														BgL_occurrencewz00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1166z00_3063)))->BgL_userzf3zf3) =
												((bool_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_userzf3zf3)), BUNSPEC);
											((((BgL_localz00_bglt) COBJECT(BgL_new1166z00_3063))->
													BgL_keyz00) =
												((long) (((BgL_localz00_bglt)
															COBJECT(((BgL_localz00_bglt) BgL_vz00_16)))->
														BgL_keyz00)), BUNSPEC);
											((((BgL_localz00_bglt) COBJECT(BgL_new1166z00_3063))->
													BgL_valzd2noescapezd2) =
												((obj_t) (((BgL_localz00_bglt)
															COBJECT(((BgL_localz00_bglt) BgL_vz00_16)))->
														BgL_valzd2noescapezd2)), BUNSPEC);
											((((BgL_localz00_bglt) COBJECT(BgL_new1166z00_3063))->
													BgL_volatilez00) =
												((bool_t) (((BgL_localz00_bglt)
															COBJECT(((BgL_localz00_bglt) BgL_vz00_16)))->
														BgL_volatilez00)), BUNSPEC);
											BgL_arg1673z00_3060 =
												((BgL_variablez00_bglt) BgL_new1166z00_3063);
										}
									else
										{	/* Cfa/funcall.scm 214 */
											bool_t BgL_test2069z00_4361;

											{	/* Cfa/funcall.scm 214 */
												obj_t BgL_classz00_3744;

												BgL_classz00_3744 = BGl_globalz00zzast_varz00;
												{	/* Cfa/funcall.scm 214 */
													BgL_objectz00_bglt BgL_arg1820z00_3746;

													{	/* Cfa/funcall.scm 214 */
														obj_t BgL_tmpz00_4362;

														BgL_tmpz00_4362 =
															((obj_t) ((BgL_objectz00_bglt) BgL_vz00_16));
														BgL_arg1820z00_3746 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4362);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Cfa/funcall.scm 214 */
															long BgL_idxz00_3752;

															BgL_idxz00_3752 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3746);
															BgL_test2069z00_4361 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3752 + ((long) 2))) ==
																BgL_classz00_3744);
														}
													else
														{	/* Cfa/funcall.scm 214 */
															bool_t BgL_res2021z00_3774;

															{	/* Cfa/funcall.scm 214 */
																obj_t BgL_oclassz00_3760;

																{	/* Cfa/funcall.scm 214 */
																	long BgL_arg1828z00_3766;

																	{	/* Cfa/funcall.scm 214 */
																		long BgL_arg1829z00_3767;

																		BgL_arg1829z00_3767 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3746);
																		BgL_arg1828z00_3766 =
																			(BgL_arg1829z00_3767 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3760 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_3766);
																}
																{	/* Cfa/funcall.scm 214 */
																	bool_t BgL__ortest_1111z00_3761;

																	BgL__ortest_1111z00_3761 =
																		(BgL_classz00_3744 == BgL_oclassz00_3760);
																	if (BgL__ortest_1111z00_3761)
																		{	/* Cfa/funcall.scm 214 */
																			BgL_res2021z00_3774 =
																				BgL__ortest_1111z00_3761;
																		}
																	else
																		{	/* Cfa/funcall.scm 214 */
																			long BgL_odepthz00_3762;

																			BgL_odepthz00_3762 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_3760);
																			if ((((long) 2) < BgL_odepthz00_3762))
																				{	/* Cfa/funcall.scm 214 */
																					obj_t BgL_arg1816z00_3764;

																					BgL_arg1816z00_3764 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_3760, ((long) 2));
																					BgL_res2021z00_3774 =
																						(BgL_arg1816z00_3764 ==
																						BgL_classz00_3744);
																				}
																			else
																				{	/* Cfa/funcall.scm 214 */
																					BgL_res2021z00_3774 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2069z00_4361 = BgL_res2021z00_3774;
														}
												}
											}
											if (BgL_test2069z00_4361)
												{	/* Cfa/funcall.scm 215 */
													BgL_globalz00_bglt BgL_new1173z00_3071;

													{	/* Cfa/funcall.scm 215 */
														BgL_globalz00_bglt BgL_new1186z00_3082;

														BgL_new1186z00_3082 =
															((BgL_globalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_globalz00_bgl))));
														{	/* Cfa/funcall.scm 215 */
															long BgL_arg1680z00_3083;

															BgL_arg1680z00_3083 =
																BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1186z00_3082),
																BgL_arg1680z00_3083);
														}
														{	/* Cfa/funcall.scm 215 */
															BgL_objectz00_bglt BgL_tmpz00_4386;

															BgL_tmpz00_4386 =
																((BgL_objectz00_bglt) BgL_new1186z00_3082);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4386, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1186z00_3082);
														BgL_new1173z00_3071 = BgL_new1186z00_3082;
													}
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_new1173z00_3071)))->BgL_idz00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_idz00)), BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1173z00_3071)))->BgL_namez00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_namez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1173z00_3071)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_typez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1173z00_3071)))->BgL_valuez00) =
														((BgL_valuez00_bglt) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_valuez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1173z00_3071)))->BgL_accessz00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_accessz00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1173z00_3071)))->
															BgL_fastzd2alphazd2) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_fastzd2alphazd2)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1173z00_3071)))->BgL_removablez00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_removablez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1173z00_3071)))->BgL_occurrencez00) =
														((long) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_occurrencez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1173z00_3071)))->
															BgL_occurrencewz00) =
														((long) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_occurrencewz00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1173z00_3071)))->BgL_userzf3zf3) =
														((bool_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_userzf3zf3)),
														BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1173z00_3071))->BgL_modulez00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_modulez00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1173z00_3071))->BgL_importz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_importz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1173z00_3071))->
															BgL_evaluablezf3zf3) =
														((bool_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_evaluablezf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1173z00_3071))->BgL_evalzf3zf3) =
														((bool_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_evalzf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1173z00_3071))->BgL_libraryz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_libraryz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1173z00_3071))->BgL_pragmaz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_pragmaz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1173z00_3071))->BgL_srcz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_srcz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1173z00_3071))->
															BgL_jvmzd2typezd2namez00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_jvmzd2typezd2namez00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1173z00_3071))->BgL_initz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_initz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1173z00_3071))->BgL_aliasz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_aliasz00)), BUNSPEC);
													BgL_arg1673z00_3060 =
														((BgL_variablez00_bglt) BgL_new1173z00_3071);
												}
											else
												{	/* Cfa/funcall.scm 214 */
													BgL_arg1673z00_3060 = BgL_vz00_16;
												}
										}
								}
								BgL_arg1663z00_3058 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg1673z00_3060));
							}
							{	/* Cfa/funcall.scm 220 */
								obj_t BgL_arg1682z00_3084;
								obj_t BgL_arg1683z00_3085;

								{	/* Cfa/funcall.scm 220 */

									BgL_arg1682z00_3084 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
										(BgL_arityz00_17 - ((long) 1)), ((long) 10));
								}
								{	/* Cfa/funcall.scm 222 */

									BgL_arg1683z00_3085 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_lenzd2provzd2_3056, ((long) 10));
								}
								{	/* Cfa/funcall.scm 219 */
									obj_t BgL_list1684z00_3086;

									{	/* Cfa/funcall.scm 219 */
										obj_t BgL_arg1687z00_3087;

										{	/* Cfa/funcall.scm 219 */
											obj_t BgL_arg1692z00_3088;

											{	/* Cfa/funcall.scm 219 */
												obj_t BgL_arg1696z00_3089;

												BgL_arg1696z00_3089 =
													MAKE_YOUNG_PAIR(BGl_string2031z00zzcfa_funcallz00,
													BNIL);
												BgL_arg1692z00_3088 =
													MAKE_YOUNG_PAIR(BgL_arg1683z00_3085,
													BgL_arg1696z00_3089);
											}
											BgL_arg1687z00_3087 =
												MAKE_YOUNG_PAIR(BGl_string2032z00zzcfa_funcallz00,
												BgL_arg1692z00_3088);
										}
										BgL_list1684z00_3086 =
											MAKE_YOUNG_PAIR(BgL_arg1682z00_3084, BgL_arg1687z00_3087);
									}
									BgL_arg1672z00_3059 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list1684z00_3086);
							}}
							BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg1661z00_3057, BgL_arg1663z00_3058,
								BGl_string2033z00zzcfa_funcallz00, BgL_arg1672z00_3059);
			}}}
			return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_funcallzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2034z00zzcfa_funcallz00, BGl_string2035z00zzcfa_funcallz00);
		}

	}



/* &cfa!-funcall/Cinfo1526 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2funcallzf2Cinfo1526z50zzcfa_funcallz00(obj_t
		BgL_envz00_4000, obj_t BgL_nodez00_4001)
	{
		{	/* Cfa/funcall.scm 44 */
			{	/* Cfa/funcall.scm 48 */
				BgL_approxz00_bglt BgL_fapproxz00_4028;

				{	/* Cfa/funcall.scm 48 */
					BgL_nodez00_bglt BgL_arg1835z00_4029;

					BgL_arg1835z00_4029 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_4001))))->BgL_funz00);
					BgL_fapproxz00_4028 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1835z00_4029);
				}
				{	/* Cfa/funcall.scm 48 */
					obj_t BgL_aapproxz00_4030;

					{	/* Cfa/funcall.scm 49 */
						obj_t BgL_l1513z00_4031;

						{	/* Cfa/funcall.scm 49 */
							obj_t BgL_pairz00_4032;

							BgL_pairz00_4032 =
								(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt)
											((BgL_funcallz00_bglt) BgL_nodez00_4001))))->BgL_argsz00);
							BgL_l1513z00_4031 = CDR(BgL_pairz00_4032);
						}
						if (NULLP(BgL_l1513z00_4031))
							{	/* Cfa/funcall.scm 49 */
								BgL_aapproxz00_4030 = BNIL;
							}
						else
							{	/* Cfa/funcall.scm 49 */
								obj_t BgL_head1515z00_4033;

								{	/* Cfa/funcall.scm 49 */
									BgL_approxz00_bglt BgL_arg1822z00_4034;

									{	/* Cfa/funcall.scm 49 */
										obj_t BgL_arg1830z00_4035;

										BgL_arg1830z00_4035 = CAR(((obj_t) BgL_l1513z00_4031));
										BgL_arg1822z00_4034 =
											BGl_cfaz12z12zzcfa_cfaz00(
											((BgL_nodez00_bglt) BgL_arg1830z00_4035));
									}
									BgL_head1515z00_4033 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1822z00_4034), BNIL);
								}
								{	/* Cfa/funcall.scm 49 */
									obj_t BgL_g1518z00_4036;

									BgL_g1518z00_4036 = CDR(((obj_t) BgL_l1513z00_4031));
									{
										obj_t BgL_l1513z00_4038;
										obj_t BgL_tail1516z00_4039;

										BgL_l1513z00_4038 = BgL_g1518z00_4036;
										BgL_tail1516z00_4039 = BgL_head1515z00_4033;
									BgL_zc3z04anonymousza31815ze3z87_4037:
										if (NULLP(BgL_l1513z00_4038))
											{	/* Cfa/funcall.scm 49 */
												BgL_aapproxz00_4030 = BgL_head1515z00_4033;
											}
										else
											{	/* Cfa/funcall.scm 49 */
												obj_t BgL_newtail1517z00_4040;

												{	/* Cfa/funcall.scm 49 */
													BgL_approxz00_bglt BgL_arg1819z00_4041;

													{	/* Cfa/funcall.scm 49 */
														obj_t BgL_arg1821z00_4042;

														BgL_arg1821z00_4042 =
															CAR(((obj_t) BgL_l1513z00_4038));
														BgL_arg1819z00_4041 =
															BGl_cfaz12z12zzcfa_cfaz00(
															((BgL_nodez00_bglt) BgL_arg1821z00_4042));
													}
													BgL_newtail1517z00_4040 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg1819z00_4041), BNIL);
												}
												SET_CDR(BgL_tail1516z00_4039, BgL_newtail1517z00_4040);
												{	/* Cfa/funcall.scm 49 */
													obj_t BgL_arg1817z00_4043;

													BgL_arg1817z00_4043 =
														CDR(((obj_t) BgL_l1513z00_4038));
													{
														obj_t BgL_tail1516z00_4494;
														obj_t BgL_l1513z00_4493;

														BgL_l1513z00_4493 = BgL_arg1817z00_4043;
														BgL_tail1516z00_4494 = BgL_newtail1517z00_4040;
														BgL_tail1516z00_4039 = BgL_tail1516z00_4494;
														BgL_l1513z00_4038 = BgL_l1513z00_4493;
														goto BgL_zc3z04anonymousza31815ze3z87_4037;
													}
												}
											}
									}
								}
							}
					}
					{	/* Cfa/funcall.scm 49 */

						{	/* Cfa/funcall.scm 54 */
							BgL_typez00_bglt BgL_funzd2typezd2_4044;

							BgL_funzd2typezd2_4044 =
								(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_4028))->
								BgL_typez00);
							{	/* Cfa/funcall.scm 55 */
								bool_t BgL_test2075z00_4496;

								if (
									(((obj_t) BgL_funzd2typezd2_4044) ==
										BGl_za2_za2z00zztype_cachez00))
									{	/* Cfa/funcall.scm 55 */
										BgL_test2075z00_4496 = ((bool_t) 1);
									}
								else
									{	/* Cfa/funcall.scm 55 */
										if (
											(((obj_t) BgL_funzd2typezd2_4044) ==
												BGl_za2objza2z00zztype_cachez00))
											{	/* Cfa/funcall.scm 56 */
												BgL_test2075z00_4496 = ((bool_t) 1);
											}
										else
											{	/* Cfa/funcall.scm 56 */
												BgL_test2075z00_4496 =
													(
													((obj_t) BgL_funzd2typezd2_4044) ==
													BGl_za2procedureza2z00zztype_cachez00);
											}
									}
								if (BgL_test2075z00_4496)
									{	/* Cfa/funcall.scm 55 */
										BFALSE;
									}
								else
									{	/* Cfa/funcall.scm 55 */
										BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(
											((BgL_funcallz00_bglt) BgL_nodez00_4001),
											BgL_funzd2typezd2_4044);
									}
							}
						}
						{	/* Cfa/funcall.scm 60 */
							bool_t BgL_test2078z00_4507;

							{	/* Cfa/funcall.scm 60 */
								bool_t BgL_test2079z00_4508;

								{	/* Cfa/funcall.scm 60 */
									BgL_typez00_bglt BgL_arg1721z00_4045;

									BgL_arg1721z00_4045 =
										(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_4028))->
										BgL_typez00);
									BgL_test2079z00_4508 =
										(((obj_t) BgL_arg1721z00_4045) ==
										BGl_za2procedureza2z00zztype_cachez00);
								}
								if (BgL_test2079z00_4508)
									{	/* Cfa/funcall.scm 60 */
										BgL_test2078z00_4507 =
											(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_4028))->
											BgL_topzf3zf3);
									}
								else
									{	/* Cfa/funcall.scm 60 */
										BgL_test2078z00_4507 = ((bool_t) 1);
									}
							}
							if (BgL_test2078z00_4507)
								{	/* Cfa/funcall.scm 62 */
									BgL_approxz00_bglt BgL_arg1720z00_4046;

									{
										BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4513;

										{
											obj_t BgL_auxz00_4514;

											{	/* Cfa/funcall.scm 62 */
												BgL_objectz00_bglt BgL_tmpz00_4515;

												BgL_tmpz00_4515 =
													((BgL_objectz00_bglt)
													((BgL_funcallz00_bglt) BgL_nodez00_4001));
												BgL_auxz00_4514 = BGL_OBJECT_WIDENING(BgL_tmpz00_4515);
											}
											BgL_auxz00_4513 =
												((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4514);
										}
										BgL_arg1720z00_4046 =
											(((BgL_funcallzf2cinfozf2_bglt)
												COBJECT(BgL_auxz00_4513))->BgL_approxz00);
									}
									BGl_approxzd2setzd2typez12z12zzcfa_approxz00
										(BgL_arg1720z00_4046,
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
								}
							else
								{	/* Cfa/funcall.scm 60 */
									BFALSE;
								}
						}
						{	/* Cfa/funcall.scm 65 */
							bool_t BgL_test2080z00_4523;

							if (
								(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_4028))->
									BgL_topzf3zf3))
								{	/* Cfa/funcall.scm 65 */
									BgL_test2080z00_4523 = ((bool_t) 1);
								}
							else
								{	/* Cfa/funcall.scm 66 */
									bool_t BgL_test2082z00_4526;

									{	/* Cfa/funcall.scm 66 */
										BgL_typez00_bglt BgL_arg1763z00_4047;

										BgL_arg1763z00_4047 =
											(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_4028))->
											BgL_typez00);
										BgL_test2082z00_4526 =
											(((obj_t) BgL_arg1763z00_4047) ==
											BGl_za2procedureza2z00zztype_cachez00);
									}
									if (BgL_test2082z00_4526)
										{	/* Cfa/funcall.scm 66 */
											BgL_test2080z00_4523 = ((bool_t) 0);
										}
									else
										{	/* Cfa/funcall.scm 66 */
											BgL_test2080z00_4523 = ((bool_t) 1);
										}
								}
							if (BgL_test2080z00_4523)
								{	/* Cfa/funcall.scm 65 */
									{
										obj_t BgL_l1519z00_4049;

										BgL_l1519z00_4049 = BgL_aapproxz00_4030;
									BgL_zc3z04anonymousza31730ze3z87_4048:
										if (PAIRP(BgL_l1519z00_4049))
											{	/* Cfa/funcall.scm 67 */
												{	/* Cfa/funcall.scm 67 */
													obj_t BgL_approxz00_4050;

													BgL_approxz00_4050 = CAR(BgL_l1519z00_4049);
													BGl_loosez12z12zzcfa_loosez00(
														((BgL_approxz00_bglt) BgL_approxz00_4050),
														CNST_TABLE_REF(((long) 0)));
												}
												{
													obj_t BgL_l1519z00_4536;

													BgL_l1519z00_4536 = CDR(BgL_l1519z00_4049);
													BgL_l1519z00_4049 = BgL_l1519z00_4536;
													goto BgL_zc3z04anonymousza31730ze3z87_4048;
												}
											}
										else
											{	/* Cfa/funcall.scm 67 */
												((bool_t) 1);
											}
									}
									{	/* Cfa/funcall.scm 70 */
										obj_t BgL_zc3z04anonymousza31737ze3z87_4051;

										BgL_zc3z04anonymousza31737ze3z87_4051 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31737ze3ze5zzcfa_funcallz00,
											(int) (((long) 1)), (int) (((long) 3)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31737ze3z87_4051,
											(int) (((long) 0)),
											((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_4001)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31737ze3z87_4051,
											(int) (((long) 1)), BgL_aapproxz00_4030);
										PROCEDURE_SET(BgL_zc3z04anonymousza31737ze3z87_4051,
											(int) (((long) 2)),
											((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_4001)));
										BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
											(BgL_zc3z04anonymousza31737ze3z87_4051,
											BgL_fapproxz00_4028);
									}
									{	/* Cfa/funcall.scm 77 */
										BgL_approxz00_bglt BgL_arg1749z00_4052;

										{
											BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4552;

											{
												obj_t BgL_auxz00_4553;

												{	/* Cfa/funcall.scm 77 */
													BgL_objectz00_bglt BgL_tmpz00_4554;

													BgL_tmpz00_4554 =
														((BgL_objectz00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_4001));
													BgL_auxz00_4553 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4554);
												}
												BgL_auxz00_4552 =
													((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4553);
											}
											BgL_arg1749z00_4052 =
												(((BgL_funcallzf2cinfozf2_bglt)
													COBJECT(BgL_auxz00_4552))->BgL_approxz00);
										}
										BGl_approxzd2setzd2topz12z12zzcfa_approxz00
											(BgL_arg1749z00_4052);
								}}
							else
								{	/* Cfa/funcall.scm 65 */
									if (CBOOL(BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00
											(BgL_fapproxz00_4028)))
										{	/* Cfa/funcall.scm 82 */
											BgL_approxz00_bglt BgL_arg1751z00_4053;

											{
												BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4564;

												{
													obj_t BgL_auxz00_4565;

													{	/* Cfa/funcall.scm 82 */
														BgL_objectz00_bglt BgL_tmpz00_4566;

														BgL_tmpz00_4566 =
															((BgL_objectz00_bglt)
															((BgL_funcallz00_bglt) BgL_nodez00_4001));
														BgL_auxz00_4565 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4566);
													}
													BgL_auxz00_4564 =
														((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4565);
												}
												BgL_arg1751z00_4053 =
													(((BgL_funcallzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_4564))->BgL_approxz00);
											}
											BGl_approxzd2setzd2typez12z12zzcfa_approxz00
												(BgL_arg1751z00_4053,
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
										}
									else
										{	/* Cfa/funcall.scm 86 */
											obj_t BgL_zc3z04anonymousza31753ze3z87_4054;

											BgL_zc3z04anonymousza31753ze3z87_4054 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31753ze3ze5zzcfa_funcallz00,
												(int) (((long) 1)), (int) (((long) 3)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31753ze3z87_4054,
												(int) (((long) 0)),
												((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_4001)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31753ze3z87_4054,
												(int) (((long) 1)), BgL_aapproxz00_4030);
											PROCEDURE_SET(BgL_zc3z04anonymousza31753ze3z87_4054,
												(int) (((long) 2)),
												((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_4001)));
											BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
												(BgL_zc3z04anonymousza31753ze3z87_4054,
												BgL_fapproxz00_4028);
						}}}
						{	/* Cfa/funcall.scm 96 */
							bool_t BgL_test2085z00_4588;

							if (CBOOL
								(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
								{	/* Cfa/funcall.scm 97 */
									bool_t BgL_test2087z00_4591;

									{	/* Cfa/funcall.scm 97 */
										BgL_typez00_bglt BgL_arg1812z00_4055;

										{	/* Cfa/funcall.scm 97 */
											BgL_approxz00_bglt BgL_arg1813z00_4056;

											{
												BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4592;

												{
													obj_t BgL_auxz00_4593;

													{	/* Cfa/funcall.scm 97 */
														BgL_objectz00_bglt BgL_tmpz00_4594;

														BgL_tmpz00_4594 =
															((BgL_objectz00_bglt)
															((BgL_funcallz00_bglt) BgL_nodez00_4001));
														BgL_auxz00_4593 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4594);
													}
													BgL_auxz00_4592 =
														((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4593);
												}
												BgL_arg1813z00_4056 =
													(((BgL_funcallzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_4592))->BgL_approxz00);
											}
											BgL_arg1812z00_4055 =
												(((BgL_approxz00_bglt) COBJECT(BgL_arg1813z00_4056))->
												BgL_typez00);
										}
										BgL_test2087z00_4591 =
											BGl_bigloozd2typezf3z21zztype_typez00
											(BgL_arg1812z00_4055);
									}
									if (BgL_test2087z00_4591)
										{	/* Cfa/funcall.scm 98 */
											bool_t BgL_test2088z00_4602;

											{	/* Cfa/funcall.scm 98 */
												BgL_typez00_bglt BgL_arg1790z00_4057;

												{	/* Cfa/funcall.scm 98 */
													BgL_approxz00_bglt BgL_arg1811z00_4058;

													{
														BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4603;

														{
															obj_t BgL_auxz00_4604;

															{	/* Cfa/funcall.scm 98 */
																BgL_objectz00_bglt BgL_tmpz00_4605;

																BgL_tmpz00_4605 =
																	((BgL_objectz00_bglt)
																	((BgL_funcallz00_bglt) BgL_nodez00_4001));
																BgL_auxz00_4604 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4605);
															}
															BgL_auxz00_4603 =
																((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4604);
														}
														BgL_arg1811z00_4058 =
															(((BgL_funcallzf2cinfozf2_bglt)
																COBJECT(BgL_auxz00_4603))->BgL_approxz00);
													}
													BgL_arg1790z00_4057 =
														(((BgL_approxz00_bglt)
															COBJECT(BgL_arg1811z00_4058))->BgL_typez00);
												}
												BgL_test2088z00_4602 =
													(
													((obj_t) BgL_arg1790z00_4057) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2088z00_4602)
												{	/* Cfa/funcall.scm 98 */
													BgL_test2085z00_4588 = ((bool_t) 0);
												}
											else
												{	/* Cfa/funcall.scm 98 */
													BgL_test2085z00_4588 = ((bool_t) 1);
												}
										}
									else
										{	/* Cfa/funcall.scm 97 */
											BgL_test2085z00_4588 = ((bool_t) 0);
										}
								}
							else
								{	/* Cfa/funcall.scm 96 */
									BgL_test2085z00_4588 = ((bool_t) 0);
								}
							if (BgL_test2085z00_4588)
								{	/* Cfa/funcall.scm 96 */
									BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
										(BGl_proc2036z00zzcfa_funcallz00, BgL_fapproxz00_4028);
								}
							else
								{	/* Cfa/funcall.scm 96 */
									BFALSE;
								}
						}
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4615;

							{
								obj_t BgL_auxz00_4616;

								{	/* Cfa/funcall.scm 106 */
									BgL_objectz00_bglt BgL_tmpz00_4617;

									BgL_tmpz00_4617 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_4001));
									BgL_auxz00_4616 = BGL_OBJECT_WIDENING(BgL_tmpz00_4617);
								}
								BgL_auxz00_4615 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4616);
							}
							return
								(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4615))->
								BgL_approxz00);
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1788> */
	obj_t BGl_z62zc3z04anonymousza31788ze3ze5zzcfa_funcallz00(obj_t
		BgL_envz00_4002, obj_t BgL_az00_4003)
	{
		{	/* Cfa/funcall.scm 100 */
			{	/* Cfa/funcall.scm 101 */
				bool_t BgL_test2089z00_4623;

				{	/* Cfa/funcall.scm 101 */
					obj_t BgL_classz00_4059;

					BgL_classz00_4059 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_az00_4003))
						{	/* Cfa/funcall.scm 101 */
							BgL_objectz00_bglt BgL_arg1820z00_4060;

							BgL_arg1820z00_4060 = (BgL_objectz00_bglt) (BgL_az00_4003);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/funcall.scm 101 */
									long BgL_idxz00_4061;

									BgL_idxz00_4061 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4060);
									BgL_test2089z00_4623 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4061 + ((long) 4))) == BgL_classz00_4059);
								}
							else
								{	/* Cfa/funcall.scm 101 */
									bool_t BgL_res2024z00_4064;

									{	/* Cfa/funcall.scm 101 */
										obj_t BgL_oclassz00_4065;

										{	/* Cfa/funcall.scm 101 */
											long BgL_arg1828z00_4066;

											{	/* Cfa/funcall.scm 101 */
												long BgL_arg1829z00_4067;

												BgL_arg1829z00_4067 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4060);
												BgL_arg1828z00_4066 =
													(BgL_arg1829z00_4067 - OBJECT_TYPE);
											}
											BgL_oclassz00_4065 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4066);
										}
										{	/* Cfa/funcall.scm 101 */
											bool_t BgL__ortest_1111z00_4068;

											BgL__ortest_1111z00_4068 =
												(BgL_classz00_4059 == BgL_oclassz00_4065);
											if (BgL__ortest_1111z00_4068)
												{	/* Cfa/funcall.scm 101 */
													BgL_res2024z00_4064 = BgL__ortest_1111z00_4068;
												}
											else
												{	/* Cfa/funcall.scm 101 */
													long BgL_odepthz00_4069;

													BgL_odepthz00_4069 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4065);
													if ((((long) 4) < BgL_odepthz00_4069))
														{	/* Cfa/funcall.scm 101 */
															obj_t BgL_arg1816z00_4070;

															BgL_arg1816z00_4070 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4065,
																((long) 4));
															BgL_res2024z00_4064 =
																(BgL_arg1816z00_4070 == BgL_classz00_4059);
														}
													else
														{	/* Cfa/funcall.scm 101 */
															BgL_res2024z00_4064 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2089z00_4623 = BgL_res2024z00_4064;
								}
						}
					else
						{	/* Cfa/funcall.scm 101 */
							BgL_test2089z00_4623 = ((bool_t) 0);
						}
				}
				if (BgL_test2089z00_4623)
					{	/* Cfa/funcall.scm 101 */
						return
							BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
							(((BgL_appz00_bglt) BgL_az00_4003));
					}
				else
					{	/* Cfa/funcall.scm 101 */
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:1737> */
	obj_t BGl_z62zc3z04anonymousza31737ze3ze5zzcfa_funcallz00(obj_t
		BgL_envz00_4004, obj_t BgL_allocz00_4008)
	{
		{	/* Cfa/funcall.scm 69 */
			{	/* Cfa/funcall.scm 70 */
				BgL_funcallz00_bglt BgL_i1159z00_4005;
				obj_t BgL_aapproxz00_4006;
				BgL_funcallz00_bglt BgL_nodez00_4007;

				BgL_i1159z00_4005 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_4004, (int) (((long) 0))));
				BgL_aapproxz00_4006 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4004, (int) (((long) 1))));
				BgL_nodez00_4007 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_4004, (int) (((long) 2))));
				{
					BgL_approxz00_bglt BgL_auxz00_4654;

					{	/* Cfa/funcall.scm 70 */
						bool_t BgL_test2094z00_4655;

						{	/* Cfa/funcall.scm 70 */
							obj_t BgL_classz00_4071;

							BgL_classz00_4071 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
							if (BGL_OBJECTP(BgL_allocz00_4008))
								{	/* Cfa/funcall.scm 70 */
									BgL_objectz00_bglt BgL_arg1820z00_4072;

									BgL_arg1820z00_4072 =
										(BgL_objectz00_bglt) (BgL_allocz00_4008);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/funcall.scm 70 */
											long BgL_idxz00_4073;

											BgL_idxz00_4073 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4072);
											BgL_test2094z00_4655 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4073 + ((long) 4))) == BgL_classz00_4071);
										}
									else
										{	/* Cfa/funcall.scm 70 */
											bool_t BgL_res2022z00_4076;

											{	/* Cfa/funcall.scm 70 */
												obj_t BgL_oclassz00_4077;

												{	/* Cfa/funcall.scm 70 */
													long BgL_arg1828z00_4078;

													{	/* Cfa/funcall.scm 70 */
														long BgL_arg1829z00_4079;

														BgL_arg1829z00_4079 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4072);
														BgL_arg1828z00_4078 =
															(BgL_arg1829z00_4079 - OBJECT_TYPE);
													}
													BgL_oclassz00_4077 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_4078);
												}
												{	/* Cfa/funcall.scm 70 */
													bool_t BgL__ortest_1111z00_4080;

													BgL__ortest_1111z00_4080 =
														(BgL_classz00_4071 == BgL_oclassz00_4077);
													if (BgL__ortest_1111z00_4080)
														{	/* Cfa/funcall.scm 70 */
															BgL_res2022z00_4076 = BgL__ortest_1111z00_4080;
														}
													else
														{	/* Cfa/funcall.scm 70 */
															long BgL_odepthz00_4081;

															BgL_odepthz00_4081 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4077);
															if ((((long) 4) < BgL_odepthz00_4081))
																{	/* Cfa/funcall.scm 70 */
																	obj_t BgL_arg1816z00_4082;

																	BgL_arg1816z00_4082 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4077,
																		((long) 4));
																	BgL_res2022z00_4076 =
																		(BgL_arg1816z00_4082 == BgL_classz00_4071);
																}
															else
																{	/* Cfa/funcall.scm 70 */
																	BgL_res2022z00_4076 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2094z00_4655 = BgL_res2022z00_4076;
										}
								}
							else
								{	/* Cfa/funcall.scm 70 */
									BgL_test2094z00_4655 = ((bool_t) 0);
								}
						}
						if (BgL_test2094z00_4655)
							{	/* Cfa/funcall.scm 71 */
								BgL_approxz00_bglt BgL_eapproxz00_4083;

								{
									BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4675;

									{
										obj_t BgL_auxz00_4676;

										{	/* Cfa/funcall.scm 71 */
											BgL_objectz00_bglt BgL_tmpz00_4677;

											BgL_tmpz00_4677 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_allocz00_4008));
											BgL_auxz00_4676 = BGL_OBJECT_WIDENING(BgL_tmpz00_4677);
										}
										BgL_auxz00_4675 =
											((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4676);
									}
									BgL_eapproxz00_4083 =
										(((BgL_makezd2procedurezd2appz00_bglt)
											COBJECT(BgL_auxz00_4675))->BgL_approxz00);
								}
								{	/* Cfa/funcall.scm 72 */
									BgL_approxz00_bglt BgL_arg1741z00_4084;
									BgL_approxz00_bglt BgL_arg1745z00_4085;

									{
										BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4683;

										{
											obj_t BgL_auxz00_4684;

											{	/* Cfa/funcall.scm 72 */
												BgL_objectz00_bglt BgL_tmpz00_4685;

												BgL_tmpz00_4685 =
													((BgL_objectz00_bglt) BgL_i1159z00_4005);
												BgL_auxz00_4684 = BGL_OBJECT_WIDENING(BgL_tmpz00_4685);
											}
											BgL_auxz00_4683 =
												((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4684);
										}
										BgL_arg1741z00_4084 =
											(((BgL_funcallzf2cinfozf2_bglt)
												COBJECT(BgL_auxz00_4683))->BgL_approxz00);
									}
									{	/* Cfa/funcall.scm 74 */
										obj_t BgL_arg1746z00_4086;

										BgL_arg1746z00_4086 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_eapproxz00_4083), BgL_aapproxz00_4006);
										BgL_arg1745z00_4085 =
											BGl_funcallz12z12zzcfa_funcallz00(
											((BgL_appz00_bglt) BgL_allocz00_4008),
											BgL_arg1746z00_4086, BgL_nodez00_4007);
									}
									BgL_auxz00_4654 =
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1741z00_4084,
										BgL_arg1745z00_4085);
								}
							}
						else
							{	/* Cfa/funcall.scm 70 */
								BgL_auxz00_4654 = BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
							}
					}
					return ((obj_t) BgL_auxz00_4654);
				}
			}
		}

	}



/* &<@anonymous:1753> */
	obj_t BGl_z62zc3z04anonymousza31753ze3ze5zzcfa_funcallz00(obj_t
		BgL_envz00_4009, obj_t BgL_allocz00_4013)
	{
		{	/* Cfa/funcall.scm 85 */
			{	/* Cfa/funcall.scm 86 */
				BgL_funcallz00_bglt BgL_i1159z00_4010;
				obj_t BgL_aapproxz00_4011;
				BgL_funcallz00_bglt BgL_nodez00_4012;

				BgL_i1159z00_4010 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_4009, (int) (((long) 0))));
				BgL_aapproxz00_4011 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4009, (int) (((long) 1))));
				BgL_nodez00_4012 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_4009, (int) (((long) 2))));
				{
					BgL_approxz00_bglt BgL_auxz00_4706;

					{	/* Cfa/funcall.scm 86 */
						bool_t BgL_test2099z00_4707;

						{	/* Cfa/funcall.scm 86 */
							obj_t BgL_classz00_4087;

							BgL_classz00_4087 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
							if (BGL_OBJECTP(BgL_allocz00_4013))
								{	/* Cfa/funcall.scm 86 */
									BgL_objectz00_bglt BgL_arg1820z00_4088;

									BgL_arg1820z00_4088 =
										(BgL_objectz00_bglt) (BgL_allocz00_4013);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/funcall.scm 86 */
											long BgL_idxz00_4089;

											BgL_idxz00_4089 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4088);
											BgL_test2099z00_4707 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4089 + ((long) 4))) == BgL_classz00_4087);
										}
									else
										{	/* Cfa/funcall.scm 86 */
											bool_t BgL_res2023z00_4092;

											{	/* Cfa/funcall.scm 86 */
												obj_t BgL_oclassz00_4093;

												{	/* Cfa/funcall.scm 86 */
													long BgL_arg1828z00_4094;

													{	/* Cfa/funcall.scm 86 */
														long BgL_arg1829z00_4095;

														BgL_arg1829z00_4095 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4088);
														BgL_arg1828z00_4094 =
															(BgL_arg1829z00_4095 - OBJECT_TYPE);
													}
													BgL_oclassz00_4093 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_4094);
												}
												{	/* Cfa/funcall.scm 86 */
													bool_t BgL__ortest_1111z00_4096;

													BgL__ortest_1111z00_4096 =
														(BgL_classz00_4087 == BgL_oclassz00_4093);
													if (BgL__ortest_1111z00_4096)
														{	/* Cfa/funcall.scm 86 */
															BgL_res2023z00_4092 = BgL__ortest_1111z00_4096;
														}
													else
														{	/* Cfa/funcall.scm 86 */
															long BgL_odepthz00_4097;

															BgL_odepthz00_4097 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4093);
															if ((((long) 4) < BgL_odepthz00_4097))
																{	/* Cfa/funcall.scm 86 */
																	obj_t BgL_arg1816z00_4098;

																	BgL_arg1816z00_4098 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4093,
																		((long) 4));
																	BgL_res2023z00_4092 =
																		(BgL_arg1816z00_4098 == BgL_classz00_4087);
																}
															else
																{	/* Cfa/funcall.scm 86 */
																	BgL_res2023z00_4092 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2099z00_4707 = BgL_res2023z00_4092;
										}
								}
							else
								{	/* Cfa/funcall.scm 86 */
									BgL_test2099z00_4707 = ((bool_t) 0);
								}
						}
						if (BgL_test2099z00_4707)
							{	/* Cfa/funcall.scm 87 */
								BgL_approxz00_bglt BgL_eapproxz00_4099;

								{
									BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4727;

									{
										obj_t BgL_auxz00_4728;

										{	/* Cfa/funcall.scm 87 */
											BgL_objectz00_bglt BgL_tmpz00_4729;

											BgL_tmpz00_4729 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_allocz00_4013));
											BgL_auxz00_4728 = BGL_OBJECT_WIDENING(BgL_tmpz00_4729);
										}
										BgL_auxz00_4727 =
											((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4728);
									}
									BgL_eapproxz00_4099 =
										(((BgL_makezd2procedurezd2appz00_bglt)
											COBJECT(BgL_auxz00_4727))->BgL_approxz00);
								}
								{	/* Cfa/funcall.scm 88 */
									BgL_approxz00_bglt BgL_arg1755z00_4100;
									BgL_approxz00_bglt BgL_arg1756z00_4101;

									{
										BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4735;

										{
											obj_t BgL_auxz00_4736;

											{	/* Cfa/funcall.scm 88 */
												BgL_objectz00_bglt BgL_tmpz00_4737;

												BgL_tmpz00_4737 =
													((BgL_objectz00_bglt) BgL_i1159z00_4010);
												BgL_auxz00_4736 = BGL_OBJECT_WIDENING(BgL_tmpz00_4737);
											}
											BgL_auxz00_4735 =
												((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4736);
										}
										BgL_arg1755z00_4100 =
											(((BgL_funcallzf2cinfozf2_bglt)
												COBJECT(BgL_auxz00_4735))->BgL_approxz00);
									}
									{	/* Cfa/funcall.scm 90 */
										obj_t BgL_arg1757z00_4102;

										BgL_arg1757z00_4102 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_eapproxz00_4099), BgL_aapproxz00_4011);
										BgL_arg1756z00_4101 =
											BGl_funcallz12z12zzcfa_funcallz00(
											((BgL_appz00_bglt) BgL_allocz00_4013),
											BgL_arg1757z00_4102, BgL_nodez00_4012);
									}
									BgL_auxz00_4706 =
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1755z00_4100,
										BgL_arg1756z00_4101);
								}
							}
						else
							{	/* Cfa/funcall.scm 86 */
								BgL_auxz00_4706 = BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
							}
					}
					return ((obj_t) BgL_auxz00_4706);
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 54924680),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_appz00(((long) 102053843),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string2037z00zzcfa_funcallz00));
		}

	}

#ifdef __cplusplus
}
#endif
