/*===========================================================================*/
/*   (Cfa/ltype.scm)                                                         */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/ltype.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;


	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62typezd2variablez12zd2inter1597z70zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_ltypez00(void);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2boxzd2setz121645zb0zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2makezd2box1643za2zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2atom1601z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_ltypez00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62typezd2variablez12zd2scnst1591z70zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62typezd2nodez12zd2funcall1617z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2app1613z70zzcfa_ltypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2boxzd2ref1647za2zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2setzd2exzd2it1639z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_ltypez00(void);
	static obj_t BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62typezd2nodez12zd2vsetz121623z62zzcfa_ltypez00(obj_t,
		obj_t);
	static bool_t BGl_typezd2nodeza2z12z62zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62lightzd2typez12za2zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2sync1611z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2switch1633z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2fail1631z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_ltypez00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_ltypez00(void);
	static obj_t BGl_z62typezd2nodez12zd2vref1621z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_ltypez00(void);
	static obj_t BGl_z62typezd2nodez12zd2letzd2fun1635za2zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2variablez12zd2sexit1595z70zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_z62typezd2nodez12zd2kwote1603z70zzcfa_ltypez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2svarzf21589z82zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2cvarzf21593z82zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2condition1629z70zzcfa_ltypez00(obj_t,
		obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_z62typezd2nodez12zd2var1605z70zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(BgL_variablez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2sequence1609z70zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62typezd2variablez121585za2zzcfa_ltypez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62typezd2variablez12za2zzcfa_ltypez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2letzd2var1637za2zzcfa_ltypez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2closure1607z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2jumpzd2exzd2i1641z70zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_typezd2nodez12zc0zzcfa_ltypez00(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2appzd2ly1615za2zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_ltypez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_ltypez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_ltypez00(void);
	static obj_t BGl_z62typezd2nodez12za2zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez121598za2zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2cast1625z70zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2extern1619z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2setq1627z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string2120z00zzcfa_ltypez00,
		BgL_bgl_string2120za700za7za7c2148za7, "type-node!", 10);
	      DEFINE_STRING(BGl_string2144z00zzcfa_ltypez00,
		BgL_bgl_string2144za700za7za7c2149za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2145z00zzcfa_ltypez00,
		BgL_bgl_string2145za700za7za7c2150za7, "cfa_ltype", 9);
	      DEFINE_STRING(BGl_string2146z00zzcfa_ltypez00,
		BgL_bgl_string2146za700za7za7c2151za7, "static nothing type-node!1598 ",
		30);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2152z00,
		BGl_z62typezd2variablez12za2zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_lightzd2typez12zd2envz12zzcfa_ltypez00,
		BgL_bgl_za762lightza7d2typeza72153za7,
		BGl_z62lightzd2typez12za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2154z00,
		BGl_z62typezd2variablez121585za2zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712155za7,
		BGl_z62typezd2nodez121598za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2113z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2156z00,
		BGl_z62typezd2variablez12zd2svarzf21589z82zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2157z00,
		BGl_z62typezd2variablez12zd2scnst1591z70zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2116z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2158z00,
		BGl_z62typezd2variablez12zd2cvarzf21593z82zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2159z00,
		BGl_z62typezd2variablez12zd2sexit1595z70zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2118z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2160z00,
		BGl_z62typezd2variablez12zd2inter1597z70zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712161za7,
		BGl_z62typezd2nodez12zd2atom1601z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712162za7,
		BGl_z62typezd2nodez12zd2kwote1603z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2122z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712163za7,
		BGl_z62typezd2nodez12zd2var1605z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712164za7,
		BGl_z62typezd2nodez12zd2closure1607z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2124z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712165za7,
		BGl_z62typezd2nodez12zd2sequence1609z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712166za7,
		BGl_z62typezd2nodez12zd2sync1611z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2126z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712167za7,
		BGl_z62typezd2nodez12zd2app1613z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712168za7,
		BGl_z62typezd2nodez12zd2appzd2ly1615za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2128z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712169za7,
		BGl_z62typezd2nodez12zd2funcall1617z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712170za7,
		BGl_z62typezd2nodez12zd2extern1619z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2130z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712171za7,
		BGl_z62typezd2nodez12zd2vref1621z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2131z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712172za7,
		BGl_z62typezd2nodez12zd2vsetz121623z62zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712173za7,
		BGl_z62typezd2nodez12zd2cast1625z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712174za7,
		BGl_z62typezd2nodez12zd2setq1627z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712175za7,
		BGl_z62typezd2nodez12zd2condition1629z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712176za7,
		BGl_z62typezd2nodez12zd2fail1631z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712177za7,
		BGl_z62typezd2nodez12zd2switch1633z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712178za7,
		BGl_z62typezd2nodez12zd2letzd2fun1635za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712179za7,
		BGl_z62typezd2nodez12zd2letzd2var1637za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712180za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it1639z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712181za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1641z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712182za7,
		BGl_z62typezd2nodez12zd2makezd2box1643za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712183za7,
		BGl_z62typezd2nodez12zd2boxzd2setz121645zb0zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712184za7,
		BGl_z62typezd2nodez12zd2boxzd2ref1647za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712185za7,
		BGl_z62typezd2nodez12za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2109z00zzcfa_ltypez00,
		BgL_bgl_string2109za700za7za7c2186za7, "type-variable!1585", 18);
	      DEFINE_STRING(BGl_string2111z00zzcfa_ltypez00,
		BgL_bgl_string2111za700za7za7c2187za7, "type-node!1598", 14);
	      DEFINE_STRING(BGl_string2112z00zzcfa_ltypez00,
		BgL_bgl_string2112za700za7za7c2188za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2114z00zzcfa_ltypez00,
		BgL_bgl_string2114za700za7za7c2189za7, "type-variable!", 14);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_ltypez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long
		BgL_checksumz00_4854, char *BgL_fromz00_4855)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_ltypez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_ltypez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_ltypez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_ltypez00();
					BGl_cnstzd2initzd2zzcfa_ltypez00();
					BGl_importedzd2moduleszd2initz00zzcfa_ltypez00();
					BGl_genericzd2initzd2zzcfa_ltypez00();
					BGl_methodzd2initzd2zzcfa_ltypez00();
					return BGl_toplevelzd2initzd2zzcfa_ltypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cfa_ltype");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			{	/* Cfa/ltype.scm 15 */
				obj_t BgL_cportz00_4761;

				{	/* Cfa/ltype.scm 15 */
					obj_t BgL_stringz00_4768;

					BgL_stringz00_4768 = BGl_string2146z00zzcfa_ltypez00;
					{	/* Cfa/ltype.scm 15 */
						obj_t BgL_startz00_4769;

						BgL_startz00_4769 = BINT(((long) 0));
						{	/* Cfa/ltype.scm 15 */
							obj_t BgL_endz00_4770;

							BgL_endz00_4770 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4768)));
							{	/* Cfa/ltype.scm 15 */

								BgL_cportz00_4761 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4768, BgL_startz00_4769, BgL_endz00_4770);
				}}}}
				{
					long BgL_iz00_4762;

					BgL_iz00_4762 = ((long) 2);
				BgL_loopz00_4763:
					if ((BgL_iz00_4762 == ((long) -1)))
						{	/* Cfa/ltype.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/ltype.scm 15 */
							{	/* Cfa/ltype.scm 15 */
								obj_t BgL_arg2147z00_4764;

								{	/* Cfa/ltype.scm 15 */

									{	/* Cfa/ltype.scm 15 */
										obj_t BgL_locationz00_4766;

										BgL_locationz00_4766 = BBOOL(((bool_t) 0));
										{	/* Cfa/ltype.scm 15 */

											BgL_arg2147z00_4764 =
												BGl_readz00zz__readerz00(BgL_cportz00_4761,
												BgL_locationz00_4766);
										}
									}
								}
								{	/* Cfa/ltype.scm 15 */
									int BgL_tmpz00_4886;

									BgL_tmpz00_4886 = (int) (BgL_iz00_4762);
									CNST_TABLE_SET(BgL_tmpz00_4886, BgL_arg2147z00_4764);
							}}
							{	/* Cfa/ltype.scm 15 */
								int BgL_auxz00_4767;

								BgL_auxz00_4767 = (int) ((BgL_iz00_4762 - ((long) 1)));
								{
									long BgL_iz00_4891;

									BgL_iz00_4891 = (long) (BgL_auxz00_4767);
									BgL_iz00_4762 = BgL_iz00_4891;
									goto BgL_loopz00_4763;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			return BUNSPEC;
		}

	}



/* light-type! */
	BGL_EXPORTED_DEF obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t
		BgL_globalsz00_23)
	{
		{	/* Cfa/ltype.scm 40 */
			{
				obj_t BgL_l1569z00_3561;

				{	/* Cfa/ltype.scm 41 */
					bool_t BgL_tmpz00_4894;

					BgL_l1569z00_3561 = BgL_globalsz00_23;
				BgL_zc3z04anonymousza31693ze3z87_3562:
					if (PAIRP(BgL_l1569z00_3561))
						{	/* Cfa/ltype.scm 41 */
							{	/* Cfa/ltype.scm 41 */
								obj_t BgL_arg1696z00_3564;

								BgL_arg1696z00_3564 = CAR(BgL_l1569z00_3561);
								BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(
									((BgL_variablez00_bglt) BgL_arg1696z00_3564));
							}
							{
								obj_t BgL_l1569z00_4900;

								BgL_l1569z00_4900 = CDR(BgL_l1569z00_3561);
								BgL_l1569z00_3561 = BgL_l1569z00_4900;
								goto BgL_zc3z04anonymousza31693ze3z87_3562;
							}
						}
					else
						{	/* Cfa/ltype.scm 41 */
							BgL_tmpz00_4894 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_4894);
				}
			}
		}

	}



/* &light-type! */
	obj_t BGl_z62lightzd2typez12za2zzcfa_ltypez00(obj_t BgL_envz00_4653,
		obj_t BgL_globalsz00_4654)
	{
		{	/* Cfa/ltype.scm 40 */
			return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_4654);
		}

	}



/* light-type-fun! */
	obj_t BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(BgL_variablez00_bglt
		BgL_varz00_24)
	{
		{	/* Cfa/ltype.scm 46 */
			{	/* Cfa/ltype.scm 47 */
				BgL_valuez00_bglt BgL_funz00_3567;

				BgL_funz00_3567 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_24))->BgL_valuez00);
				{	/* Cfa/ltype.scm 48 */
					bool_t BgL_test2193z00_4905;

					{	/* Cfa/ltype.scm 48 */
						obj_t BgL_classz00_4401;

						BgL_classz00_4401 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
						{	/* Cfa/ltype.scm 48 */
							BgL_objectz00_bglt BgL_arg1820z00_4403;

							{	/* Cfa/ltype.scm 48 */
								obj_t BgL_tmpz00_4906;

								BgL_tmpz00_4906 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3567));
								BgL_arg1820z00_4403 = (BgL_objectz00_bglt) (BgL_tmpz00_4906);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/ltype.scm 48 */
									long BgL_idxz00_4409;

									BgL_idxz00_4409 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4403);
									BgL_test2193z00_4905 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4409 + ((long) 4))) == BgL_classz00_4401);
								}
							else
								{	/* Cfa/ltype.scm 48 */
									bool_t BgL_res2094z00_4431;

									{	/* Cfa/ltype.scm 48 */
										obj_t BgL_oclassz00_4417;

										{	/* Cfa/ltype.scm 48 */
											long BgL_arg1828z00_4423;

											{	/* Cfa/ltype.scm 48 */
												long BgL_arg1829z00_4424;

												BgL_arg1829z00_4424 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4403);
												BgL_arg1828z00_4423 =
													(BgL_arg1829z00_4424 - OBJECT_TYPE);
											}
											BgL_oclassz00_4417 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4423);
										}
										{	/* Cfa/ltype.scm 48 */
											bool_t BgL__ortest_1111z00_4418;

											BgL__ortest_1111z00_4418 =
												(BgL_classz00_4401 == BgL_oclassz00_4417);
											if (BgL__ortest_1111z00_4418)
												{	/* Cfa/ltype.scm 48 */
													BgL_res2094z00_4431 = BgL__ortest_1111z00_4418;
												}
											else
												{	/* Cfa/ltype.scm 48 */
													long BgL_odepthz00_4419;

													BgL_odepthz00_4419 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4417);
													if ((((long) 4) < BgL_odepthz00_4419))
														{	/* Cfa/ltype.scm 48 */
															obj_t BgL_arg1816z00_4421;

															BgL_arg1816z00_4421 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4417,
																((long) 4));
															BgL_res2094z00_4431 =
																(BgL_arg1816z00_4421 == BgL_classz00_4401);
														}
													else
														{	/* Cfa/ltype.scm 48 */
															BgL_res2094z00_4431 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2193z00_4905 = BgL_res2094z00_4431;
								}
						}
					}
					if (BgL_test2193z00_4905)
						{	/* Cfa/ltype.scm 48 */
							{	/* Cfa/ltype.scm 53 */
								obj_t BgL_g1573z00_3570;

								BgL_g1573z00_3570 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_3567))))->BgL_argsz00);
								{
									obj_t BgL_l1571z00_3572;

									BgL_l1571z00_3572 = BgL_g1573z00_3570;
								BgL_zc3z04anonymousza31699ze3z87_3573:
									if (PAIRP(BgL_l1571z00_3572))
										{	/* Cfa/ltype.scm 53 */
											{	/* Cfa/ltype.scm 54 */
												obj_t BgL_varz00_3575;

												BgL_varz00_3575 = CAR(BgL_l1571z00_3572);
												{	/* Cfa/ltype.scm 54 */
													BgL_valuez00_bglt BgL_arg1705z00_3576;

													BgL_arg1705z00_3576 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_3575))))->
														BgL_valuez00);
													BGl_typezd2variablez12zc0zzcfa_ltypez00
														(BgL_arg1705z00_3576,
														((BgL_variablez00_bglt) BgL_varz00_3575));
												}
											}
											{
												obj_t BgL_l1571z00_4937;

												BgL_l1571z00_4937 = CDR(BgL_l1571z00_3572);
												BgL_l1571z00_3572 = BgL_l1571z00_4937;
												goto BgL_zc3z04anonymousza31699ze3z87_3573;
											}
										}
									else
										{	/* Cfa/ltype.scm 53 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/ltype.scm 57 */
								obj_t BgL_arg1712z00_3579;

								BgL_arg1712z00_3579 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_3567))))->BgL_bodyz00);
								BGl_typezd2nodez12zc0zzcfa_ltypez00(
									((BgL_nodez00_bglt) BgL_arg1712z00_3579));
							}
							{	/* Cfa/ltype.scm 59 */
								obj_t BgL_arg1720z00_3580;

								{	/* Cfa/ltype.scm 59 */
									BgL_approxz00_bglt BgL_arg1721z00_3581;

									{
										BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4944;

										{
											obj_t BgL_auxz00_4945;

											{	/* Cfa/ltype.scm 59 */
												BgL_objectz00_bglt BgL_tmpz00_4946;

												BgL_tmpz00_4946 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3567));
												BgL_auxz00_4945 = BGL_OBJECT_WIDENING(BgL_tmpz00_4946);
											}
											BgL_auxz00_4944 =
												((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4945);
										}
										BgL_arg1721z00_3581 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												COBJECT(BgL_auxz00_4944))->BgL_approxz00);
									}
									if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
										(BgL_arg1721z00_3581))
										{	/* Cfa/ltype.scm 65 */
											BgL_arg1720z00_3580 =
												BGl_za2procedurezd2elza2zd2zztype_cachez00;
										}
									else
										{	/* Cfa/ltype.scm 65 */
											BgL_arg1720z00_3580 = BGl_za2_za2z00zztype_cachez00;
										}
								}
								if (
									(((obj_t)
											((BgL_typez00_bglt) BgL_arg1720z00_3580)) ==
										BGl_za2_za2z00zztype_cachez00))
									{	/* Cfa/ltype.scm 118 */
										return BFALSE;
									}
								else
									{	/* Cfa/ltype.scm 118 */
										return
											((((BgL_variablez00_bglt) COBJECT(BgL_varz00_24))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_arg1720z00_3580)), BUNSPEC);
									}
							}
						}
					else
						{	/* Cfa/ltype.scm 48 */
							return BFALSE;
						}
				}
			}
		}

	}



/* type-node*! */
	bool_t BGl_typezd2nodeza2z12z62zzcfa_ltypez00(obj_t BgL_nodeza2za2_65)
	{
		{	/* Cfa/ltype.scm 327 */
			{
				obj_t BgL_l1583z00_3584;

				BgL_l1583z00_3584 = BgL_nodeza2za2_65;
			BgL_zc3z04anonymousza31723ze3z87_3585:
				if (PAIRP(BgL_l1583z00_3584))
					{	/* Cfa/ltype.scm 328 */
						{	/* Cfa/ltype.scm 328 */
							obj_t BgL_arg1728z00_3587;

							BgL_arg1728z00_3587 = CAR(BgL_l1583z00_3584);
							BGl_typezd2nodez12zc0zzcfa_ltypez00(
								((BgL_nodez00_bglt) BgL_arg1728z00_3587));
						}
						{
							obj_t BgL_l1583z00_4965;

							BgL_l1583z00_4965 = CDR(BgL_l1583z00_3584);
							BgL_l1583z00_3584 = BgL_l1583z00_4965;
							goto BgL_zc3z04anonymousza31723ze3z87_3585;
						}
					}
				else
					{	/* Cfa/ltype.scm 328 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_proc2108z00zzcfa_ltypez00, BGl_valuez00zzast_varz00,
				BGl_string2109z00zzcfa_ltypez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_proc2110z00zzcfa_ltypez00, BGl_nodez00zzast_nodez00,
				BGl_string2111z00zzcfa_ltypez00);
		}

	}



/* &type-node!1598 */
	obj_t BGl_z62typezd2nodez121598za2zzcfa_ltypez00(obj_t BgL_envz00_4657,
		obj_t BgL_nodez00_4658)
	{
		{	/* Cfa/ltype.scm 125 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string2112z00zzcfa_ltypez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4658)));
		}

	}



/* &type-variable!1585 */
	obj_t BGl_z62typezd2variablez121585za2zzcfa_ltypez00(obj_t BgL_envz00_4659,
		obj_t BgL_valuez00_4660, obj_t BgL_variablez00_4661)
	{
		{	/* Cfa/ltype.scm 72 */
			{	/* Cfa/ltype.scm 73 */
				BgL_typez00_bglt BgL_typez00_4775;

				BgL_typez00_4775 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_4661)))->BgL_typez00);
				if (
					(((obj_t) BgL_typez00_4775) == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/ltype.scm 74 */
						if ((((obj_t) BgL_typez00_4775) == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/ltype.scm 118 */
								return BFALSE;
							}
						else
							{	/* Cfa/ltype.scm 118 */
								return
									((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_variablez00_4661)))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_typez00_4775), BUNSPEC);
							}
					}
				else
					{	/* Cfa/ltype.scm 74 */
						return CNST_TABLE_REF(((long) 1));
		}}}

	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_valuez00_bglt
		BgL_valuez00_26, BgL_variablez00_bglt BgL_variablez00_27)
	{
		{	/* Cfa/ltype.scm 72 */
			{	/* Cfa/ltype.scm 72 */
				obj_t BgL_method1587z00_3600;

				{	/* Cfa/ltype.scm 72 */
					obj_t BgL_res2099z00_4482;

					{	/* Cfa/ltype.scm 72 */
						long BgL_objzd2classzd2numz00_4453;

						BgL_objzd2classzd2numz00_4453 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_26));
						{	/* Cfa/ltype.scm 72 */
							obj_t BgL_arg1825z00_4454;

							BgL_arg1825z00_4454 =
								PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
								(int) (((long) 1)));
							{	/* Cfa/ltype.scm 72 */
								int BgL_offsetz00_4457;

								BgL_offsetz00_4457 = (int) (BgL_objzd2classzd2numz00_4453);
								{	/* Cfa/ltype.scm 72 */
									long BgL_offsetz00_4458;

									BgL_offsetz00_4458 =
										((long) (BgL_offsetz00_4457) - OBJECT_TYPE);
									{	/* Cfa/ltype.scm 72 */
										long BgL_modz00_4459;

										BgL_modz00_4459 =
											(BgL_offsetz00_4458 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/ltype.scm 72 */
											long BgL_restz00_4461;

											BgL_restz00_4461 =
												(BgL_offsetz00_4458 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/ltype.scm 72 */

												{	/* Cfa/ltype.scm 72 */
													obj_t BgL_bucketz00_4463;

													BgL_bucketz00_4463 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4454), BgL_modz00_4459);
													BgL_res2099z00_4482 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4463), BgL_restz00_4461);
					}}}}}}}}
					BgL_method1587z00_3600 = BgL_res2099z00_4482;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1587z00_3600)) (BgL_method1587z00_3600,
					((obj_t) BgL_valuez00_26), ((obj_t) BgL_variablez00_27), BEOA);
			}
		}

	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_ltypez00(obj_t BgL_envz00_4662,
		obj_t BgL_valuez00_4663, obj_t BgL_variablez00_4664)
	{
		{	/* Cfa/ltype.scm 72 */
			return
				BGl_typezd2variablez12zc0zzcfa_ltypez00(
				((BgL_valuez00_bglt) BgL_valuez00_4663),
				((BgL_variablez00_bglt) BgL_variablez00_4664));
		}

	}



/* type-node! */
	obj_t BGl_typezd2nodez12zc0zzcfa_ltypez00(BgL_nodez00_bglt BgL_nodez00_40)
	{
		{	/* Cfa/ltype.scm 125 */
			{	/* Cfa/ltype.scm 125 */
				obj_t BgL_method1599z00_3601;

				{	/* Cfa/ltype.scm 125 */
					obj_t BgL_res2104z00_4513;

					{	/* Cfa/ltype.scm 125 */
						long BgL_objzd2classzd2numz00_4484;

						BgL_objzd2classzd2numz00_4484 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_40));
						{	/* Cfa/ltype.scm 125 */
							obj_t BgL_arg1825z00_4485;

							BgL_arg1825z00_4485 =
								PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
								(int) (((long) 1)));
							{	/* Cfa/ltype.scm 125 */
								int BgL_offsetz00_4488;

								BgL_offsetz00_4488 = (int) (BgL_objzd2classzd2numz00_4484);
								{	/* Cfa/ltype.scm 125 */
									long BgL_offsetz00_4489;

									BgL_offsetz00_4489 =
										((long) (BgL_offsetz00_4488) - OBJECT_TYPE);
									{	/* Cfa/ltype.scm 125 */
										long BgL_modz00_4490;

										BgL_modz00_4490 =
											(BgL_offsetz00_4489 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/ltype.scm 125 */
											long BgL_restz00_4492;

											BgL_restz00_4492 =
												(BgL_offsetz00_4489 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/ltype.scm 125 */

												{	/* Cfa/ltype.scm 125 */
													obj_t BgL_bucketz00_4494;

													BgL_bucketz00_4494 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4485), BgL_modz00_4490);
													BgL_res2104z00_4513 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4494), BgL_restz00_4492);
					}}}}}}}}
					BgL_method1599z00_3601 = BgL_res2104z00_4513;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1599z00_3601)) (BgL_method1599z00_3601,
					((obj_t) BgL_nodez00_40), BEOA);
			}
		}

	}



/* &type-node! */
	obj_t BGl_z62typezd2nodez12za2zzcfa_ltypez00(obj_t BgL_envz00_4665,
		obj_t BgL_nodez00_4666)
	{
		{	/* Cfa/ltype.scm 125 */
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				((BgL_nodez00_bglt) BgL_nodez00_4666));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc2113z00zzcfa_ltypez00,
				BGl_string2114z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc2115z00zzcfa_ltypez00,
				BGl_string2114z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc2116z00zzcfa_ltypez00,
				BGl_string2114z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc2117z00zzcfa_ltypez00,
				BGl_string2114z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00,
				BGl_proc2118z00zzcfa_ltypez00, BGl_string2114z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_atomz00zzast_nodez00,
				BGl_proc2119z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2121z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_varz00zzast_nodez00,
				BGl_proc2122z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_closurez00zzast_nodez00,
				BGl_proc2123z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2124z00zzcfa_ltypez00,
				BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_syncz00zzast_nodez00,
				BGl_proc2125z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_appz00zzast_nodez00,
				BGl_proc2126z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2127z00zzcfa_ltypez00,
				BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_funcallz00zzast_nodez00,
				BGl_proc2128z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_externz00zzast_nodez00,
				BGl_proc2129z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_vrefz00zzast_nodez00,
				BGl_proc2130z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc2131z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_castz00zzast_nodez00,
				BGl_proc2132z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_setqz00zzast_nodez00,
				BGl_proc2133z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2134z00zzcfa_ltypez00,
				BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_failz00zzast_nodez00,
				BGl_proc2135z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_switchz00zzast_nodez00,
				BGl_proc2136z00zzcfa_ltypez00, BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2137z00zzcfa_ltypez00,
				BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2138z00zzcfa_ltypez00,
				BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2139z00zzcfa_ltypez00,
				BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2140z00zzcfa_ltypez00,
				BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2141z00zzcfa_ltypez00,
				BGl_string2120z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2142z00zzcfa_ltypez00,
				BGl_string2120z00zzcfa_ltypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2143z00zzcfa_ltypez00,
				BGl_string2120z00zzcfa_ltypez00);
		}

	}



/* &type-node!-box-ref1647 */
	obj_t BGl_z62typezd2nodez12zd2boxzd2ref1647za2zzcfa_ltypez00(obj_t
		BgL_envz00_4696, obj_t BgL_nodez00_4697)
	{
		{	/* Cfa/ltype.scm 320 */
			{	/* Cfa/ltype.scm 322 */
				BgL_varz00_bglt BgL_arg1880z00_4777;

				BgL_arg1880z00_4777 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_4697)))->BgL_varz00);
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					((BgL_nodez00_bglt) BgL_arg1880z00_4777));
			}
		}

	}



/* &type-node!-box-set!1645 */
	obj_t BGl_z62typezd2nodez12zd2boxzd2setz121645zb0zzcfa_ltypez00(obj_t
		BgL_envz00_4698, obj_t BgL_nodez00_4699)
	{
		{	/* Cfa/ltype.scm 312 */
			{	/* Cfa/ltype.scm 314 */
				BgL_varz00_bglt BgL_arg1877z00_4779;

				BgL_arg1877z00_4779 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4699)))->BgL_varz00);
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					((BgL_nodez00_bglt) BgL_arg1877z00_4779));
			}
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4699)))->BgL_valuez00));
		}

	}



/* &type-node!-make-box1643 */
	obj_t BGl_z62typezd2nodez12zd2makezd2box1643za2zzcfa_ltypez00(obj_t
		BgL_envz00_4700, obj_t BgL_nodez00_4701)
	{
		{	/* Cfa/ltype.scm 305 */
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_4701)))->BgL_valuez00));
		}

	}



/* &type-node!-jump-ex-i1641 */
	obj_t BGl_z62typezd2nodez12zd2jumpzd2exzd2i1641z70zzcfa_ltypez00(obj_t
		BgL_envz00_4702, obj_t BgL_nodez00_4703)
	{
		{	/* Cfa/ltype.scm 297 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4703)))->BgL_exitz00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4703)))->BgL_valuez00));
		}

	}



/* &type-node!-set-ex-it1639 */
	obj_t BGl_z62typezd2nodez12zd2setzd2exzd2it1639z70zzcfa_ltypez00(obj_t
		BgL_envz00_4704, obj_t BgL_nodez00_4705)
	{
		{	/* Cfa/ltype.scm 286 */
			{	/* Cfa/ltype.scm 288 */
				BgL_variablez00_bglt BgL_vz00_4783;

				BgL_vz00_4783 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4705)))->
								BgL_varz00)))->BgL_variablez00);
				{	/* Cfa/ltype.scm 289 */
					BgL_valuez00_bglt BgL_arg1867z00_4784;

					BgL_arg1867z00_4784 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_vz00_4783))))->BgL_valuez00);
					BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_arg1867z00_4784,
						BgL_vz00_4783);
				}
			}
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4705)))->BgL_bodyz00));
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4705)))->BgL_onexitz00));
			{	/* Cfa/ltype.scm 292 */
				BgL_varz00_bglt BgL_arg1873z00_4785;

				BgL_arg1873z00_4785 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4705)))->BgL_varz00);
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					((BgL_nodez00_bglt) BgL_arg1873z00_4785));
			}
		}

	}



/* &type-node!-let-var1637 */
	obj_t BGl_z62typezd2nodez12zd2letzd2var1637za2zzcfa_ltypez00(obj_t
		BgL_envz00_4706, obj_t BgL_nodez00_4707)
	{
		{	/* Cfa/ltype.scm 273 */
			{	/* Cfa/ltype.scm 275 */
				obj_t BgL_g1582z00_4787;

				BgL_g1582z00_4787 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4707)))->BgL_bindingsz00);
				{
					obj_t BgL_l1580z00_4789;

					BgL_l1580z00_4789 = BgL_g1582z00_4787;
				BgL_zc3z04anonymousza31862ze3z87_4788:
					if (PAIRP(BgL_l1580z00_4789))
						{	/* Cfa/ltype.scm 275 */
							{	/* Cfa/ltype.scm 276 */
								obj_t BgL_bindingz00_4790;

								BgL_bindingz00_4790 = CAR(BgL_l1580z00_4789);
								{	/* Cfa/ltype.scm 276 */
									obj_t BgL_varz00_4791;
									obj_t BgL_valz00_4792;

									BgL_varz00_4791 = CAR(((obj_t) BgL_bindingz00_4790));
									BgL_valz00_4792 = CDR(((obj_t) BgL_bindingz00_4790));
									BGl_typezd2nodez12zc0zzcfa_ltypez00(
										((BgL_nodez00_bglt) BgL_valz00_4792));
									{	/* Cfa/ltype.scm 279 */
										BgL_valuez00_bglt BgL_arg1864z00_4793;

										BgL_arg1864z00_4793 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_varz00_4791))))->
											BgL_valuez00);
										BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_arg1864z00_4793,
											((BgL_variablez00_bglt) BgL_varz00_4791));
									}
								}
							}
							{
								obj_t BgL_l1580z00_5133;

								BgL_l1580z00_5133 = CDR(BgL_l1580z00_4789);
								BgL_l1580z00_4789 = BgL_l1580z00_5133;
								goto BgL_zc3z04anonymousza31862ze3z87_4788;
							}
						}
					else
						{	/* Cfa/ltype.scm 275 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4707)))->BgL_bodyz00));
		}

	}



/* &type-node!-let-fun1635 */
	obj_t BGl_z62typezd2nodez12zd2letzd2fun1635za2zzcfa_ltypez00(obj_t
		BgL_envz00_4708, obj_t BgL_nodez00_4709)
	{
		{	/* Cfa/ltype.scm 265 */
			{	/* Cfa/ltype.scm 267 */
				obj_t BgL_g1579z00_4795;

				BgL_g1579z00_4795 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4709)))->BgL_localsz00);
				{
					obj_t BgL_l1577z00_4797;

					BgL_l1577z00_4797 = BgL_g1579z00_4795;
				BgL_zc3z04anonymousza31857ze3z87_4796:
					if (PAIRP(BgL_l1577z00_4797))
						{	/* Cfa/ltype.scm 267 */
							{	/* Cfa/ltype.scm 267 */
								obj_t BgL_arg1859z00_4798;

								BgL_arg1859z00_4798 = CAR(BgL_l1577z00_4797);
								BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(
									((BgL_variablez00_bglt) BgL_arg1859z00_4798));
							}
							{
								obj_t BgL_l1577z00_5145;

								BgL_l1577z00_5145 = CDR(BgL_l1577z00_4797);
								BgL_l1577z00_4797 = BgL_l1577z00_5145;
								goto BgL_zc3z04anonymousza31857ze3z87_4796;
							}
						}
					else
						{	/* Cfa/ltype.scm 267 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4709)))->BgL_bodyz00));
		}

	}



/* &type-node!-switch1633 */
	obj_t BGl_z62typezd2nodez12zd2switch1633z70zzcfa_ltypez00(obj_t
		BgL_envz00_4710, obj_t BgL_nodez00_4711)
	{
		{	/* Cfa/ltype.scm 255 */
			{	/* Cfa/ltype.scm 256 */
				bool_t BgL_tmpz00_5150;

				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4711)))->BgL_testz00));
				{	/* Cfa/ltype.scm 258 */
					obj_t BgL_g1576z00_4800;

					BgL_g1576z00_4800 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4711)))->BgL_clausesz00);
					{
						obj_t BgL_l1574z00_4802;

						BgL_l1574z00_4802 = BgL_g1576z00_4800;
					BgL_zc3z04anonymousza31851ze3z87_4801:
						if (PAIRP(BgL_l1574z00_4802))
							{	/* Cfa/ltype.scm 258 */
								{	/* Cfa/ltype.scm 259 */
									obj_t BgL_clausez00_4803;

									BgL_clausez00_4803 = CAR(BgL_l1574z00_4802);
									{	/* Cfa/ltype.scm 259 */
										obj_t BgL_arg1854z00_4804;

										BgL_arg1854z00_4804 = CDR(((obj_t) BgL_clausez00_4803));
										BGl_typezd2nodez12zc0zzcfa_ltypez00(
											((BgL_nodez00_bglt) BgL_arg1854z00_4804));
									}
								}
								{
									obj_t BgL_l1574z00_5163;

									BgL_l1574z00_5163 = CDR(BgL_l1574z00_4802);
									BgL_l1574z00_4802 = BgL_l1574z00_5163;
									goto BgL_zc3z04anonymousza31851ze3z87_4801;
								}
							}
						else
							{	/* Cfa/ltype.scm 258 */
								BgL_tmpz00_5150 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_5150);
			}
		}

	}



/* &type-node!-fail1631 */
	obj_t BGl_z62typezd2nodez12zd2fail1631z70zzcfa_ltypez00(obj_t BgL_envz00_4712,
		obj_t BgL_nodez00_4713)
	{
		{	/* Cfa/ltype.scm 246 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4713)))->BgL_procz00));
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4713)))->BgL_msgz00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4713)))->BgL_objz00));
		}

	}



/* &type-node!-condition1629 */
	obj_t BGl_z62typezd2nodez12zd2condition1629z70zzcfa_ltypez00(obj_t
		BgL_envz00_4714, obj_t BgL_nodez00_4715)
	{
		{	/* Cfa/ltype.scm 237 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4715)))->BgL_testz00));
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4715)))->BgL_truez00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4715)))->BgL_falsez00));
		}

	}



/* &type-node!-setq1627 */
	obj_t BGl_z62typezd2nodez12zd2setq1627z70zzcfa_ltypez00(obj_t BgL_envz00_4716,
		obj_t BgL_nodez00_4717)
	{
		{	/* Cfa/ltype.scm 229 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_4717)))->BgL_valuez00));
			{	/* Cfa/ltype.scm 232 */
				BgL_varz00_bglt BgL_arg1840z00_4808;

				BgL_arg1840z00_4808 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_4717)))->BgL_varz00);
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					((BgL_nodez00_bglt) BgL_arg1840z00_4808));
			}
		}

	}



/* &type-node!-cast1625 */
	obj_t BGl_z62typezd2nodez12zd2cast1625z70zzcfa_ltypez00(obj_t BgL_envz00_4718,
		obj_t BgL_nodez00_4719)
	{
		{	/* Cfa/ltype.scm 222 */
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_4719)))->BgL_argz00));
		}

	}



/* &type-node!-vset!1623 */
	obj_t BGl_z62typezd2nodez12zd2vsetz121623z62zzcfa_ltypez00(obj_t
		BgL_envz00_4720, obj_t BgL_nodez00_4721)
	{
		{	/* Cfa/ltype.scm 213 */
			{

				{	/* Cfa/ltype.scm 213 */
					obj_t BgL_nextzd2method1622zd2_4812;

					BgL_nextzd2method1622zd2_4812 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_4721)),
						BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
						BGl_vsetz12z12zzast_nodez00);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1622zd2_4812))
						(BgL_nextzd2method1622zd2_4812,
						((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_4721)), BEOA);
				}
				{	/* Cfa/ltype.scm 216 */
					bool_t BgL_test2206z00_5203;

					{	/* Cfa/ltype.scm 216 */
						BgL_typez00_bglt BgL_arg1835z00_4813;

						BgL_arg1835z00_4813 =
							(((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_4721)))->BgL_ftypez00);
						BgL_test2206z00_5203 =
							(((obj_t) BgL_arg1835z00_4813) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2206z00_5203)
						{	/* Cfa/ltype.scm 216 */
							return
								((((BgL_vsetz12z12_bglt) COBJECT(
											((BgL_vsetz12z12_bglt) BgL_nodez00_4721)))->
									BgL_ftypez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/ltype.scm 216 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &type-node!-vref1621 */
	obj_t BGl_z62typezd2nodez12zd2vref1621z70zzcfa_ltypez00(obj_t BgL_envz00_4722,
		obj_t BgL_nodez00_4723)
	{
		{	/* Cfa/ltype.scm 204 */
			{

				{	/* Cfa/ltype.scm 204 */
					obj_t BgL_nextzd2method1620zd2_4816;

					BgL_nextzd2method1620zd2_4816 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt) BgL_nodez00_4723)),
						BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
						BGl_vrefz00zzast_nodez00);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1620zd2_4816))
						(BgL_nextzd2method1620zd2_4816,
						((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_4723)), BEOA);
				}
				{	/* Cfa/ltype.scm 207 */
					bool_t BgL_test2207z00_5220;

					{	/* Cfa/ltype.scm 207 */
						BgL_typez00_bglt BgL_arg1830z00_4817;

						BgL_arg1830z00_4817 =
							(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_4723)))->BgL_ftypez00);
						BgL_test2207z00_5220 =
							(((obj_t) BgL_arg1830z00_4817) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2207z00_5220)
						{	/* Cfa/ltype.scm 207 */
							return
								((((BgL_vrefz00_bglt) COBJECT(
											((BgL_vrefz00_bglt) BgL_nodez00_4723)))->BgL_ftypez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/ltype.scm 207 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &type-node!-extern1619 */
	obj_t BGl_z62typezd2nodez12zd2extern1619z70zzcfa_ltypez00(obj_t
		BgL_envz00_4724, obj_t BgL_nodez00_4725)
	{
		{	/* Cfa/ltype.scm 197 */
			return
				BBOOL(BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_4725)))->BgL_exprza2za2)));
		}

	}



/* &type-node!-funcall1617 */
	obj_t BGl_z62typezd2nodez12zd2funcall1617z70zzcfa_ltypez00(obj_t
		BgL_envz00_4726, obj_t BgL_nodez00_4727)
	{
		{	/* Cfa/ltype.scm 189 */
			{	/* Cfa/ltype.scm 190 */
				bool_t BgL_tmpz00_5232;

				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_4727)))->BgL_funz00));
				BgL_tmpz00_5232 =
					BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_4727)))->BgL_argsz00));
				return BBOOL(BgL_tmpz00_5232);
			}
		}

	}



/* &type-node!-app-ly1615 */
	obj_t BGl_z62typezd2nodez12zd2appzd2ly1615za2zzcfa_ltypez00(obj_t
		BgL_envz00_4728, obj_t BgL_nodez00_4729)
	{
		{	/* Cfa/ltype.scm 181 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4729)))->BgL_funz00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4729)))->BgL_argz00));
		}

	}



/* &type-node!-app1613 */
	obj_t BGl_z62typezd2nodez12zd2app1613z70zzcfa_ltypez00(obj_t BgL_envz00_4730,
		obj_t BgL_nodez00_4731)
	{
		{	/* Cfa/ltype.scm 174 */
			return
				BBOOL(BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4731)))->BgL_argsz00)));
		}

	}



/* &type-node!-sync1611 */
	obj_t BGl_z62typezd2nodez12zd2sync1611z70zzcfa_ltypez00(obj_t BgL_envz00_4732,
		obj_t BgL_nodez00_4733)
	{
		{	/* Cfa/ltype.scm 165 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4733)))->BgL_mutexz00));
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4733)))->BgL_prelockz00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4733)))->BgL_bodyz00));
		}

	}



/* &type-node!-sequence1609 */
	obj_t BGl_z62typezd2nodez12zd2sequence1609z70zzcfa_ltypez00(obj_t
		BgL_envz00_4734, obj_t BgL_nodez00_4735)
	{
		{	/* Cfa/ltype.scm 158 */
			return
				BBOOL(BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4735)))->BgL_nodesz00)));
		}

	}



/* &type-node!-closure1607 */
	obj_t BGl_z62typezd2nodez12zd2closure1607z70zzcfa_ltypez00(obj_t
		BgL_envz00_4736, obj_t BgL_nodez00_4737)
	{
		{	/* Cfa/ltype.scm 152 */
			{	/* Cfa/ltype.scm 153 */
				obj_t BgL_arg1778z00_4825;

				BgL_arg1778z00_4825 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_4737)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2120z00zzcfa_ltypez00, BGl_string2144z00zzcfa_ltypez00,
					BgL_arg1778z00_4825);
			}
		}

	}



/* &type-node!-var1605 */
	obj_t BGl_z62typezd2nodez12zd2var1605z70zzcfa_ltypez00(obj_t BgL_envz00_4738,
		obj_t BgL_nodez00_4739)
	{
		{	/* Cfa/ltype.scm 142 */
			{	/* Cfa/ltype.scm 144 */
				bool_t BgL_test2208z00_5267;

				{	/* Cfa/ltype.scm 144 */
					bool_t BgL_test2209z00_5268;

					{	/* Cfa/ltype.scm 144 */
						BgL_variablez00_bglt BgL_arg1765z00_4827;

						BgL_arg1765z00_4827 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_nodez00_4739)))->BgL_variablez00);
						{	/* Cfa/ltype.scm 144 */
							obj_t BgL_classz00_4828;

							BgL_classz00_4828 = BGl_globalz00zzast_varz00;
							{	/* Cfa/ltype.scm 144 */
								BgL_objectz00_bglt BgL_arg1820z00_4829;

								{	/* Cfa/ltype.scm 144 */
									obj_t BgL_tmpz00_5271;

									BgL_tmpz00_5271 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1765z00_4827));
									BgL_arg1820z00_4829 = (BgL_objectz00_bglt) (BgL_tmpz00_5271);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/ltype.scm 144 */
										long BgL_idxz00_4830;

										BgL_idxz00_4830 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4829);
										BgL_test2209z00_5268 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4830 + ((long) 2))) == BgL_classz00_4828);
									}
								else
									{	/* Cfa/ltype.scm 144 */
										bool_t BgL_res2105z00_4833;

										{	/* Cfa/ltype.scm 144 */
											obj_t BgL_oclassz00_4834;

											{	/* Cfa/ltype.scm 144 */
												long BgL_arg1828z00_4835;

												{	/* Cfa/ltype.scm 144 */
													long BgL_arg1829z00_4836;

													BgL_arg1829z00_4836 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4829);
													BgL_arg1828z00_4835 =
														(BgL_arg1829z00_4836 - OBJECT_TYPE);
												}
												BgL_oclassz00_4834 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_4835);
											}
											{	/* Cfa/ltype.scm 144 */
												bool_t BgL__ortest_1111z00_4837;

												BgL__ortest_1111z00_4837 =
													(BgL_classz00_4828 == BgL_oclassz00_4834);
												if (BgL__ortest_1111z00_4837)
													{	/* Cfa/ltype.scm 144 */
														BgL_res2105z00_4833 = BgL__ortest_1111z00_4837;
													}
												else
													{	/* Cfa/ltype.scm 144 */
														long BgL_odepthz00_4838;

														BgL_odepthz00_4838 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4834);
														if ((((long) 2) < BgL_odepthz00_4838))
															{	/* Cfa/ltype.scm 144 */
																obj_t BgL_arg1816z00_4839;

																BgL_arg1816z00_4839 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4834,
																	((long) 2));
																BgL_res2105z00_4833 =
																	(BgL_arg1816z00_4839 == BgL_classz00_4828);
															}
														else
															{	/* Cfa/ltype.scm 144 */
																BgL_res2105z00_4833 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2209z00_5268 = BgL_res2105z00_4833;
									}
							}
						}
					}
					if (BgL_test2209z00_5268)
						{	/* Cfa/ltype.scm 144 */
							BgL_test2208z00_5267 =
								(
								(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_4739)))->
													BgL_variablez00))))->BgL_importz00) ==
								CNST_TABLE_REF(((long) 2)));
						}
					else
						{	/* Cfa/ltype.scm 144 */
							BgL_test2208z00_5267 = ((bool_t) 0);
						}
				}
				if (BgL_test2208z00_5267)
					{	/* Cfa/ltype.scm 145 */
						BgL_valuez00_bglt BgL_arg1754z00_4840;
						BgL_variablez00_bglt BgL_arg1755z00_4841;

						BgL_arg1754z00_4840 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt)
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nodez00_4739)))->
												BgL_variablez00)))))->BgL_valuez00);
						BgL_arg1755z00_4841 =
							(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
										BgL_nodez00_4739)))->BgL_variablez00);
						BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_arg1754z00_4840,
							BgL_arg1755z00_4841);
					}
				else
					{	/* Cfa/ltype.scm 144 */
						BFALSE;
					}
			}
			{	/* Cfa/ltype.scm 146 */
				bool_t BgL_test2213z00_5305;

				{	/* Cfa/ltype.scm 146 */
					BgL_typez00_bglt BgL_arg1771z00_4842;

					BgL_arg1771z00_4842 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_4739)))->
									BgL_variablez00)))->BgL_typez00);
					BgL_test2213z00_5305 =
						(((obj_t) BgL_arg1771z00_4842) ==
						BGl_za2procedurezd2elza2zd2zztype_cachez00);
				}
				if (BgL_test2213z00_5305)
					{	/* Cfa/ltype.scm 146 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_varz00_bglt) BgL_nodez00_4739))))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2procedurezd2elza2zd2zztype_cachez00)), BUNSPEC);
					}
				else
					{	/* Cfa/ltype.scm 146 */
						return BFALSE;
					}
			}
		}

	}



/* &type-node!-kwote1603 */
	obj_t BGl_z62typezd2nodez12zd2kwote1603z70zzcfa_ltypez00(obj_t
		BgL_envz00_4740, obj_t BgL_nodez00_4741)
	{
		{	/* Cfa/ltype.scm 136 */
			return BUNSPEC;
		}

	}



/* &type-node!-atom1601 */
	obj_t BGl_z62typezd2nodez12zd2atom1601z70zzcfa_ltypez00(obj_t BgL_envz00_4742,
		obj_t BgL_nodez00_4743)
	{
		{	/* Cfa/ltype.scm 130 */
			return BUNSPEC;
		}

	}



/* &type-variable!-inter1597 */
	obj_t BGl_z62typezd2variablez12zd2inter1597z70zzcfa_ltypez00(obj_t
		BgL_envz00_4744, obj_t BgL_valuez00_4745, obj_t BgL_variablez00_4746)
	{
		{	/* Cfa/ltype.scm 111 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &type-variable!-sexit1595 */
	obj_t BGl_z62typezd2variablez12zd2sexit1595z70zzcfa_ltypez00(obj_t
		BgL_envz00_4747, obj_t BgL_valuez00_4748, obj_t BgL_variablez00_4749)
	{
		{	/* Cfa/ltype.scm 101 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &type-variable!-cvar/1593 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf21593z82zzcfa_ltypez00(obj_t
		BgL_envz00_4750, obj_t BgL_valuez00_4751, obj_t BgL_variablez00_4752)
	{
		{	/* Cfa/ltype.scm 94 */
			{	/* Cfa/ltype.scm 96 */
				obj_t BgL_arg1741z00_4848;

				{	/* Cfa/ltype.scm 96 */
					BgL_approxz00_bglt BgL_arg1745z00_4849;

					{
						BgL_cvarzf2cinfozf2_bglt BgL_auxz00_5317;

						{
							obj_t BgL_auxz00_5318;

							{	/* Cfa/ltype.scm 96 */
								BgL_objectz00_bglt BgL_tmpz00_5319;

								BgL_tmpz00_5319 =
									((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_4751));
								BgL_auxz00_5318 = BGL_OBJECT_WIDENING(BgL_tmpz00_5319);
							}
							BgL_auxz00_5317 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_5318);
						}
						BgL_arg1745z00_4849 =
							(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5317))->
							BgL_approxz00);
					}
					if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
						(BgL_arg1745z00_4849))
						{	/* Cfa/ltype.scm 65 */
							BgL_arg1741z00_4848 = BGl_za2procedurezd2elza2zd2zztype_cachez00;
						}
					else
						{	/* Cfa/ltype.scm 65 */
							BgL_arg1741z00_4848 = BGl_za2_za2z00zztype_cachez00;
						}
				}
				if (
					(((obj_t)
							((BgL_typez00_bglt) BgL_arg1741z00_4848)) ==
						BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/ltype.scm 118 */
						return BFALSE;
					}
				else
					{	/* Cfa/ltype.scm 118 */
						return
							((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_4752)))->
								BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1741z00_4848)),
							BUNSPEC);
					}
			}
		}

	}



/* &type-variable!-scnst1591 */
	obj_t BGl_z62typezd2variablez12zd2scnst1591z70zzcfa_ltypez00(obj_t
		BgL_envz00_4753, obj_t BgL_valuez00_4754, obj_t BgL_variablez00_4755)
	{
		{	/* Cfa/ltype.scm 88 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &type-variable!-svar/1589 */
	obj_t BGl_z62typezd2variablez12zd2svarzf21589z82zzcfa_ltypez00(obj_t
		BgL_envz00_4756, obj_t BgL_valuez00_4757, obj_t BgL_variablez00_4758)
	{
		{	/* Cfa/ltype.scm 81 */
			{	/* Cfa/ltype.scm 83 */
				obj_t BgL_arg1736z00_4852;

				{	/* Cfa/ltype.scm 83 */
					BgL_approxz00_bglt BgL_arg1738z00_4853;

					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_5335;

						{
							obj_t BgL_auxz00_5336;

							{	/* Cfa/ltype.scm 83 */
								BgL_objectz00_bglt BgL_tmpz00_5337;

								BgL_tmpz00_5337 =
									((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_4757));
								BgL_auxz00_5336 = BGL_OBJECT_WIDENING(BgL_tmpz00_5337);
							}
							BgL_auxz00_5335 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_5336);
						}
						BgL_arg1738z00_4853 =
							(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5335))->
							BgL_approxz00);
					}
					if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
						(BgL_arg1738z00_4853))
						{	/* Cfa/ltype.scm 65 */
							BgL_arg1736z00_4852 = BGl_za2procedurezd2elza2zd2zztype_cachez00;
						}
					else
						{	/* Cfa/ltype.scm 65 */
							BgL_arg1736z00_4852 = BGl_za2_za2z00zztype_cachez00;
						}
				}
				if (
					(((obj_t)
							((BgL_typez00_bglt) BgL_arg1736z00_4852)) ==
						BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/ltype.scm 118 */
						return BFALSE;
					}
				else
					{	/* Cfa/ltype.scm 118 */
						return
							((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_4758)))->
								BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1736z00_4852)),
							BUNSPEC);
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 5932721),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 54924680),
				BSTRING_TO_STRING(BGl_string2145z00zzcfa_ltypez00));
		}

	}

#ifdef __cplusplus
}
#endif
