/*===========================================================================*/
/*   (Effect/feffect.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/feffect.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_funzd2effectz12zc0zzeffect_feffectz00(obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_feffectz00 = BUNSPEC;
	static BgL_feffectz00_bglt
		BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_feffectz00_bglt BGl_za2effectzd2topza2zd2zzeffect_feffectz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzeffect_feffectz00(void);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sequenc1321z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62feffectz12z70zzeffect_feffectz00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2atom1293z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_mergez12ze70zf5zzeffect_feffectz00(obj_t, obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2makezd2bo1313za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12za2zzeffect_feffectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzeffect_feffectz00(void);
	static obj_t BGl_objectzd2initzd2zzeffect_feffectz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static bool_t BGl_feffectzd2fixzd2pointz12z12zzeffect_feffectz00(obj_t);
	BGL_IMPORT obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2cast1319z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setq1301z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_feffectz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62bodyzd2effectz121290za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2fail1307z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2jumpzd2ex1311za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt BGl_z62parsezd2effectzb0zzeffect_feffectz00(obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(BgL_globalz00_bglt);
	static BgL_feffectz00_bglt
		BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(BgL_variablez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t);
	static obj_t BGl_mergezd2callerz12ze70z27zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sync1323z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2appzd2ly1327za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2switch1305z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2fun1333za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2app1329z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2var1299z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2extern1331z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzeffect_feffectz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_feffectz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_feffectz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzeffect_feffectz00(void);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2kwote1297z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62objectzd2displayzd2feffe1289z62zzeffect_feffectz00(obj_t,
		obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_bodyzd2effectz12zc0zzeffect_feffectz00(BgL_nodez00_bglt,
		BgL_feffectz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31627ze3ze5zzeffect_feffectz00(obj_t);
	static BgL_feffectz00_bglt
		BGl_funzd2effectzd2alienz12z12zzeffect_feffectz00(BgL_globalz00_bglt);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2patch1295z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setzd2exzd21309z70zzeffect_feffectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static bool_t BGl_mergezd2effectsz12zc0zzeffect_feffectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2conditi1303z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2set1317za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_printfz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_funzd2effectzd2globalz12z12zzeffect_feffectz00(BgL_globalz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2funcall1325z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL BgL_feffectz00_bglt
		BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2ref1315za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2var1335za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_patchz00zzast_nodez00;
	static obj_t __cnst[6];


	BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_parsezd2effectzd2envz00zzeffect_feffectz00,
		BgL_bgl_za762parseza7d2effec2011z00,
		BGl_z62parsezd2effectzb0zzeffect_feffectz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1976z00zzeffect_feffectz00,
		BgL_bgl_string1976za700za7za7e2012za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1977z00zzeffect_feffectz00,
		BgL_bgl_string1977za700za7za7e2013za7, "Illegal `effect' pragma", 23);
	      DEFINE_STRING(BGl_string1979z00zzeffect_feffectz00,
		BgL_bgl_string1979za700za7za7e2014za7, "body-effect!1290", 16);
	      DEFINE_STRING(BGl_string1980z00zzeffect_feffectz00,
		BgL_bgl_string1980za700za7za7e2015za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1982z00zzeffect_feffectz00,
		BgL_bgl_string1982za700za7za7e2016za7, "object-display", 14);
	      DEFINE_STRING(BGl_string1984z00zzeffect_feffectz00,
		BgL_bgl_string1984za700za7za7e2017za7, "body-effect!", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2018z00,
		BGl_z62bodyzd2effectz121290za2zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzeffect_feffectz00,
		BgL_bgl_za762objectza7d2disp2019z00, va_generic_entry,
		BGl_z62objectzd2displayzd2feffe1289z62zzeffect_feffectz00, BUNSPEC, -2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2020z00,
		BGl_z62bodyzd2effectz12zd2atom1293z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1985z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2021z00,
		BGl_z62bodyzd2effectz12zd2patch1295z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2022z00,
		BGl_z62bodyzd2effectz12zd2kwote1297z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1987z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2023z00,
		BGl_z62bodyzd2effectz12zd2var1299z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2024z00,
		BGl_z62bodyzd2effectz12zd2setq1301z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1989z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2025z00,
		BGl_z62bodyzd2effectz12zd2conditi1303z70zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1990z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2026z00,
		BGl_z62bodyzd2effectz12zd2switch1305z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1991z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2027z00,
		BGl_z62bodyzd2effectz12zd2fail1307z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2028z00,
		BGl_z62bodyzd2effectz12zd2setzd2exzd21309z70zzeffect_feffectz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2029z00,
		BGl_z62bodyzd2effectz12zd2jumpzd2ex1311za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1994z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2030z00,
		BGl_z62bodyzd2effectz12zd2makezd2bo1313za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2031z00,
		BGl_z62bodyzd2effectz12zd2boxzd2ref1315za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1996z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2032z00,
		BGl_z62bodyzd2effectz12zd2boxzd2set1317za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1997z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2033z00,
		BGl_z62bodyzd2effectz12zd2cast1319z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2034z00,
		BGl_z62bodyzd2effectz12zd2sequenc1321z70zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1999z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2035z00,
		BGl_z62bodyzd2effectz12zd2sync1323z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2036z00,
		BGl_z62bodyzd2effectz12za2zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2006z00zzeffect_feffectz00,
		BgL_bgl_string2006za700za7za7e2037za7, "#|feffect: ~a ~a|", 17);
	      DEFINE_STRING(BGl_string2007z00zzeffect_feffectz00,
		BgL_bgl_string2007za700za7za7e2038za7, "effect_feffect", 14);
	      DEFINE_STRING(BGl_string2008z00zzeffect_feffectz00,
		BgL_bgl_string2008za700za7za7e2039za7,
		"body-effect!1290 (static export) write read (memory) top ", 57);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2040z00,
		BGl_z62bodyzd2effectz12zd2funcall1325z70zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2001z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2041z00,
		BGl_z62bodyzd2effectz12zd2appzd2ly1327za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2002z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2042z00,
		BGl_z62bodyzd2effectz12zd2app1329z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2003z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2043z00,
		BGl_z62bodyzd2effectz12zd2extern1331z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2044z00,
		BGl_z62bodyzd2effectz12zd2letzd2fun1333za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2005z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2045z00,
		BGl_z62bodyzd2effectz12zd2letzd2var1335za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectz12zd2envzc0zzeffect_feffectz00,
		BgL_bgl_za762feffectza712za7702046za7,
		BGl_z62feffectz12z70zzeffect_feffectz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzeffect_feffectz00));
		     ADD_ROOT((void
				*) (&BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00));
		     ADD_ROOT((void *) (&BGl_za2effectzd2topza2zd2zzeffect_feffectz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long
		BgL_checksumz00_2986, char *BgL_fromz00_2987)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_feffectz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_feffectz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzeffect_feffectz00();
					BGl_libraryzd2moduleszd2initz00zzeffect_feffectz00();
					BGl_cnstzd2initzd2zzeffect_feffectz00();
					BGl_importedzd2moduleszd2initz00zzeffect_feffectz00();
					BGl_genericzd2initzd2zzeffect_feffectz00();
					BGl_methodzd2initzd2zzeffect_feffectz00();
					return BGl_toplevelzd2initzd2zzeffect_feffectz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_feffect");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			{	/* Effect/feffect.scm 16 */
				obj_t BgL_cportz00_2867;

				{	/* Effect/feffect.scm 16 */
					obj_t BgL_stringz00_2874;

					BgL_stringz00_2874 = BGl_string2008z00zzeffect_feffectz00;
					{	/* Effect/feffect.scm 16 */
						obj_t BgL_startz00_2875;

						BgL_startz00_2875 = BINT(((long) 0));
						{	/* Effect/feffect.scm 16 */
							obj_t BgL_endz00_2876;

							BgL_endz00_2876 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2874)));
							{	/* Effect/feffect.scm 16 */

								BgL_cportz00_2867 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2874, BgL_startz00_2875, BgL_endz00_2876);
				}}}}
				{
					long BgL_iz00_2868;

					BgL_iz00_2868 = ((long) 5);
				BgL_loopz00_2869:
					if ((BgL_iz00_2868 == ((long) -1)))
						{	/* Effect/feffect.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Effect/feffect.scm 16 */
							{	/* Effect/feffect.scm 16 */
								obj_t BgL_arg2010z00_2870;

								{	/* Effect/feffect.scm 16 */

									{	/* Effect/feffect.scm 16 */
										obj_t BgL_locationz00_2872;

										BgL_locationz00_2872 = BBOOL(((bool_t) 0));
										{	/* Effect/feffect.scm 16 */

											BgL_arg2010z00_2870 =
												BGl_readz00zz__readerz00(BgL_cportz00_2867,
												BgL_locationz00_2872);
										}
									}
								}
								{	/* Effect/feffect.scm 16 */
									int BgL_tmpz00_3019;

									BgL_tmpz00_3019 = (int) (BgL_iz00_2868);
									CNST_TABLE_SET(BgL_tmpz00_3019, BgL_arg2010z00_2870);
							}}
							{	/* Effect/feffect.scm 16 */
								int BgL_auxz00_2873;

								BgL_auxz00_2873 = (int) ((BgL_iz00_2868 - ((long) 1)));
								{
									long BgL_iz00_3024;

									BgL_iz00_3024 = (long) (BgL_auxz00_2873);
									BgL_iz00_2868 = BgL_iz00_3024;
									goto BgL_loopz00_2869;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			{	/* Effect/feffect.scm 72 */
				BgL_feffectz00_bglt BgL_new1112z00_1533;

				{	/* Effect/feffect.scm 72 */
					BgL_feffectz00_bglt BgL_new1110z00_1534;

					BgL_new1110z00_1534 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Effect/feffect.scm 72 */
						long BgL_arg1338z00_1535;

						BgL_arg1338z00_1535 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1110z00_1534), BgL_arg1338z00_1535);
					}
					BgL_new1112z00_1533 = BgL_new1110z00_1534;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1112z00_1533))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1112z00_1533))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				BGl_za2effectzd2topza2zd2zzeffect_feffectz00 = BgL_new1112z00_1533;
			}
			{	/* Effect/feffect.scm 73 */
				BgL_feffectz00_bglt BgL_new1114z00_1536;

				{	/* Effect/feffect.scm 73 */
					BgL_feffectz00_bglt BgL_new1113z00_1537;

					BgL_new1113z00_1537 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Effect/feffect.scm 73 */
						long BgL_arg1339z00_1538;

						BgL_arg1339z00_1538 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1113z00_1537), BgL_arg1339z00_1538);
					}
					BgL_new1114z00_1536 = BgL_new1113z00_1537;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1114z00_1536))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1114z00_1536))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00 =
					BgL_new1114z00_1536;
			}
			{	/* Effect/feffect.scm 74 */
				BgL_feffectz00_bglt BgL_new1117z00_1539;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1116z00_1540;

					BgL_new1116z00_1540 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1340z00_1541;

						BgL_arg1340z00_1541 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1116z00_1540), BgL_arg1340z00_1541);
					}
					BgL_new1117z00_1539 = BgL_new1116z00_1540;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1117z00_1539))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1117z00_1539))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
				BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00 =
					BgL_new1117z00_1539;
			}
			return BUNSPEC;
		}

	}



/* feffect! */
	BGL_EXPORTED_DEF obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Effect/feffect.scm 32 */
			{
				obj_t BgL_l1261z00_1551;

				BgL_l1261z00_1551 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31345ze3z87_1552:
				if (PAIRP(BgL_l1261z00_1551))
					{	/* Effect/feffect.scm 33 */
						{	/* Effect/feffect.scm 33 */
							obj_t BgL_arg1347z00_1554;

							BgL_arg1347z00_1554 = CAR(BgL_l1261z00_1551);
							BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(
								((BgL_globalz00_bglt) BgL_arg1347z00_1554));
						}
						{
							obj_t BgL_l1261z00_3054;

							BgL_l1261z00_3054 = CDR(BgL_l1261z00_1551);
							BgL_l1261z00_1551 = BgL_l1261z00_3054;
							goto BgL_zc3z04anonymousza31345ze3z87_1552;
						}
					}
				else
					{	/* Effect/feffect.scm 33 */
						((bool_t) 1);
					}
			}
			return
				BBOOL(BGl_feffectzd2fixzd2pointz12z12zzeffect_feffectz00
				(BgL_globalsz00_3));
		}

	}



/* &feffect! */
	obj_t BGl_z62feffectz12z70zzeffect_feffectz00(obj_t BgL_envz00_2746,
		obj_t BgL_globalsz00_2747)
	{
		{	/* Effect/feffect.scm 32 */
			return BGl_feffectz12z12zzeffect_feffectz00(BgL_globalsz00_2747);
		}

	}



/* feffect-fix-point! */
	bool_t BGl_feffectzd2fixzd2pointz12z12zzeffect_feffectz00(obj_t
		BgL_globalsz00_4)
	{
		{	/* Effect/feffect.scm 39 */
			{	/* Effect/feffect.scm 40 */
				struct bgl_cell BgL_box2050_2864z00;
				obj_t BgL_changedz00_2864;

				BgL_changedz00_2864 = MAKE_CELL_STACK(BTRUE, BgL_box2050_2864z00);
				{
					obj_t BgL_varz00_1569;

					{

					BgL_zc3z04anonymousza31353ze3z87_1560:
						if (CBOOL(CELL_REF(BgL_changedz00_2864)))
							{	/* Effect/feffect.scm 54 */
								{	/* Effect/feffect.scm 56 */
									obj_t BgL_auxz00_2865;

									BgL_auxz00_2865 = BFALSE;
									CELL_SET(BgL_changedz00_2864, BgL_auxz00_2865);
								}
								{
									obj_t BgL_l1269z00_1562;

									BgL_l1269z00_1562 = BgL_globalsz00_4;
								BgL_zc3z04anonymousza31354ze3z87_1563:
									if (PAIRP(BgL_l1269z00_1562))
										{	/* Effect/feffect.scm 57 */
											BgL_varz00_1569 = CAR(BgL_l1269z00_1562);
											{	/* Effect/feffect.scm 47 */

												{	/* Effect/feffect.scm 49 */
													bool_t BgL_test2053z00_3063;

													{	/* Effect/feffect.scm 49 */
														obj_t BgL_classz00_2148;

														BgL_classz00_2148 =
															BGl_localzf2fromzf2zzeffect_cgraphz00;
														if (BGL_OBJECTP(BgL_varz00_1569))
															{	/* Effect/feffect.scm 49 */
																BgL_objectz00_bglt BgL_arg1820z00_2150;

																BgL_arg1820z00_2150 =
																	(BgL_objectz00_bglt) (BgL_varz00_1569);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Effect/feffect.scm 49 */
																		long BgL_idxz00_2156;

																		BgL_idxz00_2156 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_2150);
																		BgL_test2053z00_3063 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2156 + ((long) 3))) ==
																			BgL_classz00_2148);
																	}
																else
																	{	/* Effect/feffect.scm 49 */
																		bool_t BgL_res1877z00_2178;

																		{	/* Effect/feffect.scm 49 */
																			obj_t BgL_oclassz00_2164;

																			{	/* Effect/feffect.scm 49 */
																				long BgL_arg1828z00_2170;

																				{	/* Effect/feffect.scm 49 */
																					long BgL_arg1829z00_2171;

																					BgL_arg1829z00_2171 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_2150);
																					BgL_arg1828z00_2170 =
																						(BgL_arg1829z00_2171 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2164 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_2170);
																			}
																			{	/* Effect/feffect.scm 49 */
																				bool_t BgL__ortest_1111z00_2165;

																				BgL__ortest_1111z00_2165 =
																					(BgL_classz00_2148 ==
																					BgL_oclassz00_2164);
																				if (BgL__ortest_1111z00_2165)
																					{	/* Effect/feffect.scm 49 */
																						BgL_res1877z00_2178 =
																							BgL__ortest_1111z00_2165;
																					}
																				else
																					{	/* Effect/feffect.scm 49 */
																						long BgL_odepthz00_2166;

																						BgL_odepthz00_2166 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2164);
																						if ((((long) 3) <
																								BgL_odepthz00_2166))
																							{	/* Effect/feffect.scm 49 */
																								obj_t BgL_arg1816z00_2168;

																								BgL_arg1816z00_2168 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2164,
																									((long) 3));
																								BgL_res1877z00_2178 =
																									(BgL_arg1816z00_2168 ==
																									BgL_classz00_2148);
																							}
																						else
																							{	/* Effect/feffect.scm 49 */
																								BgL_res1877z00_2178 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2053z00_3063 = BgL_res1877z00_2178;
																	}
															}
														else
															{	/* Effect/feffect.scm 49 */
																BgL_test2053z00_3063 = ((bool_t) 0);
															}
													}
													if (BgL_test2053z00_3063)
														{	/* Effect/feffect.scm 50 */
															obj_t BgL_g1265z00_1574;

															{
																BgL_localzf2fromzf2_bglt BgL_auxz00_3083;

																{
																	obj_t BgL_auxz00_3084;

																	{	/* Effect/feffect.scm 50 */
																		BgL_objectz00_bglt BgL_tmpz00_3085;

																		BgL_tmpz00_3085 =
																			((BgL_objectz00_bglt)
																			((BgL_localz00_bglt) BgL_varz00_1569));
																		BgL_auxz00_3084 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3085);
																	}
																	BgL_auxz00_3083 =
																		((BgL_localzf2fromzf2_bglt)
																		BgL_auxz00_3084);
																}
																BgL_g1265z00_1574 =
																	(((BgL_localzf2fromzf2_bglt)
																		COBJECT(BgL_auxz00_3083))->BgL_fromz00);
															}
															{
																obj_t BgL_l1263z00_1576;

																BgL_l1263z00_1576 = BgL_g1265z00_1574;
															BgL_zc3z04anonymousza31361ze3z87_1577:
																if (PAIRP(BgL_l1263z00_1576))
																	{	/* Effect/feffect.scm 50 */
																		BGl_mergezd2callerz12ze70z27zzeffect_feffectz00
																			(BgL_changedz00_2864, BgL_varz00_1569,
																			CAR(BgL_l1263z00_1576));
																		{
																			obj_t BgL_l1263z00_3095;

																			BgL_l1263z00_3095 =
																				CDR(BgL_l1263z00_1576);
																			BgL_l1263z00_1576 = BgL_l1263z00_3095;
																			goto
																				BgL_zc3z04anonymousza31361ze3z87_1577;
																		}
																	}
																else
																	{	/* Effect/feffect.scm 50 */
																		((bool_t) 1);
																	}
															}
														}
													else
														{	/* Effect/feffect.scm 51 */
															bool_t BgL_test2059z00_3097;

															{	/* Effect/feffect.scm 51 */
																obj_t BgL_classz00_2183;

																BgL_classz00_2183 =
																	BGl_globalzf2fromzf2zzeffect_cgraphz00;
																if (BGL_OBJECTP(BgL_varz00_1569))
																	{	/* Effect/feffect.scm 51 */
																		BgL_objectz00_bglt BgL_arg1820z00_2185;

																		BgL_arg1820z00_2185 =
																			(BgL_objectz00_bglt) (BgL_varz00_1569);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Effect/feffect.scm 51 */
																				long BgL_idxz00_2191;

																				BgL_idxz00_2191 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1820z00_2185);
																				BgL_test2059z00_3097 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2191 + ((long) 3))) ==
																					BgL_classz00_2183);
																			}
																		else
																			{	/* Effect/feffect.scm 51 */
																				bool_t BgL_res1878z00_2213;

																				{	/* Effect/feffect.scm 51 */
																					obj_t BgL_oclassz00_2199;

																					{	/* Effect/feffect.scm 51 */
																						long BgL_arg1828z00_2205;

																						{	/* Effect/feffect.scm 51 */
																							long BgL_arg1829z00_2206;

																							BgL_arg1829z00_2206 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1820z00_2185);
																							BgL_arg1828z00_2205 =
																								(BgL_arg1829z00_2206 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2199 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1828z00_2205);
																					}
																					{	/* Effect/feffect.scm 51 */
																						bool_t BgL__ortest_1111z00_2200;

																						BgL__ortest_1111z00_2200 =
																							(BgL_classz00_2183 ==
																							BgL_oclassz00_2199);
																						if (BgL__ortest_1111z00_2200)
																							{	/* Effect/feffect.scm 51 */
																								BgL_res1878z00_2213 =
																									BgL__ortest_1111z00_2200;
																							}
																						else
																							{	/* Effect/feffect.scm 51 */
																								long BgL_odepthz00_2201;

																								BgL_odepthz00_2201 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2199);
																								if ((((long) 3) <
																										BgL_odepthz00_2201))
																									{	/* Effect/feffect.scm 51 */
																										obj_t BgL_arg1816z00_2203;

																										BgL_arg1816z00_2203 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2199,
																											((long) 3));
																										BgL_res1878z00_2213 =
																											(BgL_arg1816z00_2203 ==
																											BgL_classz00_2183);
																									}
																								else
																									{	/* Effect/feffect.scm 51 */
																										BgL_res1878z00_2213 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2059z00_3097 =
																					BgL_res1878z00_2213;
																			}
																	}
																else
																	{	/* Effect/feffect.scm 51 */
																		BgL_test2059z00_3097 = ((bool_t) 0);
																	}
															}
															if (BgL_test2059z00_3097)
																{	/* Effect/feffect.scm 52 */
																	obj_t BgL_g1268z00_1583;

																	{
																		BgL_globalzf2fromzf2_bglt BgL_auxz00_3117;

																		{
																			obj_t BgL_auxz00_3118;

																			{	/* Effect/feffect.scm 52 */
																				BgL_objectz00_bglt BgL_tmpz00_3119;

																				BgL_tmpz00_3119 =
																					((BgL_objectz00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_varz00_1569));
																				BgL_auxz00_3118 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_3119);
																			}
																			BgL_auxz00_3117 =
																				((BgL_globalzf2fromzf2_bglt)
																				BgL_auxz00_3118);
																		}
																		BgL_g1268z00_1583 =
																			(((BgL_globalzf2fromzf2_bglt)
																				COBJECT(BgL_auxz00_3117))->BgL_fromz00);
																	}
																	{
																		obj_t BgL_l1266z00_1585;

																		BgL_l1266z00_1585 = BgL_g1268z00_1583;
																	BgL_zc3z04anonymousza31368ze3z87_1586:
																		if (PAIRP(BgL_l1266z00_1585))
																			{	/* Effect/feffect.scm 52 */
																				BGl_mergezd2callerz12ze70z27zzeffect_feffectz00
																					(BgL_changedz00_2864, BgL_varz00_1569,
																					CAR(BgL_l1266z00_1585));
																				{
																					obj_t BgL_l1266z00_3129;

																					BgL_l1266z00_3129 =
																						CDR(BgL_l1266z00_1585);
																					BgL_l1266z00_1585 = BgL_l1266z00_3129;
																					goto
																						BgL_zc3z04anonymousza31368ze3z87_1586;
																				}
																			}
																		else
																			{	/* Effect/feffect.scm 52 */
																				((bool_t) 1);
																			}
																	}
																}
															else
																{	/* Effect/feffect.scm 51 */
																	((bool_t) 0);
																}
														}
												}
											}
											{
												obj_t BgL_l1269z00_3132;

												BgL_l1269z00_3132 = CDR(BgL_l1269z00_1562);
												BgL_l1269z00_1562 = BgL_l1269z00_3132;
												goto BgL_zc3z04anonymousza31354ze3z87_1563;
											}
										}
									else
										{	/* Effect/feffect.scm 57 */
											((bool_t) 1);
										}
								}
								goto BgL_zc3z04anonymousza31353ze3z87_1560;
							}
						else
							{	/* Effect/feffect.scm 54 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* merge-caller!~0 */
	obj_t BGl_mergezd2callerz12ze70z27zzeffect_feffectz00(obj_t
		BgL_changedz00_2862, obj_t BgL_varz00_2861, obj_t BgL_fz00_1591)
	{
		{	/* Effect/feffect.scm 46 */
			{	/* Effect/feffect.scm 43 */
				obj_t BgL_efz00_1593;
				obj_t BgL_etz00_1594;

				BgL_efz00_1593 =
					(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_fz00_1591)))->
									BgL_valuez00))))->BgL_effectz00);
				BgL_etz00_1594 =
					(((BgL_funz00_bglt)
						COBJECT(((BgL_funz00_bglt) (((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) BgL_varz00_2861)))->
									BgL_valuez00))))->BgL_effectz00);
				{	/* Effect/feffect.scm 45 */
					bool_t BgL_test2065z00_3142;

					{	/* Effect/feffect.scm 45 */
						obj_t BgL_objz00_2115;

						BgL_objz00_2115 = BgL_efz00_1593;
						{	/* Effect/feffect.scm 45 */
							obj_t BgL_classz00_2116;

							BgL_classz00_2116 = BGl_feffectz00zzast_varz00;
							if (BGL_OBJECTP(BgL_objz00_2115))
								{	/* Effect/feffect.scm 45 */
									BgL_objectz00_bglt BgL_arg1820z00_2118;

									BgL_arg1820z00_2118 = (BgL_objectz00_bglt) (BgL_objz00_2115);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/feffect.scm 45 */
											long BgL_idxz00_2124;

											BgL_idxz00_2124 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2118);
											BgL_test2065z00_3142 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2124 + ((long) 1))) == BgL_classz00_2116);
										}
									else
										{	/* Effect/feffect.scm 45 */
											bool_t BgL_res1876z00_2146;

											{	/* Effect/feffect.scm 45 */
												obj_t BgL_oclassz00_2132;

												{	/* Effect/feffect.scm 45 */
													long BgL_arg1828z00_2138;

													{	/* Effect/feffect.scm 45 */
														long BgL_arg1829z00_2139;

														BgL_arg1829z00_2139 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2118);
														BgL_arg1828z00_2138 =
															(BgL_arg1829z00_2139 - OBJECT_TYPE);
													}
													BgL_oclassz00_2132 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2138);
												}
												{	/* Effect/feffect.scm 45 */
													bool_t BgL__ortest_1111z00_2133;

													BgL__ortest_1111z00_2133 =
														(BgL_classz00_2116 == BgL_oclassz00_2132);
													if (BgL__ortest_1111z00_2133)
														{	/* Effect/feffect.scm 45 */
															BgL_res1876z00_2146 = BgL__ortest_1111z00_2133;
														}
													else
														{	/* Effect/feffect.scm 45 */
															long BgL_odepthz00_2134;

															BgL_odepthz00_2134 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2132);
															if ((((long) 1) < BgL_odepthz00_2134))
																{	/* Effect/feffect.scm 45 */
																	obj_t BgL_arg1816z00_2136;

																	BgL_arg1816z00_2136 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2132,
																		((long) 1));
																	BgL_res1876z00_2146 =
																		(BgL_arg1816z00_2136 == BgL_classz00_2116);
																}
															else
																{	/* Effect/feffect.scm 45 */
																	BgL_res1876z00_2146 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2065z00_3142 = BgL_res1876z00_2146;
										}
								}
							else
								{	/* Effect/feffect.scm 45 */
									BgL_test2065z00_3142 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2065z00_3142)
						{	/* Effect/feffect.scm 45 */
							BFALSE;
						}
					else
						{	/* Effect/feffect.scm 45 */
							BgL_efz00_1593 =
								((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00);
						}
				}
				{	/* Effect/feffect.scm 46 */
					obj_t BgL_auxz00_2863;

					{	/* Effect/feffect.scm 46 */
						bool_t BgL__ortest_1108z00_1596;

						BgL__ortest_1108z00_1596 =
							BGl_mergezd2effectsz12zc0zzeffect_feffectz00(BgL_etz00_1594,
							BgL_efz00_1593);
						if (BgL__ortest_1108z00_1596)
							{	/* Effect/feffect.scm 46 */
								BgL_auxz00_2863 = BBOOL(BgL__ortest_1108z00_1596);
							}
						else
							{	/* Effect/feffect.scm 46 */
								BgL_auxz00_2863 = CELL_REF(BgL_changedz00_2862);
							}
					}
					return CELL_SET(BgL_changedz00_2862, BgL_auxz00_2863);
				}
			}
		}

	}



/* parse-effect */
	BGL_EXPORTED_DEF BgL_feffectz00_bglt
		BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t BgL_propz00_7)
	{
		{	/* Effect/feffect.scm 79 */
			{	/* Effect/feffect.scm 80 */
				BgL_feffectz00_bglt BgL_ez00_1601;

				{	/* Effect/feffect.scm 80 */
					BgL_feffectz00_bglt BgL_new1119z00_1636;

					{	/* Ast/var.scm 179 */
						BgL_feffectz00_bglt BgL_new1118z00_1637;

						BgL_new1118z00_1637 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* Ast/var.scm 179 */
							long BgL_arg1506z00_1638;

							BgL_arg1506z00_1638 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1118z00_1637),
								BgL_arg1506z00_1638);
						}
						BgL_new1119z00_1636 = BgL_new1118z00_1637;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1119z00_1636))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1119z00_1636))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_ez00_1601 = BgL_new1119z00_1636;
				}
				{	/* Effect/feffect.scm 81 */
					obj_t BgL_g1120z00_1602;

					BgL_g1120z00_1602 = CDR(((obj_t) BgL_propz00_7));
					{
						obj_t BgL_vz00_1604;

						{
							obj_t BgL_auxz00_3174;

							BgL_vz00_1604 = BgL_g1120z00_1602;
						BgL_zc3z04anonymousza31382ze3z87_1605:
							if (NULLP(BgL_vz00_1604))
								{	/* Effect/feffect.scm 82 */
									BgL_auxz00_3174 = ((obj_t) BgL_ez00_1601);
								}
							else
								{

									{	/* Effect/feffect.scm 84 */
										obj_t BgL_ezd2362zd2_1612;

										BgL_ezd2362zd2_1612 = CAR(((obj_t) BgL_vz00_1604));
										if (PAIRP(BgL_ezd2362zd2_1612))
											{	/* Effect/feffect.scm 84 */
												obj_t BgL_cdrzd2367zd2_1614;

												BgL_cdrzd2367zd2_1614 = CDR(BgL_ezd2362zd2_1612);
												if (
													(CAR(BgL_ezd2362zd2_1612) ==
														CNST_TABLE_REF(((long) 2))))
													{	/* Effect/feffect.scm 84 */
														if (PAIRP(BgL_cdrzd2367zd2_1614))
															{	/* Effect/feffect.scm 84 */
																if (NULLP(CDR(BgL_cdrzd2367zd2_1614)))
																	{	/* Effect/feffect.scm 84 */
																		obj_t BgL_arg1421z00_1620;

																		BgL_arg1421z00_1620 =
																			CAR(BgL_cdrzd2367zd2_1614);
																		((((BgL_feffectz00_bglt)
																					COBJECT(BgL_ez00_1601))->
																				BgL_readz00) =
																			((obj_t) BgL_arg1421z00_1620), BUNSPEC);
																		{	/* Effect/feffect.scm 87 */
																			obj_t BgL_arg1484z00_2235;

																			BgL_arg1484z00_2235 =
																				CDR(((obj_t) BgL_vz00_1604));
																			{
																				obj_t BgL_vz00_3196;

																				BgL_vz00_3196 = BgL_arg1484z00_2235;
																				BgL_vz00_1604 = BgL_vz00_3196;
																				goto
																					BgL_zc3z04anonymousza31382ze3z87_1605;
																			}
																		}
																	}
																else
																	{	/* Effect/feffect.scm 84 */
																	BgL_tagzd2361zd2_1611:
																		BgL_auxz00_3174 =
																			BGl_userzd2errorzd2zztools_errorz00
																			(BGl_string1976z00zzeffect_feffectz00,
																			BGl_string1977z00zzeffect_feffectz00,
																			BgL_vz00_1604, BNIL);
																	}
															}
														else
															{	/* Effect/feffect.scm 84 */
																goto BgL_tagzd2361zd2_1611;
															}
													}
												else
													{	/* Effect/feffect.scm 84 */
														if (
															(CAR(BgL_ezd2362zd2_1612) ==
																CNST_TABLE_REF(((long) 3))))
															{	/* Effect/feffect.scm 84 */
																if (PAIRP(BgL_cdrzd2367zd2_1614))
																	{	/* Effect/feffect.scm 84 */
																		if (NULLP(CDR(BgL_cdrzd2367zd2_1614)))
																			{	/* Effect/feffect.scm 84 */
																				obj_t BgL_arg1458z00_1628;

																				BgL_arg1458z00_1628 =
																					CAR(BgL_cdrzd2367zd2_1614);
																				((((BgL_feffectz00_bglt)
																							COBJECT(BgL_ez00_1601))->
																						BgL_writez00) =
																					((obj_t) BgL_arg1458z00_1628),
																					BUNSPEC);
																				{	/* Effect/feffect.scm 90 */
																					obj_t BgL_arg1496z00_2242;

																					BgL_arg1496z00_2242 =
																						CDR(((obj_t) BgL_vz00_1604));
																					{
																						obj_t BgL_vz00_3211;

																						BgL_vz00_3211 = BgL_arg1496z00_2242;
																						BgL_vz00_1604 = BgL_vz00_3211;
																						goto
																							BgL_zc3z04anonymousza31382ze3z87_1605;
																					}
																				}
																			}
																		else
																			{	/* Effect/feffect.scm 84 */
																				goto BgL_tagzd2361zd2_1611;
																			}
																	}
																else
																	{	/* Effect/feffect.scm 84 */
																		goto BgL_tagzd2361zd2_1611;
																	}
															}
														else
															{	/* Effect/feffect.scm 84 */
																goto BgL_tagzd2361zd2_1611;
															}
													}
											}
										else
											{	/* Effect/feffect.scm 84 */
												goto BgL_tagzd2361zd2_1611;
											}
									}
								}
							return ((BgL_feffectz00_bglt) BgL_auxz00_3174);
						}
					}
				}
			}
		}

	}



/* &parse-effect */
	BgL_feffectz00_bglt BGl_z62parsezd2effectzb0zzeffect_feffectz00(obj_t
		BgL_envz00_2748, obj_t BgL_propz00_2749)
	{
		{	/* Effect/feffect.scm 79 */
			return BGl_parsezd2effectzd2zzeffect_feffectz00(BgL_propz00_2749);
		}

	}



/* merge-effects! */
	bool_t BGl_mergezd2effectsz12zc0zzeffect_feffectz00(obj_t BgL_f1z00_8,
		obj_t BgL_f2z00_9)
	{
		{	/* Effect/feffect.scm 100 */
			{	/* Effect/feffect.scm 100 */
				struct bgl_cell BgL_box2079_2859z00;
				obj_t BgL_changedz00_2859;

				BgL_changedz00_2859 = MAKE_CELL_STACK(BFALSE, BgL_box2079_2859z00);
				{	/* Effect/feffect.scm 136 */
					obj_t BgL_arg1510z00_1642;

					{	/* Effect/feffect.scm 136 */
						obj_t BgL_arg1511z00_1643;
						obj_t BgL_arg1521z00_1644;

						BgL_arg1511z00_1643 =
							(((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_readz00);
						BgL_arg1521z00_1644 =
							(((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f2z00_9)))->BgL_readz00);
						BgL_arg1510z00_1642 =
							BGl_mergez12ze70zf5zzeffect_feffectz00(BgL_changedz00_2859,
							BgL_arg1511z00_1643, BgL_arg1521z00_1644);
					}
					((((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_readz00) =
						((obj_t) BgL_arg1510z00_1642), BUNSPEC);
				}
				{	/* Effect/feffect.scm 137 */
					obj_t BgL_arg1522z00_1645;

					{	/* Effect/feffect.scm 137 */
						obj_t BgL_arg1523z00_1646;
						obj_t BgL_arg1524z00_1647;

						BgL_arg1523z00_1646 =
							(((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_writez00);
						BgL_arg1524z00_1647 =
							(((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f2z00_9)))->BgL_writez00);
						BgL_arg1522z00_1645 =
							BGl_mergez12ze70zf5zzeffect_feffectz00(BgL_changedz00_2859,
							BgL_arg1523z00_1646, BgL_arg1524z00_1647);
					}
					((((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_writez00) =
						((obj_t) BgL_arg1522z00_1645), BUNSPEC);
				}
				return CBOOL(CELL_REF(BgL_changedz00_2859));
			}
		}

	}



/* merge!~0 */
	obj_t BGl_mergez12ze70zf5zzeffect_feffectz00(obj_t BgL_changedz00_2855,
		obj_t BgL_e1z00_1678, obj_t BgL_e2z00_1679)
	{
		{	/* Effect/feffect.scm 135 */
			{
				obj_t BgL_l1z00_1648;
				obj_t BgL_l2z00_1649;

				if ((BgL_e1z00_1678 == CNST_TABLE_REF(((long) 0))))
					{	/* Effect/feffect.scm 127 */
						return BgL_e1z00_1678;
					}
				else
					{	/* Effect/feffect.scm 127 */
						if (NULLP(BgL_e2z00_1679))
							{	/* Effect/feffect.scm 129 */
								return BgL_e1z00_1678;
							}
						else
							{	/* Effect/feffect.scm 129 */
								if ((BgL_e2z00_1679 == CNST_TABLE_REF(((long) 0))))
									{	/* Effect/feffect.scm 131 */
										{	/* Effect/feffect.scm 132 */
											obj_t BgL_auxz00_2856;

											BgL_auxz00_2856 = BTRUE;
											CELL_SET(BgL_changedz00_2855, BgL_auxz00_2856);
										}
										return CNST_TABLE_REF(((long) 0));
									}
								else
									{	/* Effect/feffect.scm 131 */
										BgL_l1z00_1648 = BgL_e1z00_1678;
										BgL_l2z00_1649 = BgL_e2z00_1679;
										if (NULLP(BgL_l1z00_1648))
											{	/* Effect/feffect.scm 104 */
												if (PAIRP(BgL_l2z00_1649))
													{	/* Effect/feffect.scm 106 */
														obj_t BgL_auxz00_2857;

														BgL_auxz00_2857 = BTRUE;
														CELL_SET(BgL_changedz00_2855, BgL_auxz00_2857);
													}
												else
													{	/* Effect/feffect.scm 105 */
														BFALSE;
													}
												return BgL_l2z00_1649;
											}
										else
											{	/* Effect/feffect.scm 104 */
												if (NULLP(BgL_l2z00_1649))
													{	/* Effect/feffect.scm 108 */
														return BgL_l1z00_1648;
													}
												else
													{	/* Effect/feffect.scm 111 */
														obj_t BgL_kz00_1654;

														{	/* Effect/feffect.scm 111 */

															{	/* Effect/feffect.scm 111 */

																BgL_kz00_1654 =
																	BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
															}
														}
														{
															obj_t BgL_l1271z00_1656;

															BgL_l1271z00_1656 = BgL_l1z00_1648;
														BgL_zc3z04anonymousza31529ze3z87_1657:
															if (PAIRP(BgL_l1271z00_1656))
																{	/* Effect/feffect.scm 112 */
																	BGl_putpropz12z12zz__r4_symbols_6_4z00(CAR
																		(BgL_l1271z00_1656), BgL_kz00_1654, BTRUE);
																	{
																		obj_t BgL_l1271z00_3249;

																		BgL_l1271z00_3249 = CDR(BgL_l1271z00_1656);
																		BgL_l1271z00_1656 = BgL_l1271z00_3249;
																		goto BgL_zc3z04anonymousza31529ze3z87_1657;
																	}
																}
															else
																{	/* Effect/feffect.scm 112 */
																	((bool_t) 1);
																}
														}
														{
															obj_t BgL_l1273z00_1663;

															BgL_l1273z00_1663 = BgL_l2z00_1649;
														BgL_zc3z04anonymousza31533ze3z87_1664:
															if (PAIRP(BgL_l1273z00_1663))
																{	/* Effect/feffect.scm 115 */
																	{	/* Effect/feffect.scm 116 */
																		obj_t BgL_sz00_1666;

																		BgL_sz00_1666 = CAR(BgL_l1273z00_1663);
																		if (CBOOL
																			(BGl_getpropz00zz__r4_symbols_6_4z00
																				(BgL_sz00_1666, BgL_kz00_1654)))
																			{	/* Effect/feffect.scm 116 */
																				BFALSE;
																			}
																		else
																			{	/* Effect/feffect.scm 116 */
																				{	/* Effect/feffect.scm 118 */
																					obj_t BgL_auxz00_2858;

																					BgL_auxz00_2858 = BTRUE;
																					CELL_SET(BgL_changedz00_2855,
																						BgL_auxz00_2858);
																				}
																				BgL_l1z00_1648 =
																					MAKE_YOUNG_PAIR(BgL_sz00_1666,
																					BgL_l1z00_1648);
																			}
																	}
																	{
																		obj_t BgL_l1273z00_3258;

																		BgL_l1273z00_3258 = CDR(BgL_l1273z00_1663);
																		BgL_l1273z00_1663 = BgL_l1273z00_3258;
																		goto BgL_zc3z04anonymousza31533ze3z87_1664;
																	}
																}
															else
																{	/* Effect/feffect.scm 115 */
																	((bool_t) 1);
																}
														}
														{
															obj_t BgL_l1275z00_1671;

															BgL_l1275z00_1671 = BgL_l1z00_1648;
														BgL_zc3z04anonymousza31559ze3z87_1672:
															if (PAIRP(BgL_l1275z00_1671))
																{	/* Effect/feffect.scm 121 */
																	BGl_rempropz12z12zz__r4_symbols_6_4z00(CAR
																		(BgL_l1275z00_1671), BgL_kz00_1654);
																	{
																		obj_t BgL_l1275z00_3264;

																		BgL_l1275z00_3264 = CDR(BgL_l1275z00_1671);
																		BgL_l1275z00_1671 = BgL_l1275z00_3264;
																		goto BgL_zc3z04anonymousza31559ze3z87_1672;
																	}
																}
															else
																{	/* Effect/feffect.scm 121 */
																	((bool_t) 1);
																}
														}
														return BgL_l1z00_1648;
													}
											}
									}
							}
					}
			}
		}

	}



/* fun-effect! */
	BgL_feffectz00_bglt BGl_funzd2effectz12zc0zzeffect_feffectz00(obj_t
		BgL_vz00_10)
	{
		{	/* Effect/feffect.scm 143 */
			{	/* Effect/feffect.scm 144 */
				bool_t BgL_test2090z00_3266;

				{	/* Effect/feffect.scm 144 */
					obj_t BgL_classz00_2258;

					BgL_classz00_2258 = BGl_globalz00zzast_varz00;
					if (BGL_OBJECTP(BgL_vz00_10))
						{	/* Effect/feffect.scm 144 */
							BgL_objectz00_bglt BgL_arg1820z00_2260;

							BgL_arg1820z00_2260 = (BgL_objectz00_bglt) (BgL_vz00_10);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Effect/feffect.scm 144 */
									long BgL_idxz00_2266;

									BgL_idxz00_2266 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2260);
									BgL_test2090z00_3266 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2266 + ((long) 2))) == BgL_classz00_2258);
								}
							else
								{	/* Effect/feffect.scm 144 */
									bool_t BgL_res1879z00_2288;

									{	/* Effect/feffect.scm 144 */
										obj_t BgL_oclassz00_2274;

										{	/* Effect/feffect.scm 144 */
											long BgL_arg1828z00_2280;

											{	/* Effect/feffect.scm 144 */
												long BgL_arg1829z00_2281;

												BgL_arg1829z00_2281 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2260);
												BgL_arg1828z00_2280 =
													(BgL_arg1829z00_2281 - OBJECT_TYPE);
											}
											BgL_oclassz00_2274 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2280);
										}
										{	/* Effect/feffect.scm 144 */
											bool_t BgL__ortest_1111z00_2275;

											BgL__ortest_1111z00_2275 =
												(BgL_classz00_2258 == BgL_oclassz00_2274);
											if (BgL__ortest_1111z00_2275)
												{	/* Effect/feffect.scm 144 */
													BgL_res1879z00_2288 = BgL__ortest_1111z00_2275;
												}
											else
												{	/* Effect/feffect.scm 144 */
													long BgL_odepthz00_2276;

													BgL_odepthz00_2276 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2274);
													if ((((long) 2) < BgL_odepthz00_2276))
														{	/* Effect/feffect.scm 144 */
															obj_t BgL_arg1816z00_2278;

															BgL_arg1816z00_2278 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2274,
																((long) 2));
															BgL_res1879z00_2288 =
																(BgL_arg1816z00_2278 == BgL_classz00_2258);
														}
													else
														{	/* Effect/feffect.scm 144 */
															BgL_res1879z00_2288 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2090z00_3266 = BgL_res1879z00_2288;
								}
						}
					else
						{	/* Effect/feffect.scm 144 */
							BgL_test2090z00_3266 = ((bool_t) 0);
						}
				}
				if (BgL_test2090z00_3266)
					{	/* Effect/feffect.scm 144 */
						return
							BGl_funzd2effectzd2globalz12z12zzeffect_feffectz00(
							((BgL_globalz00_bglt) BgL_vz00_10));
					}
				else
					{	/* Effect/feffect.scm 144 */
						return
							BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(
							((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_vz00_10)));
					}
			}
		}

	}



/* fun-effect-global! */
	BgL_feffectz00_bglt
		BGl_funzd2effectzd2globalz12z12zzeffect_feffectz00(BgL_globalz00_bglt
		BgL_vz00_11)
	{
		{	/* Effect/feffect.scm 151 */
			{	/* Effect/feffect.scm 152 */
				bool_t BgL_test2095z00_3291;

				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							(((BgL_globalz00_bglt) COBJECT(BgL_vz00_11))->BgL_importz00),
							CNST_TABLE_REF(((long) 4)))))
					{	/* Effect/feffect.scm 153 */
						bool_t BgL_test2097z00_3297;

						{	/* Effect/feffect.scm 153 */
							BgL_valuez00_bglt BgL_arg1580z00_1694;

							BgL_arg1580z00_1694 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_vz00_11)))->BgL_valuez00);
							{	/* Effect/feffect.scm 153 */
								obj_t BgL_classz00_2292;

								BgL_classz00_2292 = BGl_sfunz00zzast_varz00;
								{	/* Effect/feffect.scm 153 */
									BgL_objectz00_bglt BgL_arg1820z00_2294;

									{	/* Effect/feffect.scm 153 */
										obj_t BgL_tmpz00_3300;

										BgL_tmpz00_3300 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1580z00_1694));
										BgL_arg1820z00_2294 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3300);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/feffect.scm 153 */
											long BgL_idxz00_2300;

											BgL_idxz00_2300 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2294);
											BgL_test2097z00_3297 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2300 + ((long) 3))) == BgL_classz00_2292);
										}
									else
										{	/* Effect/feffect.scm 153 */
											bool_t BgL_res1880z00_2322;

											{	/* Effect/feffect.scm 153 */
												obj_t BgL_oclassz00_2308;

												{	/* Effect/feffect.scm 153 */
													long BgL_arg1828z00_2314;

													{	/* Effect/feffect.scm 153 */
														long BgL_arg1829z00_2315;

														BgL_arg1829z00_2315 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2294);
														BgL_arg1828z00_2314 =
															(BgL_arg1829z00_2315 - OBJECT_TYPE);
													}
													BgL_oclassz00_2308 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2314);
												}
												{	/* Effect/feffect.scm 153 */
													bool_t BgL__ortest_1111z00_2309;

													BgL__ortest_1111z00_2309 =
														(BgL_classz00_2292 == BgL_oclassz00_2308);
													if (BgL__ortest_1111z00_2309)
														{	/* Effect/feffect.scm 153 */
															BgL_res1880z00_2322 = BgL__ortest_1111z00_2309;
														}
													else
														{	/* Effect/feffect.scm 153 */
															long BgL_odepthz00_2310;

															BgL_odepthz00_2310 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2308);
															if ((((long) 3) < BgL_odepthz00_2310))
																{	/* Effect/feffect.scm 153 */
																	obj_t BgL_arg1816z00_2312;

																	BgL_arg1816z00_2312 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2308,
																		((long) 3));
																	BgL_res1880z00_2322 =
																		(BgL_arg1816z00_2312 == BgL_classz00_2292);
																}
															else
																{	/* Effect/feffect.scm 153 */
																	BgL_res1880z00_2322 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2097z00_3297 = BgL_res1880z00_2322;
										}
								}
							}
						}
						if (BgL_test2097z00_3297)
							{	/* Effect/feffect.scm 153 */
								BgL_test2095z00_3291 = ((bool_t) 0);
							}
						else
							{	/* Effect/feffect.scm 153 */
								BgL_test2095z00_3291 = ((bool_t) 1);
							}
					}
				else
					{	/* Effect/feffect.scm 152 */
						BgL_test2095z00_3291 = ((bool_t) 1);
					}
				if (BgL_test2095z00_3291)
					{	/* Effect/feffect.scm 152 */
						BGL_TAIL return
							BGl_funzd2effectzd2alienz12z12zzeffect_feffectz00(BgL_vz00_11);
					}
				else
					{	/* Effect/feffect.scm 152 */
						BGL_TAIL return
							BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(BgL_vz00_11);
					}
			}
		}

	}



/* fun-effect-alien! */
	BgL_feffectz00_bglt
		BGl_funzd2effectzd2alienz12z12zzeffect_feffectz00(BgL_globalz00_bglt
		BgL_gz00_12)
	{
		{	/* Effect/feffect.scm 162 */
			{	/* Effect/feffect.scm 163 */
				BgL_funz00_bglt BgL_i1121z00_1696;

				BgL_i1121z00_1696 =
					((BgL_funz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_gz00_12)))->BgL_valuez00));
				{	/* Effect/feffect.scm 164 */
					bool_t BgL_test2101z00_3325;

					{	/* Effect/feffect.scm 164 */
						obj_t BgL_arg1588z00_1699;

						BgL_arg1588z00_1699 =
							(((BgL_funz00_bglt) COBJECT(BgL_i1121z00_1696))->BgL_effectz00);
						{	/* Effect/feffect.scm 164 */
							obj_t BgL_classz00_2324;

							BgL_classz00_2324 = BGl_feffectz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1588z00_1699))
								{	/* Effect/feffect.scm 164 */
									BgL_objectz00_bglt BgL_arg1820z00_2326;

									BgL_arg1820z00_2326 =
										(BgL_objectz00_bglt) (BgL_arg1588z00_1699);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/feffect.scm 164 */
											long BgL_idxz00_2332;

											BgL_idxz00_2332 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2326);
											BgL_test2101z00_3325 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2332 + ((long) 1))) == BgL_classz00_2324);
										}
									else
										{	/* Effect/feffect.scm 164 */
											bool_t BgL_res1881z00_2354;

											{	/* Effect/feffect.scm 164 */
												obj_t BgL_oclassz00_2340;

												{	/* Effect/feffect.scm 164 */
													long BgL_arg1828z00_2346;

													{	/* Effect/feffect.scm 164 */
														long BgL_arg1829z00_2347;

														BgL_arg1829z00_2347 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2326);
														BgL_arg1828z00_2346 =
															(BgL_arg1829z00_2347 - OBJECT_TYPE);
													}
													BgL_oclassz00_2340 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2346);
												}
												{	/* Effect/feffect.scm 164 */
													bool_t BgL__ortest_1111z00_2341;

													BgL__ortest_1111z00_2341 =
														(BgL_classz00_2324 == BgL_oclassz00_2340);
													if (BgL__ortest_1111z00_2341)
														{	/* Effect/feffect.scm 164 */
															BgL_res1881z00_2354 = BgL__ortest_1111z00_2341;
														}
													else
														{	/* Effect/feffect.scm 164 */
															long BgL_odepthz00_2342;

															BgL_odepthz00_2342 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2340);
															if ((((long) 1) < BgL_odepthz00_2342))
																{	/* Effect/feffect.scm 164 */
																	obj_t BgL_arg1816z00_2344;

																	BgL_arg1816z00_2344 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2340,
																		((long) 1));
																	BgL_res1881z00_2354 =
																		(BgL_arg1816z00_2344 == BgL_classz00_2324);
																}
															else
																{	/* Effect/feffect.scm 164 */
																	BgL_res1881z00_2354 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2101z00_3325 = BgL_res1881z00_2354;
										}
								}
							else
								{	/* Effect/feffect.scm 164 */
									BgL_test2101z00_3325 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2101z00_3325)
						{	/* Effect/feffect.scm 164 */
							BFALSE;
						}
					else
						{	/* Effect/feffect.scm 164 */
							((((BgL_funz00_bglt) COBJECT(BgL_i1121z00_1696))->BgL_effectz00) =
								((obj_t) ((obj_t)
										BGl_za2effectzd2topza2zd2zzeffect_feffectz00)), BUNSPEC);
						}
				}
				return
					((BgL_feffectz00_bglt)
					(((BgL_funz00_bglt) COBJECT(BgL_i1121z00_1696))->BgL_effectz00));
			}
		}

	}



/* fun-effect-module! */
	BgL_feffectz00_bglt
		BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(BgL_globalz00_bglt
		BgL_vz00_13)
	{
		{	/* Effect/feffect.scm 171 */
			{	/* Effect/feffect.scm 172 */
				BgL_valuez00_bglt BgL_funz00_1700;

				BgL_funz00_1700 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_vz00_13)))->BgL_valuez00);
				{	/* Effect/feffect.scm 172 */
					obj_t BgL_efz00_1701;

					BgL_efz00_1701 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_funz00_1700)))->BgL_effectz00);
					{	/* Effect/feffect.scm 173 */

						{	/* Effect/feffect.scm 176 */
							bool_t BgL_test2106z00_3354;

							{	/* Effect/feffect.scm 176 */
								obj_t BgL_classz00_2357;

								BgL_classz00_2357 = BGl_feffectz00zzast_varz00;
								{	/* Effect/feffect.scm 176 */
									BgL_objectz00_bglt BgL_arg1820z00_2359;

									{	/* Effect/feffect.scm 176 */
										obj_t BgL_tmpz00_3355;

										BgL_tmpz00_3355 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_1700));
										BgL_arg1820z00_2359 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3355);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/feffect.scm 176 */
											long BgL_idxz00_2365;

											BgL_idxz00_2365 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2359);
											BgL_test2106z00_3354 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2365 + ((long) 1))) == BgL_classz00_2357);
										}
									else
										{	/* Effect/feffect.scm 176 */
											bool_t BgL_res1882z00_2387;

											{	/* Effect/feffect.scm 176 */
												obj_t BgL_oclassz00_2373;

												{	/* Effect/feffect.scm 176 */
													long BgL_arg1828z00_2379;

													{	/* Effect/feffect.scm 176 */
														long BgL_arg1829z00_2380;

														BgL_arg1829z00_2380 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2359);
														BgL_arg1828z00_2379 =
															(BgL_arg1829z00_2380 - OBJECT_TYPE);
													}
													BgL_oclassz00_2373 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2379);
												}
												{	/* Effect/feffect.scm 176 */
													bool_t BgL__ortest_1111z00_2374;

													BgL__ortest_1111z00_2374 =
														(BgL_classz00_2357 == BgL_oclassz00_2373);
													if (BgL__ortest_1111z00_2374)
														{	/* Effect/feffect.scm 176 */
															BgL_res1882z00_2387 = BgL__ortest_1111z00_2374;
														}
													else
														{	/* Effect/feffect.scm 176 */
															long BgL_odepthz00_2375;

															BgL_odepthz00_2375 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2373);
															if ((((long) 1) < BgL_odepthz00_2375))
																{	/* Effect/feffect.scm 176 */
																	obj_t BgL_arg1816z00_2377;

																	BgL_arg1816z00_2377 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2373,
																		((long) 1));
																	BgL_res1882z00_2387 =
																		(BgL_arg1816z00_2377 == BgL_classz00_2357);
																}
															else
																{	/* Effect/feffect.scm 176 */
																	BgL_res1882z00_2387 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2106z00_3354 = BgL_res1882z00_2387;
										}
								}
							}
							if (BgL_test2106z00_3354)
								{	/* Effect/feffect.scm 176 */
									return ((BgL_feffectz00_bglt) BgL_efz00_1701);
								}
							else
								{	/* Effect/feffect.scm 176 */
									return
										BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(
										((BgL_variablez00_bglt) BgL_vz00_13));
								}
						}
					}
				}
			}
		}

	}



/* do-fun-effect! */
	BgL_feffectz00_bglt
		BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(BgL_variablez00_bglt
		BgL_vz00_15)
	{
		{	/* Effect/feffect.scm 195 */
			{	/* Effect/feffect.scm 196 */
				BgL_sfunz00_bglt BgL_i1122z00_1703;

				BgL_i1122z00_1703 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(BgL_vz00_15))->BgL_valuez00));
				{	/* Effect/feffect.scm 197 */
					bool_t BgL_test2110z00_3380;

					{	/* Effect/feffect.scm 197 */
						obj_t BgL_arg1610z00_1711;

						BgL_arg1610z00_1711 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_i1122z00_1703)))->BgL_effectz00);
						{	/* Effect/feffect.scm 197 */
							obj_t BgL_classz00_2389;

							BgL_classz00_2389 = BGl_feffectz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1610z00_1711))
								{	/* Effect/feffect.scm 197 */
									BgL_objectz00_bglt BgL_arg1820z00_2391;

									BgL_arg1820z00_2391 =
										(BgL_objectz00_bglt) (BgL_arg1610z00_1711);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/feffect.scm 197 */
											long BgL_idxz00_2397;

											BgL_idxz00_2397 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2391);
											BgL_test2110z00_3380 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2397 + ((long) 1))) == BgL_classz00_2389);
										}
									else
										{	/* Effect/feffect.scm 197 */
											bool_t BgL_res1883z00_2419;

											{	/* Effect/feffect.scm 197 */
												obj_t BgL_oclassz00_2405;

												{	/* Effect/feffect.scm 197 */
													long BgL_arg1828z00_2411;

													{	/* Effect/feffect.scm 197 */
														long BgL_arg1829z00_2412;

														BgL_arg1829z00_2412 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2391);
														BgL_arg1828z00_2411 =
															(BgL_arg1829z00_2412 - OBJECT_TYPE);
													}
													BgL_oclassz00_2405 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2411);
												}
												{	/* Effect/feffect.scm 197 */
													bool_t BgL__ortest_1111z00_2406;

													BgL__ortest_1111z00_2406 =
														(BgL_classz00_2389 == BgL_oclassz00_2405);
													if (BgL__ortest_1111z00_2406)
														{	/* Effect/feffect.scm 197 */
															BgL_res1883z00_2419 = BgL__ortest_1111z00_2406;
														}
													else
														{	/* Effect/feffect.scm 197 */
															long BgL_odepthz00_2407;

															BgL_odepthz00_2407 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2405);
															if ((((long) 1) < BgL_odepthz00_2407))
																{	/* Effect/feffect.scm 197 */
																	obj_t BgL_arg1816z00_2409;

																	BgL_arg1816z00_2409 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2405,
																		((long) 1));
																	BgL_res1883z00_2419 =
																		(BgL_arg1816z00_2409 == BgL_classz00_2389);
																}
															else
																{	/* Effect/feffect.scm 197 */
																	BgL_res1883z00_2419 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2110z00_3380 = BgL_res1883z00_2419;
										}
								}
							else
								{	/* Effect/feffect.scm 197 */
									BgL_test2110z00_3380 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2110z00_3380)
						{	/* Effect/feffect.scm 197 */
							return
								((BgL_feffectz00_bglt)
								(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt) BgL_i1122z00_1703)))->BgL_effectz00));
						}
					else
						{	/* Effect/feffect.scm 197 */
							{
								obj_t BgL_auxz00_3405;

								{	/* Effect/feffect.scm 200 */
									BgL_feffectz00_bglt BgL_new1124z00_1706;

									{	/* Ast/var.scm 180 */
										BgL_feffectz00_bglt BgL_new1123z00_1707;

										BgL_new1123z00_1707 =
											((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_feffectz00_bgl))));
										{	/* Ast/var.scm 180 */
											long BgL_arg1598z00_1708;

											{	/* Ast/var.scm 180 */
												obj_t BgL_classz00_2420;

												BgL_classz00_2420 = BGl_feffectz00zzast_varz00;
												BgL_arg1598z00_1708 = BGL_CLASS_NUM(BgL_classz00_2420);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1123z00_1707),
												BgL_arg1598z00_1708);
										}
										BgL_new1124z00_1706 = BgL_new1123z00_1707;
									}
									((((BgL_feffectz00_bglt) COBJECT(BgL_new1124z00_1706))->
											BgL_readz00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_feffectz00_bglt) COBJECT(BgL_new1124z00_1706))->
											BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
									BgL_auxz00_3405 = ((obj_t) BgL_new1124z00_1706);
								}
								((((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt) BgL_i1122z00_1703)))->
										BgL_effectz00) = ((obj_t) BgL_auxz00_3405), BUNSPEC);
							}
							{	/* Effect/feffect.scm 201 */
								obj_t BgL_arg1599z00_1709;
								obj_t BgL_arg1600z00_1710;

								BgL_arg1599z00_1709 =
									(((BgL_sfunz00_bglt) COBJECT(BgL_i1122z00_1703))->
									BgL_bodyz00);
								BgL_arg1600z00_1710 =
									(((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_i1122z00_1703)))->BgL_effectz00);
								return
									BGl_bodyzd2effectz12zc0zzeffect_feffectz00(((BgL_nodez00_bglt)
										BgL_arg1599z00_1709),
									((BgL_feffectz00_bglt) BgL_arg1600z00_1710));
							}
						}
				}
			}
		}

	}



/* body-effect*! */
	obj_t BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(obj_t BgL_nodeza2za2_62,
		obj_t BgL_effectz00_63)
	{
		{	/* Effect/feffect.scm 390 */
			{
				obj_t BgL_l1286z00_1713;

				BgL_l1286z00_1713 = BgL_nodeza2za2_62;
			BgL_zc3z04anonymousza31611ze3z87_1714:
				if (PAIRP(BgL_l1286z00_1713))
					{	/* Effect/feffect.scm 391 */
						{	/* Effect/feffect.scm 391 */
							obj_t BgL_nz00_1716;

							BgL_nz00_1716 = CAR(BgL_l1286z00_1713);
							BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
								((BgL_nodez00_bglt) BgL_nz00_1716),
								((BgL_feffectz00_bglt) BgL_effectz00_63));
						}
						{
							obj_t BgL_l1286z00_3427;

							BgL_l1286z00_3427 = CDR(BgL_l1286z00_1713);
							BgL_l1286z00_1713 = BgL_l1286z00_3427;
							goto BgL_zc3z04anonymousza31611ze3z87_1714;
						}
					}
				else
					{	/* Effect/feffect.scm 391 */
						((bool_t) 1);
					}
			}
			return BgL_effectz00_63;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_proc1978z00zzeffect_feffectz00, BGl_nodez00zzast_nodez00,
				BGl_string1979z00zzeffect_feffectz00);
		}

	}



/* &body-effect!1290 */
	obj_t BGl_z62bodyzd2effectz121290za2zzeffect_feffectz00(obj_t BgL_envz00_2751,
		obj_t BgL_nodez00_2752, obj_t BgL_effectz00_2753)
	{
		{	/* Effect/feffect.scm 210 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 5)),
				BGl_string1980z00zzeffect_feffectz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2752)));
		}

	}



/* body-effect! */
	BgL_feffectz00_bglt
		BGl_bodyzd2effectz12zc0zzeffect_feffectz00(BgL_nodez00_bglt BgL_nodez00_16,
		BgL_feffectz00_bglt BgL_effectz00_17)
	{
		{	/* Effect/feffect.scm 210 */
			{	/* Effect/feffect.scm 210 */
				obj_t BgL_method1291z00_1724;

				{	/* Effect/feffect.scm 210 */
					obj_t BgL_res1888z00_2455;

					{	/* Effect/feffect.scm 210 */
						long BgL_objzd2classzd2numz00_2426;

						BgL_objzd2classzd2numz00_2426 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_16));
						{	/* Effect/feffect.scm 210 */
							obj_t BgL_arg1825z00_2427;

							BgL_arg1825z00_2427 =
								PROCEDURE_REF(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
								(int) (((long) 1)));
							{	/* Effect/feffect.scm 210 */
								int BgL_offsetz00_2430;

								BgL_offsetz00_2430 = (int) (BgL_objzd2classzd2numz00_2426);
								{	/* Effect/feffect.scm 210 */
									long BgL_offsetz00_2431;

									BgL_offsetz00_2431 =
										((long) (BgL_offsetz00_2430) - OBJECT_TYPE);
									{	/* Effect/feffect.scm 210 */
										long BgL_modz00_2432;

										BgL_modz00_2432 =
											(BgL_offsetz00_2431 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Effect/feffect.scm 210 */
											long BgL_restz00_2434;

											BgL_restz00_2434 =
												(BgL_offsetz00_2431 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Effect/feffect.scm 210 */

												{	/* Effect/feffect.scm 210 */
													obj_t BgL_bucketz00_2436;

													BgL_bucketz00_2436 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2427), BgL_modz00_2432);
													BgL_res1888z00_2455 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2436), BgL_restz00_2434);
					}}}}}}}}
					BgL_method1291z00_1724 = BgL_res1888z00_2455;
				}
				return
					((BgL_feffectz00_bglt)
					((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1291z00_1724)) (BgL_method1291z00_1724,
						((obj_t) BgL_nodez00_16), ((obj_t) BgL_effectz00_17), BEOA));
			}
		}

	}



/* &body-effect! */
	BgL_feffectz00_bglt BGl_z62bodyzd2effectz12za2zzeffect_feffectz00(obj_t
		BgL_envz00_2754, obj_t BgL_nodez00_2755, obj_t BgL_effectz00_2756)
	{
		{	/* Effect/feffect.scm 210 */
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				((BgL_nodez00_bglt) BgL_nodez00_2755),
				((BgL_feffectz00_bglt) BgL_effectz00_2756));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_feffectz00zzast_varz00,
				BGl_proc1981z00zzeffect_feffectz00,
				BGl_string1982z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_atomz00zzast_nodez00, BGl_proc1983z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_patchz00zzast_nodez00, BGl_proc1985z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_kwotez00zzast_nodez00, BGl_proc1986z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_varz00zzast_nodez00, BGl_proc1987z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_setqz00zzast_nodez00, BGl_proc1988z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1989z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_switchz00zzast_nodez00, BGl_proc1990z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_failz00zzast_nodez00, BGl_proc1991z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1992z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1993z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1994z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1995z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1996z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_castz00zzast_nodez00, BGl_proc1997z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1998z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_syncz00zzast_nodez00, BGl_proc1999z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2000z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2001z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_appz00zzast_nodez00, BGl_proc2002z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_externz00zzast_nodez00, BGl_proc2003z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2004z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2005z00zzeffect_feffectz00,
				BGl_string1984z00zzeffect_feffectz00);
		}

	}



/* &body-effect!-let-var1335 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2var1335za2zzeffect_feffectz00(obj_t
		BgL_envz00_2781, obj_t BgL_nodez00_2782, obj_t BgL_effectz00_2783)
	{
		{	/* Effect/feffect.scm 380 */
			{	/* Effect/feffect.scm 382 */
				obj_t BgL_g1285z00_2882;

				BgL_g1285z00_2882 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2782)))->BgL_bindingsz00);
				{
					obj_t BgL_l1283z00_2884;

					BgL_l1283z00_2884 = BgL_g1285z00_2882;
				BgL_zc3z04anonymousza31747ze3z87_2883:
					if (PAIRP(BgL_l1283z00_2884))
						{	/* Effect/feffect.scm 382 */
							{	/* Effect/feffect.scm 383 */
								obj_t BgL_bindingz00_2885;

								BgL_bindingz00_2885 = CAR(BgL_l1283z00_2884);
								{	/* Effect/feffect.scm 383 */
									obj_t BgL_arg1749z00_2886;

									BgL_arg1749z00_2886 = CDR(((obj_t) BgL_bindingz00_2885));
									BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
										((BgL_nodez00_bglt) BgL_arg1749z00_2886),
										((BgL_feffectz00_bglt) BgL_effectz00_2783));
								}
							}
							{
								obj_t BgL_l1283z00_3503;

								BgL_l1283z00_3503 = CDR(BgL_l1283z00_2884);
								BgL_l1283z00_2884 = BgL_l1283z00_3503;
								goto BgL_zc3z04anonymousza31747ze3z87_2883;
							}
						}
					else
						{	/* Effect/feffect.scm 382 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2782)))->BgL_bodyz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2783));
		}

	}



/* &body-effect!-let-fun1333 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2fun1333za2zzeffect_feffectz00(obj_t
		BgL_envz00_2784, obj_t BgL_nodez00_2785, obj_t BgL_effectz00_2786)
	{
		{	/* Effect/feffect.scm 372 */
			{	/* Effect/feffect.scm 374 */
				obj_t BgL_g1282z00_2889;

				BgL_g1282z00_2889 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2785)))->BgL_localsz00);
				{
					obj_t BgL_l1280z00_2891;

					BgL_l1280z00_2891 = BgL_g1282z00_2889;
				BgL_zc3z04anonymousza31737ze3z87_2890:
					if (PAIRP(BgL_l1280z00_2891))
						{	/* Effect/feffect.scm 374 */
							BGl_funzd2effectz12zc0zzeffect_feffectz00(CAR(BgL_l1280z00_2891));
							{
								obj_t BgL_l1280z00_3515;

								BgL_l1280z00_3515 = CDR(BgL_l1280z00_2891);
								BgL_l1280z00_2891 = BgL_l1280z00_3515;
								goto BgL_zc3z04anonymousza31737ze3z87_2890;
							}
						}
					else
						{	/* Effect/feffect.scm 374 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2785)))->BgL_bodyz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2786));
		}

	}



/* &body-effect!-extern1331 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2extern1331z70zzeffect_feffectz00(obj_t
		BgL_envz00_2787, obj_t BgL_nodez00_2788, obj_t BgL_effectz00_2789)
	{
		{	/* Effect/feffect.scm 362 */
			{	/* Effect/feffect.scm 363 */
				obj_t BgL_efz00_2893;

				{	/* Effect/feffect.scm 363 */
					bool_t BgL_test2118z00_3521;

					{	/* Effect/feffect.scm 363 */
						obj_t BgL_arg1736z00_2894;

						BgL_arg1736z00_2894 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt) BgL_nodez00_2788)))->BgL_effectz00);
						{	/* Effect/feffect.scm 363 */
							obj_t BgL_classz00_2895;

							BgL_classz00_2895 = BGl_feffectz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1736z00_2894))
								{	/* Effect/feffect.scm 363 */
									BgL_objectz00_bglt BgL_arg1820z00_2896;

									BgL_arg1820z00_2896 =
										(BgL_objectz00_bglt) (BgL_arg1736z00_2894);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/feffect.scm 363 */
											long BgL_idxz00_2897;

											BgL_idxz00_2897 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2896);
											BgL_test2118z00_3521 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2897 + ((long) 1))) == BgL_classz00_2895);
										}
									else
										{	/* Effect/feffect.scm 363 */
											bool_t BgL_res1891z00_2900;

											{	/* Effect/feffect.scm 363 */
												obj_t BgL_oclassz00_2901;

												{	/* Effect/feffect.scm 363 */
													long BgL_arg1828z00_2902;

													{	/* Effect/feffect.scm 363 */
														long BgL_arg1829z00_2903;

														BgL_arg1829z00_2903 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2896);
														BgL_arg1828z00_2902 =
															(BgL_arg1829z00_2903 - OBJECT_TYPE);
													}
													BgL_oclassz00_2901 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2902);
												}
												{	/* Effect/feffect.scm 363 */
													bool_t BgL__ortest_1111z00_2904;

													BgL__ortest_1111z00_2904 =
														(BgL_classz00_2895 == BgL_oclassz00_2901);
													if (BgL__ortest_1111z00_2904)
														{	/* Effect/feffect.scm 363 */
															BgL_res1891z00_2900 = BgL__ortest_1111z00_2904;
														}
													else
														{	/* Effect/feffect.scm 363 */
															long BgL_odepthz00_2905;

															BgL_odepthz00_2905 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2901);
															if ((((long) 1) < BgL_odepthz00_2905))
																{	/* Effect/feffect.scm 363 */
																	obj_t BgL_arg1816z00_2906;

																	BgL_arg1816z00_2906 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2901,
																		((long) 1));
																	BgL_res1891z00_2900 =
																		(BgL_arg1816z00_2906 == BgL_classz00_2895);
																}
															else
																{	/* Effect/feffect.scm 363 */
																	BgL_res1891z00_2900 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2118z00_3521 = BgL_res1891z00_2900;
										}
								}
							else
								{	/* Effect/feffect.scm 363 */
									BgL_test2118z00_3521 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2118z00_3521)
						{	/* Effect/feffect.scm 363 */
							BgL_efz00_2893 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt) BgL_nodez00_2788)))->BgL_effectz00);
						}
					else
						{	/* Effect/feffect.scm 363 */
							BgL_efz00_2893 =
								((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00);
						}
				}
				BGl_mergezd2effectsz12zc0zzeffect_feffectz00(BgL_effectz00_2789,
					BgL_efz00_2893);
				return ((BgL_feffectz00_bglt) BgL_effectz00_2789);
			}
		}

	}



/* &body-effect!-app1329 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2app1329z70zzeffect_feffectz00(obj_t
		BgL_envz00_2790, obj_t BgL_nodez00_2791, obj_t BgL_effectz00_2792)
	{
		{	/* Effect/feffect.scm 352 */
			BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2791)))->BgL_argsz00),
				BgL_effectz00_2792);
			{	/* Effect/feffect.scm 355 */
				BgL_feffectz00_bglt BgL_efz00_2908;

				{	/* Effect/feffect.scm 355 */
					BgL_variablez00_bglt BgL_arg1730z00_2909;

					BgL_arg1730z00_2909 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2791)))->BgL_funz00)))->
						BgL_variablez00);
					BgL_efz00_2908 =
						BGl_funzd2effectz12zc0zzeffect_feffectz00(((obj_t)
							BgL_arg1730z00_2909));
				}
				BGl_mergezd2effectsz12zc0zzeffect_feffectz00(BgL_effectz00_2792,
					((obj_t) BgL_efz00_2908));
			}
			return ((BgL_feffectz00_bglt) BgL_effectz00_2792);
		}

	}



/* &body-effect!-app-ly1327 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2appzd2ly1327za2zzeffect_feffectz00(obj_t
		BgL_envz00_2793, obj_t BgL_nodez00_2794, obj_t BgL_effectz00_2795)
	{
		{	/* Effect/feffect.scm 345 */
			BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
				((obj_t)
					((BgL_feffectz00_bglt) BgL_effectz00_2795)),
				((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00));
			return ((BgL_feffectz00_bglt) BgL_effectz00_2795);
		}

	}



/* &body-effect!-funcall1325 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2funcall1325z70zzeffect_feffectz00(obj_t
		BgL_envz00_2796, obj_t BgL_nodez00_2797, obj_t BgL_effectz00_2798)
	{
		{	/* Effect/feffect.scm 338 */
			BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
				((obj_t)
					((BgL_feffectz00_bglt) BgL_effectz00_2798)),
				((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00));
			return ((BgL_feffectz00_bglt) BgL_effectz00_2798);
		}

	}



/* &body-effect!-sync1323 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sync1323z70zzeffect_feffectz00(obj_t
		BgL_envz00_2799, obj_t BgL_nodez00_2800, obj_t BgL_effectz00_2801)
	{
		{	/* Effect/feffect.scm 330 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2800)))->BgL_mutexz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2801));
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2800)))->BgL_prelockz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2801));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2800)))->BgL_bodyz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2801));
		}

	}



/* &body-effect!-sequenc1321 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sequenc1321z70zzeffect_feffectz00(obj_t
		BgL_envz00_2802, obj_t BgL_nodez00_2803, obj_t BgL_effectz00_2804)
	{
		{	/* Effect/feffect.scm 324 */
			{	/* Effect/feffect.scm 325 */
				obj_t BgL_arg1712z00_2918;

				BgL_arg1712z00_2918 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2803)))->BgL_nodesz00);
				return
					((BgL_feffectz00_bglt)
					BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(BgL_arg1712z00_2918,
						((obj_t) ((BgL_feffectz00_bglt) BgL_effectz00_2804))));
			}
		}

	}



/* &body-effect!-cast1319 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2cast1319z70zzeffect_feffectz00(obj_t
		BgL_envz00_2805, obj_t BgL_nodez00_2806, obj_t BgL_effectz00_2807)
	{
		{	/* Effect/feffect.scm 317 */
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2806)))->BgL_argz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2807));
		}

	}



/* &body-effect!-box-set1317 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2set1317za2zzeffect_feffectz00(obj_t
		BgL_envz00_2808, obj_t BgL_nodez00_2809, obj_t BgL_effectz00_2810)
	{
		{	/* Effect/feffect.scm 309 */
			{	/* Effect/feffect.scm 311 */
				BgL_varz00_bglt BgL_arg1698z00_2923;

				BgL_arg1698z00_2923 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2809)))->BgL_varz00);
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					((BgL_nodez00_bglt) BgL_arg1698z00_2923),
					((BgL_feffectz00_bglt) BgL_effectz00_2810));
			}
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2809)))->BgL_valuez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2810));
		}

	}



/* &body-effect!-box-ref1315 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2ref1315za2zzeffect_feffectz00(obj_t
		BgL_envz00_2811, obj_t BgL_nodez00_2812, obj_t BgL_effectz00_2813)
	{
		{	/* Effect/feffect.scm 303 */
			{	/* Effect/feffect.scm 304 */
				BgL_varz00_bglt BgL_arg1697z00_2926;

				BgL_arg1697z00_2926 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2812)))->BgL_varz00);
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					((BgL_nodez00_bglt) BgL_arg1697z00_2926),
					((BgL_feffectz00_bglt) BgL_effectz00_2813));
			}
		}

	}



/* &body-effect!-make-bo1313 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2makezd2bo1313za2zzeffect_feffectz00(obj_t
		BgL_envz00_2814, obj_t BgL_nodez00_2815, obj_t BgL_effectz00_2816)
	{
		{	/* Effect/feffect.scm 297 */
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2815)))->BgL_valuez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2816));
		}

	}



/* &body-effect!-jump-ex1311 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2jumpzd2ex1311za2zzeffect_feffectz00(obj_t
		BgL_envz00_2817, obj_t BgL_nodez00_2818, obj_t BgL_effectz00_2819)
	{
		{	/* Effect/feffect.scm 289 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2818)))->BgL_exitz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2819));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2818)))->BgL_valuez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2819));
		}

	}



/* &body-effect!-set-ex-1309 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setzd2exzd21309z70zzeffect_feffectz00(obj_t
		BgL_envz00_2820, obj_t BgL_nodez00_2821, obj_t BgL_effectz00_2822)
	{
		{	/* Effect/feffect.scm 281 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2821)))->BgL_onexitz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2822));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2821)))->BgL_bodyz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2822));
		}

	}



/* &body-effect!-fail1307 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2fail1307z70zzeffect_feffectz00(obj_t
		BgL_envz00_2823, obj_t BgL_nodez00_2824, obj_t BgL_effectz00_2825)
	{
		{	/* Effect/feffect.scm 272 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2824)))->BgL_procz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2825));
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2824)))->BgL_msgz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2825));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2824)))->BgL_objz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2825));
		}

	}



/* &body-effect!-switch1305 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2switch1305z70zzeffect_feffectz00(obj_t
		BgL_envz00_2826, obj_t BgL_nodez00_2827, obj_t BgL_effectz00_2828)
	{
		{	/* Effect/feffect.scm 261 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2827)))->BgL_testz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2828));
			{	/* Effect/feffect.scm 264 */
				obj_t BgL_g1279z00_2937;

				BgL_g1279z00_2937 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2827)))->BgL_clausesz00);
				{
					obj_t BgL_l1277z00_2939;

					BgL_l1277z00_2939 = BgL_g1279z00_2937;
				BgL_zc3z04anonymousza31664ze3z87_2938:
					if (PAIRP(BgL_l1277z00_2939))
						{	/* Effect/feffect.scm 264 */
							{	/* Effect/feffect.scm 265 */
								obj_t BgL_clausez00_2940;

								BgL_clausez00_2940 = CAR(BgL_l1277z00_2939);
								{	/* Effect/feffect.scm 265 */
									obj_t BgL_arg1672z00_2941;

									BgL_arg1672z00_2941 = CDR(((obj_t) BgL_clausez00_2940));
									BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
										((BgL_nodez00_bglt) BgL_arg1672z00_2941),
										((BgL_feffectz00_bglt) BgL_effectz00_2828));
								}
							}
							{
								obj_t BgL_l1277z00_3651;

								BgL_l1277z00_3651 = CDR(BgL_l1277z00_2939);
								BgL_l1277z00_2939 = BgL_l1277z00_3651;
								goto BgL_zc3z04anonymousza31664ze3z87_2938;
							}
						}
					else
						{	/* Effect/feffect.scm 264 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_feffectz00_bglt) BgL_effectz00_2828);
		}

	}



/* &body-effect!-conditi1303 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2conditi1303z70zzeffect_feffectz00(obj_t
		BgL_envz00_2829, obj_t BgL_nodez00_2830, obj_t BgL_effectz00_2831)
	{
		{	/* Effect/feffect.scm 252 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2830)))->BgL_testz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2831));
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2830)))->BgL_truez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2831));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2830)))->BgL_falsez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2831));
		}

	}



/* &body-effect!-setq1301 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setq1301z70zzeffect_feffectz00(obj_t
		BgL_envz00_2832, obj_t BgL_nodez00_2833, obj_t BgL_effectz00_2834)
	{
		{	/* Effect/feffect.scm 243 */
			{	/* Effect/feffect.scm 245 */
				bool_t BgL_test2124z00_3666;

				{	/* Effect/feffect.scm 245 */
					BgL_variablez00_bglt BgL_arg1648z00_2946;

					BgL_arg1648z00_2946 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_nodez00_2833)))->BgL_varz00)))->
						BgL_variablez00);
					{	/* Effect/feffect.scm 245 */
						obj_t BgL_classz00_2947;

						BgL_classz00_2947 = BGl_globalz00zzast_varz00;
						{	/* Effect/feffect.scm 245 */
							BgL_objectz00_bglt BgL_arg1820z00_2948;

							{	/* Effect/feffect.scm 245 */
								obj_t BgL_tmpz00_3670;

								BgL_tmpz00_3670 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1648z00_2946));
								BgL_arg1820z00_2948 = (BgL_objectz00_bglt) (BgL_tmpz00_3670);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Effect/feffect.scm 245 */
									long BgL_idxz00_2949;

									BgL_idxz00_2949 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2948);
									BgL_test2124z00_3666 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2949 + ((long) 2))) == BgL_classz00_2947);
								}
							else
								{	/* Effect/feffect.scm 245 */
									bool_t BgL_res1890z00_2952;

									{	/* Effect/feffect.scm 245 */
										obj_t BgL_oclassz00_2953;

										{	/* Effect/feffect.scm 245 */
											long BgL_arg1828z00_2954;

											{	/* Effect/feffect.scm 245 */
												long BgL_arg1829z00_2955;

												BgL_arg1829z00_2955 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2948);
												BgL_arg1828z00_2954 =
													(BgL_arg1829z00_2955 - OBJECT_TYPE);
											}
											BgL_oclassz00_2953 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2954);
										}
										{	/* Effect/feffect.scm 245 */
											bool_t BgL__ortest_1111z00_2956;

											BgL__ortest_1111z00_2956 =
												(BgL_classz00_2947 == BgL_oclassz00_2953);
											if (BgL__ortest_1111z00_2956)
												{	/* Effect/feffect.scm 245 */
													BgL_res1890z00_2952 = BgL__ortest_1111z00_2956;
												}
											else
												{	/* Effect/feffect.scm 245 */
													long BgL_odepthz00_2957;

													BgL_odepthz00_2957 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2953);
													if ((((long) 2) < BgL_odepthz00_2957))
														{	/* Effect/feffect.scm 245 */
															obj_t BgL_arg1816z00_2958;

															BgL_arg1816z00_2958 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2953,
																((long) 2));
															BgL_res1890z00_2952 =
																(BgL_arg1816z00_2958 == BgL_classz00_2947);
														}
													else
														{	/* Effect/feffect.scm 245 */
															BgL_res1890z00_2952 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2124z00_3666 = BgL_res1890z00_2952;
								}
						}
					}
				}
				if (BgL_test2124z00_3666)
					{	/* Effect/feffect.scm 245 */
						BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
							((obj_t)
								((BgL_feffectz00_bglt) BgL_effectz00_2834)),
							((obj_t) BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00));
					}
				else
					{	/* Effect/feffect.scm 245 */
						((bool_t) 0);
					}
			}
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2833)))->BgL_valuez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2834));
		}

	}



/* &body-effect!-var1299 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2var1299z70zzeffect_feffectz00(obj_t
		BgL_envz00_2835, obj_t BgL_nodez00_2836, obj_t BgL_effectz00_2837)
	{
		{	/* Effect/feffect.scm 235 */
			{	/* Effect/feffect.scm 236 */
				bool_t BgL_test2128z00_3698;

				{	/* Effect/feffect.scm 236 */
					BgL_variablez00_bglt BgL_arg1639z00_2961;

					BgL_arg1639z00_2961 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_2836)))->BgL_variablez00);
					{	/* Effect/feffect.scm 236 */
						obj_t BgL_classz00_2962;

						BgL_classz00_2962 = BGl_globalz00zzast_varz00;
						{	/* Effect/feffect.scm 236 */
							BgL_objectz00_bglt BgL_arg1820z00_2963;

							{	/* Effect/feffect.scm 236 */
								obj_t BgL_tmpz00_3701;

								BgL_tmpz00_3701 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1639z00_2961));
								BgL_arg1820z00_2963 = (BgL_objectz00_bglt) (BgL_tmpz00_3701);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Effect/feffect.scm 236 */
									long BgL_idxz00_2964;

									BgL_idxz00_2964 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2963);
									BgL_test2128z00_3698 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2964 + ((long) 2))) == BgL_classz00_2962);
								}
							else
								{	/* Effect/feffect.scm 236 */
									bool_t BgL_res1889z00_2967;

									{	/* Effect/feffect.scm 236 */
										obj_t BgL_oclassz00_2968;

										{	/* Effect/feffect.scm 236 */
											long BgL_arg1828z00_2969;

											{	/* Effect/feffect.scm 236 */
												long BgL_arg1829z00_2970;

												BgL_arg1829z00_2970 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2963);
												BgL_arg1828z00_2969 =
													(BgL_arg1829z00_2970 - OBJECT_TYPE);
											}
											BgL_oclassz00_2968 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2969);
										}
										{	/* Effect/feffect.scm 236 */
											bool_t BgL__ortest_1111z00_2971;

											BgL__ortest_1111z00_2971 =
												(BgL_classz00_2962 == BgL_oclassz00_2968);
											if (BgL__ortest_1111z00_2971)
												{	/* Effect/feffect.scm 236 */
													BgL_res1889z00_2967 = BgL__ortest_1111z00_2971;
												}
											else
												{	/* Effect/feffect.scm 236 */
													long BgL_odepthz00_2972;

													BgL_odepthz00_2972 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2968);
													if ((((long) 2) < BgL_odepthz00_2972))
														{	/* Effect/feffect.scm 236 */
															obj_t BgL_arg1816z00_2973;

															BgL_arg1816z00_2973 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2968,
																((long) 2));
															BgL_res1889z00_2967 =
																(BgL_arg1816z00_2973 == BgL_classz00_2962);
														}
													else
														{	/* Effect/feffect.scm 236 */
															BgL_res1889z00_2967 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2128z00_3698 = BgL_res1889z00_2967;
								}
						}
					}
				}
				if (BgL_test2128z00_3698)
					{	/* Effect/feffect.scm 236 */
						BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
							((obj_t)
								((BgL_feffectz00_bglt) BgL_effectz00_2837)),
							((obj_t) BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00));
					}
				else
					{	/* Effect/feffect.scm 236 */
						((bool_t) 0);
					}
			}
			return ((BgL_feffectz00_bglt) BgL_effectz00_2837);
		}

	}



/* &body-effect!-kwote1297 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2kwote1297z70zzeffect_feffectz00(obj_t
		BgL_envz00_2838, obj_t BgL_nodez00_2839, obj_t BgL_effectz00_2840)
	{
		{	/* Effect/feffect.scm 229 */
			return ((BgL_feffectz00_bglt) BgL_effectz00_2840);
		}

	}



/* &body-effect!-patch1295 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2patch1295z70zzeffect_feffectz00(obj_t
		BgL_envz00_2841, obj_t BgL_nodez00_2842, obj_t BgL_effectz00_2843)
	{
		{	/* Effect/feffect.scm 221 */
			BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
				((obj_t)
					((BgL_feffectz00_bglt) BgL_effectz00_2843)),
				((obj_t) BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00));
			{	/* Effect/feffect.scm 224 */
				obj_t BgL_arg1635z00_2977;

				BgL_arg1635z00_2977 =
					(((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt)
								((BgL_patchz00_bglt) BgL_nodez00_2842))))->BgL_valuez00);
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					((BgL_nodez00_bglt) BgL_arg1635z00_2977),
					((BgL_feffectz00_bglt) BgL_effectz00_2843));
			}
		}

	}



/* &body-effect!-atom1293 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2atom1293z70zzeffect_feffectz00(obj_t
		BgL_envz00_2844, obj_t BgL_nodez00_2845, obj_t BgL_effectz00_2846)
	{
		{	/* Effect/feffect.scm 215 */
			return ((BgL_feffectz00_bglt) BgL_effectz00_2846);
		}

	}



/* &object-display-feffe1289 */
	obj_t BGl_z62objectzd2displayzd2feffe1289z62zzeffect_feffectz00(obj_t
		BgL_envz00_2847, obj_t BgL_fz00_2848, obj_t BgL_pz00_2849)
	{
		{	/* Effect/feffect.scm 63 */
			{	/* Effect/feffect.scm 64 */
				obj_t BgL_arg1616z00_2980;

				if (PAIRP(BgL_pz00_2849))
					{	/* Effect/feffect.scm 64 */
						BgL_arg1616z00_2980 = CAR(BgL_pz00_2849);
					}
				else
					{	/* Effect/feffect.scm 64 */
						obj_t BgL_tmpz00_3741;

						BgL_tmpz00_3741 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg1616z00_2980 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3741);
					}
				{	/* Effect/feffect.scm 66 */
					obj_t BgL_zc3z04anonymousza31627ze3z87_2981;

					BgL_zc3z04anonymousza31627ze3z87_2981 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31627ze3ze5zzeffect_feffectz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31627ze3z87_2981,
						(int) (((long) 0)),
						((obj_t) ((BgL_feffectz00_bglt) BgL_fz00_2848)));
					return
						BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
						(BgL_arg1616z00_2980, BgL_zc3z04anonymousza31627ze3z87_2981);
				}
			}
		}

	}



/* &<@anonymous:1627> */
	obj_t BGl_z62zc3z04anonymousza31627ze3ze5zzeffect_feffectz00(obj_t
		BgL_envz00_2850)
	{
		{	/* Effect/feffect.scm 65 */
			{	/* Effect/feffect.scm 66 */
				BgL_feffectz00_bglt BgL_fz00_2851;

				BgL_fz00_2851 =
					((BgL_feffectz00_bglt)
					PROCEDURE_REF(BgL_envz00_2850, (int) (((long) 0))));
				{	/* Effect/feffect.scm 67 */
					obj_t BgL_arg1629z00_2982;
					obj_t BgL_arg1630z00_2983;

					BgL_arg1629z00_2982 =
						(((BgL_feffectz00_bglt) COBJECT(BgL_fz00_2851))->BgL_readz00);
					BgL_arg1630z00_2983 =
						(((BgL_feffectz00_bglt) COBJECT(BgL_fz00_2851))->BgL_writez00);
					{	/* Effect/feffect.scm 67 */
						obj_t BgL_list1631z00_2984;

						{	/* Effect/feffect.scm 67 */
							obj_t BgL_arg1632z00_2985;

							BgL_arg1632z00_2985 = MAKE_YOUNG_PAIR(BgL_arg1630z00_2983, BNIL);
							BgL_list1631z00_2984 =
								MAKE_YOUNG_PAIR(BgL_arg1629z00_2982, BgL_arg1632z00_2985);
						}
						return
							BGl_printfz00zz__r4_output_6_10_3z00
							(BGl_string2006z00zzeffect_feffectz00, BgL_list1631z00_2984);
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2007z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2007z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2007z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2007z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2007z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2007z00zzeffect_feffectz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2007z00zzeffect_feffectz00));
		}

	}

#ifdef __cplusplus
}
#endif
