/*===========================================================================*/
/*   (Effect/walk.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00(void);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_walkz00(void);
	static obj_t BGl_objectzd2initzd2zzeffect_walkz00(void);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t,
		bool_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_walkz00(void);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62zc3z04anonymousza31357ze3ze5zzeffect_walkz00(obj_t);
	extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzeffect_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00(void);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzeffect_walkz00(void);
	static obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	static bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t);
	extern obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00(void);
	static obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t, obj_t);
	extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2effectzd2envz00zzeffect_walkz00,
		BgL_bgl_za762writeza7d2effec1746z00,
		BGl_z62writezd2effectzb0zzeffect_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1721z00zzeffect_walkz00,
		BgL_bgl_string1721za700za7za7e1747za7, "Effect", 6);
	      DEFINE_STRING(BGl_string1722z00zzeffect_walkz00,
		BgL_bgl_string1722za700za7za7e1748za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1723z00zzeffect_walkz00,
		BgL_bgl_string1723za700za7za7e1749za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1724z00zzeffect_walkz00,
		BgL_bgl_string1724za700za7za7e1750za7, " error", 6);
	      DEFINE_STRING(BGl_string1725z00zzeffect_walkz00,
		BgL_bgl_string1725za700za7za7e1751za7, "s", 1);
	      DEFINE_STRING(BGl_string1726z00zzeffect_walkz00,
		BgL_bgl_string1726za700za7za7e1752za7, "", 0);
	      DEFINE_STRING(BGl_string1727z00zzeffect_walkz00,
		BgL_bgl_string1727za700za7za7e1753za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1728z00zzeffect_walkz00,
		BgL_bgl_string1728za700za7za7e1754za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1729z00zzeffect_walkz00,
		BgL_bgl_string1729za700za7za7e1755za7, " (effect", 8);
	      DEFINE_STRING(BGl_string1730z00zzeffect_walkz00,
		BgL_bgl_string1730za700za7za7e1756za7, "   (", 4);
	      DEFINE_STRING(BGl_string1731z00zzeffect_walkz00,
		BgL_bgl_string1731za700za7za7e1757za7, ")", 1);
	      DEFINE_STRING(BGl_string1732z00zzeffect_walkz00,
		BgL_bgl_string1732za700za7za7e1758za7, " (read ", 7);
	      DEFINE_STRING(BGl_string1733z00zzeffect_walkz00,
		BgL_bgl_string1733za700za7za7e1759za7, " (write ", 8);
	      DEFINE_STRING(BGl_string1734z00zzeffect_walkz00,
		BgL_bgl_string1734za700za7za7e1760za7, "))", 2);
	      DEFINE_STRING(BGl_string1735z00zzeffect_walkz00,
		BgL_bgl_string1735za700za7za7e1761za7, ".sch", 4);
	      DEFINE_STRING(BGl_string1736z00zzeffect_walkz00,
		BgL_bgl_string1736za700za7za7e1762za7, "(directives\n (pragma\n", 21);
	      DEFINE_STRING(BGl_string1737z00zzeffect_walkz00,
		BgL_bgl_string1737za700za7za7e1763za7, " ))\n", 4);
	      DEFINE_STRING(BGl_string1738z00zzeffect_walkz00,
		BgL_bgl_string1738za700za7za7e1764za7, "write-effect", 12);
	      DEFINE_STRING(BGl_string1739z00zzeffect_walkz00,
		BgL_bgl_string1739za700za7za7e1765za7, "Can't open output file", 22);
	      DEFINE_STRING(BGl_string1740z00zzeffect_walkz00,
		BgL_bgl_string1740za700za7za7e1766za7, "effect_walk", 11);
	      DEFINE_STRING(BGl_string1741z00zzeffect_walkz00,
		BgL_bgl_string1741za700za7za7e1767za7,
		"top (reset-effect-tables!) pass-started ", 40);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_effectzd2walkz12zd2envz12zzeffect_walkz00,
		BgL_bgl_za762effectza7d2walk1768z00,
		BGl_z62effectzd2walkz12za2zzeffect_walkz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzeffect_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long
		BgL_checksumz00_2082, char *BgL_fromz00_2083)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzeffect_walkz00();
					BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
					BGl_cnstzd2initzd2zzeffect_walkz00();
					BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
					return BGl_methodzd2initzd2zzeffect_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			{	/* Effect/walk.scm 15 */
				obj_t BgL_cportz00_2070;

				{	/* Effect/walk.scm 15 */
					obj_t BgL_stringz00_2077;

					BgL_stringz00_2077 = BGl_string1741z00zzeffect_walkz00;
					{	/* Effect/walk.scm 15 */
						obj_t BgL_startz00_2078;

						BgL_startz00_2078 = BINT(((long) 0));
						{	/* Effect/walk.scm 15 */
							obj_t BgL_endz00_2079;

							BgL_endz00_2079 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2077)));
							{	/* Effect/walk.scm 15 */

								BgL_cportz00_2070 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2077, BgL_startz00_2078, BgL_endz00_2079);
				}}}}
				{
					long BgL_iz00_2071;

					BgL_iz00_2071 = ((long) 2);
				BgL_loopz00_2072:
					if ((BgL_iz00_2071 == ((long) -1)))
						{	/* Effect/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/walk.scm 15 */
							{	/* Effect/walk.scm 15 */
								obj_t BgL_arg1745z00_2073;

								{	/* Effect/walk.scm 15 */

									{	/* Effect/walk.scm 15 */
										obj_t BgL_locationz00_2075;

										BgL_locationz00_2075 = BBOOL(((bool_t) 0));
										{	/* Effect/walk.scm 15 */

											BgL_arg1745z00_2073 =
												BGl_readz00zz__readerz00(BgL_cportz00_2070,
												BgL_locationz00_2075);
										}
									}
								}
								{	/* Effect/walk.scm 15 */
									int BgL_tmpz00_2114;

									BgL_tmpz00_2114 = (int) (BgL_iz00_2071);
									CNST_TABLE_SET(BgL_tmpz00_2114, BgL_arg1745z00_2073);
							}}
							{	/* Effect/walk.scm 15 */
								int BgL_auxz00_2076;

								BgL_auxz00_2076 = (int) ((BgL_iz00_2071 - ((long) 1)));
								{
									long BgL_iz00_2119;

									BgL_iz00_2119 = (long) (BgL_auxz00_2076);
									BgL_iz00_2071 = BgL_iz00_2119;
									goto BgL_loopz00_2072;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* effect-walk! */
	BGL_EXPORTED_DEF obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t
		BgL_globalsz00_3, bool_t BgL_feffectz00_4)
	{
		{	/* Effect/walk.scm 33 */
			{	/* Effect/walk.scm 34 */
				obj_t BgL_list1268z00_1484;

				{	/* Effect/walk.scm 34 */
					obj_t BgL_arg1270z00_1485;

					{	/* Effect/walk.scm 34 */
						obj_t BgL_arg1271z00_1486;

						BgL_arg1271z00_1486 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1270z00_1485 =
							MAKE_YOUNG_PAIR(BGl_string1721z00zzeffect_walkz00,
							BgL_arg1271z00_1486);
					}
					BgL_list1268z00_1484 =
						MAKE_YOUNG_PAIR(BGl_string1722z00zzeffect_walkz00,
						BgL_arg1270z00_1485);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1268z00_1484);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1721z00zzeffect_walkz00;
			{	/* Effect/walk.scm 34 */
				obj_t BgL_g1112z00_1487;

				BgL_g1112z00_1487 = BNIL;
				{
					obj_t BgL_hooksz00_1490;
					obj_t BgL_hnamesz00_1491;

					BgL_hooksz00_1490 = BgL_g1112z00_1487;
					BgL_hnamesz00_1491 = BNIL;
				BgL_zc3z04anonymousza31272ze3z87_1492:
					if (NULLP(BgL_hooksz00_1490))
						{	/* Effect/walk.scm 34 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Effect/walk.scm 34 */
							bool_t BgL_test1773z00_2132;

							{	/* Effect/walk.scm 34 */
								obj_t BgL_fun1282z00_1499;

								BgL_fun1282z00_1499 = CAR(((obj_t) BgL_hooksz00_1490));
								BgL_test1773z00_2132 =
									CBOOL(
									((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun1282z00_1499)) (BgL_fun1282z00_1499,
										BEOA));
							}
							if (BgL_test1773z00_2132)
								{	/* Effect/walk.scm 34 */
									obj_t BgL_arg1276z00_1496;
									obj_t BgL_arg1278z00_1497;

									BgL_arg1276z00_1496 = CDR(((obj_t) BgL_hooksz00_1490));
									BgL_arg1278z00_1497 = CDR(((obj_t) BgL_hnamesz00_1491));
									{
										obj_t BgL_hnamesz00_2144;
										obj_t BgL_hooksz00_2143;

										BgL_hooksz00_2143 = BgL_arg1276z00_1496;
										BgL_hnamesz00_2144 = BgL_arg1278z00_1497;
										BgL_hnamesz00_1491 = BgL_hnamesz00_2144;
										BgL_hooksz00_1490 = BgL_hooksz00_2143;
										goto BgL_zc3z04anonymousza31272ze3z87_1492;
									}
								}
							else
								{	/* Effect/walk.scm 34 */
									obj_t BgL_arg1281z00_1498;

									BgL_arg1281z00_1498 = CAR(((obj_t) BgL_hnamesz00_1491));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1721z00zzeffect_walkz00,
										BGl_string1723z00zzeffect_walkz00, BgL_arg1281z00_1498);
								}
						}
				}
			}
			{
				obj_t BgL_l1247z00_1503;

				BgL_l1247z00_1503 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31284ze3z87_1504:
				if (PAIRP(BgL_l1247z00_1503))
					{	/* Effect/walk.scm 37 */
						{	/* Effect/walk.scm 38 */
							obj_t BgL_globalz00_1506;

							BgL_globalz00_1506 = CAR(BgL_l1247z00_1503);
							BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_globalz00_1506));
						}
						{
							obj_t BgL_l1247z00_2153;

							BgL_l1247z00_2153 = CDR(BgL_l1247z00_1503);
							BgL_l1247z00_1503 = BgL_l1247z00_2153;
							goto BgL_zc3z04anonymousza31284ze3z87_1504;
						}
					}
				else
					{	/* Effect/walk.scm 37 */
						((bool_t) 1);
					}
			}
			BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
				(BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00());
			{	/* Effect/walk.scm 46 */
				obj_t BgL_g1251z00_1510;

				BgL_g1251z00_1510 = BGl_getzd2varzf2allz20zzeffect_cgraphz00();
				{
					obj_t BgL_l1249z00_1512;

					BgL_l1249z00_1512 = BgL_g1251z00_1510;
				BgL_zc3z04anonymousza31294ze3z87_1513:
					if (PAIRP(BgL_l1249z00_1512))
						{	/* Effect/walk.scm 50 */
							{	/* Effect/walk.scm 47 */
								obj_t BgL_varz00_1515;

								BgL_varz00_1515 = CAR(BgL_l1249z00_1512);
								{	/* Effect/walk.scm 47 */
									BgL_valuez00_bglt BgL_funz00_1516;

									BgL_funz00_1516 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_varz00_1515)))->
										BgL_valuez00);
									if (((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_funz00_1516)))->BgL_sidezd2effectzd2) ==
											BUNSPEC))
										{	/* Effect/walk.scm 48 */
											((((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_funz00_1516)))->
													BgL_sidezd2effectzd2) = ((obj_t) BFALSE), BUNSPEC);
										}
									else
										{	/* Effect/walk.scm 48 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1249z00_2169;

								BgL_l1249z00_2169 = CDR(BgL_l1249z00_1512);
								BgL_l1249z00_1512 = BgL_l1249z00_2169;
								goto BgL_zc3z04anonymousza31294ze3z87_1513;
							}
						}
					else
						{	/* Effect/walk.scm 50 */
							((bool_t) 1);
						}
				}
			}
			{
				obj_t BgL_l1252z00_1523;

				BgL_l1252z00_1523 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31300ze3z87_1524:
				if (PAIRP(BgL_l1252z00_1523))
					{	/* Effect/walk.scm 53 */
						{	/* Effect/walk.scm 54 */
							obj_t BgL_globalz00_1526;

							BgL_globalz00_1526 = CAR(BgL_l1252z00_1523);
							{	/* Effect/walk.scm 54 */
								obj_t BgL_arg1302z00_1527;

								BgL_arg1302z00_1527 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_1526))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00((
										(BgL_nodez00_bglt) BgL_arg1302z00_1527));
							}
						}
						{
							obj_t BgL_l1252z00_2181;

							BgL_l1252z00_2181 = CDR(BgL_l1252z00_1523);
							BgL_l1252z00_1523 = BgL_l1252z00_2181;
							goto BgL_zc3z04anonymousza31300ze3z87_1524;
						}
					}
				else
					{	/* Effect/walk.scm 53 */
						((bool_t) 1);
					}
			}
			if (BgL_feffectz00_4)
				{	/* Effect/walk.scm 59 */
					BGl_feffectz12z12zzeffect_feffectz00(BgL_globalsz00_3);
				}
			else
				{	/* Effect/walk.scm 59 */
					BFALSE;
				}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Effect/walk.scm 62 */
					{	/* Effect/walk.scm 62 */
						obj_t BgL_port1254z00_1533;

						{	/* Effect/walk.scm 62 */
							obj_t BgL_tmpz00_2188;

							BgL_tmpz00_2188 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1254z00_1533 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2188);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1254z00_1533);
						bgl_display_string(BGl_string1724z00zzeffect_walkz00,
							BgL_port1254z00_1533);
						{	/* Effect/walk.scm 62 */
							obj_t BgL_arg1306z00_1534;

							{	/* Effect/walk.scm 62 */
								bool_t BgL_test1781z00_2193;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Effect/walk.scm 62 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Effect/walk.scm 62 */
												BgL_test1781z00_2193 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Effect/walk.scm 62 */
												BgL_test1781z00_2193 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Effect/walk.scm 62 */
										BgL_test1781z00_2193 = ((bool_t) 0);
									}
								if (BgL_test1781z00_2193)
									{	/* Effect/walk.scm 62 */
										BgL_arg1306z00_1534 = BGl_string1725z00zzeffect_walkz00;
									}
								else
									{	/* Effect/walk.scm 62 */
										BgL_arg1306z00_1534 = BGl_string1726z00zzeffect_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1306z00_1534, BgL_port1254z00_1533);
						}
						bgl_display_string(BGl_string1727z00zzeffect_walkz00,
							BgL_port1254z00_1533);
						bgl_display_char(((unsigned char) 10), BgL_port1254z00_1533);
					}
					{	/* Effect/walk.scm 62 */
						obj_t BgL_list1309z00_1538;

						BgL_list1309z00_1538 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1309z00_1538);
					}
				}
			else
				{	/* Effect/walk.scm 62 */
					obj_t BgL_g1114z00_1539;
					obj_t BgL_g1115z00_1540;

					{	/* Effect/walk.scm 62 */
						obj_t BgL_list1319z00_1553;

						BgL_list1319z00_1553 =
							MAKE_YOUNG_PAIR
							(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00, BNIL);
						BgL_g1114z00_1539 = BgL_list1319z00_1553;
					}
					BgL_g1115z00_1540 = CNST_TABLE_REF(((long) 1));
					{
						obj_t BgL_hooksz00_1542;
						obj_t BgL_hnamesz00_1543;

						BgL_hooksz00_1542 = BgL_g1114z00_1539;
						BgL_hnamesz00_1543 = BgL_g1115z00_1540;
					BgL_zc3z04anonymousza31310ze3z87_1544:
						if (NULLP(BgL_hooksz00_1542))
							{	/* Effect/walk.scm 62 */
								return BgL_globalsz00_3;
							}
						else
							{	/* Effect/walk.scm 62 */
								bool_t BgL_test1785z00_2212;

								{	/* Effect/walk.scm 62 */
									obj_t BgL_fun1318z00_1551;

									BgL_fun1318z00_1551 = CAR(((obj_t) BgL_hooksz00_1542));
									BgL_test1785z00_2212 =
										CBOOL(
										((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun1318z00_1551))
										(BgL_fun1318z00_1551, BEOA));
								}
								if (BgL_test1785z00_2212)
									{	/* Effect/walk.scm 62 */
										obj_t BgL_arg1315z00_1548;
										obj_t BgL_arg1316z00_1549;

										BgL_arg1315z00_1548 = CDR(((obj_t) BgL_hooksz00_1542));
										BgL_arg1316z00_1549 = CDR(((obj_t) BgL_hnamesz00_1543));
										{
											obj_t BgL_hnamesz00_2224;
											obj_t BgL_hooksz00_2223;

											BgL_hooksz00_2223 = BgL_arg1315z00_1548;
											BgL_hnamesz00_2224 = BgL_arg1316z00_1549;
											BgL_hnamesz00_1543 = BgL_hnamesz00_2224;
											BgL_hooksz00_1542 = BgL_hooksz00_2223;
											goto BgL_zc3z04anonymousza31310ze3z87_1544;
										}
									}
								else
									{	/* Effect/walk.scm 62 */
										obj_t BgL_arg1317z00_1550;

										BgL_arg1317z00_1550 = CAR(((obj_t) BgL_hnamesz00_1543));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1728z00zzeffect_walkz00, BgL_arg1317z00_1550);
									}
							}
					}
				}
		}

	}



/* &effect-walk! */
	obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t BgL_envz00_2061,
		obj_t BgL_globalsz00_2062, obj_t BgL_feffectz00_2063)
	{
		{	/* Effect/walk.scm 33 */
			return
				BGl_effectzd2walkz12zc0zzeffect_walkz00(BgL_globalsz00_2062,
				CBOOL(BgL_feffectz00_2063));
		}

	}



/* iterate-to-fix-point! */
	bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t BgL_wz00_5)
	{
		{	/* Effect/walk.scm 67 */
			if (PAIRP(BgL_wz00_5))
				{
					obj_t BgL_l1255z00_1556;

					BgL_l1255z00_1556 = BgL_wz00_5;
				BgL_zc3z04anonymousza31321ze3z87_1557:
					if (PAIRP(BgL_l1255z00_1556))
						{	/* Effect/walk.scm 69 */
							{	/* Effect/walk.scm 71 */
								obj_t BgL_varz00_1559;

								BgL_varz00_1559 = CAR(BgL_l1255z00_1556);
								{	/* Effect/walk.scm 71 */
									BgL_valuez00_bglt BgL_funz00_1560;

									BgL_funz00_1560 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_varz00_1559)))->
										BgL_valuez00);
									if (((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_funz00_1560)))->BgL_sidezd2effectzd2) ==
											BTRUE))
										{	/* Effect/walk.scm 72 */
											((bool_t) 0);
										}
									else
										{	/* Effect/walk.scm 72 */
											((((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_funz00_1560)))->
													BgL_sidezd2effectzd2) = ((obj_t) BTRUE), BUNSPEC);
											{	/* Effect/walk.scm 75 */
												bool_t BgL_test1789z00_2243;

												{	/* Effect/walk.scm 75 */
													obj_t BgL_classz00_1840;

													BgL_classz00_1840 =
														BGl_localzf2fromzf2zzeffect_cgraphz00;
													if (BGL_OBJECTP(BgL_varz00_1559))
														{	/* Effect/walk.scm 75 */
															BgL_objectz00_bglt BgL_arg1820z00_1842;

															BgL_arg1820z00_1842 =
																(BgL_objectz00_bglt) (BgL_varz00_1559);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Effect/walk.scm 75 */
																	long BgL_idxz00_1848;

																	BgL_idxz00_1848 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_1842);
																	BgL_test1789z00_2243 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_1848 + ((long) 3))) ==
																		BgL_classz00_1840);
																}
															else
																{	/* Effect/walk.scm 75 */
																	bool_t BgL_res1715z00_1870;

																	{	/* Effect/walk.scm 75 */
																		obj_t BgL_oclassz00_1856;

																		{	/* Effect/walk.scm 75 */
																			long BgL_arg1828z00_1862;

																			{	/* Effect/walk.scm 75 */
																				long BgL_arg1829z00_1863;

																				BgL_arg1829z00_1863 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_1842);
																				BgL_arg1828z00_1862 =
																					(BgL_arg1829z00_1863 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_1856 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_1862);
																		}
																		{	/* Effect/walk.scm 75 */
																			bool_t BgL__ortest_1111z00_1857;

																			BgL__ortest_1111z00_1857 =
																				(BgL_classz00_1840 ==
																				BgL_oclassz00_1856);
																			if (BgL__ortest_1111z00_1857)
																				{	/* Effect/walk.scm 75 */
																					BgL_res1715z00_1870 =
																						BgL__ortest_1111z00_1857;
																				}
																			else
																				{	/* Effect/walk.scm 75 */
																					long BgL_odepthz00_1858;

																					BgL_odepthz00_1858 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_1856);
																					if ((((long) 3) < BgL_odepthz00_1858))
																						{	/* Effect/walk.scm 75 */
																							obj_t BgL_arg1816z00_1860;

																							BgL_arg1816z00_1860 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_1856,
																								((long) 3));
																							BgL_res1715z00_1870 =
																								(BgL_arg1816z00_1860 ==
																								BgL_classz00_1840);
																						}
																					else
																						{	/* Effect/walk.scm 75 */
																							BgL_res1715z00_1870 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1789z00_2243 = BgL_res1715z00_1870;
																}
														}
													else
														{	/* Effect/walk.scm 75 */
															BgL_test1789z00_2243 = ((bool_t) 0);
														}
												}
												if (BgL_test1789z00_2243)
													{	/* Effect/walk.scm 76 */
														obj_t BgL_arg1338z00_1564;

														{
															BgL_localzf2fromzf2_bglt BgL_auxz00_2263;

															{
																obj_t BgL_auxz00_2264;

																{	/* Effect/walk.scm 76 */
																	BgL_objectz00_bglt BgL_tmpz00_2265;

																	BgL_tmpz00_2265 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_1559));
																	BgL_auxz00_2264 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2265);
																}
																BgL_auxz00_2263 =
																	((BgL_localzf2fromzf2_bglt) BgL_auxz00_2264);
															}
															BgL_arg1338z00_1564 =
																(((BgL_localzf2fromzf2_bglt)
																	COBJECT(BgL_auxz00_2263))->BgL_fromz00);
														}
														BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
															(BgL_arg1338z00_1564);
													}
												else
													{	/* Effect/walk.scm 77 */
														bool_t BgL_test1795z00_2272;

														{	/* Effect/walk.scm 77 */
															obj_t BgL_classz00_1873;

															BgL_classz00_1873 =
																BGl_globalzf2fromzf2zzeffect_cgraphz00;
															if (BGL_OBJECTP(BgL_varz00_1559))
																{	/* Effect/walk.scm 77 */
																	BgL_objectz00_bglt BgL_arg1820z00_1875;

																	BgL_arg1820z00_1875 =
																		(BgL_objectz00_bglt) (BgL_varz00_1559);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Effect/walk.scm 77 */
																			long BgL_idxz00_1881;

																			BgL_idxz00_1881 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_1875);
																			BgL_test1795z00_2272 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1881 + ((long) 3))) ==
																				BgL_classz00_1873);
																		}
																	else
																		{	/* Effect/walk.scm 77 */
																			bool_t BgL_res1716z00_1903;

																			{	/* Effect/walk.scm 77 */
																				obj_t BgL_oclassz00_1889;

																				{	/* Effect/walk.scm 77 */
																					long BgL_arg1828z00_1895;

																					{	/* Effect/walk.scm 77 */
																						long BgL_arg1829z00_1896;

																						BgL_arg1829z00_1896 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_1875);
																						BgL_arg1828z00_1895 =
																							(BgL_arg1829z00_1896 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1889 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_1895);
																				}
																				{	/* Effect/walk.scm 77 */
																					bool_t BgL__ortest_1111z00_1890;

																					BgL__ortest_1111z00_1890 =
																						(BgL_classz00_1873 ==
																						BgL_oclassz00_1889);
																					if (BgL__ortest_1111z00_1890)
																						{	/* Effect/walk.scm 77 */
																							BgL_res1716z00_1903 =
																								BgL__ortest_1111z00_1890;
																						}
																					else
																						{	/* Effect/walk.scm 77 */
																							long BgL_odepthz00_1891;

																							BgL_odepthz00_1891 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_1889);
																							if ((((long) 3) <
																									BgL_odepthz00_1891))
																								{	/* Effect/walk.scm 77 */
																									obj_t BgL_arg1816z00_1893;

																									BgL_arg1816z00_1893 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_1889,
																										((long) 3));
																									BgL_res1716z00_1903 =
																										(BgL_arg1816z00_1893 ==
																										BgL_classz00_1873);
																								}
																							else
																								{	/* Effect/walk.scm 77 */
																									BgL_res1716z00_1903 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1795z00_2272 =
																				BgL_res1716z00_1903;
																		}
																}
															else
																{	/* Effect/walk.scm 77 */
																	BgL_test1795z00_2272 = ((bool_t) 0);
																}
														}
														if (BgL_test1795z00_2272)
															{	/* Effect/walk.scm 78 */
																obj_t BgL_arg1341z00_1566;

																{
																	BgL_globalzf2fromzf2_bglt BgL_auxz00_2292;

																	{
																		obj_t BgL_auxz00_2293;

																		{	/* Effect/walk.scm 78 */
																			BgL_objectz00_bglt BgL_tmpz00_2294;

																			BgL_tmpz00_2294 =
																				((BgL_objectz00_bglt)
																				((BgL_globalz00_bglt) BgL_varz00_1559));
																			BgL_auxz00_2293 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2294);
																		}
																		BgL_auxz00_2292 =
																			((BgL_globalzf2fromzf2_bglt)
																			BgL_auxz00_2293);
																	}
																	BgL_arg1341z00_1566 =
																		(((BgL_globalzf2fromzf2_bglt)
																			COBJECT(BgL_auxz00_2292))->BgL_fromz00);
																}
																BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
																	(BgL_arg1341z00_1566);
															}
														else
															{	/* Effect/walk.scm 77 */
																((bool_t) 0);
															}
													}
											}
										}
								}
							}
							{
								obj_t BgL_l1255z00_2301;

								BgL_l1255z00_2301 = CDR(BgL_l1255z00_1556);
								BgL_l1255z00_1556 = BgL_l1255z00_2301;
								goto BgL_zc3z04anonymousza31321ze3z87_1557;
							}
						}
					else
						{	/* Effect/walk.scm 69 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Effect/walk.scm 68 */
					return ((bool_t) 0);
				}
		}

	}



/* write-effect */
	BGL_EXPORTED_DEF obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t
		BgL_globalsz00_6)
	{
		{	/* Effect/walk.scm 84 */
			{
				obj_t BgL_gz00_1602;

				{	/* Effect/walk.scm 95 */
					obj_t BgL_onamez00_1571;

					if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
						{	/* Effect/walk.scm 95 */
							BgL_onamez00_1571 = BGl_za2destza2z00zzengine_paramz00;
						}
					else
						{	/* Effect/walk.scm 97 */
							bool_t BgL_test1801z00_2305;

							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* Effect/walk.scm 97 */
									obj_t BgL_tmpz00_2308;

									BgL_tmpz00_2308 =
										CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
									BgL_test1801z00_2305 = STRINGP(BgL_tmpz00_2308);
								}
							else
								{	/* Effect/walk.scm 97 */
									BgL_test1801z00_2305 = ((bool_t) 0);
								}
							if (BgL_test1801z00_2305)
								{	/* Effect/walk.scm 97 */
									BgL_onamez00_1571 =
										string_append(BGl_prefixz00zz__osz00(CAR
											(BGl_za2srczd2filesza2zd2zzengine_paramz00)),
										BGl_string1735z00zzeffect_walkz00);
								}
							else
								{	/* Effect/walk.scm 97 */
									BgL_onamez00_1571 = BFALSE;
								}
						}
					{	/* Effect/walk.scm 95 */
						obj_t BgL_portz00_1572;

						if (STRINGP(BgL_onamez00_1571))
							{	/* Effect/walk.scm 101 */

								BgL_portz00_1572 =
									BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
									(BgL_onamez00_1571, BTRUE);
							}
						else
							{	/* Effect/walk.scm 102 */
								obj_t BgL_tmpz00_2317;

								BgL_tmpz00_2317 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_portz00_1572 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2317);
							}
						{	/* Effect/walk.scm 100 */

							if (OUTPUT_PORTP(BgL_portz00_1572))
								{	/* Effect/walk.scm 105 */
									obj_t BgL_exitd1117z00_1574;

									BgL_exitd1117z00_1574 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Effect/walk.scm 110 */
										obj_t BgL_zc3z04anonymousza31357ze3z87_2065;

										BgL_zc3z04anonymousza31357ze3z87_2065 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31357ze3ze5zzeffect_walkz00,
											(int) (((long) 0)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31357ze3z87_2065,
											(int) (((long) 0)), BgL_portz00_1572);
										{	/* Effect/walk.scm 105 */
											obj_t BgL_arg1842z00_1951;

											{	/* Effect/walk.scm 105 */
												obj_t BgL_arg1843z00_1952;

												BgL_arg1843z00_1952 =
													BGL_EXITD_PROTECT(BgL_exitd1117z00_1574);
												BgL_arg1842z00_1951 =
													MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31357ze3z87_2065,
													BgL_arg1843z00_1952);
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1117z00_1574,
												BgL_arg1842z00_1951);
											BUNSPEC;
										}
										{	/* Effect/walk.scm 107 */
											obj_t BgL_tmp1119z00_1576;

											{	/* Effect/walk.scm 107 */
												obj_t BgL_arg1346z00_1577;

												{	/* Effect/walk.scm 107 */
													obj_t BgL_tmpz00_2331;

													BgL_tmpz00_2331 = BGL_CURRENT_DYNAMIC_ENV();
													BgL_arg1346z00_1577 =
														BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2331);
												}
												bgl_display_string(BGl_string1736z00zzeffect_walkz00,
													BgL_arg1346z00_1577);
											}
											{
												obj_t BgL_l1258z00_1579;

												BgL_l1258z00_1579 = BgL_globalsz00_6;
											BgL_zc3z04anonymousza31347ze3z87_1580:
												if (PAIRP(BgL_l1258z00_1579))
													{	/* Effect/walk.scm 108 */
														BgL_gz00_1602 = CAR(BgL_l1258z00_1579);
														{	/* Effect/walk.scm 86 */
															obj_t BgL_fez00_1604;

															BgL_fez00_1604 =
																(((BgL_funz00_bglt) COBJECT(
																		((BgL_funz00_bglt)
																			(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_gz00_1602)))->
																				BgL_valuez00))))->BgL_effectz00);
															{	/* Effect/walk.scm 87 */
																bool_t BgL_test1806z00_2341;

																{	/* Effect/walk.scm 87 */
																	obj_t BgL_classz00_1909;

																	BgL_classz00_1909 =
																		BGl_feffectz00zzast_varz00;
																	if (BGL_OBJECTP(BgL_fez00_1604))
																		{	/* Effect/walk.scm 87 */
																			BgL_objectz00_bglt BgL_arg1820z00_1911;

																			BgL_arg1820z00_1911 =
																				(BgL_objectz00_bglt) (BgL_fez00_1604);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Effect/walk.scm 87 */
																					long BgL_idxz00_1917;

																					BgL_idxz00_1917 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1820z00_1911);
																					BgL_test1806z00_2341 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_1917 + ((long) 1))) ==
																						BgL_classz00_1909);
																				}
																			else
																				{	/* Effect/walk.scm 87 */
																					bool_t BgL_res1717z00_1939;

																					{	/* Effect/walk.scm 87 */
																						obj_t BgL_oclassz00_1925;

																						{	/* Effect/walk.scm 87 */
																							long BgL_arg1828z00_1931;

																							{	/* Effect/walk.scm 87 */
																								long BgL_arg1829z00_1932;

																								BgL_arg1829z00_1932 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1820z00_1911);
																								BgL_arg1828z00_1931 =
																									(BgL_arg1829z00_1932 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_1925 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1828z00_1931);
																						}
																						{	/* Effect/walk.scm 87 */
																							bool_t BgL__ortest_1111z00_1926;

																							BgL__ortest_1111z00_1926 =
																								(BgL_classz00_1909 ==
																								BgL_oclassz00_1925);
																							if (BgL__ortest_1111z00_1926)
																								{	/* Effect/walk.scm 87 */
																									BgL_res1717z00_1939 =
																										BgL__ortest_1111z00_1926;
																								}
																							else
																								{	/* Effect/walk.scm 87 */
																									long BgL_odepthz00_1927;

																									BgL_odepthz00_1927 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_1925);
																									if ((((long) 1) <
																											BgL_odepthz00_1927))
																										{	/* Effect/walk.scm 87 */
																											obj_t BgL_arg1816z00_1929;

																											BgL_arg1816z00_1929 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_1925,
																												((long) 1));
																											BgL_res1717z00_1939 =
																												(BgL_arg1816z00_1929 ==
																												BgL_classz00_1909);
																										}
																									else
																										{	/* Effect/walk.scm 87 */
																											BgL_res1717z00_1939 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test1806z00_2341 =
																						BgL_res1717z00_1939;
																				}
																		}
																	else
																		{	/* Effect/walk.scm 87 */
																			BgL_test1806z00_2341 = ((bool_t) 0);
																		}
																}
																if (BgL_test1806z00_2341)
																	{	/* Effect/walk.scm 89 */
																		bool_t BgL_test1813z00_2361;

																		if (
																			((((BgL_feffectz00_bglt) COBJECT(
																							((BgL_feffectz00_bglt)
																								BgL_fez00_1604)))->
																					BgL_readz00) ==
																				CNST_TABLE_REF(((long) 2))))
																			{	/* Effect/walk.scm 89 */
																				BgL_test1813z00_2361 =
																					(
																					(((BgL_feffectz00_bglt) COBJECT(
																								((BgL_feffectz00_bglt)
																									BgL_fez00_1604)))->
																						BgL_writez00) ==
																					CNST_TABLE_REF(((long) 2)));
																			}
																		else
																			{	/* Effect/walk.scm 89 */
																				BgL_test1813z00_2361 = ((bool_t) 0);
																			}
																		if (BgL_test1813z00_2361)
																			{	/* Effect/walk.scm 89 */
																				BFALSE;
																			}
																		else
																			{	/* Effect/walk.scm 89 */
																				{	/* Effect/walk.scm 91 */
																					obj_t BgL_arg1400z00_1612;

																					BgL_arg1400z00_1612 =
																						BGl_shapez00zztools_shapez00
																						(BgL_gz00_1602);
																					{	/* Effect/walk.scm 91 */
																						obj_t BgL_list1401z00_1613;

																						{	/* Effect/walk.scm 91 */
																							obj_t BgL_arg1421z00_1614;

																							{	/* Effect/walk.scm 91 */
																								obj_t BgL_arg1422z00_1615;

																								BgL_arg1422z00_1615 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1729z00zzeffect_walkz00,
																									BNIL);
																								BgL_arg1421z00_1614 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1400z00_1612,
																									BgL_arg1422z00_1615);
																							}
																							BgL_list1401z00_1613 =
																								MAKE_YOUNG_PAIR
																								(BGl_string1730z00zzeffect_walkz00,
																								BgL_arg1421z00_1614);
																						}
																						BGl_displayza2za2zz__r4_output_6_10_3z00
																							(BgL_list1401z00_1613);
																					}
																				}
																				if (NULLP(
																						(((BgL_feffectz00_bglt) COBJECT(
																									((BgL_feffectz00_bglt)
																										BgL_fez00_1604)))->
																							BgL_readz00)))
																					{	/* Effect/walk.scm 92 */
																						BFALSE;
																					}
																				else
																					{	/* Effect/walk.scm 92 */
																						obj_t BgL_arg1429z00_1618;

																						BgL_arg1429z00_1618 =
																							(((BgL_feffectz00_bglt) COBJECT(
																									((BgL_feffectz00_bglt)
																										BgL_fez00_1604)))->
																							BgL_readz00);
																						{	/* Effect/walk.scm 92 */
																							obj_t BgL_list1430z00_1619;

																							{	/* Effect/walk.scm 92 */
																								obj_t BgL_arg1458z00_1620;

																								{	/* Effect/walk.scm 92 */
																									obj_t BgL_arg1467z00_1621;

																									BgL_arg1467z00_1621 =
																										MAKE_YOUNG_PAIR
																										(BGl_string1731z00zzeffect_walkz00,
																										BNIL);
																									BgL_arg1458z00_1620 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1429z00_1618,
																										BgL_arg1467z00_1621);
																								}
																								BgL_list1430z00_1619 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1732z00zzeffect_walkz00,
																									BgL_arg1458z00_1620);
																							}
																							BGl_displayza2za2zz__r4_output_6_10_3z00
																								(BgL_list1430z00_1619);
																						}
																					}
																				if (NULLP(
																						(((BgL_feffectz00_bglt) COBJECT(
																									((BgL_feffectz00_bglt)
																										BgL_fez00_1604)))->
																							BgL_writez00)))
																					{	/* Effect/walk.scm 93 */
																						BFALSE;
																					}
																				else
																					{	/* Effect/walk.scm 93 */
																						obj_t BgL_arg1484z00_1625;

																						BgL_arg1484z00_1625 =
																							(((BgL_feffectz00_bglt) COBJECT(
																									((BgL_feffectz00_bglt)
																										BgL_fez00_1604)))->
																							BgL_writez00);
																						{	/* Effect/walk.scm 93 */
																							obj_t BgL_list1485z00_1626;

																							{	/* Effect/walk.scm 93 */
																								obj_t BgL_arg1496z00_1627;

																								{	/* Effect/walk.scm 93 */
																									obj_t BgL_arg1506z00_1628;

																									BgL_arg1506z00_1628 =
																										MAKE_YOUNG_PAIR
																										(BGl_string1731z00zzeffect_walkz00,
																										BNIL);
																									BgL_arg1496z00_1627 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1484z00_1625,
																										BgL_arg1506z00_1628);
																								}
																								BgL_list1485z00_1626 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1733z00zzeffect_walkz00,
																									BgL_arg1496z00_1627);
																							}
																							BGl_displayza2za2zz__r4_output_6_10_3z00
																								(BgL_list1485z00_1626);
																						}
																					}
																				{	/* Effect/walk.scm 94 */
																					obj_t BgL_port1257z00_1630;

																					{	/* Effect/walk.scm 94 */
																						obj_t BgL_tmpz00_2396;

																						BgL_tmpz00_2396 =
																							BGL_CURRENT_DYNAMIC_ENV();
																						BgL_port1257z00_1630 =
																							BGL_ENV_CURRENT_OUTPUT_PORT
																							(BgL_tmpz00_2396);
																					}
																					bgl_display_string
																						(BGl_string1734z00zzeffect_walkz00,
																						BgL_port1257z00_1630);
																					bgl_display_char(((unsigned char) 10),
																						BgL_port1257z00_1630);
																	}}}
																else
																	{	/* Effect/walk.scm 87 */
																		BFALSE;
																	}
															}
														}
														{
															obj_t BgL_l1258z00_2402;

															BgL_l1258z00_2402 = CDR(BgL_l1258z00_1579);
															BgL_l1258z00_1579 = BgL_l1258z00_2402;
															goto BgL_zc3z04anonymousza31347ze3z87_1580;
														}
													}
												else
													{	/* Effect/walk.scm 108 */
														((bool_t) 1);
													}
											}
											{	/* Effect/walk.scm 109 */
												obj_t BgL_arg1356z00_1585;

												{	/* Effect/walk.scm 109 */
													obj_t BgL_tmpz00_2404;

													BgL_tmpz00_2404 = BGL_CURRENT_DYNAMIC_ENV();
													BgL_arg1356z00_1585 =
														BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2404);
												}
												BgL_tmp1119z00_1576 =
													bgl_display_string(BGl_string1737z00zzeffect_walkz00,
													BgL_arg1356z00_1585);
											}
											{	/* Effect/walk.scm 105 */
												bool_t BgL_test1819z00_2408;

												{	/* Effect/walk.scm 105 */
													obj_t BgL_arg1841z00_1962;

													BgL_arg1841z00_1962 =
														BGL_EXITD_PROTECT(BgL_exitd1117z00_1574);
													BgL_test1819z00_2408 = PAIRP(BgL_arg1841z00_1962);
												}
												if (BgL_test1819z00_2408)
													{	/* Effect/walk.scm 105 */
														obj_t BgL_arg1838z00_1963;

														{	/* Effect/walk.scm 105 */
															obj_t BgL_arg1839z00_1964;

															BgL_arg1839z00_1964 =
																BGL_EXITD_PROTECT(BgL_exitd1117z00_1574);
															BgL_arg1838z00_1963 =
																CDR(((obj_t) BgL_arg1839z00_1964));
														}
														BGL_EXITD_PROTECT_SET(BgL_exitd1117z00_1574,
															BgL_arg1838z00_1963);
														BUNSPEC;
													}
												else
													{	/* Effect/walk.scm 105 */
														BFALSE;
													}
											}
											BGl_z62zc3z04anonymousza31357ze3ze5zzeffect_walkz00
												(BgL_zc3z04anonymousza31357ze3z87_2065);
											return BgL_tmp1119z00_1576;
										}
									}
								}
							else
								{	/* Effect/walk.scm 103 */
									return
										BGl_errorz00zz__errorz00(BGl_string1738z00zzeffect_walkz00,
										BGl_string1739z00zzeffect_walkz00, BgL_onamez00_1571);
								}
						}
					}
				}
			}
		}

	}



/* &write-effect */
	obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t BgL_envz00_2066,
		obj_t BgL_globalsz00_2067)
	{
		{	/* Effect/walk.scm 84 */
			return BGl_writezd2effectzd2zzeffect_walkz00(BgL_globalsz00_2067);
		}

	}



/* &<@anonymous:1357> */
	obj_t BGl_z62zc3z04anonymousza31357ze3ze5zzeffect_walkz00(obj_t
		BgL_envz00_2068)
	{
		{	/* Effect/walk.scm 105 */
			{	/* Effect/walk.scm 110 */
				obj_t BgL_portz00_2069;

				BgL_portz00_2069 = PROCEDURE_REF(BgL_envz00_2068, (int) (((long) 0)));
				{	/* Effect/walk.scm 110 */
					bool_t BgL_test1820z00_2420;

					{	/* Effect/walk.scm 110 */
						obj_t BgL_arg1361z00_2081;

						{	/* Effect/walk.scm 110 */
							obj_t BgL_tmpz00_2421;

							BgL_tmpz00_2421 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1361z00_2081 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2421);
						}
						BgL_test1820z00_2420 = (BgL_portz00_2069 == BgL_arg1361z00_2081);
					}
					if (BgL_test1820z00_2420)
						{	/* Effect/walk.scm 110 */
							return BFALSE;
						}
					else
						{	/* Effect/walk.scm 110 */
							return bgl_close_output_port(((obj_t) BgL_portz00_2069));
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1740z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1740z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1740z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1740z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1740z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1740z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1740z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1740z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string1740z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string1740z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string1740z00zzeffect_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1740z00zzeffect_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
