/*===========================================================================*/
/*   (Fxop/walk.scm)                                                         */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Fxop/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	BGL_EXPORTED_DECL obj_t BGl_initzd2fxopzd2cachez12z12zzfxop_walkz00(void);
	static obj_t BGl_requirezd2initializa7ationz75zzfxop_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62fxopz12z70zzfxop_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzfxop_walkz00(void);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzfxop_walkz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_objectzd2initzd2zzfxop_walkz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_z62initzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzfxop_walkz00(void);
	static obj_t BGl_fxopzd2doublezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_fxopzd2funz12zc0zzfxop_walkz00(obj_t);
	static obj_t BGl_findzd2fxopze70z35zzfxop_walkz00(obj_t);
	static bool_t BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzfxop_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62clearzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t);
	static obj_t BGl_fxopzd2simplezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzfxop_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzfxop_walkz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzfxop_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzfxop_walkz00(void);
	static BgL_nodez00_bglt BGl_bintze70ze7zzfxop_walkz00(BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 = BUNSPEC;
	static obj_t BGl_za2fxopsza2z00zzfxop_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62fxopz12zd2letzd2var1354z70zzfxop_walkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_fxopzd2walkz12zc0zzfxop_walkz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_fxopzd2boolzd2letvarzf3ze70z14zzfxop_walkz00(obj_t,
		BgL_nodez00_bglt);
	static obj_t BGl_z62fxopz121351z70zzfxop_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fxopzd2walkz12za2zzfxop_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_fxopz12z12zzfxop_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fxopzd2walkz12zd2envz12zzfxop_walkz00,
		BgL_bgl_za762fxopza7d2walkza711966za7,
		BGl_z62fxopzd2walkz12za2zzfxop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1951z00zzfxop_walkz00,
		BgL_bgl_string1951za700za7za7f1967za7, "Fxop", 4);
	      DEFINE_STRING(BGl_string1952z00zzfxop_walkz00,
		BgL_bgl_string1952za700za7za7f1968za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1953z00zzfxop_walkz00,
		BgL_bgl_string1953za700za7za7f1969za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1954z00zzfxop_walkz00,
		BgL_bgl_string1954za700za7za7f1970za7, " error", 6);
	      DEFINE_STRING(BGl_string1955z00zzfxop_walkz00,
		BgL_bgl_string1955za700za7za7f1971za7, "s", 1);
	      DEFINE_STRING(BGl_string1956z00zzfxop_walkz00,
		BgL_bgl_string1956za700za7za7f1972za7, "", 0);
	      DEFINE_STRING(BGl_string1957z00zzfxop_walkz00,
		BgL_bgl_string1957za700za7za7f1973za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1958z00zzfxop_walkz00,
		BgL_bgl_string1958za700za7za7f1974za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1960z00zzfxop_walkz00,
		BgL_bgl_string1960za700za7za7f1975za7, "fxop!1351", 9);
	      DEFINE_STRING(BGl_string1962z00zzfxop_walkz00,
		BgL_bgl_string1962za700za7za7f1976za7, "fxop!::node", 11);
	      DEFINE_STRING(BGl_string1963z00zzfxop_walkz00,
		BgL_bgl_string1963za700za7za7f1977za7, "fxop_walk", 9);
	      DEFINE_STRING(BGl_string1964z00zzfxop_walkz00,
		BgL_bgl_string1964za700za7za7f1978za7,
		"((c-+fx $addfx) (c--fx $subfx) (c-<fx $ltfx) (c-<=fx $lefx) ($c->fx $c-gtfx) ($c->=fx $c-gefx) ($c-=fx $c-egfx)) $long->bint $bint->long foreign (clear-fxop-cache!) pass-started (init-fxop-cache!) ",
		197);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zzfxop_walkz00,
		BgL_bgl_za762fxopza7121351za771979za7, BGl_z62fxopz121351z70zzfxop_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zzfxop_walkz00,
		BgL_bgl_za762fxopza712za7d2let1980za7,
		BGl_z62fxopz12zd2letzd2var1354z70zzfxop_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00,
		BgL_bgl_za762clearza7d2fxopza71981za7,
		BGl_z62clearzd2fxopzd2cachez12z70zzfxop_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fxopz12zd2envzc0zzfxop_walkz00,
		BgL_bgl_za762fxopza712za770za7za7f1982za7, BGl_z62fxopz12z70zzfxop_walkz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00,
		BgL_bgl_za762initza7d2fxopza7d1983za7,
		BGl_z62initzd2fxopzd2cachez12z70zzfxop_walkz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzfxop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2longzd2ze3bintza2z31zzfxop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2bintzd2ze3longza2z31zzfxop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2fxopsza2z00zzfxop_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzfxop_walkz00(long
		BgL_checksumz00_2690, char *BgL_fromz00_2691)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzfxop_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzfxop_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzfxop_walkz00();
					BGl_libraryzd2moduleszd2initz00zzfxop_walkz00();
					BGl_cnstzd2initzd2zzfxop_walkz00();
					BGl_importedzd2moduleszd2initz00zzfxop_walkz00();
					BGl_genericzd2initzd2zzfxop_walkz00();
					BGl_methodzd2initzd2zzfxop_walkz00();
					return BGl_toplevelzd2initzd2zzfxop_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "fxop_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			{	/* Fxop/walk.scm 21 */
				obj_t BgL_cportz00_2562;

				{	/* Fxop/walk.scm 21 */
					obj_t BgL_stringz00_2569;

					BgL_stringz00_2569 = BGl_string1964z00zzfxop_walkz00;
					{	/* Fxop/walk.scm 21 */
						obj_t BgL_startz00_2570;

						BgL_startz00_2570 = BINT(((long) 0));
						{	/* Fxop/walk.scm 21 */
							obj_t BgL_endz00_2571;

							BgL_endz00_2571 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2569)));
							{	/* Fxop/walk.scm 21 */

								BgL_cportz00_2562 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2569, BgL_startz00_2570, BgL_endz00_2571);
				}}}}
				{
					long BgL_iz00_2563;

					BgL_iz00_2563 = ((long) 6);
				BgL_loopz00_2564:
					if ((BgL_iz00_2563 == ((long) -1)))
						{	/* Fxop/walk.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Fxop/walk.scm 21 */
							{	/* Fxop/walk.scm 21 */
								obj_t BgL_arg1965z00_2565;

								{	/* Fxop/walk.scm 21 */

									{	/* Fxop/walk.scm 21 */
										obj_t BgL_locationz00_2567;

										BgL_locationz00_2567 = BBOOL(((bool_t) 0));
										{	/* Fxop/walk.scm 21 */

											BgL_arg1965z00_2565 =
												BGl_readz00zz__readerz00(BgL_cportz00_2562,
												BgL_locationz00_2567);
										}
									}
								}
								{	/* Fxop/walk.scm 21 */
									int BgL_tmpz00_2724;

									BgL_tmpz00_2724 = (int) (BgL_iz00_2563);
									CNST_TABLE_SET(BgL_tmpz00_2724, BgL_arg1965z00_2565);
							}}
							{	/* Fxop/walk.scm 21 */
								int BgL_auxz00_2568;

								BgL_auxz00_2568 = (int) ((BgL_iz00_2563 - ((long) 1)));
								{
									long BgL_iz00_2729;

									BgL_iz00_2729 = (long) (BgL_auxz00_2568);
									BgL_iz00_2563 = BgL_iz00_2729;
									goto BgL_loopz00_2564;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 = BUNSPEC;
			BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 = BUNSPEC;
			BGl_za2fxopsza2z00zzfxop_walkz00 = BNIL;
			return BUNSPEC;
		}

	}



/* fxop-walk! */
	BGL_EXPORTED_DEF obj_t BGl_fxopzd2walkz12zc0zzfxop_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Fxop/walk.scm 45 */
			{	/* Fxop/walk.scm 46 */
				obj_t BgL_list1376z00_1470;

				{	/* Fxop/walk.scm 46 */
					obj_t BgL_arg1378z00_1471;

					{	/* Fxop/walk.scm 46 */
						obj_t BgL_arg1381z00_1472;

						BgL_arg1381z00_1472 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1378z00_1471 =
							MAKE_YOUNG_PAIR(BGl_string1951z00zzfxop_walkz00,
							BgL_arg1381z00_1472);
					}
					BgL_list1376z00_1470 =
						MAKE_YOUNG_PAIR(BGl_string1952z00zzfxop_walkz00,
						BgL_arg1378z00_1471);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1376z00_1470);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1951z00zzfxop_walkz00;
			{	/* Fxop/walk.scm 46 */
				obj_t BgL_g1117z00_1473;
				obj_t BgL_g1118z00_1474;

				{	/* Fxop/walk.scm 46 */
					obj_t BgL_list1391z00_1487;

					BgL_list1391z00_1487 =
						MAKE_YOUNG_PAIR(BGl_initzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00,
						BNIL);
					BgL_g1117z00_1473 = BgL_list1391z00_1487;
				}
				BgL_g1118z00_1474 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1476;
					obj_t BgL_hnamesz00_1477;

					BgL_hooksz00_1476 = BgL_g1117z00_1473;
					BgL_hnamesz00_1477 = BgL_g1118z00_1474;
				BgL_zc3z04anonymousza31382ze3z87_1478:
					if (NULLP(BgL_hooksz00_1476))
						{	/* Fxop/walk.scm 46 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Fxop/walk.scm 46 */
							bool_t BgL_test1987z00_2744;

							{	/* Fxop/walk.scm 46 */
								obj_t BgL_fun1390z00_1485;

								BgL_fun1390z00_1485 = CAR(((obj_t) BgL_hooksz00_1476));
								BgL_test1987z00_2744 =
									CBOOL(
									((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun1390z00_1485)) (BgL_fun1390z00_1485,
										BEOA));
							}
							if (BgL_test1987z00_2744)
								{	/* Fxop/walk.scm 46 */
									obj_t BgL_arg1387z00_1482;
									obj_t BgL_arg1388z00_1483;

									BgL_arg1387z00_1482 = CDR(((obj_t) BgL_hooksz00_1476));
									BgL_arg1388z00_1483 = CDR(((obj_t) BgL_hnamesz00_1477));
									{
										obj_t BgL_hnamesz00_2756;
										obj_t BgL_hooksz00_2755;

										BgL_hooksz00_2755 = BgL_arg1387z00_1482;
										BgL_hnamesz00_2756 = BgL_arg1388z00_1483;
										BgL_hnamesz00_1477 = BgL_hnamesz00_2756;
										BgL_hooksz00_1476 = BgL_hooksz00_2755;
										goto BgL_zc3z04anonymousza31382ze3z87_1478;
									}
								}
							else
								{	/* Fxop/walk.scm 46 */
									obj_t BgL_arg1389z00_1484;

									BgL_arg1389z00_1484 = CAR(((obj_t) BgL_hnamesz00_1477));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1951z00zzfxop_walkz00,
										BGl_string1953z00zzfxop_walkz00, BgL_arg1389z00_1484);
								}
						}
				}
			}
			{
				obj_t BgL_l1343z00_1489;

				BgL_l1343z00_1489 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31392ze3z87_1490:
				if (PAIRP(BgL_l1343z00_1489))
					{	/* Fxop/walk.scm 47 */
						BGl_fxopzd2funz12zc0zzfxop_walkz00(CAR(BgL_l1343z00_1489));
						{
							obj_t BgL_l1343z00_2764;

							BgL_l1343z00_2764 = CDR(BgL_l1343z00_1489);
							BgL_l1343z00_1489 = BgL_l1343z00_2764;
							goto BgL_zc3z04anonymousza31392ze3z87_1490;
						}
					}
				else
					{	/* Fxop/walk.scm 47 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Fxop/walk.scm 48 */
					{	/* Fxop/walk.scm 48 */
						obj_t BgL_port1345z00_1497;

						{	/* Fxop/walk.scm 48 */
							obj_t BgL_tmpz00_2769;

							BgL_tmpz00_2769 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1345z00_1497 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2769);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1345z00_1497);
						bgl_display_string(BGl_string1954z00zzfxop_walkz00,
							BgL_port1345z00_1497);
						{	/* Fxop/walk.scm 48 */
							obj_t BgL_arg1426z00_1498;

							{	/* Fxop/walk.scm 48 */
								bool_t BgL_test1990z00_2774;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Fxop/walk.scm 48 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Fxop/walk.scm 48 */
												BgL_test1990z00_2774 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Fxop/walk.scm 48 */
												BgL_test1990z00_2774 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Fxop/walk.scm 48 */
										BgL_test1990z00_2774 = ((bool_t) 0);
									}
								if (BgL_test1990z00_2774)
									{	/* Fxop/walk.scm 48 */
										BgL_arg1426z00_1498 = BGl_string1955z00zzfxop_walkz00;
									}
								else
									{	/* Fxop/walk.scm 48 */
										BgL_arg1426z00_1498 = BGl_string1956z00zzfxop_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1426z00_1498, BgL_port1345z00_1497);
						}
						bgl_display_string(BGl_string1957z00zzfxop_walkz00,
							BgL_port1345z00_1497);
						bgl_display_char(((unsigned char) 10), BgL_port1345z00_1497);
					}
					{	/* Fxop/walk.scm 48 */
						obj_t BgL_list1429z00_1502;

						BgL_list1429z00_1502 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1429z00_1502);
					}
				}
			else
				{	/* Fxop/walk.scm 48 */
					obj_t BgL_g1119z00_1503;
					obj_t BgL_g1120z00_1504;

					{	/* Fxop/walk.scm 48 */
						obj_t BgL_list1470z00_1517;

						BgL_list1470z00_1517 =
							MAKE_YOUNG_PAIR
							(BGl_clearzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00, BNIL);
						BgL_g1119z00_1503 = BgL_list1470z00_1517;
					}
					BgL_g1120z00_1504 = CNST_TABLE_REF(((long) 2));
					{
						obj_t BgL_hooksz00_1506;
						obj_t BgL_hnamesz00_1507;

						BgL_hooksz00_1506 = BgL_g1119z00_1503;
						BgL_hnamesz00_1507 = BgL_g1120z00_1504;
					BgL_zc3z04anonymousza31430ze3z87_1508:
						if (NULLP(BgL_hooksz00_1506))
							{	/* Fxop/walk.scm 48 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Fxop/walk.scm 48 */
								bool_t BgL_test1994z00_2793;

								{	/* Fxop/walk.scm 48 */
									obj_t BgL_fun1469z00_1515;

									BgL_fun1469z00_1515 = CAR(((obj_t) BgL_hooksz00_1506));
									BgL_test1994z00_2793 =
										CBOOL(
										((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun1469z00_1515))
										(BgL_fun1469z00_1515, BEOA));
								}
								if (BgL_test1994z00_2793)
									{	/* Fxop/walk.scm 48 */
										obj_t BgL_arg1458z00_1512;
										obj_t BgL_arg1467z00_1513;

										BgL_arg1458z00_1512 = CDR(((obj_t) BgL_hooksz00_1506));
										BgL_arg1467z00_1513 = CDR(((obj_t) BgL_hnamesz00_1507));
										{
											obj_t BgL_hnamesz00_2805;
											obj_t BgL_hooksz00_2804;

											BgL_hooksz00_2804 = BgL_arg1458z00_1512;
											BgL_hnamesz00_2805 = BgL_arg1467z00_1513;
											BgL_hnamesz00_1507 = BgL_hnamesz00_2805;
											BgL_hooksz00_1506 = BgL_hooksz00_2804;
											goto BgL_zc3z04anonymousza31430ze3z87_1508;
										}
									}
								else
									{	/* Fxop/walk.scm 48 */
										obj_t BgL_arg1468z00_1514;

										BgL_arg1468z00_1514 = CAR(((obj_t) BgL_hnamesz00_1507));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1958z00zzfxop_walkz00, BgL_arg1468z00_1514);
									}
							}
					}
				}
		}

	}



/* &fxop-walk! */
	obj_t BGl_z62fxopzd2walkz12za2zzfxop_walkz00(obj_t BgL_envz00_2549,
		obj_t BgL_globalsz00_2550)
	{
		{	/* Fxop/walk.scm 45 */
			return BGl_fxopzd2walkz12zc0zzfxop_walkz00(BgL_globalsz00_2550);
		}

	}



/* init-fxop-cache! */
	BGL_EXPORTED_DEF obj_t BGl_initzd2fxopzd2cachez12z12zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 60 */
			if (PAIRP(BGl_za2fxopsza2z00zzfxop_walkz00))
				{	/* Fxop/walk.scm 61 */
					BFALSE;
				}
			else
				{	/* Fxop/walk.scm 61 */
					{	/* Fxop/walk.scm 62 */
						obj_t BgL_list1472z00_1519;

						BgL_list1472z00_1519 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
						BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 4)),
							BgL_list1472z00_1519);
					}
					{	/* Fxop/walk.scm 63 */
						obj_t BgL_list1473z00_1520;

						BgL_list1473z00_1520 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
						BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
							BgL_list1473z00_1520);
					}
					{	/* Fxop/walk.scm 65 */
						obj_t BgL_l1346z00_1521;

						BgL_l1346z00_1521 = CNST_TABLE_REF(((long) 6));
						{	/* Fxop/walk.scm 65 */
							obj_t BgL_head1348z00_1523;

							BgL_head1348z00_1523 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1346z00_1525;
								obj_t BgL_tail1349z00_1526;

								BgL_l1346z00_1525 = BgL_l1346z00_1521;
								BgL_tail1349z00_1526 = BgL_head1348z00_1523;
							BgL_zc3z04anonymousza31475ze3z87_1527:
								if (NULLP(BgL_l1346z00_1525))
									{	/* Fxop/walk.scm 65 */
										BGl_za2fxopsza2z00zzfxop_walkz00 =
											CDR(BgL_head1348z00_1523);
									}
								else
									{	/* Fxop/walk.scm 65 */
										obj_t BgL_newtail1350z00_1529;

										{	/* Fxop/walk.scm 65 */
											obj_t BgL_arg1484z00_1531;

											{	/* Fxop/walk.scm 65 */
												obj_t BgL_utz00_1532;

												BgL_utz00_1532 = CAR(((obj_t) BgL_l1346z00_1525));
												{	/* Fxop/walk.scm 66 */
													obj_t BgL_arg1496z00_1533;
													obj_t BgL_arg1506z00_1534;

													{	/* Fxop/walk.scm 66 */
														obj_t BgL_arg1510z00_1535;

														BgL_arg1510z00_1535 = CAR(((obj_t) BgL_utz00_1532));
														{	/* Fxop/walk.scm 66 */
															obj_t BgL_list1511z00_1536;

															BgL_list1511z00_1536 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
																BNIL);
															BgL_arg1496z00_1533 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_arg1510z00_1535, BgL_list1511z00_1536);
													}}
													{	/* Fxop/walk.scm 67 */
														obj_t BgL_arg1521z00_1537;

														{	/* Fxop/walk.scm 67 */
															obj_t BgL_pairz00_2041;

															BgL_pairz00_2041 = CDR(((obj_t) BgL_utz00_1532));
															BgL_arg1521z00_1537 = CAR(BgL_pairz00_2041);
														}
														{	/* Fxop/walk.scm 67 */
															obj_t BgL_list1522z00_1538;

															BgL_list1522z00_1538 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
																BNIL);
															BgL_arg1506z00_1534 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_arg1521z00_1537, BgL_list1522z00_1538);
													}}
													BgL_arg1484z00_1531 =
														MAKE_YOUNG_PAIR(BgL_arg1496z00_1533,
														BgL_arg1506z00_1534);
											}}
											BgL_newtail1350z00_1529 =
												MAKE_YOUNG_PAIR(BgL_arg1484z00_1531, BNIL);
										}
										SET_CDR(BgL_tail1349z00_1526, BgL_newtail1350z00_1529);
										{	/* Fxop/walk.scm 65 */
											obj_t BgL_arg1482z00_1530;

											BgL_arg1482z00_1530 = CDR(((obj_t) BgL_l1346z00_1525));
											{
												obj_t BgL_tail1349z00_2844;
												obj_t BgL_l1346z00_2843;

												BgL_l1346z00_2843 = BgL_arg1482z00_1530;
												BgL_tail1349z00_2844 = BgL_newtail1350z00_1529;
												BgL_tail1349z00_1526 = BgL_tail1349z00_2844;
												BgL_l1346z00_1525 = BgL_l1346z00_2843;
												goto BgL_zc3z04anonymousza31475ze3z87_1527;
											}
										}
									}
							}
						}
					}
				}
			return BUNSPEC;
		}

	}



/* &init-fxop-cache! */
	obj_t BGl_z62initzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t BgL_envz00_2551)
	{
		{	/* Fxop/walk.scm 60 */
			return BGl_initzd2fxopzd2cachez12z12zzfxop_walkz00();
		}

	}



/* &clear-fxop-cache! */
	obj_t BGl_z62clearzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t BgL_envz00_2552)
	{
		{	/* Fxop/walk.scm 80 */
			BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 = BFALSE;
			BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 = BFALSE;
			return (BGl_za2fxopsza2z00zzfxop_walkz00 = BNIL, BUNSPEC);
		}

	}



/* fxop-fun! */
	obj_t BGl_fxopzd2funz12zc0zzfxop_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Fxop/walk.scm 88 */
			{	/* Fxop/walk.scm 89 */
				obj_t BgL_arg1523z00_1540;

				BgL_arg1523z00_1540 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1523z00_1540);
			}
			{	/* Fxop/walk.scm 90 */
				BgL_valuez00_bglt BgL_funz00_1541;

				BgL_funz00_1541 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Fxop/walk.scm 91 */
					BgL_nodez00_bglt BgL_arg1524z00_1542;

					{	/* Fxop/walk.scm 91 */
						obj_t BgL_arg1526z00_1543;

						BgL_arg1526z00_1543 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1541)))->BgL_bodyz00);
						BgL_arg1524z00_1542 =
							BGl_fxopz12z12zzfxop_walkz00(
							((BgL_nodez00_bglt) BgL_arg1526z00_1543));
					}
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1541)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_arg1524z00_1542)), BUNSPEC);
				}
				BGl_leavezd2functionzd2zztools_errorz00();
				return BgL_varz00_18;
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fxopz12zd2envzc0zzfxop_walkz00, BGl_proc1959z00zzfxop_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string1960z00zzfxop_walkz00);
		}

	}



/* &fxop!1351 */
	obj_t BGl_z62fxopz121351z70zzfxop_walkz00(obj_t BgL_envz00_2556,
		obj_t BgL_nodez00_2557)
	{
		{	/* Fxop/walk.scm 98 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2557),
					BGl_fxopz12zd2envzc0zzfxop_walkz00));
		}

	}



/* fxop! */
	BgL_nodez00_bglt BGl_fxopz12z12zzfxop_walkz00(BgL_nodez00_bglt BgL_nodez00_19)
	{
		{	/* Fxop/walk.scm 98 */
			{	/* Fxop/walk.scm 98 */
				obj_t BgL_method1352z00_1559;

				{	/* Fxop/walk.scm 98 */
					obj_t BgL_res1936z00_2079;

					{	/* Fxop/walk.scm 98 */
						long BgL_objzd2classzd2numz00_2050;

						BgL_objzd2classzd2numz00_2050 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Fxop/walk.scm 98 */
							obj_t BgL_arg1825z00_2051;

							BgL_arg1825z00_2051 =
								PROCEDURE_REF(BGl_fxopz12zd2envzc0zzfxop_walkz00,
								(int) (((long) 1)));
							{	/* Fxop/walk.scm 98 */
								int BgL_offsetz00_2054;

								BgL_offsetz00_2054 = (int) (BgL_objzd2classzd2numz00_2050);
								{	/* Fxop/walk.scm 98 */
									long BgL_offsetz00_2055;

									BgL_offsetz00_2055 =
										((long) (BgL_offsetz00_2054) - OBJECT_TYPE);
									{	/* Fxop/walk.scm 98 */
										long BgL_modz00_2056;

										BgL_modz00_2056 =
											(BgL_offsetz00_2055 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Fxop/walk.scm 98 */
											long BgL_restz00_2058;

											BgL_restz00_2058 =
												(BgL_offsetz00_2055 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Fxop/walk.scm 98 */

												{	/* Fxop/walk.scm 98 */
													obj_t BgL_bucketz00_2060;

													BgL_bucketz00_2060 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2051), BgL_modz00_2056);
													BgL_res1936z00_2079 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2060), BgL_restz00_2058);
					}}}}}}}}
					BgL_method1352z00_1559 = BgL_res1936z00_2079;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1352z00_1559)) (BgL_method1352z00_1559,
						((obj_t) BgL_nodez00_19), BEOA));
			}
		}

	}



/* &fxop! */
	BgL_nodez00_bglt BGl_z62fxopz12z70zzfxop_walkz00(obj_t BgL_envz00_2554,
		obj_t BgL_nodez00_2555)
	{
		{	/* Fxop/walk.scm 98 */
			return
				BGl_fxopz12z12zzfxop_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2555));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fxopz12zd2envzc0zzfxop_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1961z00zzfxop_walkz00, BGl_string1962z00zzfxop_walkz00);
		}

	}



/* &fxop!-let-var1354 */
	BgL_nodez00_bglt BGl_z62fxopz12zd2letzd2var1354z70zzfxop_walkz00(obj_t
		BgL_envz00_2559, obj_t BgL_nodez00_2560)
	{
		{	/* Fxop/walk.scm 104 */
			{
				obj_t BgL_opz00_2664;
				BgL_letzd2varzd2_bglt BgL_nodez00_2665;
				obj_t BgL_opz00_2598;
				BgL_letzd2varzd2_bglt BgL_nodez00_2599;
				obj_t BgL_opz00_2578;
				BgL_letzd2varzd2_bglt BgL_nodez00_2579;

				{	/* Fxop/walk.scm 220 */
					obj_t BgL_g1162z00_2684;

					{	/* Fxop/walk.scm 220 */
						bool_t BgL_test1997z00_2897;

						{	/* Fxop/walk.scm 220 */
							BgL_typez00_bglt BgL_arg1580z00_2685;

							BgL_arg1580z00_2685 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2560))))->
								BgL_typez00);
							BgL_test1997z00_2897 =
								(((obj_t) BgL_arg1580z00_2685) ==
								BGl_za2bintza2z00zztype_cachez00);
						}
						if (BgL_test1997z00_2897)
							{	/* Fxop/walk.scm 220 */
								BgL_g1162z00_2684 =
									BGl_fxopzd2doublezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2560)))->
										BgL_bindingsz00),
									(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
													BgL_nodez00_2560)))->BgL_bodyz00));
							}
						else
							{	/* Fxop/walk.scm 220 */
								BgL_g1162z00_2684 = BFALSE;
							}
					}
					if (CBOOL(BgL_g1162z00_2684))
						{
							BgL_appz00_bglt BgL_auxz00_2910;

							BgL_opz00_2578 = BgL_g1162z00_2684;
							BgL_nodez00_2579 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2560);
							{	/* Fxop/walk.scm 177 */
								BgL_appz00_bglt BgL_new1145z00_2580;

								{	/* Fxop/walk.scm 177 */
									BgL_appz00_bglt BgL_new1144z00_2581;

									BgL_new1144z00_2581 =
										((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Fxop/walk.scm 177 */
										long BgL_arg1723z00_2582;

										BgL_arg1723z00_2582 =
											BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1144z00_2581),
											BgL_arg1723z00_2582);
									}
									{	/* Fxop/walk.scm 177 */
										BgL_objectz00_bglt BgL_tmpz00_2915;

										BgL_tmpz00_2915 =
											((BgL_objectz00_bglt) BgL_new1144z00_2581);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2915, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1144z00_2581);
									BgL_new1145z00_2580 = BgL_new1144z00_2581;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1145z00_2580)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1145z00_2580)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1145z00_2580)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1145z00_2580)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								{
									BgL_varz00_bglt BgL_auxz00_2929;

									{	/* Fxop/walk.scm 179 */
										BgL_refz00_bglt BgL_new1147z00_2583;

										{	/* Fxop/walk.scm 179 */
											BgL_refz00_bglt BgL_new1146z00_2584;

											BgL_new1146z00_2584 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Fxop/walk.scm 179 */
												long BgL_arg1696z00_2585;

												{	/* Fxop/walk.scm 179 */
													obj_t BgL_classz00_2586;

													BgL_classz00_2586 = BGl_refz00zzast_nodez00;
													BgL_arg1696z00_2585 =
														BGL_CLASS_NUM(BgL_classz00_2586);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1146z00_2584),
													BgL_arg1696z00_2585);
											}
											{	/* Fxop/walk.scm 179 */
												BgL_objectz00_bglt BgL_tmpz00_2934;

												BgL_tmpz00_2934 =
													((BgL_objectz00_bglt) BgL_new1146z00_2584);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2934, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1146z00_2584);
											BgL_new1147z00_2583 = BgL_new1146z00_2584;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1147z00_2583)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1147z00_2583)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1147z00_2583)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BgL_opz00_2578)), BUNSPEC);
										BgL_auxz00_2929 = ((BgL_varz00_bglt) BgL_new1147z00_2583);
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1145z00_2580))->
											BgL_funz00) =
										((BgL_varz00_bglt) BgL_auxz00_2929), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_2948;

									{	/* Fxop/walk.scm 183 */
										BgL_nodez00_bglt BgL_arg1697z00_2587;
										BgL_nodez00_bglt BgL_arg1698z00_2588;

										{	/* Fxop/walk.scm 183 */
											obj_t BgL_arg1711z00_2589;

											{	/* Fxop/walk.scm 183 */
												obj_t BgL_pairz00_2590;

												BgL_pairz00_2590 =
													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2579))->
													BgL_bindingsz00);
												{	/* Fxop/walk.scm 183 */
													obj_t BgL_pairz00_2591;

													BgL_pairz00_2591 = CAR(BgL_pairz00_2590);
													BgL_arg1711z00_2589 = CDR(BgL_pairz00_2591);
											}}
											BgL_arg1697z00_2587 =
												BGl_bintze70ze7zzfxop_walkz00(
												((BgL_nodez00_bglt) BgL_arg1711z00_2589));
										}
										{	/* Fxop/walk.scm 184 */
											obj_t BgL_arg1720z00_2592;

											{	/* Fxop/walk.scm 184 */
												obj_t BgL_pairz00_2593;

												BgL_pairz00_2593 =
													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2579))->
													BgL_bindingsz00);
												{	/* Fxop/walk.scm 184 */
													obj_t BgL_pairz00_2594;

													{	/* Fxop/walk.scm 184 */
														obj_t BgL_pairz00_2595;

														BgL_pairz00_2595 = CDR(BgL_pairz00_2593);
														BgL_pairz00_2594 = CAR(BgL_pairz00_2595);
													}
													BgL_arg1720z00_2592 = CDR(BgL_pairz00_2594);
											}}
											BgL_arg1698z00_2588 =
												BGl_bintze70ze7zzfxop_walkz00(
												((BgL_nodez00_bglt) BgL_arg1720z00_2592));
										}
										{	/* Fxop/walk.scm 182 */
											obj_t BgL_list1699z00_2596;

											{	/* Fxop/walk.scm 182 */
												obj_t BgL_arg1705z00_2597;

												BgL_arg1705z00_2597 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1698z00_2588), BNIL);
												BgL_list1699z00_2596 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1697z00_2587), BgL_arg1705z00_2597);
											}
											BgL_auxz00_2948 = BgL_list1699z00_2596;
									}}
									((((BgL_appz00_bglt) COBJECT(BgL_new1145z00_2580))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_2948), BUNSPEC);
								}
								((((BgL_appz00_bglt) COBJECT(BgL_new1145z00_2580))->
										BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_auxz00_2910 = BgL_new1145z00_2580;
							}
							return ((BgL_nodez00_bglt) BgL_auxz00_2910);
						}
					else
						{	/* Fxop/walk.scm 224 */
							obj_t BgL_g1165z00_2686;

							{	/* Fxop/walk.scm 224 */
								bool_t BgL_test1999z00_2968;

								{	/* Fxop/walk.scm 224 */
									BgL_typez00_bglt BgL_arg1567z00_2687;

									BgL_arg1567z00_2687 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2560))))->
										BgL_typez00);
									BgL_test1999z00_2968 =
										(((obj_t) BgL_arg1567z00_2687) ==
										BGl_za2bintza2z00zztype_cachez00);
								}
								if (BgL_test1999z00_2968)
									{	/* Fxop/walk.scm 224 */
										BgL_g1165z00_2686 =
											BGl_fxopzd2simplezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2560)))->
												BgL_bindingsz00),
											(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
															BgL_nodez00_2560)))->BgL_bodyz00));
									}
								else
									{	/* Fxop/walk.scm 224 */
										BgL_g1165z00_2686 = BFALSE;
									}
							}
							if (CBOOL(BgL_g1165z00_2686))
								{
									BgL_appz00_bglt BgL_auxz00_2981;

									BgL_opz00_2598 = BgL_g1165z00_2686;
									BgL_nodez00_2599 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2560);
									{	/* Fxop/walk.scm 188 */
										obj_t BgL_callz00_2600;

										{	/* Fxop/walk.scm 188 */
											obj_t BgL_pairz00_2601;

											BgL_pairz00_2601 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt)
															(((BgL_letzd2varzd2_bglt)
																	COBJECT(BgL_nodez00_2599))->BgL_bodyz00))))->
												BgL_argsz00);
											BgL_callz00_2600 = CAR(BgL_pairz00_2601);
										}
										{	/* Fxop/walk.scm 190 */
											BgL_appz00_bglt BgL_new1151z00_2602;

											{	/* Fxop/walk.scm 190 */
												BgL_appz00_bglt BgL_new1150z00_2603;

												BgL_new1150z00_2603 =
													((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_appz00_bgl))));
												{	/* Fxop/walk.scm 190 */
													long BgL_arg1845z00_2604;

													BgL_arg1845z00_2604 =
														BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1150z00_2603),
														BgL_arg1845z00_2604);
												}
												{	/* Fxop/walk.scm 190 */
													BgL_objectz00_bglt BgL_tmpz00_2990;

													BgL_tmpz00_2990 =
														((BgL_objectz00_bglt) BgL_new1150z00_2603);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2990, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1150z00_2603);
												BgL_new1151z00_2602 = BgL_new1150z00_2603;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1151z00_2602)))->
													BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1151z00_2602)))->BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
											((((BgL_nodezf2effectzf2_bglt)
														COBJECT(((BgL_nodezf2effectzf2_bglt)
																BgL_new1151z00_2602)))->BgL_sidezd2effectzd2) =
												((obj_t) BUNSPEC), BUNSPEC);
											((((BgL_nodezf2effectzf2_bglt)
														COBJECT(((BgL_nodezf2effectzf2_bglt)
																BgL_new1151z00_2602)))->BgL_keyz00) =
												((obj_t) BINT(((long) -1))), BUNSPEC);
											{
												BgL_varz00_bglt BgL_auxz00_3004;

												{	/* Fxop/walk.scm 192 */
													BgL_refz00_bglt BgL_new1153z00_2605;

													{	/* Fxop/walk.scm 192 */
														BgL_refz00_bglt BgL_new1152z00_2606;

														BgL_new1152z00_2606 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Fxop/walk.scm 192 */
															long BgL_arg1728z00_2607;

															{	/* Fxop/walk.scm 192 */
																obj_t BgL_classz00_2608;

																BgL_classz00_2608 = BGl_refz00zzast_nodez00;
																BgL_arg1728z00_2607 =
																	BGL_CLASS_NUM(BgL_classz00_2608);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1152z00_2606),
																BgL_arg1728z00_2607);
														}
														{	/* Fxop/walk.scm 192 */
															BgL_objectz00_bglt BgL_tmpz00_3009;

															BgL_tmpz00_3009 =
																((BgL_objectz00_bglt) BgL_new1152z00_2606);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3009, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1152z00_2606);
														BgL_new1153z00_2605 = BgL_new1152z00_2606;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1153z00_2605)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1153z00_2605)))->BgL_typez00) =
														((BgL_typez00_bglt) ((BgL_typez00_bglt)
																BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_new1153z00_2605)))->BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BgL_opz00_2598)), BUNSPEC);
													BgL_auxz00_3004 =
														((BgL_varz00_bglt) BgL_new1153z00_2605);
												}
												((((BgL_appz00_bglt) COBJECT(BgL_new1151z00_2602))->
														BgL_funz00) =
													((BgL_varz00_bglt) BgL_auxz00_3004), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_3023;

												{	/* Fxop/walk.scm 196 */
													BgL_nodez00_bglt BgL_arg1730z00_2609;
													BgL_nodez00_bglt BgL_arg1731z00_2610;

													{	/* Fxop/walk.scm 196 */
														bool_t BgL_test2001z00_3024;

														{	/* Fxop/walk.scm 196 */
															bool_t BgL_test2002z00_3025;

															{	/* Fxop/walk.scm 196 */
																obj_t BgL_arg1771z00_2611;

																{	/* Fxop/walk.scm 196 */
																	obj_t BgL_pairz00_2612;

																	BgL_pairz00_2612 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2600)))->
																		BgL_argsz00);
																	BgL_arg1771z00_2611 = CAR(BgL_pairz00_2612);
																}
																{	/* Fxop/walk.scm 196 */
																	obj_t BgL_classz00_2613;

																	BgL_classz00_2613 = BGl_varz00zzast_nodez00;
																	if (BGL_OBJECTP(BgL_arg1771z00_2611))
																		{	/* Fxop/walk.scm 196 */
																			BgL_objectz00_bglt BgL_arg1820z00_2614;

																			BgL_arg1820z00_2614 =
																				(BgL_objectz00_bglt)
																				(BgL_arg1771z00_2611);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Fxop/walk.scm 196 */
																					long BgL_idxz00_2615;

																					BgL_idxz00_2615 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1820z00_2614);
																					{	/* Fxop/walk.scm 196 */
																						obj_t BgL_arg1814z00_2616;

																						{	/* Fxop/walk.scm 196 */
																							long BgL_arg1815z00_2617;

																							BgL_arg1815z00_2617 =
																								(BgL_idxz00_2615 + ((long) 2));
																							{	/* Fxop/walk.scm 196 */
																								obj_t BgL_vectorz00_2618;

																								BgL_vectorz00_2618 =
																									BGl_za2inheritancesza2z00zz__objectz00;
																								BgL_arg1814z00_2616 =
																									VECTOR_REF(BgL_vectorz00_2618,
																									BgL_arg1815z00_2617);
																						}}
																						BgL_test2002z00_3025 =
																							(BgL_arg1814z00_2616 ==
																							BgL_classz00_2613);
																				}}
																			else
																				{	/* Fxop/walk.scm 196 */
																					bool_t BgL_res1945z00_2619;

																					{	/* Fxop/walk.scm 196 */
																						obj_t BgL_oclassz00_2620;

																						{	/* Fxop/walk.scm 196 */
																							long BgL_arg1828z00_2621;

																							{	/* Fxop/walk.scm 196 */
																								long BgL_arg1829z00_2622;

																								BgL_arg1829z00_2622 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1820z00_2614);
																								BgL_arg1828z00_2621 =
																									(BgL_arg1829z00_2622 -
																									OBJECT_TYPE);
																							}
																							{	/* Fxop/walk.scm 196 */
																								obj_t BgL_vectorz00_2623;

																								BgL_vectorz00_2623 =
																									BGl_za2classesza2z00zz__objectz00;
																								BgL_oclassz00_2620 =
																									VECTOR_REF(BgL_vectorz00_2623,
																									BgL_arg1828z00_2621);
																						}}
																						{	/* Fxop/walk.scm 196 */
																							bool_t BgL__ortest_1111z00_2624;

																							BgL__ortest_1111z00_2624 =
																								(BgL_classz00_2613 ==
																								BgL_oclassz00_2620);
																							if (BgL__ortest_1111z00_2624)
																								{	/* Fxop/walk.scm 196 */
																									BgL_res1945z00_2619 =
																										BgL__ortest_1111z00_2624;
																								}
																							else
																								{	/* Fxop/walk.scm 196 */
																									long BgL_odepthz00_2625;

																									BgL_odepthz00_2625 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2620);
																									if ((((long) 2) <
																											BgL_odepthz00_2625))
																										{	/* Fxop/walk.scm 196 */
																											obj_t BgL_arg1816z00_2626;

																											BgL_arg1816z00_2626 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2620,
																												((long) 2));
																											BgL_res1945z00_2619 =
																												(BgL_arg1816z00_2626 ==
																												BgL_classz00_2613);
																										}
																									else
																										{	/* Fxop/walk.scm 196 */
																											BgL_res1945z00_2619 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2002z00_3025 =
																						BgL_res1945z00_2619;
																				}
																		}
																	else
																		{	/* Fxop/walk.scm 196 */
																			BgL_test2002z00_3025 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test2002z00_3025)
																{	/* Fxop/walk.scm 197 */
																	obj_t BgL_auxz00_3057;
																	obj_t BgL_tmpz00_3048;

																	{	/* Fxop/walk.scm 198 */
																		obj_t BgL_pairz00_2628;

																		BgL_pairz00_2628 =
																			(((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_nodez00_2599))->
																			BgL_bindingsz00);
																		{	/* Fxop/walk.scm 198 */
																			obj_t BgL_pairz00_2629;

																			BgL_pairz00_2629 = CAR(BgL_pairz00_2628);
																			BgL_auxz00_3057 = CAR(BgL_pairz00_2629);
																		}
																	}
																	{
																		BgL_variablez00_bglt BgL_auxz00_3049;

																		{
																			BgL_varz00_bglt BgL_auxz00_3050;

																			{	/* Fxop/walk.scm 197 */
																				obj_t BgL_pairz00_2627;

																				BgL_pairz00_2627 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_callz00_2600)))->
																					BgL_argsz00);
																				BgL_auxz00_3050 =
																					((BgL_varz00_bglt)
																					CAR(BgL_pairz00_2627));
																			}
																			BgL_auxz00_3049 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_3050))->
																				BgL_variablez00);
																		}
																		BgL_tmpz00_3048 = ((obj_t) BgL_auxz00_3049);
																	}
																	BgL_test2001z00_3024 =
																		(BgL_tmpz00_3048 == BgL_auxz00_3057);
																}
															else
																{	/* Fxop/walk.scm 196 */
																	BgL_test2001z00_3024 = ((bool_t) 0);
																}
														}
														if (BgL_test2001z00_3024)
															{	/* Fxop/walk.scm 199 */
																obj_t BgL_arg1754z00_2630;

																{	/* Fxop/walk.scm 199 */
																	obj_t BgL_pairz00_2631;

																	BgL_pairz00_2631 =
																		(((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_nodez00_2599))->
																		BgL_bindingsz00);
																	{	/* Fxop/walk.scm 199 */
																		obj_t BgL_pairz00_2632;

																		BgL_pairz00_2632 = CAR(BgL_pairz00_2631);
																		BgL_arg1754z00_2630 = CDR(BgL_pairz00_2632);
																	}
																}
																BgL_arg1730z00_2609 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1754z00_2630));
															}
														else
															{	/* Fxop/walk.scm 200 */
																obj_t BgL_arg1756z00_2633;

																{	/* Fxop/walk.scm 200 */
																	obj_t BgL_pairz00_2634;

																	BgL_pairz00_2634 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2600)))->
																		BgL_argsz00);
																	BgL_arg1756z00_2633 = CAR(BgL_pairz00_2634);
																}
																BgL_arg1730z00_2609 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1756z00_2633));
															}
													}
													{	/* Fxop/walk.scm 201 */
														bool_t BgL_test2007z00_3072;

														{	/* Fxop/walk.scm 201 */
															bool_t BgL_test2008z00_3073;

															{	/* Fxop/walk.scm 201 */
																obj_t BgL_arg1840z00_2635;

																{	/* Fxop/walk.scm 201 */
																	obj_t BgL_pairz00_2636;

																	BgL_pairz00_2636 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2600)))->
																		BgL_argsz00);
																	{	/* Fxop/walk.scm 201 */
																		obj_t BgL_pairz00_2637;

																		BgL_pairz00_2637 = CDR(BgL_pairz00_2636);
																		BgL_arg1840z00_2635 = CAR(BgL_pairz00_2637);
																	}
																}
																{	/* Fxop/walk.scm 201 */
																	obj_t BgL_classz00_2638;

																	BgL_classz00_2638 = BGl_varz00zzast_nodez00;
																	if (BGL_OBJECTP(BgL_arg1840z00_2635))
																		{	/* Fxop/walk.scm 201 */
																			BgL_objectz00_bglt BgL_arg1820z00_2639;

																			BgL_arg1820z00_2639 =
																				(BgL_objectz00_bglt)
																				(BgL_arg1840z00_2635);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Fxop/walk.scm 201 */
																					long BgL_idxz00_2640;

																					BgL_idxz00_2640 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1820z00_2639);
																					{	/* Fxop/walk.scm 201 */
																						obj_t BgL_arg1814z00_2641;

																						{	/* Fxop/walk.scm 201 */
																							long BgL_arg1815z00_2642;

																							BgL_arg1815z00_2642 =
																								(BgL_idxz00_2640 + ((long) 2));
																							{	/* Fxop/walk.scm 201 */
																								obj_t BgL_vectorz00_2643;

																								BgL_vectorz00_2643 =
																									BGl_za2inheritancesza2z00zz__objectz00;
																								BgL_arg1814z00_2641 =
																									VECTOR_REF(BgL_vectorz00_2643,
																									BgL_arg1815z00_2642);
																						}}
																						BgL_test2008z00_3073 =
																							(BgL_arg1814z00_2641 ==
																							BgL_classz00_2638);
																				}}
																			else
																				{	/* Fxop/walk.scm 201 */
																					bool_t BgL_res1946z00_2644;

																					{	/* Fxop/walk.scm 201 */
																						obj_t BgL_oclassz00_2645;

																						{	/* Fxop/walk.scm 201 */
																							long BgL_arg1828z00_2646;

																							{	/* Fxop/walk.scm 201 */
																								long BgL_arg1829z00_2647;

																								BgL_arg1829z00_2647 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1820z00_2639);
																								BgL_arg1828z00_2646 =
																									(BgL_arg1829z00_2647 -
																									OBJECT_TYPE);
																							}
																							{	/* Fxop/walk.scm 201 */
																								obj_t BgL_vectorz00_2648;

																								BgL_vectorz00_2648 =
																									BGl_za2classesza2z00zz__objectz00;
																								BgL_oclassz00_2645 =
																									VECTOR_REF(BgL_vectorz00_2648,
																									BgL_arg1828z00_2646);
																						}}
																						{	/* Fxop/walk.scm 201 */
																							bool_t BgL__ortest_1111z00_2649;

																							BgL__ortest_1111z00_2649 =
																								(BgL_classz00_2638 ==
																								BgL_oclassz00_2645);
																							if (BgL__ortest_1111z00_2649)
																								{	/* Fxop/walk.scm 201 */
																									BgL_res1946z00_2644 =
																										BgL__ortest_1111z00_2649;
																								}
																							else
																								{	/* Fxop/walk.scm 201 */
																									long BgL_odepthz00_2650;

																									BgL_odepthz00_2650 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2645);
																									if ((((long) 2) <
																											BgL_odepthz00_2650))
																										{	/* Fxop/walk.scm 201 */
																											obj_t BgL_arg1816z00_2651;

																											BgL_arg1816z00_2651 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2645,
																												((long) 2));
																											BgL_res1946z00_2644 =
																												(BgL_arg1816z00_2651 ==
																												BgL_classz00_2638);
																										}
																									else
																										{	/* Fxop/walk.scm 201 */
																											BgL_res1946z00_2644 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2008z00_3073 =
																						BgL_res1946z00_2644;
																				}
																		}
																	else
																		{	/* Fxop/walk.scm 201 */
																			BgL_test2008z00_3073 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test2008z00_3073)
																{	/* Fxop/walk.scm 202 */
																	obj_t BgL_auxz00_3108;
																	obj_t BgL_tmpz00_3097;

																	{	/* Fxop/walk.scm 203 */
																		obj_t BgL_pairz00_2654;

																		BgL_pairz00_2654 =
																			(((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_nodez00_2599))->
																			BgL_bindingsz00);
																		{	/* Fxop/walk.scm 203 */
																			obj_t BgL_pairz00_2655;

																			BgL_pairz00_2655 = CAR(BgL_pairz00_2654);
																			BgL_auxz00_3108 = CAR(BgL_pairz00_2655);
																		}
																	}
																	{
																		BgL_variablez00_bglt BgL_auxz00_3098;

																		{
																			BgL_varz00_bglt BgL_auxz00_3099;

																			{
																				obj_t BgL_auxz00_3100;

																				{	/* Fxop/walk.scm 202 */
																					obj_t BgL_pairz00_2652;

																					BgL_pairz00_2652 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_callz00_2600)))->
																						BgL_argsz00);
																					{	/* Fxop/walk.scm 202 */
																						obj_t BgL_pairz00_2653;

																						BgL_pairz00_2653 =
																							CDR(BgL_pairz00_2652);
																						BgL_auxz00_3100 =
																							CAR(BgL_pairz00_2653);
																					}
																				}
																				BgL_auxz00_3099 =
																					((BgL_varz00_bglt) BgL_auxz00_3100);
																			}
																			BgL_auxz00_3098 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_3099))->
																				BgL_variablez00);
																		}
																		BgL_tmpz00_3097 = ((obj_t) BgL_auxz00_3098);
																	}
																	BgL_test2007z00_3072 =
																		(BgL_tmpz00_3097 == BgL_auxz00_3108);
																}
															else
																{	/* Fxop/walk.scm 201 */
																	BgL_test2007z00_3072 = ((bool_t) 0);
																}
														}
														if (BgL_test2007z00_3072)
															{	/* Fxop/walk.scm 204 */
																obj_t BgL_arg1817z00_2656;

																{	/* Fxop/walk.scm 204 */
																	obj_t BgL_pairz00_2657;

																	BgL_pairz00_2657 =
																		(((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_nodez00_2599))->
																		BgL_bindingsz00);
																	{	/* Fxop/walk.scm 204 */
																		obj_t BgL_pairz00_2658;

																		BgL_pairz00_2658 = CAR(BgL_pairz00_2657);
																		BgL_arg1817z00_2656 = CDR(BgL_pairz00_2658);
																	}
																}
																BgL_arg1731z00_2610 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1817z00_2656));
															}
														else
															{	/* Fxop/walk.scm 205 */
																obj_t BgL_arg1821z00_2659;

																{	/* Fxop/walk.scm 205 */
																	obj_t BgL_pairz00_2660;

																	BgL_pairz00_2660 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2600)))->
																		BgL_argsz00);
																	{	/* Fxop/walk.scm 205 */
																		obj_t BgL_pairz00_2661;

																		BgL_pairz00_2661 = CDR(BgL_pairz00_2660);
																		BgL_arg1821z00_2659 = CAR(BgL_pairz00_2661);
																	}
																}
																BgL_arg1731z00_2610 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1821z00_2659));
															}
													}
													{	/* Fxop/walk.scm 195 */
														obj_t BgL_list1732z00_2662;

														{	/* Fxop/walk.scm 195 */
															obj_t BgL_arg1734z00_2663;

															BgL_arg1734z00_2663 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1731z00_2610), BNIL);
															BgL_list1732z00_2662 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1730z00_2609),
																BgL_arg1734z00_2663);
														}
														BgL_auxz00_3023 = BgL_list1732z00_2662;
													}
												}
												((((BgL_appz00_bglt) COBJECT(BgL_new1151z00_2602))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_3023), BUNSPEC);
											}
											((((BgL_appz00_bglt) COBJECT(BgL_new1151z00_2602))->
													BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
											BgL_auxz00_2981 = BgL_new1151z00_2602;
										}
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_2981);
								}
							else
								{	/* Fxop/walk.scm 228 */
									obj_t BgL_g1169z00_2688;

									{	/* Fxop/walk.scm 228 */
										bool_t BgL_test2013z00_3132;

										{	/* Fxop/walk.scm 228 */
											BgL_typez00_bglt BgL_arg1559z00_2689;

											BgL_arg1559z00_2689 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2560))))->
												BgL_typez00);
											BgL_test2013z00_3132 =
												(((obj_t) BgL_arg1559z00_2689) ==
												BGl_za2boolza2z00zztype_cachez00);
										}
										if (BgL_test2013z00_3132)
											{	/* Fxop/walk.scm 228 */
												BgL_g1169z00_2688 =
													BGl_fxopzd2boolzd2letvarzf3ze70z14zzfxop_walkz00(
													(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_2560)))->
														BgL_bindingsz00),
													(((BgL_letzd2varzd2_bglt)
															COBJECT(((BgL_letzd2varzd2_bglt)
																	BgL_nodez00_2560)))->BgL_bodyz00));
											}
										else
											{	/* Fxop/walk.scm 228 */
												BgL_g1169z00_2688 = BFALSE;
											}
									}
									if (CBOOL(BgL_g1169z00_2688))
										{
											BgL_appz00_bglt BgL_auxz00_3145;

											BgL_opz00_2664 = BgL_g1169z00_2688;
											BgL_nodez00_2665 =
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2560);
											{	/* Fxop/walk.scm 209 */
												BgL_appz00_bglt BgL_new1156z00_2666;

												{	/* Fxop/walk.scm 209 */
													BgL_appz00_bglt BgL_new1155z00_2667;

													BgL_new1155z00_2667 =
														((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_appz00_bgl))));
													{	/* Fxop/walk.scm 209 */
														long BgL_arg1861z00_2668;

														BgL_arg1861z00_2668 =
															BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1155z00_2667),
															BgL_arg1861z00_2668);
													}
													{	/* Fxop/walk.scm 209 */
														BgL_objectz00_bglt BgL_tmpz00_3150;

														BgL_tmpz00_3150 =
															((BgL_objectz00_bglt) BgL_new1155z00_2667);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3150, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1155z00_2667);
													BgL_new1156z00_2666 = BgL_new1155z00_2667;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1156z00_2666)))->
														BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1156z00_2666)))->BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
												((((BgL_nodezf2effectzf2_bglt)
															COBJECT(((BgL_nodezf2effectzf2_bglt)
																	BgL_new1156z00_2666)))->
														BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
												((((BgL_nodezf2effectzf2_bglt)
															COBJECT(((BgL_nodezf2effectzf2_bglt)
																	BgL_new1156z00_2666)))->BgL_keyz00) =
													((obj_t) BINT(((long) -1))), BUNSPEC);
												{
													BgL_varz00_bglt BgL_auxz00_3164;

													{	/* Fxop/walk.scm 211 */
														BgL_refz00_bglt BgL_new1159z00_2669;

														{	/* Fxop/walk.scm 211 */
															BgL_refz00_bglt BgL_new1158z00_2670;

															BgL_new1158z00_2670 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Fxop/walk.scm 211 */
																long BgL_arg1849z00_2671;

																{	/* Fxop/walk.scm 211 */
																	obj_t BgL_classz00_2672;

																	BgL_classz00_2672 = BGl_refz00zzast_nodez00;
																	BgL_arg1849z00_2671 =
																		BGL_CLASS_NUM(BgL_classz00_2672);
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1158z00_2670),
																	BgL_arg1849z00_2671);
															}
															{	/* Fxop/walk.scm 211 */
																BgL_objectz00_bglt BgL_tmpz00_3169;

																BgL_tmpz00_3169 =
																	((BgL_objectz00_bglt) BgL_new1158z00_2670);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3169,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1158z00_2670);
															BgL_new1159z00_2669 = BgL_new1158z00_2670;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1159z00_2669)))->
																BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1159z00_2669)))->BgL_typez00) =
															((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_opz00_2664)))->BgL_typez00)),
															BUNSPEC);
														((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																			BgL_new1159z00_2669)))->BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_opz00_2664)), BUNSPEC);
														BgL_auxz00_3164 =
															((BgL_varz00_bglt) BgL_new1159z00_2669);
													}
													((((BgL_appz00_bglt) COBJECT(BgL_new1156z00_2666))->
															BgL_funz00) =
														((BgL_varz00_bglt) BgL_auxz00_3164), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_3184;

													{	/* Fxop/walk.scm 215 */
														BgL_nodez00_bglt BgL_arg1850z00_2673;
														BgL_nodez00_bglt BgL_arg1851z00_2674;

														{	/* Fxop/walk.scm 215 */
															obj_t BgL_arg1856z00_2675;

															{	/* Fxop/walk.scm 215 */
																obj_t BgL_pairz00_2676;

																BgL_pairz00_2676 =
																	(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_2665))->
																	BgL_bindingsz00);
																{	/* Fxop/walk.scm 215 */
																	obj_t BgL_pairz00_2677;

																	BgL_pairz00_2677 = CAR(BgL_pairz00_2676);
																	BgL_arg1856z00_2675 = CDR(BgL_pairz00_2677);
															}}
															BgL_arg1850z00_2673 =
																BGl_bintze70ze7zzfxop_walkz00(
																((BgL_nodez00_bglt) BgL_arg1856z00_2675));
														}
														{	/* Fxop/walk.scm 216 */
															obj_t BgL_arg1859z00_2678;

															{	/* Fxop/walk.scm 216 */
																obj_t BgL_pairz00_2679;

																BgL_pairz00_2679 =
																	(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_2665))->
																	BgL_bindingsz00);
																{	/* Fxop/walk.scm 216 */
																	obj_t BgL_pairz00_2680;

																	{	/* Fxop/walk.scm 216 */
																		obj_t BgL_pairz00_2681;

																		BgL_pairz00_2681 = CDR(BgL_pairz00_2679);
																		BgL_pairz00_2680 = CAR(BgL_pairz00_2681);
																	}
																	BgL_arg1859z00_2678 = CDR(BgL_pairz00_2680);
															}}
															BgL_arg1851z00_2674 =
																BGl_bintze70ze7zzfxop_walkz00(
																((BgL_nodez00_bglt) BgL_arg1859z00_2678));
														}
														{	/* Fxop/walk.scm 214 */
															obj_t BgL_list1852z00_2682;

															{	/* Fxop/walk.scm 214 */
																obj_t BgL_arg1854z00_2683;

																BgL_arg1854z00_2683 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1851z00_2674), BNIL);
																BgL_list1852z00_2682 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1850z00_2673),
																	BgL_arg1854z00_2683);
															}
															BgL_auxz00_3184 = BgL_list1852z00_2682;
													}}
													((((BgL_appz00_bglt) COBJECT(BgL_new1156z00_2666))->
															BgL_argsz00) =
														((obj_t) BgL_auxz00_3184), BUNSPEC);
												}
												((((BgL_appz00_bglt) COBJECT(BgL_new1156z00_2666))->
														BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
												BgL_auxz00_3145 = BgL_new1156z00_2666;
											}
											return ((BgL_nodez00_bglt) BgL_auxz00_3145);
										}
									else
										{	/* Fxop/walk.scm 228 */
											return
												BGl_walk0z12z12zzast_walkz00(
												((BgL_nodez00_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2560)),
												BGl_fxopz12zd2envzc0zzfxop_walkz00);
										}
								}
						}
				}
			}
		}

	}



/* find-fxop~0 */
	obj_t BGl_findzd2fxopze70z35zzfxop_walkz00(obj_t BgL_exprz00_1613)
	{
		{	/* Fxop/walk.scm 120 */
			{	/* Fxop/walk.scm 117 */
				bool_t BgL_test2015z00_3207;

				{	/* Fxop/walk.scm 117 */
					obj_t BgL_classz00_2146;

					BgL_classz00_2146 = BGl_appz00zzast_nodez00;
					if (BGL_OBJECTP(BgL_exprz00_1613))
						{	/* Fxop/walk.scm 117 */
							BgL_objectz00_bglt BgL_arg1820z00_2148;

							BgL_arg1820z00_2148 = (BgL_objectz00_bglt) (BgL_exprz00_1613);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Fxop/walk.scm 117 */
									long BgL_idxz00_2154;

									BgL_idxz00_2154 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2148);
									BgL_test2015z00_3207 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2154 + ((long) 3))) == BgL_classz00_2146);
								}
							else
								{	/* Fxop/walk.scm 117 */
									bool_t BgL_res1939z00_2176;

									{	/* Fxop/walk.scm 117 */
										obj_t BgL_oclassz00_2162;

										{	/* Fxop/walk.scm 117 */
											long BgL_arg1828z00_2168;

											{	/* Fxop/walk.scm 117 */
												long BgL_arg1829z00_2169;

												BgL_arg1829z00_2169 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2148);
												BgL_arg1828z00_2168 =
													(BgL_arg1829z00_2169 - OBJECT_TYPE);
											}
											BgL_oclassz00_2162 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2168);
										}
										{	/* Fxop/walk.scm 117 */
											bool_t BgL__ortest_1111z00_2163;

											BgL__ortest_1111z00_2163 =
												(BgL_classz00_2146 == BgL_oclassz00_2162);
											if (BgL__ortest_1111z00_2163)
												{	/* Fxop/walk.scm 117 */
													BgL_res1939z00_2176 = BgL__ortest_1111z00_2163;
												}
											else
												{	/* Fxop/walk.scm 117 */
													long BgL_odepthz00_2164;

													BgL_odepthz00_2164 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2162);
													if ((((long) 3) < BgL_odepthz00_2164))
														{	/* Fxop/walk.scm 117 */
															obj_t BgL_arg1816z00_2166;

															BgL_arg1816z00_2166 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2162,
																((long) 3));
															BgL_res1939z00_2176 =
																(BgL_arg1816z00_2166 == BgL_classz00_2146);
														}
													else
														{	/* Fxop/walk.scm 117 */
															BgL_res1939z00_2176 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2015z00_3207 = BgL_res1939z00_2176;
								}
						}
					else
						{	/* Fxop/walk.scm 117 */
							BgL_test2015z00_3207 = ((bool_t) 0);
						}
				}
				if (BgL_test2015z00_3207)
					{	/* Fxop/walk.scm 118 */
						BgL_variablez00_bglt BgL_vz00_1616;

						BgL_vz00_1616 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_exprz00_1613)))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Fxop/walk.scm 119 */
							obj_t BgL_cz00_1617;

							BgL_cz00_1617 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_vz00_1616), BGl_za2fxopsza2z00zzfxop_walkz00);
							if (CBOOL(BgL_cz00_1617))
								{	/* Fxop/walk.scm 120 */
									return CDR(((obj_t) BgL_cz00_1617));
								}
							else
								{	/* Fxop/walk.scm 120 */
									return BFALSE;
								}
						}
					}
				else
					{	/* Fxop/walk.scm 117 */
						return BFALSE;
					}
			}
		}

	}



/* bint~0 */
	BgL_nodez00_bglt BGl_bintze70ze7zzfxop_walkz00(BgL_nodez00_bglt
		BgL_exprz00_1667)
	{
		{	/* Fxop/walk.scm 173 */
			{	/* Fxop/walk.scm 163 */
				bool_t BgL_test2021z00_3236;

				{	/* Fxop/walk.scm 163 */
					BgL_typez00_bglt BgL_arg1692z00_1681;

					BgL_arg1692z00_1681 =
						(((BgL_nodez00_bglt) COBJECT(BgL_exprz00_1667))->BgL_typez00);
					BgL_test2021z00_3236 =
						(((obj_t) BgL_arg1692z00_1681) == BGl_za2bintza2z00zztype_cachez00);
				}
				if (BgL_test2021z00_3236)
					{	/* Fxop/walk.scm 163 */
						return BgL_exprz00_1667;
					}
				else
					{	/* Fxop/walk.scm 163 */
						if (BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(
								((obj_t) BgL_exprz00_1667)))
							{	/* Fxop/walk.scm 166 */
								obj_t BgL_pairz00_2331;

								BgL_pairz00_2331 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_exprz00_1667)))->BgL_argsz00);
								return ((BgL_nodez00_bglt) CAR(BgL_pairz00_2331));
							}
						else
							{	/* Fxop/walk.scm 168 */
								BgL_appz00_bglt BgL_new1140z00_1674;

								{	/* Fxop/walk.scm 168 */
									BgL_appz00_bglt BgL_new1139z00_1679;

									BgL_new1139z00_1679 =
										((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Fxop/walk.scm 168 */
										long BgL_arg1687z00_1680;

										BgL_arg1687z00_1680 =
											BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1139z00_1679),
											BgL_arg1687z00_1680);
									}
									{	/* Fxop/walk.scm 168 */
										BgL_objectz00_bglt BgL_tmpz00_3251;

										BgL_tmpz00_3251 =
											((BgL_objectz00_bglt) BgL_new1139z00_1679);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3251, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1139z00_1679);
									BgL_new1140z00_1674 = BgL_new1139z00_1679;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1140z00_1674)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1140z00_1674)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1140z00_1674)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1140z00_1674)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								{
									BgL_varz00_bglt BgL_auxz00_3265;

									{	/* Fxop/walk.scm 170 */
										BgL_refz00_bglt BgL_new1142z00_1675;

										{	/* Fxop/walk.scm 170 */
											BgL_refz00_bglt BgL_new1141z00_1676;

											BgL_new1141z00_1676 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Fxop/walk.scm 170 */
												long BgL_arg1682z00_1677;

												{	/* Fxop/walk.scm 170 */
													obj_t BgL_classz00_2336;

													BgL_classz00_2336 = BGl_refz00zzast_nodez00;
													BgL_arg1682z00_1677 =
														BGL_CLASS_NUM(BgL_classz00_2336);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1141z00_1676),
													BgL_arg1682z00_1677);
											}
											{	/* Fxop/walk.scm 170 */
												BgL_objectz00_bglt BgL_tmpz00_3270;

												BgL_tmpz00_3270 =
													((BgL_objectz00_bglt) BgL_new1141z00_1676);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3270, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1141z00_1676);
											BgL_new1142z00_1675 = BgL_new1141z00_1676;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1142z00_1675)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1142z00_1675)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1142z00_1675)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BGl_za2longzd2ze3bintza2z31zzfxop_walkz00)), BUNSPEC);
										BgL_auxz00_3265 = ((BgL_varz00_bglt) BgL_new1142z00_1675);
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1140z00_1674))->
											BgL_funz00) =
										((BgL_varz00_bglt) BgL_auxz00_3265), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_3284;

									{	/* Fxop/walk.scm 173 */
										obj_t BgL_list1683z00_1678;

										BgL_list1683z00_1678 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_exprz00_1667), BNIL);
										BgL_auxz00_3284 = BgL_list1683z00_1678;
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1140z00_1674))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_3284), BUNSPEC);
								}
								((((BgL_appz00_bglt) COBJECT(BgL_new1140z00_1674))->
										BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1140z00_1674);
							}
					}
			}
		}

	}



/* bint->long?~0 */
	bool_t BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(obj_t BgL_exprz00_1603)
	{
		{	/* Fxop/walk.scm 109 */
			{	/* Fxop/walk.scm 107 */
				bool_t BgL_test2023z00_3290;

				{	/* Fxop/walk.scm 107 */
					obj_t BgL_classz00_2080;

					BgL_classz00_2080 = BGl_appz00zzast_nodez00;
					if (BGL_OBJECTP(BgL_exprz00_1603))
						{	/* Fxop/walk.scm 107 */
							BgL_objectz00_bglt BgL_arg1820z00_2082;

							BgL_arg1820z00_2082 = (BgL_objectz00_bglt) (BgL_exprz00_1603);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Fxop/walk.scm 107 */
									long BgL_idxz00_2088;

									BgL_idxz00_2088 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2082);
									BgL_test2023z00_3290 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2088 + ((long) 3))) == BgL_classz00_2080);
								}
							else
								{	/* Fxop/walk.scm 107 */
									bool_t BgL_res1937z00_2110;

									{	/* Fxop/walk.scm 107 */
										obj_t BgL_oclassz00_2096;

										{	/* Fxop/walk.scm 107 */
											long BgL_arg1828z00_2102;

											{	/* Fxop/walk.scm 107 */
												long BgL_arg1829z00_2103;

												BgL_arg1829z00_2103 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2082);
												BgL_arg1828z00_2102 =
													(BgL_arg1829z00_2103 - OBJECT_TYPE);
											}
											BgL_oclassz00_2096 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2102);
										}
										{	/* Fxop/walk.scm 107 */
											bool_t BgL__ortest_1111z00_2097;

											BgL__ortest_1111z00_2097 =
												(BgL_classz00_2080 == BgL_oclassz00_2096);
											if (BgL__ortest_1111z00_2097)
												{	/* Fxop/walk.scm 107 */
													BgL_res1937z00_2110 = BgL__ortest_1111z00_2097;
												}
											else
												{	/* Fxop/walk.scm 107 */
													long BgL_odepthz00_2098;

													BgL_odepthz00_2098 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2096);
													if ((((long) 3) < BgL_odepthz00_2098))
														{	/* Fxop/walk.scm 107 */
															obj_t BgL_arg1816z00_2100;

															BgL_arg1816z00_2100 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2096,
																((long) 3));
															BgL_res1937z00_2110 =
																(BgL_arg1816z00_2100 == BgL_classz00_2080);
														}
													else
														{	/* Fxop/walk.scm 107 */
															BgL_res1937z00_2110 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2023z00_3290 = BgL_res1937z00_2110;
								}
						}
					else
						{	/* Fxop/walk.scm 107 */
							BgL_test2023z00_3290 = ((bool_t) 0);
						}
				}
				if (BgL_test2023z00_3290)
					{	/* Fxop/walk.scm 108 */
						BgL_variablez00_bglt BgL_vz00_1606;

						BgL_vz00_1606 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_exprz00_1603)))->BgL_funz00)))->
							BgL_variablez00);
						return (((obj_t) BgL_vz00_1606) ==
							BGl_za2bintzd2ze3longza2z31zzfxop_walkz00);
					}
				else
					{	/* Fxop/walk.scm 107 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* long->bint?~0 */
	bool_t BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00(BgL_nodez00_bglt
		BgL_exprz00_1608)
	{
		{	/* Fxop/walk.scm 114 */
			{	/* Fxop/walk.scm 112 */
				bool_t BgL_test2028z00_3315;

				{	/* Fxop/walk.scm 112 */
					obj_t BgL_classz00_2113;

					BgL_classz00_2113 = BGl_appz00zzast_nodez00;
					{	/* Fxop/walk.scm 112 */
						BgL_objectz00_bglt BgL_arg1820z00_2115;

						{	/* Fxop/walk.scm 112 */
							obj_t BgL_tmpz00_3316;

							BgL_tmpz00_3316 =
								((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1608));
							BgL_arg1820z00_2115 = (BgL_objectz00_bglt) (BgL_tmpz00_3316);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Fxop/walk.scm 112 */
								long BgL_idxz00_2121;

								BgL_idxz00_2121 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2115);
								BgL_test2028z00_3315 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2121 + ((long) 3))) == BgL_classz00_2113);
							}
						else
							{	/* Fxop/walk.scm 112 */
								bool_t BgL_res1938z00_2143;

								{	/* Fxop/walk.scm 112 */
									obj_t BgL_oclassz00_2129;

									{	/* Fxop/walk.scm 112 */
										long BgL_arg1828z00_2135;

										{	/* Fxop/walk.scm 112 */
											long BgL_arg1829z00_2136;

											BgL_arg1829z00_2136 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2115);
											BgL_arg1828z00_2135 = (BgL_arg1829z00_2136 - OBJECT_TYPE);
										}
										BgL_oclassz00_2129 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2135);
									}
									{	/* Fxop/walk.scm 112 */
										bool_t BgL__ortest_1111z00_2130;

										BgL__ortest_1111z00_2130 =
											(BgL_classz00_2113 == BgL_oclassz00_2129);
										if (BgL__ortest_1111z00_2130)
											{	/* Fxop/walk.scm 112 */
												BgL_res1938z00_2143 = BgL__ortest_1111z00_2130;
											}
										else
											{	/* Fxop/walk.scm 112 */
												long BgL_odepthz00_2131;

												BgL_odepthz00_2131 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2129);
												if ((((long) 3) < BgL_odepthz00_2131))
													{	/* Fxop/walk.scm 112 */
														obj_t BgL_arg1816z00_2133;

														BgL_arg1816z00_2133 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2129,
															((long) 3));
														BgL_res1938z00_2143 =
															(BgL_arg1816z00_2133 == BgL_classz00_2113);
													}
												else
													{	/* Fxop/walk.scm 112 */
														BgL_res1938z00_2143 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2028z00_3315 = BgL_res1938z00_2143;
							}
					}
				}
				if (BgL_test2028z00_3315)
					{	/* Fxop/walk.scm 113 */
						BgL_variablez00_bglt BgL_vz00_1611;

						BgL_vz00_1611 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_exprz00_1608)))->BgL_funz00)))->
							BgL_variablez00);
						return (((obj_t) BgL_vz00_1611) ==
							BGl_za2longzd2ze3bintza2z31zzfxop_walkz00);
					}
				else
					{	/* Fxop/walk.scm 112 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* fxop-double-int-letvar?~0 */
	obj_t BGl_fxopzd2doublezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t
		BgL_bindingsz00_1619, BgL_nodez00_bglt BgL_bodyz00_1620)
	{
		{	/* Fxop/walk.scm 136 */
			if ((bgl_list_length(BgL_bindingsz00_1619) == ((long) 2)))
				{	/* Fxop/walk.scm 128 */
					bool_t BgL_test2033z00_3344;

					{	/* Fxop/walk.scm 128 */
						bool_t BgL__ortest_1125z00_1628;

						{	/* Fxop/walk.scm 128 */
							bool_t BgL__ortest_1126z00_1636;

							{	/* Fxop/walk.scm 128 */
								obj_t BgL_arg1645z00_1642;

								{	/* Fxop/walk.scm 128 */
									obj_t BgL_pairz00_2184;

									BgL_pairz00_2184 = CAR(((obj_t) BgL_bindingsz00_1619));
									BgL_arg1645z00_1642 = CDR(BgL_pairz00_2184);
								}
								BgL__ortest_1126z00_1636 =
									BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
									(BgL_arg1645z00_1642);
							}
							if (BgL__ortest_1126z00_1636)
								{	/* Fxop/walk.scm 128 */
									BgL__ortest_1125z00_1628 = BgL__ortest_1126z00_1636;
								}
							else
								{	/* Fxop/walk.scm 129 */
									bool_t BgL__ortest_1127z00_1637;

									{	/* Fxop/walk.scm 129 */
										BgL_typez00_bglt BgL_arg1639z00_1640;

										{
											BgL_variablez00_bglt BgL_auxz00_3350;

											{	/* Fxop/walk.scm 129 */
												obj_t BgL_pairz00_2188;

												BgL_pairz00_2188 = CAR(((obj_t) BgL_bindingsz00_1619));
												BgL_auxz00_3350 =
													((BgL_variablez00_bglt) CAR(BgL_pairz00_2188));
											}
											BgL_arg1639z00_1640 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_3350))->
												BgL_typez00);
										}
										BgL__ortest_1127z00_1637 =
											(
											((obj_t) BgL_arg1639z00_1640) ==
											BGl_za2bintza2z00zztype_cachez00);
									}
									if (BgL__ortest_1127z00_1637)
										{	/* Fxop/walk.scm 129 */
											BgL__ortest_1125z00_1628 = BgL__ortest_1127z00_1637;
										}
									else
										{	/* Fxop/walk.scm 130 */
											BgL_typez00_bglt BgL_arg1635z00_1638;

											{
												BgL_variablez00_bglt BgL_auxz00_3359;

												{	/* Fxop/walk.scm 130 */
													obj_t BgL_pairz00_2193;

													BgL_pairz00_2193 =
														CAR(((obj_t) BgL_bindingsz00_1619));
													BgL_auxz00_3359 =
														((BgL_variablez00_bglt) CAR(BgL_pairz00_2193));
												}
												BgL_arg1635z00_1638 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_3359))->
													BgL_typez00);
											}
											BgL__ortest_1125z00_1628 =
												(
												((obj_t) BgL_arg1635z00_1638) ==
												BGl_za2longza2z00zztype_cachez00);
										}
								}
						}
						if (BgL__ortest_1125z00_1628)
							{	/* Fxop/walk.scm 128 */
								BgL_test2033z00_3344 = BgL__ortest_1125z00_1628;
							}
						else
							{	/* Fxop/walk.scm 131 */
								bool_t BgL__ortest_1128z00_1629;

								{	/* Fxop/walk.scm 131 */
									obj_t BgL_arg1632z00_1635;

									{	/* Fxop/walk.scm 131 */
										obj_t BgL_pairz00_2200;

										{	/* Fxop/walk.scm 131 */
											obj_t BgL_pairz00_2199;

											BgL_pairz00_2199 = CDR(((obj_t) BgL_bindingsz00_1619));
											BgL_pairz00_2200 = CAR(BgL_pairz00_2199);
										}
										BgL_arg1632z00_1635 = CDR(BgL_pairz00_2200);
									}
									BgL__ortest_1128z00_1629 =
										BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
										(BgL_arg1632z00_1635);
								}
								if (BgL__ortest_1128z00_1629)
									{	/* Fxop/walk.scm 131 */
										BgL_test2033z00_3344 = BgL__ortest_1128z00_1629;
									}
								else
									{	/* Fxop/walk.scm 132 */
										bool_t BgL__ortest_1129z00_1630;

										{	/* Fxop/walk.scm 132 */
											BgL_typez00_bglt BgL_arg1629z00_1633;

											{
												BgL_variablez00_bglt BgL_auxz00_3374;

												{	/* Fxop/walk.scm 132 */
													obj_t BgL_pairz00_2206;

													{	/* Fxop/walk.scm 132 */
														obj_t BgL_pairz00_2205;

														BgL_pairz00_2205 =
															CDR(((obj_t) BgL_bindingsz00_1619));
														BgL_pairz00_2206 = CAR(BgL_pairz00_2205);
													}
													BgL_auxz00_3374 =
														((BgL_variablez00_bglt) CAR(BgL_pairz00_2206));
												}
												BgL_arg1629z00_1633 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_3374))->
													BgL_typez00);
											}
											BgL__ortest_1129z00_1630 =
												(
												((obj_t) BgL_arg1629z00_1633) ==
												BGl_za2bintza2z00zztype_cachez00);
										}
										if (BgL__ortest_1129z00_1630)
											{	/* Fxop/walk.scm 132 */
												BgL_test2033z00_3344 = BgL__ortest_1129z00_1630;
											}
										else
											{	/* Fxop/walk.scm 133 */
												BgL_typez00_bglt BgL_arg1616z00_1631;

												{
													BgL_variablez00_bglt BgL_auxz00_3384;

													{	/* Fxop/walk.scm 133 */
														obj_t BgL_pairz00_2213;

														{	/* Fxop/walk.scm 133 */
															obj_t BgL_pairz00_2212;

															BgL_pairz00_2212 =
																CDR(((obj_t) BgL_bindingsz00_1619));
															BgL_pairz00_2213 = CAR(BgL_pairz00_2212);
														}
														BgL_auxz00_3384 =
															((BgL_variablez00_bglt) CAR(BgL_pairz00_2213));
													}
													BgL_arg1616z00_1631 =
														(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_3384))->
														BgL_typez00);
												}
												BgL_test2033z00_3344 =
													(
													((obj_t) BgL_arg1616z00_1631) ==
													BGl_za2longza2z00zztype_cachez00);
											}
									}
							}
					}
					if (BgL_test2033z00_3344)
						{	/* Fxop/walk.scm 134 */
							bool_t BgL_test2039z00_3393;

							{	/* Fxop/walk.scm 134 */
								obj_t BgL_classz00_2215;

								BgL_classz00_2215 = BGl_appz00zzast_nodez00;
								{	/* Fxop/walk.scm 134 */
									BgL_objectz00_bglt BgL_arg1820z00_2217;

									{	/* Fxop/walk.scm 134 */
										obj_t BgL_tmpz00_3394;

										BgL_tmpz00_3394 =
											((obj_t) ((BgL_objectz00_bglt) BgL_bodyz00_1620));
										BgL_arg1820z00_2217 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3394);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Fxop/walk.scm 134 */
											long BgL_idxz00_2223;

											BgL_idxz00_2223 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2217);
											BgL_test2039z00_3393 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2223 + ((long) 3))) == BgL_classz00_2215);
										}
									else
										{	/* Fxop/walk.scm 134 */
											bool_t BgL_res1940z00_2245;

											{	/* Fxop/walk.scm 134 */
												obj_t BgL_oclassz00_2231;

												{	/* Fxop/walk.scm 134 */
													long BgL_arg1828z00_2237;

													{	/* Fxop/walk.scm 134 */
														long BgL_arg1829z00_2238;

														BgL_arg1829z00_2238 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2217);
														BgL_arg1828z00_2237 =
															(BgL_arg1829z00_2238 - OBJECT_TYPE);
													}
													BgL_oclassz00_2231 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2237);
												}
												{	/* Fxop/walk.scm 134 */
													bool_t BgL__ortest_1111z00_2232;

													BgL__ortest_1111z00_2232 =
														(BgL_classz00_2215 == BgL_oclassz00_2231);
													if (BgL__ortest_1111z00_2232)
														{	/* Fxop/walk.scm 134 */
															BgL_res1940z00_2245 = BgL__ortest_1111z00_2232;
														}
													else
														{	/* Fxop/walk.scm 134 */
															long BgL_odepthz00_2233;

															BgL_odepthz00_2233 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2231);
															if ((((long) 3) < BgL_odepthz00_2233))
																{	/* Fxop/walk.scm 134 */
																	obj_t BgL_arg1816z00_2235;

																	BgL_arg1816z00_2235 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2231,
																		((long) 3));
																	BgL_res1940z00_2245 =
																		(BgL_arg1816z00_2235 == BgL_classz00_2215);
																}
															else
																{	/* Fxop/walk.scm 134 */
																	BgL_res1940z00_2245 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2039z00_3393 = BgL_res1940z00_2245;
										}
								}
							}
							if (BgL_test2039z00_3393)
								{	/* Fxop/walk.scm 134 */
									if (BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00
										(BgL_bodyz00_1620))
										{	/* Fxop/walk.scm 136 */
											obj_t BgL_arg1614z00_1626;

											{	/* Fxop/walk.scm 136 */
												obj_t BgL_pairz00_2247;

												BgL_pairz00_2247 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_bodyz00_1620)))->
													BgL_argsz00);
												BgL_arg1614z00_1626 = CAR(BgL_pairz00_2247);
											}
											return
												BGl_findzd2fxopze70z35zzfxop_walkz00
												(BgL_arg1614z00_1626);
										}
									else
										{	/* Fxop/walk.scm 135 */
											return BFALSE;
										}
								}
							else
								{	/* Fxop/walk.scm 134 */
									return BFALSE;
								}
						}
					else
						{	/* Fxop/walk.scm 128 */
							return BFALSE;
						}
				}
			else
				{	/* Fxop/walk.scm 127 */
					return BFALSE;
				}
		}

	}



/* fxop-simple-int-letvar?~0 */
	obj_t BGl_fxopzd2simplezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t
		BgL_bindingsz00_1644, BgL_nodez00_bglt BgL_bodyz00_1645)
	{
		{	/* Fxop/walk.scm 147 */
			if ((bgl_list_length(BgL_bindingsz00_1644) == ((long) 1)))
				{	/* Fxop/walk.scm 144 */
					bool_t BgL_test2045z00_3423;

					{	/* Fxop/walk.scm 144 */
						obj_t BgL_arg1652z00_1653;

						{	/* Fxop/walk.scm 144 */
							obj_t BgL_pairz00_2252;

							BgL_pairz00_2252 = CAR(((obj_t) BgL_bindingsz00_1644));
							BgL_arg1652z00_1653 = CDR(BgL_pairz00_2252);
						}
						BgL_test2045z00_3423 =
							BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(BgL_arg1652z00_1653);
					}
					if (BgL_test2045z00_3423)
						{	/* Fxop/walk.scm 145 */
							bool_t BgL_test2046z00_3428;

							{	/* Fxop/walk.scm 145 */
								obj_t BgL_classz00_2253;

								BgL_classz00_2253 = BGl_appz00zzast_nodez00;
								{	/* Fxop/walk.scm 145 */
									BgL_objectz00_bglt BgL_arg1820z00_2255;

									{	/* Fxop/walk.scm 145 */
										obj_t BgL_tmpz00_3429;

										BgL_tmpz00_3429 =
											((obj_t) ((BgL_objectz00_bglt) BgL_bodyz00_1645));
										BgL_arg1820z00_2255 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3429);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Fxop/walk.scm 145 */
											long BgL_idxz00_2261;

											BgL_idxz00_2261 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2255);
											BgL_test2046z00_3428 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2261 + ((long) 3))) == BgL_classz00_2253);
										}
									else
										{	/* Fxop/walk.scm 145 */
											bool_t BgL_res1941z00_2283;

											{	/* Fxop/walk.scm 145 */
												obj_t BgL_oclassz00_2269;

												{	/* Fxop/walk.scm 145 */
													long BgL_arg1828z00_2275;

													{	/* Fxop/walk.scm 145 */
														long BgL_arg1829z00_2276;

														BgL_arg1829z00_2276 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2255);
														BgL_arg1828z00_2275 =
															(BgL_arg1829z00_2276 - OBJECT_TYPE);
													}
													BgL_oclassz00_2269 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2275);
												}
												{	/* Fxop/walk.scm 145 */
													bool_t BgL__ortest_1111z00_2270;

													BgL__ortest_1111z00_2270 =
														(BgL_classz00_2253 == BgL_oclassz00_2269);
													if (BgL__ortest_1111z00_2270)
														{	/* Fxop/walk.scm 145 */
															BgL_res1941z00_2283 = BgL__ortest_1111z00_2270;
														}
													else
														{	/* Fxop/walk.scm 145 */
															long BgL_odepthz00_2271;

															BgL_odepthz00_2271 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2269);
															if ((((long) 3) < BgL_odepthz00_2271))
																{	/* Fxop/walk.scm 145 */
																	obj_t BgL_arg1816z00_2273;

																	BgL_arg1816z00_2273 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2269,
																		((long) 3));
																	BgL_res1941z00_2283 =
																		(BgL_arg1816z00_2273 == BgL_classz00_2253);
																}
															else
																{	/* Fxop/walk.scm 145 */
																	BgL_res1941z00_2283 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2046z00_3428 = BgL_res1941z00_2283;
										}
								}
							}
							if (BgL_test2046z00_3428)
								{	/* Fxop/walk.scm 145 */
									if (BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00
										(BgL_bodyz00_1645))
										{	/* Fxop/walk.scm 147 */
											obj_t BgL_arg1648z00_1651;

											{	/* Fxop/walk.scm 147 */
												obj_t BgL_pairz00_2285;

												BgL_pairz00_2285 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_bodyz00_1645)))->
													BgL_argsz00);
												BgL_arg1648z00_1651 = CAR(BgL_pairz00_2285);
											}
											return
												BGl_findzd2fxopze70z35zzfxop_walkz00
												(BgL_arg1648z00_1651);
										}
									else
										{	/* Fxop/walk.scm 146 */
											return BFALSE;
										}
								}
							else
								{	/* Fxop/walk.scm 145 */
									return BFALSE;
								}
						}
					else
						{	/* Fxop/walk.scm 144 */
							return BFALSE;
						}
				}
			else
				{	/* Fxop/walk.scm 143 */
					return BFALSE;
				}
		}

	}



/* fxop-bool-letvar?~0 */
	obj_t BGl_fxopzd2boolzd2letvarzf3ze70z14zzfxop_walkz00(obj_t
		BgL_bindingsz00_1655, BgL_nodez00_bglt BgL_bodyz00_1656)
	{
		{	/* Fxop/walk.scm 158 */
			{	/* Fxop/walk.scm 154 */
				bool_t BgL_test2051z00_3455;

				{	/* Fxop/walk.scm 154 */
					obj_t BgL_classz00_2286;

					BgL_classz00_2286 = BGl_appz00zzast_nodez00;
					{	/* Fxop/walk.scm 154 */
						BgL_objectz00_bglt BgL_arg1820z00_2288;

						{	/* Fxop/walk.scm 154 */
							obj_t BgL_tmpz00_3456;

							BgL_tmpz00_3456 =
								((obj_t) ((BgL_objectz00_bglt) BgL_bodyz00_1656));
							BgL_arg1820z00_2288 = (BgL_objectz00_bglt) (BgL_tmpz00_3456);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Fxop/walk.scm 154 */
								long BgL_idxz00_2294;

								BgL_idxz00_2294 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2288);
								BgL_test2051z00_3455 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2294 + ((long) 3))) == BgL_classz00_2286);
							}
						else
							{	/* Fxop/walk.scm 154 */
								bool_t BgL_res1942z00_2316;

								{	/* Fxop/walk.scm 154 */
									obj_t BgL_oclassz00_2302;

									{	/* Fxop/walk.scm 154 */
										long BgL_arg1828z00_2308;

										{	/* Fxop/walk.scm 154 */
											long BgL_arg1829z00_2309;

											BgL_arg1829z00_2309 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2288);
											BgL_arg1828z00_2308 = (BgL_arg1829z00_2309 - OBJECT_TYPE);
										}
										BgL_oclassz00_2302 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2308);
									}
									{	/* Fxop/walk.scm 154 */
										bool_t BgL__ortest_1111z00_2303;

										BgL__ortest_1111z00_2303 =
											(BgL_classz00_2286 == BgL_oclassz00_2302);
										if (BgL__ortest_1111z00_2303)
											{	/* Fxop/walk.scm 154 */
												BgL_res1942z00_2316 = BgL__ortest_1111z00_2303;
											}
										else
											{	/* Fxop/walk.scm 154 */
												long BgL_odepthz00_2304;

												BgL_odepthz00_2304 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2302);
												if ((((long) 3) < BgL_odepthz00_2304))
													{	/* Fxop/walk.scm 154 */
														obj_t BgL_arg1816z00_2306;

														BgL_arg1816z00_2306 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2302,
															((long) 3));
														BgL_res1942z00_2316 =
															(BgL_arg1816z00_2306 == BgL_classz00_2286);
													}
												else
													{	/* Fxop/walk.scm 154 */
														BgL_res1942z00_2316 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2051z00_3455 = BgL_res1942z00_2316;
							}
					}
				}
				if (BgL_test2051z00_3455)
					{	/* Fxop/walk.scm 154 */
						if ((bgl_list_length(BgL_bindingsz00_1655) == ((long) 2)))
							{	/* Fxop/walk.scm 156 */
								bool_t BgL_test2056z00_3479;

								{	/* Fxop/walk.scm 156 */
									bool_t BgL_test2057z00_3480;

									{	/* Fxop/walk.scm 156 */
										obj_t BgL_arg1672z00_1665;

										{	/* Fxop/walk.scm 156 */
											obj_t BgL_pairz00_2321;

											BgL_pairz00_2321 = CAR(((obj_t) BgL_bindingsz00_1655));
											BgL_arg1672z00_1665 = CDR(BgL_pairz00_2321);
										}
										BgL_test2057z00_3480 =
											BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
											(BgL_arg1672z00_1665);
									}
									if (BgL_test2057z00_3480)
										{	/* Fxop/walk.scm 157 */
											obj_t BgL_arg1663z00_1664;

											{	/* Fxop/walk.scm 157 */
												obj_t BgL_pairz00_2327;

												{	/* Fxop/walk.scm 157 */
													obj_t BgL_pairz00_2326;

													BgL_pairz00_2326 =
														CDR(((obj_t) BgL_bindingsz00_1655));
													BgL_pairz00_2327 = CAR(BgL_pairz00_2326);
												}
												BgL_arg1663z00_1664 = CDR(BgL_pairz00_2327);
											}
											BgL_test2056z00_3479 =
												BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
												(BgL_arg1663z00_1664);
										}
									else
										{	/* Fxop/walk.scm 156 */
											BgL_test2056z00_3479 = ((bool_t) 0);
										}
								}
								if (BgL_test2056z00_3479)
									{	/* Fxop/walk.scm 158 */
										obj_t BgL_arg1661z00_1661;

										{	/* Fxop/walk.scm 158 */
											obj_t BgL_pairz00_2329;

											BgL_pairz00_2329 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_bodyz00_1656)))->
												BgL_argsz00);
											BgL_arg1661z00_1661 = CAR(BgL_pairz00_2329);
										}
										return
											BGl_findzd2fxopze70z35zzfxop_walkz00(BgL_arg1661z00_1661);
									}
								else
									{	/* Fxop/walk.scm 156 */
										return BFALSE;
									}
							}
						else
							{	/* Fxop/walk.scm 155 */
								return BFALSE;
							}
					}
				else
					{	/* Fxop/walk.scm 154 */
						return BFALSE;
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
