/*===========================================================================*/
/*   (Globalize/gn.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/gn.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_gnza7 = BUNSPEC;
	static obj_t BGl_z62Ezd2letzd2var1302z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62Ezd2extern1288zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62Ezd2kwote1272zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62Ezd2cast1290zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62Ezd2switch1298zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62Ezd2setzd2exzd2it1304zb0zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62Ezd2conditional1294zb0zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62Ezd2setq1292zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_gnza7(void);
	static obj_t BGl_z62Ezd2boxzd2ref1310z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62Ezd2sync1280zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62Ezd2fail1296zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_gnza7(void);
	static obj_t BGl_z62Ezd2makezd2box1308z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_gnza7(void);
	static obj_t BGl_z62Ezd2boxzd2setz121312z70zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62Ezd2var1274zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62Ezd2funcall1286zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_savezd2funz12zc0zzglobaliza7e_gnza7(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzglobaliza7e_gnza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_gnza7(void);
	static obj_t BGl_z62Ezd2closure1276zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62Ezd2app1282zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62Ezd2jumpzd2exzd2it1306zb0zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62E1267z62zzglobaliza7e_gnza7(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_Ez00zzglobaliza7e_gnza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62Gnz12z70zzglobaliza7e_gnza7(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_savezd2appz12zc0zzglobaliza7e_gnza7(obj_t,
		BgL_variablez00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_gnza7(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_Gzd2fromzd2ctoz00zzglobaliza7e_gnza7(obj_t);
	static obj_t BGl_z62Ezd2atom1270zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62Ezd2letzd2fun1300z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_gnza7(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_gnza7(void);
	static obj_t BGl_z62Ezd2sequence1278zb0zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_gnza7(void);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_gnza7(void);
	BGL_EXPORTED_DECL obj_t BGl_Gnz12z12zzglobaliza7e_gnza7(obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_Eza2za2zzglobaliza7e_gnza7(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62Ez62zzglobaliza7e_gnza7(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62Ezd2appzd2ly1284z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_Ezd2envzd2zzglobaliza7e_gnza7,
		BgL_bgl_za762eza762za7za7globali1892z00, BGl_z62Ez62zzglobaliza7e_gnza7, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1864z00zzglobaliza7e_gnza7,
		BgL_bgl_string1864za700za7za7g1893za7, "E1267", 5);
	      DEFINE_STRING(BGl_string1865z00zzglobaliza7e_gnza7,
		BgL_bgl_string1865za700za7za7g1894za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1867z00zzglobaliza7e_gnza7,
		BgL_bgl_string1867za700za7za7g1895za7, "E", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zzglobaliza7e_gnza7,
		BgL_bgl_za762e1267za762za7za7glo1896z00, BGl_z62E1267z62zzglobaliza7e_gnza7,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2atom1270za71897za7,
		BGl_z62Ezd2atom1270zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2kwote12721898z00,
		BGl_z62Ezd2kwote1272zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2var1274za7b1899za7,
		BGl_z62Ezd2var1274zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_Gnz12zd2envzc0zzglobaliza7e_gnza7,
		BgL_bgl_za762gnza712za770za7za7glo1900za7,
		BGl_z62Gnz12z70zzglobaliza7e_gnza7, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2closure121901z00,
		BGl_z62Ezd2closure1276zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2sequence11902z00,
		BGl_z62Ezd2sequence1278zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2sync1280za71903za7,
		BGl_z62Ezd2sync1280zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2app1282za7b1904za7,
		BGl_z62Ezd2app1282zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2appza7d2ly11905za7,
		BGl_z62Ezd2appzd2ly1284z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2funcall121906z00,
		BGl_z62Ezd2funcall1286zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2extern1281907z00,
		BGl_z62Ezd2extern1288zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2cast1290za71908za7,
		BGl_z62Ezd2cast1290zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2setq1292za71909za7,
		BGl_z62Ezd2setq1292zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2condition1910z00,
		BGl_z62Ezd2conditional1294zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1889z00zzglobaliza7e_gnza7,
		BgL_bgl_string1889za700za7za7g1911za7, "globalize_gn", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2fail1296za71912za7,
		BGl_z62Ezd2fail1296zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2switch1291913z00,
		BGl_z62Ezd2switch1298zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2letza7d2fun1914za7,
		BGl_z62Ezd2letzd2fun1300z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2letza7d2var1915za7,
		BGl_z62Ezd2letzd2var1302z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1890z00zzglobaliza7e_gnza7,
		BgL_bgl_string1890za700za7za7g1916za7, "E1267 done ", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2setza7d2exza71917z00,
		BGl_z62Ezd2setzd2exzd2it1304zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2jumpza7d2ex1918za7,
		BGl_z62Ezd2jumpzd2exzd2it1306zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2makeza7d2bo1919za7,
		BGl_z62Ezd2makezd2box1308z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2boxza7d2ref1920za7,
		BGl_z62Ezd2boxzd2ref1310z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2boxza7d2set1921za7,
		BGl_z62Ezd2boxzd2setz121312z70zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_gnza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_gnza7(long
		BgL_checksumz00_2833, char *BgL_fromz00_2834)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_gnza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_gnza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_gnza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_gnza7();
					BGl_cnstzd2initzd2zzglobaliza7e_gnza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_gnza7();
					BGl_genericzd2initzd2zzglobaliza7e_gnza7();
					BGl_methodzd2initzd2zzglobaliza7e_gnza7();
					return BGl_toplevelzd2initzd2zzglobaliza7e_gnza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_gn");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"globalize_gn");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_gn");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_gn");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			{	/* Globalize/gn.scm 23 */
				obj_t BgL_cportz00_2722;

				{	/* Globalize/gn.scm 23 */
					obj_t BgL_stringz00_2729;

					BgL_stringz00_2729 = BGl_string1890z00zzglobaliza7e_gnza7;
					{	/* Globalize/gn.scm 23 */
						obj_t BgL_startz00_2730;

						BgL_startz00_2730 = BINT(((long) 0));
						{	/* Globalize/gn.scm 23 */
							obj_t BgL_endz00_2731;

							BgL_endz00_2731 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2729)));
							{	/* Globalize/gn.scm 23 */

								BgL_cportz00_2722 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2729, BgL_startz00_2730, BgL_endz00_2731);
				}}}}
				{
					long BgL_iz00_2723;

					BgL_iz00_2723 = ((long) 1);
				BgL_loopz00_2724:
					if ((BgL_iz00_2723 == ((long) -1)))
						{	/* Globalize/gn.scm 23 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/gn.scm 23 */
							{	/* Globalize/gn.scm 23 */
								obj_t BgL_arg1891z00_2725;

								{	/* Globalize/gn.scm 23 */

									{	/* Globalize/gn.scm 23 */
										obj_t BgL_locationz00_2727;

										BgL_locationz00_2727 = BBOOL(((bool_t) 0));
										{	/* Globalize/gn.scm 23 */

											BgL_arg1891z00_2725 =
												BGl_readz00zz__readerz00(BgL_cportz00_2722,
												BgL_locationz00_2727);
										}
									}
								}
								{	/* Globalize/gn.scm 23 */
									int BgL_tmpz00_2864;

									BgL_tmpz00_2864 = (int) (BgL_iz00_2723);
									CNST_TABLE_SET(BgL_tmpz00_2864, BgL_arg1891z00_2725);
							}}
							{	/* Globalize/gn.scm 23 */
								int BgL_auxz00_2728;

								BgL_auxz00_2728 = (int) ((BgL_iz00_2723 - ((long) 1)));
								{
									long BgL_iz00_2869;

									BgL_iz00_2869 = (long) (BgL_auxz00_2728);
									BgL_iz00_2723 = BgL_iz00_2869;
									goto BgL_loopz00_2724;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzglobaliza7e_gnza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1768;

				BgL_headz00_1768 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1769;
					obj_t BgL_tailz00_1770;

					BgL_prevz00_1769 = BgL_headz00_1768;
					BgL_tailz00_1770 = BgL_l1z00_1;
				BgL_loopz00_1771:
					if (PAIRP(BgL_tailz00_1770))
						{
							obj_t BgL_newzd2prevzd2_1773;

							BgL_newzd2prevzd2_1773 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1770), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1769, BgL_newzd2prevzd2_1773);
							{
								obj_t BgL_tailz00_2879;
								obj_t BgL_prevz00_2878;

								BgL_prevz00_2878 = BgL_newzd2prevzd2_1773;
								BgL_tailz00_2879 = CDR(BgL_tailz00_1770);
								BgL_tailz00_1770 = BgL_tailz00_2879;
								BgL_prevz00_1769 = BgL_prevz00_2878;
								goto BgL_loopz00_1771;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1768);
				}
			}
		}

	}



/* Gn! */
	BGL_EXPORTED_DEF obj_t BGl_Gnz12z12zzglobaliza7e_gnza7(obj_t BgL_argsz00_3,
		BgL_nodez00_bglt BgL_nodez00_4, BgL_variablez00_bglt BgL_callerz00_5,
		obj_t BgL_gz00_6)
	{
		{	/* Globalize/gn.scm 41 */
			BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00 =
				BGl_Ez00zzglobaliza7e_gnza7(BgL_nodez00_4, BgL_callerz00_5, BgL_gz00_6);
			{
				obj_t BgL_gz00_1778;
				obj_t BgL_g1z00_1779;

				BgL_gz00_1778 = BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00;
				BgL_g1z00_1779 = BNIL;
			BgL_zc3z04anonymousza31316ze3z87_1780:
				if (NULLP(BgL_gz00_1778))
					{	/* Globalize/gn.scm 45 */
						BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00 =
							BGl_appendzd221011zd2zzglobaliza7e_gnza7
							(BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00, BgL_g1z00_1779);
						return (BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00 =
							BgL_g1z00_1779, BUNSPEC);
					}
				else
					{	/* Globalize/gn.scm 49 */
						obj_t BgL_newzd2gzd2_1782;

						{	/* Globalize/gn.scm 49 */
							obj_t BgL_arg1332z00_1786;

							BgL_arg1332z00_1786 = CAR(((obj_t) BgL_gz00_1778));
							BgL_newzd2gzd2_1782 =
								BGl_Gzd2fromzd2ctoz00zzglobaliza7e_gnza7(BgL_arg1332z00_1786);
						}
						{	/* Globalize/gn.scm 50 */
							obj_t BgL_arg1318z00_1783;
							obj_t BgL_arg1319z00_1784;

							{	/* Globalize/gn.scm 50 */
								obj_t BgL_arg1331z00_1785;

								BgL_arg1331z00_1785 = CDR(((obj_t) BgL_gz00_1778));
								BgL_arg1318z00_1783 =
									BGl_appendzd221011zd2zzglobaliza7e_gnza7(BgL_newzd2gzd2_1782,
									BgL_arg1331z00_1785);
							}
							BgL_arg1319z00_1784 =
								BGl_appendzd221011zd2zzglobaliza7e_gnza7(BgL_newzd2gzd2_1782,
								BgL_g1z00_1779);
							{
								obj_t BgL_g1z00_2894;
								obj_t BgL_gz00_2893;

								BgL_gz00_2893 = BgL_arg1318z00_1783;
								BgL_g1z00_2894 = BgL_arg1319z00_1784;
								BgL_g1z00_1779 = BgL_g1z00_2894;
								BgL_gz00_1778 = BgL_gz00_2893;
								goto BgL_zc3z04anonymousza31316ze3z87_1780;
							}
						}
					}
			}
		}

	}



/* &Gn! */
	obj_t BGl_z62Gnz12z70zzglobaliza7e_gnza7(obj_t BgL_envz00_2598,
		obj_t BgL_argsz00_2599, obj_t BgL_nodez00_2600, obj_t BgL_callerz00_2601,
		obj_t BgL_gz00_2602)
	{
		{	/* Globalize/gn.scm 41 */
			return
				BGl_Gnz12z12zzglobaliza7e_gnza7(BgL_argsz00_2599,
				((BgL_nodez00_bglt) BgL_nodez00_2600),
				((BgL_variablez00_bglt) BgL_callerz00_2601), BgL_gz00_2602);
		}

	}



/* E* */
	obj_t BGl_Eza2za2zzglobaliza7e_gnza7(obj_t BgL_nodeza2za2_76,
		obj_t BgL_callerz00_77, obj_t BgL_gz00_78)
	{
		{	/* Globalize/gn.scm 237 */
			{
				obj_t BgL_nodeza2za2_1789;
				obj_t BgL_gz00_1790;

				BgL_nodeza2za2_1789 = BgL_nodeza2za2_76;
				BgL_gz00_1790 = BgL_gz00_78;
			BgL_zc3z04anonymousza31333ze3z87_1791:
				if (NULLP(BgL_nodeza2za2_1789))
					{	/* Globalize/gn.scm 240 */
						return BgL_gz00_1790;
					}
				else
					{	/* Globalize/gn.scm 242 */
						obj_t BgL_arg1338z00_1793;
						obj_t BgL_arg1339z00_1794;

						BgL_arg1338z00_1793 = CDR(((obj_t) BgL_nodeza2za2_1789));
						{	/* Globalize/gn.scm 243 */
							obj_t BgL_arg1340z00_1795;

							BgL_arg1340z00_1795 = CAR(((obj_t) BgL_nodeza2za2_1789));
							BgL_arg1339z00_1794 =
								BGl_Ez00zzglobaliza7e_gnza7(
								((BgL_nodez00_bglt) BgL_arg1340z00_1795),
								((BgL_variablez00_bglt) BgL_callerz00_77), BgL_gz00_1790);
						}
						{
							obj_t BgL_gz00_2908;
							obj_t BgL_nodeza2za2_2907;

							BgL_nodeza2za2_2907 = BgL_arg1338z00_1793;
							BgL_gz00_2908 = BgL_arg1339z00_1794;
							BgL_gz00_1790 = BgL_gz00_2908;
							BgL_nodeza2za2_1789 = BgL_nodeza2za2_2907;
							goto BgL_zc3z04anonymousza31333ze3z87_1791;
						}
					}
			}
		}

	}



/* save-app! */
	obj_t BGl_savezd2appz12zc0zzglobaliza7e_gnza7(obj_t BgL_callerz00_79,
		BgL_variablez00_bglt BgL_calleez00_80)
	{
		{	/* Globalize/gn.scm 248 */
			{	/* Globalize/gn.scm 249 */
				bool_t BgL_test1927z00_2909;

				{	/* Globalize/gn.scm 249 */
					obj_t BgL_classz00_2277;

					BgL_classz00_2277 = BGl_globalz00zzast_varz00;
					{	/* Globalize/gn.scm 249 */
						BgL_objectz00_bglt BgL_arg1820z00_2279;

						{	/* Globalize/gn.scm 249 */
							obj_t BgL_tmpz00_2910;

							BgL_tmpz00_2910 =
								((obj_t) ((BgL_objectz00_bglt) BgL_calleez00_80));
							BgL_arg1820z00_2279 = (BgL_objectz00_bglt) (BgL_tmpz00_2910);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Globalize/gn.scm 249 */
								long BgL_idxz00_2285;

								BgL_idxz00_2285 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2279);
								BgL_test1927z00_2909 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2285 + ((long) 2))) == BgL_classz00_2277);
							}
						else
							{	/* Globalize/gn.scm 249 */
								bool_t BgL_res1852z00_2307;

								{	/* Globalize/gn.scm 249 */
									obj_t BgL_oclassz00_2293;

									{	/* Globalize/gn.scm 249 */
										long BgL_arg1828z00_2299;

										{	/* Globalize/gn.scm 249 */
											long BgL_arg1829z00_2300;

											BgL_arg1829z00_2300 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2279);
											BgL_arg1828z00_2299 = (BgL_arg1829z00_2300 - OBJECT_TYPE);
										}
										BgL_oclassz00_2293 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2299);
									}
									{	/* Globalize/gn.scm 249 */
										bool_t BgL__ortest_1111z00_2294;

										BgL__ortest_1111z00_2294 =
											(BgL_classz00_2277 == BgL_oclassz00_2293);
										if (BgL__ortest_1111z00_2294)
											{	/* Globalize/gn.scm 249 */
												BgL_res1852z00_2307 = BgL__ortest_1111z00_2294;
											}
										else
											{	/* Globalize/gn.scm 249 */
												long BgL_odepthz00_2295;

												BgL_odepthz00_2295 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2293);
												if ((((long) 2) < BgL_odepthz00_2295))
													{	/* Globalize/gn.scm 249 */
														obj_t BgL_arg1816z00_2297;

														BgL_arg1816z00_2297 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2293,
															((long) 2));
														BgL_res1852z00_2307 =
															(BgL_arg1816z00_2297 == BgL_classz00_2277);
													}
												else
													{	/* Globalize/gn.scm 249 */
														BgL_res1852z00_2307 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test1927z00_2909 = BgL_res1852z00_2307;
							}
					}
				}
				if (BgL_test1927z00_2909)
					{	/* Globalize/gn.scm 249 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Globalize/gn.scm 251 */
						BgL_valuez00_bglt BgL_calleezd2infozd2_1798;

						BgL_calleezd2infozd2_1798 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_calleez00_80))))->BgL_valuez00);
						{	/* Globalize/gn.scm 252 */
							bool_t BgL_test1931z00_2934;

							{	/* Globalize/gn.scm 252 */
								obj_t BgL_arg1356z00_1806;

								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2935;

									{
										obj_t BgL_auxz00_2936;

										{	/* Globalize/gn.scm 252 */
											BgL_objectz00_bglt BgL_tmpz00_2937;

											BgL_tmpz00_2937 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_calleezd2infozd2_1798));
											BgL_auxz00_2936 = BGL_OBJECT_WIDENING(BgL_tmpz00_2937);
										}
										BgL_auxz00_2935 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2936);
									}
									BgL_arg1356z00_1806 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2935))->
										BgL_cfromz00);
								}
								BgL_test1931z00_2934 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_callerz00_79, BgL_arg1356z00_1806));
							}
							if (BgL_test1931z00_2934)
								{	/* Globalize/gn.scm 252 */
									BFALSE;
								}
							else
								{	/* Globalize/gn.scm 252 */
									{	/* Globalize/gn.scm 256 */
										obj_t BgL_arg1346z00_1801;

										{	/* Globalize/gn.scm 256 */
											obj_t BgL_arg1347z00_1802;

											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2945;

												{
													obj_t BgL_auxz00_2946;

													{	/* Globalize/gn.scm 256 */
														BgL_objectz00_bglt BgL_tmpz00_2947;

														BgL_tmpz00_2947 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_calleezd2infozd2_1798));
														BgL_auxz00_2946 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2947);
													}
													BgL_auxz00_2945 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2946);
												}
												BgL_arg1347z00_1802 =
													(((BgL_sfunzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_2945))->BgL_cfromz00);
											}
											BgL_arg1346z00_1801 =
												MAKE_YOUNG_PAIR(BgL_callerz00_79, BgL_arg1347z00_1802);
										}
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2954;

											{
												obj_t BgL_auxz00_2955;

												{	/* Globalize/gn.scm 254 */
													BgL_objectz00_bglt BgL_tmpz00_2956;

													BgL_tmpz00_2956 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_calleezd2infozd2_1798));
													BgL_auxz00_2955 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2956);
												}
												BgL_auxz00_2954 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2955);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2954))->
													BgL_cfromz00) =
												((obj_t) BgL_arg1346z00_1801), BUNSPEC);
										}
									}
									{	/* Globalize/gn.scm 257 */
										BgL_valuez00_bglt BgL_callerzd2infozd2_1803;

										BgL_callerzd2infozd2_1803 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_callerz00_79)))->
											BgL_valuez00);
										{	/* Globalize/gn.scm 260 */
											obj_t BgL_arg1352z00_1804;

											{	/* Globalize/gn.scm 260 */
												obj_t BgL_arg1353z00_1805;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2964;

													{
														obj_t BgL_auxz00_2965;

														{	/* Globalize/gn.scm 260 */
															BgL_objectz00_bglt BgL_tmpz00_2966;

															BgL_tmpz00_2966 =
																((BgL_objectz00_bglt)
																((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1803));
															BgL_auxz00_2965 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2966);
														}
														BgL_auxz00_2964 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2965);
													}
													BgL_arg1353z00_1805 =
														(((BgL_sfunzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_2964))->BgL_ctoz00);
												}
												BgL_arg1352z00_1804 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_calleez00_80), BgL_arg1353z00_1805);
											}
											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2974;

												{
													obj_t BgL_auxz00_2975;

													{	/* Globalize/gn.scm 258 */
														BgL_objectz00_bglt BgL_tmpz00_2976;

														BgL_tmpz00_2976 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1803));
														BgL_auxz00_2975 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2976);
													}
													BgL_auxz00_2974 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2975);
												}
												((((BgL_sfunzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_2974))->BgL_ctoz00) =
													((obj_t) BgL_arg1352z00_1804), BUNSPEC);
											}
										}
									}
								}
						}
						return CNST_TABLE_REF(((long) 0));
		}}}

	}



/* save-fun! */
	obj_t BGl_savezd2funz12zc0zzglobaliza7e_gnza7(BgL_variablez00_bglt
		BgL_callerz00_81, BgL_variablez00_bglt BgL_calleez00_82)
	{
		{	/* Globalize/gn.scm 267 */
			{	/* Globalize/gn.scm 268 */
				bool_t BgL_test1932z00_2983;

				{	/* Globalize/gn.scm 268 */
					bool_t BgL_test1933z00_2984;

					{	/* Globalize/gn.scm 268 */
						obj_t BgL_classz00_2320;

						BgL_classz00_2320 = BGl_globalz00zzast_varz00;
						{	/* Globalize/gn.scm 268 */
							BgL_objectz00_bglt BgL_arg1820z00_2322;

							{	/* Globalize/gn.scm 268 */
								obj_t BgL_tmpz00_2985;

								BgL_tmpz00_2985 =
									((obj_t) ((BgL_objectz00_bglt) BgL_callerz00_81));
								BgL_arg1820z00_2322 = (BgL_objectz00_bglt) (BgL_tmpz00_2985);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Globalize/gn.scm 268 */
									long BgL_idxz00_2328;

									BgL_idxz00_2328 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2322);
									BgL_test1933z00_2984 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2328 + ((long) 2))) == BgL_classz00_2320);
								}
							else
								{	/* Globalize/gn.scm 268 */
									bool_t BgL_res1853z00_2350;

									{	/* Globalize/gn.scm 268 */
										obj_t BgL_oclassz00_2336;

										{	/* Globalize/gn.scm 268 */
											long BgL_arg1828z00_2342;

											{	/* Globalize/gn.scm 268 */
												long BgL_arg1829z00_2343;

												BgL_arg1829z00_2343 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2322);
												BgL_arg1828z00_2342 =
													(BgL_arg1829z00_2343 - OBJECT_TYPE);
											}
											BgL_oclassz00_2336 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2342);
										}
										{	/* Globalize/gn.scm 268 */
											bool_t BgL__ortest_1111z00_2337;

											BgL__ortest_1111z00_2337 =
												(BgL_classz00_2320 == BgL_oclassz00_2336);
											if (BgL__ortest_1111z00_2337)
												{	/* Globalize/gn.scm 268 */
													BgL_res1853z00_2350 = BgL__ortest_1111z00_2337;
												}
											else
												{	/* Globalize/gn.scm 268 */
													long BgL_odepthz00_2338;

													BgL_odepthz00_2338 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2336);
													if ((((long) 2) < BgL_odepthz00_2338))
														{	/* Globalize/gn.scm 268 */
															obj_t BgL_arg1816z00_2340;

															BgL_arg1816z00_2340 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2336,
																((long) 2));
															BgL_res1853z00_2350 =
																(BgL_arg1816z00_2340 == BgL_classz00_2320);
														}
													else
														{	/* Globalize/gn.scm 268 */
															BgL_res1853z00_2350 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1933z00_2984 = BgL_res1853z00_2350;
								}
						}
					}
					if (BgL_test1933z00_2984)
						{	/* Globalize/gn.scm 268 */
							BgL_test1932z00_2983 = ((bool_t) 1);
						}
					else
						{	/* Globalize/gn.scm 268 */
							obj_t BgL_classz00_2351;

							BgL_classz00_2351 = BGl_globalz00zzast_varz00;
							{	/* Globalize/gn.scm 268 */
								BgL_objectz00_bglt BgL_arg1820z00_2353;

								{	/* Globalize/gn.scm 268 */
									obj_t BgL_tmpz00_3005;

									BgL_tmpz00_3005 =
										((obj_t) ((BgL_objectz00_bglt) BgL_calleez00_82));
									BgL_arg1820z00_2353 = (BgL_objectz00_bglt) (BgL_tmpz00_3005);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Globalize/gn.scm 268 */
										long BgL_idxz00_2359;

										BgL_idxz00_2359 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2353);
										BgL_test1932z00_2983 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2359 + ((long) 2))) == BgL_classz00_2351);
									}
								else
									{	/* Globalize/gn.scm 268 */
										bool_t BgL_res1854z00_2381;

										{	/* Globalize/gn.scm 268 */
											obj_t BgL_oclassz00_2367;

											{	/* Globalize/gn.scm 268 */
												long BgL_arg1828z00_2373;

												{	/* Globalize/gn.scm 268 */
													long BgL_arg1829z00_2374;

													BgL_arg1829z00_2374 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2353);
													BgL_arg1828z00_2373 =
														(BgL_arg1829z00_2374 - OBJECT_TYPE);
												}
												BgL_oclassz00_2367 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2373);
											}
											{	/* Globalize/gn.scm 268 */
												bool_t BgL__ortest_1111z00_2368;

												BgL__ortest_1111z00_2368 =
													(BgL_classz00_2351 == BgL_oclassz00_2367);
												if (BgL__ortest_1111z00_2368)
													{	/* Globalize/gn.scm 268 */
														BgL_res1854z00_2381 = BgL__ortest_1111z00_2368;
													}
												else
													{	/* Globalize/gn.scm 268 */
														long BgL_odepthz00_2369;

														BgL_odepthz00_2369 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2367);
														if ((((long) 2) < BgL_odepthz00_2369))
															{	/* Globalize/gn.scm 268 */
																obj_t BgL_arg1816z00_2371;

																BgL_arg1816z00_2371 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2367,
																	((long) 2));
																BgL_res1854z00_2381 =
																	(BgL_arg1816z00_2371 == BgL_classz00_2351);
															}
														else
															{	/* Globalize/gn.scm 268 */
																BgL_res1854z00_2381 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1932z00_2983 = BgL_res1854z00_2381;
									}
							}
						}
				}
				if (BgL_test1932z00_2983)
					{	/* Globalize/gn.scm 268 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Globalize/gn.scm 270 */
						BgL_valuez00_bglt BgL_callerzd2infozd2_1809;

						BgL_callerzd2infozd2_1809 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_callerz00_81))))->BgL_valuez00);
						{	/* Globalize/gn.scm 274 */
							bool_t BgL_test1940z00_3029;

							{	/* Globalize/gn.scm 274 */
								obj_t BgL_arg1364z00_1814;

								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3030;

									{
										obj_t BgL_auxz00_3031;

										{	/* Globalize/gn.scm 274 */
											BgL_objectz00_bglt BgL_tmpz00_3032;

											BgL_tmpz00_3032 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1809));
											BgL_auxz00_3031 = BGL_OBJECT_WIDENING(BgL_tmpz00_3032);
										}
										BgL_auxz00_3030 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3031);
									}
									BgL_arg1364z00_1814 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3030))->
										BgL_efunctionsz00);
								}
								BgL_test1940z00_3029 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t) BgL_calleez00_82), BgL_arg1364z00_1814));
							}
							if (BgL_test1940z00_3029)
								{	/* Globalize/gn.scm 274 */
									BFALSE;
								}
							else
								{	/* Globalize/gn.scm 276 */
									obj_t BgL_arg1361z00_1812;

									{	/* Globalize/gn.scm 276 */
										obj_t BgL_arg1362z00_1813;

										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3041;

											{
												obj_t BgL_auxz00_3042;

												{	/* Globalize/gn.scm 276 */
													BgL_objectz00_bglt BgL_tmpz00_3043;

													BgL_tmpz00_3043 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1809));
													BgL_auxz00_3042 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3043);
												}
												BgL_auxz00_3041 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3042);
											}
											BgL_arg1362z00_1813 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3041))->
												BgL_efunctionsz00);
										}
										BgL_arg1361z00_1812 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_calleez00_82), BgL_arg1362z00_1813);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3051;

										{
											obj_t BgL_auxz00_3052;

											{	/* Globalize/gn.scm 275 */
												BgL_objectz00_bglt BgL_tmpz00_3053;

												BgL_tmpz00_3053 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1809));
												BgL_auxz00_3052 = BGL_OBJECT_WIDENING(BgL_tmpz00_3053);
											}
											BgL_auxz00_3051 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3052);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3051))->
												BgL_efunctionsz00) =
											((obj_t) BgL_arg1361z00_1812), BUNSPEC);
									}
								}
						}
						return CNST_TABLE_REF(((long) 0));
		}}}

	}



/* G-from-cto */
	obj_t BGl_Gzd2fromzd2ctoz00zzglobaliza7e_gnza7(obj_t BgL_localz00_83)
	{
		{	/* Globalize/gn.scm 282 */
			{	/* Globalize/gn.scm 283 */
				obj_t BgL_g1128z00_1816;

				{	/* Globalize/gn.scm 283 */
					BgL_sfunz00_bglt BgL_oz00_2390;

					BgL_oz00_2390 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_localz00_83))))->BgL_valuez00));
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3064;

						{
							obj_t BgL_auxz00_3065;

							{	/* Globalize/gn.scm 283 */
								BgL_objectz00_bglt BgL_tmpz00_3066;

								BgL_tmpz00_3066 = ((BgL_objectz00_bglt) BgL_oz00_2390);
								BgL_auxz00_3065 = BGL_OBJECT_WIDENING(BgL_tmpz00_3066);
							}
							BgL_auxz00_3064 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3065);
						}
						BgL_g1128z00_1816 =
							(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3064))->
							BgL_ctoz00);
				}}
				{
					obj_t BgL_ctoz00_1819;
					obj_t BgL_gz00_1820;

					BgL_ctoz00_1819 = BgL_g1128z00_1816;
					BgL_gz00_1820 = BNIL;
				BgL_zc3z04anonymousza31365ze3z87_1821:
					if (NULLP(BgL_ctoz00_1819))
						{	/* Globalize/gn.scm 286 */
							return BgL_gz00_1820;
						}
					else
						{	/* Globalize/gn.scm 288 */
							bool_t BgL_test1942z00_3073;

							{	/* Globalize/gn.scm 288 */
								BgL_sfunz00_bglt BgL_oz00_2394;

								BgL_oz00_2394 =
									((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt)
														CAR(((obj_t) BgL_ctoz00_1819))))))->BgL_valuez00));
								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3080;

									{
										obj_t BgL_auxz00_3081;

										{	/* Globalize/gn.scm 288 */
											BgL_objectz00_bglt BgL_tmpz00_3082;

											BgL_tmpz00_3082 = ((BgL_objectz00_bglt) BgL_oz00_2394);
											BgL_auxz00_3081 = BGL_OBJECT_WIDENING(BgL_tmpz00_3082);
										}
										BgL_auxz00_3080 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3081);
									}
									BgL_test1942z00_3073 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3080))->
										BgL_gzf3zf3);
								}
							}
							if (BgL_test1942z00_3073)
								{	/* Globalize/gn.scm 289 */
									obj_t BgL_arg1378z00_1826;

									BgL_arg1378z00_1826 = CDR(((obj_t) BgL_ctoz00_1819));
									{
										obj_t BgL_ctoz00_3089;

										BgL_ctoz00_3089 = BgL_arg1378z00_1826;
										BgL_ctoz00_1819 = BgL_ctoz00_3089;
										goto BgL_zc3z04anonymousza31365ze3z87_1821;
									}
								}
							else
								{	/* Globalize/gn.scm 288 */
									{	/* Globalize/gn.scm 291 */
										BgL_valuez00_bglt BgL_arg1381z00_1827;

										BgL_arg1381z00_1827 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(((obj_t) BgL_ctoz00_1819))))))->BgL_valuez00);
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3095;

											{
												obj_t BgL_auxz00_3096;

												{	/* Globalize/gn.scm 291 */
													BgL_objectz00_bglt BgL_tmpz00_3097;

													BgL_tmpz00_3097 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_arg1381z00_1827));
													BgL_auxz00_3096 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3097);
												}
												BgL_auxz00_3095 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3096);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3095))->
													BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
									}
									{	/* Globalize/gn.scm 292 */
										obj_t BgL_arg1387z00_1829;
										obj_t BgL_arg1388z00_1830;

										BgL_arg1387z00_1829 = CDR(((obj_t) BgL_ctoz00_1819));
										{	/* Globalize/gn.scm 292 */
											obj_t BgL_arg1389z00_1831;

											BgL_arg1389z00_1831 = CAR(((obj_t) BgL_ctoz00_1819));
											BgL_arg1388z00_1830 =
												MAKE_YOUNG_PAIR(BgL_arg1389z00_1831, BgL_gz00_1820);
										}
										{
											obj_t BgL_gz00_3109;
											obj_t BgL_ctoz00_3108;

											BgL_ctoz00_3108 = BgL_arg1387z00_1829;
											BgL_gz00_3109 = BgL_arg1388z00_1830;
											BgL_gz00_1820 = BgL_gz00_3109;
											BgL_ctoz00_1819 = BgL_ctoz00_3108;
											goto BgL_zc3z04anonymousza31365ze3z87_1821;
										}
									}
								}
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_proc1863z00zzglobaliza7e_gnza7,
				BGl_nodez00zzast_nodez00, BGl_string1864z00zzglobaliza7e_gnza7);
		}

	}



/* &E1267 */
	obj_t BGl_z62E1267z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2604,
		obj_t BgL_nodez00_2605, obj_t BgL_callerz00_2606, obj_t BgL_gz00_2607)
	{
		{	/* Globalize/gn.scm 56 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string1865z00zzglobaliza7e_gnza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2605)));
		}

	}



/* E */
	obj_t BGl_Ez00zzglobaliza7e_gnza7(BgL_nodez00_bglt BgL_nodez00_7,
		BgL_variablez00_bglt BgL_callerz00_8, obj_t BgL_gz00_9)
	{
		{	/* Globalize/gn.scm 56 */
			{	/* Globalize/gn.scm 56 */
				obj_t BgL_method1268z00_1842;

				{	/* Globalize/gn.scm 56 */
					obj_t BgL_res1859z00_2434;

					{	/* Globalize/gn.scm 56 */
						long BgL_objzd2classzd2numz00_2405;

						BgL_objzd2classzd2numz00_2405 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_7));
						{	/* Globalize/gn.scm 56 */
							obj_t BgL_arg1825z00_2406;

							BgL_arg1825z00_2406 =
								PROCEDURE_REF(BGl_Ezd2envzd2zzglobaliza7e_gnza7,
								(int) (((long) 1)));
							{	/* Globalize/gn.scm 56 */
								int BgL_offsetz00_2409;

								BgL_offsetz00_2409 = (int) (BgL_objzd2classzd2numz00_2405);
								{	/* Globalize/gn.scm 56 */
									long BgL_offsetz00_2410;

									BgL_offsetz00_2410 =
										((long) (BgL_offsetz00_2409) - OBJECT_TYPE);
									{	/* Globalize/gn.scm 56 */
										long BgL_modz00_2411;

										BgL_modz00_2411 =
											(BgL_offsetz00_2410 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Globalize/gn.scm 56 */
											long BgL_restz00_2413;

											BgL_restz00_2413 =
												(BgL_offsetz00_2410 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Globalize/gn.scm 56 */

												{	/* Globalize/gn.scm 56 */
													obj_t BgL_bucketz00_2415;

													BgL_bucketz00_2415 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2406), BgL_modz00_2411);
													BgL_res1859z00_2434 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2415), BgL_restz00_2413);
					}}}}}}}}
					BgL_method1268z00_1842 = BgL_res1859z00_2434;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1268z00_1842)) (BgL_method1268z00_1842,
					((obj_t) BgL_nodez00_7), ((obj_t) BgL_callerz00_8), BgL_gz00_9, BEOA);
			}
		}

	}



/* &E */
	obj_t BGl_z62Ez62zzglobaliza7e_gnza7(obj_t BgL_envz00_2608,
		obj_t BgL_nodez00_2609, obj_t BgL_callerz00_2610, obj_t BgL_gz00_2611)
	{
		{	/* Globalize/gn.scm 56 */
			return
				BGl_Ez00zzglobaliza7e_gnza7(
				((BgL_nodez00_bglt) BgL_nodez00_2609),
				((BgL_variablez00_bglt) BgL_callerz00_2610), BgL_gz00_2611);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_atomz00zzast_nodez00,
				BGl_proc1866z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_kwotez00zzast_nodez00,
				BGl_proc1868z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_varz00zzast_nodez00,
				BGl_proc1869z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_closurez00zzast_nodez00,
				BGl_proc1870z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_sequencez00zzast_nodez00,
				BGl_proc1871z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_syncz00zzast_nodez00,
				BGl_proc1872z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_appz00zzast_nodez00,
				BGl_proc1873z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1874z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_funcallz00zzast_nodez00,
				BGl_proc1875z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_externz00zzast_nodez00,
				BGl_proc1876z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_castz00zzast_nodez00,
				BGl_proc1877z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_setqz00zzast_nodez00,
				BGl_proc1878z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_conditionalz00zzast_nodez00,
				BGl_proc1879z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_failz00zzast_nodez00,
				BGl_proc1880z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_switchz00zzast_nodez00,
				BGl_proc1881z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1882z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1883z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1884z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1885z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1886z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1887z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1888z00zzglobaliza7e_gnza7,
				BGl_string1867z00zzglobaliza7e_gnza7);
		}

	}



/* &E-box-set!1312 */
	obj_t BGl_z62Ezd2boxzd2setz121312z70zzglobaliza7e_gnza7(obj_t BgL_envz00_2634,
		obj_t BgL_nodez00_2635, obj_t BgL_callerz00_2636, obj_t BgL_gz00_2637)
	{
		{	/* Globalize/gn.scm 230 */
			{	/* Globalize/gn.scm 232 */
				BgL_varz00_bglt BgL_arg1680z00_2736;
				obj_t BgL_arg1682z00_2737;

				BgL_arg1680z00_2736 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2635)))->BgL_varz00);
				{	/* Globalize/gn.scm 232 */
					BgL_nodez00_bglt BgL_arg1683z00_2738;

					BgL_arg1683z00_2738 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2635)))->BgL_valuez00);
					BgL_arg1682z00_2737 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1683z00_2738,
						((BgL_variablez00_bglt) BgL_callerz00_2636), BgL_gz00_2637);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(
					((BgL_nodez00_bglt) BgL_arg1680z00_2736),
					((BgL_variablez00_bglt) BgL_callerz00_2636), BgL_arg1682z00_2737);
			}
		}

	}



/* &E-box-ref1310 */
	obj_t BGl_z62Ezd2boxzd2ref1310z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2638,
		obj_t BgL_nodez00_2639, obj_t BgL_callerz00_2640, obj_t BgL_gz00_2641)
	{
		{	/* Globalize/gn.scm 223 */
			{	/* Globalize/gn.scm 225 */
				BgL_varz00_bglt BgL_arg1677z00_2740;

				BgL_arg1677z00_2740 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2639)))->BgL_varz00);
				return
					BGl_Ez00zzglobaliza7e_gnza7(
					((BgL_nodez00_bglt) BgL_arg1677z00_2740),
					((BgL_variablez00_bglt) BgL_callerz00_2640), BgL_gz00_2641);
			}
		}

	}



/* &E-make-box1308 */
	obj_t BGl_z62Ezd2makezd2box1308z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2642,
		obj_t BgL_nodez00_2643, obj_t BgL_callerz00_2644, obj_t BgL_gz00_2645)
	{
		{	/* Globalize/gn.scm 216 */
			{	/* Globalize/gn.scm 218 */
				BgL_nodez00_bglt BgL_arg1674z00_2742;

				BgL_arg1674z00_2742 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2643)))->BgL_valuez00);
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1674z00_2742,
					((BgL_variablez00_bglt) BgL_callerz00_2644), BgL_gz00_2645);
			}
		}

	}



/* &E-jump-ex-it1306 */
	obj_t BGl_z62Ezd2jumpzd2exzd2it1306zb0zzglobaliza7e_gnza7(obj_t
		BgL_envz00_2646, obj_t BgL_nodez00_2647, obj_t BgL_callerz00_2648,
		obj_t BgL_gz00_2649)
	{
		{	/* Globalize/gn.scm 209 */
			{	/* Globalize/gn.scm 211 */
				BgL_nodez00_bglt BgL_arg1663z00_2744;
				obj_t BgL_arg1672z00_2745;

				BgL_arg1663z00_2744 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2647)))->BgL_exitz00);
				{	/* Globalize/gn.scm 211 */
					BgL_nodez00_bglt BgL_arg1673z00_2746;

					BgL_arg1673z00_2746 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2647)))->
						BgL_valuez00);
					BgL_arg1672z00_2745 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1673z00_2746,
						((BgL_variablez00_bglt) BgL_callerz00_2648), BgL_gz00_2649);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1663z00_2744,
					((BgL_variablez00_bglt) BgL_callerz00_2648), BgL_arg1672z00_2745);
			}
		}

	}



/* &E-set-ex-it1304 */
	obj_t BGl_z62Ezd2setzd2exzd2it1304zb0zzglobaliza7e_gnza7(obj_t
		BgL_envz00_2650, obj_t BgL_nodez00_2651, obj_t BgL_callerz00_2652,
		obj_t BgL_gz00_2653)
	{
		{	/* Globalize/gn.scm 202 */
			{	/* Globalize/gn.scm 204 */
				BgL_nodez00_bglt BgL_arg1653z00_2748;
				obj_t BgL_arg1661z00_2749;

				BgL_arg1653z00_2748 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2651)))->BgL_bodyz00);
				{	/* Globalize/gn.scm 204 */
					BgL_nodez00_bglt BgL_arg1662z00_2750;

					BgL_arg1662z00_2750 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2651)))->
						BgL_onexitz00);
					BgL_arg1661z00_2749 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1662z00_2750,
						((BgL_variablez00_bglt) BgL_callerz00_2652), BgL_gz00_2653);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1653z00_2748,
					((BgL_variablez00_bglt) BgL_callerz00_2652), BgL_arg1661z00_2749);
			}
		}

	}



/* &E-let-var1302 */
	obj_t BGl_z62Ezd2letzd2var1302z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2654,
		obj_t BgL_nodez00_2655, obj_t BgL_callerz00_2656, obj_t BgL_gz00_2657)
	{
		{	/* Globalize/gn.scm 190 */
			{
				obj_t BgL_bindingsz00_2753;
				obj_t BgL_gz00_2754;

				BgL_bindingsz00_2753 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2655)))->BgL_bindingsz00);
				BgL_gz00_2754 = BgL_gz00_2657;
			BgL_loopz00_2752:
				if (NULLP(BgL_bindingsz00_2753))
					{	/* Globalize/gn.scm 195 */
						BgL_nodez00_bglt BgL_arg1645z00_2755;

						BgL_arg1645z00_2755 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2655)))->BgL_bodyz00);
						return
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1645z00_2755,
							((BgL_variablez00_bglt) BgL_callerz00_2656), BgL_gz00_2754);
					}
				else
					{	/* Globalize/gn.scm 196 */
						obj_t BgL_arg1646z00_2756;
						obj_t BgL_arg1648z00_2757;

						BgL_arg1646z00_2756 = CDR(((obj_t) BgL_bindingsz00_2753));
						{	/* Globalize/gn.scm 197 */
							obj_t BgL_arg1651z00_2758;

							{	/* Globalize/gn.scm 197 */
								obj_t BgL_pairz00_2759;

								BgL_pairz00_2759 = CAR(((obj_t) BgL_bindingsz00_2753));
								BgL_arg1651z00_2758 = CDR(BgL_pairz00_2759);
							}
							BgL_arg1648z00_2757 =
								BGl_Ez00zzglobaliza7e_gnza7(
								((BgL_nodez00_bglt) BgL_arg1651z00_2758),
								((BgL_variablez00_bglt) BgL_callerz00_2656), BgL_gz00_2754);
						}
						{
							obj_t BgL_gz00_3222;
							obj_t BgL_bindingsz00_3221;

							BgL_bindingsz00_3221 = BgL_arg1646z00_2756;
							BgL_gz00_3222 = BgL_arg1648z00_2757;
							BgL_gz00_2754 = BgL_gz00_3222;
							BgL_bindingsz00_2753 = BgL_bindingsz00_3221;
							goto BgL_loopz00_2752;
						}
					}
			}
		}

	}



/* &E-let-fun1300 */
	obj_t BGl_z62Ezd2letzd2fun1300z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2658,
		obj_t BgL_nodez00_2659, obj_t BgL_callerz00_2660, obj_t BgL_gz00_2661)
	{
		{	/* Globalize/gn.scm 176 */
			{
				obj_t BgL_localsz00_2762;
				obj_t BgL_gz00_2763;

				BgL_localsz00_2762 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2659)))->BgL_localsz00);
				BgL_gz00_2763 = BgL_gz00_2661;
			BgL_loopz00_2761:
				if (NULLP(BgL_localsz00_2762))
					{	/* Globalize/gn.scm 181 */
						BgL_nodez00_bglt BgL_arg1625z00_2764;

						BgL_arg1625z00_2764 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2659)))->BgL_bodyz00);
						return
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1625z00_2764,
							((BgL_variablez00_bglt) BgL_callerz00_2660), BgL_gz00_2763);
					}
				else
					{	/* Globalize/gn.scm 182 */
						obj_t BgL_arg1629z00_2765;
						obj_t BgL_arg1630z00_2766;

						BgL_arg1629z00_2765 = CDR(((obj_t) BgL_localsz00_2762));
						{	/* Globalize/gn.scm 183 */
							obj_t BgL_arg1632z00_2767;
							obj_t BgL_arg1635z00_2768;

							BgL_arg1632z00_2767 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_localsz00_2762))))))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg1635z00_2768 = CAR(((obj_t) BgL_localsz00_2762));
							BgL_arg1630z00_2766 =
								BGl_Ez00zzglobaliza7e_gnza7(
								((BgL_nodez00_bglt) BgL_arg1632z00_2767),
								((BgL_variablez00_bglt) BgL_arg1635z00_2768), BgL_gz00_2763);
						}
						{
							obj_t BgL_gz00_3246;
							obj_t BgL_localsz00_3245;

							BgL_localsz00_3245 = BgL_arg1629z00_2765;
							BgL_gz00_3246 = BgL_arg1630z00_2766;
							BgL_gz00_2763 = BgL_gz00_3246;
							BgL_localsz00_2762 = BgL_localsz00_3245;
							goto BgL_loopz00_2761;
						}
					}
			}
		}

	}



/* &E-switch1298 */
	obj_t BGl_z62Ezd2switch1298zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2662,
		obj_t BgL_nodez00_2663, obj_t BgL_callerz00_2664, obj_t BgL_gz00_2665)
	{
		{	/* Globalize/gn.scm 165 */
			{
				obj_t BgL_clausesz00_2771;
				obj_t BgL_gz00_2772;

				BgL_clausesz00_2771 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2663)))->BgL_clausesz00);
				BgL_gz00_2772 = BgL_gz00_2665;
			BgL_loopz00_2770:
				if (NULLP(BgL_clausesz00_2771))
					{	/* Globalize/gn.scm 170 */
						BgL_nodez00_bglt BgL_arg1598z00_2773;

						BgL_arg1598z00_2773 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2663)))->BgL_testz00);
						return
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1598z00_2773,
							((BgL_variablez00_bglt) BgL_callerz00_2664), BgL_gz00_2772);
					}
				else
					{	/* Globalize/gn.scm 171 */
						obj_t BgL_arg1599z00_2774;
						obj_t BgL_arg1600z00_2775;

						BgL_arg1599z00_2774 = CDR(((obj_t) BgL_clausesz00_2771));
						{	/* Globalize/gn.scm 171 */
							obj_t BgL_arg1610z00_2776;

							{	/* Globalize/gn.scm 171 */
								obj_t BgL_pairz00_2777;

								BgL_pairz00_2777 = CAR(((obj_t) BgL_clausesz00_2771));
								BgL_arg1610z00_2776 = CDR(BgL_pairz00_2777);
							}
							BgL_arg1600z00_2775 =
								BGl_Ez00zzglobaliza7e_gnza7(
								((BgL_nodez00_bglt) BgL_arg1610z00_2776),
								((BgL_variablez00_bglt) BgL_callerz00_2664), BgL_gz00_2772);
						}
						{
							obj_t BgL_gz00_3264;
							obj_t BgL_clausesz00_3263;

							BgL_clausesz00_3263 = BgL_arg1599z00_2774;
							BgL_gz00_3264 = BgL_arg1600z00_2775;
							BgL_gz00_2772 = BgL_gz00_3264;
							BgL_clausesz00_2771 = BgL_clausesz00_3263;
							goto BgL_loopz00_2770;
						}
					}
			}
		}

	}



/* &E-fail1296 */
	obj_t BGl_z62Ezd2fail1296zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2666,
		obj_t BgL_nodez00_2667, obj_t BgL_callerz00_2668, obj_t BgL_gz00_2669)
	{
		{	/* Globalize/gn.scm 158 */
			{	/* Globalize/gn.scm 160 */
				BgL_nodez00_bglt BgL_arg1572z00_2779;
				obj_t BgL_arg1580z00_2780;

				BgL_arg1572z00_2779 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2667)))->BgL_procz00);
				{	/* Globalize/gn.scm 160 */
					BgL_nodez00_bglt BgL_arg1581z00_2781;
					obj_t BgL_arg1582z00_2782;

					BgL_arg1581z00_2781 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2667)))->BgL_msgz00);
					{	/* Globalize/gn.scm 160 */
						BgL_nodez00_bglt BgL_arg1588z00_2783;

						BgL_arg1588z00_2783 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2667)))->BgL_objz00);
						BgL_arg1582z00_2782 =
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1588z00_2783,
							((BgL_variablez00_bglt) BgL_callerz00_2668), BgL_gz00_2669);
					}
					BgL_arg1580z00_2780 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1581z00_2781,
						((BgL_variablez00_bglt) BgL_callerz00_2668), BgL_arg1582z00_2782);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1572z00_2779,
					((BgL_variablez00_bglt) BgL_callerz00_2668), BgL_arg1580z00_2780);
			}
		}

	}



/* &E-conditional1294 */
	obj_t BGl_z62Ezd2conditional1294zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2670,
		obj_t BgL_nodez00_2671, obj_t BgL_callerz00_2672, obj_t BgL_gz00_2673)
	{
		{	/* Globalize/gn.scm 151 */
			{	/* Globalize/gn.scm 153 */
				BgL_nodez00_bglt BgL_arg1559z00_2785;
				obj_t BgL_arg1561z00_2786;

				BgL_arg1559z00_2785 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2671)))->BgL_testz00);
				{	/* Globalize/gn.scm 153 */
					BgL_nodez00_bglt BgL_arg1565z00_2787;
					obj_t BgL_arg1567z00_2788;

					BgL_arg1565z00_2787 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2671)))->BgL_truez00);
					{	/* Globalize/gn.scm 153 */
						BgL_nodez00_bglt BgL_arg1570z00_2789;

						BgL_arg1570z00_2789 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2671)))->BgL_falsez00);
						BgL_arg1567z00_2788 =
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1570z00_2789,
							((BgL_variablez00_bglt) BgL_callerz00_2672), BgL_gz00_2673);
					}
					BgL_arg1561z00_2786 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1565z00_2787,
						((BgL_variablez00_bglt) BgL_callerz00_2672), BgL_arg1567z00_2788);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1559z00_2785,
					((BgL_variablez00_bglt) BgL_callerz00_2672), BgL_arg1561z00_2786);
			}
		}

	}



/* &E-setq1292 */
	obj_t BGl_z62Ezd2setq1292zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2674,
		obj_t BgL_nodez00_2675, obj_t BgL_callerz00_2676, obj_t BgL_gz00_2677)
	{
		{	/* Globalize/gn.scm 144 */
			{	/* Globalize/gn.scm 146 */
				BgL_nodez00_bglt BgL_arg1558z00_2791;

				BgL_arg1558z00_2791 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2675)))->BgL_valuez00);
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1558z00_2791,
					((BgL_variablez00_bglt) BgL_callerz00_2676), BgL_gz00_2677);
			}
		}

	}



/* &E-cast1290 */
	obj_t BGl_z62Ezd2cast1290zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2678,
		obj_t BgL_nodez00_2679, obj_t BgL_callerz00_2680, obj_t BgL_gz00_2681)
	{
		{	/* Globalize/gn.scm 137 */
			{	/* Globalize/gn.scm 139 */
				BgL_nodez00_bglt BgL_arg1535z00_2793;

				BgL_arg1535z00_2793 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2679)))->BgL_argz00);
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1535z00_2793,
					((BgL_variablez00_bglt) BgL_callerz00_2680), BgL_gz00_2681);
			}
		}

	}



/* &E-extern1288 */
	obj_t BGl_z62Ezd2extern1288zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2682,
		obj_t BgL_nodez00_2683, obj_t BgL_callerz00_2684, obj_t BgL_gz00_2685)
	{
		{	/* Globalize/gn.scm 130 */
			return
				BGl_Eza2za2zzglobaliza7e_gnza7(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2683)))->BgL_exprza2za2),
				BgL_callerz00_2684, BgL_gz00_2685);
		}

	}



/* &E-funcall1286 */
	obj_t BGl_z62Ezd2funcall1286zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2686,
		obj_t BgL_nodez00_2687, obj_t BgL_callerz00_2688, obj_t BgL_gz00_2689)
	{
		{	/* Globalize/gn.scm 123 */
			{	/* Globalize/gn.scm 125 */
				BgL_nodez00_bglt BgL_arg1524z00_2796;
				obj_t BgL_arg1526z00_2797;

				BgL_arg1524z00_2796 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2687)))->BgL_funz00);
				BgL_arg1526z00_2797 =
					BGl_Eza2za2zzglobaliza7e_gnza7(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2687)))->BgL_argsz00),
					BgL_callerz00_2688, BgL_gz00_2689);
				return BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1524z00_2796,
					((BgL_variablez00_bglt) BgL_callerz00_2688), BgL_arg1526z00_2797);
			}
		}

	}



/* &E-app-ly1284 */
	obj_t BGl_z62Ezd2appzd2ly1284z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2690,
		obj_t BgL_nodez00_2691, obj_t BgL_callerz00_2692, obj_t BgL_gz00_2693)
	{
		{	/* Globalize/gn.scm 116 */
			{	/* Globalize/gn.scm 118 */
				BgL_nodez00_bglt BgL_arg1521z00_2799;
				obj_t BgL_arg1522z00_2800;

				BgL_arg1521z00_2799 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2691)))->BgL_funz00);
				{	/* Globalize/gn.scm 118 */
					BgL_nodez00_bglt BgL_arg1523z00_2801;

					BgL_arg1523z00_2801 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2691)))->BgL_argz00);
					BgL_arg1522z00_2800 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1523z00_2801,
						((BgL_variablez00_bglt) BgL_callerz00_2692), BgL_gz00_2693);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1521z00_2799,
					((BgL_variablez00_bglt) BgL_callerz00_2692), BgL_arg1522z00_2800);
			}
		}

	}



/* &E-app1282 */
	obj_t BGl_z62Ezd2app1282zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2694,
		obj_t BgL_nodez00_2695, obj_t BgL_callerz00_2696, obj_t BgL_gz00_2697)
	{
		{	/* Globalize/gn.scm 108 */
			BGl_savezd2appz12zc0zzglobaliza7e_gnza7(BgL_callerz00_2696,
				(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2695)))->BgL_funz00)))->
					BgL_variablez00));
			return BGl_Eza2za2zzglobaliza7e_gnza7((((BgL_appz00_bglt)
						COBJECT(((BgL_appz00_bglt) BgL_nodez00_2695)))->BgL_argsz00),
				BgL_callerz00_2696, BgL_gz00_2697);
		}

	}



/* &E-sync1280 */
	obj_t BGl_z62Ezd2sync1280zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2698,
		obj_t BgL_nodez00_2699, obj_t BgL_callerz00_2700, obj_t BgL_gz00_2701)
	{
		{	/* Globalize/gn.scm 100 */
			{	/* Globalize/gn.scm 101 */
				BgL_nodez00_bglt BgL_arg1467z00_2804;
				obj_t BgL_arg1468z00_2805;

				BgL_arg1467z00_2804 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2699)))->BgL_bodyz00);
				{	/* Globalize/gn.scm 102 */
					BgL_nodez00_bglt BgL_arg1482z00_2806;
					obj_t BgL_arg1484z00_2807;

					BgL_arg1482z00_2806 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2699)))->BgL_prelockz00);
					{	/* Globalize/gn.scm 103 */
						BgL_nodez00_bglt BgL_arg1496z00_2808;

						BgL_arg1496z00_2808 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2699)))->BgL_mutexz00);
						BgL_arg1484z00_2807 =
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1496z00_2808,
							((BgL_variablez00_bglt) BgL_callerz00_2700), BgL_gz00_2701);
					}
					BgL_arg1468z00_2805 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1482z00_2806,
						((BgL_variablez00_bglt) BgL_callerz00_2700), BgL_arg1484z00_2807);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1467z00_2804,
					((BgL_variablez00_bglt) BgL_callerz00_2700), BgL_arg1468z00_2805);
			}
		}

	}



/* &E-sequence1278 */
	obj_t BGl_z62Ezd2sequence1278zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2702,
		obj_t BgL_nodez00_2703, obj_t BgL_callerz00_2704, obj_t BgL_gz00_2705)
	{
		{	/* Globalize/gn.scm 94 */
			return
				BGl_Eza2za2zzglobaliza7e_gnza7(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2703)))->BgL_nodesz00),
				BgL_callerz00_2704, BgL_gz00_2705);
		}

	}



/* &E-closure1276 */
	obj_t BGl_z62Ezd2closure1276zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2706,
		obj_t BgL_nodez00_2707, obj_t BgL_callerz00_2708, obj_t BgL_gz00_2709)
	{
		{	/* Globalize/gn.scm 79 */
			{	/* Globalize/gn.scm 80 */
				BgL_variablez00_bglt BgL_varz00_2812;

				BgL_varz00_2812 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt)
								((BgL_closurez00_bglt) BgL_nodez00_2707))))->BgL_variablez00);
				BGl_savezd2funz12zc0zzglobaliza7e_gnza7(
					((BgL_variablez00_bglt) BgL_callerz00_2708), BgL_varz00_2812);
				{	/* Globalize/gn.scm 82 */
					bool_t BgL_test1946z00_3344;

					{	/* Globalize/gn.scm 82 */
						bool_t BgL_test1947z00_3345;

						{	/* Globalize/gn.scm 82 */
							obj_t BgL_classz00_2813;

							BgL_classz00_2813 = BGl_localz00zzast_varz00;
							{	/* Globalize/gn.scm 82 */
								BgL_objectz00_bglt BgL_arg1820z00_2814;

								{	/* Globalize/gn.scm 82 */
									obj_t BgL_tmpz00_3346;

									BgL_tmpz00_3346 =
										((obj_t) ((BgL_objectz00_bglt) BgL_varz00_2812));
									BgL_arg1820z00_2814 = (BgL_objectz00_bglt) (BgL_tmpz00_3346);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Globalize/gn.scm 82 */
										long BgL_idxz00_2815;

										BgL_idxz00_2815 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2814);
										BgL_test1947z00_3345 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2815 + ((long) 2))) == BgL_classz00_2813);
									}
								else
									{	/* Globalize/gn.scm 82 */
										bool_t BgL_res1860z00_2818;

										{	/* Globalize/gn.scm 82 */
											obj_t BgL_oclassz00_2819;

											{	/* Globalize/gn.scm 82 */
												long BgL_arg1828z00_2820;

												{	/* Globalize/gn.scm 82 */
													long BgL_arg1829z00_2821;

													BgL_arg1829z00_2821 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2814);
													BgL_arg1828z00_2820 =
														(BgL_arg1829z00_2821 - OBJECT_TYPE);
												}
												BgL_oclassz00_2819 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2820);
											}
											{	/* Globalize/gn.scm 82 */
												bool_t BgL__ortest_1111z00_2822;

												BgL__ortest_1111z00_2822 =
													(BgL_classz00_2813 == BgL_oclassz00_2819);
												if (BgL__ortest_1111z00_2822)
													{	/* Globalize/gn.scm 82 */
														BgL_res1860z00_2818 = BgL__ortest_1111z00_2822;
													}
												else
													{	/* Globalize/gn.scm 82 */
														long BgL_odepthz00_2823;

														BgL_odepthz00_2823 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2819);
														if ((((long) 2) < BgL_odepthz00_2823))
															{	/* Globalize/gn.scm 82 */
																obj_t BgL_arg1816z00_2824;

																BgL_arg1816z00_2824 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2819,
																	((long) 2));
																BgL_res1860z00_2818 =
																	(BgL_arg1816z00_2824 == BgL_classz00_2813);
															}
														else
															{	/* Globalize/gn.scm 82 */
																BgL_res1860z00_2818 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1947z00_3345 = BgL_res1860z00_2818;
									}
							}
						}
						if (BgL_test1947z00_3345)
							{	/* Globalize/gn.scm 84 */
								bool_t BgL_test1951z00_3366;

								{
									BgL_localzf2ginfozf2_bglt BgL_auxz00_3367;

									{
										obj_t BgL_auxz00_3368;

										{	/* Globalize/gn.scm 84 */
											BgL_objectz00_bglt BgL_tmpz00_3369;

											BgL_tmpz00_3369 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_varz00_2812));
											BgL_auxz00_3368 = BGL_OBJECT_WIDENING(BgL_tmpz00_3369);
										}
										BgL_auxz00_3367 =
											((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3368);
									}
									BgL_test1951z00_3366 =
										(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3367))->
										BgL_escapezf3zf3);
								}
								if (BgL_test1951z00_3366)
									{	/* Globalize/gn.scm 85 */
										bool_t BgL_test1952z00_3375;

										{	/* Globalize/gn.scm 85 */
											BgL_sfunz00_bglt BgL_oz00_2825;

											BgL_oz00_2825 =
												((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_2812))))->
													BgL_valuez00));
											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3380;

												{
													obj_t BgL_auxz00_3381;

													{	/* Globalize/gn.scm 85 */
														BgL_objectz00_bglt BgL_tmpz00_3382;

														BgL_tmpz00_3382 =
															((BgL_objectz00_bglt) BgL_oz00_2825);
														BgL_auxz00_3381 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3382);
													}
													BgL_auxz00_3380 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3381);
												}
												BgL_test1952z00_3375 =
													(((BgL_sfunzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_3380))->BgL_gzf3zf3);
											}
										}
										if (BgL_test1952z00_3375)
											{	/* Globalize/gn.scm 85 */
												BgL_test1946z00_3344 = ((bool_t) 0);
											}
										else
											{	/* Globalize/gn.scm 85 */
												BgL_test1946z00_3344 = ((bool_t) 1);
											}
									}
								else
									{	/* Globalize/gn.scm 84 */
										BgL_test1946z00_3344 = ((bool_t) 0);
									}
							}
						else
							{	/* Globalize/gn.scm 82 */
								BgL_test1946z00_3344 = ((bool_t) 0);
							}
					}
					if (BgL_test1946z00_3344)
						{	/* Globalize/gn.scm 82 */
							{	/* Globalize/gn.scm 87 */
								BgL_valuez00_bglt BgL_arg1426z00_2826;

								BgL_arg1426z00_2826 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_varz00_2812))))->BgL_valuez00);
								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3390;

									{
										obj_t BgL_auxz00_3391;

										{	/* Globalize/gn.scm 87 */
											BgL_objectz00_bglt BgL_tmpz00_3392;

											BgL_tmpz00_3392 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_arg1426z00_2826));
											BgL_auxz00_3391 = BGL_OBJECT_WIDENING(BgL_tmpz00_3392);
										}
										BgL_auxz00_3390 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3391);
									}
									((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3390))->
											BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
								}
							}
							return MAKE_YOUNG_PAIR(((obj_t) BgL_varz00_2812), BgL_gz00_2709);
						}
					else
						{	/* Globalize/gn.scm 82 */
							return BgL_gz00_2709;
						}
				}
			}
		}

	}



/* &E-var1274 */
	obj_t BGl_z62Ezd2var1274zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2710,
		obj_t BgL_nodez00_2711, obj_t BgL_callerz00_2712, obj_t BgL_gz00_2713)
	{
		{	/* Globalize/gn.scm 73 */
			return BgL_gz00_2713;
		}

	}



/* &E-kwote1272 */
	obj_t BGl_z62Ezd2kwote1272zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2714,
		obj_t BgL_nodez00_2715, obj_t BgL_callerz00_2716, obj_t BgL_gz00_2717)
	{
		{	/* Globalize/gn.scm 67 */
			return BgL_gz00_2717;
		}

	}



/* &E-atom1270 */
	obj_t BGl_z62Ezd2atom1270zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2718,
		obj_t BgL_nodez00_2719, obj_t BgL_callerz00_2720, obj_t BgL_gz00_2721)
	{
		{	/* Globalize/gn.scm 61 */
			return BgL_gz00_2721;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1889z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1889z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1889z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1889z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1889z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string1889z00zzglobaliza7e_gnza7));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(((long)
					34590581), BSTRING_TO_STRING(BGl_string1889z00zzglobaliza7e_gnza7));
		}

	}

#ifdef __cplusplus
}
#endif
