/*===========================================================================*/
/*   (Globalize/integration.scm)                                             */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/integration.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_integrationza7(void);
	static obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_integrationza7(void);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_appendzd221011zd2zzglobaliza7e_integrationza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationza7(void);
	static obj_t
		BGl_z62zc3z04anonymousza31334ze3ze5zzglobaliza7e_integrationza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(BgL_globalz00_bglt,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_deletezd2duplicatesz12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7(void);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_integrationza7(void);
	static obj_t BGl_z62setzd2integrationz12za2zzglobaliza7e_integrationza7(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2integrationz12zd2envz12zzglobaliza7e_integrationza7,
		BgL_bgl_za762setza7d2integra1677z00,
		BGl_z62setzd2integrationz12za2zzglobaliza7e_integrationza7, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1674z00zzglobaliza7e_integrationza7,
		BgL_bgl_string1674za700za7za7g1678za7, "set-integration!", 16);
	      DEFINE_STRING(BGl_string1675z00zzglobaliza7e_integrationza7,
		BgL_bgl_string1675za700za7za7g1679za7, "No integration for ", 19);
	      DEFINE_STRING(BGl_string1676z00zzglobaliza7e_integrationza7,
		BgL_bgl_string1676za700za7za7g1680za7, "globalize_integration", 21);
	BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(long
		BgL_checksumz00_2381, char *BgL_fromz00_2382)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_integrationza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7();
					return BGl_methodzd2initzd2zzglobaliza7e_integrationza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7(void)
	{
		{	/* Globalize/integration.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_integration");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_integrationza7(void)
	{
		{	/* Globalize/integration.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzglobaliza7e_integrationza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1696;

				BgL_headz00_1696 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1697;
					obj_t BgL_tailz00_1698;

					BgL_prevz00_1697 = BgL_headz00_1696;
					BgL_tailz00_1698 = BgL_l1z00_1;
				BgL_loopz00_1699:
					if (PAIRP(BgL_tailz00_1698))
						{
							obj_t BgL_newzd2prevzd2_1701;

							BgL_newzd2prevzd2_1701 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1698), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1697, BgL_newzd2prevzd2_1701);
							{
								obj_t BgL_tailz00_2405;
								obj_t BgL_prevz00_2404;

								BgL_prevz00_2404 = BgL_newzd2prevzd2_1701;
								BgL_tailz00_2405 = CDR(BgL_tailz00_1698);
								BgL_tailz00_1698 = BgL_tailz00_2405;
								BgL_prevz00_1697 = BgL_prevz00_2404;
								goto BgL_loopz00_1699;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1696);
				}
			}
		}

	}



/* set-integration! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(BgL_globalz00_bglt
		BgL_globalz00_3, obj_t BgL_ez00_4, obj_t BgL_g0z00_5, obj_t BgL_g1z00_6)
	{
		{	/* Globalize/integration.scm 31 */
			{
				obj_t BgL_l1260z00_1705;

				BgL_l1260z00_1705 = BgL_ez00_4;
			BgL_zc3z04anonymousza31283ze3z87_1706:
				if (PAIRP(BgL_l1260z00_1705))
					{	/* Globalize/integration.scm 34 */
						{	/* Globalize/integration.scm 35 */
							obj_t BgL_fz00_1708;

							BgL_fz00_1708 = CAR(BgL_l1260z00_1705);
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_2411;

								{
									obj_t BgL_auxz00_2412;

									{	/* Globalize/integration.scm 36 */
										BgL_objectz00_bglt BgL_tmpz00_2413;

										BgL_tmpz00_2413 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_fz00_1708));
										BgL_auxz00_2412 = BGL_OBJECT_WIDENING(BgL_tmpz00_2413);
									}
									BgL_auxz00_2411 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2412);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2411))->
										BgL_globaliza7edzf3z54) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
						}
						{
							obj_t BgL_l1260z00_2419;

							BgL_l1260z00_2419 = CDR(BgL_l1260z00_1705);
							BgL_l1260z00_1705 = BgL_l1260z00_2419;
							goto BgL_zc3z04anonymousza31283ze3z87_1706;
						}
					}
				else
					{	/* Globalize/integration.scm 34 */
						((bool_t) 1);
					}
			}
			{	/* Globalize/integration.scm 40 */
				obj_t BgL_g1112z00_1712;

				BgL_g1112z00_1712 =
					MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_3), BgL_ez00_4);
				{
					obj_t BgL_fnsz00_1714;

					BgL_fnsz00_1714 = BgL_g1112z00_1712;
				BgL_zc3z04anonymousza31287ze3z87_1715:
					if (NULLP(BgL_fnsz00_1714))
						{	/* Globalize/integration.scm 41 */
							((bool_t) 0);
						}
					else
						{	/* Globalize/integration.scm 44 */
							obj_t BgL_arg1292z00_1717;

							{	/* Globalize/integration.scm 44 */
								obj_t BgL_arg1293z00_1718;

								{	/* Globalize/integration.scm 44 */
									obj_t BgL_runner1305z00_1737;

									{	/* Globalize/integration.scm 44 */
										obj_t BgL_head1264z00_1723;

										BgL_head1264z00_1723 =
											MAKE_YOUNG_PAIR
											(BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7
											(CAR(BgL_fnsz00_1714)), BNIL);
										{	/* Globalize/integration.scm 44 */
											obj_t BgL_g1267z00_1724;

											BgL_g1267z00_1724 = CDR(BgL_fnsz00_1714);
											{
												obj_t BgL_l1262z00_1726;
												obj_t BgL_tail1265z00_1727;

												BgL_l1262z00_1726 = BgL_g1267z00_1724;
												BgL_tail1265z00_1727 = BgL_head1264z00_1723;
											BgL_zc3z04anonymousza31295ze3z87_1728:
												if (NULLP(BgL_l1262z00_1726))
													{	/* Globalize/integration.scm 44 */
														BgL_runner1305z00_1737 = BgL_head1264z00_1723;
													}
												else
													{	/* Globalize/integration.scm 44 */
														obj_t BgL_newtail1266z00_1730;

														{	/* Globalize/integration.scm 44 */
															obj_t BgL_arg1299z00_1732;

															{	/* Globalize/integration.scm 44 */
																obj_t BgL_arg1302z00_1733;

																BgL_arg1302z00_1733 =
																	CAR(((obj_t) BgL_l1262z00_1726));
																BgL_arg1299z00_1732 =
																	BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7
																	(BgL_arg1302z00_1733);
															}
															BgL_newtail1266z00_1730 =
																MAKE_YOUNG_PAIR(BgL_arg1299z00_1732, BNIL);
														}
														SET_CDR(BgL_tail1265z00_1727,
															BgL_newtail1266z00_1730);
														{	/* Globalize/integration.scm 44 */
															obj_t BgL_arg1298z00_1731;

															BgL_arg1298z00_1731 =
																CDR(((obj_t) BgL_l1262z00_1726));
															{
																obj_t BgL_tail1265z00_2439;
																obj_t BgL_l1262z00_2438;

																BgL_l1262z00_2438 = BgL_arg1298z00_1731;
																BgL_tail1265z00_2439 = BgL_newtail1266z00_1730;
																BgL_tail1265z00_1727 = BgL_tail1265z00_2439;
																BgL_l1262z00_1726 = BgL_l1262z00_2438;
																goto BgL_zc3z04anonymousza31295ze3z87_1728;
															}
														}
													}
											}
										}
									}
									BgL_arg1293z00_1718 =
										BGl_appendz00zz__r4_pairs_and_lists_6_3z00
										(BgL_runner1305z00_1737);
								}
								{	/* Globalize/integration.scm 43 */

									BgL_arg1292z00_1717 =
										BGl_deletezd2duplicatesz12zc0zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1293z00_1718,
										BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00);
								}
							}
							{
								obj_t BgL_fnsz00_2442;

								BgL_fnsz00_2442 = BgL_arg1292z00_1717;
								BgL_fnsz00_1714 = BgL_fnsz00_2442;
								goto BgL_zc3z04anonymousza31287ze3z87_1715;
							}
						}
				}
			}
			{
				obj_t BgL_l1268z00_1740;

				BgL_l1268z00_1740 = BgL_g1z00_6;
			BgL_zc3z04anonymousza31306ze3z87_1741:
				if (PAIRP(BgL_l1268z00_1740))
					{	/* Globalize/integration.scm 46 */
						{	/* Globalize/integration.scm 47 */
							obj_t BgL_fz00_1743;

							BgL_fz00_1743 = CAR(BgL_l1268z00_1740);
							{	/* Globalize/integration.scm 47 */
								bool_t BgL_test1687z00_2446;

								{	/* Globalize/integration.scm 108 */
									bool_t BgL__ortest_1118z00_2019;

									{	/* Globalize/integration.scm 108 */
										obj_t BgL_classz00_2020;

										BgL_classz00_2020 = BGl_globalz00zzast_varz00;
										if (BGL_OBJECTP(BgL_fz00_1743))
											{	/* Globalize/integration.scm 108 */
												BgL_objectz00_bglt BgL_arg1820z00_2022;

												BgL_arg1820z00_2022 =
													(BgL_objectz00_bglt) (BgL_fz00_1743);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Globalize/integration.scm 108 */
														long BgL_idxz00_2028;

														BgL_idxz00_2028 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2022);
														BgL__ortest_1118z00_2019 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2028 + ((long) 2))) ==
															BgL_classz00_2020);
													}
												else
													{	/* Globalize/integration.scm 108 */
														bool_t BgL_res1662z00_2050;

														{	/* Globalize/integration.scm 108 */
															obj_t BgL_oclassz00_2036;

															{	/* Globalize/integration.scm 108 */
																long BgL_arg1828z00_2042;

																{	/* Globalize/integration.scm 108 */
																	long BgL_arg1829z00_2043;

																	BgL_arg1829z00_2043 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2022);
																	BgL_arg1828z00_2042 =
																		(BgL_arg1829z00_2043 - OBJECT_TYPE);
																}
																BgL_oclassz00_2036 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_2042);
															}
															{	/* Globalize/integration.scm 108 */
																bool_t BgL__ortest_1111z00_2037;

																BgL__ortest_1111z00_2037 =
																	(BgL_classz00_2020 == BgL_oclassz00_2036);
																if (BgL__ortest_1111z00_2037)
																	{	/* Globalize/integration.scm 108 */
																		BgL_res1662z00_2050 =
																			BgL__ortest_1111z00_2037;
																	}
																else
																	{	/* Globalize/integration.scm 108 */
																		long BgL_odepthz00_2038;

																		BgL_odepthz00_2038 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2036);
																		if ((((long) 2) < BgL_odepthz00_2038))
																			{	/* Globalize/integration.scm 108 */
																				obj_t BgL_arg1816z00_2040;

																				BgL_arg1816z00_2040 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2036, ((long) 2));
																				BgL_res1662z00_2050 =
																					(BgL_arg1816z00_2040 ==
																					BgL_classz00_2020);
																			}
																		else
																			{	/* Globalize/integration.scm 108 */
																				BgL_res1662z00_2050 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL__ortest_1118z00_2019 = BgL_res1662z00_2050;
													}
											}
										else
											{	/* Globalize/integration.scm 108 */
												BgL__ortest_1118z00_2019 = ((bool_t) 0);
											}
									}
									if (BgL__ortest_1118z00_2019)
										{	/* Globalize/integration.scm 108 */
											BgL_test1687z00_2446 = BgL__ortest_1118z00_2019;
										}
									else
										{
											BgL_localzf2ginfozf2_bglt BgL_auxz00_2467;

											{
												obj_t BgL_auxz00_2468;

												{	/* Globalize/integration.scm 108 */
													BgL_objectz00_bglt BgL_tmpz00_2469;

													BgL_tmpz00_2469 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_fz00_1743));
													BgL_auxz00_2468 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2469);
												}
												BgL_auxz00_2467 =
													((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2468);
											}
											BgL_test1687z00_2446 =
												(((BgL_localzf2ginfozf2_bglt)
													COBJECT(BgL_auxz00_2467))->BgL_globaliza7edzf3z54);
										}
								}
								if (BgL_test1687z00_2446)
									{	/* Globalize/integration.scm 47 */
										BFALSE;
									}
								else
									{	/* Globalize/integration.scm 51 */
										BgL_sfunz00_bglt BgL_i1114z00_1746;

										BgL_i1114z00_1746 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_fz00_1743))))->
												BgL_valuez00));
										{
											obj_t BgL_auxz00_2485;
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2479;

											{	/* Globalize/integration.scm 52 */
												obj_t BgL_arg1309z00_1747;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2486;

													{
														obj_t BgL_auxz00_2487;

														{	/* Globalize/integration.scm 52 */
															BgL_objectz00_bglt BgL_tmpz00_2488;

															BgL_tmpz00_2488 =
																((BgL_objectz00_bglt) BgL_i1114z00_1746);
															BgL_auxz00_2487 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2488);
														}
														BgL_auxz00_2486 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2487);
													}
													BgL_arg1309z00_1747 =
														(((BgL_sfunzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_2486))->BgL_imarkz00);
												}
												BgL_auxz00_2485 = CAR(((obj_t) BgL_arg1309z00_1747));
											}
											{
												obj_t BgL_auxz00_2480;

												{	/* Globalize/integration.scm 52 */
													BgL_objectz00_bglt BgL_tmpz00_2481;

													BgL_tmpz00_2481 =
														((BgL_objectz00_bglt) BgL_i1114z00_1746);
													BgL_auxz00_2480 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2481);
												}
												BgL_auxz00_2479 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2480);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2479))->
													BgL_integratorz00) =
												((obj_t) BgL_auxz00_2485), BUNSPEC);
										}
									}
							}
						}
						{
							obj_t BgL_l1268z00_2496;

							BgL_l1268z00_2496 = CDR(BgL_l1268z00_1740);
							BgL_l1268z00_1740 = BgL_l1268z00_2496;
							goto BgL_zc3z04anonymousza31306ze3z87_1741;
						}
					}
				else
					{	/* Globalize/integration.scm 46 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1270z00_1751;

				{	/* Globalize/integration.scm 55 */
					bool_t BgL_tmpz00_2498;

					BgL_l1270z00_1751 = BgL_g1z00_6;
				BgL_zc3z04anonymousza31311ze3z87_1752:
					if (PAIRP(BgL_l1270z00_1751))
						{	/* Globalize/integration.scm 55 */
							{	/* Globalize/integration.scm 56 */
								obj_t BgL_fz00_1754;

								BgL_fz00_1754 = CAR(BgL_l1270z00_1751);
								{	/* Globalize/integration.scm 56 */
									BgL_sfunz00_bglt BgL_i1115z00_1755;

									BgL_i1115z00_1755 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_fz00_1754))))->
											BgL_valuez00));
									{	/* Globalize/integration.scm 59 */
										bool_t BgL_test1695z00_2506;

										{	/* Globalize/integration.scm 108 */
											bool_t BgL__ortest_1118z00_2060;

											{	/* Globalize/integration.scm 108 */
												obj_t BgL_classz00_2061;

												BgL_classz00_2061 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_fz00_1754))
													{	/* Globalize/integration.scm 108 */
														BgL_objectz00_bglt BgL_arg1820z00_2063;

														BgL_arg1820z00_2063 =
															(BgL_objectz00_bglt) (BgL_fz00_1754);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Globalize/integration.scm 108 */
																long BgL_idxz00_2069;

																BgL_idxz00_2069 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_2063);
																BgL__ortest_1118z00_2060 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2069 + ((long) 2))) ==
																	BgL_classz00_2061);
															}
														else
															{	/* Globalize/integration.scm 108 */
																bool_t BgL_res1663z00_2091;

																{	/* Globalize/integration.scm 108 */
																	obj_t BgL_oclassz00_2077;

																	{	/* Globalize/integration.scm 108 */
																		long BgL_arg1828z00_2083;

																		{	/* Globalize/integration.scm 108 */
																			long BgL_arg1829z00_2084;

																			BgL_arg1829z00_2084 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_2063);
																			BgL_arg1828z00_2083 =
																				(BgL_arg1829z00_2084 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2077 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_2083);
																	}
																	{	/* Globalize/integration.scm 108 */
																		bool_t BgL__ortest_1111z00_2078;

																		BgL__ortest_1111z00_2078 =
																			(BgL_classz00_2061 == BgL_oclassz00_2077);
																		if (BgL__ortest_1111z00_2078)
																			{	/* Globalize/integration.scm 108 */
																				BgL_res1663z00_2091 =
																					BgL__ortest_1111z00_2078;
																			}
																		else
																			{	/* Globalize/integration.scm 108 */
																				long BgL_odepthz00_2079;

																				BgL_odepthz00_2079 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2077);
																				if ((((long) 2) < BgL_odepthz00_2079))
																					{	/* Globalize/integration.scm 108 */
																						obj_t BgL_arg1816z00_2081;

																						BgL_arg1816z00_2081 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2077, ((long) 2));
																						BgL_res1663z00_2091 =
																							(BgL_arg1816z00_2081 ==
																							BgL_classz00_2061);
																					}
																				else
																					{	/* Globalize/integration.scm 108 */
																						BgL_res1663z00_2091 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL__ortest_1118z00_2060 = BgL_res1663z00_2091;
															}
													}
												else
													{	/* Globalize/integration.scm 108 */
														BgL__ortest_1118z00_2060 = ((bool_t) 0);
													}
											}
											if (BgL__ortest_1118z00_2060)
												{	/* Globalize/integration.scm 108 */
													BgL_test1695z00_2506 = BgL__ortest_1118z00_2060;
												}
											else
												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_2527;

													{
														obj_t BgL_auxz00_2528;

														{	/* Globalize/integration.scm 108 */
															BgL_objectz00_bglt BgL_tmpz00_2529;

															BgL_tmpz00_2529 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_fz00_1754));
															BgL_auxz00_2528 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2529);
														}
														BgL_auxz00_2527 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2528);
													}
													BgL_test1695z00_2506 =
														(((BgL_localzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_2527))->
														BgL_globaliza7edzf3z54);
												}
										}
										if (BgL_test1695z00_2506)
											{	/* Globalize/integration.scm 59 */
												{	/* Globalize/integration.scm 114 */
													BgL_valuez00_bglt BgL_arg1378z00_2094;

													BgL_arg1378z00_2094 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_fz00_1754))))->
														BgL_valuez00);
													{
														BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2538;

														{
															obj_t BgL_auxz00_2539;

															{	/* Globalize/integration.scm 114 */
																BgL_objectz00_bglt BgL_tmpz00_2540;

																BgL_tmpz00_2540 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_arg1378z00_2094));
																BgL_auxz00_2539 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2540);
															}
															BgL_auxz00_2538 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2539);
														}
														((((BgL_sfunzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_2538))->
																BgL_integratorz00) = ((obj_t) BFALSE), BUNSPEC);
													}
												}
											}
										else
											{	/* Globalize/integration.scm 62 */
												bool_t BgL_test1701z00_2546;

												{	/* Globalize/integration.scm 62 */
													obj_t BgL_arg1318z00_1761;

													{
														BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2547;

														{
															obj_t BgL_auxz00_2548;

															{	/* Globalize/integration.scm 62 */
																BgL_objectz00_bglt BgL_tmpz00_2549;

																BgL_tmpz00_2549 =
																	((BgL_objectz00_bglt) BgL_i1115z00_1755);
																BgL_auxz00_2548 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2549);
															}
															BgL_auxz00_2547 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2548);
														}
														BgL_arg1318z00_1761 =
															(((BgL_sfunzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_2547))->BgL_integratorz00);
													}
													{	/* Globalize/integration.scm 62 */
														obj_t BgL_classz00_2099;

														BgL_classz00_2099 = BGl_variablez00zzast_varz00;
														if (BGL_OBJECTP(BgL_arg1318z00_1761))
															{	/* Globalize/integration.scm 62 */
																BgL_objectz00_bglt BgL_arg1820z00_2101;

																BgL_arg1820z00_2101 =
																	(BgL_objectz00_bglt) (BgL_arg1318z00_1761);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Globalize/integration.scm 62 */
																		long BgL_idxz00_2107;

																		BgL_idxz00_2107 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_2101);
																		BgL_test1701z00_2546 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2107 + ((long) 1))) ==
																			BgL_classz00_2099);
																	}
																else
																	{	/* Globalize/integration.scm 62 */
																		bool_t BgL_res1664z00_2129;

																		{	/* Globalize/integration.scm 62 */
																			obj_t BgL_oclassz00_2115;

																			{	/* Globalize/integration.scm 62 */
																				long BgL_arg1828z00_2121;

																				{	/* Globalize/integration.scm 62 */
																					long BgL_arg1829z00_2122;

																					BgL_arg1829z00_2122 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_2101);
																					BgL_arg1828z00_2121 =
																						(BgL_arg1829z00_2122 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2115 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_2121);
																			}
																			{	/* Globalize/integration.scm 62 */
																				bool_t BgL__ortest_1111z00_2116;

																				BgL__ortest_1111z00_2116 =
																					(BgL_classz00_2099 ==
																					BgL_oclassz00_2115);
																				if (BgL__ortest_1111z00_2116)
																					{	/* Globalize/integration.scm 62 */
																						BgL_res1664z00_2129 =
																							BgL__ortest_1111z00_2116;
																					}
																				else
																					{	/* Globalize/integration.scm 62 */
																						long BgL_odepthz00_2117;

																						BgL_odepthz00_2117 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2115);
																						if ((((long) 1) <
																								BgL_odepthz00_2117))
																							{	/* Globalize/integration.scm 62 */
																								obj_t BgL_arg1816z00_2119;

																								BgL_arg1816z00_2119 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2115,
																									((long) 1));
																								BgL_res1664z00_2129 =
																									(BgL_arg1816z00_2119 ==
																									BgL_classz00_2099);
																							}
																						else
																							{	/* Globalize/integration.scm 62 */
																								BgL_res1664z00_2129 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1701z00_2546 = BgL_res1664z00_2129;
																	}
															}
														else
															{	/* Globalize/integration.scm 62 */
																BgL_test1701z00_2546 = ((bool_t) 0);
															}
													}
												}
												if (BgL_test1701z00_2546)
													{	/* Globalize/integration.scm 62 */
														{	/* Globalize/integration.scm 66 */
															obj_t BgL_arg1316z00_1759;

															{
																BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2573;

																{
																	obj_t BgL_auxz00_2574;

																	{	/* Globalize/integration.scm 66 */
																		BgL_objectz00_bglt BgL_tmpz00_2575;

																		BgL_tmpz00_2575 =
																			((BgL_objectz00_bglt) BgL_i1115z00_1755);
																		BgL_auxz00_2574 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2575);
																	}
																	BgL_auxz00_2573 =
																		((BgL_sfunzf2ginfozf2_bglt)
																		BgL_auxz00_2574);
																}
																BgL_arg1316z00_1759 =
																	(((BgL_sfunzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2573))->
																	BgL_integratorz00);
															}
															BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7
																(BgL_fz00_1754, BgL_arg1316z00_1759);
														}
													}
												else
													{	/* Globalize/integration.scm 62 */
														BGl_internalzd2errorzd2zztools_errorz00
															(BGl_string1674z00zzglobaliza7e_integrationza7,
															BGl_string1675z00zzglobaliza7e_integrationza7,
															BGl_shapez00zztools_shapez00(BgL_fz00_1754));
													}
											}
									}
								}
							}
							{
								obj_t BgL_l1270z00_2583;

								BgL_l1270z00_2583 = CDR(BgL_l1270z00_1751);
								BgL_l1270z00_1751 = BgL_l1270z00_2583;
								goto BgL_zc3z04anonymousza31311ze3z87_1752;
							}
						}
					else
						{	/* Globalize/integration.scm 55 */
							BgL_tmpz00_2498 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_2498);
				}
			}
		}

	}



/* &set-integration! */
	obj_t BGl_z62setzd2integrationz12za2zzglobaliza7e_integrationza7(obj_t
		BgL_envz00_2340, obj_t BgL_globalz00_2341, obj_t BgL_ez00_2342,
		obj_t BgL_g0z00_2343, obj_t BgL_g1z00_2344)
	{
		{	/* Globalize/integration.scm 31 */
			return
				BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(
				((BgL_globalz00_bglt) BgL_globalz00_2341), BgL_ez00_2342,
				BgL_g0z00_2343, BgL_g1z00_2344);
		}

	}



/* traverse-call-to! */
	obj_t BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7(obj_t
		BgL_fz00_7)
	{
		{	/* Globalize/integration.scm 77 */
			{	/* Globalize/integration.scm 78 */
				obj_t BgL_integratorsz00_1764;

				{	/* Globalize/integration.scm 78 */
					bool_t BgL_test1706z00_2588;

					{	/* Globalize/integration.scm 108 */
						bool_t BgL__ortest_1118z00_2132;

						{	/* Globalize/integration.scm 108 */
							obj_t BgL_classz00_2133;

							BgL_classz00_2133 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_fz00_7))
								{	/* Globalize/integration.scm 108 */
									BgL_objectz00_bglt BgL_arg1820z00_2135;

									BgL_arg1820z00_2135 = (BgL_objectz00_bglt) (BgL_fz00_7);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Globalize/integration.scm 108 */
											long BgL_idxz00_2141;

											BgL_idxz00_2141 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2135);
											BgL__ortest_1118z00_2132 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2141 + ((long) 2))) == BgL_classz00_2133);
										}
									else
										{	/* Globalize/integration.scm 108 */
											bool_t BgL_res1665z00_2163;

											{	/* Globalize/integration.scm 108 */
												obj_t BgL_oclassz00_2149;

												{	/* Globalize/integration.scm 108 */
													long BgL_arg1828z00_2155;

													{	/* Globalize/integration.scm 108 */
														long BgL_arg1829z00_2156;

														BgL_arg1829z00_2156 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2135);
														BgL_arg1828z00_2155 =
															(BgL_arg1829z00_2156 - OBJECT_TYPE);
													}
													BgL_oclassz00_2149 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2155);
												}
												{	/* Globalize/integration.scm 108 */
													bool_t BgL__ortest_1111z00_2150;

													BgL__ortest_1111z00_2150 =
														(BgL_classz00_2133 == BgL_oclassz00_2149);
													if (BgL__ortest_1111z00_2150)
														{	/* Globalize/integration.scm 108 */
															BgL_res1665z00_2163 = BgL__ortest_1111z00_2150;
														}
													else
														{	/* Globalize/integration.scm 108 */
															long BgL_odepthz00_2151;

															BgL_odepthz00_2151 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2149);
															if ((((long) 2) < BgL_odepthz00_2151))
																{	/* Globalize/integration.scm 108 */
																	obj_t BgL_arg1816z00_2153;

																	BgL_arg1816z00_2153 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2149,
																		((long) 2));
																	BgL_res1665z00_2163 =
																		(BgL_arg1816z00_2153 == BgL_classz00_2133);
																}
															else
																{	/* Globalize/integration.scm 108 */
																	BgL_res1665z00_2163 = ((bool_t) 0);
																}
														}
												}
											}
											BgL__ortest_1118z00_2132 = BgL_res1665z00_2163;
										}
								}
							else
								{	/* Globalize/integration.scm 108 */
									BgL__ortest_1118z00_2132 = ((bool_t) 0);
								}
						}
						if (BgL__ortest_1118z00_2132)
							{	/* Globalize/integration.scm 108 */
								BgL_test1706z00_2588 = BgL__ortest_1118z00_2132;
							}
						else
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_2609;

								{
									obj_t BgL_auxz00_2610;

									{	/* Globalize/integration.scm 108 */
										BgL_objectz00_bglt BgL_tmpz00_2611;

										BgL_tmpz00_2611 =
											((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_fz00_7));
										BgL_auxz00_2610 = BGL_OBJECT_WIDENING(BgL_tmpz00_2611);
									}
									BgL_auxz00_2609 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2610);
								}
								BgL_test1706z00_2588 =
									(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2609))->
									BgL_globaliza7edzf3z54);
							}
					}
					if (BgL_test1706z00_2588)
						{	/* Globalize/integration.scm 79 */
							obj_t BgL_list1368z00_1805;

							BgL_list1368z00_1805 = MAKE_YOUNG_PAIR(BgL_fz00_7, BNIL);
							BgL_integratorsz00_1764 = BgL_list1368z00_1805;
						}
					else
						{	/* Globalize/integration.scm 80 */
							obj_t BgL_arg1372z00_1806;
							obj_t BgL_arg1375z00_1807;

							{	/* Globalize/integration.scm 80 */
								BgL_sfunz00_bglt BgL_oz00_2168;

								BgL_oz00_2168 =
									((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_fz00_7))))->BgL_valuez00));
								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2622;

									{
										obj_t BgL_auxz00_2623;

										{	/* Globalize/integration.scm 80 */
											BgL_objectz00_bglt BgL_tmpz00_2624;

											BgL_tmpz00_2624 = ((BgL_objectz00_bglt) BgL_oz00_2168);
											BgL_auxz00_2623 = BGL_OBJECT_WIDENING(BgL_tmpz00_2624);
										}
										BgL_auxz00_2622 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2623);
									}
									BgL_arg1372z00_1806 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2622))->
										BgL_imarkz00);
								}
							}
							{	/* Globalize/integration.scm 80 */
								obj_t BgL_list1377z00_1809;

								BgL_list1377z00_1809 = MAKE_YOUNG_PAIR(BgL_fz00_7, BNIL);
								BgL_arg1375z00_1807 = BgL_list1377z00_1809;
							}
							BgL_integratorsz00_1764 =
								BGl_appendzd221011zd2zzglobaliza7e_integrationza7
								(BgL_arg1372z00_1806, BgL_arg1375z00_1807);
						}
				}
				{	/* Globalize/integration.scm 81 */
					obj_t BgL_arg1332z00_1766;

					{	/* Globalize/integration.scm 98 */
						BgL_sfunz00_bglt BgL_oz00_2172;

						BgL_oz00_2172 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_fz00_7)))->BgL_valuez00));
						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2634;

							{
								obj_t BgL_auxz00_2635;

								{	/* Globalize/integration.scm 98 */
									BgL_objectz00_bglt BgL_tmpz00_2636;

									BgL_tmpz00_2636 = ((BgL_objectz00_bglt) BgL_oz00_2172);
									BgL_auxz00_2635 = BGL_OBJECT_WIDENING(BgL_tmpz00_2636);
								}
								BgL_auxz00_2634 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2635);
							}
							BgL_arg1332z00_1766 =
								(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2634))->
								BgL_ctoz00);
						}
					}
					{	/* Globalize/integration.scm 83 */
						obj_t BgL_zc3z04anonymousza31334ze3z87_2348;

						BgL_zc3z04anonymousza31334ze3z87_2348 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza31334ze3ze5zzglobaliza7e_integrationza7,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31334ze3z87_2348,
							(int) (((long) 0)), BgL_integratorsz00_1764);
						PROCEDURE_SET(BgL_zc3z04anonymousza31334ze3z87_2348,
							(int) (((long) 1)), BgL_fz00_7);
						{	/* Globalize/integration.scm 81 */
							obj_t BgL_list1333z00_1767;

							BgL_list1333z00_1767 = MAKE_YOUNG_PAIR(BgL_arg1332z00_1766, BNIL);
							return
								BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
								(BgL_zc3z04anonymousza31334ze3z87_2348, BgL_list1333z00_1767);
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1334> */
	obj_t BGl_z62zc3z04anonymousza31334ze3ze5zzglobaliza7e_integrationza7(obj_t
		BgL_envz00_2349, obj_t BgL_gz00_2352)
	{
		{	/* Globalize/integration.scm 81 */
			{	/* Globalize/integration.scm 83 */
				obj_t BgL_integratorsz00_2350;
				obj_t BgL_fz00_2351;

				BgL_integratorsz00_2350 =
					PROCEDURE_REF(BgL_envz00_2349, (int) (((long) 0)));
				BgL_fz00_2351 = PROCEDURE_REF(BgL_envz00_2349, (int) (((long) 1)));
				{	/* Globalize/integration.scm 83 */
					bool_t BgL_test1713z00_2654;

					{	/* Globalize/integration.scm 83 */
						bool_t BgL_test1715z00_2655;

						{	/* Globalize/integration.scm 108 */
							bool_t BgL__ortest_1118z00_2353;

							{	/* Globalize/integration.scm 108 */
								obj_t BgL_classz00_2354;

								BgL_classz00_2354 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_2352))
									{	/* Globalize/integration.scm 108 */
										BgL_objectz00_bglt BgL_arg1820z00_2355;

										BgL_arg1820z00_2355 = (BgL_objectz00_bglt) (BgL_gz00_2352);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Globalize/integration.scm 108 */
												long BgL_idxz00_2356;

												BgL_idxz00_2356 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2355);
												BgL__ortest_1118z00_2353 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2356 + ((long) 2))) ==
													BgL_classz00_2354);
											}
										else
											{	/* Globalize/integration.scm 108 */
												bool_t BgL_res1668z00_2359;

												{	/* Globalize/integration.scm 108 */
													obj_t BgL_oclassz00_2360;

													{	/* Globalize/integration.scm 108 */
														long BgL_arg1828z00_2361;

														{	/* Globalize/integration.scm 108 */
															long BgL_arg1829z00_2362;

															BgL_arg1829z00_2362 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2355);
															BgL_arg1828z00_2361 =
																(BgL_arg1829z00_2362 - OBJECT_TYPE);
														}
														BgL_oclassz00_2360 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2361);
													}
													{	/* Globalize/integration.scm 108 */
														bool_t BgL__ortest_1111z00_2363;

														BgL__ortest_1111z00_2363 =
															(BgL_classz00_2354 == BgL_oclassz00_2360);
														if (BgL__ortest_1111z00_2363)
															{	/* Globalize/integration.scm 108 */
																BgL_res1668z00_2359 = BgL__ortest_1111z00_2363;
															}
														else
															{	/* Globalize/integration.scm 108 */
																long BgL_odepthz00_2364;

																BgL_odepthz00_2364 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2360);
																if ((((long) 2) < BgL_odepthz00_2364))
																	{	/* Globalize/integration.scm 108 */
																		obj_t BgL_arg1816z00_2365;

																		BgL_arg1816z00_2365 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2360, ((long) 2));
																		BgL_res1668z00_2359 =
																			(BgL_arg1816z00_2365 ==
																			BgL_classz00_2354);
																	}
																else
																	{	/* Globalize/integration.scm 108 */
																		BgL_res1668z00_2359 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL__ortest_1118z00_2353 = BgL_res1668z00_2359;
											}
									}
								else
									{	/* Globalize/integration.scm 108 */
										BgL__ortest_1118z00_2353 = ((bool_t) 0);
									}
							}
							if (BgL__ortest_1118z00_2353)
								{	/* Globalize/integration.scm 108 */
									BgL_test1715z00_2655 = BgL__ortest_1118z00_2353;
								}
							else
								{
									BgL_localzf2ginfozf2_bglt BgL_auxz00_2676;

									{
										obj_t BgL_auxz00_2677;

										{	/* Globalize/integration.scm 108 */
											BgL_objectz00_bglt BgL_tmpz00_2678;

											BgL_tmpz00_2678 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_gz00_2352));
											BgL_auxz00_2677 = BGL_OBJECT_WIDENING(BgL_tmpz00_2678);
										}
										BgL_auxz00_2676 =
											((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2677);
									}
									BgL_test1715z00_2655 =
										(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2676))->
										BgL_globaliza7edzf3z54);
								}
						}
						if (BgL_test1715z00_2655)
							{	/* Globalize/integration.scm 83 */
								BgL_test1713z00_2654 = ((bool_t) 1);
							}
						else
							{	/* Globalize/integration.scm 83 */
								BgL_test1713z00_2654 = (BgL_fz00_2351 == BgL_gz00_2352);
							}
					}
					if (BgL_test1713z00_2654)
						{	/* Globalize/integration.scm 83 */
							return BFALSE;
						}
					else
						{	/* Globalize/integration.scm 84 */
							BgL_sfunz00_bglt BgL_i1117z00_2366;

							BgL_i1117z00_2366 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_gz00_2352))))->BgL_valuez00));
							{	/* Globalize/integration.scm 85 */
								bool_t BgL_test1721z00_2689;

								{	/* Globalize/integration.scm 85 */
									obj_t BgL_arg1365z00_2367;

									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2690;

										{
											obj_t BgL_auxz00_2691;

											{	/* Globalize/integration.scm 85 */
												BgL_objectz00_bglt BgL_tmpz00_2692;

												BgL_tmpz00_2692 =
													((BgL_objectz00_bglt) BgL_i1117z00_2366);
												BgL_auxz00_2691 = BGL_OBJECT_WIDENING(BgL_tmpz00_2692);
											}
											BgL_auxz00_2690 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2691);
										}
										BgL_arg1365z00_2367 =
											(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2690))->
											BgL_imarkz00);
									}
									BgL_test1721z00_2689 = (BgL_arg1365z00_2367 == BNIL);
								}
								if (BgL_test1721z00_2689)
									{	/* Globalize/integration.scm 85 */
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2698;

											{
												obj_t BgL_auxz00_2699;

												{	/* Globalize/integration.scm 87 */
													BgL_objectz00_bglt BgL_tmpz00_2700;

													BgL_tmpz00_2700 =
														((BgL_objectz00_bglt) BgL_i1117z00_2366);
													BgL_auxz00_2699 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2700);
												}
												BgL_auxz00_2698 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2699);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2698))->
													BgL_imarkz00) =
												((obj_t) BgL_integratorsz00_2350), BUNSPEC);
										}
										return BgL_gz00_2352;
									}
								else
									{	/* Globalize/integration.scm 89 */
										obj_t BgL_nimarkz00_2368;

										{	/* Globalize/integration.scm 89 */
											obj_t BgL_hook1276z00_2369;

											BgL_hook1276z00_2369 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
											{	/* Globalize/integration.scm 89 */
												obj_t BgL_g1277z00_2370;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2706;

													{
														obj_t BgL_auxz00_2707;

														{	/* Globalize/integration.scm 89 */
															BgL_objectz00_bglt BgL_tmpz00_2708;

															BgL_tmpz00_2708 =
																((BgL_objectz00_bglt) BgL_i1117z00_2366);
															BgL_auxz00_2707 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2708);
														}
														BgL_auxz00_2706 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2707);
													}
													BgL_g1277z00_2370 =
														(((BgL_sfunzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_2706))->BgL_imarkz00);
												}
												{
													obj_t BgL_l1273z00_2372;
													obj_t BgL_h1274z00_2373;

													BgL_l1273z00_2372 = BgL_g1277z00_2370;
													BgL_h1274z00_2373 = BgL_hook1276z00_2369;
												BgL_zc3z04anonymousza31357ze3z87_2371:
													if (NULLP(BgL_l1273z00_2372))
														{	/* Globalize/integration.scm 89 */
															BgL_nimarkz00_2368 = CDR(BgL_hook1276z00_2369);
														}
													else
														{	/* Globalize/integration.scm 89 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(CAR(((obj_t) BgL_l1273z00_2372)),
																		BgL_integratorsz00_2350)))
																{	/* Globalize/integration.scm 89 */
																	obj_t BgL_nh1275z00_2374;

																	{	/* Globalize/integration.scm 89 */
																		obj_t BgL_arg1362z00_2375;

																		BgL_arg1362z00_2375 =
																			CAR(((obj_t) BgL_l1273z00_2372));
																		BgL_nh1275z00_2374 =
																			MAKE_YOUNG_PAIR(BgL_arg1362z00_2375,
																			BNIL);
																	}
																	SET_CDR(BgL_h1274z00_2373,
																		BgL_nh1275z00_2374);
																	{	/* Globalize/integration.scm 89 */
																		obj_t BgL_arg1361z00_2376;

																		BgL_arg1361z00_2376 =
																			CDR(((obj_t) BgL_l1273z00_2372));
																		{
																			obj_t BgL_h1274z00_2728;
																			obj_t BgL_l1273z00_2727;

																			BgL_l1273z00_2727 = BgL_arg1361z00_2376;
																			BgL_h1274z00_2728 = BgL_nh1275z00_2374;
																			BgL_h1274z00_2373 = BgL_h1274z00_2728;
																			BgL_l1273z00_2372 = BgL_l1273z00_2727;
																			goto
																				BgL_zc3z04anonymousza31357ze3z87_2371;
																		}
																	}
																}
															else
																{	/* Globalize/integration.scm 89 */
																	obj_t BgL_arg1364z00_2377;

																	BgL_arg1364z00_2377 =
																		CDR(((obj_t) BgL_l1273z00_2372));
																	{
																		obj_t BgL_l1273z00_2731;

																		BgL_l1273z00_2731 = BgL_arg1364z00_2377;
																		BgL_l1273z00_2372 = BgL_l1273z00_2731;
																		goto BgL_zc3z04anonymousza31357ze3z87_2371;
																	}
																}
														}
												}
											}
										}
										if (NULLP(BgL_nimarkz00_2368))
											{	/* Globalize/integration.scm 91 */
												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_2734;

													{
														obj_t BgL_auxz00_2735;

														{	/* Globalize/integration.scm 92 */
															BgL_objectz00_bglt BgL_tmpz00_2736;

															BgL_tmpz00_2736 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_gz00_2352));
															BgL_auxz00_2735 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2736);
														}
														BgL_auxz00_2734 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2735);
													}
													((((BgL_localzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_2734))->
															BgL_globaliza7edzf3z54) =
														((bool_t) ((bool_t) 1)), BUNSPEC);
												}
												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2742;

													{
														obj_t BgL_auxz00_2743;

														{	/* Globalize/integration.scm 93 */
															BgL_objectz00_bglt BgL_tmpz00_2744;

															BgL_tmpz00_2744 =
																((BgL_objectz00_bglt) BgL_i1117z00_2366);
															BgL_auxz00_2743 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2744);
														}
														BgL_auxz00_2742 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2743);
													}
													((((BgL_sfunzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_2742))->BgL_imarkz00) =
														((obj_t) BNIL), BUNSPEC);
												}
												return BgL_gz00_2352;
											}
										else
											{	/* Globalize/integration.scm 95 */
												bool_t BgL_test1726z00_2749;

												{	/* Globalize/integration.scm 95 */
													long BgL_arg1352z00_2378;
													long BgL_arg1353z00_2379;

													BgL_arg1352z00_2378 =
														bgl_list_length(BgL_nimarkz00_2368);
													{	/* Globalize/integration.scm 95 */
														obj_t BgL_arg1356z00_2380;

														{
															BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2751;

															{
																obj_t BgL_auxz00_2752;

																{	/* Globalize/integration.scm 95 */
																	BgL_objectz00_bglt BgL_tmpz00_2753;

																	BgL_tmpz00_2753 =
																		((BgL_objectz00_bglt) BgL_i1117z00_2366);
																	BgL_auxz00_2752 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2753);
																}
																BgL_auxz00_2751 =
																	((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2752);
															}
															BgL_arg1356z00_2380 =
																(((BgL_sfunzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_2751))->BgL_imarkz00);
														}
														BgL_arg1353z00_2379 =
															bgl_list_length(BgL_arg1356z00_2380);
													}
													BgL_test1726z00_2749 =
														(BgL_arg1352z00_2378 == BgL_arg1353z00_2379);
												}
												if (BgL_test1726z00_2749)
													{	/* Globalize/integration.scm 95 */
														return BFALSE;
													}
												else
													{	/* Globalize/integration.scm 95 */
														{
															BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2760;

															{
																obj_t BgL_auxz00_2761;

																{	/* Globalize/integration.scm 96 */
																	BgL_objectz00_bglt BgL_tmpz00_2762;

																	BgL_tmpz00_2762 =
																		((BgL_objectz00_bglt) BgL_i1117z00_2366);
																	BgL_auxz00_2761 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2762);
																}
																BgL_auxz00_2760 =
																	((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2761);
															}
															((((BgL_sfunzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2760))->BgL_imarkz00) =
																((obj_t) BgL_nimarkz00_2368), BUNSPEC);
														}
														return BgL_gz00_2352;
													}
											}
									}
							}
						}
				}
			}
		}

	}



/* integrate-in! */
	obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7(obj_t BgL_fz00_10,
		obj_t BgL_integratorz00_11)
	{
		{	/* Globalize/integration.scm 119 */
			{	/* Globalize/integration.scm 121 */
				BgL_valuez00_bglt BgL_arg1381z00_1813;

				BgL_arg1381z00_1813 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_fz00_10))))->BgL_valuez00);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2770;

					{
						obj_t BgL_auxz00_2771;

						{	/* Globalize/integration.scm 121 */
							BgL_objectz00_bglt BgL_tmpz00_2772;

							BgL_tmpz00_2772 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_arg1381z00_1813));
							BgL_auxz00_2771 = BGL_OBJECT_WIDENING(BgL_tmpz00_2772);
						}
						BgL_auxz00_2770 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2771);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2770))->
							BgL_integratorz00) = ((obj_t) BgL_integratorz00_11), BUNSPEC);
				}
			}
			{	/* Globalize/integration.scm 122 */
				BgL_valuez00_bglt BgL_arg1384z00_1814;

				BgL_arg1384z00_1814 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_fz00_10))))->BgL_valuez00);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2781;

					{
						obj_t BgL_auxz00_2782;

						{	/* Globalize/integration.scm 122 */
							BgL_objectz00_bglt BgL_tmpz00_2783;

							BgL_tmpz00_2783 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_arg1384z00_1814));
							BgL_auxz00_2782 = BGL_OBJECT_WIDENING(BgL_tmpz00_2783);
						}
						BgL_auxz00_2781 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2782);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2781))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
			}
			{	/* Globalize/integration.scm 123 */
				BgL_sfunz00_bglt BgL_i1120z00_1815;

				BgL_i1120z00_1815 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_integratorz00_11)))->BgL_valuez00));
				{
					obj_t BgL_auxz00_2798;
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2792;

					{	/* Globalize/integration.scm 124 */
						obj_t BgL_arg1387z00_1816;

						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2799;

							{
								obj_t BgL_auxz00_2800;

								{	/* Globalize/integration.scm 124 */
									BgL_objectz00_bglt BgL_tmpz00_2801;

									BgL_tmpz00_2801 = ((BgL_objectz00_bglt) BgL_i1120z00_1815);
									BgL_auxz00_2800 = BGL_OBJECT_WIDENING(BgL_tmpz00_2801);
								}
								BgL_auxz00_2799 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2800);
							}
							BgL_arg1387z00_1816 =
								(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2799))->
								BgL_integratedz00);
						}
						BgL_auxz00_2798 = MAKE_YOUNG_PAIR(BgL_fz00_10, BgL_arg1387z00_1816);
					}
					{
						obj_t BgL_auxz00_2793;

						{	/* Globalize/integration.scm 124 */
							BgL_objectz00_bglt BgL_tmpz00_2794;

							BgL_tmpz00_2794 = ((BgL_objectz00_bglt) BgL_i1120z00_1815);
							BgL_auxz00_2793 = BGL_OBJECT_WIDENING(BgL_tmpz00_2794);
						}
						BgL_auxz00_2792 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2793);
					}
					return
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2792))->
							BgL_integratedz00) = ((obj_t) BgL_auxz00_2798), BUNSPEC);
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_integrationza7(void)
	{
		{	/* Globalize/integration.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_integrationza7(void)
	{
		{	/* Globalize/integration.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationza7(void)
	{
		{	/* Globalize/integration.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7(void)
	{
		{	/* Globalize/integration.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1676z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1676z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1676z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1676z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1676z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1676z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string1676z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(((long)
					34590581),
				BSTRING_TO_STRING(BGl_string1676z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(((long)
					459831036),
				BSTRING_TO_STRING(BGl_string1676z00zzglobaliza7e_integrationza7));
			return BGl_modulezd2initializa7ationz75zztools_errorz00(((long)
					300504031),
				BSTRING_TO_STRING(BGl_string1676z00zzglobaliza7e_integrationza7));
		}

	}

#ifdef __cplusplus
}
#endif
