/*===========================================================================*/
/*   (Inline/app.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/app.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	extern bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_appz00 = BUNSPEC;
	extern obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31310ze3ze5zzinline_appz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzinline_appz00(void);
	static bool_t BGl_inlinezd2closurezf3z21zzinline_appz00(BgL_variablez00_bglt,
		obj_t);
	extern obj_t BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_appz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2userzd2inliningzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_appz00(void);
	BGL_EXPORTED_DECL bool_t
		BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt, long, long,
		obj_t);
	static long BGl_callzd2siza7ez75zzinline_appz00(BgL_appz00_bglt);
	extern obj_t BGl_za2inliningzf3za2zf3zzengine_paramz00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	static obj_t BGl_zc3z04exitza31308ze3ze70z60zzinline_appz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	static obj_t BGl_z62inlinezd2appzf3z43zzinline_appz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern long BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzinline_appz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_appz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_appz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzinline_appz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt, long, obj_t);
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_za2inlinedzd2callsza2zd2zzinline_walkz00;
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_za2inlinezd2modeza2zd2zzinline_walkz00;
	static BgL_nodez00_bglt BGl_z62inlinezd2appzb0zzinline_appz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2optimzd2atomzd2inliningzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[8];


	   
		 
		DEFINE_STRING(BGl_string1715z00zzinline_appz00,
		BgL_bgl_string1715za700za7za7i1721za7, "simple", 6);
	      DEFINE_STRING(BGl_string1716z00zzinline_appz00,
		BgL_bgl_string1716za700za7za7i1722za7, "inline_app", 10);
	      DEFINE_STRING(BGl_string1717z00zzinline_appz00,
		BgL_bgl_string1717za700za7za7i1723za7,
		"import predicate reducer sgfun all snifun static sifun ", 55);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2appzd2envz00zzinline_appz00,
		BgL_bgl_za762inlineza7d2appza71724za7,
		BGl_z62inlinezd2appzb0zzinline_appz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2appzf3zd2envzf3zzinline_appz00,
		BgL_bgl_za762inlineza7d2appza71725za7,
		BGl_z62inlinezd2appzf3z43zzinline_appz00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzinline_appz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long
		BgL_checksumz00_2363, char *BgL_fromz00_2364)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_appz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_appz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_appz00();
					BGl_libraryzd2moduleszd2initz00zzinline_appz00();
					BGl_cnstzd2initzd2zzinline_appz00();
					BGl_importedzd2moduleszd2initz00zzinline_appz00();
					return BGl_methodzd2initzd2zzinline_appz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "inline_app");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_app");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			{	/* Inline/app.scm 15 */
				obj_t BgL_cportz00_2340;

				{	/* Inline/app.scm 15 */
					obj_t BgL_stringz00_2347;

					BgL_stringz00_2347 = BGl_string1717z00zzinline_appz00;
					{	/* Inline/app.scm 15 */
						obj_t BgL_startz00_2348;

						BgL_startz00_2348 = BINT(((long) 0));
						{	/* Inline/app.scm 15 */
							obj_t BgL_endz00_2349;

							BgL_endz00_2349 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2347)));
							{	/* Inline/app.scm 15 */

								BgL_cportz00_2340 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2347, BgL_startz00_2348, BgL_endz00_2349);
				}}}}
				{
					long BgL_iz00_2341;

					BgL_iz00_2341 = ((long) 7);
				BgL_loopz00_2342:
					if ((BgL_iz00_2341 == ((long) -1)))
						{	/* Inline/app.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/app.scm 15 */
							{	/* Inline/app.scm 15 */
								obj_t BgL_arg1720z00_2343;

								{	/* Inline/app.scm 15 */

									{	/* Inline/app.scm 15 */
										obj_t BgL_locationz00_2345;

										BgL_locationz00_2345 = BBOOL(((bool_t) 0));
										{	/* Inline/app.scm 15 */

											BgL_arg1720z00_2343 =
												BGl_readz00zz__readerz00(BgL_cportz00_2340,
												BgL_locationz00_2345);
										}
									}
								}
								{	/* Inline/app.scm 15 */
									int BgL_tmpz00_2391;

									BgL_tmpz00_2391 = (int) (BgL_iz00_2341);
									CNST_TABLE_SET(BgL_tmpz00_2391, BgL_arg1720z00_2343);
							}}
							{	/* Inline/app.scm 15 */
								int BgL_auxz00_2346;

								BgL_auxz00_2346 = (int) ((BgL_iz00_2341 - ((long) 1)));
								{
									long BgL_iz00_2396;

									BgL_iz00_2396 = (long) (BgL_auxz00_2346);
									BgL_iz00_2341 = BgL_iz00_2396;
									goto BgL_loopz00_2342;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* inline-app */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt BgL_nodez00_3,
		long BgL_kfactorz00_4, obj_t BgL_stackz00_5)
	{
		{	/* Inline/app.scm 35 */
			{	/* Inline/app.scm 36 */
				BgL_varz00_bglt BgL_calleez00_1442;

				BgL_calleez00_1442 =
					(((BgL_appz00_bglt) COBJECT(BgL_nodez00_3))->BgL_funz00);
				{	/* Inline/app.scm 36 */
					BgL_variablez00_bglt BgL_varz00_1443;

					BgL_varz00_1443 =
						(((BgL_varz00_bglt) COBJECT(BgL_calleez00_1442))->BgL_variablez00);
					{	/* Inline/app.scm 37 */
						BgL_valuez00_bglt BgL_sfunz00_1444;

						BgL_sfunz00_1444 =
							(((BgL_variablez00_bglt) COBJECT(BgL_varz00_1443))->BgL_valuez00);
						{	/* Inline/app.scm 40 */

							{	/* Inline/app.scm 44 */
								bool_t BgL_test1728z00_2402;

								{	/* Inline/app.scm 44 */
									obj_t BgL_classz00_1755;

									BgL_classz00_1755 = BGl_sfunz00zzast_varz00;
									{	/* Inline/app.scm 44 */
										BgL_objectz00_bglt BgL_arg1820z00_1757;

										{	/* Inline/app.scm 44 */
											obj_t BgL_tmpz00_2403;

											BgL_tmpz00_2403 =
												((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_1444));
											BgL_arg1820z00_1757 =
												(BgL_objectz00_bglt) (BgL_tmpz00_2403);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Inline/app.scm 44 */
												long BgL_idxz00_1763;

												BgL_idxz00_1763 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_1757);
												BgL_test1728z00_2402 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_1763 + ((long) 3))) ==
													BgL_classz00_1755);
											}
										else
											{	/* Inline/app.scm 44 */
												bool_t BgL_res1698z00_1785;

												{	/* Inline/app.scm 44 */
													obj_t BgL_oclassz00_1771;

													{	/* Inline/app.scm 44 */
														long BgL_arg1828z00_1777;

														{	/* Inline/app.scm 44 */
															long BgL_arg1829z00_1778;

															BgL_arg1829z00_1778 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_1757);
															BgL_arg1828z00_1777 =
																(BgL_arg1829z00_1778 - OBJECT_TYPE);
														}
														BgL_oclassz00_1771 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_1777);
													}
													{	/* Inline/app.scm 44 */
														bool_t BgL__ortest_1111z00_1772;

														BgL__ortest_1111z00_1772 =
															(BgL_classz00_1755 == BgL_oclassz00_1771);
														if (BgL__ortest_1111z00_1772)
															{	/* Inline/app.scm 44 */
																BgL_res1698z00_1785 = BgL__ortest_1111z00_1772;
															}
														else
															{	/* Inline/app.scm 44 */
																long BgL_odepthz00_1773;

																BgL_odepthz00_1773 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_1771);
																if ((((long) 3) < BgL_odepthz00_1773))
																	{	/* Inline/app.scm 44 */
																		obj_t BgL_arg1816z00_1775;

																		BgL_arg1816z00_1775 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_1771, ((long) 3));
																		BgL_res1698z00_1785 =
																			(BgL_arg1816z00_1775 ==
																			BgL_classz00_1755);
																	}
																else
																	{	/* Inline/app.scm 44 */
																		BgL_res1698z00_1785 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1728z00_2402 = BgL_res1698z00_1785;
											}
									}
								}
								if (BgL_test1728z00_2402)
									{	/* Inline/app.scm 46 */
										bool_t BgL_test1733z00_2423;

										if (BGl_inlinezd2appzf3z21zzinline_appz00(BgL_varz00_1443,
												BgL_kfactorz00_4,
												BGl_callzd2siza7ez75zzinline_appz00(BgL_nodez00_3),
												BgL_stackz00_5))
											{	/* Inline/app.scm 46 */
												BgL_test1733z00_2423 = ((bool_t) 1);
											}
										else
											{	/* Inline/app.scm 46 */
												BgL_test1733z00_2423 =
													BGl_inlinezd2closurezf3z21zzinline_appz00
													(BgL_varz00_1443, BgL_stackz00_5);
											}
										if (BgL_test1733z00_2423)
											{	/* Inline/app.scm 46 */
												if (
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_sfunz00_1444)))->
															BgL_classz00) == CNST_TABLE_REF(((long) 0))))
													{	/* Inline/app.scm 51 */
														BFALSE;
													}
												else
													{	/* Inline/app.scm 51 */
														BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 =
															ADDFX
															(BGl_za2inlinedzd2callsza2zd2zzinline_walkz00,
															BINT(((long) 1)));
													}
												{	/* Inline/app.scm 53 */
													bool_t BgL_test1738z00_2435;

													{	/* Inline/app.scm 53 */
														bool_t BgL_test1739z00_2436;

														{	/* Inline/app.scm 53 */
															obj_t BgL_classz00_1788;

															BgL_classz00_1788 = BGl_globalz00zzast_varz00;
															{	/* Inline/app.scm 53 */
																BgL_objectz00_bglt BgL_arg1820z00_1790;

																{	/* Inline/app.scm 53 */
																	obj_t BgL_tmpz00_2437;

																	BgL_tmpz00_2437 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_varz00_1443));
																	BgL_arg1820z00_1790 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_2437);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Inline/app.scm 53 */
																		long BgL_idxz00_1796;

																		BgL_idxz00_1796 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_1790);
																		BgL_test1739z00_2436 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1796 + ((long) 2))) ==
																			BgL_classz00_1788);
																	}
																else
																	{	/* Inline/app.scm 53 */
																		bool_t BgL_res1699z00_1818;

																		{	/* Inline/app.scm 53 */
																			obj_t BgL_oclassz00_1804;

																			{	/* Inline/app.scm 53 */
																				long BgL_arg1828z00_1810;

																				{	/* Inline/app.scm 53 */
																					long BgL_arg1829z00_1811;

																					BgL_arg1829z00_1811 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_1790);
																					BgL_arg1828z00_1810 =
																						(BgL_arg1829z00_1811 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1804 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_1810);
																			}
																			{	/* Inline/app.scm 53 */
																				bool_t BgL__ortest_1111z00_1805;

																				BgL__ortest_1111z00_1805 =
																					(BgL_classz00_1788 ==
																					BgL_oclassz00_1804);
																				if (BgL__ortest_1111z00_1805)
																					{	/* Inline/app.scm 53 */
																						BgL_res1699z00_1818 =
																							BgL__ortest_1111z00_1805;
																					}
																				else
																					{	/* Inline/app.scm 53 */
																						long BgL_odepthz00_1806;

																						BgL_odepthz00_1806 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_1804);
																						if ((((long) 2) <
																								BgL_odepthz00_1806))
																							{	/* Inline/app.scm 53 */
																								obj_t BgL_arg1816z00_1808;

																								BgL_arg1816z00_1808 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_1804,
																									((long) 2));
																								BgL_res1699z00_1818 =
																									(BgL_arg1816z00_1808 ==
																									BgL_classz00_1788);
																							}
																						else
																							{	/* Inline/app.scm 53 */
																								BgL_res1699z00_1818 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1739z00_2436 = BgL_res1699z00_1818;
																	}
															}
														}
														if (BgL_test1739z00_2436)
															{	/* Inline/app.scm 53 */
																BgL_test1738z00_2435 =
																	CBOOL(
																	(((BgL_globalz00_bglt) COBJECT(
																				((BgL_globalz00_bglt)
																					BgL_varz00_1443)))->BgL_libraryz00));
															}
														else
															{	/* Inline/app.scm 53 */
																BgL_test1738z00_2435 = ((bool_t) 0);
															}
													}
													if (BgL_test1738z00_2435)
														{	/* Inline/app.scm 56 */
															obj_t BgL_arg1276z00_1457;

															BgL_arg1276z00_1457 =
																(((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt) BgL_varz00_1443)))->
																BgL_modulez00);
															BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00
																(BgL_arg1276z00_1457);
														}
													else
														{	/* Inline/app.scm 53 */
															BFALSE;
														}
												}
												{	/* Inline/app.scm 57 */
													bool_t BgL_test1743z00_2463;

													if (CBOOL
														(BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00))
														{	/* Inline/app.scm 57 */
															BgL_test1743z00_2463 =
																BGl_iszd2recursivezf3z21zzinline_recursionz00
																(BgL_varz00_1443);
														}
													else
														{	/* Inline/app.scm 57 */
															BgL_test1743z00_2463 = ((bool_t) 0);
														}
													if (BgL_test1743z00_2463)
														{	/* Inline/app.scm 57 */
															return
																BGl_inlinezd2appzd2recursivez00zzinline_recursionz00
																(((BgL_nodez00_bglt) BgL_nodez00_3),
																BgL_kfactorz00_4, BgL_stackz00_5);
														}
													else
														{	/* Inline/app.scm 57 */
															return
																BGl_inlinezd2appzd2simplez00zzinline_simplez00(
																((BgL_nodez00_bglt) BgL_nodez00_3),
																BgL_kfactorz00_4, BgL_stackz00_5,
																BGl_string1715z00zzinline_appz00);
														}
												}
											}
										else
											{	/* Inline/app.scm 46 */
												return ((BgL_nodez00_bglt) BgL_nodez00_3);
											}
									}
								else
									{	/* Inline/app.scm 44 */
										return ((BgL_nodez00_bglt) BgL_nodez00_3);
									}
							}
						}
					}
				}
			}
		}

	}



/* &inline-app */
	BgL_nodez00_bglt BGl_z62inlinezd2appzb0zzinline_appz00(obj_t BgL_envz00_2326,
		obj_t BgL_nodez00_2327, obj_t BgL_kfactorz00_2328, obj_t BgL_stackz00_2329)
	{
		{	/* Inline/app.scm 35 */
			return
				BGl_inlinezd2appzd2zzinline_appz00(
				((BgL_appz00_bglt) BgL_nodez00_2327),
				(long) CINT(BgL_kfactorz00_2328), BgL_stackz00_2329);
		}

	}



/* inline-closure? */
	bool_t BGl_inlinezd2closurezf3z21zzinline_appz00(BgL_variablez00_bglt
		BgL_varz00_6, obj_t BgL_stackz00_7)
	{
		{	/* Inline/app.scm 66 */
			{	/* Inline/app.scm 67 */
				bool_t BgL_test1745z00_2476;

				if (PAIRP(BgL_stackz00_7))
					{	/* Inline/app.scm 67 */
						obj_t BgL_arg1298z00_1477;

						BgL_arg1298z00_1477 = CAR(BgL_stackz00_7);
						{	/* Inline/app.scm 67 */
							obj_t BgL_classz00_1822;

							BgL_classz00_1822 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1298z00_1477))
								{	/* Inline/app.scm 67 */
									BgL_objectz00_bglt BgL_arg1820z00_1824;

									BgL_arg1820z00_1824 =
										(BgL_objectz00_bglt) (BgL_arg1298z00_1477);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Inline/app.scm 67 */
											long BgL_idxz00_1830;

											BgL_idxz00_1830 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_1824);
											BgL_test1745z00_2476 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_1830 + ((long) 2))) == BgL_classz00_1822);
										}
									else
										{	/* Inline/app.scm 67 */
											bool_t BgL_res1700z00_1852;

											{	/* Inline/app.scm 67 */
												obj_t BgL_oclassz00_1838;

												{	/* Inline/app.scm 67 */
													long BgL_arg1828z00_1844;

													{	/* Inline/app.scm 67 */
														long BgL_arg1829z00_1845;

														BgL_arg1829z00_1845 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_1824);
														BgL_arg1828z00_1844 =
															(BgL_arg1829z00_1845 - OBJECT_TYPE);
													}
													BgL_oclassz00_1838 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_1844);
												}
												{	/* Inline/app.scm 67 */
													bool_t BgL__ortest_1111z00_1839;

													BgL__ortest_1111z00_1839 =
														(BgL_classz00_1822 == BgL_oclassz00_1838);
													if (BgL__ortest_1111z00_1839)
														{	/* Inline/app.scm 67 */
															BgL_res1700z00_1852 = BgL__ortest_1111z00_1839;
														}
													else
														{	/* Inline/app.scm 67 */
															long BgL_odepthz00_1840;

															BgL_odepthz00_1840 =
																BGL_CLASS_DEPTH(BgL_oclassz00_1838);
															if ((((long) 2) < BgL_odepthz00_1840))
																{	/* Inline/app.scm 67 */
																	obj_t BgL_arg1816z00_1842;

																	BgL_arg1816z00_1842 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1838,
																		((long) 2));
																	BgL_res1700z00_1852 =
																		(BgL_arg1816z00_1842 == BgL_classz00_1822);
																}
															else
																{	/* Inline/app.scm 67 */
																	BgL_res1700z00_1852 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1745z00_2476 = BgL_res1700z00_1852;
										}
								}
							else
								{	/* Inline/app.scm 67 */
									BgL_test1745z00_2476 = ((bool_t) 0);
								}
						}
					}
				else
					{	/* Inline/app.scm 67 */
						BgL_test1745z00_2476 = ((bool_t) 0);
					}
				if (BgL_test1745z00_2476)
					{	/* Inline/app.scm 67 */
						if (
							(((obj_t) BgL_varz00_6) ==
								(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(BgL_stackz00_7))))->BgL_valuez00))))->
									BgL_thezd2closurezd2globalz00)))
							{	/* Inline/app.scm 69 */
								bool_t BgL_test1754z00_2507;

								{	/* Inline/app.scm 69 */
									bool_t BgL__ortest_1110z00_1471;

									{	/* Inline/app.scm 69 */
										obj_t BgL_classz00_1856;

										BgL_classz00_1856 = BGl_localz00zzast_varz00;
										{	/* Inline/app.scm 69 */
											BgL_objectz00_bglt BgL_arg1820z00_1858;

											{	/* Inline/app.scm 69 */
												obj_t BgL_tmpz00_2508;

												BgL_tmpz00_2508 =
													((obj_t) ((BgL_objectz00_bglt) BgL_varz00_6));
												BgL_arg1820z00_1858 =
													(BgL_objectz00_bglt) (BgL_tmpz00_2508);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Inline/app.scm 69 */
													long BgL_idxz00_1864;

													BgL_idxz00_1864 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_1858);
													BgL__ortest_1110z00_1471 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1864 + ((long) 2))) ==
														BgL_classz00_1856);
												}
											else
												{	/* Inline/app.scm 69 */
													bool_t BgL_res1701z00_1886;

													{	/* Inline/app.scm 69 */
														obj_t BgL_oclassz00_1872;

														{	/* Inline/app.scm 69 */
															long BgL_arg1828z00_1878;

															{	/* Inline/app.scm 69 */
																long BgL_arg1829z00_1879;

																BgL_arg1829z00_1879 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_1858);
																BgL_arg1828z00_1878 =
																	(BgL_arg1829z00_1879 - OBJECT_TYPE);
															}
															BgL_oclassz00_1872 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_1878);
														}
														{	/* Inline/app.scm 69 */
															bool_t BgL__ortest_1111z00_1873;

															BgL__ortest_1111z00_1873 =
																(BgL_classz00_1856 == BgL_oclassz00_1872);
															if (BgL__ortest_1111z00_1873)
																{	/* Inline/app.scm 69 */
																	BgL_res1701z00_1886 =
																		BgL__ortest_1111z00_1873;
																}
															else
																{	/* Inline/app.scm 69 */
																	long BgL_odepthz00_1874;

																	BgL_odepthz00_1874 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_1872);
																	if ((((long) 2) < BgL_odepthz00_1874))
																		{	/* Inline/app.scm 69 */
																			obj_t BgL_arg1816z00_1876;

																			BgL_arg1816z00_1876 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_1872, ((long) 2));
																			BgL_res1701z00_1886 =
																				(BgL_arg1816z00_1876 ==
																				BgL_classz00_1856);
																		}
																	else
																		{	/* Inline/app.scm 69 */
																			BgL_res1701z00_1886 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL__ortest_1110z00_1471 = BgL_res1701z00_1886;
												}
										}
									}
									if (BgL__ortest_1110z00_1471)
										{	/* Inline/app.scm 69 */
											BgL_test1754z00_2507 = BgL__ortest_1110z00_1471;
										}
									else
										{	/* Inline/app.scm 69 */
											BgL_test1754z00_2507 =
												(
												(((BgL_globalz00_bglt) COBJECT(
															((BgL_globalz00_bglt) BgL_varz00_6)))->
													BgL_importz00) == CNST_TABLE_REF(((long) 1)));
								}}
								if (BgL_test1754z00_2507)
									{	/* Inline/app.scm 69 */
										return
											(
											(((BgL_variablez00_bglt) COBJECT(BgL_varz00_6))->
												BgL_occurrencez00) == ((long) 1));
									}
								else
									{	/* Inline/app.scm 69 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Inline/app.scm 68 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Inline/app.scm 67 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* call-size */
	long BGl_callzd2siza7ez75zzinline_appz00(BgL_appz00_bglt BgL_nodez00_8)
	{
		{	/* Inline/app.scm 75 */
			{	/* Inline/app.scm 77 */
				long BgL_csiza7eza7_1479;

				BgL_csiza7eza7_1479 =
					(((long) 1) +
					bgl_list_length(
						(((BgL_appz00_bglt) COBJECT(BgL_nodez00_8))->BgL_argsz00)));
				if (CBOOL(BGl_za2optimzd2atomzd2inliningzf3za2zf3zzengine_paramz00))
					{	/* Inline/app.scm 79 */
						obj_t BgL_atomsz00_1480;

						{	/* Inline/app.scm 79 */
							obj_t BgL_hook1245z00_1482;

							BgL_hook1245z00_1482 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{	/* Inline/app.scm 79 */
								obj_t BgL_g1246z00_1483;

								BgL_g1246z00_1483 =
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_8))->BgL_argsz00);
								{
									obj_t BgL_l1242z00_1485;
									obj_t BgL_h1243z00_1486;

									BgL_l1242z00_1485 = BgL_g1246z00_1483;
									BgL_h1243z00_1486 = BgL_hook1245z00_1482;
								BgL_zc3z04anonymousza31300ze3z87_1487:
									if (NULLP(BgL_l1242z00_1485))
										{	/* Inline/app.scm 79 */
											BgL_atomsz00_1480 = CDR(BgL_hook1245z00_1482);
										}
									else
										{	/* Inline/app.scm 79 */
											bool_t BgL_test1762z00_2545;

											{	/* Inline/app.scm 80 */
												obj_t BgL_xz00_1496;

												BgL_xz00_1496 = CAR(((obj_t) BgL_l1242z00_1485));
												{	/* Inline/app.scm 80 */
													bool_t BgL__ortest_1112z00_1497;

													{	/* Inline/app.scm 80 */
														obj_t BgL_classz00_1893;

														BgL_classz00_1893 = BGl_atomz00zzast_nodez00;
														if (BGL_OBJECTP(BgL_xz00_1496))
															{	/* Inline/app.scm 80 */
																BgL_objectz00_bglt BgL_arg1820z00_1895;

																BgL_arg1820z00_1895 =
																	(BgL_objectz00_bglt) (BgL_xz00_1496);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Inline/app.scm 80 */
																		long BgL_idxz00_1901;

																		BgL_idxz00_1901 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_1895);
																		BgL__ortest_1112z00_1497 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1901 + ((long) 2))) ==
																			BgL_classz00_1893);
																	}
																else
																	{	/* Inline/app.scm 80 */
																		bool_t BgL_res1702z00_1923;

																		{	/* Inline/app.scm 80 */
																			obj_t BgL_oclassz00_1909;

																			{	/* Inline/app.scm 80 */
																				long BgL_arg1828z00_1915;

																				{	/* Inline/app.scm 80 */
																					long BgL_arg1829z00_1916;

																					BgL_arg1829z00_1916 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_1895);
																					BgL_arg1828z00_1915 =
																						(BgL_arg1829z00_1916 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1909 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_1915);
																			}
																			{	/* Inline/app.scm 80 */
																				bool_t BgL__ortest_1111z00_1910;

																				BgL__ortest_1111z00_1910 =
																					(BgL_classz00_1893 ==
																					BgL_oclassz00_1909);
																				if (BgL__ortest_1111z00_1910)
																					{	/* Inline/app.scm 80 */
																						BgL_res1702z00_1923 =
																							BgL__ortest_1111z00_1910;
																					}
																				else
																					{	/* Inline/app.scm 80 */
																						long BgL_odepthz00_1911;

																						BgL_odepthz00_1911 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_1909);
																						if ((((long) 2) <
																								BgL_odepthz00_1911))
																							{	/* Inline/app.scm 80 */
																								obj_t BgL_arg1816z00_1913;

																								BgL_arg1816z00_1913 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_1909,
																									((long) 2));
																								BgL_res1702z00_1923 =
																									(BgL_arg1816z00_1913 ==
																									BgL_classz00_1893);
																							}
																						else
																							{	/* Inline/app.scm 80 */
																								BgL_res1702z00_1923 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL__ortest_1112z00_1497 =
																			BgL_res1702z00_1923;
																	}
															}
														else
															{	/* Inline/app.scm 80 */
																BgL__ortest_1112z00_1497 = ((bool_t) 0);
															}
													}
													if (BgL__ortest_1112z00_1497)
														{	/* Inline/app.scm 80 */
															BgL_test1762z00_2545 = BgL__ortest_1112z00_1497;
														}
													else
														{	/* Inline/app.scm 80 */
															obj_t BgL_classz00_1924;

															BgL_classz00_1924 = BGl_kwotez00zzast_nodez00;
															if (BGL_OBJECTP(BgL_xz00_1496))
																{	/* Inline/app.scm 80 */
																	BgL_objectz00_bglt BgL_arg1820z00_1926;

																	BgL_arg1820z00_1926 =
																		(BgL_objectz00_bglt) (BgL_xz00_1496);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Inline/app.scm 80 */
																			long BgL_idxz00_1932;

																			BgL_idxz00_1932 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_1926);
																			BgL_test1762z00_2545 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1932 + ((long) 2))) ==
																				BgL_classz00_1924);
																		}
																	else
																		{	/* Inline/app.scm 80 */
																			bool_t BgL_res1703z00_1954;

																			{	/* Inline/app.scm 80 */
																				obj_t BgL_oclassz00_1940;

																				{	/* Inline/app.scm 80 */
																					long BgL_arg1828z00_1946;

																					{	/* Inline/app.scm 80 */
																						long BgL_arg1829z00_1947;

																						BgL_arg1829z00_1947 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_1926);
																						BgL_arg1828z00_1946 =
																							(BgL_arg1829z00_1947 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1940 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_1946);
																				}
																				{	/* Inline/app.scm 80 */
																					bool_t BgL__ortest_1111z00_1941;

																					BgL__ortest_1111z00_1941 =
																						(BgL_classz00_1924 ==
																						BgL_oclassz00_1940);
																					if (BgL__ortest_1111z00_1941)
																						{	/* Inline/app.scm 80 */
																							BgL_res1703z00_1954 =
																								BgL__ortest_1111z00_1941;
																						}
																					else
																						{	/* Inline/app.scm 80 */
																							long BgL_odepthz00_1942;

																							BgL_odepthz00_1942 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_1940);
																							if ((((long) 2) <
																									BgL_odepthz00_1942))
																								{	/* Inline/app.scm 80 */
																									obj_t BgL_arg1816z00_1944;

																									BgL_arg1816z00_1944 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_1940,
																										((long) 2));
																									BgL_res1703z00_1954 =
																										(BgL_arg1816z00_1944 ==
																										BgL_classz00_1924);
																								}
																							else
																								{	/* Inline/app.scm 80 */
																									BgL_res1703z00_1954 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1762z00_2545 =
																				BgL_res1703z00_1954;
																		}
																}
															else
																{	/* Inline/app.scm 80 */
																	BgL_test1762z00_2545 = ((bool_t) 0);
																}
														}
												}
											}
											if (BgL_test1762z00_2545)
												{	/* Inline/app.scm 79 */
													obj_t BgL_nh1244z00_1492;

													{	/* Inline/app.scm 79 */
														obj_t BgL_arg1304z00_1494;

														BgL_arg1304z00_1494 =
															CAR(((obj_t) BgL_l1242z00_1485));
														BgL_nh1244z00_1492 =
															MAKE_YOUNG_PAIR(BgL_arg1304z00_1494, BNIL);
													}
													SET_CDR(BgL_h1243z00_1486, BgL_nh1244z00_1492);
													{	/* Inline/app.scm 79 */
														obj_t BgL_arg1303z00_1493;

														BgL_arg1303z00_1493 =
															CDR(((obj_t) BgL_l1242z00_1485));
														{
															obj_t BgL_h1243z00_2594;
															obj_t BgL_l1242z00_2593;

															BgL_l1242z00_2593 = BgL_arg1303z00_1493;
															BgL_h1243z00_2594 = BgL_nh1244z00_1492;
															BgL_h1243z00_1486 = BgL_h1243z00_2594;
															BgL_l1242z00_1485 = BgL_l1242z00_2593;
															goto BgL_zc3z04anonymousza31300ze3z87_1487;
														}
													}
												}
											else
												{	/* Inline/app.scm 79 */
													obj_t BgL_arg1305z00_1495;

													BgL_arg1305z00_1495 =
														CDR(((obj_t) BgL_l1242z00_1485));
													{
														obj_t BgL_l1242z00_2597;

														BgL_l1242z00_2597 = BgL_arg1305z00_1495;
														BgL_l1242z00_1485 = BgL_l1242z00_2597;
														goto BgL_zc3z04anonymousza31300ze3z87_1487;
													}
												}
										}
								}
							}
						}
						return (BgL_csiza7eza7_1479 + bgl_list_length(BgL_atomsz00_1480));
					}
				else
					{	/* Inline/app.scm 78 */
						return BgL_csiza7eza7_1479;
					}
			}
		}

	}



/* <@exit:1308>~0 */
	obj_t BGl_zc3z04exitza31308ze3ze70z60zzinline_appz00(obj_t BgL_nodez00_2339)
	{
		{	/* Inline/app.scm 89 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1113z00_1502;

			if (SET_EXIT(BgL_an_exit1113z00_1502))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1113z00_1502 = (void *) jmpbuf;
					{	/* Inline/app.scm 89 */
						obj_t BgL_env1117z00_1503;

						BgL_env1117z00_1503 = BGL_CURRENT_DYNAMIC_ENV();
						PUSH_ENV_EXIT(BgL_env1117z00_1503, BgL_an_exit1113z00_1502,
							((long) 1));
						{	/* Inline/app.scm 89 */
							obj_t BgL_an_exitd1114z00_1504;

							BgL_an_exitd1114z00_1504 =
								BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1117z00_1503);
							{	/* Inline/app.scm 89 */
								bool_t BgL_res1116z00_1507;

								{	/* Inline/app.scm 90 */
									obj_t BgL_zc3z04anonymousza31310ze3z87_2330;

									BgL_zc3z04anonymousza31310ze3z87_2330 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31310ze3ze5zzinline_appz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3z04anonymousza31310ze3z87_2330,
										(int) (((long) 0)), BgL_an_exitd1114z00_1504);
									BGl_nodezd2walkzd2zzast_nodez00(((BgL_nodez00_bglt)
											BgL_nodez00_2339), BgL_zc3z04anonymousza31310ze3z87_2330);
								}
								BgL_res1116z00_1507 = ((bool_t) 0);
								POP_ENV_EXIT(BgL_env1117z00_1503);
								return BBOOL(BgL_res1116z00_1507);
							}
						}
					}
				}
		}

	}



/* &<@anonymous:1310> */
	obj_t BGl_z62zc3z04anonymousza31310ze3ze5zzinline_appz00(obj_t
		BgL_envz00_2331, obj_t BgL_nz00_2333)
	{
		{	/* Inline/app.scm 90 */
			{	/* Inline/app.scm 90 */
				obj_t BgL_an_exitd1114z00_2332;

				BgL_an_exitd1114z00_2332 =
					PROCEDURE_REF(BgL_envz00_2331, (int) (((long) 0)));
				{	/* Inline/app.scm 90 */
					bool_t BgL_test1775z00_2616;

					{	/* Inline/app.scm 90 */
						obj_t BgL_classz00_2351;

						BgL_classz00_2351 = BGl_kwotez00zzast_nodez00;
						if (BGL_OBJECTP(BgL_nz00_2333))
							{	/* Inline/app.scm 90 */
								BgL_objectz00_bglt BgL_arg1820z00_2352;

								BgL_arg1820z00_2352 = (BgL_objectz00_bglt) (BgL_nz00_2333);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Inline/app.scm 90 */
										long BgL_idxz00_2353;

										BgL_idxz00_2353 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2352);
										BgL_test1775z00_2616 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2353 + ((long) 2))) == BgL_classz00_2351);
									}
								else
									{	/* Inline/app.scm 90 */
										bool_t BgL_res1704z00_2356;

										{	/* Inline/app.scm 90 */
											obj_t BgL_oclassz00_2357;

											{	/* Inline/app.scm 90 */
												long BgL_arg1828z00_2358;

												{	/* Inline/app.scm 90 */
													long BgL_arg1829z00_2359;

													BgL_arg1829z00_2359 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2352);
													BgL_arg1828z00_2358 =
														(BgL_arg1829z00_2359 - OBJECT_TYPE);
												}
												BgL_oclassz00_2357 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2358);
											}
											{	/* Inline/app.scm 90 */
												bool_t BgL__ortest_1111z00_2360;

												BgL__ortest_1111z00_2360 =
													(BgL_classz00_2351 == BgL_oclassz00_2357);
												if (BgL__ortest_1111z00_2360)
													{	/* Inline/app.scm 90 */
														BgL_res1704z00_2356 = BgL__ortest_1111z00_2360;
													}
												else
													{	/* Inline/app.scm 90 */
														long BgL_odepthz00_2361;

														BgL_odepthz00_2361 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2357);
														if ((((long) 2) < BgL_odepthz00_2361))
															{	/* Inline/app.scm 90 */
																obj_t BgL_arg1816z00_2362;

																BgL_arg1816z00_2362 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2357,
																	((long) 2));
																BgL_res1704z00_2356 =
																	(BgL_arg1816z00_2362 == BgL_classz00_2351);
															}
														else
															{	/* Inline/app.scm 90 */
																BgL_res1704z00_2356 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1775z00_2616 = BgL_res1704z00_2356;
									}
							}
						else
							{	/* Inline/app.scm 90 */
								BgL_test1775z00_2616 = ((bool_t) 0);
							}
					}
					if (BgL_test1775z00_2616)
						{	/* Inline/app.scm 90 */
							return
								unwind_stack_until(BgL_an_exitd1114z00_2332, BFALSE, BTRUE,
								BFALSE, BFALSE);
						}
					else
						{	/* Inline/app.scm 90 */
							return BFALSE;
						}
				}
			}
		}

	}



/* inline-app? */
	BGL_EXPORTED_DEF bool_t
		BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt BgL_varz00_10,
		long BgL_kfactorz00_11, long BgL_callzd2siza7ez75_12, obj_t BgL_stackz00_13)
	{
		{	/* Inline/app.scm 96 */
			{	/* Inline/app.scm 101 */
				BgL_valuez00_bglt BgL_sfunz00_1513;

				BgL_sfunz00_1513 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_10))->BgL_valuez00);
				{	/* Inline/app.scm 101 */
					obj_t BgL_bodyz00_1514;

					{	/* Inline/app.scm 102 */
						bool_t BgL_test1781z00_2638;

						{	/* Inline/app.scm 102 */
							obj_t BgL_classz00_1994;

							BgL_classz00_1994 = BGl_isfunz00zzinline_inlinez00;
							{	/* Inline/app.scm 102 */
								BgL_objectz00_bglt BgL_arg1820z00_1996;

								{	/* Inline/app.scm 102 */
									obj_t BgL_tmpz00_2639;

									BgL_tmpz00_2639 =
										((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_1513));
									BgL_arg1820z00_1996 = (BgL_objectz00_bglt) (BgL_tmpz00_2639);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Inline/app.scm 102 */
										long BgL_idxz00_2002;

										BgL_idxz00_2002 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_1996);
										BgL_test1781z00_2638 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2002 + ((long) 4))) == BgL_classz00_1994);
									}
								else
									{	/* Inline/app.scm 102 */
										bool_t BgL_res1705z00_2024;

										{	/* Inline/app.scm 102 */
											obj_t BgL_oclassz00_2010;

											{	/* Inline/app.scm 102 */
												long BgL_arg1828z00_2016;

												{	/* Inline/app.scm 102 */
													long BgL_arg1829z00_2017;

													BgL_arg1829z00_2017 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_1996);
													BgL_arg1828z00_2016 =
														(BgL_arg1829z00_2017 - OBJECT_TYPE);
												}
												BgL_oclassz00_2010 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2016);
											}
											{	/* Inline/app.scm 102 */
												bool_t BgL__ortest_1111z00_2011;

												BgL__ortest_1111z00_2011 =
													(BgL_classz00_1994 == BgL_oclassz00_2010);
												if (BgL__ortest_1111z00_2011)
													{	/* Inline/app.scm 102 */
														BgL_res1705z00_2024 = BgL__ortest_1111z00_2011;
													}
												else
													{	/* Inline/app.scm 102 */
														long BgL_odepthz00_2012;

														BgL_odepthz00_2012 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2010);
														if ((((long) 4) < BgL_odepthz00_2012))
															{	/* Inline/app.scm 102 */
																obj_t BgL_arg1816z00_2014;

																BgL_arg1816z00_2014 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2010,
																	((long) 4));
																BgL_res1705z00_2024 =
																	(BgL_arg1816z00_2014 == BgL_classz00_1994);
															}
														else
															{	/* Inline/app.scm 102 */
																BgL_res1705z00_2024 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1781z00_2638 = BgL_res1705z00_2024;
									}
							}
						}
						if (BgL_test1781z00_2638)
							{
								BgL_nodez00_bglt BgL_auxz00_2659;

								{
									BgL_isfunz00_bglt BgL_auxz00_2660;

									{
										obj_t BgL_auxz00_2661;

										{	/* Inline/app.scm 103 */
											BgL_objectz00_bglt BgL_tmpz00_2662;

											BgL_tmpz00_2662 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1513));
											BgL_auxz00_2661 = BGL_OBJECT_WIDENING(BgL_tmpz00_2662);
										}
										BgL_auxz00_2660 = ((BgL_isfunz00_bglt) BgL_auxz00_2661);
									}
									BgL_auxz00_2659 =
										(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_2660))->
										BgL_originalzd2bodyzd2);
								}
								BgL_bodyz00_1514 = ((obj_t) BgL_auxz00_2659);
							}
						else
							{	/* Inline/app.scm 102 */
								BgL_bodyz00_1514 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_sfunz00_1513)))->BgL_bodyz00);
							}
					}
					{	/* Inline/app.scm 102 */

						{	/* Inline/app.scm 106 */
							bool_t BgL_test1785z00_2671;

							{	/* Inline/app.scm 106 */
								obj_t BgL_classz00_2028;

								BgL_classz00_2028 = BGl_nodez00zzast_nodez00;
								if (BGL_OBJECTP(BgL_bodyz00_1514))
									{	/* Inline/app.scm 106 */
										BgL_objectz00_bglt BgL_arg1820z00_2030;

										BgL_arg1820z00_2030 =
											(BgL_objectz00_bglt) (BgL_bodyz00_1514);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Inline/app.scm 106 */
												long BgL_idxz00_2036;

												BgL_idxz00_2036 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2030);
												BgL_test1785z00_2671 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2036 + ((long) 1))) ==
													BgL_classz00_2028);
											}
										else
											{	/* Inline/app.scm 106 */
												bool_t BgL_res1706z00_2058;

												{	/* Inline/app.scm 106 */
													obj_t BgL_oclassz00_2044;

													{	/* Inline/app.scm 106 */
														long BgL_arg1828z00_2050;

														{	/* Inline/app.scm 106 */
															long BgL_arg1829z00_2051;

															BgL_arg1829z00_2051 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2030);
															BgL_arg1828z00_2050 =
																(BgL_arg1829z00_2051 - OBJECT_TYPE);
														}
														BgL_oclassz00_2044 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2050);
													}
													{	/* Inline/app.scm 106 */
														bool_t BgL__ortest_1111z00_2045;

														BgL__ortest_1111z00_2045 =
															(BgL_classz00_2028 == BgL_oclassz00_2044);
														if (BgL__ortest_1111z00_2045)
															{	/* Inline/app.scm 106 */
																BgL_res1706z00_2058 = BgL__ortest_1111z00_2045;
															}
														else
															{	/* Inline/app.scm 106 */
																long BgL_odepthz00_2046;

																BgL_odepthz00_2046 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2044);
																if ((((long) 1) < BgL_odepthz00_2046))
																	{	/* Inline/app.scm 106 */
																		obj_t BgL_arg1816z00_2048;

																		BgL_arg1816z00_2048 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2044, ((long) 1));
																		BgL_res1706z00_2058 =
																			(BgL_arg1816z00_2048 ==
																			BgL_classz00_2028);
																	}
																else
																	{	/* Inline/app.scm 106 */
																		BgL_res1706z00_2058 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1785z00_2671 = BgL_res1706z00_2058;
											}
									}
								else
									{	/* Inline/app.scm 106 */
										BgL_test1785z00_2671 = ((bool_t) 0);
									}
							}
							if (BgL_test1785z00_2671)
								{	/* Inline/app.scm 106 */
									if (CBOOL(BGl_za2inliningzf3za2zf3zzengine_paramz00))
										{	/* Inline/app.scm 113 */
											bool_t BgL_test1792z00_2693;

											if (CBOOL
												(BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00))
												{	/* Inline/app.scm 113 */
													if (CBOOL
														(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
														{	/* Inline/app.scm 114 */
															BgL_test1792z00_2693 = ((bool_t) 0);
														}
													else
														{	/* Inline/app.scm 114 */
															BgL_test1792z00_2693 =
																CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																	((obj_t) BgL_varz00_10), BgL_stackz00_13));
														}
												}
											else
												{	/* Inline/app.scm 113 */
													BgL_test1792z00_2693 = ((bool_t) 0);
												}
											if (BgL_test1792z00_2693)
												{	/* Inline/app.scm 113 */
													return ((bool_t) 0);
												}
											else
												{	/* Inline/app.scm 113 */
													if (
														((((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt) BgL_sfunz00_1513)))->
																BgL_classz00) == CNST_TABLE_REF(((long) 2))))
														{	/* Inline/app.scm 119 */
															return ((bool_t) 0);
														}
													else
														{	/* Inline/app.scm 123 */
															bool_t BgL_test1796z00_2706;

															if (
																(BGl_za2inlinezd2modeza2zd2zzinline_walkz00 ==
																	CNST_TABLE_REF(((long) 3))))
																{	/* Inline/app.scm 123 */
																	BgL_test1796z00_2706 = ((bool_t) 0);
																}
															else
																{	/* Inline/app.scm 123 */
																	if (
																		((((BgL_sfunz00_bglt) COBJECT(
																						((BgL_sfunz00_bglt)
																							BgL_sfunz00_1513)))->
																				BgL_classz00) ==
																			CNST_TABLE_REF(((long) 0))))
																		{	/* Inline/app.scm 124 */
																			BgL_test1796z00_2706 =
																				BGl_iszd2recursivezf3z21zzinline_recursionz00
																				(BgL_varz00_10);
																		}
																	else
																		{	/* Inline/app.scm 124 */
																			BgL_test1796z00_2706 = ((bool_t) 0);
																		}
																}
															if (BgL_test1796z00_2706)
																{	/* Inline/app.scm 123 */
																	return ((bool_t) 0);
																}
															else
																{	/* Inline/app.scm 123 */
																	if (
																		((((BgL_sfunz00_bglt) COBJECT(
																						((BgL_sfunz00_bglt)
																							BgL_sfunz00_1513)))->
																				BgL_classz00) ==
																			CNST_TABLE_REF(((long) 4))))
																		{	/* Inline/app.scm 129 */
																			return ((bool_t) 0);
																		}
																	else
																		{	/* Inline/app.scm 133 */
																			bool_t BgL_test1800z00_2721;

																			if (
																				((((BgL_sfunz00_bglt) COBJECT(
																								((BgL_sfunz00_bglt)
																									BgL_sfunz00_1513)))->
																						BgL_classz00) ==
																					CNST_TABLE_REF(((long) 0))))
																				{	/* Inline/app.scm 133 */
																					if (CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							(((obj_t) BgL_varz00_10),
																								BgL_stackz00_13)))
																						{	/* Inline/app.scm 134 */
																							BgL_test1800z00_2721 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Inline/app.scm 135 */
																							bool_t BgL_test1803z00_2731;

																							if (
																								(BGl_za2inlinezd2modeza2zd2zzinline_walkz00
																									==
																									CNST_TABLE_REF(((long) 5))))
																								{	/* Inline/app.scm 136 */
																									bool_t BgL_test1805z00_2735;

																									{	/* Inline/app.scm 136 */
																										obj_t BgL_arg1482z00_1578;

																										BgL_arg1482z00_1578 =
																											(((BgL_sfunz00_bglt)
																												COBJECT((
																														(BgL_sfunz00_bglt)
																														BgL_sfunz00_1513)))->
																											BgL_bodyz00);
																										BgL_test1805z00_2735 =
																											CBOOL
																											(BGl_zc3z04exitza31308ze3ze70z60zzinline_appz00
																											(BgL_arg1482z00_1578));
																									}
																									if (BgL_test1805z00_2735)
																										{	/* Inline/app.scm 136 */
																											BgL_test1803z00_2731 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Inline/app.scm 136 */
																											BgL_test1803z00_2731 =
																												((bool_t) 1);
																										}
																								}
																							else
																								{	/* Inline/app.scm 135 */
																									BgL_test1803z00_2731 =
																										((bool_t) 1);
																								}
																							if (BgL_test1803z00_2731)
																								{	/* Inline/app.scm 137 */
																									bool_t
																										BgL__ortest_1119z00_1576;
																									if (
																										(BGl_za2inlinezd2modeza2zd2zzinline_walkz00
																											==
																											CNST_TABLE_REF(((long)
																													6))))
																										{	/* Inline/app.scm 137 */
																											BgL__ortest_1119z00_1576 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Inline/app.scm 137 */
																											BgL__ortest_1119z00_1576 =
																												((bool_t) 1);
																										}
																									if (BgL__ortest_1119z00_1576)
																										{	/* Inline/app.scm 137 */
																											BgL_test1800z00_2721 =
																												BgL__ortest_1119z00_1576;
																										}
																									else
																										{	/* Inline/app.scm 137 */
																											BgL_test1800z00_2721 =
																												CBOOL(
																												(((BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																BgL_sfunz00_1513)))->
																													BgL_predicatezd2ofzd2));
																										}
																								}
																							else
																								{	/* Inline/app.scm 135 */
																									BgL_test1800z00_2721 =
																										((bool_t) 0);
																								}
																						}
																				}
																			else
																				{	/* Inline/app.scm 133 */
																					BgL_test1800z00_2721 = ((bool_t) 0);
																				}
																			if (BgL_test1800z00_2721)
																				{	/* Inline/app.scm 133 */
																					return ((bool_t) 1);
																				}
																			else
																				{	/* Inline/app.scm 142 */
																					bool_t BgL_test1808z00_2747;

																					{	/* Inline/app.scm 142 */
																						bool_t BgL_test1809z00_2748;

																						{	/* Inline/app.scm 142 */
																							obj_t BgL_classz00_2065;

																							BgL_classz00_2065 =
																								BGl_globalz00zzast_varz00;
																							{	/* Inline/app.scm 142 */
																								BgL_objectz00_bglt
																									BgL_arg1820z00_2067;
																								{	/* Inline/app.scm 142 */
																									obj_t BgL_tmpz00_2749;

																									BgL_tmpz00_2749 =
																										((obj_t) BgL_varz00_10);
																									BgL_arg1820z00_2067 =
																										(BgL_objectz00_bglt)
																										(BgL_tmpz00_2749);
																								}
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* Inline/app.scm 142 */
																										long BgL_idxz00_2073;

																										BgL_idxz00_2073 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1820z00_2067);
																										BgL_test1809z00_2748 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_2073 +
																													((long) 2))) ==
																											BgL_classz00_2065);
																									}
																								else
																									{	/* Inline/app.scm 142 */
																										bool_t BgL_res1707z00_2095;

																										{	/* Inline/app.scm 142 */
																											obj_t BgL_oclassz00_2081;

																											{	/* Inline/app.scm 142 */
																												long
																													BgL_arg1828z00_2087;
																												{	/* Inline/app.scm 142 */
																													long
																														BgL_arg1829z00_2088;
																													BgL_arg1829z00_2088 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1820z00_2067);
																													BgL_arg1828z00_2087 =
																														(BgL_arg1829z00_2088
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_2081 =
																													VECTOR_REF
																													(BGl_za2classesza2z00zz__objectz00,
																													BgL_arg1828z00_2087);
																											}
																											{	/* Inline/app.scm 142 */
																												bool_t
																													BgL__ortest_1111z00_2082;
																												BgL__ortest_1111z00_2082
																													=
																													(BgL_classz00_2065 ==
																													BgL_oclassz00_2081);
																												if (BgL__ortest_1111z00_2082)
																													{	/* Inline/app.scm 142 */
																														BgL_res1707z00_2095
																															=
																															BgL__ortest_1111z00_2082;
																													}
																												else
																													{	/* Inline/app.scm 142 */
																														long
																															BgL_odepthz00_2083;
																														BgL_odepthz00_2083 =
																															BGL_CLASS_DEPTH
																															(BgL_oclassz00_2081);
																														if ((((long) 2) <
																																BgL_odepthz00_2083))
																															{	/* Inline/app.scm 142 */
																																obj_t
																																	BgL_arg1816z00_2085;
																																BgL_arg1816z00_2085
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_oclassz00_2081,
																																	((long) 2));
																																BgL_res1707z00_2095
																																	=
																																	(BgL_arg1816z00_2085
																																	==
																																	BgL_classz00_2065);
																															}
																														else
																															{	/* Inline/app.scm 142 */
																																BgL_res1707z00_2095
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test1809z00_2748 =
																											BgL_res1707z00_2095;
																									}
																							}
																						}
																						if (BgL_test1809z00_2748)
																							{	/* Inline/app.scm 142 */
																								BgL_test1808z00_2747 =
																									(
																									(((BgL_globalz00_bglt)
																											COBJECT((
																													(BgL_globalz00_bglt)
																													BgL_varz00_10)))->
																										BgL_importz00) ==
																									CNST_TABLE_REF(((long) 7)));
																							}
																						else
																							{	/* Inline/app.scm 142 */
																								BgL_test1808z00_2747 =
																									((bool_t) 0);
																							}
																					}
																					if (BgL_test1808z00_2747)
																						{	/* Inline/app.scm 142 */
																							return ((bool_t) 0);
																						}
																					else
																						{	/* Inline/app.scm 142 */
																							if (CBOOL
																								(BGl_za2userzd2inliningzf3za2z21zzengine_paramz00))
																								{	/* Inline/app.scm 149 */
																									bool_t BgL_test1816z00_2774;

																									{	/* Inline/app.scm 149 */
																										long BgL_arg1458z00_1569;
																										long BgL_arg1467z00_1570;

																										BgL_arg1458z00_1569 =
																											BGl_nodezd2siza7ez75zzinline_siza7eza7
																											(((BgL_nodez00_bglt)
																												BgL_bodyz00_1514));
																										BgL_arg1467z00_1570 =
																											(BgL_kfactorz00_11 *
																											BgL_callzd2siza7ez75_12);
																										BgL_test1816z00_2774 =
																											(BgL_arg1458z00_1569 <
																											BgL_arg1467z00_1570);
																									}
																									if (BgL_test1816z00_2774)
																										{	/* Inline/app.scm 149 */
																											return ((bool_t) 1);
																										}
																									else
																										{	/* Inline/app.scm 157 */
																											bool_t
																												BgL_test1819z00_2779;
																											{	/* Inline/app.scm 157 */
																												bool_t
																													BgL_test1820z00_2780;
																												{	/* Inline/app.scm 157 */
																													long
																														BgL_arg1429z00_1568;
																													BgL_arg1429z00_1568 =
																														BGl_nodezd2siza7ez75zzinline_siza7eza7
																														(((BgL_nodez00_bglt)
																															BgL_bodyz00_1514));
																													BgL_test1820z00_2780 =
																														(BgL_arg1429z00_1568
																														==
																														BgL_callzd2siza7ez75_12);
																												}
																												if (BgL_test1820z00_2780)
																													{	/* Inline/app.scm 157 */
																														if (CBOOL
																															(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																																(((obj_t)
																																		BgL_varz00_10),
																																	BgL_stackz00_13)))
																															{	/* Inline/app.scm 157 */
																																BgL_test1819z00_2779
																																	=
																																	((bool_t) 0);
																															}
																														else
																															{	/* Inline/app.scm 157 */
																																BgL_test1819z00_2779
																																	=
																																	((bool_t) 1);
																															}
																													}
																												else
																													{	/* Inline/app.scm 157 */
																														BgL_test1819z00_2779
																															= ((bool_t) 0);
																													}
																											}
																											if (BgL_test1819z00_2779)
																												{	/* Inline/app.scm 157 */
																													return ((bool_t) 1);
																												}
																											else
																												{	/* Inline/app.scm 165 */
																													bool_t
																														BgL_test1823z00_2788;
																													if (((((BgL_variablez00_bglt) COBJECT(BgL_varz00_10))->BgL_occurrencez00) == ((long) 1)))
																														{	/* Inline/app.scm 166 */
																															bool_t
																																BgL_test1825z00_2792;
																															{	/* Inline/app.scm 166 */
																																bool_t
																																	BgL_test1826z00_2793;
																																{	/* Inline/app.scm 166 */
																																	obj_t
																																		BgL_classz00_2105;
																																	BgL_classz00_2105
																																		=
																																		BGl_globalz00zzast_varz00;
																																	{	/* Inline/app.scm 166 */
																																		BgL_objectz00_bglt
																																			BgL_arg1820z00_2107;
																																		{	/* Inline/app.scm 166 */
																																			obj_t
																																				BgL_tmpz00_2794;
																																			BgL_tmpz00_2794
																																				=
																																				((obj_t)
																																				BgL_varz00_10);
																																			BgL_arg1820z00_2107
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_tmpz00_2794);
																																		}
																																		if (BGL_CONDEXPAND_ISA_ARCH64())
																																			{	/* Inline/app.scm 166 */
																																				long
																																					BgL_idxz00_2113;
																																				BgL_idxz00_2113
																																					=
																																					BGL_OBJECT_INHERITANCE_NUM
																																					(BgL_arg1820z00_2107);
																																				BgL_test1826z00_2793
																																					=
																																					(VECTOR_REF
																																					(BGl_za2inheritancesza2z00zz__objectz00,
																																						(BgL_idxz00_2113
																																							+
																																							((long) 2))) == BgL_classz00_2105);
																																			}
																																		else
																																			{	/* Inline/app.scm 166 */
																																				bool_t
																																					BgL_res1708z00_2135;
																																				{	/* Inline/app.scm 166 */
																																					obj_t
																																						BgL_oclassz00_2121;
																																					{	/* Inline/app.scm 166 */
																																						long
																																							BgL_arg1828z00_2127;
																																						{	/* Inline/app.scm 166 */
																																							long
																																								BgL_arg1829z00_2128;
																																							BgL_arg1829z00_2128
																																								=
																																								BGL_OBJECT_CLASS_NUM
																																								(BgL_arg1820z00_2107);
																																							BgL_arg1828z00_2127
																																								=
																																								(BgL_arg1829z00_2128
																																								-
																																								OBJECT_TYPE);
																																						}
																																						BgL_oclassz00_2121
																																							=
																																							VECTOR_REF
																																							(BGl_za2classesza2z00zz__objectz00,
																																							BgL_arg1828z00_2127);
																																					}
																																					{	/* Inline/app.scm 166 */
																																						bool_t
																																							BgL__ortest_1111z00_2122;
																																						BgL__ortest_1111z00_2122
																																							=
																																							(BgL_classz00_2105
																																							==
																																							BgL_oclassz00_2121);
																																						if (BgL__ortest_1111z00_2122)
																																							{	/* Inline/app.scm 166 */
																																								BgL_res1708z00_2135
																																									=
																																									BgL__ortest_1111z00_2122;
																																							}
																																						else
																																							{	/* Inline/app.scm 166 */
																																								long
																																									BgL_odepthz00_2123;
																																								BgL_odepthz00_2123
																																									=
																																									BGL_CLASS_DEPTH
																																									(BgL_oclassz00_2121);
																																								if ((((long) 2) < BgL_odepthz00_2123))
																																									{	/* Inline/app.scm 166 */
																																										obj_t
																																											BgL_arg1816z00_2125;
																																										BgL_arg1816z00_2125
																																											=
																																											BGL_CLASS_ANCESTORS_REF
																																											(BgL_oclassz00_2121,
																																											((long) 2));
																																										BgL_res1708z00_2135
																																											=
																																											(BgL_arg1816z00_2125
																																											==
																																											BgL_classz00_2105);
																																									}
																																								else
																																									{	/* Inline/app.scm 166 */
																																										BgL_res1708z00_2135
																																											=
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																					}
																																				}
																																				BgL_test1826z00_2793
																																					=
																																					BgL_res1708z00_2135;
																																			}
																																	}
																																}
																																if (BgL_test1826z00_2793)
																																	{	/* Inline/app.scm 166 */
																																		BgL_test1825z00_2792
																																			=
																																			((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_varz00_10)))->BgL_importz00) == CNST_TABLE_REF(((long) 1)));
																																	}
																																else
																																	{	/* Inline/app.scm 166 */
																																		BgL_test1825z00_2792
																																			=
																																			((bool_t)
																																			1);
																																	}
																															}
																															if (BgL_test1825z00_2792)
																																{	/* Inline/app.scm 167 */
																																	obj_t
																																		BgL_arg1400z00_1561;
																																	BgL_arg1400z00_1561
																																		=
																																		(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) (((BgL_variablez00_bglt) COBJECT(BgL_varz00_10))->BgL_valuez00))))->BgL_bodyz00);
																																	{	/* Inline/app.scm 167 */
																																		obj_t
																																			BgL_classz00_2139;
																																		BgL_classz00_2139
																																			=
																																			BGl_retblockz00zzast_nodez00;
																																		if (BGL_OBJECTP(BgL_arg1400z00_1561))
																																			{	/* Inline/app.scm 167 */
																																				BgL_objectz00_bglt
																																					BgL_arg1820z00_2141;
																																				BgL_arg1820z00_2141
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_arg1400z00_1561);
																																				if (BGL_CONDEXPAND_ISA_ARCH64())
																																					{	/* Inline/app.scm 167 */
																																						long
																																							BgL_idxz00_2147;
																																						BgL_idxz00_2147
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1820z00_2141);
																																						BgL_test1823z00_2788
																																							=
																																							(VECTOR_REF
																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_2147
																																									+
																																									((long) 2))) == BgL_classz00_2139);
																																					}
																																				else
																																					{	/* Inline/app.scm 167 */
																																						bool_t
																																							BgL_res1709z00_2169;
																																						{	/* Inline/app.scm 167 */
																																							obj_t
																																								BgL_oclassz00_2155;
																																							{	/* Inline/app.scm 167 */
																																								long
																																									BgL_arg1828z00_2161;
																																								{	/* Inline/app.scm 167 */
																																									long
																																										BgL_arg1829z00_2162;
																																									BgL_arg1829z00_2162
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1820z00_2141);
																																									BgL_arg1828z00_2161
																																										=
																																										(BgL_arg1829z00_2162
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_2155
																																									=
																																									VECTOR_REF
																																									(BGl_za2classesza2z00zz__objectz00,
																																									BgL_arg1828z00_2161);
																																							}
																																							{	/* Inline/app.scm 167 */
																																								bool_t
																																									BgL__ortest_1111z00_2156;
																																								BgL__ortest_1111z00_2156
																																									=
																																									(BgL_classz00_2139
																																									==
																																									BgL_oclassz00_2155);
																																								if (BgL__ortest_1111z00_2156)
																																									{	/* Inline/app.scm 167 */
																																										BgL_res1709z00_2169
																																											=
																																											BgL__ortest_1111z00_2156;
																																									}
																																								else
																																									{	/* Inline/app.scm 167 */
																																										long
																																											BgL_odepthz00_2157;
																																										BgL_odepthz00_2157
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_oclassz00_2155);
																																										if ((((long) 2) < BgL_odepthz00_2157))
																																											{	/* Inline/app.scm 167 */
																																												obj_t
																																													BgL_arg1816z00_2159;
																																												BgL_arg1816z00_2159
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_oclassz00_2155,
																																													((long) 2));
																																												BgL_res1709z00_2169
																																													=
																																													(BgL_arg1816z00_2159
																																													==
																																													BgL_classz00_2139);
																																											}
																																										else
																																											{	/* Inline/app.scm 167 */
																																												BgL_res1709z00_2169
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_test1823z00_2788
																																							=
																																							BgL_res1709z00_2169;
																																					}
																																			}
																																		else
																																			{	/* Inline/app.scm 167 */
																																				BgL_test1823z00_2788
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																}
																															else
																																{	/* Inline/app.scm 166 */
																																	BgL_test1823z00_2788
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																													else
																														{	/* Inline/app.scm 165 */
																															BgL_test1823z00_2788
																																= ((bool_t) 0);
																														}
																													if (BgL_test1823z00_2788)
																														{	/* Inline/app.scm 165 */
																															return ((bool_t)
																																1);
																														}
																													else
																														{	/* Inline/app.scm 165 */
																															return ((bool_t)
																																0);
																														}
																												}
																										}
																								}
																							else
																								{	/* Inline/app.scm 146 */
																									return ((bool_t) 0);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Inline/app.scm 109 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Inline/app.scm 106 */
									return ((bool_t) 0);
								}
						}
					}
				}
			}
		}

	}



/* &inline-app? */
	obj_t BGl_z62inlinezd2appzf3z43zzinline_appz00(obj_t BgL_envz00_2334,
		obj_t BgL_varz00_2335, obj_t BgL_kfactorz00_2336,
		obj_t BgL_callzd2siza7ez75_2337, obj_t BgL_stackz00_2338)
	{
		{	/* Inline/app.scm 96 */
			return
				BBOOL(BGl_inlinezd2appzf3z21zzinline_appz00(
					((BgL_variablez00_bglt) BgL_varz00_2335),
					(long) CINT(BgL_kfactorz00_2336),
					(long) CINT(BgL_callzd2siza7ez75_2337), BgL_stackz00_2338));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1716z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1716z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1716z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1716z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1716z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1716z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1716z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzmodule_libraryz00(((long) 292140514),
				BSTRING_TO_STRING(BGl_string1716z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string1716z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1716z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_siza7eza7(((long) 243191744),
				BSTRING_TO_STRING(BGl_string1716z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_simplez00(((long) 221468907),
				BSTRING_TO_STRING(BGl_string1716z00zzinline_appz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_recursionz00(((long)
					101873001), BSTRING_TO_STRING(BGl_string1716z00zzinline_appz00));
		}

	}

#ifdef __cplusplus
}
#endif
