/*===========================================================================*/
/*   (Inline/loop.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/loop.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2app1332z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	static obj_t BGl_z62findzd2letzd2funzf3zd2funcal1292z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2condition1345z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2makezd2b1314z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_loopz00 = BUNSPEC;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2extern1294z43zzinline_loopz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2jumpzd2e1312z91zzinline_loopz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_loopz00(void);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2atom1322z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2app1288z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2boxzd2se1318z91zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2fun1351za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_loopz00(void);
	static obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt);
	static obj_t BGl_objectzd2initzd2zzinline_loopz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2appzd2ly1334za2zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62nestzd2loopz12za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1357z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_loopz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2extern1339z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1355z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62innerzd2loopzf3z43zzinline_loopz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2switch1349z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nestzd2loopz121319za2zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2funcall1336z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2kwote1324z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2letzd2va1308z91zzinline_loopz00(obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2letzd2fu1306z91zzinline_loopz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2var1353za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2sequen1284z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2cast1341z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2makezd2box1359za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2setz121363zb0zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2ref1361za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setq1343z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2sync1330z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2fail1347z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_loopz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzinline_loopz00(void);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2setzd2ex1310z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2fail1302z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2sequence1328z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2var1326z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3z91zzinline_loopz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62iszd2loopzf3z43zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2switch1304z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf31281z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2condit1300z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2cast1296z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2setq1298z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2appzd2ly1290z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2sync1286z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2boxzd2re1316z91zzinline_loopz00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21947za7,
		BGl_z62findzd2letzd2funzf3z91zzinline_loopz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_innerzd2loopzf3zd2envzf3zzinline_loopz00,
		BgL_bgl_za762innerza7d2loopza71948za7,
		BGl_z62innerzd2loopzf3z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1901z00zzinline_loopz00,
		BgL_bgl_string1901za700za7za7i1949za7, "nest-loop!1319", 14);
	      DEFINE_STRING(BGl_string1902z00zzinline_loopz00,
		BgL_bgl_string1902za700za7za7i1950za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1904z00zzinline_loopz00,
		BgL_bgl_string1904za700za7za7i1951za7, "find-let-fun?", 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_iszd2loopzf3zd2envzf3zzinline_loopz00,
		BgL_bgl_za762isza7d2loopza7f3za71952z00,
		BGl_z62iszd2loopzf3z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711953za7,
		BGl_z62nestzd2loopz121319za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21954za7,
		BGl_z62findzd2letzd2funzf3zd2sequen1284z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1905z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21955za7,
		BGl_z62findzd2letzd2funzf3zd2sync1286z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21956za7,
		BGl_z62findzd2letzd2funzf3zd2app1288z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21957za7,
		BGl_z62findzd2letzd2funzf3zd2appzd2ly1290z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1908z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21958za7,
		BGl_z62findzd2letzd2funzf3zd2funcal1292z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21959za7,
		BGl_z62findzd2letzd2funzf3zd2extern1294z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1910z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21960za7,
		BGl_z62findzd2letzd2funzf3zd2cast1296z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1911z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21961za7,
		BGl_z62findzd2letzd2funzf3zd2setq1298z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1912z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21962za7,
		BGl_z62findzd2letzd2funzf3zd2condit1300z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1913z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21963za7,
		BGl_z62findzd2letzd2funzf3zd2fail1302z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21964za7,
		BGl_z62findzd2letzd2funzf3zd2switch1304z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1915z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21965za7,
		BGl_z62findzd2letzd2funzf3zd2letzd2fu1306z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21966za7,
		BGl_z62findzd2letzd2funzf3zd2letzd2va1308z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1923z00zzinline_loopz00,
		BgL_bgl_string1923za700za7za7i1967za7, "nest-loop!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1917z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21968za7,
		BGl_z62findzd2letzd2funzf3zd2setzd2ex1310z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21969za7,
		BGl_z62findzd2letzd2funzf3zd2jumpzd2e1312z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21970za7,
		BGl_z62findzd2letzd2funzf3zd2makezd2b1314z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711971za7,
		BGl_z62nestzd2loopz12za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21972za7,
		BGl_z62findzd2letzd2funzf3zd2boxzd2re1316z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21973za7,
		BGl_z62findzd2letzd2funzf3zd2boxzd2se1318z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711974za7,
		BGl_z62nestzd2loopz12zd2atom1322z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711975za7,
		BGl_z62nestzd2loopz12zd2kwote1324z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711976za7,
		BGl_z62nestzd2loopz12zd2var1326z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711977za7,
		BGl_z62nestzd2loopz12zd2sequence1328z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711978za7,
		BGl_z62nestzd2loopz12zd2sync1330z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711979za7,
		BGl_z62nestzd2loopz12zd2app1332z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711980za7,
		BGl_z62nestzd2loopz12zd2appzd2ly1334za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711981za7,
		BGl_z62nestzd2loopz12zd2funcall1336z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711982za7,
		BGl_z62nestzd2loopz12zd2extern1339z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711983za7,
		BGl_z62nestzd2loopz12zd2cast1341z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711984za7,
		BGl_z62nestzd2loopz12zd2setq1343z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711985za7,
		BGl_z62nestzd2loopz12zd2condition1345z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1935z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711986za7,
		BGl_z62nestzd2loopz12zd2fail1347z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1936z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711987za7,
		BGl_z62nestzd2loopz12zd2switch1349z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711988za7,
		BGl_z62nestzd2loopz12zd2letzd2fun1351za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1944z00zzinline_loopz00,
		BgL_bgl_string1944za700za7za7i1989za7, "inline_loop", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1938z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711990za7,
		BGl_z62nestzd2loopz12zd2letzd2var1353za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1945z00zzinline_loopz00,
		BgL_bgl_string1945za700za7za7i1991za7, "nest-loop!1319 done ", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711992za7,
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1355z70zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711993za7,
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1357z70zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711994za7,
		BGl_z62nestzd2loopz12zd2makezd2box1359za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711995za7,
		BGl_z62nestzd2loopz12zd2boxzd2ref1361za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711996za7,
		BGl_z62nestzd2loopz12zd2boxzd2setz121363zb0zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STRING(BGl_string1899z00zzinline_loopz00,
		BgL_bgl_string1899za700za7za7i1997za7, "find-let-fun?1281", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21998za7,
		BGl_z62findzd2letzd2funzf31281z91zzinline_loopz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzinline_loopz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long
		BgL_checksumz00_2633, char *BgL_fromz00_2634)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_loopz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_loopz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_loopz00();
					BGl_libraryzd2moduleszd2initz00zzinline_loopz00();
					BGl_cnstzd2initzd2zzinline_loopz00();
					BGl_importedzd2moduleszd2initz00zzinline_loopz00();
					BGl_genericzd2initzd2zzinline_loopz00();
					BGl_methodzd2initzd2zzinline_loopz00();
					return BGl_toplevelzd2initzd2zzinline_loopz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_loop");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			{	/* Inline/loop.scm 15 */
				obj_t BgL_cportz00_2496;

				{	/* Inline/loop.scm 15 */
					obj_t BgL_stringz00_2503;

					BgL_stringz00_2503 = BGl_string1945z00zzinline_loopz00;
					{	/* Inline/loop.scm 15 */
						obj_t BgL_startz00_2504;

						BgL_startz00_2504 = BINT(((long) 0));
						{	/* Inline/loop.scm 15 */
							obj_t BgL_endz00_2505;

							BgL_endz00_2505 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2503)));
							{	/* Inline/loop.scm 15 */

								BgL_cportz00_2496 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2503, BgL_startz00_2504, BgL_endz00_2505);
				}}}}
				{
					long BgL_iz00_2497;

					BgL_iz00_2497 = ((long) 1);
				BgL_loopz00_2498:
					if ((BgL_iz00_2497 == ((long) -1)))
						{	/* Inline/loop.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/loop.scm 15 */
							{	/* Inline/loop.scm 15 */
								obj_t BgL_arg1946z00_2499;

								{	/* Inline/loop.scm 15 */

									{	/* Inline/loop.scm 15 */
										obj_t BgL_locationz00_2501;

										BgL_locationz00_2501 = BBOOL(((bool_t) 0));
										{	/* Inline/loop.scm 15 */

											BgL_arg1946z00_2499 =
												BGl_readz00zz__readerz00(BgL_cportz00_2496,
												BgL_locationz00_2501);
										}
									}
								}
								{	/* Inline/loop.scm 15 */
									int BgL_tmpz00_2664;

									BgL_tmpz00_2664 = (int) (BgL_iz00_2497);
									CNST_TABLE_SET(BgL_tmpz00_2664, BgL_arg1946z00_2499);
							}}
							{	/* Inline/loop.scm 15 */
								int BgL_auxz00_2502;

								BgL_auxz00_2502 = (int) ((BgL_iz00_2497 - ((long) 1)));
								{
									long BgL_iz00_2669;

									BgL_iz00_2669 = (long) (BgL_auxz00_2502);
									BgL_iz00_2497 = BgL_iz00_2669;
									goto BgL_loopz00_2498;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			return BUNSPEC;
		}

	}



/* is-loop? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt BgL_variablez00_3)
	{
		{	/* Inline/loop.scm 39 */
			if (BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_3))
				{	/* Inline/loop.scm 42 */
					long BgL_arg1376z00_1568;

					{	/* Inline/loop.scm 42 */
						obj_t BgL_arg1378z00_1569;

						{	/* Inline/loop.scm 42 */
							BgL_sfunz00_bglt BgL_oz00_2127;

							BgL_oz00_2127 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3))->
									BgL_valuez00));
							{
								BgL_isfunz00_bglt BgL_auxz00_2676;

								{
									obj_t BgL_auxz00_2677;

									{	/* Inline/loop.scm 42 */
										BgL_objectz00_bglt BgL_tmpz00_2678;

										BgL_tmpz00_2678 = ((BgL_objectz00_bglt) BgL_oz00_2127);
										BgL_auxz00_2677 = BGL_OBJECT_WIDENING(BgL_tmpz00_2678);
									}
									BgL_auxz00_2676 = ((BgL_isfunz00_bglt) BgL_auxz00_2677);
								}
								BgL_arg1378z00_1569 =
									(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_2676))->
									BgL_recursivezd2callszd2);
						}}
						BgL_arg1376z00_1568 = bgl_list_length(BgL_arg1378z00_1569);
					}
					return (BgL_arg1376z00_1568 == ((long) 1));
				}
			else
				{	/* Inline/loop.scm 41 */
					return ((bool_t) 0);
				}
		}

	}



/* &is-loop? */
	obj_t BGl_z62iszd2loopzf3z43zzinline_loopz00(obj_t BgL_envz00_2319,
		obj_t BgL_variablez00_2320)
	{
		{	/* Inline/loop.scm 39 */
			return
				BBOOL(BGl_iszd2loopzf3z21zzinline_loopz00(
					((BgL_variablez00_bglt) BgL_variablez00_2320)));
		}

	}



/* inner-loop? */
	BGL_EXPORTED_DEF bool_t
		BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		{	/* Inline/loop.scm 49 */
			{	/* Inline/loop.scm 50 */
				obj_t BgL_arg1384z00_2130;

				BgL_arg1384z00_2130 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_4))->
									BgL_valuez00))))->BgL_bodyz00);
				return
					CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(((BgL_nodez00_bglt)
							BgL_arg1384z00_2130)));
			}
		}

	}



/* &inner-loop? */
	obj_t BGl_z62innerzd2loopzf3z43zzinline_loopz00(obj_t BgL_envz00_2321,
		obj_t BgL_variablez00_2322)
	{
		{	/* Inline/loop.scm 49 */
			return
				BBOOL(BGl_innerzd2loopzf3z21zzinline_loopz00(
					((BgL_variablez00_bglt) BgL_variablez00_2322)));
		}

	}



/* find-let-fun?* */
	bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t BgL_nodeza2za2_24)
	{
		{	/* Inline/loop.scm 198 */
			{
				obj_t BgL_nodeza2za2_1574;

				BgL_nodeza2za2_1574 = BgL_nodeza2za2_24;
			BgL_zc3z04anonymousza31388ze3z87_1575:
				if (NULLP(BgL_nodeza2za2_1574))
					{	/* Inline/loop.scm 201 */
						return ((bool_t) 0);
					}
				else
					{	/* Inline/loop.scm 203 */
						bool_t BgL_test2003z00_2699;

						{	/* Inline/loop.scm 203 */
							obj_t BgL_arg1422z00_1580;

							BgL_arg1422z00_1580 = CAR(((obj_t) BgL_nodeza2za2_1574));
							BgL_test2003z00_2699 =
								CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									((BgL_nodez00_bglt) BgL_arg1422z00_1580)));
						}
						if (BgL_test2003z00_2699)
							{	/* Inline/loop.scm 203 */
								return ((bool_t) 1);
							}
						else
							{	/* Inline/loop.scm 206 */
								obj_t BgL_arg1421z00_1579;

								BgL_arg1421z00_1579 = CDR(((obj_t) BgL_nodeza2za2_1574));
								{
									obj_t BgL_nodeza2za2_2707;

									BgL_nodeza2za2_2707 = BgL_arg1421z00_1579;
									BgL_nodeza2za2_1574 = BgL_nodeza2za2_2707;
									goto BgL_zc3z04anonymousza31388ze3z87_1575;
								}
							}
					}
			}
		}

	}



/* nest-loop!* */
	obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t BgL_nodeza2za2_91,
		obj_t BgL_varz00_92, obj_t BgL_nesterz00_93)
	{
		{	/* Inline/loop.scm 401 */
			{
				obj_t BgL_nodeza2za2_1583;

				BgL_nodeza2za2_1583 = BgL_nodeza2za2_91;
			BgL_zc3z04anonymousza31423ze3z87_1584:
				if (NULLP(BgL_nodeza2za2_1583))
					{	/* Inline/loop.scm 403 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Inline/loop.scm 403 */
						{	/* Inline/loop.scm 406 */
							BgL_nodez00_bglt BgL_arg1426z00_1586;

							{	/* Inline/loop.scm 406 */
								obj_t BgL_arg1429z00_1587;

								BgL_arg1429z00_1587 = CAR(((obj_t) BgL_nodeza2za2_1583));
								BgL_arg1426z00_1586 =
									BGl_nestzd2loopz12zc0zzinline_loopz00(
									((BgL_nodez00_bglt) BgL_arg1429z00_1587),
									((BgL_localz00_bglt) BgL_varz00_92), BgL_nesterz00_93);
							}
							{	/* Inline/loop.scm 406 */
								obj_t BgL_auxz00_2718;
								obj_t BgL_tmpz00_2716;

								BgL_auxz00_2718 = ((obj_t) BgL_arg1426z00_1586);
								BgL_tmpz00_2716 = ((obj_t) BgL_nodeza2za2_1583);
								SET_CAR(BgL_tmpz00_2716, BgL_auxz00_2718);
							}
						}
						{	/* Inline/loop.scm 407 */
							obj_t BgL_arg1458z00_1588;

							BgL_arg1458z00_1588 = CDR(((obj_t) BgL_nodeza2za2_1583));
							{
								obj_t BgL_nodeza2za2_2723;

								BgL_nodeza2za2_2723 = BgL_arg1458z00_1588;
								BgL_nodeza2za2_1583 = BgL_nodeza2za2_2723;
								goto BgL_zc3z04anonymousza31423ze3z87_1584;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_proc1898z00zzinline_loopz00, BGl_nodez00zzast_nodez00,
				BGl_string1899z00zzinline_loopz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_proc1900z00zzinline_loopz00, BGl_nodez00zzast_nodez00,
				BGl_string1901z00zzinline_loopz00);
		}

	}



/* &nest-loop!1319 */
	obj_t BGl_z62nestzd2loopz121319za2zzinline_loopz00(obj_t BgL_envz00_2325,
		obj_t BgL_nodez00_2326, obj_t BgL_localz00_2327, obj_t BgL_nesterz00_2328)
	{
		{	/* Inline/loop.scm 211 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string1902z00zzinline_loopz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2326)));
		}

	}



/* &find-let-fun?1281 */
	obj_t BGl_z62findzd2letzd2funzf31281z91zzinline_loopz00(obj_t BgL_envz00_2329,
		obj_t BgL_nodez00_2330)
	{
		{	/* Inline/loop.scm 55 */
			return BBOOL(((bool_t) 0));
		}

	}



/* find-let-fun? */
	obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		{	/* Inline/loop.scm 55 */
			{	/* Inline/loop.scm 55 */
				obj_t BgL_method1282z00_1600;

				{	/* Inline/loop.scm 55 */
					obj_t BgL_res1890z00_2169;

					{	/* Inline/loop.scm 55 */
						long BgL_objzd2classzd2numz00_2140;

						BgL_objzd2classzd2numz00_2140 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
						{	/* Inline/loop.scm 55 */
							obj_t BgL_arg1825z00_2141;

							BgL_arg1825z00_2141 =
								PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
								(int) (((long) 1)));
							{	/* Inline/loop.scm 55 */
								int BgL_offsetz00_2144;

								BgL_offsetz00_2144 = (int) (BgL_objzd2classzd2numz00_2140);
								{	/* Inline/loop.scm 55 */
									long BgL_offsetz00_2145;

									BgL_offsetz00_2145 =
										((long) (BgL_offsetz00_2144) - OBJECT_TYPE);
									{	/* Inline/loop.scm 55 */
										long BgL_modz00_2146;

										BgL_modz00_2146 =
											(BgL_offsetz00_2145 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Inline/loop.scm 55 */
											long BgL_restz00_2148;

											BgL_restz00_2148 =
												(BgL_offsetz00_2145 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Inline/loop.scm 55 */

												{	/* Inline/loop.scm 55 */
													obj_t BgL_bucketz00_2150;

													BgL_bucketz00_2150 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2141), BgL_modz00_2146);
													BgL_res1890z00_2169 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2150), BgL_restz00_2148);
					}}}}}}}}
					BgL_method1282z00_1600 = BgL_res1890z00_2169;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1282z00_1600)) (BgL_method1282z00_1600,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}

	}



/* &find-let-fun? */
	obj_t BGl_z62findzd2letzd2funzf3z91zzinline_loopz00(obj_t BgL_envz00_2331,
		obj_t BgL_nodez00_2332)
	{
		{	/* Inline/loop.scm 55 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2332));
		}

	}



/* nest-loop! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt BgL_nodez00_25,
		BgL_localz00_bglt BgL_localz00_26, obj_t BgL_nesterz00_27)
	{
		{	/* Inline/loop.scm 211 */
			{	/* Inline/loop.scm 211 */
				obj_t BgL_method1320z00_1601;

				{	/* Inline/loop.scm 211 */
					obj_t BgL_res1895z00_2200;

					{	/* Inline/loop.scm 211 */
						long BgL_objzd2classzd2numz00_2171;

						BgL_objzd2classzd2numz00_2171 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_25));
						{	/* Inline/loop.scm 211 */
							obj_t BgL_arg1825z00_2172;

							BgL_arg1825z00_2172 =
								PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
								(int) (((long) 1)));
							{	/* Inline/loop.scm 211 */
								int BgL_offsetz00_2175;

								BgL_offsetz00_2175 = (int) (BgL_objzd2classzd2numz00_2171);
								{	/* Inline/loop.scm 211 */
									long BgL_offsetz00_2176;

									BgL_offsetz00_2176 =
										((long) (BgL_offsetz00_2175) - OBJECT_TYPE);
									{	/* Inline/loop.scm 211 */
										long BgL_modz00_2177;

										BgL_modz00_2177 =
											(BgL_offsetz00_2176 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Inline/loop.scm 211 */
											long BgL_restz00_2179;

											BgL_restz00_2179 =
												(BgL_offsetz00_2176 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Inline/loop.scm 211 */

												{	/* Inline/loop.scm 211 */
													obj_t BgL_bucketz00_2181;

													BgL_bucketz00_2181 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2172), BgL_modz00_2177);
													BgL_res1895z00_2200 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2181), BgL_restz00_2179);
					}}}}}}}}
					BgL_method1320z00_1601 = BgL_res1895z00_2200;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1320z00_1601)) (BgL_method1320z00_1601,
						((obj_t) BgL_nodez00_25), ((obj_t) BgL_localz00_26),
						BgL_nesterz00_27, BEOA));
			}
		}

	}



/* &nest-loop! */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12za2zzinline_loopz00(obj_t
		BgL_envz00_2333, obj_t BgL_nodez00_2334, obj_t BgL_localz00_2335,
		obj_t BgL_nesterz00_2336)
	{
		{	/* Inline/loop.scm 211 */
			return
				BGl_nestzd2loopz12zc0zzinline_loopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2334),
				((BgL_localz00_bglt) BgL_localz00_2335), BgL_nesterz00_2336);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1903z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_syncz00zzast_nodez00, BGl_proc1905z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_appz00zzast_nodez00, BGl_proc1906z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1907z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1908z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_externz00zzast_nodez00, BGl_proc1909z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_castz00zzast_nodez00, BGl_proc1910z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_setqz00zzast_nodez00, BGl_proc1911z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1912z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_failz00zzast_nodez00, BGl_proc1913z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_switchz00zzast_nodez00, BGl_proc1914z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1915z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1916z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1917z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1918z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1919z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1920z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1921z00zzinline_loopz00,
				BGl_string1904z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_atomz00zzast_nodez00,
				BGl_proc1922z00zzinline_loopz00, BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1924z00zzinline_loopz00, BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_varz00zzast_nodez00,
				BGl_proc1925z00zzinline_loopz00, BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1926z00zzinline_loopz00,
				BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_syncz00zzast_nodez00,
				BGl_proc1927z00zzinline_loopz00, BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_appz00zzast_nodez00,
				BGl_proc1928z00zzinline_loopz00, BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1929z00zzinline_loopz00,
				BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1930z00zzinline_loopz00,
				BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_externz00zzast_nodez00, BGl_proc1931z00zzinline_loopz00,
				BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_castz00zzast_nodez00,
				BGl_proc1932z00zzinline_loopz00, BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_setqz00zzast_nodez00,
				BGl_proc1933z00zzinline_loopz00, BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1934z00zzinline_loopz00,
				BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_failz00zzast_nodez00,
				BGl_proc1935z00zzinline_loopz00, BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_switchz00zzast_nodez00, BGl_proc1936z00zzinline_loopz00,
				BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1937z00zzinline_loopz00,
				BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1938z00zzinline_loopz00,
				BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1939z00zzinline_loopz00,
				BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1940z00zzinline_loopz00,
				BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1941z00zzinline_loopz00,
				BGl_string1923z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1942z00zzinline_loopz00,
				BGl_string1923z00zzinline_loopz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1943z00zzinline_loopz00,
				BGl_string1923z00zzinline_loopz00);
		}

	}



/* &nest-loop!-box-set!1363 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2setz121363zb0zzinline_loopz00(obj_t
		BgL_envz00_2376, obj_t BgL_nodez00_2377, obj_t BgL_vz00_2378,
		obj_t BgL_nesterz00_2379)
	{
		{	/* Inline/loop.scm 392 */
			{
				BgL_varz00_bglt BgL_auxz00_2839;

				{	/* Inline/loop.scm 394 */
					BgL_varz00_bglt BgL_arg1763z00_2512;

					BgL_arg1763z00_2512 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2377)))->BgL_varz00);
					BgL_auxz00_2839 =
						((BgL_varz00_bglt)
						BGl_nestzd2loopz12zc0zzinline_loopz00(
							((BgL_nodez00_bglt) BgL_arg1763z00_2512),
							((BgL_localz00_bglt) BgL_vz00_2378), BgL_nesterz00_2379));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2377)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2839), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2848;

				{	/* Inline/loop.scm 395 */
					BgL_nodez00_bglt BgL_arg1765z00_2513;

					BgL_arg1765z00_2513 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2377)))->BgL_valuez00);
					BgL_auxz00_2848 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1765z00_2513,
						((BgL_localz00_bglt) BgL_vz00_2378), BgL_nesterz00_2379);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2377)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2848), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2377));
		}

	}



/* &nest-loop!-box-ref1361 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2ref1361za2zzinline_loopz00(obj_t
		BgL_envz00_2380, obj_t BgL_nodez00_2381, obj_t BgL_vz00_2382,
		obj_t BgL_nesterz00_2383)
	{
		{	/* Inline/loop.scm 384 */
			{
				BgL_varz00_bglt BgL_auxz00_2857;

				{	/* Inline/loop.scm 386 */
					BgL_varz00_bglt BgL_arg1757z00_2515;

					BgL_arg1757z00_2515 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2381)))->BgL_varz00);
					BgL_auxz00_2857 =
						((BgL_varz00_bglt)
						BGl_nestzd2loopz12zc0zzinline_loopz00(
							((BgL_nodez00_bglt) BgL_arg1757z00_2515),
							((BgL_localz00_bglt) BgL_vz00_2382), BgL_nesterz00_2383));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2381)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2857), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2381));
		}

	}



/* &nest-loop!-make-box1359 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2makezd2box1359za2zzinline_loopz00(obj_t
		BgL_envz00_2384, obj_t BgL_nodez00_2385, obj_t BgL_varz00_2386,
		obj_t BgL_nesterz00_2387)
	{
		{	/* Inline/loop.scm 376 */
			{
				BgL_nodez00_bglt BgL_auxz00_2868;

				{	/* Inline/loop.scm 378 */
					BgL_nodez00_bglt BgL_arg1756z00_2517;

					BgL_arg1756z00_2517 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2385)))->BgL_valuez00);
					BgL_auxz00_2868 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1756z00_2517,
						((BgL_localz00_bglt) BgL_varz00_2386), BgL_nesterz00_2387);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2385)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2868), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2385));
		}

	}



/* &nest-loop!-jump-ex-i1357 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1357z70zzinline_loopz00(obj_t
		BgL_envz00_2388, obj_t BgL_nodez00_2389, obj_t BgL_vz00_2390,
		obj_t BgL_nesterz00_2391)
	{
		{	/* Inline/loop.scm 367 */
			{
				BgL_nodez00_bglt BgL_auxz00_2877;

				{	/* Inline/loop.scm 369 */
					BgL_nodez00_bglt BgL_arg1754z00_2519;

					BgL_arg1754z00_2519 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2389)))->BgL_exitz00);
					BgL_auxz00_2877 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1754z00_2519,
						((BgL_localz00_bglt) BgL_vz00_2390), BgL_nesterz00_2391);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2389)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2877), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2884;

				{	/* Inline/loop.scm 370 */
					BgL_nodez00_bglt BgL_arg1755z00_2520;

					BgL_arg1755z00_2520 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2389)))->
						BgL_valuez00);
					BgL_auxz00_2884 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1755z00_2520,
						((BgL_localz00_bglt) BgL_vz00_2390), BgL_nesterz00_2391);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2389)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2884), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2389));
		}

	}



/* &nest-loop!-set-ex-it1355 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1355z70zzinline_loopz00(obj_t
		BgL_envz00_2392, obj_t BgL_nodez00_2393, obj_t BgL_varz00_2394,
		obj_t BgL_nesterz00_2395)
	{
		{	/* Inline/loop.scm 358 */
			{
				BgL_nodez00_bglt BgL_auxz00_2893;

				{	/* Inline/loop.scm 360 */
					BgL_nodez00_bglt BgL_arg1752z00_2522;

					BgL_arg1752z00_2522 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2393)))->BgL_bodyz00);
					BgL_auxz00_2893 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1752z00_2522,
						((BgL_localz00_bglt) BgL_varz00_2394), BgL_nesterz00_2395);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2393)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2893), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2900;

				{	/* Inline/loop.scm 361 */
					BgL_nodez00_bglt BgL_arg1753z00_2523;

					BgL_arg1753z00_2523 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2393)))->
						BgL_onexitz00);
					BgL_auxz00_2900 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1753z00_2523,
						((BgL_localz00_bglt) BgL_varz00_2394), BgL_nesterz00_2395);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2393)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2900), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2393));
		}

	}



/* &nest-loop!-let-var1353 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2var1353za2zzinline_loopz00(obj_t
		BgL_envz00_2396, obj_t BgL_nodez00_2397, obj_t BgL_varz00_2398,
		obj_t BgL_nesterz00_2399)
	{
		{	/* Inline/loop.scm 347 */
			{
				BgL_nodez00_bglt BgL_auxz00_2909;

				{	/* Inline/loop.scm 349 */
					BgL_nodez00_bglt BgL_arg1746z00_2525;

					BgL_arg1746z00_2525 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2397)))->BgL_bodyz00);
					BgL_auxz00_2909 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1746z00_2525,
						((BgL_localz00_bglt) BgL_varz00_2398), BgL_nesterz00_2399);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2397)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2909), BUNSPEC);
			}
			{	/* Inline/loop.scm 350 */
				obj_t BgL_g1280z00_2526;

				BgL_g1280z00_2526 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2397)))->BgL_bindingsz00);
				{
					obj_t BgL_l1278z00_2528;

					BgL_l1278z00_2528 = BgL_g1280z00_2526;
				BgL_zc3z04anonymousza31747ze3z87_2527:
					if (PAIRP(BgL_l1278z00_2528))
						{	/* Inline/loop.scm 350 */
							{	/* Inline/loop.scm 351 */
								obj_t BgL_bindingz00_2529;

								BgL_bindingz00_2529 = CAR(BgL_l1278z00_2528);
								{	/* Inline/loop.scm 351 */
									BgL_nodez00_bglt BgL_arg1749z00_2530;

									{	/* Inline/loop.scm 351 */
										obj_t BgL_arg1750z00_2531;

										BgL_arg1750z00_2531 = CDR(((obj_t) BgL_bindingz00_2529));
										BgL_arg1749z00_2530 =
											BGl_nestzd2loopz12zc0zzinline_loopz00(
											((BgL_nodez00_bglt) BgL_arg1750z00_2531),
											((BgL_localz00_bglt) BgL_varz00_2398),
											BgL_nesterz00_2399);
									}
									{	/* Inline/loop.scm 351 */
										obj_t BgL_auxz00_2928;
										obj_t BgL_tmpz00_2926;

										BgL_auxz00_2928 = ((obj_t) BgL_arg1749z00_2530);
										BgL_tmpz00_2926 = ((obj_t) BgL_bindingz00_2529);
										SET_CDR(BgL_tmpz00_2926, BgL_auxz00_2928);
									}
								}
							}
							{
								obj_t BgL_l1278z00_2931;

								BgL_l1278z00_2931 = CDR(BgL_l1278z00_2528);
								BgL_l1278z00_2528 = BgL_l1278z00_2931;
								goto BgL_zc3z04anonymousza31747ze3z87_2527;
							}
						}
					else
						{	/* Inline/loop.scm 350 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2397));
		}

	}



/* &nest-loop!-let-fun1351 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2fun1351za2zzinline_loopz00(obj_t
		BgL_envz00_2400, obj_t BgL_nodez00_2401, obj_t BgL_varz00_2402,
		obj_t BgL_nesterz00_2403)
	{
		{	/* Inline/loop.scm 332 */
			{
				BgL_nodez00_bglt BgL_auxz00_2935;

				{	/* Inline/loop.scm 334 */
					BgL_nodez00_bglt BgL_arg1734z00_2533;

					BgL_arg1734z00_2533 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2401)))->BgL_bodyz00);
					BgL_auxz00_2935 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1734z00_2533,
						((BgL_localz00_bglt) BgL_varz00_2402), BgL_nesterz00_2403);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2401)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2935), BUNSPEC);
			}
			{	/* Inline/loop.scm 335 */
				obj_t BgL_g1277z00_2534;

				BgL_g1277z00_2534 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2401)))->BgL_localsz00);
				{
					obj_t BgL_l1275z00_2536;

					BgL_l1275z00_2536 = BgL_g1277z00_2534;
				BgL_zc3z04anonymousza31735ze3z87_2535:
					if (PAIRP(BgL_l1275z00_2536))
						{	/* Inline/loop.scm 335 */
							{	/* Inline/loop.scm 336 */
								obj_t BgL_localz00_2537;

								BgL_localz00_2537 = CAR(BgL_l1275z00_2536);
								{	/* Inline/loop.scm 336 */
									BgL_valuez00_bglt BgL_sfunz00_2538;

									BgL_sfunz00_2538 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2537))))->
										BgL_valuez00);
									{	/* Inline/loop.scm 338 */
										BgL_nodez00_bglt BgL_arg1738z00_2539;

										{	/* Inline/loop.scm 338 */
											obj_t BgL_arg1741z00_2540;

											BgL_arg1741z00_2540 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2538)))->
												BgL_bodyz00);
											BgL_arg1738z00_2539 =
												BGl_nestzd2loopz12zc0zzinline_loopz00((
													(BgL_nodez00_bglt) BgL_arg1741z00_2540),
												((BgL_localz00_bglt) BgL_varz00_2402),
												BgL_nesterz00_2403);
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2538)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1738z00_2539)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1275z00_2958;

								BgL_l1275z00_2958 = CDR(BgL_l1275z00_2536);
								BgL_l1275z00_2536 = BgL_l1275z00_2958;
								goto BgL_zc3z04anonymousza31735ze3z87_2535;
							}
						}
					else
						{	/* Inline/loop.scm 335 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2401));
		}

	}



/* &nest-loop!-switch1349 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2switch1349z70zzinline_loopz00(obj_t
		BgL_envz00_2404, obj_t BgL_nodez00_2405, obj_t BgL_varz00_2406,
		obj_t BgL_nesterz00_2407)
	{
		{	/* Inline/loop.scm 321 */
			{
				BgL_nodez00_bglt BgL_auxz00_2962;

				{	/* Inline/loop.scm 323 */
					BgL_nodez00_bglt BgL_arg1721z00_2542;

					BgL_arg1721z00_2542 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2405)))->BgL_testz00);
					BgL_auxz00_2962 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1721z00_2542,
						((BgL_localz00_bglt) BgL_varz00_2406), BgL_nesterz00_2407);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2405)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2962), BUNSPEC);
			}
			{	/* Inline/loop.scm 324 */
				obj_t BgL_g1274z00_2543;

				BgL_g1274z00_2543 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2405)))->BgL_clausesz00);
				{
					obj_t BgL_l1272z00_2545;

					BgL_l1272z00_2545 = BgL_g1274z00_2543;
				BgL_zc3z04anonymousza31722ze3z87_2544:
					if (PAIRP(BgL_l1272z00_2545))
						{	/* Inline/loop.scm 324 */
							{	/* Inline/loop.scm 325 */
								obj_t BgL_clausez00_2546;

								BgL_clausez00_2546 = CAR(BgL_l1272z00_2545);
								{	/* Inline/loop.scm 325 */
									BgL_nodez00_bglt BgL_arg1728z00_2547;

									{	/* Inline/loop.scm 325 */
										obj_t BgL_arg1730z00_2548;

										BgL_arg1730z00_2548 = CDR(((obj_t) BgL_clausez00_2546));
										BgL_arg1728z00_2547 =
											BGl_nestzd2loopz12zc0zzinline_loopz00(
											((BgL_nodez00_bglt) BgL_arg1730z00_2548),
											((BgL_localz00_bglt) BgL_varz00_2406),
											BgL_nesterz00_2407);
									}
									{	/* Inline/loop.scm 325 */
										obj_t BgL_auxz00_2981;
										obj_t BgL_tmpz00_2979;

										BgL_auxz00_2981 = ((obj_t) BgL_arg1728z00_2547);
										BgL_tmpz00_2979 = ((obj_t) BgL_clausez00_2546);
										SET_CDR(BgL_tmpz00_2979, BgL_auxz00_2981);
									}
								}
							}
							{
								obj_t BgL_l1272z00_2984;

								BgL_l1272z00_2984 = CDR(BgL_l1272z00_2545);
								BgL_l1272z00_2545 = BgL_l1272z00_2984;
								goto BgL_zc3z04anonymousza31722ze3z87_2544;
							}
						}
					else
						{	/* Inline/loop.scm 324 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2405));
		}

	}



/* &nest-loop!-fail1347 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2fail1347z70zzinline_loopz00(obj_t
		BgL_envz00_2408, obj_t BgL_nodez00_2409, obj_t BgL_varz00_2410,
		obj_t BgL_nesterz00_2411)
	{
		{	/* Inline/loop.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_2988;

				{	/* Inline/loop.scm 313 */
					BgL_nodez00_bglt BgL_arg1711z00_2550;

					BgL_arg1711z00_2550 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2409)))->BgL_procz00);
					BgL_auxz00_2988 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1711z00_2550,
						((BgL_localz00_bglt) BgL_varz00_2410), BgL_nesterz00_2411);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2409)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2988), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2995;

				{	/* Inline/loop.scm 314 */
					BgL_nodez00_bglt BgL_arg1712z00_2551;

					BgL_arg1712z00_2551 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2409)))->BgL_msgz00);
					BgL_auxz00_2995 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1712z00_2551,
						((BgL_localz00_bglt) BgL_varz00_2410), BgL_nesterz00_2411);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2409)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2995), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3002;

				{	/* Inline/loop.scm 315 */
					BgL_nodez00_bglt BgL_arg1720z00_2552;

					BgL_arg1720z00_2552 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2409)))->BgL_objz00);
					BgL_auxz00_3002 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1720z00_2552,
						((BgL_localz00_bglt) BgL_varz00_2410), BgL_nesterz00_2411);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2409)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3002), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2409));
		}

	}



/* &nest-loop!-condition1345 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2condition1345z70zzinline_loopz00(obj_t
		BgL_envz00_2412, obj_t BgL_nodez00_2413, obj_t BgL_varz00_2414,
		obj_t BgL_nesterz00_2415)
	{
		{	/* Inline/loop.scm 301 */
			{
				BgL_nodez00_bglt BgL_auxz00_3011;

				{	/* Inline/loop.scm 303 */
					BgL_nodez00_bglt BgL_arg1697z00_2554;

					BgL_arg1697z00_2554 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2413)))->BgL_testz00);
					BgL_auxz00_3011 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1697z00_2554,
						((BgL_localz00_bglt) BgL_varz00_2414), BgL_nesterz00_2415);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2413)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3011), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3018;

				{	/* Inline/loop.scm 304 */
					BgL_nodez00_bglt BgL_arg1698z00_2555;

					BgL_arg1698z00_2555 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2413)))->BgL_truez00);
					BgL_auxz00_3018 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1698z00_2555,
						((BgL_localz00_bglt) BgL_varz00_2414), BgL_nesterz00_2415);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2413)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3018), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3025;

				{	/* Inline/loop.scm 305 */
					BgL_nodez00_bglt BgL_arg1705z00_2556;

					BgL_arg1705z00_2556 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2413)))->BgL_falsez00);
					BgL_auxz00_3025 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1705z00_2556,
						((BgL_localz00_bglt) BgL_varz00_2414), BgL_nesterz00_2415);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2413)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3025), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2413));
		}

	}



/* &nest-loop!-setq1343 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2setq1343z70zzinline_loopz00(obj_t
		BgL_envz00_2416, obj_t BgL_nodez00_2417, obj_t BgL_varz00_2418,
		obj_t BgL_nesterz00_2419)
	{
		{	/* Inline/loop.scm 294 */
			{	/* Inline/loop.scm 295 */
				BgL_nodez00_bglt BgL_arg1696z00_2558;

				BgL_arg1696z00_2558 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2417)))->BgL_valuez00);
				BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1696z00_2558,
					((BgL_localz00_bglt) BgL_varz00_2418), BgL_nesterz00_2419);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2417));
		}

	}



/* &nest-loop!-cast1341 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2cast1341z70zzinline_loopz00(obj_t
		BgL_envz00_2420, obj_t BgL_nodez00_2421, obj_t BgL_varz00_2422,
		obj_t BgL_nesterz00_2423)
	{
		{	/* Inline/loop.scm 287 */
			{	/* Inline/loop.scm 288 */
				BgL_nodez00_bglt BgL_arg1692z00_2560;

				BgL_arg1692z00_2560 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2421)))->BgL_argz00);
				BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1692z00_2560,
					((BgL_localz00_bglt) BgL_varz00_2422), BgL_nesterz00_2423);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2421));
		}

	}



/* &nest-loop!-extern1339 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2extern1339z70zzinline_loopz00(obj_t
		BgL_envz00_2424, obj_t BgL_nodez00_2425, obj_t BgL_varz00_2426,
		obj_t BgL_nesterz00_2427)
	{
		{	/* Inline/loop.scm 280 */
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2425)))->BgL_exprza2za2),
				BgL_varz00_2426, BgL_nesterz00_2427);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2425));
		}

	}



/* &nest-loop!-funcall1336 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2funcall1336z70zzinline_loopz00(obj_t
		BgL_envz00_2428, obj_t BgL_nodez00_2429, obj_t BgL_varz00_2430,
		obj_t BgL_nesterz00_2431)
	{
		{	/* Inline/loop.scm 271 */
			{
				BgL_nodez00_bglt BgL_auxz00_3051;

				{	/* Inline/loop.scm 273 */
					BgL_nodez00_bglt BgL_arg1682z00_2563;

					BgL_arg1682z00_2563 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2429)))->BgL_funz00);
					BgL_auxz00_3051 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1682z00_2563,
						((BgL_localz00_bglt) BgL_varz00_2430), BgL_nesterz00_2431);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2429)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3051), BUNSPEC);
			}
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2429)))->BgL_argsz00),
				BgL_varz00_2430, BgL_nesterz00_2431);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2429));
		}

	}



/* &nest-loop!-app-ly1334 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2appzd2ly1334za2zzinline_loopz00(obj_t
		BgL_envz00_2432, obj_t BgL_nodez00_2433, obj_t BgL_varz00_2434,
		obj_t BgL_nesterz00_2435)
	{
		{	/* Inline/loop.scm 262 */
			{
				BgL_nodez00_bglt BgL_auxz00_3063;

				{	/* Inline/loop.scm 264 */
					BgL_nodez00_bglt BgL_arg1677z00_2565;

					BgL_arg1677z00_2565 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2433)))->BgL_funz00);
					BgL_auxz00_3063 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1677z00_2565,
						((BgL_localz00_bglt) BgL_varz00_2434), BgL_nesterz00_2435);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2433)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3063), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3070;

				{	/* Inline/loop.scm 265 */
					BgL_nodez00_bglt BgL_arg1680z00_2566;

					BgL_arg1680z00_2566 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2433)))->BgL_argz00);
					BgL_auxz00_3070 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1680z00_2566,
						((BgL_localz00_bglt) BgL_varz00_2434), BgL_nesterz00_2435);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2433)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3070), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2433));
		}

	}



/* &nest-loop!-app1332 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2app1332z70zzinline_loopz00(obj_t
		BgL_envz00_2436, obj_t BgL_nodez00_2437, obj_t BgL_varz00_2438,
		obj_t BgL_nesterz00_2439)
	{
		{	/* Inline/loop.scm 252 */
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2437)))->BgL_argsz00),
				BgL_varz00_2438, BgL_nesterz00_2439);
			{	/* Inline/loop.scm 255 */
				bool_t BgL_test2008z00_3082;

				{	/* Inline/loop.scm 255 */
					bool_t BgL_test2009z00_3083;

					{	/* Inline/loop.scm 255 */
						BgL_varz00_bglt BgL_arg1674z00_2568;

						BgL_arg1674z00_2568 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_2437)))->BgL_funz00);
						{	/* Inline/loop.scm 255 */
							obj_t BgL_classz00_2569;

							BgL_classz00_2569 = BGl_varz00zzast_nodez00;
							{	/* Inline/loop.scm 255 */
								BgL_objectz00_bglt BgL_arg1820z00_2570;

								{	/* Inline/loop.scm 255 */
									obj_t BgL_tmpz00_3086;

									BgL_tmpz00_3086 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1674z00_2568));
									BgL_arg1820z00_2570 = (BgL_objectz00_bglt) (BgL_tmpz00_3086);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Inline/loop.scm 255 */
										long BgL_idxz00_2571;

										BgL_idxz00_2571 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2570);
										BgL_test2009z00_3083 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2571 + ((long) 2))) == BgL_classz00_2569);
									}
								else
									{	/* Inline/loop.scm 255 */
										bool_t BgL_res1896z00_2574;

										{	/* Inline/loop.scm 255 */
											obj_t BgL_oclassz00_2575;

											{	/* Inline/loop.scm 255 */
												long BgL_arg1828z00_2576;

												{	/* Inline/loop.scm 255 */
													long BgL_arg1829z00_2577;

													BgL_arg1829z00_2577 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2570);
													BgL_arg1828z00_2576 =
														(BgL_arg1829z00_2577 - OBJECT_TYPE);
												}
												BgL_oclassz00_2575 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2576);
											}
											{	/* Inline/loop.scm 255 */
												bool_t BgL__ortest_1111z00_2578;

												BgL__ortest_1111z00_2578 =
													(BgL_classz00_2569 == BgL_oclassz00_2575);
												if (BgL__ortest_1111z00_2578)
													{	/* Inline/loop.scm 255 */
														BgL_res1896z00_2574 = BgL__ortest_1111z00_2578;
													}
												else
													{	/* Inline/loop.scm 255 */
														long BgL_odepthz00_2579;

														BgL_odepthz00_2579 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2575);
														if ((((long) 2) < BgL_odepthz00_2579))
															{	/* Inline/loop.scm 255 */
																obj_t BgL_arg1816z00_2580;

																BgL_arg1816z00_2580 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2575,
																	((long) 2));
																BgL_res1896z00_2574 =
																	(BgL_arg1816z00_2580 == BgL_classz00_2569);
															}
														else
															{	/* Inline/loop.scm 255 */
																BgL_res1896z00_2574 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2009z00_3083 = BgL_res1896z00_2574;
									}
							}
						}
					}
					if (BgL_test2009z00_3083)
						{	/* Inline/loop.scm 255 */
							BgL_test2008z00_3082 =
								(
								((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2437)))->
													BgL_funz00)))->BgL_variablez00)) == BgL_varz00_2438);
						}
					else
						{	/* Inline/loop.scm 255 */
							BgL_test2008z00_3082 = ((bool_t) 0);
						}
				}
				if (BgL_test2008z00_3082)
					{	/* Inline/loop.scm 255 */
						return
							((BgL_nodez00_bglt)
							((obj_t(*)(obj_t, obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_nesterz00_2439)) (BgL_nesterz00_2439,
								((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2437)), BEOA));
					}
				else
					{	/* Inline/loop.scm 255 */
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2437));
					}
			}
		}

	}



/* &nest-loop!-sync1330 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2sync1330z70zzinline_loopz00(obj_t
		BgL_envz00_2440, obj_t BgL_nodez00_2441, obj_t BgL_varz00_2442,
		obj_t BgL_nesterz00_2443)
	{
		{	/* Inline/loop.scm 242 */
			{
				BgL_nodez00_bglt BgL_auxz00_3120;

				{	/* Inline/loop.scm 244 */
					BgL_nodez00_bglt BgL_arg1645z00_2582;

					BgL_arg1645z00_2582 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2441)))->BgL_mutexz00);
					BgL_auxz00_3120 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1645z00_2582,
						((BgL_localz00_bglt) BgL_varz00_2442), BgL_nesterz00_2443);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2441)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3120), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3127;

				{	/* Inline/loop.scm 245 */
					BgL_nodez00_bglt BgL_arg1646z00_2583;

					BgL_arg1646z00_2583 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2441)))->BgL_prelockz00);
					BgL_auxz00_3127 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1646z00_2583,
						((BgL_localz00_bglt) BgL_varz00_2442), BgL_nesterz00_2443);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2441)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3127), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3134;

				{	/* Inline/loop.scm 246 */
					BgL_nodez00_bglt BgL_arg1648z00_2584;

					BgL_arg1648z00_2584 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2441)))->BgL_bodyz00);
					BgL_auxz00_3134 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1648z00_2584,
						((BgL_localz00_bglt) BgL_varz00_2442), BgL_nesterz00_2443);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2441)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3134), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2441));
		}

	}



/* &nest-loop!-sequence1328 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2sequence1328z70zzinline_loopz00(obj_t
		BgL_envz00_2444, obj_t BgL_nodez00_2445, obj_t BgL_varz00_2446,
		obj_t BgL_nesterz00_2447)
	{
		{	/* Inline/loop.scm 234 */
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2445)))->BgL_nodesz00),
				BgL_varz00_2446, BgL_nesterz00_2447);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2445));
		}

	}



/* &nest-loop!-var1326 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2var1326z70zzinline_loopz00(obj_t
		BgL_envz00_2448, obj_t BgL_nodez00_2449, obj_t BgL_varz00_2450,
		obj_t BgL_nesterz00_2451)
	{
		{	/* Inline/loop.scm 228 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2449));
		}

	}



/* &nest-loop!-kwote1324 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2kwote1324z70zzinline_loopz00(obj_t
		BgL_envz00_2452, obj_t BgL_nodez00_2453, obj_t BgL_varz00_2454,
		obj_t BgL_nesterz00_2455)
	{
		{	/* Inline/loop.scm 222 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2453));
		}

	}



/* &nest-loop!-atom1322 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2atom1322z70zzinline_loopz00(obj_t
		BgL_envz00_2456, obj_t BgL_nodez00_2457, obj_t BgL_varz00_2458,
		obj_t BgL_nesterz00_2459)
	{
		{	/* Inline/loop.scm 216 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2457));
		}

	}



/* &find-let-fun?-box-se1318 */
	obj_t BGl_z62findzd2letzd2funzf3zd2boxzd2se1318z91zzinline_loopz00(obj_t
		BgL_envz00_2460, obj_t BgL_nodez00_2461)
	{
		{	/* Inline/loop.scm 191 */
			{	/* Inline/loop.scm 193 */
				obj_t BgL__ortest_1131z00_2590;

				{	/* Inline/loop.scm 193 */
					BgL_varz00_bglt BgL_arg1639z00_2591;

					BgL_arg1639z00_2591 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2461)))->BgL_varz00);
					BgL__ortest_1131z00_2590 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						((BgL_nodez00_bglt) BgL_arg1639z00_2591));
				}
				if (CBOOL(BgL__ortest_1131z00_2590))
					{	/* Inline/loop.scm 193 */
						return BgL__ortest_1131z00_2590;
					}
				else
					{	/* Inline/loop.scm 193 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2461)))->
								BgL_valuez00));
					}
			}
		}

	}



/* &find-let-fun?-box-re1316 */
	obj_t BGl_z62findzd2letzd2funzf3zd2boxzd2re1316z91zzinline_loopz00(obj_t
		BgL_envz00_2462, obj_t BgL_nodez00_2463)
	{
		{	/* Inline/loop.scm 185 */
			{	/* Inline/loop.scm 186 */
				BgL_varz00_bglt BgL_arg1635z00_2593;

				BgL_arg1635z00_2593 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2463)))->BgL_varz00);
				return
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					((BgL_nodez00_bglt) BgL_arg1635z00_2593));
			}
		}

	}



/* &find-let-fun?-make-b1314 */
	obj_t BGl_z62findzd2letzd2funzf3zd2makezd2b1314z91zzinline_loopz00(obj_t
		BgL_envz00_2464, obj_t BgL_nodez00_2465)
	{
		{	/* Inline/loop.scm 179 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2465)))->BgL_valuez00));
		}

	}



/* &find-let-fun?-jump-e1312 */
	obj_t BGl_z62findzd2letzd2funzf3zd2jumpzd2e1312z91zzinline_loopz00(obj_t
		BgL_envz00_2466, obj_t BgL_nodez00_2467)
	{
		{	/* Inline/loop.scm 172 */
			{	/* Inline/loop.scm 174 */
				obj_t BgL__ortest_1129z00_2596;

				BgL__ortest_1129z00_2596 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2467)))->
						BgL_exitz00));
				if (CBOOL(BgL__ortest_1129z00_2596))
					{	/* Inline/loop.scm 174 */
						return BgL__ortest_1129z00_2596;
					}
				else
					{	/* Inline/loop.scm 174 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2467)))->
								BgL_valuez00));
					}
			}
		}

	}



/* &find-let-fun?-set-ex1310 */
	obj_t BGl_z62findzd2letzd2funzf3zd2setzd2ex1310z91zzinline_loopz00(obj_t
		BgL_envz00_2468, obj_t BgL_nodez00_2469)
	{
		{	/* Inline/loop.scm 165 */
			{	/* Inline/loop.scm 166 */
				obj_t BgL__ortest_1127z00_2598;

				BgL__ortest_1127z00_2598 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2469)))->BgL_bodyz00));
				if (CBOOL(BgL__ortest_1127z00_2598))
					{	/* Inline/loop.scm 166 */
						return BgL__ortest_1127z00_2598;
					}
				else
					{	/* Inline/loop.scm 166 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2469)))->
								BgL_onexitz00));
					}
			}
		}

	}



/* &find-let-fun?-let-va1308 */
	obj_t BGl_z62findzd2letzd2funzf3zd2letzd2va1308z91zzinline_loopz00(obj_t
		BgL_envz00_2470, obj_t BgL_nodez00_2471)
	{
		{	/* Inline/loop.scm 152 */
			{	/* Inline/loop.scm 153 */
				obj_t BgL_g1126z00_2600;

				BgL_g1126z00_2600 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2471)))->BgL_bindingsz00);
				{
					obj_t BgL_bindingsz00_2602;

					BgL_bindingsz00_2602 = BgL_g1126z00_2600;
				BgL_loopz00_2601:
					if (NULLP(BgL_bindingsz00_2602))
						{	/* Inline/loop.scm 155 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2471)))->
									BgL_bodyz00));
						}
					else
						{	/* Inline/loop.scm 157 */
							bool_t BgL_test2017z00_3193;

							{	/* Inline/loop.scm 157 */
								obj_t BgL_arg1614z00_2603;

								{	/* Inline/loop.scm 157 */
									obj_t BgL_pairz00_2604;

									BgL_pairz00_2604 = CAR(((obj_t) BgL_bindingsz00_2602));
									BgL_arg1614z00_2603 = CDR(BgL_pairz00_2604);
								}
								BgL_test2017z00_3193 =
									CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
										((BgL_nodez00_bglt) BgL_arg1614z00_2603)));
							}
							if (BgL_test2017z00_3193)
								{	/* Inline/loop.scm 157 */
									return BTRUE;
								}
							else
								{	/* Inline/loop.scm 160 */
									obj_t BgL_arg1610z00_2605;

									BgL_arg1610z00_2605 = CDR(((obj_t) BgL_bindingsz00_2602));
									{
										obj_t BgL_bindingsz00_3202;

										BgL_bindingsz00_3202 = BgL_arg1610z00_2605;
										BgL_bindingsz00_2602 = BgL_bindingsz00_3202;
										goto BgL_loopz00_2601;
									}
								}
						}
				}
			}
		}

	}



/* &find-let-fun?-let-fu1306 */
	obj_t BGl_z62findzd2letzd2funzf3zd2letzd2fu1306z91zzinline_loopz00(obj_t
		BgL_envz00_2472, obj_t BgL_nodez00_2473)
	{
		{	/* Inline/loop.scm 146 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &find-let-fun?-switch1304 */
	obj_t BGl_z62findzd2letzd2funzf3zd2switch1304z43zzinline_loopz00(obj_t
		BgL_envz00_2474, obj_t BgL_nodez00_2475)
	{
		{	/* Inline/loop.scm 133 */
			{	/* Inline/loop.scm 134 */
				obj_t BgL_g1125z00_2608;

				BgL_g1125z00_2608 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2475)))->BgL_clausesz00);
				{
					obj_t BgL_clausesz00_2610;

					BgL_clausesz00_2610 = BgL_g1125z00_2608;
				BgL_loopz00_2609:
					if (NULLP(BgL_clausesz00_2610))
						{	/* Inline/loop.scm 136 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_2475)))->BgL_testz00));
						}
					else
						{	/* Inline/loop.scm 138 */
							bool_t BgL_test2019z00_3211;

							{	/* Inline/loop.scm 138 */
								obj_t BgL_arg1588z00_2611;

								{	/* Inline/loop.scm 138 */
									obj_t BgL_pairz00_2612;

									BgL_pairz00_2612 = CAR(((obj_t) BgL_clausesz00_2610));
									BgL_arg1588z00_2611 = CDR(BgL_pairz00_2612);
								}
								BgL_test2019z00_3211 =
									CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
										((BgL_nodez00_bglt) BgL_arg1588z00_2611)));
							}
							if (BgL_test2019z00_3211)
								{	/* Inline/loop.scm 138 */
									return BTRUE;
								}
							else
								{	/* Inline/loop.scm 141 */
									obj_t BgL_arg1582z00_2613;

									BgL_arg1582z00_2613 = CDR(((obj_t) BgL_clausesz00_2610));
									{
										obj_t BgL_clausesz00_3220;

										BgL_clausesz00_3220 = BgL_arg1582z00_2613;
										BgL_clausesz00_2610 = BgL_clausesz00_3220;
										goto BgL_loopz00_2609;
									}
								}
						}
				}
			}
		}

	}



/* &find-let-fun?-fail1302 */
	obj_t BGl_z62findzd2letzd2funzf3zd2fail1302z43zzinline_loopz00(obj_t
		BgL_envz00_2476, obj_t BgL_nodez00_2477)
	{
		{	/* Inline/loop.scm 124 */
			{	/* Inline/loop.scm 126 */
				obj_t BgL__ortest_1122z00_2615;

				BgL__ortest_1122z00_2615 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2477)))->BgL_procz00));
				if (CBOOL(BgL__ortest_1122z00_2615))
					{	/* Inline/loop.scm 126 */
						return BgL__ortest_1122z00_2615;
					}
				else
					{	/* Inline/loop.scm 127 */
						obj_t BgL__ortest_1123z00_2616;

						BgL__ortest_1123z00_2616 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nodez00_2477)))->BgL_msgz00));
						if (CBOOL(BgL__ortest_1123z00_2616))
							{	/* Inline/loop.scm 127 */
								return BgL__ortest_1123z00_2616;
							}
						else
							{	/* Inline/loop.scm 127 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nodez00_2477)))->BgL_objz00));
							}
					}
			}
		}

	}



/* &find-let-fun?-condit1300 */
	obj_t BGl_z62findzd2letzd2funzf3zd2condit1300z43zzinline_loopz00(obj_t
		BgL_envz00_2478, obj_t BgL_nodez00_2479)
	{
		{	/* Inline/loop.scm 115 */
			{	/* Inline/loop.scm 117 */
				obj_t BgL__ortest_1119z00_2618;

				BgL__ortest_1119z00_2618 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2479)))->BgL_testz00));
				if (CBOOL(BgL__ortest_1119z00_2618))
					{	/* Inline/loop.scm 117 */
						return BgL__ortest_1119z00_2618;
					}
				else
					{	/* Inline/loop.scm 118 */
						obj_t BgL__ortest_1120z00_2619;

						BgL__ortest_1120z00_2619 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2479)))->
								BgL_truez00));
						if (CBOOL(BgL__ortest_1120z00_2619))
							{	/* Inline/loop.scm 118 */
								return BgL__ortest_1120z00_2619;
							}
						else
							{	/* Inline/loop.scm 118 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2479)))->
										BgL_falsez00));
							}
					}
			}
		}

	}



/* &find-let-fun?-setq1298 */
	obj_t BGl_z62findzd2letzd2funzf3zd2setq1298z43zzinline_loopz00(obj_t
		BgL_envz00_2480, obj_t BgL_nodez00_2481)
	{
		{	/* Inline/loop.scm 109 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2481)))->BgL_valuez00));
		}

	}



/* &find-let-fun?-cast1296 */
	obj_t BGl_z62findzd2letzd2funzf3zd2cast1296z43zzinline_loopz00(obj_t
		BgL_envz00_2482, obj_t BgL_nodez00_2483)
	{
		{	/* Inline/loop.scm 103 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2483)))->BgL_argz00));
		}

	}



/* &find-let-fun?-extern1294 */
	obj_t BGl_z62findzd2letzd2funzf3zd2extern1294z43zzinline_loopz00(obj_t
		BgL_envz00_2484, obj_t BgL_nodez00_2485)
	{
		{	/* Inline/loop.scm 97 */
			return
				BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2485)))->BgL_exprza2za2)));
		}

	}



/* &find-let-fun?-funcal1292 */
	obj_t BGl_z62findzd2letzd2funzf3zd2funcal1292z43zzinline_loopz00(obj_t
		BgL_envz00_2486, obj_t BgL_nodez00_2487)
	{
		{	/* Inline/loop.scm 89 */
			{	/* Inline/loop.scm 91 */
				obj_t BgL__ortest_1117z00_2624;

				BgL__ortest_1117z00_2624 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2487)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1117z00_2624))
					{	/* Inline/loop.scm 91 */
						return BgL__ortest_1117z00_2624;
					}
				else
					{	/* Inline/loop.scm 92 */
						obj_t BgL_arg1522z00_2625;

						BgL_arg1522z00_2625 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2487)))->BgL_argsz00);
						return
							BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00
							(BgL_arg1522z00_2625));
					}
			}
		}

	}



/* &find-let-fun?-app-ly1290 */
	obj_t BGl_z62findzd2letzd2funzf3zd2appzd2ly1290z91zzinline_loopz00(obj_t
		BgL_envz00_2488, obj_t BgL_nodez00_2489)
	{
		{	/* Inline/loop.scm 82 */
			{	/* Inline/loop.scm 84 */
				obj_t BgL__ortest_1115z00_2627;

				BgL__ortest_1115z00_2627 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2489)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1115z00_2627))
					{	/* Inline/loop.scm 84 */
						return BgL__ortest_1115z00_2627;
					}
				else
					{	/* Inline/loop.scm 84 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2489)))->BgL_argz00));
					}
			}
		}

	}



/* &find-let-fun?-app1288 */
	obj_t BGl_z62findzd2letzd2funzf3zd2app1288z43zzinline_loopz00(obj_t
		BgL_envz00_2490, obj_t BgL_nodez00_2491)
	{
		{	/* Inline/loop.scm 75 */
			return
				BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2491)))->BgL_argsz00)));
		}

	}



/* &find-let-fun?-sync1286 */
	obj_t BGl_z62findzd2letzd2funzf3zd2sync1286z43zzinline_loopz00(obj_t
		BgL_envz00_2492, obj_t BgL_nodez00_2493)
	{
		{	/* Inline/loop.scm 67 */
			{	/* Inline/loop.scm 68 */
				obj_t BgL__ortest_1110z00_2630;

				BgL__ortest_1110z00_2630 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2493)))->BgL_mutexz00));
				if (CBOOL(BgL__ortest_1110z00_2630))
					{	/* Inline/loop.scm 68 */
						return BgL__ortest_1110z00_2630;
					}
				else
					{	/* Inline/loop.scm 69 */
						obj_t BgL__ortest_1112z00_2631;

						BgL__ortest_1112z00_2631 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2493)))->BgL_prelockz00));
						if (CBOOL(BgL__ortest_1112z00_2631))
							{	/* Inline/loop.scm 69 */
								return BgL__ortest_1112z00_2631;
							}
						else
							{	/* Inline/loop.scm 69 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nodez00_2493)))->BgL_bodyz00));
							}
					}
			}
		}

	}



/* &find-let-fun?-sequen1284 */
	obj_t BGl_z62findzd2letzd2funzf3zd2sequen1284z43zzinline_loopz00(obj_t
		BgL_envz00_2494, obj_t BgL_nodez00_2495)
	{
		{	/* Inline/loop.scm 61 */
			return
				BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2495)))->BgL_nodesz00)));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_variantz00(((long) 347990278),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_recursionz00(((long) 101873001),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1944z00zzinline_loopz00));
		}

	}

#ifdef __cplusplus
}
#endif
