/*===========================================================================*/
/*   (Inline/variant.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/variant.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_localzf2variantzf2_bgl
	{
		bool_t BgL_variantz00;
	}                         *BgL_localzf2variantzf2_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2occurrencezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, long);
	static obj_t BGl_z62localzf2variantzd2occurrencewz42zzinline_variantz00(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2variantzd2idz42zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2occurrencewzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, long);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62shrinkzd2argsz12za2zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_variantz00 = BUNSPEC;
	static obj_t
		BGl_z62localzf2variantzd2removablezd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2variantzd2variantz20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t BGl_z62localzf2variantzf3z63zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2variantzd2occurrencewz20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62localzf2variantzd2namezd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2variantzd2namez42zzinline_variantz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzinline_variantz00(void);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_variantz00(void);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2variantzd2valuez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2removablez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2variantzd2userzf3zd3zzinline_variantz00(BgL_localz00_bglt);
	static BgL_localz00_bglt
		BGl_z62localzf2variantzd2nilz42zzinline_variantz00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62localzf2variantzd2variantz42zzinline_variantz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2variantzf3z01zzinline_variantz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2valuezd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_variantz00(void);
	static BgL_typez00_bglt
		BGl_z62localzf2variantzd2typez42zzinline_variantz00(obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2variantzd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62substitutionsz62zzinline_variantz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2variantzd2occurrencez42zzinline_variantz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2variantzd2accesszd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2variantz42zzinline_variantz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t
		BGl_z62localzf2variantzd2userzf3zd2setz12z71zzinline_variantz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2typezd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2accesszd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2variantzd2keyz20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_variantz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2namez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_localzf2variantzf2zzinline_variantz00 = BUNSPEC;
	static obj_t
		BGl_z62localzf2variantzd2fastzd2alphazd2setz12z50zzinline_variantz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2fastzd2alphaz90zzinline_variantz00(obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2occurrencezd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2valuezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, BgL_valuez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2removablezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2namezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31633ze3ze5zzinline_variantz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzinline_variantz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_variantz00(void);
	BGL_EXPORTED_DECL long
		BGl_localzf2variantzd2occurrencez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_variantz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzinline_variantz00(void);
	static obj_t BGl_z62localzf2variantzd2removablez42zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_z62localzf2variantzd2accessz42zzinline_variantz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1617z62zzinline_variantz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2variantzd2typez20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t BGl_z62invariantzd2argszb0zzinline_variantz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2accessz20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2userzf3zd2setz12z13zzinline_variantz00
		(BgL_localz00_bglt, bool_t);
	extern obj_t BGl_valuez00zzast_varz00;
	static BgL_appz00_bglt
		BGl_z62removezd2invariantzd2argsz12z70zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2idz20zzinline_variantz00(BgL_localz00_bglt);
	static BgL_localz00_bglt BGl_z62lambda1630z62zzinline_variantz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1634z62zzinline_variantz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2variantzd2occurrencewzd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2variantzd2nilz20zzinline_variantz00(void);
	static obj_t BGl_z62lambda1647z62zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1648z62zzinline_variantz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2variantz20zzinline_variantz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, long, bool_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62localzf2variantzd2keyz42zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2fastzd2alphazf2zzinline_variantz00(BgL_localz00_bglt);
	static BgL_valuez00_bglt
		BGl_z62localzf2variantzd2valuez42zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2variantzd2userzf3zb1zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t BGl_z62variantzd2argszb0zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2fastzd2alphazd2setz12z32zzinline_variantz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2typezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzf3zd2envzd3zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1812z00,
		BGl_z62localzf2variantzf3z63zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2variantzd2envzf2zzinline_variantz00,
		BgL_bgl_za762makeza7d2localza71813za7,
		BGl_z62makezd2localzf2variantz42zzinline_variantz00, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2keyzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1814z00,
		BGl_z62localzf2variantzd2keyz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2namezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1815z00,
		BGl_z62localzf2variantzd2namez42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2variantzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1816z00,
		BGl_z62localzf2variantzd2variantz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2userzf3zd2setz12zd2envzc1zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1817z00,
		BGl_z62localzf2variantzd2userzf3zd2setz12z71zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1818z00,
		BGl_z62localzf2variantzd2occurrencez42zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1804z00zzinline_variantz00,
		BgL_bgl_string1804za700za7za7i1819za7, "inline_variant", 14);
	      DEFINE_STRING(BGl_string1805z00zzinline_variantz00,
		BgL_bgl_string1805za700za7za7i1820za7,
		"_ inline_variant local/variant bool variant done read ", 54);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2valuezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1821z00,
		BGl_z62localzf2variantzd2valuez42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2removablezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1822z00,
		BGl_z62localzf2variantzd2removablez42zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzinline_variantz00,
		BgL_bgl_za762lambda1634za7621823z00,
		BGl_z62lambda1634z62zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zzinline_variantz00,
		BgL_bgl_za762za7c3za704anonymo1824za7,
		BGl_z62zc3z04anonymousza31633ze3ze5zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zzinline_variantz00,
		BgL_bgl_za762lambda1630za7621825z00,
		BGl_z62lambda1630z62zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zzinline_variantz00,
		BgL_bgl_za762lambda1617za7621826z00,
		BGl_z62lambda1617z62zzinline_variantz00, 0L, BUNSPEC, 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variantzd2argszd2envz00zzinline_variantz00,
		BgL_bgl_za762variantza7d2arg1827z00,
		BGl_z62variantzd2argszb0zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2userzf3zd2envz01zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1828z00,
		BGl_z62localzf2variantzd2userzf3zb1zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2accesszd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1829z00,
		BGl_z62localzf2variantzd2accesszd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2namezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1830z00,
		BGl_z62localzf2variantzd2namezd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2typezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1831z00,
		BGl_z62localzf2variantzd2typez42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2accesszd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1832z00,
		BGl_z62localzf2variantzd2accessz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2fastzd2alphazd2envz20zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1833z00,
		BGl_z62localzf2variantzd2fastzd2alphaz90zzinline_variantz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzinline_variantz00,
		BgL_bgl_za762lambda1648za7621834z00,
		BGl_z62lambda1648z62zzinline_variantz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zzinline_variantz00,
		BgL_bgl_za762lambda1647za7621835z00,
		BGl_z62lambda1647z62zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencewzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1836z00,
		BGl_z62localzf2variantzd2occurrencewz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2variantzd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1837z00,
		BGl_z62localzf2variantzd2variantzd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2nilzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1838z00,
		BGl_z62localzf2variantzd2nilz42zzinline_variantz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_invariantzd2argszd2envz00zzinline_variantz00,
		BgL_bgl_za762invariantza7d2a1839z00,
		BGl_z62invariantzd2argszb0zzinline_variantz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_substitutionszd2envzd2zzinline_variantz00,
		BgL_bgl_za762substitutions1840za7,
		BGl_z62substitutionsz62zzinline_variantz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_removezd2invariantzd2argsz12zd2envzc0zzinline_variantz00,
		BgL_bgl_za762removeza7d2inva1841z00,
		BGl_z62removezd2invariantzd2argsz12z70zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencewzd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1842z00,
		BGl_z62localzf2variantzd2occurrencewzd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_shrinkzd2argsz12zd2envz12zzinline_variantz00,
		BgL_bgl_za762shrinkza7d2args1843z00,
		BGl_z62shrinkzd2argsz12za2zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2fastzd2alphazd2setz12zd2envze0zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1844z00,
		BGl_z62localzf2variantzd2fastzd2alphazd2setz12z50zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1845z00,
		BGl_z62localzf2variantzd2occurrencezd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2idzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1846z00,
		BGl_z62localzf2variantzd2idz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2typezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1847z00,
		BGl_z62localzf2variantzd2typezd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2valuezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1848z00,
		BGl_z62localzf2variantzd2valuezd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2removablezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1849z00,
		BGl_z62localzf2variantzd2removablezd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_variantz00));
		     ADD_ROOT((void *) (&BGl_localzf2variantzf2zzinline_variantz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzinline_variantz00(long
		BgL_checksumz00_2446, char *BgL_fromz00_2447)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_variantz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_variantz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_variantz00();
					BGl_libraryzd2moduleszd2initz00zzinline_variantz00();
					BGl_cnstzd2initzd2zzinline_variantz00();
					BGl_importedzd2moduleszd2initz00zzinline_variantz00();
					BGl_objectzd2initzd2zzinline_variantz00();
					return BGl_methodzd2initzd2zzinline_variantz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_variant");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			{	/* Inline/variant.scm 15 */
				obj_t BgL_cportz00_2385;

				{	/* Inline/variant.scm 15 */
					obj_t BgL_stringz00_2392;

					BgL_stringz00_2392 = BGl_string1805z00zzinline_variantz00;
					{	/* Inline/variant.scm 15 */
						obj_t BgL_startz00_2393;

						BgL_startz00_2393 = BINT(((long) 0));
						{	/* Inline/variant.scm 15 */
							obj_t BgL_endz00_2394;

							BgL_endz00_2394 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2392)));
							{	/* Inline/variant.scm 15 */

								BgL_cportz00_2385 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2392, BgL_startz00_2393, BgL_endz00_2394);
				}}}}
				{
					long BgL_iz00_2386;

					BgL_iz00_2386 = ((long) 6);
				BgL_loopz00_2387:
					if ((BgL_iz00_2386 == ((long) -1)))
						{	/* Inline/variant.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/variant.scm 15 */
							{	/* Inline/variant.scm 15 */
								obj_t BgL_arg1811z00_2388;

								{	/* Inline/variant.scm 15 */

									{	/* Inline/variant.scm 15 */
										obj_t BgL_locationz00_2390;

										BgL_locationz00_2390 = BBOOL(((bool_t) 0));
										{	/* Inline/variant.scm 15 */

											BgL_arg1811z00_2388 =
												BGl_readz00zz__readerz00(BgL_cportz00_2385,
												BgL_locationz00_2390);
										}
									}
								}
								{	/* Inline/variant.scm 15 */
									int BgL_tmpz00_2474;

									BgL_tmpz00_2474 = (int) (BgL_iz00_2386);
									CNST_TABLE_SET(BgL_tmpz00_2474, BgL_arg1811z00_2388);
							}}
							{	/* Inline/variant.scm 15 */
								int BgL_auxz00_2391;

								BgL_auxz00_2391 = (int) ((BgL_iz00_2386 - ((long) 1)));
								{
									long BgL_iz00_2479;

									BgL_iz00_2479 = (long) (BgL_auxz00_2391);
									BgL_iz00_2386 = BgL_iz00_2479;
									goto BgL_loopz00_2387;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* make-local/variant */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2variantz20zzinline_variantz00(obj_t BgL_id1114z00_3,
		obj_t BgL_name1115z00_4, BgL_typez00_bglt BgL_type1116z00_5,
		BgL_valuez00_bglt BgL_value1117z00_6, obj_t BgL_access1118z00_7,
		obj_t BgL_fastzd2alpha1119zd2_8, obj_t BgL_removable1120z00_9,
		long BgL_occurrence1121z00_10, long BgL_occurrencew1122z00_11,
		bool_t BgL_userzf31123zf3_12, long BgL_key1124z00_13,
		bool_t BgL_variant1125z00_14)
	{
		{	/* Inline/variant.sch 43 */
			{	/* Inline/variant.sch 43 */
				BgL_localz00_bglt BgL_new1133z00_2396;

				{	/* Inline/variant.sch 43 */
					BgL_localz00_bglt BgL_tmp1131z00_2397;
					BgL_localzf2variantzf2_bglt BgL_wide1132z00_2398;

					{
						BgL_localz00_bglt BgL_auxz00_2482;

						{	/* Inline/variant.sch 43 */
							BgL_localz00_bglt BgL_new1130z00_2399;

							BgL_new1130z00_2399 =
								((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Inline/variant.sch 43 */
								long BgL_arg1295z00_2400;

								BgL_arg1295z00_2400 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1130z00_2399),
									BgL_arg1295z00_2400);
							}
							{	/* Inline/variant.sch 43 */
								BgL_objectz00_bglt BgL_tmpz00_2487;

								BgL_tmpz00_2487 = ((BgL_objectz00_bglt) BgL_new1130z00_2399);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2487, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1130z00_2399);
							BgL_auxz00_2482 = BgL_new1130z00_2399;
						}
						BgL_tmp1131z00_2397 = ((BgL_localz00_bglt) BgL_auxz00_2482);
					}
					BgL_wide1132z00_2398 =
						((BgL_localzf2variantzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localzf2variantzf2_bgl))));
					{	/* Inline/variant.sch 43 */
						obj_t BgL_auxz00_2495;
						BgL_objectz00_bglt BgL_tmpz00_2493;

						BgL_auxz00_2495 = ((obj_t) BgL_wide1132z00_2398);
						BgL_tmpz00_2493 = ((BgL_objectz00_bglt) BgL_tmp1131z00_2397);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2493, BgL_auxz00_2495);
					}
					((BgL_objectz00_bglt) BgL_tmp1131z00_2397);
					{	/* Inline/variant.sch 43 */
						long BgL_arg1294z00_2401;

						BgL_arg1294z00_2401 =
							BGL_CLASS_NUM(BGl_localzf2variantzf2zzinline_variantz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1131z00_2397), BgL_arg1294z00_2401);
					}
					BgL_new1133z00_2396 = ((BgL_localz00_bglt) BgL_tmp1131z00_2397);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1133z00_2396)))->BgL_idz00) =
					((obj_t) BgL_id1114z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1133z00_2396)))->BgL_namez00) =
					((obj_t) BgL_name1115z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1133z00_2396)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1116z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1133z00_2396)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1117z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1133z00_2396)))->BgL_accessz00) =
					((obj_t) BgL_access1118z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1133z00_2396)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1119zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1133z00_2396)))->BgL_removablez00) =
					((obj_t) BgL_removable1120z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1133z00_2396)))->BgL_occurrencez00) =
					((long) BgL_occurrence1121z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1133z00_2396)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1122z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1133z00_2396)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31123zf3_12), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1133z00_2396)))->BgL_keyz00) =
					((long) BgL_key1124z00_13), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1133z00_2396)))->BgL_valzd2noescapezd2) =
					((obj_t) BTRUE), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1133z00_2396)))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_2529;

					{
						obj_t BgL_auxz00_2530;

						{	/* Inline/variant.sch 43 */
							BgL_objectz00_bglt BgL_tmpz00_2531;

							BgL_tmpz00_2531 = ((BgL_objectz00_bglt) BgL_new1133z00_2396);
							BgL_auxz00_2530 = BGL_OBJECT_WIDENING(BgL_tmpz00_2531);
						}
						BgL_auxz00_2529 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2530);
					}
					((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_2529))->
							BgL_variantz00) = ((bool_t) BgL_variant1125z00_14), BUNSPEC);
				}
				return BgL_new1133z00_2396;
			}
		}

	}



/* &make-local/variant */
	BgL_localz00_bglt BGl_z62makezd2localzf2variantz42zzinline_variantz00(obj_t
		BgL_envz00_2269, obj_t BgL_id1114z00_2270, obj_t BgL_name1115z00_2271,
		obj_t BgL_type1116z00_2272, obj_t BgL_value1117z00_2273,
		obj_t BgL_access1118z00_2274, obj_t BgL_fastzd2alpha1119zd2_2275,
		obj_t BgL_removable1120z00_2276, obj_t BgL_occurrence1121z00_2277,
		obj_t BgL_occurrencew1122z00_2278, obj_t BgL_userzf31123zf3_2279,
		obj_t BgL_key1124z00_2280, obj_t BgL_variant1125z00_2281)
	{
		{	/* Inline/variant.sch 43 */
			return
				BGl_makezd2localzf2variantz20zzinline_variantz00(BgL_id1114z00_2270,
				BgL_name1115z00_2271, ((BgL_typez00_bglt) BgL_type1116z00_2272),
				((BgL_valuez00_bglt) BgL_value1117z00_2273), BgL_access1118z00_2274,
				BgL_fastzd2alpha1119zd2_2275, BgL_removable1120z00_2276,
				(long) CINT(BgL_occurrence1121z00_2277),
				(long) CINT(BgL_occurrencew1122z00_2278),
				CBOOL(BgL_userzf31123zf3_2279), (long) CINT(BgL_key1124z00_2280),
				CBOOL(BgL_variant1125z00_2281));
		}

	}



/* local/variant? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2variantzf3z01zzinline_variantz00(obj_t
		BgL_objz00_15)
	{
		{	/* Inline/variant.sch 44 */
			{	/* Inline/variant.sch 44 */
				obj_t BgL_classz00_2402;

				BgL_classz00_2402 = BGl_localzf2variantzf2zzinline_variantz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* Inline/variant.sch 44 */
						BgL_objectz00_bglt BgL_arg1820z00_2403;

						BgL_arg1820z00_2403 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Inline/variant.sch 44 */
								long BgL_idxz00_2404;

								BgL_idxz00_2404 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2403);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2404 + ((long) 3))) == BgL_classz00_2402);
							}
						else
							{	/* Inline/variant.sch 44 */
								bool_t BgL_res1788z00_2407;

								{	/* Inline/variant.sch 44 */
									obj_t BgL_oclassz00_2408;

									{	/* Inline/variant.sch 44 */
										long BgL_arg1828z00_2409;

										{	/* Inline/variant.sch 44 */
											long BgL_arg1829z00_2410;

											BgL_arg1829z00_2410 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2403);
											BgL_arg1828z00_2409 = (BgL_arg1829z00_2410 - OBJECT_TYPE);
										}
										BgL_oclassz00_2408 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2409);
									}
									{	/* Inline/variant.sch 44 */
										bool_t BgL__ortest_1111z00_2411;

										BgL__ortest_1111z00_2411 =
											(BgL_classz00_2402 == BgL_oclassz00_2408);
										if (BgL__ortest_1111z00_2411)
											{	/* Inline/variant.sch 44 */
												BgL_res1788z00_2407 = BgL__ortest_1111z00_2411;
											}
										else
											{	/* Inline/variant.sch 44 */
												long BgL_odepthz00_2412;

												BgL_odepthz00_2412 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2408);
												if ((((long) 3) < BgL_odepthz00_2412))
													{	/* Inline/variant.sch 44 */
														obj_t BgL_arg1816z00_2413;

														BgL_arg1816z00_2413 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2408,
															((long) 3));
														BgL_res1788z00_2407 =
															(BgL_arg1816z00_2413 == BgL_classz00_2402);
													}
												else
													{	/* Inline/variant.sch 44 */
														BgL_res1788z00_2407 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1788z00_2407;
							}
					}
				else
					{	/* Inline/variant.sch 44 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &local/variant? */
	obj_t BGl_z62localzf2variantzf3z63zzinline_variantz00(obj_t BgL_envz00_2282,
		obj_t BgL_objz00_2283)
	{
		{	/* Inline/variant.sch 44 */
			return
				BBOOL(BGl_localzf2variantzf3z01zzinline_variantz00(BgL_objz00_2283));
		}

	}



/* local/variant-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2variantzd2nilz20zzinline_variantz00(void)
	{
		{	/* Inline/variant.sch 45 */
			{	/* Inline/variant.sch 45 */
				obj_t BgL_classz00_1855;

				BgL_classz00_1855 = BGl_localzf2variantzf2zzinline_variantz00;
				{	/* Inline/variant.sch 45 */
					obj_t BgL__ortest_1113z00_1856;

					BgL__ortest_1113z00_1856 = BGL_CLASS_NIL(BgL_classz00_1855);
					if (CBOOL(BgL__ortest_1113z00_1856))
						{	/* Inline/variant.sch 45 */
							return ((BgL_localz00_bglt) BgL__ortest_1113z00_1856);
						}
					else
						{	/* Inline/variant.sch 45 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1855));
						}
				}
			}
		}

	}



/* &local/variant-nil */
	BgL_localz00_bglt BGl_z62localzf2variantzd2nilz42zzinline_variantz00(obj_t
		BgL_envz00_2284)
	{
		{	/* Inline/variant.sch 45 */
			return BGl_localzf2variantzd2nilz20zzinline_variantz00();
		}

	}



/* local/variant-variant */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2variantzd2variantz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_16)
	{
		{	/* Inline/variant.sch 46 */
			{
				BgL_localzf2variantzf2_bglt BgL_auxz00_2572;

				{
					obj_t BgL_auxz00_2573;

					{	/* Inline/variant.sch 46 */
						BgL_objectz00_bglt BgL_tmpz00_2574;

						BgL_tmpz00_2574 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_2573 = BGL_OBJECT_WIDENING(BgL_tmpz00_2574);
					}
					BgL_auxz00_2572 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2573);
				}
				return
					(((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_2572))->
					BgL_variantz00);
			}
		}

	}



/* &local/variant-variant */
	obj_t BGl_z62localzf2variantzd2variantz42zzinline_variantz00(obj_t
		BgL_envz00_2285, obj_t BgL_oz00_2286)
	{
		{	/* Inline/variant.sch 46 */
			return
				BBOOL(BGl_localzf2variantzd2variantz20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2286)));
		}

	}



/* local/variant-variant-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_17, bool_t BgL_vz00_18)
	{
		{	/* Inline/variant.sch 47 */
			{
				BgL_localzf2variantzf2_bglt BgL_auxz00_2582;

				{
					obj_t BgL_auxz00_2583;

					{	/* Inline/variant.sch 47 */
						BgL_objectz00_bglt BgL_tmpz00_2584;

						BgL_tmpz00_2584 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_2583 = BGL_OBJECT_WIDENING(BgL_tmpz00_2584);
					}
					BgL_auxz00_2582 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2583);
				}
				return
					((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_2582))->
						BgL_variantz00) = ((bool_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &local/variant-variant-set! */
	obj_t BGl_z62localzf2variantzd2variantzd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2287, obj_t BgL_oz00_2288, obj_t BgL_vz00_2289)
	{
		{	/* Inline/variant.sch 47 */
			return
				BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2288), CBOOL(BgL_vz00_2289));
		}

	}



/* local/variant-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2variantzd2keyz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_19)
	{
		{	/* Inline/variant.sch 48 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_19)))->BgL_keyz00);
		}

	}



/* &local/variant-key */
	obj_t BGl_z62localzf2variantzd2keyz42zzinline_variantz00(obj_t
		BgL_envz00_2290, obj_t BgL_oz00_2291)
	{
		{	/* Inline/variant.sch 48 */
			return
				BINT(BGl_localzf2variantzd2keyz20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2291)));
		}

	}



/* local/variant-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2variantzd2userzf3zd3zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_22)
	{
		{	/* Inline/variant.sch 50 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_22)))->BgL_userzf3zf3);
		}

	}



/* &local/variant-user? */
	obj_t BGl_z62localzf2variantzd2userzf3zb1zzinline_variantz00(obj_t
		BgL_envz00_2292, obj_t BgL_oz00_2293)
	{
		{	/* Inline/variant.sch 50 */
			return
				BBOOL(BGl_localzf2variantzd2userzf3zd3zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2293)));
		}

	}



/* local/variant-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2userzf3zd2setz12z13zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_23, bool_t BgL_vz00_24)
	{
		{	/* Inline/variant.sch 51 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_23)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &local/variant-user?-set! */
	obj_t BGl_z62localzf2variantzd2userzf3zd2setz12z71zzinline_variantz00(obj_t
		BgL_envz00_2294, obj_t BgL_oz00_2295, obj_t BgL_vz00_2296)
	{
		{	/* Inline/variant.sch 51 */
			return
				BGl_localzf2variantzd2userzf3zd2setz12z13zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2295), CBOOL(BgL_vz00_2296));
		}

	}



/* local/variant-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2variantzd2occurrencewz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_25)
	{
		{	/* Inline/variant.sch 52 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_25)))->BgL_occurrencewz00);
		}

	}



/* &local/variant-occurrencew */
	obj_t BGl_z62localzf2variantzd2occurrencewz42zzinline_variantz00(obj_t
		BgL_envz00_2297, obj_t BgL_oz00_2298)
	{
		{	/* Inline/variant.sch 52 */
			return
				BINT(BGl_localzf2variantzd2occurrencewz20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2298)));
		}

	}



/* local/variant-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2occurrencewzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_26, long BgL_vz00_27)
	{
		{	/* Inline/variant.sch 53 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_26)))->BgL_occurrencewz00) =
				((long) BgL_vz00_27), BUNSPEC);
		}

	}



/* &local/variant-occurrencew-set! */
	obj_t
		BGl_z62localzf2variantzd2occurrencewzd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2299, obj_t BgL_oz00_2300, obj_t BgL_vz00_2301)
	{
		{	/* Inline/variant.sch 53 */
			return
				BGl_localzf2variantzd2occurrencewzd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2300), (long) CINT(BgL_vz00_2301));
		}

	}



/* local/variant-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2variantzd2occurrencez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_28)
	{
		{	/* Inline/variant.sch 54 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_28)))->BgL_occurrencez00);
		}

	}



/* &local/variant-occurrence */
	obj_t BGl_z62localzf2variantzd2occurrencez42zzinline_variantz00(obj_t
		BgL_envz00_2302, obj_t BgL_oz00_2303)
	{
		{	/* Inline/variant.sch 54 */
			return
				BINT(BGl_localzf2variantzd2occurrencez20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2303)));
		}

	}



/* local/variant-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2occurrencezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_29, long BgL_vz00_30)
	{
		{	/* Inline/variant.sch 55 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_29)))->BgL_occurrencez00) =
				((long) BgL_vz00_30), BUNSPEC);
		}

	}



/* &local/variant-occurrence-set! */
	obj_t BGl_z62localzf2variantzd2occurrencezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2304, obj_t BgL_oz00_2305, obj_t BgL_vz00_2306)
	{
		{	/* Inline/variant.sch 55 */
			return
				BGl_localzf2variantzd2occurrencezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2305), (long) CINT(BgL_vz00_2306));
		}

	}



/* local/variant-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2removablez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_31)
	{
		{	/* Inline/variant.sch 56 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_31)))->BgL_removablez00);
		}

	}



/* &local/variant-removable */
	obj_t BGl_z62localzf2variantzd2removablez42zzinline_variantz00(obj_t
		BgL_envz00_2307, obj_t BgL_oz00_2308)
	{
		{	/* Inline/variant.sch 56 */
			return
				BGl_localzf2variantzd2removablez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2308));
		}

	}



/* local/variant-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2removablezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* Inline/variant.sch 57 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_32)))->BgL_removablez00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &local/variant-removable-set! */
	obj_t BGl_z62localzf2variantzd2removablezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2309, obj_t BgL_oz00_2310, obj_t BgL_vz00_2311)
	{
		{	/* Inline/variant.sch 57 */
			return
				BGl_localzf2variantzd2removablezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2310), BgL_vz00_2311);
		}

	}



/* local/variant-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2fastzd2alphazf2zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_34)
	{
		{	/* Inline/variant.sch 58 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_34)))->BgL_fastzd2alphazd2);
		}

	}



/* &local/variant-fast-alpha */
	obj_t BGl_z62localzf2variantzd2fastzd2alphaz90zzinline_variantz00(obj_t
		BgL_envz00_2312, obj_t BgL_oz00_2313)
	{
		{	/* Inline/variant.sch 58 */
			return
				BGl_localzf2variantzd2fastzd2alphazf2zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2313));
		}

	}



/* local/variant-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2fastzd2alphazd2setz12z32zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		{	/* Inline/variant.sch 59 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_35)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &local/variant-fast-alpha-set! */
	obj_t
		BGl_z62localzf2variantzd2fastzd2alphazd2setz12z50zzinline_variantz00(obj_t
		BgL_envz00_2314, obj_t BgL_oz00_2315, obj_t BgL_vz00_2316)
	{
		{	/* Inline/variant.sch 59 */
			return
				BGl_localzf2variantzd2fastzd2alphazd2setz12z32zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2315), BgL_vz00_2316);
		}

	}



/* local/variant-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2accessz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_37)
	{
		{	/* Inline/variant.sch 60 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_37)))->BgL_accessz00);
		}

	}



/* &local/variant-access */
	obj_t BGl_z62localzf2variantzd2accessz42zzinline_variantz00(obj_t
		BgL_envz00_2317, obj_t BgL_oz00_2318)
	{
		{	/* Inline/variant.sch 60 */
			return
				BGl_localzf2variantzd2accessz20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2318));
		}

	}



/* local/variant-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2accesszd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_38, obj_t BgL_vz00_39)
	{
		{	/* Inline/variant.sch 61 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_38)))->BgL_accessz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &local/variant-access-set! */
	obj_t BGl_z62localzf2variantzd2accesszd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2319, obj_t BgL_oz00_2320, obj_t BgL_vz00_2321)
	{
		{	/* Inline/variant.sch 61 */
			return
				BGl_localzf2variantzd2accesszd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2320), BgL_vz00_2321);
		}

	}



/* local/variant-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2variantzd2valuez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_40)
	{
		{	/* Inline/variant.sch 62 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_40)))->BgL_valuez00);
		}

	}



/* &local/variant-value */
	BgL_valuez00_bglt BGl_z62localzf2variantzd2valuez42zzinline_variantz00(obj_t
		BgL_envz00_2322, obj_t BgL_oz00_2323)
	{
		{	/* Inline/variant.sch 62 */
			return
				BGl_localzf2variantzd2valuez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2323));
		}

	}



/* local/variant-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2valuezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_41, BgL_valuez00_bglt BgL_vz00_42)
	{
		{	/* Inline/variant.sch 63 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_41)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_42), BUNSPEC);
		}

	}



/* &local/variant-value-set! */
	obj_t BGl_z62localzf2variantzd2valuezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2324, obj_t BgL_oz00_2325, obj_t BgL_vz00_2326)
	{
		{	/* Inline/variant.sch 63 */
			return
				BGl_localzf2variantzd2valuezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2325),
				((BgL_valuez00_bglt) BgL_vz00_2326));
		}

	}



/* local/variant-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2variantzd2typez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_43)
	{
		{	/* Inline/variant.sch 64 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_43)))->BgL_typez00);
		}

	}



/* &local/variant-type */
	BgL_typez00_bglt BGl_z62localzf2variantzd2typez42zzinline_variantz00(obj_t
		BgL_envz00_2327, obj_t BgL_oz00_2328)
	{
		{	/* Inline/variant.sch 64 */
			return
				BGl_localzf2variantzd2typez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2328));
		}

	}



/* local/variant-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2typezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_44, BgL_typez00_bglt BgL_vz00_45)
	{
		{	/* Inline/variant.sch 65 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_44)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_45), BUNSPEC);
		}

	}



/* &local/variant-type-set! */
	obj_t BGl_z62localzf2variantzd2typezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2329, obj_t BgL_oz00_2330, obj_t BgL_vz00_2331)
	{
		{	/* Inline/variant.sch 65 */
			return
				BGl_localzf2variantzd2typezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2330),
				((BgL_typez00_bglt) BgL_vz00_2331));
		}

	}



/* local/variant-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2namez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_46)
	{
		{	/* Inline/variant.sch 66 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_46)))->BgL_namez00);
		}

	}



/* &local/variant-name */
	obj_t BGl_z62localzf2variantzd2namez42zzinline_variantz00(obj_t
		BgL_envz00_2332, obj_t BgL_oz00_2333)
	{
		{	/* Inline/variant.sch 66 */
			return
				BGl_localzf2variantzd2namez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2333));
		}

	}



/* local/variant-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2namezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* Inline/variant.sch 67 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_47)))->BgL_namez00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &local/variant-name-set! */
	obj_t BGl_z62localzf2variantzd2namezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2334, obj_t BgL_oz00_2335, obj_t BgL_vz00_2336)
	{
		{	/* Inline/variant.sch 67 */
			return
				BGl_localzf2variantzd2namezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2335), BgL_vz00_2336);
		}

	}



/* local/variant-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2idz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_49)
	{
		{	/* Inline/variant.sch 68 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_49)))->BgL_idz00);
		}

	}



/* &local/variant-id */
	obj_t BGl_z62localzf2variantzd2idz42zzinline_variantz00(obj_t BgL_envz00_2337,
		obj_t BgL_oz00_2338)
	{
		{	/* Inline/variant.sch 68 */
			return
				BGl_localzf2variantzd2idz20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2338));
		}

	}



/* invariant-args */
	BGL_EXPORTED_DEF obj_t
		BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt BgL_nodez00_52,
		BgL_variablez00_bglt BgL_varz00_53, obj_t BgL_callsz00_54)
	{
		{	/* Inline/variant.scm 36 */
			{	/* Inline/variant.scm 37 */
				BgL_valuez00_bglt BgL_funz00_1416;

				BgL_funz00_1416 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_53))->BgL_valuez00);
				{	/* Inline/variant.scm 37 */
					obj_t BgL_argsz00_1417;

					BgL_argsz00_1417 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1416)))->BgL_argsz00);
					{	/* Inline/variant.scm 38 */
						obj_t BgL_valsz00_1418;

						BgL_valsz00_1418 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_52)))->BgL_argsz00);
						{	/* Inline/variant.scm 39 */

							{
								obj_t BgL_ll1279z00_1420;
								obj_t BgL_ll1280z00_1421;

								BgL_ll1279z00_1420 = BgL_argsz00_1417;
								BgL_ll1280z00_1421 = BgL_valsz00_1418;
							BgL_zc3z04anonymousza31296ze3z87_1422:
								if (NULLP(BgL_ll1279z00_1420))
									{	/* Inline/variant.scm 42 */
										((bool_t) 1);
									}
								else
									{	/* Inline/variant.scm 42 */
										{	/* Inline/variant.scm 43 */
											obj_t BgL_localz00_1424;
											obj_t BgL_valz00_1425;

											BgL_localz00_1424 = CAR(((obj_t) BgL_ll1279z00_1420));
											BgL_valz00_1425 = CAR(((obj_t) BgL_ll1280z00_1421));
											{	/* Inline/variant.scm 43 */
												bool_t BgL_test1858z00_2692;

												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1424))))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 0))))
													{	/* Inline/variant.scm 44 */
														bool_t BgL__ortest_1134z00_1446;

														{	/* Inline/variant.scm 44 */
															obj_t BgL_classz00_1865;

															BgL_classz00_1865 = BGl_atomz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_valz00_1425))
																{	/* Inline/variant.scm 44 */
																	BgL_objectz00_bglt BgL_arg1820z00_1867;

																	BgL_arg1820z00_1867 =
																		(BgL_objectz00_bglt) (BgL_valz00_1425);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Inline/variant.scm 44 */
																			long BgL_idxz00_1873;

																			BgL_idxz00_1873 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_1867);
																			BgL__ortest_1134z00_1446 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1873 + ((long) 2))) ==
																				BgL_classz00_1865);
																		}
																	else
																		{	/* Inline/variant.scm 44 */
																			bool_t BgL_res1789z00_1895;

																			{	/* Inline/variant.scm 44 */
																				obj_t BgL_oclassz00_1881;

																				{	/* Inline/variant.scm 44 */
																					long BgL_arg1828z00_1887;

																					{	/* Inline/variant.scm 44 */
																						long BgL_arg1829z00_1888;

																						BgL_arg1829z00_1888 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_1867);
																						BgL_arg1828z00_1887 =
																							(BgL_arg1829z00_1888 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1881 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_1887);
																				}
																				{	/* Inline/variant.scm 44 */
																					bool_t BgL__ortest_1111z00_1882;

																					BgL__ortest_1111z00_1882 =
																						(BgL_classz00_1865 ==
																						BgL_oclassz00_1881);
																					if (BgL__ortest_1111z00_1882)
																						{	/* Inline/variant.scm 44 */
																							BgL_res1789z00_1895 =
																								BgL__ortest_1111z00_1882;
																						}
																					else
																						{	/* Inline/variant.scm 44 */
																							long BgL_odepthz00_1883;

																							BgL_odepthz00_1883 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_1881);
																							if ((((long) 2) <
																									BgL_odepthz00_1883))
																								{	/* Inline/variant.scm 44 */
																									obj_t BgL_arg1816z00_1885;

																									BgL_arg1816z00_1885 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_1881,
																										((long) 2));
																									BgL_res1789z00_1895 =
																										(BgL_arg1816z00_1885 ==
																										BgL_classz00_1865);
																								}
																							else
																								{	/* Inline/variant.scm 44 */
																									BgL_res1789z00_1895 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL__ortest_1134z00_1446 =
																				BgL_res1789z00_1895;
																		}
																}
															else
																{	/* Inline/variant.scm 44 */
																	BgL__ortest_1134z00_1446 = ((bool_t) 0);
																}
														}
														if (BgL__ortest_1134z00_1446)
															{	/* Inline/variant.scm 44 */
																BgL_test1858z00_2692 = BgL__ortest_1134z00_1446;
															}
														else
															{	/* Inline/variant.scm 45 */
																bool_t BgL__ortest_1135z00_1447;

																{	/* Inline/variant.scm 45 */
																	obj_t BgL_classz00_1896;

																	BgL_classz00_1896 = BGl_kwotez00zzast_nodez00;
																	if (BGL_OBJECTP(BgL_valz00_1425))
																		{	/* Inline/variant.scm 45 */
																			BgL_objectz00_bglt BgL_arg1820z00_1898;

																			BgL_arg1820z00_1898 =
																				(BgL_objectz00_bglt) (BgL_valz00_1425);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Inline/variant.scm 45 */
																					long BgL_idxz00_1904;

																					BgL_idxz00_1904 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1820z00_1898);
																					BgL__ortest_1135z00_1447 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_1904 + ((long) 2))) ==
																						BgL_classz00_1896);
																				}
																			else
																				{	/* Inline/variant.scm 45 */
																					bool_t BgL_res1790z00_1926;

																					{	/* Inline/variant.scm 45 */
																						obj_t BgL_oclassz00_1912;

																						{	/* Inline/variant.scm 45 */
																							long BgL_arg1828z00_1918;

																							{	/* Inline/variant.scm 45 */
																								long BgL_arg1829z00_1919;

																								BgL_arg1829z00_1919 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1820z00_1898);
																								BgL_arg1828z00_1918 =
																									(BgL_arg1829z00_1919 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_1912 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1828z00_1918);
																						}
																						{	/* Inline/variant.scm 45 */
																							bool_t BgL__ortest_1111z00_1913;

																							BgL__ortest_1111z00_1913 =
																								(BgL_classz00_1896 ==
																								BgL_oclassz00_1912);
																							if (BgL__ortest_1111z00_1913)
																								{	/* Inline/variant.scm 45 */
																									BgL_res1790z00_1926 =
																										BgL__ortest_1111z00_1913;
																								}
																							else
																								{	/* Inline/variant.scm 45 */
																									long BgL_odepthz00_1914;

																									BgL_odepthz00_1914 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_1912);
																									if ((((long) 2) <
																											BgL_odepthz00_1914))
																										{	/* Inline/variant.scm 45 */
																											obj_t BgL_arg1816z00_1916;

																											BgL_arg1816z00_1916 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_1912,
																												((long) 2));
																											BgL_res1790z00_1926 =
																												(BgL_arg1816z00_1916 ==
																												BgL_classz00_1896);
																										}
																									else
																										{	/* Inline/variant.scm 45 */
																											BgL_res1790z00_1926 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL__ortest_1135z00_1447 =
																						BgL_res1790z00_1926;
																				}
																		}
																	else
																		{	/* Inline/variant.scm 45 */
																			BgL__ortest_1135z00_1447 = ((bool_t) 0);
																		}
																}
																if (BgL__ortest_1135z00_1447)
																	{	/* Inline/variant.scm 45 */
																		BgL_test1858z00_2692 =
																			BgL__ortest_1135z00_1447;
																	}
																else
																	{	/* Inline/variant.scm 46 */
																		bool_t BgL_test1870z00_2739;

																		{	/* Inline/variant.scm 46 */
																			obj_t BgL_classz00_1927;

																			BgL_classz00_1927 =
																				BGl_varz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_valz00_1425))
																				{	/* Inline/variant.scm 46 */
																					BgL_objectz00_bglt
																						BgL_arg1820z00_1929;
																					BgL_arg1820z00_1929 =
																						(BgL_objectz00_bglt)
																						(BgL_valz00_1425);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Inline/variant.scm 46 */
																							long BgL_idxz00_1935;

																							BgL_idxz00_1935 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1820z00_1929);
																							BgL_test1870z00_2739 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_1935 +
																										((long) 2))) ==
																								BgL_classz00_1927);
																						}
																					else
																						{	/* Inline/variant.scm 46 */
																							bool_t BgL_res1791z00_1957;

																							{	/* Inline/variant.scm 46 */
																								obj_t BgL_oclassz00_1943;

																								{	/* Inline/variant.scm 46 */
																									long BgL_arg1828z00_1949;

																									{	/* Inline/variant.scm 46 */
																										long BgL_arg1829z00_1950;

																										BgL_arg1829z00_1950 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1820z00_1929);
																										BgL_arg1828z00_1949 =
																											(BgL_arg1829z00_1950 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_1943 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1828z00_1949);
																								}
																								{	/* Inline/variant.scm 46 */
																									bool_t
																										BgL__ortest_1111z00_1944;
																									BgL__ortest_1111z00_1944 =
																										(BgL_classz00_1927 ==
																										BgL_oclassz00_1943);
																									if (BgL__ortest_1111z00_1944)
																										{	/* Inline/variant.scm 46 */
																											BgL_res1791z00_1957 =
																												BgL__ortest_1111z00_1944;
																										}
																									else
																										{	/* Inline/variant.scm 46 */
																											long BgL_odepthz00_1945;

																											BgL_odepthz00_1945 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_1943);
																											if ((((long) 2) <
																													BgL_odepthz00_1945))
																												{	/* Inline/variant.scm 46 */
																													obj_t
																														BgL_arg1816z00_1947;
																													BgL_arg1816z00_1947 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_1943,
																														((long) 2));
																													BgL_res1791z00_1957 =
																														(BgL_arg1816z00_1947
																														==
																														BgL_classz00_1927);
																												}
																											else
																												{	/* Inline/variant.scm 46 */
																													BgL_res1791z00_1957 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test1870z00_2739 =
																								BgL_res1791z00_1957;
																						}
																				}
																			else
																				{	/* Inline/variant.scm 46 */
																					BgL_test1870z00_2739 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test1870z00_2739)
																			{	/* Inline/variant.scm 46 */
																				BgL_test1858z00_2692 =
																					(
																					(((BgL_variablez00_bglt) COBJECT(
																								(((BgL_varz00_bglt) COBJECT(
																											((BgL_varz00_bglt)
																												BgL_valz00_1425)))->
																									BgL_variablez00)))->
																						BgL_accessz00) ==
																					CNST_TABLE_REF(((long) 0)));
																			}
																		else
																			{	/* Inline/variant.scm 46 */
																				BgL_test1858z00_2692 = ((bool_t) 0);
																			}
																	}
															}
													}
												else
													{	/* Inline/variant.scm 43 */
														BgL_test1858z00_2692 = ((bool_t) 0);
													}
												if (BgL_test1858z00_2692)
													{	/* Inline/variant.scm 43 */
														{	/* Inline/variant.scm 49 */
															BgL_localzf2variantzf2_bglt BgL_wide1139z00_1437;

															BgL_wide1139z00_1437 =
																((BgL_localzf2variantzf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_localzf2variantzf2_bgl))));
															{	/* Inline/variant.scm 49 */
																obj_t BgL_auxz00_2769;
																BgL_objectz00_bglt BgL_tmpz00_2765;

																BgL_auxz00_2769 =
																	((obj_t) BgL_wide1139z00_1437);
																BgL_tmpz00_2765 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1424)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2765,
																	BgL_auxz00_2769);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1424)));
															{	/* Inline/variant.scm 49 */
																long BgL_arg1306z00_1438;

																BgL_arg1306z00_1438 =
																	BGL_CLASS_NUM
																	(BGl_localzf2variantzf2zzinline_variantz00);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) ((BgL_localz00_bglt)
																				BgL_localz00_1424))),
																	BgL_arg1306z00_1438);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1424)));
														}
														{
															BgL_localzf2variantzf2_bglt BgL_auxz00_2783;

															{
																obj_t BgL_auxz00_2784;

																{	/* Inline/variant.scm 49 */
																	BgL_objectz00_bglt BgL_tmpz00_2785;

																	BgL_tmpz00_2785 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_1424)));
																	BgL_auxz00_2784 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2785);
																}
																BgL_auxz00_2783 =
																	((BgL_localzf2variantzf2_bglt)
																	BgL_auxz00_2784);
															}
															((((BgL_localzf2variantzf2_bglt)
																		COBJECT(BgL_auxz00_2783))->BgL_variantz00) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_1424));
													}
												else
													{	/* Inline/variant.scm 43 */
														{	/* Inline/variant.scm 50 */
															BgL_localzf2variantzf2_bglt BgL_wide1143z00_1442;

															BgL_wide1143z00_1442 =
																((BgL_localzf2variantzf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_localzf2variantzf2_bgl))));
															{	/* Inline/variant.scm 50 */
																obj_t BgL_auxz00_2799;
																BgL_objectz00_bglt BgL_tmpz00_2795;

																BgL_auxz00_2799 =
																	((obj_t) BgL_wide1143z00_1442);
																BgL_tmpz00_2795 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1424)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2795,
																	BgL_auxz00_2799);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1424)));
															{	/* Inline/variant.scm 50 */
																long BgL_arg1307z00_1443;

																BgL_arg1307z00_1443 =
																	BGL_CLASS_NUM
																	(BGl_localzf2variantzf2zzinline_variantz00);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) ((BgL_localz00_bglt)
																				BgL_localz00_1424))),
																	BgL_arg1307z00_1443);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1424)));
														}
														{
															BgL_localzf2variantzf2_bglt BgL_auxz00_2813;

															{
																obj_t BgL_auxz00_2814;

																{	/* Inline/variant.scm 50 */
																	BgL_objectz00_bglt BgL_tmpz00_2815;

																	BgL_tmpz00_2815 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_1424)));
																	BgL_auxz00_2814 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2815);
																}
																BgL_auxz00_2813 =
																	((BgL_localzf2variantzf2_bglt)
																	BgL_auxz00_2814);
															}
															((((BgL_localzf2variantzf2_bglt)
																		COBJECT(BgL_auxz00_2813))->BgL_variantz00) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_1424));
										}}}
										{	/* Inline/variant.scm 42 */
											obj_t BgL_arg1311z00_1452;
											obj_t BgL_arg1313z00_1453;

											BgL_arg1311z00_1452 = CDR(((obj_t) BgL_ll1279z00_1420));
											BgL_arg1313z00_1453 = CDR(((obj_t) BgL_ll1280z00_1421));
											{
												obj_t BgL_ll1280z00_2829;
												obj_t BgL_ll1279z00_2828;

												BgL_ll1279z00_2828 = BgL_arg1311z00_1452;
												BgL_ll1280z00_2829 = BgL_arg1313z00_1453;
												BgL_ll1280z00_1421 = BgL_ll1280z00_2829;
												BgL_ll1279z00_1420 = BgL_ll1279z00_2828;
												goto BgL_zc3z04anonymousza31296ze3z87_1422;
											}
										}
									}
							}
							{
								obj_t BgL_l1284z00_1456;

								BgL_l1284z00_1456 = BgL_callsz00_54;
							BgL_zc3z04anonymousza31314ze3z87_1457:
								if (PAIRP(BgL_l1284z00_1456))
									{	/* Inline/variant.scm 53 */
										{	/* Inline/variant.scm 54 */
											BgL_appz00_bglt BgL_appz00_1459;

											BgL_appz00_1459 =
												((BgL_appz00_bglt) CAR(BgL_l1284z00_1456));
											{	/* Inline/variant.scm 54 */
												obj_t BgL_g1145z00_1460;

												BgL_g1145z00_1460 =
													(((BgL_appz00_bglt) COBJECT(BgL_appz00_1459))->
													BgL_argsz00);
												{
													obj_t BgL_actualsz00_1462;
													obj_t BgL_argsz00_1463;

													BgL_actualsz00_1462 = BgL_g1145z00_1460;
													BgL_argsz00_1463 = BgL_argsz00_1417;
												BgL_zc3z04anonymousza31316ze3z87_1464:
													if (NULLP(BgL_argsz00_1463))
														{	/* Inline/variant.scm 57 */
															CNST_TABLE_REF(((long) 1));
														}
													else
														{	/* Inline/variant.scm 57 */
															if (NULLP(BgL_actualsz00_1462))
																{
																	obj_t BgL_l1282z00_1468;

																	{	/* Inline/variant.scm 60 */
																		bool_t BgL_tmpz00_2840;

																		BgL_l1282z00_1468 = BgL_argsz00_1463;
																	BgL_zc3z04anonymousza31319ze3z87_1469:
																		if (PAIRP(BgL_l1282z00_1468))
																			{	/* Inline/variant.scm 60 */
																				{	/* Inline/variant.scm 61 */
																					obj_t BgL_localz00_1471;

																					BgL_localz00_1471 =
																						CAR(BgL_l1282z00_1468);
																					{
																						BgL_localzf2variantzf2_bglt
																							BgL_auxz00_2844;
																						{
																							obj_t BgL_auxz00_2845;

																							{	/* Inline/variant.scm 61 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2846;
																								BgL_tmpz00_2846 =
																									((BgL_objectz00_bglt) (
																										(BgL_localz00_bglt)
																										BgL_localz00_1471));
																								BgL_auxz00_2845 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2846);
																							}
																							BgL_auxz00_2844 =
																								((BgL_localzf2variantzf2_bglt)
																								BgL_auxz00_2845);
																						}
																						((((BgL_localzf2variantzf2_bglt)
																									COBJECT(BgL_auxz00_2844))->
																								BgL_variantz00) =
																							((bool_t) ((bool_t) 1)), BUNSPEC);
																					}
																				}
																				{
																					obj_t BgL_l1282z00_2852;

																					BgL_l1282z00_2852 =
																						CDR(BgL_l1282z00_1468);
																					BgL_l1282z00_1468 = BgL_l1282z00_2852;
																					goto
																						BgL_zc3z04anonymousza31319ze3z87_1469;
																				}
																			}
																		else
																			{	/* Inline/variant.scm 60 */
																				BgL_tmpz00_2840 = ((bool_t) 1);
																			}
																		BBOOL(BgL_tmpz00_2840);
																	}
																}
															else
																{	/* Inline/variant.scm 63 */
																	bool_t BgL_test1879z00_2855;

																	{	/* Inline/variant.scm 63 */
																		bool_t BgL_test1880z00_2856;

																		{	/* Inline/variant.scm 63 */
																			obj_t BgL_arg1359z00_1490;

																			BgL_arg1359z00_1490 =
																				CAR(((obj_t) BgL_actualsz00_1462));
																			{	/* Inline/variant.scm 63 */
																				obj_t BgL_classz00_1980;

																				BgL_classz00_1980 =
																					BGl_varz00zzast_nodez00;
																				if (BGL_OBJECTP(BgL_arg1359z00_1490))
																					{	/* Inline/variant.scm 63 */
																						BgL_objectz00_bglt
																							BgL_arg1820z00_1982;
																						BgL_arg1820z00_1982 =
																							(BgL_objectz00_bglt)
																							(BgL_arg1359z00_1490);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Inline/variant.scm 63 */
																								long BgL_idxz00_1988;

																								BgL_idxz00_1988 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1820z00_1982);
																								BgL_test1880z00_2856 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_1988 +
																											((long) 2))) ==
																									BgL_classz00_1980);
																							}
																						else
																							{	/* Inline/variant.scm 63 */
																								bool_t BgL_res1792z00_2010;

																								{	/* Inline/variant.scm 63 */
																									obj_t BgL_oclassz00_1996;

																									{	/* Inline/variant.scm 63 */
																										long BgL_arg1828z00_2002;

																										{	/* Inline/variant.scm 63 */
																											long BgL_arg1829z00_2003;

																											BgL_arg1829z00_2003 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1820z00_1982);
																											BgL_arg1828z00_2002 =
																												(BgL_arg1829z00_2003 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_1996 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1828z00_2002);
																									}
																									{	/* Inline/variant.scm 63 */
																										bool_t
																											BgL__ortest_1111z00_1997;
																										BgL__ortest_1111z00_1997 =
																											(BgL_classz00_1980 ==
																											BgL_oclassz00_1996);
																										if (BgL__ortest_1111z00_1997)
																											{	/* Inline/variant.scm 63 */
																												BgL_res1792z00_2010 =
																													BgL__ortest_1111z00_1997;
																											}
																										else
																											{	/* Inline/variant.scm 63 */
																												long BgL_odepthz00_1998;

																												BgL_odepthz00_1998 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_1996);
																												if ((((long) 2) <
																														BgL_odepthz00_1998))
																													{	/* Inline/variant.scm 63 */
																														obj_t
																															BgL_arg1816z00_2000;
																														BgL_arg1816z00_2000
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_1996,
																															((long) 2));
																														BgL_res1792z00_2010
																															=
																															(BgL_arg1816z00_2000
																															==
																															BgL_classz00_1980);
																													}
																												else
																													{	/* Inline/variant.scm 63 */
																														BgL_res1792z00_2010
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test1880z00_2856 =
																									BgL_res1792z00_2010;
																							}
																					}
																				else
																					{	/* Inline/variant.scm 63 */
																						BgL_test1880z00_2856 = ((bool_t) 0);
																					}
																			}
																		}
																		if (BgL_test1880z00_2856)
																			{	/* Inline/variant.scm 63 */
																				BgL_test1879z00_2855 =
																					(
																					((obj_t)
																						(((BgL_varz00_bglt) COBJECT(
																									((BgL_varz00_bglt)
																										CAR(
																											((obj_t)
																												BgL_actualsz00_1462)))))->
																							BgL_variablez00)) ==
																					CAR(((obj_t) BgL_argsz00_1463)));
																			}
																		else
																			{	/* Inline/variant.scm 63 */
																				BgL_test1879z00_2855 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test1879z00_2855)
																		{	/* Inline/variant.scm 65 */
																			obj_t BgL_arg1343z00_1481;
																			obj_t BgL_arg1344z00_1482;

																			BgL_arg1343z00_1481 =
																				CDR(((obj_t) BgL_actualsz00_1462));
																			BgL_arg1344z00_1482 =
																				CDR(((obj_t) BgL_argsz00_1463));
																			{
																				obj_t BgL_argsz00_2891;
																				obj_t BgL_actualsz00_2890;

																				BgL_actualsz00_2890 =
																					BgL_arg1343z00_1481;
																				BgL_argsz00_2891 = BgL_arg1344z00_1482;
																				BgL_argsz00_1463 = BgL_argsz00_2891;
																				BgL_actualsz00_1462 =
																					BgL_actualsz00_2890;
																				goto
																					BgL_zc3z04anonymousza31316ze3z87_1464;
																			}
																		}
																	else
																		{	/* Inline/variant.scm 63 */
																			{	/* Inline/variant.scm 67 */
																				obj_t BgL_arg1346z00_1483;

																				BgL_arg1346z00_1483 =
																					CAR(((obj_t) BgL_argsz00_1463));
																				{
																					BgL_localzf2variantzf2_bglt
																						BgL_auxz00_2894;
																					{
																						obj_t BgL_auxz00_2895;

																						{	/* Inline/variant.scm 67 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2896;
																							BgL_tmpz00_2896 =
																								((BgL_objectz00_bglt) (
																									(BgL_localz00_bglt)
																									BgL_arg1346z00_1483));
																							BgL_auxz00_2895 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_2896);
																						}
																						BgL_auxz00_2894 =
																							((BgL_localzf2variantzf2_bglt)
																							BgL_auxz00_2895);
																					}
																					((((BgL_localzf2variantzf2_bglt)
																								COBJECT(BgL_auxz00_2894))->
																							BgL_variantz00) =
																						((bool_t) ((bool_t) 1)), BUNSPEC);
																				}
																			}
																			{	/* Inline/variant.scm 68 */
																				obj_t BgL_arg1347z00_1484;
																				obj_t BgL_arg1352z00_1485;

																				BgL_arg1347z00_1484 =
																					CDR(((obj_t) BgL_actualsz00_1462));
																				BgL_arg1352z00_1485 =
																					CDR(((obj_t) BgL_argsz00_1463));
																				{
																					obj_t BgL_argsz00_2907;
																					obj_t BgL_actualsz00_2906;

																					BgL_actualsz00_2906 =
																						BgL_arg1347z00_1484;
																					BgL_argsz00_2907 =
																						BgL_arg1352z00_1485;
																					BgL_argsz00_1463 = BgL_argsz00_2907;
																					BgL_actualsz00_1462 =
																						BgL_actualsz00_2906;
																					goto
																						BgL_zc3z04anonymousza31316ze3z87_1464;
																				}
																			}
																		}
																}
														}
												}
											}
										}
										{
											obj_t BgL_l1284z00_2908;

											BgL_l1284z00_2908 = CDR(BgL_l1284z00_1456);
											BgL_l1284z00_1456 = BgL_l1284z00_2908;
											goto BgL_zc3z04anonymousza31314ze3z87_1457;
										}
									}
								else
									{	/* Inline/variant.scm 53 */
										((bool_t) 1);
									}
							}
							{
								obj_t BgL_argsz00_1496;
								obj_t BgL_invariantz00_1497;

								BgL_argsz00_1496 = BgL_argsz00_1417;
								BgL_invariantz00_1497 = BNIL;
							BgL_zc3z04anonymousza31362ze3z87_1498:
								if (NULLP(BgL_argsz00_1496))
									{	/* Inline/variant.scm 73 */
										return bgl_reverse_bang(BgL_invariantz00_1497);
									}
								else
									{	/* Inline/variant.scm 75 */
										obj_t BgL_arg1364z00_1500;
										obj_t BgL_arg1365z00_1501;

										BgL_arg1364z00_1500 = CDR(((obj_t) BgL_argsz00_1496));
										{	/* Inline/variant.scm 76 */
											bool_t BgL_test1886z00_2915;

											{	/* Inline/variant.scm 76 */
												BgL_localz00_bglt BgL_oz00_2025;

												BgL_oz00_2025 =
													((BgL_localz00_bglt) CAR(((obj_t) BgL_argsz00_1496)));
												{
													BgL_localzf2variantzf2_bglt BgL_auxz00_2919;

													{
														obj_t BgL_auxz00_2920;

														{	/* Inline/variant.scm 76 */
															BgL_objectz00_bglt BgL_tmpz00_2921;

															BgL_tmpz00_2921 =
																((BgL_objectz00_bglt) BgL_oz00_2025);
															BgL_auxz00_2920 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2921);
														}
														BgL_auxz00_2919 =
															((BgL_localzf2variantzf2_bglt) BgL_auxz00_2920);
													}
													BgL_test1886z00_2915 =
														(((BgL_localzf2variantzf2_bglt)
															COBJECT(BgL_auxz00_2919))->BgL_variantz00);
												}
											}
											if (BgL_test1886z00_2915)
												{	/* Inline/variant.scm 76 */
													BgL_arg1365z00_1501 = BgL_invariantz00_1497;
												}
											else
												{	/* Inline/variant.scm 78 */
													obj_t BgL_arg1372z00_1504;

													BgL_arg1372z00_1504 = CAR(((obj_t) BgL_argsz00_1496));
													BgL_arg1365z00_1501 =
														MAKE_YOUNG_PAIR(BgL_arg1372z00_1504,
														BgL_invariantz00_1497);
												}
										}
										{
											obj_t BgL_invariantz00_2930;
											obj_t BgL_argsz00_2929;

											BgL_argsz00_2929 = BgL_arg1364z00_1500;
											BgL_invariantz00_2930 = BgL_arg1365z00_1501;
											BgL_invariantz00_1497 = BgL_invariantz00_2930;
											BgL_argsz00_1496 = BgL_argsz00_2929;
											goto BgL_zc3z04anonymousza31362ze3z87_1498;
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* &invariant-args */
	obj_t BGl_z62invariantzd2argszb0zzinline_variantz00(obj_t BgL_envz00_2339,
		obj_t BgL_nodez00_2340, obj_t BgL_varz00_2341, obj_t BgL_callsz00_2342)
	{
		{	/* Inline/variant.scm 36 */
			return
				BGl_invariantzd2argszd2zzinline_variantz00(
				((BgL_nodez00_bglt) BgL_nodez00_2340),
				((BgL_variablez00_bglt) BgL_varz00_2341), BgL_callsz00_2342);
		}

	}



/* variant-args */
	BGL_EXPORTED_DEF obj_t
		BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_55)
	{
		{	/* Inline/variant.scm 85 */
			{	/* Inline/variant.scm 86 */
				BgL_valuez00_bglt BgL_funz00_1507;

				BgL_funz00_1507 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_55))->BgL_valuez00);
				{	/* Inline/variant.scm 86 */
					obj_t BgL_argsz00_1508;

					BgL_argsz00_1508 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1507)))->BgL_argsz00);
					{	/* Inline/variant.scm 87 */

						{
							obj_t BgL_argsz00_1511;
							obj_t BgL_variantz00_1512;

							BgL_argsz00_1511 = BgL_argsz00_1508;
							BgL_variantz00_1512 = BNIL;
						BgL_zc3z04anonymousza31376ze3z87_1513:
							if (NULLP(BgL_argsz00_1511))
								{	/* Inline/variant.scm 90 */
									return bgl_reverse_bang(BgL_variantz00_1512);
								}
							else
								{	/* Inline/variant.scm 92 */
									obj_t BgL_arg1378z00_1515;
									obj_t BgL_arg1381z00_1516;

									BgL_arg1378z00_1515 = CDR(((obj_t) BgL_argsz00_1511));
									{	/* Inline/variant.scm 93 */
										bool_t BgL_test1888z00_2942;

										{	/* Inline/variant.scm 93 */
											BgL_localz00_bglt BgL_oz00_2032;

											BgL_oz00_2032 =
												((BgL_localz00_bglt) CAR(((obj_t) BgL_argsz00_1511)));
											{
												BgL_localzf2variantzf2_bglt BgL_auxz00_2946;

												{
													obj_t BgL_auxz00_2947;

													{	/* Inline/variant.scm 93 */
														BgL_objectz00_bglt BgL_tmpz00_2948;

														BgL_tmpz00_2948 =
															((BgL_objectz00_bglt) BgL_oz00_2032);
														BgL_auxz00_2947 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2948);
													}
													BgL_auxz00_2946 =
														((BgL_localzf2variantzf2_bglt) BgL_auxz00_2947);
												}
												BgL_test1888z00_2942 =
													(((BgL_localzf2variantzf2_bglt)
														COBJECT(BgL_auxz00_2946))->BgL_variantz00);
											}
										}
										if (BgL_test1888z00_2942)
											{	/* Inline/variant.scm 94 */
												obj_t BgL_arg1387z00_1519;

												BgL_arg1387z00_1519 = CAR(((obj_t) BgL_argsz00_1511));
												BgL_arg1381z00_1516 =
													MAKE_YOUNG_PAIR(BgL_arg1387z00_1519,
													BgL_variantz00_1512);
											}
										else
											{	/* Inline/variant.scm 93 */
												BgL_arg1381z00_1516 = BgL_variantz00_1512;
											}
									}
									{
										obj_t BgL_variantz00_2957;
										obj_t BgL_argsz00_2956;

										BgL_argsz00_2956 = BgL_arg1378z00_1515;
										BgL_variantz00_2957 = BgL_arg1381z00_1516;
										BgL_variantz00_1512 = BgL_variantz00_2957;
										BgL_argsz00_1511 = BgL_argsz00_2956;
										goto BgL_zc3z04anonymousza31376ze3z87_1513;
									}
								}
						}
					}
				}
			}
		}

	}



/* &variant-args */
	obj_t BGl_z62variantzd2argszb0zzinline_variantz00(obj_t BgL_envz00_2343,
		obj_t BgL_varz00_2344)
	{
		{	/* Inline/variant.scm 85 */
			return
				BGl_variantzd2argszd2zzinline_variantz00(
				((BgL_variablez00_bglt) BgL_varz00_2344));
		}

	}



/* substitutions */
	BGL_EXPORTED_DEF obj_t
		BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_56,
		obj_t BgL_actualsz00_57, obj_t BgL_varzd2argszd2_58)
	{
		{	/* Inline/variant.scm 100 */
			{	/* Inline/variant.scm 101 */
				BgL_valuez00_bglt BgL_funz00_1522;

				BgL_funz00_1522 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_56))->BgL_valuez00);
				{	/* Inline/variant.scm 101 */
					obj_t BgL_allzd2argszd2_1523;

					BgL_allzd2argszd2_1523 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1522)))->BgL_argsz00);
					{	/* Inline/variant.scm 102 */

						{
							obj_t BgL_actualsz00_1526;
							obj_t BgL_allzd2argszd2_1527;
							obj_t BgL_varzd2argszd2_1528;
							obj_t BgL_substitutionsz00_1529;

							BgL_actualsz00_1526 = BgL_actualsz00_57;
							BgL_allzd2argszd2_1527 = BgL_allzd2argszd2_1523;
							BgL_varzd2argszd2_1528 = BgL_varzd2argszd2_58;
							BgL_substitutionsz00_1529 = BNIL;
						BgL_zc3z04anonymousza31389ze3z87_1530:
							if (NULLP(BgL_allzd2argszd2_1527))
								{	/* Inline/variant.scm 108 */
									return bgl_reverse_bang(BgL_substitutionsz00_1529);
								}
							else
								{	/* Inline/variant.scm 110 */
									bool_t BgL_test1890z00_2966;

									{	/* Inline/variant.scm 110 */
										BgL_localz00_bglt BgL_oz00_2038;

										BgL_oz00_2038 =
											((BgL_localz00_bglt)
											CAR(((obj_t) BgL_allzd2argszd2_1527)));
										{
											BgL_localzf2variantzf2_bglt BgL_auxz00_2970;

											{
												obj_t BgL_auxz00_2971;

												{	/* Inline/variant.scm 110 */
													BgL_objectz00_bglt BgL_tmpz00_2972;

													BgL_tmpz00_2972 =
														((BgL_objectz00_bglt) BgL_oz00_2038);
													BgL_auxz00_2971 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2972);
												}
												BgL_auxz00_2970 =
													((BgL_localzf2variantzf2_bglt) BgL_auxz00_2971);
											}
											BgL_test1890z00_2966 =
												(((BgL_localzf2variantzf2_bglt)
													COBJECT(BgL_auxz00_2970))->BgL_variantz00);
										}
									}
									if (BgL_test1890z00_2966)
										{	/* Inline/variant.scm 111 */
											obj_t BgL_arg1421z00_1534;
											obj_t BgL_arg1422z00_1535;
											obj_t BgL_arg1426z00_1536;
											obj_t BgL_arg1429z00_1537;

											BgL_arg1421z00_1534 = CDR(((obj_t) BgL_actualsz00_1526));
											BgL_arg1422z00_1535 =
												CDR(((obj_t) BgL_allzd2argszd2_1527));
											BgL_arg1426z00_1536 =
												CDR(((obj_t) BgL_varzd2argszd2_1528));
											{	/* Inline/variant.scm 114 */
												obj_t BgL_arg1458z00_1538;

												BgL_arg1458z00_1538 =
													CAR(((obj_t) BgL_varzd2argszd2_1528));
												BgL_arg1429z00_1537 =
													MAKE_YOUNG_PAIR(BgL_arg1458z00_1538,
													BgL_substitutionsz00_1529);
											}
											{
												obj_t BgL_substitutionsz00_2989;
												obj_t BgL_varzd2argszd2_2988;
												obj_t BgL_allzd2argszd2_2987;
												obj_t BgL_actualsz00_2986;

												BgL_actualsz00_2986 = BgL_arg1421z00_1534;
												BgL_allzd2argszd2_2987 = BgL_arg1422z00_1535;
												BgL_varzd2argszd2_2988 = BgL_arg1426z00_1536;
												BgL_substitutionsz00_2989 = BgL_arg1429z00_1537;
												BgL_substitutionsz00_1529 = BgL_substitutionsz00_2989;
												BgL_varzd2argszd2_1528 = BgL_varzd2argszd2_2988;
												BgL_allzd2argszd2_1527 = BgL_allzd2argszd2_2987;
												BgL_actualsz00_1526 = BgL_actualsz00_2986;
												goto BgL_zc3z04anonymousza31389ze3z87_1530;
											}
										}
									else
										{	/* Inline/variant.scm 116 */
											obj_t BgL_arg1467z00_1539;
											obj_t BgL_arg1468z00_1540;
											obj_t BgL_arg1482z00_1541;

											BgL_arg1467z00_1539 = CDR(((obj_t) BgL_actualsz00_1526));
											BgL_arg1468z00_1540 =
												CDR(((obj_t) BgL_allzd2argszd2_1527));
											{	/* Inline/variant.scm 119 */
												obj_t BgL_arg1484z00_1542;

												{	/* Inline/variant.scm 119 */
													bool_t BgL_test1891z00_2994;

													{	/* Inline/variant.scm 119 */
														obj_t BgL_arg1510z00_1546;

														BgL_arg1510z00_1546 =
															CAR(((obj_t) BgL_actualsz00_1526));
														{	/* Inline/variant.scm 119 */
															obj_t BgL_classz00_2047;

															BgL_classz00_2047 = BGl_varz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_arg1510z00_1546))
																{	/* Inline/variant.scm 119 */
																	BgL_objectz00_bglt BgL_arg1820z00_2049;

																	BgL_arg1820z00_2049 =
																		(BgL_objectz00_bglt) (BgL_arg1510z00_1546);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Inline/variant.scm 119 */
																			long BgL_idxz00_2055;

																			BgL_idxz00_2055 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_2049);
																			BgL_test1891z00_2994 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2055 + ((long) 2))) ==
																				BgL_classz00_2047);
																		}
																	else
																		{	/* Inline/variant.scm 119 */
																			bool_t BgL_res1793z00_2077;

																			{	/* Inline/variant.scm 119 */
																				obj_t BgL_oclassz00_2063;

																				{	/* Inline/variant.scm 119 */
																					long BgL_arg1828z00_2069;

																					{	/* Inline/variant.scm 119 */
																						long BgL_arg1829z00_2070;

																						BgL_arg1829z00_2070 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_2049);
																						BgL_arg1828z00_2069 =
																							(BgL_arg1829z00_2070 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2063 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_2069);
																				}
																				{	/* Inline/variant.scm 119 */
																					bool_t BgL__ortest_1111z00_2064;

																					BgL__ortest_1111z00_2064 =
																						(BgL_classz00_2047 ==
																						BgL_oclassz00_2063);
																					if (BgL__ortest_1111z00_2064)
																						{	/* Inline/variant.scm 119 */
																							BgL_res1793z00_2077 =
																								BgL__ortest_1111z00_2064;
																						}
																					else
																						{	/* Inline/variant.scm 119 */
																							long BgL_odepthz00_2065;

																							BgL_odepthz00_2065 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2063);
																							if ((((long) 2) <
																									BgL_odepthz00_2065))
																								{	/* Inline/variant.scm 119 */
																									obj_t BgL_arg1816z00_2067;

																									BgL_arg1816z00_2067 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2063,
																										((long) 2));
																									BgL_res1793z00_2077 =
																										(BgL_arg1816z00_2067 ==
																										BgL_classz00_2047);
																								}
																							else
																								{	/* Inline/variant.scm 119 */
																									BgL_res1793z00_2077 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1891z00_2994 =
																				BgL_res1793z00_2077;
																		}
																}
															else
																{	/* Inline/variant.scm 119 */
																	BgL_test1891z00_2994 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test1891z00_2994)
														{	/* Inline/variant.scm 119 */
															BgL_arg1484z00_1542 =
																((obj_t)
																(((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt)
																				CAR(
																					((obj_t) BgL_actualsz00_1526)))))->
																	BgL_variablez00));
														}
													else
														{	/* Inline/variant.scm 119 */
															BgL_arg1484z00_1542 =
																CAR(((obj_t) BgL_actualsz00_1526));
														}
												}
												BgL_arg1482z00_1541 =
													MAKE_YOUNG_PAIR(BgL_arg1484z00_1542,
													BgL_substitutionsz00_1529);
											}
											{
												obj_t BgL_substitutionsz00_3026;
												obj_t BgL_allzd2argszd2_3025;
												obj_t BgL_actualsz00_3024;

												BgL_actualsz00_3024 = BgL_arg1467z00_1539;
												BgL_allzd2argszd2_3025 = BgL_arg1468z00_1540;
												BgL_substitutionsz00_3026 = BgL_arg1482z00_1541;
												BgL_substitutionsz00_1529 = BgL_substitutionsz00_3026;
												BgL_allzd2argszd2_1527 = BgL_allzd2argszd2_3025;
												BgL_actualsz00_1526 = BgL_actualsz00_3024;
												goto BgL_zc3z04anonymousza31389ze3z87_1530;
											}
										}
								}
						}
					}
				}
			}
		}

	}



/* &substitutions */
	obj_t BGl_z62substitutionsz62zzinline_variantz00(obj_t BgL_envz00_2345,
		obj_t BgL_varz00_2346, obj_t BgL_actualsz00_2347,
		obj_t BgL_varzd2argszd2_2348)
	{
		{	/* Inline/variant.scm 100 */
			return
				BGl_substitutionsz00zzinline_variantz00(
				((BgL_variablez00_bglt) BgL_varz00_2346), BgL_actualsz00_2347,
				BgL_varzd2argszd2_2348);
		}

	}



/* shrink-args! */
	BGL_EXPORTED_DEF obj_t
		BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt
		BgL_varz00_59)
	{
		{	/* Inline/variant.scm 127 */
			{	/* Inline/variant.scm 128 */
				BgL_valuez00_bglt BgL_funz00_1549;

				BgL_funz00_1549 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_59))->BgL_valuez00);
				{	/* Inline/variant.scm 128 */
					obj_t BgL_argsz00_1550;

					BgL_argsz00_1550 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1549)))->BgL_argsz00);
					{	/* Inline/variant.scm 129 */

						{
							obj_t BgL_l1286z00_1552;

							{	/* Inline/variant.scm 130 */
								bool_t BgL_tmpz00_3032;

								BgL_l1286z00_1552 = BgL_argsz00_1550;
							BgL_zc3z04anonymousza31512ze3z87_1553:
								if (PAIRP(BgL_l1286z00_1552))
									{	/* Inline/variant.scm 130 */
										{	/* Inline/variant.scm 130 */
											obj_t BgL_az00_1555;

											BgL_az00_1555 = CAR(BgL_l1286z00_1552);
											{	/* Inline/variant.scm 130 */
												bool_t BgL_test1897z00_3036;

												{	/* Inline/variant.scm 130 */
													obj_t BgL_tmpz00_3037;

													{	/* Inline/variant.scm 130 */
														BgL_objectz00_bglt BgL_tmpz00_3038;

														BgL_tmpz00_3038 =
															((BgL_objectz00_bglt) BgL_az00_1555);
														BgL_tmpz00_3037 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3038);
													}
													BgL_test1897z00_3036 = CBOOL(BgL_tmpz00_3037);
												}
												if (BgL_test1897z00_3036)
													{	/* Inline/variant.scm 130 */
														{	/* Inline/variant.scm 130 */
															long BgL_arg1521z00_1558;

															{	/* Inline/variant.scm 130 */
																obj_t BgL_arg1522z00_1559;

																{	/* Inline/variant.scm 130 */
																	obj_t BgL_arg1523z00_1560;

																	{	/* Inline/variant.scm 130 */
																		long BgL_arg1828z00_2088;

																		{	/* Inline/variant.scm 130 */
																			long BgL_arg1829z00_2089;

																			BgL_arg1829z00_2089 =
																				BGL_OBJECT_CLASS_NUM(
																				((BgL_objectz00_bglt) BgL_az00_1555));
																			BgL_arg1828z00_2088 =
																				(BgL_arg1829z00_2089 - OBJECT_TYPE);
																		}
																		BgL_arg1523z00_1560 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_2088);
																	}
																	BgL_arg1522z00_1559 =
																		BGl_classzd2superzd2zz__objectz00
																		(BgL_arg1523z00_1560);
																}
																{	/* Inline/variant.scm 130 */
																	obj_t BgL_tmpz00_3047;

																	BgL_tmpz00_3047 =
																		((obj_t) BgL_arg1522z00_1559);
																	BgL_arg1521z00_1558 =
																		BGL_CLASS_NUM(BgL_tmpz00_3047);
															}}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_az00_1555),
																BgL_arg1521z00_1558);
														}
														{	/* Inline/variant.scm 130 */
															BgL_objectz00_bglt BgL_tmpz00_3052;

															BgL_tmpz00_3052 =
																((BgL_objectz00_bglt) BgL_az00_1555);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3052, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_az00_1555);
														BgL_az00_1555;
													}
												else
													{	/* Inline/variant.scm 130 */
														BFALSE;
													}
											}
										}
										{
											obj_t BgL_l1286z00_3056;

											BgL_l1286z00_3056 = CDR(BgL_l1286z00_1552);
											BgL_l1286z00_1552 = BgL_l1286z00_3056;
											goto BgL_zc3z04anonymousza31512ze3z87_1553;
										}
									}
								else
									{	/* Inline/variant.scm 130 */
										BgL_tmpz00_3032 = ((bool_t) 1);
									}
								return BBOOL(BgL_tmpz00_3032);
							}
						}
					}
				}
			}
		}

	}



/* &shrink-args! */
	obj_t BGl_z62shrinkzd2argsz12za2zzinline_variantz00(obj_t BgL_envz00_2349,
		obj_t BgL_varz00_2350)
	{
		{	/* Inline/variant.scm 127 */
			return
				BGl_shrinkzd2argsz12zc0zzinline_variantz00(
				((BgL_variablez00_bglt) BgL_varz00_2350));
		}

	}



/* remove-invariant-args! */
	BGL_EXPORTED_DEF BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt
		BgL_appz00_60)
	{
		{	/* Inline/variant.scm 141 */
			{	/* Inline/variant.scm 143 */
				obj_t BgL_g1155z00_1564;

				BgL_g1155z00_1564 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(
														(((BgL_appz00_bglt) COBJECT(BgL_appz00_60))->
															BgL_funz00)))->BgL_variablez00)))->
									BgL_valuez00))))->BgL_argsz00);
				{
					obj_t BgL_formalsz00_1568;
					obj_t BgL_oldzd2argszd2_1569;
					obj_t BgL_newzd2argszd2_1570;

					BgL_formalsz00_1568 = BgL_g1155z00_1564;
					BgL_oldzd2argszd2_1569 =
						(((BgL_appz00_bglt) COBJECT(BgL_appz00_60))->BgL_argsz00);
					BgL_newzd2argszd2_1570 = BNIL;
				BgL_zc3z04anonymousza31527ze3z87_1571:
					if (NULLP(BgL_oldzd2argszd2_1569))
						{	/* Inline/variant.scm 147 */
							((((BgL_appz00_bglt) COBJECT(BgL_appz00_60))->BgL_argsz00) =
								((obj_t) bgl_reverse_bang(BgL_newzd2argszd2_1570)), BUNSPEC);
							return BgL_appz00_60;
						}
					else
						{	/* Inline/variant.scm 150 */
							bool_t BgL_test1899z00_3070;

							{	/* Inline/variant.scm 150 */
								bool_t BgL_test1900z00_3071;

								{	/* Inline/variant.scm 150 */
									obj_t BgL_arg1582z00_1589;

									BgL_arg1582z00_1589 = CAR(((obj_t) BgL_formalsz00_1568));
									{	/* Inline/variant.scm 150 */
										obj_t BgL_classz00_2104;

										BgL_classz00_2104 =
											BGl_localzf2variantzf2zzinline_variantz00;
										if (BGL_OBJECTP(BgL_arg1582z00_1589))
											{	/* Inline/variant.scm 150 */
												BgL_objectz00_bglt BgL_arg1820z00_2106;

												BgL_arg1820z00_2106 =
													(BgL_objectz00_bglt) (BgL_arg1582z00_1589);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Inline/variant.scm 150 */
														long BgL_idxz00_2112;

														BgL_idxz00_2112 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2106);
														BgL_test1900z00_3071 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2112 + ((long) 3))) ==
															BgL_classz00_2104);
													}
												else
													{	/* Inline/variant.scm 150 */
														bool_t BgL_res1794z00_2134;

														{	/* Inline/variant.scm 150 */
															obj_t BgL_oclassz00_2120;

															{	/* Inline/variant.scm 150 */
																long BgL_arg1828z00_2126;

																{	/* Inline/variant.scm 150 */
																	long BgL_arg1829z00_2127;

																	BgL_arg1829z00_2127 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2106);
																	BgL_arg1828z00_2126 =
																		(BgL_arg1829z00_2127 - OBJECT_TYPE);
																}
																BgL_oclassz00_2120 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_2126);
															}
															{	/* Inline/variant.scm 150 */
																bool_t BgL__ortest_1111z00_2121;

																BgL__ortest_1111z00_2121 =
																	(BgL_classz00_2104 == BgL_oclassz00_2120);
																if (BgL__ortest_1111z00_2121)
																	{	/* Inline/variant.scm 150 */
																		BgL_res1794z00_2134 =
																			BgL__ortest_1111z00_2121;
																	}
																else
																	{	/* Inline/variant.scm 150 */
																		long BgL_odepthz00_2122;

																		BgL_odepthz00_2122 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2120);
																		if ((((long) 3) < BgL_odepthz00_2122))
																			{	/* Inline/variant.scm 150 */
																				obj_t BgL_arg1816z00_2124;

																				BgL_arg1816z00_2124 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2120, ((long) 3));
																				BgL_res1794z00_2134 =
																					(BgL_arg1816z00_2124 ==
																					BgL_classz00_2104);
																			}
																		else
																			{	/* Inline/variant.scm 150 */
																				BgL_res1794z00_2134 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1900z00_3071 = BgL_res1794z00_2134;
													}
											}
										else
											{	/* Inline/variant.scm 150 */
												BgL_test1900z00_3071 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test1900z00_3071)
									{	/* Inline/variant.scm 151 */
										bool_t BgL_test1905z00_3093;

										{	/* Inline/variant.scm 151 */
											BgL_localz00_bglt BgL_oz00_2136;

											BgL_oz00_2136 =
												((BgL_localz00_bglt)
												CAR(((obj_t) BgL_formalsz00_1568)));
											{
												BgL_localzf2variantzf2_bglt BgL_auxz00_3097;

												{
													obj_t BgL_auxz00_3098;

													{	/* Inline/variant.scm 151 */
														BgL_objectz00_bglt BgL_tmpz00_3099;

														BgL_tmpz00_3099 =
															((BgL_objectz00_bglt) BgL_oz00_2136);
														BgL_auxz00_3098 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3099);
													}
													BgL_auxz00_3097 =
														((BgL_localzf2variantzf2_bglt) BgL_auxz00_3098);
												}
												BgL_test1905z00_3093 =
													(((BgL_localzf2variantzf2_bglt)
														COBJECT(BgL_auxz00_3097))->BgL_variantz00);
											}
										}
										if (BgL_test1905z00_3093)
											{	/* Inline/variant.scm 151 */
												BgL_test1899z00_3070 = ((bool_t) 0);
											}
										else
											{	/* Inline/variant.scm 151 */
												BgL_test1899z00_3070 = ((bool_t) 1);
											}
									}
								else
									{	/* Inline/variant.scm 150 */
										BgL_test1899z00_3070 = ((bool_t) 0);
									}
							}
							if (BgL_test1899z00_3070)
								{	/* Inline/variant.scm 152 */
									obj_t BgL_arg1561z00_1580;
									obj_t BgL_arg1565z00_1581;

									BgL_arg1561z00_1580 = CDR(((obj_t) BgL_formalsz00_1568));
									BgL_arg1565z00_1581 = CDR(((obj_t) BgL_oldzd2argszd2_1569));
									{
										obj_t BgL_oldzd2argszd2_3109;
										obj_t BgL_formalsz00_3108;

										BgL_formalsz00_3108 = BgL_arg1561z00_1580;
										BgL_oldzd2argszd2_3109 = BgL_arg1565z00_1581;
										BgL_oldzd2argszd2_1569 = BgL_oldzd2argszd2_3109;
										BgL_formalsz00_1568 = BgL_formalsz00_3108;
										goto BgL_zc3z04anonymousza31527ze3z87_1571;
									}
								}
							else
								{	/* Inline/variant.scm 156 */
									obj_t BgL_arg1567z00_1582;
									obj_t BgL_arg1570z00_1583;
									obj_t BgL_arg1572z00_1584;

									BgL_arg1567z00_1582 = CDR(((obj_t) BgL_formalsz00_1568));
									BgL_arg1570z00_1583 = CDR(((obj_t) BgL_oldzd2argszd2_1569));
									{	/* Inline/variant.scm 158 */
										obj_t BgL_arg1580z00_1585;

										BgL_arg1580z00_1585 = CAR(((obj_t) BgL_oldzd2argszd2_1569));
										BgL_arg1572z00_1584 =
											MAKE_YOUNG_PAIR(BgL_arg1580z00_1585,
											BgL_newzd2argszd2_1570);
									}
									{
										obj_t BgL_newzd2argszd2_3119;
										obj_t BgL_oldzd2argszd2_3118;
										obj_t BgL_formalsz00_3117;

										BgL_formalsz00_3117 = BgL_arg1567z00_1582;
										BgL_oldzd2argszd2_3118 = BgL_arg1570z00_1583;
										BgL_newzd2argszd2_3119 = BgL_arg1572z00_1584;
										BgL_newzd2argszd2_1570 = BgL_newzd2argszd2_3119;
										BgL_oldzd2argszd2_1569 = BgL_oldzd2argszd2_3118;
										BgL_formalsz00_1568 = BgL_formalsz00_3117;
										goto BgL_zc3z04anonymousza31527ze3z87_1571;
									}
								}
						}
				}
			}
		}

	}



/* &remove-invariant-args! */
	BgL_appz00_bglt
		BGl_z62removezd2invariantzd2argsz12z70zzinline_variantz00(obj_t
		BgL_envz00_2351, obj_t BgL_appz00_2352)
	{
		{	/* Inline/variant.scm 141 */
			return
				BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(
				((BgL_appz00_bglt) BgL_appz00_2352));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			{	/* Inline/variant.scm 22 */
				obj_t BgL_arg1615z00_1598;
				obj_t BgL_arg1616z00_1599;

				{	/* Inline/variant.scm 22 */
					obj_t BgL_v1288z00_1634;

					BgL_v1288z00_1634 = create_vector(((long) 1));
					{	/* Inline/variant.scm 22 */
						obj_t BgL_arg1641z00_1635;

						BgL_arg1641z00_1635 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc1799z00zzinline_variantz00,
							BGl_proc1798z00zzinline_variantz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1288z00_1634, ((long) 0), BgL_arg1641z00_1635);
					}
					BgL_arg1615z00_1598 = BgL_v1288z00_1634;
				}
				{	/* Inline/variant.scm 22 */
					obj_t BgL_v1289z00_1645;

					BgL_v1289z00_1645 = create_vector(((long) 0));
					BgL_arg1616z00_1599 = BgL_v1289z00_1645;
				}
				return (BGl_localzf2variantzf2zzinline_variantz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 4)),
						CNST_TABLE_REF(((long) 5)), BGl_localz00zzast_varz00,
						((long) 37050), BGl_proc1803z00zzinline_variantz00,
						BGl_proc1802z00zzinline_variantz00, BFALSE,
						BGl_proc1801z00zzinline_variantz00,
						BGl_proc1800z00zzinline_variantz00, BgL_arg1615z00_1598,
						BgL_arg1616z00_1599), BUNSPEC);
		}}

	}



/* &lambda1634 */
	BgL_localz00_bglt BGl_z62lambda1634z62zzinline_variantz00(obj_t
		BgL_envz00_2359, obj_t BgL_o1121z00_2360)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				long BgL_arg1635z00_2415;

				{	/* Inline/variant.scm 22 */
					obj_t BgL_arg1636z00_2416;

					{	/* Inline/variant.scm 22 */
						obj_t BgL_arg1639z00_2417;

						{	/* Inline/variant.scm 22 */
							long BgL_arg1828z00_2418;

							{	/* Inline/variant.scm 22 */
								long BgL_arg1829z00_2419;

								BgL_arg1829z00_2419 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1121z00_2360)));
								BgL_arg1828z00_2418 = (BgL_arg1829z00_2419 - OBJECT_TYPE);
							}
							BgL_arg1639z00_2417 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_2418);
						}
						BgL_arg1636z00_2416 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1639z00_2417);
					}
					{	/* Inline/variant.scm 22 */
						obj_t BgL_tmpz00_3138;

						BgL_tmpz00_3138 = ((obj_t) BgL_arg1636z00_2416);
						BgL_arg1635z00_2415 = BGL_CLASS_NUM(BgL_tmpz00_3138);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1121z00_2360)), BgL_arg1635z00_2415);
			}
			{	/* Inline/variant.scm 22 */
				BgL_objectz00_bglt BgL_tmpz00_3144;

				BgL_tmpz00_3144 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2360));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3144, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2360));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2360));
		}

	}



/* &<@anonymous:1633> */
	obj_t BGl_z62zc3z04anonymousza31633ze3ze5zzinline_variantz00(obj_t
		BgL_envz00_2361, obj_t BgL_new1120z00_2362)
	{
		{	/* Inline/variant.scm 22 */
			{
				BgL_localz00_bglt BgL_auxz00_3152;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_2362))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2362))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3160;

					{	/* Inline/variant.scm 22 */
						obj_t BgL_classz00_2421;

						BgL_classz00_2421 = BGl_typez00zztype_typez00;
						{	/* Inline/variant.scm 22 */
							obj_t BgL__ortest_1113z00_2422;

							BgL__ortest_1113z00_2422 = BGL_CLASS_NIL(BgL_classz00_2421);
							if (CBOOL(BgL__ortest_1113z00_2422))
								{	/* Inline/variant.scm 22 */
									BgL_auxz00_3160 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_2422);
								}
							else
								{	/* Inline/variant.scm 22 */
									BgL_auxz00_3160 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2421));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_2362))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3160), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3170;

					{	/* Inline/variant.scm 22 */
						obj_t BgL_classz00_2423;

						BgL_classz00_2423 = BGl_valuez00zzast_varz00;
						{	/* Inline/variant.scm 22 */
							obj_t BgL__ortest_1113z00_2424;

							BgL__ortest_1113z00_2424 = BGL_CLASS_NIL(BgL_classz00_2423);
							if (CBOOL(BgL__ortest_1113z00_2424))
								{	/* Inline/variant.scm 22 */
									BgL_auxz00_3170 =
										((BgL_valuez00_bglt) BgL__ortest_1113z00_2424);
								}
							else
								{	/* Inline/variant.scm 22 */
									BgL_auxz00_3170 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2423));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_2362))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3170), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_2362))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2362))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2362))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2362))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2362))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2362))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2362))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2362))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2362))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_3207;

					{
						obj_t BgL_auxz00_3208;

						{	/* Inline/variant.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3209;

							BgL_tmpz00_3209 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1120z00_2362));
							BgL_auxz00_3208 = BGL_OBJECT_WIDENING(BgL_tmpz00_3209);
						}
						BgL_auxz00_3207 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_3208);
					}
					((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_3207))->
							BgL_variantz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_3152 = ((BgL_localz00_bglt) BgL_new1120z00_2362);
				return ((obj_t) BgL_auxz00_3152);
			}
		}

	}



/* &lambda1630 */
	BgL_localz00_bglt BGl_z62lambda1630z62zzinline_variantz00(obj_t
		BgL_envz00_2363, obj_t BgL_o1117z00_2364)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				BgL_localzf2variantzf2_bglt BgL_wide1119z00_2426;

				BgL_wide1119z00_2426 =
					((BgL_localzf2variantzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2variantzf2_bgl))));
				{	/* Inline/variant.scm 22 */
					obj_t BgL_auxz00_3222;
					BgL_objectz00_bglt BgL_tmpz00_3218;

					BgL_auxz00_3222 = ((obj_t) BgL_wide1119z00_2426);
					BgL_tmpz00_3218 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2364)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3218, BgL_auxz00_3222);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2364)));
				{	/* Inline/variant.scm 22 */
					long BgL_arg1632z00_2427;

					BgL_arg1632z00_2427 =
						BGL_CLASS_NUM(BGl_localzf2variantzf2zzinline_variantz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1117z00_2364))), BgL_arg1632z00_2427);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2364)));
			}
		}

	}



/* &lambda1617 */
	BgL_localz00_bglt BGl_z62lambda1617z62zzinline_variantz00(obj_t
		BgL_envz00_2365, obj_t BgL_id1103z00_2366, obj_t BgL_name1104z00_2367,
		obj_t BgL_type1105z00_2368, obj_t BgL_value1106z00_2369,
		obj_t BgL_access1107z00_2370, obj_t BgL_fastzd2alpha1108zd2_2371,
		obj_t BgL_removable1109z00_2372, obj_t BgL_occurrence1110z00_2373,
		obj_t BgL_occurrencew1111z00_2374, obj_t BgL_userzf31112zf3_2375,
		obj_t BgL_key1113z00_2376, obj_t BgL_valzd2noescape1114zd2_2377,
		obj_t BgL_volatile1115z00_2378, obj_t BgL_variant1116z00_2379)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				long BgL_occurrence1110z00_2431;
				long BgL_occurrencew1111z00_2432;
				bool_t BgL_userzf31112zf3_2433;
				long BgL_key1113z00_2434;
				bool_t BgL_volatile1115z00_2435;
				bool_t BgL_variant1116z00_2436;

				BgL_occurrence1110z00_2431 = (long) CINT(BgL_occurrence1110z00_2373);
				BgL_occurrencew1111z00_2432 = (long) CINT(BgL_occurrencew1111z00_2374);
				BgL_userzf31112zf3_2433 = CBOOL(BgL_userzf31112zf3_2375);
				BgL_key1113z00_2434 = (long) CINT(BgL_key1113z00_2376);
				BgL_volatile1115z00_2435 = CBOOL(BgL_volatile1115z00_2378);
				BgL_variant1116z00_2436 = CBOOL(BgL_variant1116z00_2379);
				{	/* Inline/variant.scm 22 */
					BgL_localz00_bglt BgL_new1161z00_2437;

					{	/* Inline/variant.scm 22 */
						BgL_localz00_bglt BgL_tmp1159z00_2438;
						BgL_localzf2variantzf2_bglt BgL_wide1160z00_2439;

						{
							BgL_localz00_bglt BgL_auxz00_3242;

							{	/* Inline/variant.scm 22 */
								BgL_localz00_bglt BgL_new1158z00_2440;

								BgL_new1158z00_2440 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Inline/variant.scm 22 */
									long BgL_arg1629z00_2441;

									BgL_arg1629z00_2441 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1158z00_2440),
										BgL_arg1629z00_2441);
								}
								{	/* Inline/variant.scm 22 */
									BgL_objectz00_bglt BgL_tmpz00_3247;

									BgL_tmpz00_3247 = ((BgL_objectz00_bglt) BgL_new1158z00_2440);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3247, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1158z00_2440);
								BgL_auxz00_3242 = BgL_new1158z00_2440;
							}
							BgL_tmp1159z00_2438 = ((BgL_localz00_bglt) BgL_auxz00_3242);
						}
						BgL_wide1160z00_2439 =
							((BgL_localzf2variantzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2variantzf2_bgl))));
						{	/* Inline/variant.scm 22 */
							obj_t BgL_auxz00_3255;
							BgL_objectz00_bglt BgL_tmpz00_3253;

							BgL_auxz00_3255 = ((obj_t) BgL_wide1160z00_2439);
							BgL_tmpz00_3253 = ((BgL_objectz00_bglt) BgL_tmp1159z00_2438);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3253, BgL_auxz00_3255);
						}
						((BgL_objectz00_bglt) BgL_tmp1159z00_2438);
						{	/* Inline/variant.scm 22 */
							long BgL_arg1625z00_2442;

							BgL_arg1625z00_2442 =
								BGL_CLASS_NUM(BGl_localzf2variantzf2zzinline_variantz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1159z00_2438),
								BgL_arg1625z00_2442);
						}
						BgL_new1161z00_2437 = ((BgL_localz00_bglt) BgL_tmp1159z00_2438);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1161z00_2437)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1103z00_2366)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1161z00_2437)))->BgL_namez00) =
						((obj_t) BgL_name1104z00_2367), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1161z00_2437)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1105z00_2368)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1161z00_2437)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1106z00_2369)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1161z00_2437)))->BgL_accessz00) =
						((obj_t) BgL_access1107z00_2370), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1161z00_2437)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1108zd2_2371), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1161z00_2437)))->BgL_removablez00) =
						((obj_t) BgL_removable1109z00_2372), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1161z00_2437)))->BgL_occurrencez00) =
						((long) BgL_occurrence1110z00_2431), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1161z00_2437)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1111z00_2432), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1161z00_2437)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31112zf3_2433), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1161z00_2437)))->BgL_keyz00) =
						((long) BgL_key1113z00_2434), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1161z00_2437)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1114zd2_2377), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1161z00_2437)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1115z00_2435), BUNSPEC);
					{
						BgL_localzf2variantzf2_bglt BgL_auxz00_3292;

						{
							obj_t BgL_auxz00_3293;

							{	/* Inline/variant.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_3294;

								BgL_tmpz00_3294 = ((BgL_objectz00_bglt) BgL_new1161z00_2437);
								BgL_auxz00_3293 = BGL_OBJECT_WIDENING(BgL_tmpz00_3294);
							}
							BgL_auxz00_3292 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_3293);
						}
						((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_3292))->
								BgL_variantz00) = ((bool_t) BgL_variant1116z00_2436), BUNSPEC);
					}
					return BgL_new1161z00_2437;
				}
			}
		}

	}



/* &lambda1648 */
	obj_t BGl_z62lambda1648z62zzinline_variantz00(obj_t BgL_envz00_2380,
		obj_t BgL_oz00_2381, obj_t BgL_vz00_2382)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				bool_t BgL_vz00_2444;

				BgL_vz00_2444 = CBOOL(BgL_vz00_2382);
				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_3300;

					{
						obj_t BgL_auxz00_3301;

						{	/* Inline/variant.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3302;

							BgL_tmpz00_3302 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2381));
							BgL_auxz00_3301 = BGL_OBJECT_WIDENING(BgL_tmpz00_3302);
						}
						BgL_auxz00_3300 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_3301);
					}
					return
						((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_3300))->
							BgL_variantz00) = ((bool_t) BgL_vz00_2444), BUNSPEC);
				}
			}
		}

	}



/* &lambda1647 */
	obj_t BGl_z62lambda1647z62zzinline_variantz00(obj_t BgL_envz00_2383,
		obj_t BgL_oz00_2384)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				bool_t BgL_tmpz00_3308;

				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_3309;

					{
						obj_t BgL_auxz00_3310;

						{	/* Inline/variant.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3311;

							BgL_tmpz00_3311 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2384));
							BgL_auxz00_3310 = BGL_OBJECT_WIDENING(BgL_tmpz00_3311);
						}
						BgL_auxz00_3309 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_3310);
					}
					BgL_tmpz00_3308 =
						(((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_3309))->
						BgL_variantz00);
				}
				return BBOOL(BgL_tmpz00_3308);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1804z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1804z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1804z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1804z00zzinline_variantz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1804z00zzinline_variantz00));
		}

	}

#ifdef __cplusplus
}
#endif
