/*===========================================================================*/
/*   (Integrate/ctn.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/ctn.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_ctnz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_genericzd2initzd2zzintegrate_ctnz00(void);
	BGL_EXPORTED_DECL obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_ctnz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_ctnz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_ctnz00(void);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62Cnz62Ctz12z12zzintegrate_ctnz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzintegrate_ctnz00(void);
	static obj_t BGl_globaliza7ez12zb5zzintegrate_ctnz00(BgL_localz00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_ctnz00(void);
	static obj_t BGl_zc3z04anonymousza31316ze3ze70z60zzintegrate_ctnz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_Cnz62Ctz12zd2envza2zzintegrate_ctnz00,
		BgL_bgl_za762cnza762ctza712za7121568z00,
		BGl_z62Cnz62Ctz12z12zzintegrate_ctnz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1563z00zzintegrate_ctnz00,
		BgL_bgl_string1563za700za7za7i1569za7, "Cn&Ct!", 6);
	      DEFINE_STRING(BGl_string1564z00zzintegrate_ctnz00,
		BgL_bgl_string1564za700za7za7i1570za7, "Should not be here", 18);
	      DEFINE_STRING(BGl_string1565z00zzintegrate_ctnz00,
		BgL_bgl_string1565za700za7za7i1571za7, "integrate_ctn", 13);
	      DEFINE_STRING(BGl_string1566z00zzintegrate_ctnz00,
		BgL_bgl_string1566za700za7za7i1572za7, "escape tail ", 12);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_ctnz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long
		BgL_checksumz00_1967, char *BgL_fromz00_1968)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_ctnz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_ctnz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_ctnz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00();
					BGl_cnstzd2initzd2zzintegrate_ctnz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00();
					return BGl_methodzd2initzd2zzintegrate_ctnz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_ctn");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			{	/* Integrate/ctn.scm 17 */
				obj_t BgL_cportz00_1956;

				{	/* Integrate/ctn.scm 17 */
					obj_t BgL_stringz00_1963;

					BgL_stringz00_1963 = BGl_string1566z00zzintegrate_ctnz00;
					{	/* Integrate/ctn.scm 17 */
						obj_t BgL_startz00_1964;

						BgL_startz00_1964 = BINT(((long) 0));
						{	/* Integrate/ctn.scm 17 */
							obj_t BgL_endz00_1965;

							BgL_endz00_1965 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1963)));
							{	/* Integrate/ctn.scm 17 */

								BgL_cportz00_1956 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1963, BgL_startz00_1964, BgL_endz00_1965);
				}}}}
				{
					long BgL_iz00_1957;

					BgL_iz00_1957 = ((long) 1);
				BgL_loopz00_1958:
					if ((BgL_iz00_1957 == ((long) -1)))
						{	/* Integrate/ctn.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/ctn.scm 17 */
							{	/* Integrate/ctn.scm 17 */
								obj_t BgL_arg1567z00_1959;

								{	/* Integrate/ctn.scm 17 */

									{	/* Integrate/ctn.scm 17 */
										obj_t BgL_locationz00_1961;

										BgL_locationz00_1961 = BBOOL(((bool_t) 0));
										{	/* Integrate/ctn.scm 17 */

											BgL_arg1567z00_1959 =
												BGl_readz00zz__readerz00(BgL_cportz00_1956,
												BgL_locationz00_1961);
										}
									}
								}
								{	/* Integrate/ctn.scm 17 */
									int BgL_tmpz00_1995;

									BgL_tmpz00_1995 = (int) (BgL_iz00_1957);
									CNST_TABLE_SET(BgL_tmpz00_1995, BgL_arg1567z00_1959);
							}}
							{	/* Integrate/ctn.scm 17 */
								int BgL_auxz00_1962;

								BgL_auxz00_1962 = (int) ((BgL_iz00_1957 - ((long) 1)));
								{
									long BgL_iz00_2000;

									BgL_iz00_2000 = (long) (BgL_auxz00_1962);
									BgL_iz00_1957 = BgL_iz00_2000;
									goto BgL_loopz00_1958;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_ctnz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1561;

				BgL_headz00_1561 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1562;
					obj_t BgL_tailz00_1563;

					BgL_prevz00_1562 = BgL_headz00_1561;
					BgL_tailz00_1563 = BgL_l1z00_1;
				BgL_loopz00_1564:
					if (PAIRP(BgL_tailz00_1563))
						{
							obj_t BgL_newzd2prevzd2_1566;

							BgL_newzd2prevzd2_1566 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1563), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1562, BgL_newzd2prevzd2_1566);
							{
								obj_t BgL_tailz00_2010;
								obj_t BgL_prevz00_2009;

								BgL_prevz00_2009 = BgL_newzd2prevzd2_1566;
								BgL_tailz00_2010 = CDR(BgL_tailz00_1563);
								BgL_tailz00_1563 = BgL_tailz00_2010;
								BgL_prevz00_1562 = BgL_prevz00_2009;
								goto BgL_loopz00_1564;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1561);
				}
			}
		}

	}



/* Cn&Ct! */
	BGL_EXPORTED_DEF obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t BgL_az00_3)
	{
		{	/* Integrate/ctn.scm 33 */
			{
				obj_t BgL_asz00_1571;
				obj_t BgL_gzf2cnzf2_1572;

				BgL_asz00_1571 = BgL_az00_3;
				BgL_gzf2cnzf2_1572 = BNIL;
			BgL_zc3z04anonymousza31261ze3z87_1573:
				if (NULLP(BgL_asz00_1571))
					{	/* Integrate/ctn.scm 36 */
						return BgL_gzf2cnzf2_1572;
					}
				else
					{	/* Integrate/ctn.scm 40 */
						obj_t BgL_az00_1575;

						BgL_az00_1575 = CAR(((obj_t) BgL_asz00_1571));
						{	/* Integrate/ctn.scm 40 */
							obj_t BgL_fz00_1576;

							BgL_fz00_1576 = CAR(((obj_t) BgL_az00_1575));
							{	/* Integrate/ctn.scm 41 */
								obj_t BgL_gz00_1577;

								{	/* Integrate/ctn.scm 42 */
									obj_t BgL_pairz00_1818;

									BgL_pairz00_1818 = CDR(((obj_t) BgL_az00_1575));
									BgL_gz00_1577 = CAR(BgL_pairz00_1818);
								}
								{	/* Integrate/ctn.scm 42 */
									obj_t BgL_kz00_1578;

									{	/* Integrate/ctn.scm 43 */
										obj_t BgL_pairz00_1824;

										{	/* Integrate/ctn.scm 43 */
											obj_t BgL_pairz00_1823;

											BgL_pairz00_1823 = CDR(((obj_t) BgL_az00_1575));
											BgL_pairz00_1824 = CDR(BgL_pairz00_1823);
										}
										BgL_kz00_1578 = CAR(BgL_pairz00_1824);
									}
									{	/* Integrate/ctn.scm 43 */
										BgL_valuez00_bglt BgL_fiz00_1579;

										BgL_fiz00_1579 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_fz00_1576)))->
											BgL_valuez00);
										{	/* Integrate/ctn.scm 44 */
											BgL_valuez00_bglt BgL_giz00_1580;

											BgL_giz00_1580 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_gz00_1577)))->
												BgL_valuez00);
											{	/* Integrate/ctn.scm 45 */

												{	/* Integrate/ctn.scm 47 */
													bool_t BgL_test1578z00_2030;

													{	/* Integrate/ctn.scm 47 */
														obj_t BgL_classz00_1827;

														BgL_classz00_1827 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_gz00_1577))
															{	/* Integrate/ctn.scm 47 */
																BgL_objectz00_bglt BgL_arg1820z00_1829;

																BgL_arg1820z00_1829 =
																	(BgL_objectz00_bglt) (BgL_gz00_1577);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Integrate/ctn.scm 47 */
																		long BgL_idxz00_1835;

																		BgL_idxz00_1835 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_1829);
																		BgL_test1578z00_2030 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1835 + ((long) 2))) ==
																			BgL_classz00_1827);
																	}
																else
																	{	/* Integrate/ctn.scm 47 */
																		bool_t BgL_res1560z00_1857;

																		{	/* Integrate/ctn.scm 47 */
																			obj_t BgL_oclassz00_1843;

																			{	/* Integrate/ctn.scm 47 */
																				long BgL_arg1828z00_1849;

																				{	/* Integrate/ctn.scm 47 */
																					long BgL_arg1829z00_1850;

																					BgL_arg1829z00_1850 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_1829);
																					BgL_arg1828z00_1849 =
																						(BgL_arg1829z00_1850 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1843 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_1849);
																			}
																			{	/* Integrate/ctn.scm 47 */
																				bool_t BgL__ortest_1111z00_1844;

																				BgL__ortest_1111z00_1844 =
																					(BgL_classz00_1827 ==
																					BgL_oclassz00_1843);
																				if (BgL__ortest_1111z00_1844)
																					{	/* Integrate/ctn.scm 47 */
																						BgL_res1560z00_1857 =
																							BgL__ortest_1111z00_1844;
																					}
																				else
																					{	/* Integrate/ctn.scm 47 */
																						long BgL_odepthz00_1845;

																						BgL_odepthz00_1845 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_1843);
																						if ((((long) 2) <
																								BgL_odepthz00_1845))
																							{	/* Integrate/ctn.scm 47 */
																								obj_t BgL_arg1816z00_1847;

																								BgL_arg1816z00_1847 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_1843,
																									((long) 2));
																								BgL_res1560z00_1857 =
																									(BgL_arg1816z00_1847 ==
																									BgL_classz00_1827);
																							}
																						else
																							{	/* Integrate/ctn.scm 47 */
																								BgL_res1560z00_1857 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1578z00_2030 = BgL_res1560z00_1857;
																	}
															}
														else
															{	/* Integrate/ctn.scm 47 */
																BgL_test1578z00_2030 = ((bool_t) 0);
															}
													}
													if (BgL_test1578z00_2030)
														{	/* Integrate/ctn.scm 48 */
															obj_t BgL_arg1267z00_1582;

															BgL_arg1267z00_1582 =
																CDR(((obj_t) BgL_asz00_1571));
															{
																obj_t BgL_asz00_2052;

																BgL_asz00_2052 = BgL_arg1267z00_1582;
																BgL_asz00_1571 = BgL_asz00_2052;
																goto BgL_zc3z04anonymousza31261ze3z87_1573;
															}
														}
													else
														{	/* Integrate/ctn.scm 49 */
															bool_t BgL_test1584z00_2053;

															{
																BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2054;

																{
																	obj_t BgL_auxz00_2055;

																	{	/* Integrate/ctn.scm 49 */
																		BgL_objectz00_bglt BgL_tmpz00_2056;

																		BgL_tmpz00_2056 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt) BgL_giz00_1580));
																		BgL_auxz00_2055 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2056);
																	}
																	BgL_auxz00_2054 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_auxz00_2055);
																}
																BgL_test1584z00_2053 =
																	(((BgL_sfunzf2iinfozf2_bglt)
																		COBJECT(BgL_auxz00_2054))->
																	BgL_forcegzf3zf3);
															}
															if (BgL_test1584z00_2053)
																{	/* Integrate/ctn.scm 50 */
																	bool_t BgL_test1585z00_2062;

																	{
																		BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2063;

																		{
																			obj_t BgL_auxz00_2064;

																			{	/* Integrate/ctn.scm 50 */
																				BgL_objectz00_bglt BgL_tmpz00_2065;

																				BgL_tmpz00_2065 =
																					((BgL_objectz00_bglt)
																					((BgL_sfunz00_bglt) BgL_giz00_1580));
																				BgL_auxz00_2064 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_2065);
																			}
																			BgL_auxz00_2063 =
																				((BgL_sfunzf2iinfozf2_bglt)
																				BgL_auxz00_2064);
																		}
																		BgL_test1585z00_2062 =
																			(((BgL_sfunzf2iinfozf2_bglt)
																				COBJECT(BgL_auxz00_2063))->BgL_gzf3zf3);
																	}
																	if (BgL_test1585z00_2062)
																		{	/* Integrate/ctn.scm 52 */
																			obj_t BgL_arg1270z00_1585;

																			BgL_arg1270z00_1585 =
																				CDR(((obj_t) BgL_asz00_1571));
																			{
																				obj_t BgL_asz00_2073;

																				BgL_asz00_2073 = BgL_arg1270z00_1585;
																				BgL_asz00_1571 = BgL_asz00_2073;
																				goto
																					BgL_zc3z04anonymousza31261ze3z87_1573;
																			}
																		}
																	else
																		{	/* Integrate/ctn.scm 51 */
																			obj_t BgL_arg1271z00_1586;
																			obj_t BgL_arg1273z00_1587;

																			BgL_arg1271z00_1586 =
																				CDR(((obj_t) BgL_asz00_1571));
																			{	/* Integrate/ctn.scm 51 */
																				obj_t BgL_arg1276z00_1588;

																				BgL_arg1276z00_1588 =
																					BGl_globaliza7ez12zb5zzintegrate_ctnz00
																					(((BgL_localz00_bglt) BgL_gz00_1577));
																				BgL_arg1273z00_1587 =
																					BGl_appendzd221011zd2zzintegrate_ctnz00
																					(BgL_arg1276z00_1588,
																					BgL_gzf2cnzf2_1572);
																			}
																			{
																				obj_t BgL_gzf2cnzf2_2080;
																				obj_t BgL_asz00_2079;

																				BgL_asz00_2079 = BgL_arg1271z00_1586;
																				BgL_gzf2cnzf2_2080 =
																					BgL_arg1273z00_1587;
																				BgL_gzf2cnzf2_1572 = BgL_gzf2cnzf2_2080;
																				BgL_asz00_1571 = BgL_asz00_2079;
																				goto
																					BgL_zc3z04anonymousza31261ze3z87_1573;
																			}
																		}
																}
															else
																{	/* Integrate/ctn.scm 49 */
																	if (
																		(BgL_kz00_1578 ==
																			CNST_TABLE_REF(((long) 0))))
																		{	/* Integrate/ctn.scm 53 */
																			{	/* Integrate/ctn.scm 54 */
																				obj_t BgL_arg1278z00_1589;

																				{	/* Integrate/ctn.scm 54 */
																					obj_t BgL_arg1281z00_1590;

																					{
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_auxz00_2084;
																						{
																							obj_t BgL_auxz00_2085;

																							{	/* Integrate/ctn.scm 54 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2086;
																								BgL_tmpz00_2086 =
																									((BgL_objectz00_bglt) (
																										(BgL_sfunz00_bglt)
																										BgL_fiz00_1579));
																								BgL_auxz00_2085 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2086);
																							}
																							BgL_auxz00_2084 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_auxz00_2085);
																						}
																						BgL_arg1281z00_1590 =
																							(((BgL_sfunzf2iinfozf2_bglt)
																								COBJECT(BgL_auxz00_2084))->
																							BgL_ctz00);
																					}
																					BgL_arg1278z00_1589 =
																						MAKE_YOUNG_PAIR(BgL_gz00_1577,
																						BgL_arg1281z00_1590);
																				}
																				{
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_auxz00_2093;
																					{
																						obj_t BgL_auxz00_2094;

																						{	/* Integrate/ctn.scm 54 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2095;
																							BgL_tmpz00_2095 =
																								((BgL_objectz00_bglt) (
																									(BgL_sfunz00_bglt)
																									BgL_fiz00_1579));
																							BgL_auxz00_2094 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_2095);
																						}
																						BgL_auxz00_2093 =
																							((BgL_sfunzf2iinfozf2_bglt)
																							BgL_auxz00_2094);
																					}
																					((((BgL_sfunzf2iinfozf2_bglt)
																								COBJECT(BgL_auxz00_2093))->
																							BgL_ctz00) =
																						((obj_t) BgL_arg1278z00_1589),
																						BUNSPEC);
																			}}
																			{	/* Integrate/ctn.scm 55 */
																				bool_t BgL_test1588z00_2101;

																				if ((BgL_fz00_1576 == BgL_gz00_1577))
																					{	/* Integrate/ctn.scm 55 */
																						BgL_test1588z00_2101 = ((bool_t) 0);
																					}
																				else
																					{	/* Integrate/ctn.scm 56 */
																						bool_t BgL_test1590z00_2104;

																						{	/* Integrate/ctn.scm 56 */
																							obj_t BgL_arg1294z00_1598;

																							{
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_auxz00_2105;
																								{
																									obj_t BgL_auxz00_2106;

																									{	/* Integrate/ctn.scm 56 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2107;
																										BgL_tmpz00_2107 =
																											((BgL_objectz00_bglt) (
																												(BgL_sfunz00_bglt)
																												BgL_fiz00_1579));
																										BgL_auxz00_2106 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_2107);
																									}
																									BgL_auxz00_2105 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_auxz00_2106);
																								}
																								BgL_arg1294z00_1598 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2105))->
																									BgL_kontz00);
																							}
																							BgL_test1590z00_2104 =
																								CBOOL
																								(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																								(BgL_gz00_1577,
																									BgL_arg1294z00_1598));
																						}
																						if (BgL_test1590z00_2104)
																							{	/* Integrate/ctn.scm 56 */
																								BgL_test1588z00_2101 =
																									((bool_t) 0);
																							}
																						else
																							{	/* Integrate/ctn.scm 56 */
																								BgL_test1588z00_2101 =
																									((bool_t) 1);
																							}
																					}
																				if (BgL_test1588z00_2101)
																					{	/* Integrate/ctn.scm 57 */
																						obj_t BgL_arg1292z00_1595;

																						{	/* Integrate/ctn.scm 57 */
																							obj_t BgL_arg1293z00_1596;

																							{
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_auxz00_2115;
																								{
																									obj_t BgL_auxz00_2116;

																									{	/* Integrate/ctn.scm 57 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2117;
																										BgL_tmpz00_2117 =
																											((BgL_objectz00_bglt) (
																												(BgL_sfunz00_bglt)
																												BgL_fiz00_1579));
																										BgL_auxz00_2116 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_2117);
																									}
																									BgL_auxz00_2115 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_auxz00_2116);
																								}
																								BgL_arg1293z00_1596 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2115))->
																									BgL_kontz00);
																							}
																							BgL_arg1292z00_1595 =
																								MAKE_YOUNG_PAIR(BgL_gz00_1577,
																								BgL_arg1293z00_1596);
																						}
																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_2124;
																							{
																								obj_t BgL_auxz00_2125;

																								{	/* Integrate/ctn.scm 57 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2126;
																									BgL_tmpz00_2126 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_fiz00_1579));
																									BgL_auxz00_2125 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_2126);
																								}
																								BgL_auxz00_2124 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_2125);
																							}
																							((((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2124))->
																									BgL_kontz00) =
																								((obj_t) BgL_arg1292z00_1595),
																								BUNSPEC);
																						}
																					}
																				else
																					{	/* Integrate/ctn.scm 55 */
																						BFALSE;
																					}
																			}
																			{	/* Integrate/ctn.scm 58 */
																				obj_t BgL_arg1295z00_1599;

																				BgL_arg1295z00_1599 =
																					CDR(((obj_t) BgL_asz00_1571));
																				{
																					obj_t BgL_asz00_2134;

																					BgL_asz00_2134 = BgL_arg1295z00_1599;
																					BgL_asz00_1571 = BgL_asz00_2134;
																					goto
																						BgL_zc3z04anonymousza31261ze3z87_1573;
																				}
																			}
																		}
																	else
																		{	/* Integrate/ctn.scm 53 */
																			if (
																				(BgL_kz00_1578 ==
																					CNST_TABLE_REF(((long) 1))))
																				{	/* Integrate/ctn.scm 59 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string1563z00zzintegrate_ctnz00,
																						BGl_string1564z00zzintegrate_ctnz00,
																						BgL_az00_1575);
																				}
																			else
																				{	/* Integrate/ctn.scm 61 */
																					bool_t BgL_test1593z00_2139;

																					{	/* Integrate/ctn.scm 61 */
																						obj_t BgL_tmpz00_2140;

																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_2141;
																							{
																								obj_t BgL_auxz00_2142;

																								{	/* Integrate/ctn.scm 61 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2143;
																									BgL_tmpz00_2143 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_giz00_1580));
																									BgL_auxz00_2142 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_2143);
																								}
																								BgL_auxz00_2141 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_2142);
																							}
																							BgL_tmpz00_2140 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2141))->
																								BgL_uz00);
																						}
																						BgL_test1593z00_2139 =
																							CBOOL(BgL_tmpz00_2140);
																					}
																					if (BgL_test1593z00_2139)
																						{	/* Integrate/ctn.scm 61 */
																							{	/* Integrate/ctn.scm 62 */
																								obj_t BgL_arg1298z00_1601;

																								{	/* Integrate/ctn.scm 62 */
																									obj_t BgL_arg1299z00_1602;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2150;
																										{
																											obj_t BgL_auxz00_2151;

																											{	/* Integrate/ctn.scm 62 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2152;
																												BgL_tmpz00_2152 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fiz00_1579));
																												BgL_auxz00_2151 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2152);
																											}
																											BgL_auxz00_2150 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2151);
																										}
																										BgL_arg1299z00_1602 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2150))->BgL_ctz00);
																									}
																									BgL_arg1298z00_1601 =
																										MAKE_YOUNG_PAIR
																										(BgL_gz00_1577,
																										BgL_arg1299z00_1602);
																								}
																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2159;
																									{
																										obj_t BgL_auxz00_2160;

																										{	/* Integrate/ctn.scm 62 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2161;
																											BgL_tmpz00_2161 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_fiz00_1579));
																											BgL_auxz00_2160 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2161);
																										}
																										BgL_auxz00_2159 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2160);
																									}
																									((((BgL_sfunzf2iinfozf2_bglt)
																												COBJECT
																												(BgL_auxz00_2159))->
																											BgL_ctz00) =
																										((obj_t)
																											BgL_arg1298z00_1601),
																										BUNSPEC);
																								}
																							}
																							{	/* Integrate/ctn.scm 63 */
																								bool_t BgL_test1594z00_2167;

																								{	/* Integrate/ctn.scm 63 */
																									obj_t BgL_arg1306z00_1607;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2168;
																										{
																											obj_t BgL_auxz00_2169;

																											{	/* Integrate/ctn.scm 63 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2170;
																												BgL_tmpz00_2170 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fiz00_1579));
																												BgL_auxz00_2169 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2170);
																											}
																											BgL_auxz00_2168 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2169);
																										}
																										BgL_arg1306z00_1607 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2168))->BgL_kontz00);
																									}
																									BgL_test1594z00_2167 =
																										CBOOL
																										(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																										(BgL_gz00_1577,
																											BgL_arg1306z00_1607));
																								}
																								if (BgL_test1594z00_2167)
																									{	/* Integrate/ctn.scm 63 */
																										BFALSE;
																									}
																								else
																									{	/* Integrate/ctn.scm 64 */
																										obj_t BgL_arg1304z00_1605;

																										{	/* Integrate/ctn.scm 64 */
																											obj_t BgL_arg1305z00_1606;

																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2178;
																												{
																													obj_t BgL_auxz00_2179;

																													{	/* Integrate/ctn.scm 64 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2180;
																														BgL_tmpz00_2180 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_fiz00_1579));
																														BgL_auxz00_2179 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2180);
																													}
																													BgL_auxz00_2178 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2179);
																												}
																												BgL_arg1305z00_1606 =
																													(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2178))->BgL_kontz00);
																											}
																											BgL_arg1304z00_1605 =
																												MAKE_YOUNG_PAIR
																												(BgL_gz00_1577,
																												BgL_arg1305z00_1606);
																										}
																										{
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_auxz00_2187;
																											{
																												obj_t BgL_auxz00_2188;

																												{	/* Integrate/ctn.scm 64 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_2189;
																													BgL_tmpz00_2189 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_sfunz00_bglt)
																															BgL_fiz00_1579));
																													BgL_auxz00_2188 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_2189);
																												}
																												BgL_auxz00_2187 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_auxz00_2188);
																											}
																											((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2187))->BgL_kontz00) = ((obj_t) BgL_arg1304z00_1605), BUNSPEC);
																										}
																									}
																							}
																							{	/* Integrate/ctn.scm 65 */
																								obj_t BgL_arg1307z00_1608;

																								BgL_arg1307z00_1608 =
																									CDR(((obj_t) BgL_asz00_1571));
																								{
																									obj_t BgL_asz00_2197;

																									BgL_asz00_2197 =
																										BgL_arg1307z00_1608;
																									BgL_asz00_1571 =
																										BgL_asz00_2197;
																									goto
																										BgL_zc3z04anonymousza31261ze3z87_1573;
																								}
																							}
																						}
																					else
																						{	/* Integrate/ctn.scm 61 */
																							{	/* Integrate/ctn.scm 67 */
																								obj_t BgL_arg1308z00_1609;

																								{	/* Integrate/ctn.scm 67 */
																									obj_t BgL_arg1309z00_1610;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2198;
																										{
																											obj_t BgL_auxz00_2199;

																											{	/* Integrate/ctn.scm 67 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2200;
																												BgL_tmpz00_2200 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fiz00_1579));
																												BgL_auxz00_2199 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2200);
																											}
																											BgL_auxz00_2198 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2199);
																										}
																										BgL_arg1309z00_1610 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2198))->BgL_cnz00);
																									}
																									BgL_arg1308z00_1609 =
																										MAKE_YOUNG_PAIR
																										(BgL_gz00_1577,
																										BgL_arg1309z00_1610);
																								}
																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2207;
																									{
																										obj_t BgL_auxz00_2208;

																										{	/* Integrate/ctn.scm 67 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2209;
																											BgL_tmpz00_2209 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_fiz00_1579));
																											BgL_auxz00_2208 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2209);
																										}
																										BgL_auxz00_2207 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2208);
																									}
																									((((BgL_sfunzf2iinfozf2_bglt)
																												COBJECT
																												(BgL_auxz00_2207))->
																											BgL_cnz00) =
																										((obj_t)
																											BgL_arg1308z00_1609),
																										BUNSPEC);
																								}
																							}
																							{	/* Integrate/ctn.scm 68 */
																								bool_t BgL_test1597z00_2215;

																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2216;
																									{
																										obj_t BgL_auxz00_2217;

																										{	/* Integrate/ctn.scm 68 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2218;
																											BgL_tmpz00_2218 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_giz00_1580));
																											BgL_auxz00_2217 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2218);
																										}
																										BgL_auxz00_2216 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2217);
																									}
																									BgL_test1597z00_2215 =
																										(((BgL_sfunzf2iinfozf2_bglt)
																											COBJECT
																											(BgL_auxz00_2216))->
																										BgL_gzf3zf3);
																								}
																								if (BgL_test1597z00_2215)
																									{	/* Integrate/ctn.scm 70 */
																										obj_t BgL_arg1311z00_1612;

																										BgL_arg1311z00_1612 =
																											CDR(
																											((obj_t) BgL_asz00_1571));
																										{
																											obj_t BgL_asz00_2226;

																											BgL_asz00_2226 =
																												BgL_arg1311z00_1612;
																											BgL_asz00_1571 =
																												BgL_asz00_2226;
																											goto
																												BgL_zc3z04anonymousza31261ze3z87_1573;
																										}
																									}
																								else
																									{	/* Integrate/ctn.scm 69 */
																										obj_t BgL_arg1313z00_1613;
																										obj_t BgL_arg1314z00_1614;

																										BgL_arg1313z00_1613 =
																											CDR(
																											((obj_t) BgL_asz00_1571));
																										{	/* Integrate/ctn.scm 69 */
																											obj_t BgL_arg1315z00_1615;

																											BgL_arg1315z00_1615 =
																												BGl_globaliza7ez12zb5zzintegrate_ctnz00
																												(((BgL_localz00_bglt)
																													BgL_gz00_1577));
																											BgL_arg1314z00_1614 =
																												BGl_appendzd221011zd2zzintegrate_ctnz00
																												(BgL_arg1315z00_1615,
																												BgL_gzf2cnzf2_1572);
																										}
																										{
																											obj_t BgL_gzf2cnzf2_2233;
																											obj_t BgL_asz00_2232;

																											BgL_asz00_2232 =
																												BgL_arg1313z00_1613;
																											BgL_gzf2cnzf2_2233 =
																												BgL_arg1314z00_1614;
																											BgL_gzf2cnzf2_1572 =
																												BgL_gzf2cnzf2_2233;
																											BgL_asz00_1571 =
																												BgL_asz00_2232;
																											goto
																												BgL_zc3z04anonymousza31261ze3z87_1573;
																										}
																									}
																							}
																						}
																				}
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* &Cn&Ct! */
	obj_t BGl_z62Cnz62Ctz12z12zzintegrate_ctnz00(obj_t BgL_envz00_1954,
		obj_t BgL_az00_1955)
	{
		{	/* Integrate/ctn.scm 33 */
			return BGl_Cnz62Ctz12z70zzintegrate_ctnz00(BgL_az00_1955);
		}

	}



/* globalize! */
	obj_t BGl_globaliza7ez12zb5zzintegrate_ctnz00(BgL_localz00_bglt BgL_lz00_4)
	{
		{	/* Integrate/ctn.scm 75 */
			{	/* Integrate/ctn.scm 76 */
				BgL_valuez00_bglt BgL_iz00_1617;

				BgL_iz00_1617 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_lz00_4)))->BgL_valuez00);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2237;

					{
						obj_t BgL_auxz00_2238;

						{	/* Integrate/ctn.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_2239;

							BgL_tmpz00_2239 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_iz00_1617));
							BgL_auxz00_2238 = BGL_OBJECT_WIDENING(BgL_tmpz00_2239);
						}
						BgL_auxz00_2237 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2238);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2237))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
				}
				{	/* Integrate/ctn.scm 78 */
					obj_t BgL_xgz00_1618;

					{	/* Integrate/ctn.scm 78 */
						obj_t BgL_g1241z00_1619;

						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2245;

							{
								obj_t BgL_auxz00_2246;

								{	/* Integrate/ctn.scm 85 */
									BgL_objectz00_bglt BgL_tmpz00_2247;

									BgL_tmpz00_2247 =
										((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_iz00_1617));
									BgL_auxz00_2246 = BGL_OBJECT_WIDENING(BgL_tmpz00_2247);
								}
								BgL_auxz00_2245 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2246);
							}
							BgL_g1241z00_1619 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2245))->
								BgL_xhdlsz00);
						}
						BgL_xgz00_1618 =
							BGl_zc3z04anonymousza31316ze3ze70z60zzintegrate_ctnz00
							(BgL_g1241z00_1619);
					}
					return MAKE_YOUNG_PAIR(((obj_t) BgL_lz00_4), BgL_xgz00_1618);
				}
			}
		}

	}



/* <@anonymous:1316>~0 */
	obj_t BGl_zc3z04anonymousza31316ze3ze70z60zzintegrate_ctnz00(obj_t
		BgL_l1240z00_1621)
	{
		{	/* Integrate/ctn.scm 85 */
			if (NULLP(BgL_l1240z00_1621))
				{	/* Integrate/ctn.scm 85 */
					return BNIL;
				}
			else
				{	/* Integrate/ctn.scm 79 */
					obj_t BgL_arg1318z00_1624;
					obj_t BgL_arg1319z00_1625;

					{	/* Integrate/ctn.scm 79 */
						obj_t BgL_xz00_1626;

						BgL_xz00_1626 = CAR(((obj_t) BgL_l1240z00_1621));
						{	/* Integrate/ctn.scm 79 */
							BgL_valuez00_bglt BgL_xiz00_1627;

							BgL_xiz00_1627 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_xz00_1626))))->BgL_valuez00);
							{	/* Integrate/ctn.scm 80 */
								bool_t BgL_test1601z00_2263;

								{
									BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2264;

									{
										obj_t BgL_auxz00_2265;

										{	/* Integrate/ctn.scm 80 */
											BgL_objectz00_bglt BgL_tmpz00_2266;

											BgL_tmpz00_2266 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_xiz00_1627));
											BgL_auxz00_2265 = BGL_OBJECT_WIDENING(BgL_tmpz00_2266);
										}
										BgL_auxz00_2264 =
											((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2265);
									}
									BgL_test1601z00_2263 =
										(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2264))->
										BgL_gzf3zf3);
								}
								if (BgL_test1601z00_2263)
									{	/* Integrate/ctn.scm 80 */
										BgL_arg1318z00_1624 = BNIL;
									}
								else
									{	/* Integrate/ctn.scm 80 */
										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2272;

											{
												obj_t BgL_auxz00_2273;

												{	/* Integrate/ctn.scm 83 */
													BgL_objectz00_bglt BgL_tmpz00_2274;

													BgL_tmpz00_2274 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_xiz00_1627));
													BgL_auxz00_2273 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2274);
												}
												BgL_auxz00_2272 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2273);
											}
											((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2272))->
													BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
										{	/* Integrate/ctn.scm 84 */
											obj_t BgL_list1321z00_1629;

											BgL_list1321z00_1629 =
												MAKE_YOUNG_PAIR(BgL_xz00_1626, BNIL);
											BgL_arg1318z00_1624 = BgL_list1321z00_1629;
										}
									}
							}
						}
					}
					{	/* Integrate/ctn.scm 85 */
						obj_t BgL_arg1331z00_1630;

						BgL_arg1331z00_1630 = CDR(((obj_t) BgL_l1240z00_1621));
						BgL_arg1319z00_1625 =
							BGl_zc3z04anonymousza31316ze3ze70z60zzintegrate_ctnz00
							(BgL_arg1331z00_1630);
					}
					return bgl_append2(BgL_arg1318z00_1624, BgL_arg1319z00_1625);
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1565z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1565z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1565z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1565z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1565z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1565z00zzintegrate_ctnz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(((long) 523633197),
				BSTRING_TO_STRING(BGl_string1565z00zzintegrate_ctnz00));
		}

	}

#ifdef __cplusplus
}
#endif
