/*===========================================================================*/
/*   (Integrate/cto.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/cto.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_ctoz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt, BgL_localz00_bglt);
	static obj_t BGl_z62setzd2ctoz12zd2app1282z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2makezd2box1308za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2letzd2var1302za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62setzd2ctoz12zd2boxzd2setz121310zb0zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2appzd2ly1284za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_ctoz00(void);
	static obj_t BGl_z62setzd2ctoz12zd2atom1270z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2boxzd2ref1312za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_ctoz00(void);
	static obj_t BGl_objectzd2initzd2zzintegrate_ctoz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2extern1288z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2switch1298z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2funcall1286z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_ctoz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2closure1276z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2kwote1272z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2conditional1294z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2sequence1278z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2cast1290z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2setq1292z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2sync1280z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2fail1296z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_ctoz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_ctoz00(void);
	static obj_t BGl_z62setzd2ctoz12zd2letzd2fun1300za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz121267za2zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12za2zzintegrate_ctoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62setzd2ctoz12zd2setzd2exzd2it1304z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2var1274z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1306z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_GENERIC(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71791z00,
		BGl_z62setzd2ctoz12za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1762z00zzintegrate_ctoz00,
		BgL_bgl_string1762za700za7za7i1792za7, "set-cto!1267", 12);
	      DEFINE_STRING(BGl_string1763z00zzintegrate_ctoz00,
		BgL_bgl_string1763za700za7za7i1793za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1765z00zzintegrate_ctoz00,
		BgL_bgl_string1765za700za7za7i1794za7, "set-cto!", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1761z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza71211795za7,
		BGl_z62setzd2ctoz121267za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1764z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71796z00,
		BGl_z62setzd2ctoz12zd2atom1270z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1766z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71797z00,
		BGl_z62setzd2ctoz12zd2kwote1272z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1767z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71798z00,
		BGl_z62setzd2ctoz12zd2var1274z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1768z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71799z00,
		BGl_z62setzd2ctoz12zd2closure1276z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1769z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71800z00,
		BGl_z62setzd2ctoz12zd2sequence1278z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1770z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71801z00,
		BGl_z62setzd2ctoz12zd2sync1280z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1771z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71802z00,
		BGl_z62setzd2ctoz12zd2app1282z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1772z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71803z00,
		BGl_z62setzd2ctoz12zd2appzd2ly1284za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1773z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71804z00,
		BGl_z62setzd2ctoz12zd2funcall1286z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1774z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71805z00,
		BGl_z62setzd2ctoz12zd2extern1288z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1775z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71806z00,
		BGl_z62setzd2ctoz12zd2cast1290z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71807z00,
		BGl_z62setzd2ctoz12zd2setq1292z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1777z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71808z00,
		BGl_z62setzd2ctoz12zd2conditional1294z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1778z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71809z00,
		BGl_z62setzd2ctoz12zd2fail1296z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71810z00,
		BGl_z62setzd2ctoz12zd2switch1298z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1787z00zzintegrate_ctoz00,
		BgL_bgl_string1787za700za7za7i1811za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string1788z00zzintegrate_ctoz00,
		BgL_bgl_string1788za700za7za7i1812za7, "integrate_cto", 13);
	      DEFINE_STRING(BGl_string1789z00zzintegrate_ctoz00,
		BgL_bgl_string1789za700za7za7i1813za7, "set-cto!1267 ", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71814z00,
		BGl_z62setzd2ctoz12zd2letzd2fun1300za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1781z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71815z00,
		BGl_z62setzd2ctoz12zd2letzd2var1302za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1782z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71816z00,
		BGl_z62setzd2ctoz12zd2setzd2exzd2it1304z70zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1783z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71817z00,
		BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1306z70zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71818z00,
		BGl_z62setzd2ctoz12zd2makezd2box1308za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71819z00,
		BGl_z62setzd2ctoz12zd2boxzd2setz121310zb0zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71820z00,
		BGl_z62setzd2ctoz12zd2boxzd2ref1312za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_ctoz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long
		BgL_checksumz00_2446, char *BgL_fromz00_2447)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_ctoz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_ctoz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_ctoz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00();
					BGl_cnstzd2initzd2zzintegrate_ctoz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00();
					BGl_genericzd2initzd2zzintegrate_ctoz00();
					BGl_methodzd2initzd2zzintegrate_ctoz00();
					return BGl_toplevelzd2initzd2zzintegrate_ctoz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_cto");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			{	/* Integrate/cto.scm 15 */
				obj_t BgL_cportz00_2317;

				{	/* Integrate/cto.scm 15 */
					obj_t BgL_stringz00_2324;

					BgL_stringz00_2324 = BGl_string1789z00zzintegrate_ctoz00;
					{	/* Integrate/cto.scm 15 */
						obj_t BgL_startz00_2325;

						BgL_startz00_2325 = BINT(((long) 0));
						{	/* Integrate/cto.scm 15 */
							obj_t BgL_endz00_2326;

							BgL_endz00_2326 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2324)));
							{	/* Integrate/cto.scm 15 */

								BgL_cportz00_2317 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2324, BgL_startz00_2325, BgL_endz00_2326);
				}}}}
				{
					long BgL_iz00_2318;

					BgL_iz00_2318 = ((long) 0);
				BgL_loopz00_2319:
					if ((BgL_iz00_2318 == ((long) -1)))
						{	/* Integrate/cto.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/cto.scm 15 */
							{	/* Integrate/cto.scm 15 */
								obj_t BgL_arg1790z00_2320;

								{	/* Integrate/cto.scm 15 */

									{	/* Integrate/cto.scm 15 */
										obj_t BgL_locationz00_2322;

										BgL_locationz00_2322 = BBOOL(((bool_t) 0));
										{	/* Integrate/cto.scm 15 */

											BgL_arg1790z00_2320 =
												BGl_readz00zz__readerz00(BgL_cportz00_2317,
												BgL_locationz00_2322);
										}
									}
								}
								{	/* Integrate/cto.scm 15 */
									int BgL_tmpz00_2477;

									BgL_tmpz00_2477 = (int) (BgL_iz00_2318);
									CNST_TABLE_SET(BgL_tmpz00_2477, BgL_arg1790z00_2320);
							}}
							{	/* Integrate/cto.scm 15 */
								int BgL_auxz00_2323;

								BgL_auxz00_2323 = (int) ((BgL_iz00_2318 - ((long) 1)));
								{
									long BgL_iz00_2482;

									BgL_iz00_2482 = (long) (BgL_auxz00_2323);
									BgL_iz00_2318 = BgL_iz00_2482;
									goto BgL_loopz00_2319;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_proc1761z00zzintegrate_ctoz00, BGl_nodez00zzast_nodez00,
				BGl_string1762z00zzintegrate_ctoz00);
		}

	}



/* &set-cto!1267 */
	obj_t BGl_z62setzd2ctoz121267za2zzintegrate_ctoz00(obj_t BgL_envz00_2223,
		obj_t BgL_nodez00_2224, obj_t BgL_localz00_2225)
	{
		{	/* Integrate/cto.scm 28 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string1763z00zzintegrate_ctoz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2224)));
		}

	}



/* set-cto! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt
		BgL_nodez00_3, BgL_localz00_bglt BgL_localz00_4)
	{
		{	/* Integrate/cto.scm 28 */
			{	/* Integrate/cto.scm 28 */
				obj_t BgL_method1268z00_1618;

				{	/* Integrate/cto.scm 28 */
					obj_t BgL_res1757z00_2067;

					{	/* Integrate/cto.scm 28 */
						long BgL_objzd2classzd2numz00_2038;

						BgL_objzd2classzd2numz00_2038 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
						{	/* Integrate/cto.scm 28 */
							obj_t BgL_arg1825z00_2039;

							BgL_arg1825z00_2039 =
								PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
								(int) (((long) 1)));
							{	/* Integrate/cto.scm 28 */
								int BgL_offsetz00_2042;

								BgL_offsetz00_2042 = (int) (BgL_objzd2classzd2numz00_2038);
								{	/* Integrate/cto.scm 28 */
									long BgL_offsetz00_2043;

									BgL_offsetz00_2043 =
										((long) (BgL_offsetz00_2042) - OBJECT_TYPE);
									{	/* Integrate/cto.scm 28 */
										long BgL_modz00_2044;

										BgL_modz00_2044 =
											(BgL_offsetz00_2043 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Integrate/cto.scm 28 */
											long BgL_restz00_2046;

											BgL_restz00_2046 =
												(BgL_offsetz00_2043 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Integrate/cto.scm 28 */

												{	/* Integrate/cto.scm 28 */
													obj_t BgL_bucketz00_2048;

													BgL_bucketz00_2048 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2039), BgL_modz00_2044);
													BgL_res1757z00_2067 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2048), BgL_restz00_2046);
					}}}}}}}}
					BgL_method1268z00_1618 = BgL_res1757z00_2067;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1268z00_1618)) (BgL_method1268z00_1618,
					((obj_t) BgL_nodez00_3), ((obj_t) BgL_localz00_4), BEOA);
			}
		}

	}



/* &set-cto! */
	obj_t BGl_z62setzd2ctoz12za2zzintegrate_ctoz00(obj_t BgL_envz00_2226,
		obj_t BgL_nodez00_2227, obj_t BgL_localz00_2228)
	{
		{	/* Integrate/cto.scm 28 */
			return
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
				((BgL_nodez00_bglt) BgL_nodez00_2227),
				((BgL_localz00_bglt) BgL_localz00_2228));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_atomz00zzast_nodez00,
				BGl_proc1764z00zzintegrate_ctoz00, BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1766z00zzintegrate_ctoz00, BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_varz00zzast_nodez00,
				BGl_proc1767z00zzintegrate_ctoz00, BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_closurez00zzast_nodez00, BGl_proc1768z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1769z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_syncz00zzast_nodez00,
				BGl_proc1770z00zzintegrate_ctoz00, BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_appz00zzast_nodez00,
				BGl_proc1771z00zzintegrate_ctoz00, BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1772z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1773z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_externz00zzast_nodez00, BGl_proc1774z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_castz00zzast_nodez00,
				BGl_proc1775z00zzintegrate_ctoz00, BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_setqz00zzast_nodez00,
				BGl_proc1776z00zzintegrate_ctoz00, BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1777z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_failz00zzast_nodez00,
				BGl_proc1778z00zzintegrate_ctoz00, BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_switchz00zzast_nodez00, BGl_proc1779z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1780z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1781z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1782z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1783z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1784z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1785z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1786z00zzintegrate_ctoz00,
				BGl_string1765z00zzintegrate_ctoz00);
		}

	}



/* &set-cto!-box-ref1312 */
	obj_t BGl_z62setzd2ctoz12zd2boxzd2ref1312za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2251, obj_t BgL_nodez00_2252, obj_t BgL_localz00_2253)
	{
		{	/* Integrate/cto.scm 233 */
			{	/* Integrate/cto.scm 235 */
				BgL_varz00_bglt BgL_arg1580z00_2331;

				BgL_arg1580z00_2331 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2252)))->BgL_varz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
					((BgL_nodez00_bglt) BgL_arg1580z00_2331),
					((BgL_localz00_bglt) BgL_localz00_2253));
			}
		}

	}



/* &set-cto!-box-set!1310 */
	obj_t BGl_z62setzd2ctoz12zd2boxzd2setz121310zb0zzintegrate_ctoz00(obj_t
		BgL_envz00_2254, obj_t BgL_nodez00_2255, obj_t BgL_localz00_2256)
	{
		{	/* Integrate/cto.scm 225 */
			{	/* Integrate/cto.scm 227 */
				BgL_varz00_bglt BgL_arg1570z00_2333;

				BgL_arg1570z00_2333 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2255)))->BgL_varz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
					((BgL_nodez00_bglt) BgL_arg1570z00_2333),
					((BgL_localz00_bglt) BgL_localz00_2256));
			}
			{	/* Integrate/cto.scm 228 */
				BgL_nodez00_bglt BgL_arg1572z00_2334;

				BgL_arg1572z00_2334 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2255)))->BgL_valuez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1572z00_2334,
					((BgL_localz00_bglt) BgL_localz00_2256));
			}
		}

	}



/* &set-cto!-make-box1308 */
	obj_t BGl_z62setzd2ctoz12zd2makezd2box1308za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2257, obj_t BgL_nodez00_2258, obj_t BgL_localz00_2259)
	{
		{	/* Integrate/cto.scm 218 */
			{	/* Integrate/cto.scm 220 */
				BgL_nodez00_bglt BgL_arg1567z00_2336;

				BgL_arg1567z00_2336 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2258)))->BgL_valuez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1567z00_2336,
					((BgL_localz00_bglt) BgL_localz00_2259));
			}
		}

	}



/* &set-cto!-jump-ex-it1306 */
	obj_t BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1306z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2260, obj_t BgL_nodez00_2261, obj_t BgL_localz00_2262)
	{
		{	/* Integrate/cto.scm 210 */
			{	/* Integrate/cto.scm 212 */
				BgL_nodez00_bglt BgL_arg1561z00_2338;

				BgL_arg1561z00_2338 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2261)))->BgL_exitz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1561z00_2338,
					((BgL_localz00_bglt) BgL_localz00_2262));
			}
			{	/* Integrate/cto.scm 213 */
				BgL_nodez00_bglt BgL_arg1565z00_2339;

				BgL_arg1565z00_2339 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2261)))->BgL_valuez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1565z00_2339,
					((BgL_localz00_bglt) BgL_localz00_2262));
			}
		}

	}



/* &set-cto!-set-ex-it1304 */
	obj_t BGl_z62setzd2ctoz12zd2setzd2exzd2it1304z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2263, obj_t BgL_nodez00_2264, obj_t BgL_localz00_2265)
	{
		{	/* Integrate/cto.scm 202 */
			{	/* Integrate/cto.scm 204 */
				BgL_nodez00_bglt BgL_arg1558z00_2341;

				BgL_arg1558z00_2341 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2264)))->BgL_onexitz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1558z00_2341,
					((BgL_localz00_bglt) BgL_localz00_2265));
			}
			{	/* Integrate/cto.scm 205 */
				BgL_nodez00_bglt BgL_arg1559z00_2342;

				BgL_arg1559z00_2342 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2264)))->BgL_bodyz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1559z00_2342,
					((BgL_localz00_bglt) BgL_localz00_2265));
			}
		}

	}



/* &set-cto!-let-var1302 */
	obj_t BGl_z62setzd2ctoz12zd2letzd2var1302za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2266, obj_t BgL_nodez00_2267, obj_t BgL_localz00_2268)
	{
		{	/* Integrate/cto.scm 190 */
			{	/* Integrate/cto.scm 192 */
				obj_t BgL_g1127z00_2344;

				BgL_g1127z00_2344 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2267)))->BgL_bindingsz00);
				{
					obj_t BgL_bindingsz00_2346;

					BgL_bindingsz00_2346 = BgL_g1127z00_2344;
				BgL_liipz00_2345:
					if (NULLP(BgL_bindingsz00_2346))
						{	/* Integrate/cto.scm 194 */
							BgL_nodez00_bglt BgL_arg1526z00_2347;

							BgL_arg1526z00_2347 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2267)))->BgL_bodyz00);
							return
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1526z00_2347,
								((BgL_localz00_bglt) BgL_localz00_2268));
						}
					else
						{	/* Integrate/cto.scm 193 */
							{	/* Integrate/cto.scm 196 */
								obj_t BgL_arg1529z00_2348;

								{	/* Integrate/cto.scm 196 */
									obj_t BgL_pairz00_2349;

									BgL_pairz00_2349 = CAR(((obj_t) BgL_bindingsz00_2346));
									BgL_arg1529z00_2348 = CDR(BgL_pairz00_2349);
								}
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
									((BgL_nodez00_bglt) BgL_arg1529z00_2348),
									((BgL_localz00_bglt) BgL_localz00_2268));
							}
							{	/* Integrate/cto.scm 197 */
								obj_t BgL_arg1535z00_2350;

								BgL_arg1535z00_2350 = CDR(((obj_t) BgL_bindingsz00_2346));
								{
									obj_t BgL_bindingsz00_2597;

									BgL_bindingsz00_2597 = BgL_arg1535z00_2350;
									BgL_bindingsz00_2346 = BgL_bindingsz00_2597;
									goto BgL_liipz00_2345;
								}
							}
						}
				}
			}
		}

	}



/* &set-cto!-let-fun1300 */
	obj_t BGl_z62setzd2ctoz12zd2letzd2fun1300za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2269, obj_t BgL_nodez00_2270, obj_t BgL_localz00_2271)
	{
		{	/* Integrate/cto.scm 175 */
			{	/* Integrate/cto.scm 177 */
				obj_t BgL_g1125z00_2352;

				BgL_g1125z00_2352 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2270)))->BgL_localsz00);
				{
					obj_t BgL_localsz00_2354;

					BgL_localsz00_2354 = BgL_g1125z00_2352;
				BgL_liipz00_2353:
					if (NULLP(BgL_localsz00_2354))
						{	/* Integrate/cto.scm 179 */
							BgL_nodez00_bglt BgL_arg1521z00_2355;

							BgL_arg1521z00_2355 =
								(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_2270)))->BgL_bodyz00);
							return
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1521z00_2355,
								((BgL_localz00_bglt) BgL_localz00_2271));
						}
					else
						{	/* Integrate/cto.scm 180 */
							obj_t BgL_llocalz00_2356;

							BgL_llocalz00_2356 = CAR(((obj_t) BgL_localsz00_2354));
							{	/* Integrate/cto.scm 180 */
								BgL_valuez00_bglt BgL_funz00_2357;

								BgL_funz00_2357 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_llocalz00_2356))))->
									BgL_valuez00);
								{	/* Integrate/cto.scm 182 */

									{	/* Integrate/cto.scm 184 */
										obj_t BgL_arg1522z00_2358;

										BgL_arg1522z00_2358 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2357)))->BgL_bodyz00);
										BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
											((BgL_nodez00_bglt) BgL_arg1522z00_2358),
											((BgL_localz00_bglt) BgL_localz00_2271));
									}
									{	/* Integrate/cto.scm 185 */
										obj_t BgL_arg1523z00_2359;

										BgL_arg1523z00_2359 = CDR(((obj_t) BgL_localsz00_2354));
										{
											obj_t BgL_localsz00_2618;

											BgL_localsz00_2618 = BgL_arg1523z00_2359;
											BgL_localsz00_2354 = BgL_localsz00_2618;
											goto BgL_liipz00_2353;
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* &set-cto!-switch1298 */
	obj_t BGl_z62setzd2ctoz12zd2switch1298z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2272, obj_t BgL_nodez00_2273, obj_t BgL_localz00_2274)
	{
		{	/* Integrate/cto.scm 163 */
			{	/* Integrate/cto.scm 165 */
				obj_t BgL_g1120z00_2361;

				BgL_g1120z00_2361 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2273)))->BgL_clausesz00);
				{
					obj_t BgL_clausesz00_2363;

					BgL_clausesz00_2363 = BgL_g1120z00_2361;
				BgL_liipz00_2362:
					if (NULLP(BgL_clausesz00_2363))
						{	/* Integrate/cto.scm 167 */
							BgL_nodez00_bglt BgL_arg1496z00_2364;

							BgL_arg1496z00_2364 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2273)))->BgL_testz00);
							return
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1496z00_2364,
								((BgL_localz00_bglt) BgL_localz00_2274));
						}
					else
						{	/* Integrate/cto.scm 166 */
							{	/* Integrate/cto.scm 169 */
								obj_t BgL_arg1506z00_2365;

								{	/* Integrate/cto.scm 169 */
									obj_t BgL_pairz00_2366;

									BgL_pairz00_2366 = CAR(((obj_t) BgL_clausesz00_2363));
									BgL_arg1506z00_2365 = CDR(BgL_pairz00_2366);
								}
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
									((BgL_nodez00_bglt) BgL_arg1506z00_2365),
									((BgL_localz00_bglt) BgL_localz00_2274));
							}
							{	/* Integrate/cto.scm 170 */
								obj_t BgL_arg1511z00_2367;

								BgL_arg1511z00_2367 = CDR(((obj_t) BgL_clausesz00_2363));
								{
									obj_t BgL_clausesz00_2635;

									BgL_clausesz00_2635 = BgL_arg1511z00_2367;
									BgL_clausesz00_2363 = BgL_clausesz00_2635;
									goto BgL_liipz00_2362;
								}
							}
						}
				}
			}
		}

	}



/* &set-cto!-fail1296 */
	obj_t BGl_z62setzd2ctoz12zd2fail1296z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2275, obj_t BgL_nodez00_2276, obj_t BgL_localz00_2277)
	{
		{	/* Integrate/cto.scm 154 */
			{	/* Integrate/cto.scm 156 */
				BgL_nodez00_bglt BgL_arg1468z00_2369;

				BgL_arg1468z00_2369 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2276)))->BgL_procz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1468z00_2369,
					((BgL_localz00_bglt) BgL_localz00_2277));
			}
			{	/* Integrate/cto.scm 157 */
				BgL_nodez00_bglt BgL_arg1482z00_2370;

				BgL_arg1482z00_2370 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2276)))->BgL_msgz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1482z00_2370,
					((BgL_localz00_bglt) BgL_localz00_2277));
			}
			{	/* Integrate/cto.scm 158 */
				BgL_nodez00_bglt BgL_arg1484z00_2371;

				BgL_arg1484z00_2371 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2276)))->BgL_objz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1484z00_2371,
					((BgL_localz00_bglt) BgL_localz00_2277));
			}
		}

	}



/* &set-cto!-conditional1294 */
	obj_t BGl_z62setzd2ctoz12zd2conditional1294z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2278, obj_t BgL_nodez00_2279, obj_t BgL_localz00_2280)
	{
		{	/* Integrate/cto.scm 145 */
			{	/* Integrate/cto.scm 147 */
				BgL_nodez00_bglt BgL_arg1429z00_2373;

				BgL_arg1429z00_2373 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2279)))->BgL_testz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1429z00_2373,
					((BgL_localz00_bglt) BgL_localz00_2280));
			}
			{	/* Integrate/cto.scm 148 */
				BgL_nodez00_bglt BgL_arg1458z00_2374;

				BgL_arg1458z00_2374 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2279)))->BgL_truez00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1458z00_2374,
					((BgL_localz00_bglt) BgL_localz00_2280));
			}
			{	/* Integrate/cto.scm 149 */
				BgL_nodez00_bglt BgL_arg1467z00_2375;

				BgL_arg1467z00_2375 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2279)))->BgL_falsez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1467z00_2375,
					((BgL_localz00_bglt) BgL_localz00_2280));
			}
		}

	}



/* &set-cto!-setq1292 */
	obj_t BGl_z62setzd2ctoz12zd2setq1292z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2281, obj_t BgL_nodez00_2282, obj_t BgL_localz00_2283)
	{
		{	/* Integrate/cto.scm 137 */
			{	/* Integrate/cto.scm 139 */
				BgL_varz00_bglt BgL_arg1422z00_2377;

				BgL_arg1422z00_2377 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2282)))->BgL_varz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
					((BgL_nodez00_bglt) BgL_arg1422z00_2377),
					((BgL_localz00_bglt) BgL_localz00_2283));
			}
			{	/* Integrate/cto.scm 140 */
				BgL_nodez00_bglt BgL_arg1426z00_2378;

				BgL_arg1426z00_2378 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2282)))->BgL_valuez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1426z00_2378,
					((BgL_localz00_bglt) BgL_localz00_2283));
			}
		}

	}



/* &set-cto!-cast1290 */
	obj_t BGl_z62setzd2ctoz12zd2cast1290z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2284, obj_t BgL_nodez00_2285, obj_t BgL_localz00_2286)
	{
		{	/* Integrate/cto.scm 130 */
			{	/* Integrate/cto.scm 132 */
				BgL_nodez00_bglt BgL_arg1421z00_2380;

				BgL_arg1421z00_2380 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2285)))->BgL_argz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1421z00_2380,
					((BgL_localz00_bglt) BgL_localz00_2286));
			}
		}

	}



/* &set-cto!-extern1288 */
	obj_t BGl_z62setzd2ctoz12zd2extern1288z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2287, obj_t BgL_nodez00_2288, obj_t BgL_localz00_2289)
	{
		{	/* Integrate/cto.scm 123 */
			{	/* Integrate/cto.scm 125 */
				obj_t BgL_g1266z00_2382;

				BgL_g1266z00_2382 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2288)))->BgL_exprza2za2);
				{
					obj_t BgL_l1264z00_2384;

					{	/* Integrate/cto.scm 125 */
						bool_t BgL_tmpz00_2675;

						BgL_l1264z00_2384 = BgL_g1266z00_2382;
					BgL_zc3z04anonymousza31390ze3z87_2383:
						if (PAIRP(BgL_l1264z00_2384))
							{	/* Integrate/cto.scm 125 */
								{	/* Integrate/cto.scm 125 */
									obj_t BgL_nodez00_2385;

									BgL_nodez00_2385 = CAR(BgL_l1264z00_2384);
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
										((BgL_nodez00_bglt) BgL_nodez00_2385),
										((BgL_localz00_bglt) BgL_localz00_2289));
								}
								{
									obj_t BgL_l1264z00_2682;

									BgL_l1264z00_2682 = CDR(BgL_l1264z00_2384);
									BgL_l1264z00_2384 = BgL_l1264z00_2682;
									goto BgL_zc3z04anonymousza31390ze3z87_2383;
								}
							}
						else
							{	/* Integrate/cto.scm 125 */
								BgL_tmpz00_2675 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_2675);
					}
				}
			}
		}

	}



/* &set-cto!-funcall1286 */
	obj_t BGl_z62setzd2ctoz12zd2funcall1286z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2290, obj_t BgL_nodez00_2291, obj_t BgL_localz00_2292)
	{
		{	/* Integrate/cto.scm 111 */
			{
				obj_t BgL_astsz00_2388;

				BgL_astsz00_2388 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2291)))->BgL_argsz00);
			BgL_liipz00_2387:
				if (NULLP(BgL_astsz00_2388))
					{	/* Integrate/cto.scm 115 */
						BgL_nodez00_bglt BgL_arg1387z00_2389;

						BgL_arg1387z00_2389 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2291)))->BgL_funz00);
						return
							BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1387z00_2389,
							((BgL_localz00_bglt) BgL_localz00_2292));
					}
				else
					{	/* Integrate/cto.scm 114 */
						{	/* Integrate/cto.scm 117 */
							obj_t BgL_arg1388z00_2390;

							BgL_arg1388z00_2390 = CAR(((obj_t) BgL_astsz00_2388));
							BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
								((BgL_nodez00_bglt) BgL_arg1388z00_2390),
								((BgL_localz00_bglt) BgL_localz00_2292));
						}
						{	/* Integrate/cto.scm 118 */
							obj_t BgL_arg1389z00_2391;

							BgL_arg1389z00_2391 = CDR(((obj_t) BgL_astsz00_2388));
							{
								obj_t BgL_astsz00_2698;

								BgL_astsz00_2698 = BgL_arg1389z00_2391;
								BgL_astsz00_2388 = BgL_astsz00_2698;
								goto BgL_liipz00_2387;
							}
						}
					}
			}
		}

	}



/* &set-cto!-app-ly1284 */
	obj_t BGl_z62setzd2ctoz12zd2appzd2ly1284za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2293, obj_t BgL_nodez00_2294, obj_t BgL_localz00_2295)
	{
		{	/* Integrate/cto.scm 103 */
			{	/* Integrate/cto.scm 105 */
				BgL_nodez00_bglt BgL_arg1378z00_2393;

				BgL_arg1378z00_2393 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2294)))->BgL_funz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1378z00_2393,
					((BgL_localz00_bglt) BgL_localz00_2295));
			}
			{	/* Integrate/cto.scm 106 */
				BgL_nodez00_bglt BgL_arg1381z00_2394;

				BgL_arg1381z00_2394 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2294)))->BgL_argz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1381z00_2394,
					((BgL_localz00_bglt) BgL_localz00_2295));
			}
		}

	}



/* &set-cto!-app1282 */
	obj_t BGl_z62setzd2ctoz12zd2app1282z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2296, obj_t BgL_nodez00_2297, obj_t BgL_localz00_2298)
	{
		{	/* Integrate/cto.scm 73 */
			{	/* Integrate/cto.scm 77 */
				BgL_variablez00_bglt BgL_funz00_2396;

				BgL_funz00_2396 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2297)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Integrate/cto.scm 78 */
					bool_t BgL_test1829z00_2712;

					{	/* Integrate/cto.scm 78 */
						bool_t BgL_test1830z00_2713;

						{	/* Integrate/cto.scm 78 */
							obj_t BgL_classz00_2397;

							BgL_classz00_2397 = BGl_localz00zzast_varz00;
							{	/* Integrate/cto.scm 78 */
								BgL_objectz00_bglt BgL_arg1820z00_2398;

								{	/* Integrate/cto.scm 78 */
									obj_t BgL_tmpz00_2714;

									BgL_tmpz00_2714 =
										((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2396));
									BgL_arg1820z00_2398 = (BgL_objectz00_bglt) (BgL_tmpz00_2714);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Integrate/cto.scm 78 */
										long BgL_idxz00_2399;

										BgL_idxz00_2399 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2398);
										BgL_test1830z00_2713 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2399 + ((long) 2))) == BgL_classz00_2397);
									}
								else
									{	/* Integrate/cto.scm 78 */
										bool_t BgL_res1758z00_2402;

										{	/* Integrate/cto.scm 78 */
											obj_t BgL_oclassz00_2403;

											{	/* Integrate/cto.scm 78 */
												long BgL_arg1828z00_2404;

												{	/* Integrate/cto.scm 78 */
													long BgL_arg1829z00_2405;

													BgL_arg1829z00_2405 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2398);
													BgL_arg1828z00_2404 =
														(BgL_arg1829z00_2405 - OBJECT_TYPE);
												}
												BgL_oclassz00_2403 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2404);
											}
											{	/* Integrate/cto.scm 78 */
												bool_t BgL__ortest_1111z00_2406;

												BgL__ortest_1111z00_2406 =
													(BgL_classz00_2397 == BgL_oclassz00_2403);
												if (BgL__ortest_1111z00_2406)
													{	/* Integrate/cto.scm 78 */
														BgL_res1758z00_2402 = BgL__ortest_1111z00_2406;
													}
												else
													{	/* Integrate/cto.scm 78 */
														long BgL_odepthz00_2407;

														BgL_odepthz00_2407 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2403);
														if ((((long) 2) < BgL_odepthz00_2407))
															{	/* Integrate/cto.scm 78 */
																obj_t BgL_arg1816z00_2408;

																BgL_arg1816z00_2408 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2403,
																	((long) 2));
																BgL_res1758z00_2402 =
																	(BgL_arg1816z00_2408 == BgL_classz00_2397);
															}
														else
															{	/* Integrate/cto.scm 78 */
																BgL_res1758z00_2402 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1830z00_2713 = BgL_res1758z00_2402;
									}
							}
						}
						if (BgL_test1830z00_2713)
							{	/* Integrate/cto.scm 78 */
								if ((BgL_localz00_2298 == ((obj_t) BgL_funz00_2396)))
									{	/* Integrate/cto.scm 78 */
										BgL_test1829z00_2712 = ((bool_t) 0);
									}
								else
									{	/* Integrate/cto.scm 78 */
										BgL_test1829z00_2712 = ((bool_t) 1);
									}
							}
						else
							{	/* Integrate/cto.scm 78 */
								BgL_test1829z00_2712 = ((bool_t) 0);
							}
					}
					if (BgL_test1829z00_2712)
						{	/* Integrate/cto.scm 78 */
							BNIL;
						}
					else
						{	/* Integrate/cto.scm 78 */
							BFALSE;
						}
				}
				{	/* Integrate/cto.scm 85 */
					bool_t BgL_test1837z00_2737;

					{	/* Integrate/cto.scm 85 */
						bool_t BgL_test1838z00_2738;

						{	/* Integrate/cto.scm 85 */
							obj_t BgL_classz00_2409;

							BgL_classz00_2409 = BGl_localz00zzast_varz00;
							{	/* Integrate/cto.scm 85 */
								BgL_objectz00_bglt BgL_arg1820z00_2410;

								{	/* Integrate/cto.scm 85 */
									obj_t BgL_tmpz00_2739;

									BgL_tmpz00_2739 =
										((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2396));
									BgL_arg1820z00_2410 = (BgL_objectz00_bglt) (BgL_tmpz00_2739);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Integrate/cto.scm 85 */
										long BgL_idxz00_2411;

										BgL_idxz00_2411 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2410);
										BgL_test1838z00_2738 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2411 + ((long) 2))) == BgL_classz00_2409);
									}
								else
									{	/* Integrate/cto.scm 85 */
										bool_t BgL_res1759z00_2414;

										{	/* Integrate/cto.scm 85 */
											obj_t BgL_oclassz00_2415;

											{	/* Integrate/cto.scm 85 */
												long BgL_arg1828z00_2416;

												{	/* Integrate/cto.scm 85 */
													long BgL_arg1829z00_2417;

													BgL_arg1829z00_2417 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2410);
													BgL_arg1828z00_2416 =
														(BgL_arg1829z00_2417 - OBJECT_TYPE);
												}
												BgL_oclassz00_2415 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2416);
											}
											{	/* Integrate/cto.scm 85 */
												bool_t BgL__ortest_1111z00_2418;

												BgL__ortest_1111z00_2418 =
													(BgL_classz00_2409 == BgL_oclassz00_2415);
												if (BgL__ortest_1111z00_2418)
													{	/* Integrate/cto.scm 85 */
														BgL_res1759z00_2414 = BgL__ortest_1111z00_2418;
													}
												else
													{	/* Integrate/cto.scm 85 */
														long BgL_odepthz00_2419;

														BgL_odepthz00_2419 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2415);
														if ((((long) 2) < BgL_odepthz00_2419))
															{	/* Integrate/cto.scm 85 */
																obj_t BgL_arg1816z00_2420;

																BgL_arg1816z00_2420 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2415,
																	((long) 2));
																BgL_res1759z00_2414 =
																	(BgL_arg1816z00_2420 == BgL_classz00_2409);
															}
														else
															{	/* Integrate/cto.scm 85 */
																BgL_res1759z00_2414 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1838z00_2738 = BgL_res1759z00_2414;
									}
							}
						}
						if (BgL_test1838z00_2738)
							{	/* Integrate/cto.scm 86 */
								bool_t BgL_test1842z00_2759;

								{	/* Integrate/cto.scm 86 */
									BgL_sfunz00_bglt BgL_oz00_2421;

									BgL_oz00_2421 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_funz00_2396))))->
											BgL_valuez00));
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2764;

										{
											obj_t BgL_auxz00_2765;

											{	/* Integrate/cto.scm 86 */
												BgL_objectz00_bglt BgL_tmpz00_2766;

												BgL_tmpz00_2766 = ((BgL_objectz00_bglt) BgL_oz00_2421);
												BgL_auxz00_2765 = BGL_OBJECT_WIDENING(BgL_tmpz00_2766);
											}
											BgL_auxz00_2764 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2765);
										}
										BgL_test1842z00_2759 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2764))->
											BgL_gzf3zf3);
									}
								}
								if (BgL_test1842z00_2759)
									{	/* Integrate/cto.scm 86 */
										if ((BgL_localz00_2298 == ((obj_t) BgL_funz00_2396)))
											{	/* Integrate/cto.scm 87 */
												BgL_test1837z00_2737 = ((bool_t) 0);
											}
										else
											{	/* Integrate/cto.scm 88 */
												bool_t BgL_test1845z00_2774;

												{	/* Integrate/cto.scm 88 */
													obj_t BgL_arg1362z00_2422;

													{	/* Integrate/cto.scm 88 */
														BgL_sfunz00_bglt BgL_oz00_2423;

														BgL_oz00_2423 =
															((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_localz00_2298))))->BgL_valuez00));
														{
															BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2779;

															{
																obj_t BgL_auxz00_2780;

																{	/* Integrate/cto.scm 88 */
																	BgL_objectz00_bglt BgL_tmpz00_2781;

																	BgL_tmpz00_2781 =
																		((BgL_objectz00_bglt) BgL_oz00_2423);
																	BgL_auxz00_2780 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2781);
																}
																BgL_auxz00_2779 =
																	((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2780);
															}
															BgL_arg1362z00_2422 =
																(((BgL_sfunzf2iinfozf2_bglt)
																	COBJECT(BgL_auxz00_2779))->BgL_ctoz00);
														}
													}
													BgL_test1845z00_2774 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
															((obj_t) BgL_funz00_2396), BgL_arg1362z00_2422));
												}
												if (BgL_test1845z00_2774)
													{	/* Integrate/cto.scm 88 */
														BgL_test1837z00_2737 = ((bool_t) 0);
													}
												else
													{	/* Integrate/cto.scm 88 */
														BgL_test1837z00_2737 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Integrate/cto.scm 86 */
										BgL_test1837z00_2737 = ((bool_t) 0);
									}
							}
						else
							{	/* Integrate/cto.scm 85 */
								BgL_test1837z00_2737 = ((bool_t) 0);
							}
					}
					if (BgL_test1837z00_2737)
						{	/* Integrate/cto.scm 89 */
							BgL_valuez00_bglt BgL_arg1356z00_2424;
							obj_t BgL_arg1358z00_2425;

							BgL_arg1356z00_2424 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_localz00_2298))))->BgL_valuez00);
							{	/* Integrate/cto.scm 92 */
								obj_t BgL_arg1359z00_2426;

								{	/* Integrate/cto.scm 91 */
									BgL_sfunz00_bglt BgL_oz00_2427;

									BgL_oz00_2427 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2298))))->
											BgL_valuez00));
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2796;

										{
											obj_t BgL_auxz00_2797;

											{	/* Integrate/cto.scm 91 */
												BgL_objectz00_bglt BgL_tmpz00_2798;

												BgL_tmpz00_2798 = ((BgL_objectz00_bglt) BgL_oz00_2427);
												BgL_auxz00_2797 = BGL_OBJECT_WIDENING(BgL_tmpz00_2798);
											}
											BgL_auxz00_2796 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2797);
										}
										BgL_arg1359z00_2426 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2796))->
											BgL_ctoz00);
									}
								}
								BgL_arg1358z00_2425 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_funz00_2396), BgL_arg1359z00_2426);
							}
							{
								BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2805;

								{
									obj_t BgL_auxz00_2806;

									{	/* Integrate/cto.scm 89 */
										BgL_objectz00_bglt BgL_tmpz00_2807;

										BgL_tmpz00_2807 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_arg1356z00_2424));
										BgL_auxz00_2806 = BGL_OBJECT_WIDENING(BgL_tmpz00_2807);
									}
									BgL_auxz00_2805 =
										((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2806);
								}
								((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2805))->
										BgL_ctoz00) = ((obj_t) BgL_arg1358z00_2425), BUNSPEC);
							}
						}
					else
						{	/* Integrate/cto.scm 85 */
							BFALSE;
						}
				}
			}
			{
				obj_t BgL_astsz00_2429;

				BgL_astsz00_2429 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2297)))->BgL_argsz00);
			BgL_liipz00_2428:
				if (NULLP(BgL_astsz00_2429))
					{	/* Integrate/cto.scm 94 */
						return BUNSPEC;
					}
				else
					{	/* Integrate/cto.scm 94 */
						{	/* Integrate/cto.scm 97 */
							obj_t BgL_arg1375z00_2430;

							BgL_arg1375z00_2430 = CAR(((obj_t) BgL_astsz00_2429));
							BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
								((BgL_nodez00_bglt) BgL_arg1375z00_2430),
								((BgL_localz00_bglt) BgL_localz00_2298));
						}
						{	/* Integrate/cto.scm 98 */
							obj_t BgL_arg1376z00_2431;

							BgL_arg1376z00_2431 = CDR(((obj_t) BgL_astsz00_2429));
							{
								obj_t BgL_astsz00_2822;

								BgL_astsz00_2822 = BgL_arg1376z00_2431;
								BgL_astsz00_2429 = BgL_astsz00_2822;
								goto BgL_liipz00_2428;
							}
						}
					}
			}
		}

	}



/* &set-cto!-sync1280 */
	obj_t BGl_z62setzd2ctoz12zd2sync1280z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2299, obj_t BgL_nodez00_2300, obj_t BgL_localz00_2301)
	{
		{	/* Integrate/cto.scm 64 */
			{	/* Integrate/cto.scm 66 */
				BgL_nodez00_bglt BgL_arg1332z00_2433;

				BgL_arg1332z00_2433 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2300)))->BgL_mutexz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1332z00_2433,
					((BgL_localz00_bglt) BgL_localz00_2301));
			}
			{	/* Integrate/cto.scm 67 */
				BgL_nodez00_bglt BgL_arg1333z00_2434;

				BgL_arg1333z00_2434 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2300)))->BgL_prelockz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1333z00_2434,
					((BgL_localz00_bglt) BgL_localz00_2301));
			}
			{	/* Integrate/cto.scm 68 */
				BgL_nodez00_bglt BgL_arg1334z00_2435;

				BgL_arg1334z00_2435 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2300)))->BgL_bodyz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1334z00_2435,
					((BgL_localz00_bglt) BgL_localz00_2301));
			}
		}

	}



/* &set-cto!-sequence1278 */
	obj_t BGl_z62setzd2ctoz12zd2sequence1278z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2302, obj_t BgL_nodez00_2303, obj_t BgL_localz00_2304)
	{
		{	/* Integrate/cto.scm 57 */
			{	/* Integrate/cto.scm 59 */
				obj_t BgL_g1263z00_2437;

				BgL_g1263z00_2437 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2303)))->BgL_nodesz00);
				{
					obj_t BgL_l1261z00_2439;

					{	/* Integrate/cto.scm 59 */
						bool_t BgL_tmpz00_2839;

						BgL_l1261z00_2439 = BgL_g1263z00_2437;
					BgL_zc3z04anonymousza31318ze3z87_2438:
						if (PAIRP(BgL_l1261z00_2439))
							{	/* Integrate/cto.scm 59 */
								{	/* Integrate/cto.scm 59 */
									obj_t BgL_nodez00_2440;

									BgL_nodez00_2440 = CAR(BgL_l1261z00_2439);
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
										((BgL_nodez00_bglt) BgL_nodez00_2440),
										((BgL_localz00_bglt) BgL_localz00_2304));
								}
								{
									obj_t BgL_l1261z00_2846;

									BgL_l1261z00_2846 = CDR(BgL_l1261z00_2439);
									BgL_l1261z00_2439 = BgL_l1261z00_2846;
									goto BgL_zc3z04anonymousza31318ze3z87_2438;
								}
							}
						else
							{	/* Integrate/cto.scm 59 */
								BgL_tmpz00_2839 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_2839);
					}
				}
			}
		}

	}



/* &set-cto!-closure1276 */
	obj_t BGl_z62setzd2ctoz12zd2closure1276z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2305, obj_t BgL_nodez00_2306, obj_t BgL_localz00_2307)
	{
		{	/* Integrate/cto.scm 51 */
			{	/* Integrate/cto.scm 52 */
				obj_t BgL_arg1317z00_2442;

				BgL_arg1317z00_2442 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2306)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1765z00zzintegrate_ctoz00,
					BGl_string1787z00zzintegrate_ctoz00, BgL_arg1317z00_2442);
			}
		}

	}



/* &set-cto!-var1274 */
	obj_t BGl_z62setzd2ctoz12zd2var1274z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2308, obj_t BgL_nodez00_2309, obj_t BgL_localz00_2310)
	{
		{	/* Integrate/cto.scm 45 */
			return BUNSPEC;
		}

	}



/* &set-cto!-kwote1272 */
	obj_t BGl_z62setzd2ctoz12zd2kwote1272z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2311, obj_t BgL_nodez00_2312, obj_t BgL_localz00_2313)
	{
		{	/* Integrate/cto.scm 39 */
			return BUNSPEC;
		}

	}



/* &set-cto!-atom1270 */
	obj_t BGl_z62setzd2ctoz12zd2atom1270z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2314, obj_t BgL_nodez00_2315, obj_t BgL_localz00_2316)
	{
		{	/* Integrate/cto.scm 33 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1788z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1788z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1788z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1788z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1788z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1788z00zzintegrate_ctoz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1788z00zzintegrate_ctoz00));
		}

	}

#ifdef __cplusplus
}
#endif
