/*===========================================================================*/
/*   (Integrate/g.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/g.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_gz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t
		BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00(void);
	static obj_t BGl_genericzd2initzd2zzintegrate_gz00(void);
	static obj_t BGl_objectzd2initzd2zzintegrate_gz00(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_methodzd2initzd2zzintegrate_gz00(void);
	static obj_t BGl_z62Gz12z70zzintegrate_gz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_gz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_gz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_gz00(void);
	extern obj_t BGl_variablez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_Gz12z12zzintegrate_gz00(obj_t);
	extern obj_t BGl_za2phiza2z00zzintegrate_az00;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1642z00zzintegrate_gz00,
		BgL_bgl_string1642za700za7za7i1643za7, "integrate_g", 11);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_Gz12zd2envzc0zzintegrate_gz00,
		BgL_bgl_za762gza712za770za7za7inte1644za7, BGl_z62Gz12z70zzintegrate_gz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzintegrate_gz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long
		BgL_checksumz00_2216, char *BgL_fromz00_2217)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_gz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_gz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_gz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_gz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_gz00();
					return BGl_methodzd2initzd2zzintegrate_gz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "integrate_g");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"integrate_g");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_g");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_g");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_g");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "integrate_g");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* G! */
	BGL_EXPORTED_DEF obj_t BGl_Gz12z12zzintegrate_gz00(obj_t BgL_gzf2cnzf2_3)
	{
		{	/* Integrate/g.scm 32 */
			{
				bool_t BgL_stopzf3zf3_1569;
				long BgL_stampz00_1570;
				obj_t BgL_gsz00_1571;

				BgL_stopzf3zf3_1569 = ((bool_t) 0);
				BgL_stampz00_1570 = ((long) 0);
				BgL_gsz00_1571 = BgL_gzf2cnzf2_3;
			BgL_zc3z04anonymousza31262ze3z87_1572:
				if (BgL_stopzf3zf3_1569)
					{	/* Integrate/g.scm 37 */
						{
							obj_t BgL_l1243z00_1574;

							BgL_l1243z00_1574 = BGl_za2phiza2z00zzintegrate_az00;
						BgL_zc3z04anonymousza31263ze3z87_1575:
							if (PAIRP(BgL_l1243z00_1574))
								{	/* Integrate/g.scm 41 */
									{	/* Integrate/g.scm 42 */
										obj_t BgL_fz00_1577;

										BgL_fz00_1577 = CAR(BgL_l1243z00_1574);
										{	/* Integrate/g.scm 42 */
											bool_t BgL_test1649z00_2236;

											{	/* Integrate/g.scm 42 */
												obj_t BgL_classz00_1849;

												BgL_classz00_1849 = BGl_localz00zzast_varz00;
												if (BGL_OBJECTP(BgL_fz00_1577))
													{	/* Integrate/g.scm 42 */
														BgL_objectz00_bglt BgL_arg1820z00_1851;

														BgL_arg1820z00_1851 =
															(BgL_objectz00_bglt) (BgL_fz00_1577);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Integrate/g.scm 42 */
																long BgL_idxz00_1857;

																BgL_idxz00_1857 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_1851);
																BgL_test1649z00_2236 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_1857 + ((long) 2))) ==
																	BgL_classz00_1849);
															}
														else
															{	/* Integrate/g.scm 42 */
																bool_t BgL_res1633z00_1879;

																{	/* Integrate/g.scm 42 */
																	obj_t BgL_oclassz00_1865;

																	{	/* Integrate/g.scm 42 */
																		long BgL_arg1828z00_1871;

																		{	/* Integrate/g.scm 42 */
																			long BgL_arg1829z00_1872;

																			BgL_arg1829z00_1872 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_1851);
																			BgL_arg1828z00_1871 =
																				(BgL_arg1829z00_1872 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_1865 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_1871);
																	}
																	{	/* Integrate/g.scm 42 */
																		bool_t BgL__ortest_1111z00_1866;

																		BgL__ortest_1111z00_1866 =
																			(BgL_classz00_1849 == BgL_oclassz00_1865);
																		if (BgL__ortest_1111z00_1866)
																			{	/* Integrate/g.scm 42 */
																				BgL_res1633z00_1879 =
																					BgL__ortest_1111z00_1866;
																			}
																		else
																			{	/* Integrate/g.scm 42 */
																				long BgL_odepthz00_1867;

																				BgL_odepthz00_1867 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_1865);
																				if ((((long) 2) < BgL_odepthz00_1867))
																					{	/* Integrate/g.scm 42 */
																						obj_t BgL_arg1816z00_1869;

																						BgL_arg1816z00_1869 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_1865, ((long) 2));
																						BgL_res1633z00_1879 =
																							(BgL_arg1816z00_1869 ==
																							BgL_classz00_1849);
																					}
																				else
																					{	/* Integrate/g.scm 42 */
																						BgL_res1633z00_1879 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1649z00_2236 = BgL_res1633z00_1879;
															}
													}
												else
													{	/* Integrate/g.scm 42 */
														BgL_test1649z00_2236 = ((bool_t) 0);
													}
											}
											if (BgL_test1649z00_2236)
												{	/* Integrate/g.scm 43 */
													BgL_valuez00_bglt BgL_arg1267z00_1579;

													BgL_arg1267z00_1579 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_fz00_1577))))->
														BgL_valuez00);
													{
														BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2259;

														{
															obj_t BgL_auxz00_2260;

															{	/* Integrate/g.scm 43 */
																BgL_objectz00_bglt BgL_tmpz00_2261;

																BgL_tmpz00_2261 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_arg1267z00_1579));
																BgL_auxz00_2260 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2261);
															}
															BgL_auxz00_2259 =
																((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2260);
														}
														((((BgL_sfunzf2iinfozf2_bglt)
																	COBJECT(BgL_auxz00_2259))->BgL_istampz00) =
															((obj_t) BINT(((long) -1))), BUNSPEC);
												}}
											else
												{	/* Integrate/g.scm 42 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1243z00_2268;

										BgL_l1243z00_2268 = CDR(BgL_l1243z00_1574);
										BgL_l1243z00_1574 = BgL_l1243z00_2268;
										goto BgL_zc3z04anonymousza31263ze3z87_1575;
									}
								}
							else
								{	/* Integrate/g.scm 41 */
									((bool_t) 1);
								}
						}
						BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00
							();
						return BgL_gsz00_1571;
					}
				else
					{
						obj_t BgL_phiz00_1583;
						bool_t BgL_stopzf3zf3_1584;
						obj_t BgL_gsz00_1585;

						BgL_phiz00_1583 = BGl_za2phiza2z00zzintegrate_az00;
						BgL_stopzf3zf3_1584 = ((bool_t) 1);
						BgL_gsz00_1585 = BgL_gsz00_1571;
					BgL_zc3z04anonymousza31269ze3z87_1586:
						if (NULLP(BgL_phiz00_1583))
							{
								obj_t BgL_gsz00_2276;
								long BgL_stampz00_2274;
								bool_t BgL_stopzf3zf3_2273;

								BgL_stopzf3zf3_2273 = BgL_stopzf3zf3_1584;
								BgL_stampz00_2274 = (BgL_stampz00_1570 + ((long) 1));
								BgL_gsz00_2276 = BgL_gsz00_1585;
								BgL_gsz00_1571 = BgL_gsz00_2276;
								BgL_stampz00_1570 = BgL_stampz00_2274;
								BgL_stopzf3zf3_1569 = BgL_stopzf3zf3_2273;
								goto BgL_zc3z04anonymousza31262ze3z87_1572;
							}
						else
							{	/* Integrate/g.scm 54 */
								obj_t BgL_fz00_1589;

								BgL_fz00_1589 = CAR(((obj_t) BgL_phiz00_1583));
								{	/* Integrate/g.scm 54 */
									BgL_valuez00_bglt BgL_fifz00_1590;

									BgL_fifz00_1590 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_fz00_1589)))->BgL_valuez00);
									{	/* Integrate/g.scm 55 */

										{	/* Integrate/g.scm 56 */
											obj_t BgL_g1109z00_1591;

											{
												BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2281;

												{
													obj_t BgL_auxz00_2282;

													{	/* Integrate/g.scm 56 */
														BgL_objectz00_bglt BgL_tmpz00_2283;

														BgL_tmpz00_2283 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_fifz00_1590));
														BgL_auxz00_2282 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2283);
													}
													BgL_auxz00_2281 =
														((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2282);
												}
												BgL_g1109z00_1591 =
													(((BgL_sfunzf2iinfozf2_bglt)
														COBJECT(BgL_auxz00_2281))->BgL_ctz00);
											}
											{
												obj_t BgL_ctz00_1593;
												bool_t BgL_stopzf3zf3_1594;
												obj_t BgL_gsz00_1595;

												BgL_ctz00_1593 = BgL_g1109z00_1591;
												BgL_stopzf3zf3_1594 = BgL_stopzf3zf3_1584;
												BgL_gsz00_1595 = BgL_gsz00_1585;
											BgL_zc3z04anonymousza31272ze3z87_1596:
												if (NULLP(BgL_ctz00_1593))
													{	/* Integrate/g.scm 60 */
														obj_t BgL_arg1276z00_1598;

														BgL_arg1276z00_1598 =
															CDR(((obj_t) BgL_phiz00_1583));
														{
															obj_t BgL_gsz00_2295;
															bool_t BgL_stopzf3zf3_2294;
															obj_t BgL_phiz00_2293;

															BgL_phiz00_2293 = BgL_arg1276z00_1598;
															BgL_stopzf3zf3_2294 = BgL_stopzf3zf3_1594;
															BgL_gsz00_2295 = BgL_gsz00_1595;
															BgL_gsz00_1585 = BgL_gsz00_2295;
															BgL_stopzf3zf3_1584 = BgL_stopzf3zf3_2294;
															BgL_phiz00_1583 = BgL_phiz00_2293;
															goto BgL_zc3z04anonymousza31269ze3z87_1586;
														}
													}
												else
													{	/* Integrate/g.scm 61 */
														obj_t BgL_gz00_1599;

														BgL_gz00_1599 = CAR(((obj_t) BgL_ctz00_1593));
														{	/* Integrate/g.scm 61 */
															BgL_valuez00_bglt BgL_gifz00_1600;

															BgL_gifz00_1600 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_gz00_1599))))->
																BgL_valuez00);
															{	/* Integrate/g.scm 62 */

																if ((BgL_fz00_1589 == BgL_gz00_1599))
																	{	/* Integrate/g.scm 72 */
																		obj_t BgL_arg1278z00_1601;

																		BgL_arg1278z00_1601 =
																			CDR(((obj_t) BgL_ctz00_1593));
																		{
																			obj_t BgL_ctz00_2305;

																			BgL_ctz00_2305 = BgL_arg1278z00_1601;
																			BgL_ctz00_1593 = BgL_ctz00_2305;
																			goto
																				BgL_zc3z04anonymousza31272ze3z87_1596;
																		}
																	}
																else
																	{	/* Integrate/g.scm 73 */
																		bool_t BgL_test1657z00_2306;

																		{
																			BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2307;

																			{
																				obj_t BgL_auxz00_2308;

																				{	/* Integrate/g.scm 73 */
																					BgL_objectz00_bglt BgL_tmpz00_2309;

																					BgL_tmpz00_2309 =
																						((BgL_objectz00_bglt)
																						((BgL_sfunz00_bglt)
																							BgL_gifz00_1600));
																					BgL_auxz00_2308 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_2309);
																				}
																				BgL_auxz00_2307 =
																					((BgL_sfunzf2iinfozf2_bglt)
																					BgL_auxz00_2308);
																			}
																			BgL_test1657z00_2306 =
																				(((BgL_sfunzf2iinfozf2_bglt)
																					COBJECT(BgL_auxz00_2307))->
																				BgL_gzf3zf3);
																		}
																		if (BgL_test1657z00_2306)
																			{	/* Integrate/g.scm 74 */
																				obj_t BgL_arg1281z00_1603;

																				BgL_arg1281z00_1603 =
																					CDR(((obj_t) BgL_ctz00_1593));
																				{
																					obj_t BgL_ctz00_2317;

																					BgL_ctz00_2317 = BgL_arg1281z00_1603;
																					BgL_ctz00_1593 = BgL_ctz00_2317;
																					goto
																						BgL_zc3z04anonymousza31272ze3z87_1596;
																				}
																			}
																		else
																			{	/* Integrate/g.scm 75 */
																				bool_t BgL_test1658z00_2318;

																				{
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_auxz00_2319;
																					{
																						obj_t BgL_auxz00_2320;

																						{	/* Integrate/g.scm 75 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2321;
																							BgL_tmpz00_2321 =
																								((BgL_objectz00_bglt) (
																									(BgL_sfunz00_bglt)
																									BgL_fifz00_1590));
																							BgL_auxz00_2320 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_2321);
																						}
																						BgL_auxz00_2319 =
																							((BgL_sfunzf2iinfozf2_bglt)
																							BgL_auxz00_2320);
																					}
																					BgL_test1658z00_2318 =
																						(((BgL_sfunzf2iinfozf2_bglt)
																							COBJECT(BgL_auxz00_2319))->
																						BgL_gzf3zf3);
																				}
																				if (BgL_test1658z00_2318)
																					{	/* Integrate/g.scm 77 */
																						bool_t BgL_test1659z00_2327;

																						{	/* Integrate/g.scm 77 */
																							obj_t BgL_arg1298z00_1614;

																							{
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_auxz00_2328;
																								{
																									obj_t BgL_auxz00_2329;

																									{	/* Integrate/g.scm 77 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2330;
																										BgL_tmpz00_2330 =
																											((BgL_objectz00_bglt) (
																												(BgL_sfunz00_bglt)
																												BgL_gifz00_1600));
																										BgL_auxz00_2329 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_2330);
																									}
																									BgL_auxz00_2328 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_auxz00_2329);
																								}
																								BgL_arg1298z00_1614 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2328))->
																									BgL_lz00);
																							}
																							{	/* Integrate/g.scm 77 */
																								obj_t BgL_classz00_1900;

																								BgL_classz00_1900 =
																									BGl_variablez00zzast_varz00;
																								if (BGL_OBJECTP
																									(BgL_arg1298z00_1614))
																									{	/* Integrate/g.scm 77 */
																										BgL_objectz00_bglt
																											BgL_arg1820z00_1902;
																										BgL_arg1820z00_1902 =
																											(BgL_objectz00_bglt)
																											(BgL_arg1298z00_1614);
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Integrate/g.scm 77 */
																												long BgL_idxz00_1908;

																												BgL_idxz00_1908 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1820z00_1902);
																												BgL_test1659z00_2327 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_1908 +
																															((long) 1))) ==
																													BgL_classz00_1900);
																											}
																										else
																											{	/* Integrate/g.scm 77 */
																												bool_t
																													BgL_res1634z00_1930;
																												{	/* Integrate/g.scm 77 */
																													obj_t
																														BgL_oclassz00_1916;
																													{	/* Integrate/g.scm 77 */
																														long
																															BgL_arg1828z00_1922;
																														{	/* Integrate/g.scm 77 */
																															long
																																BgL_arg1829z00_1923;
																															BgL_arg1829z00_1923
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1820z00_1902);
																															BgL_arg1828z00_1922
																																=
																																(BgL_arg1829z00_1923
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_1916 =
																															VECTOR_REF
																															(BGl_za2classesza2z00zz__objectz00,
																															BgL_arg1828z00_1922);
																													}
																													{	/* Integrate/g.scm 77 */
																														bool_t
																															BgL__ortest_1111z00_1917;
																														BgL__ortest_1111z00_1917
																															=
																															(BgL_classz00_1900
																															==
																															BgL_oclassz00_1916);
																														if (BgL__ortest_1111z00_1917)
																															{	/* Integrate/g.scm 77 */
																																BgL_res1634z00_1930
																																	=
																																	BgL__ortest_1111z00_1917;
																															}
																														else
																															{	/* Integrate/g.scm 77 */
																																long
																																	BgL_odepthz00_1918;
																																BgL_odepthz00_1918
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_oclassz00_1916);
																																if ((((long) 1)
																																		<
																																		BgL_odepthz00_1918))
																																	{	/* Integrate/g.scm 77 */
																																		obj_t
																																			BgL_arg1816z00_1920;
																																		BgL_arg1816z00_1920
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_oclassz00_1916,
																																			((long)
																																				1));
																																		BgL_res1634z00_1930
																																			=
																																			(BgL_arg1816z00_1920
																																			==
																																			BgL_classz00_1900);
																																	}
																																else
																																	{	/* Integrate/g.scm 77 */
																																		BgL_res1634z00_1930
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test1659z00_2327 =
																													BgL_res1634z00_1930;
																											}
																									}
																								else
																									{	/* Integrate/g.scm 77 */
																										BgL_test1659z00_2327 =
																											((bool_t) 0);
																									}
																							}
																						}
																						if (BgL_test1659z00_2327)
																							{	/* Integrate/g.scm 84 */
																								bool_t BgL_test1664z00_2355;

																								{	/* Integrate/g.scm 84 */
																									obj_t BgL_arg1295z00_1612;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2356;
																										{
																											obj_t BgL_auxz00_2357;

																											{	/* Integrate/g.scm 84 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2358;
																												BgL_tmpz00_2358 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_gifz00_1600));
																												BgL_auxz00_2357 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2358);
																											}
																											BgL_auxz00_2356 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2357);
																										}
																										BgL_arg1295z00_1612 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2356))->BgL_lz00);
																									}
																									BgL_test1664z00_2355 =
																										(BgL_arg1295z00_1612 ==
																										BgL_fz00_1589);
																								}
																								if (BgL_test1664z00_2355)
																									{	/* Integrate/g.scm 85 */
																										obj_t BgL_arg1292z00_1609;

																										BgL_arg1292z00_1609 =
																											CDR(
																											((obj_t) BgL_ctz00_1593));
																										{
																											obj_t BgL_ctz00_2367;

																											BgL_ctz00_2367 =
																												BgL_arg1292z00_1609;
																											BgL_ctz00_1593 =
																												BgL_ctz00_2367;
																											goto
																												BgL_zc3z04anonymousza31272ze3z87_1596;
																										}
																									}
																								else
																									{	/* Integrate/g.scm 84 */
																										{
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_auxz00_2368;
																											{
																												obj_t BgL_auxz00_2369;

																												{	/* Integrate/g.scm 87 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_2370;
																													BgL_tmpz00_2370 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_sfunz00_bglt)
																															BgL_gifz00_1600));
																													BgL_auxz00_2369 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_2370);
																												}
																												BgL_auxz00_2368 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_auxz00_2369);
																											}
																											((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2368))->BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
																										}
																										{	/* Integrate/g.scm 91 */
																											obj_t BgL_arg1293z00_1610;
																											obj_t BgL_arg1294z00_1611;

																											BgL_arg1293z00_1610 =
																												CDR(
																												((obj_t)
																													BgL_ctz00_1593));
																											BgL_arg1294z00_1611 =
																												MAKE_YOUNG_PAIR
																												(BgL_gz00_1599,
																												BgL_gsz00_1595);
																											{
																												obj_t BgL_gsz00_2381;
																												bool_t
																													BgL_stopzf3zf3_2380;
																												obj_t BgL_ctz00_2379;

																												BgL_ctz00_2379 =
																													BgL_arg1293z00_1610;
																												BgL_stopzf3zf3_2380 =
																													((bool_t) 0);
																												BgL_gsz00_2381 =
																													BgL_arg1294z00_1611;
																												BgL_gsz00_1595 =
																													BgL_gsz00_2381;
																												BgL_stopzf3zf3_1594 =
																													BgL_stopzf3zf3_2380;
																												BgL_ctz00_1593 =
																													BgL_ctz00_2379;
																												goto
																													BgL_zc3z04anonymousza31272ze3z87_1596;
																											}
																										}
																									}
																							}
																						else
																							{	/* Integrate/g.scm 77 */
																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2382;
																									{
																										obj_t BgL_auxz00_2383;

																										{	/* Integrate/g.scm 82 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2384;
																											BgL_tmpz00_2384 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_gifz00_1600));
																											BgL_auxz00_2383 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2384);
																										}
																										BgL_auxz00_2382 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2383);
																									}
																									((((BgL_sfunzf2iinfozf2_bglt)
																												COBJECT
																												(BgL_auxz00_2382))->
																											BgL_lz00) =
																										((obj_t) BgL_fz00_1589),
																										BUNSPEC);
																								}
																								{	/* Integrate/g.scm 83 */
																									obj_t BgL_arg1296z00_1613;

																									BgL_arg1296z00_1613 =
																										CDR(
																										((obj_t) BgL_ctz00_1593));
																									{
																										bool_t BgL_stopzf3zf3_2393;
																										obj_t BgL_ctz00_2392;

																										BgL_ctz00_2392 =
																											BgL_arg1296z00_1613;
																										BgL_stopzf3zf3_2393 =
																											((bool_t) 0);
																										BgL_stopzf3zf3_1594 =
																											BgL_stopzf3zf3_2393;
																										BgL_ctz00_1593 =
																											BgL_ctz00_2392;
																										goto
																											BgL_zc3z04anonymousza31272ze3z87_1596;
																									}
																								}
																							}
																					}
																				else
																					{	/* Integrate/g.scm 92 */
																						bool_t BgL_test1665z00_2394;

																						{	/* Integrate/g.scm 92 */
																							obj_t BgL_arg1338z00_1641;

																							{
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_auxz00_2395;
																								{
																									obj_t BgL_auxz00_2396;

																									{	/* Integrate/g.scm 92 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2397;
																										BgL_tmpz00_2397 =
																											((BgL_objectz00_bglt) (
																												(BgL_sfunz00_bglt)
																												BgL_gifz00_1600));
																										BgL_auxz00_2396 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_2397);
																									}
																									BgL_auxz00_2395 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_auxz00_2396);
																								}
																								BgL_arg1338z00_1641 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2395))->
																									BgL_lz00);
																							}
																							{	/* Integrate/g.scm 92 */
																								obj_t BgL_classz00_1943;

																								BgL_classz00_1943 =
																									BGl_variablez00zzast_varz00;
																								if (BGL_OBJECTP
																									(BgL_arg1338z00_1641))
																									{	/* Integrate/g.scm 92 */
																										BgL_objectz00_bglt
																											BgL_arg1820z00_1945;
																										BgL_arg1820z00_1945 =
																											(BgL_objectz00_bglt)
																											(BgL_arg1338z00_1641);
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Integrate/g.scm 92 */
																												long BgL_idxz00_1951;

																												BgL_idxz00_1951 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1820z00_1945);
																												BgL_test1665z00_2394 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_1951 +
																															((long) 1))) ==
																													BgL_classz00_1943);
																											}
																										else
																											{	/* Integrate/g.scm 92 */
																												bool_t
																													BgL_res1635z00_1973;
																												{	/* Integrate/g.scm 92 */
																													obj_t
																														BgL_oclassz00_1959;
																													{	/* Integrate/g.scm 92 */
																														long
																															BgL_arg1828z00_1965;
																														{	/* Integrate/g.scm 92 */
																															long
																																BgL_arg1829z00_1966;
																															BgL_arg1829z00_1966
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1820z00_1945);
																															BgL_arg1828z00_1965
																																=
																																(BgL_arg1829z00_1966
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_1959 =
																															VECTOR_REF
																															(BGl_za2classesza2z00zz__objectz00,
																															BgL_arg1828z00_1965);
																													}
																													{	/* Integrate/g.scm 92 */
																														bool_t
																															BgL__ortest_1111z00_1960;
																														BgL__ortest_1111z00_1960
																															=
																															(BgL_classz00_1943
																															==
																															BgL_oclassz00_1959);
																														if (BgL__ortest_1111z00_1960)
																															{	/* Integrate/g.scm 92 */
																																BgL_res1635z00_1973
																																	=
																																	BgL__ortest_1111z00_1960;
																															}
																														else
																															{	/* Integrate/g.scm 92 */
																																long
																																	BgL_odepthz00_1961;
																																BgL_odepthz00_1961
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_oclassz00_1959);
																																if ((((long) 1)
																																		<
																																		BgL_odepthz00_1961))
																																	{	/* Integrate/g.scm 92 */
																																		obj_t
																																			BgL_arg1816z00_1963;
																																		BgL_arg1816z00_1963
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_oclassz00_1959,
																																			((long)
																																				1));
																																		BgL_res1635z00_1973
																																			=
																																			(BgL_arg1816z00_1963
																																			==
																																			BgL_classz00_1943);
																																	}
																																else
																																	{	/* Integrate/g.scm 92 */
																																		BgL_res1635z00_1973
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test1665z00_2394 =
																													BgL_res1635z00_1973;
																											}
																									}
																								else
																									{	/* Integrate/g.scm 92 */
																										BgL_test1665z00_2394 =
																											((bool_t) 0);
																									}
																							}
																						}
																						if (BgL_test1665z00_2394)
																							{	/* Integrate/g.scm 116 */
																								bool_t BgL_test1670z00_2422;

																								{	/* Integrate/g.scm 116 */
																									obj_t BgL_arg1315z00_1629;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2423;
																										{
																											obj_t BgL_auxz00_2424;

																											{	/* Integrate/g.scm 116 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2425;
																												BgL_tmpz00_2425 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fifz00_1590));
																												BgL_auxz00_2424 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2425);
																											}
																											BgL_auxz00_2423 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2424);
																										}
																										BgL_arg1315z00_1629 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2423))->BgL_lz00);
																									}
																									{	/* Integrate/g.scm 116 */
																										obj_t BgL_classz00_1976;

																										BgL_classz00_1976 =
																											BGl_variablez00zzast_varz00;
																										if (BGL_OBJECTP
																											(BgL_arg1315z00_1629))
																											{	/* Integrate/g.scm 116 */
																												BgL_objectz00_bglt
																													BgL_arg1820z00_1978;
																												BgL_arg1820z00_1978 =
																													(BgL_objectz00_bglt)
																													(BgL_arg1315z00_1629);
																												if (BGL_CONDEXPAND_ISA_ARCH64())
																													{	/* Integrate/g.scm 116 */
																														long
																															BgL_idxz00_1984;
																														BgL_idxz00_1984 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1820z00_1978);
																														BgL_test1670z00_2422
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_1984
																																	+
																																	((long) 1)))
																															==
																															BgL_classz00_1976);
																													}
																												else
																													{	/* Integrate/g.scm 116 */
																														bool_t
																															BgL_res1636z00_2006;
																														{	/* Integrate/g.scm 116 */
																															obj_t
																																BgL_oclassz00_1992;
																															{	/* Integrate/g.scm 116 */
																																long
																																	BgL_arg1828z00_1998;
																																{	/* Integrate/g.scm 116 */
																																	long
																																		BgL_arg1829z00_1999;
																																	BgL_arg1829z00_1999
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1820z00_1978);
																																	BgL_arg1828z00_1998
																																		=
																																		(BgL_arg1829z00_1999
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_1992
																																	=
																																	VECTOR_REF
																																	(BGl_za2classesza2z00zz__objectz00,
																																	BgL_arg1828z00_1998);
																															}
																															{	/* Integrate/g.scm 116 */
																																bool_t
																																	BgL__ortest_1111z00_1993;
																																BgL__ortest_1111z00_1993
																																	=
																																	(BgL_classz00_1976
																																	==
																																	BgL_oclassz00_1992);
																																if (BgL__ortest_1111z00_1993)
																																	{	/* Integrate/g.scm 116 */
																																		BgL_res1636z00_2006
																																			=
																																			BgL__ortest_1111z00_1993;
																																	}
																																else
																																	{	/* Integrate/g.scm 116 */
																																		long
																																			BgL_odepthz00_1994;
																																		BgL_odepthz00_1994
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_oclassz00_1992);
																																		if ((((long)
																																					1) <
																																				BgL_odepthz00_1994))
																																			{	/* Integrate/g.scm 116 */
																																				obj_t
																																					BgL_arg1816z00_1996;
																																				BgL_arg1816z00_1996
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_oclassz00_1992,
																																					((long) 1));
																																				BgL_res1636z00_2006
																																					=
																																					(BgL_arg1816z00_1996
																																					==
																																					BgL_classz00_1976);
																																			}
																																		else
																																			{	/* Integrate/g.scm 116 */
																																				BgL_res1636z00_2006
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_test1670z00_2422
																															=
																															BgL_res1636z00_2006;
																													}
																											}
																										else
																											{	/* Integrate/g.scm 116 */
																												BgL_test1670z00_2422 =
																													((bool_t) 0);
																											}
																									}
																								}
																								if (BgL_test1670z00_2422)
																									{	/* Integrate/g.scm 124 */
																										bool_t BgL_test1676z00_2450;

																										{	/* Integrate/g.scm 124 */
																											obj_t BgL_arg1310z00_1625;
																											obj_t BgL_arg1311z00_1626;

																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2451;
																												{
																													obj_t BgL_auxz00_2452;

																													{	/* Integrate/g.scm 124 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2453;
																														BgL_tmpz00_2453 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_fifz00_1590));
																														BgL_auxz00_2452 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2453);
																													}
																													BgL_auxz00_2451 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2452);
																												}
																												BgL_arg1310z00_1625 =
																													(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2451))->BgL_lz00);
																											}
																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2459;
																												{
																													obj_t BgL_auxz00_2460;

																													{	/* Integrate/g.scm 124 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2461;
																														BgL_tmpz00_2461 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_gifz00_1600));
																														BgL_auxz00_2460 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2461);
																													}
																													BgL_auxz00_2459 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2460);
																												}
																												BgL_arg1311z00_1626 =
																													(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2459))->BgL_lz00);
																											}
																											BgL_test1676z00_2450 =
																												(BgL_arg1310z00_1625 ==
																												BgL_arg1311z00_1626);
																										}
																										if (BgL_test1676z00_2450)
																											{	/* Integrate/g.scm 124 */
																												{	/* Integrate/g.scm 128 */
																													obj_t
																														BgL_arg1307z00_1622;
																													BgL_arg1307z00_1622 =
																														CDR(((obj_t)
																															BgL_ctz00_1593));
																													{
																														obj_t
																															BgL_ctz00_2470;
																														BgL_ctz00_2470 =
																															BgL_arg1307z00_1622;
																														BgL_ctz00_1593 =
																															BgL_ctz00_2470;
																														goto
																															BgL_zc3z04anonymousza31272ze3z87_1596;
																													}
																												}
																											}
																										else
																											{	/* Integrate/g.scm 124 */
																												{
																													BgL_sfunzf2iinfozf2_bglt
																														BgL_auxz00_2471;
																													{
																														obj_t
																															BgL_auxz00_2472;
																														{	/* Integrate/g.scm 130 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_2473;
																															BgL_tmpz00_2473 =
																																(
																																(BgL_objectz00_bglt)
																																((BgL_sfunz00_bglt) BgL_gifz00_1600));
																															BgL_auxz00_2472 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_2473);
																														}
																														BgL_auxz00_2471 =
																															(
																															(BgL_sfunzf2iinfozf2_bglt)
																															BgL_auxz00_2472);
																													}
																													((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2471))->BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
																												}
																												{	/* Integrate/g.scm 133 */
																													obj_t
																														BgL_arg1308z00_1623;
																													obj_t
																														BgL_arg1309z00_1624;
																													BgL_arg1308z00_1623 =
																														CDR(((obj_t)
																															BgL_ctz00_1593));
																													BgL_arg1309z00_1624 =
																														MAKE_YOUNG_PAIR
																														(BgL_gz00_1599,
																														BgL_gsz00_1595);
																													{
																														obj_t
																															BgL_gsz00_2484;
																														bool_t
																															BgL_stopzf3zf3_2483;
																														obj_t
																															BgL_ctz00_2482;
																														BgL_ctz00_2482 =
																															BgL_arg1308z00_1623;
																														BgL_stopzf3zf3_2483
																															= ((bool_t) 0);
																														BgL_gsz00_2484 =
																															BgL_arg1309z00_1624;
																														BgL_gsz00_1595 =
																															BgL_gsz00_2484;
																														BgL_stopzf3zf3_1594
																															=
																															BgL_stopzf3zf3_2483;
																														BgL_ctz00_1593 =
																															BgL_ctz00_2482;
																														goto
																															BgL_zc3z04anonymousza31272ze3z87_1596;
																													}
																												}
																											}
																									}
																								else
																									{	/* Integrate/g.scm 116 */
																										{	/* Integrate/g.scm 122 */
																											obj_t BgL_arg1313z00_1627;

																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2485;
																												{
																													obj_t BgL_auxz00_2486;

																													{	/* Integrate/g.scm 122 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2487;
																														BgL_tmpz00_2487 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_gifz00_1600));
																														BgL_auxz00_2486 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2487);
																													}
																													BgL_auxz00_2485 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2486);
																												}
																												BgL_arg1313z00_1627 =
																													(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2485))->BgL_lz00);
																											}
																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2493;
																												{
																													obj_t BgL_auxz00_2494;

																													{	/* Integrate/g.scm 122 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2495;
																														BgL_tmpz00_2495 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_fifz00_1590));
																														BgL_auxz00_2494 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2495);
																													}
																													BgL_auxz00_2493 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2494);
																												}
																												((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2493))->BgL_lz00) = ((obj_t) BgL_arg1313z00_1627), BUNSPEC);
																											}
																										}
																										{	/* Integrate/g.scm 123 */
																											obj_t BgL_arg1314z00_1628;

																											BgL_arg1314z00_1628 =
																												CDR(
																												((obj_t)
																													BgL_ctz00_1593));
																											{
																												bool_t
																													BgL_stopzf3zf3_2504;
																												obj_t BgL_ctz00_2503;

																												BgL_ctz00_2503 =
																													BgL_arg1314z00_1628;
																												BgL_stopzf3zf3_2504 =
																													((bool_t) 0);
																												BgL_stopzf3zf3_1594 =
																													BgL_stopzf3zf3_2504;
																												BgL_ctz00_1593 =
																													BgL_ctz00_2503;
																												goto
																													BgL_zc3z04anonymousza31272ze3z87_1596;
																											}
																										}
																									}
																							}
																						else
																							{	/* Integrate/g.scm 94 */
																								bool_t BgL_test1677z00_2505;

																								{	/* Integrate/g.scm 94 */
																									obj_t BgL_arg1334z00_1640;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2506;
																										{
																											obj_t BgL_auxz00_2507;

																											{	/* Integrate/g.scm 94 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2508;
																												BgL_tmpz00_2508 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fifz00_1590));
																												BgL_auxz00_2507 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2508);
																											}
																											BgL_auxz00_2506 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2507);
																										}
																										BgL_arg1334z00_1640 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2506))->BgL_lz00);
																									}
																									{	/* Integrate/g.scm 94 */
																										obj_t BgL_classz00_2023;

																										BgL_classz00_2023 =
																											BGl_variablez00zzast_varz00;
																										if (BGL_OBJECTP
																											(BgL_arg1334z00_1640))
																											{	/* Integrate/g.scm 94 */
																												BgL_objectz00_bglt
																													BgL_arg1820z00_2025;
																												BgL_arg1820z00_2025 =
																													(BgL_objectz00_bglt)
																													(BgL_arg1334z00_1640);
																												if (BGL_CONDEXPAND_ISA_ARCH64())
																													{	/* Integrate/g.scm 94 */
																														long
																															BgL_idxz00_2031;
																														BgL_idxz00_2031 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1820z00_2025);
																														BgL_test1677z00_2505
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_2031
																																	+
																																	((long) 1)))
																															==
																															BgL_classz00_2023);
																													}
																												else
																													{	/* Integrate/g.scm 94 */
																														bool_t
																															BgL_res1637z00_2053;
																														{	/* Integrate/g.scm 94 */
																															obj_t
																																BgL_oclassz00_2039;
																															{	/* Integrate/g.scm 94 */
																																long
																																	BgL_arg1828z00_2045;
																																{	/* Integrate/g.scm 94 */
																																	long
																																		BgL_arg1829z00_2046;
																																	BgL_arg1829z00_2046
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1820z00_2025);
																																	BgL_arg1828z00_2045
																																		=
																																		(BgL_arg1829z00_2046
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_2039
																																	=
																																	VECTOR_REF
																																	(BGl_za2classesza2z00zz__objectz00,
																																	BgL_arg1828z00_2045);
																															}
																															{	/* Integrate/g.scm 94 */
																																bool_t
																																	BgL__ortest_1111z00_2040;
																																BgL__ortest_1111z00_2040
																																	=
																																	(BgL_classz00_2023
																																	==
																																	BgL_oclassz00_2039);
																																if (BgL__ortest_1111z00_2040)
																																	{	/* Integrate/g.scm 94 */
																																		BgL_res1637z00_2053
																																			=
																																			BgL__ortest_1111z00_2040;
																																	}
																																else
																																	{	/* Integrate/g.scm 94 */
																																		long
																																			BgL_odepthz00_2041;
																																		BgL_odepthz00_2041
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_oclassz00_2039);
																																		if ((((long)
																																					1) <
																																				BgL_odepthz00_2041))
																																			{	/* Integrate/g.scm 94 */
																																				obj_t
																																					BgL_arg1816z00_2043;
																																				BgL_arg1816z00_2043
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_oclassz00_2039,
																																					((long) 1));
																																				BgL_res1637z00_2053
																																					=
																																					(BgL_arg1816z00_2043
																																					==
																																					BgL_classz00_2023);
																																			}
																																		else
																																			{	/* Integrate/g.scm 94 */
																																				BgL_res1637z00_2053
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_test1677z00_2505
																															=
																															BgL_res1637z00_2053;
																													}
																											}
																										else
																											{	/* Integrate/g.scm 94 */
																												BgL_test1677z00_2505 =
																													((bool_t) 0);
																											}
																									}
																								}
																								if (BgL_test1677z00_2505)
																									{	/* Integrate/g.scm 94 */
																										{	/* Integrate/g.scm 95 */
																											obj_t BgL_arg1318z00_1632;

																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2533;
																												{
																													obj_t BgL_auxz00_2534;

																													{	/* Integrate/g.scm 95 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2535;
																														BgL_tmpz00_2535 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_fifz00_1590));
																														BgL_auxz00_2534 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2535);
																													}
																													BgL_auxz00_2533 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2534);
																												}
																												BgL_arg1318z00_1632 =
																													(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2533))->BgL_lz00);
																											}
																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2541;
																												{
																													obj_t BgL_auxz00_2542;

																													{	/* Integrate/g.scm 95 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2543;
																														BgL_tmpz00_2543 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_gifz00_1600));
																														BgL_auxz00_2542 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2543);
																													}
																													BgL_auxz00_2541 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2542);
																												}
																												((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2541))->BgL_lz00) = ((obj_t) BgL_arg1318z00_1632), BUNSPEC);
																											}
																										}
																										{	/* Integrate/g.scm 101 */
																											obj_t BgL_arg1319z00_1633;

																											BgL_arg1319z00_1633 =
																												CDR(
																												((obj_t)
																													BgL_ctz00_1593));
																											{
																												bool_t
																													BgL_stopzf3zf3_2552;
																												obj_t BgL_ctz00_2551;

																												BgL_ctz00_2551 =
																													BgL_arg1319z00_1633;
																												BgL_stopzf3zf3_2552 =
																													((bool_t) 0);
																												BgL_stopzf3zf3_1594 =
																													BgL_stopzf3zf3_2552;
																												BgL_ctz00_1593 =
																													BgL_ctz00_2551;
																												goto
																													BgL_zc3z04anonymousza31272ze3z87_1596;
																											}
																										}
																									}
																								else
																									{	/* Integrate/g.scm 103 */
																										bool_t BgL_stopzf3zf3_1634;

																										if (BgL_stopzf3zf3_1594)
																											{	/* Integrate/g.scm 105 */
																												bool_t
																													BgL_test1683z00_2554;
																												{	/* Integrate/g.scm 105 */
																													obj_t
																														BgL_arg1333z00_1639;
																													{
																														BgL_sfunzf2iinfozf2_bglt
																															BgL_auxz00_2555;
																														{
																															obj_t
																																BgL_auxz00_2556;
																															{	/* Integrate/g.scm 105 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_2557;
																																BgL_tmpz00_2557
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_sfunz00_bglt) BgL_fifz00_1590));
																																BgL_auxz00_2556
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_2557);
																															}
																															BgL_auxz00_2555 =
																																(
																																(BgL_sfunzf2iinfozf2_bglt)
																																BgL_auxz00_2556);
																														}
																														BgL_arg1333z00_1639
																															=
																															(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2555))->BgL_istampz00);
																													}
																													BgL_test1683z00_2554 =
																														INTEGERP
																														(BgL_arg1333z00_1639);
																												}
																												if (BgL_test1683z00_2554)
																													{	/* Integrate/g.scm 107 */
																														obj_t
																															BgL_arg1332z00_1638;
																														{
																															BgL_sfunzf2iinfozf2_bglt
																																BgL_auxz00_2564;
																															{
																																obj_t
																																	BgL_auxz00_2565;
																																{	/* Integrate/g.scm 107 */
																																	BgL_objectz00_bglt
																																		BgL_tmpz00_2566;
																																	BgL_tmpz00_2566
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		((BgL_sfunz00_bglt) BgL_fifz00_1590));
																																	BgL_auxz00_2565
																																		=
																																		BGL_OBJECT_WIDENING
																																		(BgL_tmpz00_2566);
																																}
																																BgL_auxz00_2564
																																	=
																																	(
																																	(BgL_sfunzf2iinfozf2_bglt)
																																	BgL_auxz00_2565);
																															}
																															BgL_arg1332z00_1638
																																=
																																(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2564))->BgL_istampz00);
																														}
																														BgL_stopzf3zf3_1634
																															=
																															((long)
																															CINT
																															(BgL_arg1332z00_1638)
																															<=
																															BgL_stampz00_1570);
																													}
																												else
																													{	/* Integrate/g.scm 105 */
																														BgL_stopzf3zf3_1634
																															= ((bool_t) 0);
																													}
																											}
																										else
																											{	/* Integrate/g.scm 103 */
																												BgL_stopzf3zf3_1634 =
																													((bool_t) 0);
																											}
																										{
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_auxz00_2574;
																											{
																												obj_t BgL_auxz00_2575;

																												{	/* Integrate/g.scm 114 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_2576;
																													BgL_tmpz00_2576 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_sfunz00_bglt)
																															BgL_fifz00_1590));
																													BgL_auxz00_2575 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_2576);
																												}
																												BgL_auxz00_2574 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_auxz00_2575);
																											}
																											((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2574))->BgL_istampz00) = ((obj_t) BINT(BgL_stampz00_1570)), BUNSPEC);
																										}
																										{	/* Integrate/g.scm 115 */
																											obj_t BgL_arg1331z00_1635;

																											BgL_arg1331z00_1635 =
																												CDR(
																												((obj_t)
																													BgL_ctz00_1593));
																											{
																												bool_t
																													BgL_stopzf3zf3_2586;
																												obj_t BgL_ctz00_2585;

																												BgL_ctz00_2585 =
																													BgL_arg1331z00_1635;
																												BgL_stopzf3zf3_2586 =
																													BgL_stopzf3zf3_1634;
																												BgL_stopzf3zf3_1594 =
																													BgL_stopzf3zf3_2586;
																												BgL_ctz00_1593 =
																													BgL_ctz00_2585;
																												goto
																													BgL_zc3z04anonymousza31272ze3z87_1596;
																											}
																										}
																									}
																							}
																					}
																			}
																	}
															}
														}
													}
											}
										}
									}
								}
							}
					}
			}
		}

	}



/* &G! */
	obj_t BGl_z62Gz12z70zzintegrate_gz00(obj_t BgL_envz00_2214,
		obj_t BgL_gzf2cnzf2_2215)
	{
		{	/* Integrate/g.scm 32 */
			return BGl_Gz12z12zzintegrate_gz00(BgL_gzf2cnzf2_2215);
		}

	}



/* integrate-remaining-local-functions! */
	bool_t
		BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 143 */
			{
				obj_t BgL_l1245z00_1646;

				BgL_l1245z00_1646 = BGl_za2phiza2z00zzintegrate_az00;
			BgL_zc3z04anonymousza31339ze3z87_1647:
				if (PAIRP(BgL_l1245z00_1646))
					{	/* Integrate/g.scm 144 */
						{	/* Integrate/g.scm 145 */
							obj_t BgL_fz00_1649;

							BgL_fz00_1649 = CAR(BgL_l1245z00_1646);
							{	/* Integrate/g.scm 145 */
								bool_t BgL_test1685z00_2591;

								{	/* Integrate/g.scm 145 */
									bool_t BgL_test1686z00_2592;

									{	/* Integrate/g.scm 145 */
										obj_t BgL_classz00_2069;

										BgL_classz00_2069 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_fz00_1649))
											{	/* Integrate/g.scm 145 */
												BgL_objectz00_bglt BgL_arg1820z00_2071;

												BgL_arg1820z00_2071 =
													(BgL_objectz00_bglt) (BgL_fz00_1649);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Integrate/g.scm 145 */
														long BgL_idxz00_2077;

														BgL_idxz00_2077 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2071);
														BgL_test1686z00_2592 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2077 + ((long) 2))) ==
															BgL_classz00_2069);
													}
												else
													{	/* Integrate/g.scm 145 */
														bool_t BgL_res1638z00_2099;

														{	/* Integrate/g.scm 145 */
															obj_t BgL_oclassz00_2085;

															{	/* Integrate/g.scm 145 */
																long BgL_arg1828z00_2091;

																{	/* Integrate/g.scm 145 */
																	long BgL_arg1829z00_2092;

																	BgL_arg1829z00_2092 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2071);
																	BgL_arg1828z00_2091 =
																		(BgL_arg1829z00_2092 - OBJECT_TYPE);
																}
																BgL_oclassz00_2085 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_2091);
															}
															{	/* Integrate/g.scm 145 */
																bool_t BgL__ortest_1111z00_2086;

																BgL__ortest_1111z00_2086 =
																	(BgL_classz00_2069 == BgL_oclassz00_2085);
																if (BgL__ortest_1111z00_2086)
																	{	/* Integrate/g.scm 145 */
																		BgL_res1638z00_2099 =
																			BgL__ortest_1111z00_2086;
																	}
																else
																	{	/* Integrate/g.scm 145 */
																		long BgL_odepthz00_2087;

																		BgL_odepthz00_2087 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2085);
																		if ((((long) 2) < BgL_odepthz00_2087))
																			{	/* Integrate/g.scm 145 */
																				obj_t BgL_arg1816z00_2089;

																				BgL_arg1816z00_2089 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2085, ((long) 2));
																				BgL_res1638z00_2099 =
																					(BgL_arg1816z00_2089 ==
																					BgL_classz00_2069);
																			}
																		else
																			{	/* Integrate/g.scm 145 */
																				BgL_res1638z00_2099 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1686z00_2592 = BgL_res1638z00_2099;
													}
											}
										else
											{	/* Integrate/g.scm 145 */
												BgL_test1686z00_2592 = ((bool_t) 0);
											}
									}
									if (BgL_test1686z00_2592)
										{	/* Integrate/g.scm 146 */
											bool_t BgL_test1691z00_2612;

											{	/* Integrate/g.scm 146 */
												BgL_sfunz00_bglt BgL_oz00_2101;

												BgL_oz00_2101 =
													((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_fz00_1649))))->
														BgL_valuez00));
												{
													BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2617;

													{
														obj_t BgL_auxz00_2618;

														{	/* Integrate/g.scm 146 */
															BgL_objectz00_bglt BgL_tmpz00_2619;

															BgL_tmpz00_2619 =
																((BgL_objectz00_bglt) BgL_oz00_2101);
															BgL_auxz00_2618 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2619);
														}
														BgL_auxz00_2617 =
															((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2618);
													}
													BgL_test1691z00_2612 =
														(((BgL_sfunzf2iinfozf2_bglt)
															COBJECT(BgL_auxz00_2617))->BgL_gzf3zf3);
												}
											}
											if (BgL_test1691z00_2612)
												{	/* Integrate/g.scm 146 */
													BgL_test1685z00_2591 = ((bool_t) 0);
												}
											else
												{	/* Integrate/g.scm 147 */
													bool_t BgL_test1692z00_2624;

													{	/* Integrate/g.scm 147 */
														obj_t BgL_arg1362z00_1666;

														{	/* Integrate/g.scm 147 */
															BgL_sfunz00_bglt BgL_oz00_2104;

															BgL_oz00_2104 =
																((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt) BgL_fz00_1649))))->
																	BgL_valuez00));
															{
																BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2629;

																{
																	obj_t BgL_auxz00_2630;

																	{	/* Integrate/g.scm 147 */
																		BgL_objectz00_bglt BgL_tmpz00_2631;

																		BgL_tmpz00_2631 =
																			((BgL_objectz00_bglt) BgL_oz00_2104);
																		BgL_auxz00_2630 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2631);
																	}
																	BgL_auxz00_2629 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_auxz00_2630);
																}
																BgL_arg1362z00_1666 =
																	(((BgL_sfunzf2iinfozf2_bglt)
																		COBJECT(BgL_auxz00_2629))->BgL_lz00);
															}
														}
														{	/* Integrate/g.scm 147 */
															obj_t BgL_classz00_2106;

															BgL_classz00_2106 = BGl_variablez00zzast_varz00;
															if (BGL_OBJECTP(BgL_arg1362z00_1666))
																{	/* Integrate/g.scm 147 */
																	BgL_objectz00_bglt BgL_arg1820z00_2108;

																	BgL_arg1820z00_2108 =
																		(BgL_objectz00_bglt) (BgL_arg1362z00_1666);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Integrate/g.scm 147 */
																			long BgL_idxz00_2114;

																			BgL_idxz00_2114 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_2108);
																			BgL_test1692z00_2624 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2114 + ((long) 1))) ==
																				BgL_classz00_2106);
																		}
																	else
																		{	/* Integrate/g.scm 147 */
																			bool_t BgL_res1639z00_2136;

																			{	/* Integrate/g.scm 147 */
																				obj_t BgL_oclassz00_2122;

																				{	/* Integrate/g.scm 147 */
																					long BgL_arg1828z00_2128;

																					{	/* Integrate/g.scm 147 */
																						long BgL_arg1829z00_2129;

																						BgL_arg1829z00_2129 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_2108);
																						BgL_arg1828z00_2128 =
																							(BgL_arg1829z00_2129 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2122 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_2128);
																				}
																				{	/* Integrate/g.scm 147 */
																					bool_t BgL__ortest_1111z00_2123;

																					BgL__ortest_1111z00_2123 =
																						(BgL_classz00_2106 ==
																						BgL_oclassz00_2122);
																					if (BgL__ortest_1111z00_2123)
																						{	/* Integrate/g.scm 147 */
																							BgL_res1639z00_2136 =
																								BgL__ortest_1111z00_2123;
																						}
																					else
																						{	/* Integrate/g.scm 147 */
																							long BgL_odepthz00_2124;

																							BgL_odepthz00_2124 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2122);
																							if ((((long) 1) <
																									BgL_odepthz00_2124))
																								{	/* Integrate/g.scm 147 */
																									obj_t BgL_arg1816z00_2126;

																									BgL_arg1816z00_2126 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2122,
																										((long) 1));
																									BgL_res1639z00_2136 =
																										(BgL_arg1816z00_2126 ==
																										BgL_classz00_2106);
																								}
																							else
																								{	/* Integrate/g.scm 147 */
																									BgL_res1639z00_2136 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1692z00_2624 =
																				BgL_res1639z00_2136;
																		}
																}
															else
																{	/* Integrate/g.scm 147 */
																	BgL_test1692z00_2624 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test1692z00_2624)
														{	/* Integrate/g.scm 147 */
															BgL_test1685z00_2591 = ((bool_t) 0);
														}
													else
														{	/* Integrate/g.scm 147 */
															BgL_test1685z00_2591 = ((bool_t) 1);
														}
												}
										}
									else
										{	/* Integrate/g.scm 145 */
											BgL_test1685z00_2591 = ((bool_t) 0);
										}
								}
								if (BgL_test1685z00_2591)
									{	/* Integrate/g.scm 145 */
										{	/* Integrate/g.scm 153 */
											BgL_valuez00_bglt BgL_arg1358z00_1660;
											obj_t BgL_arg1359z00_1661;

											BgL_arg1358z00_1660 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_fz00_1649))))->
												BgL_valuez00);
											{	/* Integrate/g.scm 154 */
												BgL_sfunz00_bglt BgL_oz00_2139;

												BgL_oz00_2139 =
													((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_fz00_1649))))->
														BgL_valuez00));
												{
													BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2662;

													{
														obj_t BgL_auxz00_2663;

														{	/* Integrate/g.scm 154 */
															BgL_objectz00_bglt BgL_tmpz00_2664;

															BgL_tmpz00_2664 =
																((BgL_objectz00_bglt) BgL_oz00_2139);
															BgL_auxz00_2663 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2664);
														}
														BgL_auxz00_2662 =
															((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2663);
													}
													BgL_arg1359z00_1661 =
														(((BgL_sfunzf2iinfozf2_bglt)
															COBJECT(BgL_auxz00_2662))->BgL_ownerz00);
												}
											}
											{
												BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2669;

												{
													obj_t BgL_auxz00_2670;

													{	/* Integrate/g.scm 153 */
														BgL_objectz00_bglt BgL_tmpz00_2671;

														BgL_tmpz00_2671 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_arg1358z00_1660));
														BgL_auxz00_2670 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2671);
													}
													BgL_auxz00_2669 =
														((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2670);
												}
												((((BgL_sfunzf2iinfozf2_bglt)
															COBJECT(BgL_auxz00_2669))->BgL_lz00) =
													((obj_t) BgL_arg1359z00_1661), BUNSPEC);
											}
										}
									}
								else
									{	/* Integrate/g.scm 145 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l1245z00_2677;

							BgL_l1245z00_2677 = CDR(BgL_l1245z00_1646);
							BgL_l1245z00_1646 = BgL_l1245z00_2677;
							goto BgL_zc3z04anonymousza31339ze3z87_1647;
						}
					}
				else
					{	/* Integrate/g.scm 144 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1642z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1642z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1642z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1642z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1642z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1642z00zzintegrate_gz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(((long) 523633197),
				BSTRING_TO_STRING(BGl_string1642z00zzintegrate_gz00));
		}

	}

#ifdef __cplusplus
}
#endif
