/*===========================================================================*/
/*   (Integrate/let_fun.scm)                                                 */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/let_fun.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2 =
		BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_letzd2funzd2(void);
	static obj_t BGl_objectzd2initzd2zzintegrate_letzd2funzd2(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1300zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1302zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1304zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1306zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1308zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_letzd2funzd2(void);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1310zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1312zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1314zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1316zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
		(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1271zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1274zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1276zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1278zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1280zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1282zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1284zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1286zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1288zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1290zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1292zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1294zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1296zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1298zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t);
	static bool_t BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_letzd2funzd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_letzd2funzd2(void);
	static long BGl_za2stampza2z00zzintegrate_letzd2funzd2;
	static obj_t
		BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2(obj_t,
		obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displacezd2letzd2funz12zd2envzc0zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1852z00,
		BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1822z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1822za700za7za7i1853za7, "displace-let-fun-nod1271", 24);
	      DEFINE_STRING(BGl_string1823z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1823za700za7za7i1854za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1825z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1825za700za7za7i1855za7, "displace-let-fun-node!", 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1821z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1856z00,
		BGl_z62displacezd2letzd2funzd2nod1271zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1824z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1857z00,
		BGl_z62displacezd2letzd2funzd2nod1274zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1826z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1858z00,
		BGl_z62displacezd2letzd2funzd2nod1276zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1827z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1859z00,
		BGl_z62displacezd2letzd2funzd2nod1278zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1828z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1860z00,
		BGl_z62displacezd2letzd2funzd2nod1280zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1829z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1861z00,
		BGl_z62displacezd2letzd2funzd2nod1282zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1830z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1862z00,
		BGl_z62displacezd2letzd2funzd2nod1284zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1831z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1863z00,
		BGl_z62displacezd2letzd2funzd2nod1286zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1832z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1864z00,
		BGl_z62displacezd2letzd2funzd2nod1288zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1833z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1865z00,
		BGl_z62displacezd2letzd2funzd2nod1290zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1834z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1866z00,
		BGl_z62displacezd2letzd2funzd2nod1292zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1835z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1867z00,
		BGl_z62displacezd2letzd2funzd2nod1294zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1836z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1868z00,
		BGl_z62displacezd2letzd2funzd2nod1296zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1837z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1869z00,
		BGl_z62displacezd2letzd2funzd2nod1298zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1838z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1870z00,
		BGl_z62displacezd2letzd2funzd2nod1300zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1839z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1871z00,
		BGl_z62displacezd2letzd2funzd2nod1302zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1847z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1847za700za7za7i1872za7, "displace-let-fun-node", 21);
	      DEFINE_STRING(BGl_string1848z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1848za700za7za7i1873za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string1849z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1849za700za7za7i1874za7, "integrate_let-fun", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1840z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1875z00,
		BGl_z62displacezd2letzd2funzd2nod1304zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1841z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1876z00,
		BGl_z62displacezd2letzd2funzd2nod1306zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1842z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1877z00,
		BGl_z62displacezd2letzd2funzd2nod1308zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1843z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1878z00,
		BGl_z62displacezd2letzd2funzd2nod1310zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1850z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1850za700za7za7i1879za7, "displace-let-fun-nod1271 ", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1844z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1880z00,
		BGl_z62displacezd2letzd2funzd2nod1312zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1845z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1881z00,
		BGl_z62displacezd2letzd2funzd2nod1314zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1846z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1882z00,
		BGl_z62displacezd2letzd2funzd2nod1316zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1883z00,
		BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long
		BgL_checksumz00_2416, char *BgL_fromz00_2417)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_letzd2funzd2();
					BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2();
					BGl_cnstzd2initzd2zzintegrate_letzd2funzd2();
					BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2();
					BGl_genericzd2initzd2zzintegrate_letzd2funzd2();
					BGl_methodzd2initzd2zzintegrate_letzd2funzd2();
					return BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_let-fun");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			{	/* Integrate/let_fun.scm 16 */
				obj_t BgL_cportz00_2339;

				{	/* Integrate/let_fun.scm 16 */
					obj_t BgL_stringz00_2346;

					BgL_stringz00_2346 = BGl_string1850z00zzintegrate_letzd2funzd2;
					{	/* Integrate/let_fun.scm 16 */
						obj_t BgL_startz00_2347;

						BgL_startz00_2347 = BINT(((long) 0));
						{	/* Integrate/let_fun.scm 16 */
							obj_t BgL_endz00_2348;

							BgL_endz00_2348 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2346)));
							{	/* Integrate/let_fun.scm 16 */

								BgL_cportz00_2339 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2346, BgL_startz00_2347, BgL_endz00_2348);
				}}}}
				{
					long BgL_iz00_2340;

					BgL_iz00_2340 = ((long) 0);
				BgL_loopz00_2341:
					if ((BgL_iz00_2340 == ((long) -1)))
						{	/* Integrate/let_fun.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/let_fun.scm 16 */
							{	/* Integrate/let_fun.scm 16 */
								obj_t BgL_arg1851z00_2342;

								{	/* Integrate/let_fun.scm 16 */

									{	/* Integrate/let_fun.scm 16 */
										obj_t BgL_locationz00_2344;

										BgL_locationz00_2344 = BBOOL(((bool_t) 0));
										{	/* Integrate/let_fun.scm 16 */

											BgL_arg1851z00_2342 =
												BGl_readz00zz__readerz00(BgL_cportz00_2339,
												BgL_locationz00_2344);
										}
									}
								}
								{	/* Integrate/let_fun.scm 16 */
									int BgL_tmpz00_2447;

									BgL_tmpz00_2447 = (int) (BgL_iz00_2340);
									CNST_TABLE_SET(BgL_tmpz00_2447, BgL_arg1851z00_2342);
							}}
							{	/* Integrate/let_fun.scm 16 */
								int BgL_auxz00_2345;

								BgL_auxz00_2345 = (int) ((BgL_iz00_2340 - ((long) 1)));
								{
									long BgL_iz00_2452;

									BgL_iz00_2452 = (long) (BgL_auxz00_2345);
									BgL_iz00_2340 = BgL_iz00_2452;
									goto BgL_loopz00_2341;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_za2stampza2z00zzintegrate_letzd2funzd2 = ((long) 0);
			return BUNSPEC;
		}

	}



/* bind-fun! */
	obj_t BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(obj_t BgL_varz00_3)
	{
		{	/* Integrate/let_fun.scm 36 */
			{	/* Integrate/let_fun.scm 38 */
				bool_t BgL_test1886z00_2455;

				{	/* Integrate/let_fun.scm 38 */
					obj_t BgL_classz00_2068;

					BgL_classz00_2068 = BGl_localz00zzast_varz00;
					if (BGL_OBJECTP(BgL_varz00_3))
						{	/* Integrate/let_fun.scm 38 */
							BgL_objectz00_bglt BgL_arg1820z00_2070;

							BgL_arg1820z00_2070 = (BgL_objectz00_bglt) (BgL_varz00_3);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Integrate/let_fun.scm 38 */
									long BgL_idxz00_2076;

									BgL_idxz00_2076 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2070);
									BgL_test1886z00_2455 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2076 + ((long) 2))) == BgL_classz00_2068);
								}
							else
								{	/* Integrate/let_fun.scm 38 */
									bool_t BgL_res1812z00_2098;

									{	/* Integrate/let_fun.scm 38 */
										obj_t BgL_oclassz00_2084;

										{	/* Integrate/let_fun.scm 38 */
											long BgL_arg1828z00_2090;

											{	/* Integrate/let_fun.scm 38 */
												long BgL_arg1829z00_2091;

												BgL_arg1829z00_2091 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2070);
												BgL_arg1828z00_2090 =
													(BgL_arg1829z00_2091 - OBJECT_TYPE);
											}
											BgL_oclassz00_2084 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2090);
										}
										{	/* Integrate/let_fun.scm 38 */
											bool_t BgL__ortest_1111z00_2085;

											BgL__ortest_1111z00_2085 =
												(BgL_classz00_2068 == BgL_oclassz00_2084);
											if (BgL__ortest_1111z00_2085)
												{	/* Integrate/let_fun.scm 38 */
													BgL_res1812z00_2098 = BgL__ortest_1111z00_2085;
												}
											else
												{	/* Integrate/let_fun.scm 38 */
													long BgL_odepthz00_2086;

													BgL_odepthz00_2086 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2084);
													if ((((long) 2) < BgL_odepthz00_2086))
														{	/* Integrate/let_fun.scm 38 */
															obj_t BgL_arg1816z00_2088;

															BgL_arg1816z00_2088 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2084,
																((long) 2));
															BgL_res1812z00_2098 =
																(BgL_arg1816z00_2088 == BgL_classz00_2068);
														}
													else
														{	/* Integrate/let_fun.scm 38 */
															BgL_res1812z00_2098 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1886z00_2455 = BgL_res1812z00_2098;
								}
						}
					else
						{	/* Integrate/let_fun.scm 38 */
							BgL_test1886z00_2455 = ((bool_t) 0);
						}
				}
				if (BgL_test1886z00_2455)
					{	/* Integrate/let_fun.scm 39 */
						BgL_valuez00_bglt BgL_arg1331z00_1617;

						BgL_arg1331z00_1617 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_varz00_3))))->BgL_valuez00);
						{	/* Integrate/let_fun.scm 39 */
							obj_t BgL_vz00_2101;

							BgL_vz00_2101 = BINT(BGl_za2stampza2z00zzintegrate_letzd2funzd2);
							{
								BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2479;

								{
									obj_t BgL_auxz00_2480;

									{	/* Integrate/let_fun.scm 39 */
										BgL_objectz00_bglt BgL_tmpz00_2481;

										BgL_tmpz00_2481 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_arg1331z00_1617));
										BgL_auxz00_2480 = BGL_OBJECT_WIDENING(BgL_tmpz00_2481);
									}
									BgL_auxz00_2479 =
										((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2480);
								}
								return
									((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2479))->
										BgL_istampz00) = ((obj_t) BgL_vz00_2101), BUNSPEC);
							}
						}
					}
				else
					{	/* Integrate/let_fun.scm 38 */
						return BFALSE;
					}
			}
		}

	}



/* free-fun? */
	bool_t BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(obj_t BgL_localz00_4)
	{
		{	/* Integrate/let_fun.scm 44 */
			{	/* Integrate/let_fun.scm 48 */
				bool_t BgL_test1891z00_2487;

				{	/* Integrate/let_fun.scm 48 */
					obj_t BgL_arg1338z00_1621;

					{	/* Integrate/let_fun.scm 48 */
						BgL_sfunz00_bglt BgL_oz00_2104;

						BgL_oz00_2104 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_localz00_4))))->BgL_valuez00));
						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2492;

							{
								obj_t BgL_auxz00_2493;

								{	/* Integrate/let_fun.scm 48 */
									BgL_objectz00_bglt BgL_tmpz00_2494;

									BgL_tmpz00_2494 = ((BgL_objectz00_bglt) BgL_oz00_2104);
									BgL_auxz00_2493 = BGL_OBJECT_WIDENING(BgL_tmpz00_2494);
								}
								BgL_auxz00_2492 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2493);
							}
							BgL_arg1338z00_1621 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2492))->
								BgL_istampz00);
						}
					}
					BgL_test1891z00_2487 =
						(BgL_arg1338z00_1621 ==
						BINT(BGl_za2stampza2z00zzintegrate_letzd2funzd2));
				}
				if (BgL_test1891z00_2487)
					{	/* Integrate/let_fun.scm 48 */
						return ((bool_t) 0);
					}
				else
					{	/* Integrate/let_fun.scm 48 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* displace-let-fun! */
	BGL_EXPORTED_DEF obj_t
		BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t BgL_varz00_5)
	{
		{	/* Integrate/let_fun.scm 53 */
			BGl_za2stampza2z00zzintegrate_letzd2funzd2 =
				(((long) 1) + BGl_za2stampza2z00zzintegrate_letzd2funzd2);
			{	/* Integrate/let_fun.scm 60 */
				obj_t BgL_arg1340z00_1623;
				obj_t BgL_arg1341z00_1624;

				BgL_arg1340z00_1623 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_5)))->
									BgL_valuez00))))->BgL_bodyz00);
				{	/* Integrate/let_fun.scm 60 */
					obj_t BgL_list1344z00_1626;

					BgL_list1344z00_1626 = MAKE_YOUNG_PAIR(BgL_varz00_5, BNIL);
					BgL_arg1341z00_1624 = BgL_list1344z00_1626;
				}
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					((BgL_nodez00_bglt) BgL_arg1340z00_1623), BgL_arg1341z00_1624);
			}
			{	/* Integrate/let_fun.scm 69 */
				obj_t BgL_ledz00_1627;

				{	/* Integrate/let_fun.scm 69 */
					BgL_sfunz00_bglt BgL_oz00_2111;

					BgL_oz00_2111 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_5)))->BgL_valuez00));
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2512;

						{
							obj_t BgL_auxz00_2513;

							{	/* Integrate/let_fun.scm 69 */
								BgL_objectz00_bglt BgL_tmpz00_2514;

								BgL_tmpz00_2514 = ((BgL_objectz00_bglt) BgL_oz00_2111);
								BgL_auxz00_2513 = BGL_OBJECT_WIDENING(BgL_tmpz00_2514);
							}
							BgL_auxz00_2512 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2513);
						}
						BgL_ledz00_1627 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2512))->
							BgL_ledz00);
				}}
				{
					obj_t BgL_l1263z00_1629;

					BgL_l1263z00_1629 = BgL_ledz00_1627;
				BgL_zc3z04anonymousza31345ze3z87_1630:
					if (PAIRP(BgL_l1263z00_1629))
						{	/* Integrate/let_fun.scm 70 */
							{	/* Integrate/let_fun.scm 73 */
								obj_t BgL_lz00_1632;

								BgL_lz00_1632 = CAR(BgL_l1263z00_1629);
								if (BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(BgL_lz00_1632))
									{	/* Integrate/let_fun.scm 80 */
										obj_t BgL_arg1352z00_1634;
										obj_t BgL_arg1353z00_1635;

										BgL_arg1352z00_1634 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_lz00_1632)))->
															BgL_valuez00))))->BgL_bodyz00);
										{	/* Integrate/let_fun.scm 81 */
											obj_t BgL_list1357z00_1637;

											BgL_list1357z00_1637 =
												MAKE_YOUNG_PAIR(BgL_varz00_5, BNIL);
											BgL_arg1353z00_1635 = BgL_list1357z00_1637;
										}
										BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
											(((BgL_nodez00_bglt) BgL_arg1352z00_1634),
											BgL_arg1353z00_1635);
									}
								else
									{	/* Integrate/let_fun.scm 74 */
										BFALSE;
									}
							}
							{
								obj_t BgL_l1263z00_2531;

								BgL_l1263z00_2531 = CDR(BgL_l1263z00_1629);
								BgL_l1263z00_1629 = BgL_l1263z00_2531;
								goto BgL_zc3z04anonymousza31345ze3z87_1630;
							}
						}
					else
						{	/* Integrate/let_fun.scm 70 */
							((bool_t) 1);
						}
				}
				{
					obj_t BgL_ledz00_1642;
					obj_t BgL_addedz00_1643;

					BgL_ledz00_1642 = BgL_ledz00_1627;
					BgL_addedz00_1643 = BNIL;
				BgL_zc3z04anonymousza31359ze3z87_1644:
					if (NULLP(BgL_ledz00_1642))
						{	/* Integrate/let_fun.scm 88 */
							obj_t BgL_oldzd2bodyzd2_1646;

							BgL_oldzd2bodyzd2_1646 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_varz00_5)))->
												BgL_valuez00))))->BgL_bodyz00);
							if (NULLP(BgL_addedz00_1643))
								{	/* Integrate/let_fun.scm 89 */
									return BgL_oldzd2bodyzd2_1646;
								}
							else
								{	/* Integrate/let_fun.scm 90 */
									BgL_letzd2funzd2_bglt BgL_newzd2bodyzd2_1648;

									{	/* Integrate/let_fun.scm 90 */
										BgL_letzd2funzd2_bglt BgL_new1112z00_1650;

										{	/* Integrate/let_fun.scm 91 */
											BgL_letzd2funzd2_bglt BgL_new1110z00_1651;

											BgL_new1110z00_1651 =
												((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_letzd2funzd2_bgl))));
											{	/* Integrate/let_fun.scm 91 */
												long BgL_arg1364z00_1652;

												BgL_arg1364z00_1652 =
													BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1110z00_1651),
													BgL_arg1364z00_1652);
											}
											{	/* Integrate/let_fun.scm 91 */
												BgL_objectz00_bglt BgL_tmpz00_2545;

												BgL_tmpz00_2545 =
													((BgL_objectz00_bglt) BgL_new1110z00_1651);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2545, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1110z00_1651);
											BgL_new1112z00_1650 = BgL_new1110z00_1651;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1112z00_1650)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_oldzd2bodyzd2_1646)))->BgL_locz00)),
											BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1112z00_1650)))->BgL_typez00) =
											((BgL_typez00_bglt)
												BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
														BgL_oldzd2bodyzd2_1646), ((bool_t) 0))), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1112z00_1650)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1112z00_1650)))->BgL_keyz00) =
											((obj_t) BINT(((long) -1))), BUNSPEC);
										((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1112z00_1650))->
												BgL_localsz00) = ((obj_t) BgL_addedz00_1643), BUNSPEC);
										((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1112z00_1650))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_oldzd2bodyzd2_1646)), BUNSPEC);
										BgL_newzd2bodyzd2_1648 = BgL_new1112z00_1650;
									}
									{	/* Integrate/let_fun.scm 101 */
										BgL_valuez00_bglt BgL_arg1362z00_1649;

										BgL_arg1362z00_1649 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_varz00_5)))->
											BgL_valuez00);
										((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
															BgL_arg1362z00_1649)))->BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_newzd2bodyzd2_1648)), BUNSPEC);
									}
									return ((obj_t) BgL_newzd2bodyzd2_1648);
								}
						}
					else
						{	/* Integrate/let_fun.scm 108 */
							bool_t BgL_test1896z00_2571;

							{	/* Integrate/let_fun.scm 108 */
								obj_t BgL_arg1381z00_1660;

								BgL_arg1381z00_1660 = CAR(((obj_t) BgL_ledz00_1642));
								BgL_test1896z00_2571 =
									BGl_freezd2funzf3z21zzintegrate_letzd2funzd2
									(BgL_arg1381z00_1660);
							}
							if (BgL_test1896z00_2571)
								{	/* Integrate/let_fun.scm 110 */
									obj_t BgL_arg1372z00_1656;
									obj_t BgL_arg1375z00_1657;

									BgL_arg1372z00_1656 = CDR(((obj_t) BgL_ledz00_1642));
									{	/* Integrate/let_fun.scm 110 */
										obj_t BgL_arg1376z00_1658;

										BgL_arg1376z00_1658 = CAR(((obj_t) BgL_ledz00_1642));
										BgL_arg1375z00_1657 =
											MAKE_YOUNG_PAIR(BgL_arg1376z00_1658, BgL_addedz00_1643);
									}
									{
										obj_t BgL_addedz00_2581;
										obj_t BgL_ledz00_2580;

										BgL_ledz00_2580 = BgL_arg1372z00_1656;
										BgL_addedz00_2581 = BgL_arg1375z00_1657;
										BgL_addedz00_1643 = BgL_addedz00_2581;
										BgL_ledz00_1642 = BgL_ledz00_2580;
										goto BgL_zc3z04anonymousza31359ze3z87_1644;
									}
								}
							else
								{	/* Integrate/let_fun.scm 113 */
									obj_t BgL_arg1378z00_1659;

									BgL_arg1378z00_1659 = CDR(((obj_t) BgL_ledz00_1642));
									{
										obj_t BgL_ledz00_2584;

										BgL_ledz00_2584 = BgL_arg1378z00_1659;
										BgL_ledz00_1642 = BgL_ledz00_2584;
										goto BgL_zc3z04anonymousza31359ze3z87_1644;
									}
								}
						}
				}
			}
		}

	}



/* &displace-let-fun! */
	obj_t BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2242, obj_t BgL_varz00_2243)
	{
		{	/* Integrate/let_fun.scm 53 */
			return
				BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(BgL_varz00_2243);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_proc1821z00zzintegrate_letzd2funzd2, BGl_nodez00zzast_nodez00,
				BGl_string1822z00zzintegrate_letzd2funzd2);
		}

	}



/* &displace-let-fun-nod1271 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1271zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2245, obj_t BgL_nodez00_2246, obj_t BgL_hostsz00_2247)
	{
		{	/* Integrate/let_fun.scm 123 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string1823z00zzintegrate_letzd2funzd2,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2246)));
		}

	}



/* displace-let-fun-node! */
	obj_t
		BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
		(BgL_nodez00_bglt BgL_nodez00_6, obj_t BgL_hostsz00_7)
	{
		{	/* Integrate/let_fun.scm 123 */
			{	/* Integrate/let_fun.scm 123 */
				obj_t BgL_method1272z00_1668;

				{	/* Integrate/let_fun.scm 123 */
					obj_t BgL_res1819z00_2161;

					{	/* Integrate/let_fun.scm 123 */
						long BgL_objzd2classzd2numz00_2132;

						BgL_objzd2classzd2numz00_2132 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_6));
						{	/* Integrate/let_fun.scm 123 */
							obj_t BgL_arg1825z00_2133;

							BgL_arg1825z00_2133 =
								PROCEDURE_REF
								(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
								(int) (((long) 1)));
							{	/* Integrate/let_fun.scm 123 */
								int BgL_offsetz00_2136;

								BgL_offsetz00_2136 = (int) (BgL_objzd2classzd2numz00_2132);
								{	/* Integrate/let_fun.scm 123 */
									long BgL_offsetz00_2137;

									BgL_offsetz00_2137 =
										((long) (BgL_offsetz00_2136) - OBJECT_TYPE);
									{	/* Integrate/let_fun.scm 123 */
										long BgL_modz00_2138;

										BgL_modz00_2138 =
											(BgL_offsetz00_2137 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Integrate/let_fun.scm 123 */
											long BgL_restz00_2140;

											BgL_restz00_2140 =
												(BgL_offsetz00_2137 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Integrate/let_fun.scm 123 */

												{	/* Integrate/let_fun.scm 123 */
													obj_t BgL_bucketz00_2142;

													BgL_bucketz00_2142 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2133), BgL_modz00_2138);
													BgL_res1819z00_2161 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2142), BgL_restz00_2140);
					}}}}}}}}
					BgL_method1272z00_1668 = BgL_res1819z00_2161;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1272z00_1668)) (BgL_method1272z00_1668,
					((obj_t) BgL_nodez00_6), BgL_hostsz00_7, BEOA);
			}
		}

	}



/* &displace-let-fun-node! */
	obj_t BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2248, obj_t BgL_nodez00_2249, obj_t BgL_hostsz00_2250)
	{
		{	/* Integrate/let_fun.scm 123 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				((BgL_nodez00_bglt) BgL_nodez00_2249), BgL_hostsz00_2250);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_atomz00zzast_nodez00, BGl_proc1824z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_kwotez00zzast_nodez00, BGl_proc1826z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_varz00zzast_nodez00, BGl_proc1827z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_closurez00zzast_nodez00, BGl_proc1828z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_sequencez00zzast_nodez00, BGl_proc1829z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_syncz00zzast_nodez00, BGl_proc1830z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_appz00zzast_nodez00, BGl_proc1831z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1832z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_funcallz00zzast_nodez00, BGl_proc1833z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_externz00zzast_nodez00, BGl_proc1834z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_castz00zzast_nodez00, BGl_proc1835z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_setqz00zzast_nodez00, BGl_proc1836z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc1837z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_failz00zzast_nodez00, BGl_proc1838z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_switchz00zzast_nodez00, BGl_proc1839z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1840z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1841z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1842z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1843z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1844z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1845z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1846z00zzintegrate_letzd2funzd2,
				BGl_string1825z00zzintegrate_letzd2funzd2);
		}

	}



/* &displace-let-fun-nod1316 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1316zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2273, obj_t BgL_nodez00_2274, obj_t BgL_hostsz00_2275)
	{
		{	/* Integrate/let_fun.scm 323 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1314 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1314zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2276, obj_t BgL_nodez00_2277, obj_t BgL_hostsz00_2278)
	{
		{	/* Integrate/let_fun.scm 317 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1312 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1312zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2279, obj_t BgL_nodez00_2280, obj_t BgL_hostsz00_2281)
	{
		{	/* Integrate/let_fun.scm 310 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2280)))->BgL_valuez00),
				BgL_hostsz00_2281);
		}

	}



/* &displace-let-fun-nod1310 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1310zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2282, obj_t BgL_nodez00_2283, obj_t BgL_hostsz00_2284)
	{
		{	/* Integrate/let_fun.scm 302 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2283)))->BgL_exitz00),
				BgL_hostsz00_2284);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
								BgL_nodez00_2283)))->BgL_valuez00), BgL_hostsz00_2284);
		}

	}



/* &displace-let-fun-nod1308 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1308zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2285, obj_t BgL_nodez00_2286, obj_t BgL_hostsz00_2287)
	{
		{	/* Integrate/let_fun.scm 294 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2286)))->BgL_onexitz00),
				BgL_hostsz00_2287);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_2286)))->BgL_bodyz00), BgL_hostsz00_2287);
		}

	}



/* &displace-let-fun-nod1306 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1306zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2288, obj_t BgL_nodez00_2289, obj_t BgL_hostsz00_2290)
	{
		{	/* Integrate/let_fun.scm 280 */
			{	/* Integrate/let_fun.scm 282 */
				obj_t BgL_g1130z00_2358;

				BgL_g1130z00_2358 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2289)))->BgL_bindingsz00);
				{
					obj_t BgL_bindingsz00_2360;

					BgL_bindingsz00_2360 = BgL_g1130z00_2358;
				BgL_liipz00_2359:
					if (NULLP(BgL_bindingsz00_2360))
						{	/* Integrate/let_fun.scm 283 */
							return
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2289)))->
									BgL_bodyz00), BgL_hostsz00_2290);
						}
					else
						{	/* Integrate/let_fun.scm 285 */
							obj_t BgL_bindingz00_2361;

							BgL_bindingz00_2361 = CAR(((obj_t) BgL_bindingsz00_2360));
							{	/* Integrate/let_fun.scm 286 */
								obj_t BgL_valz00_2362;

								BgL_valz00_2362 = CDR(((obj_t) BgL_bindingz00_2361));
								{	/* Integrate/let_fun.scm 287 */

									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_valz00_2362), BgL_hostsz00_2290);
									{	/* Integrate/let_fun.scm 289 */
										obj_t BgL_arg1630z00_2363;

										BgL_arg1630z00_2363 = CDR(((obj_t) BgL_bindingsz00_2360));
										{
											obj_t BgL_bindingsz00_2676;

											BgL_bindingsz00_2676 = BgL_arg1630z00_2363;
											BgL_bindingsz00_2360 = BgL_bindingsz00_2676;
											goto BgL_liipz00_2359;
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1304 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1304zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2291, obj_t BgL_nodez00_2292, obj_t BgL_hostsz00_2293)
	{
		{	/* Integrate/let_fun.scm 250 */
			{	/* Tools/trace.sch 53 */
				obj_t BgL_g1127z00_2365;

				BgL_g1127z00_2365 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2292)))->BgL_localsz00);
				{
					obj_t BgL_oldz00_2367;
					obj_t BgL_newz00_2368;

					BgL_oldz00_2367 = BgL_g1127z00_2365;
					BgL_newz00_2368 = BNIL;
				BgL_liipz00_2366:
					if (NULLP(BgL_oldz00_2367))
						{	/* Tools/trace.sch 53 */
							((((BgL_letzd2funzd2_bglt) COBJECT(
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2292)))->
									BgL_localsz00) = ((obj_t) BgL_newz00_2368), BUNSPEC);
							return
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
										(BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
												BgL_nodez00_2292)))->BgL_bodyz00), BgL_hostsz00_2293);
						}
					else
						{	/* Tools/trace.sch 53 */
							bool_t BgL_test1899z00_2686;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_arg1615z00_2369;

								{	/* Tools/trace.sch 53 */
									BgL_sfunz00_bglt BgL_oz00_2370;

									BgL_oz00_2370 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(
																((obj_t) BgL_oldz00_2367))))))->BgL_valuez00));
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2693;

										{
											obj_t BgL_auxz00_2694;

											{	/* Tools/trace.sch 53 */
												BgL_objectz00_bglt BgL_tmpz00_2695;

												BgL_tmpz00_2695 = ((BgL_objectz00_bglt) BgL_oz00_2370);
												BgL_auxz00_2694 = BGL_OBJECT_WIDENING(BgL_tmpz00_2695);
											}
											BgL_auxz00_2693 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2694);
										}
										BgL_arg1615z00_2369 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2693))->
											BgL_lz00);
									}
								}
								BgL_test1899z00_2686 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1615z00_2369, BgL_hostsz00_2293));
							}
							if (BgL_test1899z00_2686)
								{	/* Tools/trace.sch 53 */
									obj_t BgL_lz00_2371;

									BgL_lz00_2371 = CAR(((obj_t) BgL_oldz00_2367));
									BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(BgL_lz00_2371);
									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1590z00_2372;
										obj_t BgL_arg1598z00_2373;

										BgL_arg1590z00_2372 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_2371))))->
															BgL_valuez00))))->BgL_bodyz00);
										BgL_arg1598z00_2373 =
											MAKE_YOUNG_PAIR(BgL_lz00_2371, BgL_hostsz00_2293);
										BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
											(((BgL_nodez00_bglt) BgL_arg1590z00_2372),
											BgL_arg1598z00_2373);
									}
									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1600z00_2374;
										obj_t BgL_arg1610z00_2375;

										BgL_arg1600z00_2374 = CDR(((obj_t) BgL_oldz00_2367));
										BgL_arg1610z00_2375 =
											MAKE_YOUNG_PAIR(BgL_lz00_2371, BgL_newz00_2368);
										{
											obj_t BgL_newz00_2717;
											obj_t BgL_oldz00_2716;

											BgL_oldz00_2716 = BgL_arg1600z00_2374;
											BgL_newz00_2717 = BgL_arg1610z00_2375;
											BgL_newz00_2368 = BgL_newz00_2717;
											BgL_oldz00_2367 = BgL_oldz00_2716;
											goto BgL_liipz00_2366;
										}
									}
								}
							else
								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1614z00_2376;

									BgL_arg1614z00_2376 = CDR(((obj_t) BgL_oldz00_2367));
									{
										obj_t BgL_oldz00_2720;

										BgL_oldz00_2720 = BgL_arg1614z00_2376;
										BgL_oldz00_2367 = BgL_oldz00_2720;
										goto BgL_liipz00_2366;
									}
								}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1302 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1302zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2294, obj_t BgL_nodez00_2295, obj_t BgL_hostsz00_2296)
	{
		{	/* Integrate/let_fun.scm 238 */
			{	/* Integrate/let_fun.scm 240 */
				obj_t BgL_g1125z00_2378;

				BgL_g1125z00_2378 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2295)))->BgL_clausesz00);
				{
					obj_t BgL_clausesz00_2380;

					BgL_clausesz00_2380 = BgL_g1125z00_2378;
				BgL_liipz00_2379:
					if (NULLP(BgL_clausesz00_2380))
						{	/* Integrate/let_fun.scm 241 */
							return
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_2295)))->BgL_testz00),
								BgL_hostsz00_2296);
						}
					else
						{	/* Integrate/let_fun.scm 241 */
							{	/* Integrate/let_fun.scm 244 */
								obj_t BgL_arg1565z00_2381;

								{	/* Integrate/let_fun.scm 244 */
									obj_t BgL_pairz00_2382;

									BgL_pairz00_2382 = CAR(((obj_t) BgL_clausesz00_2380));
									BgL_arg1565z00_2381 = CDR(BgL_pairz00_2382);
								}
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
									((BgL_nodez00_bglt) BgL_arg1565z00_2381), BgL_hostsz00_2296);
							}
							{	/* Integrate/let_fun.scm 245 */
								obj_t BgL_arg1570z00_2383;

								BgL_arg1570z00_2383 = CDR(((obj_t) BgL_clausesz00_2380));
								{
									obj_t BgL_clausesz00_2735;

									BgL_clausesz00_2735 = BgL_arg1570z00_2383;
									BgL_clausesz00_2380 = BgL_clausesz00_2735;
									goto BgL_liipz00_2379;
								}
							}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1300 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1300zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2297, obj_t BgL_nodez00_2298, obj_t BgL_hostsz00_2299)
	{
		{	/* Integrate/let_fun.scm 229 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2298)))->BgL_procz00),
				BgL_hostsz00_2299);
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2298)))->
					BgL_msgz00), BgL_hostsz00_2299);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2298)))->
					BgL_objz00), BgL_hostsz00_2299);
		}

	}



/* &displace-let-fun-nod1298 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1298zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2300, obj_t BgL_nodez00_2301, obj_t BgL_hostsz00_2302)
	{
		{	/* Integrate/let_fun.scm 220 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2301)))->BgL_testz00),
				BgL_hostsz00_2302);
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2301)))->BgL_truez00), BgL_hostsz00_2302);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2301)))->BgL_falsez00), BgL_hostsz00_2302);
		}

	}



/* &displace-let-fun-nod1296 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1296zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2303, obj_t BgL_nodez00_2304, obj_t BgL_hostsz00_2305)
	{
		{	/* Integrate/let_fun.scm 213 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2304)))->BgL_valuez00),
				BgL_hostsz00_2305);
		}

	}



/* &displace-let-fun-nod1294 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1294zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2306, obj_t BgL_nodez00_2307, obj_t BgL_hostsz00_2308)
	{
		{	/* Integrate/let_fun.scm 206 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2307)))->BgL_argz00),
				BgL_hostsz00_2308);
		}

	}



/* &displace-let-fun-nod1292 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1292zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2309, obj_t BgL_nodez00_2310, obj_t BgL_hostsz00_2311)
	{
		{	/* Integrate/let_fun.scm 199 */
			{	/* Integrate/let_fun.scm 200 */
				bool_t BgL_tmpz00_2760;

				{	/* Integrate/let_fun.scm 201 */
					obj_t BgL_g1270z00_2389;

					BgL_g1270z00_2389 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2310)))->BgL_exprza2za2);
					{
						obj_t BgL_l1268z00_2391;

						BgL_l1268z00_2391 = BgL_g1270z00_2389;
					BgL_zc3z04anonymousza31511ze3z87_2390:
						if (PAIRP(BgL_l1268z00_2391))
							{	/* Integrate/let_fun.scm 201 */
								{	/* Integrate/let_fun.scm 201 */
									obj_t BgL_nodez00_2392;

									BgL_nodez00_2392 = CAR(BgL_l1268z00_2391);
									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_nodez00_2392), BgL_hostsz00_2311);
								}
								{
									obj_t BgL_l1268z00_2768;

									BgL_l1268z00_2768 = CDR(BgL_l1268z00_2391);
									BgL_l1268z00_2391 = BgL_l1268z00_2768;
									goto BgL_zc3z04anonymousza31511ze3z87_2390;
								}
							}
						else
							{	/* Integrate/let_fun.scm 201 */
								BgL_tmpz00_2760 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2760);
			}
		}

	}



/* &displace-let-fun-nod1290 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1290zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2312, obj_t BgL_nodez00_2313, obj_t BgL_hostsz00_2314)
	{
		{	/* Integrate/let_fun.scm 187 */
			{
				obj_t BgL_astsz00_2395;

				BgL_astsz00_2395 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2313)))->BgL_argsz00);
			BgL_liipz00_2394:
				if (NULLP(BgL_astsz00_2395))
					{	/* Integrate/let_fun.scm 190 */
						return
							BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_nodez00_2313)))->BgL_funz00),
							BgL_hostsz00_2314);
					}
				else
					{	/* Integrate/let_fun.scm 190 */
						{	/* Integrate/let_fun.scm 193 */
							obj_t BgL_arg1506z00_2396;

							BgL_arg1506z00_2396 = CAR(((obj_t) BgL_astsz00_2395));
							BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
								((BgL_nodez00_bglt) BgL_arg1506z00_2396), BgL_hostsz00_2314);
						}
						{	/* Integrate/let_fun.scm 194 */
							obj_t BgL_arg1510z00_2397;

							BgL_arg1510z00_2397 = CDR(((obj_t) BgL_astsz00_2395));
							{
								obj_t BgL_astsz00_2782;

								BgL_astsz00_2782 = BgL_arg1510z00_2397;
								BgL_astsz00_2395 = BgL_astsz00_2782;
								goto BgL_liipz00_2394;
							}
						}
					}
			}
		}

	}



/* &displace-let-fun-nod1288 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1288zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2315, obj_t BgL_nodez00_2316, obj_t BgL_hostsz00_2317)
	{
		{	/* Integrate/let_fun.scm 179 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2316)))->BgL_funz00),
				BgL_hostsz00_2317);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
								BgL_nodez00_2316)))->BgL_argz00), BgL_hostsz00_2317);
		}

	}



/* &displace-let-fun-nod1286 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1286zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2318, obj_t BgL_nodez00_2319, obj_t BgL_hostsz00_2320)
	{
		{	/* Integrate/let_fun.scm 168 */
			{	/* Integrate/let_fun.scm 169 */
				obj_t BgL_g1115z00_2400;

				BgL_g1115z00_2400 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2319)))->BgL_argsz00);
				{
					obj_t BgL_argsz00_2402;

					BgL_argsz00_2402 = BgL_g1115z00_2400;
				BgL_liipz00_2401:
					if (NULLP(BgL_argsz00_2402))
						{	/* Integrate/let_fun.scm 170 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/let_fun.scm 170 */
							{	/* Integrate/let_fun.scm 173 */
								obj_t BgL_arg1429z00_2403;

								BgL_arg1429z00_2403 = CAR(((obj_t) BgL_argsz00_2402));
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
									((BgL_nodez00_bglt) BgL_arg1429z00_2403), BgL_hostsz00_2320);
							}
							{	/* Integrate/let_fun.scm 174 */
								obj_t BgL_arg1458z00_2404;

								BgL_arg1458z00_2404 = CDR(((obj_t) BgL_argsz00_2402));
								{
									obj_t BgL_argsz00_2801;

									BgL_argsz00_2801 = BgL_arg1458z00_2404;
									BgL_argsz00_2402 = BgL_argsz00_2801;
									goto BgL_liipz00_2401;
								}
							}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1284 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1284zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2321, obj_t BgL_nodez00_2322, obj_t BgL_hostsz00_2323)
	{
		{	/* Integrate/let_fun.scm 159 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2322)))->BgL_mutexz00),
				BgL_hostsz00_2323);
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2322)))->
					BgL_prelockz00), BgL_hostsz00_2323);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2322)))->
					BgL_bodyz00), BgL_hostsz00_2323);
		}

	}



/* &displace-let-fun-nod1282 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1282zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2324, obj_t BgL_nodez00_2325, obj_t BgL_hostsz00_2326)
	{
		{	/* Integrate/let_fun.scm 152 */
			{	/* Integrate/let_fun.scm 153 */
				bool_t BgL_tmpz00_2811;

				{	/* Integrate/let_fun.scm 154 */
					obj_t BgL_g1267z00_2407;

					BgL_g1267z00_2407 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2325)))->BgL_nodesz00);
					{
						obj_t BgL_l1265z00_2409;

						BgL_l1265z00_2409 = BgL_g1267z00_2407;
					BgL_zc3z04anonymousza31389ze3z87_2408:
						if (PAIRP(BgL_l1265z00_2409))
							{	/* Integrate/let_fun.scm 154 */
								{	/* Integrate/let_fun.scm 154 */
									obj_t BgL_nodez00_2410;

									BgL_nodez00_2410 = CAR(BgL_l1265z00_2409);
									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_nodez00_2410), BgL_hostsz00_2326);
								}
								{
									obj_t BgL_l1265z00_2819;

									BgL_l1265z00_2819 = CDR(BgL_l1265z00_2409);
									BgL_l1265z00_2409 = BgL_l1265z00_2819;
									goto BgL_zc3z04anonymousza31389ze3z87_2408;
								}
							}
						else
							{	/* Integrate/let_fun.scm 154 */
								BgL_tmpz00_2811 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2811);
			}
		}

	}



/* &displace-let-fun-nod1280 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1280zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2327, obj_t BgL_nodez00_2328, obj_t BgL_hostsz00_2329)
	{
		{	/* Integrate/let_fun.scm 146 */
			{	/* Integrate/let_fun.scm 147 */
				obj_t BgL_arg1388z00_2412;

				BgL_arg1388z00_2412 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2328)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1847z00zzintegrate_letzd2funzd2,
					BGl_string1848z00zzintegrate_letzd2funzd2, BgL_arg1388z00_2412);
			}
		}

	}



/* &displace-let-fun-nod1278 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1278zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2330, obj_t BgL_nodez00_2331, obj_t BgL_hostsz00_2332)
	{
		{	/* Integrate/let_fun.scm 140 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1276 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1276zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2333, obj_t BgL_nodez00_2334, obj_t BgL_hostsz00_2335)
	{
		{	/* Integrate/let_fun.scm 134 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1274 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1274zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2336, obj_t BgL_nodez00_2337, obj_t BgL_hostsz00_2338)
	{
		{	/* Integrate/let_fun.scm 128 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1849z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1849z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1849z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1849z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1849z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1849z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1849z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1849z00zzintegrate_letzd2funzd2));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1849z00zzintegrate_letzd2funzd2));
		}

	}

#ifdef __cplusplus
}
#endif
