/*===========================================================================*/
/*   (Integrate/volatile.scm)                                                */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/volatile.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_volatilez00 =
		BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62volatilezd2closure1267zb0zzintegrate_volatilez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_volatilez00(void);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_volatilez00(void);
	static obj_t BGl_usezd2setzd2exitz00zzintegrate_volatilez00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_volatilez00(void);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62usezd2setzd2exit1275z62zzintegrate_volatilez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_volatilez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_volatilez00(void);
	static obj_t BGl_z62volatile1264z62zzintegrate_volatilez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62volatilez62zzintegrate_volatilez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t
		BGl_zc3z04anonymousza31366ze3ze70z60zzintegrate_volatilez00(obj_t);
	extern obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_z62volatilezd2letzd2fun1271z62zzintegrate_volatilez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_volatilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzliveness_livenessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_livenesszd2livezd2zzliveness_livenessz00(BgL_nodez00_bglt);
	static obj_t BGl_z62usezd2setzd2exitz62zzintegrate_volatilez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_volatilez00(void);
	static obj_t
		BGl_z62volatilezd2setzd2exzd2it1274zb0zzintegrate_volatilez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_volatilez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_volatilez00(void);
	static obj_t BGl_volatilez00zzintegrate_volatilez00(BgL_nodez00_bglt, obj_t);
	extern obj_t
		BGl_livenesszd2sfunz12zc0zzliveness_livenessz00(BgL_sfunz00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62volatilez12z70zzintegrate_volatilez00(obj_t,
		obj_t);
	static obj_t
		BGl_z62usezd2setzd2exitzd2setzd2exzd21278zb0zzintegrate_volatilez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62volatilezd2letzd2var1269z62zzintegrate_volatilez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_volatilez12z12zzintegrate_volatilez00(BgL_globalz00_bglt);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_volatilez12zd2envzc0zzintegrate_volatilez00,
		BgL_bgl_za762volatileza712za771674za7,
		BGl_z62volatilez12z70zzintegrate_volatilez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1663z00zzintegrate_volatilez00,
		BgL_bgl_string1663za700za7za7i1675za7, "volatile1264", 12);
	      DEFINE_STRING(BGl_string1665z00zzintegrate_volatilez00,
		BgL_bgl_string1665za700za7za7i1676za7, "use-set-exit1275", 16);
	      DEFINE_STRING(BGl_string1667z00zzintegrate_volatilez00,
		BgL_bgl_string1667za700za7za7i1677za7, "volatile", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1662z00zzintegrate_volatilez00,
		BgL_bgl_za762volatile1264za71678z00,
		BGl_z62volatile1264z62zzintegrate_volatilez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1664z00zzintegrate_volatilez00,
		BgL_bgl_za762useza7d2setza7d2e1679za7,
		BGl_z62usezd2setzd2exit1275z62zzintegrate_volatilez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1672z00zzintegrate_volatilez00,
		BgL_bgl_string1672za700za7za7i1680za7, "use-set-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1666z00zzintegrate_volatilez00,
		BgL_bgl_za762volatileza7d2cl1681z00,
		BGl_z62volatilezd2closure1267zb0zzintegrate_volatilez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1673z00zzintegrate_volatilez00,
		BgL_bgl_string1673za700za7za7i1682za7, "integrate_volatile", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1668z00zzintegrate_volatilez00,
		BgL_bgl_za762volatileza7d2le1683z00,
		BGl_z62volatilezd2letzd2var1269z62zzintegrate_volatilez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1669z00zzintegrate_volatilez00,
		BgL_bgl_za762volatileza7d2le1684z00,
		BGl_z62volatilezd2letzd2fun1271z62zzintegrate_volatilez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1670z00zzintegrate_volatilez00,
		BgL_bgl_za762volatileza7d2se1685z00,
		BGl_z62volatilezd2setzd2exzd2it1274zb0zzintegrate_volatilez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1671z00zzintegrate_volatilez00,
		BgL_bgl_za762useza7d2setza7d2e1686za7,
		BGl_z62usezd2setzd2exitzd2setzd2exzd21278zb0zzintegrate_volatilez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_volatilezd2envzd2zzintegrate_volatilez00,
		BgL_bgl_za762volatileza762za7za71687z00,
		BGl_z62volatilez62zzintegrate_volatilez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_usezd2setzd2exitzd2envzd2zzintegrate_volatilez00,
		BgL_bgl_za762useza7d2setza7d2e1688za7,
		BGl_z62usezd2setzd2exitz62zzintegrate_volatilez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_volatilez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_volatilez00(long
		BgL_checksumz00_1958, char *BgL_fromz00_1959)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_volatilez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_volatilez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_volatilez00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_volatilez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_volatilez00();
					BGl_genericzd2initzd2zzintegrate_volatilez00();
					BGl_methodzd2initzd2zzintegrate_volatilez00();
					return BGl_toplevelzd2initzd2zzintegrate_volatilez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_volatile");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_volatilez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1362;

				BgL_headz00_1362 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1363;
					obj_t BgL_tailz00_1364;

					BgL_prevz00_1363 = BgL_headz00_1362;
					BgL_tailz00_1364 = BgL_l1z00_1;
				BgL_loopz00_1365:
					if (PAIRP(BgL_tailz00_1364))
						{
							obj_t BgL_newzd2prevzd2_1367;

							BgL_newzd2prevzd2_1367 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1364), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1363, BgL_newzd2prevzd2_1367);
							{
								obj_t BgL_tailz00_1985;
								obj_t BgL_prevz00_1984;

								BgL_prevz00_1984 = BgL_newzd2prevzd2_1367;
								BgL_tailz00_1985 = CDR(BgL_tailz00_1364);
								BgL_tailz00_1364 = BgL_tailz00_1985;
								BgL_prevz00_1363 = BgL_prevz00_1984;
								goto BgL_loopz00_1365;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1362);
				}
			}
		}

	}



/* volatile! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_volatilez12z12zzintegrate_volatilez00(BgL_globalz00_bglt
		BgL_globalz00_3)
	{
		{	/* Integrate/volatile.scm 37 */
			{	/* Integrate/volatile.scm 39 */
				obj_t BgL_defz00_1371;

				{	/* Integrate/volatile.scm 40 */
					BgL_valuez00_bglt BgL_arg1292z00_1378;

					BgL_arg1292z00_1378 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_valuez00);
					BgL_defz00_1371 =
						BGl_livenesszd2sfunz12zc0zzliveness_livenessz00(
						((BgL_sfunz00_bglt) BgL_arg1292z00_1378));
				}
				{	/* Integrate/volatile.scm 40 */
					obj_t BgL_usez00_1372;

					{	/* Integrate/volatile.scm 41 */
						obj_t BgL_tmpz00_1759;

						{	/* Integrate/volatile.scm 41 */
							int BgL_tmpz00_1992;

							BgL_tmpz00_1992 = (int) (((long) 1));
							BgL_tmpz00_1759 = BGL_MVALUES_VAL(BgL_tmpz00_1992);
						}
						{	/* Integrate/volatile.scm 41 */
							int BgL_tmpz00_1995;

							BgL_tmpz00_1995 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_1995, BUNSPEC);
						}
						BgL_usez00_1372 = BgL_tmpz00_1759;
					}
					{	/* Integrate/volatile.scm 41 */
						BgL_sfunz00_bglt BgL_i1117z00_1373;

						BgL_i1117z00_1373 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_valuez00));
						{	/* Integrate/volatile.scm 42 */
							bool_t BgL_test1691z00_2001;

							{	/* Integrate/volatile.scm 42 */
								obj_t BgL_arg1287z00_1377;

								BgL_arg1287z00_1377 =
									(((BgL_sfunz00_bglt) COBJECT(BgL_i1117z00_1373))->
									BgL_bodyz00);
								{	/* Integrate/volatile.scm 115 */
									obj_t BgL_cellz00_1760;

									BgL_cellz00_1760 = MAKE_YOUNG_CELL(BFALSE);
									BGl_usezd2setzd2exitz00zzintegrate_volatilez00(
										((BgL_nodez00_bglt) BgL_arg1287z00_1377), BgL_cellz00_1760);
									BgL_test1691z00_2001 = CBOOL(CELL_REF(BgL_cellz00_1760));
							}}
							if (BgL_test1691z00_2001)
								{	/* Integrate/volatile.scm 43 */
									obj_t BgL_arg1286z00_1376;

									BgL_arg1286z00_1376 =
										(((BgL_sfunz00_bglt) COBJECT(BgL_i1117z00_1373))->
										BgL_bodyz00);
									BGl_volatilez00zzintegrate_volatilez00(((BgL_nodez00_bglt)
											BgL_arg1286z00_1376), BNIL);
								}
							else
								{	/* Integrate/volatile.scm 42 */
									BFALSE;
								}
						}
					}
				}
			}
			return BgL_globalz00_3;
		}

	}



/* &volatile! */
	BgL_globalz00_bglt BGl_z62volatilez12z70zzintegrate_volatilez00(obj_t
		BgL_envz00_1864, obj_t BgL_globalz00_1865)
	{
		{	/* Integrate/volatile.scm 37 */
			return
				BGl_volatilez12z12zzintegrate_volatilez00(
				((BgL_globalz00_bglt) BgL_globalz00_1865));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_volatilezd2envzd2zzintegrate_volatilez00,
				BGl_proc1662z00zzintegrate_volatilez00, BGl_nodez00zzast_nodez00,
				BGl_string1663z00zzintegrate_volatilez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_usezd2setzd2exitzd2envzd2zzintegrate_volatilez00,
				BGl_proc1664z00zzintegrate_volatilez00, BGl_nodez00zzast_nodez00,
				BGl_string1665z00zzintegrate_volatilez00);
		}

	}



/* &use-set-exit1275 */
	obj_t BGl_z62usezd2setzd2exit1275z62zzintegrate_volatilez00(obj_t
		BgL_envz00_1874, obj_t BgL_nodez00_1875, obj_t BgL_cellz00_1876)
	{
		{	/* Integrate/volatile.scm 122 */
			{

				if (CBOOL(CELL_REF(((obj_t) BgL_cellz00_1876))))
					{	/* Integrate/volatile.scm 123 */
						return BFALSE;
					}
				else
					{	/* Integrate/volatile.scm 123 */
						return
							BGl_walk1z00zzast_walkz00(
							((BgL_nodez00_bglt) BgL_nodez00_1875),
							BGl_usezd2setzd2exitzd2envzd2zzintegrate_volatilez00,
							BgL_cellz00_1876);
					}
			}
		}

	}



/* &volatile1264 */
	obj_t BGl_z62volatile1264z62zzintegrate_volatilez00(obj_t BgL_envz00_1877,
		obj_t BgL_nodez00_1878, obj_t BgL_envz00_1879)
	{
		{	/* Integrate/volatile.scm 56 */
			{

				return
					BGl_walk1z00zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_1878),
					BGl_volatilezd2envzd2zzintegrate_volatilez00, BgL_envz00_1879);
			}
		}

	}



/* volatile */
	obj_t BGl_volatilez00zzintegrate_volatilez00(BgL_nodez00_bglt BgL_nodez00_6,
		obj_t BgL_envz00_7)
	{
		{	/* Integrate/volatile.scm 56 */
			{	/* Integrate/volatile.scm 56 */
				obj_t BgL_method1265z00_1421;

				{	/* Integrate/volatile.scm 56 */
					obj_t BgL_res1656z00_1800;

					{	/* Integrate/volatile.scm 56 */
						long BgL_objzd2classzd2numz00_1771;

						BgL_objzd2classzd2numz00_1771 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_6));
						{	/* Integrate/volatile.scm 56 */
							obj_t BgL_arg1825z00_1772;

							BgL_arg1825z00_1772 =
								PROCEDURE_REF(BGl_volatilezd2envzd2zzintegrate_volatilez00,
								(int) (((long) 1)));
							{	/* Integrate/volatile.scm 56 */
								int BgL_offsetz00_1775;

								BgL_offsetz00_1775 = (int) (BgL_objzd2classzd2numz00_1771);
								{	/* Integrate/volatile.scm 56 */
									long BgL_offsetz00_1776;

									BgL_offsetz00_1776 =
										((long) (BgL_offsetz00_1775) - OBJECT_TYPE);
									{	/* Integrate/volatile.scm 56 */
										long BgL_modz00_1777;

										BgL_modz00_1777 =
											(BgL_offsetz00_1776 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Integrate/volatile.scm 56 */
											long BgL_restz00_1779;

											BgL_restz00_1779 =
												(BgL_offsetz00_1776 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Integrate/volatile.scm 56 */

												{	/* Integrate/volatile.scm 56 */
													obj_t BgL_bucketz00_1781;

													BgL_bucketz00_1781 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_1772), BgL_modz00_1777);
													BgL_res1656z00_1800 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1781), BgL_restz00_1779);
					}}}}}}}}
					BgL_method1265z00_1421 = BgL_res1656z00_1800;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1265z00_1421)) (BgL_method1265z00_1421,
					((obj_t) BgL_nodez00_6), BgL_envz00_7, BEOA);
			}
		}

	}



/* &volatile */
	obj_t BGl_z62volatilez62zzintegrate_volatilez00(obj_t BgL_envz00_1871,
		obj_t BgL_nodez00_1872, obj_t BgL_envz00_1873)
	{
		{	/* Integrate/volatile.scm 56 */
			return
				BGl_volatilez00zzintegrate_volatilez00(
				((BgL_nodez00_bglt) BgL_nodez00_1872), BgL_envz00_1873);
		}

	}



/* use-set-exit */
	obj_t BGl_usezd2setzd2exitz00zzintegrate_volatilez00(BgL_nodez00_bglt
		BgL_nodez00_17, obj_t BgL_cellz00_18)
	{
		{	/* Integrate/volatile.scm 122 */
			{	/* Integrate/volatile.scm 122 */
				obj_t BgL_method1276z00_1422;

				{	/* Integrate/volatile.scm 122 */
					obj_t BgL_res1661z00_1831;

					{	/* Integrate/volatile.scm 122 */
						long BgL_objzd2classzd2numz00_1802;

						BgL_objzd2classzd2numz00_1802 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_17));
						{	/* Integrate/volatile.scm 122 */
							obj_t BgL_arg1825z00_1803;

							BgL_arg1825z00_1803 =
								PROCEDURE_REF
								(BGl_usezd2setzd2exitzd2envzd2zzintegrate_volatilez00,
								(int) (((long) 1)));
							{	/* Integrate/volatile.scm 122 */
								int BgL_offsetz00_1806;

								BgL_offsetz00_1806 = (int) (BgL_objzd2classzd2numz00_1802);
								{	/* Integrate/volatile.scm 122 */
									long BgL_offsetz00_1807;

									BgL_offsetz00_1807 =
										((long) (BgL_offsetz00_1806) - OBJECT_TYPE);
									{	/* Integrate/volatile.scm 122 */
										long BgL_modz00_1808;

										BgL_modz00_1808 =
											(BgL_offsetz00_1807 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Integrate/volatile.scm 122 */
											long BgL_restz00_1810;

											BgL_restz00_1810 =
												(BgL_offsetz00_1807 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Integrate/volatile.scm 122 */

												{	/* Integrate/volatile.scm 122 */
													obj_t BgL_bucketz00_1812;

													BgL_bucketz00_1812 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_1803), BgL_modz00_1808);
													BgL_res1661z00_1831 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1812), BgL_restz00_1810);
					}}}}}}}}
					BgL_method1276z00_1422 = BgL_res1661z00_1831;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1276z00_1422)) (BgL_method1276z00_1422,
					((obj_t) BgL_nodez00_17), BgL_cellz00_18, BEOA);
			}
		}

	}



/* &use-set-exit */
	obj_t BGl_z62usezd2setzd2exitz62zzintegrate_volatilez00(obj_t BgL_envz00_1867,
		obj_t BgL_nodez00_1868, obj_t BgL_cellz00_1869)
	{
		{	/* Integrate/volatile.scm 122 */
			return
				BGl_usezd2setzd2exitz00zzintegrate_volatilez00(
				((BgL_nodez00_bglt) BgL_nodez00_1868), BgL_cellz00_1869);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_volatilezd2envzd2zzintegrate_volatilez00,
				BGl_closurez00zzast_nodez00, BGl_proc1666z00zzintegrate_volatilez00,
				BGl_string1667z00zzintegrate_volatilez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_volatilezd2envzd2zzintegrate_volatilez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1668z00zzintegrate_volatilez00,
				BGl_string1667z00zzintegrate_volatilez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_volatilezd2envzd2zzintegrate_volatilez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1669z00zzintegrate_volatilez00,
				BGl_string1667z00zzintegrate_volatilez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_volatilezd2envzd2zzintegrate_volatilez00,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1670z00zzintegrate_volatilez00,
				BGl_string1667z00zzintegrate_volatilez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2setzd2exitzd2envzd2zzintegrate_volatilez00,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1671z00zzintegrate_volatilez00,
				BGl_string1672z00zzintegrate_volatilez00);
		}

	}



/* &use-set-exit-set-ex-1278 */
	obj_t
		BGl_z62usezd2setzd2exitzd2setzd2exzd21278zb0zzintegrate_volatilez00(obj_t
		BgL_envz00_1885, obj_t BgL_nodez00_1886, obj_t BgL_cellz00_1887)
	{
		{	/* Integrate/volatile.scm 129 */
			return CELL_SET(((obj_t) BgL_cellz00_1887), BTRUE);
		}

	}



/* &volatile-set-ex-it1274 */
	obj_t BGl_z62volatilezd2setzd2exzd2it1274zb0zzintegrate_volatilez00(obj_t
		BgL_envz00_1888, obj_t BgL_nodez00_1889, obj_t BgL_envz00_1890)
	{
		{	/* Integrate/volatile.scm 101 */
			{	/* Integrate/volatile.scm 102 */
				obj_t BgL_livez00_1906;

				BgL_livez00_1906 =
					BGl_livenesszd2livezd2zzliveness_livenessz00(
					((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1889)));
				{
					obj_t BgL_l1262z00_1908;

					BgL_l1262z00_1908 = BgL_livez00_1906;
				BgL_zc3z04anonymousza31382ze3z87_1907:
					if (PAIRP(BgL_l1262z00_1908))
						{	/* Integrate/volatile.scm 103 */
							{	/* Integrate/volatile.scm 104 */
								obj_t BgL_lz00_1909;

								BgL_lz00_1909 = CAR(BgL_l1262z00_1908);
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
										(BgL_lz00_1909, BgL_envz00_1890)))
									{	/* Integrate/volatile.scm 104 */
										((((BgL_localz00_bglt) COBJECT(
														((BgL_localz00_bglt) BgL_lz00_1909)))->
												BgL_volatilez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									}
								else
									{	/* Integrate/volatile.scm 104 */
										BFALSE;
									}
							}
							{
								obj_t BgL_l1262z00_2107;

								BgL_l1262z00_2107 = CDR(BgL_l1262z00_1908);
								BgL_l1262z00_1908 = BgL_l1262z00_2107;
								goto BgL_zc3z04anonymousza31382ze3z87_1907;
							}
						}
					else
						{	/* Integrate/volatile.scm 103 */
							((bool_t) 1);
						}
				}
				return
					BGl_volatilez00zzintegrate_volatilez00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1889)))->BgL_bodyz00),
					BgL_envz00_1890);
			}
		}

	}



/* &volatile-let-fun1271 */
	obj_t BGl_z62volatilezd2letzd2fun1271z62zzintegrate_volatilez00(obj_t
		BgL_envz00_1891, obj_t BgL_nodez00_1892, obj_t BgL_envz00_1893)
	{
		{	/* Integrate/volatile.scm 84 */
			{	/* Integrate/volatile.scm 86 */
				obj_t BgL_g1258z00_1911;

				BgL_g1258z00_1911 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_1892)))->BgL_localsz00);
				{
					obj_t BgL_l1256z00_1913;

					BgL_l1256z00_1913 = BgL_g1258z00_1911;
				BgL_zc3z04anonymousza31351ze3z87_1912:
					if (PAIRP(BgL_l1256z00_1913))
						{	/* Integrate/volatile.scm 86 */
							{	/* Integrate/volatile.scm 87 */
								obj_t BgL_lz00_1914;

								BgL_lz00_1914 = CAR(BgL_l1256z00_1913);
								{	/* Integrate/volatile.scm 88 */
									BgL_valuez00_bglt BgL_arg1353z00_1915;

									BgL_arg1353z00_1915 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_lz00_1914))))->BgL_valuez00);
									{	/* Integrate/volatile.scm 51 */
										obj_t BgL_arg1293z00_1916;
										obj_t BgL_arg1294z00_1917;

										BgL_arg1293z00_1916 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_arg1353z00_1915)))->
											BgL_bodyz00);
										{	/* Integrate/volatile.scm 51 */
											obj_t BgL_arg1295z00_1918;

											BgL_arg1295z00_1918 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_arg1353z00_1915)))->
												BgL_argsz00);
											BgL_arg1294z00_1917 =
												BGl_appendzd221011zd2zzintegrate_volatilez00
												(BgL_arg1295z00_1918, BgL_envz00_1893);
										}
										BGl_volatilez00zzintegrate_volatilez00(
											((BgL_nodez00_bglt) BgL_arg1293z00_1916),
											BgL_arg1294z00_1917);
									}
								}
							}
							{
								obj_t BgL_l1256z00_2127;

								BgL_l1256z00_2127 = CDR(BgL_l1256z00_1913);
								BgL_l1256z00_1913 = BgL_l1256z00_2127;
								goto BgL_zc3z04anonymousza31351ze3z87_1912;
							}
						}
					else
						{	/* Integrate/volatile.scm 86 */
							((bool_t) 1);
						}
				}
			}
			{	/* Integrate/volatile.scm 90 */
				BgL_nodez00_bglt BgL_arg1358z00_1919;
				obj_t BgL_arg1359z00_1920;

				BgL_arg1358z00_1919 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_1892)))->BgL_bodyz00);
				{	/* Integrate/volatile.scm 91 */
					obj_t BgL_arg1361z00_1921;
					obj_t BgL_arg1362z00_1922;

					BgL_arg1361z00_1921 =
						BGl_zc3z04anonymousza31366ze3ze70z60zzintegrate_volatilez00(
						(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_1892)))->BgL_localsz00));
					BgL_arg1362z00_1922 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_1892)))->BgL_localsz00);
					{	/* Integrate/volatile.scm 91 */
						obj_t BgL_list1363z00_1923;

						{	/* Integrate/volatile.scm 91 */
							obj_t BgL_arg1364z00_1924;

							{	/* Integrate/volatile.scm 91 */
								obj_t BgL_arg1365z00_1925;

								BgL_arg1365z00_1925 = MAKE_YOUNG_PAIR(BgL_envz00_1893, BNIL);
								BgL_arg1364z00_1924 =
									MAKE_YOUNG_PAIR(BgL_arg1362z00_1922, BgL_arg1365z00_1925);
							}
							BgL_list1363z00_1923 =
								MAKE_YOUNG_PAIR(BgL_arg1361z00_1921, BgL_arg1364z00_1924);
						}
						BgL_arg1359z00_1920 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1363z00_1923);
					}
				}
				return
					BGl_volatilez00zzintegrate_volatilez00(BgL_arg1358z00_1919,
					BgL_arg1359z00_1920);
			}
		}

	}



/* <@anonymous:1366>~0 */
	obj_t BGl_zc3z04anonymousza31366ze3ze70z60zzintegrate_volatilez00(obj_t
		BgL_l1260z00_1527)
	{
		{	/* Integrate/volatile.scm 91 */
			if (NULLP(BgL_l1260z00_1527))
				{	/* Integrate/volatile.scm 91 */
					return BNIL;
				}
			else
				{	/* Integrate/volatile.scm 92 */
					obj_t BgL_arg1372z00_1530;
					obj_t BgL_arg1375z00_1531;

					BgL_arg1372z00_1530 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt)
														CAR(
															((obj_t) BgL_l1260z00_1527))))))->
										BgL_valuez00))))->BgL_argsz00);
					{	/* Integrate/volatile.scm 91 */
						obj_t BgL_arg1378z00_1535;

						BgL_arg1378z00_1535 = CDR(((obj_t) BgL_l1260z00_1527));
						BgL_arg1375z00_1531 =
							BGl_zc3z04anonymousza31366ze3ze70z60zzintegrate_volatilez00
							(BgL_arg1378z00_1535);
					}
					return bgl_append2(BgL_arg1372z00_1530, BgL_arg1375z00_1531);
				}
		}

	}



/* &volatile-let-var1269 */
	obj_t BGl_z62volatilezd2letzd2var1269z62zzintegrate_volatilez00(obj_t
		BgL_envz00_1894, obj_t BgL_nodez00_1895, obj_t BgL_envz00_1896)
	{
		{	/* Integrate/volatile.scm 70 */
			{	/* Integrate/volatile.scm 72 */
				obj_t BgL_g1246z00_1927;

				BgL_g1246z00_1927 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1895)))->BgL_bindingsz00);
				{
					obj_t BgL_l1244z00_1929;

					BgL_l1244z00_1929 = BgL_g1246z00_1927;
				BgL_zc3z04anonymousza31311ze3z87_1928:
					if (PAIRP(BgL_l1244z00_1929))
						{	/* Integrate/volatile.scm 72 */
							{	/* Integrate/volatile.scm 73 */
								obj_t BgL_bz00_1930;

								BgL_bz00_1930 = CAR(BgL_l1244z00_1929);
								{	/* Integrate/volatile.scm 73 */
									BgL_localz00_bglt BgL_i1122z00_1931;

									BgL_i1122z00_1931 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_1930)));
									((((BgL_localz00_bglt) COBJECT(BgL_i1122z00_1931))->
											BgL_volatilez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								}
							}
							{
								obj_t BgL_l1244z00_2163;

								BgL_l1244z00_2163 = CDR(BgL_l1244z00_1929);
								BgL_l1244z00_1929 = BgL_l1244z00_2163;
								goto BgL_zc3z04anonymousza31311ze3z87_1928;
							}
						}
					else
						{	/* Integrate/volatile.scm 72 */
							((bool_t) 1);
						}
				}
			}
			{	/* Integrate/volatile.scm 76 */
				obj_t BgL_g1249z00_1932;

				BgL_g1249z00_1932 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1895)))->BgL_bindingsz00);
				{
					obj_t BgL_l1247z00_1934;

					BgL_l1247z00_1934 = BgL_g1249z00_1932;
				BgL_zc3z04anonymousza31314ze3z87_1933:
					if (PAIRP(BgL_l1247z00_1934))
						{	/* Integrate/volatile.scm 76 */
							{	/* Integrate/volatile.scm 77 */
								obj_t BgL_bz00_1935;

								BgL_bz00_1935 = CAR(BgL_l1247z00_1934);
								{	/* Integrate/volatile.scm 77 */
									obj_t BgL_arg1316z00_1936;

									BgL_arg1316z00_1936 = CDR(((obj_t) BgL_bz00_1935));
									BGl_volatilez00zzintegrate_volatilez00(
										((BgL_nodez00_bglt) BgL_arg1316z00_1936), BgL_envz00_1896);
								}
							}
							{
								obj_t BgL_l1247z00_2174;

								BgL_l1247z00_2174 = CDR(BgL_l1247z00_1934);
								BgL_l1247z00_1934 = BgL_l1247z00_2174;
								goto BgL_zc3z04anonymousza31314ze3z87_1933;
							}
						}
					else
						{	/* Integrate/volatile.scm 76 */
							((bool_t) 1);
						}
				}
			}
			{	/* Integrate/volatile.scm 79 */
				BgL_nodez00_bglt BgL_arg1318z00_1937;
				obj_t BgL_arg1319z00_1938;

				BgL_arg1318z00_1937 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1895)))->BgL_bodyz00);
				{	/* Integrate/volatile.scm 79 */
					obj_t BgL_arg1331z00_1939;

					{	/* Integrate/volatile.scm 79 */
						obj_t BgL_l1250z00_1940;

						BgL_l1250z00_1940 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_1895)))->
							BgL_bindingsz00);
						if (NULLP(BgL_l1250z00_1940))
							{	/* Integrate/volatile.scm 79 */
								BgL_arg1331z00_1939 = BNIL;
							}
						else
							{	/* Integrate/volatile.scm 79 */
								obj_t BgL_head1252z00_1941;

								{	/* Integrate/volatile.scm 79 */
									obj_t BgL_arg1346z00_1942;

									{	/* Integrate/volatile.scm 79 */
										obj_t BgL_pairz00_1943;

										BgL_pairz00_1943 = CAR(((obj_t) BgL_l1250z00_1940));
										BgL_arg1346z00_1942 = CAR(BgL_pairz00_1943);
									}
									BgL_head1252z00_1941 =
										MAKE_YOUNG_PAIR(BgL_arg1346z00_1942, BNIL);
								}
								{	/* Integrate/volatile.scm 79 */
									obj_t BgL_g1255z00_1944;

									BgL_g1255z00_1944 = CDR(((obj_t) BgL_l1250z00_1940));
									{
										obj_t BgL_l1250z00_1946;
										obj_t BgL_tail1253z00_1947;

										BgL_l1250z00_1946 = BgL_g1255z00_1944;
										BgL_tail1253z00_1947 = BgL_head1252z00_1941;
									BgL_zc3z04anonymousza31336ze3z87_1945:
										if (NULLP(BgL_l1250z00_1946))
											{	/* Integrate/volatile.scm 79 */
												BgL_arg1331z00_1939 = BgL_head1252z00_1941;
											}
										else
											{	/* Integrate/volatile.scm 79 */
												obj_t BgL_newtail1254z00_1948;

												{	/* Integrate/volatile.scm 79 */
													obj_t BgL_arg1343z00_1949;

													{	/* Integrate/volatile.scm 79 */
														obj_t BgL_pairz00_1950;

														BgL_pairz00_1950 = CAR(((obj_t) BgL_l1250z00_1946));
														BgL_arg1343z00_1949 = CAR(BgL_pairz00_1950);
													}
													BgL_newtail1254z00_1948 =
														MAKE_YOUNG_PAIR(BgL_arg1343z00_1949, BNIL);
												}
												SET_CDR(BgL_tail1253z00_1947, BgL_newtail1254z00_1948);
												{	/* Integrate/volatile.scm 79 */
													obj_t BgL_arg1341z00_1951;

													BgL_arg1341z00_1951 =
														CDR(((obj_t) BgL_l1250z00_1946));
													{
														obj_t BgL_tail1253z00_2198;
														obj_t BgL_l1250z00_2197;

														BgL_l1250z00_2197 = BgL_arg1341z00_1951;
														BgL_tail1253z00_2198 = BgL_newtail1254z00_1948;
														BgL_tail1253z00_1947 = BgL_tail1253z00_2198;
														BgL_l1250z00_1946 = BgL_l1250z00_2197;
														goto BgL_zc3z04anonymousza31336ze3z87_1945;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1319z00_1938 =
						BGl_appendzd221011zd2zzintegrate_volatilez00(BgL_arg1331z00_1939,
						BgL_envz00_1896);
				}
				return
					BGl_volatilez00zzintegrate_volatilez00(BgL_arg1318z00_1937,
					BgL_arg1319z00_1938);
			}
		}

	}



/* &volatile-closure1267 */
	obj_t BGl_z62volatilezd2closure1267zb0zzintegrate_volatilez00(obj_t
		BgL_envz00_1897, obj_t BgL_nodez00_1898, obj_t BgL_envz00_1899)
	{
		{	/* Integrate/volatile.scm 62 */
			{	/* Integrate/volatile.scm 64 */
				BgL_variablez00_bglt BgL_i1120z00_1953;

				BgL_i1120z00_1953 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt)
								((BgL_closurez00_bglt) BgL_nodez00_1898))))->BgL_variablez00);
				{	/* Integrate/volatile.scm 65 */
					BgL_valuez00_bglt BgL_arg1307z00_1954;

					BgL_arg1307z00_1954 =
						(((BgL_variablez00_bglt) COBJECT(BgL_i1120z00_1953))->BgL_valuez00);
					{	/* Integrate/volatile.scm 51 */
						obj_t BgL_arg1293z00_1955;
						obj_t BgL_arg1294z00_1956;

						BgL_arg1293z00_1955 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_arg1307z00_1954)))->BgL_bodyz00);
						{	/* Integrate/volatile.scm 51 */
							obj_t BgL_arg1295z00_1957;

							BgL_arg1295z00_1957 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_arg1307z00_1954)))->BgL_argsz00);
							BgL_arg1294z00_1956 =
								BGl_appendzd221011zd2zzintegrate_volatilez00
								(BgL_arg1295z00_1957, BgL_envz00_1899);
						}
						return
							BGl_volatilez00zzintegrate_volatilez00(
							((BgL_nodez00_bglt) BgL_arg1293z00_1955), BgL_arg1294z00_1956);
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1673z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1673z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1673z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1673z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1673z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string1673z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zzliveness_livenessz00(((long) 424064075),
				BSTRING_TO_STRING(BGl_string1673z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1673z00zzintegrate_volatilez00));
			return
				BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1673z00zzintegrate_volatilez00));
		}

	}

#ifdef __cplusplus
}
#endif
