/*===========================================================================*/
/*   (Isa/walk.scm)                                                          */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Isa/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


	static obj_t BGl_z62isazd2walkz12za2zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzisa_walkz00 = BUNSPEC;
	static obj_t BGl_z62isaz121292z70zzisa_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62isaz12zd2app1295za2zzisa_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzisa_walkz00(void);
	static obj_t BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t);
	static obj_t BGl_za2isazf2finalza2zf2zzisa_walkz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzisa_walkz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00(void);
	static obj_t BGl_objectzd2initzd2zzisa_walkz00(void);
	static BgL_nodez00_bglt BGl_z62isaz12z70zzisa_walkz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_isaz12z12zzisa_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzisa_walkz00(void);
	static obj_t BGl_z62initzd2isazd2cachez12z70zzisa_walkz00(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_typez00_bglt
		BGl_uncastedzd2typeze70z35zzisa_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long,
		char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzisa_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzisa_walkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzisa_walkz00(void);
	static obj_t BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zzisa_walkz00(void);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	static obj_t BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BUNSPEC;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_isazd2funz12zc0zzisa_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00(void);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static long BGl_setzd2classzd2depthz12z12zzisa_walkz00(BgL_typez00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_STRING(BGl_string1800z00zzisa_walkz00,
		BgL_bgl_string1800za700za7za7i1812za7,
		"class-display-min-size static %isa-object/final? %isa/final? %isa-object/cdepth? __object %isa/cdepth? (clear-isa-cache!) pass-started (init-isa-cache!) ",
		153);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2isazd2cachez12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762clearza7d2isaza7d1813za7,
		BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_initzd2isazd2cachez12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762initza7d2isaza7d21814za7,
		BGl_z62initzd2isazd2cachez12z70zzisa_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isazd2walkz12zd2envz12zzisa_walkz00,
		BgL_bgl_za762isaza7d2walkza7121815za7, BGl_z62isazd2walkz12za2zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1787z00zzisa_walkz00,
		BgL_bgl_string1787za700za7za7i1816za7, "Isa", 3);
	      DEFINE_STRING(BGl_string1788z00zzisa_walkz00,
		BgL_bgl_string1788za700za7za7i1817za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1789z00zzisa_walkz00,
		BgL_bgl_string1789za700za7za7i1818za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1790z00zzisa_walkz00,
		BgL_bgl_string1790za700za7za7i1819za7, " error", 6);
	      DEFINE_STRING(BGl_string1791z00zzisa_walkz00,
		BgL_bgl_string1791za700za7za7i1820za7, "s", 1);
	      DEFINE_STRING(BGl_string1792z00zzisa_walkz00,
		BgL_bgl_string1792za700za7za7i1821za7, "", 0);
	      DEFINE_STRING(BGl_string1793z00zzisa_walkz00,
		BgL_bgl_string1793za700za7za7i1822za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1794z00zzisa_walkz00,
		BgL_bgl_string1794za700za7za7i1823za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1796z00zzisa_walkz00,
		BgL_bgl_string1796za700za7za7i1824za7, "isa!1292", 8);
	      DEFINE_STRING(BGl_string1798z00zzisa_walkz00,
		BgL_bgl_string1798za700za7za7i1825za7, "isa!::node", 10);
	      DEFINE_STRING(BGl_string1799z00zzisa_walkz00,
		BgL_bgl_string1799za700za7za7i1826za7, "isa_walk", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzisa_walkz00,
		BgL_bgl_za762isaza7121292za7701827za7, BGl_z62isaz121292z70zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zzisa_walkz00,
		BgL_bgl_za762isaza712za7d2app11828za7,
		BGl_z62isaz12zd2app1295za2zzisa_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_isaz12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762isaza712za770za7za7is1829za7, BGl_z62isaz12z70zzisa_walkz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazf2cdepthza2zf2zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazf2finalza2zf2zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long
		BgL_checksumz00_2457, char *BgL_fromz00_2458)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzisa_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzisa_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzisa_walkz00();
					BGl_libraryzd2moduleszd2initz00zzisa_walkz00();
					BGl_cnstzd2initzd2zzisa_walkz00();
					BGl_importedzd2moduleszd2initz00zzisa_walkz00();
					BGl_genericzd2initzd2zzisa_walkz00();
					BGl_methodzd2initzd2zzisa_walkz00();
					return BGl_toplevelzd2initzd2zzisa_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__configurez00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "isa_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			{	/* Isa/walk.scm 15 */
				obj_t BgL_cportz00_2345;

				{	/* Isa/walk.scm 15 */
					obj_t BgL_stringz00_2352;

					BgL_stringz00_2352 = BGl_string1800z00zzisa_walkz00;
					{	/* Isa/walk.scm 15 */
						obj_t BgL_startz00_2353;

						BgL_startz00_2353 = BINT(((long) 0));
						{	/* Isa/walk.scm 15 */
							obj_t BgL_endz00_2354;

							BgL_endz00_2354 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2352)));
							{	/* Isa/walk.scm 15 */

								BgL_cportz00_2345 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2352, BgL_startz00_2353, BgL_endz00_2354);
				}}}}
				{
					long BgL_iz00_2346;

					BgL_iz00_2346 = ((long) 9);
				BgL_loopz00_2347:
					if ((BgL_iz00_2346 == ((long) -1)))
						{	/* Isa/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Isa/walk.scm 15 */
							{	/* Isa/walk.scm 15 */
								obj_t BgL_arg1811z00_2348;

								{	/* Isa/walk.scm 15 */

									{	/* Isa/walk.scm 15 */
										obj_t BgL_locationz00_2350;

										BgL_locationz00_2350 = BBOOL(((bool_t) 0));
										{	/* Isa/walk.scm 15 */

											BgL_arg1811z00_2348 =
												BGl_readz00zz__readerz00(BgL_cportz00_2345,
												BgL_locationz00_2350);
										}
									}
								}
								{	/* Isa/walk.scm 15 */
									int BgL_tmpz00_2492;

									BgL_tmpz00_2492 = (int) (BgL_iz00_2346);
									CNST_TABLE_SET(BgL_tmpz00_2492, BgL_arg1811z00_2348);
							}}
							{	/* Isa/walk.scm 15 */
								int BgL_auxz00_2351;

								BgL_auxz00_2351 = (int) ((BgL_iz00_2346 - ((long) 1)));
								{
									long BgL_iz00_2497;

									BgL_iz00_2497 = (long) (BgL_auxz00_2351);
									BgL_iz00_2346 = BgL_iz00_2497;
									goto BgL_loopz00_2347;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BFALSE;
			BGl_za2isazf2finalza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BFALSE;
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzisa_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1588;

				BgL_headz00_1588 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1589;
					obj_t BgL_tailz00_1590;

					BgL_prevz00_1589 = BgL_headz00_1588;
					BgL_tailz00_1590 = BgL_l1z00_1;
				BgL_loopz00_1591:
					if (PAIRP(BgL_tailz00_1590))
						{
							obj_t BgL_newzd2prevzd2_1593;

							BgL_newzd2prevzd2_1593 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1590), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1589, BgL_newzd2prevzd2_1593);
							{
								obj_t BgL_tailz00_2507;
								obj_t BgL_prevz00_2506;

								BgL_prevz00_2506 = BgL_newzd2prevzd2_1593;
								BgL_tailz00_2507 = CDR(BgL_tailz00_1590);
								BgL_tailz00_1590 = BgL_tailz00_2507;
								BgL_prevz00_1589 = BgL_prevz00_2506;
								goto BgL_loopz00_1591;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1588);
				}
			}
		}

	}



/* isa-walk! */
	BGL_EXPORTED_DEF obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Isa/walk.scm 41 */
			{	/* Isa/walk.scm 42 */
				obj_t BgL_list1312z00_1608;

				{	/* Isa/walk.scm 42 */
					obj_t BgL_arg1313z00_1609;

					{	/* Isa/walk.scm 42 */
						obj_t BgL_arg1314z00_1610;

						BgL_arg1314z00_1610 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1313z00_1609 =
							MAKE_YOUNG_PAIR(BGl_string1787z00zzisa_walkz00,
							BgL_arg1314z00_1610);
					}
					BgL_list1312z00_1608 =
						MAKE_YOUNG_PAIR(BGl_string1788z00zzisa_walkz00,
						BgL_arg1313z00_1609);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1312z00_1608);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1787z00zzisa_walkz00;
			{	/* Isa/walk.scm 42 */
				obj_t BgL_g1119z00_1611;
				obj_t BgL_g1120z00_1612;

				{	/* Isa/walk.scm 42 */
					obj_t BgL_list1334z00_1625;

					BgL_list1334z00_1625 =
						MAKE_YOUNG_PAIR(BGl_initzd2isazd2cachez12zd2envzc0zzisa_walkz00,
						BNIL);
					BgL_g1119z00_1611 = BgL_list1334z00_1625;
				}
				BgL_g1120z00_1612 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1614;
					obj_t BgL_hnamesz00_1615;

					BgL_hooksz00_1614 = BgL_g1119z00_1611;
					BgL_hnamesz00_1615 = BgL_g1120z00_1612;
				BgL_zc3z04anonymousza31315ze3z87_1616:
					if (NULLP(BgL_hooksz00_1614))
						{	/* Isa/walk.scm 42 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Isa/walk.scm 42 */
							bool_t BgL_test1835z00_2522;

							{	/* Isa/walk.scm 42 */
								obj_t BgL_fun1333z00_1623;

								BgL_fun1333z00_1623 = CAR(((obj_t) BgL_hooksz00_1614));
								BgL_test1835z00_2522 =
									CBOOL(
									((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun1333z00_1623)) (BgL_fun1333z00_1623,
										BEOA));
							}
							if (BgL_test1835z00_2522)
								{	/* Isa/walk.scm 42 */
									obj_t BgL_arg1319z00_1620;
									obj_t BgL_arg1331z00_1621;

									BgL_arg1319z00_1620 = CDR(((obj_t) BgL_hooksz00_1614));
									BgL_arg1331z00_1621 = CDR(((obj_t) BgL_hnamesz00_1615));
									{
										obj_t BgL_hnamesz00_2534;
										obj_t BgL_hooksz00_2533;

										BgL_hooksz00_2533 = BgL_arg1319z00_1620;
										BgL_hnamesz00_2534 = BgL_arg1331z00_1621;
										BgL_hnamesz00_1615 = BgL_hnamesz00_2534;
										BgL_hooksz00_1614 = BgL_hooksz00_2533;
										goto BgL_zc3z04anonymousza31315ze3z87_1616;
									}
								}
							else
								{	/* Isa/walk.scm 42 */
									obj_t BgL_arg1332z00_1622;

									BgL_arg1332z00_1622 = CAR(((obj_t) BgL_hnamesz00_1615));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1787z00zzisa_walkz00,
										BGl_string1789z00zzisa_walkz00, BgL_arg1332z00_1622);
								}
						}
				}
			}
			{	/* Isa/walk.scm 43 */
				obj_t BgL_g1286z00_1626;

				BgL_g1286z00_1626 = BGl_getzd2classzd2listz00zzobject_classz00();
				{
					obj_t BgL_l1284z00_1628;

					BgL_l1284z00_1628 = BgL_g1286z00_1626;
				BgL_zc3z04anonymousza31335ze3z87_1629:
					if (PAIRP(BgL_l1284z00_1628))
						{	/* Isa/walk.scm 43 */
							{	/* Isa/walk.scm 43 */
								obj_t BgL_arg1338z00_1631;

								BgL_arg1338z00_1631 = CAR(BgL_l1284z00_1628);
								BGl_setzd2classzd2depthz12z12zzisa_walkz00(
									((BgL_typez00_bglt) BgL_arg1338z00_1631));
							}
							{
								obj_t BgL_l1284z00_2544;

								BgL_l1284z00_2544 = CDR(BgL_l1284z00_1628);
								BgL_l1284z00_1628 = BgL_l1284z00_2544;
								goto BgL_zc3z04anonymousza31335ze3z87_1629;
							}
						}
					else
						{	/* Isa/walk.scm 43 */
							((bool_t) 1);
						}
				}
			}
			{
				obj_t BgL_l1287z00_1635;

				BgL_l1287z00_1635 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31340ze3z87_1636:
				if (PAIRP(BgL_l1287z00_1635))
					{	/* Isa/walk.scm 44 */
						BGl_isazd2funz12zc0zzisa_walkz00(CAR(BgL_l1287z00_1635));
						{
							obj_t BgL_l1287z00_2550;

							BgL_l1287z00_2550 = CDR(BgL_l1287z00_1635);
							BgL_l1287z00_1635 = BgL_l1287z00_2550;
							goto BgL_zc3z04anonymousza31340ze3z87_1636;
						}
					}
				else
					{	/* Isa/walk.scm 44 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Isa/walk.scm 45 */
					{	/* Isa/walk.scm 45 */
						obj_t BgL_port1289z00_1643;

						{	/* Isa/walk.scm 45 */
							obj_t BgL_tmpz00_2555;

							BgL_tmpz00_2555 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1289z00_1643 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2555);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1289z00_1643);
						bgl_display_string(BGl_string1790z00zzisa_walkz00,
							BgL_port1289z00_1643);
						{	/* Isa/walk.scm 45 */
							obj_t BgL_arg1346z00_1644;

							{	/* Isa/walk.scm 45 */
								bool_t BgL_test1840z00_2560;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Isa/walk.scm 45 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Isa/walk.scm 45 */
												BgL_test1840z00_2560 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Isa/walk.scm 45 */
												BgL_test1840z00_2560 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Isa/walk.scm 45 */
										BgL_test1840z00_2560 = ((bool_t) 0);
									}
								if (BgL_test1840z00_2560)
									{	/* Isa/walk.scm 45 */
										BgL_arg1346z00_1644 = BGl_string1791z00zzisa_walkz00;
									}
								else
									{	/* Isa/walk.scm 45 */
										BgL_arg1346z00_1644 = BGl_string1792z00zzisa_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1346z00_1644, BgL_port1289z00_1643);
						}
						bgl_display_string(BGl_string1793z00zzisa_walkz00,
							BgL_port1289z00_1643);
						bgl_display_char(((unsigned char) 10), BgL_port1289z00_1643);
					}
					{	/* Isa/walk.scm 45 */
						obj_t BgL_list1350z00_1648;

						BgL_list1350z00_1648 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1350z00_1648);
					}
				}
			else
				{	/* Isa/walk.scm 45 */
					obj_t BgL_g1121z00_1649;
					obj_t BgL_g1125z00_1650;

					{	/* Isa/walk.scm 45 */
						obj_t BgL_list1361z00_1663;

						BgL_list1361z00_1663 =
							MAKE_YOUNG_PAIR(BGl_clearzd2isazd2cachez12zd2envzc0zzisa_walkz00,
							BNIL);
						BgL_g1121z00_1649 = BgL_list1361z00_1663;
					}
					BgL_g1125z00_1650 = CNST_TABLE_REF(((long) 2));
					{
						obj_t BgL_hooksz00_1652;
						obj_t BgL_hnamesz00_1653;

						BgL_hooksz00_1652 = BgL_g1121z00_1649;
						BgL_hnamesz00_1653 = BgL_g1125z00_1650;
					BgL_zc3z04anonymousza31351ze3z87_1654:
						if (NULLP(BgL_hooksz00_1652))
							{	/* Isa/walk.scm 45 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Isa/walk.scm 45 */
								bool_t BgL_test1845z00_2579;

								{	/* Isa/walk.scm 45 */
									obj_t BgL_fun1360z00_1661;

									BgL_fun1360z00_1661 = CAR(((obj_t) BgL_hooksz00_1652));
									BgL_test1845z00_2579 =
										CBOOL(
										((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun1360z00_1661))
										(BgL_fun1360z00_1661, BEOA));
								}
								if (BgL_test1845z00_2579)
									{	/* Isa/walk.scm 45 */
										obj_t BgL_arg1356z00_1658;
										obj_t BgL_arg1358z00_1659;

										BgL_arg1356z00_1658 = CDR(((obj_t) BgL_hooksz00_1652));
										BgL_arg1358z00_1659 = CDR(((obj_t) BgL_hnamesz00_1653));
										{
											obj_t BgL_hnamesz00_2591;
											obj_t BgL_hooksz00_2590;

											BgL_hooksz00_2590 = BgL_arg1356z00_1658;
											BgL_hnamesz00_2591 = BgL_arg1358z00_1659;
											BgL_hnamesz00_1653 = BgL_hnamesz00_2591;
											BgL_hooksz00_1652 = BgL_hooksz00_2590;
											goto BgL_zc3z04anonymousza31351ze3z87_1654;
										}
									}
								else
									{	/* Isa/walk.scm 45 */
										obj_t BgL_arg1359z00_1660;

										BgL_arg1359z00_1660 = CAR(((obj_t) BgL_hnamesz00_1653));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1794z00zzisa_walkz00, BgL_arg1359z00_1660);
									}
							}
					}
				}
		}

	}



/* &isa-walk! */
	obj_t BGl_z62isazd2walkz12za2zzisa_walkz00(obj_t BgL_envz00_2332,
		obj_t BgL_globalsz00_2333)
	{
		{	/* Isa/walk.scm 41 */
			return BGl_isazd2walkz12zc0zzisa_walkz00(BgL_globalsz00_2333);
		}

	}



/* &init-isa-cache! */
	obj_t BGl_z62initzd2isazd2cachez12z70zzisa_walkz00(obj_t BgL_envz00_2334)
	{
		{	/* Isa/walk.scm 58 */
			{	/* Isa/walk.scm 59 */
				bool_t BgL_test1846z00_2596;

				{	/* Isa/walk.scm 59 */
					obj_t BgL_objz00_2356;

					BgL_objz00_2356 = BGl_za2isazf2cdepthza2zf2zzisa_walkz00;
					{	/* Isa/walk.scm 59 */
						obj_t BgL_classz00_2357;

						BgL_classz00_2357 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_objz00_2356))
							{	/* Isa/walk.scm 59 */
								BgL_objectz00_bglt BgL_arg1820z00_2358;

								BgL_arg1820z00_2358 = (BgL_objectz00_bglt) (BgL_objz00_2356);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Isa/walk.scm 59 */
										long BgL_idxz00_2359;

										BgL_idxz00_2359 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2358);
										BgL_test1846z00_2596 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2359 + ((long) 2))) == BgL_classz00_2357);
									}
								else
									{	/* Isa/walk.scm 59 */
										bool_t BgL_res1773z00_2362;

										{	/* Isa/walk.scm 59 */
											obj_t BgL_oclassz00_2363;

											{	/* Isa/walk.scm 59 */
												long BgL_arg1828z00_2364;

												{	/* Isa/walk.scm 59 */
													long BgL_arg1829z00_2365;

													BgL_arg1829z00_2365 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2358);
													BgL_arg1828z00_2364 =
														(BgL_arg1829z00_2365 - OBJECT_TYPE);
												}
												BgL_oclassz00_2363 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2364);
											}
											{	/* Isa/walk.scm 59 */
												bool_t BgL__ortest_1111z00_2366;

												BgL__ortest_1111z00_2366 =
													(BgL_classz00_2357 == BgL_oclassz00_2363);
												if (BgL__ortest_1111z00_2366)
													{	/* Isa/walk.scm 59 */
														BgL_res1773z00_2362 = BgL__ortest_1111z00_2366;
													}
												else
													{	/* Isa/walk.scm 59 */
														long BgL_odepthz00_2367;

														BgL_odepthz00_2367 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2363);
														if ((((long) 2) < BgL_odepthz00_2367))
															{	/* Isa/walk.scm 59 */
																obj_t BgL_arg1816z00_2368;

																BgL_arg1816z00_2368 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2363,
																	((long) 2));
																BgL_res1773z00_2362 =
																	(BgL_arg1816z00_2368 == BgL_classz00_2357);
															}
														else
															{	/* Isa/walk.scm 59 */
																BgL_res1773z00_2362 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1846z00_2596 = BgL_res1773z00_2362;
									}
							}
						else
							{	/* Isa/walk.scm 59 */
								BgL_test1846z00_2596 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test1846z00_2596)
					{	/* Isa/walk.scm 59 */
						BFALSE;
					}
				else
					{	/* Isa/walk.scm 59 */
						BGl_za2isazf2cdepthza2zf2zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									3)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									5)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazf2finalza2zf2zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									6)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									7)), CNST_TABLE_REF(((long) 4)));
			}}
			return BUNSPEC;
		}

	}



/* &clear-isa-cache! */
	obj_t BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00(obj_t BgL_envz00_2335)
	{
		{	/* Isa/walk.scm 69 */
			BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BFALSE;
			BGl_za2isazf2finalza2zf2zzisa_walkz00 = BFALSE;
			return (BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BFALSE, BUNSPEC);
		}

	}



/* set-class-depth! */
	long BGl_setzd2classzd2depthz12z12zzisa_walkz00(BgL_typez00_bglt
		BgL_claza7za7z00_18)
	{
		{	/* Isa/walk.scm 78 */
			{	/* Isa/walk.scm 80 */
				bool_t BgL_test1851z00_2628;

				{	/* Isa/walk.scm 80 */
					long BgL_arg1381z00_1673;

					{
						BgL_tclassz00_bglt BgL_auxz00_2629;

						{
							obj_t BgL_auxz00_2630;

							{	/* Isa/walk.scm 80 */
								BgL_objectz00_bglt BgL_tmpz00_2631;

								BgL_tmpz00_2631 = ((BgL_objectz00_bglt) BgL_claza7za7z00_18);
								BgL_auxz00_2630 = BGL_OBJECT_WIDENING(BgL_tmpz00_2631);
							}
							BgL_auxz00_2629 = ((BgL_tclassz00_bglt) BgL_auxz00_2630);
						}
						BgL_arg1381z00_1673 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2629))->BgL_depthz00);
					}
					BgL_test1851z00_2628 = (BgL_arg1381z00_1673 == ((long) 0));
				}
				if (BgL_test1851z00_2628)
					{	/* Isa/walk.scm 81 */
						bool_t BgL_test1852z00_2637;

						{	/* Isa/walk.scm 81 */
							obj_t BgL_arg1378z00_1672;

							{
								BgL_tclassz00_bglt BgL_auxz00_2638;

								{
									obj_t BgL_auxz00_2639;

									{	/* Isa/walk.scm 81 */
										BgL_objectz00_bglt BgL_tmpz00_2640;

										BgL_tmpz00_2640 =
											((BgL_objectz00_bglt) BgL_claza7za7z00_18);
										BgL_auxz00_2639 = BGL_OBJECT_WIDENING(BgL_tmpz00_2640);
									}
									BgL_auxz00_2638 = ((BgL_tclassz00_bglt) BgL_auxz00_2639);
								}
								BgL_arg1378z00_1672 =
									(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2638))->
									BgL_itszd2superzd2);
							}
							{	/* Isa/walk.scm 81 */
								obj_t BgL_classz00_2039;

								BgL_classz00_2039 = BGl_tclassz00zzobject_classz00;
								if (BGL_OBJECTP(BgL_arg1378z00_1672))
									{	/* Isa/walk.scm 81 */
										BgL_objectz00_bglt BgL_arg1820z00_2041;

										BgL_arg1820z00_2041 =
											(BgL_objectz00_bglt) (BgL_arg1378z00_1672);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Isa/walk.scm 81 */
												long BgL_idxz00_2047;

												BgL_idxz00_2047 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2041);
												BgL_test1852z00_2637 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2047 + ((long) 2))) ==
													BgL_classz00_2039);
											}
										else
											{	/* Isa/walk.scm 81 */
												bool_t BgL_res1774z00_2069;

												{	/* Isa/walk.scm 81 */
													obj_t BgL_oclassz00_2055;

													{	/* Isa/walk.scm 81 */
														long BgL_arg1828z00_2061;

														{	/* Isa/walk.scm 81 */
															long BgL_arg1829z00_2062;

															BgL_arg1829z00_2062 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2041);
															BgL_arg1828z00_2061 =
																(BgL_arg1829z00_2062 - OBJECT_TYPE);
														}
														BgL_oclassz00_2055 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2061);
													}
													{	/* Isa/walk.scm 81 */
														bool_t BgL__ortest_1111z00_2056;

														BgL__ortest_1111z00_2056 =
															(BgL_classz00_2039 == BgL_oclassz00_2055);
														if (BgL__ortest_1111z00_2056)
															{	/* Isa/walk.scm 81 */
																BgL_res1774z00_2069 = BgL__ortest_1111z00_2056;
															}
														else
															{	/* Isa/walk.scm 81 */
																long BgL_odepthz00_2057;

																BgL_odepthz00_2057 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2055);
																if ((((long) 2) < BgL_odepthz00_2057))
																	{	/* Isa/walk.scm 81 */
																		obj_t BgL_arg1816z00_2059;

																		BgL_arg1816z00_2059 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2055, ((long) 2));
																		BgL_res1774z00_2069 =
																			(BgL_arg1816z00_2059 ==
																			BgL_classz00_2039);
																	}
																else
																	{	/* Isa/walk.scm 81 */
																		BgL_res1774z00_2069 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1852z00_2637 = BgL_res1774z00_2069;
											}
									}
								else
									{	/* Isa/walk.scm 81 */
										BgL_test1852z00_2637 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test1852z00_2637)
							{
								long BgL_auxz00_2670;
								BgL_tclassz00_bglt BgL_auxz00_2664;

								{	/* Isa/walk.scm 82 */
									long BgL_arg1375z00_1670;

									{	/* Isa/walk.scm 82 */
										obj_t BgL_arg1376z00_1671;

										{
											BgL_tclassz00_bglt BgL_auxz00_2671;

											{
												obj_t BgL_auxz00_2672;

												{	/* Isa/walk.scm 82 */
													BgL_objectz00_bglt BgL_tmpz00_2673;

													BgL_tmpz00_2673 =
														((BgL_objectz00_bglt) BgL_claza7za7z00_18);
													BgL_auxz00_2672 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2673);
												}
												BgL_auxz00_2671 =
													((BgL_tclassz00_bglt) BgL_auxz00_2672);
											}
											BgL_arg1376z00_1671 =
												(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2671))->
												BgL_itszd2superzd2);
										}
										BgL_arg1375z00_1670 =
											BGl_setzd2classzd2depthz12z12zzisa_walkz00(
											((BgL_typez00_bglt) BgL_arg1376z00_1671));
									}
									BgL_auxz00_2670 = (((long) 1) + BgL_arg1375z00_1670);
								}
								{
									obj_t BgL_auxz00_2665;

									{	/* Isa/walk.scm 82 */
										BgL_objectz00_bglt BgL_tmpz00_2666;

										BgL_tmpz00_2666 =
											((BgL_objectz00_bglt) BgL_claza7za7z00_18);
										BgL_auxz00_2665 = BGL_OBJECT_WIDENING(BgL_tmpz00_2666);
									}
									BgL_auxz00_2664 = ((BgL_tclassz00_bglt) BgL_auxz00_2665);
								}
								((((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2664))->
										BgL_depthz00) = ((long) BgL_auxz00_2670), BUNSPEC);
							}
						else
							{	/* Isa/walk.scm 81 */
								BINT(((long) 0));
					}}
				else
					{	/* Isa/walk.scm 80 */
						BFALSE;
					}
			}
			{
				BgL_tclassz00_bglt BgL_auxz00_2683;

				{
					obj_t BgL_auxz00_2684;

					{	/* Isa/walk.scm 84 */
						BgL_objectz00_bglt BgL_tmpz00_2685;

						BgL_tmpz00_2685 = ((BgL_objectz00_bglt) BgL_claza7za7z00_18);
						BgL_auxz00_2684 = BGL_OBJECT_WIDENING(BgL_tmpz00_2685);
					}
					BgL_auxz00_2683 = ((BgL_tclassz00_bglt) BgL_auxz00_2684);
				}
				return (((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2683))->BgL_depthz00);
			}
		}

	}



/* isa-fun! */
	obj_t BGl_isazd2funz12zc0zzisa_walkz00(obj_t BgL_varz00_19)
	{
		{	/* Isa/walk.scm 89 */
			{	/* Isa/walk.scm 90 */
				obj_t BgL_arg1384z00_1674;

				BgL_arg1384z00_1674 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1384z00_1674);
			}
			{	/* Isa/walk.scm 91 */
				BgL_valuez00_bglt BgL_funz00_1675;

				BgL_funz00_1675 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_valuez00);
				{	/* Isa/walk.scm 91 */
					obj_t BgL_bodyz00_1676;

					BgL_bodyz00_1676 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1675)))->BgL_bodyz00);
					{	/* Isa/walk.scm 92 */

						BgL_bodyz00_1676 =
							((obj_t)
							BGl_isaz12z12zzisa_walkz00(
								((BgL_nodez00_bglt) BgL_bodyz00_1676)));
						BGl_leavezd2functionzd2zztools_errorz00();
						return BgL_varz00_19;
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_isaz12zd2envzc0zzisa_walkz00, BGl_proc1795z00zzisa_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string1796z00zzisa_walkz00);
		}

	}



/* &isa!1292 */
	obj_t BGl_z62isaz121292z70zzisa_walkz00(obj_t BgL_envz00_2339,
		obj_t BgL_nodez00_2340)
	{
		{	/* Isa/walk.scm 100 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2340),
					BGl_isaz12zd2envzc0zzisa_walkz00));
		}

	}



/* isa! */
	BgL_nodez00_bglt BGl_isaz12z12zzisa_walkz00(BgL_nodez00_bglt BgL_nodez00_20)
	{
		{	/* Isa/walk.scm 100 */
			{	/* Isa/walk.scm 100 */
				obj_t BgL_method1293z00_1692;

				{	/* Isa/walk.scm 100 */
					obj_t BgL_res1779z00_2108;

					{	/* Isa/walk.scm 100 */
						long BgL_objzd2classzd2numz00_2079;

						BgL_objzd2classzd2numz00_2079 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_20));
						{	/* Isa/walk.scm 100 */
							obj_t BgL_arg1825z00_2080;

							BgL_arg1825z00_2080 =
								PROCEDURE_REF(BGl_isaz12zd2envzc0zzisa_walkz00,
								(int) (((long) 1)));
							{	/* Isa/walk.scm 100 */
								int BgL_offsetz00_2083;

								BgL_offsetz00_2083 = (int) (BgL_objzd2classzd2numz00_2079);
								{	/* Isa/walk.scm 100 */
									long BgL_offsetz00_2084;

									BgL_offsetz00_2084 =
										((long) (BgL_offsetz00_2083) - OBJECT_TYPE);
									{	/* Isa/walk.scm 100 */
										long BgL_modz00_2085;

										BgL_modz00_2085 =
											(BgL_offsetz00_2084 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Isa/walk.scm 100 */
											long BgL_restz00_2087;

											BgL_restz00_2087 =
												(BgL_offsetz00_2084 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Isa/walk.scm 100 */

												{	/* Isa/walk.scm 100 */
													obj_t BgL_bucketz00_2089;

													BgL_bucketz00_2089 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2080), BgL_modz00_2085);
													BgL_res1779z00_2108 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2089), BgL_restz00_2087);
					}}}}}}}}
					BgL_method1293z00_1692 = BgL_res1779z00_2108;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1293z00_1692)) (BgL_method1293z00_1692,
						((obj_t) BgL_nodez00_20), BEOA));
			}
		}

	}



/* &isa! */
	BgL_nodez00_bglt BGl_z62isaz12z70zzisa_walkz00(obj_t BgL_envz00_2337,
		obj_t BgL_nodez00_2338)
	{
		{	/* Isa/walk.scm 100 */
			return BGl_isaz12z12zzisa_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2338));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_isaz12zd2envzc0zzisa_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1797z00zzisa_walkz00, BGl_string1798z00zzisa_walkz00);
		}

	}



/* &isa!-app1295 */
	BgL_nodez00_bglt BGl_z62isaz12zd2app1295za2zzisa_walkz00(obj_t
		BgL_envz00_2342, obj_t BgL_nodez00_2343)
	{
		{	/* Isa/walk.scm 106 */
			{
				obj_t BgL_typz00_2372;

				{	/* Isa/walk.scm 118 */
					obj_t BgL_typz00_2376;

					BgL_typz00_2376 =
						BGl_isazd2ofzd2zztype_miscz00(
						((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2343)));
					if (CBOOL(BgL_typz00_2376))
						{	/* Isa/walk.scm 119 */
							{	/* Isa/walk.scm 124 */
								bool_t BgL_test1858z00_2744;

								BgL_typz00_2372 = BgL_typz00_2376;
								{	/* Isa/walk.scm 115 */
									bool_t BgL_test1859z00_2745;

									{	/* Isa/walk.scm 115 */
										obj_t BgL_arg1610z00_2373;

										{	/* Isa/walk.scm 115 */
											BgL_globalz00_bglt BgL_arg1614z00_2374;

											{
												BgL_tclassz00_bglt BgL_auxz00_2746;

												{
													obj_t BgL_auxz00_2747;

													{	/* Isa/walk.scm 115 */
														BgL_objectz00_bglt BgL_tmpz00_2748;

														BgL_tmpz00_2748 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2372));
														BgL_auxz00_2747 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2748);
													}
													BgL_auxz00_2746 =
														((BgL_tclassz00_bglt) BgL_auxz00_2747);
												}
												BgL_arg1614z00_2374 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2746))->
													BgL_holderz00);
											}
											BgL_arg1610z00_2373 =
												(((BgL_globalz00_bglt) COBJECT(BgL_arg1614z00_2374))->
												BgL_importz00);
										}
										BgL_test1859z00_2745 =
											(BgL_arg1610z00_2373 == CNST_TABLE_REF(((long) 8)));
									}
									if (BgL_test1859z00_2745)
										{	/* Isa/walk.scm 116 */
											obj_t BgL_arg1600z00_2375;

											{
												BgL_tclassz00_bglt BgL_auxz00_2757;

												{
													obj_t BgL_auxz00_2758;

													{	/* Isa/walk.scm 116 */
														BgL_objectz00_bglt BgL_tmpz00_2759;

														BgL_tmpz00_2759 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2372));
														BgL_auxz00_2758 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2759);
													}
													BgL_auxz00_2757 =
														((BgL_tclassz00_bglt) BgL_auxz00_2758);
												}
												BgL_arg1600z00_2375 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2757))->
													BgL_subclassesz00);
											}
											BgL_test1858z00_2744 = NULLP(BgL_arg1600z00_2375);
										}
									else
										{	/* Isa/walk.scm 115 */
											BgL_test1858z00_2744 = ((bool_t) 0);
										}
								}
								if (BgL_test1858z00_2744)
									{	/* Isa/walk.scm 126 */
										bool_t BgL_test1860z00_2766;

										{	/* Isa/walk.scm 126 */
											BgL_typez00_bglt BgL_arg1484z00_2377;

											{	/* Isa/walk.scm 126 */
												obj_t BgL_arg1496z00_2378;

												BgL_arg1496z00_2378 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2343)))->
														BgL_argsz00));
												BgL_arg1484z00_2377 =
													BGl_uncastedzd2typeze70z35zzisa_walkz00((
														(BgL_nodez00_bglt) BgL_arg1496z00_2378));
											}
											{	/* Isa/walk.scm 126 */
												obj_t BgL_classz00_2379;

												BgL_classz00_2379 = BGl_tclassz00zzobject_classz00;
												{	/* Isa/walk.scm 126 */
													BgL_objectz00_bglt BgL_arg1820z00_2380;

													{	/* Isa/walk.scm 126 */
														obj_t BgL_tmpz00_2772;

														BgL_tmpz00_2772 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1484z00_2377));
														BgL_arg1820z00_2380 =
															(BgL_objectz00_bglt) (BgL_tmpz00_2772);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Isa/walk.scm 126 */
															long BgL_idxz00_2381;

															BgL_idxz00_2381 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2380);
															BgL_test1860z00_2766 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2381 + ((long) 2))) ==
																BgL_classz00_2379);
														}
													else
														{	/* Isa/walk.scm 126 */
															bool_t BgL_res1781z00_2384;

															{	/* Isa/walk.scm 126 */
																obj_t BgL_oclassz00_2385;

																{	/* Isa/walk.scm 126 */
																	long BgL_arg1828z00_2386;

																	{	/* Isa/walk.scm 126 */
																		long BgL_arg1829z00_2387;

																		BgL_arg1829z00_2387 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2380);
																		BgL_arg1828z00_2386 =
																			(BgL_arg1829z00_2387 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2385 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_2386);
																}
																{	/* Isa/walk.scm 126 */
																	bool_t BgL__ortest_1111z00_2388;

																	BgL__ortest_1111z00_2388 =
																		(BgL_classz00_2379 == BgL_oclassz00_2385);
																	if (BgL__ortest_1111z00_2388)
																		{	/* Isa/walk.scm 126 */
																			BgL_res1781z00_2384 =
																				BgL__ortest_1111z00_2388;
																		}
																	else
																		{	/* Isa/walk.scm 126 */
																			long BgL_odepthz00_2389;

																			BgL_odepthz00_2389 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2385);
																			if ((((long) 2) < BgL_odepthz00_2389))
																				{	/* Isa/walk.scm 126 */
																					obj_t BgL_arg1816z00_2390;

																					BgL_arg1816z00_2390 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2385, ((long) 2));
																					BgL_res1781z00_2384 =
																						(BgL_arg1816z00_2390 ==
																						BgL_classz00_2379);
																				}
																			else
																				{	/* Isa/walk.scm 126 */
																					BgL_res1781z00_2384 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1860z00_2766 = BgL_res1781z00_2384;
														}
												}
											}
										}
										if (BgL_test1860z00_2766)
											{	/* Isa/walk.scm 127 */
												BgL_refz00_bglt BgL_nfunz00_2391;

												{	/* Isa/walk.scm 127 */
													BgL_nodez00_bglt BgL_duplicated1133z00_2392;
													BgL_refz00_bglt BgL_new1131z00_2393;

													BgL_duplicated1133z00_2392 =
														((BgL_nodez00_bglt)
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2343)))->
															BgL_funz00));
													{	/* Isa/walk.scm 127 */
														BgL_refz00_bglt BgL_new1135z00_2394;

														BgL_new1135z00_2394 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Isa/walk.scm 127 */
															long BgL_arg1468z00_2395;

															BgL_arg1468z00_2395 =
																BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1135z00_2394),
																BgL_arg1468z00_2395);
														}
														{	/* Isa/walk.scm 127 */
															BgL_objectz00_bglt BgL_tmpz00_2799;

															BgL_tmpz00_2799 =
																((BgL_objectz00_bglt) BgL_new1135z00_2394);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2799, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1135z00_2394);
														BgL_new1131z00_2393 = BgL_new1135z00_2394;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1131z00_2393)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1133z00_2392))->
																BgL_locz00)), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1131z00_2393)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1133z00_2392))->
																BgL_typez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_new1131z00_2393)))->BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00)),
														BUNSPEC);
													BgL_nfunz00_2391 = BgL_new1131z00_2393;
												}
												{	/* Isa/walk.scm 129 */
													obj_t BgL_arg1426z00_2396;
													BgL_castz00_bglt BgL_arg1429z00_2397;

													BgL_arg1426z00_2396 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2343)))->
														BgL_argsz00);
													{	/* Isa/walk.scm 130 */
														BgL_castz00_bglt BgL_new1137z00_2398;

														{	/* Isa/walk.scm 130 */
															BgL_castz00_bglt BgL_new1136z00_2399;

															BgL_new1136z00_2399 =
																((BgL_castz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_castz00_bgl))));
															{	/* Isa/walk.scm 130 */
																long BgL_arg1467z00_2400;

																BgL_arg1467z00_2400 =
																	BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1136z00_2399),
																	BgL_arg1467z00_2400);
															}
															{	/* Isa/walk.scm 130 */
																BgL_objectz00_bglt BgL_tmpz00_2818;

																BgL_tmpz00_2818 =
																	((BgL_objectz00_bglt) BgL_new1136z00_2399);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2818,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1136z00_2399);
															BgL_new1137z00_2398 = BgL_new1136z00_2399;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1137z00_2398)))->
																BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1137z00_2398)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BGl_getzd2objectzd2typez00zztype_cachez00())),
															BUNSPEC);
														{
															BgL_nodez00_bglt BgL_auxz00_2828;

															{	/* Isa/walk.scm 131 */
																obj_t BgL_pairz00_2401;

																BgL_pairz00_2401 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2343)))->
																	BgL_argsz00);
																BgL_auxz00_2828 =
																	((BgL_nodez00_bglt) CAR(BgL_pairz00_2401));
															}
															((((BgL_castz00_bglt)
																		COBJECT(BgL_new1137z00_2398))->BgL_argz00) =
																((BgL_nodez00_bglt) BgL_auxz00_2828), BUNSPEC);
														}
														BgL_arg1429z00_2397 = BgL_new1137z00_2398;
													}
													{	/* Isa/walk.scm 129 */
														obj_t BgL_auxz00_2836;
														obj_t BgL_tmpz00_2834;

														BgL_auxz00_2836 = ((obj_t) BgL_arg1429z00_2397);
														BgL_tmpz00_2834 = ((obj_t) BgL_arg1426z00_2396);
														SET_CAR(BgL_tmpz00_2834, BgL_auxz00_2836);
												}}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2343)))->
														BgL_funz00) =
													((BgL_varz00_bglt) ((BgL_varz00_bglt)
															BgL_nfunz00_2391)), BUNSPEC);
											}
										else
											{	/* Isa/walk.scm 134 */
												BgL_refz00_bglt BgL_nfunz00_2402;

												{	/* Isa/walk.scm 134 */
													BgL_nodez00_bglt BgL_duplicated1140z00_2403;
													BgL_refz00_bglt BgL_new1138z00_2404;

													BgL_duplicated1140z00_2403 =
														((BgL_nodez00_bglt)
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2343)))->
															BgL_funz00));
													{	/* Isa/walk.scm 134 */
														BgL_refz00_bglt BgL_new1141z00_2405;

														BgL_new1141z00_2405 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Isa/walk.scm 134 */
															long BgL_arg1482z00_2406;

															BgL_arg1482z00_2406 =
																BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1141z00_2405),
																BgL_arg1482z00_2406);
														}
														{	/* Isa/walk.scm 134 */
															BgL_objectz00_bglt BgL_tmpz00_2849;

															BgL_tmpz00_2849 =
																((BgL_objectz00_bglt) BgL_new1141z00_2405);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2849, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1141z00_2405);
														BgL_new1138z00_2404 = BgL_new1141z00_2405;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1138z00_2404)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1140z00_2403))->
																BgL_locz00)), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1138z00_2404)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1140z00_2403))->
																BgL_typez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_new1138z00_2404)))->BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_za2isazf2finalza2zf2zzisa_walkz00)),
														BUNSPEC);
													BgL_nfunz00_2402 = BgL_new1138z00_2404;
												}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2343)))->
														BgL_funz00) =
													((BgL_varz00_bglt) ((BgL_varz00_bglt)
															BgL_nfunz00_2402)), BUNSPEC);
									}}
								else
									{	/* Isa/walk.scm 137 */
										bool_t BgL_test1864z00_2865;

										{	/* Isa/walk.scm 137 */
											long BgL_a1290z00_2407;

											{
												BgL_tclassz00_bglt BgL_auxz00_2866;

												{
													obj_t BgL_auxz00_2867;

													{	/* Isa/walk.scm 137 */
														BgL_objectz00_bglt BgL_tmpz00_2868;

														BgL_tmpz00_2868 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2376));
														BgL_auxz00_2867 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2868);
													}
													BgL_auxz00_2866 =
														((BgL_tclassz00_bglt) BgL_auxz00_2867);
												}
												BgL_a1290z00_2407 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2866))->
													BgL_depthz00);
											}
											{	/* Isa/walk.scm 137 */
												obj_t BgL_b1291z00_2408;

												BgL_b1291z00_2408 =
													BGl_bigloozd2configzd2zz__configurez00(CNST_TABLE_REF(
														((long) 9)));
												{	/* Isa/walk.scm 137 */

													if (INTEGERP(BgL_b1291z00_2408))
														{	/* Isa/walk.scm 137 */
															BgL_test1864z00_2865 =
																(BgL_a1290z00_2407 <
																(long) CINT(BgL_b1291z00_2408));
														}
													else
														{	/* Isa/walk.scm 137 */
															BgL_test1864z00_2865 =
																BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT
																(BgL_a1290z00_2407), BgL_b1291z00_2408);
														}
												}
											}
										}
										if (BgL_test1864z00_2865)
											{	/* Isa/walk.scm 138 */
												bool_t BgL_test1866z00_2882;

												{	/* Isa/walk.scm 138 */
													BgL_typez00_bglt BgL_arg1582z00_2409;

													{	/* Isa/walk.scm 138 */
														obj_t BgL_arg1588z00_2410;

														BgL_arg1588z00_2410 =
															CAR(
															(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2343)))->
																BgL_argsz00));
														BgL_arg1582z00_2409 =
															BGl_uncastedzd2typeze70z35zzisa_walkz00((
																(BgL_nodez00_bglt) BgL_arg1588z00_2410));
													}
													{	/* Isa/walk.scm 138 */
														obj_t BgL_classz00_2411;

														BgL_classz00_2411 = BGl_tclassz00zzobject_classz00;
														{	/* Isa/walk.scm 138 */
															BgL_objectz00_bglt BgL_arg1820z00_2412;

															{	/* Isa/walk.scm 138 */
																obj_t BgL_tmpz00_2888;

																BgL_tmpz00_2888 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg1582z00_2409));
																BgL_arg1820z00_2412 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_2888);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Isa/walk.scm 138 */
																	long BgL_idxz00_2413;

																	BgL_idxz00_2413 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_2412);
																	BgL_test1866z00_2882 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2413 + ((long) 2))) ==
																		BgL_classz00_2411);
																}
															else
																{	/* Isa/walk.scm 138 */
																	bool_t BgL_res1782z00_2416;

																	{	/* Isa/walk.scm 138 */
																		obj_t BgL_oclassz00_2417;

																		{	/* Isa/walk.scm 138 */
																			long BgL_arg1828z00_2418;

																			{	/* Isa/walk.scm 138 */
																				long BgL_arg1829z00_2419;

																				BgL_arg1829z00_2419 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_2412);
																				BgL_arg1828z00_2418 =
																					(BgL_arg1829z00_2419 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2417 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_2418);
																		}
																		{	/* Isa/walk.scm 138 */
																			bool_t BgL__ortest_1111z00_2420;

																			BgL__ortest_1111z00_2420 =
																				(BgL_classz00_2411 ==
																				BgL_oclassz00_2417);
																			if (BgL__ortest_1111z00_2420)
																				{	/* Isa/walk.scm 138 */
																					BgL_res1782z00_2416 =
																						BgL__ortest_1111z00_2420;
																				}
																			else
																				{	/* Isa/walk.scm 138 */
																					long BgL_odepthz00_2421;

																					BgL_odepthz00_2421 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2417);
																					if ((((long) 2) < BgL_odepthz00_2421))
																						{	/* Isa/walk.scm 138 */
																							obj_t BgL_arg1816z00_2422;

																							BgL_arg1816z00_2422 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2417,
																								((long) 2));
																							BgL_res1782z00_2416 =
																								(BgL_arg1816z00_2422 ==
																								BgL_classz00_2411);
																						}
																					else
																						{	/* Isa/walk.scm 138 */
																							BgL_res1782z00_2416 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1866z00_2882 = BgL_res1782z00_2416;
																}
														}
													}
												}
												if (BgL_test1866z00_2882)
													{	/* Isa/walk.scm 139 */
														BgL_refz00_bglt BgL_nfunz00_2423;
														BgL_literalz00_bglt BgL_depthz00_2424;
														BgL_castz00_bglt BgL_arg0z00_2425;

														{	/* Isa/walk.scm 139 */
															BgL_nodez00_bglt BgL_duplicated1144z00_2426;
															BgL_refz00_bglt BgL_new1142z00_2427;

															BgL_duplicated1144z00_2426 =
																((BgL_nodez00_bglt)
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2343)))->
																	BgL_funz00));
															{	/* Isa/walk.scm 139 */
																BgL_refz00_bglt BgL_new1145z00_2428;

																BgL_new1145z00_2428 =
																	((BgL_refz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_refz00_bgl))));
																{	/* Isa/walk.scm 139 */
																	long BgL_arg1535z00_2429;

																	BgL_arg1535z00_2429 =
																		BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1145z00_2428),
																		BgL_arg1535z00_2429);
																}
																{	/* Isa/walk.scm 139 */
																	BgL_objectz00_bglt BgL_tmpz00_2915;

																	BgL_tmpz00_2915 =
																		((BgL_objectz00_bglt) BgL_new1145z00_2428);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2915,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1145z00_2428);
																BgL_new1142z00_2427 = BgL_new1145z00_2428;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1142z00_2427)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1144z00_2426))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1142z00_2427)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1144z00_2426))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																				BgL_new1142z00_2427)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00)),
																BUNSPEC);
															BgL_nfunz00_2423 = BgL_new1142z00_2427;
														}
														{	/* Isa/walk.scm 141 */
															BgL_literalz00_bglt BgL_new1147z00_2430;

															{	/* Isa/walk.scm 142 */
																BgL_literalz00_bglt BgL_new1146z00_2431;

																BgL_new1146z00_2431 =
																	((BgL_literalz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_literalz00_bgl))));
																{	/* Isa/walk.scm 142 */
																	long BgL_arg1559z00_2432;

																	BgL_arg1559z00_2432 =
																		BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1146z00_2431),
																		BgL_arg1559z00_2432);
																}
																{	/* Isa/walk.scm 142 */
																	BgL_objectz00_bglt BgL_tmpz00_2932;

																	BgL_tmpz00_2932 =
																		((BgL_objectz00_bglt) BgL_new1146z00_2431);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2932,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1146z00_2431);
																BgL_new1147z00_2430 = BgL_new1146z00_2431;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1147z00_2430)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_appz00_bglt)
																						BgL_nodez00_2343))))->BgL_locz00)),
																BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_2941;

																{	/* Isa/walk.scm 143 */
																	long BgL_arg1558z00_2433;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_2943;

																		{
																			obj_t BgL_auxz00_2944;

																			{	/* Isa/walk.scm 143 */
																				BgL_objectz00_bglt BgL_tmpz00_2945;

																				BgL_tmpz00_2945 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt) BgL_typz00_2376));
																				BgL_auxz00_2944 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_2945);
																			}
																			BgL_auxz00_2943 =
																				((BgL_tclassz00_bglt) BgL_auxz00_2944);
																		}
																		BgL_arg1558z00_2433 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_2943))->
																			BgL_depthz00);
																	}
																	BgL_auxz00_2941 =
																		BGl_getzd2typezd2atomz00zztype_typeofz00
																		(BINT(BgL_arg1558z00_2433));
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1147z00_2430)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_2941),
																	BUNSPEC);
															}
															{
																obj_t BgL_auxz00_2954;

																{	/* Isa/walk.scm 144 */
																	long BgL_tmpz00_2956;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_2957;

																		{
																			obj_t BgL_auxz00_2958;

																			{	/* Isa/walk.scm 144 */
																				BgL_objectz00_bglt BgL_tmpz00_2959;

																				BgL_tmpz00_2959 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt) BgL_typz00_2376));
																				BgL_auxz00_2958 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_2959);
																			}
																			BgL_auxz00_2957 =
																				((BgL_tclassz00_bglt) BgL_auxz00_2958);
																		}
																		BgL_tmpz00_2956 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_2957))->
																			BgL_depthz00);
																	}
																	BgL_auxz00_2954 = BINT(BgL_tmpz00_2956);
																}
																((((BgL_atomz00_bglt) COBJECT(
																				((BgL_atomz00_bglt)
																					BgL_new1147z00_2430)))->
																		BgL_valuez00) =
																	((obj_t) BgL_auxz00_2954), BUNSPEC);
															}
															BgL_depthz00_2424 = BgL_new1147z00_2430;
														}
														{	/* Isa/walk.scm 145 */
															BgL_castz00_bglt BgL_new1149z00_2434;

															{	/* Isa/walk.scm 145 */
																BgL_castz00_bglt BgL_new1148z00_2435;

																BgL_new1148z00_2435 =
																	((BgL_castz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_castz00_bgl))));
																{	/* Isa/walk.scm 145 */
																	long BgL_arg1565z00_2436;

																	BgL_arg1565z00_2436 =
																		BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1148z00_2435),
																		BgL_arg1565z00_2436);
																}
																{	/* Isa/walk.scm 145 */
																	BgL_objectz00_bglt BgL_tmpz00_2971;

																	BgL_tmpz00_2971 =
																		((BgL_objectz00_bglt) BgL_new1148z00_2435);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2971,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1148z00_2435);
																BgL_new1149z00_2434 = BgL_new1148z00_2435;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1149z00_2434)))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1149z00_2434)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BGl_getzd2objectzd2typez00zztype_cachez00
																		())), BUNSPEC);
															{
																BgL_nodez00_bglt BgL_auxz00_2981;

																{	/* Isa/walk.scm 146 */
																	obj_t BgL_pairz00_2437;

																	BgL_pairz00_2437 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2343)))->
																		BgL_argsz00);
																	BgL_auxz00_2981 =
																		((BgL_nodez00_bglt) CAR(BgL_pairz00_2437));
																}
																((((BgL_castz00_bglt)
																			COBJECT(BgL_new1149z00_2434))->
																		BgL_argz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_2981),
																	BUNSPEC);
															}
															BgL_arg0z00_2425 = BgL_new1149z00_2434;
														}
														((((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2343)))->
																BgL_funz00) =
															((BgL_varz00_bglt) ((BgL_varz00_bglt)
																	BgL_nfunz00_2423)), BUNSPEC);
														{
															obj_t BgL_auxz00_2990;

															{	/* Isa/walk.scm 149 */
																obj_t BgL_arg1523z00_2438;

																{	/* Isa/walk.scm 149 */
																	obj_t BgL_pairz00_2439;

																	BgL_pairz00_2439 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2343)))->
																		BgL_argsz00);
																	{	/* Isa/walk.scm 149 */
																		obj_t BgL_pairz00_2440;

																		BgL_pairz00_2440 = CDR(BgL_pairz00_2439);
																		BgL_arg1523z00_2438 = CAR(BgL_pairz00_2440);
																}}
																{	/* Isa/walk.scm 149 */
																	obj_t BgL_list1524z00_2441;

																	{	/* Isa/walk.scm 149 */
																		obj_t BgL_arg1526z00_2442;

																		{	/* Isa/walk.scm 149 */
																			obj_t BgL_arg1529z00_2443;

																			BgL_arg1529z00_2443 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_depthz00_2424), BNIL);
																			BgL_arg1526z00_2442 =
																				MAKE_YOUNG_PAIR(BgL_arg1523z00_2438,
																				BgL_arg1529z00_2443);
																		}
																		BgL_list1524z00_2441 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg0z00_2425),
																			BgL_arg1526z00_2442);
																	}
																	BgL_auxz00_2990 = BgL_list1524z00_2441;
															}}
															((((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2343)))->
																	BgL_argsz00) =
																((obj_t) BgL_auxz00_2990), BUNSPEC);
													}}
												else
													{	/* Isa/walk.scm 150 */
														BgL_refz00_bglt BgL_nfunz00_2444;

														{	/* Isa/walk.scm 150 */
															BgL_nodez00_bglt BgL_duplicated1152z00_2445;
															BgL_refz00_bglt BgL_new1150z00_2446;

															BgL_duplicated1152z00_2445 =
																((BgL_nodez00_bglt)
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2343)))->
																	BgL_funz00));
															{	/* Isa/walk.scm 150 */
																BgL_refz00_bglt BgL_new1153z00_2447;

																BgL_new1153z00_2447 =
																	((BgL_refz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_refz00_bgl))));
																{	/* Isa/walk.scm 150 */
																	long BgL_arg1581z00_2448;

																	BgL_arg1581z00_2448 =
																		BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1153z00_2447),
																		BgL_arg1581z00_2448);
																}
																{	/* Isa/walk.scm 150 */
																	BgL_objectz00_bglt BgL_tmpz00_3009;

																	BgL_tmpz00_3009 =
																		((BgL_objectz00_bglt) BgL_new1153z00_2447);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3009,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1153z00_2447);
																BgL_new1150z00_2446 = BgL_new1153z00_2447;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1150z00_2446)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1152z00_2445))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1150z00_2446)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1152z00_2445))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																				BgL_new1150z00_2446)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BGl_za2isazf2cdepthza2zf2zzisa_walkz00)),
																BUNSPEC);
															BgL_nfunz00_2444 = BgL_new1150z00_2446;
														}
														{	/* Isa/walk.scm 150 */
															BgL_literalz00_bglt BgL_depthz00_2449;

															{	/* Isa/walk.scm 152 */
																BgL_literalz00_bglt BgL_new1155z00_2450;

																{	/* Isa/walk.scm 153 */
																	BgL_literalz00_bglt BgL_new1154z00_2451;

																	BgL_new1154z00_2451 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Isa/walk.scm 153 */
																		long BgL_arg1580z00_2452;

																		BgL_arg1580z00_2452 =
																			BGL_CLASS_NUM
																			(BGl_literalz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1154z00_2451),
																			BgL_arg1580z00_2452);
																	}
																	{	/* Isa/walk.scm 153 */
																		BgL_objectz00_bglt BgL_tmpz00_3026;

																		BgL_tmpz00_3026 =
																			((BgL_objectz00_bglt)
																			BgL_new1154z00_2451);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3026,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1154z00_2451);
																	BgL_new1155z00_2450 = BgL_new1154z00_2451;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1155z00_2450)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_appz00_bglt)
																							BgL_nodez00_2343))))->
																			BgL_locz00)), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_3035;

																	{	/* Isa/walk.scm 154 */
																		long BgL_arg1572z00_2453;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_3037;

																			{
																				obj_t BgL_auxz00_3038;

																				{	/* Isa/walk.scm 154 */
																					BgL_objectz00_bglt BgL_tmpz00_3039;

																					BgL_tmpz00_3039 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_typz00_2376));
																					BgL_auxz00_3038 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_3039);
																				}
																				BgL_auxz00_3037 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_3038);
																			}
																			BgL_arg1572z00_2453 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_3037))->
																				BgL_depthz00);
																		}
																		BgL_auxz00_3035 =
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BINT(BgL_arg1572z00_2453));
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1155z00_2450)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_3035),
																		BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_3048;

																	{	/* Isa/walk.scm 155 */
																		long BgL_tmpz00_3050;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_3051;

																			{
																				obj_t BgL_auxz00_3052;

																				{	/* Isa/walk.scm 155 */
																					BgL_objectz00_bglt BgL_tmpz00_3053;

																					BgL_tmpz00_3053 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_typz00_2376));
																					BgL_auxz00_3052 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_3053);
																				}
																				BgL_auxz00_3051 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_3052);
																			}
																			BgL_tmpz00_3050 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_3051))->
																				BgL_depthz00);
																		}
																		BgL_auxz00_3048 = BINT(BgL_tmpz00_3050);
																	}
																	((((BgL_atomz00_bglt) COBJECT(
																					((BgL_atomz00_bglt)
																						BgL_new1155z00_2450)))->
																			BgL_valuez00) =
																		((obj_t) BgL_auxz00_3048), BUNSPEC);
																}
																BgL_depthz00_2449 = BgL_new1155z00_2450;
															}
															{	/* Isa/walk.scm 152 */

																((((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2343)))->
																		BgL_funz00) =
																	((BgL_varz00_bglt) ((BgL_varz00_bglt)
																			BgL_nfunz00_2444)), BUNSPEC);
																{
																	obj_t BgL_auxz00_3064;

																	{	/* Isa/walk.scm 157 */
																		obj_t BgL_arg1567z00_2454;
																		obj_t BgL_arg1570z00_2455;

																		BgL_arg1567z00_2454 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2343)))->BgL_argsz00);
																		{	/* Isa/walk.scm 157 */
																			obj_t BgL_list1571z00_2456;

																			BgL_list1571z00_2456 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_depthz00_2449), BNIL);
																			BgL_arg1570z00_2455 =
																				BgL_list1571z00_2456;
																		}
																		BgL_auxz00_3064 =
																			BGl_appendzd221011zd2zzisa_walkz00
																			(BgL_arg1567z00_2454,
																			BgL_arg1570z00_2455);
																	}
																	((((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2343)))->BgL_argsz00) =
																		((obj_t) BgL_auxz00_3064), BUNSPEC);
											}}}}}
										else
											{	/* Isa/walk.scm 137 */
												BFALSE;
											}
									}
							}
							return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2343));
						}
					else
						{	/* Isa/walk.scm 119 */
							return
								BGl_walk0z12z12zzast_walkz00(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2343)),
								BGl_isaz12zd2envzc0zzisa_walkz00);
						}
				}
			}
		}

	}



/* uncasted-type~0 */
	BgL_typez00_bglt BGl_uncastedzd2typeze70z35zzisa_walkz00(BgL_nodez00_bglt
		BgL_nodez00_1783)
	{
		{	/* Isa/walk.scm 112 */
			{	/* Isa/walk.scm 109 */
				bool_t BgL_test1870z00_3077;

				{	/* Isa/walk.scm 109 */
					obj_t BgL_classz00_2109;

					BgL_classz00_2109 = BGl_castz00zzast_nodez00;
					{	/* Isa/walk.scm 109 */
						BgL_objectz00_bglt BgL_arg1820z00_2111;

						{	/* Isa/walk.scm 109 */
							obj_t BgL_tmpz00_3078;

							BgL_tmpz00_3078 = ((obj_t) BgL_nodez00_1783);
							BgL_arg1820z00_2111 = (BgL_objectz00_bglt) (BgL_tmpz00_3078);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Isa/walk.scm 109 */
								long BgL_idxz00_2117;

								BgL_idxz00_2117 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2111);
								BgL_test1870z00_3077 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2117 + ((long) 2))) == BgL_classz00_2109);
							}
						else
							{	/* Isa/walk.scm 109 */
								bool_t BgL_res1780z00_2139;

								{	/* Isa/walk.scm 109 */
									obj_t BgL_oclassz00_2125;

									{	/* Isa/walk.scm 109 */
										long BgL_arg1828z00_2131;

										{	/* Isa/walk.scm 109 */
											long BgL_arg1829z00_2132;

											BgL_arg1829z00_2132 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2111);
											BgL_arg1828z00_2131 = (BgL_arg1829z00_2132 - OBJECT_TYPE);
										}
										BgL_oclassz00_2125 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2131);
									}
									{	/* Isa/walk.scm 109 */
										bool_t BgL__ortest_1111z00_2126;

										BgL__ortest_1111z00_2126 =
											(BgL_classz00_2109 == BgL_oclassz00_2125);
										if (BgL__ortest_1111z00_2126)
											{	/* Isa/walk.scm 109 */
												BgL_res1780z00_2139 = BgL__ortest_1111z00_2126;
											}
										else
											{	/* Isa/walk.scm 109 */
												long BgL_odepthz00_2127;

												BgL_odepthz00_2127 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2125);
												if ((((long) 2) < BgL_odepthz00_2127))
													{	/* Isa/walk.scm 109 */
														obj_t BgL_arg1816z00_2129;

														BgL_arg1816z00_2129 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2125,
															((long) 2));
														BgL_res1780z00_2139 =
															(BgL_arg1816z00_2129 == BgL_classz00_2109);
													}
												else
													{	/* Isa/walk.scm 109 */
														BgL_res1780z00_2139 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test1870z00_3077 = BgL_res1780z00_2139;
							}
					}
				}
				if (BgL_test1870z00_3077)
					{	/* Isa/walk.scm 109 */
						return
							(((BgL_nodez00_bglt) COBJECT(
									(((BgL_castz00_bglt) COBJECT(
												((BgL_castz00_bglt) BgL_nodez00_1783)))->BgL_argz00)))->
							BgL_typez00);
					}
				else
					{	/* Isa/walk.scm 109 */
						return
							(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1783))->BgL_typez00);
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1799z00zzisa_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
