/*===========================================================================*/
/*   (Reduce/cond.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/cond.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62staticzd2valuezd2atom1329z62zzreduce_condz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2condz12zc0zzreduce_condz00(BgL_nodez00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_z62staticzd2valuezd2sequenc1331z62zzreduce_condz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2fun1307za2zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_condz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62reducezd2conditionalz12za2zzreduce_condz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62nodezd2condz12za2zzreduce_condz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62nodezd2condz121274za2zzreduce_condz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_condz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_condz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2makezd2box1319za2zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_staticzd2valuezd2zzreduce_condz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2setz121321zb0zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_condz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2atom1277z70zzreduce_condz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2var1281z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_nodezd2condza2z12z62zzreduce_condz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2kwote1279z70zzreduce_condz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2conditionalz12zc0zzreduce_condz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2condition1301z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_condz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2app1289z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2var1309za2zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2z42zd3fxza2z91zzreduce_condz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2fail1303z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2ref1323za2zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2return1317z70zzreduce_condz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_condz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1313z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_resetzd2condzd2cachez12z12zzreduce_condz00(void);
	static long BGl_za2condzd2reducedza2zd2zzreduce_condz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2switch1305z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_z62staticzd2valuezb0zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2funcall1293z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_initzd2condzd2cachez12z12zzreduce_condz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2cast1297z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setzd2exzd2it1311z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2sequence1285z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_condz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_condz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_condz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_condz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setq1299z70zzreduce_condz00(obj_t, obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2appzd2ly1291za2zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2retblock1315z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2closure1283z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2sync1287z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_z62staticzd2valuezd2letzd2var1327zb0zzreduce_condz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62staticzd2value1324zb0zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_za2z42eqza2z42zzreduce_condz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2extern1295z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_staticzd2valuezd2envz00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu1993z00,
		BGl_z62staticzd2valuezb0zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1954z00zzreduce_condz00,
		BgL_bgl_string1954za700za7za7r1994za7, "      conditional expression ", 29);
	      DEFINE_STRING(BGl_string1955z00zzreduce_condz00,
		BgL_bgl_string1955za700za7za7r1995za7, "(reduced: ", 10);
	      DEFINE_STRING(BGl_string1957z00zzreduce_condz00,
		BgL_bgl_string1957za700za7za7r1996za7, "node-cond!1274", 14);
	      DEFINE_STRING(BGl_string1959z00zzreduce_condz00,
		BgL_bgl_string1959za700za7za7r1997za7, "static-value1324", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2conditionalz12zd2envz12zzreduce_condz00,
		BgL_bgl_za762reduceza7d2cond1998z00,
		BGl_z62reducezd2conditionalz12za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1960z00zzreduce_condz00,
		BgL_bgl_string1960za700za7za7r1999za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1962z00zzreduce_condz00,
		BgL_bgl_string1962za700za7za7r2000za7, "node-cond!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1956z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712001za7,
		BGl_z62nodezd2condz121274za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1958z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2002z00,
		BGl_z62staticzd2value1324zb0zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712003za7,
		BGl_z62nodezd2condz12zd2atom1277z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712004za7,
		BGl_z62nodezd2condz12zd2kwote1279z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712005za7,
		BGl_z62nodezd2condz12zd2var1281z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712006za7,
		BGl_z62nodezd2condz12zd2closure1283z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712007za7,
		BGl_z62nodezd2condz12zd2sequence1285z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712008za7,
		BGl_z62nodezd2condz12zd2sync1287z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712009za7,
		BGl_z62nodezd2condz12zd2app1289z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712010za7,
		BGl_z62nodezd2condz12zd2appzd2ly1291za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1970z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712011za7,
		BGl_z62nodezd2condz12zd2funcall1293z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712012za7,
		BGl_z62nodezd2condz12zd2extern1295z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1972z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712013za7,
		BGl_z62nodezd2condz12zd2cast1297z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1973z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712014za7,
		BGl_z62nodezd2condz12zd2setq1299z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712015za7,
		BGl_z62nodezd2condz12zd2condition1301z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1975z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712016za7,
		BGl_z62nodezd2condz12zd2fail1303z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712017za7,
		BGl_z62nodezd2condz12zd2switch1305z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712018za7,
		BGl_z62nodezd2condz12zd2letzd2fun1307za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712019za7,
		BGl_z62nodezd2condz12zd2letzd2var1309za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712020za7,
		BGl_z62nodezd2condz12zd2setzd2exzd2it1311z70zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1987z00zzreduce_condz00,
		BgL_bgl_string1987za700za7za7r2021za7, "static-value", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712022za7,
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1313z70zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712023za7,
		BGl_z62nodezd2condz12zd2retblock1315z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712024za7,
		BGl_z62nodezd2condz12zd2return1317z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712025za7,
		BGl_z62nodezd2condz12zd2makezd2box1319za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1990z00zzreduce_condz00,
		BgL_bgl_string1990za700za7za7r2026za7, "reduce_cond", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712027za7,
		BGl_z62nodezd2condz12zd2boxzd2setz121321zb0zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1991z00zzreduce_condz00,
		BgL_bgl_string1991za700za7za7r2028za7,
		"true false node-cond!1274 done c-=fx c-eq? foreign ", 51);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1985z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712029za7,
		BGl_z62nodezd2condz12zd2boxzd2ref1323za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2030z00,
		BGl_z62staticzd2valuezd2letzd2var1327zb0zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2031z00,
		BGl_z62staticzd2valuezd2atom1329z62zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1989z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2032z00,
		BGl_z62staticzd2valuezd2sequenc1331z62zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712033za7,
		BGl_z62nodezd2condz12za2zzreduce_condz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_condz00));
		     ADD_ROOT((void *) (&BGl_za2z42zd3fxza2z91zzreduce_condz00));
		     ADD_ROOT((void *) (&BGl_za2z42eqza2z42zzreduce_condz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_condz00(long
		BgL_checksumz00_2830, char *BgL_fromz00_2831)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_condz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_condz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_condz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_condz00();
					BGl_cnstzd2initzd2zzreduce_condz00();
					BGl_importedzd2moduleszd2initz00zzreduce_condz00();
					BGl_genericzd2initzd2zzreduce_condz00();
					BGl_methodzd2initzd2zzreduce_condz00();
					return BGl_toplevelzd2initzd2zzreduce_condz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_cond");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			{	/* Reduce/cond.scm 15 */
				obj_t BgL_cportz00_2571;

				{	/* Reduce/cond.scm 15 */
					obj_t BgL_stringz00_2578;

					BgL_stringz00_2578 = BGl_string1991z00zzreduce_condz00;
					{	/* Reduce/cond.scm 15 */
						obj_t BgL_startz00_2579;

						BgL_startz00_2579 = BINT(((long) 0));
						{	/* Reduce/cond.scm 15 */
							obj_t BgL_endz00_2580;

							BgL_endz00_2580 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2578)));
							{	/* Reduce/cond.scm 15 */

								BgL_cportz00_2571 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2578, BgL_startz00_2579, BgL_endz00_2580);
				}}}}
				{
					long BgL_iz00_2572;

					BgL_iz00_2572 = ((long) 6);
				BgL_loopz00_2573:
					if ((BgL_iz00_2572 == ((long) -1)))
						{	/* Reduce/cond.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/cond.scm 15 */
							{	/* Reduce/cond.scm 15 */
								obj_t BgL_arg1992z00_2574;

								{	/* Reduce/cond.scm 15 */

									{	/* Reduce/cond.scm 15 */
										obj_t BgL_locationz00_2576;

										BgL_locationz00_2576 = BBOOL(((bool_t) 0));
										{	/* Reduce/cond.scm 15 */

											BgL_arg1992z00_2574 =
												BGl_readz00zz__readerz00(BgL_cportz00_2571,
												BgL_locationz00_2576);
										}
									}
								}
								{	/* Reduce/cond.scm 15 */
									int BgL_tmpz00_2862;

									BgL_tmpz00_2862 = (int) (BgL_iz00_2572);
									CNST_TABLE_SET(BgL_tmpz00_2862, BgL_arg1992z00_2574);
							}}
							{	/* Reduce/cond.scm 15 */
								int BgL_auxz00_2577;

								BgL_auxz00_2577 = (int) ((BgL_iz00_2572 - ((long) 1)));
								{
									long BgL_iz00_2867;

									BgL_iz00_2867 = (long) (BgL_auxz00_2577);
									BgL_iz00_2572 = BgL_iz00_2867;
									goto BgL_loopz00_2573;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			BGl_za2z42eqza2z42zzreduce_condz00 = BFALSE;
			BGl_za2z42zd3fxza2z91zzreduce_condz00 = BFALSE;
			BGl_za2condzd2reducedza2zd2zzreduce_condz00 = ((long) 0);
			return BUNSPEC;
		}

	}



/* reduce-conditional! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2conditionalz12zc0zzreduce_condz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/cond.scm 33 */
			{	/* Reduce/cond.scm 34 */
				obj_t BgL_list1340z00_1383;

				BgL_list1340z00_1383 =
					MAKE_YOUNG_PAIR(BGl_string1954z00zzreduce_condz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1340z00_1383);
			}
			BGl_initzd2condzd2cachez12z12zzreduce_condz00();
			{
				obj_t BgL_l1259z00_1385;

				BgL_l1259z00_1385 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31341ze3z87_1386:
				if (PAIRP(BgL_l1259z00_1385))
					{	/* Reduce/cond.scm 36 */
						{	/* Reduce/cond.scm 37 */
							obj_t BgL_globalz00_1388;

							BgL_globalz00_1388 = CAR(BgL_l1259z00_1385);
							{	/* Reduce/cond.scm 37 */
								BgL_valuez00_bglt BgL_funz00_1389;

								BgL_funz00_1389 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1388))))->
									BgL_valuez00);
								{	/* Reduce/cond.scm 37 */
									obj_t BgL_nodez00_1390;

									BgL_nodez00_1390 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1389)))->BgL_bodyz00);
									{	/* Reduce/cond.scm 38 */

										{	/* Reduce/cond.scm 39 */
											BgL_nodez00_bglt BgL_arg1343z00_1391;

											BgL_arg1343z00_1391 =
												BGl_nodezd2condz12zc0zzreduce_condz00(
												((BgL_nodez00_bglt) BgL_nodez00_1390));
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1389)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1343z00_1391)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1259z00_2887;

							BgL_l1259z00_2887 = CDR(BgL_l1259z00_1385);
							BgL_l1259z00_1385 = BgL_l1259z00_2887;
							goto BgL_zc3z04anonymousza31341ze3z87_1386;
						}
					}
				else
					{	/* Reduce/cond.scm 36 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/cond.scm 42 */
				obj_t BgL_list1345z00_1394;

				{	/* Reduce/cond.scm 42 */
					obj_t BgL_arg1346z00_1395;

					{	/* Reduce/cond.scm 42 */
						obj_t BgL_arg1347z00_1396;

						{	/* Reduce/cond.scm 42 */
							obj_t BgL_arg1352z00_1397;

							BgL_arg1352z00_1397 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1347z00_1396 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1352z00_1397);
						}
						BgL_arg1346z00_1395 =
							MAKE_YOUNG_PAIR(BINT(BGl_za2condzd2reducedza2zd2zzreduce_condz00),
							BgL_arg1347z00_1396);
					}
					BgL_list1345z00_1394 =
						MAKE_YOUNG_PAIR(BGl_string1955z00zzreduce_condz00,
						BgL_arg1346z00_1395);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1345z00_1394);
			}
			BGl_resetzd2condzd2cachez12z12zzreduce_condz00();
			return BgL_globalsz00_3;
		}

	}



/* &reduce-conditional! */
	obj_t BGl_z62reducezd2conditionalz12za2zzreduce_condz00(obj_t BgL_envz00_2478,
		obj_t BgL_globalsz00_2479)
	{
		{	/* Reduce/cond.scm 33 */
			return
				BGl_reducezd2conditionalz12zc0zzreduce_condz00(BgL_globalsz00_2479);
		}

	}



/* init-cond-cache! */
	obj_t BGl_initzd2condzd2cachez12z12zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 56 */
			{	/* Reduce/cond.scm 57 */
				obj_t BgL_list1353z00_1398;

				BgL_list1353z00_1398 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
				BGl_za2z42eqza2z42zzreduce_condz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
					BgL_list1353z00_1398);
			}
			{	/* Reduce/cond.scm 58 */
				obj_t BgL_list1354z00_1399;

				BgL_list1354z00_1399 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
				return (BGl_za2z42zd3fxza2z91zzreduce_condz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 2)),
						BgL_list1354z00_1399), BUNSPEC);
		}}

	}



/* reset-cond-cache! */
	obj_t BGl_resetzd2condzd2cachez12z12zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 63 */
			BGl_za2z42eqza2z42zzreduce_condz00 = BFALSE;
			return (BGl_za2z42zd3fxza2z91zzreduce_condz00 = BFALSE, BUNSPEC);
		}

	}



/* node-cond*! */
	obj_t BGl_nodezd2condza2z12z62zzreduce_condz00(obj_t BgL_nodeza2za2_29)
	{
		{	/* Reduce/cond.scm 343 */
			{
				obj_t BgL_nodeza2za2_1401;

				BgL_nodeza2za2_1401 = BgL_nodeza2za2_29;
			BgL_zc3z04anonymousza31355ze3z87_1402:
				if (NULLP(BgL_nodeza2za2_1401))
					{	/* Reduce/cond.scm 345 */
						return CNST_TABLE_REF(((long) 3));
					}
				else
					{	/* Reduce/cond.scm 345 */
						{	/* Reduce/cond.scm 348 */
							BgL_nodez00_bglt BgL_arg1358z00_1404;

							{	/* Reduce/cond.scm 348 */
								obj_t BgL_arg1359z00_1405;

								BgL_arg1359z00_1405 = CAR(((obj_t) BgL_nodeza2za2_1401));
								BgL_arg1358z00_1404 =
									BGl_nodezd2condz12zc0zzreduce_condz00(
									((BgL_nodez00_bglt) BgL_arg1359z00_1405));
							}
							{	/* Reduce/cond.scm 348 */
								obj_t BgL_auxz00_2917;
								obj_t BgL_tmpz00_2915;

								BgL_auxz00_2917 = ((obj_t) BgL_arg1358z00_1404);
								BgL_tmpz00_2915 = ((obj_t) BgL_nodeza2za2_1401);
								SET_CAR(BgL_tmpz00_2915, BgL_auxz00_2917);
							}
						}
						{	/* Reduce/cond.scm 349 */
							obj_t BgL_arg1361z00_1406;

							BgL_arg1361z00_1406 = CDR(((obj_t) BgL_nodeza2za2_1401));
							{
								obj_t BgL_nodeza2za2_2922;

								BgL_nodeza2za2_2922 = BgL_arg1361z00_1406;
								BgL_nodeza2za2_1401 = BgL_nodeza2za2_2922;
								goto BgL_zc3z04anonymousza31355ze3z87_1402;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_proc1956z00zzreduce_condz00, BGl_nodez00zzast_nodez00,
				BGl_string1957z00zzreduce_condz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00,
				BGl_proc1958z00zzreduce_condz00, BGl_nodez00zzast_nodez00,
				BGl_string1959z00zzreduce_condz00);
		}

	}



/* &static-value1324 */
	obj_t BGl_z62staticzd2value1324zb0zzreduce_condz00(obj_t BgL_envz00_2482,
		obj_t BgL_nodez00_2483)
	{
		{	/* Reduce/cond.scm 354 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &node-cond!1274 */
	obj_t BGl_z62nodezd2condz121274za2zzreduce_condz00(obj_t BgL_envz00_2484,
		obj_t BgL_nodez00_2485)
	{
		{	/* Reduce/cond.scm 75 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
				BGl_string1960z00zzreduce_condz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2485)));
		}

	}



/* node-cond! */
	BgL_nodez00_bglt BGl_nodezd2condz12zc0zzreduce_condz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Reduce/cond.scm 75 */
			{	/* Reduce/cond.scm 75 */
				obj_t BgL_method1275z00_1416;

				{	/* Reduce/cond.scm 75 */
					obj_t BgL_res1934z00_1989;

					{	/* Reduce/cond.scm 75 */
						long BgL_objzd2classzd2numz00_1960;

						BgL_objzd2classzd2numz00_1960 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/cond.scm 75 */
							obj_t BgL_arg1825z00_1961;

							BgL_arg1825z00_1961 =
								PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
								(int) (((long) 1)));
							{	/* Reduce/cond.scm 75 */
								int BgL_offsetz00_1964;

								BgL_offsetz00_1964 = (int) (BgL_objzd2classzd2numz00_1960);
								{	/* Reduce/cond.scm 75 */
									long BgL_offsetz00_1965;

									BgL_offsetz00_1965 =
										((long) (BgL_offsetz00_1964) - OBJECT_TYPE);
									{	/* Reduce/cond.scm 75 */
										long BgL_modz00_1966;

										BgL_modz00_1966 =
											(BgL_offsetz00_1965 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/cond.scm 75 */
											long BgL_restz00_1968;

											BgL_restz00_1968 =
												(BgL_offsetz00_1965 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/cond.scm 75 */

												{	/* Reduce/cond.scm 75 */
													obj_t BgL_bucketz00_1970;

													BgL_bucketz00_1970 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_1961), BgL_modz00_1966);
													BgL_res1934z00_1989 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1970), BgL_restz00_1968);
					}}}}}}}}
					BgL_method1275z00_1416 = BgL_res1934z00_1989;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1275z00_1416)) (BgL_method1275z00_1416,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}

	}



/* &node-cond! */
	BgL_nodez00_bglt BGl_z62nodezd2condz12za2zzreduce_condz00(obj_t
		BgL_envz00_2486, obj_t BgL_nodez00_2487)
	{
		{	/* Reduce/cond.scm 75 */
			return
				BGl_nodezd2condz12zc0zzreduce_condz00(
				((BgL_nodez00_bglt) BgL_nodez00_2487));
		}

	}



/* static-value */
	obj_t BGl_staticzd2valuezd2zzreduce_condz00(BgL_nodez00_bglt BgL_nodez00_30)
	{
		{	/* Reduce/cond.scm 354 */
			{	/* Reduce/cond.scm 354 */
				obj_t BgL_method1325z00_1417;

				{	/* Reduce/cond.scm 354 */
					obj_t BgL_res1939z00_2020;

					{	/* Reduce/cond.scm 354 */
						long BgL_objzd2classzd2numz00_1991;

						BgL_objzd2classzd2numz00_1991 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_30));
						{	/* Reduce/cond.scm 354 */
							obj_t BgL_arg1825z00_1992;

							BgL_arg1825z00_1992 =
								PROCEDURE_REF(BGl_staticzd2valuezd2envz00zzreduce_condz00,
								(int) (((long) 1)));
							{	/* Reduce/cond.scm 354 */
								int BgL_offsetz00_1995;

								BgL_offsetz00_1995 = (int) (BgL_objzd2classzd2numz00_1991);
								{	/* Reduce/cond.scm 354 */
									long BgL_offsetz00_1996;

									BgL_offsetz00_1996 =
										((long) (BgL_offsetz00_1995) - OBJECT_TYPE);
									{	/* Reduce/cond.scm 354 */
										long BgL_modz00_1997;

										BgL_modz00_1997 =
											(BgL_offsetz00_1996 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/cond.scm 354 */
											long BgL_restz00_1999;

											BgL_restz00_1999 =
												(BgL_offsetz00_1996 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/cond.scm 354 */

												{	/* Reduce/cond.scm 354 */
													obj_t BgL_bucketz00_2001;

													BgL_bucketz00_2001 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_1992), BgL_modz00_1997);
													BgL_res1939z00_2020 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2001), BgL_restz00_1999);
					}}}}}}}}
					BgL_method1325z00_1417 = BgL_res1939z00_2020;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1325z00_1417)) (BgL_method1325z00_1417,
					((obj_t) BgL_nodez00_30), BEOA);
			}
		}

	}



/* &static-value */
	obj_t BGl_z62staticzd2valuezb0zzreduce_condz00(obj_t BgL_envz00_2488,
		obj_t BgL_nodez00_2489)
	{
		{	/* Reduce/cond.scm 354 */
			return
				BGl_staticzd2valuezd2zzreduce_condz00(
				((BgL_nodez00_bglt) BgL_nodez00_2489));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_atomz00zzast_nodez00,
				BGl_proc1961z00zzreduce_condz00, BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1963z00zzreduce_condz00, BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_varz00zzast_nodez00,
				BGl_proc1964z00zzreduce_condz00, BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_closurez00zzast_nodez00, BGl_proc1965z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1966z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_syncz00zzast_nodez00,
				BGl_proc1967z00zzreduce_condz00, BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_appz00zzast_nodez00,
				BGl_proc1968z00zzreduce_condz00, BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1969z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1970z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_externz00zzast_nodez00, BGl_proc1971z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_castz00zzast_nodez00,
				BGl_proc1972z00zzreduce_condz00, BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_setqz00zzast_nodez00,
				BGl_proc1973z00zzreduce_condz00, BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1974z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_failz00zzast_nodez00,
				BGl_proc1975z00zzreduce_condz00, BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_switchz00zzast_nodez00, BGl_proc1976z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1977z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1978z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1979z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1980z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1981z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_returnz00zzast_nodez00, BGl_proc1982z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1983z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1984z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1985z00zzreduce_condz00,
				BGl_string1962z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1986z00zzreduce_condz00,
				BGl_string1987z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00, BGl_atomz00zzast_nodez00,
				BGl_proc1988z00zzreduce_condz00, BGl_string1987z00zzreduce_condz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1989z00zzreduce_condz00,
				BGl_string1987z00zzreduce_condz00);
		}

	}



/* &static-value-sequenc1331 */
	obj_t BGl_z62staticzd2valuezd2sequenc1331z62zzreduce_condz00(obj_t
		BgL_envz00_2517, obj_t BgL_nodez00_2518)
	{
		{	/* Reduce/cond.scm 374 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2518)))->BgL_nodesz00)))
				{	/* Reduce/cond.scm 376 */
					return BFALSE;
				}
			else
				{	/* Reduce/cond.scm 377 */
					obj_t BgL_arg1859z00_2585;

					BgL_arg1859z00_2585 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_sequencez00_bglt) COBJECT(
										((BgL_sequencez00_bglt) BgL_nodez00_2518)))->
								BgL_nodesz00)));
					return BGl_staticzd2valuezd2zzreduce_condz00(((BgL_nodez00_bglt)
							BgL_arg1859z00_2585));
				}
		}

	}



/* &static-value-atom1329 */
	obj_t BGl_z62staticzd2valuezd2atom1329z62zzreduce_condz00(obj_t
		BgL_envz00_2519, obj_t BgL_nodez00_2520)
	{
		{	/* Reduce/cond.scm 367 */
			if (
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt) BgL_nodez00_2520)))->BgL_valuez00) ==
					BFALSE))
				{	/* Reduce/cond.scm 369 */
					return CNST_TABLE_REF(((long) 5));
				}
			else
				{	/* Reduce/cond.scm 369 */
					return CNST_TABLE_REF(((long) 6));
		}}

	}



/* &static-value-let-var1327 */
	obj_t BGl_z62staticzd2valuezd2letzd2var1327zb0zzreduce_condz00(obj_t
		BgL_envz00_2521, obj_t BgL_nodez00_2522)
	{
		{	/* Reduce/cond.scm 360 */
			return
				BGl_staticzd2valuezd2zzreduce_condz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2522)))->BgL_bodyz00));
		}

	}



/* &node-cond!-box-ref1323 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2ref1323za2zzreduce_condz00(obj_t
		BgL_envz00_2523, obj_t BgL_nodez00_2524)
	{
		{	/* Reduce/cond.scm 335 */
			{
				BgL_varz00_bglt BgL_auxz00_3041;

				{	/* Reduce/cond.scm 337 */
					BgL_varz00_bglt BgL_arg1848z00_2589;

					BgL_arg1848z00_2589 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2524)))->BgL_varz00);
					BgL_auxz00_3041 =
						((BgL_varz00_bglt)
						BGl_nodezd2condz12zc0zzreduce_condz00(
							((BgL_nodez00_bglt) BgL_arg1848z00_2589)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2524)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3041), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2524));
		}

	}



/* &node-cond!-box-set!1321 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2setz121321zb0zzreduce_condz00(obj_t
		BgL_envz00_2525, obj_t BgL_nodez00_2526)
	{
		{	/* Reduce/cond.scm 326 */
			{
				BgL_varz00_bglt BgL_auxz00_3051;

				{	/* Reduce/cond.scm 328 */
					BgL_varz00_bglt BgL_arg1846z00_2591;

					BgL_arg1846z00_2591 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2526)))->BgL_varz00);
					BgL_auxz00_3051 =
						((BgL_varz00_bglt)
						BGl_nodezd2condz12zc0zzreduce_condz00(
							((BgL_nodez00_bglt) BgL_arg1846z00_2591)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2526)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3051), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3059;

				{	/* Reduce/cond.scm 329 */
					BgL_nodez00_bglt BgL_arg1847z00_2592;

					BgL_arg1847z00_2592 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2526)))->BgL_valuez00);
					BgL_auxz00_3059 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1847z00_2592);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2526)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3059), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2526));
		}

	}



/* &node-cond!-make-box1319 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2makezd2box1319za2zzreduce_condz00(obj_t
		BgL_envz00_2527, obj_t BgL_nodez00_2528)
	{
		{	/* Reduce/cond.scm 318 */
			{
				BgL_nodez00_bglt BgL_auxz00_3067;

				{	/* Reduce/cond.scm 320 */
					BgL_nodez00_bglt BgL_arg1845z00_2594;

					BgL_arg1845z00_2594 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2528)))->BgL_valuez00);
					BgL_auxz00_3067 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1845z00_2594);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2528)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3067), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2528));
		}

	}



/* &node-cond!-return1317 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2return1317z70zzreduce_condz00(obj_t
		BgL_envz00_2529, obj_t BgL_nodez00_2530)
	{
		{	/* Reduce/cond.scm 310 */
			{
				BgL_nodez00_bglt BgL_auxz00_3075;

				{	/* Reduce/cond.scm 312 */
					BgL_nodez00_bglt BgL_arg1844z00_2596;

					BgL_arg1844z00_2596 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2530)))->BgL_valuez00);
					BgL_auxz00_3075 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1844z00_2596);
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2530)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3075), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nodez00_2530));
		}

	}



/* &node-cond!-retblock1315 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2retblock1315z70zzreduce_condz00(obj_t
		BgL_envz00_2531, obj_t BgL_nodez00_2532)
	{
		{	/* Reduce/cond.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_3083;

				{	/* Reduce/cond.scm 304 */
					BgL_nodez00_bglt BgL_arg1840z00_2598;

					BgL_arg1840z00_2598 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2532)))->BgL_bodyz00);
					BgL_auxz00_3083 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1840z00_2598);
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2532)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3083), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nodez00_2532));
		}

	}



/* &node-cond!-jump-ex-i1313 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1313z70zzreduce_condz00(obj_t
		BgL_envz00_2533, obj_t BgL_nodez00_2534)
	{
		{	/* Reduce/cond.scm 293 */
			{
				BgL_nodez00_bglt BgL_auxz00_3091;

				{	/* Reduce/cond.scm 295 */
					BgL_nodez00_bglt BgL_arg1836z00_2600;

					BgL_arg1836z00_2600 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2534)))->BgL_exitz00);
					BgL_auxz00_3091 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1836z00_2600);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2534)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3091), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3097;

				{	/* Reduce/cond.scm 296 */
					BgL_nodez00_bglt BgL_arg1837z00_2601;

					BgL_arg1837z00_2601 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2534)))->
						BgL_valuez00);
					BgL_auxz00_3097 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1837z00_2601);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2534)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3097), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2534));
		}

	}



/* &node-cond!-set-ex-it1311 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setzd2exzd2it1311z70zzreduce_condz00(obj_t
		BgL_envz00_2535, obj_t BgL_nodez00_2536)
	{
		{	/* Reduce/cond.scm 283 */
			{
				BgL_nodez00_bglt BgL_auxz00_3105;

				{	/* Reduce/cond.scm 285 */
					BgL_nodez00_bglt BgL_arg1830z00_2603;

					BgL_arg1830z00_2603 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2536)))->BgL_bodyz00);
					BgL_auxz00_3105 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1830z00_2603);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2536)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3105), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3111;

				{	/* Reduce/cond.scm 286 */
					BgL_nodez00_bglt BgL_arg1833z00_2604;

					BgL_arg1833z00_2604 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2536)))->
						BgL_onexitz00);
					BgL_auxz00_3111 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1833z00_2604);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2536)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3111), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3117;

				{	/* Reduce/cond.scm 287 */
					BgL_varz00_bglt BgL_arg1835z00_2605;

					BgL_arg1835z00_2605 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2536)))->BgL_varz00);
					BgL_auxz00_3117 =
						((BgL_varz00_bglt)
						BGl_nodezd2condz12zc0zzreduce_condz00(
							((BgL_nodez00_bglt) BgL_arg1835z00_2605)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2536)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3117), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2536));
		}

	}



/* &node-cond!-let-var1309 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2var1309za2zzreduce_condz00(obj_t
		BgL_envz00_2537, obj_t BgL_nodez00_2538)
	{
		{	/* Reduce/cond.scm 272 */
			{	/* Reduce/cond.scm 274 */
				obj_t BgL_g1273z00_2607;

				BgL_g1273z00_2607 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2538)))->BgL_bindingsz00);
				{
					obj_t BgL_l1271z00_2609;

					BgL_l1271z00_2609 = BgL_g1273z00_2607;
				BgL_zc3z04anonymousza31814ze3z87_2608:
					if (PAIRP(BgL_l1271z00_2609))
						{	/* Reduce/cond.scm 274 */
							{	/* Reduce/cond.scm 275 */
								obj_t BgL_bindingz00_2610;

								BgL_bindingz00_2610 = CAR(BgL_l1271z00_2609);
								{	/* Reduce/cond.scm 275 */
									BgL_nodez00_bglt BgL_arg1817z00_2611;

									{	/* Reduce/cond.scm 275 */
										obj_t BgL_arg1819z00_2612;

										BgL_arg1819z00_2612 = CDR(((obj_t) BgL_bindingz00_2610));
										BgL_arg1817z00_2611 =
											BGl_nodezd2condz12zc0zzreduce_condz00(
											((BgL_nodez00_bglt) BgL_arg1819z00_2612));
									}
									{	/* Reduce/cond.scm 275 */
										obj_t BgL_auxz00_3138;
										obj_t BgL_tmpz00_3136;

										BgL_auxz00_3138 = ((obj_t) BgL_arg1817z00_2611);
										BgL_tmpz00_3136 = ((obj_t) BgL_bindingz00_2610);
										SET_CDR(BgL_tmpz00_3136, BgL_auxz00_3138);
									}
								}
							}
							{
								obj_t BgL_l1271z00_3141;

								BgL_l1271z00_3141 = CDR(BgL_l1271z00_2609);
								BgL_l1271z00_2609 = BgL_l1271z00_3141;
								goto BgL_zc3z04anonymousza31814ze3z87_2608;
							}
						}
					else
						{	/* Reduce/cond.scm 274 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3143;

				{	/* Reduce/cond.scm 277 */
					BgL_nodez00_bglt BgL_arg1822z00_2613;

					BgL_arg1822z00_2613 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2538)))->BgL_bodyz00);
					BgL_auxz00_3143 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1822z00_2613);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2538)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3143), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2538));
		}

	}



/* &node-cond!-let-fun1307 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2fun1307za2zzreduce_condz00(obj_t
		BgL_envz00_2539, obj_t BgL_nodez00_2540)
	{
		{	/* Reduce/cond.scm 260 */
			{	/* Reduce/cond.scm 262 */
				obj_t BgL_g1270z00_2615;

				BgL_g1270z00_2615 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2540)))->BgL_localsz00);
				{
					obj_t BgL_l1268z00_2617;

					BgL_l1268z00_2617 = BgL_g1270z00_2615;
				BgL_zc3z04anonymousza31788ze3z87_2616:
					if (PAIRP(BgL_l1268z00_2617))
						{	/* Reduce/cond.scm 262 */
							{	/* Reduce/cond.scm 263 */
								obj_t BgL_localz00_2618;

								BgL_localz00_2618 = CAR(BgL_l1268z00_2617);
								{	/* Reduce/cond.scm 263 */
									BgL_valuez00_bglt BgL_funz00_2619;

									BgL_funz00_2619 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2618))))->
										BgL_valuez00);
									{	/* Reduce/cond.scm 264 */
										BgL_nodez00_bglt BgL_arg1790z00_2620;

										{	/* Reduce/cond.scm 264 */
											obj_t BgL_arg1811z00_2621;

											BgL_arg1811z00_2621 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2619)))->
												BgL_bodyz00);
											BgL_arg1790z00_2620 =
												BGl_nodezd2condz12zc0zzreduce_condz00((
													(BgL_nodez00_bglt) BgL_arg1811z00_2621));
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2619)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1790z00_2620)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1268z00_3166;

								BgL_l1268z00_3166 = CDR(BgL_l1268z00_2617);
								BgL_l1268z00_2617 = BgL_l1268z00_3166;
								goto BgL_zc3z04anonymousza31788ze3z87_2616;
							}
						}
					else
						{	/* Reduce/cond.scm 262 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3168;

				{	/* Reduce/cond.scm 266 */
					BgL_nodez00_bglt BgL_arg1813z00_2622;

					BgL_arg1813z00_2622 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2540)))->BgL_bodyz00);
					BgL_auxz00_3168 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1813z00_2622);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2540)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3168), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2540));
		}

	}



/* &node-cond!-switch1305 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2switch1305z70zzreduce_condz00(obj_t
		BgL_envz00_2541, obj_t BgL_nodez00_2542)
	{
		{	/* Reduce/cond.scm 249 */
			{
				BgL_nodez00_bglt BgL_auxz00_3176;

				{	/* Reduce/cond.scm 251 */
					BgL_nodez00_bglt BgL_arg1778z00_2624;

					BgL_arg1778z00_2624 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2542)))->BgL_testz00);
					BgL_auxz00_3176 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1778z00_2624);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2542)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3176), BUNSPEC);
			}
			{	/* Reduce/cond.scm 252 */
				obj_t BgL_g1267z00_2625;

				BgL_g1267z00_2625 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2542)))->BgL_clausesz00);
				{
					obj_t BgL_l1265z00_2627;

					BgL_l1265z00_2627 = BgL_g1267z00_2625;
				BgL_zc3z04anonymousza31779ze3z87_2626:
					if (PAIRP(BgL_l1265z00_2627))
						{	/* Reduce/cond.scm 252 */
							{	/* Reduce/cond.scm 253 */
								obj_t BgL_clausez00_2628;

								BgL_clausez00_2628 = CAR(BgL_l1265z00_2627);
								{	/* Reduce/cond.scm 253 */
									BgL_nodez00_bglt BgL_arg1781z00_2629;

									{	/* Reduce/cond.scm 253 */
										obj_t BgL_arg1785z00_2630;

										BgL_arg1785z00_2630 = CDR(((obj_t) BgL_clausez00_2628));
										BgL_arg1781z00_2629 =
											BGl_nodezd2condz12zc0zzreduce_condz00(
											((BgL_nodez00_bglt) BgL_arg1785z00_2630));
									}
									{	/* Reduce/cond.scm 253 */
										obj_t BgL_auxz00_3193;
										obj_t BgL_tmpz00_3191;

										BgL_auxz00_3193 = ((obj_t) BgL_arg1781z00_2629);
										BgL_tmpz00_3191 = ((obj_t) BgL_clausez00_2628);
										SET_CDR(BgL_tmpz00_3191, BgL_auxz00_3193);
									}
								}
							}
							{
								obj_t BgL_l1265z00_3196;

								BgL_l1265z00_3196 = CDR(BgL_l1265z00_2627);
								BgL_l1265z00_2627 = BgL_l1265z00_3196;
								goto BgL_zc3z04anonymousza31779ze3z87_2626;
							}
						}
					else
						{	/* Reduce/cond.scm 252 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2542));
		}

	}



/* &node-cond!-fail1303 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2fail1303z70zzreduce_condz00(obj_t
		BgL_envz00_2543, obj_t BgL_nodez00_2544)
	{
		{	/* Reduce/cond.scm 239 */
			{
				BgL_nodez00_bglt BgL_auxz00_3200;

				{	/* Reduce/cond.scm 241 */
					BgL_nodez00_bglt BgL_arg1770z00_2632;

					BgL_arg1770z00_2632 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2544)))->BgL_procz00);
					BgL_auxz00_3200 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1770z00_2632);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2544)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3200), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3206;

				{	/* Reduce/cond.scm 242 */
					BgL_nodez00_bglt BgL_arg1771z00_2633;

					BgL_arg1771z00_2633 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2544)))->BgL_msgz00);
					BgL_auxz00_3206 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1771z00_2633);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2544)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3206), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3212;

				{	/* Reduce/cond.scm 243 */
					BgL_nodez00_bglt BgL_arg1777z00_2634;

					BgL_arg1777z00_2634 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2544)))->BgL_objz00);
					BgL_auxz00_3212 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1777z00_2634);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2544)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3212), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2544));
		}

	}



/* &node-cond!-condition1301 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2condition1301z70zzreduce_condz00(obj_t
		BgL_envz00_2545, obj_t BgL_nodez00_2546)
	{
		{	/* Reduce/cond.scm 200 */
			{
				BgL_nodez00_bglt BgL_auxz00_3220;

				{	/* Reduce/cond.scm 202 */
					BgL_nodez00_bglt BgL_arg1630z00_2636;

					BgL_arg1630z00_2636 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->BgL_testz00);
					BgL_auxz00_3220 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1630z00_2636);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3220), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3226;

				{	/* Reduce/cond.scm 203 */
					BgL_nodez00_bglt BgL_arg1632z00_2637;

					BgL_arg1632z00_2637 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->BgL_truez00);
					BgL_auxz00_3226 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1632z00_2637);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3226), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3232;

				{	/* Reduce/cond.scm 204 */
					BgL_nodez00_bglt BgL_arg1635z00_2638;

					BgL_arg1635z00_2638 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->BgL_falsez00);
					BgL_auxz00_3232 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1635z00_2638);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3232), BUNSPEC);
			}
			{	/* Reduce/cond.scm 206 */
				bool_t BgL_test2043z00_3238;

				if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->BgL_testz00)))
					{	/* Reduce/cond.scm 206 */
						BgL_test2043z00_3238 = ((bool_t) 0);
					}
				else
					{	/* Reduce/cond.scm 207 */
						bool_t BgL_test2045z00_3243;

						{	/* Reduce/cond.scm 207 */
							BgL_nodez00_bglt BgL_arg1766z00_2639;

							BgL_arg1766z00_2639 =
								(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->
								BgL_truez00);
							{	/* Reduce/cond.scm 207 */
								obj_t BgL_classz00_2640;

								BgL_classz00_2640 = BGl_atomz00zzast_nodez00;
								{	/* Reduce/cond.scm 207 */
									BgL_objectz00_bglt BgL_arg1820z00_2641;

									{	/* Reduce/cond.scm 207 */
										obj_t BgL_tmpz00_3246;

										BgL_tmpz00_3246 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1766z00_2639));
										BgL_arg1820z00_2641 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3246);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Reduce/cond.scm 207 */
											long BgL_idxz00_2642;

											BgL_idxz00_2642 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2641);
											BgL_test2045z00_3243 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2642 + ((long) 2))) == BgL_classz00_2640);
										}
									else
										{	/* Reduce/cond.scm 207 */
											bool_t BgL_res1946z00_2645;

											{	/* Reduce/cond.scm 207 */
												obj_t BgL_oclassz00_2646;

												{	/* Reduce/cond.scm 207 */
													long BgL_arg1828z00_2647;

													{	/* Reduce/cond.scm 207 */
														long BgL_arg1829z00_2648;

														BgL_arg1829z00_2648 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2641);
														BgL_arg1828z00_2647 =
															(BgL_arg1829z00_2648 - OBJECT_TYPE);
													}
													BgL_oclassz00_2646 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2647);
												}
												{	/* Reduce/cond.scm 207 */
													bool_t BgL__ortest_1111z00_2649;

													BgL__ortest_1111z00_2649 =
														(BgL_classz00_2640 == BgL_oclassz00_2646);
													if (BgL__ortest_1111z00_2649)
														{	/* Reduce/cond.scm 207 */
															BgL_res1946z00_2645 = BgL__ortest_1111z00_2649;
														}
													else
														{	/* Reduce/cond.scm 207 */
															long BgL_odepthz00_2650;

															BgL_odepthz00_2650 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2646);
															if ((((long) 2) < BgL_odepthz00_2650))
																{	/* Reduce/cond.scm 207 */
																	obj_t BgL_arg1816z00_2651;

																	BgL_arg1816z00_2651 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2646,
																		((long) 2));
																	BgL_res1946z00_2645 =
																		(BgL_arg1816z00_2651 == BgL_classz00_2640);
																}
															else
																{	/* Reduce/cond.scm 207 */
																	BgL_res1946z00_2645 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2045z00_3243 = BgL_res1946z00_2645;
										}
								}
							}
						}
						if (BgL_test2045z00_3243)
							{	/* Reduce/cond.scm 207 */
								bool_t BgL_test2049z00_3266;

								{	/* Reduce/cond.scm 207 */
									BgL_nodez00_bglt BgL_arg1765z00_2652;

									BgL_arg1765z00_2652 =
										(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->
										BgL_falsez00);
									{	/* Reduce/cond.scm 207 */
										obj_t BgL_classz00_2653;

										BgL_classz00_2653 = BGl_atomz00zzast_nodez00;
										{	/* Reduce/cond.scm 207 */
											BgL_objectz00_bglt BgL_arg1820z00_2654;

											{	/* Reduce/cond.scm 207 */
												obj_t BgL_tmpz00_3269;

												BgL_tmpz00_3269 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1765z00_2652));
												BgL_arg1820z00_2654 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3269);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/cond.scm 207 */
													long BgL_idxz00_2655;

													BgL_idxz00_2655 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2654);
													BgL_test2049z00_3266 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2655 + ((long) 2))) ==
														BgL_classz00_2653);
												}
											else
												{	/* Reduce/cond.scm 207 */
													bool_t BgL_res1947z00_2658;

													{	/* Reduce/cond.scm 207 */
														obj_t BgL_oclassz00_2659;

														{	/* Reduce/cond.scm 207 */
															long BgL_arg1828z00_2660;

															{	/* Reduce/cond.scm 207 */
																long BgL_arg1829z00_2661;

																BgL_arg1829z00_2661 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2654);
																BgL_arg1828z00_2660 =
																	(BgL_arg1829z00_2661 - OBJECT_TYPE);
															}
															BgL_oclassz00_2659 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_2660);
														}
														{	/* Reduce/cond.scm 207 */
															bool_t BgL__ortest_1111z00_2662;

															BgL__ortest_1111z00_2662 =
																(BgL_classz00_2653 == BgL_oclassz00_2659);
															if (BgL__ortest_1111z00_2662)
																{	/* Reduce/cond.scm 207 */
																	BgL_res1947z00_2658 =
																		BgL__ortest_1111z00_2662;
																}
															else
																{	/* Reduce/cond.scm 207 */
																	long BgL_odepthz00_2663;

																	BgL_odepthz00_2663 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2659);
																	if ((((long) 2) < BgL_odepthz00_2663))
																		{	/* Reduce/cond.scm 207 */
																			obj_t BgL_arg1816z00_2664;

																			BgL_arg1816z00_2664 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2659, ((long) 2));
																			BgL_res1947z00_2658 =
																				(BgL_arg1816z00_2664 ==
																				BgL_classz00_2653);
																		}
																	else
																		{	/* Reduce/cond.scm 207 */
																			BgL_res1947z00_2658 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2049z00_3266 = BgL_res1947z00_2658;
												}
										}
									}
								}
								if (BgL_test2049z00_3266)
									{	/* Reduce/cond.scm 207 */
										if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
												(((BgL_atomz00_bglt) COBJECT(
															((BgL_atomz00_bglt)
																(((BgL_conditionalz00_bglt) COBJECT(
																			((BgL_conditionalz00_bglt)
																				BgL_nodez00_2546)))->BgL_truez00))))->
													BgL_valuez00),
												(((BgL_atomz00_bglt)
														COBJECT(((BgL_atomz00_bglt) ((
																		(BgL_conditionalz00_bglt)
																		COBJECT(((BgL_conditionalz00_bglt)
																				BgL_nodez00_2546)))->BgL_falsez00))))->
													BgL_valuez00)))
											{	/* Reduce/cond.scm 211 */
												bool_t BgL_test2054z00_3299;

												{	/* Reduce/cond.scm 211 */
													obj_t BgL_tmpz00_3300;

													BgL_tmpz00_3300 =
														(((BgL_atomz00_bglt) COBJECT(
																((BgL_atomz00_bglt)
																	(((BgL_conditionalz00_bglt) COBJECT(
																				((BgL_conditionalz00_bglt)
																					BgL_nodez00_2546)))->BgL_truez00))))->
														BgL_valuez00);
													BgL_test2054z00_3299 = REALP(BgL_tmpz00_3300);
												}
												if (BgL_test2054z00_3299)
													{	/* Reduce/cond.scm 211 */
														BgL_test2043z00_3238 = ((bool_t) 0);
													}
												else
													{	/* Reduce/cond.scm 211 */
														BgL_test2043z00_3238 = ((bool_t) 1);
													}
											}
										else
											{	/* Reduce/cond.scm 208 */
												BgL_test2043z00_3238 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/cond.scm 207 */
										BgL_test2043z00_3238 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/cond.scm 207 */
								BgL_test2043z00_3238 = ((bool_t) 0);
							}
					}
				if (BgL_test2043z00_3238)
					{	/* Reduce/cond.scm 206 */
						return
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->BgL_truez00);
					}
				else
					{	/* Reduce/cond.scm 214 */
						bool_t BgL_test2055z00_3308;

						{	/* Reduce/cond.scm 214 */
							bool_t BgL_test2056z00_3309;

							{	/* Reduce/cond.scm 214 */
								BgL_nodez00_bglt BgL_arg1755z00_2665;

								BgL_arg1755z00_2665 =
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->
									BgL_truez00);
								{	/* Reduce/cond.scm 214 */
									obj_t BgL_classz00_2666;

									BgL_classz00_2666 = BGl_atomz00zzast_nodez00;
									{	/* Reduce/cond.scm 214 */
										BgL_objectz00_bglt BgL_arg1820z00_2667;

										{	/* Reduce/cond.scm 214 */
											obj_t BgL_tmpz00_3312;

											BgL_tmpz00_3312 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1755z00_2665));
											BgL_arg1820z00_2667 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3312);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Reduce/cond.scm 214 */
												long BgL_idxz00_2668;

												BgL_idxz00_2668 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2667);
												BgL_test2056z00_3309 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2668 + ((long) 2))) ==
													BgL_classz00_2666);
											}
										else
											{	/* Reduce/cond.scm 214 */
												bool_t BgL_res1948z00_2671;

												{	/* Reduce/cond.scm 214 */
													obj_t BgL_oclassz00_2672;

													{	/* Reduce/cond.scm 214 */
														long BgL_arg1828z00_2673;

														{	/* Reduce/cond.scm 214 */
															long BgL_arg1829z00_2674;

															BgL_arg1829z00_2674 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2667);
															BgL_arg1828z00_2673 =
																(BgL_arg1829z00_2674 - OBJECT_TYPE);
														}
														BgL_oclassz00_2672 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2673);
													}
													{	/* Reduce/cond.scm 214 */
														bool_t BgL__ortest_1111z00_2675;

														BgL__ortest_1111z00_2675 =
															(BgL_classz00_2666 == BgL_oclassz00_2672);
														if (BgL__ortest_1111z00_2675)
															{	/* Reduce/cond.scm 214 */
																BgL_res1948z00_2671 = BgL__ortest_1111z00_2675;
															}
														else
															{	/* Reduce/cond.scm 214 */
																long BgL_odepthz00_2676;

																BgL_odepthz00_2676 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2672);
																if ((((long) 2) < BgL_odepthz00_2676))
																	{	/* Reduce/cond.scm 214 */
																		obj_t BgL_arg1816z00_2677;

																		BgL_arg1816z00_2677 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2672, ((long) 2));
																		BgL_res1948z00_2671 =
																			(BgL_arg1816z00_2677 ==
																			BgL_classz00_2666);
																	}
																else
																	{	/* Reduce/cond.scm 214 */
																		BgL_res1948z00_2671 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2056z00_3309 = BgL_res1948z00_2671;
											}
									}
								}
							}
							if (BgL_test2056z00_3309)
								{	/* Reduce/cond.scm 214 */
									bool_t BgL_test2060z00_3332;

									{	/* Reduce/cond.scm 214 */
										BgL_nodez00_bglt BgL_arg1754z00_2678;

										BgL_arg1754z00_2678 =
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->
											BgL_falsez00);
										{	/* Reduce/cond.scm 214 */
											obj_t BgL_classz00_2679;

											BgL_classz00_2679 = BGl_atomz00zzast_nodez00;
											{	/* Reduce/cond.scm 214 */
												BgL_objectz00_bglt BgL_arg1820z00_2680;

												{	/* Reduce/cond.scm 214 */
													obj_t BgL_tmpz00_3335;

													BgL_tmpz00_3335 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1754z00_2678));
													BgL_arg1820z00_2680 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3335);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Reduce/cond.scm 214 */
														long BgL_idxz00_2681;

														BgL_idxz00_2681 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2680);
														BgL_test2060z00_3332 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2681 + ((long) 2))) ==
															BgL_classz00_2679);
													}
												else
													{	/* Reduce/cond.scm 214 */
														bool_t BgL_res1949z00_2684;

														{	/* Reduce/cond.scm 214 */
															obj_t BgL_oclassz00_2685;

															{	/* Reduce/cond.scm 214 */
																long BgL_arg1828z00_2686;

																{	/* Reduce/cond.scm 214 */
																	long BgL_arg1829z00_2687;

																	BgL_arg1829z00_2687 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2680);
																	BgL_arg1828z00_2686 =
																		(BgL_arg1829z00_2687 - OBJECT_TYPE);
																}
																BgL_oclassz00_2685 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_2686);
															}
															{	/* Reduce/cond.scm 214 */
																bool_t BgL__ortest_1111z00_2688;

																BgL__ortest_1111z00_2688 =
																	(BgL_classz00_2679 == BgL_oclassz00_2685);
																if (BgL__ortest_1111z00_2688)
																	{	/* Reduce/cond.scm 214 */
																		BgL_res1949z00_2684 =
																			BgL__ortest_1111z00_2688;
																	}
																else
																	{	/* Reduce/cond.scm 214 */
																		long BgL_odepthz00_2689;

																		BgL_odepthz00_2689 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2685);
																		if ((((long) 2) < BgL_odepthz00_2689))
																			{	/* Reduce/cond.scm 214 */
																				obj_t BgL_arg1816z00_2690;

																				BgL_arg1816z00_2690 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2685, ((long) 2));
																				BgL_res1949z00_2684 =
																					(BgL_arg1816z00_2690 ==
																					BgL_classz00_2679);
																			}
																		else
																			{	/* Reduce/cond.scm 214 */
																				BgL_res1949z00_2684 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2060z00_3332 = BgL_res1949z00_2684;
													}
											}
										}
									}
									if (BgL_test2060z00_3332)
										{	/* Reduce/cond.scm 214 */
											if (
												((((BgL_atomz00_bglt) COBJECT(
																((BgL_atomz00_bglt)
																	(((BgL_conditionalz00_bglt) COBJECT(
																				((BgL_conditionalz00_bglt)
																					BgL_nodez00_2546)))->BgL_truez00))))->
														BgL_valuez00) == BTRUE))
												{	/* Reduce/cond.scm 215 */
													if (
														((((BgL_atomz00_bglt) COBJECT(
																		((BgL_atomz00_bglt)
																			(((BgL_conditionalz00_bglt) COBJECT(
																						((BgL_conditionalz00_bglt)
																							BgL_nodez00_2546)))->
																				BgL_falsez00))))->BgL_valuez00) ==
															BFALSE))
														{	/* Reduce/cond.scm 217 */
															BgL_typez00_bglt BgL_arg1746z00_2691;

															BgL_arg1746z00_2691 =
																BGl_getzd2typezd2zztype_typeofz00(
																(((BgL_conditionalz00_bglt) COBJECT(
																			((BgL_conditionalz00_bglt)
																				BgL_nodez00_2546)))->BgL_testz00),
																((bool_t) 1));
															BgL_test2055z00_3308 =
																(((obj_t) BgL_arg1746z00_2691) ==
																BGl_za2boolza2z00zztype_cachez00);
														}
													else
														{	/* Reduce/cond.scm 216 */
															BgL_test2055z00_3308 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/cond.scm 215 */
													BgL_test2055z00_3308 = ((bool_t) 0);
												}
										}
									else
										{	/* Reduce/cond.scm 214 */
											BgL_test2055z00_3308 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/cond.scm 214 */
									BgL_test2055z00_3308 = ((bool_t) 0);
								}
						}
						if (BgL_test2055z00_3308)
							{	/* Reduce/cond.scm 214 */
								return
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->
									BgL_testz00);
							}
						else
							{	/* Reduce/cond.scm 219 */
								bool_t BgL_test2066z00_3374;

								{	/* Reduce/cond.scm 219 */
									BgL_nodez00_bglt BgL_arg1745z00_2692;

									BgL_arg1745z00_2692 =
										(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->
										BgL_testz00);
									{	/* Reduce/cond.scm 219 */
										obj_t BgL_classz00_2693;

										BgL_classz00_2693 = BGl_atomz00zzast_nodez00;
										{	/* Reduce/cond.scm 219 */
											BgL_objectz00_bglt BgL_arg1820z00_2694;

											{	/* Reduce/cond.scm 219 */
												obj_t BgL_tmpz00_3377;

												BgL_tmpz00_3377 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1745z00_2692));
												BgL_arg1820z00_2694 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3377);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/cond.scm 219 */
													long BgL_idxz00_2695;

													BgL_idxz00_2695 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2694);
													BgL_test2066z00_3374 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2695 + ((long) 2))) ==
														BgL_classz00_2693);
												}
											else
												{	/* Reduce/cond.scm 219 */
													bool_t BgL_res1950z00_2698;

													{	/* Reduce/cond.scm 219 */
														obj_t BgL_oclassz00_2699;

														{	/* Reduce/cond.scm 219 */
															long BgL_arg1828z00_2700;

															{	/* Reduce/cond.scm 219 */
																long BgL_arg1829z00_2701;

																BgL_arg1829z00_2701 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2694);
																BgL_arg1828z00_2700 =
																	(BgL_arg1829z00_2701 - OBJECT_TYPE);
															}
															BgL_oclassz00_2699 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_2700);
														}
														{	/* Reduce/cond.scm 219 */
															bool_t BgL__ortest_1111z00_2702;

															BgL__ortest_1111z00_2702 =
																(BgL_classz00_2693 == BgL_oclassz00_2699);
															if (BgL__ortest_1111z00_2702)
																{	/* Reduce/cond.scm 219 */
																	BgL_res1950z00_2698 =
																		BgL__ortest_1111z00_2702;
																}
															else
																{	/* Reduce/cond.scm 219 */
																	long BgL_odepthz00_2703;

																	BgL_odepthz00_2703 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2699);
																	if ((((long) 2) < BgL_odepthz00_2703))
																		{	/* Reduce/cond.scm 219 */
																			obj_t BgL_arg1816z00_2704;

																			BgL_arg1816z00_2704 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2699, ((long) 2));
																			BgL_res1950z00_2698 =
																				(BgL_arg1816z00_2704 ==
																				BgL_classz00_2693);
																		}
																	else
																		{	/* Reduce/cond.scm 219 */
																			BgL_res1950z00_2698 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2066z00_3374 = BgL_res1950z00_2698;
												}
										}
									}
								}
								if (BgL_test2066z00_3374)
									{	/* Reduce/cond.scm 219 */
										BGl_za2condzd2reducedza2zd2zzreduce_condz00 =
											(((long) 1) +
											BGl_za2condzd2reducedza2zd2zzreduce_condz00);
										if (CBOOL((((BgL_atomz00_bglt)
														COBJECT(((BgL_atomz00_bglt) ((
																		(BgL_conditionalz00_bglt)
																		COBJECT(((BgL_conditionalz00_bglt)
																				BgL_nodez00_2546)))->BgL_testz00))))->
													BgL_valuez00)))
											{	/* Reduce/cond.scm 222 */
												return
													(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->
													BgL_truez00);
											}
										else
											{	/* Reduce/cond.scm 222 */
												return
													(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->
													BgL_falsez00);
											}
									}
								else
									{	/* Reduce/cond.scm 225 */
										obj_t BgL_g1125z00_2705;

										BgL_g1125z00_2705 =
											BGl_staticzd2valuezd2zzreduce_condz00(
											(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_2546)))->
												BgL_testz00));
										if (CBOOL(BgL_g1125z00_2705))
											{	/* Reduce/cond.scm 225 */
												BGl_za2condzd2reducedza2zd2zzreduce_condz00 =
													(((long) 1) +
													BGl_za2condzd2reducedza2zd2zzreduce_condz00);
												{	/* Reduce/cond.scm 230 */
													BgL_sequencez00_bglt BgL_new1128z00_2706;

													{	/* Reduce/cond.scm 230 */
														BgL_sequencez00_bglt BgL_new1127z00_2707;

														BgL_new1127z00_2707 =
															((BgL_sequencez00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_sequencez00_bgl))));
														{	/* Reduce/cond.scm 230 */
															long BgL_arg1738z00_2708;

															BgL_arg1738z00_2708 =
																BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1127z00_2707),
																BgL_arg1738z00_2708);
														}
														{	/* Reduce/cond.scm 230 */
															BgL_objectz00_bglt BgL_tmpz00_3418;

															BgL_tmpz00_3418 =
																((BgL_objectz00_bglt) BgL_new1127z00_2707);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3418, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1127z00_2707);
														BgL_new1128z00_2706 = BgL_new1127z00_2707;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1128z00_2706)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1128z00_2706)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(((BgL_nodez00_bglt) (
																				(BgL_conditionalz00_bglt)
																				BgL_nodez00_2546))))->BgL_typez00)),
														BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1128z00_2706)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1128z00_2706)))->BgL_keyz00) =
														((obj_t) BINT(((long) -1))), BUNSPEC);
													{
														obj_t BgL_auxz00_3434;

														{	/* Reduce/cond.scm 232 */
															BgL_nodez00_bglt BgL_arg1731z00_2709;
															BgL_nodez00_bglt BgL_arg1734z00_2710;

															BgL_arg1731z00_2709 =
																(((BgL_conditionalz00_bglt) COBJECT(
																		((BgL_conditionalz00_bglt)
																			BgL_nodez00_2546)))->BgL_testz00);
															if ((BgL_g1125z00_2705 ==
																	CNST_TABLE_REF(((long) 6))))
																{	/* Reduce/cond.scm 232 */
																	BgL_arg1734z00_2710 =
																		(((BgL_conditionalz00_bglt) COBJECT(
																				((BgL_conditionalz00_bglt)
																					BgL_nodez00_2546)))->BgL_truez00);
																}
															else
																{	/* Reduce/cond.scm 232 */
																	BgL_arg1734z00_2710 =
																		(((BgL_conditionalz00_bglt) COBJECT(
																				((BgL_conditionalz00_bglt)
																					BgL_nodez00_2546)))->BgL_falsez00);
																}
															{	/* Reduce/cond.scm 232 */
																obj_t BgL_list1735z00_2711;

																{	/* Reduce/cond.scm 232 */
																	obj_t BgL_arg1736z00_2712;

																	BgL_arg1736z00_2712 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1734z00_2710), BNIL);
																	BgL_list1735z00_2711 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1731z00_2709),
																		BgL_arg1736z00_2712);
																}
																BgL_auxz00_3434 = BgL_list1735z00_2711;
															}
														}
														((((BgL_sequencez00_bglt)
																	COBJECT(BgL_new1128z00_2706))->BgL_nodesz00) =
															((obj_t) BgL_auxz00_3434), BUNSPEC);
													}
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1128z00_2706))->BgL_unsafez00) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1128z00_2706))->BgL_metaz00) =
														((obj_t) BNIL), BUNSPEC);
													return ((BgL_nodez00_bglt) BgL_new1128z00_2706);
												}
											}
										else
											{	/* Reduce/cond.scm 225 */
												return
													((BgL_nodez00_bglt)
													((BgL_conditionalz00_bglt) BgL_nodez00_2546));
											}
									}
							}
					}
			}
		}

	}



/* &node-cond!-setq1299 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2setq1299z70zzreduce_condz00(obj_t
		BgL_envz00_2547, obj_t BgL_nodez00_2548)
	{
		{	/* Reduce/cond.scm 191 */
			{
				BgL_nodez00_bglt BgL_auxz00_3454;

				{	/* Reduce/cond.scm 193 */
					BgL_nodez00_bglt BgL_arg1625z00_2714;

					BgL_arg1625z00_2714 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2548)))->BgL_valuez00);
					BgL_auxz00_3454 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1625z00_2714);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2548)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3454), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3460;

				{	/* Reduce/cond.scm 194 */
					BgL_varz00_bglt BgL_arg1629z00_2715;

					BgL_arg1629z00_2715 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2548)))->BgL_varz00);
					BgL_auxz00_3460 =
						((BgL_varz00_bglt)
						BGl_nodezd2condz12zc0zzreduce_condz00(
							((BgL_nodez00_bglt) BgL_arg1629z00_2715)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2548)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3460), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2548));
		}

	}



/* &node-cond!-cast1297 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2cast1297z70zzreduce_condz00(obj_t
		BgL_envz00_2549, obj_t BgL_nodez00_2550)
	{
		{	/* Reduce/cond.scm 183 */
			BGl_nodezd2condz12zc0zzreduce_condz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2550)))->BgL_argz00));
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2550));
		}

	}



/* &node-cond!-extern1295 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2extern1295z70zzreduce_condz00(obj_t
		BgL_envz00_2551, obj_t BgL_nodez00_2552)
	{
		{	/* Reduce/cond.scm 175 */
			BGl_nodezd2condza2z12z62zzreduce_condz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2552)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2552));
		}

	}



/* &node-cond!-funcall1293 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2funcall1293z70zzreduce_condz00(obj_t
		BgL_envz00_2553, obj_t BgL_nodez00_2554)
	{
		{	/* Reduce/cond.scm 166 */
			{
				BgL_nodez00_bglt BgL_auxz00_3480;

				{	/* Reduce/cond.scm 168 */
					BgL_nodez00_bglt BgL_arg1610z00_2719;

					BgL_arg1610z00_2719 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2554)))->BgL_funz00);
					BgL_auxz00_3480 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1610z00_2719);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2554)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3480), BUNSPEC);
			}
			BGl_nodezd2condza2z12z62zzreduce_condz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2554)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2554));
		}

	}



/* &node-cond!-app-ly1291 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2appzd2ly1291za2zzreduce_condz00(obj_t
		BgL_envz00_2555, obj_t BgL_nodez00_2556)
	{
		{	/* Reduce/cond.scm 157 */
			{
				BgL_nodez00_bglt BgL_auxz00_3491;

				{	/* Reduce/cond.scm 159 */
					BgL_nodez00_bglt BgL_arg1599z00_2721;

					BgL_arg1599z00_2721 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2556)))->BgL_funz00);
					BgL_auxz00_3491 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1599z00_2721);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2556)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3491), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3497;

				{	/* Reduce/cond.scm 160 */
					BgL_nodez00_bglt BgL_arg1600z00_2722;

					BgL_arg1600z00_2722 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2556)))->BgL_argz00);
					BgL_auxz00_3497 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1600z00_2722);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2556)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3497), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2556));
		}

	}



/* &node-cond!-app1289 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2app1289z70zzreduce_condz00(obj_t
		BgL_envz00_2557, obj_t BgL_nodez00_2558)
	{
		{	/* Reduce/cond.scm 122 */
			{
				obj_t BgL_n1z00_2767;
				obj_t BgL_n2z00_2768;
				BgL_appz00_bglt BgL_nodez00_2726;

				BGl_nodezd2condza2z12z62zzreduce_condz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2558)))->BgL_argsz00));
				{	/* Reduce/cond.scm 147 */
					obj_t BgL_trivz00_2817;

					BgL_nodez00_2726 = ((BgL_appz00_bglt) BgL_nodez00_2558);
					{	/* Reduce/cond.scm 135 */
						bool_t BgL_test2073z00_3508;

						{	/* Reduce/cond.scm 135 */
							bool_t BgL_test2074z00_3509;

							{	/* Reduce/cond.scm 135 */
								bool_t BgL_test2075z00_3510;

								{	/* Reduce/cond.scm 135 */
									BgL_typez00_bglt BgL_arg1598z00_2727;

									BgL_arg1598z00_2727 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_nodez00_2726)))->BgL_typez00);
									BgL_test2075z00_3510 =
										(
										((obj_t) BgL_arg1598z00_2727) ==
										BGl_za2boolza2z00zztype_cachez00);
								}
								if (BgL_test2075z00_3510)
									{	/* Reduce/cond.scm 135 */
										BgL_test2074z00_3509 = ((bool_t) 1);
									}
								else
									{	/* Reduce/cond.scm 135 */
										BgL_typez00_bglt BgL_arg1590z00_2728;

										BgL_arg1590z00_2728 =
											(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_nodez00_2726)))->BgL_typez00);
										BgL_test2074z00_3509 =
											(
											((obj_t) BgL_arg1590z00_2728) ==
											BGl_za2objza2z00zztype_cachez00);
									}
							}
							if (BgL_test2074z00_3509)
								{	/* Reduce/cond.scm 136 */
									obj_t BgL_g1263z00_2729;

									BgL_g1263z00_2729 =
										(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2726))->
										BgL_argsz00);
									{
										obj_t BgL_l1261z00_2731;

										BgL_l1261z00_2731 = BgL_g1263z00_2729;
									BgL_zc3z04anonymousza31583ze3z87_2730:
										if (NULLP(BgL_l1261z00_2731))
											{	/* Reduce/cond.scm 136 */
												BgL_test2073z00_3508 = ((bool_t) 1);
											}
										else
											{	/* Reduce/cond.scm 136 */
												bool_t BgL_test2077z00_3522;

												{	/* Reduce/cond.scm 136 */
													obj_t BgL_nz00_2732;

													BgL_nz00_2732 = CAR(((obj_t) BgL_l1261z00_2731));
													{	/* Reduce/cond.scm 136 */
														bool_t BgL__ortest_1109z00_2733;

														{	/* Reduce/cond.scm 136 */
															obj_t BgL_classz00_2734;

															BgL_classz00_2734 = BGl_atomz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_nz00_2732))
																{	/* Reduce/cond.scm 136 */
																	BgL_objectz00_bglt BgL_arg1820z00_2735;

																	BgL_arg1820z00_2735 =
																		(BgL_objectz00_bglt) (BgL_nz00_2732);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Reduce/cond.scm 136 */
																			long BgL_idxz00_2736;

																			BgL_idxz00_2736 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_2735);
																			BgL__ortest_1109z00_2733 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2736 + ((long) 2))) ==
																				BgL_classz00_2734);
																		}
																	else
																		{	/* Reduce/cond.scm 136 */
																			bool_t BgL_res1944z00_2739;

																			{	/* Reduce/cond.scm 136 */
																				obj_t BgL_oclassz00_2740;

																				{	/* Reduce/cond.scm 136 */
																					long BgL_arg1828z00_2741;

																					{	/* Reduce/cond.scm 136 */
																						long BgL_arg1829z00_2742;

																						BgL_arg1829z00_2742 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_2735);
																						BgL_arg1828z00_2741 =
																							(BgL_arg1829z00_2742 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2740 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_2741);
																				}
																				{	/* Reduce/cond.scm 136 */
																					bool_t BgL__ortest_1111z00_2743;

																					BgL__ortest_1111z00_2743 =
																						(BgL_classz00_2734 ==
																						BgL_oclassz00_2740);
																					if (BgL__ortest_1111z00_2743)
																						{	/* Reduce/cond.scm 136 */
																							BgL_res1944z00_2739 =
																								BgL__ortest_1111z00_2743;
																						}
																					else
																						{	/* Reduce/cond.scm 136 */
																							long BgL_odepthz00_2744;

																							BgL_odepthz00_2744 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2740);
																							if ((((long) 2) <
																									BgL_odepthz00_2744))
																								{	/* Reduce/cond.scm 136 */
																									obj_t BgL_arg1816z00_2745;

																									BgL_arg1816z00_2745 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2740,
																										((long) 2));
																									BgL_res1944z00_2739 =
																										(BgL_arg1816z00_2745 ==
																										BgL_classz00_2734);
																								}
																							else
																								{	/* Reduce/cond.scm 136 */
																									BgL_res1944z00_2739 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL__ortest_1109z00_2733 =
																				BgL_res1944z00_2739;
																		}
																}
															else
																{	/* Reduce/cond.scm 136 */
																	BgL__ortest_1109z00_2733 = ((bool_t) 0);
																}
														}
														if (BgL__ortest_1109z00_2733)
															{	/* Reduce/cond.scm 136 */
																BgL_test2077z00_3522 = BgL__ortest_1109z00_2733;
															}
														else
															{	/* Reduce/cond.scm 136 */
																obj_t BgL_classz00_2746;

																BgL_classz00_2746 = BGl_varz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_nz00_2732))
																	{	/* Reduce/cond.scm 136 */
																		BgL_objectz00_bglt BgL_arg1820z00_2747;

																		BgL_arg1820z00_2747 =
																			(BgL_objectz00_bglt) (BgL_nz00_2732);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Reduce/cond.scm 136 */
																				long BgL_idxz00_2748;

																				BgL_idxz00_2748 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1820z00_2747);
																				BgL_test2077z00_3522 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2748 + ((long) 2))) ==
																					BgL_classz00_2746);
																			}
																		else
																			{	/* Reduce/cond.scm 136 */
																				bool_t BgL_res1945z00_2751;

																				{	/* Reduce/cond.scm 136 */
																					obj_t BgL_oclassz00_2752;

																					{	/* Reduce/cond.scm 136 */
																						long BgL_arg1828z00_2753;

																						{	/* Reduce/cond.scm 136 */
																							long BgL_arg1829z00_2754;

																							BgL_arg1829z00_2754 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1820z00_2747);
																							BgL_arg1828z00_2753 =
																								(BgL_arg1829z00_2754 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2752 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1828z00_2753);
																					}
																					{	/* Reduce/cond.scm 136 */
																						bool_t BgL__ortest_1111z00_2755;

																						BgL__ortest_1111z00_2755 =
																							(BgL_classz00_2746 ==
																							BgL_oclassz00_2752);
																						if (BgL__ortest_1111z00_2755)
																							{	/* Reduce/cond.scm 136 */
																								BgL_res1945z00_2751 =
																									BgL__ortest_1111z00_2755;
																							}
																						else
																							{	/* Reduce/cond.scm 136 */
																								long BgL_odepthz00_2756;

																								BgL_odepthz00_2756 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2752);
																								if ((((long) 2) <
																										BgL_odepthz00_2756))
																									{	/* Reduce/cond.scm 136 */
																										obj_t BgL_arg1816z00_2757;

																										BgL_arg1816z00_2757 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2752,
																											((long) 2));
																										BgL_res1945z00_2751 =
																											(BgL_arg1816z00_2757 ==
																											BgL_classz00_2746);
																									}
																								else
																									{	/* Reduce/cond.scm 136 */
																										BgL_res1945z00_2751 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2077z00_3522 =
																					BgL_res1945z00_2751;
																			}
																	}
																else
																	{	/* Reduce/cond.scm 136 */
																		BgL_test2077z00_3522 = ((bool_t) 0);
																	}
															}
													}
												}
												if (BgL_test2077z00_3522)
													{	/* Reduce/cond.scm 136 */
														obj_t BgL_arg1588z00_2758;

														BgL_arg1588z00_2758 =
															CDR(((obj_t) BgL_l1261z00_2731));
														{
															obj_t BgL_l1261z00_3566;

															BgL_l1261z00_3566 = BgL_arg1588z00_2758;
															BgL_l1261z00_2731 = BgL_l1261z00_3566;
															goto BgL_zc3z04anonymousza31583ze3z87_2730;
														}
													}
												else
													{	/* Reduce/cond.scm 136 */
														BgL_test2073z00_3508 = ((bool_t) 0);
													}
											}
									}
								}
							else
								{	/* Reduce/cond.scm 135 */
									BgL_test2073z00_3508 = ((bool_t) 0);
								}
						}
						if (BgL_test2073z00_3508)
							{	/* Reduce/cond.scm 138 */
								bool_t BgL_test2087z00_3567;

								{	/* Reduce/cond.scm 138 */
									BgL_variablez00_bglt BgL_arg1581z00_2759;

									BgL_arg1581z00_2759 =
										(((BgL_varz00_bglt) COBJECT(
												(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2726))->
													BgL_funz00)))->BgL_variablez00);
									BgL_test2087z00_3567 =
										(((obj_t) BgL_arg1581z00_2759) ==
										BGl_za2z42eqza2z42zzreduce_condz00);
								}
								if (BgL_test2087z00_3567)
									{	/* Reduce/cond.scm 139 */
										obj_t BgL_arg1524z00_2760;
										obj_t BgL_arg1526z00_2761;

										BgL_arg1524z00_2760 =
											CAR(
											(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2726))->
												BgL_argsz00));
										{	/* Reduce/cond.scm 139 */
											obj_t BgL_pairz00_2762;

											BgL_pairz00_2762 =
												(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2726))->
												BgL_argsz00);
											BgL_arg1526z00_2761 = CAR(CDR(BgL_pairz00_2762));
										}
										BgL_n1z00_2767 = BgL_arg1524z00_2760;
										BgL_n2z00_2768 = BgL_arg1526z00_2761;
									BgL_eqzd2atomzf3z21_2725:
										{	/* Reduce/cond.scm 126 */
											bool_t BgL_test2088z00_3577;

											{	/* Reduce/cond.scm 126 */
												bool_t BgL_test2089z00_3578;

												{	/* Reduce/cond.scm 126 */
													obj_t BgL_classz00_2769;

													BgL_classz00_2769 = BGl_atomz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_n1z00_2767))
														{	/* Reduce/cond.scm 126 */
															BgL_objectz00_bglt BgL_arg1820z00_2770;

															BgL_arg1820z00_2770 =
																(BgL_objectz00_bglt) (BgL_n1z00_2767);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Reduce/cond.scm 126 */
																	long BgL_idxz00_2771;

																	BgL_idxz00_2771 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_2770);
																	BgL_test2089z00_3578 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2771 + ((long) 2))) ==
																		BgL_classz00_2769);
																}
															else
																{	/* Reduce/cond.scm 126 */
																	bool_t BgL_res1940z00_2774;

																	{	/* Reduce/cond.scm 126 */
																		obj_t BgL_oclassz00_2775;

																		{	/* Reduce/cond.scm 126 */
																			long BgL_arg1828z00_2776;

																			{	/* Reduce/cond.scm 126 */
																				long BgL_arg1829z00_2777;

																				BgL_arg1829z00_2777 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_2770);
																				BgL_arg1828z00_2776 =
																					(BgL_arg1829z00_2777 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2775 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_2776);
																		}
																		{	/* Reduce/cond.scm 126 */
																			bool_t BgL__ortest_1111z00_2778;

																			BgL__ortest_1111z00_2778 =
																				(BgL_classz00_2769 ==
																				BgL_oclassz00_2775);
																			if (BgL__ortest_1111z00_2778)
																				{	/* Reduce/cond.scm 126 */
																					BgL_res1940z00_2774 =
																						BgL__ortest_1111z00_2778;
																				}
																			else
																				{	/* Reduce/cond.scm 126 */
																					long BgL_odepthz00_2779;

																					BgL_odepthz00_2779 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2775);
																					if ((((long) 2) < BgL_odepthz00_2779))
																						{	/* Reduce/cond.scm 126 */
																							obj_t BgL_arg1816z00_2780;

																							BgL_arg1816z00_2780 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2775,
																								((long) 2));
																							BgL_res1940z00_2774 =
																								(BgL_arg1816z00_2780 ==
																								BgL_classz00_2769);
																						}
																					else
																						{	/* Reduce/cond.scm 126 */
																							BgL_res1940z00_2774 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2089z00_3578 = BgL_res1940z00_2774;
																}
														}
													else
														{	/* Reduce/cond.scm 126 */
															BgL_test2089z00_3578 = ((bool_t) 0);
														}
												}
												if (BgL_test2089z00_3578)
													{	/* Reduce/cond.scm 126 */
														obj_t BgL_classz00_2781;

														BgL_classz00_2781 = BGl_atomz00zzast_nodez00;
														if (BGL_OBJECTP(BgL_n2z00_2768))
															{	/* Reduce/cond.scm 126 */
																BgL_objectz00_bglt BgL_arg1820z00_2782;

																BgL_arg1820z00_2782 =
																	(BgL_objectz00_bglt) (BgL_n2z00_2768);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Reduce/cond.scm 126 */
																		long BgL_idxz00_2783;

																		BgL_idxz00_2783 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_2782);
																		BgL_test2088z00_3577 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2783 + ((long) 2))) ==
																			BgL_classz00_2781);
																	}
																else
																	{	/* Reduce/cond.scm 126 */
																		bool_t BgL_res1941z00_2786;

																		{	/* Reduce/cond.scm 126 */
																			obj_t BgL_oclassz00_2787;

																			{	/* Reduce/cond.scm 126 */
																				long BgL_arg1828z00_2788;

																				{	/* Reduce/cond.scm 126 */
																					long BgL_arg1829z00_2789;

																					BgL_arg1829z00_2789 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_2782);
																					BgL_arg1828z00_2788 =
																						(BgL_arg1829z00_2789 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2787 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_2788);
																			}
																			{	/* Reduce/cond.scm 126 */
																				bool_t BgL__ortest_1111z00_2790;

																				BgL__ortest_1111z00_2790 =
																					(BgL_classz00_2781 ==
																					BgL_oclassz00_2787);
																				if (BgL__ortest_1111z00_2790)
																					{	/* Reduce/cond.scm 126 */
																						BgL_res1941z00_2786 =
																							BgL__ortest_1111z00_2790;
																					}
																				else
																					{	/* Reduce/cond.scm 126 */
																						long BgL_odepthz00_2791;

																						BgL_odepthz00_2791 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2787);
																						if ((((long) 2) <
																								BgL_odepthz00_2791))
																							{	/* Reduce/cond.scm 126 */
																								obj_t BgL_arg1816z00_2792;

																								BgL_arg1816z00_2792 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2787,
																									((long) 2));
																								BgL_res1941z00_2786 =
																									(BgL_arg1816z00_2792 ==
																									BgL_classz00_2781);
																							}
																						else
																							{	/* Reduce/cond.scm 126 */
																								BgL_res1941z00_2786 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2088z00_3577 = BgL_res1941z00_2786;
																	}
															}
														else
															{	/* Reduce/cond.scm 126 */
																BgL_test2088z00_3577 = ((bool_t) 0);
															}
													}
												else
													{	/* Reduce/cond.scm 126 */
														BgL_test2088z00_3577 = ((bool_t) 0);
													}
											}
											if (BgL_test2088z00_3577)
												{	/* Reduce/cond.scm 126 */
													if (
														((((BgL_atomz00_bglt) COBJECT(
																		((BgL_atomz00_bglt) BgL_n1z00_2767)))->
																BgL_valuez00) ==
															(((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																			BgL_n2z00_2768)))->BgL_valuez00)))
														{	/* Reduce/cond.scm 127 */
															BgL_trivz00_2817 = CNST_TABLE_REF(((long) 6));
														}
													else
														{	/* Reduce/cond.scm 127 */
															BgL_trivz00_2817 = CNST_TABLE_REF(((long) 5));
												}}
											else
												{	/* Reduce/cond.scm 128 */
													bool_t BgL_test2099z00_3625;

													{	/* Reduce/cond.scm 128 */
														bool_t BgL_test2100z00_3626;

														{	/* Reduce/cond.scm 128 */
															obj_t BgL_classz00_2793;

															BgL_classz00_2793 = BGl_varz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_n1z00_2767))
																{	/* Reduce/cond.scm 128 */
																	BgL_objectz00_bglt BgL_arg1820z00_2794;

																	BgL_arg1820z00_2794 =
																		(BgL_objectz00_bglt) (BgL_n1z00_2767);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Reduce/cond.scm 128 */
																			long BgL_idxz00_2795;

																			BgL_idxz00_2795 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_2794);
																			BgL_test2100z00_3626 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2795 + ((long) 2))) ==
																				BgL_classz00_2793);
																		}
																	else
																		{	/* Reduce/cond.scm 128 */
																			bool_t BgL_res1942z00_2798;

																			{	/* Reduce/cond.scm 128 */
																				obj_t BgL_oclassz00_2799;

																				{	/* Reduce/cond.scm 128 */
																					long BgL_arg1828z00_2800;

																					{	/* Reduce/cond.scm 128 */
																						long BgL_arg1829z00_2801;

																						BgL_arg1829z00_2801 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_2794);
																						BgL_arg1828z00_2800 =
																							(BgL_arg1829z00_2801 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2799 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_2800);
																				}
																				{	/* Reduce/cond.scm 128 */
																					bool_t BgL__ortest_1111z00_2802;

																					BgL__ortest_1111z00_2802 =
																						(BgL_classz00_2793 ==
																						BgL_oclassz00_2799);
																					if (BgL__ortest_1111z00_2802)
																						{	/* Reduce/cond.scm 128 */
																							BgL_res1942z00_2798 =
																								BgL__ortest_1111z00_2802;
																						}
																					else
																						{	/* Reduce/cond.scm 128 */
																							long BgL_odepthz00_2803;

																							BgL_odepthz00_2803 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2799);
																							if ((((long) 2) <
																									BgL_odepthz00_2803))
																								{	/* Reduce/cond.scm 128 */
																									obj_t BgL_arg1816z00_2804;

																									BgL_arg1816z00_2804 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2799,
																										((long) 2));
																									BgL_res1942z00_2798 =
																										(BgL_arg1816z00_2804 ==
																										BgL_classz00_2793);
																								}
																							else
																								{	/* Reduce/cond.scm 128 */
																									BgL_res1942z00_2798 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2100z00_3626 =
																				BgL_res1942z00_2798;
																		}
																}
															else
																{	/* Reduce/cond.scm 128 */
																	BgL_test2100z00_3626 = ((bool_t) 0);
																}
														}
														if (BgL_test2100z00_3626)
															{	/* Reduce/cond.scm 128 */
																obj_t BgL_classz00_2805;

																BgL_classz00_2805 = BGl_varz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_n2z00_2768))
																	{	/* Reduce/cond.scm 128 */
																		BgL_objectz00_bglt BgL_arg1820z00_2806;

																		BgL_arg1820z00_2806 =
																			(BgL_objectz00_bglt) (BgL_n2z00_2768);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Reduce/cond.scm 128 */
																				long BgL_idxz00_2807;

																				BgL_idxz00_2807 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1820z00_2806);
																				BgL_test2099z00_3625 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2807 + ((long) 2))) ==
																					BgL_classz00_2805);
																			}
																		else
																			{	/* Reduce/cond.scm 128 */
																				bool_t BgL_res1943z00_2810;

																				{	/* Reduce/cond.scm 128 */
																					obj_t BgL_oclassz00_2811;

																					{	/* Reduce/cond.scm 128 */
																						long BgL_arg1828z00_2812;

																						{	/* Reduce/cond.scm 128 */
																							long BgL_arg1829z00_2813;

																							BgL_arg1829z00_2813 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1820z00_2806);
																							BgL_arg1828z00_2812 =
																								(BgL_arg1829z00_2813 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2811 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1828z00_2812);
																					}
																					{	/* Reduce/cond.scm 128 */
																						bool_t BgL__ortest_1111z00_2814;

																						BgL__ortest_1111z00_2814 =
																							(BgL_classz00_2805 ==
																							BgL_oclassz00_2811);
																						if (BgL__ortest_1111z00_2814)
																							{	/* Reduce/cond.scm 128 */
																								BgL_res1943z00_2810 =
																									BgL__ortest_1111z00_2814;
																							}
																						else
																							{	/* Reduce/cond.scm 128 */
																								long BgL_odepthz00_2815;

																								BgL_odepthz00_2815 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2811);
																								if ((((long) 2) <
																										BgL_odepthz00_2815))
																									{	/* Reduce/cond.scm 128 */
																										obj_t BgL_arg1816z00_2816;

																										BgL_arg1816z00_2816 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2811,
																											((long) 2));
																										BgL_res1943z00_2810 =
																											(BgL_arg1816z00_2816 ==
																											BgL_classz00_2805);
																									}
																								else
																									{	/* Reduce/cond.scm 128 */
																										BgL_res1943z00_2810 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2099z00_3625 =
																					BgL_res1943z00_2810;
																			}
																	}
																else
																	{	/* Reduce/cond.scm 128 */
																		BgL_test2099z00_3625 = ((bool_t) 0);
																	}
															}
														else
															{	/* Reduce/cond.scm 128 */
																BgL_test2099z00_3625 = ((bool_t) 0);
															}
													}
													if (BgL_test2099z00_3625)
														{	/* Reduce/cond.scm 128 */
															if (
																(((obj_t)
																		(((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt) BgL_n1z00_2767)))->
																			BgL_variablez00)) ==
																	((obj_t) (((BgL_varz00_bglt)
																				COBJECT(((BgL_varz00_bglt)
																						BgL_n2z00_2768)))->
																			BgL_variablez00))))
																{	/* Reduce/cond.scm 129 */
																	BgL_trivz00_2817 = CNST_TABLE_REF(((long) 6));
																}
															else
																{	/* Reduce/cond.scm 129 */
																	BgL_trivz00_2817 = BFALSE;
																}
														}
													else
														{	/* Reduce/cond.scm 128 */
															BgL_trivz00_2817 = BFALSE;
														}
												}
										}
									}
								else
									{	/* Reduce/cond.scm 140 */
										bool_t BgL_test2110z00_3674;

										{	/* Reduce/cond.scm 140 */
											BgL_variablez00_bglt BgL_arg1572z00_2763;

											BgL_arg1572z00_2763 =
												(((BgL_varz00_bglt) COBJECT(
														(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2726))->
															BgL_funz00)))->BgL_variablez00);
											BgL_test2110z00_3674 =
												(((obj_t) BgL_arg1572z00_2763) ==
												BGl_za2z42zd3fxza2z91zzreduce_condz00);
										}
										if (BgL_test2110z00_3674)
											{	/* Reduce/cond.scm 141 */
												obj_t BgL_arg1561z00_2764;
												obj_t BgL_arg1565z00_2765;

												BgL_arg1561z00_2764 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2726))->
														BgL_argsz00));
												{	/* Reduce/cond.scm 141 */
													obj_t BgL_pairz00_2766;

													BgL_pairz00_2766 =
														(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2726))->
														BgL_argsz00);
													BgL_arg1565z00_2765 = CAR(CDR(BgL_pairz00_2766));
												}
												{
													obj_t BgL_n2z00_3685;
													obj_t BgL_n1z00_3684;

													BgL_n1z00_3684 = BgL_arg1561z00_2764;
													BgL_n2z00_3685 = BgL_arg1565z00_2765;
													BgL_n2z00_2768 = BgL_n2z00_3685;
													BgL_n1z00_2767 = BgL_n1z00_3684;
													goto BgL_eqzd2atomzf3z21_2725;
												}
											}
										else
											{	/* Reduce/cond.scm 140 */
												BgL_trivz00_2817 = BFALSE;
											}
									}
							}
						else
							{	/* Reduce/cond.scm 135 */
								BgL_trivz00_2817 = BFALSE;
							}
					}
					if (CBOOL(BgL_trivz00_2817))
						{	/* Reduce/cond.scm 150 */
							BgL_literalz00_bglt BgL_new1113z00_2818;

							{	/* Reduce/cond.scm 150 */
								BgL_literalz00_bglt BgL_new1112z00_2819;

								BgL_new1112z00_2819 =
									((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_literalz00_bgl))));
								{	/* Reduce/cond.scm 150 */
									long BgL_arg1378z00_2820;

									BgL_arg1378z00_2820 =
										BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1112z00_2819),
										BgL_arg1378z00_2820);
								}
								{	/* Reduce/cond.scm 150 */
									BgL_objectz00_bglt BgL_tmpz00_3693;

									BgL_tmpz00_3693 = ((BgL_objectz00_bglt) BgL_new1112z00_2819);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3693, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1112z00_2819);
								BgL_new1113z00_2818 = BgL_new1112z00_2819;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1113z00_2818)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1113z00_2818)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
														BgL_nodez00_2558))))->BgL_typez00)), BUNSPEC);
							((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
												BgL_new1113z00_2818)))->BgL_valuez00) =
								((obj_t) BBOOL((BgL_trivz00_2817 ==
											CNST_TABLE_REF(((long) 6))))), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1113z00_2818);
						}
					else
						{	/* Reduce/cond.scm 148 */
							return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2558));
						}
				}
			}
		}

	}



/* &node-cond!-sync1287 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2sync1287z70zzreduce_condz00(obj_t
		BgL_envz00_2559, obj_t BgL_nodez00_2560)
	{
		{	/* Reduce/cond.scm 112 */
			{
				BgL_nodez00_bglt BgL_auxz00_3712;

				{	/* Reduce/cond.scm 114 */
					BgL_nodez00_bglt BgL_arg1366z00_2822;

					BgL_arg1366z00_2822 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2560)))->BgL_mutexz00);
					BgL_auxz00_3712 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1366z00_2822);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2560)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3712), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3718;

				{	/* Reduce/cond.scm 115 */
					BgL_nodez00_bglt BgL_arg1372z00_2823;

					BgL_arg1372z00_2823 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2560)))->BgL_prelockz00);
					BgL_auxz00_3718 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1372z00_2823);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2560)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3718), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3724;

				{	/* Reduce/cond.scm 116 */
					BgL_nodez00_bglt BgL_arg1375z00_2824;

					BgL_arg1375z00_2824 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2560)))->BgL_bodyz00);
					BgL_auxz00_3724 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1375z00_2824);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2560)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3724), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2560));
		}

	}



/* &node-cond!-sequence1285 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2sequence1285z70zzreduce_condz00(obj_t
		BgL_envz00_2561, obj_t BgL_nodez00_2562)
	{
		{	/* Reduce/cond.scm 104 */
			BGl_nodezd2condza2z12z62zzreduce_condz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2562)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2562));
		}

	}



/* &node-cond!-closure1283 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2closure1283z70zzreduce_condz00(obj_t
		BgL_envz00_2563, obj_t BgL_nodez00_2564)
	{
		{	/* Reduce/cond.scm 98 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2564));
		}

	}



/* &node-cond!-var1281 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2var1281z70zzreduce_condz00(obj_t
		BgL_envz00_2565, obj_t BgL_nodez00_2566)
	{
		{	/* Reduce/cond.scm 92 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2566));
		}

	}



/* &node-cond!-kwote1279 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2kwote1279z70zzreduce_condz00(obj_t
		BgL_envz00_2567, obj_t BgL_nodez00_2568)
	{
		{	/* Reduce/cond.scm 86 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2568));
		}

	}



/* &node-cond!-atom1277 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2atom1277z70zzreduce_condz00(obj_t
		BgL_envz00_2569, obj_t BgL_nodez00_2570)
	{
		{	/* Reduce/cond.scm 80 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2570));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_condz00(void)
	{
		{	/* Reduce/cond.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1990z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1990z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1990z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1990z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1990z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1990z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1990z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1990z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1990z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1990z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1990z00zzreduce_condz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1990z00zzreduce_condz00));
		}

	}

#ifdef __cplusplus
}
#endif
