/*===========================================================================*/
/*   (Reduce/copy.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/copy.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_copyz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2sync1297z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref1351za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2var1321z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_copyz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62copyablezf3zd2conditiona1333z43zzreduce_copyz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2cast1327z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_copyz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2closure1293z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition1309z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_copyz00(void);
	static obj_t BGl_z62copyablezf31316z91zzreduce_copyz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2kwote1289z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2fail1335z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2extern1303z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_copyz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2switch1313z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2return1345z70zzreduce_copyz00(obj_t, obj_t);
	static bool_t
		BGl_cellzd2typezd2lesszd2specificzf3z21zzreduce_copyz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz121349zb0zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box1347za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2appzd2ly1299za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun1315za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2atom1287z70zzreduce_copyz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1341z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3z91zzreduce_copyz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1339z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static long BGl_za2copyzd2removedza2zd2zzreduce_copyz00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_copyz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00(void);
	static obj_t BGl_copyablezf3zf3zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_copyz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2cast1305z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62copyablezf3zd2vlength1325z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setq1307z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t);
	static obj_t BGl_z62copyablezf3zd2atom1319z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62copyablezf3zd2instanceof1331z43zzreduce_copyz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2fail1311z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2copyz121284za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt);
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2var1291z70zzreduce_copyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2sequence1295z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2funcall1301z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2app1353z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2castzd2null1329z91zzreduce_copyz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var1337za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2sequence1323z43zzreduce_copyz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2retblock1343z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1902z00zzreduce_copyz00,
		BgL_bgl_string1902za700za7za7r1923za7, "copyable?", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711924za7,
		BGl_z62nodezd2copyz12zd2letzd2fun1315za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1925za7,
		BGl_z62copyablezf3zd2atom1319z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1926za7,
		BGl_z62copyablezf3zd2var1321z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1904z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1927za7,
		BGl_z62copyablezf3zd2sequence1323z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1905z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1928za7,
		BGl_z62copyablezf3zd2vlength1325z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1929za7,
		BGl_z62copyablezf3zd2cast1327z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1930za7,
		BGl_z62copyablezf3zd2castzd2null1329z91zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1908z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1931za7,
		BGl_z62copyablezf3zd2instanceof1331z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1932za7,
		BGl_z62copyablezf3zd2conditiona1333z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1910z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1933za7,
		BGl_z62copyablezf3zd2fail1335z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1911z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711934za7,
		BGl_z62nodezd2copyz12zd2letzd2var1337za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1912z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711935za7,
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1339z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1913z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711936za7,
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1341z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1920z00zzreduce_copyz00,
		BgL_bgl_string1920za700za7za7r1937za7, "reduce_copy", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711938za7,
		BGl_z62nodezd2copyz12zd2retblock1343z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1921z00zzreduce_copyz00,
		BgL_bgl_string1921za700za7za7r1939za7, "read node-copy!1284 done ", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1915z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711940za7,
		BGl_z62nodezd2copyz12zd2return1345z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_copyablezf3zd2envz21zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za791941za7,
		BGl_z62copyablezf3z91zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711942za7,
		BGl_z62nodezd2copyz12zd2makezd2box1347za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1917z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711943za7,
		BGl_z62nodezd2copyz12zd2boxzd2setz121349zb0zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711944za7,
		BGl_z62nodezd2copyz12zd2boxzd2ref1351za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711945za7,
		BGl_z62nodezd2copyz12zd2app1353z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1878z00zzreduce_copyz00,
		BgL_bgl_string1878za700za7za7r1946za7, "      copy propagation       ", 29);
	      DEFINE_STRING(BGl_string1879z00zzreduce_copyz00,
		BgL_bgl_string1879za700za7za7r1947za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string1881z00zzreduce_copyz00,
		BgL_bgl_string1881za700za7za7r1948za7, "node-copy!1284", 14);
	      DEFINE_STRING(BGl_string1883z00zzreduce_copyz00,
		BgL_bgl_string1883za700za7za7r1949za7, "copyable?1316", 13);
	      DEFINE_STRING(BGl_string1884z00zzreduce_copyz00,
		BgL_bgl_string1884za700za7za7r1950za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1886z00zzreduce_copyz00,
		BgL_bgl_string1886za700za7za7r1951za7, "node-copy!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711952za7,
		BGl_z62nodezd2copyz121284za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3131953z00,
		BGl_z62copyablezf31316z91zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711954za7,
		BGl_z62nodezd2copyz12zd2atom1287z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711955za7,
		BGl_z62nodezd2copyz12zd2kwote1289z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711956za7,
		BGl_z62nodezd2copyz12zd2var1291z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711957za7,
		BGl_z62nodezd2copyz12zd2closure1293z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711958za7,
		BGl_z62nodezd2copyz12zd2sequence1295z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711959za7,
		BGl_z62nodezd2copyz12zd2sync1297z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711960za7,
		BGl_z62nodezd2copyz12zd2appzd2ly1299za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711961za7,
		BGl_z62nodezd2copyz12zd2funcall1301z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711962za7,
		BGl_z62nodezd2copyz12zd2extern1303z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711963za7,
		BGl_z62nodezd2copyz12zd2cast1305z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711964za7,
		BGl_z62nodezd2copyz12zd2setq1307z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711965za7,
		BGl_z62nodezd2copyz12zd2condition1309z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711966za7,
		BGl_z62nodezd2copyz12zd2fail1311z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711967za7,
		BGl_z62nodezd2copyz12zd2switch1313z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762reduceza7d2copy1968z00,
		BGl_z62reducezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711969za7,
		BGl_z62nodezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_copyz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long
		BgL_checksumz00_2404, char *BgL_fromz00_2405)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_copyz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_copyz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_copyz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_copyz00();
					BGl_cnstzd2initzd2zzreduce_copyz00();
					BGl_importedzd2moduleszd2initz00zzreduce_copyz00();
					BGl_genericzd2initzd2zzreduce_copyz00();
					BGl_methodzd2initzd2zzreduce_copyz00();
					return BGl_toplevelzd2initzd2zzreduce_copyz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_copy");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			{	/* Reduce/copy.scm 15 */
				obj_t BgL_cportz00_2236;

				{	/* Reduce/copy.scm 15 */
					obj_t BgL_stringz00_2243;

					BgL_stringz00_2243 = BGl_string1921z00zzreduce_copyz00;
					{	/* Reduce/copy.scm 15 */
						obj_t BgL_startz00_2244;

						BgL_startz00_2244 = BINT(((long) 0));
						{	/* Reduce/copy.scm 15 */
							obj_t BgL_endz00_2245;

							BgL_endz00_2245 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2243)));
							{	/* Reduce/copy.scm 15 */

								BgL_cportz00_2236 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2243, BgL_startz00_2244, BgL_endz00_2245);
				}}}}
				{
					long BgL_iz00_2237;

					BgL_iz00_2237 = ((long) 2);
				BgL_loopz00_2238:
					if ((BgL_iz00_2237 == ((long) -1)))
						{	/* Reduce/copy.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/copy.scm 15 */
							{	/* Reduce/copy.scm 15 */
								obj_t BgL_arg1922z00_2239;

								{	/* Reduce/copy.scm 15 */

									{	/* Reduce/copy.scm 15 */
										obj_t BgL_locationz00_2241;

										BgL_locationz00_2241 = BBOOL(((bool_t) 0));
										{	/* Reduce/copy.scm 15 */

											BgL_arg1922z00_2239 =
												BGl_readz00zz__readerz00(BgL_cportz00_2236,
												BgL_locationz00_2241);
										}
									}
								}
								{	/* Reduce/copy.scm 15 */
									int BgL_tmpz00_2435;

									BgL_tmpz00_2435 = (int) (BgL_iz00_2237);
									CNST_TABLE_SET(BgL_tmpz00_2435, BgL_arg1922z00_2239);
							}}
							{	/* Reduce/copy.scm 15 */
								int BgL_auxz00_2242;

								BgL_auxz00_2242 = (int) ((BgL_iz00_2237 - ((long) 1)));
								{
									long BgL_iz00_2440;

									BgL_iz00_2440 = (long) (BgL_auxz00_2242);
									BgL_iz00_2237 = BgL_iz00_2440;
									goto BgL_loopz00_2238;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long) 0);
			return BUNSPEC;
		}

	}



/* reduce-copy! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/copy.scm 35 */
			{	/* Reduce/copy.scm 36 */
				obj_t BgL_list1359z00_1401;

				BgL_list1359z00_1401 =
					MAKE_YOUNG_PAIR(BGl_string1878z00zzreduce_copyz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1359z00_1401);
			}
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long) 0);
			{
				obj_t BgL_l1260z00_1403;

				BgL_l1260z00_1403 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31360ze3z87_1404:
				if (PAIRP(BgL_l1260z00_1403))
					{	/* Reduce/copy.scm 38 */
						{	/* Reduce/copy.scm 39 */
							obj_t BgL_globalz00_1406;

							BgL_globalz00_1406 = CAR(BgL_l1260z00_1403);
							{	/* Reduce/copy.scm 39 */
								BgL_valuez00_bglt BgL_funz00_1407;

								BgL_funz00_1407 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1406))))->
									BgL_valuez00);
								{	/* Reduce/copy.scm 39 */
									obj_t BgL_nodez00_1408;

									BgL_nodez00_1408 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1407)))->BgL_bodyz00);
									{	/* Reduce/copy.scm 40 */

										{	/* Reduce/copy.scm 41 */
											BgL_nodez00_bglt BgL_arg1362z00_1409;

											BgL_arg1362z00_1409 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00(
												((BgL_nodez00_bglt) BgL_nodez00_1408));
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1407)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1362z00_1409)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1260z00_2459;

							BgL_l1260z00_2459 = CDR(BgL_l1260z00_1403);
							BgL_l1260z00_1403 = BgL_l1260z00_2459;
							goto BgL_zc3z04anonymousza31360ze3z87_1404;
						}
					}
				else
					{	/* Reduce/copy.scm 38 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/copy.scm 44 */
				obj_t BgL_list1365z00_1412;

				{	/* Reduce/copy.scm 44 */
					obj_t BgL_arg1366z00_1413;

					{	/* Reduce/copy.scm 44 */
						obj_t BgL_arg1372z00_1414;

						{	/* Reduce/copy.scm 44 */
							obj_t BgL_arg1375z00_1415;

							BgL_arg1375z00_1415 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1372z00_1414 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1375z00_1415);
						}
						BgL_arg1366z00_1413 =
							MAKE_YOUNG_PAIR(BINT(BGl_za2copyzd2removedza2zd2zzreduce_copyz00),
							BgL_arg1372z00_1414);
					}
					BgL_list1365z00_1412 =
						MAKE_YOUNG_PAIR(BGl_string1879z00zzreduce_copyz00,
						BgL_arg1366z00_1413);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1365z00_1412);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-copy! */
	obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t BgL_envz00_2114,
		obj_t BgL_globalsz00_2115)
	{
		{	/* Reduce/copy.scm 35 */
			return BGl_reducezd2copyz12zc0zzreduce_copyz00(BgL_globalsz00_2115);
		}

	}



/* cell-type-less-specific? */
	bool_t
		BGl_cellzd2typezd2lesszd2specificzf3z21zzreduce_copyz00(BgL_typez00_bglt
		BgL_ty1z00_41, BgL_typez00_bglt BgL_ty2z00_42)
	{
		{	/* Reduce/copy.scm 315 */
			{	/* Reduce/copy.scm 316 */
				bool_t BgL__ortest_1132z00_1416;

				BgL__ortest_1132z00_1416 =
					BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_ty1z00_41,
					BgL_ty2z00_42);
				if (BgL__ortest_1132z00_1416)
					{	/* Reduce/copy.scm 316 */
						return BgL__ortest_1132z00_1416;
					}
				else
					{	/* Reduce/copy.scm 316 */
						if ((((obj_t) BgL_ty2z00_42) == BGl_za2objza2z00zztype_cachez00))
							{	/* Reduce/copy.scm 317 */
								return
									(((obj_t) BgL_ty1z00_41) == BGl_za2cellza2z00zztype_cachez00);
							}
						else
							{	/* Reduce/copy.scm 317 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* node-copy*! */
	obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t BgL_nodeza2za2_51)
	{
		{	/* Reduce/copy.scm 404 */
			{
				obj_t BgL_nodeza2za2_1419;

				BgL_nodeza2za2_1419 = BgL_nodeza2za2_51;
			BgL_zc3z04anonymousza31376ze3z87_1420:
				if (NULLP(BgL_nodeza2za2_1419))
					{	/* Reduce/copy.scm 406 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/copy.scm 406 */
						{	/* Reduce/copy.scm 409 */
							BgL_nodez00_bglt BgL_arg1378z00_1422;

							{	/* Reduce/copy.scm 409 */
								obj_t BgL_arg1381z00_1423;

								BgL_arg1381z00_1423 = CAR(((obj_t) BgL_nodeza2za2_1419));
								BgL_arg1378z00_1422 =
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									((BgL_nodez00_bglt) BgL_arg1381z00_1423));
							}
							{	/* Reduce/copy.scm 409 */
								obj_t BgL_auxz00_2487;
								obj_t BgL_tmpz00_2485;

								BgL_auxz00_2487 = ((obj_t) BgL_arg1378z00_1422);
								BgL_tmpz00_2485 = ((obj_t) BgL_nodeza2za2_1419);
								SET_CAR(BgL_tmpz00_2485, BgL_auxz00_2487);
							}
						}
						{	/* Reduce/copy.scm 410 */
							obj_t BgL_arg1384z00_1424;

							BgL_arg1384z00_1424 = CDR(((obj_t) BgL_nodeza2za2_1419));
							{
								obj_t BgL_nodeza2za2_2492;

								BgL_nodeza2za2_2492 = BgL_arg1384z00_1424;
								BgL_nodeza2za2_1419 = BgL_nodeza2za2_2492;
								goto BgL_zc3z04anonymousza31376ze3z87_1420;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_proc1880z00zzreduce_copyz00, BGl_nodez00zzast_nodez00,
				BGl_string1881z00zzreduce_copyz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_proc1882z00zzreduce_copyz00, BFALSE,
				BGl_string1883z00zzreduce_copyz00);
		}

	}



/* &copyable?1316 */
	obj_t BGl_z62copyablezf31316z91zzreduce_copyz00(obj_t BgL_envz00_2118,
		obj_t BgL_nodez00_2119, obj_t BgL_vz00_2120)
	{
		{	/* Reduce/copy.scm 194 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &node-copy!1284 */
	obj_t BGl_z62nodezd2copyz121284za2zzreduce_copyz00(obj_t BgL_envz00_2121,
		obj_t BgL_nodez00_2122)
	{
		{	/* Reduce/copy.scm 55 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string1884z00zzreduce_copyz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2122)));
		}

	}



/* node-copy! */
	BgL_nodez00_bglt BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Reduce/copy.scm 55 */
			{	/* Reduce/copy.scm 55 */
				obj_t BgL_method1285z00_1435;

				{	/* Reduce/copy.scm 55 */
					obj_t BgL_res1869z00_1966;

					{	/* Reduce/copy.scm 55 */
						long BgL_objzd2classzd2numz00_1937;

						BgL_objzd2classzd2numz00_1937 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/copy.scm 55 */
							obj_t BgL_arg1825z00_1938;

							BgL_arg1825z00_1938 =
								PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
								(int) (((long) 1)));
							{	/* Reduce/copy.scm 55 */
								int BgL_offsetz00_1941;

								BgL_offsetz00_1941 = (int) (BgL_objzd2classzd2numz00_1937);
								{	/* Reduce/copy.scm 55 */
									long BgL_offsetz00_1942;

									BgL_offsetz00_1942 =
										((long) (BgL_offsetz00_1941) - OBJECT_TYPE);
									{	/* Reduce/copy.scm 55 */
										long BgL_modz00_1943;

										BgL_modz00_1943 =
											(BgL_offsetz00_1942 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/copy.scm 55 */
											long BgL_restz00_1945;

											BgL_restz00_1945 =
												(BgL_offsetz00_1942 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/copy.scm 55 */

												{	/* Reduce/copy.scm 55 */
													obj_t BgL_bucketz00_1947;

													BgL_bucketz00_1947 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_1938), BgL_modz00_1943);
													BgL_res1869z00_1966 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1947), BgL_restz00_1945);
					}}}}}}}}
					BgL_method1285z00_1435 = BgL_res1869z00_1966;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1285z00_1435)) (BgL_method1285z00_1435,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}

	}



/* &node-copy! */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t
		BgL_envz00_2123, obj_t BgL_nodez00_2124)
	{
		{	/* Reduce/copy.scm 55 */
			return
				BGl_nodezd2copyz12zc0zzreduce_copyz00(
				((BgL_nodez00_bglt) BgL_nodez00_2124));
		}

	}



/* copyable? */
	obj_t BGl_copyablezf3zf3zzreduce_copyz00(obj_t BgL_nodez00_20,
		obj_t BgL_vz00_21)
	{
		{	/* Reduce/copy.scm 194 */
			if (BGL_OBJECTP(BgL_nodez00_20))
				{	/* Reduce/copy.scm 194 */
					obj_t BgL_method1317z00_1437;

					{	/* Reduce/copy.scm 194 */
						obj_t BgL_res1874z00_1997;

						{	/* Reduce/copy.scm 194 */
							long BgL_objzd2classzd2numz00_1968;

							BgL_objzd2classzd2numz00_1968 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_20));
							{	/* Reduce/copy.scm 194 */
								obj_t BgL_arg1825z00_1969;

								BgL_arg1825z00_1969 =
									PROCEDURE_REF(BGl_copyablezf3zd2envz21zzreduce_copyz00,
									(int) (((long) 1)));
								{	/* Reduce/copy.scm 194 */
									int BgL_offsetz00_1972;

									BgL_offsetz00_1972 = (int) (BgL_objzd2classzd2numz00_1968);
									{	/* Reduce/copy.scm 194 */
										long BgL_offsetz00_1973;

										BgL_offsetz00_1973 =
											((long) (BgL_offsetz00_1972) - OBJECT_TYPE);
										{	/* Reduce/copy.scm 194 */
											long BgL_modz00_1974;

											BgL_modz00_1974 =
												(BgL_offsetz00_1973 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* Reduce/copy.scm 194 */
												long BgL_restz00_1976;

												BgL_restz00_1976 =
													(BgL_offsetz00_1973 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* Reduce/copy.scm 194 */

													{	/* Reduce/copy.scm 194 */
														obj_t BgL_bucketz00_1978;

														BgL_bucketz00_1978 =
															VECTOR_REF(
															((obj_t) BgL_arg1825z00_1969), BgL_modz00_1974);
														BgL_res1874z00_1997 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_1978), BgL_restz00_1976);
						}}}}}}}}
						BgL_method1317z00_1437 = BgL_res1874z00_1997;
					}
					return
						((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1317z00_1437)) (BgL_method1317z00_1437,
						BgL_nodez00_20, BgL_vz00_21, BEOA);
				}
			else
				{	/* Reduce/copy.scm 194 */
					obj_t BgL_fun1396z00_1438;

					BgL_fun1396z00_1438 =
						PROCEDURE_REF(BGl_copyablezf3zd2envz21zzreduce_copyz00,
						(int) (((long) 0)));
					return
						((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_fun1396z00_1438)) (BgL_fun1396z00_1438,
						BgL_nodez00_20, BgL_vz00_21, BEOA);
				}
		}

	}



/* &copyable? */
	obj_t BGl_z62copyablezf3z91zzreduce_copyz00(obj_t BgL_envz00_2125,
		obj_t BgL_nodez00_2126, obj_t BgL_vz00_2127)
	{
		{	/* Reduce/copy.scm 194 */
			return
				BGl_copyablezf3zf3zzreduce_copyz00(BgL_nodez00_2126, BgL_vz00_2127);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_atomz00zzast_nodez00,
				BGl_proc1885z00zzreduce_copyz00, BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1887z00zzreduce_copyz00, BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_varz00zzast_nodez00,
				BGl_proc1888z00zzreduce_copyz00, BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_closurez00zzast_nodez00, BGl_proc1889z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1890z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_syncz00zzast_nodez00,
				BGl_proc1891z00zzreduce_copyz00, BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1892z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1893z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_externz00zzast_nodez00, BGl_proc1894z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_castz00zzast_nodez00,
				BGl_proc1895z00zzreduce_copyz00, BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_setqz00zzast_nodez00,
				BGl_proc1896z00zzreduce_copyz00, BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1897z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_failz00zzast_nodez00,
				BGl_proc1898z00zzreduce_copyz00, BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_switchz00zzast_nodez00, BGl_proc1899z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1900z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_atomz00zzast_nodez00,
				BGl_proc1901z00zzreduce_copyz00, BGl_string1902z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_varz00zzast_nodez00,
				BGl_proc1903z00zzreduce_copyz00, BGl_string1902z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_sequencez00zzast_nodez00,
				BGl_proc1904z00zzreduce_copyz00, BGl_string1902z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_vlengthz00zzast_nodez00,
				BGl_proc1905z00zzreduce_copyz00, BGl_string1902z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_castz00zzast_nodez00,
				BGl_proc1906z00zzreduce_copyz00, BGl_string1902z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc1907z00zzreduce_copyz00,
				BGl_string1902z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc1908z00zzreduce_copyz00,
				BGl_string1902z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1909z00zzreduce_copyz00,
				BGl_string1902z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_failz00zzast_nodez00,
				BGl_proc1910z00zzreduce_copyz00, BGl_string1902z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1911z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1912z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1913z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1914z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_returnz00zzast_nodez00, BGl_proc1915z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1916z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1917z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1918z00zzreduce_copyz00,
				BGl_string1886z00zzreduce_copyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_appz00zzast_nodez00,
				BGl_proc1919z00zzreduce_copyz00, BGl_string1886z00zzreduce_copyz00);
		}

	}



/* &node-copy!-app1353 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2app1353z70zzreduce_copyz00(obj_t
		BgL_envz00_2161, obj_t BgL_nodez00_2162)
	{
		{	/* Reduce/copy.scm 396 */
			BGl_nodezd2copyza2z12z62zzreduce_copyz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2162)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2162));
		}

	}



/* &node-copy!-box-ref1351 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref1351za2zzreduce_copyz00(obj_t
		BgL_envz00_2163, obj_t BgL_nodez00_2164)
	{
		{	/* Reduce/copy.scm 381 */
			{	/* Reduce/copy.scm 383 */
				BgL_nodez00_bglt BgL_cpz00_2250;

				{	/* Reduce/copy.scm 383 */
					BgL_varz00_bglt BgL_arg1738z00_2251;

					BgL_arg1738z00_2251 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2164)))->BgL_varz00);
					BgL_cpz00_2250 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(
						((BgL_nodez00_bglt) BgL_arg1738z00_2251));
				}
				{	/* Reduce/copy.scm 384 */
					bool_t BgL_test1977z00_2615;

					{	/* Reduce/copy.scm 384 */
						obj_t BgL_classz00_2252;

						BgL_classz00_2252 = BGl_castz00zzast_nodez00;
						{	/* Reduce/copy.scm 384 */
							BgL_objectz00_bglt BgL_arg1820z00_2253;

							{	/* Reduce/copy.scm 384 */
								obj_t BgL_tmpz00_2616;

								BgL_tmpz00_2616 =
									((obj_t) ((BgL_objectz00_bglt) BgL_cpz00_2250));
								BgL_arg1820z00_2253 = (BgL_objectz00_bglt) (BgL_tmpz00_2616);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/copy.scm 384 */
									long BgL_idxz00_2254;

									BgL_idxz00_2254 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2253);
									BgL_test1977z00_2615 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2254 + ((long) 2))) == BgL_classz00_2252);
								}
							else
								{	/* Reduce/copy.scm 384 */
									bool_t BgL_res1877z00_2257;

									{	/* Reduce/copy.scm 384 */
										obj_t BgL_oclassz00_2258;

										{	/* Reduce/copy.scm 384 */
											long BgL_arg1828z00_2259;

											{	/* Reduce/copy.scm 384 */
												long BgL_arg1829z00_2260;

												BgL_arg1829z00_2260 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2253);
												BgL_arg1828z00_2259 =
													(BgL_arg1829z00_2260 - OBJECT_TYPE);
											}
											BgL_oclassz00_2258 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2259);
										}
										{	/* Reduce/copy.scm 384 */
											bool_t BgL__ortest_1111z00_2261;

											BgL__ortest_1111z00_2261 =
												(BgL_classz00_2252 == BgL_oclassz00_2258);
											if (BgL__ortest_1111z00_2261)
												{	/* Reduce/copy.scm 384 */
													BgL_res1877z00_2257 = BgL__ortest_1111z00_2261;
												}
											else
												{	/* Reduce/copy.scm 384 */
													long BgL_odepthz00_2262;

													BgL_odepthz00_2262 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2258);
													if ((((long) 2) < BgL_odepthz00_2262))
														{	/* Reduce/copy.scm 384 */
															obj_t BgL_arg1816z00_2263;

															BgL_arg1816z00_2263 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2258,
																((long) 2));
															BgL_res1877z00_2257 =
																(BgL_arg1816z00_2263 == BgL_classz00_2252);
														}
													else
														{	/* Reduce/copy.scm 384 */
															BgL_res1877z00_2257 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1977z00_2615 = BgL_res1877z00_2257;
								}
						}
					}
					if (BgL_test1977z00_2615)
						{	/* Reduce/copy.scm 384 */
							((((BgL_boxzd2refzd2_bglt) COBJECT(
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_2164)))->
									BgL_varz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) (((BgL_castz00_bglt)
												COBJECT(((BgL_castz00_bglt) BgL_cpz00_2250)))->
											BgL_argz00))), BUNSPEC);
							((((BgL_castz00_bglt) COBJECT(((BgL_castz00_bglt)
												BgL_cpz00_2250)))->BgL_argz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt)
											BgL_nodez00_2164))), BUNSPEC);
							return BgL_cpz00_2250;
						}
					else
						{	/* Reduce/copy.scm 384 */
							((((BgL_boxzd2refzd2_bglt) COBJECT(
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_2164)))->
									BgL_varz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_cpz00_2250)),
								BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt)
									BgL_nodez00_2164));
						}
				}
			}
		}

	}



/* &node-copy!-box-set!1349 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz121349zb0zzreduce_copyz00(obj_t
		BgL_envz00_2165, obj_t BgL_nodez00_2166)
	{
		{	/* Reduce/copy.scm 365 */
			{
				BgL_nodez00_bglt BgL_auxz00_2650;

				{	/* Reduce/copy.scm 367 */
					BgL_nodez00_bglt BgL_arg1734z00_2265;

					BgL_arg1734z00_2265 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2166)))->BgL_valuez00);
					BgL_auxz00_2650 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1734z00_2265);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2166)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2650), BUNSPEC);
			}
			{	/* Reduce/copy.scm 368 */
				BgL_nodez00_bglt BgL_cpz00_2266;

				{	/* Reduce/copy.scm 368 */
					BgL_varz00_bglt BgL_arg1736z00_2267;

					BgL_arg1736z00_2267 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2166)))->BgL_varz00);
					BgL_cpz00_2266 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(
						((BgL_nodez00_bglt) BgL_arg1736z00_2267));
				}
				{	/* Reduce/copy.scm 369 */
					bool_t BgL_test1981z00_2660;

					{	/* Reduce/copy.scm 369 */
						obj_t BgL_classz00_2268;

						BgL_classz00_2268 = BGl_castz00zzast_nodez00;
						{	/* Reduce/copy.scm 369 */
							BgL_objectz00_bglt BgL_arg1820z00_2269;

							{	/* Reduce/copy.scm 369 */
								obj_t BgL_tmpz00_2661;

								BgL_tmpz00_2661 =
									((obj_t) ((BgL_objectz00_bglt) BgL_cpz00_2266));
								BgL_arg1820z00_2269 = (BgL_objectz00_bglt) (BgL_tmpz00_2661);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/copy.scm 369 */
									long BgL_idxz00_2270;

									BgL_idxz00_2270 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2269);
									BgL_test1981z00_2660 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2270 + ((long) 2))) == BgL_classz00_2268);
								}
							else
								{	/* Reduce/copy.scm 369 */
									bool_t BgL_res1876z00_2273;

									{	/* Reduce/copy.scm 369 */
										obj_t BgL_oclassz00_2274;

										{	/* Reduce/copy.scm 369 */
											long BgL_arg1828z00_2275;

											{	/* Reduce/copy.scm 369 */
												long BgL_arg1829z00_2276;

												BgL_arg1829z00_2276 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2269);
												BgL_arg1828z00_2275 =
													(BgL_arg1829z00_2276 - OBJECT_TYPE);
											}
											BgL_oclassz00_2274 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2275);
										}
										{	/* Reduce/copy.scm 369 */
											bool_t BgL__ortest_1111z00_2277;

											BgL__ortest_1111z00_2277 =
												(BgL_classz00_2268 == BgL_oclassz00_2274);
											if (BgL__ortest_1111z00_2277)
												{	/* Reduce/copy.scm 369 */
													BgL_res1876z00_2273 = BgL__ortest_1111z00_2277;
												}
											else
												{	/* Reduce/copy.scm 369 */
													long BgL_odepthz00_2278;

													BgL_odepthz00_2278 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2274);
													if ((((long) 2) < BgL_odepthz00_2278))
														{	/* Reduce/copy.scm 369 */
															obj_t BgL_arg1816z00_2279;

															BgL_arg1816z00_2279 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2274,
																((long) 2));
															BgL_res1876z00_2273 =
																(BgL_arg1816z00_2279 == BgL_classz00_2268);
														}
													else
														{	/* Reduce/copy.scm 369 */
															BgL_res1876z00_2273 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1981z00_2660 = BgL_res1876z00_2273;
								}
						}
					}
					if (BgL_test1981z00_2660)
						{	/* Reduce/copy.scm 369 */
							((((BgL_boxzd2setz12zc0_bglt) COBJECT(
											((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2166)))->
									BgL_varz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) (((BgL_castz00_bglt)
												COBJECT(((BgL_castz00_bglt) BgL_cpz00_2266)))->
											BgL_argz00))), BUNSPEC);
							((((BgL_castz00_bglt) COBJECT(((BgL_castz00_bglt)
												BgL_cpz00_2266)))->BgL_argz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) (
											(BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2166))), BUNSPEC);
							return BgL_cpz00_2266;
						}
					else
						{	/* Reduce/copy.scm 369 */
							((((BgL_boxzd2setz12zc0_bglt) COBJECT(
											((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2166)))->
									BgL_varz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_cpz00_2266)),
								BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt)
									BgL_nodez00_2166));
						}
				}
			}
		}

	}



/* &node-copy!-make-box1347 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box1347za2zzreduce_copyz00(obj_t
		BgL_envz00_2167, obj_t BgL_nodez00_2168)
	{
		{	/* Reduce/copy.scm 357 */
			{
				BgL_nodez00_bglt BgL_auxz00_2695;

				{	/* Reduce/copy.scm 359 */
					BgL_nodez00_bglt BgL_arg1731z00_2281;

					BgL_arg1731z00_2281 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2168)))->BgL_valuez00);
					BgL_auxz00_2695 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1731z00_2281);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2168)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2695), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2168));
		}

	}



/* &node-copy!-return1345 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2return1345z70zzreduce_copyz00(obj_t
		BgL_envz00_2169, obj_t BgL_nodez00_2170)
	{
		{	/* Reduce/copy.scm 349 */
			{
				BgL_nodez00_bglt BgL_auxz00_2703;

				{	/* Reduce/copy.scm 351 */
					BgL_nodez00_bglt BgL_arg1730z00_2283;

					BgL_arg1730z00_2283 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2170)))->BgL_valuez00);
					BgL_auxz00_2703 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1730z00_2283);
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2170)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2703), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nodez00_2170));
		}

	}



/* &node-copy!-retblock1343 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2retblock1343z70zzreduce_copyz00(obj_t
		BgL_envz00_2171, obj_t BgL_nodez00_2172)
	{
		{	/* Reduce/copy.scm 341 */
			{
				BgL_nodez00_bglt BgL_auxz00_2711;

				{	/* Reduce/copy.scm 343 */
					BgL_nodez00_bglt BgL_arg1728z00_2285;

					BgL_arg1728z00_2285 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2172)))->BgL_bodyz00);
					BgL_auxz00_2711 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1728z00_2285);
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2172)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2711), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nodez00_2172));
		}

	}



/* &node-copy!-jump-ex-i1341 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1341z70zzreduce_copyz00(obj_t
		BgL_envz00_2173, obj_t BgL_nodez00_2174)
	{
		{	/* Reduce/copy.scm 332 */
			{
				BgL_nodez00_bglt BgL_auxz00_2719;

				{	/* Reduce/copy.scm 334 */
					BgL_nodez00_bglt BgL_arg1721z00_2287;

					BgL_arg1721z00_2287 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2174)))->BgL_exitz00);
					BgL_auxz00_2719 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1721z00_2287);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2174)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2719), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2725;

				{	/* Reduce/copy.scm 335 */
					BgL_nodez00_bglt BgL_arg1723z00_2288;

					BgL_arg1723z00_2288 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2174)))->
						BgL_valuez00);
					BgL_auxz00_2725 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1723z00_2288);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2174)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2725), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2174));
		}

	}



/* &node-copy!-set-ex-it1339 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1339z70zzreduce_copyz00(obj_t
		BgL_envz00_2175, obj_t BgL_nodez00_2176)
	{
		{	/* Reduce/copy.scm 322 */
			{
				BgL_nodez00_bglt BgL_auxz00_2733;

				{	/* Reduce/copy.scm 324 */
					BgL_nodez00_bglt BgL_arg1711z00_2290;

					BgL_arg1711z00_2290 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2176)))->BgL_bodyz00);
					BgL_auxz00_2733 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1711z00_2290);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2176)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2733), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_2739;

				{	/* Reduce/copy.scm 325 */
					BgL_varz00_bglt BgL_arg1712z00_2291;

					BgL_arg1712z00_2291 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2176)))->BgL_varz00);
					BgL_auxz00_2739 =
						((BgL_varz00_bglt)
						BGl_nodezd2copyz12zc0zzreduce_copyz00(
							((BgL_nodez00_bglt) BgL_arg1712z00_2291)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2176)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2739), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2747;

				{	/* Reduce/copy.scm 326 */
					BgL_nodez00_bglt BgL_arg1720z00_2292;

					BgL_arg1720z00_2292 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2176)))->
						BgL_onexitz00);
					BgL_auxz00_2747 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1720z00_2292);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2176)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2747), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2176));
		}

	}



/* &node-copy!-let-var1337 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var1337za2zzreduce_copyz00(obj_t
		BgL_envz00_2177, obj_t BgL_nodez00_2178)
	{
		{	/* Reduce/copy.scm 262 */
			{
				obj_t BgL_obindingsz00_2295;
				obj_t BgL_nbindingsz00_2296;

				BgL_obindingsz00_2295 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2178)))->BgL_bindingsz00);
				BgL_nbindingsz00_2296 = BNIL;
			BgL_loopz00_2294:
				if (NULLP(BgL_obindingsz00_2295))
					{	/* Reduce/copy.scm 267 */
						bool_t BgL_test1986z00_2757;

						if (NULLP(BgL_nbindingsz00_2296))
							{	/* Reduce/copy.scm 267 */
								BgL_test1986z00_2757 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2178)))->
									BgL_removablezf3zf3);
							}
						else
							{	/* Reduce/copy.scm 267 */
								BgL_test1986z00_2757 = ((bool_t) 0);
							}
						if (BgL_test1986z00_2757)
							{	/* Reduce/copy.scm 267 */
								return
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2178)))->
										BgL_bodyz00));
							}
						else
							{	/* Reduce/copy.scm 267 */
								((((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2178)))->
										BgL_bindingsz00) =
									((obj_t) BgL_nbindingsz00_2296), BUNSPEC);
								{
									BgL_nodez00_bglt BgL_auxz00_2767;

									{	/* Reduce/copy.scm 271 */
										BgL_nodez00_bglt BgL_arg1648z00_2297;

										BgL_arg1648z00_2297 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2178)))->
											BgL_bodyz00);
										BgL_auxz00_2767 =
											BGl_nodezd2copyz12zc0zzreduce_copyz00
											(BgL_arg1648z00_2297);
									}
									((((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2178)))->
											BgL_bodyz00) =
										((BgL_nodez00_bglt) BgL_auxz00_2767), BUNSPEC);
								}
								return
									((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2178));
							}
					}
				else
					{	/* Reduce/copy.scm 273 */
						obj_t BgL_bindingz00_2298;

						BgL_bindingz00_2298 = CAR(((obj_t) BgL_obindingsz00_2295));
						{	/* Reduce/copy.scm 273 */
							obj_t BgL_varz00_2299;

							BgL_varz00_2299 = CAR(((obj_t) BgL_bindingz00_2298));
							{	/* Reduce/copy.scm 274 */
								BgL_nodez00_bglt BgL_valz00_2300;

								{	/* Reduce/copy.scm 275 */
									obj_t BgL_arg1705z00_2301;

									BgL_arg1705z00_2301 = CDR(((obj_t) BgL_bindingz00_2298));
									BgL_valz00_2300 =
										BGl_nodezd2copyz12zc0zzreduce_copyz00(
										((BgL_nodez00_bglt) BgL_arg1705z00_2301));
								}
								{	/* Reduce/copy.scm 275 */

									{	/* Reduce/copy.scm 276 */
										obj_t BgL_auxz00_2785;
										obj_t BgL_tmpz00_2783;

										BgL_auxz00_2785 = ((obj_t) BgL_valz00_2300);
										BgL_tmpz00_2783 = ((obj_t) BgL_bindingz00_2298);
										SET_CDR(BgL_tmpz00_2783, BgL_auxz00_2785);
									}
									{	/* Reduce/copy.scm 291 */
										bool_t BgL_test1988z00_2788;

										if (
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2178)))->
												BgL_removablezf3zf3))
											{	/* Reduce/copy.scm 291 */
												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_varz00_2299)))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 2))))
													{	/* Reduce/copy.scm 292 */
														if (CBOOL(BGl_copyablezf3zf3zzreduce_copyz00(
																	((obj_t) BgL_valz00_2300), BgL_varz00_2299)))
															{	/* Reduce/copy.scm 295 */
																BgL_typez00_bglt BgL_arg1696z00_2302;
																BgL_typez00_bglt BgL_arg1697z00_2303;

																BgL_arg1696z00_2302 =
																	(((BgL_nodez00_bglt)
																		COBJECT(BgL_valz00_2300))->BgL_typez00);
																BgL_arg1697z00_2303 =
																	(((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_varz00_2299)))->BgL_typez00);
																BgL_test1988z00_2788 =
																	BGl_cellzd2typezd2lesszd2specificzf3z21zzreduce_copyz00
																	(BgL_arg1696z00_2302, BgL_arg1697z00_2303);
															}
														else
															{	/* Reduce/copy.scm 293 */
																BgL_test1988z00_2788 = ((bool_t) 0);
															}
													}
												else
													{	/* Reduce/copy.scm 292 */
														BgL_test1988z00_2788 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/copy.scm 291 */
												BgL_test1988z00_2788 = ((bool_t) 0);
											}
										if (BgL_test1988z00_2788)
											{	/* Reduce/copy.scm 291 */
												BGl_za2copyzd2removedza2zd2zzreduce_copyz00 =
													(BGl_za2copyzd2removedza2zd2zzreduce_copyz00 +
													((long) 1));
												{	/* Reduce/copy.scm 303 */
													BgL_nodez00_bglt BgL_arg1672z00_2304;

													if (
														(((obj_t)
																(((BgL_nodez00_bglt) COBJECT(BgL_valz00_2300))->
																	BgL_typez00)) ==
															((obj_t) (((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_varz00_2299)))->BgL_typez00))))
														{	/* Reduce/copy.scm 303 */
															BgL_arg1672z00_2304 = BgL_valz00_2300;
														}
													else
														{	/* Reduce/copy.scm 305 */
															BgL_castz00_bglt BgL_new1131z00_2305;

															{	/* Reduce/copy.scm 306 */
																BgL_castz00_bglt BgL_new1130z00_2306;

																BgL_new1130z00_2306 =
																	((BgL_castz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_castz00_bgl))));
																{	/* Reduce/copy.scm 306 */
																	long BgL_arg1677z00_2307;

																	BgL_arg1677z00_2307 =
																		BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1130z00_2306),
																		BgL_arg1677z00_2307);
																}
																{	/* Reduce/copy.scm 306 */
																	BgL_objectz00_bglt BgL_tmpz00_2817;

																	BgL_tmpz00_2817 =
																		((BgL_objectz00_bglt) BgL_new1130z00_2306);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2817,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1130z00_2306);
																BgL_new1131z00_2305 = BgL_new1130z00_2306;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1131z00_2305)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_valz00_2300))->BgL_locz00)),
																BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1131z00_2305)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																			COBJECT(((BgL_variablez00_bglt)
																					BgL_varz00_2299)))->BgL_typez00)),
																BUNSPEC);
															((((BgL_castz00_bglt)
																		COBJECT(BgL_new1131z00_2305))->BgL_argz00) =
																((BgL_nodez00_bglt) BgL_valz00_2300), BUNSPEC);
															BgL_arg1672z00_2304 =
																((BgL_nodez00_bglt) BgL_new1131z00_2305);
														}
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_varz00_2299)))->
															BgL_fastzd2alphazd2) =
														((obj_t) ((obj_t) BgL_arg1672z00_2304)), BUNSPEC);
												}
												{	/* Reduce/copy.scm 309 */
													obj_t BgL_arg1683z00_2308;

													BgL_arg1683z00_2308 =
														CDR(((obj_t) BgL_obindingsz00_2295));
													{
														obj_t BgL_obindingsz00_2835;

														BgL_obindingsz00_2835 = BgL_arg1683z00_2308;
														BgL_obindingsz00_2295 = BgL_obindingsz00_2835;
														goto BgL_loopz00_2294;
													}
												}
											}
										else
											{	/* Reduce/copy.scm 310 */
												obj_t BgL_arg1687z00_2309;
												obj_t BgL_arg1692z00_2310;

												BgL_arg1687z00_2309 =
													CDR(((obj_t) BgL_obindingsz00_2295));
												BgL_arg1692z00_2310 =
													MAKE_YOUNG_PAIR(BgL_bindingz00_2298,
													BgL_nbindingsz00_2296);
												{
													obj_t BgL_nbindingsz00_2840;
													obj_t BgL_obindingsz00_2839;

													BgL_obindingsz00_2839 = BgL_arg1687z00_2309;
													BgL_nbindingsz00_2840 = BgL_arg1692z00_2310;
													BgL_nbindingsz00_2296 = BgL_nbindingsz00_2840;
													BgL_obindingsz00_2295 = BgL_obindingsz00_2839;
													goto BgL_loopz00_2294;
												}
											}
									}
								}
							}
						}
					}
			}
		}

	}



/* &copyable?-fail1335 */
	obj_t BGl_z62copyablezf3zd2fail1335z43zzreduce_copyz00(obj_t BgL_envz00_2179,
		obj_t BgL_nodez00_2180, obj_t BgL_vz00_2181)
	{
		{	/* Reduce/copy.scm 255 */
			{	/* Reduce/copy.scm 257 */
				obj_t BgL__andtest_1126z00_2312;

				{	/* Reduce/copy.scm 257 */
					BgL_nodez00_bglt BgL_arg1639z00_2313;

					BgL_arg1639z00_2313 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2180)))->BgL_procz00);
					BgL__andtest_1126z00_2312 =
						BGl_copyablezf3zf3zzreduce_copyz00(
						((obj_t) BgL_arg1639z00_2313), BgL_vz00_2181);
				}
				if (CBOOL(BgL__andtest_1126z00_2312))
					{	/* Reduce/copy.scm 257 */
						obj_t BgL__andtest_1127z00_2314;

						{	/* Reduce/copy.scm 257 */
							BgL_nodez00_bglt BgL_arg1636z00_2315;

							BgL_arg1636z00_2315 =
								(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nodez00_2180)))->BgL_msgz00);
							BgL__andtest_1127z00_2314 =
								BGl_copyablezf3zf3zzreduce_copyz00(
								((obj_t) BgL_arg1636z00_2315), BgL_vz00_2181);
						}
						if (CBOOL(BgL__andtest_1127z00_2314))
							{	/* Reduce/copy.scm 257 */
								BgL_nodez00_bglt BgL_arg1635z00_2316;

								BgL_arg1635z00_2316 =
									(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2180)))->BgL_objz00);
								return
									BGl_copyablezf3zf3zzreduce_copyz00(
									((obj_t) BgL_arg1635z00_2316), BgL_vz00_2181);
							}
						else
							{	/* Reduce/copy.scm 257 */
								return BFALSE;
							}
					}
				else
					{	/* Reduce/copy.scm 257 */
						return BFALSE;
					}
			}
		}

	}



/* &copyable?-conditiona1333 */
	obj_t BGl_z62copyablezf3zd2conditiona1333z43zzreduce_copyz00(obj_t
		BgL_envz00_2182, obj_t BgL_nodez00_2183, obj_t BgL_vz00_2184)
	{
		{	/* Reduce/copy.scm 247 */
			if (
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_2184)))->BgL_occurrencez00) <=
					((long) 1)))
				{	/* Reduce/copy.scm 250 */
					obj_t BgL__andtest_1123z00_2318;

					{	/* Reduce/copy.scm 250 */
						BgL_nodez00_bglt BgL_arg1630z00_2319;

						BgL_arg1630z00_2319 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2183)))->BgL_testz00);
						BgL__andtest_1123z00_2318 =
							BGl_copyablezf3zf3zzreduce_copyz00(
							((obj_t) BgL_arg1630z00_2319), BgL_vz00_2184);
					}
					if (CBOOL(BgL__andtest_1123z00_2318))
						{	/* Reduce/copy.scm 250 */
							obj_t BgL__andtest_1124z00_2320;

							{	/* Reduce/copy.scm 250 */
								BgL_nodez00_bglt BgL_arg1629z00_2321;

								BgL_arg1629z00_2321 =
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2183)))->
									BgL_truez00);
								BgL__andtest_1124z00_2320 =
									BGl_copyablezf3zf3zzreduce_copyz00(((obj_t)
										BgL_arg1629z00_2321), BgL_vz00_2184);
							}
							if (CBOOL(BgL__andtest_1124z00_2320))
								{	/* Reduce/copy.scm 250 */
									BgL_nodez00_bglt BgL_arg1625z00_2322;

									BgL_arg1625z00_2322 =
										(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2183)))->
										BgL_falsez00);
									return BGl_copyablezf3zf3zzreduce_copyz00(((obj_t)
											BgL_arg1625z00_2322), BgL_vz00_2184);
								}
							else
								{	/* Reduce/copy.scm 250 */
									return BFALSE;
								}
						}
					else
						{	/* Reduce/copy.scm 250 */
							return BFALSE;
						}
				}
			else
				{	/* Reduce/copy.scm 249 */
					return BFALSE;
				}
		}

	}



/* &copyable?-instanceof1331 */
	obj_t BGl_z62copyablezf3zd2instanceof1331z43zzreduce_copyz00(obj_t
		BgL_envz00_2185, obj_t BgL_nodez00_2186, obj_t BgL_vz00_2187)
	{
		{	/* Reduce/copy.scm 240 */
			{	/* Reduce/copy.scm 241 */
				bool_t BgL_tmpz00_2879;

				{	/* Reduce/copy.scm 242 */
					obj_t BgL_g1282z00_2324;

					BgL_g1282z00_2324 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nodez00_2186))))->
						BgL_exprza2za2);
					{
						obj_t BgL_l1280z00_2326;

						BgL_l1280z00_2326 = BgL_g1282z00_2324;
					BgL_zc3z04anonymousza31611ze3z87_2325:
						if (NULLP(BgL_l1280z00_2326))
							{	/* Reduce/copy.scm 242 */
								BgL_tmpz00_2879 = ((bool_t) 1);
							}
						else
							{	/* Reduce/copy.scm 242 */
								obj_t BgL_nvz00_2327;

								{	/* Reduce/copy.scm 242 */
									obj_t BgL_nz00_2328;

									BgL_nz00_2328 = CAR(((obj_t) BgL_l1280z00_2326));
									BgL_nvz00_2327 =
										BGl_copyablezf3zf3zzreduce_copyz00(BgL_nz00_2328,
										BgL_vz00_2187);
								}
								if (CBOOL(BgL_nvz00_2327))
									{	/* Reduce/copy.scm 242 */
										obj_t BgL_arg1614z00_2329;

										BgL_arg1614z00_2329 = CDR(((obj_t) BgL_l1280z00_2326));
										{
											obj_t BgL_l1280z00_2892;

											BgL_l1280z00_2892 = BgL_arg1614z00_2329;
											BgL_l1280z00_2326 = BgL_l1280z00_2892;
											goto BgL_zc3z04anonymousza31611ze3z87_2325;
										}
									}
								else
									{	/* Reduce/copy.scm 242 */
										BgL_tmpz00_2879 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2879);
			}
		}

	}



/* &copyable?-cast-null1329 */
	obj_t BGl_z62copyablezf3zd2castzd2null1329z91zzreduce_copyz00(obj_t
		BgL_envz00_2188, obj_t BgL_nodez00_2189, obj_t BgL_vz00_2190)
	{
		{	/* Reduce/copy.scm 233 */
			{	/* Reduce/copy.scm 234 */
				bool_t BgL_tmpz00_2894;

				{	/* Reduce/copy.scm 235 */
					obj_t BgL_g1278z00_2331;

					BgL_g1278z00_2331 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nodez00_2189))))->
						BgL_exprza2za2);
					{
						obj_t BgL_l1276z00_2333;

						BgL_l1276z00_2333 = BgL_g1278z00_2331;
					BgL_zc3z04anonymousza31600ze3z87_2332:
						if (NULLP(BgL_l1276z00_2333))
							{	/* Reduce/copy.scm 235 */
								BgL_tmpz00_2894 = ((bool_t) 1);
							}
						else
							{	/* Reduce/copy.scm 235 */
								obj_t BgL_nvz00_2334;

								{	/* Reduce/copy.scm 235 */
									obj_t BgL_nz00_2335;

									BgL_nz00_2335 = CAR(((obj_t) BgL_l1276z00_2333));
									BgL_nvz00_2334 =
										BGl_copyablezf3zf3zzreduce_copyz00(BgL_nz00_2335,
										BgL_vz00_2190);
								}
								if (CBOOL(BgL_nvz00_2334))
									{	/* Reduce/copy.scm 235 */
										obj_t BgL_arg1610z00_2336;

										BgL_arg1610z00_2336 = CDR(((obj_t) BgL_l1276z00_2333));
										{
											obj_t BgL_l1276z00_2907;

											BgL_l1276z00_2907 = BgL_arg1610z00_2336;
											BgL_l1276z00_2333 = BgL_l1276z00_2907;
											goto BgL_zc3z04anonymousza31600ze3z87_2332;
										}
									}
								else
									{	/* Reduce/copy.scm 235 */
										BgL_tmpz00_2894 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2894);
			}
		}

	}



/* &copyable?-cast1327 */
	obj_t BGl_z62copyablezf3zd2cast1327z43zzreduce_copyz00(obj_t BgL_envz00_2191,
		obj_t BgL_nodez00_2192, obj_t BgL_vz00_2193)
	{
		{	/* Reduce/copy.scm 226 */
			{	/* Reduce/copy.scm 228 */
				BgL_nodez00_bglt BgL_arg1599z00_2338;

				BgL_arg1599z00_2338 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2192)))->BgL_argz00);
				return
					BGl_copyablezf3zf3zzreduce_copyz00(
					((obj_t) BgL_arg1599z00_2338), BgL_vz00_2193);
			}
		}

	}



/* &copyable?-vlength1325 */
	obj_t BGl_z62copyablezf3zd2vlength1325z43zzreduce_copyz00(obj_t
		BgL_envz00_2194, obj_t BgL_nodez00_2195, obj_t BgL_vz00_2196)
	{
		{	/* Reduce/copy.scm 219 */
			{	/* Reduce/copy.scm 220 */
				bool_t BgL_tmpz00_2913;

				{	/* Reduce/copy.scm 221 */
					obj_t BgL_g1274z00_2340;

					BgL_g1274z00_2340 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vlengthz00_bglt) BgL_nodez00_2195))))->BgL_exprza2za2);
					{
						obj_t BgL_l1272z00_2342;

						BgL_l1272z00_2342 = BgL_g1274z00_2340;
					BgL_zc3z04anonymousza31589ze3z87_2341:
						if (NULLP(BgL_l1272z00_2342))
							{	/* Reduce/copy.scm 221 */
								BgL_tmpz00_2913 = ((bool_t) 1);
							}
						else
							{	/* Reduce/copy.scm 221 */
								obj_t BgL_nvz00_2343;

								{	/* Reduce/copy.scm 221 */
									obj_t BgL_nz00_2344;

									BgL_nz00_2344 = CAR(((obj_t) BgL_l1272z00_2342));
									BgL_nvz00_2343 =
										BGl_copyablezf3zf3zzreduce_copyz00(BgL_nz00_2344,
										BgL_vz00_2196);
								}
								if (CBOOL(BgL_nvz00_2343))
									{	/* Reduce/copy.scm 221 */
										obj_t BgL_arg1598z00_2345;

										BgL_arg1598z00_2345 = CDR(((obj_t) BgL_l1272z00_2342));
										{
											obj_t BgL_l1272z00_2926;

											BgL_l1272z00_2926 = BgL_arg1598z00_2345;
											BgL_l1272z00_2342 = BgL_l1272z00_2926;
											goto BgL_zc3z04anonymousza31589ze3z87_2341;
										}
									}
								else
									{	/* Reduce/copy.scm 221 */
										BgL_tmpz00_2913 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2913);
			}
		}

	}



/* &copyable?-sequence1323 */
	obj_t BGl_z62copyablezf3zd2sequence1323z43zzreduce_copyz00(obj_t
		BgL_envz00_2197, obj_t BgL_nodez00_2198, obj_t BgL_vz00_2199)
	{
		{	/* Reduce/copy.scm 212 */
			{	/* Reduce/copy.scm 213 */
				bool_t BgL_tmpz00_2928;

				{	/* Reduce/copy.scm 214 */
					obj_t BgL_g1270z00_2347;

					BgL_g1270z00_2347 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2198)))->BgL_nodesz00);
					{
						obj_t BgL_l1268z00_2349;

						BgL_l1268z00_2349 = BgL_g1270z00_2347;
					BgL_zc3z04anonymousza31582ze3z87_2348:
						if (NULLP(BgL_l1268z00_2349))
							{	/* Reduce/copy.scm 214 */
								BgL_tmpz00_2928 = ((bool_t) 1);
							}
						else
							{	/* Reduce/copy.scm 214 */
								obj_t BgL_nvz00_2350;

								{	/* Reduce/copy.scm 214 */
									obj_t BgL_nz00_2351;

									BgL_nz00_2351 = CAR(((obj_t) BgL_l1268z00_2349));
									BgL_nvz00_2350 =
										BGl_copyablezf3zf3zzreduce_copyz00(BgL_nz00_2351,
										BgL_vz00_2199);
								}
								if (CBOOL(BgL_nvz00_2350))
									{	/* Reduce/copy.scm 214 */
										obj_t BgL_arg1588z00_2352;

										BgL_arg1588z00_2352 = CDR(((obj_t) BgL_l1268z00_2349));
										{
											obj_t BgL_l1268z00_2940;

											BgL_l1268z00_2940 = BgL_arg1588z00_2352;
											BgL_l1268z00_2349 = BgL_l1268z00_2940;
											goto BgL_zc3z04anonymousza31582ze3z87_2348;
										}
									}
								else
									{	/* Reduce/copy.scm 214 */
										BgL_tmpz00_2928 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2928);
			}
		}

	}



/* &copyable?-var1321 */
	obj_t BGl_z62copyablezf3zd2var1321z43zzreduce_copyz00(obj_t BgL_envz00_2200,
		obj_t BgL_nodez00_2201, obj_t BgL_vz00_2202)
	{
		{	/* Reduce/copy.scm 206 */
			return
				BBOOL(
				((((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_2201)))->
									BgL_variablez00)))->BgL_accessz00) ==
					CNST_TABLE_REF(((long) 2))));
		}

	}



/* &copyable?-atom1319 */
	obj_t BGl_z62copyablezf3zd2atom1319z43zzreduce_copyz00(obj_t BgL_envz00_2203,
		obj_t BgL_nodez00_2204, obj_t BgL_vz00_2205)
	{
		{	/* Reduce/copy.scm 200 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &node-copy!-let-fun1315 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun1315za2zzreduce_copyz00(obj_t
		BgL_envz00_2206, obj_t BgL_nodez00_2207)
	{
		{	/* Reduce/copy.scm 180 */
			{	/* Reduce/copy.scm 182 */
				obj_t BgL_g1267z00_2356;

				BgL_g1267z00_2356 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2207)))->BgL_localsz00);
				{
					obj_t BgL_l1265z00_2358;

					BgL_l1265z00_2358 = BgL_g1267z00_2356;
				BgL_zc3z04anonymousza31560ze3z87_2357:
					if (PAIRP(BgL_l1265z00_2358))
						{	/* Reduce/copy.scm 182 */
							{	/* Reduce/copy.scm 183 */
								obj_t BgL_localz00_2359;

								BgL_localz00_2359 = CAR(BgL_l1265z00_2358);
								{	/* Reduce/copy.scm 183 */
									BgL_valuez00_bglt BgL_funz00_2360;

									BgL_funz00_2360 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2359))))->
										BgL_valuez00);
									{	/* Reduce/copy.scm 184 */
										BgL_nodez00_bglt BgL_arg1565z00_2361;

										{	/* Reduce/copy.scm 184 */
											obj_t BgL_arg1567z00_2362;

											BgL_arg1567z00_2362 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2360)))->
												BgL_bodyz00);
											BgL_arg1565z00_2361 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00((
													(BgL_nodez00_bglt) BgL_arg1567z00_2362));
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2360)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1565z00_2361)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1265z00_2964;

								BgL_l1265z00_2964 = CDR(BgL_l1265z00_2358);
								BgL_l1265z00_2358 = BgL_l1265z00_2964;
								goto BgL_zc3z04anonymousza31560ze3z87_2357;
							}
						}
					else
						{	/* Reduce/copy.scm 182 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2966;

				{	/* Reduce/copy.scm 186 */
					BgL_nodez00_bglt BgL_arg1572z00_2363;

					BgL_arg1572z00_2363 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2207)))->BgL_bodyz00);
					BgL_auxz00_2966 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1572z00_2363);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2207)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2966), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2207));
		}

	}



/* &node-copy!-switch1313 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2switch1313z70zzreduce_copyz00(obj_t
		BgL_envz00_2208, obj_t BgL_nodez00_2209)
	{
		{	/* Reduce/copy.scm 169 */
			{
				BgL_nodez00_bglt BgL_auxz00_2974;

				{	/* Reduce/copy.scm 171 */
					BgL_nodez00_bglt BgL_arg1532z00_2365;

					BgL_arg1532z00_2365 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2209)))->BgL_testz00);
					BgL_auxz00_2974 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1532z00_2365);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2209)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2974), BUNSPEC);
			}
			{	/* Reduce/copy.scm 172 */
				obj_t BgL_g1264z00_2366;

				BgL_g1264z00_2366 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2209)))->BgL_clausesz00);
				{
					obj_t BgL_l1262z00_2368;

					BgL_l1262z00_2368 = BgL_g1264z00_2366;
				BgL_zc3z04anonymousza31533ze3z87_2367:
					if (PAIRP(BgL_l1262z00_2368))
						{	/* Reduce/copy.scm 172 */
							{	/* Reduce/copy.scm 173 */
								obj_t BgL_clausez00_2369;

								BgL_clausez00_2369 = CAR(BgL_l1262z00_2368);
								{	/* Reduce/copy.scm 173 */
									BgL_nodez00_bglt BgL_arg1535z00_2370;

									{	/* Reduce/copy.scm 173 */
										obj_t BgL_arg1558z00_2371;

										BgL_arg1558z00_2371 = CDR(((obj_t) BgL_clausez00_2369));
										BgL_arg1535z00_2370 =
											BGl_nodezd2copyz12zc0zzreduce_copyz00(
											((BgL_nodez00_bglt) BgL_arg1558z00_2371));
									}
									{	/* Reduce/copy.scm 173 */
										obj_t BgL_auxz00_2991;
										obj_t BgL_tmpz00_2989;

										BgL_auxz00_2991 = ((obj_t) BgL_arg1535z00_2370);
										BgL_tmpz00_2989 = ((obj_t) BgL_clausez00_2369);
										SET_CDR(BgL_tmpz00_2989, BgL_auxz00_2991);
									}
								}
							}
							{
								obj_t BgL_l1262z00_2994;

								BgL_l1262z00_2994 = CDR(BgL_l1262z00_2368);
								BgL_l1262z00_2368 = BgL_l1262z00_2994;
								goto BgL_zc3z04anonymousza31533ze3z87_2367;
							}
						}
					else
						{	/* Reduce/copy.scm 172 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2209));
		}

	}



/* &node-copy!-fail1311 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2fail1311z70zzreduce_copyz00(obj_t
		BgL_envz00_2210, obj_t BgL_nodez00_2211)
	{
		{	/* Reduce/copy.scm 159 */
			{
				BgL_nodez00_bglt BgL_auxz00_2998;

				{	/* Reduce/copy.scm 161 */
					BgL_nodez00_bglt BgL_arg1524z00_2373;

					BgL_arg1524z00_2373 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2211)))->BgL_procz00);
					BgL_auxz00_2998 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1524z00_2373);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2211)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2998), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3004;

				{	/* Reduce/copy.scm 162 */
					BgL_nodez00_bglt BgL_arg1526z00_2374;

					BgL_arg1526z00_2374 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2211)))->BgL_msgz00);
					BgL_auxz00_3004 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1526z00_2374);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2211)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3004), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3010;

				{	/* Reduce/copy.scm 163 */
					BgL_nodez00_bglt BgL_arg1529z00_2375;

					BgL_arg1529z00_2375 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2211)))->BgL_objz00);
					BgL_auxz00_3010 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1529z00_2375);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2211)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3010), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2211));
		}

	}



/* &node-copy!-condition1309 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition1309z70zzreduce_copyz00(obj_t
		BgL_envz00_2212, obj_t BgL_nodez00_2213)
	{
		{	/* Reduce/copy.scm 149 */
			{
				BgL_nodez00_bglt BgL_auxz00_3018;

				{	/* Reduce/copy.scm 151 */
					BgL_nodez00_bglt BgL_arg1521z00_2377;

					BgL_arg1521z00_2377 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2213)))->BgL_testz00);
					BgL_auxz00_3018 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1521z00_2377);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2213)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3018), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3024;

				{	/* Reduce/copy.scm 152 */
					BgL_nodez00_bglt BgL_arg1522z00_2378;

					BgL_arg1522z00_2378 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2213)))->BgL_truez00);
					BgL_auxz00_3024 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1522z00_2378);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2213)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3024), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3030;

				{	/* Reduce/copy.scm 153 */
					BgL_nodez00_bglt BgL_arg1523z00_2379;

					BgL_arg1523z00_2379 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2213)))->BgL_falsez00);
					BgL_auxz00_3030 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1523z00_2379);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2213)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3030), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2213));
		}

	}



/* &node-copy!-setq1307 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2setq1307z70zzreduce_copyz00(obj_t
		BgL_envz00_2214, obj_t BgL_nodez00_2215)
	{
		{	/* Reduce/copy.scm 140 */
			{
				BgL_nodez00_bglt BgL_auxz00_3038;

				{	/* Reduce/copy.scm 142 */
					BgL_nodez00_bglt BgL_arg1510z00_2381;

					BgL_arg1510z00_2381 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2215)))->BgL_valuez00);
					BgL_auxz00_3038 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1510z00_2381);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2215)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3038), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3044;

				{	/* Reduce/copy.scm 143 */
					BgL_varz00_bglt BgL_arg1511z00_2382;

					BgL_arg1511z00_2382 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2215)))->BgL_varz00);
					BgL_auxz00_3044 =
						((BgL_varz00_bglt)
						BGl_nodezd2copyz12zc0zzreduce_copyz00(
							((BgL_nodez00_bglt) BgL_arg1511z00_2382)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2215)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3044), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2215));
		}

	}



/* &node-copy!-cast1305 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2cast1305z70zzreduce_copyz00(obj_t
		BgL_envz00_2216, obj_t BgL_nodez00_2217)
	{
		{	/* Reduce/copy.scm 132 */
			{
				BgL_nodez00_bglt BgL_auxz00_3054;

				{	/* Reduce/copy.scm 134 */
					BgL_nodez00_bglt BgL_arg1506z00_2384;

					BgL_arg1506z00_2384 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2217)))->BgL_argz00);
					BgL_auxz00_3054 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1506z00_2384);
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2217)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3054), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2217));
		}

	}



/* &node-copy!-extern1303 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2extern1303z70zzreduce_copyz00(obj_t
		BgL_envz00_2218, obj_t BgL_nodez00_2219)
	{
		{	/* Reduce/copy.scm 124 */
			BGl_nodezd2copyza2z12z62zzreduce_copyz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2219)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2219));
		}

	}



/* &node-copy!-funcall1301 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2funcall1301z70zzreduce_copyz00(obj_t
		BgL_envz00_2220, obj_t BgL_nodez00_2221)
	{
		{	/* Reduce/copy.scm 115 */
			{
				BgL_nodez00_bglt BgL_auxz00_3067;

				{	/* Reduce/copy.scm 117 */
					BgL_nodez00_bglt BgL_arg1482z00_2387;

					BgL_arg1482z00_2387 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2221)))->BgL_funz00);
					BgL_auxz00_3067 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1482z00_2387);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2221)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3067), BUNSPEC);
			}
			BGl_nodezd2copyza2z12z62zzreduce_copyz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2221)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2221));
		}

	}



/* &node-copy!-app-ly1299 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2appzd2ly1299za2zzreduce_copyz00(obj_t
		BgL_envz00_2222, obj_t BgL_nodez00_2223)
	{
		{	/* Reduce/copy.scm 106 */
			{
				BgL_nodez00_bglt BgL_auxz00_3078;

				{	/* Reduce/copy.scm 108 */
					BgL_nodez00_bglt BgL_arg1467z00_2389;

					BgL_arg1467z00_2389 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2223)))->BgL_funz00);
					BgL_auxz00_3078 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1467z00_2389);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2223)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3078), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3084;

				{	/* Reduce/copy.scm 109 */
					BgL_nodez00_bglt BgL_arg1468z00_2390;

					BgL_arg1468z00_2390 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2223)))->BgL_argz00);
					BgL_auxz00_3084 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1468z00_2390);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2223)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3084), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2223));
		}

	}



/* &node-copy!-sync1297 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2sync1297z70zzreduce_copyz00(obj_t
		BgL_envz00_2224, obj_t BgL_nodez00_2225)
	{
		{	/* Reduce/copy.scm 96 */
			{
				BgL_nodez00_bglt BgL_auxz00_3092;

				{	/* Reduce/copy.scm 98 */
					BgL_nodez00_bglt BgL_arg1426z00_2392;

					BgL_arg1426z00_2392 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2225)))->BgL_mutexz00);
					BgL_auxz00_3092 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1426z00_2392);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2225)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3092), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3098;

				{	/* Reduce/copy.scm 99 */
					BgL_nodez00_bglt BgL_arg1429z00_2393;

					BgL_arg1429z00_2393 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2225)))->BgL_prelockz00);
					BgL_auxz00_3098 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1429z00_2393);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2225)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3098), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3104;

				{	/* Reduce/copy.scm 100 */
					BgL_nodez00_bglt BgL_arg1458z00_2394;

					BgL_arg1458z00_2394 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2225)))->BgL_bodyz00);
					BgL_auxz00_3104 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1458z00_2394);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2225)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3104), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2225));
		}

	}



/* &node-copy!-sequence1295 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2sequence1295z70zzreduce_copyz00(obj_t
		BgL_envz00_2226, obj_t BgL_nodez00_2227)
	{
		{	/* Reduce/copy.scm 88 */
			BGl_nodezd2copyza2z12z62zzreduce_copyz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2227)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2227));
		}

	}



/* &node-copy!-closure1293 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2closure1293z70zzreduce_copyz00(obj_t
		BgL_envz00_2228, obj_t BgL_nodez00_2229)
	{
		{	/* Reduce/copy.scm 82 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2229));
		}

	}



/* &node-copy!-var1291 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2var1291z70zzreduce_copyz00(obj_t
		BgL_envz00_2230, obj_t BgL_nodez00_2231)
	{
		{	/* Reduce/copy.scm 72 */
			{	/* Reduce/copy.scm 73 */
				BgL_variablez00_bglt BgL_vz00_2398;

				BgL_vz00_2398 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2231)))->BgL_variablez00);
				{	/* Reduce/copy.scm 74 */
					obj_t BgL_falphaz00_2399;

					BgL_falphaz00_2399 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2398))->
						BgL_fastzd2alphazd2);
					if ((BgL_falphaz00_2399 == BUNSPEC))
						{	/* Reduce/copy.scm 75 */
							return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2231));
						}
					else
						{	/* Reduce/copy.scm 76 */
							obj_t BgL_arg1400z00_2400;
							BgL_nodez00_bglt BgL_arg1421z00_2401;

							BgL_arg1400z00_2400 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_varz00_bglt) BgL_nodez00_2231))))->BgL_locz00);
							BgL_arg1421z00_2401 =
								BGl_nodezd2copyz12zc0zzreduce_copyz00(
								((BgL_nodez00_bglt) BgL_falphaz00_2399));
							return
								BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
								BgL_arg1400z00_2400, BgL_arg1421z00_2401);
						}
				}
			}
		}

	}



/* &node-copy!-kwote1289 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2kwote1289z70zzreduce_copyz00(obj_t
		BgL_envz00_2232, obj_t BgL_nodez00_2233)
	{
		{	/* Reduce/copy.scm 66 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2233));
		}

	}



/* &node-copy!-atom1287 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2atom1287z70zzreduce_copyz00(obj_t
		BgL_envz00_2234, obj_t BgL_nodez00_2235)
	{
		{	/* Reduce/copy.scm 60 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2235));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1920z00zzreduce_copyz00));
		}

	}

#ifdef __cplusplus
}
#endif
