/*===========================================================================*/
/*   (Reduce/ftypec.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/ftypec.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1308z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121314zb0zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1312za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
		BUNSPEC;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21310z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2(void);
	static obj_t BGl_objectzd2initzd2zzreduce_flowzd2typeczd2(void);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1300z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1306za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1298z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1316za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1294z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2switch1302z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1296z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sync1286z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1290z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1288za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1284z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2(obj_t, obj_t, obj_t);
	static obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t, obj_t);
	static long BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1292z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static long BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2(void);
	static obj_t BGl_z62nodezd2typecz121281za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2(void);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_flowzd2typeczd2(void);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1304za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1318z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71899za7,
		BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1870z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1870za700za7za7r1900za7, "      flow type check        ", 29);
	      DEFINE_STRING(BGl_string1871z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1871za700za7za7r1901za7, ")\n", 2);
	      DEFINE_STRING(BGl_string1872z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1872za700za7za7r1902za7, ", remaining: ", 13);
	      DEFINE_STRING(BGl_string1873z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1873za700za7za7r1903za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string1875z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1875za700za7za7r1904za7, "node-typec!1281", 15);
	      DEFINE_STRING(BGl_string1877z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1877za700za7za7r1905za7, "node-typec!", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71906za7,
		BGl_z62nodezd2typecz121281za2zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71907za7,
		BGl_z62nodezd2typecz12zd2sequence1284z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71908za7,
		BGl_z62nodezd2typecz12zd2sync1286z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71909za7,
		BGl_z62nodezd2typecz12zd2appzd2ly1288za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71910za7,
		BGl_z62nodezd2typecz12zd2funcall1290z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71911za7,
		BGl_z62nodezd2typecz12zd2extern1292z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71912za7,
		BGl_z62nodezd2typecz12zd2cast1294z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71913za7,
		BGl_z62nodezd2typecz12zd2setq1296z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71914za7,
		BGl_z62nodezd2typecz12zd2conditio1298z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71915za7,
		BGl_z62nodezd2typecz12zd2fail1300z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71916za7,
		BGl_z62nodezd2typecz12zd2switch1302z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71917za7,
		BGl_z62nodezd2typecz12zd2letzd2fun1304za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71918za7,
		BGl_z62nodezd2typecz12zd2letzd2var1306za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1895za700za7za7r1919za7, "reduce_flow-typec", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71920za7,
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1308z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1896z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1896za700za7za7r1921za7, "read done ", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71922za7,
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21310z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71923za7,
		BGl_z62nodezd2typecz12zd2makezd2box1312za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71924za7,
		BGl_z62nodezd2typecz12zd2boxzd2setz121314zb0zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71925za7,
		BGl_z62nodezd2typecz12zd2boxzd2ref1316za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71926za7,
		BGl_z62nodezd2typecz12zd2app1318z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2flowzd2typezd2checkz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl_za762reduceza7d2flow1927z00,
		BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long
		BgL_checksumz00_2610, char *BgL_fromz00_2611)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2))
				{
					BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_flowzd2typeczd2();
					BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_genericzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_methodzd2initzd2zzreduce_flowzd2typeczd2();
					return BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_flow-typec");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			{	/* Reduce/ftypec.scm 15 */
				obj_t BgL_cportz00_2464;

				{	/* Reduce/ftypec.scm 15 */
					obj_t BgL_stringz00_2471;

					BgL_stringz00_2471 = BGl_string1896z00zzreduce_flowzd2typeczd2;
					{	/* Reduce/ftypec.scm 15 */
						obj_t BgL_startz00_2472;

						BgL_startz00_2472 = BINT(((long) 0));
						{	/* Reduce/ftypec.scm 15 */
							obj_t BgL_endz00_2473;

							BgL_endz00_2473 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2471)));
							{	/* Reduce/ftypec.scm 15 */

								BgL_cportz00_2464 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2471, BgL_startz00_2472, BgL_endz00_2473);
				}}}}
				{
					long BgL_iz00_2465;

					BgL_iz00_2465 = ((long) 1);
				BgL_loopz00_2466:
					if ((BgL_iz00_2465 == ((long) -1)))
						{	/* Reduce/ftypec.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/ftypec.scm 15 */
							{	/* Reduce/ftypec.scm 15 */
								obj_t BgL_arg1898z00_2467;

								{	/* Reduce/ftypec.scm 15 */

									{	/* Reduce/ftypec.scm 15 */
										obj_t BgL_locationz00_2469;

										BgL_locationz00_2469 = BBOOL(((bool_t) 0));
										{	/* Reduce/ftypec.scm 15 */

											BgL_arg1898z00_2467 =
												BGl_readz00zz__readerz00(BgL_cportz00_2464,
												BgL_locationz00_2469);
										}
									}
								}
								{	/* Reduce/ftypec.scm 15 */
									int BgL_tmpz00_2640;

									BgL_tmpz00_2640 = (int) (BgL_iz00_2465);
									CNST_TABLE_SET(BgL_tmpz00_2640, BgL_arg1898z00_2467);
							}}
							{	/* Reduce/ftypec.scm 15 */
								int BgL_auxz00_2470;

								BgL_auxz00_2470 = (int) ((BgL_iz00_2465 - ((long) 1)));
								{
									long BgL_iz00_2645;

									BgL_iz00_2645 = (long) (BgL_auxz00_2470);
									BgL_iz00_2465 = BgL_iz00_2645;
									goto BgL_loopz00_2466;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2 =
				((long) 0);
			BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2 = ((long) 0);
			return BUNSPEC;
		}

	}



/* reduce-flow-type-check! */
	BGL_EXPORTED_DEF obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/ftypec.scm 54 */
			{	/* Reduce/ftypec.scm 55 */
				obj_t BgL_list1333z00_1618;

				BgL_list1333z00_1618 =
					MAKE_YOUNG_PAIR(BGl_string1870z00zzreduce_flowzd2typeczd2, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1333z00_1618);
			}
			{
				obj_t BgL_l1270z00_1620;

				BgL_l1270z00_1620 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31334ze3z87_1621:
				if (PAIRP(BgL_l1270z00_1620))
					{	/* Reduce/ftypec.scm 56 */
						{	/* Reduce/ftypec.scm 57 */
							obj_t BgL_globalz00_1623;

							BgL_globalz00_1623 = CAR(BgL_l1270z00_1620);
							{	/* Reduce/ftypec.scm 57 */
								BgL_valuez00_bglt BgL_funz00_1624;

								BgL_funz00_1624 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1623))))->
									BgL_valuez00);
								{	/* Reduce/ftypec.scm 57 */
									obj_t BgL_nodez00_1625;

									BgL_nodez00_1625 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1624)))->BgL_bodyz00);
									{	/* Reduce/ftypec.scm 58 */

										{	/* Reduce/ftypec.scm 59 */
											BgL_nodez00_bglt BgL_arg1338z00_1626;

											BgL_arg1338z00_1626 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
												((BgL_nodez00_bglt) BgL_nodez00_1625), BNIL);
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1624)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1338z00_1626)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1270z00_2664;

							BgL_l1270z00_2664 = CDR(BgL_l1270z00_1620);
							BgL_l1270z00_1620 = BgL_l1270z00_2664;
							goto BgL_zc3z04anonymousza31334ze3z87_1621;
						}
					}
				else
					{	/* Reduce/ftypec.scm 56 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/ftypec.scm 62 */
				obj_t BgL_list1340z00_1629;

				{	/* Reduce/ftypec.scm 62 */
					obj_t BgL_arg1341z00_1630;

					{	/* Reduce/ftypec.scm 62 */
						obj_t BgL_arg1343z00_1631;

						{	/* Reduce/ftypec.scm 62 */
							obj_t BgL_arg1344z00_1632;

							{	/* Reduce/ftypec.scm 62 */
								obj_t BgL_arg1346z00_1633;

								BgL_arg1346z00_1633 =
									MAKE_YOUNG_PAIR(BGl_string1871z00zzreduce_flowzd2typeczd2,
									BNIL);
								BgL_arg1344z00_1632 =
									MAKE_YOUNG_PAIR(BINT
									(BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2),
									BgL_arg1346z00_1633);
							}
							BgL_arg1343z00_1631 =
								MAKE_YOUNG_PAIR(BGl_string1872z00zzreduce_flowzd2typeczd2,
								BgL_arg1344z00_1632);
						}
						BgL_arg1341z00_1630 =
							MAKE_YOUNG_PAIR(BINT
							(BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2),
							BgL_arg1343z00_1631);
					}
					BgL_list1340z00_1629 =
						MAKE_YOUNG_PAIR(BGl_string1873z00zzreduce_flowzd2typeczd2,
						BgL_arg1341z00_1630);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1340z00_1629);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-flow-type-check! */
	obj_t BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2383, obj_t BgL_globalsz00_2384)
	{
		{	/* Reduce/ftypec.scm 54 */
			return
				BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2
				(BgL_globalsz00_2384);
		}

	}



/* node-typec*! */
	obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t
		BgL_nodeza2za2_40, obj_t BgL_stackz00_41)
	{
		{	/* Reduce/ftypec.scm 304 */
			{
				obj_t BgL_nodeza2za2_1635;

				BgL_nodeza2za2_1635 = BgL_nodeza2za2_40;
			BgL_zc3z04anonymousza31347ze3z87_1636:
				if (NULLP(BgL_nodeza2za2_1635))
					{	/* Reduce/ftypec.scm 306 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/ftypec.scm 306 */
						{	/* Reduce/ftypec.scm 309 */
							BgL_nodez00_bglt BgL_arg1352z00_1638;

							{	/* Reduce/ftypec.scm 309 */
								obj_t BgL_arg1353z00_1639;

								BgL_arg1353z00_1639 = CAR(((obj_t) BgL_nodeza2za2_1635));
								BgL_arg1352z00_1638 =
									BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
									((BgL_nodez00_bglt) BgL_arg1353z00_1639), BgL_stackz00_41);
							}
							{	/* Reduce/ftypec.scm 309 */
								obj_t BgL_auxz00_2685;
								obj_t BgL_tmpz00_2683;

								BgL_auxz00_2685 = ((obj_t) BgL_arg1352z00_1638);
								BgL_tmpz00_2683 = ((obj_t) BgL_nodeza2za2_1635);
								SET_CAR(BgL_tmpz00_2683, BgL_auxz00_2685);
							}
						}
						{	/* Reduce/ftypec.scm 310 */
							obj_t BgL_arg1356z00_1640;

							BgL_arg1356z00_1640 = CDR(((obj_t) BgL_nodeza2za2_1635));
							{
								obj_t BgL_nodeza2za2_2690;

								BgL_nodeza2za2_2690 = BgL_arg1356z00_1640;
								BgL_nodeza2za2_1635 = BgL_nodeza2za2_2690;
								goto BgL_zc3z04anonymousza31347ze3z87_1636;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_proc1874z00zzreduce_flowzd2typeczd2, BGl_nodez00zzast_nodez00,
				BGl_string1875z00zzreduce_flowzd2typeczd2);
		}

	}



/* &node-typec!1281 */
	obj_t BGl_z62nodezd2typecz121281za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2386, obj_t BgL_nodez00_2387, obj_t BgL_stackz00_2388)
	{
		{	/* Reduce/ftypec.scm 76 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2387));
		}

	}



/* node-typec! */
	BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt
		BgL_nodez00_4, obj_t BgL_stackz00_5)
	{
		{	/* Reduce/ftypec.scm 76 */
			{	/* Reduce/ftypec.scm 76 */
				obj_t BgL_method1282z00_1647;

				{	/* Reduce/ftypec.scm 76 */
					obj_t BgL_res1862z00_2117;

					{	/* Reduce/ftypec.scm 76 */
						long BgL_objzd2classzd2numz00_2088;

						BgL_objzd2classzd2numz00_2088 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/ftypec.scm 76 */
							obj_t BgL_arg1825z00_2089;

							BgL_arg1825z00_2089 =
								PROCEDURE_REF
								(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
								(int) (((long) 1)));
							{	/* Reduce/ftypec.scm 76 */
								int BgL_offsetz00_2092;

								BgL_offsetz00_2092 = (int) (BgL_objzd2classzd2numz00_2088);
								{	/* Reduce/ftypec.scm 76 */
									long BgL_offsetz00_2093;

									BgL_offsetz00_2093 =
										((long) (BgL_offsetz00_2092) - OBJECT_TYPE);
									{	/* Reduce/ftypec.scm 76 */
										long BgL_modz00_2094;

										BgL_modz00_2094 =
											(BgL_offsetz00_2093 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/ftypec.scm 76 */
											long BgL_restz00_2096;

											BgL_restz00_2096 =
												(BgL_offsetz00_2093 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/ftypec.scm 76 */

												{	/* Reduce/ftypec.scm 76 */
													obj_t BgL_bucketz00_2098;

													BgL_bucketz00_2098 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2089), BgL_modz00_2094);
													BgL_res1862z00_2117 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2098), BgL_restz00_2096);
					}}}}}}}}
					BgL_method1282z00_1647 = BgL_res1862z00_2117;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1282z00_1647)) (BgL_method1282z00_1647,
						((obj_t) BgL_nodez00_4), BgL_stackz00_5, BEOA));
			}
		}

	}



/* &node-typec! */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2389, obj_t BgL_nodez00_2390, obj_t BgL_stackz00_2391)
	{
		{	/* Reduce/ftypec.scm 76 */
			return
				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
				((BgL_nodez00_bglt) BgL_nodez00_2390), BgL_stackz00_2391);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_sequencez00zzast_nodez00, BGl_proc1876z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_syncz00zzast_nodez00, BGl_proc1878z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1879z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_funcallz00zzast_nodez00, BGl_proc1880z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_externz00zzast_nodez00, BGl_proc1881z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_castz00zzast_nodez00, BGl_proc1882z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setqz00zzast_nodez00, BGl_proc1883z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc1884z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_failz00zzast_nodez00, BGl_proc1885z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_switchz00zzast_nodez00, BGl_proc1886z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1887z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1888z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1889z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1890z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1891z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1892z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1893z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appz00zzast_nodez00, BGl_proc1894z00zzreduce_flowzd2typeczd2,
				BGl_string1877z00zzreduce_flowzd2typeczd2);
		}

	}



/* &node-typec!-app1318 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1318z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2410, obj_t BgL_nodez00_2411, obj_t BgL_stackz00_2412)
	{
		{	/* Reduce/ftypec.scm 320 */
			BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2411)))->BgL_argsz00),
				BgL_stackz00_2412);
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2411));
		}

	}



/* &node-typec!-box-ref1316 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1316za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2413, obj_t BgL_nodez00_2414, obj_t BgL_stackz00_2415)
	{
		{	/* Reduce/ftypec.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_2751;

				{	/* Reduce/ftypec.scm 298 */
					BgL_varz00_bglt BgL_arg1705z00_2478;

					BgL_arg1705z00_2478 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2414)))->BgL_varz00);
					BgL_auxz00_2751 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg1705z00_2478), BgL_stackz00_2415));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2414)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2751), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2414));
		}

	}



/* &node-typec!-box-set!1314 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121314zb0zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2416, obj_t BgL_nodez00_2417, obj_t BgL_stackz00_2418)
	{
		{	/* Reduce/ftypec.scm 287 */
			{
				BgL_varz00_bglt BgL_auxz00_2761;

				{	/* Reduce/ftypec.scm 289 */
					BgL_varz00_bglt BgL_arg1697z00_2480;

					BgL_arg1697z00_2480 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2417)))->BgL_varz00);
					BgL_auxz00_2761 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg1697z00_2480), BgL_stackz00_2418));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2417)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2761), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2769;

				{	/* Reduce/ftypec.scm 290 */
					BgL_nodez00_bglt BgL_arg1698z00_2481;

					BgL_arg1698z00_2481 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2417)))->BgL_valuez00);
					BgL_auxz00_2769 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1698z00_2481,
						BgL_stackz00_2418);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2417)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2769), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2417));
		}

	}



/* &node-typec!-make-box1312 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1312za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2419, obj_t BgL_nodez00_2420, obj_t BgL_stackz00_2421)
	{
		{	/* Reduce/ftypec.scm 279 */
			{
				BgL_nodez00_bglt BgL_auxz00_2777;

				{	/* Reduce/ftypec.scm 281 */
					BgL_nodez00_bglt BgL_arg1696z00_2483;

					BgL_arg1696z00_2483 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2420)))->BgL_valuez00);
					BgL_auxz00_2777 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1696z00_2483,
						BgL_stackz00_2421);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2420)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2777), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2420));
		}

	}



/* &node-typec!-jump-ex-1310 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21310z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2422, obj_t BgL_nodez00_2423, obj_t BgL_stackz00_2424)
	{
		{	/* Reduce/ftypec.scm 270 */
			{
				BgL_nodez00_bglt BgL_auxz00_2785;

				{	/* Reduce/ftypec.scm 272 */
					BgL_nodez00_bglt BgL_arg1687z00_2485;

					BgL_arg1687z00_2485 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2423)))->BgL_exitz00);
					BgL_auxz00_2785 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1687z00_2485,
						BgL_stackz00_2424);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2423)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2785), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2791;

				{	/* Reduce/ftypec.scm 273 */
					BgL_nodez00_bglt BgL_arg1692z00_2486;

					BgL_arg1692z00_2486 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2423)))->
						BgL_valuez00);
					BgL_auxz00_2791 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1692z00_2486,
						BgL_stackz00_2424);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2423)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2791), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2423));
		}

	}



/* &node-typec!-set-ex-i1308 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1308z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2425, obj_t BgL_nodez00_2426, obj_t BgL_stackz00_2427)
	{
		{	/* Reduce/ftypec.scm 260 */
			{
				BgL_nodez00_bglt BgL_auxz00_2799;

				{	/* Reduce/ftypec.scm 262 */
					BgL_nodez00_bglt BgL_arg1680z00_2488;

					BgL_arg1680z00_2488 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2426)))->BgL_bodyz00);
					BgL_auxz00_2799 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1680z00_2488,
						BgL_stackz00_2427);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2426)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2799), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2805;

				{	/* Reduce/ftypec.scm 263 */
					BgL_nodez00_bglt BgL_arg1682z00_2489;

					BgL_arg1682z00_2489 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2426)))->
						BgL_onexitz00);
					BgL_auxz00_2805 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1682z00_2489,
						BgL_stackz00_2427);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2426)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2805), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_2811;

				{	/* Reduce/ftypec.scm 264 */
					BgL_varz00_bglt BgL_arg1683z00_2490;

					BgL_arg1683z00_2490 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2426)))->BgL_varz00);
					BgL_auxz00_2811 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg1683z00_2490), BgL_stackz00_2427));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2426)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2811), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2426));
		}

	}



/* &node-typec!-let-var1306 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1306za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2428, obj_t BgL_nodez00_2429, obj_t BgL_stackz00_2430)
	{
		{	/* Reduce/ftypec.scm 249 */
			{	/* Reduce/ftypec.scm 251 */
				obj_t BgL_g1280z00_2492;

				BgL_g1280z00_2492 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2429)))->BgL_bindingsz00);
				{
					obj_t BgL_l1278z00_2494;

					BgL_l1278z00_2494 = BgL_g1280z00_2492;
				BgL_zc3z04anonymousza31662ze3z87_2493:
					if (PAIRP(BgL_l1278z00_2494))
						{	/* Reduce/ftypec.scm 251 */
							{	/* Reduce/ftypec.scm 252 */
								obj_t BgL_bindingz00_2495;

								BgL_bindingz00_2495 = CAR(BgL_l1278z00_2494);
								{	/* Reduce/ftypec.scm 252 */
									BgL_nodez00_bglt BgL_arg1672z00_2496;

									{	/* Reduce/ftypec.scm 252 */
										obj_t BgL_arg1673z00_2497;

										BgL_arg1673z00_2497 = CDR(((obj_t) BgL_bindingz00_2495));
										BgL_arg1672z00_2496 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
											((BgL_nodez00_bglt) BgL_arg1673z00_2497),
											BgL_stackz00_2430);
									}
									{	/* Reduce/ftypec.scm 252 */
										obj_t BgL_auxz00_2832;
										obj_t BgL_tmpz00_2830;

										BgL_auxz00_2832 = ((obj_t) BgL_arg1672z00_2496);
										BgL_tmpz00_2830 = ((obj_t) BgL_bindingz00_2495);
										SET_CDR(BgL_tmpz00_2830, BgL_auxz00_2832);
									}
								}
							}
							{
								obj_t BgL_l1278z00_2835;

								BgL_l1278z00_2835 = CDR(BgL_l1278z00_2494);
								BgL_l1278z00_2494 = BgL_l1278z00_2835;
								goto BgL_zc3z04anonymousza31662ze3z87_2493;
							}
						}
					else
						{	/* Reduce/ftypec.scm 251 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2837;

				{	/* Reduce/ftypec.scm 254 */
					BgL_nodez00_bglt BgL_arg1677z00_2498;

					BgL_arg1677z00_2498 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2429)))->BgL_bodyz00);
					BgL_auxz00_2837 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1677z00_2498,
						BgL_stackz00_2430);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2429)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2837), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2429));
		}

	}



/* &node-typec!-let-fun1304 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1304za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2431, obj_t BgL_nodez00_2432, obj_t BgL_stackz00_2433)
	{
		{	/* Reduce/ftypec.scm 237 */
			{	/* Reduce/ftypec.scm 239 */
				obj_t BgL_g1277z00_2500;

				BgL_g1277z00_2500 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2432)))->BgL_localsz00);
				{
					obj_t BgL_l1275z00_2502;

					BgL_l1275z00_2502 = BgL_g1277z00_2500;
				BgL_zc3z04anonymousza31646ze3z87_2501:
					if (PAIRP(BgL_l1275z00_2502))
						{	/* Reduce/ftypec.scm 239 */
							{	/* Reduce/ftypec.scm 240 */
								obj_t BgL_localz00_2503;

								BgL_localz00_2503 = CAR(BgL_l1275z00_2502);
								{	/* Reduce/ftypec.scm 240 */
									BgL_valuez00_bglt BgL_funz00_2504;

									BgL_funz00_2504 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2503))))->
										BgL_valuez00);
									{	/* Reduce/ftypec.scm 241 */
										BgL_nodez00_bglt BgL_arg1651z00_2505;

										{	/* Reduce/ftypec.scm 241 */
											obj_t BgL_arg1652z00_2506;

											BgL_arg1652z00_2506 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2504)))->
												BgL_bodyz00);
											BgL_arg1651z00_2505 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2((
													(BgL_nodez00_bglt) BgL_arg1652z00_2506),
												BgL_stackz00_2433);
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2504)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1651z00_2505)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1275z00_2860;

								BgL_l1275z00_2860 = CDR(BgL_l1275z00_2502);
								BgL_l1275z00_2502 = BgL_l1275z00_2860;
								goto BgL_zc3z04anonymousza31646ze3z87_2501;
							}
						}
					else
						{	/* Reduce/ftypec.scm 239 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2862;

				{	/* Reduce/ftypec.scm 243 */
					BgL_nodez00_bglt BgL_arg1661z00_2507;

					BgL_arg1661z00_2507 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2432)))->BgL_bodyz00);
					BgL_auxz00_2862 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1661z00_2507,
						BgL_stackz00_2433);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2432)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2862), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2432));
		}

	}



/* &node-typec!-switch1302 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2switch1302z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2434, obj_t BgL_nodez00_2435, obj_t BgL_stackz00_2436)
	{
		{	/* Reduce/ftypec.scm 226 */
			{
				BgL_nodez00_bglt BgL_auxz00_2870;

				{	/* Reduce/ftypec.scm 228 */
					BgL_nodez00_bglt BgL_arg1635z00_2509;

					BgL_arg1635z00_2509 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2435)))->BgL_testz00);
					BgL_auxz00_2870 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1635z00_2509,
						BgL_stackz00_2436);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2435)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2870), BUNSPEC);
			}
			{	/* Reduce/ftypec.scm 229 */
				obj_t BgL_g1274z00_2510;

				BgL_g1274z00_2510 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2435)))->BgL_clausesz00);
				{
					obj_t BgL_l1272z00_2512;

					BgL_l1272z00_2512 = BgL_g1274z00_2510;
				BgL_zc3z04anonymousza31636ze3z87_2511:
					if (PAIRP(BgL_l1272z00_2512))
						{	/* Reduce/ftypec.scm 229 */
							{	/* Reduce/ftypec.scm 230 */
								obj_t BgL_clausez00_2513;

								BgL_clausez00_2513 = CAR(BgL_l1272z00_2512);
								{	/* Reduce/ftypec.scm 230 */
									BgL_nodez00_bglt BgL_arg1639z00_2514;

									{	/* Reduce/ftypec.scm 230 */
										obj_t BgL_arg1641z00_2515;

										BgL_arg1641z00_2515 = CDR(((obj_t) BgL_clausez00_2513));
										BgL_arg1639z00_2514 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
											((BgL_nodez00_bglt) BgL_arg1641z00_2515),
											BgL_stackz00_2436);
									}
									{	/* Reduce/ftypec.scm 230 */
										obj_t BgL_auxz00_2887;
										obj_t BgL_tmpz00_2885;

										BgL_auxz00_2887 = ((obj_t) BgL_arg1639z00_2514);
										BgL_tmpz00_2885 = ((obj_t) BgL_clausez00_2513);
										SET_CDR(BgL_tmpz00_2885, BgL_auxz00_2887);
									}
								}
							}
							{
								obj_t BgL_l1272z00_2890;

								BgL_l1272z00_2890 = CDR(BgL_l1272z00_2512);
								BgL_l1272z00_2512 = BgL_l1272z00_2890;
								goto BgL_zc3z04anonymousza31636ze3z87_2511;
							}
						}
					else
						{	/* Reduce/ftypec.scm 229 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2435));
		}

	}



/* &node-typec!-fail1300 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1300z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2437, obj_t BgL_nodez00_2438, obj_t BgL_stackz00_2439)
	{
		{	/* Reduce/ftypec.scm 216 */
			{
				BgL_nodez00_bglt BgL_auxz00_2894;

				{	/* Reduce/ftypec.scm 218 */
					BgL_nodez00_bglt BgL_arg1629z00_2517;

					BgL_arg1629z00_2517 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2438)))->BgL_procz00);
					BgL_auxz00_2894 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1629z00_2517,
						BgL_stackz00_2439);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2438)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2894), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2900;

				{	/* Reduce/ftypec.scm 219 */
					BgL_nodez00_bglt BgL_arg1630z00_2518;

					BgL_arg1630z00_2518 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2438)))->BgL_msgz00);
					BgL_auxz00_2900 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1630z00_2518,
						BgL_stackz00_2439);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2438)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2900), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2906;

				{	/* Reduce/ftypec.scm 220 */
					BgL_nodez00_bglt BgL_arg1632z00_2519;

					BgL_arg1632z00_2519 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2438)))->BgL_objz00);
					BgL_auxz00_2906 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1632z00_2519,
						BgL_stackz00_2439);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2438)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2906), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2438));
		}

	}



/* &node-typec!-conditio1298 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1298z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2440, obj_t BgL_nodez00_2441, obj_t BgL_stackz00_2442)
	{
		{	/* Reduce/ftypec.scm 143 */
			{
				BgL_nodez00_bglt BgL_nodez00_2522;

				{
					BgL_nodez00_bglt BgL_auxz00_2914;

					{	/* Reduce/ftypec.scm 187 */
						BgL_nodez00_bglt BgL_arg1387z00_2566;

						BgL_arg1387z00_2566 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2441)))->BgL_testz00);
						BgL_auxz00_2914 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg1387z00_2566, BgL_stackz00_2442);
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2441)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2914), BUNSPEC);
				}
				{	/* Reduce/ftypec.scm 188 */
					obj_t BgL_typecz00_2567;

					BgL_nodez00_2522 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2441)))->BgL_testz00);
					{	/* Reduce/ftypec.scm 145 */
						bool_t BgL_test1935z00_2920;

						{	/* Reduce/ftypec.scm 145 */
							obj_t BgL_classz00_2523;

							BgL_classz00_2523 = BGl_appz00zzast_nodez00;
							{	/* Reduce/ftypec.scm 145 */
								BgL_objectz00_bglt BgL_arg1820z00_2524;

								{	/* Reduce/ftypec.scm 145 */
									obj_t BgL_tmpz00_2921;

									BgL_tmpz00_2921 =
										((obj_t) ((BgL_objectz00_bglt) BgL_nodez00_2522));
									BgL_arg1820z00_2524 = (BgL_objectz00_bglt) (BgL_tmpz00_2921);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Reduce/ftypec.scm 145 */
										long BgL_idxz00_2525;

										BgL_idxz00_2525 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2524);
										BgL_test1935z00_2920 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2525 + ((long) 3))) == BgL_classz00_2523);
									}
								else
									{	/* Reduce/ftypec.scm 145 */
										bool_t BgL_res1863z00_2528;

										{	/* Reduce/ftypec.scm 145 */
											obj_t BgL_oclassz00_2529;

											{	/* Reduce/ftypec.scm 145 */
												long BgL_arg1828z00_2530;

												{	/* Reduce/ftypec.scm 145 */
													long BgL_arg1829z00_2531;

													BgL_arg1829z00_2531 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2524);
													BgL_arg1828z00_2530 =
														(BgL_arg1829z00_2531 - OBJECT_TYPE);
												}
												BgL_oclassz00_2529 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2530);
											}
											{	/* Reduce/ftypec.scm 145 */
												bool_t BgL__ortest_1111z00_2532;

												BgL__ortest_1111z00_2532 =
													(BgL_classz00_2523 == BgL_oclassz00_2529);
												if (BgL__ortest_1111z00_2532)
													{	/* Reduce/ftypec.scm 145 */
														BgL_res1863z00_2528 = BgL__ortest_1111z00_2532;
													}
												else
													{	/* Reduce/ftypec.scm 145 */
														long BgL_odepthz00_2533;

														BgL_odepthz00_2533 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2529);
														if ((((long) 3) < BgL_odepthz00_2533))
															{	/* Reduce/ftypec.scm 145 */
																obj_t BgL_arg1816z00_2534;

																BgL_arg1816z00_2534 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2529,
																	((long) 3));
																BgL_res1863z00_2528 =
																	(BgL_arg1816z00_2534 == BgL_classz00_2523);
															}
														else
															{	/* Reduce/ftypec.scm 145 */
																BgL_res1863z00_2528 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1935z00_2920 = BgL_res1863z00_2528;
									}
							}
						}
						if (BgL_test1935z00_2920)
							{	/* Reduce/ftypec.scm 147 */
								obj_t BgL_g1116z00_2535;

								BgL_g1116z00_2535 =
									BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_2522);
								if (CBOOL(BgL_g1116z00_2535))
									{	/* Reduce/ftypec.scm 151 */
										bool_t BgL_test1940z00_2944;

										{	/* Reduce/ftypec.scm 151 */
											obj_t BgL_arg1532z00_2536;

											{	/* Reduce/ftypec.scm 151 */
												obj_t BgL_pairz00_2537;

												BgL_pairz00_2537 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2522)))->
													BgL_argsz00);
												BgL_arg1532z00_2536 = CAR(BgL_pairz00_2537);
											}
											{	/* Reduce/ftypec.scm 151 */
												obj_t BgL_classz00_2538;

												BgL_classz00_2538 = BGl_varz00zzast_nodez00;
												if (BGL_OBJECTP(BgL_arg1532z00_2536))
													{	/* Reduce/ftypec.scm 151 */
														BgL_objectz00_bglt BgL_arg1820z00_2539;

														BgL_arg1820z00_2539 =
															(BgL_objectz00_bglt) (BgL_arg1532z00_2536);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Reduce/ftypec.scm 151 */
																long BgL_idxz00_2540;

																BgL_idxz00_2540 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_2539);
																BgL_test1940z00_2944 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2540 + ((long) 2))) ==
																	BgL_classz00_2538);
															}
														else
															{	/* Reduce/ftypec.scm 151 */
																bool_t BgL_res1864z00_2543;

																{	/* Reduce/ftypec.scm 151 */
																	obj_t BgL_oclassz00_2544;

																	{	/* Reduce/ftypec.scm 151 */
																		long BgL_arg1828z00_2545;

																		{	/* Reduce/ftypec.scm 151 */
																			long BgL_arg1829z00_2546;

																			BgL_arg1829z00_2546 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_2539);
																			BgL_arg1828z00_2545 =
																				(BgL_arg1829z00_2546 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2544 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_2545);
																	}
																	{	/* Reduce/ftypec.scm 151 */
																		bool_t BgL__ortest_1111z00_2547;

																		BgL__ortest_1111z00_2547 =
																			(BgL_classz00_2538 == BgL_oclassz00_2544);
																		if (BgL__ortest_1111z00_2547)
																			{	/* Reduce/ftypec.scm 151 */
																				BgL_res1864z00_2543 =
																					BgL__ortest_1111z00_2547;
																			}
																		else
																			{	/* Reduce/ftypec.scm 151 */
																				long BgL_odepthz00_2548;

																				BgL_odepthz00_2548 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2544);
																				if ((((long) 2) < BgL_odepthz00_2548))
																					{	/* Reduce/ftypec.scm 151 */
																						obj_t BgL_arg1816z00_2549;

																						BgL_arg1816z00_2549 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2544, ((long) 2));
																						BgL_res1864z00_2543 =
																							(BgL_arg1816z00_2549 ==
																							BgL_classz00_2538);
																					}
																				else
																					{	/* Reduce/ftypec.scm 151 */
																						BgL_res1864z00_2543 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1940z00_2944 = BgL_res1864z00_2543;
															}
													}
												else
													{	/* Reduce/ftypec.scm 151 */
														BgL_test1940z00_2944 = ((bool_t) 0);
													}
											}
										}
										if (BgL_test1940z00_2944)
											{	/* Reduce/ftypec.scm 151 */
												BgL_typecz00_2567 = BgL_g1116z00_2535;
											}
										else
											{	/* Reduce/ftypec.scm 151 */
												BgL_typecz00_2567 = BFALSE;
											}
									}
								else
									{	/* Reduce/ftypec.scm 155 */
										bool_t BgL_test1945z00_2967;

										{	/* Reduce/ftypec.scm 155 */
											obj_t BgL_tmpz00_2968;

											BgL_tmpz00_2968 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_2522)))->
												BgL_argsz00);
											BgL_test1945z00_2967 = PAIRP(BgL_tmpz00_2968);
										}
										if (BgL_test1945z00_2967)
											{	/* Reduce/ftypec.scm 156 */
												bool_t BgL_test1946z00_2972;

												{	/* Reduce/ftypec.scm 156 */
													obj_t BgL_tmpz00_2973;

													{	/* Reduce/ftypec.scm 156 */
														obj_t BgL_pairz00_2550;

														BgL_pairz00_2550 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2522)))->
															BgL_argsz00);
														BgL_tmpz00_2973 = CDR(BgL_pairz00_2550);
													}
													BgL_test1946z00_2972 = NULLP(BgL_tmpz00_2973);
												}
												if (BgL_test1946z00_2972)
													{	/* Reduce/ftypec.scm 157 */
														bool_t BgL_test1947z00_2978;

														{	/* Reduce/ftypec.scm 157 */
															obj_t BgL_arg1570z00_2551;

															{	/* Reduce/ftypec.scm 157 */
																obj_t BgL_pairz00_2552;

																BgL_pairz00_2552 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2522)))->
																	BgL_argsz00);
																BgL_arg1570z00_2551 = CAR(BgL_pairz00_2552);
															}
															{	/* Reduce/ftypec.scm 157 */
																obj_t BgL_classz00_2553;

																BgL_classz00_2553 = BGl_varz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_arg1570z00_2551))
																	{	/* Reduce/ftypec.scm 157 */
																		BgL_objectz00_bglt BgL_arg1820z00_2554;

																		BgL_arg1820z00_2554 =
																			(BgL_objectz00_bglt)
																			(BgL_arg1570z00_2551);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Reduce/ftypec.scm 157 */
																				long BgL_idxz00_2555;

																				BgL_idxz00_2555 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1820z00_2554);
																				BgL_test1947z00_2978 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2555 + ((long) 2))) ==
																					BgL_classz00_2553);
																			}
																		else
																			{	/* Reduce/ftypec.scm 157 */
																				bool_t BgL_res1865z00_2558;

																				{	/* Reduce/ftypec.scm 157 */
																					obj_t BgL_oclassz00_2559;

																					{	/* Reduce/ftypec.scm 157 */
																						long BgL_arg1828z00_2560;

																						{	/* Reduce/ftypec.scm 157 */
																							long BgL_arg1829z00_2561;

																							BgL_arg1829z00_2561 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1820z00_2554);
																							BgL_arg1828z00_2560 =
																								(BgL_arg1829z00_2561 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2559 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1828z00_2560);
																					}
																					{	/* Reduce/ftypec.scm 157 */
																						bool_t BgL__ortest_1111z00_2562;

																						BgL__ortest_1111z00_2562 =
																							(BgL_classz00_2553 ==
																							BgL_oclassz00_2559);
																						if (BgL__ortest_1111z00_2562)
																							{	/* Reduce/ftypec.scm 157 */
																								BgL_res1865z00_2558 =
																									BgL__ortest_1111z00_2562;
																							}
																						else
																							{	/* Reduce/ftypec.scm 157 */
																								long BgL_odepthz00_2563;

																								BgL_odepthz00_2563 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2559);
																								if ((((long) 2) <
																										BgL_odepthz00_2563))
																									{	/* Reduce/ftypec.scm 157 */
																										obj_t BgL_arg1816z00_2564;

																										BgL_arg1816z00_2564 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2559,
																											((long) 2));
																										BgL_res1865z00_2558 =
																											(BgL_arg1816z00_2564 ==
																											BgL_classz00_2553);
																									}
																								else
																									{	/* Reduce/ftypec.scm 157 */
																										BgL_res1865z00_2558 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test1947z00_2978 =
																					BgL_res1865z00_2558;
																			}
																	}
																else
																	{	/* Reduce/ftypec.scm 157 */
																		BgL_test1947z00_2978 = ((bool_t) 0);
																	}
															}
														}
														if (BgL_test1947z00_2978)
															{	/* Reduce/ftypec.scm 158 */
																bool_t BgL_test1952z00_3001;

																{	/* Reduce/ftypec.scm 158 */
																	obj_t BgL_tmpz00_3002;

																	{
																		BgL_variablez00_bglt BgL_auxz00_3003;

																		{
																			BgL_varz00_bglt BgL_auxz00_3004;

																			{	/* Reduce/ftypec.scm 158 */
																				obj_t BgL_pairz00_2565;

																				BgL_pairz00_2565 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_nodez00_2522)))->
																					BgL_argsz00);
																				BgL_auxz00_3004 =
																					((BgL_varz00_bglt)
																					CAR(BgL_pairz00_2565));
																			}
																			BgL_auxz00_3003 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_3004))->
																				BgL_variablez00);
																		}
																		BgL_tmpz00_3002 =
																			(((BgL_variablez00_bglt)
																				COBJECT(BgL_auxz00_3003))->
																			BgL_accessz00);
																	}
																	BgL_test1952z00_3001 =
																		(BgL_tmpz00_3002 ==
																		CNST_TABLE_REF(((long) 1)));
																}
																if (BgL_test1952z00_3001)
																	{	/* Reduce/ftypec.scm 161 */

																		BgL_typecz00_2567 =
																			(((BgL_funz00_bglt) COBJECT(
																					((BgL_funz00_bglt)
																						(((BgL_variablez00_bglt) COBJECT(
																									(((BgL_varz00_bglt) COBJECT(
																												(((BgL_appz00_bglt)
																														COBJECT((
																																(BgL_appz00_bglt)
																																BgL_nodez00_2522)))->
																													BgL_funz00)))->
																										BgL_variablez00)))->
																							BgL_valuez00))))->
																			BgL_predicatezd2ofzd2);
																	}
																else
																	{	/* Reduce/ftypec.scm 158 */
																		BgL_typecz00_2567 = BFALSE;
																	}
															}
														else
															{	/* Reduce/ftypec.scm 157 */
																BgL_typecz00_2567 = BFALSE;
															}
													}
												else
													{	/* Reduce/ftypec.scm 156 */
														BgL_typecz00_2567 = BFALSE;
													}
											}
										else
											{	/* Reduce/ftypec.scm 155 */
												BgL_typecz00_2567 = BFALSE;
											}
									}
							}
						else
							{	/* Reduce/ftypec.scm 145 */
								BgL_typecz00_2567 = BFALSE;
							}
					}
					{	/* Reduce/ftypec.scm 189 */
						bool_t BgL_test1953z00_3021;

						{	/* Reduce/ftypec.scm 189 */
							obj_t BgL_classz00_2568;

							BgL_classz00_2568 = BGl_typez00zztype_typez00;
							if (BGL_OBJECTP(BgL_typecz00_2567))
								{	/* Reduce/ftypec.scm 189 */
									BgL_objectz00_bglt BgL_arg1820z00_2569;

									BgL_arg1820z00_2569 =
										(BgL_objectz00_bglt) (BgL_typecz00_2567);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Reduce/ftypec.scm 189 */
											long BgL_idxz00_2570;

											BgL_idxz00_2570 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2569);
											BgL_test1953z00_3021 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2570 + ((long) 1))) == BgL_classz00_2568);
										}
									else
										{	/* Reduce/ftypec.scm 189 */
											bool_t BgL_res1866z00_2573;

											{	/* Reduce/ftypec.scm 189 */
												obj_t BgL_oclassz00_2574;

												{	/* Reduce/ftypec.scm 189 */
													long BgL_arg1828z00_2575;

													{	/* Reduce/ftypec.scm 189 */
														long BgL_arg1829z00_2576;

														BgL_arg1829z00_2576 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2569);
														BgL_arg1828z00_2575 =
															(BgL_arg1829z00_2576 - OBJECT_TYPE);
													}
													BgL_oclassz00_2574 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2575);
												}
												{	/* Reduce/ftypec.scm 189 */
													bool_t BgL__ortest_1111z00_2577;

													BgL__ortest_1111z00_2577 =
														(BgL_classz00_2568 == BgL_oclassz00_2574);
													if (BgL__ortest_1111z00_2577)
														{	/* Reduce/ftypec.scm 189 */
															BgL_res1866z00_2573 = BgL__ortest_1111z00_2577;
														}
													else
														{	/* Reduce/ftypec.scm 189 */
															long BgL_odepthz00_2578;

															BgL_odepthz00_2578 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2574);
															if ((((long) 1) < BgL_odepthz00_2578))
																{	/* Reduce/ftypec.scm 189 */
																	obj_t BgL_arg1816z00_2579;

																	BgL_arg1816z00_2579 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2574,
																		((long) 1));
																	BgL_res1866z00_2573 =
																		(BgL_arg1816z00_2579 == BgL_classz00_2568);
																}
															else
																{	/* Reduce/ftypec.scm 189 */
																	BgL_res1866z00_2573 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1953z00_3021 = BgL_res1866z00_2573;
										}
								}
							else
								{	/* Reduce/ftypec.scm 189 */
									BgL_test1953z00_3021 = ((bool_t) 0);
								}
						}
						if (BgL_test1953z00_3021)
							{	/* Reduce/ftypec.scm 194 */
								obj_t BgL_argsz00_2580;

								BgL_argsz00_2580 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt)
												(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_2441)))->
													BgL_testz00))))->BgL_argsz00);
								{	/* Reduce/ftypec.scm 194 */
									BgL_variablez00_bglt BgL_varz00_2581;

									BgL_varz00_2581 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt)
													CAR(((obj_t) BgL_argsz00_2580)))))->BgL_variablez00);
									{	/* Reduce/ftypec.scm 195 */
										obj_t BgL_typesz00_2582;

										BgL_typesz00_2582 =
											BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_varz00_2581), BgL_stackz00_2442);
										{	/* Reduce/ftypec.scm 196 */
											obj_t BgL_tzd2stackzd2_2583;

											{	/* Reduce/ftypec.scm 197 */
												obj_t BgL_arg1496z00_2584;

												{	/* Reduce/ftypec.scm 197 */
													obj_t BgL_arg1506z00_2585;

													BgL_arg1506z00_2585 =
														MAKE_YOUNG_PAIR(BgL_typecz00_2567, BTRUE);
													BgL_arg1496z00_2584 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_varz00_2581), BgL_arg1506z00_2585);
												}
												BgL_tzd2stackzd2_2583 =
													MAKE_YOUNG_PAIR(BgL_arg1496z00_2584,
													BgL_stackz00_2442);
											}
											{	/* Reduce/ftypec.scm 197 */
												obj_t BgL_fzd2stackzd2_2586;

												{	/* Reduce/ftypec.scm 198 */
													obj_t BgL_arg1482z00_2587;

													{	/* Reduce/ftypec.scm 198 */
														obj_t BgL_arg1484z00_2588;

														BgL_arg1484z00_2588 =
															MAKE_YOUNG_PAIR(BgL_typecz00_2567, BFALSE);
														BgL_arg1482z00_2587 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_varz00_2581), BgL_arg1484z00_2588);
													}
													BgL_fzd2stackzd2_2586 =
														MAKE_YOUNG_PAIR(BgL_arg1482z00_2587,
														BgL_stackz00_2442);
												}
												{	/* Reduce/ftypec.scm 198 */

													{	/* Reduce/ftypec.scm 199 */
														bool_t BgL_test1958z00_3059;

														if (CBOOL(BgL_typesz00_2582))
															{	/* Reduce/ftypec.scm 199 */
																bool_t BgL_test1960z00_3062;

																{	/* Reduce/ftypec.scm 199 */
																	obj_t BgL_tmpz00_3063;

																	{	/* Reduce/ftypec.scm 199 */
																		obj_t BgL_pairz00_2589;

																		BgL_pairz00_2589 =
																			CDR(((obj_t) BgL_typesz00_2582));
																		BgL_tmpz00_3063 = CAR(BgL_pairz00_2589);
																	}
																	BgL_test1960z00_3062 =
																		(BgL_tmpz00_3063 == BgL_typecz00_2567);
																}
																if (BgL_test1960z00_3062)
																	{	/* Reduce/ftypec.scm 199 */
																		BgL_test1958z00_3059 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/ftypec.scm 199 */
																		BgL_test1958z00_3059 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/ftypec.scm 199 */
																BgL_test1958z00_3059 = ((bool_t) 1);
															}
														if (BgL_test1958z00_3059)
															{	/* Reduce/ftypec.scm 199 */
																BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2);
																{
																	BgL_nodez00_bglt BgL_auxz00_3069;

																	{	/* Reduce/ftypec.scm 203 */
																		BgL_nodez00_bglt BgL_arg1426z00_2590;

																		BgL_arg1426z00_2590 =
																			(((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_2441)))->BgL_truez00);
																		BgL_auxz00_3069 =
																			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																			(BgL_arg1426z00_2590,
																			BgL_tzd2stackzd2_2583);
																	}
																	((((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_2441)))->BgL_truez00) =
																		((BgL_nodez00_bglt) BgL_auxz00_3069),
																		BUNSPEC);
																}
																{
																	BgL_nodez00_bglt BgL_auxz00_3075;

																	{	/* Reduce/ftypec.scm 204 */
																		BgL_nodez00_bglt BgL_arg1429z00_2591;

																		BgL_arg1429z00_2591 =
																			(((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_2441)))->BgL_falsez00);
																		BgL_auxz00_3075 =
																			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																			(BgL_arg1429z00_2591,
																			BgL_fzd2stackzd2_2586);
																	}
																	((((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_2441)))->BgL_falsez00) =
																		((BgL_nodez00_bglt) BgL_auxz00_3075),
																		BUNSPEC);
																}
																return
																	((BgL_nodez00_bglt)
																	((BgL_conditionalz00_bglt) BgL_nodez00_2441));
															}
														else
															{	/* Reduce/ftypec.scm 199 */
																BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2);
																{	/* Reduce/ftypec.scm 209 */
																	bool_t BgL_test1961z00_3084;

																	{	/* Reduce/ftypec.scm 209 */
																		obj_t BgL_pairz00_2592;

																		BgL_pairz00_2592 =
																			CDR(((obj_t) BgL_typesz00_2582));
																		BgL_test1961z00_3084 =
																			CBOOL(CDR(BgL_pairz00_2592));
																	}
																	if (BgL_test1961z00_3084)
																		{	/* Reduce/ftypec.scm 209 */
																			return
																				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																				((((BgL_conditionalz00_bglt)
																						COBJECT(((BgL_conditionalz00_bglt)
																								BgL_nodez00_2441)))->
																					BgL_truez00), BgL_tzd2stackzd2_2583);
																		}
																	else
																		{	/* Reduce/ftypec.scm 209 */
																			return
																				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																				((((BgL_conditionalz00_bglt)
																						COBJECT(((BgL_conditionalz00_bglt)
																								BgL_nodez00_2441)))->
																					BgL_falsez00), BgL_fzd2stackzd2_2586);
																		}
																}
															}
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Reduce/ftypec.scm 189 */
								{
									BgL_nodez00_bglt BgL_auxz00_3095;

									{	/* Reduce/ftypec.scm 191 */
										BgL_nodez00_bglt BgL_arg1521z00_2593;

										BgL_arg1521z00_2593 =
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2441)))->
											BgL_truez00);
										BgL_auxz00_3095 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
											(BgL_arg1521z00_2593, BgL_stackz00_2442);
									}
									((((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2441)))->
											BgL_truez00) =
										((BgL_nodez00_bglt) BgL_auxz00_3095), BUNSPEC);
								}
								{
									BgL_nodez00_bglt BgL_auxz00_3101;

									{	/* Reduce/ftypec.scm 192 */
										BgL_nodez00_bglt BgL_arg1522z00_2594;

										BgL_arg1522z00_2594 =
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2441)))->
											BgL_falsez00);
										BgL_auxz00_3101 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
											(BgL_arg1522z00_2594, BgL_stackz00_2442);
									}
									((((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2441)))->
											BgL_falsez00) =
										((BgL_nodez00_bglt) BgL_auxz00_3101), BUNSPEC);
								}
								return
									((BgL_nodez00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_2441));
							}
					}
				}
			}
		}

	}



/* &node-typec!-setq1296 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1296z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2443, obj_t BgL_nodez00_2444, obj_t BgL_stackz00_2445)
	{
		{	/* Reduce/ftypec.scm 134 */
			{
				BgL_nodez00_bglt BgL_auxz00_3109;

				{	/* Reduce/ftypec.scm 136 */
					BgL_nodez00_bglt BgL_arg1381z00_2596;

					BgL_arg1381z00_2596 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2444)))->BgL_valuez00);
					BgL_auxz00_3109 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1381z00_2596,
						BgL_stackz00_2445);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2444)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3109), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3115;

				{	/* Reduce/ftypec.scm 137 */
					BgL_varz00_bglt BgL_arg1384z00_2597;

					BgL_arg1384z00_2597 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2444)))->BgL_varz00);
					BgL_auxz00_3115 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg1384z00_2597), BgL_stackz00_2445));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2444)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3115), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2444));
		}

	}



/* &node-typec!-cast1294 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1294z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2446, obj_t BgL_nodez00_2447, obj_t BgL_stackz00_2448)
	{
		{	/* Reduce/ftypec.scm 126 */
			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2447)))->BgL_argz00),
				BgL_stackz00_2448);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2447));
		}

	}



/* &node-typec!-extern1292 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1292z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2449, obj_t BgL_nodez00_2450, obj_t BgL_stackz00_2451)
	{
		{	/* Reduce/ftypec.scm 118 */
			BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2450)))->BgL_exprza2za2),
				BgL_stackz00_2451);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2450));
		}

	}



/* &node-typec!-funcall1290 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1290z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2452, obj_t BgL_nodez00_2453, obj_t BgL_stackz00_2454)
	{
		{	/* Reduce/ftypec.scm 109 */
			{
				BgL_nodez00_bglt BgL_auxz00_3135;

				{	/* Reduce/ftypec.scm 111 */
					BgL_nodez00_bglt BgL_arg1372z00_2601;

					BgL_arg1372z00_2601 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2453)))->BgL_funz00);
					BgL_auxz00_3135 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1372z00_2601,
						BgL_stackz00_2454);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2453)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3135), BUNSPEC);
			}
			BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2453)))->BgL_argsz00),
				BgL_stackz00_2454);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2453));
		}

	}



/* &node-typec!-app-ly1288 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1288za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2455, obj_t BgL_nodez00_2456, obj_t BgL_stackz00_2457)
	{
		{	/* Reduce/ftypec.scm 100 */
			{
				BgL_nodez00_bglt BgL_auxz00_3146;

				{	/* Reduce/ftypec.scm 102 */
					BgL_nodez00_bglt BgL_arg1365z00_2603;

					BgL_arg1365z00_2603 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2456)))->BgL_funz00);
					BgL_auxz00_3146 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1365z00_2603,
						BgL_stackz00_2457);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2456)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3146), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3152;

				{	/* Reduce/ftypec.scm 103 */
					BgL_nodez00_bglt BgL_arg1366z00_2604;

					BgL_arg1366z00_2604 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2456)))->BgL_argz00);
					BgL_auxz00_3152 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1366z00_2604,
						BgL_stackz00_2457);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2456)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3152), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2456));
		}

	}



/* &node-typec!-sync1286 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sync1286z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2458, obj_t BgL_nodez00_2459, obj_t BgL_stackz00_2460)
	{
		{	/* Reduce/ftypec.scm 90 */
			{
				BgL_nodez00_bglt BgL_auxz00_3160;

				{	/* Reduce/ftypec.scm 92 */
					BgL_nodez00_bglt BgL_arg1361z00_2606;

					BgL_arg1361z00_2606 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2459)))->BgL_mutexz00);
					BgL_auxz00_3160 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1361z00_2606,
						BgL_stackz00_2460);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2459)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3160), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3166;

				{	/* Reduce/ftypec.scm 93 */
					BgL_nodez00_bglt BgL_arg1362z00_2607;

					BgL_arg1362z00_2607 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2459)))->BgL_prelockz00);
					BgL_auxz00_3166 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1362z00_2607,
						BgL_stackz00_2460);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2459)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3166), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3172;

				{	/* Reduce/ftypec.scm 94 */
					BgL_nodez00_bglt BgL_arg1364z00_2608;

					BgL_arg1364z00_2608 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2459)))->BgL_bodyz00);
					BgL_auxz00_3172 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1364z00_2608,
						BgL_stackz00_2460);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2459)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3172), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2459));
		}

	}



/* &node-typec!-sequence1284 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1284z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2461, obj_t BgL_nodez00_2462, obj_t BgL_stackz00_2463)
	{
		{	/* Reduce/ftypec.scm 82 */
			BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2462)))->BgL_nodesz00),
				BgL_stackz00_2463);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2462));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2));
		}

	}

#ifdef __cplusplus
}
#endif
