/*===========================================================================*/
/*   (Reduce/typec.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/typec.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1319z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2kwote1289z70zzreduce_typecz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_typecz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1309z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121329zb0zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1327za2zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_typecz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1305z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21321z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_typecz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1307z70zzreduce_typecz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_typecz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1301z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_za2foreignza2z00zztype_cachez00;
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1311z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1317za2zzreduce_typecz00(obj_t, obj_t);
	static obj_t BGl_z62reducezd2typezd2checkz12z70zzreduce_typecz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static bool_t
		BGl_pairzd2ofzd2pairzd2nilzf3z21zzreduce_typecz00(BgL_nodez00_bglt);
	static obj_t BGl_za2pairzf3za2zf3zzreduce_typecz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzreduce_typecz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1331za2zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2return1325z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1303z70zzreduce_typecz00(obj_t, obj_t);
	extern bool_t BGl_foreignzd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2switch1313z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_za2nullzf3za2zf3zzreduce_typecz00 = BUNSPEC;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sync1297z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1299za2zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_typecz00(obj_t,
		obj_t);
	extern obj_t BGl_jclassz00zzobject_classz00;
	static obj_t BGl_nodezd2typecza2z12z62zzreduce_typecz00(obj_t);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static long BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1295z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2closure1293z70zzreduce_typecz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzreduce_typecz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2retblock1323z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static long BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_typecz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_typecz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_typecz00(void);
	static obj_t BGl_z62nodezd2typecz121284za2zzreduce_typecz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_typecz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1315za2zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2var1291z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2atom1287z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1333z70zzreduce_typecz00(obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2typezd2checkz12zd2envzc0zzreduce_typecz00,
		BgL_bgl_za762reduceza7d2type1911z00,
		BGl_z62reducezd2typezd2checkz12z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1907z00zzreduce_typecz00,
		BgL_bgl_string1907za700za7za7r1912za7, "reduce_typec", 12);
	      DEFINE_STRING(BGl_string1908z00zzreduce_typecz00,
		BgL_bgl_string1908za700za7za7r1913za7,
		"node-typec!1284 done $null? foreign $pair? ", 43);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71914za7,
		BGl_z62nodezd2typecz12za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71915za7,
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21321z70zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71916za7,
		BGl_z62nodezd2typecz12zd2retblock1323z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71917za7,
		BGl_z62nodezd2typecz12zd2return1325z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71918za7,
		BGl_z62nodezd2typecz12zd2makezd2box1327za2zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1904z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71919za7,
		BGl_z62nodezd2typecz12zd2boxzd2setz121329zb0zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1905z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71920za7,
		BGl_z62nodezd2typecz12zd2boxzd2ref1331za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71921za7,
		BGl_z62nodezd2typecz12zd2app1333z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1875z00zzreduce_typecz00,
		BgL_bgl_string1875za700za7za7r1922za7, "      type check             ", 29);
	      DEFINE_STRING(BGl_string1876z00zzreduce_typecz00,
		BgL_bgl_string1876za700za7za7r1923za7, ")\n", 2);
	      DEFINE_STRING(BGl_string1877z00zzreduce_typecz00,
		BgL_bgl_string1877za700za7za7r1924za7, ", remaining: ", 13);
	      DEFINE_STRING(BGl_string1878z00zzreduce_typecz00,
		BgL_bgl_string1878za700za7za7r1925za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string1880z00zzreduce_typecz00,
		BgL_bgl_string1880za700za7za7r1926za7, "node-typec!1284", 15);
	      DEFINE_STRING(BGl_string1881z00zzreduce_typecz00,
		BgL_bgl_string1881za700za7za7r1927za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1883z00zzreduce_typecz00,
		BgL_bgl_string1883za700za7za7r1928za7, "node-typec!", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71929za7,
		BGl_z62nodezd2typecz121284za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71930za7,
		BGl_z62nodezd2typecz12zd2atom1287z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71931za7,
		BGl_z62nodezd2typecz12zd2kwote1289z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71932za7,
		BGl_z62nodezd2typecz12zd2var1291z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71933za7,
		BGl_z62nodezd2typecz12zd2closure1293z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71934za7,
		BGl_z62nodezd2typecz12zd2sequence1295z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71935za7,
		BGl_z62nodezd2typecz12zd2sync1297z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71936za7,
		BGl_z62nodezd2typecz12zd2appzd2ly1299za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71937za7,
		BGl_z62nodezd2typecz12zd2funcall1301z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71938za7,
		BGl_z62nodezd2typecz12zd2extern1303z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71939za7,
		BGl_z62nodezd2typecz12zd2cast1305z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71940za7,
		BGl_z62nodezd2typecz12zd2setq1307z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71941za7,
		BGl_z62nodezd2typecz12zd2conditio1309z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71942za7,
		BGl_z62nodezd2typecz12zd2fail1311z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71943za7,
		BGl_z62nodezd2typecz12zd2switch1313z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71944za7,
		BGl_z62nodezd2typecz12zd2letzd2fun1315za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71945za7,
		BGl_z62nodezd2typecz12zd2letzd2var1317za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71946za7,
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1319z70zzreduce_typecz00, 0L, BUNSPEC,
		1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_typecz00));
		     ADD_ROOT((void *) (&BGl_za2pairzf3za2zf3zzreduce_typecz00));
		     ADD_ROOT((void *) (&BGl_za2nullzf3za2zf3zzreduce_typecz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_typecz00(long
		BgL_checksumz00_2661, char *BgL_fromz00_2662)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_typecz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_typecz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_typecz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_typecz00();
					BGl_cnstzd2initzd2zzreduce_typecz00();
					BGl_importedzd2moduleszd2initz00zzreduce_typecz00();
					BGl_genericzd2initzd2zzreduce_typecz00();
					BGl_methodzd2initzd2zzreduce_typecz00();
					return BGl_toplevelzd2initzd2zzreduce_typecz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_typec");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			{	/* Reduce/typec.scm 15 */
				obj_t BgL_cportz00_2510;

				{	/* Reduce/typec.scm 15 */
					obj_t BgL_stringz00_2517;

					BgL_stringz00_2517 = BGl_string1908z00zzreduce_typecz00;
					{	/* Reduce/typec.scm 15 */
						obj_t BgL_startz00_2518;

						BgL_startz00_2518 = BINT(((long) 0));
						{	/* Reduce/typec.scm 15 */
							obj_t BgL_endz00_2519;

							BgL_endz00_2519 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2517)));
							{	/* Reduce/typec.scm 15 */

								BgL_cportz00_2510 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2517, BgL_startz00_2518, BgL_endz00_2519);
				}}}}
				{
					long BgL_iz00_2511;

					BgL_iz00_2511 = ((long) 4);
				BgL_loopz00_2512:
					if ((BgL_iz00_2511 == ((long) -1)))
						{	/* Reduce/typec.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/typec.scm 15 */
							{	/* Reduce/typec.scm 15 */
								obj_t BgL_arg1910z00_2513;

								{	/* Reduce/typec.scm 15 */

									{	/* Reduce/typec.scm 15 */
										obj_t BgL_locationz00_2515;

										BgL_locationz00_2515 = BBOOL(((bool_t) 0));
										{	/* Reduce/typec.scm 15 */

											BgL_arg1910z00_2513 =
												BGl_readz00zz__readerz00(BgL_cportz00_2510,
												BgL_locationz00_2515);
										}
									}
								}
								{	/* Reduce/typec.scm 15 */
									int BgL_tmpz00_2692;

									BgL_tmpz00_2692 = (int) (BgL_iz00_2511);
									CNST_TABLE_SET(BgL_tmpz00_2692, BgL_arg1910z00_2513);
							}}
							{	/* Reduce/typec.scm 15 */
								int BgL_auxz00_2516;

								BgL_auxz00_2516 = (int) ((BgL_iz00_2511 - ((long) 1)));
								{
									long BgL_iz00_2697;

									BgL_iz00_2697 = (long) (BgL_auxz00_2516);
									BgL_iz00_2511 = BgL_iz00_2697;
									goto BgL_loopz00_2512;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			BGl_za2pairzf3za2zf3zzreduce_typecz00 = BFALSE;
			BGl_za2nullzf3za2zf3zzreduce_typecz00 = BFALSE;
			BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00 = ((long) 0);
			BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00 = ((long) 0);
			return BUNSPEC;
		}

	}



/* reduce-type-check! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/typec.scm 38 */
			{	/* Reduce/typec.scm 39 */
				obj_t BgL_list1340z00_1606;

				BgL_list1340z00_1606 =
					MAKE_YOUNG_PAIR(BGl_string1875z00zzreduce_typecz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1340z00_1606);
			}
			BGl_za2pairzf3za2zf3zzreduce_typecz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 0)),
				CNST_TABLE_REF(((long) 1)));
			BGl_za2nullzf3za2zf3zzreduce_typecz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 2)),
				CNST_TABLE_REF(((long) 1)));
			{
				obj_t BgL_l1273z00_1608;

				BgL_l1273z00_1608 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31341ze3z87_1609:
				if (PAIRP(BgL_l1273z00_1608))
					{	/* Reduce/typec.scm 42 */
						{	/* Reduce/typec.scm 43 */
							obj_t BgL_globalz00_1611;

							BgL_globalz00_1611 = CAR(BgL_l1273z00_1608);
							{	/* Reduce/typec.scm 43 */
								BgL_valuez00_bglt BgL_funz00_1612;

								BgL_funz00_1612 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1611))))->
									BgL_valuez00);
								{	/* Reduce/typec.scm 43 */
									obj_t BgL_nodez00_1613;

									BgL_nodez00_1613 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1612)))->BgL_bodyz00);
									{	/* Reduce/typec.scm 44 */

										{	/* Reduce/typec.scm 45 */
											BgL_nodez00_bglt BgL_arg1343z00_1614;

											BgL_arg1343z00_1614 =
												BGl_nodezd2typecz12zc0zzreduce_typecz00(
												((BgL_nodez00_bglt) BgL_nodez00_1613));
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1612)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1343z00_1614)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1273z00_2722;

							BgL_l1273z00_2722 = CDR(BgL_l1273z00_1608);
							BgL_l1273z00_1608 = BgL_l1273z00_2722;
							goto BgL_zc3z04anonymousza31341ze3z87_1609;
						}
					}
				else
					{	/* Reduce/typec.scm 42 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/typec.scm 48 */
				obj_t BgL_list1345z00_1617;

				{	/* Reduce/typec.scm 48 */
					obj_t BgL_arg1346z00_1618;

					{	/* Reduce/typec.scm 48 */
						obj_t BgL_arg1347z00_1619;

						{	/* Reduce/typec.scm 48 */
							obj_t BgL_arg1352z00_1620;

							{	/* Reduce/typec.scm 48 */
								obj_t BgL_arg1353z00_1621;

								BgL_arg1353z00_1621 =
									MAKE_YOUNG_PAIR(BGl_string1876z00zzreduce_typecz00, BNIL);
								BgL_arg1352z00_1620 =
									MAKE_YOUNG_PAIR(BINT
									(BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00),
									BgL_arg1353z00_1621);
							}
							BgL_arg1347z00_1619 =
								MAKE_YOUNG_PAIR(BGl_string1877z00zzreduce_typecz00,
								BgL_arg1352z00_1620);
						}
						BgL_arg1346z00_1618 =
							MAKE_YOUNG_PAIR(BINT
							(BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00),
							BgL_arg1347z00_1619);
					}
					BgL_list1345z00_1617 =
						MAKE_YOUNG_PAIR(BGl_string1878z00zzreduce_typecz00,
						BgL_arg1346z00_1618);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1345z00_1617);
			}
			BGl_za2pairzf3za2zf3zzreduce_typecz00 = BFALSE;
			BGl_za2nullzf3za2zf3zzreduce_typecz00 = BFALSE;
			return BgL_globalsz00_3;
		}

	}



/* &reduce-type-check! */
	obj_t BGl_z62reducezd2typezd2checkz12z70zzreduce_typecz00(obj_t
		BgL_envz00_2431, obj_t BgL_globalsz00_2432)
	{
		{	/* Reduce/typec.scm 38 */
			return
				BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(BgL_globalsz00_2432);
		}

	}



/* node-typec*! */
	obj_t BGl_nodezd2typecza2z12z62zzreduce_typecz00(obj_t BgL_nodeza2za2_28)
	{
		{	/* Reduce/typec.scm 287 */
			{
				obj_t BgL_nodeza2za2_1623;

				BgL_nodeza2za2_1623 = BgL_nodeza2za2_28;
			BgL_zc3z04anonymousza31354ze3z87_1624:
				if (NULLP(BgL_nodeza2za2_1623))
					{	/* Reduce/typec.scm 289 */
						return CNST_TABLE_REF(((long) 3));
					}
				else
					{	/* Reduce/typec.scm 289 */
						{	/* Reduce/typec.scm 292 */
							BgL_nodez00_bglt BgL_arg1356z00_1626;

							{	/* Reduce/typec.scm 292 */
								obj_t BgL_arg1358z00_1627;

								BgL_arg1358z00_1627 = CAR(((obj_t) BgL_nodeza2za2_1623));
								BgL_arg1356z00_1626 =
									BGl_nodezd2typecz12zc0zzreduce_typecz00(
									((BgL_nodez00_bglt) BgL_arg1358z00_1627));
							}
							{	/* Reduce/typec.scm 292 */
								obj_t BgL_auxz00_2743;
								obj_t BgL_tmpz00_2741;

								BgL_auxz00_2743 = ((obj_t) BgL_arg1356z00_1626);
								BgL_tmpz00_2741 = ((obj_t) BgL_nodeza2za2_1623);
								SET_CAR(BgL_tmpz00_2741, BgL_auxz00_2743);
							}
						}
						{	/* Reduce/typec.scm 293 */
							obj_t BgL_arg1359z00_1628;

							BgL_arg1359z00_1628 = CDR(((obj_t) BgL_nodeza2za2_1623));
							{
								obj_t BgL_nodeza2za2_2748;

								BgL_nodeza2za2_2748 = BgL_arg1359z00_1628;
								BgL_nodeza2za2_1623 = BgL_nodeza2za2_2748;
								goto BgL_zc3z04anonymousza31354ze3z87_1624;
							}
						}
					}
			}
		}

	}



/* pair-of-pair-nil? */
	bool_t BGl_pairzd2ofzd2pairzd2nilzf3z21zzreduce_typecz00(BgL_nodez00_bglt
		BgL_nodez00_30)
	{
		{	/* Reduce/typec.scm 380 */
			{	/* Reduce/typec.scm 381 */
				bool_t BgL_test1951z00_2749;

				{	/* Reduce/typec.scm 381 */
					obj_t BgL_classz00_2106;

					BgL_classz00_2106 = BGl_appz00zzast_nodez00;
					{	/* Reduce/typec.scm 381 */
						BgL_objectz00_bglt BgL_arg1820z00_2108;

						{	/* Reduce/typec.scm 381 */
							obj_t BgL_tmpz00_2750;

							BgL_tmpz00_2750 = ((obj_t) ((BgL_objectz00_bglt) BgL_nodez00_30));
							BgL_arg1820z00_2108 = (BgL_objectz00_bglt) (BgL_tmpz00_2750);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Reduce/typec.scm 381 */
								long BgL_idxz00_2114;

								BgL_idxz00_2114 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2108);
								BgL_test1951z00_2749 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2114 + ((long) 3))) == BgL_classz00_2106);
							}
						else
							{	/* Reduce/typec.scm 381 */
								bool_t BgL_res1862z00_2136;

								{	/* Reduce/typec.scm 381 */
									obj_t BgL_oclassz00_2122;

									{	/* Reduce/typec.scm 381 */
										long BgL_arg1828z00_2128;

										{	/* Reduce/typec.scm 381 */
											long BgL_arg1829z00_2129;

											BgL_arg1829z00_2129 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2108);
											BgL_arg1828z00_2128 = (BgL_arg1829z00_2129 - OBJECT_TYPE);
										}
										BgL_oclassz00_2122 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2128);
									}
									{	/* Reduce/typec.scm 381 */
										bool_t BgL__ortest_1111z00_2123;

										BgL__ortest_1111z00_2123 =
											(BgL_classz00_2106 == BgL_oclassz00_2122);
										if (BgL__ortest_1111z00_2123)
											{	/* Reduce/typec.scm 381 */
												BgL_res1862z00_2136 = BgL__ortest_1111z00_2123;
											}
										else
											{	/* Reduce/typec.scm 381 */
												long BgL_odepthz00_2124;

												BgL_odepthz00_2124 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2122);
												if ((((long) 3) < BgL_odepthz00_2124))
													{	/* Reduce/typec.scm 381 */
														obj_t BgL_arg1816z00_2126;

														BgL_arg1816z00_2126 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2122,
															((long) 3));
														BgL_res1862z00_2136 =
															(BgL_arg1816z00_2126 == BgL_classz00_2106);
													}
												else
													{	/* Reduce/typec.scm 381 */
														BgL_res1862z00_2136 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test1951z00_2749 = BgL_res1862z00_2136;
							}
					}
				}
				if (BgL_test1951z00_2749)
					{	/* Reduce/typec.scm 383 */
						bool_t BgL_test1955z00_2770;

						{	/* Reduce/typec.scm 383 */
							BgL_variablez00_bglt BgL_arg1375z00_1641;

							BgL_arg1375z00_1641 =
								(((BgL_varz00_bglt) COBJECT(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_30)))->BgL_funz00)))->
								BgL_variablez00);
							BgL_test1955z00_2770 =
								(((obj_t) BgL_arg1375z00_1641) ==
								BGl_za2pairzf3za2zf3zzreduce_typecz00);
						}
						if (BgL_test1955z00_2770)
							{	/* Reduce/typec.scm 384 */
								bool_t BgL_test1956z00_2776;

								{	/* Reduce/typec.scm 384 */
									obj_t BgL_tmpz00_2777;

									BgL_tmpz00_2777 =
										(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_30)))->BgL_argsz00);
									BgL_test1956z00_2776 = PAIRP(BgL_tmpz00_2777);
								}
								if (BgL_test1956z00_2776)
									{	/* Reduce/typec.scm 385 */
										bool_t BgL_test1957z00_2781;

										{	/* Reduce/typec.scm 385 */
											obj_t BgL_tmpz00_2782;

											{	/* Reduce/typec.scm 385 */
												obj_t BgL_pairz00_2138;

												BgL_pairz00_2138 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_30)))->
													BgL_argsz00);
												BgL_tmpz00_2782 = CDR(BgL_pairz00_2138);
											}
											BgL_test1957z00_2781 = NULLP(BgL_tmpz00_2782);
										}
										if (BgL_test1957z00_2781)
											{	/* Reduce/typec.scm 386 */
												BgL_typez00_bglt BgL_arg1361z00_1635;

												{	/* Reduce/typec.scm 386 */
													obj_t BgL_arg1362z00_1636;

													{	/* Reduce/typec.scm 386 */
														obj_t BgL_pairz00_2139;

														BgL_pairz00_2139 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_30)))->
															BgL_argsz00);
														BgL_arg1362z00_1636 = CAR(BgL_pairz00_2139);
													}
													BgL_arg1361z00_1635 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_arg1362z00_1636),
														((bool_t) 0));
												}
												return
													(
													((obj_t) BgL_arg1361z00_1635) ==
													BGl_za2pairzd2nilza2zd2zztype_cachez00);
											}
										else
											{	/* Reduce/typec.scm 385 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/typec.scm 384 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/typec.scm 383 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Reduce/typec.scm 381 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_proc1879z00zzreduce_typecz00, BGl_nodez00zzast_nodez00,
				BGl_string1880z00zzreduce_typecz00);
		}

	}



/* &node-typec!1284 */
	obj_t BGl_z62nodezd2typecz121284za2zzreduce_typecz00(obj_t BgL_envz00_2434,
		obj_t BgL_nodez00_2435)
	{
		{	/* Reduce/typec.scm 69 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
				BGl_string1881z00zzreduce_typecz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2435)));
		}

	}



/* node-typec! */
	BgL_nodez00_bglt BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Reduce/typec.scm 69 */
			{	/* Reduce/typec.scm 69 */
				obj_t BgL_method1285z00_1649;

				{	/* Reduce/typec.scm 69 */
					obj_t BgL_res1867z00_2172;

					{	/* Reduce/typec.scm 69 */
						long BgL_objzd2classzd2numz00_2143;

						BgL_objzd2classzd2numz00_2143 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/typec.scm 69 */
							obj_t BgL_arg1825z00_2144;

							BgL_arg1825z00_2144 =
								PROCEDURE_REF(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
								(int) (((long) 1)));
							{	/* Reduce/typec.scm 69 */
								int BgL_offsetz00_2147;

								BgL_offsetz00_2147 = (int) (BgL_objzd2classzd2numz00_2143);
								{	/* Reduce/typec.scm 69 */
									long BgL_offsetz00_2148;

									BgL_offsetz00_2148 =
										((long) (BgL_offsetz00_2147) - OBJECT_TYPE);
									{	/* Reduce/typec.scm 69 */
										long BgL_modz00_2149;

										BgL_modz00_2149 =
											(BgL_offsetz00_2148 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/typec.scm 69 */
											long BgL_restz00_2151;

											BgL_restz00_2151 =
												(BgL_offsetz00_2148 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/typec.scm 69 */

												{	/* Reduce/typec.scm 69 */
													obj_t BgL_bucketz00_2153;

													BgL_bucketz00_2153 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2144), BgL_modz00_2149);
													BgL_res1867z00_2172 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2153), BgL_restz00_2151);
					}}}}}}}}
					BgL_method1285z00_1649 = BgL_res1867z00_2172;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1285z00_1649)) (BgL_method1285z00_1649,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}

	}



/* &node-typec! */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_typecz00(obj_t
		BgL_envz00_2436, obj_t BgL_nodez00_2437)
	{
		{	/* Reduce/typec.scm 69 */
			return
				BGl_nodezd2typecz12zc0zzreduce_typecz00(
				((BgL_nodez00_bglt) BgL_nodez00_2437));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_atomz00zzast_nodez00, BGl_proc1882z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_kwotez00zzast_nodez00, BGl_proc1884z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00, BGl_varz00zzast_nodez00,
				BGl_proc1885z00zzreduce_typecz00, BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_closurez00zzast_nodez00, BGl_proc1886z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1887z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_syncz00zzast_nodez00, BGl_proc1888z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1889z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1890z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_externz00zzast_nodez00, BGl_proc1891z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_castz00zzast_nodez00, BGl_proc1892z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_setqz00zzast_nodez00, BGl_proc1893z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1894z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_failz00zzast_nodez00, BGl_proc1895z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_switchz00zzast_nodez00, BGl_proc1896z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1897z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1898z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1899z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1900z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1901z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_returnz00zzast_nodez00, BGl_proc1902z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1903z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1904z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1905z00zzreduce_typecz00,
				BGl_string1883z00zzreduce_typecz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00, BGl_appz00zzast_nodez00,
				BGl_proc1906z00zzreduce_typecz00, BGl_string1883z00zzreduce_typecz00);
		}

	}



/* &node-typec!-app1333 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2app1333z70zzreduce_typecz00(obj_t
		BgL_envz00_2462, obj_t BgL_nodez00_2463)
	{
		{	/* Reduce/typec.scm 303 */
			{
				obj_t BgL_typecz00_2539;
				BgL_typez00_bglt BgL_typeaz00_2540;
				BgL_appz00_bglt BgL_nodez00_2525;
				obj_t BgL_typecz00_2526;
				BgL_typez00_bglt BgL_typeaz00_2527;

				BGl_nodezd2typecza2z12z62zzreduce_typecz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2463)))->BgL_argsz00));
				{	/* Reduce/typec.scm 362 */
					BgL_variablez00_bglt BgL_varz00_2554;

					BgL_varz00_2554 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2463)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Reduce/typec.scm 362 */
						obj_t BgL_typecz00_2555;

						BgL_typecz00_2555 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2554))->
											BgL_valuez00))))->BgL_predicatezd2ofzd2);
						{	/* Reduce/typec.scm 363 */

							{	/* Reduce/typec.scm 365 */
								bool_t BgL_test1958z00_2865;

								{	/* Reduce/typec.scm 365 */
									bool_t BgL_test1959z00_2866;

									{	/* Reduce/typec.scm 365 */
										obj_t BgL_tmpz00_2867;

										BgL_tmpz00_2867 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2463)))->BgL_argsz00);
										BgL_test1959z00_2866 = PAIRP(BgL_tmpz00_2867);
									}
									if (BgL_test1959z00_2866)
										{	/* Reduce/typec.scm 365 */
											if (NULLP(CDR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2463)))->
															BgL_argsz00))))
												{	/* Reduce/typec.scm 367 */
													bool_t BgL_test1961z00_2876;

													{	/* Reduce/typec.scm 367 */
														obj_t BgL_classz00_2556;

														BgL_classz00_2556 = BGl_typez00zztype_typez00;
														if (BGL_OBJECTP(BgL_typecz00_2555))
															{	/* Reduce/typec.scm 367 */
																BgL_objectz00_bglt BgL_arg1820z00_2557;

																BgL_arg1820z00_2557 =
																	(BgL_objectz00_bglt) (BgL_typecz00_2555);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Reduce/typec.scm 367 */
																		long BgL_idxz00_2558;

																		BgL_idxz00_2558 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_2557);
																		BgL_test1961z00_2876 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2558 + ((long) 1))) ==
																			BgL_classz00_2556);
																	}
																else
																	{	/* Reduce/typec.scm 367 */
																		bool_t BgL_res1869z00_2561;

																		{	/* Reduce/typec.scm 367 */
																			obj_t BgL_oclassz00_2562;

																			{	/* Reduce/typec.scm 367 */
																				long BgL_arg1828z00_2563;

																				{	/* Reduce/typec.scm 367 */
																					long BgL_arg1829z00_2564;

																					BgL_arg1829z00_2564 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_2557);
																					BgL_arg1828z00_2563 =
																						(BgL_arg1829z00_2564 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2562 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_2563);
																			}
																			{	/* Reduce/typec.scm 367 */
																				bool_t BgL__ortest_1111z00_2565;

																				BgL__ortest_1111z00_2565 =
																					(BgL_classz00_2556 ==
																					BgL_oclassz00_2562);
																				if (BgL__ortest_1111z00_2565)
																					{	/* Reduce/typec.scm 367 */
																						BgL_res1869z00_2561 =
																							BgL__ortest_1111z00_2565;
																					}
																				else
																					{	/* Reduce/typec.scm 367 */
																						long BgL_odepthz00_2566;

																						BgL_odepthz00_2566 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2562);
																						if ((((long) 1) <
																								BgL_odepthz00_2566))
																							{	/* Reduce/typec.scm 367 */
																								obj_t BgL_arg1816z00_2567;

																								BgL_arg1816z00_2567 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2562,
																									((long) 1));
																								BgL_res1869z00_2561 =
																									(BgL_arg1816z00_2567 ==
																									BgL_classz00_2556);
																							}
																						else
																							{	/* Reduce/typec.scm 367 */
																								BgL_res1869z00_2561 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1961z00_2876 = BgL_res1869z00_2561;
																	}
															}
														else
															{	/* Reduce/typec.scm 367 */
																BgL_test1961z00_2876 = ((bool_t) 0);
															}
													}
													if (BgL_test1961z00_2876)
														{	/* Reduce/typec.scm 368 */
															bool_t BgL__ortest_1135z00_2568;

															{	/* Reduce/typec.scm 368 */
																bool_t BgL_test1966z00_2896;

																{	/* Reduce/typec.scm 368 */
																	obj_t BgL_arg1673z00_2569;

																	BgL_arg1673z00_2569 =
																		CAR(
																		(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2463)))->BgL_argsz00));
																	BgL_test1966z00_2896 =
																		BGl_sidezd2effectzf3z21zzeffect_effectz00((
																			(BgL_nodez00_bglt) BgL_arg1673z00_2569));
																}
																if (BgL_test1966z00_2896)
																	{	/* Reduce/typec.scm 368 */
																		BgL__ortest_1135z00_2568 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/typec.scm 368 */
																		BgL__ortest_1135z00_2568 = ((bool_t) 1);
																	}
															}
															if (BgL__ortest_1135z00_2568)
																{	/* Reduce/typec.scm 368 */
																	BgL_test1958z00_2865 =
																		BgL__ortest_1135z00_2568;
																}
															else
																{	/* Reduce/typec.scm 368 */
																	obj_t BgL_arg1663z00_2570;

																	BgL_arg1663z00_2570 =
																		CAR(
																		(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2463)))->BgL_argsz00));
																	{	/* Reduce/typec.scm 368 */
																		obj_t BgL_classz00_2571;

																		BgL_classz00_2571 = BGl_varz00zzast_nodez00;
																		if (BGL_OBJECTP(BgL_arg1663z00_2570))
																			{	/* Reduce/typec.scm 368 */
																				BgL_objectz00_bglt BgL_arg1820z00_2572;

																				BgL_arg1820z00_2572 =
																					(BgL_objectz00_bglt)
																					(BgL_arg1663z00_2570);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Reduce/typec.scm 368 */
																						long BgL_idxz00_2573;

																						BgL_idxz00_2573 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1820z00_2572);
																						BgL_test1958z00_2865 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_2573 +
																									((long) 2))) ==
																							BgL_classz00_2571);
																					}
																				else
																					{	/* Reduce/typec.scm 368 */
																						bool_t BgL_res1870z00_2576;

																						{	/* Reduce/typec.scm 368 */
																							obj_t BgL_oclassz00_2577;

																							{	/* Reduce/typec.scm 368 */
																								long BgL_arg1828z00_2578;

																								{	/* Reduce/typec.scm 368 */
																									long BgL_arg1829z00_2579;

																									BgL_arg1829z00_2579 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1820z00_2572);
																									BgL_arg1828z00_2578 =
																										(BgL_arg1829z00_2579 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_2577 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1828z00_2578);
																							}
																							{	/* Reduce/typec.scm 368 */
																								bool_t BgL__ortest_1111z00_2580;

																								BgL__ortest_1111z00_2580 =
																									(BgL_classz00_2571 ==
																									BgL_oclassz00_2577);
																								if (BgL__ortest_1111z00_2580)
																									{	/* Reduce/typec.scm 368 */
																										BgL_res1870z00_2576 =
																											BgL__ortest_1111z00_2580;
																									}
																								else
																									{	/* Reduce/typec.scm 368 */
																										long BgL_odepthz00_2581;

																										BgL_odepthz00_2581 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_2577);
																										if ((((long) 2) <
																												BgL_odepthz00_2581))
																											{	/* Reduce/typec.scm 368 */
																												obj_t
																													BgL_arg1816z00_2582;
																												BgL_arg1816z00_2582 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_2577,
																													((long) 2));
																												BgL_res1870z00_2576 =
																													(BgL_arg1816z00_2582
																													== BgL_classz00_2571);
																											}
																										else
																											{	/* Reduce/typec.scm 368 */
																												BgL_res1870z00_2576 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test1958z00_2865 =
																							BgL_res1870z00_2576;
																					}
																			}
																		else
																			{	/* Reduce/typec.scm 368 */
																				BgL_test1958z00_2865 = ((bool_t) 0);
																			}
																	}
																}
														}
													else
														{	/* Reduce/typec.scm 367 */
															BgL_test1958z00_2865 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/typec.scm 366 */
													BgL_test1958z00_2865 = ((bool_t) 0);
												}
										}
									else
										{	/* Reduce/typec.scm 365 */
											BgL_test1958z00_2865 = ((bool_t) 0);
										}
								}
								if (BgL_test1958z00_2865)
									{	/* Reduce/typec.scm 369 */
										BgL_typez00_bglt BgL_arg1648z00_2583;

										{	/* Reduce/typec.scm 369 */
											obj_t BgL_arg1651z00_2584;

											BgL_arg1651z00_2584 =
												CAR(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2463)))->
													BgL_argsz00));
											BgL_arg1648z00_2583 =
												BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
													BgL_arg1651z00_2584), ((bool_t) 0));
										}
										BgL_nodez00_2525 = ((BgL_appz00_bglt) BgL_nodez00_2463);
										BgL_typecz00_2526 = BgL_typecz00_2555;
										BgL_typeaz00_2527 = BgL_arg1648z00_2583;
									BgL_checkzd2typezd2_2523:
										{	/* Reduce/typec.scm 327 */
											BgL_typez00_bglt BgL_typez00_2528;

											BgL_typez00_2528 =
												BGl_getzd2typezd2zztype_typeofz00(
												((BgL_nodez00_bglt) BgL_nodez00_2525), ((bool_t) 0));
											if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
													((BgL_typez00_bglt) BgL_typecz00_2526),
													BgL_typeaz00_2527))
												{	/* Reduce/typec.scm 329 */
													BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00
														=
														(((long) 1) +
														BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00);
													{	/* Reduce/typec.scm 333 */
														BgL_nodez00_bglt BgL_nodez00_2529;

														{	/* Reduce/typec.scm 333 */
															BgL_literalz00_bglt BgL_arg1705z00_2530;

															{	/* Reduce/typec.scm 333 */
																BgL_literalz00_bglt BgL_new1131z00_2531;

																{	/* Reduce/typec.scm 334 */
																	BgL_literalz00_bglt BgL_new1130z00_2532;

																	BgL_new1130z00_2532 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Reduce/typec.scm 334 */
																		long BgL_arg1711z00_2533;

																		BgL_arg1711z00_2533 =
																			BGL_CLASS_NUM
																			(BGl_literalz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1130z00_2532),
																			BgL_arg1711z00_2533);
																	}
																	{	/* Reduce/typec.scm 334 */
																		BgL_objectz00_bglt BgL_tmpz00_2940;

																		BgL_tmpz00_2940 =
																			((BgL_objectz00_bglt)
																			BgL_new1130z00_2532);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2940,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1130z00_2532);
																	BgL_new1131z00_2531 = BgL_new1130z00_2532;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1131z00_2531)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_nodez00_2525)))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1131z00_2531)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_typez00_2528),
																	BUNSPEC);
																((((BgL_atomz00_bglt)
																			COBJECT(((BgL_atomz00_bglt)
																					BgL_new1131z00_2531)))->
																		BgL_valuez00) = ((obj_t) BTRUE), BUNSPEC);
																BgL_arg1705z00_2530 = BgL_new1131z00_2531;
															}
															BgL_nodez00_2529 =
																BGl_coercez12z12zzcoerce_coercez00(
																((BgL_nodez00_bglt) BgL_arg1705z00_2530),
																BUNSPEC, BgL_typez00_2528, ((bool_t) 0));
														}
														return BgL_nodez00_2529;
													}
												}
											else
												{	/* Reduce/typec.scm 341 */
													bool_t BgL_test1973z00_2954;

													BgL_typecz00_2539 = BgL_typecz00_2526;
													BgL_typeaz00_2540 = BgL_typeaz00_2527;
													if (
														(BgL_typecz00_2539 == ((obj_t) BgL_typeaz00_2540)))
														{	/* Reduce/typec.scm 307 */
															BgL_test1973z00_2954 = ((bool_t) 0);
														}
													else
														{	/* Reduce/typec.scm 307 */
															if (
																(((obj_t) BgL_typeaz00_2540) ==
																	BGl_za2_za2z00zztype_cachez00))
																{	/* Reduce/typec.scm 309 */
																	BgL_test1973z00_2954 = ((bool_t) 0);
																}
															else
																{	/* Reduce/typec.scm 311 */
																	bool_t BgL_test1976z00_2961;

																	if (BGl_bigloozd2typezf3z21zztype_typez00(
																			((BgL_typez00_bglt) BgL_typecz00_2539)))
																		{	/* Reduce/typec.scm 311 */
																			if (BGl_bigloozd2typezf3z21zztype_typez00
																				(BgL_typeaz00_2540))
																				{	/* Reduce/typec.scm 311 */
																					BgL_test1976z00_2961 = ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/typec.scm 311 */
																					BgL_test1976z00_2961 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Reduce/typec.scm 311 */
																			BgL_test1976z00_2961 = ((bool_t) 0);
																		}
																	if (BgL_test1976z00_2961)
																		{	/* Reduce/typec.scm 311 */
																			if (CBOOL
																				(BGl_findzd2coercerzd2zztype_coercionz00
																					(BgL_typeaz00_2540,
																						((BgL_typez00_bglt)
																							BgL_typecz00_2539))))
																				{	/* Reduce/typec.scm 312 */
																					BgL_test1973z00_2954 = ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/typec.scm 312 */
																					BgL_test1973z00_2954 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Reduce/typec.scm 313 */
																			bool_t BgL_test1980z00_2971;

																			if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_2539), BgL_typeaz00_2540))
																				{	/* Reduce/typec.scm 313 */
																					BgL_test1980z00_2971 = ((bool_t) 1);
																				}
																			else
																				{	/* Reduce/typec.scm 313 */
																					BgL_test1980z00_2971 =
																						BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																						(BgL_typeaz00_2540,
																						((BgL_typez00_bglt)
																							BgL_typecz00_2539));
																				}
																			if (BgL_test1980z00_2971)
																				{	/* Reduce/typec.scm 313 */
																					BgL_test1973z00_2954 = ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/typec.scm 316 */
																					bool_t BgL_test1982z00_2977;

																					if (CBOOL
																						(BGl_findzd2coercerzd2zztype_coercionz00
																							(((BgL_typez00_bglt)
																									BgL_typecz00_2539),
																								BgL_typeaz00_2540)))
																						{	/* Reduce/typec.scm 316 */
																							BgL_test1982z00_2977 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Reduce/typec.scm 316 */
																							BgL_test1982z00_2977 =
																								CBOOL
																								(BGl_findzd2coercerzd2zztype_coercionz00
																								(BgL_typeaz00_2540,
																									((BgL_typez00_bglt)
																										BgL_typecz00_2539)));
																						}
																					if (BgL_test1982z00_2977)
																						{	/* Reduce/typec.scm 316 */
																							BgL_test1973z00_2954 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Reduce/typec.scm 318 */
																							bool_t BgL_test1984z00_2985;

																							if (BGl_foreignzd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typecz00_2539)))
																								{	/* Reduce/typec.scm 318 */
																									BgL_test1984z00_2985 =
																										BGl_foreignzd2typezf3z21zztype_typez00
																										(BgL_typeaz00_2540);
																								}
																							else
																								{	/* Reduce/typec.scm 318 */
																									BgL_test1984z00_2985 =
																										((bool_t) 0);
																								}
																							if (BgL_test1984z00_2985)
																								{	/* Reduce/typec.scm 318 */
																									BgL_test1973z00_2954 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Reduce/typec.scm 320 */
																									bool_t BgL_test1986z00_2990;

																									if (
																										(BgL_typecz00_2539 ==
																											BGl_za2foreignza2z00zztype_cachez00))
																										{	/* Reduce/typec.scm 320 */
																											bool_t
																												BgL__ortest_1128z00_2541;
																											{	/* Reduce/typec.scm 320 */
																												obj_t BgL_classz00_2542;

																												BgL_classz00_2542 =
																													BGl_jclassz00zzobject_classz00;
																												{	/* Reduce/typec.scm 320 */
																													BgL_objectz00_bglt
																														BgL_arg1820z00_2543;
																													{	/* Reduce/typec.scm 320 */
																														obj_t
																															BgL_tmpz00_2993;
																														BgL_tmpz00_2993 =
																															((obj_t) (
																																(BgL_objectz00_bglt)
																																BgL_typeaz00_2540));
																														BgL_arg1820z00_2543
																															=
																															(BgL_objectz00_bglt)
																															(BgL_tmpz00_2993);
																													}
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Reduce/typec.scm 320 */
																															long
																																BgL_idxz00_2544;
																															BgL_idxz00_2544 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1820z00_2543);
																															BgL__ortest_1128z00_2541
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_2544
																																		+
																																		((long) 2)))
																																==
																																BgL_classz00_2542);
																														}
																													else
																														{	/* Reduce/typec.scm 320 */
																															bool_t
																																BgL_res1868z00_2547;
																															{	/* Reduce/typec.scm 320 */
																																obj_t
																																	BgL_oclassz00_2548;
																																{	/* Reduce/typec.scm 320 */
																																	long
																																		BgL_arg1828z00_2549;
																																	{	/* Reduce/typec.scm 320 */
																																		long
																																			BgL_arg1829z00_2550;
																																		BgL_arg1829z00_2550
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1820z00_2543);
																																		BgL_arg1828z00_2549
																																			=
																																			(BgL_arg1829z00_2550
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_2548
																																		=
																																		VECTOR_REF
																																		(BGl_za2classesza2z00zz__objectz00,
																																		BgL_arg1828z00_2549);
																																}
																																{	/* Reduce/typec.scm 320 */
																																	bool_t
																																		BgL__ortest_1111z00_2551;
																																	BgL__ortest_1111z00_2551
																																		=
																																		(BgL_classz00_2542
																																		==
																																		BgL_oclassz00_2548);
																																	if (BgL__ortest_1111z00_2551)
																																		{	/* Reduce/typec.scm 320 */
																																			BgL_res1868z00_2547
																																				=
																																				BgL__ortest_1111z00_2551;
																																		}
																																	else
																																		{	/* Reduce/typec.scm 320 */
																																			long
																																				BgL_odepthz00_2552;
																																			BgL_odepthz00_2552
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_oclassz00_2548);
																																			if ((((long) 2) < BgL_odepthz00_2552))
																																				{	/* Reduce/typec.scm 320 */
																																					obj_t
																																						BgL_arg1816z00_2553;
																																					BgL_arg1816z00_2553
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_oclassz00_2548,
																																						((long) 2));
																																					BgL_res1868z00_2547
																																						=
																																						(BgL_arg1816z00_2553
																																						==
																																						BgL_classz00_2542);
																																				}
																																			else
																																				{	/* Reduce/typec.scm 320 */
																																					BgL_res1868z00_2547
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL__ortest_1128z00_2541
																																=
																																BgL_res1868z00_2547;
																														}
																												}
																											}
																											if (BgL__ortest_1128z00_2541)
																												{	/* Reduce/typec.scm 320 */
																													BgL_test1986z00_2990 =
																														BgL__ortest_1128z00_2541;
																												}
																											else
																												{	/* Reduce/typec.scm 320 */
																													BgL_test1986z00_2990 =
																														BGl_foreignzd2typezf3z21zztype_typez00
																														(BgL_typeaz00_2540);
																												}
																										}
																									else
																										{	/* Reduce/typec.scm 320 */
																											BgL_test1986z00_2990 =
																												((bool_t) 0);
																										}
																									if (BgL_test1986z00_2990)
																										{	/* Reduce/typec.scm 320 */
																											BgL_test1973z00_2954 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Reduce/typec.scm 320 */
																											BgL_test1973z00_2954 =
																												((bool_t) 1);
																										}
																								}
																						}
																				}
																		}
																}
														}
													if (BgL_test1973z00_2954)
														{	/* Reduce/typec.scm 341 */
															BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00
																=
																(((long) 1) +
																BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00);
															{	/* Reduce/typec.scm 348 */
																BgL_nodez00_bglt BgL_nodez00_2534;

																{	/* Reduce/typec.scm 348 */
																	BgL_literalz00_bglt BgL_arg1720z00_2535;

																	{	/* Reduce/typec.scm 348 */
																		BgL_literalz00_bglt BgL_new1133z00_2536;

																		{	/* Reduce/typec.scm 349 */
																			BgL_literalz00_bglt BgL_new1132z00_2537;

																			BgL_new1132z00_2537 =
																				((BgL_literalz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_literalz00_bgl))));
																			{	/* Reduce/typec.scm 349 */
																				long BgL_arg1721z00_2538;

																				BgL_arg1721z00_2538 =
																					BGL_CLASS_NUM
																					(BGl_literalz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1132z00_2537),
																					BgL_arg1721z00_2538);
																			}
																			{	/* Reduce/typec.scm 349 */
																				BgL_objectz00_bglt BgL_tmpz00_3020;

																				BgL_tmpz00_3020 =
																					((BgL_objectz00_bglt)
																					BgL_new1132z00_2537);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3020,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1132z00_2537);
																			BgL_new1133z00_2536 = BgL_new1132z00_2537;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1133z00_2536)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_nodez00_2525)))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1133z00_2536)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_typez00_2528),
																			BUNSPEC);
																		((((BgL_atomz00_bglt)
																					COBJECT(((BgL_atomz00_bglt)
																							BgL_new1133z00_2536)))->
																				BgL_valuez00) =
																			((obj_t) BFALSE), BUNSPEC);
																		BgL_arg1720z00_2535 = BgL_new1133z00_2536;
																	}
																	BgL_nodez00_2534 =
																		BGl_coercez12z12zzcoerce_coercez00(
																		((BgL_nodez00_bglt) BgL_arg1720z00_2535),
																		BUNSPEC, BgL_typez00_2528, ((bool_t) 0));
																}
																return BgL_nodez00_2534;
															}
														}
													else
														{	/* Reduce/typec.scm 341 */
															BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00
																=
																(((long) 1) +
																BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00);
															return ((BgL_nodez00_bglt) BgL_nodez00_2525);
														}
												}
										}
									}
								else
									{	/* Reduce/typec.scm 370 */
										obj_t BgL_g1136z00_2585;

										BgL_g1136z00_2585 =
											BGl_isazd2ofzd2zztype_miscz00(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_2463)));
										if (CBOOL(BgL_g1136z00_2585))
											{	/* Reduce/typec.scm 373 */
												BgL_typez00_bglt BgL_arg1653z00_2586;

												{	/* Reduce/typec.scm 373 */
													obj_t BgL_arg1661z00_2587;

													BgL_arg1661z00_2587 =
														CAR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2463)))->
															BgL_argsz00));
													BgL_arg1653z00_2586 =
														BGl_getzd2typezd2zztype_typeofz00((
															(BgL_nodez00_bglt) BgL_arg1661z00_2587),
														((bool_t) 0));
												}
												{
													BgL_typez00_bglt BgL_typeaz00_3050;
													obj_t BgL_typecz00_3049;
													BgL_appz00_bglt BgL_nodez00_3047;

													BgL_nodez00_3047 =
														((BgL_appz00_bglt) BgL_nodez00_2463);
													BgL_typecz00_3049 = BgL_g1136z00_2585;
													BgL_typeaz00_3050 = BgL_arg1653z00_2586;
													BgL_typeaz00_2527 = BgL_typeaz00_3050;
													BgL_typecz00_2526 = BgL_typecz00_3049;
													BgL_nodez00_2525 = BgL_nodez00_3047;
													goto BgL_checkzd2typezd2_2523;
												}
											}
										else
											{	/* Reduce/typec.scm 370 */
												return
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2463));
											}
									}
							}
						}
					}
				}
			}
		}

	}



/* &node-typec!-box-ref1331 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1331za2zzreduce_typecz00(obj_t
		BgL_envz00_2464, obj_t BgL_nodez00_2465)
	{
		{	/* Reduce/typec.scm 279 */
			{
				BgL_varz00_bglt BgL_auxz00_3053;

				{	/* Reduce/typec.scm 281 */
					BgL_varz00_bglt BgL_arg1599z00_2589;

					BgL_arg1599z00_2589 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2465)))->BgL_varz00);
					BgL_auxz00_3053 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_typecz00(
							((BgL_nodez00_bglt) BgL_arg1599z00_2589)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2465)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3053), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2465));
		}

	}



/* &node-typec!-box-set!1329 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121329zb0zzreduce_typecz00(obj_t
		BgL_envz00_2466, obj_t BgL_nodez00_2467)
	{
		{	/* Reduce/typec.scm 270 */
			{
				BgL_varz00_bglt BgL_auxz00_3063;

				{	/* Reduce/typec.scm 272 */
					BgL_varz00_bglt BgL_arg1590z00_2591;

					BgL_arg1590z00_2591 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2467)))->BgL_varz00);
					BgL_auxz00_3063 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_typecz00(
							((BgL_nodez00_bglt) BgL_arg1590z00_2591)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2467)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3063), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3071;

				{	/* Reduce/typec.scm 273 */
					BgL_nodez00_bglt BgL_arg1598z00_2592;

					BgL_arg1598z00_2592 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2467)))->BgL_valuez00);
					BgL_auxz00_3071 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1598z00_2592);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2467)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3071), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2467));
		}

	}



/* &node-typec!-make-box1327 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1327za2zzreduce_typecz00(obj_t
		BgL_envz00_2468, obj_t BgL_nodez00_2469)
	{
		{	/* Reduce/typec.scm 262 */
			{
				BgL_nodez00_bglt BgL_auxz00_3079;

				{	/* Reduce/typec.scm 264 */
					BgL_nodez00_bglt BgL_arg1588z00_2594;

					BgL_arg1588z00_2594 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2469)))->BgL_valuez00);
					BgL_auxz00_3079 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1588z00_2594);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2469)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3079), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2469));
		}

	}



/* &node-typec!-return1325 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2return1325z70zzreduce_typecz00(obj_t
		BgL_envz00_2470, obj_t BgL_nodez00_2471)
	{
		{	/* Reduce/typec.scm 254 */
			{
				BgL_nodez00_bglt BgL_auxz00_3087;

				{	/* Reduce/typec.scm 256 */
					BgL_nodez00_bglt BgL_arg1582z00_2596;

					BgL_arg1582z00_2596 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2471)))->BgL_valuez00);
					BgL_auxz00_3087 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1582z00_2596);
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2471)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3087), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nodez00_2471));
		}

	}



/* &node-typec!-retblock1323 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2retblock1323z70zzreduce_typecz00(obj_t
		BgL_envz00_2472, obj_t BgL_nodez00_2473)
	{
		{	/* Reduce/typec.scm 246 */
			{
				BgL_nodez00_bglt BgL_auxz00_3095;

				{	/* Reduce/typec.scm 248 */
					BgL_nodez00_bglt BgL_arg1581z00_2598;

					BgL_arg1581z00_2598 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2473)))->BgL_bodyz00);
					BgL_auxz00_3095 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1581z00_2598);
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2473)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3095), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nodez00_2473));
		}

	}



/* &node-typec!-jump-ex-1321 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21321z70zzreduce_typecz00(obj_t
		BgL_envz00_2474, obj_t BgL_nodez00_2475)
	{
		{	/* Reduce/typec.scm 237 */
			{
				BgL_nodez00_bglt BgL_auxz00_3103;

				{	/* Reduce/typec.scm 239 */
					BgL_nodez00_bglt BgL_arg1572z00_2600;

					BgL_arg1572z00_2600 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2475)))->BgL_exitz00);
					BgL_auxz00_3103 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1572z00_2600);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2475)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3103), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3109;

				{	/* Reduce/typec.scm 240 */
					BgL_nodez00_bglt BgL_arg1580z00_2601;

					BgL_arg1580z00_2601 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2475)))->
						BgL_valuez00);
					BgL_auxz00_3109 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1580z00_2601);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2475)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3109), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2475));
		}

	}



/* &node-typec!-set-ex-i1319 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1319z70zzreduce_typecz00(obj_t
		BgL_envz00_2476, obj_t BgL_nodez00_2477)
	{
		{	/* Reduce/typec.scm 227 */
			{
				BgL_nodez00_bglt BgL_auxz00_3117;

				{	/* Reduce/typec.scm 229 */
					BgL_nodez00_bglt BgL_arg1565z00_2603;

					BgL_arg1565z00_2603 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2477)))->BgL_bodyz00);
					BgL_auxz00_3117 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1565z00_2603);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2477)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3117), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3123;

				{	/* Reduce/typec.scm 230 */
					BgL_nodez00_bglt BgL_arg1567z00_2604;

					BgL_arg1567z00_2604 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2477)))->
						BgL_onexitz00);
					BgL_auxz00_3123 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1567z00_2604);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2477)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3123), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3129;

				{	/* Reduce/typec.scm 231 */
					BgL_varz00_bglt BgL_arg1570z00_2605;

					BgL_arg1570z00_2605 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2477)))->BgL_varz00);
					BgL_auxz00_3129 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_typecz00(
							((BgL_nodez00_bglt) BgL_arg1570z00_2605)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2477)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3129), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2477));
		}

	}



/* &node-typec!-let-var1317 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1317za2zzreduce_typecz00(obj_t
		BgL_envz00_2478, obj_t BgL_nodez00_2479)
	{
		{	/* Reduce/typec.scm 216 */
			{	/* Reduce/typec.scm 218 */
				obj_t BgL_g1283z00_2607;

				BgL_g1283z00_2607 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2479)))->BgL_bindingsz00);
				{
					obj_t BgL_l1281z00_2609;

					BgL_l1281z00_2609 = BgL_g1283z00_2607;
				BgL_zc3z04anonymousza31533ze3z87_2608:
					if (PAIRP(BgL_l1281z00_2609))
						{	/* Reduce/typec.scm 218 */
							{	/* Reduce/typec.scm 219 */
								obj_t BgL_bindingz00_2610;

								BgL_bindingz00_2610 = CAR(BgL_l1281z00_2609);
								{	/* Reduce/typec.scm 219 */
									BgL_nodez00_bglt BgL_arg1535z00_2611;

									{	/* Reduce/typec.scm 219 */
										obj_t BgL_arg1558z00_2612;

										BgL_arg1558z00_2612 = CDR(((obj_t) BgL_bindingz00_2610));
										BgL_arg1535z00_2611 =
											BGl_nodezd2typecz12zc0zzreduce_typecz00(
											((BgL_nodez00_bglt) BgL_arg1558z00_2612));
									}
									{	/* Reduce/typec.scm 219 */
										obj_t BgL_auxz00_3150;
										obj_t BgL_tmpz00_3148;

										BgL_auxz00_3150 = ((obj_t) BgL_arg1535z00_2611);
										BgL_tmpz00_3148 = ((obj_t) BgL_bindingz00_2610);
										SET_CDR(BgL_tmpz00_3148, BgL_auxz00_3150);
									}
								}
							}
							{
								obj_t BgL_l1281z00_3153;

								BgL_l1281z00_3153 = CDR(BgL_l1281z00_2609);
								BgL_l1281z00_2609 = BgL_l1281z00_3153;
								goto BgL_zc3z04anonymousza31533ze3z87_2608;
							}
						}
					else
						{	/* Reduce/typec.scm 218 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3155;

				{	/* Reduce/typec.scm 221 */
					BgL_nodez00_bglt BgL_arg1561z00_2613;

					BgL_arg1561z00_2613 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2479)))->BgL_bodyz00);
					BgL_auxz00_3155 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1561z00_2613);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2479)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3155), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2479));
		}

	}



/* &node-typec!-let-fun1315 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1315za2zzreduce_typecz00(obj_t
		BgL_envz00_2480, obj_t BgL_nodez00_2481)
	{
		{	/* Reduce/typec.scm 204 */
			{	/* Reduce/typec.scm 206 */
				obj_t BgL_g1280z00_2615;

				BgL_g1280z00_2615 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2481)))->BgL_localsz00);
				{
					obj_t BgL_l1278z00_2617;

					BgL_l1278z00_2617 = BgL_g1280z00_2615;
				BgL_zc3z04anonymousza31522ze3z87_2616:
					if (PAIRP(BgL_l1278z00_2617))
						{	/* Reduce/typec.scm 206 */
							{	/* Reduce/typec.scm 207 */
								obj_t BgL_localz00_2618;

								BgL_localz00_2618 = CAR(BgL_l1278z00_2617);
								{	/* Reduce/typec.scm 207 */
									BgL_valuez00_bglt BgL_funz00_2619;

									BgL_funz00_2619 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2618))))->
										BgL_valuez00);
									{	/* Reduce/typec.scm 208 */
										BgL_nodez00_bglt BgL_arg1524z00_2620;

										{	/* Reduce/typec.scm 208 */
											obj_t BgL_arg1526z00_2621;

											BgL_arg1526z00_2621 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2619)))->
												BgL_bodyz00);
											BgL_arg1524z00_2620 =
												BGl_nodezd2typecz12zc0zzreduce_typecz00((
													(BgL_nodez00_bglt) BgL_arg1526z00_2621));
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2619)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1524z00_2620)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1278z00_3178;

								BgL_l1278z00_3178 = CDR(BgL_l1278z00_2617);
								BgL_l1278z00_2617 = BgL_l1278z00_3178;
								goto BgL_zc3z04anonymousza31522ze3z87_2616;
							}
						}
					else
						{	/* Reduce/typec.scm 206 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3180;

				{	/* Reduce/typec.scm 210 */
					BgL_nodez00_bglt BgL_arg1532z00_2622;

					BgL_arg1532z00_2622 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2481)))->BgL_bodyz00);
					BgL_auxz00_3180 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1532z00_2622);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2481)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3180), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2481));
		}

	}



/* &node-typec!-switch1313 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2switch1313z70zzreduce_typecz00(obj_t
		BgL_envz00_2482, obj_t BgL_nodez00_2483)
	{
		{	/* Reduce/typec.scm 193 */
			{
				BgL_nodez00_bglt BgL_auxz00_3188;

				{	/* Reduce/typec.scm 195 */
					BgL_nodez00_bglt BgL_arg1506z00_2624;

					BgL_arg1506z00_2624 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2483)))->BgL_testz00);
					BgL_auxz00_3188 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1506z00_2624);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2483)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3188), BUNSPEC);
			}
			{	/* Reduce/typec.scm 196 */
				obj_t BgL_g1277z00_2625;

				BgL_g1277z00_2625 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2483)))->BgL_clausesz00);
				{
					obj_t BgL_l1275z00_2627;

					BgL_l1275z00_2627 = BgL_g1277z00_2625;
				BgL_zc3z04anonymousza31507ze3z87_2626:
					if (PAIRP(BgL_l1275z00_2627))
						{	/* Reduce/typec.scm 196 */
							{	/* Reduce/typec.scm 197 */
								obj_t BgL_clausez00_2628;

								BgL_clausez00_2628 = CAR(BgL_l1275z00_2627);
								{	/* Reduce/typec.scm 197 */
									BgL_nodez00_bglt BgL_arg1510z00_2629;

									{	/* Reduce/typec.scm 197 */
										obj_t BgL_arg1511z00_2630;

										BgL_arg1511z00_2630 = CDR(((obj_t) BgL_clausez00_2628));
										BgL_arg1510z00_2629 =
											BGl_nodezd2typecz12zc0zzreduce_typecz00(
											((BgL_nodez00_bglt) BgL_arg1511z00_2630));
									}
									{	/* Reduce/typec.scm 197 */
										obj_t BgL_auxz00_3205;
										obj_t BgL_tmpz00_3203;

										BgL_auxz00_3205 = ((obj_t) BgL_arg1510z00_2629);
										BgL_tmpz00_3203 = ((obj_t) BgL_clausez00_2628);
										SET_CDR(BgL_tmpz00_3203, BgL_auxz00_3205);
									}
								}
							}
							{
								obj_t BgL_l1275z00_3208;

								BgL_l1275z00_3208 = CDR(BgL_l1275z00_2627);
								BgL_l1275z00_2627 = BgL_l1275z00_3208;
								goto BgL_zc3z04anonymousza31507ze3z87_2626;
							}
						}
					else
						{	/* Reduce/typec.scm 196 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2483));
		}

	}



/* &node-typec!-fail1311 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2fail1311z70zzreduce_typecz00(obj_t
		BgL_envz00_2484, obj_t BgL_nodez00_2485)
	{
		{	/* Reduce/typec.scm 183 */
			{
				BgL_nodez00_bglt BgL_auxz00_3212;

				{	/* Reduce/typec.scm 185 */
					BgL_nodez00_bglt BgL_arg1482z00_2632;

					BgL_arg1482z00_2632 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2485)))->BgL_procz00);
					BgL_auxz00_3212 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1482z00_2632);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2485)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3212), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3218;

				{	/* Reduce/typec.scm 186 */
					BgL_nodez00_bglt BgL_arg1484z00_2633;

					BgL_arg1484z00_2633 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2485)))->BgL_msgz00);
					BgL_auxz00_3218 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1484z00_2633);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2485)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3218), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3224;

				{	/* Reduce/typec.scm 187 */
					BgL_nodez00_bglt BgL_arg1496z00_2634;

					BgL_arg1496z00_2634 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2485)))->BgL_objz00);
					BgL_auxz00_3224 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1496z00_2634);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2485)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3224), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2485));
		}

	}



/* &node-typec!-conditio1309 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1309z70zzreduce_typecz00(obj_t
		BgL_envz00_2486, obj_t BgL_nodez00_2487)
	{
		{	/* Reduce/typec.scm 159 */
			{
				BgL_nodez00_bglt BgL_auxz00_3232;

				{	/* Reduce/typec.scm 161 */
					BgL_nodez00_bglt BgL_arg1422z00_2636;

					BgL_arg1422z00_2636 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2487)))->BgL_testz00);
					BgL_auxz00_3232 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1422z00_2636);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2487)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3232), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3238;

				{	/* Reduce/typec.scm 162 */
					BgL_nodez00_bglt BgL_arg1426z00_2637;

					BgL_arg1426z00_2637 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2487)))->BgL_truez00);
					BgL_auxz00_3238 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1426z00_2637);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2487)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3238), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3244;

				{	/* Reduce/typec.scm 163 */
					BgL_nodez00_bglt BgL_arg1429z00_2638;

					BgL_arg1429z00_2638 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2487)))->BgL_falsez00);
					BgL_auxz00_3244 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1429z00_2638);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2487)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3244), BUNSPEC);
			}
			if (BGl_pairzd2ofzd2pairzd2nilzf3z21zzreduce_typecz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2487)))->BgL_testz00)))
				{	/* Reduce/typec.scm 164 */
					{	/* Reduce/typec.scm 171 */
						BgL_nodez00_bglt BgL_arg1467z00_2639;

						BgL_arg1467z00_2639 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2487)))->BgL_testz00);
						{	/* Reduce/typec.scm 393 */
							BgL_varz00_bglt BgL_i1143z00_2640;

							BgL_i1143z00_2640 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_arg1467z00_2639)))->BgL_funz00);
							((((BgL_varz00_bglt) COBJECT(BgL_i1143z00_2640))->
									BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BGl_za2nullzf3za2zf3zzreduce_typecz00)), BUNSPEC);
						}
					}
					{	/* Reduce/typec.scm 172 */
						BgL_nodez00_bglt BgL_otruez00_2641;

						BgL_otruez00_2641 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2487)))->BgL_truez00);
						((((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2487)))->
								BgL_truez00) =
							((BgL_nodez00_bglt) (((BgL_conditionalz00_bglt)
										COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_2487)))->
									BgL_falsez00)), BUNSPEC);
						((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
											BgL_nodez00_2487)))->BgL_falsez00) =
							((BgL_nodez00_bglt) BgL_otruez00_2641), BUNSPEC);
						BNIL;
					}
				}
			else
				{	/* Reduce/typec.scm 164 */
					BFALSE;
				}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2487));
		}

	}



/* &node-typec!-setq1307 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2setq1307z70zzreduce_typecz00(obj_t
		BgL_envz00_2488, obj_t BgL_nodez00_2489)
	{
		{	/* Reduce/typec.scm 150 */
			{
				BgL_nodez00_bglt BgL_auxz00_3270;

				{	/* Reduce/typec.scm 152 */
					BgL_nodez00_bglt BgL_arg1400z00_2643;

					BgL_arg1400z00_2643 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2489)))->BgL_valuez00);
					BgL_auxz00_3270 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1400z00_2643);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2489)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3270), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3276;

				{	/* Reduce/typec.scm 153 */
					BgL_varz00_bglt BgL_arg1421z00_2644;

					BgL_arg1421z00_2644 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2489)))->BgL_varz00);
					BgL_auxz00_3276 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_typecz00(
							((BgL_nodez00_bglt) BgL_arg1421z00_2644)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2489)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3276), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2489));
		}

	}



/* &node-typec!-cast1305 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2cast1305z70zzreduce_typecz00(obj_t
		BgL_envz00_2490, obj_t BgL_nodez00_2491)
	{
		{	/* Reduce/typec.scm 142 */
			BGl_nodezd2typecz12zc0zzreduce_typecz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2491)))->BgL_argz00));
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2491));
		}

	}



/* &node-typec!-extern1303 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2extern1303z70zzreduce_typecz00(obj_t
		BgL_envz00_2492, obj_t BgL_nodez00_2493)
	{
		{	/* Reduce/typec.scm 134 */
			BGl_nodezd2typecza2z12z62zzreduce_typecz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2493)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2493));
		}

	}



/* &node-typec!-funcall1301 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1301z70zzreduce_typecz00(obj_t
		BgL_envz00_2494, obj_t BgL_nodez00_2495)
	{
		{	/* Reduce/typec.scm 125 */
			{
				BgL_nodez00_bglt BgL_auxz00_3296;

				{	/* Reduce/typec.scm 127 */
					BgL_nodez00_bglt BgL_arg1391z00_2648;

					BgL_arg1391z00_2648 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2495)))->BgL_funz00);
					BgL_auxz00_3296 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1391z00_2648);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2495)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3296), BUNSPEC);
			}
			BGl_nodezd2typecza2z12z62zzreduce_typecz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2495)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2495));
		}

	}



/* &node-typec!-app-ly1299 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1299za2zzreduce_typecz00(obj_t
		BgL_envz00_2496, obj_t BgL_nodez00_2497)
	{
		{	/* Reduce/typec.scm 116 */
			{
				BgL_nodez00_bglt BgL_auxz00_3307;

				{	/* Reduce/typec.scm 118 */
					BgL_nodez00_bglt BgL_arg1389z00_2650;

					BgL_arg1389z00_2650 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2497)))->BgL_funz00);
					BgL_auxz00_3307 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1389z00_2650);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2497)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3307), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3313;

				{	/* Reduce/typec.scm 119 */
					BgL_nodez00_bglt BgL_arg1390z00_2651;

					BgL_arg1390z00_2651 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2497)))->BgL_argz00);
					BgL_auxz00_3313 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1390z00_2651);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2497)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3313), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2497));
		}

	}



/* &node-typec!-sync1297 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2sync1297z70zzreduce_typecz00(obj_t
		BgL_envz00_2498, obj_t BgL_nodez00_2499)
	{
		{	/* Reduce/typec.scm 106 */
			{
				BgL_nodez00_bglt BgL_auxz00_3321;

				{	/* Reduce/typec.scm 108 */
					BgL_nodez00_bglt BgL_arg1384z00_2653;

					BgL_arg1384z00_2653 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2499)))->BgL_mutexz00);
					BgL_auxz00_3321 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1384z00_2653);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2499)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3321), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3327;

				{	/* Reduce/typec.scm 109 */
					BgL_nodez00_bglt BgL_arg1387z00_2654;

					BgL_arg1387z00_2654 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2499)))->BgL_prelockz00);
					BgL_auxz00_3327 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1387z00_2654);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2499)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3327), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3333;

				{	/* Reduce/typec.scm 110 */
					BgL_nodez00_bglt BgL_arg1388z00_2655;

					BgL_arg1388z00_2655 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2499)))->BgL_bodyz00);
					BgL_auxz00_3333 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1388z00_2655);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2499)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3333), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2499));
		}

	}



/* &node-typec!-sequence1295 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1295z70zzreduce_typecz00(obj_t
		BgL_envz00_2500, obj_t BgL_nodez00_2501)
	{
		{	/* Reduce/typec.scm 98 */
			BGl_nodezd2typecza2z12z62zzreduce_typecz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2501)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2501));
		}

	}



/* &node-typec!-closure1293 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2closure1293z70zzreduce_typecz00(obj_t
		BgL_envz00_2502, obj_t BgL_nodez00_2503)
	{
		{	/* Reduce/typec.scm 92 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2503));
		}

	}



/* &node-typec!-var1291 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2var1291z70zzreduce_typecz00(obj_t
		BgL_envz00_2504, obj_t BgL_nodez00_2505)
	{
		{	/* Reduce/typec.scm 86 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2505));
		}

	}



/* &node-typec!-kwote1289 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2kwote1289z70zzreduce_typecz00(obj_t
		BgL_envz00_2506, obj_t BgL_nodez00_2507)
	{
		{	/* Reduce/typec.scm 80 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2507));
		}

	}



/* &node-typec!-atom1287 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2atom1287z70zzreduce_typecz00(obj_t
		BgL_envz00_2508, obj_t BgL_nodez00_2509)
	{
		{	/* Reduce/typec.scm 74 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2509));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1907z00zzreduce_typecz00));
		}

	}

#ifdef __cplusplus
}
#endif
