/*===========================================================================*/
/*   (SawJvm/compile.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/compile.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00 = BUNSPEC;
	extern obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00(void);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	extern obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_compilez00(void);
	static obj_t BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_constructorz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static bool_t BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_compilez00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_compilez00(void);
	extern obj_t BGl_bbvz00zzsaw_bbvz00(BgL_backendz00_bglt, BgL_globalz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_buildzd2treezd2zzsaw_exprz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	extern obj_t BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	extern BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t, BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_compilezd2slotzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_slotz00_bglt);
	extern obj_t BGl_openzd2globalzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_compilez00(void);
	extern obj_t BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	extern obj_t BGl_closezd2classzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(BgL_backendz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t);
	extern obj_t
		BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_globalz00_bglt, obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2cinitzd2moduleza2z00zzengine_paramz00;
	extern obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_za2jvmzd2catchza2zd2zzengine_paramz00;
	extern obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00(void);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_closezd2modulezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_exprz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_compilez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00(void);
	extern obj_t BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_compilez00(void);
	extern obj_t
		BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_jvmz00_bglt);
	static obj_t BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t);
	static bool_t BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00(void);
	extern obj_t BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		obj_t);
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_openzd2classzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt, obj_t);
	extern obj_t BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	extern obj_t
		BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	extern obj_t BGl_openzd2modulezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	static obj_t BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t __cnst[74];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_saw_jvmzd2compilezd2envz00zzsaw_jvm_compilez00,
		BgL_bgl_za762saw_jvmza7d2com2012z00,
		BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2007z00zzsaw_jvm_compilez00,
		BgL_bgl_string2007za700za7za7s2013za7, "emit-cnst", 9);
	      DEFINE_STRING(BGl_string2008z00zzsaw_jvm_compilez00,
		BgL_bgl_string2008za700za7za7s2014za7, "Unknown cnst class", 18);
	      DEFINE_STRING(BGl_string2009z00zzsaw_jvm_compilez00,
		BgL_bgl_string2009za700za7za7s2015za7, "saw_jvm_compile", 15);
	      DEFINE_STRING(BGl_string2010z00zzsaw_jvm_compilez00,
		BgL_bgl_string2010za700za7za7s2016za7,
		"dlopen (aastore) (dastore) (fastore) (lastore) (iastore) (sastore) (castore) (bastore) anewarray newarray float char boolean stvector sgfun (putfield procenv) slfun selfun (putfield procarity) (putfield procindex) (invokespecial init) (dup) (new me) sfun (invokestatic BGL_INT8_TO_BINT8) byte suint8 sint8 (invokestatic BGL_INT16_TO_BINT16) short suint16 sint16 (invokestatic BGL_INT32_TO_BINT32) int suint32 sint32 (invokestatic BGL_INT64_TO_BINT64) suint64 sint64 (invokestatic llong_to_bllong) sllong (invokestatic elong_to_belong) long selong (invokestatic double_to_real) double sreal (invokestatic getbytes) sstring module-initialization (aconst_null) (iconst_0) putstatic (anewarray obj) (putstatic myname) (invokestatic foreign-print) ldc clinit (invokespecial super-init) (aload this) (this) init (invokestatic internalerror) catch (return) (pop) bigloo_main (invokestatic listargv) (aload argv) from (handler from catch catch throwable) (argv) main ",
		959);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long
		BgL_checksumz00_3632, char *BgL_fromz00_3633)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_compilez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00();
					BGl_cnstzd2initzd2zzsaw_jvm_compilez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_compilez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"saw_jvm_compile");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			{	/* SawJvm/compile.scm 1 */
				obj_t BgL_cportz00_3621;

				{	/* SawJvm/compile.scm 1 */
					obj_t BgL_stringz00_3628;

					BgL_stringz00_3628 = BGl_string2010z00zzsaw_jvm_compilez00;
					{	/* SawJvm/compile.scm 1 */
						obj_t BgL_startz00_3629;

						BgL_startz00_3629 = BINT(((long) 0));
						{	/* SawJvm/compile.scm 1 */
							obj_t BgL_endz00_3630;

							BgL_endz00_3630 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3628)));
							{	/* SawJvm/compile.scm 1 */

								BgL_cportz00_3621 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3628, BgL_startz00_3629, BgL_endz00_3630);
				}}}}
				{
					long BgL_iz00_3622;

					BgL_iz00_3622 = ((long) 73);
				BgL_loopz00_3623:
					if ((BgL_iz00_3622 == ((long) -1)))
						{	/* SawJvm/compile.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/compile.scm 1 */
							{	/* SawJvm/compile.scm 1 */
								obj_t BgL_arg2011z00_3624;

								{	/* SawJvm/compile.scm 1 */

									{	/* SawJvm/compile.scm 1 */
										obj_t BgL_locationz00_3626;

										BgL_locationz00_3626 = BBOOL(((bool_t) 0));
										{	/* SawJvm/compile.scm 1 */

											BgL_arg2011z00_3624 =
												BGl_readz00zz__readerz00(BgL_cportz00_3621,
												BgL_locationz00_3626);
										}
									}
								}
								{	/* SawJvm/compile.scm 1 */
									int BgL_tmpz00_3663;

									BgL_tmpz00_3663 = (int) (BgL_iz00_3622);
									CNST_TABLE_SET(BgL_tmpz00_3663, BgL_arg2011z00_3624);
							}}
							{	/* SawJvm/compile.scm 1 */
								int BgL_auxz00_3627;

								BgL_auxz00_3627 = (int) ((BgL_iz00_3622 - ((long) 1)));
								{
									long BgL_iz00_3668;

									BgL_iz00_3668 = (long) (BgL_auxz00_3627);
									BgL_iz00_3622 = BgL_iz00_3668;
									goto BgL_loopz00_3623;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* saw_jvm-compile */
	BGL_EXPORTED_DEF obj_t
		BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_13)
	{
		{	/* SawJvm/compile.scm 40 */
			BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_mez00_13);
			{	/* SawJvm/compile.scm 42 */
				obj_t BgL_g1626z00_2679;

				BgL_g1626z00_2679 = BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
				{
					obj_t BgL_l1624z00_2681;

					BgL_l1624z00_2681 = BgL_g1626z00_2679;
				BgL_zc3z04anonymousza31664ze3z87_2682:
					if (PAIRP(BgL_l1624z00_2681))
						{	/* SawJvm/compile.scm 42 */
							BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_mez00_13,
								CAR(BgL_l1624z00_2681));
							{
								obj_t BgL_l1624z00_3677;

								BgL_l1624z00_3677 = CDR(BgL_l1624z00_2681);
								BgL_l1624z00_2681 = BgL_l1624z00_3677;
								goto BgL_zc3z04anonymousza31664ze3z87_2682;
							}
						}
					else
						{	/* SawJvm/compile.scm 42 */
							((bool_t) 1);
						}
				}
			}
			BGL_TAIL return BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_mez00_13);
		}

	}



/* &saw_jvm-compile */
	obj_t BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00(obj_t BgL_envz00_3618,
		obj_t BgL_mez00_3619)
	{
		{	/* SawJvm/compile.scm 40 */
			return
				BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(
				((BgL_jvmz00_bglt) BgL_mez00_3619));
		}

	}



/* compile-class */
	obj_t BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_14,
		obj_t BgL_cz00_15)
	{
		{	/* SawJvm/compile.scm 48 */
			{	/* SawJvm/compile.scm 49 */
				BgL_typez00_bglt BgL_arg1673z00_2687;

				BgL_arg1673z00_2687 =
					BGl_getzd2itszd2superz00zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_15));
				BGl_openzd2classzd2zzsaw_jvm_outz00(BgL_mez00_14,
					((BgL_typez00_bglt) BgL_cz00_15), ((obj_t) BgL_arg1673z00_2687));
			}
			{	/* SawJvm/compile.scm 50 */
				obj_t BgL_g1629z00_2688;

				BgL_g1629z00_2688 =
					BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_15));
				{
					obj_t BgL_l1627z00_2690;

					BgL_l1627z00_2690 = BgL_g1629z00_2688;
				BgL_zc3z04anonymousza31674ze3z87_2691:
					if (PAIRP(BgL_l1627z00_2690))
						{	/* SawJvm/compile.scm 50 */
							{	/* SawJvm/compile.scm 50 */
								obj_t BgL_fz00_2693;

								BgL_fz00_2693 = CAR(BgL_l1627z00_2690);
								BGl_compilezd2slotzd2zzsaw_jvm_outz00(BgL_mez00_14,
									((BgL_slotz00_bglt) BgL_fz00_2693));
							}
							{
								obj_t BgL_l1627z00_3694;

								BgL_l1627z00_3694 = CDR(BgL_l1627z00_2690);
								BgL_l1627z00_2690 = BgL_l1627z00_3694;
								goto BgL_zc3z04anonymousza31674ze3z87_2691;
							}
						}
					else
						{	/* SawJvm/compile.scm 50 */
							((bool_t) 1);
						}
				}
			}
			BGl_constructorz00zzsaw_jvm_compilez00(BgL_mez00_14);
			return
				BGl_closezd2classzd2zzsaw_jvm_outz00(BgL_mez00_14,
				((BgL_typez00_bglt) BgL_cz00_15));
		}

	}



/* compile-module */
	obj_t BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_16)
	{
		{	/* SawJvm/compile.scm 57 */
			BGl_openzd2modulezd2zzsaw_jvm_outz00(BgL_mez00_16);
			{	/* SawJvm/compile.scm 59 */
				obj_t BgL_g1632z00_2696;

				BgL_g1632z00_2696 =
					BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{
					obj_t BgL_l1630z00_2698;

					BgL_l1630z00_2698 = BgL_g1632z00_2696;
				BgL_zc3z04anonymousza31678ze3z87_2699:
					if (PAIRP(BgL_l1630z00_2698))
						{	/* SawJvm/compile.scm 60 */
							{	/* SawJvm/compile.scm 59 */
								obj_t BgL_vz00_2701;

								BgL_vz00_2701 = CAR(BgL_l1630z00_2698);
								BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_16,
									((BgL_globalz00_bglt) BgL_vz00_2701));
							}
							{
								obj_t BgL_l1630z00_3706;

								BgL_l1630z00_3706 = CDR(BgL_l1630z00_2698);
								BgL_l1630z00_2698 = BgL_l1630z00_3706;
								goto BgL_zc3z04anonymousza31678ze3z87_2699;
							}
						}
					else
						{	/* SawJvm/compile.scm 60 */
							((bool_t) 1);
						}
				}
			}
			{	/* SawJvm/compile.scm 61 */
				bool_t BgL_test2022z00_3708;

				{	/* SawJvm/compile.scm 61 */
					obj_t BgL_arg1692z00_2707;

					BgL_arg1692z00_2707 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
					BgL_test2022z00_3708 =
						((long) CINT(BgL_arg1692z00_2707) > ((long) 0));
				}
				if (BgL_test2022z00_3708)
					{	/* SawJvm/compile.scm 61 */
						obj_t BgL_arg1687z00_2706;

						BgL_arg1687z00_2706 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
						BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_16,
							((BgL_globalz00_bglt) BgL_arg1687z00_2706));
					}
				else
					{	/* SawJvm/compile.scm 61 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 62 */
				bool_t BgL_test2023z00_3715;

				{	/* SawJvm/compile.scm 62 */
					obj_t BgL_objz00_3434;

					BgL_objz00_3434 = BGl_za2mainza2z00zzmodule_modulez00;
					{	/* SawJvm/compile.scm 62 */
						obj_t BgL_classz00_3435;

						BgL_classz00_3435 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_objz00_3434))
							{	/* SawJvm/compile.scm 62 */
								BgL_objectz00_bglt BgL_arg1820z00_3437;

								BgL_arg1820z00_3437 = (BgL_objectz00_bglt) (BgL_objz00_3434);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/compile.scm 62 */
										long BgL_idxz00_3443;

										BgL_idxz00_3443 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3437);
										BgL_test2023z00_3715 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3443 + ((long) 2))) == BgL_classz00_3435);
									}
								else
									{	/* SawJvm/compile.scm 62 */
										bool_t BgL_res2003z00_3465;

										{	/* SawJvm/compile.scm 62 */
											obj_t BgL_oclassz00_3451;

											{	/* SawJvm/compile.scm 62 */
												long BgL_arg1828z00_3457;

												{	/* SawJvm/compile.scm 62 */
													long BgL_arg1829z00_3458;

													BgL_arg1829z00_3458 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3437);
													BgL_arg1828z00_3457 =
														(BgL_arg1829z00_3458 - OBJECT_TYPE);
												}
												BgL_oclassz00_3451 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_3457);
											}
											{	/* SawJvm/compile.scm 62 */
												bool_t BgL__ortest_1111z00_3452;

												BgL__ortest_1111z00_3452 =
													(BgL_classz00_3435 == BgL_oclassz00_3451);
												if (BgL__ortest_1111z00_3452)
													{	/* SawJvm/compile.scm 62 */
														BgL_res2003z00_3465 = BgL__ortest_1111z00_3452;
													}
												else
													{	/* SawJvm/compile.scm 62 */
														long BgL_odepthz00_3453;

														BgL_odepthz00_3453 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3451);
														if ((((long) 2) < BgL_odepthz00_3453))
															{	/* SawJvm/compile.scm 62 */
																obj_t BgL_arg1816z00_3455;

																BgL_arg1816z00_3455 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3451,
																	((long) 2));
																BgL_res2003z00_3465 =
																	(BgL_arg1816z00_3455 == BgL_classz00_3435);
															}
														else
															{	/* SawJvm/compile.scm 62 */
																BgL_res2003z00_3465 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2023z00_3715 = BgL_res2003z00_3465;
									}
							}
						else
							{	/* SawJvm/compile.scm 62 */
								BgL_test2023z00_3715 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2023z00_3715)
					{	/* SawJvm/compile.scm 62 */
						BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_mez00_16);
					}
				else
					{	/* SawJvm/compile.scm 62 */
						BFALSE;
					}
			}
			BGl_constructorz00zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_mez00_16);
			BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_mez00_16);
			BGL_TAIL return BGl_closezd2modulezd2zzsaw_jvm_outz00(BgL_mez00_16);
		}

	}



/* module-main */
	obj_t BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_17)
	{
		{	/* SawJvm/compile.scm 74 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_17,
				CNST_TABLE_REF(((long) 0)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_17,
				CNST_TABLE_REF(((long) 1)), BNIL);
			if (CBOOL(BGl_za2jvmzd2catchza2zd2zzengine_paramz00))
				{	/* SawJvm/compile.scm 77 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 2)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 3)));
				}
			else
				{	/* SawJvm/compile.scm 77 */
					BFALSE;
				}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(((long) 4)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(((long) 5)));
			{	/* SawJvm/compile.scm 82 */
				obj_t BgL_arg1696z00_2709;

				{	/* SawJvm/compile.scm 82 */
					obj_t BgL_list1697z00_2710;

					BgL_list1697z00_2710 =
						MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
					BgL_arg1696z00_2709 =
						BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
						BgL_list1697z00_2710);
				}
				BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_17,
					((BgL_globalz00_bglt) BgL_arg1696z00_2709));
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(((long) 7)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(((long) 8)));
			if (CBOOL(BGl_za2jvmzd2catchza2zd2zzengine_paramz00))
				{	/* SawJvm/compile.scm 85 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 9)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 10)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 8)));
				}
			else
				{	/* SawJvm/compile.scm 85 */
					BFALSE;
				}
			BGL_TAIL return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_17);
		}

	}



/* constructor */
	obj_t BGl_constructorz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_18)
	{
		{	/* SawJvm/compile.scm 94 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_18,
				CNST_TABLE_REF(((long) 11)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_18,
				CNST_TABLE_REF(((long) 12)), BNIL);
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18, CNST_TABLE_REF(((long) 13)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18, CNST_TABLE_REF(((long) 14)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18, CNST_TABLE_REF(((long) 8)));
			BGL_TAIL return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_18);
		}

	}



/* module-init */
	obj_t BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_19)
	{
		{	/* SawJvm/compile.scm 105 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_19,
				CNST_TABLE_REF(((long) 15)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_19, BNIL, BNIL);
			{	/* SawJvm/compile.scm 109 */
				bool_t BgL_test2030z00_3789;

				if (INTEGERP(BGl_za2debugzd2moduleza2zd2zzengine_paramz00))
					{	/* SawJvm/compile.scm 109 */
						BgL_test2030z00_3789 =
							(
							(long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00) >
							((long) 0));
					}
				else
					{	/* SawJvm/compile.scm 109 */
						BgL_test2030z00_3789 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00
							(BGl_za2debugzd2moduleza2zd2zzengine_paramz00, BINT(((long) 0)));
					}
				if (BgL_test2030z00_3789)
					{	/* SawJvm/compile.scm 109 */
						{	/* SawJvm/compile.scm 110 */
							obj_t BgL_arg1705z00_2712;

							{	/* SawJvm/compile.scm 110 */
								obj_t BgL_arg1711z00_2713;

								{	/* SawJvm/compile.scm 110 */
									obj_t BgL_arg1712z00_2714;

									{	/* SawJvm/compile.scm 110 */
										obj_t BgL_symbolz00_3467;

										BgL_symbolz00_3467 = BGl_za2moduleza2z00zzmodule_modulez00;
										{	/* SawJvm/compile.scm 110 */
											obj_t BgL_arg1469z00_3468;

											BgL_arg1469z00_3468 =
												SYMBOL_TO_STRING(BgL_symbolz00_3467);
											BgL_arg1712z00_2714 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1469z00_3468);
										}
									}
									BgL_arg1711z00_2713 =
										MAKE_YOUNG_PAIR(BgL_arg1712z00_2714, BNIL);
								}
								BgL_arg1705z00_2712 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 16)),
									BgL_arg1711z00_2713);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg1705z00_2712);
						}
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
							CNST_TABLE_REF(((long) 17)));
					}
				else
					{	/* SawJvm/compile.scm 109 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 113 */
				obj_t BgL_arg1720z00_2715;

				{	/* SawJvm/compile.scm 113 */
					obj_t BgL_arg1721z00_2716;

					{	/* SawJvm/compile.scm 113 */
						obj_t BgL_arg1723z00_2717;

						{	/* SawJvm/compile.scm 113 */
							obj_t BgL_symbolz00_3469;

							BgL_symbolz00_3469 = BGl_za2moduleza2z00zzmodule_modulez00;
							{	/* SawJvm/compile.scm 113 */
								obj_t BgL_arg1469z00_3470;

								BgL_arg1469z00_3470 = SYMBOL_TO_STRING(BgL_symbolz00_3469);
								BgL_arg1723z00_2717 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1469z00_3470);
							}
						}
						BgL_arg1721z00_2716 = MAKE_YOUNG_PAIR(BgL_arg1723z00_2717, BNIL);
					}
					BgL_arg1720z00_2715 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 16)), BgL_arg1721z00_2716);
				}
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg1720z00_2715);
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, CNST_TABLE_REF(((long) 18)));
			{	/* SawJvm/compile.scm 116 */
				obj_t BgL_siza7eza7_2718;

				BgL_siza7eza7_2718 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
				if (((long) CINT(BgL_siza7eza7_2718) > ((long) 0)))
					{	/* SawJvm/compile.scm 117 */
						BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_mez00_19, BgL_siza7eza7_2718);
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
							CNST_TABLE_REF(((long) 19)));
						{	/* SawJvm/compile.scm 120 */
							obj_t BgL_arg1728z00_2720;

							{	/* SawJvm/compile.scm 120 */
								obj_t BgL_arg1730z00_2721;

								{	/* SawJvm/compile.scm 120 */
									obj_t BgL_arg1731z00_2722;

									{	/* SawJvm/compile.scm 120 */
										obj_t BgL_arg1734z00_2723;

										BgL_arg1734z00_2723 =
											BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
										BgL_arg1731z00_2722 =
											BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_19,
											((BgL_globalz00_bglt) BgL_arg1734z00_2723));
									}
									BgL_arg1730z00_2721 =
										MAKE_YOUNG_PAIR(BgL_arg1731z00_2722, BNIL);
								}
								BgL_arg1728z00_2720 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
									BgL_arg1730z00_2721);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg1728z00_2720);
					}}
				else
					{	/* SawJvm/compile.scm 117 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 122 */
				obj_t BgL_g1635z00_2724;

				BgL_g1635z00_2724 =
					BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{
					obj_t BgL_l1633z00_2726;

					BgL_l1633z00_2726 = BgL_g1635z00_2724;
				BgL_zc3z04anonymousza31735ze3z87_2727:
					if (PAIRP(BgL_l1633z00_2726))
						{	/* SawJvm/compile.scm 123 */
							{	/* SawJvm/compile.scm 122 */
								obj_t BgL_vz00_2729;

								BgL_vz00_2729 = CAR(BgL_l1633z00_2726);
								{	/* SawJvm/compile.scm 122 */
									BgL_valuez00_bglt BgL_arg1738z00_2730;

									BgL_arg1738z00_2730 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_2729))))->
										BgL_valuez00);
									BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_mez00_19,
										BgL_vz00_2729, BgL_arg1738z00_2730);
								}
							}
							{
								obj_t BgL_l1633z00_3834;

								BgL_l1633z00_3834 = CDR(BgL_l1633z00_2726);
								BgL_l1633z00_2726 = BgL_l1633z00_3834;
								goto BgL_zc3z04anonymousza31735ze3z87_2727;
							}
						}
					else
						{	/* SawJvm/compile.scm 123 */
							((bool_t) 1);
						}
				}
			}
			if (CBOOL(BGl_za2jvmzd2cinitzd2moduleza2z00zzengine_paramz00))
				{	/* SawJvm/compile.scm 124 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
						CNST_TABLE_REF(((long) 21)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
						CNST_TABLE_REF(((long) 22)));
					{	/* SawJvm/compile.scm 128 */
						obj_t BgL_arg1745z00_2733;

						{	/* SawJvm/compile.scm 128 */
							obj_t BgL_list1746z00_2734;

							BgL_list1746z00_2734 =
								MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
							BgL_arg1745z00_2733 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 23)),
								BgL_list1746z00_2734);
						}
						BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_19,
							((BgL_globalz00_bglt) BgL_arg1745z00_2733));
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
						CNST_TABLE_REF(((long) 7)));
				}
			else
				{	/* SawJvm/compile.scm 124 */
					BFALSE;
				}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, CNST_TABLE_REF(((long) 8)));
			BGL_TAIL return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_19);
		}

	}



/* key-opt? */
	bool_t BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(obj_t BgL_vz00_20)
	{
		{	/* SawJvm/compile.scm 133 */
			{	/* SawJvm/compile.scm 134 */
				BgL_globalz00_bglt BgL_vz00_2735;

				BgL_vz00_2735 =
					BGl_globalzd2entryzd2zzbackend_cplibz00(
					((BgL_globalz00_bglt) BgL_vz00_20));
				{	/* SawJvm/compile.scm 135 */
					BgL_valuez00_bglt BgL_valz00_2736;

					BgL_valz00_2736 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_2735)))->BgL_valuez00);
					{	/* SawJvm/compile.scm 136 */
						bool_t BgL_test2035z00_3856;

						{	/* SawJvm/compile.scm 136 */
							obj_t BgL_classz00_3476;

							BgL_classz00_3476 = BGl_sfunz00zzast_varz00;
							{	/* SawJvm/compile.scm 136 */
								BgL_objectz00_bglt BgL_arg1820z00_3478;

								{	/* SawJvm/compile.scm 136 */
									obj_t BgL_tmpz00_3857;

									BgL_tmpz00_3857 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2736));
									BgL_arg1820z00_3478 = (BgL_objectz00_bglt) (BgL_tmpz00_3857);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/compile.scm 136 */
										long BgL_idxz00_3484;

										BgL_idxz00_3484 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3478);
										BgL_test2035z00_3856 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3484 + ((long) 3))) == BgL_classz00_3476);
									}
								else
									{	/* SawJvm/compile.scm 136 */
										bool_t BgL_res2004z00_3506;

										{	/* SawJvm/compile.scm 136 */
											obj_t BgL_oclassz00_3492;

											{	/* SawJvm/compile.scm 136 */
												long BgL_arg1828z00_3498;

												{	/* SawJvm/compile.scm 136 */
													long BgL_arg1829z00_3499;

													BgL_arg1829z00_3499 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3478);
													BgL_arg1828z00_3498 =
														(BgL_arg1829z00_3499 - OBJECT_TYPE);
												}
												BgL_oclassz00_3492 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_3498);
											}
											{	/* SawJvm/compile.scm 136 */
												bool_t BgL__ortest_1111z00_3493;

												BgL__ortest_1111z00_3493 =
													(BgL_classz00_3476 == BgL_oclassz00_3492);
												if (BgL__ortest_1111z00_3493)
													{	/* SawJvm/compile.scm 136 */
														BgL_res2004z00_3506 = BgL__ortest_1111z00_3493;
													}
												else
													{	/* SawJvm/compile.scm 136 */
														long BgL_odepthz00_3494;

														BgL_odepthz00_3494 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3492);
														if ((((long) 3) < BgL_odepthz00_3494))
															{	/* SawJvm/compile.scm 136 */
																obj_t BgL_arg1816z00_3496;

																BgL_arg1816z00_3496 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3492,
																	((long) 3));
																BgL_res2004z00_3506 =
																	(BgL_arg1816z00_3496 == BgL_classz00_3476);
															}
														else
															{	/* SawJvm/compile.scm 136 */
																BgL_res2004z00_3506 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2035z00_3856 = BgL_res2004z00_3506;
									}
							}
						}
						if (BgL_test2035z00_3856)
							{	/* SawJvm/compile.scm 137 */
								obj_t BgL_cloz00_2738;

								BgL_cloz00_2738 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_valz00_2736)))->
									BgL_thezd2closurezd2globalz00);
								{	/* SawJvm/compile.scm 138 */
									bool_t BgL_oz00_2739;
									bool_t BgL_kz00_2740;

									BgL_oz00_2739 =
										BGl_globalzd2optionalzf3z21zzast_varz00(BgL_cloz00_2738);
									BgL_kz00_2740 =
										BGl_globalzd2keyzf3z21zzast_varz00(BgL_cloz00_2738);
									if (BgL_oz00_2739)
										{	/* SawJvm/compile.scm 139 */
											return BgL_oz00_2739;
										}
									else
										{	/* SawJvm/compile.scm 139 */
											return BgL_kz00_2740;
										}
								}
							}
						else
							{	/* SawJvm/compile.scm 136 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* module-init-cnst */
	obj_t BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_21, obj_t BgL_varz00_22, BgL_valuez00_bglt BgL_valz00_23)
	{
		{	/* SawJvm/compile.scm 141 */
			{	/* SawJvm/compile.scm 143 */
				obj_t BgL_casezd2valuezd2_2743;

				BgL_casezd2valuezd2_2743 =
					(((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_classz00);
				if ((BgL_casezd2valuezd2_2743 == CNST_TABLE_REF(((long) 24))))
					{	/* SawJvm/compile.scm 143 */
						{	/* SawJvm/compile.scm 145 */
							obj_t BgL_arg1749z00_2745;

							BgL_arg1749z00_2745 =
								(((BgL_scnstz00_bglt) COBJECT(
										((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
							BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_mez00_21,
								BgL_arg1749z00_2745);
						}
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
							CNST_TABLE_REF(((long) 25)));
					}
				else
					{	/* SawJvm/compile.scm 143 */
						if ((BgL_casezd2valuezd2_2743 == CNST_TABLE_REF(((long) 26))))
							{	/* SawJvm/compile.scm 143 */
								{	/* SawJvm/compile.scm 148 */
									obj_t BgL_arg1751z00_2747;

									BgL_arg1751z00_2747 =
										(((BgL_scnstz00_bglt) COBJECT(
												((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
									BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
										BgL_arg1751z00_2747, CNST_TABLE_REF(((long) 27)));
								}
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
									CNST_TABLE_REF(((long) 28)));
							}
						else
							{	/* SawJvm/compile.scm 143 */
								if ((BgL_casezd2valuezd2_2743 == CNST_TABLE_REF(((long) 29))))
									{	/* SawJvm/compile.scm 143 */
										{	/* SawJvm/compile.scm 151 */
											obj_t BgL_arg1754z00_2749;

											BgL_arg1754z00_2749 =
												(((BgL_scnstz00_bglt) COBJECT(
														((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
											BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
												BgL_arg1754z00_2749, CNST_TABLE_REF(((long) 30)));
										}
										BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
											CNST_TABLE_REF(((long) 31)));
									}
								else
									{	/* SawJvm/compile.scm 143 */
										if (
											(BgL_casezd2valuezd2_2743 == CNST_TABLE_REF(((long) 32))))
											{	/* SawJvm/compile.scm 143 */
												{	/* SawJvm/compile.scm 154 */
													obj_t BgL_arg1756z00_2751;

													BgL_arg1756z00_2751 =
														(((BgL_scnstz00_bglt) COBJECT(
																((BgL_scnstz00_bglt) BgL_valz00_23)))->
														BgL_nodez00);
													BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
														BgL_arg1756z00_2751, CNST_TABLE_REF(((long) 30)));
												}
												BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
													CNST_TABLE_REF(((long) 33)));
											}
										else
											{	/* SawJvm/compile.scm 143 */
												bool_t BgL_test2044z00_3919;

												{	/* SawJvm/compile.scm 143 */
													bool_t BgL__ortest_1168z00_2844;

													BgL__ortest_1168z00_2844 =
														(BgL_casezd2valuezd2_2743 ==
														CNST_TABLE_REF(((long) 34)));
													if (BgL__ortest_1168z00_2844)
														{	/* SawJvm/compile.scm 143 */
															BgL_test2044z00_3919 = BgL__ortest_1168z00_2844;
														}
													else
														{	/* SawJvm/compile.scm 143 */
															BgL_test2044z00_3919 =
																(BgL_casezd2valuezd2_2743 ==
																CNST_TABLE_REF(((long) 35)));
												}}
												if (BgL_test2044z00_3919)
													{	/* SawJvm/compile.scm 143 */
														{	/* SawJvm/compile.scm 157 */
															obj_t BgL_arg1763z00_2754;

															BgL_arg1763z00_2754 =
																(((BgL_scnstz00_bglt) COBJECT(
																		((BgL_scnstz00_bglt) BgL_valz00_23)))->
																BgL_nodez00);
															BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
																BgL_arg1763z00_2754,
																CNST_TABLE_REF(((long) 30)));
														}
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
															CNST_TABLE_REF(((long) 36)));
													}
												else
													{	/* SawJvm/compile.scm 143 */
														bool_t BgL_test2046z00_3931;

														{	/* SawJvm/compile.scm 143 */
															bool_t BgL__ortest_1169z00_2843;

															BgL__ortest_1169z00_2843 =
																(BgL_casezd2valuezd2_2743 ==
																CNST_TABLE_REF(((long) 37)));
															if (BgL__ortest_1169z00_2843)
																{	/* SawJvm/compile.scm 143 */
																	BgL_test2046z00_3931 =
																		BgL__ortest_1169z00_2843;
																}
															else
																{	/* SawJvm/compile.scm 143 */
																	BgL_test2046z00_3931 =
																		(BgL_casezd2valuezd2_2743 ==
																		CNST_TABLE_REF(((long) 38)));
														}}
														if (BgL_test2046z00_3931)
															{	/* SawJvm/compile.scm 143 */
																{	/* SawJvm/compile.scm 160 */
																	obj_t BgL_arg1765z00_2757;

																	BgL_arg1765z00_2757 =
																		(((BgL_scnstz00_bglt) COBJECT(
																				((BgL_scnstz00_bglt) BgL_valz00_23)))->
																		BgL_nodez00);
																	BGl_pushzd2numzd2zzsaw_jvm_outz00
																		(BgL_mez00_21, BgL_arg1765z00_2757,
																		CNST_TABLE_REF(((long) 39)));
																}
																BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																	CNST_TABLE_REF(((long) 40)));
															}
														else
															{	/* SawJvm/compile.scm 143 */
																bool_t BgL_test2048z00_3943;

																{	/* SawJvm/compile.scm 143 */
																	bool_t BgL__ortest_1170z00_2842;

																	BgL__ortest_1170z00_2842 =
																		(BgL_casezd2valuezd2_2743 ==
																		CNST_TABLE_REF(((long) 41)));
																	if (BgL__ortest_1170z00_2842)
																		{	/* SawJvm/compile.scm 143 */
																			BgL_test2048z00_3943 =
																				BgL__ortest_1170z00_2842;
																		}
																	else
																		{	/* SawJvm/compile.scm 143 */
																			BgL_test2048z00_3943 =
																				(BgL_casezd2valuezd2_2743 ==
																				CNST_TABLE_REF(((long) 42)));
																}}
																if (BgL_test2048z00_3943)
																	{	/* SawJvm/compile.scm 143 */
																		{	/* SawJvm/compile.scm 163 */
																			obj_t BgL_arg1769z00_2760;

																			BgL_arg1769z00_2760 =
																				(((BgL_scnstz00_bglt) COBJECT(
																						((BgL_scnstz00_bglt)
																							BgL_valz00_23)))->BgL_nodez00);
																			BGl_pushzd2numzd2zzsaw_jvm_outz00
																				(BgL_mez00_21, BgL_arg1769z00_2760,
																				CNST_TABLE_REF(((long) 43)));
																		}
																		BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																			CNST_TABLE_REF(((long) 44)));
																	}
																else
																	{	/* SawJvm/compile.scm 143 */
																		bool_t BgL_test2050z00_3955;

																		{	/* SawJvm/compile.scm 143 */
																			bool_t BgL__ortest_1171z00_2841;

																			BgL__ortest_1171z00_2841 =
																				(BgL_casezd2valuezd2_2743 ==
																				CNST_TABLE_REF(((long) 45)));
																			if (BgL__ortest_1171z00_2841)
																				{	/* SawJvm/compile.scm 143 */
																					BgL_test2050z00_3955 =
																						BgL__ortest_1171z00_2841;
																				}
																			else
																				{	/* SawJvm/compile.scm 143 */
																					BgL_test2050z00_3955 =
																						(BgL_casezd2valuezd2_2743 ==
																						CNST_TABLE_REF(((long) 46)));
																		}}
																		if (BgL_test2050z00_3955)
																			{	/* SawJvm/compile.scm 143 */
																				{	/* SawJvm/compile.scm 166 */
																					obj_t BgL_arg1771z00_2763;

																					BgL_arg1771z00_2763 =
																						(((BgL_scnstz00_bglt) COBJECT(
																								((BgL_scnstz00_bglt)
																									BgL_valz00_23)))->
																						BgL_nodez00);
																					BGl_pushzd2numzd2zzsaw_jvm_outz00
																						(BgL_mez00_21, BgL_arg1771z00_2763,
																						CNST_TABLE_REF(((long) 47)));
																				}
																				BGl_codez12z12zzsaw_jvm_outz00
																					(BgL_mez00_21,
																					CNST_TABLE_REF(((long) 48)));
																			}
																		else
																			{	/* SawJvm/compile.scm 143 */
																				if (
																					(BgL_casezd2valuezd2_2743 ==
																						CNST_TABLE_REF(((long) 49))))
																					{	/* SawJvm/compile.scm 143 */
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 50)));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 51)));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 52)));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 51)));
																						{	/* SawJvm/compile.scm 173 */
																							int BgL_arg1777z00_2765;

																							{
																								BgL_indexedz00_bglt
																									BgL_auxz00_3978;
																								{
																									obj_t BgL_auxz00_3979;

																									{	/* SawJvm/compile.scm 173 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_3980;
																										BgL_tmpz00_3980 =
																											((BgL_objectz00_bglt) (
																												(BgL_globalz00_bglt)
																												BgL_varz00_22));
																										BgL_auxz00_3979 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_3980);
																									}
																									BgL_auxz00_3978 =
																										((BgL_indexedz00_bglt)
																										BgL_auxz00_3979);
																								}
																								BgL_arg1777z00_2765 =
																									(((BgL_indexedz00_bglt)
																										COBJECT(BgL_auxz00_3978))->
																									BgL_indexz00);
																							}
																							BGl_pushzd2intzd2zzsaw_jvm_outz00
																								(BgL_mez00_21,
																								BINT(BgL_arg1777z00_2765));
																						}
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 53)));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 51)));
																						{	/* SawJvm/compile.scm 176 */
																							obj_t BgL_arg1778z00_2766;

																							if (BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(BgL_varz00_22))
																								{	/* SawJvm/compile.scm 176 */
																									BgL_arg1778z00_2766 =
																										BINT(((long) -1));
																								}
																							else
																								{	/* SawJvm/compile.scm 176 */
																									BgL_arg1778z00_2766 =
																										BGl_globalzd2arityzd2zzbackend_cplibz00
																										(((BgL_globalz00_bglt)
																											BgL_varz00_22));
																								}
																							BGl_pushzd2intzd2zzsaw_jvm_outz00
																								(BgL_mez00_21,
																								BgL_arg1778z00_2766);
																						}
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(((long) 54)));
																					}
																				else
																					{	/* SawJvm/compile.scm 143 */
																						if (
																							(BgL_casezd2valuezd2_2743 ==
																								CNST_TABLE_REF(((long) 55))))
																							{	/* SawJvm/compile.scm 143 */
																								BGl_codez12z12zzsaw_jvm_outz00
																									(BgL_mez00_21,
																									CNST_TABLE_REF(((long) 22)));
																							}
																						else
																							{	/* SawJvm/compile.scm 143 */
																								if (
																									(BgL_casezd2valuezd2_2743 ==
																										CNST_TABLE_REF(((long)
																												56))))
																									{	/* SawJvm/compile.scm 143 */
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													50)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													51)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													52)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													51)));
																										{	/* SawJvm/compile.scm 186 */
																											int BgL_arg1785z00_2770;

																											{
																												BgL_indexedz00_bglt
																													BgL_auxz00_4016;
																												{
																													obj_t BgL_auxz00_4017;

																													{	/* SawJvm/compile.scm 186 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_4018;
																														BgL_tmpz00_4018 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_globalz00_bglt) BgL_varz00_22));
																														BgL_auxz00_4017 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_4018);
																													}
																													BgL_auxz00_4016 =
																														(
																														(BgL_indexedz00_bglt)
																														BgL_auxz00_4017);
																												}
																												BgL_arg1785z00_2770 =
																													(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4016))->BgL_indexz00);
																											}
																											BGl_pushzd2intzd2zzsaw_jvm_outz00
																												(BgL_mez00_21,
																												BINT
																												(BgL_arg1785z00_2770));
																										}
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													53)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													51)));
																										BGl_pushzd2intzd2zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											BINT(((long) 0)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													19)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(((long)
																													57)));
																									}
																								else
																									{	/* SawJvm/compile.scm 143 */
																										if (
																											(BgL_casezd2valuezd2_2743
																												==
																												CNST_TABLE_REF(((long)
																														58))))
																											{	/* SawJvm/compile.scm 143 */
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															50)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															51)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															52)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															51)));
																												{	/* SawJvm/compile.scm 197 */
																													int
																														BgL_arg1787z00_2772;
																													{
																														BgL_indexedz00_bglt
																															BgL_auxz00_4047;
																														{
																															obj_t
																																BgL_auxz00_4048;
																															{	/* SawJvm/compile.scm 197 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_4049;
																																BgL_tmpz00_4049
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_globalz00_bglt) BgL_varz00_22));
																																BgL_auxz00_4048
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_4049);
																															}
																															BgL_auxz00_4047 =
																																(
																																(BgL_indexedz00_bglt)
																																BgL_auxz00_4048);
																														}
																														BgL_arg1787z00_2772
																															=
																															(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4047))->BgL_indexz00);
																													}
																													BGl_pushzd2intzd2zzsaw_jvm_outz00
																														(BgL_mez00_21,
																														BINT
																														(BgL_arg1787z00_2772));
																												}
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															53)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															51)));
																												{	/* SawJvm/compile.scm 200 */
																													obj_t
																														BgL_arg1789z00_2773;
																													if (BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(BgL_varz00_22))
																														{	/* SawJvm/compile.scm 200 */
																															BgL_arg1789z00_2773
																																=
																																BINT(((long)
																																	-1));
																														}
																													else
																														{	/* SawJvm/compile.scm 200 */
																															BgL_arg1789z00_2773
																																=
																																BGl_globalzd2arityzd2zzbackend_cplibz00
																																(((BgL_globalz00_bglt) BgL_varz00_22));
																														}
																													BGl_pushzd2intzd2zzsaw_jvm_outz00
																														(BgL_mez00_21,
																														BgL_arg1789z00_2773);
																												}
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															54)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															51)));
																												BGl_pushzd2intzd2zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													BINT(((long) 3)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															19)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(((long)
																															57)));
																											}
																										else
																											{	/* SawJvm/compile.scm 143 */
																												if (
																													(BgL_casezd2valuezd2_2743
																														==
																														CNST_TABLE_REF((
																																(long) 59))))
																													{	/* SawJvm/compile.scm 208 */
																														obj_t
																															BgL_vecz00_2776;
																														{	/* SawJvm/compile.scm 208 */
																															obj_t
																																BgL_sz00_3523;
																															BgL_sz00_3523 =
																																(((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
																															BgL_vecz00_2776 =
																																STRUCT_REF
																																(BgL_sz00_3523,
																																(int) (((long)
																																		1)));
																														}
																														{	/* SawJvm/compile.scm 208 */
																															BgL_typez00_bglt
																																BgL_typez00_2777;
																															{	/* SawJvm/compile.scm 209 */
																																BgL_typez00_bglt
																																	BgL_oz00_3525;
																																{	/* SawJvm/compile.scm 209 */
																																	obj_t
																																		BgL_sz00_3524;
																																	BgL_sz00_3524
																																		=
																																		(((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
																																	BgL_oz00_3525
																																		=
																																		(
																																		(BgL_typez00_bglt)
																																		STRUCT_REF
																																		(BgL_sz00_3524,
																																			(int) ((
																																					(long)
																																					0))));
																																}
																																{
																																	BgL_tvecz00_bglt
																																		BgL_auxz00_4089;
																																	{
																																		obj_t
																																			BgL_auxz00_4090;
																																		{	/* SawJvm/compile.scm 209 */
																																			BgL_objectz00_bglt
																																				BgL_tmpz00_4091;
																																			BgL_tmpz00_4091
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_oz00_3525);
																																			BgL_auxz00_4090
																																				=
																																				BGL_OBJECT_WIDENING
																																				(BgL_tmpz00_4091);
																																		}
																																		BgL_auxz00_4089
																																			=
																																			(
																																			(BgL_tvecz00_bglt)
																																			BgL_auxz00_4090);
																																	}
																																	BgL_typez00_2777
																																		=
																																		(((BgL_tvecz00_bglt) COBJECT(BgL_auxz00_4089))->BgL_itemzd2typezd2);
																															}}
																															{	/* SawJvm/compile.scm 209 */
																																obj_t
																																	BgL_idz00_2778;
																																BgL_idz00_2778 =
																																	(((BgL_typez00_bglt) COBJECT(BgL_typez00_2777))->BgL_namez00);
																																{	/* SawJvm/compile.scm 211 */

																																	BGl_pushzd2intzd2zzsaw_jvm_outz00
																																		(BgL_mez00_21,
																																		BINT
																																		(VECTOR_LENGTH
																																			(((obj_t)
																																					BgL_vecz00_2776))));
																																	{	/* SawJvm/compile.scm 213 */
																																		bool_t
																																			BgL_test2059z00_4101;
																																		{	/* SawJvm/compile.scm 213 */
																																			bool_t
																																				BgL__ortest_1172z00_2795;
																																			BgL__ortest_1172z00_2795
																																				=
																																				(BgL_idz00_2778
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						60)));
																																			if (BgL__ortest_1172z00_2795)
																																				{	/* SawJvm/compile.scm 213 */
																																					BgL_test2059z00_4101
																																						=
																																						BgL__ortest_1172z00_2795;
																																				}
																																			else
																																				{	/* SawJvm/compile.scm 213 */
																																					bool_t
																																						BgL__ortest_1173z00_2796;
																																					BgL__ortest_1173z00_2796
																																						=
																																						(BgL_idz00_2778
																																						==
																																						CNST_TABLE_REF
																																						(((long) 47)));
																																					if (BgL__ortest_1173z00_2796)
																																						{	/* SawJvm/compile.scm 213 */
																																							BgL_test2059z00_4101
																																								=
																																								BgL__ortest_1173z00_2796;
																																						}
																																					else
																																						{	/* SawJvm/compile.scm 213 */
																																							bool_t
																																								BgL__ortest_1174z00_2797;
																																							BgL__ortest_1174z00_2797
																																								=
																																								(BgL_idz00_2778
																																								==
																																								CNST_TABLE_REF
																																								(((long) 61)));
																																							if (BgL__ortest_1174z00_2797)
																																								{	/* SawJvm/compile.scm 213 */
																																									BgL_test2059z00_4101
																																										=
																																										BgL__ortest_1174z00_2797;
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 213 */
																																									bool_t
																																										BgL__ortest_1175z00_2798;
																																									BgL__ortest_1175z00_2798
																																										=
																																										(BgL_idz00_2778
																																										==
																																										CNST_TABLE_REF
																																										(((long) 43)));
																																									if (BgL__ortest_1175z00_2798)
																																										{	/* SawJvm/compile.scm 213 */
																																											BgL_test2059z00_4101
																																												=
																																												BgL__ortest_1175z00_2798;
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 213 */
																																											bool_t
																																												BgL__ortest_1176z00_2799;
																																											BgL__ortest_1176z00_2799
																																												=
																																												(BgL_idz00_2778
																																												==
																																												CNST_TABLE_REF
																																												(((long) 39)));
																																											if (BgL__ortest_1176z00_2799)
																																												{	/* SawJvm/compile.scm 213 */
																																													BgL_test2059z00_4101
																																														=
																																														BgL__ortest_1176z00_2799;
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 213 */
																																													bool_t
																																														BgL__ortest_1177z00_2800;
																																													BgL__ortest_1177z00_2800
																																														=
																																														(BgL_idz00_2778
																																														==
																																														CNST_TABLE_REF
																																														(((long) 30)));
																																													if (BgL__ortest_1177z00_2800)
																																														{	/* SawJvm/compile.scm 213 */
																																															BgL_test2059z00_4101
																																																=
																																																BgL__ortest_1177z00_2800;
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 213 */
																																															bool_t
																																																BgL__ortest_1178z00_2801;
																																															BgL__ortest_1178z00_2801
																																																=
																																																(BgL_idz00_2778
																																																==
																																																CNST_TABLE_REF
																																																(((long) 62)));
																																															if (BgL__ortest_1178z00_2801)
																																																{	/* SawJvm/compile.scm 213 */
																																																	BgL_test2059z00_4101
																																																		=
																																																		BgL__ortest_1178z00_2801;
																																																}
																																															else
																																																{	/* SawJvm/compile.scm 213 */
																																																	BgL_test2059z00_4101
																																																		=
																																																		(BgL_idz00_2778
																																																		==
																																																		CNST_TABLE_REF
																																																		(((long) 27)));
																																		}}}}}}}}
																																		if (BgL_test2059z00_4101)
																																			{	/* SawJvm/compile.scm 215 */
																																				obj_t
																																					BgL_arg1811z00_2789;
																																				{	/* SawJvm/compile.scm 215 */
																																					obj_t
																																						BgL_arg1812z00_2790;
																																					BgL_arg1812z00_2790
																																						=
																																						MAKE_YOUNG_PAIR
																																						((((BgL_typez00_bglt) COBJECT(BgL_typez00_2777))->BgL_namez00), BNIL);
																																					BgL_arg1811z00_2789
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 63)), BgL_arg1812z00_2790);
																																				}
																																				BGl_codez12z12zzsaw_jvm_outz00
																																					(BgL_mez00_21,
																																					BgL_arg1811z00_2789);
																																			}
																																		else
																																			{	/* SawJvm/compile.scm 217 */
																																				obj_t
																																					BgL_arg1817z00_2792;
																																				{	/* SawJvm/compile.scm 217 */
																																					obj_t
																																						BgL_arg1819z00_2793;
																																					BgL_arg1819z00_2793
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BGl_compilezd2typezd2zzsaw_jvm_outz00
																																						(BgL_mez00_21,
																																							BgL_typez00_2777),
																																						BNIL);
																																					BgL_arg1817z00_2792
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 64)), BgL_arg1819z00_2793);
																																				}
																																				BGl_codez12z12zzsaw_jvm_outz00
																																					(BgL_mez00_21,
																																					BgL_arg1817z00_2792);
																																	}}
																																	{
																																		long
																																			BgL_iz00_2803;
																																		{	/* SawJvm/compile.scm 218 */
																																			bool_t
																																				BgL_tmpz00_4135;
																																			BgL_iz00_2803
																																				=
																																				((long)
																																				0);
																																		BgL_zc3z04anonymousza31822ze3z87_2804:
																																			if (
																																				(BgL_iz00_2803
																																					==
																																					VECTOR_LENGTH
																																					(((obj_t) BgL_vecz00_2776))))
																																				{	/* SawJvm/compile.scm 219 */
																																					BgL_tmpz00_4135
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																			else
																																				{	/* SawJvm/compile.scm 219 */
																																					BGl_codez12z12zzsaw_jvm_outz00
																																						(BgL_mez00_21,
																																						CNST_TABLE_REF
																																						(((long) 51)));
																																					BGl_pushzd2intzd2zzsaw_jvm_outz00
																																						(BgL_mez00_21,
																																						BINT
																																						(BgL_iz00_2803));
																																					{	/* SawJvm/compile.scm 223 */
																																						bool_t
																																							BgL_test2068z00_4144;
																																						{	/* SawJvm/compile.scm 223 */
																																							bool_t
																																								BgL__ortest_1179z00_2817;
																																							BgL__ortest_1179z00_2817
																																								=
																																								(BgL_idz00_2778
																																								==
																																								CNST_TABLE_REF
																																								(((long) 60)));
																																							if (BgL__ortest_1179z00_2817)
																																								{	/* SawJvm/compile.scm 223 */
																																									BgL_test2068z00_4144
																																										=
																																										BgL__ortest_1179z00_2817;
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 223 */
																																									bool_t
																																										BgL__ortest_1180z00_2818;
																																									BgL__ortest_1180z00_2818
																																										=
																																										(BgL_idz00_2778
																																										==
																																										CNST_TABLE_REF
																																										(((long) 47)));
																																									if (BgL__ortest_1180z00_2818)
																																										{	/* SawJvm/compile.scm 223 */
																																											BgL_test2068z00_4144
																																												=
																																												BgL__ortest_1180z00_2818;
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 223 */
																																											bool_t
																																												BgL__ortest_1181z00_2819;
																																											BgL__ortest_1181z00_2819
																																												=
																																												(BgL_idz00_2778
																																												==
																																												CNST_TABLE_REF
																																												(((long) 61)));
																																											if (BgL__ortest_1181z00_2819)
																																												{	/* SawJvm/compile.scm 223 */
																																													BgL_test2068z00_4144
																																														=
																																														BgL__ortest_1181z00_2819;
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 223 */
																																													bool_t
																																														BgL__ortest_1182z00_2820;
																																													BgL__ortest_1182z00_2820
																																														=
																																														(BgL_idz00_2778
																																														==
																																														CNST_TABLE_REF
																																														(((long) 43)));
																																													if (BgL__ortest_1182z00_2820)
																																														{	/* SawJvm/compile.scm 223 */
																																															BgL_test2068z00_4144
																																																=
																																																BgL__ortest_1182z00_2820;
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 223 */
																																															bool_t
																																																BgL__ortest_1183z00_2821;
																																															BgL__ortest_1183z00_2821
																																																=
																																																(BgL_idz00_2778
																																																==
																																																CNST_TABLE_REF
																																																(((long) 39)));
																																															if (BgL__ortest_1183z00_2821)
																																																{	/* SawJvm/compile.scm 223 */
																																																	BgL_test2068z00_4144
																																																		=
																																																		BgL__ortest_1183z00_2821;
																																																}
																																															else
																																																{	/* SawJvm/compile.scm 223 */
																																																	bool_t
																																																		BgL__ortest_1184z00_2822;
																																																	BgL__ortest_1184z00_2822
																																																		=
																																																		(BgL_idz00_2778
																																																		==
																																																		CNST_TABLE_REF
																																																		(((long) 30)));
																																																	if (BgL__ortest_1184z00_2822)
																																																		{	/* SawJvm/compile.scm 223 */
																																																			BgL_test2068z00_4144
																																																				=
																																																				BgL__ortest_1184z00_2822;
																																																		}
																																																	else
																																																		{	/* SawJvm/compile.scm 223 */
																																																			bool_t
																																																				BgL__ortest_1185z00_2823;
																																																			BgL__ortest_1185z00_2823
																																																				=
																																																				(BgL_idz00_2778
																																																				==
																																																				CNST_TABLE_REF
																																																				(((long) 62)));
																																																			if (BgL__ortest_1185z00_2823)
																																																				{	/* SawJvm/compile.scm 223 */
																																																					BgL_test2068z00_4144
																																																						=
																																																						BgL__ortest_1185z00_2823;
																																																				}
																																																			else
																																																				{	/* SawJvm/compile.scm 223 */
																																																					BgL_test2068z00_4144
																																																						=
																																																						(BgL_idz00_2778
																																																						==
																																																						CNST_TABLE_REF
																																																						(((long) 27)));
																																						}}}}}}}}
																																						if (BgL_test2068z00_4144)
																																							{	/* SawJvm/compile.scm 225 */
																																								obj_t
																																									BgL_arg1830z00_2815;
																																								BgL_arg1830z00_2815
																																									=
																																									VECTOR_REF
																																									(
																																									((obj_t) BgL_vecz00_2776), BgL_iz00_2803);
																																								BGl_pushzd2numzd2zzsaw_jvm_outz00
																																									(BgL_mez00_21,
																																									BgL_arg1830z00_2815,
																																									BgL_idz00_2778);
																																							}
																																						else
																																							{	/* SawJvm/compile.scm 223 */
																																								{	/* SawJvm/compile.scm 227 */
																																									obj_t
																																										BgL_arg1833z00_2816;
																																									BgL_arg1833z00_2816
																																										=
																																										VECTOR_REF
																																										(
																																										((obj_t) BgL_vecz00_2776), BgL_iz00_2803);
																																									BGl_pushzd2stringzd2zzsaw_jvm_outz00
																																										(BgL_mez00_21,
																																										BgL_arg1833z00_2816);
																																								}
																																								BGl_codez12z12zzsaw_jvm_outz00
																																									(BgL_mez00_21,
																																									CNST_TABLE_REF
																																									(((long) 25)));
																																					}}
																																					{	/* SawJvm/compile.scm 229 */
																																						obj_t
																																							BgL_arg1835z00_2824;
																																						{	/* SawJvm/compile.scm 229 */
																																							bool_t
																																								BgL_test2076z00_4176;
																																							{	/* SawJvm/compile.scm 229 */
																																								bool_t
																																									BgL__ortest_1186z00_2834;
																																								BgL__ortest_1186z00_2834
																																									=
																																									(BgL_idz00_2778
																																									==
																																									CNST_TABLE_REF
																																									(((long) 60)));
																																								if (BgL__ortest_1186z00_2834)
																																									{	/* SawJvm/compile.scm 229 */
																																										BgL_test2076z00_4176
																																											=
																																											BgL__ortest_1186z00_2834;
																																									}
																																								else
																																									{	/* SawJvm/compile.scm 229 */
																																										BgL_test2076z00_4176
																																											=
																																											(BgL_idz00_2778
																																											==
																																											CNST_TABLE_REF
																																											(((long) 47)));
																																							}}
																																							if (BgL_test2076z00_4176)
																																								{	/* SawJvm/compile.scm 229 */
																																									BgL_arg1835z00_2824
																																										=
																																										CNST_TABLE_REF
																																										(
																																										((long) 65));
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 229 */
																																									if ((BgL_idz00_2778 == CNST_TABLE_REF(((long) 61))))
																																										{	/* SawJvm/compile.scm 229 */
																																											BgL_arg1835z00_2824
																																												=
																																												CNST_TABLE_REF
																																												(
																																												((long) 66));
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 229 */
																																											if ((BgL_idz00_2778 == CNST_TABLE_REF(((long) 43))))
																																												{	/* SawJvm/compile.scm 229 */
																																													BgL_arg1835z00_2824
																																														=
																																														CNST_TABLE_REF
																																														(
																																														((long) 67));
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 229 */
																																													if ((BgL_idz00_2778 == CNST_TABLE_REF(((long) 39))))
																																														{	/* SawJvm/compile.scm 229 */
																																															BgL_arg1835z00_2824
																																																=
																																																CNST_TABLE_REF
																																																(
																																																((long) 68));
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 229 */
																																															if ((BgL_idz00_2778 == CNST_TABLE_REF(((long) 30))))
																																																{	/* SawJvm/compile.scm 229 */
																																																	BgL_arg1835z00_2824
																																																		=
																																																		CNST_TABLE_REF
																																																		(
																																																		((long) 69));
																																																}
																																															else
																																																{	/* SawJvm/compile.scm 229 */
																																																	if ((BgL_idz00_2778 == CNST_TABLE_REF(((long) 62))))
																																																		{	/* SawJvm/compile.scm 229 */
																																																			BgL_arg1835z00_2824
																																																				=
																																																				CNST_TABLE_REF
																																																				(
																																																				((long) 70));
																																																		}
																																																	else
																																																		{	/* SawJvm/compile.scm 229 */
																																																			if ((BgL_idz00_2778 == CNST_TABLE_REF(((long) 27))))
																																																				{	/* SawJvm/compile.scm 229 */
																																																					BgL_arg1835z00_2824
																																																						=
																																																						CNST_TABLE_REF
																																																						(
																																																						((long) 71));
																																																				}
																																																			else
																																																				{	/* SawJvm/compile.scm 229 */
																																																					BgL_arg1835z00_2824
																																																						=
																																																						CNST_TABLE_REF
																																																						(
																																																						((long) 72));
																																						}}}}}}}}
																																						BGl_codez12z12zzsaw_jvm_outz00
																																							(BgL_mez00_21,
																																							BgL_arg1835z00_2824);
																																					}
																																					{
																																						long
																																							BgL_iz00_4209;
																																						BgL_iz00_4209
																																							=
																																							(BgL_iz00_2803
																																							+
																																							((long) 1));
																																						BgL_iz00_2803
																																							=
																																							BgL_iz00_4209;
																																						goto
																																							BgL_zc3z04anonymousza31822ze3z87_2804;
																																					}
																																				}
																																			BBOOL
																																				(BgL_tmpz00_4135);
																																		}
																																	}
																																}
																															}
																														}
																													}
																												else
																													{	/* SawJvm/compile.scm 240 */
																														obj_t
																															BgL_arg1848z00_2840;
																														BgL_arg1848z00_2840
																															=
																															(((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_classz00);
																														BGl_internalzd2errorzd2zztools_errorz00
																															(BGl_string2007z00zzsaw_jvm_compilez00,
																															BGl_string2008z00zzsaw_jvm_compilez00,
																															BgL_arg1848z00_2840);
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
			{	/* SawJvm/compile.scm 241 */
				obj_t BgL_arg1849z00_2845;

				{	/* SawJvm/compile.scm 241 */
					obj_t BgL_arg1850z00_2846;

					{	/* SawJvm/compile.scm 241 */
						obj_t BgL_arg1851z00_2847;

						BgL_arg1851z00_2847 =
							BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_21,
							((BgL_globalz00_bglt) BgL_varz00_22));
						BgL_arg1850z00_2846 = MAKE_YOUNG_PAIR(BgL_arg1851z00_2847, BNIL);
					}
					BgL_arg1849z00_2845 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)), BgL_arg1850z00_2846);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21, BgL_arg1849z00_2845);
			}
		}

	}



/* module-dlopen */
	obj_t BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_24)
	{
		{	/* SawJvm/compile.scm 246 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_24,
				CNST_TABLE_REF(((long) 73)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_24, BNIL, BNIL);
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(((long) 21)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(((long) 22)));
			{	/* SawJvm/compile.scm 251 */
				obj_t BgL_arg1854z00_2848;

				{	/* SawJvm/compile.scm 251 */
					obj_t BgL_list1855z00_2849;

					BgL_list1855z00_2849 =
						MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
					BgL_arg1854z00_2848 =
						BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 23)),
						BgL_list1855z00_2849);
				}
				BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_24,
					((BgL_globalz00_bglt) BgL_arg1854z00_2848));
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(((long) 7)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(((long) 8)));
			BGL_TAIL return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_24);
		}

	}



/* module-functions */
	bool_t BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_25)
	{
		{	/* SawJvm/compile.scm 259 */
			{	/* SawJvm/compile.scm 260 */
				obj_t BgL_g1638z00_2850;

				BgL_g1638z00_2850 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_mez00_25)))->BgL_functionsz00);
				{
					obj_t BgL_l1636z00_2852;

					BgL_l1636z00_2852 = BgL_g1638z00_2850;
				BgL_zc3z04anonymousza31856ze3z87_2853:
					if (PAIRP(BgL_l1636z00_2852))
						{	/* SawJvm/compile.scm 260 */
							BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_mez00_25,
								CAR(BgL_l1636z00_2852));
							{
								obj_t BgL_l1636z00_4244;

								BgL_l1636z00_4244 = CDR(BgL_l1636z00_2852);
								BgL_l1636z00_2852 = BgL_l1636z00_4244;
								goto BgL_zc3z04anonymousza31856ze3z87_2853;
							}
						}
					else
						{	/* SawJvm/compile.scm 260 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* module-function */
	obj_t BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_26, obj_t BgL_vz00_27)
	{
		{	/* SawJvm/compile.scm 262 */
			{	/* SawJvm/compile.scm 264 */
				obj_t BgL_codez00_2859;
				obj_t BgL_paramsz00_2860;

				BgL_codez00_2859 =
					BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(
					((BgL_backendz00_bglt) BgL_mez00_26),
					((BgL_globalz00_bglt) BgL_vz00_27));
				{	/* SawJvm/compile.scm 265 */
					obj_t BgL_l1639z00_2861;

					BgL_l1639z00_2861 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_27))))->
										BgL_valuez00))))->BgL_argsz00);
					if (NULLP(BgL_l1639z00_2861))
						{	/* SawJvm/compile.scm 265 */
							BgL_paramsz00_2860 = BNIL;
						}
					else
						{	/* SawJvm/compile.scm 265 */
							obj_t BgL_head1641z00_2863;

							{	/* SawJvm/compile.scm 265 */
								BgL_rtl_regz00_bglt BgL_arg1867z00_2875;

								{	/* SawJvm/compile.scm 265 */
									obj_t BgL_arg1868z00_2876;

									BgL_arg1868z00_2876 = CAR(((obj_t) BgL_l1639z00_2861));
									BgL_arg1867z00_2875 =
										BGl_localzd2ze3regz31zzsaw_node2rtlz00(
										((BgL_localz00_bglt) BgL_arg1868z00_2876));
								}
								BgL_head1641z00_2863 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1867z00_2875), BNIL);
							}
							{	/* SawJvm/compile.scm 265 */
								obj_t BgL_g1644z00_2864;

								BgL_g1644z00_2864 = CDR(((obj_t) BgL_l1639z00_2861));
								{
									obj_t BgL_l1639z00_2866;
									obj_t BgL_tail1642z00_2867;

									BgL_l1639z00_2866 = BgL_g1644z00_2864;
									BgL_tail1642z00_2867 = BgL_head1641z00_2863;
								BgL_zc3z04anonymousza31861ze3z87_2868:
									if (NULLP(BgL_l1639z00_2866))
										{	/* SawJvm/compile.scm 265 */
											BgL_paramsz00_2860 = BgL_head1641z00_2863;
										}
									else
										{	/* SawJvm/compile.scm 265 */
											obj_t BgL_newtail1643z00_2870;

											{	/* SawJvm/compile.scm 265 */
												BgL_rtl_regz00_bglt BgL_arg1865z00_2872;

												{	/* SawJvm/compile.scm 265 */
													obj_t BgL_arg1866z00_2873;

													BgL_arg1866z00_2873 =
														CAR(((obj_t) BgL_l1639z00_2866));
													BgL_arg1865z00_2872 =
														BGl_localzd2ze3regz31zzsaw_node2rtlz00(
														((BgL_localz00_bglt) BgL_arg1866z00_2873));
												}
												BgL_newtail1643z00_2870 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1865z00_2872), BNIL);
											}
											SET_CDR(BgL_tail1642z00_2867, BgL_newtail1643z00_2870);
											{	/* SawJvm/compile.scm 265 */
												obj_t BgL_arg1864z00_2871;

												BgL_arg1864z00_2871 = CDR(((obj_t) BgL_l1639z00_2866));
												{
													obj_t BgL_tail1642z00_4276;
													obj_t BgL_l1639z00_4275;

													BgL_l1639z00_4275 = BgL_arg1864z00_2871;
													BgL_tail1642z00_4276 = BgL_newtail1643z00_2870;
													BgL_tail1642z00_2867 = BgL_tail1642z00_4276;
													BgL_l1639z00_2866 = BgL_l1639z00_4275;
													goto BgL_zc3z04anonymousza31861ze3z87_2868;
												}
											}
										}
								}
							}
						}
				}
				BGl_openzd2globalzd2methodz00zzsaw_jvm_outz00(BgL_mez00_26,
					((BgL_globalz00_bglt) BgL_vz00_27));
				BGl_buildzd2treezd2zzsaw_exprz00(
					((BgL_backendz00_bglt) BgL_mez00_26), BgL_paramsz00_2860,
					BgL_codez00_2859);
				BgL_codez00_2859 =
					BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2((
						(BgL_backendz00_bglt) BgL_mez00_26),
					((BgL_globalz00_bglt) BgL_vz00_27), BgL_paramsz00_2860,
					BgL_codez00_2859);
				BgL_codez00_2859 =
					BGl_bbvz00zzsaw_bbvz00(((BgL_backendz00_bglt) BgL_mez00_26),
					((BgL_globalz00_bglt) BgL_vz00_27), BgL_paramsz00_2860,
					BgL_codez00_2859);
				BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_mez00_26, BgL_paramsz00_2860,
					BgL_codez00_2859);
				return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_26);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long) 192699986),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(((long) 321177283),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 404844772),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(((long) 20930040),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(((long) 352965511),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_exprz00(((long) 142709001),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(((long) 454038607),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(((long)
					250697396), BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvz00(((long) 263563890),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(((long) 179871433),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(((long) 441641707),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(((long) 282450876),
				BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
			return BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(((long)
					44765844), BSTRING_TO_STRING(BGl_string2009z00zzsaw_jvm_compilez00));
		}

	}

#ifdef __cplusplus
}
#endif
