/*===========================================================================*/
/*   (SawJvm/type.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/type.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;


	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_fu1590z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ca1592z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00 = BUNSPEC;
	static int BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(BgL_rtl_funz00_bglt,
		BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ge1579z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_vr1581z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1574z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1576z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_typez00(void);
	extern obj_t BGl_rtl_purez00zzsaw_defsz00;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2funzd2rtl_ca1596zb0zzsaw_jvm_typez00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_typez00(void);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ne1583z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_typez00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_mo1572z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_la1564z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_typez00(void);
	static obj_t BGl_z62typezd2destzd2fun1593z62zzsaw_jvm_typez00(obj_t, obj_t);
	static obj_t BGl_z62typeSiza7ezc5zzsaw_jvm_typez00(obj_t, obj_t);
	static obj_t BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00 = BUNSPEC;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_li1588z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_no1566z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_pu1570z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ap1585z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62siza7ezd2destzd2fun1561zc5zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	extern obj_t BGl_rtl_notseqz00zzsaw_defsz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_typez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00(void);
	BGL_EXPORTED_DECL int BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_typez00(void);
	static obj_t BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	static obj_t BGl_z62siza7ezd2destz17zzsaw_jvm_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static BgL_typez00_bglt
		BGl_typezd2destzd2funz00zzsaw_jvm_typez00(BgL_rtl_funz00_bglt);
	BGL_EXPORTED_DECL int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t);
	extern obj_t BGl_rtl_effectz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ef1568z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typeSiza7ezd2envz75zzsaw_jvm_typez00,
		BgL_bgl_za762typesiza7a7eza7c51927za7,
		BGl_z62typeSiza7ezc5zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1902z00zzsaw_jvm_typez00,
		BgL_bgl_string1902za700za7za7s1928za7, "size-dest-fun1561", 17);
	      DEFINE_STRING(BGl_string1904z00zzsaw_jvm_typez00,
		BgL_bgl_string1904za700za7za7s1929za7, "type-dest-fun1593", 17);
	      DEFINE_STRING(BGl_string1905z00zzsaw_jvm_typez00,
		BgL_bgl_string1905za700za7za7s1930za7, "no method for", 13);
	      DEFINE_STRING(BGl_string1907z00zzsaw_jvm_typez00,
		BgL_bgl_string1907za700za7za7s1931za7, "size-dest-fun::int", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1932za7,
		BGl_z62siza7ezd2destzd2fun1561zc5zzsaw_jvm_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1933za7,
		BGl_z62typezd2destzd2fun1593z62zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1934za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_la1564z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1908z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1935za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_no1566z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1936za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ef1568z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1917z00zzsaw_jvm_typez00,
		BgL_bgl_string1917za700za7za7s1937za7, "size-dest-fun::type", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1910z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1938za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_pu1570z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1911z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1939za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_mo1572z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1912z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1940za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1574z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1913z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1941za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1576z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1942za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ge1579z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1915z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1943za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_vr1581z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1944za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ne1583z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1923z00zzsaw_jvm_typez00,
		BgL_bgl_string1923za700za7za7s1945za7, "type-dest-fun::type", 19);
	      DEFINE_STRING(BGl_string1924z00zzsaw_jvm_typez00,
		BgL_bgl_string1924za700za7za7s1946za7, "saw_jvm_type", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1947za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ap1585z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1925z00zzsaw_jvm_typez00,
		BgL_bgl_string1925za700za7za7s1948za7,
		"size-dest-fun void (elong llong uelong ullong double int64 uint64) ", 67);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1949za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_li1588z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1950za7,
		BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1951za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_fu1590z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1952za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ca1592z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1953za7,
		BGl_z62typezd2destzd2funzd2rtl_ca1596zb0zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1954za7,
		BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_siza7ezd2destzd2envza7zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1955za7,
		BGl_z62siza7ezd2destz17zzsaw_jvm_typez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00));
		     ADD_ROOT((void *) (&BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long
		BgL_checksumz00_3087, char *BgL_fromz00_3088)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_typez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00();
					BGl_cnstzd2initzd2zzsaw_jvm_typez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00();
					BGl_genericzd2initzd2zzsaw_jvm_typez00();
					BGl_methodzd2initzd2zzsaw_jvm_typez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_typez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_type");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_cportz00_3048;

				{	/* SawJvm/type.scm 1 */
					obj_t BgL_stringz00_3055;

					BgL_stringz00_3055 = BGl_string1925z00zzsaw_jvm_typez00;
					{	/* SawJvm/type.scm 1 */
						obj_t BgL_startz00_3056;

						BgL_startz00_3056 = BINT(((long) 0));
						{	/* SawJvm/type.scm 1 */
							obj_t BgL_endz00_3057;

							BgL_endz00_3057 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3055)));
							{	/* SawJvm/type.scm 1 */

								BgL_cportz00_3048 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3055, BgL_startz00_3056, BgL_endz00_3057);
				}}}}
				{
					long BgL_iz00_3049;

					BgL_iz00_3049 = ((long) 2);
				BgL_loopz00_3050:
					if ((BgL_iz00_3049 == ((long) -1)))
						{	/* SawJvm/type.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/type.scm 1 */
							{	/* SawJvm/type.scm 1 */
								obj_t BgL_arg1926z00_3051;

								{	/* SawJvm/type.scm 1 */

									{	/* SawJvm/type.scm 1 */
										obj_t BgL_locationz00_3053;

										BgL_locationz00_3053 = BBOOL(((bool_t) 0));
										{	/* SawJvm/type.scm 1 */

											BgL_arg1926z00_3051 =
												BGl_readz00zz__readerz00(BgL_cportz00_3048,
												BgL_locationz00_3053);
										}
									}
								}
								{	/* SawJvm/type.scm 1 */
									int BgL_tmpz00_3119;

									BgL_tmpz00_3119 = (int) (BgL_iz00_3049);
									CNST_TABLE_SET(BgL_tmpz00_3119, BgL_arg1926z00_3051);
							}}
							{	/* SawJvm/type.scm 1 */
								int BgL_auxz00_3054;

								BgL_auxz00_3054 = (int) ((BgL_iz00_3049 - ((long) 1)));
								{
									long BgL_iz00_3124;

									BgL_iz00_3124 = (long) (BgL_auxz00_3054);
									BgL_iz00_3049 = BgL_iz00_3124;
									goto BgL_loopz00_3050;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00 =
				CNST_TABLE_REF(((long) 0));
			return BUNSPEC;
		}

	}



/* typeSize */
	BGL_EXPORTED_DEF int BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_typez00_bglt
		BgL_typez00_3)
	{
		{	/* SawJvm/type.scm 18 */
			{	/* SawJvm/type.scm 19 */
				obj_t BgL_idz00_2210;

				BgL_idz00_2210 =
					(((BgL_typez00_bglt) COBJECT(BgL_typez00_3))->BgL_idz00);
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_2210,
							CNST_TABLE_REF(((long) 0)))))
					{	/* SawJvm/type.scm 20 */
						return (int) (((long) 2));
					}
				else
					{	/* SawJvm/type.scm 20 */
						if ((BgL_idz00_2210 == CNST_TABLE_REF(((long) 1))))
							{	/* SawJvm/type.scm 21 */
								return (int) (((long) 0));
							}
						else
							{	/* SawJvm/type.scm 21 */
								return (int) (((long) 1));
		}}}}

	}



/* &typeSize */
	obj_t BGl_z62typeSiza7ezc5zzsaw_jvm_typez00(obj_t BgL_envz00_2973,
		obj_t BgL_typez00_2974)
	{
		{	/* SawJvm/type.scm 18 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					((BgL_typez00_bglt) BgL_typez00_2974)));
		}

	}



/* size-dest */
	BGL_EXPORTED_DEF int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t BgL_insz00_4)
	{
		{	/* SawJvm/type.scm 24 */
			{	/* SawJvm/type.scm 25 */
				bool_t BgL_test1960z00_3142;

				{	/* SawJvm/type.scm 25 */
					obj_t BgL_classz00_2820;

					BgL_classz00_2820 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_insz00_4))
						{	/* SawJvm/type.scm 25 */
							BgL_objectz00_bglt BgL_arg1820z00_2822;

							BgL_arg1820z00_2822 = (BgL_objectz00_bglt) (BgL_insz00_4);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/type.scm 25 */
									long BgL_idxz00_2828;

									BgL_idxz00_2828 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2822);
									BgL_test1960z00_3142 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2828 + ((long) 1))) == BgL_classz00_2820);
								}
							else
								{	/* SawJvm/type.scm 25 */
									bool_t BgL_res1889z00_2850;

									{	/* SawJvm/type.scm 25 */
										obj_t BgL_oclassz00_2836;

										{	/* SawJvm/type.scm 25 */
											long BgL_arg1828z00_2842;

											{	/* SawJvm/type.scm 25 */
												long BgL_arg1829z00_2843;

												BgL_arg1829z00_2843 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2822);
												BgL_arg1828z00_2842 =
													(BgL_arg1829z00_2843 - OBJECT_TYPE);
											}
											BgL_oclassz00_2836 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2842);
										}
										{	/* SawJvm/type.scm 25 */
											bool_t BgL__ortest_1111z00_2837;

											BgL__ortest_1111z00_2837 =
												(BgL_classz00_2820 == BgL_oclassz00_2836);
											if (BgL__ortest_1111z00_2837)
												{	/* SawJvm/type.scm 25 */
													BgL_res1889z00_2850 = BgL__ortest_1111z00_2837;
												}
											else
												{	/* SawJvm/type.scm 25 */
													long BgL_odepthz00_2838;

													BgL_odepthz00_2838 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2836);
													if ((((long) 1) < BgL_odepthz00_2838))
														{	/* SawJvm/type.scm 25 */
															obj_t BgL_arg1816z00_2840;

															BgL_arg1816z00_2840 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2836,
																((long) 1));
															BgL_res1889z00_2850 =
																(BgL_arg1816z00_2840 == BgL_classz00_2820);
														}
													else
														{	/* SawJvm/type.scm 25 */
															BgL_res1889z00_2850 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1960z00_3142 = BgL_res1889z00_2850;
								}
						}
					else
						{	/* SawJvm/type.scm 25 */
							BgL_test1960z00_3142 = ((bool_t) 0);
						}
				}
				if (BgL_test1960z00_3142)
					{	/* SawJvm/type.scm 26 */
						BgL_typez00_bglt BgL_arg1610z00_2213;

						BgL_arg1610z00_2213 =
							(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_insz00_4)))->BgL_typez00);
						return BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1610z00_2213);
					}
				else
					{	/* SawJvm/type.scm 25 */
						if (CBOOL(
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_4)))->BgL_destz00)))
							{	/* SawJvm/type.scm 29 */
								BgL_typez00_bglt BgL_arg1614z00_2216;

								BgL_arg1614z00_2216 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt)
												(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_insz00_4)))->
													BgL_destz00))))->BgL_typez00);
								return BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1614z00_2216);
							}
						else
							{	/* SawJvm/type.scm 30 */
								BgL_rtl_funz00_bglt BgL_arg1616z00_2218;

								BgL_arg1616z00_2218 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_4)))->BgL_funz00);
								return
									BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00
									(BgL_arg1616z00_2218, ((BgL_rtl_insz00_bglt) BgL_insz00_4));
							}
					}
			}
		}

	}



/* &size-dest */
	obj_t BGl_z62siza7ezd2destz17zzsaw_jvm_typez00(obj_t BgL_envz00_2975,
		obj_t BgL_insz00_2976)
	{
		{	/* SawJvm/type.scm 24 */
			return BINT(BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_insz00_2976));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_proc1901z00zzsaw_jvm_typez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string1902z00zzsaw_jvm_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
				BGl_proc1903z00zzsaw_jvm_typez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string1904z00zzsaw_jvm_typez00);
		}

	}



/* &type-dest-fun1593 */
	obj_t BGl_z62typezd2destzd2fun1593z62zzsaw_jvm_typez00(obj_t BgL_envz00_2979,
		obj_t BgL_funz00_2980)
	{
		{	/* SawJvm/type.scm 74 */
			{	/* SawJvm/type.scm 76 */
				obj_t BgL_arg1632z00_3060;

				{	/* SawJvm/type.scm 76 */
					obj_t BgL_arg1635z00_3061;

					{	/* SawJvm/type.scm 76 */
						long BgL_arg1828z00_3062;

						{	/* SawJvm/type.scm 76 */
							long BgL_arg1829z00_3063;

							BgL_arg1829z00_3063 =
								BGL_OBJECT_CLASS_NUM(
								((BgL_objectz00_bglt) ((BgL_rtl_funz00_bglt) BgL_funz00_2980)));
							BgL_arg1828z00_3062 = (BgL_arg1829z00_3063 - OBJECT_TYPE);
						}
						BgL_arg1635z00_3061 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							BgL_arg1828z00_3062);
					}
					BgL_arg1632z00_3060 =
						BGl_classzd2namezd2zz__objectz00(BgL_arg1635z00_3061);
				}
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
					BGl_string1905z00zzsaw_jvm_typez00, BgL_arg1632z00_3060);
		}}

	}



/* &size-dest-fun1561 */
	obj_t BGl_z62siza7ezd2destzd2fun1561zc5zzsaw_jvm_typez00(obj_t
		BgL_envz00_2981, obj_t BgL_funz00_2982, obj_t BgL_insz00_2983)
	{
		{	/* SawJvm/type.scm 35 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00
				(BGl_typezd2destzd2funz00zzsaw_jvm_typez00(((BgL_rtl_funz00_bglt)
							BgL_funz00_2982))));
		}

	}



/* size-dest-fun */
	int BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_5, BgL_rtl_insz00_bglt BgL_insz00_6)
	{
		{	/* SawJvm/type.scm 35 */
			{	/* SawJvm/type.scm 35 */
				obj_t BgL_method1562z00_2231;

				{	/* SawJvm/type.scm 35 */
					obj_t BgL_res1894z00_2892;

					{	/* SawJvm/type.scm 35 */
						long BgL_objzd2classzd2numz00_2863;

						BgL_objzd2classzd2numz00_2863 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_5));
						{	/* SawJvm/type.scm 35 */
							obj_t BgL_arg1825z00_2864;

							BgL_arg1825z00_2864 =
								PROCEDURE_REF(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
								(int) (((long) 1)));
							{	/* SawJvm/type.scm 35 */
								int BgL_offsetz00_2867;

								BgL_offsetz00_2867 = (int) (BgL_objzd2classzd2numz00_2863);
								{	/* SawJvm/type.scm 35 */
									long BgL_offsetz00_2868;

									BgL_offsetz00_2868 =
										((long) (BgL_offsetz00_2867) - OBJECT_TYPE);
									{	/* SawJvm/type.scm 35 */
										long BgL_modz00_2869;

										BgL_modz00_2869 =
											(BgL_offsetz00_2868 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawJvm/type.scm 35 */
											long BgL_restz00_2871;

											BgL_restz00_2871 =
												(BgL_offsetz00_2868 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawJvm/type.scm 35 */

												{	/* SawJvm/type.scm 35 */
													obj_t BgL_bucketz00_2873;

													BgL_bucketz00_2873 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2864), BgL_modz00_2869);
													BgL_res1894z00_2892 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2873), BgL_restz00_2871);
					}}}}}}}}
					BgL_method1562z00_2231 = BgL_res1894z00_2892;
				}
				return
					CINT(
					((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1562z00_2231)) (BgL_method1562z00_2231,
						((obj_t) BgL_funz00_5), ((obj_t) BgL_insz00_6), BEOA));
			}
		}

	}



/* &size-dest-fun */
	obj_t BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00(obj_t BgL_envz00_2984,
		obj_t BgL_funz00_2985, obj_t BgL_insz00_2986)
	{
		{	/* SawJvm/type.scm 35 */
			return
				BINT(BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(
					((BgL_rtl_funz00_bglt) BgL_funz00_2985),
					((BgL_rtl_insz00_bglt) BgL_insz00_2986)));
		}

	}



/* type-dest-fun */
	BgL_typez00_bglt BGl_typezd2destzd2funz00zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_35)
	{
		{	/* SawJvm/type.scm 74 */
			{	/* SawJvm/type.scm 74 */
				obj_t BgL_method1594z00_2232;

				{	/* SawJvm/type.scm 74 */
					obj_t BgL_res1899z00_2923;

					{	/* SawJvm/type.scm 74 */
						long BgL_objzd2classzd2numz00_2894;

						BgL_objzd2classzd2numz00_2894 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_35));
						{	/* SawJvm/type.scm 74 */
							obj_t BgL_arg1825z00_2895;

							BgL_arg1825z00_2895 =
								PROCEDURE_REF(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
								(int) (((long) 1)));
							{	/* SawJvm/type.scm 74 */
								int BgL_offsetz00_2898;

								BgL_offsetz00_2898 = (int) (BgL_objzd2classzd2numz00_2894);
								{	/* SawJvm/type.scm 74 */
									long BgL_offsetz00_2899;

									BgL_offsetz00_2899 =
										((long) (BgL_offsetz00_2898) - OBJECT_TYPE);
									{	/* SawJvm/type.scm 74 */
										long BgL_modz00_2900;

										BgL_modz00_2900 =
											(BgL_offsetz00_2899 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawJvm/type.scm 74 */
											long BgL_restz00_2902;

											BgL_restz00_2902 =
												(BgL_offsetz00_2899 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawJvm/type.scm 74 */

												{	/* SawJvm/type.scm 74 */
													obj_t BgL_bucketz00_2904;

													BgL_bucketz00_2904 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2895), BgL_modz00_2900);
													BgL_res1899z00_2923 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2904), BgL_restz00_2902);
					}}}}}}}}
					BgL_method1594z00_2232 = BgL_res1899z00_2923;
				}
				return
					((BgL_typez00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1594z00_2232)) (BgL_method1594z00_2232,
						((obj_t) BgL_funz00_35), BEOA));
			}
		}

	}



/* &type-dest-fun */
	BgL_typez00_bglt BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00(obj_t
		BgL_envz00_2987, obj_t BgL_funz00_2988)
	{
		{	/* SawJvm/type.scm 74 */
			return
				BGl_typezd2destzd2funz00zzsaw_jvm_typez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_2988));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_lastz00zzsaw_defsz00, BGl_proc1906z00zzsaw_jvm_typez00,
				BGl_string1907z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_notseqz00zzsaw_defsz00, BGl_proc1908z00zzsaw_jvm_typez00,
				BGl_string1907z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_effectz00zzsaw_defsz00, BGl_proc1909z00zzsaw_jvm_typez00,
				BGl_string1907z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_purez00zzsaw_defsz00, BGl_proc1910z00zzsaw_jvm_typez00,
				BGl_string1907z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_movz00zzsaw_defsz00, BGl_proc1911z00zzsaw_jvm_typez00,
				BGl_string1907z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc1912z00zzsaw_jvm_typez00,
				BGl_string1907z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc1913z00zzsaw_jvm_typez00,
				BGl_string1907z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc1914z00zzsaw_jvm_typez00,
				BGl_string1907z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_vrefz00zzsaw_defsz00, BGl_proc1915z00zzsaw_jvm_typez00,
				BGl_string1907z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc1916z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_applyz00zzsaw_defsz00, BGl_proc1918z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc1919z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_funcallz00zzsaw_defsz00, BGl_proc1920z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_castz00zzsaw_defsz00, BGl_proc1921z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc1922z00zzsaw_jvm_typez00,
				BGl_string1923z00zzsaw_jvm_typez00);
		}

	}



/* &type-dest-fun-rtl_ca1596 */
	BgL_typez00_bglt
		BGl_z62typezd2destzd2funzd2rtl_ca1596zb0zzsaw_jvm_typez00(obj_t
		BgL_envz00_3004, obj_t BgL_funz00_3005)
	{
		{	/* SawJvm/type.scm 78 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt)
							(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_funz00_3005)))->BgL_varz00))))->
				BgL_typez00);
		}

	}



/* &size-dest-fun-rtl_ca1592 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ca1592z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3006, obj_t BgL_funz00_3007, obj_t BgL_insz00_3008)
	{
		{	/* SawJvm/type.scm 70 */
			return BINT(((long) 1));
		}

	}



/* &size-dest-fun-rtl_fu1590 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_fu1590z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3009, obj_t BgL_funz00_3010, obj_t BgL_insz00_3011)
	{
		{	/* SawJvm/type.scm 69 */
			return BINT(((long) 1));
		}

	}



/* &size-dest-fun-rtl_li1588 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_li1588z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3012, obj_t BgL_funz00_3013, obj_t BgL_insz00_3014)
	{
		{	/* SawJvm/type.scm 68 */
			return BINT(((long) 1));
		}

	}



/* &size-dest-fun-rtl_ap1585 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ap1585z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3015, obj_t BgL_funz00_3016, obj_t BgL_insz00_3017)
	{
		{	/* SawJvm/type.scm 67 */
			return BINT(((long) 1));
		}

	}



/* &size-dest-fun-rtl_ne1583 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ne1583z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3018, obj_t BgL_funz00_3019, obj_t BgL_insz00_3020)
	{
		{	/* SawJvm/type.scm 66 */
			return BINT(((long) 1));
		}

	}



/* &size-dest-fun-rtl_vr1581 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_vr1581z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3021, obj_t BgL_funz00_3022, obj_t BgL_insz00_3023)
	{
		{	/* SawJvm/type.scm 62 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					(((BgL_rtl_vrefz00_bglt) COBJECT(
								((BgL_rtl_vrefz00_bglt) BgL_funz00_3022)))->BgL_typez00)));
		}

	}



/* &size-dest-fun-rtl_ge1579 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ge1579z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3024, obj_t BgL_funz00_3025, obj_t BgL_insz00_3026)
	{
		{	/* SawJvm/type.scm 59 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
								((BgL_rtl_getfieldz00_bglt) BgL_funz00_3025)))->BgL_typez00)));
		}

	}



/* &size-dest-fun-rtl_lo1576 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_lo1576z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3027, obj_t BgL_funz00_3028, obj_t BgL_insz00_3029)
	{
		{	/* SawJvm/type.scm 56 */
			{	/* SawJvm/type.scm 57 */
				int BgL_tmpz00_3296;

				{	/* SawJvm/type.scm 57 */
					BgL_typez00_bglt BgL_arg1645z00_3075;

					BgL_arg1645z00_3075 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									(((BgL_rtl_loadgz00_bglt) COBJECT(
												((BgL_rtl_loadgz00_bglt) BgL_funz00_3028)))->
										BgL_varz00))))->BgL_typez00);
					BgL_tmpz00_3296 =
						BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1645z00_3075);
				}
				return BINT(BgL_tmpz00_3296);
			}
		}

	}



/* &size-dest-fun-rtl_lo1574 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_lo1574z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3030, obj_t BgL_funz00_3031, obj_t BgL_insz00_3032)
	{
		{	/* SawJvm/type.scm 49 */
			{	/* SawJvm/type.scm 50 */
				int BgL_tmpz00_3303;

				{	/* SawJvm/type.scm 50 */
					BgL_atomz00_bglt BgL_constantz00_3077;

					BgL_constantz00_3077 =
						(((BgL_rtl_loadiz00_bglt) COBJECT(
								((BgL_rtl_loadiz00_bglt) BgL_funz00_3031)))->BgL_constantz00);
					{	/* SawJvm/type.scm 51 */
						obj_t BgL_valuez00_3078;

						BgL_valuez00_3078 =
							(((BgL_atomz00_bglt) COBJECT(BgL_constantz00_3077))->
							BgL_valuez00);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_3078))
							{	/* SawJvm/type.scm 53 */
								BgL_typez00_bglt BgL_arg1641z00_3079;

								BgL_arg1641z00_3079 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_constantz00_3077)))->BgL_typez00);
								BgL_tmpz00_3303 =
									BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1641z00_3079);
							}
						else
							{	/* SawJvm/type.scm 52 */
								BgL_tmpz00_3303 = (int) (((long) 1));
				}}}
				return BINT(BgL_tmpz00_3303);
			}
		}

	}



/* &size-dest-fun-rtl_mo1572 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_mo1572z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3033, obj_t BgL_funz00_3034, obj_t BgL_insz00_3035)
	{
		{	/* SawJvm/type.scm 46 */
			{	/* SawJvm/type.scm 47 */
				int BgL_tmpz00_3314;

				{	/* SawJvm/type.scm 47 */
					obj_t BgL_arg1636z00_3081;

					{	/* SawJvm/type.scm 47 */
						obj_t BgL_pairz00_3082;

						BgL_pairz00_3082 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_3035)))->BgL_argsz00);
						BgL_arg1636z00_3081 = CAR(BgL_pairz00_3082);
					}
					BgL_tmpz00_3314 =
						BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_arg1636z00_3081);
				}
				return BINT(BgL_tmpz00_3314);
			}
		}

	}



/* &size-dest-fun-rtl_pu1570 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_pu1570z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3036, obj_t BgL_funz00_3037, obj_t BgL_insz00_3038)
	{
		{	/* SawJvm/type.scm 44 */
			return BINT(((long) 1));
		}

	}



/* &size-dest-fun-rtl_ef1568 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ef1568z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3039, obj_t BgL_funz00_3040, obj_t BgL_insz00_3041)
	{
		{	/* SawJvm/type.scm 41 */
			return BINT(((long) 0));
		}

	}



/* &size-dest-fun-rtl_no1566 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_no1566z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3042, obj_t BgL_funz00_3043, obj_t BgL_insz00_3044)
	{
		{	/* SawJvm/type.scm 40 */
			return BINT(((long) 0));
		}

	}



/* &size-dest-fun-rtl_la1564 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_la1564z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3045, obj_t BgL_funz00_3046, obj_t BgL_insz00_3047)
	{
		{	/* SawJvm/type.scm 39 */
			return BINT(((long) 0));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1924z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1924z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1924z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1924z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string1924z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1924z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 404844772),
				BSTRING_TO_STRING(BGl_string1924z00zzsaw_jvm_typez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(((long) 179871433),
				BSTRING_TO_STRING(BGl_string1924z00zzsaw_jvm_typez00));
		}

	}

#ifdef __cplusplus
}
#endif
