/*===========================================================================*/
/*   (SawMill/procedures.scm)                                                */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/procedures.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62getzd2cast1310zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_needzd2functionzd2pointerz00zzsaw_elsewherez00(BgL_globalz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_proceduresz00 = BUNSPEC;
	extern obj_t BGl_newz00zzast_nodez00;
	extern obj_t BGl_vlengthz00zzast_nodez00;
	static obj_t BGl_z62getzd2conditional1278zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2fail1316zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_proceduresz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2sequence1274zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_z62getzd2setq1272zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzsaw_proceduresz00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzsaw_proceduresz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62getzd2vlength1304zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62getzd2sync1276zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2pragma1290zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2vsetz121302za2zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2new1296zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_proceduresz00(void);
	static obj_t BGl_z62get1263z62zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getz62zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2vref1300zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31335ze3ze5zzsaw_proceduresz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62getzd2setzd2exzd2it1312zb0zzsaw_proceduresz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2var1268zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62getzd2letzd2fun1282z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2castzd2null1308z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_elsewherez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_getz00zzsaw_proceduresz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62getzd2valloc1298zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2jumpzd2exzd2it1314zb0zzsaw_proceduresz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_z62getzd2getfield1292zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzsaw_proceduresz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_proceduresz00(void);
	static obj_t BGl_z62getzd2app1284zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_proceduresz00(void);
	static obj_t BGl_z62getzd2procedureszb0zzsaw_proceduresz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_proceduresz00(void);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t BGl_z62getzd2atom1266zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2makezd2box1318z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2appzd2ly1286z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2boxzd2setz121322z70zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	static obj_t BGl_z62getzd2setfield1294zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_getza2za2zzsaw_proceduresz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2boxzd2ref1320z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2switch1280zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62getzd2letzd2var1270z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedureszd2zzsaw_proceduresz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62getzd2funcall1288zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62getzd2instanceof1306zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1904z00zzsaw_proceduresz00,
		BgL_bgl_string1904za700za7za7s1907za7, "saw_procedures", 14);
	      DEFINE_STRING(BGl_string1905z00zzsaw_proceduresz00,
		BgL_bgl_string1905za700za7za7s1908za7, "__evmeaning_address elight get ",
		31);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2fail1311909z00,
		BGl_z62getzd2fail1316zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2makeza7d21910za7,
		BGl_z62getzd2makezd2box1318z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2boxza7d2r1911za7,
		BGl_z62getzd2boxzd2ref1320z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2boxza7d2s1912za7,
		BGl_z62getzd2boxzd2setz121322z70zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1872z00zzsaw_proceduresz00,
		BgL_bgl_string1872za700za7za7s1913za7, "get1263", 7);
	      DEFINE_STRING(BGl_string1873z00zzsaw_proceduresz00,
		BgL_bgl_string1873za700za7za7s1914za7, "hole", 4);
	      DEFINE_STRING(BGl_string1875z00zzsaw_proceduresz00,
		BgL_bgl_string1875za700za7za7s1915za7, "get", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzsaw_proceduresz00,
		BgL_bgl_za762get1263za762za7za7s1916z00,
		BGl_z62get1263z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2atom1261917z00,
		BGl_z62getzd2atom1266zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2var12681918z00,
		BGl_z62getzd2var1268zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2letza7d2v1919za7,
		BGl_z62getzd2letzd2var1270z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2setq1271920z00,
		BGl_z62getzd2setq1272zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2sequenc1921z00,
		BGl_z62getzd2sequence1274zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2sync1271922z00,
		BGl_z62getzd2sync1276zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2conditi1923z00,
		BGl_z62getzd2conditional1278zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2switch11924z00,
		BGl_z62getzd2switch1280zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2letza7d2f1925za7,
		BGl_z62getzd2letzd2fun1282z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2app12841926z00,
		BGl_z62getzd2app1284zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2appza7d2l1927za7,
		BGl_z62getzd2appzd2ly1286z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2funcall1928z00,
		BGl_z62getzd2funcall1288zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2pragma11929z00,
		BGl_z62getzd2pragma1290zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2getfiel1930z00,
		BGl_z62getzd2getfield1292zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2setfiel1931z00,
		BGl_z62getzd2setfield1294zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_getzd2envzd2zzsaw_proceduresz00,
		BgL_bgl_za762getza762za7za7saw_p1932z00, BGl_z62getz62zzsaw_proceduresz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2new12961933z00,
		BGl_z62getzd2new1296zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2valloc11934z00,
		BGl_z62getzd2valloc1298zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2vref1301935z00,
		BGl_z62getzd2vref1300zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2vsetza7121936za7,
		BGl_z62getzd2vsetz121302za2zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2vlength1937z00,
		BGl_z62getzd2vlength1304zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2instanc1938z00,
		BGl_z62getzd2instanceof1306zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2castza7d21939za7,
		BGl_z62getzd2castzd2null1308z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2cast1311940z00,
		BGl_z62getzd2cast1310zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2setza7d2e1941za7,
		BGl_z62getzd2setzd2exzd2it1312zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2jumpza7d21942za7,
		BGl_z62getzd2jumpzd2exzd2it1314zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedureszd2envz00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2procedu1943z00,
		BGl_z62getzd2procedureszb0zzsaw_proceduresz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_proceduresz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(long
		BgL_checksumz00_2485, char *BgL_fromz00_2486)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_proceduresz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_proceduresz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_proceduresz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_proceduresz00();
					BGl_cnstzd2initzd2zzsaw_proceduresz00();
					BGl_importedzd2moduleszd2initz00zzsaw_proceduresz00();
					BGl_genericzd2initzd2zzsaw_proceduresz00();
					BGl_methodzd2initzd2zzsaw_proceduresz00();
					return BGl_toplevelzd2initzd2zzsaw_proceduresz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_procedures");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			{	/* SawMill/procedures.scm 1 */
				obj_t BgL_cportz00_2342;

				{	/* SawMill/procedures.scm 1 */
					obj_t BgL_stringz00_2349;

					BgL_stringz00_2349 = BGl_string1905z00zzsaw_proceduresz00;
					{	/* SawMill/procedures.scm 1 */
						obj_t BgL_startz00_2350;

						BgL_startz00_2350 = BINT(((long) 0));
						{	/* SawMill/procedures.scm 1 */
							obj_t BgL_endz00_2351;

							BgL_endz00_2351 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2349)));
							{	/* SawMill/procedures.scm 1 */

								BgL_cportz00_2342 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2349, BgL_startz00_2350, BgL_endz00_2351);
				}}}}
				{
					long BgL_iz00_2343;

					BgL_iz00_2343 = ((long) 2);
				BgL_loopz00_2344:
					if ((BgL_iz00_2343 == ((long) -1)))
						{	/* SawMill/procedures.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/procedures.scm 1 */
							{	/* SawMill/procedures.scm 1 */
								obj_t BgL_arg1906z00_2345;

								{	/* SawMill/procedures.scm 1 */

									{	/* SawMill/procedures.scm 1 */
										obj_t BgL_locationz00_2347;

										BgL_locationz00_2347 = BBOOL(((bool_t) 0));
										{	/* SawMill/procedures.scm 1 */

											BgL_arg1906z00_2345 =
												BGl_readz00zz__readerz00(BgL_cportz00_2342,
												BgL_locationz00_2347);
										}
									}
								}
								{	/* SawMill/procedures.scm 1 */
									int BgL_tmpz00_2516;

									BgL_tmpz00_2516 = (int) (BgL_iz00_2343);
									CNST_TABLE_SET(BgL_tmpz00_2516, BgL_arg1906z00_2345);
							}}
							{	/* SawMill/procedures.scm 1 */
								int BgL_auxz00_2348;

								BgL_auxz00_2348 = (int) ((BgL_iz00_2343 - ((long) 1)));
								{
									long BgL_iz00_2521;

									BgL_iz00_2521 = (long) (BgL_auxz00_2348);
									BgL_iz00_2343 = BgL_iz00_2521;
									goto BgL_loopz00_2344;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			return BUNSPEC;
		}

	}



/* get-procedures */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedureszd2zzsaw_proceduresz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* SawMill/procedures.scm 12 */
			{	/* SawMill/procedures.scm 13 */
				obj_t BgL_rz00_2216;

				BgL_rz00_2216 = MAKE_CELL(BNIL);
				{	/* SawMill/procedures.scm 15 */
					obj_t BgL_zc3z04anonymousza31335ze3z87_2209;

					BgL_zc3z04anonymousza31335ze3z87_2209 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31335ze3ze5zzsaw_proceduresz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31335ze3z87_2209,
						(int) (((long) 0)), ((obj_t) BgL_rz00_2216));
					BGl_forzd2eachzd2globalz12z12zzast_envz00
						(BgL_zc3z04anonymousza31335ze3z87_2209, BNIL);
				}
				{
					obj_t BgL_l1244z00_1427;

					BgL_l1244z00_1427 = BgL_globalsz00_3;
				BgL_zc3z04anonymousza31343ze3z87_1428:
					if (PAIRP(BgL_l1244z00_1427))
						{	/* SawMill/procedures.scm 18 */
							{	/* SawMill/procedures.scm 19 */
								obj_t BgL_globalz00_1430;

								BgL_globalz00_1430 = CAR(BgL_l1244z00_1427);
								{	/* SawMill/procedures.scm 19 */
									obj_t BgL_auxz00_2217;

									{	/* SawMill/procedures.scm 19 */
										obj_t BgL_arg1346z00_1431;

										BgL_arg1346z00_1431 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt)
																			BgL_globalz00_1430))))->BgL_valuez00))))->
											BgL_bodyz00);
										BgL_auxz00_2217 =
											BGl_getz00zzsaw_proceduresz00(((BgL_nodez00_bglt)
												BgL_arg1346z00_1431), CELL_REF(BgL_rz00_2216));
									}
									CELL_SET(BgL_rz00_2216, BgL_auxz00_2217);
								}
							}
							{
								obj_t BgL_l1244z00_2541;

								BgL_l1244z00_2541 = CDR(BgL_l1244z00_1427);
								BgL_l1244z00_1427 = BgL_l1244z00_2541;
								goto BgL_zc3z04anonymousza31343ze3z87_1428;
							}
						}
					else
						{	/* SawMill/procedures.scm 18 */
							((bool_t) 1);
						}
				}
				return CELL_REF(BgL_rz00_2216);
			}
		}

	}



/* &get-procedures */
	obj_t BGl_z62getzd2procedureszb0zzsaw_proceduresz00(obj_t BgL_envz00_2210,
		obj_t BgL_globalsz00_2211)
	{
		{	/* SawMill/procedures.scm 12 */
			return BGl_getzd2procedureszd2zzsaw_proceduresz00(BgL_globalsz00_2211);
		}

	}



/* &<@anonymous:1335> */
	obj_t BGl_z62zc3z04anonymousza31335ze3ze5zzsaw_proceduresz00(obj_t
		BgL_envz00_2212, obj_t BgL_globalz00_2214)
	{
		{	/* SawMill/procedures.scm 14 */
			{	/* SawMill/procedures.scm 15 */
				obj_t BgL_rz00_2213;

				BgL_rz00_2213 = PROCEDURE_REF(BgL_envz00_2212, (int) (((long) 0)));
				{	/* SawMill/procedures.scm 15 */
					bool_t BgL_test1947z00_2546;

					if (CBOOL(BGl_needzd2functionzd2pointerz00zzsaw_elsewherez00(
								((BgL_globalz00_bglt) BgL_globalz00_2214))))
						{	/* SawMill/procedures.scm 15 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_globalz00_2214, CELL_REF(BgL_rz00_2213))))
								{	/* SawMill/procedures.scm 16 */
									BgL_test1947z00_2546 = ((bool_t) 0);
								}
							else
								{	/* SawMill/procedures.scm 16 */
									BgL_test1947z00_2546 = ((bool_t) 1);
								}
						}
					else
						{	/* SawMill/procedures.scm 15 */
							BgL_test1947z00_2546 = ((bool_t) 0);
						}
					if (BgL_test1947z00_2546)
						{	/* SawMill/procedures.scm 17 */
							obj_t BgL_auxz00_2353;

							BgL_auxz00_2353 =
								MAKE_YOUNG_PAIR(BgL_globalz00_2214, CELL_REF(BgL_rz00_2213));
							return CELL_SET(BgL_rz00_2213, BgL_auxz00_2353);
						}
					else
						{	/* SawMill/procedures.scm 15 */
							return BFALSE;
						}
				}
			}
		}

	}



/* get* */
	obj_t BGl_getza2za2zzsaw_proceduresz00(obj_t BgL_lz00_4, obj_t BgL_rz00_5)
	{
		{	/* SawMill/procedures.scm 23 */
		BGl_getza2za2zzsaw_proceduresz00:
			if (NULLP(BgL_lz00_4))
				{	/* SawMill/procedures.scm 24 */
					return BgL_rz00_5;
				}
			else
				{	/* SawMill/procedures.scm 26 */
					obj_t BgL_arg1356z00_1436;
					obj_t BgL_arg1358z00_1437;

					BgL_arg1356z00_1436 = CDR(((obj_t) BgL_lz00_4));
					{	/* SawMill/procedures.scm 26 */
						obj_t BgL_arg1359z00_1438;

						BgL_arg1359z00_1438 = CAR(((obj_t) BgL_lz00_4));
						BgL_arg1358z00_1437 =
							BGl_getz00zzsaw_proceduresz00(
							((BgL_nodez00_bglt) BgL_arg1359z00_1438), BgL_rz00_5);
					}
					{
						obj_t BgL_rz00_2564;
						obj_t BgL_lz00_2563;

						BgL_lz00_2563 = BgL_arg1356z00_1436;
						BgL_rz00_2564 = BgL_arg1358z00_1437;
						BgL_rz00_5 = BgL_rz00_2564;
						BgL_lz00_4 = BgL_lz00_2563;
						goto BGl_getza2za2zzsaw_proceduresz00;
					}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00,
				BGl_proc1871z00zzsaw_proceduresz00, BGl_nodez00zzast_nodez00,
				BGl_string1872z00zzsaw_proceduresz00);
		}

	}



/* &get1263 */
	obj_t BGl_z62get1263z62zzsaw_proceduresz00(obj_t BgL_envz00_2220,
		obj_t BgL_ez00_2221, obj_t BgL_rz00_2222)
	{
		{	/* SawMill/procedures.scm 31 */
			{	/* SawMill/procedures.scm 32 */
				obj_t BgL_arg1362z00_2355;

				{	/* SawMill/procedures.scm 32 */
					obj_t BgL_arg1364z00_2356;

					{	/* SawMill/procedures.scm 32 */
						long BgL_arg1828z00_2357;

						{	/* SawMill/procedures.scm 32 */
							long BgL_arg1829z00_2358;

							BgL_arg1829z00_2358 =
								BGL_OBJECT_CLASS_NUM(
								((BgL_objectz00_bglt) ((BgL_nodez00_bglt) BgL_ez00_2221)));
							BgL_arg1828z00_2357 = (BgL_arg1829z00_2358 - OBJECT_TYPE);
						}
						BgL_arg1364z00_2356 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							BgL_arg1828z00_2357);
					}
					BgL_arg1362z00_2355 =
						BGl_classzd2namezd2zz__objectz00(BgL_arg1364z00_2356);
				}
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string1873z00zzsaw_proceduresz00, BgL_arg1362z00_2355);
		}}

	}



/* get */
	obj_t BGl_getz00zzsaw_proceduresz00(BgL_nodez00_bglt BgL_ez00_6,
		obj_t BgL_rz00_7)
	{
		{	/* SawMill/procedures.scm 31 */
			{	/* SawMill/procedures.scm 31 */
				obj_t BgL_method1264z00_1446;

				{	/* SawMill/procedures.scm 31 */
					obj_t BgL_res1864z00_1955;

					{	/* SawMill/procedures.scm 31 */
						long BgL_objzd2classzd2numz00_1926;

						BgL_objzd2classzd2numz00_1926 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_6));
						{	/* SawMill/procedures.scm 31 */
							obj_t BgL_arg1825z00_1927;

							BgL_arg1825z00_1927 =
								PROCEDURE_REF(BGl_getzd2envzd2zzsaw_proceduresz00,
								(int) (((long) 1)));
							{	/* SawMill/procedures.scm 31 */
								int BgL_offsetz00_1930;

								BgL_offsetz00_1930 = (int) (BgL_objzd2classzd2numz00_1926);
								{	/* SawMill/procedures.scm 31 */
									long BgL_offsetz00_1931;

									BgL_offsetz00_1931 =
										((long) (BgL_offsetz00_1930) - OBJECT_TYPE);
									{	/* SawMill/procedures.scm 31 */
										long BgL_modz00_1932;

										BgL_modz00_1932 =
											(BgL_offsetz00_1931 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/procedures.scm 31 */
											long BgL_restz00_1934;

											BgL_restz00_1934 =
												(BgL_offsetz00_1931 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/procedures.scm 31 */

												{	/* SawMill/procedures.scm 31 */
													obj_t BgL_bucketz00_1936;

													BgL_bucketz00_1936 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_1927), BgL_modz00_1932);
													BgL_res1864z00_1955 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1936), BgL_restz00_1934);
					}}}}}}}}
					BgL_method1264z00_1446 = BgL_res1864z00_1955;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1264z00_1446)) (BgL_method1264z00_1446,
					((obj_t) BgL_ez00_6), BgL_rz00_7, BEOA);
			}
		}

	}



/* &get */
	obj_t BGl_z62getz62zzsaw_proceduresz00(obj_t BgL_envz00_2223,
		obj_t BgL_ez00_2224, obj_t BgL_rz00_2225)
	{
		{	/* SawMill/procedures.scm 31 */
			return
				BGl_getz00zzsaw_proceduresz00(
				((BgL_nodez00_bglt) BgL_ez00_2224), BgL_rz00_2225);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_atomz00zzast_nodez00,
				BGl_proc1874z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_varz00zzast_nodez00,
				BGl_proc1876z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1877z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_setqz00zzast_nodez00,
				BGl_proc1878z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_sequencez00zzast_nodez00,
				BGl_proc1879z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_syncz00zzast_nodez00,
				BGl_proc1880z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc1881z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_switchz00zzast_nodez00,
				BGl_proc1882z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1883z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_appz00zzast_nodez00,
				BGl_proc1884z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1885z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1886z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_pragmaz00zzast_nodez00,
				BGl_proc1887z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_getfieldz00zzast_nodez00,
				BGl_proc1888z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_setfieldz00zzast_nodez00,
				BGl_proc1889z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_newz00zzast_nodez00,
				BGl_proc1890z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_vallocz00zzast_nodez00,
				BGl_proc1891z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_vrefz00zzast_nodez00,
				BGl_proc1892z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc1893z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_vlengthz00zzast_nodez00,
				BGl_proc1894z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_instanceofz00zzast_nodez00,
				BGl_proc1895z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_castzd2nullzd2zzast_nodez00,
				BGl_proc1896z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_castz00zzast_nodez00,
				BGl_proc1897z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1898z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1899z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_failz00zzast_nodez00,
				BGl_proc1900z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1901z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1902z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1903z00zzsaw_proceduresz00,
				BGl_string1875z00zzsaw_proceduresz00);
		}

	}



/* &get-box-set!1322 */
	obj_t BGl_z62getzd2boxzd2setz121322z70zzsaw_proceduresz00(obj_t
		BgL_envz00_2255, obj_t BgL_ez00_2256, obj_t BgL_rz00_2257)
	{
		{	/* SawMill/procedures.scm 188 */
			{	/* SawMill/procedures.scm 190 */
				BgL_varz00_bglt BgL_arg1728z00_2360;
				obj_t BgL_arg1730z00_2361;

				BgL_arg1728z00_2360 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_ez00_2256)))->BgL_varz00);
				BgL_arg1730z00_2361 =
					BGl_getz00zzsaw_proceduresz00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_2256)))->BgL_valuez00),
					BgL_rz00_2257);
				return BGl_getz00zzsaw_proceduresz00(((BgL_nodez00_bglt)
						BgL_arg1728z00_2360), BgL_arg1730z00_2361);
			}
		}

	}



/* &get-box-ref1320 */
	obj_t BGl_z62getzd2boxzd2ref1320z62zzsaw_proceduresz00(obj_t BgL_envz00_2258,
		obj_t BgL_ez00_2259, obj_t BgL_rz00_2260)
	{
		{	/* SawMill/procedures.scm 183 */
			{	/* SawMill/procedures.scm 185 */
				BgL_varz00_bglt BgL_arg1723z00_2363;

				BgL_arg1723z00_2363 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_ez00_2259)))->BgL_varz00);
				return
					BGl_getz00zzsaw_proceduresz00(
					((BgL_nodez00_bglt) BgL_arg1723z00_2363), BgL_rz00_2260);
			}
		}

	}



/* &get-make-box1318 */
	obj_t BGl_z62getzd2makezd2box1318z62zzsaw_proceduresz00(obj_t BgL_envz00_2261,
		obj_t BgL_ez00_2262, obj_t BgL_rz00_2263)
	{
		{	/* SawMill/procedures.scm 178 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_ez00_2262)))->BgL_valuez00),
				BgL_rz00_2263);
		}

	}



/* &get-fail1316 */
	obj_t BGl_z62getzd2fail1316zb0zzsaw_proceduresz00(obj_t BgL_envz00_2264,
		obj_t BgL_ez00_2265, obj_t BgL_rz00_2266)
	{
		{	/* SawMill/procedures.scm 173 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_ez00_2265)))->BgL_procz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_2265)))->BgL_msgz00),
					BGl_getz00zzsaw_proceduresz00(
						(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_ez00_2265)))->BgL_objz00),
						BgL_rz00_2266)));
		}

	}



/* &get-jump-ex-it1314 */
	obj_t BGl_z62getzd2jumpzd2exzd2it1314zb0zzsaw_proceduresz00(obj_t
		BgL_envz00_2267, obj_t BgL_ez00_2268, obj_t BgL_rz00_2269)
	{
		{	/* SawMill/procedures.scm 168 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_2268)))->BgL_exitz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_2268)))->BgL_valuez00),
					BgL_rz00_2269));
		}

	}



/* &get-set-ex-it1312 */
	obj_t BGl_z62getzd2setzd2exzd2it1312zb0zzsaw_proceduresz00(obj_t
		BgL_envz00_2270, obj_t BgL_ez00_2271, obj_t BgL_rz00_2272)
	{
		{	/* SawMill/procedures.scm 163 */
			{	/* SawMill/procedures.scm 165 */
				BgL_varz00_bglt BgL_arg1682z00_2368;
				obj_t BgL_arg1683z00_2369;

				BgL_arg1682z00_2368 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_ez00_2271)))->BgL_varz00);
				BgL_arg1683z00_2369 =
					BGl_getz00zzsaw_proceduresz00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_2271)))->BgL_bodyz00),
					BgL_rz00_2272);
				return BGl_getz00zzsaw_proceduresz00(((BgL_nodez00_bglt)
						BgL_arg1682z00_2368), BgL_arg1683z00_2369);
			}
		}

	}



/* &get-cast1310 */
	obj_t BGl_z62getzd2cast1310zb0zzsaw_proceduresz00(obj_t BgL_envz00_2273,
		obj_t BgL_ez00_2274, obj_t BgL_rz00_2275)
	{
		{	/* SawMill/procedures.scm 158 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_ez00_2274)))->BgL_argz00), BgL_rz00_2275);
		}

	}



/* &get-cast-null1308 */
	obj_t BGl_z62getzd2castzd2null1308z62zzsaw_proceduresz00(obj_t
		BgL_envz00_2276, obj_t BgL_ez00_2277, obj_t BgL_rz00_2278)
	{
		{	/* SawMill/procedures.scm 154 */
			return BgL_rz00_2278;
		}

	}



/* &get-instanceof1306 */
	obj_t BGl_z62getzd2instanceof1306zb0zzsaw_proceduresz00(obj_t BgL_envz00_2279,
		obj_t BgL_ez00_2280, obj_t BgL_rz00_2281)
	{
		{	/* SawMill/procedures.scm 149 */
			{	/* SawMill/procedures.scm 151 */
				obj_t BgL_arg1677z00_2373;

				BgL_arg1677z00_2373 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_ez00_2280))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1677z00_2373, BgL_rz00_2281);
			}
		}

	}



/* &get-vlength1304 */
	obj_t BGl_z62getzd2vlength1304zb0zzsaw_proceduresz00(obj_t BgL_envz00_2282,
		obj_t BgL_ez00_2283, obj_t BgL_rz00_2284)
	{
		{	/* SawMill/procedures.scm 144 */
			{	/* SawMill/procedures.scm 146 */
				obj_t BgL_arg1674z00_2375;

				BgL_arg1674z00_2375 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_ez00_2283))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1674z00_2375, BgL_rz00_2284);
			}
		}

	}



/* &get-vset!1302 */
	obj_t BGl_z62getzd2vsetz121302za2zzsaw_proceduresz00(obj_t BgL_envz00_2285,
		obj_t BgL_ez00_2286, obj_t BgL_rz00_2287)
	{
		{	/* SawMill/procedures.scm 139 */
			{	/* SawMill/procedures.scm 141 */
				obj_t BgL_arg1673z00_2377;

				BgL_arg1673z00_2377 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_ez00_2286))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1673z00_2377, BgL_rz00_2287);
			}
		}

	}



/* &get-vref1300 */
	obj_t BGl_z62getzd2vref1300zb0zzsaw_proceduresz00(obj_t BgL_envz00_2288,
		obj_t BgL_ez00_2289, obj_t BgL_rz00_2290)
	{
		{	/* SawMill/procedures.scm 134 */
			{	/* SawMill/procedures.scm 136 */
				obj_t BgL_arg1672z00_2379;

				BgL_arg1672z00_2379 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_ez00_2289))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1672z00_2379, BgL_rz00_2290);
			}
		}

	}



/* &get-valloc1298 */
	obj_t BGl_z62getzd2valloc1298zb0zzsaw_proceduresz00(obj_t BgL_envz00_2291,
		obj_t BgL_ez00_2292, obj_t BgL_rz00_2293)
	{
		{	/* SawMill/procedures.scm 129 */
			{	/* SawMill/procedures.scm 131 */
				obj_t BgL_arg1663z00_2381;

				BgL_arg1663z00_2381 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_ez00_2292))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1663z00_2381, BgL_rz00_2293);
			}
		}

	}



/* &get-new1296 */
	obj_t BGl_z62getzd2new1296zb0zzsaw_proceduresz00(obj_t BgL_envz00_2294,
		obj_t BgL_ez00_2295, obj_t BgL_rz00_2296)
	{
		{	/* SawMill/procedures.scm 125 */
			return BgL_rz00_2296;
		}

	}



/* &get-setfield1294 */
	obj_t BGl_z62getzd2setfield1294zb0zzsaw_proceduresz00(obj_t BgL_envz00_2297,
		obj_t BgL_ez00_2298, obj_t BgL_rz00_2299)
	{
		{	/* SawMill/procedures.scm 120 */
			{	/* SawMill/procedures.scm 122 */
				obj_t BgL_arg1662z00_2384;

				BgL_arg1662z00_2384 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_ez00_2298))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1662z00_2384, BgL_rz00_2299);
			}
		}

	}



/* &get-getfield1292 */
	obj_t BGl_z62getzd2getfield1292zb0zzsaw_proceduresz00(obj_t BgL_envz00_2300,
		obj_t BgL_ez00_2301, obj_t BgL_rz00_2302)
	{
		{	/* SawMill/procedures.scm 115 */
			{	/* SawMill/procedures.scm 117 */
				obj_t BgL_arg1661z00_2386;

				BgL_arg1661z00_2386 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_ez00_2301))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1661z00_2386, BgL_rz00_2302);
			}
		}

	}



/* &get-pragma1290 */
	obj_t BGl_z62getzd2pragma1290zb0zzsaw_proceduresz00(obj_t BgL_envz00_2303,
		obj_t BgL_ez00_2304, obj_t BgL_rz00_2305)
	{
		{	/* SawMill/procedures.scm 110 */
			{	/* SawMill/procedures.scm 112 */
				obj_t BgL_arg1653z00_2388;

				BgL_arg1653z00_2388 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_ez00_2304))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1653z00_2388, BgL_rz00_2305);
			}
		}

	}



/* &get-funcall1288 */
	obj_t BGl_z62getzd2funcall1288zb0zzsaw_proceduresz00(obj_t BgL_envz00_2306,
		obj_t BgL_ez00_2307, obj_t BgL_rz00_2308)
	{
		{	/* SawMill/procedures.scm 103 */
			if (
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_ez00_2307)))->BgL_strengthz00) ==
					CNST_TABLE_REF(((long) 1))))
				{	/* SawMill/procedures.scm 105 */
					return
						BGl_getza2za2zzsaw_proceduresz00(
						(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_ez00_2307)))->BgL_argsz00),
						BgL_rz00_2308);
				}
			else
				{	/* SawMill/procedures.scm 105 */
					return
						BGl_getz00zzsaw_proceduresz00(
						(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_ez00_2307)))->BgL_funz00),
						BGl_getza2za2zzsaw_proceduresz00(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_ez00_2307)))->BgL_argsz00),
							BgL_rz00_2308));
				}
		}

	}



/* &get-app-ly1286 */
	obj_t BGl_z62getzd2appzd2ly1286z62zzsaw_proceduresz00(obj_t BgL_envz00_2309,
		obj_t BgL_ez00_2310, obj_t BgL_rz00_2311)
	{
		{	/* SawMill/procedures.scm 98 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_ez00_2310)))->BgL_funz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_ez00_2310)))->BgL_argz00),
					BgL_rz00_2311));
		}

	}



/* &get-app1284 */
	obj_t BGl_z62getzd2app1284zb0zzsaw_proceduresz00(obj_t BgL_envz00_2312,
		obj_t BgL_ez00_2313, obj_t BgL_rz00_2314)
	{
		{	/* SawMill/procedures.scm 84 */
			{	/* SawMill/procedures.scm 86 */
				obj_t BgL_rz00_2392;
				BgL_variablez00_bglt BgL_vz00_2393;

				BgL_rz00_2392 =
					BGl_getza2za2zzsaw_proceduresz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_ez00_2313)))->BgL_argsz00),
					BgL_rz00_2314);
				BgL_vz00_2393 =
					(((BgL_varz00_bglt) COBJECT((((BgL_appz00_bglt)
									COBJECT(((BgL_appz00_bglt) BgL_ez00_2313)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* SawMill/procedures.scm 87 */
					bool_t BgL_test1952z00_2733;

					{	/* SawMill/procedures.scm 87 */
						obj_t BgL_classz00_2394;

						BgL_classz00_2394 = BGl_localz00zzast_varz00;
						{	/* SawMill/procedures.scm 87 */
							BgL_objectz00_bglt BgL_arg1820z00_2395;

							{	/* SawMill/procedures.scm 87 */
								obj_t BgL_tmpz00_2734;

								BgL_tmpz00_2734 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_2393));
								BgL_arg1820z00_2395 = (BgL_objectz00_bglt) (BgL_tmpz00_2734);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/procedures.scm 87 */
									long BgL_idxz00_2396;

									BgL_idxz00_2396 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2395);
									BgL_test1952z00_2733 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2396 + ((long) 2))) == BgL_classz00_2394);
								}
							else
								{	/* SawMill/procedures.scm 87 */
									bool_t BgL_res1867z00_2399;

									{	/* SawMill/procedures.scm 87 */
										obj_t BgL_oclassz00_2400;

										{	/* SawMill/procedures.scm 87 */
											long BgL_arg1828z00_2401;

											{	/* SawMill/procedures.scm 87 */
												long BgL_arg1829z00_2402;

												BgL_arg1829z00_2402 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2395);
												BgL_arg1828z00_2401 =
													(BgL_arg1829z00_2402 - OBJECT_TYPE);
											}
											BgL_oclassz00_2400 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2401);
										}
										{	/* SawMill/procedures.scm 87 */
											bool_t BgL__ortest_1111z00_2403;

											BgL__ortest_1111z00_2403 =
												(BgL_classz00_2394 == BgL_oclassz00_2400);
											if (BgL__ortest_1111z00_2403)
												{	/* SawMill/procedures.scm 87 */
													BgL_res1867z00_2399 = BgL__ortest_1111z00_2403;
												}
											else
												{	/* SawMill/procedures.scm 87 */
													long BgL_odepthz00_2404;

													BgL_odepthz00_2404 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2400);
													if ((((long) 2) < BgL_odepthz00_2404))
														{	/* SawMill/procedures.scm 87 */
															obj_t BgL_arg1816z00_2405;

															BgL_arg1816z00_2405 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2400,
																((long) 2));
															BgL_res1867z00_2399 =
																(BgL_arg1816z00_2405 == BgL_classz00_2394);
														}
													else
														{	/* SawMill/procedures.scm 87 */
															BgL_res1867z00_2399 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1952z00_2733 = BgL_res1867z00_2399;
								}
						}
					}
					if (BgL_test1952z00_2733)
						{	/* SawMill/procedures.scm 87 */
							return BgL_rz00_2392;
						}
					else
						{	/* SawMill/procedures.scm 89 */
							obj_t BgL_idz00_2406;

							BgL_idz00_2406 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_vz00_2393))))->BgL_idz00);
							if ((BgL_idz00_2406 == CNST_TABLE_REF(((long) 2))))
								{	/* SawMill/procedures.scm 91 */
									BgL_variablez00_bglt BgL_gz00_2407;

									{
										BgL_varz00_bglt BgL_auxz00_2760;

										{	/* SawMill/procedures.scm 91 */
											obj_t BgL_pairz00_2408;

											BgL_pairz00_2408 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_ez00_2313)))->BgL_argsz00);
											BgL_auxz00_2760 =
												((BgL_varz00_bglt) CAR(BgL_pairz00_2408));
										}
										BgL_gz00_2407 =
											(((BgL_varz00_bglt) COBJECT(BgL_auxz00_2760))->
											BgL_variablez00);
									}
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												((obj_t) BgL_gz00_2407), BgL_rz00_2392)))
										{	/* SawMill/procedures.scm 92 */
											return BgL_rz00_2392;
										}
									else
										{	/* SawMill/procedures.scm 92 */
											return
												MAKE_YOUNG_PAIR(((obj_t) BgL_gz00_2407), BgL_rz00_2392);
										}
								}
							else
								{	/* SawMill/procedures.scm 90 */
									return BgL_rz00_2392;
								}
						}
				}
			}
		}

	}



/* &get-let-fun1282 */
	obj_t BGl_z62getzd2letzd2fun1282z62zzsaw_proceduresz00(obj_t BgL_envz00_2315,
		obj_t BgL_ez00_2316, obj_t BgL_rz00_2317)
	{
		{	/* SawMill/procedures.scm 78 */
			{	/* SawMill/procedures.scm 80 */
				obj_t BgL_arg1598z00_2410;
				obj_t BgL_arg1599z00_2411;

				{	/* SawMill/procedures.scm 80 */
					obj_t BgL_l1258z00_2412;

					BgL_l1258z00_2412 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_ez00_2316)))->BgL_localsz00);
					if (NULLP(BgL_l1258z00_2412))
						{	/* SawMill/procedures.scm 80 */
							BgL_arg1598z00_2410 = BNIL;
						}
					else
						{	/* SawMill/procedures.scm 80 */
							obj_t BgL_head1260z00_2413;

							BgL_head1260z00_2413 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1258z00_2415;
								obj_t BgL_tail1261z00_2416;

								BgL_l1258z00_2415 = BgL_l1258z00_2412;
								BgL_tail1261z00_2416 = BgL_head1260z00_2413;
							BgL_zc3z04anonymousza31602ze3z87_2414:
								if (NULLP(BgL_l1258z00_2415))
									{	/* SawMill/procedures.scm 80 */
										BgL_arg1598z00_2410 = CDR(BgL_head1260z00_2413);
									}
								else
									{	/* SawMill/procedures.scm 80 */
										obj_t BgL_newtail1262z00_2417;

										{	/* SawMill/procedures.scm 80 */
											obj_t BgL_arg1614z00_2418;

											BgL_arg1614z00_2418 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(
																					((obj_t) BgL_l1258z00_2415))))))->
																BgL_valuez00))))->BgL_bodyz00);
											BgL_newtail1262z00_2417 =
												MAKE_YOUNG_PAIR(BgL_arg1614z00_2418, BNIL);
										}
										SET_CDR(BgL_tail1261z00_2416, BgL_newtail1262z00_2417);
										{	/* SawMill/procedures.scm 80 */
											obj_t BgL_arg1610z00_2419;

											BgL_arg1610z00_2419 = CDR(((obj_t) BgL_l1258z00_2415));
											{
												obj_t BgL_tail1261z00_2792;
												obj_t BgL_l1258z00_2791;

												BgL_l1258z00_2791 = BgL_arg1610z00_2419;
												BgL_tail1261z00_2792 = BgL_newtail1262z00_2417;
												BgL_tail1261z00_2416 = BgL_tail1261z00_2792;
												BgL_l1258z00_2415 = BgL_l1258z00_2791;
												goto BgL_zc3z04anonymousza31602ze3z87_2414;
											}
										}
									}
							}
						}
				}
				BgL_arg1599z00_2411 =
					BGl_getz00zzsaw_proceduresz00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_ez00_2316)))->BgL_bodyz00),
					BgL_rz00_2317);
				return BGl_getza2za2zzsaw_proceduresz00(BgL_arg1598z00_2410,
					BgL_arg1599z00_2411);
			}
		}

	}



/* &get-switch1280 */
	obj_t BGl_z62getzd2switch1280zb0zzsaw_proceduresz00(obj_t BgL_envz00_2318,
		obj_t BgL_ez00_2319, obj_t BgL_rz00_2320)
	{
		{	/* SawMill/procedures.scm 73 */
			{	/* SawMill/procedures.scm 75 */
				BgL_nodez00_bglt BgL_arg1565z00_2421;
				obj_t BgL_arg1567z00_2422;

				BgL_arg1565z00_2421 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_ez00_2319)))->BgL_testz00);
				{	/* SawMill/procedures.scm 75 */
					obj_t BgL_arg1570z00_2423;

					{	/* SawMill/procedures.scm 75 */
						obj_t BgL_l1252z00_2424;

						BgL_l1252z00_2424 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_ez00_2319)))->BgL_clausesz00);
						if (NULLP(BgL_l1252z00_2424))
							{	/* SawMill/procedures.scm 75 */
								BgL_arg1570z00_2423 = BNIL;
							}
						else
							{	/* SawMill/procedures.scm 75 */
								obj_t BgL_head1254z00_2425;

								{	/* SawMill/procedures.scm 75 */
									obj_t BgL_arg1588z00_2426;

									{	/* SawMill/procedures.scm 75 */
										obj_t BgL_pairz00_2427;

										BgL_pairz00_2427 = CAR(((obj_t) BgL_l1252z00_2424));
										BgL_arg1588z00_2426 = CDR(BgL_pairz00_2427);
									}
									BgL_head1254z00_2425 =
										MAKE_YOUNG_PAIR(BgL_arg1588z00_2426, BNIL);
								}
								{	/* SawMill/procedures.scm 75 */
									obj_t BgL_g1257z00_2428;

									BgL_g1257z00_2428 = CDR(((obj_t) BgL_l1252z00_2424));
									{
										obj_t BgL_l1252z00_2430;
										obj_t BgL_tail1255z00_2431;

										BgL_l1252z00_2430 = BgL_g1257z00_2428;
										BgL_tail1255z00_2431 = BgL_head1254z00_2425;
									BgL_zc3z04anonymousza31572ze3z87_2429:
										if (NULLP(BgL_l1252z00_2430))
											{	/* SawMill/procedures.scm 75 */
												BgL_arg1570z00_2423 = BgL_head1254z00_2425;
											}
										else
											{	/* SawMill/procedures.scm 75 */
												obj_t BgL_newtail1256z00_2432;

												{	/* SawMill/procedures.scm 75 */
													obj_t BgL_arg1581z00_2433;

													{	/* SawMill/procedures.scm 75 */
														obj_t BgL_pairz00_2434;

														BgL_pairz00_2434 = CAR(((obj_t) BgL_l1252z00_2430));
														BgL_arg1581z00_2433 = CDR(BgL_pairz00_2434);
													}
													BgL_newtail1256z00_2432 =
														MAKE_YOUNG_PAIR(BgL_arg1581z00_2433, BNIL);
												}
												SET_CDR(BgL_tail1255z00_2431, BgL_newtail1256z00_2432);
												{	/* SawMill/procedures.scm 75 */
													obj_t BgL_arg1580z00_2435;

													BgL_arg1580z00_2435 =
														CDR(((obj_t) BgL_l1252z00_2430));
													{
														obj_t BgL_tail1255z00_2819;
														obj_t BgL_l1252z00_2818;

														BgL_l1252z00_2818 = BgL_arg1580z00_2435;
														BgL_tail1255z00_2819 = BgL_newtail1256z00_2432;
														BgL_tail1255z00_2431 = BgL_tail1255z00_2819;
														BgL_l1252z00_2430 = BgL_l1252z00_2818;
														goto BgL_zc3z04anonymousza31572ze3z87_2429;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1567z00_2422 =
						BGl_getza2za2zzsaw_proceduresz00(BgL_arg1570z00_2423,
						BgL_rz00_2320);
				}
				return
					BGl_getz00zzsaw_proceduresz00(BgL_arg1565z00_2421,
					BgL_arg1567z00_2422);
			}
		}

	}



/* &get-conditional1278 */
	obj_t BGl_z62getzd2conditional1278zb0zzsaw_proceduresz00(obj_t
		BgL_envz00_2321, obj_t BgL_ez00_2322, obj_t BgL_rz00_2323)
	{
		{	/* SawMill/procedures.scm 68 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_ez00_2322)))->BgL_testz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_ez00_2322)))->BgL_truez00),
					BGl_getz00zzsaw_proceduresz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_ez00_2322)))->BgL_falsez00),
						BgL_rz00_2323)));
		}

	}



/* &get-sync1276 */
	obj_t BGl_z62getzd2sync1276zb0zzsaw_proceduresz00(obj_t BgL_envz00_2324,
		obj_t BgL_ez00_2325, obj_t BgL_rz00_2326)
	{
		{	/* SawMill/procedures.scm 63 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_ez00_2325)))->BgL_prelockz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_ez00_2325)))->BgL_mutexz00),
					BGl_getz00zzsaw_proceduresz00(
						(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_ez00_2325)))->BgL_bodyz00),
						BgL_rz00_2326)));
		}

	}



/* &get-sequence1274 */
	obj_t BGl_z62getzd2sequence1274zb0zzsaw_proceduresz00(obj_t BgL_envz00_2327,
		obj_t BgL_ez00_2328, obj_t BgL_rz00_2329)
	{
		{	/* SawMill/procedures.scm 58 */
			return
				BGl_getza2za2zzsaw_proceduresz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_ez00_2328)))->BgL_nodesz00),
				BgL_rz00_2329);
		}

	}



/* &get-setq1272 */
	obj_t BGl_z62getzd2setq1272zb0zzsaw_proceduresz00(obj_t BgL_envz00_2330,
		obj_t BgL_ez00_2331, obj_t BgL_rz00_2332)
	{
		{	/* SawMill/procedures.scm 53 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_ez00_2331)))->BgL_valuez00),
				BgL_rz00_2332);
		}

	}



/* &get-let-var1270 */
	obj_t BGl_z62getzd2letzd2var1270z62zzsaw_proceduresz00(obj_t BgL_envz00_2333,
		obj_t BgL_ez00_2334, obj_t BgL_rz00_2335)
	{
		{	/* SawMill/procedures.scm 48 */
			{	/* SawMill/procedures.scm 50 */
				BgL_nodez00_bglt BgL_arg1458z00_2441;
				obj_t BgL_arg1467z00_2442;

				BgL_arg1458z00_2441 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_ez00_2334)))->BgL_bodyz00);
				{	/* SawMill/procedures.scm 50 */
					obj_t BgL_arg1468z00_2443;

					{	/* SawMill/procedures.scm 50 */
						obj_t BgL_l1246z00_2444;

						BgL_l1246z00_2444 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_ez00_2334)))->BgL_bindingsz00);
						if (NULLP(BgL_l1246z00_2444))
							{	/* SawMill/procedures.scm 50 */
								BgL_arg1468z00_2443 = BNIL;
							}
						else
							{	/* SawMill/procedures.scm 50 */
								obj_t BgL_head1248z00_2445;

								{	/* SawMill/procedures.scm 50 */
									obj_t BgL_arg1506z00_2446;

									{	/* SawMill/procedures.scm 50 */
										obj_t BgL_pairz00_2447;

										BgL_pairz00_2447 = CAR(((obj_t) BgL_l1246z00_2444));
										BgL_arg1506z00_2446 = CDR(BgL_pairz00_2447);
									}
									BgL_head1248z00_2445 =
										MAKE_YOUNG_PAIR(BgL_arg1506z00_2446, BNIL);
								}
								{	/* SawMill/procedures.scm 50 */
									obj_t BgL_g1251z00_2448;

									BgL_g1251z00_2448 = CDR(((obj_t) BgL_l1246z00_2444));
									{
										obj_t BgL_l1246z00_2450;
										obj_t BgL_tail1249z00_2451;

										BgL_l1246z00_2450 = BgL_g1251z00_2448;
										BgL_tail1249z00_2451 = BgL_head1248z00_2445;
									BgL_zc3z04anonymousza31470ze3z87_2449:
										if (NULLP(BgL_l1246z00_2450))
											{	/* SawMill/procedures.scm 50 */
												BgL_arg1468z00_2443 = BgL_head1248z00_2445;
											}
										else
											{	/* SawMill/procedures.scm 50 */
												obj_t BgL_newtail1250z00_2452;

												{	/* SawMill/procedures.scm 50 */
													obj_t BgL_arg1484z00_2453;

													{	/* SawMill/procedures.scm 50 */
														obj_t BgL_pairz00_2454;

														BgL_pairz00_2454 = CAR(((obj_t) BgL_l1246z00_2450));
														BgL_arg1484z00_2453 = CDR(BgL_pairz00_2454);
													}
													BgL_newtail1250z00_2452 =
														MAKE_YOUNG_PAIR(BgL_arg1484z00_2453, BNIL);
												}
												SET_CDR(BgL_tail1249z00_2451, BgL_newtail1250z00_2452);
												{	/* SawMill/procedures.scm 50 */
													obj_t BgL_arg1482z00_2455;

													BgL_arg1482z00_2455 =
														CDR(((obj_t) BgL_l1246z00_2450));
													{
														obj_t BgL_tail1249z00_2868;
														obj_t BgL_l1246z00_2867;

														BgL_l1246z00_2867 = BgL_arg1482z00_2455;
														BgL_tail1249z00_2868 = BgL_newtail1250z00_2452;
														BgL_tail1249z00_2451 = BgL_tail1249z00_2868;
														BgL_l1246z00_2450 = BgL_l1246z00_2867;
														goto BgL_zc3z04anonymousza31470ze3z87_2449;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1467z00_2442 =
						BGl_getza2za2zzsaw_proceduresz00(BgL_arg1468z00_2443,
						BgL_rz00_2335);
				}
				return
					BGl_getz00zzsaw_proceduresz00(BgL_arg1458z00_2441,
					BgL_arg1467z00_2442);
			}
		}

	}



/* &get-var1268 */
	obj_t BGl_z62getzd2var1268zb0zzsaw_proceduresz00(obj_t BgL_envz00_2336,
		obj_t BgL_ez00_2337, obj_t BgL_rz00_2338)
	{
		{	/* SawMill/procedures.scm 39 */
			{	/* SawMill/procedures.scm 41 */
				bool_t BgL_test1964z00_2871;

				{	/* SawMill/procedures.scm 41 */
					bool_t BgL_test1965z00_2872;

					{	/* SawMill/procedures.scm 41 */
						BgL_variablez00_bglt BgL_arg1429z00_2457;

						BgL_arg1429z00_2457 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_ez00_2337)))->BgL_variablez00);
						{	/* SawMill/procedures.scm 41 */
							obj_t BgL_classz00_2458;

							BgL_classz00_2458 = BGl_globalz00zzast_varz00;
							{	/* SawMill/procedures.scm 41 */
								BgL_objectz00_bglt BgL_arg1820z00_2459;

								{	/* SawMill/procedures.scm 41 */
									obj_t BgL_tmpz00_2875;

									BgL_tmpz00_2875 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1429z00_2457));
									BgL_arg1820z00_2459 = (BgL_objectz00_bglt) (BgL_tmpz00_2875);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawMill/procedures.scm 41 */
										long BgL_idxz00_2460;

										BgL_idxz00_2460 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2459);
										BgL_test1965z00_2872 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2460 + ((long) 2))) == BgL_classz00_2458);
									}
								else
									{	/* SawMill/procedures.scm 41 */
										bool_t BgL_res1865z00_2463;

										{	/* SawMill/procedures.scm 41 */
											obj_t BgL_oclassz00_2464;

											{	/* SawMill/procedures.scm 41 */
												long BgL_arg1828z00_2465;

												{	/* SawMill/procedures.scm 41 */
													long BgL_arg1829z00_2466;

													BgL_arg1829z00_2466 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2459);
													BgL_arg1828z00_2465 =
														(BgL_arg1829z00_2466 - OBJECT_TYPE);
												}
												BgL_oclassz00_2464 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2465);
											}
											{	/* SawMill/procedures.scm 41 */
												bool_t BgL__ortest_1111z00_2467;

												BgL__ortest_1111z00_2467 =
													(BgL_classz00_2458 == BgL_oclassz00_2464);
												if (BgL__ortest_1111z00_2467)
													{	/* SawMill/procedures.scm 41 */
														BgL_res1865z00_2463 = BgL__ortest_1111z00_2467;
													}
												else
													{	/* SawMill/procedures.scm 41 */
														long BgL_odepthz00_2468;

														BgL_odepthz00_2468 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2464);
														if ((((long) 2) < BgL_odepthz00_2468))
															{	/* SawMill/procedures.scm 41 */
																obj_t BgL_arg1816z00_2469;

																BgL_arg1816z00_2469 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2464,
																	((long) 2));
																BgL_res1865z00_2463 =
																	(BgL_arg1816z00_2469 == BgL_classz00_2458);
															}
														else
															{	/* SawMill/procedures.scm 41 */
																BgL_res1865z00_2463 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1965z00_2872 = BgL_res1865z00_2463;
									}
							}
						}
					}
					if (BgL_test1965z00_2872)
						{	/* SawMill/procedures.scm 42 */
							bool_t BgL_test1969z00_2895;

							{	/* SawMill/procedures.scm 42 */
								BgL_valuez00_bglt BgL_arg1422z00_2470;

								BgL_arg1422z00_2470 =
									(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_ez00_2337)))->
												BgL_variablez00)))->BgL_valuez00);
								{	/* SawMill/procedures.scm 42 */
									obj_t BgL_classz00_2471;

									BgL_classz00_2471 = BGl_sfunz00zzast_varz00;
									{	/* SawMill/procedures.scm 42 */
										BgL_objectz00_bglt BgL_arg1820z00_2472;

										{	/* SawMill/procedures.scm 42 */
											obj_t BgL_tmpz00_2899;

											BgL_tmpz00_2899 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1422z00_2470));
											BgL_arg1820z00_2472 =
												(BgL_objectz00_bglt) (BgL_tmpz00_2899);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/procedures.scm 42 */
												long BgL_idxz00_2473;

												BgL_idxz00_2473 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2472);
												BgL_test1969z00_2895 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2473 + ((long) 3))) ==
													BgL_classz00_2471);
											}
										else
											{	/* SawMill/procedures.scm 42 */
												bool_t BgL_res1866z00_2476;

												{	/* SawMill/procedures.scm 42 */
													obj_t BgL_oclassz00_2477;

													{	/* SawMill/procedures.scm 42 */
														long BgL_arg1828z00_2478;

														{	/* SawMill/procedures.scm 42 */
															long BgL_arg1829z00_2479;

															BgL_arg1829z00_2479 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2472);
															BgL_arg1828z00_2478 =
																(BgL_arg1829z00_2479 - OBJECT_TYPE);
														}
														BgL_oclassz00_2477 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2478);
													}
													{	/* SawMill/procedures.scm 42 */
														bool_t BgL__ortest_1111z00_2480;

														BgL__ortest_1111z00_2480 =
															(BgL_classz00_2471 == BgL_oclassz00_2477);
														if (BgL__ortest_1111z00_2480)
															{	/* SawMill/procedures.scm 42 */
																BgL_res1866z00_2476 = BgL__ortest_1111z00_2480;
															}
														else
															{	/* SawMill/procedures.scm 42 */
																long BgL_odepthz00_2481;

																BgL_odepthz00_2481 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2477);
																if ((((long) 3) < BgL_odepthz00_2481))
																	{	/* SawMill/procedures.scm 42 */
																		obj_t BgL_arg1816z00_2482;

																		BgL_arg1816z00_2482 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2477, ((long) 3));
																		BgL_res1866z00_2476 =
																			(BgL_arg1816z00_2482 ==
																			BgL_classz00_2471);
																	}
																else
																	{	/* SawMill/procedures.scm 42 */
																		BgL_res1866z00_2476 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1969z00_2895 = BgL_res1866z00_2476;
											}
									}
								}
							}
							if (BgL_test1969z00_2895)
								{	/* SawMill/procedures.scm 42 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												((obj_t)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_ez00_2337)))->
														BgL_variablez00)), BgL_rz00_2338)))
										{	/* SawMill/procedures.scm 43 */
											BgL_test1964z00_2871 = ((bool_t) 0);
										}
									else
										{	/* SawMill/procedures.scm 43 */
											BgL_test1964z00_2871 = ((bool_t) 1);
										}
								}
							else
								{	/* SawMill/procedures.scm 42 */
									BgL_test1964z00_2871 = ((bool_t) 0);
								}
						}
					else
						{	/* SawMill/procedures.scm 41 */
							BgL_test1964z00_2871 = ((bool_t) 0);
						}
				}
				if (BgL_test1964z00_2871)
					{	/* SawMill/procedures.scm 44 */
						BgL_variablez00_bglt BgL_arg1400z00_2483;

						BgL_arg1400z00_2483 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_ez00_2337)))->BgL_variablez00);
						return
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg1400z00_2483), BgL_rz00_2338);
					}
				else
					{	/* SawMill/procedures.scm 41 */
						return BgL_rz00_2338;
					}
			}
		}

	}



/* &get-atom1266 */
	obj_t BGl_z62getzd2atom1266zb0zzsaw_proceduresz00(obj_t BgL_envz00_2339,
		obj_t BgL_ez00_2340, obj_t BgL_rz00_2341)
	{
		{	/* SawMill/procedures.scm 35 */
			return BgL_rz00_2341;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1904z00zzsaw_proceduresz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1904z00zzsaw_proceduresz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1904z00zzsaw_proceduresz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1904z00zzsaw_proceduresz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_elsewherez00(((long) 10713639),
				BSTRING_TO_STRING(BGl_string1904z00zzsaw_proceduresz00));
		}

	}

#ifdef __cplusplus
}
#endif
