/*===========================================================================*/
/*   (SawMill/regutils.scm)                                                  */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/regutils.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;


	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_regutilsz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_regutilsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_collectzd2registersz12zc0zzsaw_regutilsz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_regutilsz00(int, int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_regutilsz00(BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_regutilsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_regutilsz00(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_regutilsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_regutilsz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_regutilsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_regutilsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt,
		obj_t);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static obj_t BGl_z62argszd2collectzd2registersz12z70zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzf3z91zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_regutilsz00(void);
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_regutilsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_regutilsz00(void);
	static BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_regutilsz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_regutilsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_collectzd2registerz12zc0zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_regutilsz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_z62blockzd2collectzd2registersz12z70zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_regutilsz00(BgL_regsetz00_bglt);
	BGL_IMPORT obj_t BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_regutilsz00(BgL_regsetz00_bglt, obj_t);
	static long BGl_za2registerzd2countza2zd2zzsaw_regutilsz00;
	static obj_t BGl_argszd2collectzd2registersz12ze70zf5zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_regutilsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62inszd2collectzd2registersz12z70zzsaw_regutilsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_regutilsz00(obj_t);
	static obj_t BGl_z62collectzd2registersz12za2zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_regutilsz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_regutilsz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_regutilsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt, int);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_regutilsz00(obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_regutilsz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_regutilsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_regutilsz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62collectzd2registerz12za2zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_regutilsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_regutilsz00(void);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_regutilsz00(obj_t, obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_regutilsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_regutilsz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_regutilsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_regutilsz00(BgL_regsetz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_regutilsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_regutilsz00(BgL_regsetz00_bglt, int);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71857za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2nilza71858za7,
		BGl_z62regsetzd2nilzb0zzsaw_regutilsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71859za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71860za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71861za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_regutilsz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71862za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71863za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71864za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2regv1865z00,
		BGl_z62regsetzd2regvzb0zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2leng1866z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_regutilsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2msiza7ezd2envza7zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2msiza71867za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71868za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71869za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71870za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1856z00zzsaw_regutilsz00,
		BgL_bgl_string1856za700za7za7s1871za7, "saw_regutils", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71872za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_regutilsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71873za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71874za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zzsaw_regutilsz00,
		BgL_bgl_za762argsza7d2collec1875z00,
		BGl_z62argszd2collectzd2registersz12z70zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2stri1876z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_regutilsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71877za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71878za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_collectzd2registersz12zd2envz12zzsaw_regutilsz00,
		BgL_bgl_za762collectza7d2reg1879z00,
		BGl_z62collectzd2registersz12za2zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2stringzd2envz00zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2stri1880z00,
		BGl_z62regsetzd2stringzb0zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_collectzd2registerz12zd2envz12zzsaw_regutilsz00,
		BgL_bgl_za762collectza7d2reg1881z00,
		BGl_z62collectzd2registerz12za2zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71882za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762makeza7d2rtl_re1883z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_regutilsz00, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razf3zd2envzd3zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71884za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2lengthzd2envz00zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2leng1885z00,
		BGl_z62regsetzd2lengthzb0zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71886za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71887za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71888za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_regutilsz00,
		BgL_bgl_za762makeza7d2regset1889z00,
		BGl_z62makezd2regsetzb0zzsaw_regutilsz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7f3za791za71890z00,
		BGl_z62regsetzf3z91zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71891za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71892za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2regl1893z00,
		BGl_z62regsetzd2reglzb0zzsaw_regutilsz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_regutilsz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long
		BgL_checksumz00_2767, char *BgL_fromz00_2768)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_regutilsz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_regutilsz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_regutilsz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_regutilsz00();
					BGl_importedzd2moduleszd2initz00zzsaw_regutilsz00();
					return BGl_toplevelzd2initzd2zzsaw_regutilsz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_regutils");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_regutils");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_regutils");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_regutils");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_regutils");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_regutils");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_regutils");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			return (BGl_za2registerzd2countza2zd2zzsaw_regutilsz00 =
				((long) -1), BUNSPEC);
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_regutilsz00(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1161z00_2725;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1159z00_2726;
					BgL_rtl_regzf2razf2_bglt BgL_wide1160z00_2727;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_2784;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1158z00_2728;

							BgL_new1158z00_2728 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1482z00_2729;

								BgL_arg1482z00_2729 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1158z00_2728),
									BgL_arg1482z00_2729);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_2789;

								BgL_tmpz00_2789 = ((BgL_objectz00_bglt) BgL_new1158z00_2728);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2789, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1158z00_2728);
							BgL_auxz00_2784 = BgL_new1158z00_2728;
						}
						BgL_tmp1159z00_2726 = ((BgL_rtl_regz00_bglt) BgL_auxz00_2784);
					}
					BgL_wide1160z00_2727 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_2797;
						BgL_objectz00_bglt BgL_tmpz00_2795;

						BgL_auxz00_2797 = ((obj_t) BgL_wide1160z00_2727);
						BgL_tmpz00_2795 = ((BgL_objectz00_bglt) BgL_tmp1159z00_2726);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2795, BgL_auxz00_2797);
					}
					((BgL_objectz00_bglt) BgL_tmp1159z00_2726);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1468z00_2730;

						BgL_arg1468z00_2730 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1159z00_2726), BgL_arg1468z00_2730);
					}
					BgL_new1161z00_2725 = ((BgL_rtl_regz00_bglt) BgL_tmp1159z00_2726);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1161z00_2725)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_2725)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_2725)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_2725)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_2725)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_2725)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_2817;

					{
						obj_t BgL_auxz00_2818;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_2819;

							BgL_tmpz00_2819 = ((BgL_objectz00_bglt) BgL_new1161z00_2725);
							BgL_auxz00_2818 = BGL_OBJECT_WIDENING(BgL_tmpz00_2819);
						}
						BgL_auxz00_2817 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2818);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2817))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_2824;

					{
						obj_t BgL_auxz00_2825;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_2826;

							BgL_tmpz00_2826 = ((BgL_objectz00_bglt) BgL_new1161z00_2725);
							BgL_auxz00_2825 = BGL_OBJECT_WIDENING(BgL_tmpz00_2826);
						}
						BgL_auxz00_2824 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2825);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2824))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_2831;

					{
						obj_t BgL_auxz00_2832;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_2833;

							BgL_tmpz00_2833 = ((BgL_objectz00_bglt) BgL_new1161z00_2725);
							BgL_auxz00_2832 = BGL_OBJECT_WIDENING(BgL_tmpz00_2833);
						}
						BgL_auxz00_2831 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2832);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2831))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_2838;

					{
						obj_t BgL_auxz00_2839;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_2840;

							BgL_tmpz00_2840 = ((BgL_objectz00_bglt) BgL_new1161z00_2725);
							BgL_auxz00_2839 = BGL_OBJECT_WIDENING(BgL_tmpz00_2840);
						}
						BgL_auxz00_2838 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2839);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2838))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_2845;

					{
						obj_t BgL_auxz00_2846;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_2847;

							BgL_tmpz00_2847 = ((BgL_objectz00_bglt) BgL_new1161z00_2725);
							BgL_auxz00_2846 = BGL_OBJECT_WIDENING(BgL_tmpz00_2847);
						}
						BgL_auxz00_2845 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2846);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2845))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_2852;

					{
						obj_t BgL_auxz00_2853;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_2854;

							BgL_tmpz00_2854 = ((BgL_objectz00_bglt) BgL_new1161z00_2725);
							BgL_auxz00_2853 = BGL_OBJECT_WIDENING(BgL_tmpz00_2854);
						}
						BgL_auxz00_2852 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2853);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2852))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1161z00_2725;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_regutilsz00(obj_t
		BgL_envz00_2619, obj_t BgL_type1179z00_2620, obj_t BgL_var1180z00_2621,
		obj_t BgL_onexprzf31181zf3_2622, obj_t BgL_name1182z00_2623,
		obj_t BgL_key1183z00_2624, obj_t BgL_hardware1184z00_2625,
		obj_t BgL_num1185z00_2626, obj_t BgL_color1186z00_2627,
		obj_t BgL_coalesce1187z00_2628, obj_t BgL_occurrences1188z00_2629,
		obj_t BgL_interfere1189z00_2630, obj_t BgL_interfere21190z00_2631)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_regutilsz00(
				((BgL_typez00_bglt) BgL_type1179z00_2620), BgL_var1180z00_2621,
				BgL_onexprzf31181zf3_2622, BgL_name1182z00_2623, BgL_key1183z00_2624,
				BgL_hardware1184z00_2625, CINT(BgL_num1185z00_2626),
				BgL_color1186z00_2627, BgL_coalesce1187z00_2628,
				CINT(BgL_occurrences1188z00_2629), BgL_interfere1189z00_2630,
				BgL_interfere21190z00_2631);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_regutilsz00(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_2731;

				BgL_classz00_2731 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1820z00_2732;

						BgL_arg1820z00_2732 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_2733;

								BgL_idxz00_2733 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2732);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2733 + ((long) 2))) == BgL_classz00_2731);
							}
						else
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res1847z00_2736;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_2737;

									{	/* SawMill/regset.sch 56 */
										long BgL_arg1828z00_2738;

										{	/* SawMill/regset.sch 56 */
											long BgL_arg1829z00_2739;

											BgL_arg1829z00_2739 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2732);
											BgL_arg1828z00_2738 = (BgL_arg1829z00_2739 - OBJECT_TYPE);
										}
										BgL_oclassz00_2737 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2738);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1111z00_2740;

										BgL__ortest_1111z00_2740 =
											(BgL_classz00_2731 == BgL_oclassz00_2737);
										if (BgL__ortest_1111z00_2740)
											{	/* SawMill/regset.sch 56 */
												BgL_res1847z00_2736 = BgL__ortest_1111z00_2740;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_2741;

												BgL_odepthz00_2741 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2737);
												if ((((long) 2) < BgL_odepthz00_2741))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1816z00_2742;

														BgL_arg1816z00_2742 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2737,
															((long) 2));
														BgL_res1847z00_2736 =
															(BgL_arg1816z00_2742 == BgL_classz00_2731);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res1847z00_2736 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1847z00_2736;
							}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_regutilsz00(obj_t BgL_envz00_2632,
		obj_t BgL_objz00_2633)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_regutilsz00(BgL_objz00_2633));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_2398;

				BgL_classz00_2398 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1113z00_2399;

					BgL__ortest_1113z00_2399 = BGL_CLASS_NIL(BgL_classz00_2398);
					if (CBOOL(BgL__ortest_1113z00_2399))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1113z00_2399);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2398));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_regutilsz00(obj_t
		BgL_envz00_2634)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_regutilsz00();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2891;

				{
					obj_t BgL_auxz00_2892;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_2893;

						BgL_tmpz00_2893 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_2892 = BGL_OBJECT_WIDENING(BgL_tmpz00_2893);
					}
					BgL_auxz00_2891 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2892);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2891))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_regutilsz00(obj_t
		BgL_envz00_2635, obj_t BgL_oz00_2636)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2636));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2900;

				{
					obj_t BgL_auxz00_2901;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_2902;

						BgL_tmpz00_2902 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_2901 = BGL_OBJECT_WIDENING(BgL_tmpz00_2902);
					}
					BgL_auxz00_2900 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2901);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2900))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2637, obj_t BgL_oz00_2638, obj_t BgL_vz00_2639)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2638), BgL_vz00_2639);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2909;

				{
					obj_t BgL_auxz00_2910;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_2911;

						BgL_tmpz00_2911 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_2910 = BGL_OBJECT_WIDENING(BgL_tmpz00_2911);
					}
					BgL_auxz00_2909 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2910);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2909))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_regutilsz00(obj_t
		BgL_envz00_2640, obj_t BgL_oz00_2641)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2641));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2918;

				{
					obj_t BgL_auxz00_2919;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_2920;

						BgL_tmpz00_2920 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_2919 = BGL_OBJECT_WIDENING(BgL_tmpz00_2920);
					}
					BgL_auxz00_2918 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2919);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2918))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2642, obj_t BgL_oz00_2643, obj_t BgL_vz00_2644)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2643), BgL_vz00_2644);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2927;

				{
					obj_t BgL_auxz00_2928;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_2929;

						BgL_tmpz00_2929 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_2928 = BGL_OBJECT_WIDENING(BgL_tmpz00_2929);
					}
					BgL_auxz00_2927 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2928);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2927))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_regutilsz00(obj_t
		BgL_envz00_2645, obj_t BgL_oz00_2646)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_regutilsz00(
					((BgL_rtl_regz00_bglt) BgL_oz00_2646)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2937;

				{
					obj_t BgL_auxz00_2938;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_2939;

						BgL_tmpz00_2939 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_2938 = BGL_OBJECT_WIDENING(BgL_tmpz00_2939);
					}
					BgL_auxz00_2937 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2938);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2937))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2647, obj_t BgL_oz00_2648, obj_t BgL_vz00_2649)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2648), CINT(BgL_vz00_2649));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2947;

				{
					obj_t BgL_auxz00_2948;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_2949;

						BgL_tmpz00_2949 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_2948 = BGL_OBJECT_WIDENING(BgL_tmpz00_2949);
					}
					BgL_auxz00_2947 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2948);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2947))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_regutilsz00(obj_t
		BgL_envz00_2650, obj_t BgL_oz00_2651)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2651));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2956;

				{
					obj_t BgL_auxz00_2957;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_2958;

						BgL_tmpz00_2958 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_2957 = BGL_OBJECT_WIDENING(BgL_tmpz00_2958);
					}
					BgL_auxz00_2956 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2957);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2956))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2652, obj_t BgL_oz00_2653, obj_t BgL_vz00_2654)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2653), BgL_vz00_2654);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2965;

				{
					obj_t BgL_auxz00_2966;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_2967;

						BgL_tmpz00_2967 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_2966 = BGL_OBJECT_WIDENING(BgL_tmpz00_2967);
					}
					BgL_auxz00_2965 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2966);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2965))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_regutilsz00(obj_t BgL_envz00_2655,
		obj_t BgL_oz00_2656)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2656));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2974;

				{
					obj_t BgL_auxz00_2975;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_2976;

						BgL_tmpz00_2976 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_2975 = BGL_OBJECT_WIDENING(BgL_tmpz00_2976);
					}
					BgL_auxz00_2974 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2975);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2974))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2657, obj_t BgL_oz00_2658, obj_t BgL_vz00_2659)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2658), BgL_vz00_2659);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2983;

				{
					obj_t BgL_auxz00_2984;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_2985;

						BgL_tmpz00_2985 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_2984 = BGL_OBJECT_WIDENING(BgL_tmpz00_2985);
					}
					BgL_auxz00_2983 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2984);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2983))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_regutilsz00(obj_t BgL_envz00_2660,
		obj_t BgL_oz00_2661)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_regutilsz00(
					((BgL_rtl_regz00_bglt) BgL_oz00_2661)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_regutilsz00(obj_t
		BgL_envz00_2662, obj_t BgL_oz00_2663)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2663));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_regutilsz00(obj_t BgL_envz00_2664,
		obj_t BgL_oz00_2665)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2665));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_regutilsz00(obj_t BgL_envz00_2666,
		obj_t BgL_oz00_2667)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2667));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_regutilsz00(obj_t
		BgL_envz00_2668, obj_t BgL_oz00_2669)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2669));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_regutilsz00(obj_t
		BgL_envz00_2670, obj_t BgL_oz00_2671, obj_t BgL_vz00_2672)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2671), BgL_vz00_2672);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_regutilsz00(obj_t BgL_envz00_2673,
		obj_t BgL_oz00_2674)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2674));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2675, obj_t BgL_oz00_2676, obj_t BgL_vz00_2677)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2676), BgL_vz00_2677);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_regutilsz00(obj_t
		BgL_envz00_2678, obj_t BgL_oz00_2679)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2679));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2680, obj_t BgL_oz00_2681, obj_t BgL_vz00_2682)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2681),
				((BgL_typez00_bglt) BgL_vz00_2682));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_makezd2regsetzd2zzsaw_regutilsz00(int
		BgL_length1172z00_52, int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1163z00_2743;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1162z00_2744;

					BgL_new1162z00_2744 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1484z00_2745;

						BgL_arg1484z00_2745 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1162z00_2744), BgL_arg1484z00_2745);
					}
					BgL_new1163z00_2743 = BgL_new1162z00_2744;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_2743))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_2743))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_2743))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_2743))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_2743))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1163z00_2743;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_regutilsz00(obj_t
		BgL_envz00_2683, obj_t BgL_length1172z00_2684,
		obj_t BgL_msiza7e1173za7_2685, obj_t BgL_regv1174z00_2686,
		obj_t BgL_regl1175z00_2687, obj_t BgL_string1176z00_2688)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_regutilsz00(CINT(BgL_length1172z00_2684),
				CINT(BgL_msiza7e1173za7_2685), BgL_regv1174z00_2686,
				BgL_regl1175z00_2687, BgL_string1176z00_2688);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_regutilsz00(obj_t BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_2746;

				BgL_classz00_2746 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1820z00_2747;

						BgL_arg1820z00_2747 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_2748;

								BgL_idxz00_2748 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2747);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2748 + ((long) 1))) == BgL_classz00_2746);
							}
						else
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res1848z00_2751;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_2752;

									{	/* SawMill/regset.sch 85 */
										long BgL_arg1828z00_2753;

										{	/* SawMill/regset.sch 85 */
											long BgL_arg1829z00_2754;

											BgL_arg1829z00_2754 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2747);
											BgL_arg1828z00_2753 = (BgL_arg1829z00_2754 - OBJECT_TYPE);
										}
										BgL_oclassz00_2752 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2753);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1111z00_2755;

										BgL__ortest_1111z00_2755 =
											(BgL_classz00_2746 == BgL_oclassz00_2752);
										if (BgL__ortest_1111z00_2755)
											{	/* SawMill/regset.sch 85 */
												BgL_res1848z00_2751 = BgL__ortest_1111z00_2755;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_2756;

												BgL_odepthz00_2756 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2752);
												if ((((long) 1) < BgL_odepthz00_2756))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1816z00_2757;

														BgL_arg1816z00_2757 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2752,
															((long) 1));
														BgL_res1848z00_2751 =
															(BgL_arg1816z00_2757 == BgL_classz00_2746);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res1848z00_2751 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1848z00_2751;
							}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_regutilsz00(obj_t BgL_envz00_2689,
		obj_t BgL_objz00_2690)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_regutilsz00(BgL_objz00_2690));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_regsetzd2nilzd2zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_2448;

				BgL_classz00_2448 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1113z00_2449;

					BgL__ortest_1113z00_2449 = BGL_CLASS_NIL(BgL_classz00_2448);
					if (CBOOL(BgL__ortest_1113z00_2449))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1113z00_2449);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2448));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_regutilsz00(obj_t
		BgL_envz00_2691)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_regutilsz00();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_regutilsz00(BgL_regsetz00_bglt BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_regutilsz00(obj_t BgL_envz00_2692,
		obj_t BgL_oz00_2693)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_regutilsz00(
				((BgL_regsetz00_bglt) BgL_oz00_2693));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_regutilsz00(BgL_regsetz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_regutilsz00(obj_t
		BgL_envz00_2694, obj_t BgL_oz00_2695, obj_t BgL_vz00_2696)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_regutilsz00(
				((BgL_regsetz00_bglt) BgL_oz00_2695), BgL_vz00_2696);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_regutilsz00(BgL_regsetz00_bglt BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_regutilsz00(obj_t BgL_envz00_2697,
		obj_t BgL_oz00_2698)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_regutilsz00(
				((BgL_regsetz00_bglt) BgL_oz00_2698));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_regutilsz00(BgL_regsetz00_bglt BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_regutilsz00(obj_t BgL_envz00_2699,
		obj_t BgL_oz00_2700)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_regutilsz00(
				((BgL_regsetz00_bglt) BgL_oz00_2700));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_regutilsz00(BgL_regsetz00_bglt BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_regutilsz00(obj_t BgL_envz00_2701,
		obj_t BgL_oz00_2702)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_regutilsz00(
					((BgL_regsetz00_bglt) BgL_oz00_2702)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_regutilsz00(BgL_regsetz00_bglt BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_regutilsz00(obj_t BgL_envz00_2703,
		obj_t BgL_oz00_2704)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_regutilsz00(
					((BgL_regsetz00_bglt) BgL_oz00_2704)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_regutilsz00(BgL_regsetz00_bglt
		BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_regutilsz00(obj_t
		BgL_envz00_2705, obj_t BgL_oz00_2706, obj_t BgL_vz00_2707)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_regutilsz00(
				((BgL_regsetz00_bglt) BgL_oz00_2706), CINT(BgL_vz00_2707));
		}

	}



/* collect-register! */
	BGL_EXPORTED_DEF obj_t
		BGl_collectzd2registerz12zc0zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_73)
	{
		{	/* SawMill/regutils.scm 39 */
			{	/* SawMill/regutils.scm 40 */
				bool_t BgL_test1905z00_3094;

				{	/* SawMill/regutils.scm 40 */
					bool_t BgL_test1906z00_3095;

					{	/* SawMill/regutils.scm 40 */
						obj_t BgL_classz00_2450;

						BgL_classz00_2450 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
						{	/* SawMill/regutils.scm 40 */
							BgL_objectz00_bglt BgL_arg1820z00_2452;

							{	/* SawMill/regutils.scm 40 */
								obj_t BgL_tmpz00_3096;

								BgL_tmpz00_3096 = ((obj_t) BgL_oz00_73);
								BgL_arg1820z00_2452 = (BgL_objectz00_bglt) (BgL_tmpz00_3096);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/regutils.scm 40 */
									long BgL_idxz00_2458;

									BgL_idxz00_2458 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2452);
									BgL_test1906z00_3095 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2458 + ((long) 2))) == BgL_classz00_2450);
								}
							else
								{	/* SawMill/regutils.scm 40 */
									bool_t BgL_res1849z00_2480;

									{	/* SawMill/regutils.scm 40 */
										obj_t BgL_oclassz00_2466;

										{	/* SawMill/regutils.scm 40 */
											long BgL_arg1828z00_2472;

											{	/* SawMill/regutils.scm 40 */
												long BgL_arg1829z00_2473;

												BgL_arg1829z00_2473 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2452);
												BgL_arg1828z00_2472 =
													(BgL_arg1829z00_2473 - OBJECT_TYPE);
											}
											BgL_oclassz00_2466 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2472);
										}
										{	/* SawMill/regutils.scm 40 */
											bool_t BgL__ortest_1111z00_2467;

											BgL__ortest_1111z00_2467 =
												(BgL_classz00_2450 == BgL_oclassz00_2466);
											if (BgL__ortest_1111z00_2467)
												{	/* SawMill/regutils.scm 40 */
													BgL_res1849z00_2480 = BgL__ortest_1111z00_2467;
												}
											else
												{	/* SawMill/regutils.scm 40 */
													long BgL_odepthz00_2468;

													BgL_odepthz00_2468 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2466);
													if ((((long) 2) < BgL_odepthz00_2468))
														{	/* SawMill/regutils.scm 40 */
															obj_t BgL_arg1816z00_2470;

															BgL_arg1816z00_2470 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2466,
																((long) 2));
															BgL_res1849z00_2480 =
																(BgL_arg1816z00_2470 == BgL_classz00_2450);
														}
													else
														{	/* SawMill/regutils.scm 40 */
															BgL_res1849z00_2480 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1906z00_3095 = BgL_res1849z00_2480;
								}
						}
					}
					if (BgL_test1906z00_3095)
						{	/* SawMill/regutils.scm 40 */
							BgL_test1905z00_3094 = ((bool_t) 1);
						}
					else
						{	/* SawMill/regutils.scm 40 */
							BgL_test1905z00_3094 =
								CBOOL(
								(((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_73))->
									BgL_onexprzf3zf3));
						}
				}
				if (BgL_test1905z00_3094)
					{	/* SawMill/regutils.scm 40 */
						return BNIL;
					}
				else
					{	/* SawMill/regutils.scm 40 */
						BGl_za2registerzd2countza2zd2zzsaw_regutilsz00 =
							(((long) 1) + BGl_za2registerzd2countza2zd2zzsaw_regutilsz00);
						{	/* SawMill/regutils.scm 44 */
							BgL_rtl_regz00_bglt BgL_arg1496z00_1955;

							{	/* SawMill/regutils.scm 44 */
								BgL_rtl_regzf2razf2_bglt BgL_wide1166z00_1959;

								BgL_wide1166z00_1959 =
									((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_regzf2razf2_bgl))));
								{	/* SawMill/regutils.scm 44 */
									obj_t BgL_auxz00_3122;
									BgL_objectz00_bglt BgL_tmpz00_3119;

									BgL_auxz00_3122 = ((obj_t) BgL_wide1166z00_1959);
									BgL_tmpz00_3119 =
										((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_73));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3119, BgL_auxz00_3122);
								}
								((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_73));
								{	/* SawMill/regutils.scm 44 */
									long BgL_arg1506z00_1960;

									BgL_arg1506z00_1960 =
										BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73)),
										BgL_arg1506z00_1960);
								}
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_73));
							}
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_3133;

								{
									obj_t BgL_auxz00_3134;

									{	/* SawMill/regutils.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_3135;

										BgL_tmpz00_3135 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73));
										BgL_auxz00_3134 = BGL_OBJECT_WIDENING(BgL_tmpz00_3135);
									}
									BgL_auxz00_3133 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3134);
								}
								((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3133))->
										BgL_numz00) =
									((int) (int)
										(BGl_za2registerzd2countza2zd2zzsaw_regutilsz00)), BUNSPEC);
							}
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_3142;

								{
									obj_t BgL_auxz00_3143;

									{	/* SawMill/regutils.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_3144;

										BgL_tmpz00_3144 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73));
										BgL_auxz00_3143 = BGL_OBJECT_WIDENING(BgL_tmpz00_3144);
									}
									BgL_auxz00_3142 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3143);
								}
								((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3142))->
										BgL_colorz00) = ((obj_t) BFALSE), BUNSPEC);
							}
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_3150;

								{
									obj_t BgL_auxz00_3151;

									{	/* SawMill/regutils.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_3152;

										BgL_tmpz00_3152 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73));
										BgL_auxz00_3151 = BGL_OBJECT_WIDENING(BgL_tmpz00_3152);
									}
									BgL_auxz00_3150 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3151);
								}
								((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3150))->
										BgL_coalescez00) = ((obj_t) BFALSE), BUNSPEC);
							}
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_3158;

								{
									obj_t BgL_auxz00_3159;

									{	/* SawMill/regutils.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_3160;

										BgL_tmpz00_3160 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73));
										BgL_auxz00_3159 = BGL_OBJECT_WIDENING(BgL_tmpz00_3160);
									}
									BgL_auxz00_3158 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3159);
								}
								((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3158))->
										BgL_occurrencesz00) = ((int) (int) (((long) 0))), BUNSPEC);
							}
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_3167;

								{
									obj_t BgL_auxz00_3168;

									{	/* SawMill/regutils.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_3169;

										BgL_tmpz00_3169 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73));
										BgL_auxz00_3168 = BGL_OBJECT_WIDENING(BgL_tmpz00_3169);
									}
									BgL_auxz00_3167 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3168);
								}
								((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3167))->
										BgL_interferez00) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_3175;

								{
									obj_t BgL_auxz00_3176;

									{	/* SawMill/regutils.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_3177;

										BgL_tmpz00_3177 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73));
										BgL_auxz00_3176 = BGL_OBJECT_WIDENING(BgL_tmpz00_3177);
									}
									BgL_auxz00_3175 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3176);
								}
								((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3175))->
										BgL_interfere2z00) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							BgL_arg1496z00_1955 = ((BgL_rtl_regz00_bglt) BgL_oz00_73);
							{	/* SawMill/regutils.scm 44 */
								obj_t BgL_list1497z00_1956;

								BgL_list1497z00_1956 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1496z00_1955), BNIL);
								return BgL_list1497z00_1956;
							}
						}
					}
			}
		}

	}



/* &collect-register! */
	obj_t BGl_z62collectzd2registerz12za2zzsaw_regutilsz00(obj_t BgL_envz00_2708,
		obj_t BgL_oz00_2709)
	{
		{	/* SawMill/regutils.scm 39 */
			return
				BGl_collectzd2registerz12zc0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2709));
		}

	}



/* collect-registers! */
	BGL_EXPORTED_DEF obj_t BGl_collectzd2registersz12zc0zzsaw_regutilsz00(obj_t
		BgL_oz00_74)
	{
		{	/* SawMill/regutils.scm 56 */
			{	/* SawMill/regutils.scm 60 */
				obj_t BgL_blockzd2collectzd2registersz12z12_2712;
				obj_t BgL_inszd2collectzd2registersz12z12_2711;

				BgL_blockzd2collectzd2registersz12z12_2712 =
					MAKE_FX_PROCEDURE
					(BGl_z62blockzd2collectzd2registersz12z70zzsaw_regutilsz00,
					(int) (((long) 1)), (int) (((long) 2)));
				BgL_inszd2collectzd2registersz12z12_2711 =
					MAKE_FX_PROCEDURE
					(BGl_z62inszd2collectzd2registersz12z70zzsaw_regutilsz00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_blockzd2collectzd2registersz12z12_2712,
					(int) (((long) 0)), BGl_proc1855z00zzsaw_regutilsz00);
				PROCEDURE_SET(BgL_blockzd2collectzd2registersz12z12_2712,
					(int) (((long) 1)), BgL_inszd2collectzd2registersz12z12_2711);
				PROCEDURE_SET(BgL_inszd2collectzd2registersz12z12_2711,
					(int) (((long) 0)), BGl_proc1855z00zzsaw_regutilsz00);
				BGl_za2registerzd2countza2zd2zzsaw_regutilsz00 = ((long) -1);
				{	/* SawMill/regutils.scm 78 */
					obj_t BgL_list1507z00_1966;

					BgL_list1507z00_1966 = MAKE_YOUNG_PAIR(BgL_oz00_74, BNIL);
					return
						BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00
						(BgL_blockzd2collectzd2registersz12z12_2712, BgL_list1507z00_1966);
				}
			}
		}

	}



/* &collect-registers! */
	obj_t BGl_z62collectzd2registersz12za2zzsaw_regutilsz00(obj_t BgL_envz00_2713,
		obj_t BgL_oz00_2714)
	{
		{	/* SawMill/regutils.scm 56 */
			return BGl_collectzd2registersz12zc0zzsaw_regutilsz00(BgL_oz00_2714);
		}

	}



/* &block-collect-registers! */
	obj_t BGl_z62blockzd2collectzd2registersz12z70zzsaw_regutilsz00(obj_t
		BgL_envz00_2715, obj_t BgL_oz00_2718)
	{
		{	/* SawMill/regutils.scm 75 */
			{	/* SawMill/regutils.scm 75 */
				obj_t BgL_inszd2collectzd2registersz12z12_2717;

				BgL_inszd2collectzd2registersz12z12_2717 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2715, (int) (((long) 1))));
				{	/* SawMill/regutils.scm 75 */
					obj_t BgL_arg1558z00_2758;

					BgL_arg1558z00_2758 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_2718)))->BgL_firstz00);
					{	/* SawMill/regutils.scm 75 */
						obj_t BgL_list1560z00_2759;

						BgL_list1560z00_2759 = MAKE_YOUNG_PAIR(BgL_arg1558z00_2758, BNIL);
						BGL_TAIL return
							BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00
							(BgL_inszd2collectzd2registersz12z12_2717, BgL_list1560z00_2759);
					}
				}
			}
		}

	}



/* &ins-collect-registers! */
	obj_t BGl_z62inszd2collectzd2registersz12z70zzsaw_regutilsz00(obj_t
		BgL_envz00_2719, obj_t BgL_oz00_2721)
	{
		{	/* SawMill/regutils.scm 72 */
			{	/* SawMill/regutils.scm 70 */
				obj_t BgL_argszd2collectzd2registersz12z12_2720;

				BgL_argszd2collectzd2registersz12z12_2720 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2719, (int) (((long) 0))));
				{	/* SawMill/regutils.scm 71 */
					obj_t BgL_arg1526z00_2761;
					obj_t BgL_arg1529z00_2762;

					{	/* SawMill/regutils.scm 71 */
						obj_t BgL_arg1532z00_2763;

						BgL_arg1532z00_2763 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_2721)))->BgL_destz00);
						BgL_arg1526z00_2761 =
							BGl_argszd2collectzd2registersz12ze70zf5zzsaw_regutilsz00
							(BgL_argszd2collectzd2registersz12z12_2720, BgL_arg1532z00_2763);
					}
					{	/* SawMill/regutils.scm 72 */
						obj_t BgL_arg1535z00_2765;

						BgL_arg1535z00_2765 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_2721)))->BgL_argsz00);
						{	/* SawMill/regutils.scm 72 */
							obj_t BgL_list1536z00_2766;

							BgL_list1536z00_2766 = MAKE_YOUNG_PAIR(BgL_arg1535z00_2765, BNIL);
							BgL_arg1529z00_2762 =
								BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00
								(BgL_argszd2collectzd2registersz12z12_2720,
								BgL_list1536z00_2766);
					}}
					return
						BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
						(BgL_arg1526z00_2761, BgL_arg1529z00_2762);
				}
			}
		}

	}



/* &args-collect-registers! */
	obj_t BGl_z62argszd2collectzd2registersz12z70zzsaw_regutilsz00(obj_t
		BgL_envz00_2722, obj_t BgL_oz00_2723)
	{
		{	/* SawMill/regutils.scm 67 */
			BGL_TAIL return
				BGl_argszd2collectzd2registersz12ze70zf5zzsaw_regutilsz00
				(BgL_envz00_2722, BgL_oz00_2723);
		}

	}



/* args-collect-registers!~0 */
	obj_t BGl_argszd2collectzd2registersz12ze70zf5zzsaw_regutilsz00(obj_t
		BgL_envz00_2724, obj_t BgL_oz00_1967)
	{
		{	/* SawMill/regutils.scm 67 */
			{	/* SawMill/regutils.scm 60 */
				bool_t BgL_test1910z00_3222;

				{	/* SawMill/regutils.scm 60 */
					obj_t BgL_classz00_2494;

					BgL_classz00_2494 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_oz00_1967))
						{	/* SawMill/regutils.scm 60 */
							BgL_objectz00_bglt BgL_arg1820z00_2496;

							BgL_arg1820z00_2496 = (BgL_objectz00_bglt) (BgL_oz00_1967);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/regutils.scm 60 */
									long BgL_idxz00_2502;

									BgL_idxz00_2502 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2496);
									BgL_test1910z00_3222 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2502 + ((long) 1))) == BgL_classz00_2494);
								}
							else
								{	/* SawMill/regutils.scm 60 */
									bool_t BgL_res1851z00_2524;

									{	/* SawMill/regutils.scm 60 */
										obj_t BgL_oclassz00_2510;

										{	/* SawMill/regutils.scm 60 */
											long BgL_arg1828z00_2516;

											{	/* SawMill/regutils.scm 60 */
												long BgL_arg1829z00_2517;

												BgL_arg1829z00_2517 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2496);
												BgL_arg1828z00_2516 =
													(BgL_arg1829z00_2517 - OBJECT_TYPE);
											}
											BgL_oclassz00_2510 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2516);
										}
										{	/* SawMill/regutils.scm 60 */
											bool_t BgL__ortest_1111z00_2511;

											BgL__ortest_1111z00_2511 =
												(BgL_classz00_2494 == BgL_oclassz00_2510);
											if (BgL__ortest_1111z00_2511)
												{	/* SawMill/regutils.scm 60 */
													BgL_res1851z00_2524 = BgL__ortest_1111z00_2511;
												}
											else
												{	/* SawMill/regutils.scm 60 */
													long BgL_odepthz00_2512;

													BgL_odepthz00_2512 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2510);
													if ((((long) 1) < BgL_odepthz00_2512))
														{	/* SawMill/regutils.scm 60 */
															obj_t BgL_arg1816z00_2514;

															BgL_arg1816z00_2514 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2510,
																((long) 1));
															BgL_res1851z00_2524 =
																(BgL_arg1816z00_2514 == BgL_classz00_2494);
														}
													else
														{	/* SawMill/regutils.scm 60 */
															BgL_res1851z00_2524 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1910z00_3222 = BgL_res1851z00_2524;
								}
						}
					else
						{	/* SawMill/regutils.scm 60 */
							BgL_test1910z00_3222 = ((bool_t) 0);
						}
				}
				if (BgL_test1910z00_3222)
					{	/* SawMill/regutils.scm 60 */
						return
							BGl_collectzd2registerz12zc0zzsaw_regutilsz00(
							((BgL_rtl_regz00_bglt) BgL_oz00_1967));
					}
				else
					{	/* SawMill/regutils.scm 62 */
						bool_t BgL_test1915z00_3244;

						{	/* SawMill/regutils.scm 62 */
							obj_t BgL_classz00_2525;

							BgL_classz00_2525 = BGl_rtl_insz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_oz00_1967))
								{	/* SawMill/regutils.scm 62 */
									BgL_objectz00_bglt BgL_arg1820z00_2527;

									BgL_arg1820z00_2527 = (BgL_objectz00_bglt) (BgL_oz00_1967);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/regutils.scm 62 */
											long BgL_idxz00_2533;

											BgL_idxz00_2533 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2527);
											BgL_test1915z00_3244 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2533 + ((long) 1))) == BgL_classz00_2525);
										}
									else
										{	/* SawMill/regutils.scm 62 */
											bool_t BgL_res1852z00_2555;

											{	/* SawMill/regutils.scm 62 */
												obj_t BgL_oclassz00_2541;

												{	/* SawMill/regutils.scm 62 */
													long BgL_arg1828z00_2547;

													{	/* SawMill/regutils.scm 62 */
														long BgL_arg1829z00_2548;

														BgL_arg1829z00_2548 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2527);
														BgL_arg1828z00_2547 =
															(BgL_arg1829z00_2548 - OBJECT_TYPE);
													}
													BgL_oclassz00_2541 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2547);
												}
												{	/* SawMill/regutils.scm 62 */
													bool_t BgL__ortest_1111z00_2542;

													BgL__ortest_1111z00_2542 =
														(BgL_classz00_2525 == BgL_oclassz00_2541);
													if (BgL__ortest_1111z00_2542)
														{	/* SawMill/regutils.scm 62 */
															BgL_res1852z00_2555 = BgL__ortest_1111z00_2542;
														}
													else
														{	/* SawMill/regutils.scm 62 */
															long BgL_odepthz00_2543;

															BgL_odepthz00_2543 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2541);
															if ((((long) 1) < BgL_odepthz00_2543))
																{	/* SawMill/regutils.scm 62 */
																	obj_t BgL_arg1816z00_2545;

																	BgL_arg1816z00_2545 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2541,
																		((long) 1));
																	BgL_res1852z00_2555 =
																		(BgL_arg1816z00_2545 == BgL_classz00_2525);
																}
															else
																{	/* SawMill/regutils.scm 62 */
																	BgL_res1852z00_2555 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1915z00_3244 = BgL_res1852z00_2555;
										}
								}
							else
								{	/* SawMill/regutils.scm 62 */
									BgL_test1915z00_3244 = ((bool_t) 0);
								}
						}
						if (BgL_test1915z00_3244)
							{	/* SawMill/regutils.scm 64 */
								obj_t BgL_arg1511z00_1972;
								obj_t BgL_arg1521z00_1973;

								{	/* SawMill/regutils.scm 64 */
									obj_t BgL_arg1522z00_1974;

									BgL_arg1522z00_1974 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_oz00_1967)))->BgL_destz00);
									BgL_arg1511z00_1972 =
										BGl_argszd2collectzd2registersz12ze70zf5zzsaw_regutilsz00
										(BgL_envz00_2724, BgL_arg1522z00_1974);
								}
								{	/* SawMill/regutils.scm 65 */
									obj_t BgL_arg1523z00_1975;

									BgL_arg1523z00_1975 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_oz00_1967)))->BgL_argsz00);
									{	/* SawMill/regutils.scm 65 */
										obj_t BgL_list1524z00_1976;

										BgL_list1524z00_1976 =
											MAKE_YOUNG_PAIR(BgL_arg1523z00_1975, BNIL);
										BgL_arg1521z00_1973 =
											BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00
											(BgL_envz00_2724, BgL_list1524z00_1976);
									}
								}
								return
									BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1511z00_1972, BgL_arg1521z00_1973);
							}
						else
							{	/* SawMill/regutils.scm 62 */
								return BNIL;
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1856z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1856z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1856z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1856z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1856z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1856z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1856z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1856z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1856z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string1856z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 404844772),
				BSTRING_TO_STRING(BGl_string1856z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(((long) 20930040),
				BSTRING_TO_STRING(BGl_string1856z00zzsaw_regutilsz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_regsetz00(((long) 454038607),
				BSTRING_TO_STRING(BGl_string1856z00zzsaw_regutilsz00));
		}

	}

#ifdef __cplusplus
}
#endif
