/*===========================================================================*/
/*   (Sync/failsafe.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Sync/failsafe.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzsync_failsafez00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2sequence1295z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzsync_failsafez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzsync_failsafez00(void);
	static obj_t BGl_objectzd2initzd2zzsync_failsafez00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2pragma1309z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezd2funzf3zd2cfun1305z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsync_failsafez00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2var1291z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2atom1289z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2letzd2fun1319z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2app1299z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2kwote1293z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62failsafezd2funzf31300z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsync_failsafez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62failsafezf3zd2boxzd2setz121327z83zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2cast1311z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2makezd2box1323z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00;
	static obj_t BGl_z62failsafezf3zd2setq1313z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzsync_failsafez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00(void);
	static obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00(void);
	static obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2letzd2var1321z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2conditiona1315z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezd2funzf3zd2sfun1303z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2boxzd2ref1325z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2extern1307z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sync1297z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2switch1317z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62failsafezf31286z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_failsafezf3zd2envz21zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za791812za7,
		BGl_z62failsafezf3z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1813z00,
		BGl_z62failsafezd2funzf3z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1770z00zzsync_failsafez00,
		BgL_bgl_string1770za700za7za7s1814za7, "failsafe?1286", 13);
	      DEFINE_STRING(BGl_string1772z00zzsync_failsafez00,
		BgL_bgl_string1772za700za7za7s1815za7, "failsafe-fun?1300", 17);
	      DEFINE_STRING(BGl_string1774z00zzsync_failsafez00,
		BgL_bgl_string1774za700za7za7s1816za7, "failsafe?", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1769z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3121817z00,
		BGl_z62failsafezf31286z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failsafezd2synczf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2sy1818z00,
		BGl_z62failsafezd2synczf3z43zzsync_failsafez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1771z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1819z00,
		BGl_z62failsafezd2funzf31300z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1773z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1820za7,
		BGl_z62failsafezf3zd2atom1289z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1781z00zzsync_failsafez00,
		BgL_bgl_string1781za700za7za7s1821za7, "failsafe-fun?", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1775z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1822za7,
		BGl_z62failsafezf3zd2var1291z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1823za7,
		BGl_z62failsafezf3zd2kwote1293z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1777z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1824za7,
		BGl_z62failsafezf3zd2sequence1295z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1778z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1825za7,
		BGl_z62failsafezf3zd2sync1297z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1826za7,
		BGl_z62failsafezf3zd2app1299z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1827z00,
		BGl_z62failsafezd2funzf3zd2sfun1303z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1782z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1828z00,
		BGl_z62failsafezd2funzf3zd2cfun1305z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1783z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1829za7,
		BGl_z62failsafezf3zd2extern1307z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1830za7,
		BGl_z62failsafezf3zd2pragma1309z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1831za7,
		BGl_z62failsafezf3zd2cast1311z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1832za7,
		BGl_z62failsafezf3zd2setq1313z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1833za7,
		BGl_z62failsafezf3zd2conditiona1315z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1794z00zzsync_failsafez00,
		BgL_bgl_string1794za700za7za7s1834za7, "sync_failsafe", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1835za7,
		BGl_z62failsafezf3zd2switch1317z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1795z00zzsync_failsafez00,
		BgL_bgl_string1795za700za7za7s1836za7, "fail-safe ", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1837za7,
		BGl_z62failsafezf3zd2letzd2fun1319z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1838za7,
		BGl_z62failsafezf3zd2letzd2var1321z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1839za7,
		BGl_z62failsafezf3zd2makezd2box1323z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1840za7,
		BGl_z62failsafezf3zd2boxzd2ref1325z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1841za7,
		BGl_z62failsafezf3zd2boxzd2setz121327z83zzsync_failsafez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsync_failsafez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsync_failsafez00(long
		BgL_checksumz00_2488, char *BgL_fromz00_2489)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsync_failsafez00))
				{
					BGl_requirezd2initializa7ationz75zzsync_failsafez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsync_failsafez00();
					BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
					BGl_cnstzd2initzd2zzsync_failsafez00();
					BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
					BGl_genericzd2initzd2zzsync_failsafez00();
					BGl_methodzd2initzd2zzsync_failsafez00();
					return BGl_toplevelzd2initzd2zzsync_failsafez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"sync_failsafe");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			{	/* Sync/failsafe.scm 16 */
				obj_t BgL_cportz00_2384;

				{	/* Sync/failsafe.scm 16 */
					obj_t BgL_stringz00_2391;

					BgL_stringz00_2391 = BGl_string1795z00zzsync_failsafez00;
					{	/* Sync/failsafe.scm 16 */
						obj_t BgL_startz00_2392;

						BgL_startz00_2392 = BINT(((long) 0));
						{	/* Sync/failsafe.scm 16 */
							obj_t BgL_endz00_2393;

							BgL_endz00_2393 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2391)));
							{	/* Sync/failsafe.scm 16 */

								BgL_cportz00_2384 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2391, BgL_startz00_2392, BgL_endz00_2393);
				}}}}
				{
					long BgL_iz00_2385;

					BgL_iz00_2385 = ((long) 0);
				BgL_loopz00_2386:
					if ((BgL_iz00_2385 == ((long) -1)))
						{	/* Sync/failsafe.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Sync/failsafe.scm 16 */
							{	/* Sync/failsafe.scm 16 */
								obj_t BgL_arg1811z00_2387;

								{	/* Sync/failsafe.scm 16 */

									{	/* Sync/failsafe.scm 16 */
										obj_t BgL_locationz00_2389;

										BgL_locationz00_2389 = BBOOL(((bool_t) 0));
										{	/* Sync/failsafe.scm 16 */

											BgL_arg1811z00_2387 =
												BGl_readz00zz__readerz00(BgL_cportz00_2384,
												BgL_locationz00_2389);
										}
									}
								}
								{	/* Sync/failsafe.scm 16 */
									int BgL_tmpz00_2520;

									BgL_tmpz00_2520 = (int) (BgL_iz00_2385);
									CNST_TABLE_SET(BgL_tmpz00_2520, BgL_arg1811z00_2387);
							}}
							{	/* Sync/failsafe.scm 16 */
								int BgL_auxz00_2390;

								BgL_auxz00_2390 = (int) ((BgL_iz00_2385 - ((long) 1)));
								{
									long BgL_iz00_2525;

									BgL_iz00_2525 = (long) (BgL_auxz00_2390);
									BgL_iz00_2385 = BgL_iz00_2525;
									goto BgL_loopz00_2386;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}

	}



/* failsafe-sync? */
	BGL_EXPORTED_DEF obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt BgL_nz00_17)
	{
		{	/* Sync/failsafe.scm 45 */
			if (CBOOL(BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00))
				{	/* Sync/failsafe.scm 46 */
					return
						BGl_failsafezf3zf3zzsync_failsafez00(
						(((BgL_syncz00_bglt) COBJECT(BgL_nz00_17))->BgL_bodyz00), BNIL);
				}
			else
				{	/* Sync/failsafe.scm 46 */
					return BFALSE;
				}
		}

	}



/* &failsafe-sync? */
	obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t BgL_envz00_2287,
		obj_t BgL_nz00_2288)
	{
		{	/* Sync/failsafe.scm 45 */
			return
				BGl_failsafezd2synczf3z21zzsync_failsafez00(
				((BgL_syncz00_bglt) BgL_nz00_2288));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_proc1769z00zzsync_failsafez00, BGl_nodez00zzast_nodez00,
				BGl_string1770z00zzsync_failsafez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_proc1771z00zzsync_failsafez00, BGl_funz00zzast_varz00,
				BGl_string1772z00zzsync_failsafez00);
		}

	}



/* &failsafe-fun?1300 */
	obj_t BGl_z62failsafezd2funzf31300z43zzsync_failsafez00(obj_t BgL_envz00_2291,
		obj_t BgL_funz00_2292, obj_t BgL_varz00_2293, obj_t BgL_stkz00_2294)
	{
		{	/* Sync/failsafe.scm 102 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &failsafe?1286 */
	obj_t BGl_z62failsafezf31286z91zzsync_failsafez00(obj_t BgL_envz00_2295,
		obj_t BgL_nz00_2296, obj_t BgL_stkz00_2297)
	{
		{	/* Sync/failsafe.scm 53 */
			return BBOOL(((bool_t) 0));
		}

	}



/* failsafe? */
	obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt BgL_nz00_18,
		obj_t BgL_stkz00_19)
	{
		{	/* Sync/failsafe.scm 53 */
			{	/* Sync/failsafe.scm 53 */
				obj_t BgL_method1287z00_1704;

				{	/* Sync/failsafe.scm 53 */
					obj_t BgL_res1760z00_2136;

					{	/* Sync/failsafe.scm 53 */
						long BgL_objzd2classzd2numz00_2107;

						BgL_objzd2classzd2numz00_2107 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_18));
						{	/* Sync/failsafe.scm 53 */
							obj_t BgL_arg1825z00_2108;

							BgL_arg1825z00_2108 =
								PROCEDURE_REF(BGl_failsafezf3zd2envz21zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 53 */
								int BgL_offsetz00_2111;

								BgL_offsetz00_2111 = (int) (BgL_objzd2classzd2numz00_2107);
								{	/* Sync/failsafe.scm 53 */
									long BgL_offsetz00_2112;

									BgL_offsetz00_2112 =
										((long) (BgL_offsetz00_2111) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 53 */
										long BgL_modz00_2113;

										BgL_modz00_2113 =
											(BgL_offsetz00_2112 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Sync/failsafe.scm 53 */
											long BgL_restz00_2115;

											BgL_restz00_2115 =
												(BgL_offsetz00_2112 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Sync/failsafe.scm 53 */

												{	/* Sync/failsafe.scm 53 */
													obj_t BgL_bucketz00_2117;

													BgL_bucketz00_2117 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2108), BgL_modz00_2113);
													BgL_res1760z00_2136 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2117), BgL_restz00_2115);
					}}}}}}}}
					BgL_method1287z00_1704 = BgL_res1760z00_2136;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1287z00_1704)) (BgL_method1287z00_1704,
					((obj_t) BgL_nz00_18), BgL_stkz00_19, BEOA);
			}
		}

	}



/* &failsafe? */
	obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t BgL_envz00_2298,
		obj_t BgL_nz00_2299, obj_t BgL_stkz00_2300)
	{
		{	/* Sync/failsafe.scm 53 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				((BgL_nodez00_bglt) BgL_nz00_2299), BgL_stkz00_2300);
		}

	}



/* failsafe-fun? */
	obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt
		BgL_funz00_32, BgL_variablez00_bglt BgL_varz00_33, obj_t BgL_stkz00_34)
	{
		{	/* Sync/failsafe.scm 102 */
			{	/* Sync/failsafe.scm 102 */
				obj_t BgL_method1301z00_1705;

				{	/* Sync/failsafe.scm 102 */
					obj_t BgL_res1765z00_2167;

					{	/* Sync/failsafe.scm 102 */
						long BgL_objzd2classzd2numz00_2138;

						BgL_objzd2classzd2numz00_2138 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_32));
						{	/* Sync/failsafe.scm 102 */
							obj_t BgL_arg1825z00_2139;

							BgL_arg1825z00_2139 =
								PROCEDURE_REF(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 102 */
								int BgL_offsetz00_2142;

								BgL_offsetz00_2142 = (int) (BgL_objzd2classzd2numz00_2138);
								{	/* Sync/failsafe.scm 102 */
									long BgL_offsetz00_2143;

									BgL_offsetz00_2143 =
										((long) (BgL_offsetz00_2142) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 102 */
										long BgL_modz00_2144;

										BgL_modz00_2144 =
											(BgL_offsetz00_2143 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Sync/failsafe.scm 102 */
											long BgL_restz00_2146;

											BgL_restz00_2146 =
												(BgL_offsetz00_2143 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Sync/failsafe.scm 102 */

												{	/* Sync/failsafe.scm 102 */
													obj_t BgL_bucketz00_2148;

													BgL_bucketz00_2148 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2139), BgL_modz00_2144);
													BgL_res1765z00_2167 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2148), BgL_restz00_2146);
					}}}}}}}}
					BgL_method1301z00_1705 = BgL_res1765z00_2167;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1301z00_1705)) (BgL_method1301z00_1705,
					((obj_t) BgL_funz00_32), ((obj_t) BgL_varz00_33), BgL_stkz00_34,
					BEOA);
			}
		}

	}



/* &failsafe-fun? */
	obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t BgL_envz00_2301,
		obj_t BgL_funz00_2302, obj_t BgL_varz00_2303, obj_t BgL_stkz00_2304)
	{
		{	/* Sync/failsafe.scm 102 */
			return
				BGl_failsafezd2funzf3z21zzsync_failsafez00(
				((BgL_funz00_bglt) BgL_funz00_2302),
				((BgL_variablez00_bglt) BgL_varz00_2303), BgL_stkz00_2304);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_atomz00zzast_nodez00,
				BGl_proc1773z00zzsync_failsafez00, BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_varz00zzast_nodez00,
				BGl_proc1775z00zzsync_failsafez00, BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1776z00zzsync_failsafez00, BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1777z00zzsync_failsafez00,
				BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_syncz00zzast_nodez00,
				BGl_proc1778z00zzsync_failsafez00, BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_appz00zzast_nodez00,
				BGl_proc1779z00zzsync_failsafez00, BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_sfunz00zzast_varz00, BGl_proc1780z00zzsync_failsafez00,
				BGl_string1781z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_cfunz00zzast_varz00, BGl_proc1782z00zzsync_failsafez00,
				BGl_string1781z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_externz00zzast_nodez00,
				BGl_proc1783z00zzsync_failsafez00, BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_pragmaz00zzast_nodez00,
				BGl_proc1784z00zzsync_failsafez00, BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_castz00zzast_nodez00,
				BGl_proc1785z00zzsync_failsafez00, BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_setqz00zzast_nodez00,
				BGl_proc1786z00zzsync_failsafez00, BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1787z00zzsync_failsafez00,
				BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_switchz00zzast_nodez00,
				BGl_proc1788z00zzsync_failsafez00, BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1789z00zzsync_failsafez00,
				BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1790z00zzsync_failsafez00,
				BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1791z00zzsync_failsafez00,
				BGl_string1774z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1792z00zzsync_failsafez00,
				BGl_string1774z00zzsync_failsafez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1793z00zzsync_failsafez00,
				BGl_string1774z00zzsync_failsafez00);
		}

	}



/* &failsafe?-box-set!1327 */
	obj_t BGl_z62failsafezf3zd2boxzd2setz121327z83zzsync_failsafez00(obj_t
		BgL_envz00_2324, obj_t BgL_nz00_2325, obj_t BgL_stkz00_2326)
	{
		{	/* Sync/failsafe.scm 216 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_2325)))->BgL_valuez00),
				BgL_stkz00_2326);
		}

	}



/* &failsafe?-box-ref1325 */
	obj_t BGl_z62failsafezf3zd2boxzd2ref1325z91zzsync_failsafez00(obj_t
		BgL_envz00_2327, obj_t BgL_nz00_2328, obj_t BgL_stkz00_2329)
	{
		{	/* Sync/failsafe.scm 210 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &failsafe?-make-box1323 */
	obj_t BGl_z62failsafezf3zd2makezd2box1323z91zzsync_failsafez00(obj_t
		BgL_envz00_2330, obj_t BgL_nz00_2331, obj_t BgL_stkz00_2332)
	{
		{	/* Sync/failsafe.scm 203 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_2331)))->BgL_valuez00),
				BgL_stkz00_2332);
		}

	}



/* &failsafe?-let-var1321 */
	obj_t BGl_z62failsafezf3zd2letzd2var1321z91zzsync_failsafez00(obj_t
		BgL_envz00_2333, obj_t BgL_nz00_2334, obj_t BgL_stkz00_2335)
	{
		{	/* Sync/failsafe.scm 195 */
			{	/* Sync/failsafe.scm 196 */
				bool_t BgL_tmpz00_2633;

				{	/* Sync/failsafe.scm 197 */
					bool_t BgL_test1846z00_2634;

					{	/* Sync/failsafe.scm 197 */
						BgL_nodez00_bglt BgL_arg1570z00_2403;

						BgL_arg1570z00_2403 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_2334)))->BgL_bodyz00);
						BgL_test1846z00_2634 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1570z00_2403,
								BgL_stkz00_2335));
					}
					if (BgL_test1846z00_2634)
						{	/* Sync/failsafe.scm 198 */
							obj_t BgL_g1284z00_2404;

							BgL_g1284z00_2404 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nz00_2334)))->BgL_bindingsz00);
							{
								obj_t BgL_l1282z00_2406;

								BgL_l1282z00_2406 = BgL_g1284z00_2404;
							BgL_zc3z04anonymousza31560ze3z87_2405:
								if (NULLP(BgL_l1282z00_2406))
									{	/* Sync/failsafe.scm 198 */
										BgL_tmpz00_2633 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 198 */
										obj_t BgL_nvz00_2407;

										{	/* Sync/failsafe.scm 198 */
											obj_t BgL_bz00_2408;

											BgL_bz00_2408 = CAR(((obj_t) BgL_l1282z00_2406));
											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_arg1567z00_2409;

												BgL_arg1567z00_2409 = CDR(((obj_t) BgL_bz00_2408));
												BgL_nvz00_2407 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1567z00_2409),
													BgL_stkz00_2335);
											}
										}
										if (CBOOL(BgL_nvz00_2407))
											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_arg1565z00_2410;

												BgL_arg1565z00_2410 = CDR(((obj_t) BgL_l1282z00_2406));
												{
													obj_t BgL_l1282z00_2653;

													BgL_l1282z00_2653 = BgL_arg1565z00_2410;
													BgL_l1282z00_2406 = BgL_l1282z00_2653;
													goto BgL_zc3z04anonymousza31560ze3z87_2405;
												}
											}
										else
											{	/* Sync/failsafe.scm 198 */
												BgL_tmpz00_2633 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 197 */
							BgL_tmpz00_2633 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2633);
			}
		}

	}



/* &failsafe?-let-fun1319 */
	obj_t BGl_z62failsafezf3zd2letzd2fun1319z91zzsync_failsafez00(obj_t
		BgL_envz00_2336, obj_t BgL_nz00_2337, obj_t BgL_stkz00_2338)
	{
		{	/* Sync/failsafe.scm 187 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_2337)))->BgL_bodyz00),
				BgL_stkz00_2338);
		}

	}



/* &failsafe?-switch1317 */
	obj_t BGl_z62failsafezf3zd2switch1317z43zzsync_failsafez00(obj_t
		BgL_envz00_2339, obj_t BgL_nz00_2340, obj_t BgL_stkz00_2341)
	{
		{	/* Sync/failsafe.scm 179 */
			{	/* Sync/failsafe.scm 180 */
				bool_t BgL_tmpz00_2658;

				{	/* Sync/failsafe.scm 181 */
					bool_t BgL_test1849z00_2659;

					{	/* Sync/failsafe.scm 181 */
						BgL_nodez00_bglt BgL_arg1532z00_2413;

						BgL_arg1532z00_2413 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_2340)))->BgL_testz00);
						BgL_test1849z00_2659 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1532z00_2413,
								BgL_stkz00_2341));
					}
					if (BgL_test1849z00_2659)
						{	/* Sync/failsafe.scm 182 */
							obj_t BgL_g1280z00_2414;

							BgL_g1280z00_2414 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nz00_2340)))->BgL_clausesz00);
							{
								obj_t BgL_l1278z00_2416;

								BgL_l1278z00_2416 = BgL_g1280z00_2414;
							BgL_zc3z04anonymousza31523ze3z87_2415:
								if (NULLP(BgL_l1278z00_2416))
									{	/* Sync/failsafe.scm 182 */
										BgL_tmpz00_2658 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 182 */
										obj_t BgL_nvz00_2417;

										{	/* Sync/failsafe.scm 182 */
											obj_t BgL_cz00_2418;

											BgL_cz00_2418 = CAR(((obj_t) BgL_l1278z00_2416));
											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_arg1529z00_2419;

												BgL_arg1529z00_2419 = CDR(((obj_t) BgL_cz00_2418));
												BgL_nvz00_2417 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1529z00_2419),
													BgL_stkz00_2341);
											}
										}
										if (CBOOL(BgL_nvz00_2417))
											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_arg1526z00_2420;

												BgL_arg1526z00_2420 = CDR(((obj_t) BgL_l1278z00_2416));
												{
													obj_t BgL_l1278z00_2678;

													BgL_l1278z00_2678 = BgL_arg1526z00_2420;
													BgL_l1278z00_2416 = BgL_l1278z00_2678;
													goto BgL_zc3z04anonymousza31523ze3z87_2415;
												}
											}
										else
											{	/* Sync/failsafe.scm 182 */
												BgL_tmpz00_2658 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 181 */
							BgL_tmpz00_2658 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2658);
			}
		}

	}



/* &failsafe?-conditiona1315 */
	obj_t BGl_z62failsafezf3zd2conditiona1315z43zzsync_failsafez00(obj_t
		BgL_envz00_2342, obj_t BgL_nz00_2343, obj_t BgL_stkz00_2344)
	{
		{	/* Sync/failsafe.scm 172 */
			{	/* Sync/failsafe.scm 174 */
				obj_t BgL__andtest_1126z00_2422;

				BgL__andtest_1126z00_2422 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_2343)))->BgL_testz00),
					BgL_stkz00_2344);
				if (CBOOL(BgL__andtest_1126z00_2422))
					{	/* Sync/failsafe.scm 174 */
						obj_t BgL__andtest_1127z00_2423;

						BgL__andtest_1127z00_2423 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nz00_2343)))->BgL_truez00),
							BgL_stkz00_2344);
						if (CBOOL(BgL__andtest_1127z00_2423))
							{	/* Sync/failsafe.scm 174 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nz00_2343)))->
										BgL_falsez00), BgL_stkz00_2344);
							}
						else
							{	/* Sync/failsafe.scm 174 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 174 */
						return BFALSE;
					}
			}
		}

	}



/* &failsafe?-setq1313 */
	obj_t BGl_z62failsafezf3zd2setq1313z43zzsync_failsafez00(obj_t
		BgL_envz00_2345, obj_t BgL_nz00_2346, obj_t BgL_stkz00_2347)
	{
		{	/* Sync/failsafe.scm 165 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_2346)))->BgL_valuez00),
				BgL_stkz00_2347);
		}

	}



/* &failsafe?-cast1311 */
	obj_t BGl_z62failsafezf3zd2cast1311z43zzsync_failsafez00(obj_t
		BgL_envz00_2348, obj_t BgL_nz00_2349, obj_t BgL_stkz00_2350)
	{
		{	/* Sync/failsafe.scm 158 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_2349)))->BgL_argz00),
				BgL_stkz00_2350);
		}

	}



/* &failsafe?-pragma1309 */
	obj_t BGl_z62failsafezf3zd2pragma1309z43zzsync_failsafez00(obj_t
		BgL_envz00_2351, obj_t BgL_nz00_2352, obj_t BgL_stkz00_2353)
	{
		{	/* Sync/failsafe.scm 152 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &failsafe?-extern1307 */
	obj_t BGl_z62failsafezf3zd2extern1307z43zzsync_failsafez00(obj_t
		BgL_envz00_2354, obj_t BgL_nz00_2355, obj_t BgL_stkz00_2356)
	{
		{	/* Sync/failsafe.scm 145 */
			{	/* Sync/failsafe.scm 146 */
				bool_t BgL_tmpz00_2700;

				{	/* Sync/failsafe.scm 147 */
					obj_t BgL_g1276z00_2428;

					BgL_g1276z00_2428 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nz00_2355)))->BgL_exprza2za2);
					{
						obj_t BgL_l1274z00_2430;

						BgL_l1274z00_2430 = BgL_g1276z00_2428;
					BgL_zc3z04anonymousza31469ze3z87_2429:
						if (NULLP(BgL_l1274z00_2430))
							{	/* Sync/failsafe.scm 147 */
								BgL_tmpz00_2700 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 147 */
								obj_t BgL_nvz00_2431;

								{	/* Sync/failsafe.scm 147 */
									obj_t BgL_nz00_2432;

									BgL_nz00_2432 = CAR(((obj_t) BgL_l1274z00_2430));
									BgL_nvz00_2431 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2432), BgL_stkz00_2356);
								}
								if (CBOOL(BgL_nvz00_2431))
									{	/* Sync/failsafe.scm 147 */
										obj_t BgL_arg1482z00_2433;

										BgL_arg1482z00_2433 = CDR(((obj_t) BgL_l1274z00_2430));
										{
											obj_t BgL_l1274z00_2713;

											BgL_l1274z00_2713 = BgL_arg1482z00_2433;
											BgL_l1274z00_2430 = BgL_l1274z00_2713;
											goto BgL_zc3z04anonymousza31469ze3z87_2429;
										}
									}
								else
									{	/* Sync/failsafe.scm 147 */
										BgL_tmpz00_2700 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2700);
			}
		}

	}



/* &failsafe-fun?-cfun1305 */
	obj_t BGl_z62failsafezd2funzf3zd2cfun1305z91zzsync_failsafez00(obj_t
		BgL_envz00_2357, obj_t BgL_funz00_2358, obj_t BgL_varz00_2359,
		obj_t BgL_stkz00_2360)
	{
		{	/* Sync/failsafe.scm 130 */
			{	/* Sync/failsafe.scm 133 */
				bool_t BgL_test1856z00_2715;

				{	/* Sync/failsafe.scm 133 */
					obj_t BgL_tmpz00_2716;

					BgL_tmpz00_2716 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_funz00_2358))))->BgL_failsafez00);
					BgL_test1856z00_2715 = BOOLEANP(BgL_tmpz00_2716);
				}
				if (BgL_test1856z00_2715)
					{	/* Sync/failsafe.scm 133 */
						return
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_cfunz00_bglt) BgL_funz00_2358))))->BgL_failsafez00);
					}
				else
					{	/* Sync/failsafe.scm 135 */
						bool_t BgL_test1857z00_2724;

						{	/* Sync/failsafe.scm 135 */
							obj_t BgL_classz00_2436;

							BgL_classz00_2436 = BGl_globalz00zzast_varz00;
							{	/* Sync/failsafe.scm 135 */
								BgL_objectz00_bglt BgL_arg1820z00_2437;

								{	/* Sync/failsafe.scm 135 */
									obj_t BgL_tmpz00_2725;

									BgL_tmpz00_2725 =
										((obj_t) ((BgL_variablez00_bglt) BgL_varz00_2359));
									BgL_arg1820z00_2437 = (BgL_objectz00_bglt) (BgL_tmpz00_2725);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Sync/failsafe.scm 135 */
										long BgL_idxz00_2438;

										BgL_idxz00_2438 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2437);
										BgL_test1857z00_2724 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2438 + ((long) 2))) == BgL_classz00_2436);
									}
								else
									{	/* Sync/failsafe.scm 135 */
										bool_t BgL_res1767z00_2441;

										{	/* Sync/failsafe.scm 135 */
											obj_t BgL_oclassz00_2442;

											{	/* Sync/failsafe.scm 135 */
												long BgL_arg1828z00_2443;

												{	/* Sync/failsafe.scm 135 */
													long BgL_arg1829z00_2444;

													BgL_arg1829z00_2444 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2437);
													BgL_arg1828z00_2443 =
														(BgL_arg1829z00_2444 - OBJECT_TYPE);
												}
												BgL_oclassz00_2442 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2443);
											}
											{	/* Sync/failsafe.scm 135 */
												bool_t BgL__ortest_1111z00_2445;

												BgL__ortest_1111z00_2445 =
													(BgL_classz00_2436 == BgL_oclassz00_2442);
												if (BgL__ortest_1111z00_2445)
													{	/* Sync/failsafe.scm 135 */
														BgL_res1767z00_2441 = BgL__ortest_1111z00_2445;
													}
												else
													{	/* Sync/failsafe.scm 135 */
														long BgL_odepthz00_2446;

														BgL_odepthz00_2446 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2442);
														if ((((long) 2) < BgL_odepthz00_2446))
															{	/* Sync/failsafe.scm 135 */
																obj_t BgL_arg1816z00_2447;

																BgL_arg1816z00_2447 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2442,
																	((long) 2));
																BgL_res1767z00_2441 =
																	(BgL_arg1816z00_2447 == BgL_classz00_2436);
															}
														else
															{	/* Sync/failsafe.scm 135 */
																BgL_res1767z00_2441 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1857z00_2724 = BgL_res1767z00_2441;
									}
							}
						}
						if (BgL_test1857z00_2724)
							{	/* Sync/failsafe.scm 135 */
								{
									obj_t BgL_auxz00_2745;

									{	/* Sync/failsafe.scm 137 */
										bool_t BgL_tmpz00_2748;

										{	/* Sync/failsafe.scm 137 */
											obj_t BgL_tmpz00_2749;

											BgL_tmpz00_2749 =
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(
													((long) 0)),
												(((BgL_globalz00_bglt)
														COBJECT(((BgL_globalz00_bglt) (
																	(BgL_variablez00_bglt) BgL_varz00_2359))))->
													BgL_pragmaz00));
											BgL_tmpz00_2748 = PAIRP(BgL_tmpz00_2749);
										}
										BgL_auxz00_2745 = BBOOL(BgL_tmpz00_2748);
									}
									((((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt)
														((BgL_cfunz00_bglt) BgL_funz00_2358))))->
											BgL_failsafez00) = ((obj_t) BgL_auxz00_2745), BUNSPEC);
								}
								return
									(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt)
												((BgL_cfunz00_bglt) BgL_funz00_2358))))->
									BgL_failsafez00);
							}
						else
							{	/* Sync/failsafe.scm 135 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &failsafe-fun?-sfun1303 */
	obj_t BGl_z62failsafezd2funzf3zd2sfun1303z91zzsync_failsafez00(obj_t
		BgL_envz00_2361, obj_t BgL_funz00_2362, obj_t BgL_varz00_2363,
		obj_t BgL_stkz00_2364)
	{
		{	/* Sync/failsafe.scm 108 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							((BgL_variablez00_bglt) BgL_varz00_2363)), BgL_stkz00_2364)))
				{	/* Sync/failsafe.scm 111 */
					return BTRUE;
				}
			else
				{	/* Sync/failsafe.scm 113 */
					bool_t BgL_test1862z00_2766;

					{	/* Sync/failsafe.scm 113 */
						obj_t BgL_tmpz00_2767;

						BgL_tmpz00_2767 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_sfunz00_bglt) BgL_funz00_2362))))->BgL_failsafez00);
						BgL_test1862z00_2766 = BOOLEANP(BgL_tmpz00_2767);
					}
					if (BgL_test1862z00_2766)
						{	/* Sync/failsafe.scm 113 */
							return
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt)
											((BgL_sfunz00_bglt) BgL_funz00_2362))))->BgL_failsafez00);
						}
					else
						{	/* Sync/failsafe.scm 115 */
							bool_t BgL_test1863z00_2775;

							{	/* Sync/failsafe.scm 115 */
								bool_t BgL_test1864z00_2776;

								{	/* Sync/failsafe.scm 115 */
									obj_t BgL_classz00_2450;

									BgL_classz00_2450 = BGl_globalz00zzast_varz00;
									{	/* Sync/failsafe.scm 115 */
										BgL_objectz00_bglt BgL_arg1820z00_2451;

										{	/* Sync/failsafe.scm 115 */
											obj_t BgL_tmpz00_2777;

											BgL_tmpz00_2777 =
												((obj_t) ((BgL_variablez00_bglt) BgL_varz00_2363));
											BgL_arg1820z00_2451 =
												(BgL_objectz00_bglt) (BgL_tmpz00_2777);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Sync/failsafe.scm 115 */
												long BgL_idxz00_2452;

												BgL_idxz00_2452 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2451);
												BgL_test1864z00_2776 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2452 + ((long) 2))) ==
													BgL_classz00_2450);
											}
										else
											{	/* Sync/failsafe.scm 115 */
												bool_t BgL_res1766z00_2455;

												{	/* Sync/failsafe.scm 115 */
													obj_t BgL_oclassz00_2456;

													{	/* Sync/failsafe.scm 115 */
														long BgL_arg1828z00_2457;

														{	/* Sync/failsafe.scm 115 */
															long BgL_arg1829z00_2458;

															BgL_arg1829z00_2458 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2451);
															BgL_arg1828z00_2457 =
																(BgL_arg1829z00_2458 - OBJECT_TYPE);
														}
														BgL_oclassz00_2456 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2457);
													}
													{	/* Sync/failsafe.scm 115 */
														bool_t BgL__ortest_1111z00_2459;

														BgL__ortest_1111z00_2459 =
															(BgL_classz00_2450 == BgL_oclassz00_2456);
														if (BgL__ortest_1111z00_2459)
															{	/* Sync/failsafe.scm 115 */
																BgL_res1766z00_2455 = BgL__ortest_1111z00_2459;
															}
														else
															{	/* Sync/failsafe.scm 115 */
																long BgL_odepthz00_2460;

																BgL_odepthz00_2460 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2456);
																if ((((long) 2) < BgL_odepthz00_2460))
																	{	/* Sync/failsafe.scm 115 */
																		obj_t BgL_arg1816z00_2461;

																		BgL_arg1816z00_2461 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2456, ((long) 2));
																		BgL_res1766z00_2455 =
																			(BgL_arg1816z00_2461 ==
																			BgL_classz00_2450);
																	}
																else
																	{	/* Sync/failsafe.scm 115 */
																		BgL_res1766z00_2455 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1864z00_2776 = BgL_res1766z00_2455;
											}
									}
								}
								if (BgL_test1864z00_2776)
									{	/* Sync/failsafe.scm 115 */
										bool_t BgL_test1868z00_2797;

										{	/* Sync/failsafe.scm 115 */
											obj_t BgL_arg1422z00_2462;

											BgL_arg1422z00_2462 =
												(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt)
															((BgL_variablez00_bglt) BgL_varz00_2363))))->
												BgL_modulez00);
											BgL_test1868z00_2797 =
												(BgL_arg1422z00_2462 ==
												BGl_za2moduleza2z00zzmodule_modulez00);
										}
										if (BgL_test1868z00_2797)
											{	/* Sync/failsafe.scm 115 */
												BgL_test1863z00_2775 = ((bool_t) 0);
											}
										else
											{	/* Sync/failsafe.scm 115 */
												BgL_test1863z00_2775 = ((bool_t) 1);
											}
									}
								else
									{	/* Sync/failsafe.scm 115 */
										BgL_test1863z00_2775 = ((bool_t) 0);
									}
							}
							if (BgL_test1863z00_2775)
								{	/* Sync/failsafe.scm 115 */
									{
										obj_t BgL_auxz00_2802;

										{	/* Sync/failsafe.scm 118 */
											bool_t BgL_tmpz00_2805;

											{	/* Sync/failsafe.scm 118 */
												obj_t BgL_tmpz00_2806;

												BgL_tmpz00_2806 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 0)),
													(((BgL_globalz00_bglt)
															COBJECT(((BgL_globalz00_bglt) (
																		(BgL_variablez00_bglt) BgL_varz00_2363))))->
														BgL_pragmaz00));
												BgL_tmpz00_2805 = PAIRP(BgL_tmpz00_2806);
											}
											BgL_auxz00_2802 = BBOOL(BgL_tmpz00_2805);
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt) BgL_funz00_2362))))->
												BgL_failsafez00) = ((obj_t) BgL_auxz00_2802), BUNSPEC);
									}
									return
										(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_2362))))->
										BgL_failsafez00);
								}
							else
								{	/* Sync/failsafe.scm 122 */
									obj_t BgL_fsafez00_2463;

									{	/* Sync/failsafe.scm 122 */
										obj_t BgL_arg1400z00_2464;
										obj_t BgL_arg1421z00_2465;

										BgL_arg1400z00_2464 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2362)))->BgL_bodyz00);
										BgL_arg1421z00_2465 =
											MAKE_YOUNG_PAIR(
											((obj_t)
												((BgL_variablez00_bglt) BgL_varz00_2363)),
											BgL_stkz00_2364);
										BgL_fsafez00_2463 =
											BGl_failsafezf3zf3zzsync_failsafez00(((BgL_nodez00_bglt)
												BgL_arg1400z00_2464), BgL_arg1421z00_2465);
									}
									if (NULLP(BgL_stkz00_2364))
										{	/* Sync/failsafe.scm 124 */
											((((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt)
																((BgL_sfunz00_bglt) BgL_funz00_2362))))->
													BgL_failsafez00) =
												((obj_t) BgL_fsafez00_2463), BUNSPEC);
										}
									else
										{	/* Sync/failsafe.scm 124 */
											BFALSE;
										}
									return BgL_fsafez00_2463;
								}
						}
				}
		}

	}



/* &failsafe?-app1299 */
	obj_t BGl_z62failsafezf3zd2app1299z43zzsync_failsafez00(obj_t BgL_envz00_2365,
		obj_t BgL_nz00_2366, obj_t BgL_stkz00_2367)
	{
		{	/* Sync/failsafe.scm 93 */
			{	/* Sync/failsafe.scm 94 */
				bool_t BgL_tmpz00_2830;

				{	/* Sync/failsafe.scm 95 */
					BgL_variablez00_bglt BgL_vz00_2467;

					BgL_vz00_2467 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nz00_2366)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Sync/failsafe.scm 96 */
						bool_t BgL_test1870z00_2834;

						{	/* Sync/failsafe.scm 96 */
							BgL_valuez00_bglt BgL_arg1375z00_2468;

							BgL_arg1375z00_2468 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2467))->BgL_valuez00);
							BgL_test1870z00_2834 =
								CBOOL(BGl_failsafezd2funzf3z21zzsync_failsafez00(
									((BgL_funz00_bglt) BgL_arg1375z00_2468), BgL_vz00_2467,
									BgL_stkz00_2367));
						}
						if (BgL_test1870z00_2834)
							{	/* Sync/failsafe.scm 97 */
								obj_t BgL_g1272z00_2469;

								BgL_g1272z00_2469 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nz00_2366)))->BgL_argsz00);
								{
									obj_t BgL_l1270z00_2471;

									BgL_l1270z00_2471 = BgL_g1272z00_2469;
								BgL_zc3z04anonymousza31368ze3z87_2470:
									if (NULLP(BgL_l1270z00_2471))
										{	/* Sync/failsafe.scm 97 */
											BgL_tmpz00_2830 = ((bool_t) 1);
										}
									else
										{	/* Sync/failsafe.scm 97 */
											obj_t BgL_nvz00_2472;

											{	/* Sync/failsafe.scm 97 */
												obj_t BgL_nz00_2473;

												BgL_nz00_2473 = CAR(((obj_t) BgL_l1270z00_2471));
												BgL_nvz00_2472 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_nz00_2473), BgL_stkz00_2367);
											}
											if (CBOOL(BgL_nvz00_2472))
												{	/* Sync/failsafe.scm 97 */
													obj_t BgL_arg1372z00_2474;

													BgL_arg1372z00_2474 =
														CDR(((obj_t) BgL_l1270z00_2471));
													{
														obj_t BgL_l1270z00_2851;

														BgL_l1270z00_2851 = BgL_arg1372z00_2474;
														BgL_l1270z00_2471 = BgL_l1270z00_2851;
														goto BgL_zc3z04anonymousza31368ze3z87_2470;
													}
												}
											else
												{	/* Sync/failsafe.scm 97 */
													BgL_tmpz00_2830 = ((bool_t) 0);
												}
										}
								}
							}
						else
							{	/* Sync/failsafe.scm 96 */
								BgL_tmpz00_2830 = ((bool_t) 0);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2830);
			}
		}

	}



/* &failsafe?-sync1297 */
	obj_t BGl_z62failsafezf3zd2sync1297z43zzsync_failsafez00(obj_t
		BgL_envz00_2368, obj_t BgL_nz00_2369, obj_t BgL_stkz00_2370)
	{
		{	/* Sync/failsafe.scm 84 */
			{	/* Sync/failsafe.scm 86 */
				obj_t BgL__andtest_1114z00_2476;

				BgL__andtest_1114z00_2476 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_2369)))->BgL_mutexz00),
					BgL_stkz00_2370);
				if (CBOOL(BgL__andtest_1114z00_2476))
					{	/* Sync/failsafe.scm 87 */
						obj_t BgL__andtest_1115z00_2477;

						BgL__andtest_1115z00_2477 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nz00_2369)))->BgL_prelockz00),
							BgL_stkz00_2370);
						if (CBOOL(BgL__andtest_1115z00_2477))
							{	/* Sync/failsafe.scm 87 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nz00_2369)))->BgL_bodyz00),
									BgL_stkz00_2370);
							}
						else
							{	/* Sync/failsafe.scm 87 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 86 */
						return BFALSE;
					}
			}
		}

	}



/* &failsafe?-sequence1295 */
	obj_t BGl_z62failsafezf3zd2sequence1295z43zzsync_failsafez00(obj_t
		BgL_envz00_2371, obj_t BgL_nz00_2372, obj_t BgL_stkz00_2373)
	{
		{	/* Sync/failsafe.scm 77 */
			{	/* Sync/failsafe.scm 78 */
				bool_t BgL_tmpz00_2866;

				{	/* Sync/failsafe.scm 79 */
					obj_t BgL_g1268z00_2479;

					BgL_g1268z00_2479 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nz00_2372)))->BgL_nodesz00);
					{
						obj_t BgL_l1266z00_2481;

						BgL_l1266z00_2481 = BgL_g1268z00_2479;
					BgL_zc3z04anonymousza31359ze3z87_2480:
						if (NULLP(BgL_l1266z00_2481))
							{	/* Sync/failsafe.scm 79 */
								BgL_tmpz00_2866 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 79 */
								obj_t BgL_nvz00_2482;

								{	/* Sync/failsafe.scm 79 */
									obj_t BgL_nz00_2483;

									BgL_nz00_2483 = CAR(((obj_t) BgL_l1266z00_2481));
									BgL_nvz00_2482 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2483), BgL_stkz00_2373);
								}
								if (CBOOL(BgL_nvz00_2482))
									{	/* Sync/failsafe.scm 79 */
										obj_t BgL_arg1361z00_2484;

										BgL_arg1361z00_2484 = CDR(((obj_t) BgL_l1266z00_2481));
										{
											obj_t BgL_l1266z00_2879;

											BgL_l1266z00_2879 = BgL_arg1361z00_2484;
											BgL_l1266z00_2481 = BgL_l1266z00_2879;
											goto BgL_zc3z04anonymousza31359ze3z87_2480;
										}
									}
								else
									{	/* Sync/failsafe.scm 79 */
										BgL_tmpz00_2866 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2866);
			}
		}

	}



/* &failsafe?-kwote1293 */
	obj_t BGl_z62failsafezf3zd2kwote1293z43zzsync_failsafez00(obj_t
		BgL_envz00_2374, obj_t BgL_nz00_2375, obj_t BgL_stkz00_2376)
	{
		{	/* Sync/failsafe.scm 71 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &failsafe?-var1291 */
	obj_t BGl_z62failsafezf3zd2var1291z43zzsync_failsafez00(obj_t BgL_envz00_2377,
		obj_t BgL_nz00_2378, obj_t BgL_stkz00_2379)
	{
		{	/* Sync/failsafe.scm 65 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &failsafe?-atom1289 */
	obj_t BGl_z62failsafezf3zd2atom1289z43zzsync_failsafez00(obj_t
		BgL_envz00_2380, obj_t BgL_nz00_2381, obj_t BgL_stkz00_2382)
	{
		{	/* Sync/failsafe.scm 59 */
			return BBOOL(((bool_t) 1));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string1794z00zzsync_failsafez00));
		}

	}

#ifdef __cplusplus
}
#endif
