/*===========================================================================*/
/*   (Sync/node.scm)                                                         */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Sync/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_mpopz00zzsync_nodez00 = BUNSPEC;
	extern obj_t BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt);
	extern obj_t BGl_za2synczd2profilingza2zd2zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsync_nodez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzsync_nodez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_failsafezd2mutexzd2profilez00zzsync_nodez00 = BUNSPEC;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzsync_nodez00(void);
	static obj_t BGl_objectzd2initzd2zzsync_nodez00(void);
	static obj_t BGl_initzd2syncz12zc0zzsync_nodez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static obj_t BGl_getexitdtopz00zzsync_nodez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_mlockz00zzsync_nodez00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzsync_nodez00(void);
	static obj_t BGl_exitdzd2mutexzd2profilez00zzsync_nodez00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62synczd2ze3sequencez53zzsync_nodez00(obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_mlockprelockz00zzsync_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsync_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsync_failsafez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_mpushz00zzsync_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2ze3sequencez31zzsync_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_mulockz00zzsync_nodez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzsync_nodez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsync_nodez00(void);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsync_nodez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsync_nodez00(void);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	static obj_t __cnst[16];


	   
		 
		DEFINE_STRING(BGl_string1879z00zzsync_nodez00,
		BgL_bgl_string1879za700za7za7s1883za7, "sync_node", 9);
	      DEFINE_STRING(BGl_string1880z00zzsync_nodez00,
		BgL_bgl_string1880za700za7za7s1884za7,
		"top tmp value (@ exitd-pop-protect! __bexit) (@ exitd-push-protect! __bexit) $exitd-pop-protect! $exitd-push-protect! $failsafe-mutex-profile $exitd-mutex-profile c-saw c $mutex-unlock $mutex-lock-prelock $mutex-lock app $get-exitd-top ",
		236);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2ze3sequencezd2envze3zzsync_nodez00,
		BgL_bgl_za762syncza7d2za7e3seq1885za7,
		BGl_z62synczd2ze3sequencez53zzsync_nodez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_mpopz00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_failsafezd2mutexzd2profilez00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_getexitdtopz00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_mlockz00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_exitdzd2mutexzd2profilez00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_mlockprelockz00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_mpushz00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_mulockz00zzsync_nodez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsync_nodez00(long
		BgL_checksumz00_2299, char *BgL_fromz00_2300)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsync_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzsync_nodez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsync_nodez00();
					BGl_libraryzd2moduleszd2initz00zzsync_nodez00();
					BGl_cnstzd2initzd2zzsync_nodez00();
					BGl_importedzd2moduleszd2initz00zzsync_nodez00();
					return BGl_toplevelzd2initzd2zzsync_nodez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "sync_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"sync_node");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "sync_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			{	/* Sync/node.scm 18 */
				obj_t BgL_cportz00_2288;

				{	/* Sync/node.scm 18 */
					obj_t BgL_stringz00_2295;

					BgL_stringz00_2295 = BGl_string1880z00zzsync_nodez00;
					{	/* Sync/node.scm 18 */
						obj_t BgL_startz00_2296;

						BgL_startz00_2296 = BINT(((long) 0));
						{	/* Sync/node.scm 18 */
							obj_t BgL_endz00_2297;

							BgL_endz00_2297 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2295)));
							{	/* Sync/node.scm 18 */

								BgL_cportz00_2288 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2295, BgL_startz00_2296, BgL_endz00_2297);
				}}}}
				{
					long BgL_iz00_2289;

					BgL_iz00_2289 = ((long) 15);
				BgL_loopz00_2290:
					if ((BgL_iz00_2289 == ((long) -1)))
						{	/* Sync/node.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Sync/node.scm 18 */
							{	/* Sync/node.scm 18 */
								obj_t BgL_arg1882z00_2291;

								{	/* Sync/node.scm 18 */

									{	/* Sync/node.scm 18 */
										obj_t BgL_locationz00_2293;

										BgL_locationz00_2293 = BBOOL(((bool_t) 0));
										{	/* Sync/node.scm 18 */

											BgL_arg1882z00_2291 =
												BGl_readz00zz__readerz00(BgL_cportz00_2288,
												BgL_locationz00_2293);
										}
									}
								}
								{	/* Sync/node.scm 18 */
									int BgL_tmpz00_2328;

									BgL_tmpz00_2328 = (int) (BgL_iz00_2289);
									CNST_TABLE_SET(BgL_tmpz00_2328, BgL_arg1882z00_2291);
							}}
							{	/* Sync/node.scm 18 */
								int BgL_auxz00_2294;

								BgL_auxz00_2294 = (int) ((BgL_iz00_2289 - ((long) 1)));
								{
									long BgL_iz00_2333;

									BgL_iz00_2333 = (long) (BgL_auxz00_2294);
									BgL_iz00_2289 = BgL_iz00_2333;
									goto BgL_loopz00_2290;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			BGl_mlockz00zzsync_nodez00 = BFALSE;
			BGl_mlockprelockz00zzsync_nodez00 = BFALSE;
			BGl_mulockz00zzsync_nodez00 = BFALSE;
			BGl_mpushz00zzsync_nodez00 = BFALSE;
			BGl_mpopz00zzsync_nodez00 = BFALSE;
			BGl_getexitdtopz00zzsync_nodez00 = BFALSE;
			BGl_exitdzd2mutexzd2profilez00zzsync_nodez00 = BFALSE;
			return (BGl_failsafezd2mutexzd2profilez00zzsync_nodez00 =
				BFALSE, BUNSPEC);
		}

	}



/* init-sync! */
	obj_t BGl_initzd2syncz12zc0zzsync_nodez00(obj_t BgL_locz00_17)
	{
		{	/* Sync/node.scm 61 */
			if (CBOOL(BGl_mlockz00zzsync_nodez00))
				{	/* Sync/node.scm 62 */
					return BFALSE;
				}
			else
				{	/* Sync/node.scm 62 */
					BGl_getexitdtopz00zzsync_nodez00 =
						((obj_t)
						BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 0)), BNIL,
							BgL_locz00_17, CNST_TABLE_REF(((long) 1))));
					BGl_mlockz00zzsync_nodez00 =
						((obj_t) BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
									2)), BNIL, BgL_locz00_17, CNST_TABLE_REF(((long) 1))));
					BGl_mlockprelockz00zzsync_nodez00 =
						((obj_t) BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
									3)), BNIL, BgL_locz00_17, CNST_TABLE_REF(((long) 1))));
					BGl_mulockz00zzsync_nodez00 =
						((obj_t) BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
									4)), BNIL, BgL_locz00_17, CNST_TABLE_REF(((long) 1))));
					{	/* Sync/node.scm 67 */
						obj_t BgL_casezd2valuezd2_1726;

						{	/* Sync/node.scm 67 */
							obj_t BgL_arg1359z00_1732;

							BgL_arg1359z00_1732 = BGl_thezd2backendzd2zzbackend_backendz00();
							BgL_casezd2valuezd2_1726 =
								(((BgL_backendz00_bglt) COBJECT(
										((BgL_backendz00_bglt) BgL_arg1359z00_1732)))->
								BgL_languagez00);
						}
						{	/* Sync/node.scm 67 */
							bool_t BgL_test1889z00_2357;

							{	/* Sync/node.scm 67 */
								bool_t BgL__ortest_1112z00_1731;

								BgL__ortest_1112z00_1731 =
									(BgL_casezd2valuezd2_1726 == CNST_TABLE_REF(((long) 5)));
								if (BgL__ortest_1112z00_1731)
									{	/* Sync/node.scm 67 */
										BgL_test1889z00_2357 = BgL__ortest_1112z00_1731;
									}
								else
									{	/* Sync/node.scm 67 */
										BgL_test1889z00_2357 =
											(BgL_casezd2valuezd2_1726 == CNST_TABLE_REF(((long) 6)));
							}}
							if (BgL_test1889z00_2357)
								{	/* Sync/node.scm 67 */
									if (CBOOL(BGl_za2synczd2profilingza2zd2zzengine_paramz00))
										{	/* Sync/node.scm 69 */
											BGl_exitdzd2mutexzd2profilez00zzsync_nodez00 =
												((obj_t)
												BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF((
															(long) 7)), BNIL, BgL_locz00_17,
													CNST_TABLE_REF(((long) 1))));
											BGl_failsafezd2mutexzd2profilez00zzsync_nodez00 =
												((obj_t)
												BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF((
															(long) 8)), BNIL, BgL_locz00_17,
													CNST_TABLE_REF(((long) 1))));
											{	/* Sync/node.scm 74 */
												BgL_variablez00_bglt BgL_arg1356z00_1729;

												{	/* Sync/node.scm 74 */
													BgL_varz00_bglt BgL_oz00_2132;

													BgL_oz00_2132 =
														((BgL_varz00_bglt)
														BGl_exitdzd2mutexzd2profilez00zzsync_nodez00);
													BgL_arg1356z00_1729 =
														(((BgL_varz00_bglt) COBJECT(BgL_oz00_2132))->
														BgL_variablez00);
												}
												BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
													(BgL_arg1356z00_1729);
											}
											{	/* Sync/node.scm 75 */
												BgL_variablez00_bglt BgL_arg1358z00_1730;

												{	/* Sync/node.scm 75 */
													BgL_varz00_bglt BgL_oz00_2133;

													BgL_oz00_2133 =
														((BgL_varz00_bglt)
														BGl_failsafezd2mutexzd2profilez00zzsync_nodez00);
													BgL_arg1358z00_1730 =
														(((BgL_varz00_bglt) COBJECT(BgL_oz00_2133))->
														BgL_variablez00);
												}
												BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
													(BgL_arg1358z00_1730);
										}}
									else
										{	/* Sync/node.scm 69 */
											BFALSE;
										}
									BGl_mpushz00zzsync_nodez00 =
										((obj_t)
										BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
													9)), BNIL, BgL_locz00_17,
											CNST_TABLE_REF(((long) 1))));
									BGl_mpopz00zzsync_nodez00 =
										((obj_t)
										BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
													10)), BNIL, BgL_locz00_17,
											CNST_TABLE_REF(((long) 1))));
								}
							else
								{	/* Sync/node.scm 67 */
									BGl_mpushz00zzsync_nodez00 =
										((obj_t)
										BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
													11)), BNIL, BgL_locz00_17,
											CNST_TABLE_REF(((long) 1))));
									BGl_mpopz00zzsync_nodez00 =
										((obj_t)
										BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
													12)), BNIL, BgL_locz00_17,
											CNST_TABLE_REF(((long) 1))));
					}}}
					{	/* Sync/node.scm 81 */
						BgL_variablez00_bglt BgL_arg1361z00_1733;

						{	/* Sync/node.scm 81 */
							BgL_varz00_bglt BgL_oz00_2134;

							BgL_oz00_2134 =
								((BgL_varz00_bglt) BGl_getexitdtopz00zzsync_nodez00);
							BgL_arg1361z00_1733 =
								(((BgL_varz00_bglt) COBJECT(BgL_oz00_2134))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg1361z00_1733);
					}
					{	/* Sync/node.scm 82 */
						BgL_variablez00_bglt BgL_arg1362z00_1734;

						{	/* Sync/node.scm 82 */
							BgL_varz00_bglt BgL_oz00_2135;

							BgL_oz00_2135 = ((BgL_varz00_bglt) BGl_mlockz00zzsync_nodez00);
							BgL_arg1362z00_1734 =
								(((BgL_varz00_bglt) COBJECT(BgL_oz00_2135))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg1362z00_1734);
					}
					{	/* Sync/node.scm 83 */
						BgL_variablez00_bglt BgL_arg1364z00_1735;

						{	/* Sync/node.scm 83 */
							BgL_varz00_bglt BgL_oz00_2136;

							BgL_oz00_2136 =
								((BgL_varz00_bglt) BGl_mlockprelockz00zzsync_nodez00);
							BgL_arg1364z00_1735 =
								(((BgL_varz00_bglt) COBJECT(BgL_oz00_2136))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg1364z00_1735);
					}
					{	/* Sync/node.scm 84 */
						BgL_variablez00_bglt BgL_arg1365z00_1736;

						{	/* Sync/node.scm 84 */
							BgL_varz00_bglt BgL_oz00_2137;

							BgL_oz00_2137 = ((BgL_varz00_bglt) BGl_mulockz00zzsync_nodez00);
							BgL_arg1365z00_1736 =
								(((BgL_varz00_bglt) COBJECT(BgL_oz00_2137))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg1365z00_1736);
					}
					{	/* Sync/node.scm 85 */
						BgL_variablez00_bglt BgL_arg1366z00_1737;

						{	/* Sync/node.scm 85 */
							BgL_varz00_bglt BgL_oz00_2138;

							BgL_oz00_2138 = ((BgL_varz00_bglt) BGl_mpushz00zzsync_nodez00);
							BgL_arg1366z00_1737 =
								(((BgL_varz00_bglt) COBJECT(BgL_oz00_2138))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg1366z00_1737);
					}
					{	/* Sync/node.scm 86 */
						BgL_variablez00_bglt BgL_arg1372z00_1738;

						{	/* Sync/node.scm 86 */
							BgL_varz00_bglt BgL_oz00_2139;

							BgL_oz00_2139 = ((BgL_varz00_bglt) BGl_mpopz00zzsync_nodez00);
							BgL_arg1372z00_1738 =
								(((BgL_varz00_bglt) COBJECT(BgL_oz00_2139))->BgL_variablez00);
						}
						return
							BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg1372z00_1738);
					}
				}
		}

	}



/* sync->sequence */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2ze3sequencez31zzsync_nodez00(BgL_syncz00_bglt BgL_nodez00_18)
	{
		{	/* Sync/node.scm 111 */
			{
				BgL_syncz00_bglt BgL_nodez00_1814;
				BgL_syncz00_bglt BgL_nodez00_1768;
				BgL_letzd2varzd2_bglt BgL_nodez00_1759;
				obj_t BgL_locz00_1760;
				BgL_letzd2varzd2_bglt BgL_nodez00_1750;
				obj_t BgL_locz00_1751;

				{	/* Sync/node.scm 191 */
					obj_t BgL_arg1375z00_1745;

					BgL_arg1375z00_1745 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_nodez00_18)))->BgL_locz00);
					BGl_initzd2syncz12zc0zzsync_nodez00(BgL_arg1375z00_1745);
				}
				if (CBOOL(BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_nodez00_18)))
					{
						BgL_sequencez00_bglt BgL_auxz00_2419;

						BgL_nodez00_1768 = BgL_nodez00_18;
						{	/* Sync/node.scm 130 */
							BgL_localz00_bglt BgL_tmpz00_1771;

							{	/* Sync/node.scm 130 */
								obj_t BgL_arg1580z00_1812;
								BgL_typez00_bglt BgL_arg1581z00_1813;

								BgL_arg1580z00_1812 =
									BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											14)));
								BgL_arg1581z00_1813 =
									(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_nodez00_1768)))->BgL_typez00);
								BgL_tmpz00_1771 =
									BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1580z00_1812,
									BgL_arg1581z00_1813);
							}
							{	/* Sync/node.scm 130 */
								BgL_nodez00_bglt BgL_lockz00_1772;

								{	/* Sync/node.scm 131 */
									bool_t BgL_test1893z00_2425;

									{	/* Sync/node.scm 131 */
										BgL_nodez00_bglt BgL_arg1572z00_1811;

										BgL_arg1572z00_1811 =
											(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1768))->
											BgL_prelockz00);
										{	/* Sync/node.scm 131 */
											obj_t BgL_classz00_2144;

											BgL_classz00_2144 = BGl_atomz00zzast_nodez00;
											{	/* Sync/node.scm 131 */
												BgL_objectz00_bglt BgL_arg1820z00_2146;

												{	/* Sync/node.scm 131 */
													obj_t BgL_tmpz00_2427;

													BgL_tmpz00_2427 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1572z00_1811));
													BgL_arg1820z00_2146 =
														(BgL_objectz00_bglt) (BgL_tmpz00_2427);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Sync/node.scm 131 */
														long BgL_idxz00_2152;

														BgL_idxz00_2152 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2146);
														BgL_test1893z00_2425 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2152 + ((long) 2))) ==
															BgL_classz00_2144);
													}
												else
													{	/* Sync/node.scm 131 */
														bool_t BgL_res1871z00_2174;

														{	/* Sync/node.scm 131 */
															obj_t BgL_oclassz00_2160;

															{	/* Sync/node.scm 131 */
																long BgL_arg1828z00_2166;

																{	/* Sync/node.scm 131 */
																	long BgL_arg1829z00_2167;

																	BgL_arg1829z00_2167 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2146);
																	BgL_arg1828z00_2166 =
																		(BgL_arg1829z00_2167 - OBJECT_TYPE);
																}
																BgL_oclassz00_2160 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_2166);
															}
															{	/* Sync/node.scm 131 */
																bool_t BgL__ortest_1111z00_2161;

																BgL__ortest_1111z00_2161 =
																	(BgL_classz00_2144 == BgL_oclassz00_2160);
																if (BgL__ortest_1111z00_2161)
																	{	/* Sync/node.scm 131 */
																		BgL_res1871z00_2174 =
																			BgL__ortest_1111z00_2161;
																	}
																else
																	{	/* Sync/node.scm 131 */
																		long BgL_odepthz00_2162;

																		BgL_odepthz00_2162 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2160);
																		if ((((long) 2) < BgL_odepthz00_2162))
																			{	/* Sync/node.scm 131 */
																				obj_t BgL_arg1816z00_2164;

																				BgL_arg1816z00_2164 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2160, ((long) 2));
																				BgL_res1871z00_2174 =
																					(BgL_arg1816z00_2164 ==
																					BgL_classz00_2144);
																			}
																		else
																			{	/* Sync/node.scm 131 */
																				BgL_res1871z00_2174 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1893z00_2425 = BgL_res1871z00_2174;
													}
											}
										}
									}
									if (BgL_test1893z00_2425)
										{	/* Sync/node.scm 132 */
											obj_t BgL_arg1526z00_1801;
											obj_t BgL_arg1529z00_1802;

											{	/* Sync/node.scm 132 */
												obj_t BgL_arg1532z00_1803;

												{	/* Sync/node.scm 132 */
													BgL_nodez00_bglt BgL_arg1535z00_1804;

													BgL_arg1535z00_1804 =
														(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1768))->
														BgL_mutexz00);
													BgL_arg1532z00_1803 =
														MAKE_YOUNG_PAIR(((obj_t) BgL_arg1535z00_1804),
														BNIL);
												}
												BgL_arg1526z00_1801 =
													MAKE_YOUNG_PAIR(BGl_mlockz00zzsync_nodez00,
													BgL_arg1532z00_1803);
											}
											BgL_arg1529z00_1802 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_nodez00_1768)))->
												BgL_locz00);
											BgL_lockz00_1772 =
												BGl_applicationzd2ze3nodez31zzast_appz00
												(BgL_arg1526z00_1801, BNIL, BgL_arg1529z00_1802,
												CNST_TABLE_REF(((long) 13)));
										}
									else
										{	/* Sync/node.scm 133 */
											obj_t BgL_arg1558z00_1805;
											obj_t BgL_arg1559z00_1806;

											{	/* Sync/node.scm 133 */
												obj_t BgL_arg1561z00_1807;

												{	/* Sync/node.scm 133 */
													BgL_nodez00_bglt BgL_arg1565z00_1808;
													obj_t BgL_arg1567z00_1809;

													BgL_arg1565z00_1808 =
														(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1768))->
														BgL_mutexz00);
													{	/* Sync/node.scm 133 */
														BgL_nodez00_bglt BgL_arg1570z00_1810;

														BgL_arg1570z00_1810 =
															(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1768))->
															BgL_prelockz00);
														BgL_arg1567z00_1809 =
															MAKE_YOUNG_PAIR(((obj_t) BgL_arg1570z00_1810),
															BNIL);
													}
													BgL_arg1561z00_1807 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg1565z00_1808), BgL_arg1567z00_1809);
												}
												BgL_arg1558z00_1805 =
													MAKE_YOUNG_PAIR(BGl_mlockprelockz00zzsync_nodez00,
													BgL_arg1561z00_1807);
											}
											BgL_arg1559z00_1806 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_nodez00_1768)))->
												BgL_locz00);
											BgL_lockz00_1772 =
												BGl_applicationzd2ze3nodez31zzast_appz00
												(BgL_arg1558z00_1805, BNIL, BgL_arg1559z00_1806,
												CNST_TABLE_REF(((long) 13)));
								}}
								{	/* Sync/node.scm 131 */
									BgL_nodez00_bglt BgL_unlockz00_1773;

									{	/* Sync/node.scm 134 */
										obj_t BgL_arg1511z00_1795;
										obj_t BgL_arg1521z00_1796;

										{	/* Sync/node.scm 134 */
											obj_t BgL_arg1522z00_1797;

											{	/* Sync/node.scm 134 */
												BgL_nodez00_bglt BgL_arg1523z00_1798;

												BgL_arg1523z00_1798 =
													(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1768))->
													BgL_mutexz00);
												BgL_arg1522z00_1797 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1523z00_1798), BNIL);
											}
											BgL_arg1511z00_1795 =
												MAKE_YOUNG_PAIR(BGl_mulockz00zzsync_nodez00,
												BgL_arg1522z00_1797);
										}
										BgL_arg1521z00_1796 =
											(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_nodez00_1768)))->BgL_locz00);
										BgL_unlockz00_1773 =
											BGl_applicationzd2ze3nodez31zzast_appz00
											(BgL_arg1511z00_1795, BNIL, BgL_arg1521z00_1796,
											CNST_TABLE_REF(((long) 13)));
									}
									{	/* Sync/node.scm 134 */
										BgL_refz00_bglt BgL_vrefz00_1774;

										{	/* Sync/node.scm 135 */
											BgL_refz00_bglt BgL_new1116z00_1792;

											{	/* Sync/node.scm 136 */
												BgL_refz00_bglt BgL_new1114z00_1793;

												BgL_new1114z00_1793 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Sync/node.scm 136 */
													long BgL_arg1510z00_1794;

													BgL_arg1510z00_1794 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1114z00_1793),
														BgL_arg1510z00_1794);
												}
												{	/* Sync/node.scm 136 */
													BgL_objectz00_bglt BgL_tmpz00_2478;

													BgL_tmpz00_2478 =
														((BgL_objectz00_bglt) BgL_new1114z00_1793);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2478, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1114z00_1793);
												BgL_new1116z00_1792 = BgL_new1114z00_1793;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1116z00_1792)))->
													BgL_locz00) =
												((obj_t) (((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) BgL_nodez00_1768)))->
														BgL_locz00)), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1116z00_1792)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) BgL_nodez00_1768)))->
														BgL_typez00)), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1116z00_1792)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_tmpz00_1771)), BUNSPEC);
											BgL_vrefz00_1774 = BgL_new1116z00_1792;
										}
										{	/* Sync/node.scm 135 */
											BgL_letzd2varzd2_bglt BgL_lbodyz00_1775;

											{	/* Sync/node.scm 139 */
												BgL_letzd2varzd2_bglt BgL_new1118z00_1781;

												{	/* Sync/node.scm 140 */
													BgL_letzd2varzd2_bglt BgL_new1117z00_1790;

													BgL_new1117z00_1790 =
														((BgL_letzd2varzd2_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_letzd2varzd2_bgl))));
													{	/* Sync/node.scm 140 */
														long BgL_arg1506z00_1791;

														BgL_arg1506z00_1791 =
															BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1117z00_1790),
															BgL_arg1506z00_1791);
													}
													{	/* Sync/node.scm 140 */
														BgL_objectz00_bglt BgL_tmpz00_2497;

														BgL_tmpz00_2497 =
															((BgL_objectz00_bglt) BgL_new1117z00_1790);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2497, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1117z00_1790);
													BgL_new1118z00_1781 = BgL_new1117z00_1790;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1118z00_1781)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt)
																		BgL_nodez00_1768)))->BgL_locz00)), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1118z00_1781)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt)
																		BgL_nodez00_1768)))->BgL_typez00)),
													BUNSPEC);
												((((BgL_nodezf2effectzf2_bglt)
															COBJECT(((BgL_nodezf2effectzf2_bglt)
																	BgL_new1118z00_1781)))->
														BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
												((((BgL_nodezf2effectzf2_bglt)
															COBJECT(((BgL_nodezf2effectzf2_bglt)
																	BgL_new1118z00_1781)))->BgL_keyz00) =
													((obj_t) BINT(((long) -1))), BUNSPEC);
												{
													obj_t BgL_auxz00_2514;

													{	/* Sync/node.scm 142 */
														obj_t BgL_arg1467z00_1782;

														{	/* Sync/node.scm 142 */
															BgL_nodez00_bglt BgL_arg1482z00_1784;

															BgL_arg1482z00_1784 =
																(((BgL_syncz00_bglt)
																	COBJECT(BgL_nodez00_1768))->BgL_bodyz00);
															BgL_arg1467z00_1782 =
																MAKE_YOUNG_PAIR(((obj_t) BgL_tmpz00_1771),
																((obj_t) BgL_arg1482z00_1784));
														}
														{	/* Sync/node.scm 142 */
															obj_t BgL_list1468z00_1783;

															BgL_list1468z00_1783 =
																MAKE_YOUNG_PAIR(BgL_arg1467z00_1782, BNIL);
															BgL_auxz00_2514 = BgL_list1468z00_1783;
													}}
													((((BgL_letzd2varzd2_bglt)
																COBJECT(BgL_new1118z00_1781))->
															BgL_bindingsz00) =
														((obj_t) BgL_auxz00_2514), BUNSPEC);
												}
												{
													BgL_nodez00_bglt BgL_auxz00_2521;

													{	/* Sync/node.scm 143 */
														BgL_sequencez00_bglt BgL_new1120z00_1785;

														{	/* Sync/node.scm 144 */
															BgL_sequencez00_bglt BgL_new1119z00_1788;

															BgL_new1119z00_1788 =
																((BgL_sequencez00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_sequencez00_bgl))));
															{	/* Sync/node.scm 144 */
																long BgL_arg1496z00_1789;

																{	/* Sync/node.scm 144 */
																	obj_t BgL_classz00_2184;

																	BgL_classz00_2184 =
																		BGl_sequencez00zzast_nodez00;
																	BgL_arg1496z00_1789 =
																		BGL_CLASS_NUM(BgL_classz00_2184);
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1119z00_1788),
																	BgL_arg1496z00_1789);
															}
															{	/* Sync/node.scm 144 */
																BgL_objectz00_bglt BgL_tmpz00_2526;

																BgL_tmpz00_2526 =
																	((BgL_objectz00_bglt) BgL_new1119z00_1788);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2526,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1119z00_1788);
															BgL_new1120z00_1785 = BgL_new1119z00_1788;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1120z00_1785)))->
																BgL_locz00) =
															((obj_t) (((BgL_nodez00_bglt)
																		COBJECT(((BgL_nodez00_bglt)
																				BgL_nodez00_1768)))->BgL_locz00)),
															BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1120z00_1785)))->BgL_typez00) =
															((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																		COBJECT(((BgL_nodez00_bglt)
																				BgL_nodez00_1768)))->BgL_typez00)),
															BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	COBJECT(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1120z00_1785)))->
																BgL_sidezd2effectzd2) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	COBJECT(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1120z00_1785)))->BgL_keyz00) =
															((obj_t) BINT(((long) -1))), BUNSPEC);
														{
															obj_t BgL_auxz00_2543;

															{	/* Sync/node.scm 146 */
																obj_t BgL_list1483z00_1786;

																{	/* Sync/node.scm 146 */
																	obj_t BgL_arg1484z00_1787;

																	BgL_arg1484z00_1787 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_vrefz00_1774), BNIL);
																	BgL_list1483z00_1786 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_unlockz00_1773),
																		BgL_arg1484z00_1787);
																}
																BgL_auxz00_2543 = BgL_list1483z00_1786;
															}
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1120z00_1785))->
																	BgL_nodesz00) =
																((obj_t) BgL_auxz00_2543), BUNSPEC);
														}
														((((BgL_sequencez00_bglt)
																	COBJECT(BgL_new1120z00_1785))->
																BgL_unsafez00) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
														((((BgL_sequencez00_bglt)
																	COBJECT(BgL_new1120z00_1785))->BgL_metaz00) =
															((obj_t) BNIL), BUNSPEC);
														BgL_auxz00_2521 =
															((BgL_nodez00_bglt) BgL_new1120z00_1785);
													}
													((((BgL_letzd2varzd2_bglt)
																COBJECT(BgL_new1118z00_1781))->BgL_bodyz00) =
														((BgL_nodez00_bglt) BgL_auxz00_2521), BUNSPEC);
												}
												((((BgL_letzd2varzd2_bglt)
															COBJECT(BgL_new1118z00_1781))->
														BgL_removablezf3zf3) =
													((bool_t) ((bool_t) 1)), BUNSPEC);
												BgL_lbodyz00_1775 = BgL_new1118z00_1781;
											}
											{	/* Sync/node.scm 139 */

												{	/* Sync/node.scm 147 */
													BgL_sequencez00_bglt BgL_new1123z00_1776;

													{	/* Sync/node.scm 148 */
														BgL_sequencez00_bglt BgL_new1122z00_1779;

														BgL_new1122z00_1779 =
															((BgL_sequencez00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_sequencez00_bgl))));
														{	/* Sync/node.scm 148 */
															long BgL_arg1458z00_1780;

															BgL_arg1458z00_1780 =
																BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1122z00_1779),
																BgL_arg1458z00_1780);
														}
														{	/* Sync/node.scm 148 */
															BgL_objectz00_bglt BgL_tmpz00_2558;

															BgL_tmpz00_2558 =
																((BgL_objectz00_bglt) BgL_new1122z00_1779);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2558, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1122z00_1779);
														BgL_new1123z00_1776 = BgL_new1122z00_1779;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1123z00_1776)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(((BgL_nodez00_bglt)
																			BgL_nodez00_1768)))->BgL_locz00)),
														BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1123z00_1776)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(((BgL_nodez00_bglt)
																			BgL_nodez00_1768)))->BgL_typez00)),
														BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1123z00_1776)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1123z00_1776)))->BgL_keyz00) =
														((obj_t) BINT(((long) -1))), BUNSPEC);
													{
														obj_t BgL_auxz00_2575;

														{	/* Sync/node.scm 150 */
															obj_t BgL_arg1426z00_1777;

															{	/* Sync/node.scm 150 */
																obj_t BgL_arg1429z00_1778;

																BgL_arg1429z00_1778 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt) BgL_nodez00_1768)))->
																	BgL_locz00);
																BgL_nodez00_1759 = BgL_lbodyz00_1775;
																BgL_locz00_1760 = BgL_arg1429z00_1778;
																if (CBOOL
																	(BGl_failsafezd2mutexzd2profilez00zzsync_nodez00))
																	{	/* Sync/node.scm 123 */
																		BgL_nodez00_bglt BgL_arg1400z00_1763;

																		{	/* Sync/node.scm 123 */
																			obj_t BgL_arg1422z00_1766;

																			BgL_arg1422z00_1766 =
																				MAKE_YOUNG_PAIR
																				(BGl_failsafezd2mutexzd2profilez00zzsync_nodez00,
																				BNIL);
																			BgL_arg1400z00_1763 =
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_arg1422z00_1766, BNIL,
																				BgL_locz00_1760,
																				CNST_TABLE_REF(((long) 13)));
																		}
																		{	/* Sync/node.scm 123 */
																			obj_t BgL_list1401z00_1764;

																			{	/* Sync/node.scm 123 */
																				obj_t BgL_arg1421z00_1765;

																				BgL_arg1421z00_1765 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_nodez00_1759), BNIL);
																				BgL_list1401z00_1764 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_arg1400z00_1763),
																					BgL_arg1421z00_1765);
																			}
																			BgL_arg1426z00_1777 =
																				BgL_list1401z00_1764;
																	}}
																else
																	{	/* Sync/node.scm 124 */
																		obj_t BgL_list1423z00_1767;

																		BgL_list1423z00_1767 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_nodez00_1759), BNIL);
																		BgL_arg1426z00_1777 = BgL_list1423z00_1767;
																	}
															}
															BgL_auxz00_2575 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_lockz00_1772),
																BgL_arg1426z00_1777);
														}
														((((BgL_sequencez00_bglt)
																	COBJECT(BgL_new1123z00_1776))->BgL_nodesz00) =
															((obj_t) BgL_auxz00_2575), BUNSPEC);
													}
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1123z00_1776))->BgL_unsafez00) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1123z00_1776))->BgL_metaz00) =
														((obj_t) BNIL), BUNSPEC);
													BgL_auxz00_2419 = BgL_new1123z00_1776;
												}
											}
										}
									}
								}
							}
						}
						return ((BgL_nodez00_bglt) BgL_auxz00_2419);
					}
				else
					{
						BgL_letzd2varzd2_bglt BgL_auxz00_2595;

						BgL_nodez00_1814 = BgL_nodez00_18;
						{	/* Sync/node.scm 156 */
							BgL_localz00_bglt BgL_tmpz00_1817;

							{	/* Sync/node.scm 156 */
								obj_t BgL_arg1723z00_1884;
								BgL_typez00_bglt BgL_arg1728z00_1885;

								BgL_arg1723z00_1884 =
									BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											14)));
								BgL_arg1728z00_1885 =
									(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_nodez00_1814)))->BgL_typez00);
								BgL_tmpz00_1817 =
									BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1723z00_1884,
									BgL_arg1728z00_1885);
							}
							{	/* Sync/node.scm 156 */
								BgL_localz00_bglt BgL_topz00_1818;

								{	/* Sync/node.scm 157 */
									obj_t BgL_arg1721z00_1883;

									BgL_arg1721z00_1883 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												15)));
									BgL_topz00_1818 =
										BGl_makezd2localzd2svarz00zzast_localz00
										(BgL_arg1721z00_1883,
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
								}
								{	/* Sync/node.scm 157 */
									BgL_refz00_bglt BgL_toprefz00_1819;

									{	/* Sync/node.scm 158 */
										BgL_refz00_bglt BgL_new1127z00_1880;

										{	/* Sync/node.scm 159 */
											BgL_refz00_bglt BgL_new1125z00_1881;

											BgL_new1125z00_1881 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Sync/node.scm 159 */
												long BgL_arg1720z00_1882;

												BgL_arg1720z00_1882 =
													BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1125z00_1881),
													BgL_arg1720z00_1882);
											}
											{	/* Sync/node.scm 159 */
												BgL_objectz00_bglt BgL_tmpz00_2609;

												BgL_tmpz00_2609 =
													((BgL_objectz00_bglt) BgL_new1125z00_1881);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2609, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1125z00_1881);
											BgL_new1127z00_1880 = BgL_new1125z00_1881;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1127z00_1880)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_nodez00_1814)))->BgL_locz00)), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1127z00_1880)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1127z00_1880)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BgL_topz00_1818)), BUNSPEC);
										BgL_toprefz00_1819 = BgL_new1127z00_1880;
									}
									{	/* Sync/node.scm 158 */
										BgL_nodez00_bglt BgL_gettopz00_1820;

										{	/* Sync/node.scm 162 */
											obj_t BgL_arg1711z00_1878;
											obj_t BgL_arg1712z00_1879;

											BgL_arg1711z00_1878 =
												MAKE_YOUNG_PAIR(BGl_getexitdtopz00zzsync_nodez00, BNIL);
											BgL_arg1712z00_1879 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_nodez00_1814)))->
												BgL_locz00);
											BgL_gettopz00_1820 =
												BGl_applicationzd2ze3nodez31zzast_appz00
												(BgL_arg1711z00_1878, BNIL, BgL_arg1712z00_1879,
												CNST_TABLE_REF(((long) 13)));
										}
										{	/* Sync/node.scm 162 */
											BgL_nodez00_bglt BgL_lockz00_1821;

											{	/* Sync/node.scm 163 */
												bool_t BgL_test1898z00_2628;

												{	/* Sync/node.scm 163 */
													BgL_nodez00_bglt BgL_arg1705z00_1877;

													BgL_arg1705z00_1877 =
														(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1814))->
														BgL_prelockz00);
													{	/* Sync/node.scm 163 */
														obj_t BgL_classz00_2197;

														BgL_classz00_2197 = BGl_atomz00zzast_nodez00;
														{	/* Sync/node.scm 163 */
															BgL_objectz00_bglt BgL_arg1820z00_2199;

															{	/* Sync/node.scm 163 */
																obj_t BgL_tmpz00_2630;

																BgL_tmpz00_2630 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg1705z00_1877));
																BgL_arg1820z00_2199 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_2630);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Sync/node.scm 163 */
																	long BgL_idxz00_2205;

																	BgL_idxz00_2205 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_2199);
																	BgL_test1898z00_2628 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2205 + ((long) 2))) ==
																		BgL_classz00_2197);
																}
															else
																{	/* Sync/node.scm 163 */
																	bool_t BgL_res1874z00_2227;

																	{	/* Sync/node.scm 163 */
																		obj_t BgL_oclassz00_2213;

																		{	/* Sync/node.scm 163 */
																			long BgL_arg1828z00_2219;

																			{	/* Sync/node.scm 163 */
																				long BgL_arg1829z00_2220;

																				BgL_arg1829z00_2220 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_2199);
																				BgL_arg1828z00_2219 =
																					(BgL_arg1829z00_2220 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2213 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_2219);
																		}
																		{	/* Sync/node.scm 163 */
																			bool_t BgL__ortest_1111z00_2214;

																			BgL__ortest_1111z00_2214 =
																				(BgL_classz00_2197 ==
																				BgL_oclassz00_2213);
																			if (BgL__ortest_1111z00_2214)
																				{	/* Sync/node.scm 163 */
																					BgL_res1874z00_2227 =
																						BgL__ortest_1111z00_2214;
																				}
																			else
																				{	/* Sync/node.scm 163 */
																					long BgL_odepthz00_2215;

																					BgL_odepthz00_2215 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2213);
																					if ((((long) 2) < BgL_odepthz00_2215))
																						{	/* Sync/node.scm 163 */
																							obj_t BgL_arg1816z00_2217;

																							BgL_arg1816z00_2217 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2213,
																								((long) 2));
																							BgL_res1874z00_2227 =
																								(BgL_arg1816z00_2217 ==
																								BgL_classz00_2197);
																						}
																					else
																						{	/* Sync/node.scm 163 */
																							BgL_res1874z00_2227 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1898z00_2628 = BgL_res1874z00_2227;
																}
														}
													}
												}
												if (BgL_test1898z00_2628)
													{	/* Sync/node.scm 164 */
														obj_t BgL_arg1674z00_1867;
														obj_t BgL_arg1677z00_1868;

														{	/* Sync/node.scm 164 */
															obj_t BgL_arg1680z00_1869;

															{	/* Sync/node.scm 164 */
																BgL_nodez00_bglt BgL_arg1682z00_1870;

																BgL_arg1682z00_1870 =
																	(((BgL_syncz00_bglt)
																		COBJECT(BgL_nodez00_1814))->BgL_mutexz00);
																BgL_arg1680z00_1869 =
																	MAKE_YOUNG_PAIR(((obj_t) BgL_arg1682z00_1870),
																	BNIL);
															}
															BgL_arg1674z00_1867 =
																MAKE_YOUNG_PAIR(BGl_mlockz00zzsync_nodez00,
																BgL_arg1680z00_1869);
														}
														BgL_arg1677z00_1868 =
															(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_nodez00_1814)))->
															BgL_locz00);
														BgL_lockz00_1821 =
															BGl_applicationzd2ze3nodez31zzast_appz00
															(BgL_arg1674z00_1867, BNIL, BgL_arg1677z00_1868,
															CNST_TABLE_REF(((long) 13)));
													}
												else
													{	/* Sync/node.scm 165 */
														obj_t BgL_arg1683z00_1871;
														obj_t BgL_arg1687z00_1872;

														{	/* Sync/node.scm 165 */
															obj_t BgL_arg1692z00_1873;

															{	/* Sync/node.scm 165 */
																BgL_nodez00_bglt BgL_arg1696z00_1874;
																obj_t BgL_arg1697z00_1875;

																BgL_arg1696z00_1874 =
																	(((BgL_syncz00_bglt)
																		COBJECT(BgL_nodez00_1814))->BgL_mutexz00);
																{	/* Sync/node.scm 165 */
																	BgL_nodez00_bglt BgL_arg1698z00_1876;

																	BgL_arg1698z00_1876 =
																		(((BgL_syncz00_bglt)
																			COBJECT(BgL_nodez00_1814))->
																		BgL_prelockz00);
																	BgL_arg1697z00_1875 =
																		MAKE_YOUNG_PAIR(((obj_t)
																			BgL_arg1698z00_1876), BNIL);
																}
																BgL_arg1692z00_1873 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1696z00_1874),
																	BgL_arg1697z00_1875);
															}
															BgL_arg1683z00_1871 =
																MAKE_YOUNG_PAIR
																(BGl_mlockprelockz00zzsync_nodez00,
																BgL_arg1692z00_1873);
														}
														BgL_arg1687z00_1872 =
															(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_nodez00_1814)))->
															BgL_locz00);
														BgL_lockz00_1821 =
															BGl_applicationzd2ze3nodez31zzast_appz00
															(BgL_arg1683z00_1871, BNIL, BgL_arg1687z00_1872,
															CNST_TABLE_REF(((long) 13)));
											}}
											{	/* Sync/node.scm 163 */
												BgL_nodez00_bglt BgL_pushz00_1822;

												{	/* Sync/node.scm 166 */
													obj_t BgL_arg1652z00_1860;
													obj_t BgL_arg1653z00_1861;

													{	/* Sync/node.scm 166 */
														obj_t BgL_arg1661z00_1862;

														{	/* Sync/node.scm 166 */
															obj_t BgL_arg1662z00_1863;

															{	/* Sync/node.scm 166 */
																BgL_nodez00_bglt BgL_arg1663z00_1864;

																BgL_arg1663z00_1864 =
																	(((BgL_syncz00_bglt)
																		COBJECT(BgL_nodez00_1814))->BgL_mutexz00);
																BgL_arg1662z00_1863 =
																	MAKE_YOUNG_PAIR(((obj_t) BgL_arg1663z00_1864),
																	BNIL);
															}
															BgL_arg1661z00_1862 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_toprefz00_1819),
																BgL_arg1662z00_1863);
														}
														BgL_arg1652z00_1860 =
															MAKE_YOUNG_PAIR(BGl_mpushz00zzsync_nodez00,
															BgL_arg1661z00_1862);
													}
													BgL_arg1653z00_1861 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_nodez00_1814)))->
														BgL_locz00);
													BgL_pushz00_1822 =
														BGl_applicationzd2ze3nodez31zzast_appz00
														(BgL_arg1652z00_1860, BNIL, BgL_arg1653z00_1861,
														CNST_TABLE_REF(((long) 13)));
												}
												{	/* Sync/node.scm 166 */
													BgL_nodez00_bglt BgL_popz00_1823;

													{	/* Sync/node.scm 167 */
														obj_t BgL_arg1646z00_1857;
														obj_t BgL_arg1648z00_1858;

														{	/* Sync/node.scm 167 */
															obj_t BgL_arg1651z00_1859;

															BgL_arg1651z00_1859 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_toprefz00_1819), BNIL);
															BgL_arg1646z00_1857 =
																MAKE_YOUNG_PAIR(BGl_mpopz00zzsync_nodez00,
																BgL_arg1651z00_1859);
														}
														BgL_arg1648z00_1858 =
															(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_nodez00_1814)))->
															BgL_locz00);
														BgL_popz00_1823 =
															BGl_applicationzd2ze3nodez31zzast_appz00
															(BgL_arg1646z00_1857, BNIL, BgL_arg1648z00_1858,
															CNST_TABLE_REF(((long) 13)));
													}
													{	/* Sync/node.scm 167 */
														BgL_nodez00_bglt BgL_unlockz00_1824;

														{	/* Sync/node.scm 168 */
															obj_t BgL_arg1636z00_1853;
															obj_t BgL_arg1639z00_1854;

															{	/* Sync/node.scm 168 */
																obj_t BgL_arg1641z00_1855;

																{	/* Sync/node.scm 168 */
																	BgL_nodez00_bglt BgL_arg1645z00_1856;

																	BgL_arg1645z00_1856 =
																		(((BgL_syncz00_bglt)
																			COBJECT(BgL_nodez00_1814))->BgL_mutexz00);
																	BgL_arg1641z00_1855 =
																		MAKE_YOUNG_PAIR(((obj_t)
																			BgL_arg1645z00_1856), BNIL);
																}
																BgL_arg1636z00_1853 =
																	MAKE_YOUNG_PAIR(BGl_mulockz00zzsync_nodez00,
																	BgL_arg1641z00_1855);
															}
															BgL_arg1639z00_1854 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_nodez00_1814)))->
																BgL_locz00);
															BgL_unlockz00_1824 =
																BGl_applicationzd2ze3nodez31zzast_appz00
																(BgL_arg1636z00_1853, BNIL, BgL_arg1639z00_1854,
																CNST_TABLE_REF(((long) 13)));
														}
														{	/* Sync/node.scm 168 */
															BgL_refz00_bglt BgL_vrefz00_1825;

															{	/* Sync/node.scm 169 */
																BgL_refz00_bglt BgL_new1130z00_1850;

																{	/* Sync/node.scm 170 */
																	BgL_refz00_bglt BgL_new1128z00_1851;

																	BgL_new1128z00_1851 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Sync/node.scm 170 */
																		long BgL_arg1635z00_1852;

																		BgL_arg1635z00_1852 =
																			BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1128z00_1851),
																			BgL_arg1635z00_1852);
																	}
																	{	/* Sync/node.scm 170 */
																		BgL_objectz00_bglt BgL_tmpz00_2698;

																		BgL_tmpz00_2698 =
																			((BgL_objectz00_bglt)
																			BgL_new1128z00_1851);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2698,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1128z00_1851);
																	BgL_new1130z00_1850 = BgL_new1128z00_1851;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1130z00_1850)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_nodez00_1814)))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1130z00_1850)))->BgL_typez00) =
																	((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_nodez00_1814)))->BgL_typez00)),
																	BUNSPEC);
																((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																					BgL_new1130z00_1850)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt) BgL_tmpz00_1817)),
																	BUNSPEC);
																BgL_vrefz00_1825 = BgL_new1130z00_1850;
															}
															{	/* Sync/node.scm 169 */
																BgL_letzd2varzd2_bglt BgL_lbodyz00_1826;

																{	/* Sync/node.scm 173 */
																	BgL_letzd2varzd2_bglt BgL_new1132z00_1838;

																	{	/* Sync/node.scm 174 */
																		BgL_letzd2varzd2_bglt BgL_new1131z00_1848;

																		BgL_new1131z00_1848 =
																			((BgL_letzd2varzd2_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_letzd2varzd2_bgl))));
																		{	/* Sync/node.scm 174 */
																			long BgL_arg1632z00_1849;

																			BgL_arg1632z00_1849 =
																				BGL_CLASS_NUM
																				(BGl_letzd2varzd2zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1131z00_1848),
																				BgL_arg1632z00_1849);
																		}
																		{	/* Sync/node.scm 174 */
																			BgL_objectz00_bglt BgL_tmpz00_2717;

																			BgL_tmpz00_2717 =
																				((BgL_objectz00_bglt)
																				BgL_new1131z00_1848);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2717,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1131z00_1848);
																		BgL_new1132z00_1838 = BgL_new1131z00_1848;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1132z00_1838)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_nodez00_1814)))->BgL_locz00)),
																		BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1132z00_1838)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_nodez00_1814)))->
																				BgL_typez00)), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				COBJECT(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1132z00_1838)))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BUNSPEC), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				COBJECT(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1132z00_1838)))->
																			BgL_keyz00) =
																		((obj_t) BINT(((long) -1))), BUNSPEC);
																	{
																		obj_t BgL_auxz00_2734;

																		{	/* Sync/node.scm 176 */
																			obj_t BgL_arg1614z00_1839;

																			{	/* Sync/node.scm 176 */
																				BgL_nodez00_bglt BgL_arg1616z00_1841;

																				BgL_arg1616z00_1841 =
																					(((BgL_syncz00_bglt)
																						COBJECT(BgL_nodez00_1814))->
																					BgL_bodyz00);
																				BgL_arg1614z00_1839 =
																					MAKE_YOUNG_PAIR(((obj_t)
																						BgL_tmpz00_1817),
																					((obj_t) BgL_arg1616z00_1841));
																			}
																			{	/* Sync/node.scm 176 */
																				obj_t BgL_list1615z00_1840;

																				BgL_list1615z00_1840 =
																					MAKE_YOUNG_PAIR(BgL_arg1614z00_1839,
																					BNIL);
																				BgL_auxz00_2734 = BgL_list1615z00_1840;
																		}}
																		((((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_new1132z00_1838))->
																				BgL_bindingsz00) =
																			((obj_t) BgL_auxz00_2734), BUNSPEC);
																	}
																	{
																		BgL_nodez00_bglt BgL_auxz00_2741;

																		{	/* Sync/node.scm 177 */
																			BgL_sequencez00_bglt BgL_new1135z00_1842;

																			{	/* Sync/node.scm 178 */
																				BgL_sequencez00_bglt
																					BgL_new1133z00_1846;
																				BgL_new1133z00_1846 =
																					((BgL_sequencez00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_sequencez00_bgl))));
																				{	/* Sync/node.scm 178 */
																					long BgL_arg1630z00_1847;

																					{	/* Sync/node.scm 178 */
																						obj_t BgL_classz00_2237;

																						BgL_classz00_2237 =
																							BGl_sequencez00zzast_nodez00;
																						BgL_arg1630z00_1847 =
																							BGL_CLASS_NUM(BgL_classz00_2237);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1133z00_1846),
																						BgL_arg1630z00_1847);
																				}
																				{	/* Sync/node.scm 178 */
																					BgL_objectz00_bglt BgL_tmpz00_2746;

																					BgL_tmpz00_2746 =
																						((BgL_objectz00_bglt)
																						BgL_new1133z00_1846);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_2746, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1133z00_1846);
																				BgL_new1135z00_1842 =
																					BgL_new1133z00_1846;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1135z00_1842)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_nodez00_1814)))->
																						BgL_locz00)), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1135z00_1842)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_nodez00_1814)))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1135z00_1842)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BUNSPEC), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1135z00_1842)))->
																					BgL_keyz00) =
																				((obj_t) BINT(((long) -1))), BUNSPEC);
																			{
																				obj_t BgL_auxz00_2763;

																				{	/* Sync/node.scm 180 */
																					obj_t BgL_list1617z00_1843;

																					{	/* Sync/node.scm 180 */
																						obj_t BgL_arg1625z00_1844;

																						{	/* Sync/node.scm 180 */
																							obj_t BgL_arg1629z00_1845;

																							BgL_arg1629z00_1845 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_vrefz00_1825),
																								BNIL);
																							BgL_arg1625z00_1844 =
																								MAKE_YOUNG_PAIR(((obj_t)
																									BgL_unlockz00_1824),
																								BgL_arg1629z00_1845);
																						}
																						BgL_list1617z00_1843 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_popz00_1823),
																							BgL_arg1625z00_1844);
																					}
																					BgL_auxz00_2763 =
																						BgL_list1617z00_1843;
																				}
																				((((BgL_sequencez00_bglt)
																							COBJECT(BgL_new1135z00_1842))->
																						BgL_nodesz00) =
																					((obj_t) BgL_auxz00_2763), BUNSPEC);
																			}
																			((((BgL_sequencez00_bglt)
																						COBJECT(BgL_new1135z00_1842))->
																					BgL_unsafez00) =
																				((bool_t) ((bool_t) 0)), BUNSPEC);
																			((((BgL_sequencez00_bglt)
																						COBJECT(BgL_new1135z00_1842))->
																					BgL_metaz00) =
																				((obj_t) BNIL), BUNSPEC);
																			BgL_auxz00_2741 =
																				((BgL_nodez00_bglt)
																				BgL_new1135z00_1842);
																		}
																		((((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_new1132z00_1838))->
																				BgL_bodyz00) =
																			((BgL_nodez00_bglt) BgL_auxz00_2741),
																			BUNSPEC);
																	}
																	((((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_new1132z00_1838))->
																			BgL_removablezf3zf3) =
																		((bool_t) ((bool_t) 1)), BUNSPEC);
																	BgL_lbodyz00_1826 = BgL_new1132z00_1838;
																}
																{	/* Sync/node.scm 173 */

																	{	/* Sync/node.scm 181 */
																		BgL_letzd2varzd2_bglt BgL_new1137z00_1827;

																		{	/* Sync/node.scm 182 */
																			BgL_letzd2varzd2_bglt BgL_new1136z00_1836;

																			BgL_new1136z00_1836 =
																				((BgL_letzd2varzd2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_letzd2varzd2_bgl))));
																			{	/* Sync/node.scm 182 */
																				long BgL_arg1610z00_1837;

																				BgL_arg1610z00_1837 =
																					BGL_CLASS_NUM
																					(BGl_letzd2varzd2zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1136z00_1836),
																					BgL_arg1610z00_1837);
																			}
																			{	/* Sync/node.scm 182 */
																				BgL_objectz00_bglt BgL_tmpz00_2780;

																				BgL_tmpz00_2780 =
																					((BgL_objectz00_bglt)
																					BgL_new1136z00_1836);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2780,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1136z00_1836);
																			BgL_new1137z00_1827 = BgL_new1136z00_1836;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1137z00_1827)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_nodez00_1814)))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1137z00_1827)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_nodez00_1814)))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1137z00_1827)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1137z00_1827)))->
																				BgL_keyz00) =
																			((obj_t) BINT(((long) -1))), BUNSPEC);
																		{
																			obj_t BgL_auxz00_2797;

																			{	/* Sync/node.scm 184 */
																				obj_t BgL_arg1588z00_1828;

																				BgL_arg1588z00_1828 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_topz00_1818),
																					((obj_t) BgL_gettopz00_1820));
																				{	/* Sync/node.scm 184 */
																					obj_t BgL_list1589z00_1829;

																					BgL_list1589z00_1829 =
																						MAKE_YOUNG_PAIR(BgL_arg1588z00_1828,
																						BNIL);
																					BgL_auxz00_2797 =
																						BgL_list1589z00_1829;
																			}}
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1137z00_1827))->
																					BgL_bindingsz00) =
																				((obj_t) BgL_auxz00_2797), BUNSPEC);
																		}
																		{
																			BgL_nodez00_bglt BgL_auxz00_2803;

																			{	/* Sync/node.scm 185 */
																				BgL_sequencez00_bglt
																					BgL_new1139z00_1830;
																				{	/* Sync/node.scm 186 */
																					BgL_sequencez00_bglt
																						BgL_new1138z00_1834;
																					BgL_new1138z00_1834 =
																						((BgL_sequencez00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_sequencez00_bgl))));
																					{	/* Sync/node.scm 186 */
																						long BgL_arg1600z00_1835;

																						{	/* Sync/node.scm 186 */
																							obj_t BgL_classz00_2247;

																							BgL_classz00_2247 =
																								BGl_sequencez00zzast_nodez00;
																							BgL_arg1600z00_1835 =
																								BGL_CLASS_NUM
																								(BgL_classz00_2247);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1138z00_1834),
																							BgL_arg1600z00_1835);
																					}
																					{	/* Sync/node.scm 186 */
																						BgL_objectz00_bglt BgL_tmpz00_2808;

																						BgL_tmpz00_2808 =
																							((BgL_objectz00_bglt)
																							BgL_new1138z00_1834);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_2808, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1138z00_1834);
																					BgL_new1139z00_1830 =
																						BgL_new1138z00_1834;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1139z00_1830)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_nodez00_1814)))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1139z00_1830)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) ((
																								(BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_nodez00_1814)))->
																							BgL_typez00)), BUNSPEC);
																				((((BgL_nodezf2effectzf2_bglt)
																							COBJECT((
																									(BgL_nodezf2effectzf2_bglt)
																									BgL_new1139z00_1830)))->
																						BgL_sidezd2effectzd2) =
																					((obj_t) BUNSPEC), BUNSPEC);
																				((((BgL_nodezf2effectzf2_bglt)
																							COBJECT((
																									(BgL_nodezf2effectzf2_bglt)
																									BgL_new1139z00_1830)))->
																						BgL_keyz00) =
																					((obj_t) BINT(((long) -1))), BUNSPEC);
																				{
																					obj_t BgL_auxz00_2825;

																					{	/* Sync/node.scm 188 */
																						obj_t BgL_arg1590z00_1831;

																						{	/* Sync/node.scm 188 */
																							obj_t BgL_arg1598z00_1832;

																							{	/* Sync/node.scm 188 */
																								obj_t BgL_arg1599z00_1833;

																								BgL_arg1599z00_1833 =
																									(((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_nodez00_1814)))->
																									BgL_locz00);
																								BgL_nodez00_1750 =
																									BgL_lbodyz00_1826;
																								BgL_locz00_1751 =
																									BgL_arg1599z00_1833;
																								if (CBOOL
																									(BGl_exitdzd2mutexzd2profilez00zzsync_nodez00))
																									{	/* Sync/node.scm 118 */
																										BgL_nodez00_bglt
																											BgL_arg1381z00_1754;
																										{	/* Sync/node.scm 118 */
																											obj_t BgL_arg1387z00_1757;

																											BgL_arg1387z00_1757 =
																												MAKE_YOUNG_PAIR
																												(BGl_exitdzd2mutexzd2profilez00zzsync_nodez00,
																												BNIL);
																											BgL_arg1381z00_1754 =
																												BGl_applicationzd2ze3nodez31zzast_appz00
																												(BgL_arg1387z00_1757,
																												BNIL, BgL_locz00_1751,
																												CNST_TABLE_REF(((long)
																														13)));
																										}
																										{	/* Sync/node.scm 118 */
																											obj_t
																												BgL_list1382z00_1755;
																											{	/* Sync/node.scm 118 */
																												obj_t
																													BgL_arg1384z00_1756;
																												BgL_arg1384z00_1756 =
																													MAKE_YOUNG_PAIR((
																														(obj_t)
																														BgL_nodez00_1750),
																													BNIL);
																												BgL_list1382z00_1755 =
																													MAKE_YOUNG_PAIR((
																														(obj_t)
																														BgL_arg1381z00_1754),
																													BgL_arg1384z00_1756);
																											}
																											BgL_arg1598z00_1832 =
																												BgL_list1382z00_1755;
																									}}
																								else
																									{	/* Sync/node.scm 119 */
																										obj_t BgL_list1388z00_1758;

																										BgL_list1388z00_1758 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												BgL_nodez00_1750),
																											BNIL);
																										BgL_arg1598z00_1832 =
																											BgL_list1388z00_1758;
																									}
																							}
																							BgL_arg1590z00_1831 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_pushz00_1822),
																								BgL_arg1598z00_1832);
																						}
																						BgL_auxz00_2825 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_lockz00_1821),
																							BgL_arg1590z00_1831);
																					}
																					((((BgL_sequencez00_bglt)
																								COBJECT(BgL_new1139z00_1830))->
																							BgL_nodesz00) =
																						((obj_t) BgL_auxz00_2825), BUNSPEC);
																				}
																				((((BgL_sequencez00_bglt)
																							COBJECT(BgL_new1139z00_1830))->
																						BgL_unsafez00) =
																					((bool_t) ((bool_t) 0)), BUNSPEC);
																				((((BgL_sequencez00_bglt)
																							COBJECT(BgL_new1139z00_1830))->
																						BgL_metaz00) =
																					((obj_t) BNIL), BUNSPEC);
																				BgL_auxz00_2803 =
																					((BgL_nodez00_bglt)
																					BgL_new1139z00_1830);
																			}
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1137z00_1827))->
																					BgL_bodyz00) =
																				((BgL_nodez00_bglt) BgL_auxz00_2803),
																				BUNSPEC);
																		}
																		((((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_new1137z00_1827))->
																				BgL_removablezf3zf3) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																		BgL_auxz00_2595 = BgL_new1137z00_1827;
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
						return ((BgL_nodez00_bglt) BgL_auxz00_2595);
					}
			}
		}

	}



/* &sync->sequence */
	BgL_nodez00_bglt BGl_z62synczd2ze3sequencez53zzsync_nodez00(obj_t
		BgL_envz00_2283, obj_t BgL_nodez00_2284)
	{
		{	/* Sync/node.scm 111 */
			return
				BGl_synczd2ze3sequencez31zzsync_nodez00(
				((BgL_syncz00_bglt) BgL_nodez00_2284));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzsync_failsafez00(((long) 377892095),
				BSTRING_TO_STRING(BGl_string1879z00zzsync_nodez00));
		}

	}

#ifdef __cplusplus
}
#endif
