/*===========================================================================*/
/*   (Trace/isloop.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Trace/isloop.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	static obj_t BGl_z62tailzf3zd2letzd2var1345z91zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_tailzf3zf3zztrace_isloopz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_isloopz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t
		BGl_isloopzf3zf3zztrace_isloopz00(BgL_letzd2funzd2_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_isloopz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62tailzf3z91zztrace_isloopz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zztrace_isloopz00(void);
	static obj_t BGl_z62tailzf31323z91zztrace_isloopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zztrace_isloopz00(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62tailzf3zd2conditional1341z43zztrace_isloopz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztrace_isloopz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2setq1339z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2var1330z43zztrace_isloopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62tailzf3zd2kwote1328z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isloopzf3z91zztrace_isloopz00(obj_t, obj_t);
	static obj_t BGl_z62tailzf3zd2sequence1332z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zztrace_isloopz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2letzd2fun1343z91zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailzf3zd2app1334z43zztrace_isloopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_isloopz00(void);
	static obj_t BGl_z62tailzf3zd2switch1347z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailzf3zd2extern1349z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_isloopz00(void);
	static obj_t BGl_gczd2rootszd2initz00zztrace_isloopz00(void);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2literal1326z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2funcall1336z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_tailzf3zd2envz21zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za791za7za7t1873za7,
		BGl_z62tailzf3z91zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1858z00zztrace_isloopz00,
		BgL_bgl_string1858za700za7za7t1874za7, "tail?1323", 9);
	      DEFINE_STRING(BGl_string1860z00zztrace_isloopz00,
		BgL_bgl_string1860za700za7za7t1875za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f31323za791876za7,
		BGl_z62tailzf31323z91zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2lit1877za7,
		BGl_z62tailzf3zd2literal1326z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2kwo1878za7,
		BGl_z62tailzf3zd2kwote1328z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2var1879za7,
		BGl_z62tailzf3zd2var1330z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2seq1880za7,
		BGl_z62tailzf3zd2sequence1332z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2app1881za7,
		BGl_z62tailzf3zd2app1334z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2fun1882za7,
		BGl_z62tailzf3zd2funcall1336z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1872z00zztrace_isloopz00,
		BgL_bgl_string1872za700za7za7t1883za7, "trace_isloop", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2set1884za7,
		BGl_z62tailzf3zd2setq1339z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2con1885za7,
		BGl_z62tailzf3zd2conditional1341z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2let1886za7,
		BGl_z62tailzf3zd2letzd2fun1343z91zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2let1887za7,
		BGl_z62tailzf3zd2letzd2var1345z91zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2swi1888za7,
		BGl_z62tailzf3zd2switch1347z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2ext1889za7,
		BGl_z62tailzf3zd2extern1349z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isloopzf3zd2envz21zztrace_isloopz00,
		BgL_bgl_za762isloopza7f3za791za71890z00,
		BGl_z62isloopzf3z91zztrace_isloopz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztrace_isloopz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_isloopz00(long
		BgL_checksumz00_2281, char *BgL_fromz00_2282)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_isloopz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_isloopz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztrace_isloopz00();
					BGl_libraryzd2moduleszd2initz00zztrace_isloopz00();
					BGl_importedzd2moduleszd2initz00zztrace_isloopz00();
					BGl_genericzd2initzd2zztrace_isloopz00();
					BGl_methodzd2initzd2zztrace_isloopz00();
					return BGl_toplevelzd2initzd2zztrace_isloopz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "trace_isloop");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "trace_isloop");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"trace_isloop");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"trace_isloop");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"trace_isloop");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"trace_isloop");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "trace_isloop");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "trace_isloop");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			return BUNSPEC;
		}

	}



/* isloop? */
	BGL_EXPORTED_DEF bool_t
		BGl_isloopzf3zf3zztrace_isloopz00(BgL_letzd2funzd2_bglt BgL_nodez00_17)
	{
		{	/* Trace/isloop.scm 38 */
			{	/* Trace/isloop.scm 40 */
				bool_t BgL_test1892z00_2301;

				{	/* Trace/isloop.scm 40 */
					bool_t BgL_test1893z00_2302;

					{	/* Trace/isloop.scm 40 */
						obj_t BgL_tmpz00_2303;

						BgL_tmpz00_2303 =
							(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
							BgL_localsz00);
						BgL_test1893z00_2302 = PAIRP(BgL_tmpz00_2303);
					}
					if (BgL_test1893z00_2302)
						{	/* Trace/isloop.scm 40 */
							BgL_test1892z00_2301 =
								NULLP(CDR(
									(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
										BgL_localsz00)));
						}
					else
						{	/* Trace/isloop.scm 40 */
							BgL_test1892z00_2301 = ((bool_t) 0);
						}
				}
				if (BgL_test1892z00_2301)
					{	/* Trace/isloop.scm 41 */
						bool_t BgL_test1894z00_2309;

						{	/* Trace/isloop.scm 41 */
							BgL_nodez00_bglt BgL_arg1506z00_1538;

							BgL_arg1506z00_1538 =
								(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
								BgL_bodyz00);
							{	/* Trace/isloop.scm 41 */
								obj_t BgL_classz00_1999;

								BgL_classz00_1999 = BGl_appz00zzast_nodez00;
								{	/* Trace/isloop.scm 41 */
									BgL_objectz00_bglt BgL_arg1820z00_2001;

									{	/* Trace/isloop.scm 41 */
										obj_t BgL_tmpz00_2311;

										BgL_tmpz00_2311 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1506z00_1538));
										BgL_arg1820z00_2001 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2311);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Trace/isloop.scm 41 */
											long BgL_idxz00_2007;

											BgL_idxz00_2007 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2001);
											BgL_test1894z00_2309 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2007 + ((long) 3))) == BgL_classz00_1999);
										}
									else
										{	/* Trace/isloop.scm 41 */
											bool_t BgL_res1850z00_2029;

											{	/* Trace/isloop.scm 41 */
												obj_t BgL_oclassz00_2015;

												{	/* Trace/isloop.scm 41 */
													long BgL_arg1828z00_2021;

													{	/* Trace/isloop.scm 41 */
														long BgL_arg1829z00_2022;

														BgL_arg1829z00_2022 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2001);
														BgL_arg1828z00_2021 =
															(BgL_arg1829z00_2022 - OBJECT_TYPE);
													}
													BgL_oclassz00_2015 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2021);
												}
												{	/* Trace/isloop.scm 41 */
													bool_t BgL__ortest_1111z00_2016;

													BgL__ortest_1111z00_2016 =
														(BgL_classz00_1999 == BgL_oclassz00_2015);
													if (BgL__ortest_1111z00_2016)
														{	/* Trace/isloop.scm 41 */
															BgL_res1850z00_2029 = BgL__ortest_1111z00_2016;
														}
													else
														{	/* Trace/isloop.scm 41 */
															long BgL_odepthz00_2017;

															BgL_odepthz00_2017 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2015);
															if ((((long) 3) < BgL_odepthz00_2017))
																{	/* Trace/isloop.scm 41 */
																	obj_t BgL_arg1816z00_2019;

																	BgL_arg1816z00_2019 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2015,
																		((long) 3));
																	BgL_res1850z00_2029 =
																		(BgL_arg1816z00_2019 == BgL_classz00_1999);
																}
															else
																{	/* Trace/isloop.scm 41 */
																	BgL_res1850z00_2029 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1894z00_2309 = BgL_res1850z00_2029;
										}
								}
							}
						}
						if (BgL_test1894z00_2309)
							{	/* Trace/isloop.scm 42 */
								bool_t BgL_test1898z00_2331;

								{	/* Trace/isloop.scm 42 */
									BgL_nodez00_bglt BgL_arg1482z00_1535;
									obj_t BgL_arg1484z00_1536;

									BgL_arg1482z00_1535 =
										(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
										BgL_bodyz00);
									BgL_arg1484z00_1536 =
										CAR((((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
											BgL_localsz00));
									BgL_test1898z00_2331 =
										CBOOL(BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1482z00_1535,
											((BgL_variablez00_bglt) BgL_arg1484z00_1536), BTRUE));
								}
								if (BgL_test1898z00_2331)
									{	/* Trace/isloop.scm 43 */
										BgL_valuez00_bglt BgL_funz00_1528;

										{
											BgL_variablez00_bglt BgL_auxz00_2338;

											{
												BgL_localz00_bglt BgL_auxz00_2339;

												{	/* Trace/isloop.scm 43 */
													obj_t BgL_pairz00_2031;

													BgL_pairz00_2031 =
														(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
														BgL_localsz00);
													BgL_auxz00_2339 =
														((BgL_localz00_bglt) CAR(BgL_pairz00_2031));
												}
												BgL_auxz00_2338 =
													((BgL_variablez00_bglt) BgL_auxz00_2339);
											}
											BgL_funz00_1528 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2338))->
												BgL_valuez00);
										}
										{	/* Trace/isloop.scm 45 */
											obj_t BgL_arg1426z00_1530;
											obj_t BgL_arg1429z00_1531;

											BgL_arg1426z00_1530 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_1528)))->
												BgL_bodyz00);
											BgL_arg1429z00_1531 =
												CAR((((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
													BgL_localsz00));
											return
												CBOOL(BGl_tailzf3zf3zztrace_isloopz00((
														(BgL_nodez00_bglt) BgL_arg1426z00_1530),
													((BgL_variablez00_bglt) BgL_arg1429z00_1531), BTRUE));
										}
									}
								else
									{	/* Trace/isloop.scm 42 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Trace/isloop.scm 41 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Trace/isloop.scm 40 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &isloop? */
	obj_t BGl_z62isloopzf3z91zztrace_isloopz00(obj_t BgL_envz00_2122,
		obj_t BgL_nodez00_2123)
	{
		{	/* Trace/isloop.scm 38 */
			return
				BBOOL(BGl_isloopzf3zf3zztrace_isloopz00(
					((BgL_letzd2funzd2_bglt) BgL_nodez00_2123)));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00,
				BGl_proc1857z00zztrace_isloopz00, BGl_nodez00zzast_nodez00,
				BGl_string1858z00zztrace_isloopz00);
		}

	}



/* &tail?1323 */
	obj_t BGl_z62tailzf31323z91zztrace_isloopz00(obj_t BgL_envz00_2125,
		obj_t BgL_nodez00_2126, obj_t BgL_funz00_2127, obj_t BgL_tailpz00_2128)
	{
		{	/* Trace/isloop.scm 50 */
			return BBOOL(((bool_t) 0));
		}

	}



/* tail? */
	obj_t BGl_tailzf3zf3zztrace_isloopz00(BgL_nodez00_bglt BgL_nodez00_18,
		BgL_variablez00_bglt BgL_funz00_19, obj_t BgL_tailpz00_20)
	{
		{	/* Trace/isloop.scm 50 */
			{	/* Trace/isloop.scm 50 */
				obj_t BgL_method1324z00_1549;

				{	/* Trace/isloop.scm 50 */
					obj_t BgL_res1855z00_2064;

					{	/* Trace/isloop.scm 50 */
						long BgL_objzd2classzd2numz00_2035;

						BgL_objzd2classzd2numz00_2035 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_18));
						{	/* Trace/isloop.scm 50 */
							obj_t BgL_arg1825z00_2036;

							BgL_arg1825z00_2036 =
								PROCEDURE_REF(BGl_tailzf3zd2envz21zztrace_isloopz00,
								(int) (((long) 1)));
							{	/* Trace/isloop.scm 50 */
								int BgL_offsetz00_2039;

								BgL_offsetz00_2039 = (int) (BgL_objzd2classzd2numz00_2035);
								{	/* Trace/isloop.scm 50 */
									long BgL_offsetz00_2040;

									BgL_offsetz00_2040 =
										((long) (BgL_offsetz00_2039) - OBJECT_TYPE);
									{	/* Trace/isloop.scm 50 */
										long BgL_modz00_2041;

										BgL_modz00_2041 =
											(BgL_offsetz00_2040 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Trace/isloop.scm 50 */
											long BgL_restz00_2043;

											BgL_restz00_2043 =
												(BgL_offsetz00_2040 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Trace/isloop.scm 50 */

												{	/* Trace/isloop.scm 50 */
													obj_t BgL_bucketz00_2045;

													BgL_bucketz00_2045 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2036), BgL_modz00_2041);
													BgL_res1855z00_2064 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2045), BgL_restz00_2043);
					}}}}}}}}
					BgL_method1324z00_1549 = BgL_res1855z00_2064;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1324z00_1549)) (BgL_method1324z00_1549,
					((obj_t) BgL_nodez00_18), ((obj_t) BgL_funz00_19), BgL_tailpz00_20,
					BEOA);
			}
		}

	}



/* &tail? */
	obj_t BGl_z62tailzf3z91zztrace_isloopz00(obj_t BgL_envz00_2129,
		obj_t BgL_nodez00_2130, obj_t BgL_funz00_2131, obj_t BgL_tailpz00_2132)
	{
		{	/* Trace/isloop.scm 50 */
			return
				BGl_tailzf3zf3zztrace_isloopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2130),
				((BgL_variablez00_bglt) BgL_funz00_2131), BgL_tailpz00_2132);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_literalz00zzast_nodez00,
				BGl_proc1859z00zztrace_isloopz00, BGl_string1860z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1861z00zztrace_isloopz00, BGl_string1860z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_varz00zzast_nodez00,
				BGl_proc1862z00zztrace_isloopz00, BGl_string1860z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_sequencez00zzast_nodez00,
				BGl_proc1863z00zztrace_isloopz00, BGl_string1860z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_appz00zzast_nodez00,
				BGl_proc1864z00zztrace_isloopz00, BGl_string1860z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1865z00zztrace_isloopz00, BGl_string1860z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_setqz00zzast_nodez00,
				BGl_proc1866z00zztrace_isloopz00, BGl_string1860z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc1867z00zztrace_isloopz00, BGl_string1860z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1868z00zztrace_isloopz00, BGl_string1860z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1869z00zztrace_isloopz00, BGl_string1860z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_switchz00zzast_nodez00,
				BGl_proc1870z00zztrace_isloopz00, BGl_string1860z00zztrace_isloopz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_externz00zzast_nodez00,
				BGl_proc1871z00zztrace_isloopz00, BGl_string1860z00zztrace_isloopz00);
		}

	}



/* &tail?-extern1349 */
	obj_t BGl_z62tailzf3zd2extern1349z43zztrace_isloopz00(obj_t BgL_envz00_2145,
		obj_t BgL_nodez00_2146, obj_t BgL_funz00_2147, obj_t BgL_tailpz00_2148)
	{
		{	/* Trace/isloop.scm 150 */
			{	/* Trace/isloop.scm 151 */
				bool_t BgL_tmpz00_2406;

				{	/* Trace/isloop.scm 152 */
					obj_t BgL_g1321z00_2197;

					BgL_g1321z00_2197 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2146)))->BgL_exprza2za2);
					{
						obj_t BgL_l1319z00_2199;

						BgL_l1319z00_2199 = BgL_g1321z00_2197;
					BgL_zc3z04anonymousza31697ze3z87_2198:
						if (NULLP(BgL_l1319z00_2199))
							{	/* Trace/isloop.scm 152 */
								BgL_tmpz00_2406 = ((bool_t) 1);
							}
						else
							{	/* Trace/isloop.scm 152 */
								obj_t BgL_nvz00_2200;

								{	/* Trace/isloop.scm 152 */
									obj_t BgL_ez00_2201;

									BgL_ez00_2201 = CAR(((obj_t) BgL_l1319z00_2199));
									BgL_nvz00_2200 =
										BGl_tailzf3zf3zztrace_isloopz00(
										((BgL_nodez00_bglt) BgL_ez00_2201),
										((BgL_variablez00_bglt) BgL_funz00_2147), BFALSE);
								}
								if (CBOOL(BgL_nvz00_2200))
									{	/* Trace/isloop.scm 152 */
										obj_t BgL_arg1705z00_2202;

										BgL_arg1705z00_2202 = CDR(((obj_t) BgL_l1319z00_2199));
										{
											obj_t BgL_l1319z00_2420;

											BgL_l1319z00_2420 = BgL_arg1705z00_2202;
											BgL_l1319z00_2199 = BgL_l1319z00_2420;
											goto BgL_zc3z04anonymousza31697ze3z87_2198;
										}
									}
								else
									{	/* Trace/isloop.scm 152 */
										BgL_tmpz00_2406 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2406);
			}
		}

	}



/* &tail?-switch1347 */
	obj_t BGl_z62tailzf3zd2switch1347z43zztrace_isloopz00(obj_t BgL_envz00_2149,
		obj_t BgL_nodez00_2150, obj_t BgL_funz00_2151, obj_t BgL_tailpz00_2152)
	{
		{	/* Trace/isloop.scm 142 */
			{	/* Trace/isloop.scm 143 */
				bool_t BgL_tmpz00_2422;

				{	/* Trace/isloop.scm 144 */
					bool_t BgL_test1901z00_2423;

					{	/* Trace/isloop.scm 144 */
						BgL_nodez00_bglt BgL_arg1696z00_2204;

						BgL_arg1696z00_2204 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2150)))->BgL_testz00);
						BgL_test1901z00_2423 =
							CBOOL(BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1696z00_2204,
								((BgL_variablez00_bglt) BgL_funz00_2151), BFALSE));
					}
					if (BgL_test1901z00_2423)
						{	/* Trace/isloop.scm 145 */
							obj_t BgL_g1317z00_2205;

							BgL_g1317z00_2205 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2150)))->BgL_clausesz00);
							{
								obj_t BgL_l1315z00_2207;

								BgL_l1315z00_2207 = BgL_g1317z00_2205;
							BgL_zc3z04anonymousza31682ze3z87_2206:
								if (NULLP(BgL_l1315z00_2207))
									{	/* Trace/isloop.scm 145 */
										BgL_tmpz00_2422 = ((bool_t) 1);
									}
								else
									{	/* Trace/isloop.scm 145 */
										obj_t BgL_nvz00_2208;

										{	/* Trace/isloop.scm 145 */
											obj_t BgL_cz00_2209;

											BgL_cz00_2209 = CAR(((obj_t) BgL_l1315z00_2207));
											{	/* Trace/isloop.scm 145 */
												obj_t BgL_arg1692z00_2210;

												BgL_arg1692z00_2210 = CDR(((obj_t) BgL_cz00_2209));
												BgL_nvz00_2208 =
													BGl_tailzf3zf3zztrace_isloopz00(
													((BgL_nodez00_bglt) BgL_arg1692z00_2210),
													((BgL_variablez00_bglt) BgL_funz00_2151),
													BgL_tailpz00_2152);
											}
										}
										if (CBOOL(BgL_nvz00_2208))
											{	/* Trace/isloop.scm 145 */
												obj_t BgL_arg1687z00_2211;

												BgL_arg1687z00_2211 = CDR(((obj_t) BgL_l1315z00_2207));
												{
													obj_t BgL_l1315z00_2444;

													BgL_l1315z00_2444 = BgL_arg1687z00_2211;
													BgL_l1315z00_2207 = BgL_l1315z00_2444;
													goto BgL_zc3z04anonymousza31682ze3z87_2206;
												}
											}
										else
											{	/* Trace/isloop.scm 145 */
												BgL_tmpz00_2422 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Trace/isloop.scm 144 */
							BgL_tmpz00_2422 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2422);
			}
		}

	}



/* &tail?-let-var1345 */
	obj_t BGl_z62tailzf3zd2letzd2var1345z91zztrace_isloopz00(obj_t
		BgL_envz00_2153, obj_t BgL_nodez00_2154, obj_t BgL_funz00_2155,
		obj_t BgL_tailpz00_2156)
	{
		{	/* Trace/isloop.scm 134 */
			{	/* Trace/isloop.scm 136 */
				bool_t BgL_test1904z00_2446;

				{	/* Trace/isloop.scm 136 */
					obj_t BgL_g1313z00_2213;

					BgL_g1313z00_2213 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2154)))->BgL_bindingsz00);
					{
						obj_t BgL_l1311z00_2215;

						BgL_l1311z00_2215 = BgL_g1313z00_2213;
					BgL_zc3z04anonymousza31673ze3z87_2214:
						if (NULLP(BgL_l1311z00_2215))
							{	/* Trace/isloop.scm 136 */
								BgL_test1904z00_2446 = ((bool_t) 1);
							}
						else
							{	/* Trace/isloop.scm 136 */
								obj_t BgL_nvz00_2216;

								{	/* Trace/isloop.scm 136 */
									obj_t BgL_bz00_2217;

									BgL_bz00_2217 = CAR(((obj_t) BgL_l1311z00_2215));
									{	/* Trace/isloop.scm 136 */
										obj_t BgL_arg1677z00_2218;

										BgL_arg1677z00_2218 = CDR(((obj_t) BgL_bz00_2217));
										BgL_nvz00_2216 =
											BGl_tailzf3zf3zztrace_isloopz00(
											((BgL_nodez00_bglt) BgL_arg1677z00_2218),
											((BgL_variablez00_bglt) BgL_funz00_2155), BFALSE);
									}
								}
								if (CBOOL(BgL_nvz00_2216))
									{	/* Trace/isloop.scm 136 */
										obj_t BgL_arg1674z00_2219;

										BgL_arg1674z00_2219 = CDR(((obj_t) BgL_l1311z00_2215));
										{
											obj_t BgL_l1311z00_2462;

											BgL_l1311z00_2462 = BgL_arg1674z00_2219;
											BgL_l1311z00_2215 = BgL_l1311z00_2462;
											goto BgL_zc3z04anonymousza31673ze3z87_2214;
										}
									}
								else
									{	/* Trace/isloop.scm 136 */
										BgL_test1904z00_2446 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test1904z00_2446)
					{	/* Trace/isloop.scm 137 */
						BgL_nodez00_bglt BgL_arg1672z00_2220;

						BgL_arg1672z00_2220 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2154)))->BgL_bodyz00);
						return
							BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1672z00_2220,
							((BgL_variablez00_bglt) BgL_funz00_2155), BgL_tailpz00_2156);
					}
				else
					{	/* Trace/isloop.scm 136 */
						return BFALSE;
					}
			}
		}

	}



/* &tail?-let-fun1343 */
	obj_t BGl_z62tailzf3zd2letzd2fun1343z91zztrace_isloopz00(obj_t
		BgL_envz00_2157, obj_t BgL_nodez00_2158, obj_t BgL_funz00_2159,
		obj_t BgL_tailpz00_2160)
	{
		{	/* Trace/isloop.scm 120 */
			{	/* Trace/isloop.scm 121 */
				bool_t BgL_tmpz00_2467;

				{	/* Trace/isloop.scm 122 */
					bool_t BgL_test1907z00_2468;

					{	/* Trace/isloop.scm 122 */
						BgL_nodez00_bglt BgL_arg1651z00_2222;

						BgL_arg1651z00_2222 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2158)))->BgL_bodyz00);
						BgL_test1907z00_2468 =
							CBOOL(BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1651z00_2222,
								((BgL_variablez00_bglt) BgL_funz00_2159), BgL_tailpz00_2160));
					}
					if (BgL_test1907z00_2468)
						{	/* Trace/isloop.scm 122 */
							if (BGl_isloopzf3zf3zztrace_isloopz00(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2158)))
								{	/* Trace/isloop.scm 124 */
									BgL_sfunz00_bglt BgL_i1118z00_2223;

									{
										BgL_valuez00_bglt BgL_auxz00_2477;

										{
											BgL_variablez00_bglt BgL_auxz00_2478;

											{
												BgL_localz00_bglt BgL_auxz00_2479;

												{	/* Trace/isloop.scm 124 */
													obj_t BgL_pairz00_2224;

													BgL_pairz00_2224 =
														(((BgL_letzd2funzd2_bglt) COBJECT(
																((BgL_letzd2funzd2_bglt) BgL_nodez00_2158)))->
														BgL_localsz00);
													BgL_auxz00_2479 =
														((BgL_localz00_bglt) CAR(BgL_pairz00_2224));
												}
												BgL_auxz00_2478 =
													((BgL_variablez00_bglt) BgL_auxz00_2479);
											}
											BgL_auxz00_2477 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2478))->
												BgL_valuez00);
										}
										BgL_i1118z00_2223 = ((BgL_sfunz00_bglt) BgL_auxz00_2477);
									}
									{	/* Trace/isloop.scm 125 */
										bool_t BgL_test1909z00_2487;

										{	/* Trace/isloop.scm 125 */
											obj_t BgL_arg1645z00_2225;

											BgL_arg1645z00_2225 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1118z00_2223))->
												BgL_bodyz00);
											BgL_test1909z00_2487 =
												CBOOL(BGl_tailzf3zf3zztrace_isloopz00((
														(BgL_nodez00_bglt) BgL_arg1645z00_2225),
													((BgL_variablez00_bglt) BgL_funz00_2159),
													BgL_tailpz00_2160));
										}
										if (BgL_test1909z00_2487)
											{	/* Trace/isloop.scm 126 */
												obj_t BgL_g1309z00_2226;

												BgL_g1309z00_2226 =
													(((BgL_letzd2funzd2_bglt) COBJECT(
															((BgL_letzd2funzd2_bglt) BgL_nodez00_2158)))->
													BgL_localsz00);
												{
													obj_t BgL_l1307z00_2228;

													BgL_l1307z00_2228 = BgL_g1309z00_2226;
												BgL_zc3z04anonymousza31637ze3z87_2227:
													if (NULLP(BgL_l1307z00_2228))
														{	/* Trace/isloop.scm 126 */
															BgL_tmpz00_2467 = ((bool_t) 1);
														}
													else
														{	/* Trace/isloop.scm 127 */
															obj_t BgL_nvz00_2229;

															{	/* Trace/isloop.scm 127 */
																obj_t BgL_lz00_2230;

																BgL_lz00_2230 =
																	CAR(((obj_t) BgL_l1307z00_2228));
																{	/* Trace/isloop.scm 127 */
																	BgL_sfunz00_bglt BgL_i1119z00_2231;

																	BgL_i1119z00_2231 =
																		((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_lz00_2230))))->BgL_valuez00));
																	{	/* Trace/isloop.scm 128 */
																		obj_t BgL_arg1641z00_2232;

																		BgL_arg1641z00_2232 =
																			(((BgL_sfunz00_bglt)
																				COBJECT(BgL_i1119z00_2231))->
																			BgL_bodyz00);
																		BgL_nvz00_2229 =
																			BGl_tailzf3zf3zztrace_isloopz00((
																				(BgL_nodez00_bglt) BgL_arg1641z00_2232),
																			((BgL_variablez00_bglt) BgL_funz00_2159),
																			BFALSE);
																	}
																}
															}
															if (CBOOL(BgL_nvz00_2229))
																{	/* Trace/isloop.scm 126 */
																	obj_t BgL_arg1639z00_2233;

																	BgL_arg1639z00_2233 =
																		CDR(((obj_t) BgL_l1307z00_2228));
																	{
																		obj_t BgL_l1307z00_2511;

																		BgL_l1307z00_2511 = BgL_arg1639z00_2233;
																		BgL_l1307z00_2228 = BgL_l1307z00_2511;
																		goto BgL_zc3z04anonymousza31637ze3z87_2227;
																	}
																}
															else
																{	/* Trace/isloop.scm 126 */
																	BgL_tmpz00_2467 = ((bool_t) 0);
																}
														}
												}
											}
										else
											{	/* Trace/isloop.scm 125 */
												BgL_tmpz00_2467 = ((bool_t) 0);
											}
									}
								}
							else
								{	/* Trace/isloop.scm 123 */
									BgL_tmpz00_2467 = ((bool_t) 0);
								}
						}
					else
						{	/* Trace/isloop.scm 122 */
							BgL_tmpz00_2467 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2467);
			}
		}

	}



/* &tail?-conditional1341 */
	obj_t BGl_z62tailzf3zd2conditional1341z43zztrace_isloopz00(obj_t
		BgL_envz00_2161, obj_t BgL_nodez00_2162, obj_t BgL_funz00_2163,
		obj_t BgL_tailpz00_2164)
	{
		{	/* Trace/isloop.scm 112 */
			{	/* Trace/isloop.scm 114 */
				bool_t BgL_test1912z00_2513;

				{	/* Trace/isloop.scm 114 */
					BgL_nodez00_bglt BgL_arg1630z00_2235;

					BgL_arg1630z00_2235 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2162)))->BgL_testz00);
					BgL_test1912z00_2513 =
						CBOOL(BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1630z00_2235,
							((BgL_variablez00_bglt) BgL_funz00_2163), BFALSE));
				}
				if (BgL_test1912z00_2513)
					{	/* Trace/isloop.scm 115 */
						obj_t BgL__andtest_1116z00_2236;

						{	/* Trace/isloop.scm 115 */
							BgL_nodez00_bglt BgL_arg1629z00_2237;

							BgL_arg1629z00_2237 =
								(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2162)))->
								BgL_truez00);
							BgL__andtest_1116z00_2236 =
								BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1629z00_2237,
								((BgL_variablez00_bglt) BgL_funz00_2163), BgL_tailpz00_2164);
						}
						if (CBOOL(BgL__andtest_1116z00_2236))
							{	/* Trace/isloop.scm 115 */
								BgL_nodez00_bglt BgL_arg1625z00_2238;

								BgL_arg1625z00_2238 =
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2162)))->
									BgL_falsez00);
								return BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1625z00_2238,
									((BgL_variablez00_bglt) BgL_funz00_2163), BgL_tailpz00_2164);
							}
						else
							{	/* Trace/isloop.scm 115 */
								return BFALSE;
							}
					}
				else
					{	/* Trace/isloop.scm 114 */
						return BFALSE;
					}
			}
		}

	}



/* &tail?-setq1339 */
	obj_t BGl_z62tailzf3zd2setq1339z43zztrace_isloopz00(obj_t BgL_envz00_2165,
		obj_t BgL_nodez00_2166, obj_t BgL_funz00_2167, obj_t BgL_tailpz00_2168)
	{
		{	/* Trace/isloop.scm 105 */
			{	/* Trace/isloop.scm 107 */
				BgL_nodez00_bglt BgL_arg1614z00_2240;

				BgL_arg1614z00_2240 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2166)))->BgL_valuez00);
				return
					BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1614z00_2240,
					((BgL_variablez00_bglt) BgL_funz00_2167), BFALSE);
			}
		}

	}



/* &tail?-funcall1336 */
	obj_t BGl_z62tailzf3zd2funcall1336z43zztrace_isloopz00(obj_t BgL_envz00_2169,
		obj_t BgL_nodez00_2170, obj_t BgL_funz00_2171, obj_t BgL_tailpz00_2172)
	{
		{	/* Trace/isloop.scm 97 */
			{	/* Trace/isloop.scm 99 */
				bool_t BgL_test1914z00_2533;

				{	/* Trace/isloop.scm 99 */
					obj_t BgL_g1305z00_2242;

					BgL_g1305z00_2242 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2170)))->BgL_argsz00);
					{
						obj_t BgL_l1303z00_2244;

						BgL_l1303z00_2244 = BgL_g1305z00_2242;
					BgL_zc3z04anonymousza31601ze3z87_2243:
						if (NULLP(BgL_l1303z00_2244))
							{	/* Trace/isloop.scm 99 */
								BgL_test1914z00_2533 = ((bool_t) 1);
							}
						else
							{	/* Trace/isloop.scm 99 */
								obj_t BgL_nvz00_2245;

								{	/* Trace/isloop.scm 99 */
									obj_t BgL_argz00_2246;

									BgL_argz00_2246 = CAR(((obj_t) BgL_l1303z00_2244));
									BgL_nvz00_2245 =
										BGl_tailzf3zf3zztrace_isloopz00(
										((BgL_nodez00_bglt) BgL_argz00_2246),
										((BgL_variablez00_bglt) BgL_funz00_2171), BFALSE);
								}
								if (CBOOL(BgL_nvz00_2245))
									{	/* Trace/isloop.scm 99 */
										obj_t BgL_arg1610z00_2247;

										BgL_arg1610z00_2247 = CDR(((obj_t) BgL_l1303z00_2244));
										{
											obj_t BgL_l1303z00_2547;

											BgL_l1303z00_2547 = BgL_arg1610z00_2247;
											BgL_l1303z00_2244 = BgL_l1303z00_2547;
											goto BgL_zc3z04anonymousza31601ze3z87_2243;
										}
									}
								else
									{	/* Trace/isloop.scm 99 */
										BgL_test1914z00_2533 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test1914z00_2533)
					{	/* Trace/isloop.scm 100 */
						BgL_nodez00_bglt BgL_arg1600z00_2248;

						BgL_arg1600z00_2248 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2170)))->BgL_funz00);
						return
							BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1600z00_2248,
							((BgL_variablez00_bglt) BgL_funz00_2171), BFALSE);
					}
				else
					{	/* Trace/isloop.scm 99 */
						return BFALSE;
					}
			}
		}

	}



/* &tail?-app1334 */
	obj_t BGl_z62tailzf3zd2app1334z43zztrace_isloopz00(obj_t BgL_envz00_2173,
		obj_t BgL_nodez00_2174, obj_t BgL_funz00_2175, obj_t BgL_tailpz00_2176)
	{
		{	/* Trace/isloop.scm 86 */
			{	/* Trace/isloop.scm 88 */
				bool_t BgL_test1917z00_2552;

				{	/* Trace/isloop.scm 88 */
					obj_t BgL_g1301z00_2250;

					BgL_g1301z00_2250 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2174)))->BgL_argsz00);
					{
						obj_t BgL_l1299z00_2252;

						BgL_l1299z00_2252 = BgL_g1301z00_2250;
					BgL_zc3z04anonymousza31582ze3z87_2251:
						if (NULLP(BgL_l1299z00_2252))
							{	/* Trace/isloop.scm 88 */
								BgL_test1917z00_2552 = ((bool_t) 1);
							}
						else
							{	/* Trace/isloop.scm 88 */
								obj_t BgL_nvz00_2253;

								{	/* Trace/isloop.scm 88 */
									obj_t BgL_argz00_2254;

									BgL_argz00_2254 = CAR(((obj_t) BgL_l1299z00_2252));
									BgL_nvz00_2253 =
										BGl_tailzf3zf3zztrace_isloopz00(
										((BgL_nodez00_bglt) BgL_argz00_2254),
										((BgL_variablez00_bglt) BgL_funz00_2175), BFALSE);
								}
								if (CBOOL(BgL_nvz00_2253))
									{	/* Trace/isloop.scm 88 */
										obj_t BgL_arg1588z00_2255;

										BgL_arg1588z00_2255 = CDR(((obj_t) BgL_l1299z00_2252));
										{
											obj_t BgL_l1299z00_2566;

											BgL_l1299z00_2566 = BgL_arg1588z00_2255;
											BgL_l1299z00_2252 = BgL_l1299z00_2566;
											goto BgL_zc3z04anonymousza31582ze3z87_2251;
										}
									}
								else
									{	/* Trace/isloop.scm 88 */
										BgL_test1917z00_2552 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test1917z00_2552)
					{	/* Trace/isloop.scm 89 */
						bool_t BgL_test1920z00_2567;

						{	/* Trace/isloop.scm 89 */
							BgL_varz00_bglt BgL_arg1581z00_2256;

							BgL_arg1581z00_2256 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2174)))->BgL_funz00);
							{	/* Trace/isloop.scm 89 */
								obj_t BgL_classz00_2257;

								BgL_classz00_2257 = BGl_varz00zzast_nodez00;
								{	/* Trace/isloop.scm 89 */
									BgL_objectz00_bglt BgL_arg1820z00_2258;

									{	/* Trace/isloop.scm 89 */
										obj_t BgL_tmpz00_2570;

										BgL_tmpz00_2570 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1581z00_2256));
										BgL_arg1820z00_2258 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2570);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Trace/isloop.scm 89 */
											long BgL_idxz00_2259;

											BgL_idxz00_2259 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2258);
											BgL_test1920z00_2567 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2259 + ((long) 2))) == BgL_classz00_2257);
										}
									else
										{	/* Trace/isloop.scm 89 */
											bool_t BgL_res1856z00_2262;

											{	/* Trace/isloop.scm 89 */
												obj_t BgL_oclassz00_2263;

												{	/* Trace/isloop.scm 89 */
													long BgL_arg1828z00_2264;

													{	/* Trace/isloop.scm 89 */
														long BgL_arg1829z00_2265;

														BgL_arg1829z00_2265 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2258);
														BgL_arg1828z00_2264 =
															(BgL_arg1829z00_2265 - OBJECT_TYPE);
													}
													BgL_oclassz00_2263 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2264);
												}
												{	/* Trace/isloop.scm 89 */
													bool_t BgL__ortest_1111z00_2266;

													BgL__ortest_1111z00_2266 =
														(BgL_classz00_2257 == BgL_oclassz00_2263);
													if (BgL__ortest_1111z00_2266)
														{	/* Trace/isloop.scm 89 */
															BgL_res1856z00_2262 = BgL__ortest_1111z00_2266;
														}
													else
														{	/* Trace/isloop.scm 89 */
															long BgL_odepthz00_2267;

															BgL_odepthz00_2267 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2263);
															if ((((long) 2) < BgL_odepthz00_2267))
																{	/* Trace/isloop.scm 89 */
																	obj_t BgL_arg1816z00_2268;

																	BgL_arg1816z00_2268 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2263,
																		((long) 2));
																	BgL_res1856z00_2262 =
																		(BgL_arg1816z00_2268 == BgL_classz00_2257);
																}
															else
																{	/* Trace/isloop.scm 89 */
																	BgL_res1856z00_2262 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1920z00_2567 = BgL_res1856z00_2262;
										}
								}
							}
						}
						if (BgL_test1920z00_2567)
							{	/* Trace/isloop.scm 91 */
								bool_t BgL__ortest_1112z00_2269;

								if (
									(((obj_t)
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_2174)))->
												BgL_funz00)) == BgL_funz00_2175))
									{	/* Trace/isloop.scm 91 */
										BgL__ortest_1112z00_2269 = ((bool_t) 0);
									}
								else
									{	/* Trace/isloop.scm 91 */
										BgL__ortest_1112z00_2269 = ((bool_t) 1);
									}
								if (BgL__ortest_1112z00_2269)
									{	/* Trace/isloop.scm 91 */
										return BBOOL(BgL__ortest_1112z00_2269);
									}
								else
									{	/* Trace/isloop.scm 91 */
										return BgL_tailpz00_2176;
									}
							}
						else
							{	/* Trace/isloop.scm 92 */
								BgL_varz00_bglt BgL_arg1580z00_2270;

								BgL_arg1580z00_2270 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2174)))->BgL_funz00);
								return
									BGl_tailzf3zf3zztrace_isloopz00(
									((BgL_nodez00_bglt) BgL_arg1580z00_2270),
									((BgL_variablez00_bglt) BgL_funz00_2175), BFALSE);
							}
					}
				else
					{	/* Trace/isloop.scm 88 */
						return BFALSE;
					}
			}
		}

	}



/* &tail?-sequence1332 */
	obj_t BGl_z62tailzf3zd2sequence1332z43zztrace_isloopz00(obj_t BgL_envz00_2177,
		obj_t BgL_nodez00_2178, obj_t BgL_funz00_2179, obj_t BgL_tailpz00_2180)
	{
		{	/* Trace/isloop.scm 75 */
			{
				obj_t BgL_nodesz00_2273;

				BgL_nodesz00_2273 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2178)))->BgL_nodesz00);
			BgL_loopz00_2272:
				if (NULLP(BgL_nodesz00_2273))
					{	/* Trace/isloop.scm 79 */
						return BTRUE;
					}
				else
					{	/* Trace/isloop.scm 79 */
						if (NULLP(CDR(((obj_t) BgL_nodesz00_2273))))
							{	/* Trace/isloop.scm 80 */
								obj_t BgL_arg1535z00_2274;

								BgL_arg1535z00_2274 = CAR(((obj_t) BgL_nodesz00_2273));
								return
									BGl_tailzf3zf3zztrace_isloopz00(
									((BgL_nodez00_bglt) BgL_arg1535z00_2274),
									((BgL_variablez00_bglt) BgL_funz00_2179), BTRUE);
							}
						else
							{	/* Trace/isloop.scm 81 */
								obj_t BgL__andtest_1109z00_2275;

								{	/* Trace/isloop.scm 81 */
									obj_t BgL_arg1559z00_2276;

									BgL_arg1559z00_2276 = CAR(((obj_t) BgL_nodesz00_2273));
									BgL__andtest_1109z00_2275 =
										BGl_tailzf3zf3zztrace_isloopz00(
										((BgL_nodez00_bglt) BgL_arg1559z00_2276),
										((BgL_variablez00_bglt) BgL_funz00_2179), BFALSE);
								}
								if (CBOOL(BgL__andtest_1109z00_2275))
									{	/* Trace/isloop.scm 81 */
										obj_t BgL_arg1558z00_2277;

										BgL_arg1558z00_2277 = CDR(((obj_t) BgL_nodesz00_2273));
										{
											obj_t BgL_nodesz00_2622;

											BgL_nodesz00_2622 = BgL_arg1558z00_2277;
											BgL_nodesz00_2273 = BgL_nodesz00_2622;
											goto BgL_loopz00_2272;
										}
									}
								else
									{	/* Trace/isloop.scm 81 */
										return BFALSE;
									}
							}
					}
			}
		}

	}



/* &tail?-var1330 */
	obj_t BGl_z62tailzf3zd2var1330z43zztrace_isloopz00(obj_t BgL_envz00_2181,
		obj_t BgL_nodez00_2182, obj_t BgL_funz00_2183, obj_t BgL_tailpz00_2184)
	{
		{	/* Trace/isloop.scm 68 */
			{	/* Trace/isloop.scm 70 */
				bool_t BgL_tmpz00_2625;

				if (
					(((obj_t)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2182)))->BgL_variablez00)) ==
						BgL_funz00_2183))
					{	/* Trace/isloop.scm 70 */
						BgL_tmpz00_2625 = ((bool_t) 0);
					}
				else
					{	/* Trace/isloop.scm 70 */
						BgL_tmpz00_2625 = ((bool_t) 1);
					}
				return BBOOL(BgL_tmpz00_2625);
			}
		}

	}



/* &tail?-kwote1328 */
	obj_t BGl_z62tailzf3zd2kwote1328z43zztrace_isloopz00(obj_t BgL_envz00_2185,
		obj_t BgL_nodez00_2186, obj_t BgL_funz00_2187, obj_t BgL_tailpz00_2188)
	{
		{	/* Trace/isloop.scm 62 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &tail?-literal1326 */
	obj_t BGl_z62tailzf3zd2literal1326z43zztrace_isloopz00(obj_t BgL_envz00_2189,
		obj_t BgL_nodez00_2190, obj_t BgL_funz00_2191, obj_t BgL_tailpz00_2192)
	{
		{	/* Trace/isloop.scm 56 */
			return BBOOL(((bool_t) 1));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1872z00zztrace_isloopz00));
		}

	}

#ifdef __cplusplus
}
#endif
