/*===========================================================================*/
/*   (Uncell/walk.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Uncell/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_localzf2infozf2_bgl
	{
		bool_t BgL_escapez00;
	}                      *BgL_localzf2infozf2_bglt;


	static obj_t BGl_z62markzd2cellzd2letzd2var1349zb0zzuncell_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzuncell_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_uncellz12z12zzuncell_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62markzd2cellzd2boxzd2ref1351zb0zzuncell_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62uncellz121354z70zzuncell_walkz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzuncell_walkz00(void);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzuncell_walkz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzuncell_walkz00(void);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzuncell_walkz00(void);
	static obj_t BGl_z62uncellzd2walkz12za2zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_uncellzd2funz12zc0zzuncell_walkz00(obj_t);
	static obj_t BGl_localzf2infozf2zzuncell_walkz00 = BUNSPEC;
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62markzd2cell1344zb0zzuncell_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl_z62markzd2cellzb0zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31533ze3ze5zzuncell_walkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzuncell_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static BgL_nodez00_bglt
		BGl_z62uncellz12zd2letzd2var1358z70zzuncell_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62uncellz12z70zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62markzd2cellzd2var1347z62zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62uncellz12zd2boxzd2ref1360z70zzuncell_walkz00(obj_t, obj_t);
	static obj_t BGl_markzd2cellzd2zzuncell_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_cnstzd2initzd2zzuncell_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzuncell_walkz00(void);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzuncell_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzuncell_walkz00(void);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62uncellz12zd2boxzd2setz121362z62zzuncell_walkz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1525z62zzuncell_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1530z62zzuncell_walkz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1534z62zzuncell_walkz00(obj_t, obj_t);
	static obj_t BGl_z62markzd2cellzd2boxzd2setz121353za2zzuncell_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t BGl_z62zc3z04anonymousza31573ze3ze5zzuncell_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62lambda1571z62zzuncell_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1572z62zzuncell_walkz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_uncellzd2walkz12zc0zzuncell_walkz00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string1866z00zzuncell_walkz00,
		BgL_bgl_string1866za700za7za7u1899za7, "Uncell", 6);
	      DEFINE_STRING(BGl_string1867z00zzuncell_walkz00,
		BgL_bgl_string1867za700za7za7u1900za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1868z00zzuncell_walkz00,
		BgL_bgl_string1868za700za7za7u1901za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1869z00zzuncell_walkz00,
		BgL_bgl_string1869za700za7za7u1902za7, " error", 6);
	      DEFINE_STRING(BGl_string1870z00zzuncell_walkz00,
		BgL_bgl_string1870za700za7za7u1903za7, "s", 1);
	      DEFINE_STRING(BGl_string1871z00zzuncell_walkz00,
		BgL_bgl_string1871za700za7za7u1904za7, "", 0);
	      DEFINE_STRING(BGl_string1872z00zzuncell_walkz00,
		BgL_bgl_string1872za700za7za7u1905za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1873z00zzuncell_walkz00,
		BgL_bgl_string1873za700za7za7u1906za7, "failure during postlude hook", 28);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzuncell_walkz00,
		BgL_bgl_za762za7c3za704anonymo1907za7,
		BGl_z62zc3z04anonymousza31573ze3ze5zzuncell_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzuncell_walkz00,
		BgL_bgl_za762lambda1572za7621908z00, BGl_z62lambda1572z62zzuncell_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1882z00zzuncell_walkz00,
		BgL_bgl_string1882za700za7za7u1909za7, "mark-cell1344", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzuncell_walkz00,
		BgL_bgl_za762lambda1571za7621910z00, BGl_z62lambda1571z62zzuncell_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzuncell_walkz00,
		BgL_bgl_za762lambda1534za7621911z00, BGl_z62lambda1534z62zzuncell_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1884z00zzuncell_walkz00,
		BgL_bgl_string1884za700za7za7u1912za7, "uncell!1354", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzuncell_walkz00,
		BgL_bgl_za762za7c3za704anonymo1913za7,
		BGl_z62zc3z04anonymousza31533ze3ze5zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzuncell_walkz00,
		BgL_bgl_za762lambda1530za7621914z00, BGl_z62lambda1530z62zzuncell_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1886z00zzuncell_walkz00,
		BgL_bgl_string1886za700za7za7u1915za7, "mark-cell", 9);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncellz12zd2envzc0zzuncell_walkz00,
		BgL_bgl_za762uncellza712za770za71916z00,
		BGl_z62uncellz12z70zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzuncell_walkz00,
		BgL_bgl_za762lambda1525za7621917z00, BGl_z62lambda1525z62zzuncell_walkz00,
		0L, BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cell131918z00,
		BGl_z62markzd2cell1344zb0zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzuncell_walkz00,
		BgL_bgl_za762uncellza71213541919z00,
		BGl_z62uncellz121354z70zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1891z00zzuncell_walkz00,
		BgL_bgl_string1891za700za7za7u1920za7, "uncell!::node", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7d1921za7,
		BGl_z62markzd2cellzd2var1347z62zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7d1922za7,
		BGl_z62markzd2cellzd2letzd2var1349zb0zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1894z00zzuncell_walkz00,
		BgL_bgl_string1894za700za7za7u1923za7, "uncell_walk", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7d1924za7,
		BGl_z62markzd2cellzd2boxzd2ref1351zb0zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1895z00zzuncell_walkz00,
		BgL_bgl_string1895za700za7za7u1925za7,
		"read _ uncell_walk local/info bool escape pass-started ", 55);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7d1926za7,
		BGl_z62markzd2cellzd2boxzd2setz121353za2zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzuncell_walkz00,
		BgL_bgl_za762uncellza712za7d2l1927za7,
		BGl_z62uncellz12zd2letzd2var1358z70zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzuncell_walkz00,
		BgL_bgl_za762uncellza712za7d2b1928za7,
		BGl_z62uncellz12zd2boxzd2ref1360z70zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzuncell_walkz00,
		BgL_bgl_za762uncellza712za7d2b1929za7,
		BGl_z62uncellz12zd2boxzd2setz121362z62zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_markzd2cellzd2envz00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7b1930za7,
		BGl_z62markzd2cellzb0zzuncell_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncellzd2walkz12zd2envz12zzuncell_walkz00,
		BgL_bgl_za762uncellza7d2walk1931z00,
		BGl_z62uncellzd2walkz12za2zzuncell_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzuncell_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2infozf2zzuncell_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzuncell_walkz00(long
		BgL_checksumz00_2474, char *BgL_fromz00_2475)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzuncell_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzuncell_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzuncell_walkz00();
					BGl_libraryzd2moduleszd2initz00zzuncell_walkz00();
					BGl_cnstzd2initzd2zzuncell_walkz00();
					BGl_importedzd2moduleszd2initz00zzuncell_walkz00();
					BGl_objectzd2initzd2zzuncell_walkz00();
					BGl_genericzd2initzd2zzuncell_walkz00();
					BGl_methodzd2initzd2zzuncell_walkz00();
					return BGl_toplevelzd2initzd2zzuncell_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "uncell_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			{	/* Uncell/walk.scm 16 */
				obj_t BgL_cportz00_2363;

				{	/* Uncell/walk.scm 16 */
					obj_t BgL_stringz00_2370;

					BgL_stringz00_2370 = BGl_string1895z00zzuncell_walkz00;
					{	/* Uncell/walk.scm 16 */
						obj_t BgL_startz00_2371;

						BgL_startz00_2371 = BINT(((long) 0));
						{	/* Uncell/walk.scm 16 */
							obj_t BgL_endz00_2372;

							BgL_endz00_2372 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2370)));
							{	/* Uncell/walk.scm 16 */

								BgL_cportz00_2363 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2370, BgL_startz00_2371, BgL_endz00_2372);
				}}}}
				{
					long BgL_iz00_2364;

					BgL_iz00_2364 = ((long) 6);
				BgL_loopz00_2365:
					if ((BgL_iz00_2364 == ((long) -1)))
						{	/* Uncell/walk.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Uncell/walk.scm 16 */
							{	/* Uncell/walk.scm 16 */
								obj_t BgL_arg1898z00_2366;

								{	/* Uncell/walk.scm 16 */

									{	/* Uncell/walk.scm 16 */
										obj_t BgL_locationz00_2368;

										BgL_locationz00_2368 = BBOOL(((bool_t) 0));
										{	/* Uncell/walk.scm 16 */

											BgL_arg1898z00_2366 =
												BGl_readz00zz__readerz00(BgL_cportz00_2363,
												BgL_locationz00_2368);
										}
									}
								}
								{	/* Uncell/walk.scm 16 */
									int BgL_tmpz00_2509;

									BgL_tmpz00_2509 = (int) (BgL_iz00_2364);
									CNST_TABLE_SET(BgL_tmpz00_2509, BgL_arg1898z00_2366);
							}}
							{	/* Uncell/walk.scm 16 */
								int BgL_auxz00_2369;

								BgL_auxz00_2369 = (int) ((BgL_iz00_2364 - ((long) 1)));
								{
									long BgL_iz00_2514;

									BgL_iz00_2514 = (long) (BgL_auxz00_2369);
									BgL_iz00_2364 = BgL_iz00_2514;
									goto BgL_loopz00_2365;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			return BUNSPEC;
		}

	}



/* uncell-walk! */
	BGL_EXPORTED_DEF obj_t BGl_uncellzd2walkz12zc0zzuncell_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Uncell/walk.scm 41 */
			{	/* Uncell/walk.scm 42 */
				obj_t BgL_list1385z00_1477;

				{	/* Uncell/walk.scm 42 */
					obj_t BgL_arg1387z00_1478;

					{	/* Uncell/walk.scm 42 */
						obj_t BgL_arg1388z00_1479;

						BgL_arg1388z00_1479 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1387z00_1478 =
							MAKE_YOUNG_PAIR(BGl_string1866z00zzuncell_walkz00,
							BgL_arg1388z00_1479);
					}
					BgL_list1385z00_1477 =
						MAKE_YOUNG_PAIR(BGl_string1867z00zzuncell_walkz00,
						BgL_arg1387z00_1478);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1385z00_1477);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1866z00zzuncell_walkz00;
			{	/* Uncell/walk.scm 42 */
				obj_t BgL_g1139z00_1480;

				BgL_g1139z00_1480 = BNIL;
				{
					obj_t BgL_hooksz00_1483;
					obj_t BgL_hnamesz00_1484;

					BgL_hooksz00_1483 = BgL_g1139z00_1480;
					BgL_hnamesz00_1484 = BNIL;
				BgL_zc3z04anonymousza31389ze3z87_1485:
					if (NULLP(BgL_hooksz00_1483))
						{	/* Uncell/walk.scm 42 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Uncell/walk.scm 42 */
							bool_t BgL_test1935z00_2527;

							{	/* Uncell/walk.scm 42 */
								obj_t BgL_fun1424z00_1492;

								BgL_fun1424z00_1492 = CAR(((obj_t) BgL_hooksz00_1483));
								BgL_test1935z00_2527 =
									CBOOL(
									((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun1424z00_1492)) (BgL_fun1424z00_1492,
										BEOA));
							}
							if (BgL_test1935z00_2527)
								{	/* Uncell/walk.scm 42 */
									obj_t BgL_arg1400z00_1489;
									obj_t BgL_arg1421z00_1490;

									BgL_arg1400z00_1489 = CDR(((obj_t) BgL_hooksz00_1483));
									BgL_arg1421z00_1490 = CDR(((obj_t) BgL_hnamesz00_1484));
									{
										obj_t BgL_hnamesz00_2539;
										obj_t BgL_hooksz00_2538;

										BgL_hooksz00_2538 = BgL_arg1400z00_1489;
										BgL_hnamesz00_2539 = BgL_arg1421z00_1490;
										BgL_hnamesz00_1484 = BgL_hnamesz00_2539;
										BgL_hooksz00_1483 = BgL_hooksz00_2538;
										goto BgL_zc3z04anonymousza31389ze3z87_1485;
									}
								}
							else
								{	/* Uncell/walk.scm 42 */
									obj_t BgL_arg1422z00_1491;

									BgL_arg1422z00_1491 = CAR(((obj_t) BgL_hnamesz00_1484));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1866z00zzuncell_walkz00,
										BGl_string1868z00zzuncell_walkz00, BgL_arg1422z00_1491);
								}
						}
				}
			}
			{
				obj_t BgL_l1333z00_1496;

				BgL_l1333z00_1496 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31426ze3z87_1497:
				if (PAIRP(BgL_l1333z00_1496))
					{	/* Uncell/walk.scm 43 */
						BGl_uncellzd2funz12zc0zzuncell_walkz00(CAR(BgL_l1333z00_1496));
						{
							obj_t BgL_l1333z00_2547;

							BgL_l1333z00_2547 = CDR(BgL_l1333z00_1496);
							BgL_l1333z00_1496 = BgL_l1333z00_2547;
							goto BgL_zc3z04anonymousza31426ze3z87_1497;
						}
					}
				else
					{	/* Uncell/walk.scm 43 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Uncell/walk.scm 44 */
					{	/* Uncell/walk.scm 44 */
						obj_t BgL_port1335z00_1504;

						{	/* Uncell/walk.scm 44 */
							obj_t BgL_tmpz00_2552;

							BgL_tmpz00_2552 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1335z00_1504 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2552);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1335z00_1504);
						bgl_display_string(BGl_string1869z00zzuncell_walkz00,
							BgL_port1335z00_1504);
						{	/* Uncell/walk.scm 44 */
							obj_t BgL_arg1467z00_1505;

							{	/* Uncell/walk.scm 44 */
								bool_t BgL_test1938z00_2557;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Uncell/walk.scm 44 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Uncell/walk.scm 44 */
												BgL_test1938z00_2557 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Uncell/walk.scm 44 */
												BgL_test1938z00_2557 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Uncell/walk.scm 44 */
										BgL_test1938z00_2557 = ((bool_t) 0);
									}
								if (BgL_test1938z00_2557)
									{	/* Uncell/walk.scm 44 */
										BgL_arg1467z00_1505 = BGl_string1870z00zzuncell_walkz00;
									}
								else
									{	/* Uncell/walk.scm 44 */
										BgL_arg1467z00_1505 = BGl_string1871z00zzuncell_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1467z00_1505, BgL_port1335z00_1504);
						}
						bgl_display_string(BGl_string1872z00zzuncell_walkz00,
							BgL_port1335z00_1504);
						bgl_display_char(((unsigned char) 10), BgL_port1335z00_1504);
					}
					{	/* Uncell/walk.scm 44 */
						obj_t BgL_list1471z00_1509;

						BgL_list1471z00_1509 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1471z00_1509);
					}
				}
			else
				{	/* Uncell/walk.scm 44 */
					obj_t BgL_g1141z00_1510;

					BgL_g1141z00_1510 = BNIL;
					{
						obj_t BgL_hooksz00_1513;
						obj_t BgL_hnamesz00_1514;

						BgL_hooksz00_1513 = BgL_g1141z00_1510;
						BgL_hnamesz00_1514 = BNIL;
					BgL_zc3z04anonymousza31472ze3z87_1515:
						if (NULLP(BgL_hooksz00_1513))
							{	/* Uncell/walk.scm 44 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Uncell/walk.scm 44 */
								bool_t BgL_test1942z00_2574;

								{	/* Uncell/walk.scm 44 */
									obj_t BgL_fun1497z00_1522;

									BgL_fun1497z00_1522 = CAR(((obj_t) BgL_hooksz00_1513));
									BgL_test1942z00_2574 =
										CBOOL(
										((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun1497z00_1522))
										(BgL_fun1497z00_1522, BEOA));
								}
								if (BgL_test1942z00_2574)
									{	/* Uncell/walk.scm 44 */
										obj_t BgL_arg1482z00_1519;
										obj_t BgL_arg1484z00_1520;

										BgL_arg1482z00_1519 = CDR(((obj_t) BgL_hooksz00_1513));
										BgL_arg1484z00_1520 = CDR(((obj_t) BgL_hnamesz00_1514));
										{
											obj_t BgL_hnamesz00_2586;
											obj_t BgL_hooksz00_2585;

											BgL_hooksz00_2585 = BgL_arg1482z00_1519;
											BgL_hnamesz00_2586 = BgL_arg1484z00_1520;
											BgL_hnamesz00_1514 = BgL_hnamesz00_2586;
											BgL_hooksz00_1513 = BgL_hooksz00_2585;
											goto BgL_zc3z04anonymousza31472ze3z87_1515;
										}
									}
								else
									{	/* Uncell/walk.scm 44 */
										obj_t BgL_arg1496z00_1521;

										BgL_arg1496z00_1521 = CAR(((obj_t) BgL_hnamesz00_1514));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1873z00zzuncell_walkz00, BgL_arg1496z00_1521);
									}
							}
					}
				}
		}

	}



/* &uncell-walk! */
	obj_t BGl_z62uncellzd2walkz12za2zzuncell_walkz00(obj_t BgL_envz00_2295,
		obj_t BgL_globalsz00_2296)
	{
		{	/* Uncell/walk.scm 41 */
			return BGl_uncellzd2walkz12zc0zzuncell_walkz00(BgL_globalsz00_2296);
		}

	}



/* uncell-fun! */
	obj_t BGl_uncellzd2funz12zc0zzuncell_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Uncell/walk.scm 49 */
			{	/* Uncell/walk.scm 50 */
				obj_t BgL_arg1506z00_1525;

				BgL_arg1506z00_1525 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1506z00_1525);
			}
			{	/* Uncell/walk.scm 51 */
				BgL_valuez00_bglt BgL_funz00_1526;

				BgL_funz00_1526 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Uncell/walk.scm 51 */
					obj_t BgL_bodyz00_1527;

					BgL_bodyz00_1527 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1526)))->BgL_bodyz00);
					{	/* Uncell/walk.scm 52 */

						BGl_markzd2cellzd2zzuncell_walkz00(
							((BgL_nodez00_bglt) BgL_bodyz00_1527));
						BGl_uncellz12z12zzuncell_walkz00(
							((BgL_nodez00_bglt) BgL_bodyz00_1527));
						BGl_leavezd2functionzd2zztools_errorz00();
						return BgL_varz00_18;
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			{	/* Uncell/walk.scm 35 */
				obj_t BgL_arg1523z00_1532;
				obj_t BgL_arg1524z00_1533;

				{	/* Uncell/walk.scm 35 */
					obj_t BgL_v1342z00_1568;

					BgL_v1342z00_1568 = create_vector(((long) 1));
					{	/* Uncell/walk.scm 35 */
						obj_t BgL_arg1561z00_1569;

						BgL_arg1561z00_1569 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc1876z00zzuncell_walkz00,
							BGl_proc1875z00zzuncell_walkz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1874z00zzuncell_walkz00,
							CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1342z00_1568, ((long) 0), BgL_arg1561z00_1569);
					}
					BgL_arg1523z00_1532 = BgL_v1342z00_1568;
				}
				{	/* Uncell/walk.scm 35 */
					obj_t BgL_v1343z00_1582;

					BgL_v1343z00_1582 = create_vector(((long) 0));
					BgL_arg1524z00_1533 = BgL_v1343z00_1582;
				}
				return (BGl_localzf2infozf2zzuncell_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)), BGl_localz00zzast_varz00, ((long) 1375),
						BGl_proc1880z00zzuncell_walkz00, BGl_proc1879z00zzuncell_walkz00,
						BFALSE, BGl_proc1878z00zzuncell_walkz00,
						BGl_proc1877z00zzuncell_walkz00, BgL_arg1523z00_1532,
						BgL_arg1524z00_1533), BUNSPEC);
		}}

	}



/* &lambda1534 */
	BgL_localz00_bglt BGl_z62lambda1534z62zzuncell_walkz00(obj_t BgL_envz00_2304,
		obj_t BgL_o1123z00_2305)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				long BgL_arg1535z00_2375;

				{	/* Uncell/walk.scm 35 */
					obj_t BgL_arg1558z00_2376;

					{	/* Uncell/walk.scm 35 */
						obj_t BgL_arg1559z00_2377;

						{	/* Uncell/walk.scm 35 */
							long BgL_arg1828z00_2378;

							{	/* Uncell/walk.scm 35 */
								long BgL_arg1829z00_2379;

								BgL_arg1829z00_2379 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1123z00_2305)));
								BgL_arg1828z00_2378 = (BgL_arg1829z00_2379 - OBJECT_TYPE);
							}
							BgL_arg1559z00_2377 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_2378);
						}
						BgL_arg1558z00_2376 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1559z00_2377);
					}
					{	/* Uncell/walk.scm 35 */
						obj_t BgL_tmpz00_2618;

						BgL_tmpz00_2618 = ((obj_t) BgL_arg1558z00_2376);
						BgL_arg1535z00_2375 = BGL_CLASS_NUM(BgL_tmpz00_2618);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1123z00_2305)), BgL_arg1535z00_2375);
			}
			{	/* Uncell/walk.scm 35 */
				BgL_objectz00_bglt BgL_tmpz00_2624;

				BgL_tmpz00_2624 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_2305));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2624, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_2305));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_2305));
		}

	}



/* &<@anonymous:1533> */
	obj_t BGl_z62zc3z04anonymousza31533ze3ze5zzuncell_walkz00(obj_t
		BgL_envz00_2306, obj_t BgL_new1122z00_2307)
	{
		{	/* Uncell/walk.scm 35 */
			{
				BgL_localz00_bglt BgL_auxz00_2632;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1122z00_2307))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_2307))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_2640;

					{	/* Uncell/walk.scm 35 */
						obj_t BgL_classz00_2381;

						BgL_classz00_2381 = BGl_typez00zztype_typez00;
						{	/* Uncell/walk.scm 35 */
							obj_t BgL__ortest_1113z00_2382;

							BgL__ortest_1113z00_2382 = BGL_CLASS_NIL(BgL_classz00_2381);
							if (CBOOL(BgL__ortest_1113z00_2382))
								{	/* Uncell/walk.scm 35 */
									BgL_auxz00_2640 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_2382);
								}
							else
								{	/* Uncell/walk.scm 35 */
									BgL_auxz00_2640 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2381));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1122z00_2307))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_2640), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_2650;

					{	/* Uncell/walk.scm 35 */
						obj_t BgL_classz00_2383;

						BgL_classz00_2383 = BGl_valuez00zzast_varz00;
						{	/* Uncell/walk.scm 35 */
							obj_t BgL__ortest_1113z00_2384;

							BgL__ortest_1113z00_2384 = BGL_CLASS_NIL(BgL_classz00_2383);
							if (CBOOL(BgL__ortest_1113z00_2384))
								{	/* Uncell/walk.scm 35 */
									BgL_auxz00_2650 =
										((BgL_valuez00_bglt) BgL__ortest_1113z00_2384);
								}
							else
								{	/* Uncell/walk.scm 35 */
									BgL_auxz00_2650 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2383));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1122z00_2307))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_2650), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1122z00_2307))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_2307))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_2307))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_2307))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_2307))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_2307))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_2307))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_2307))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_2307))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2infozf2_bglt BgL_auxz00_2687;

					{
						obj_t BgL_auxz00_2688;

						{	/* Uncell/walk.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_2689;

							BgL_tmpz00_2689 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1122z00_2307));
							BgL_auxz00_2688 = BGL_OBJECT_WIDENING(BgL_tmpz00_2689);
						}
						BgL_auxz00_2687 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_2688);
					}
					((((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2687))->
							BgL_escapez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_2632 = ((BgL_localz00_bglt) BgL_new1122z00_2307);
				return ((obj_t) BgL_auxz00_2632);
			}
		}

	}



/* &lambda1530 */
	BgL_localz00_bglt BGl_z62lambda1530z62zzuncell_walkz00(obj_t BgL_envz00_2308,
		obj_t BgL_o1118z00_2309)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				BgL_localzf2infozf2_bglt BgL_wide1120z00_2386;

				BgL_wide1120z00_2386 =
					((BgL_localzf2infozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2infozf2_bgl))));
				{	/* Uncell/walk.scm 35 */
					obj_t BgL_auxz00_2702;
					BgL_objectz00_bglt BgL_tmpz00_2698;

					BgL_auxz00_2702 = ((obj_t) BgL_wide1120z00_2386);
					BgL_tmpz00_2698 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_2309)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2698, BgL_auxz00_2702);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_2309)));
				{	/* Uncell/walk.scm 35 */
					long BgL_arg1532z00_2387;

					BgL_arg1532z00_2387 =
						BGL_CLASS_NUM(BGl_localzf2infozf2zzuncell_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1118z00_2309))), BgL_arg1532z00_2387);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_2309)));
			}
		}

	}



/* &lambda1525 */
	BgL_localz00_bglt BGl_z62lambda1525z62zzuncell_walkz00(obj_t BgL_envz00_2310,
		obj_t BgL_id1104z00_2311, obj_t BgL_name1105z00_2312,
		obj_t BgL_type1106z00_2313, obj_t BgL_value1107z00_2314,
		obj_t BgL_access1108z00_2315, obj_t BgL_fastzd2alpha1109zd2_2316,
		obj_t BgL_removable1110z00_2317, obj_t BgL_occurrence1111z00_2318,
		obj_t BgL_occurrencew1112z00_2319, obj_t BgL_userzf31113zf3_2320,
		obj_t BgL_key1114z00_2321, obj_t BgL_valzd2noescape1115zd2_2322,
		obj_t BgL_volatile1116z00_2323, obj_t BgL_escape1117z00_2324)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				long BgL_occurrence1111z00_2391;
				long BgL_occurrencew1112z00_2392;
				bool_t BgL_userzf31113zf3_2393;
				long BgL_key1114z00_2394;
				bool_t BgL_volatile1116z00_2395;
				bool_t BgL_escape1117z00_2396;

				BgL_occurrence1111z00_2391 = (long) CINT(BgL_occurrence1111z00_2318);
				BgL_occurrencew1112z00_2392 = (long) CINT(BgL_occurrencew1112z00_2319);
				BgL_userzf31113zf3_2393 = CBOOL(BgL_userzf31113zf3_2320);
				BgL_key1114z00_2394 = (long) CINT(BgL_key1114z00_2321);
				BgL_volatile1116z00_2395 = CBOOL(BgL_volatile1116z00_2323);
				BgL_escape1117z00_2396 = CBOOL(BgL_escape1117z00_2324);
				{	/* Uncell/walk.scm 35 */
					BgL_localz00_bglt BgL_new1158z00_2397;

					{	/* Uncell/walk.scm 35 */
						BgL_localz00_bglt BgL_tmp1156z00_2398;
						BgL_localzf2infozf2_bglt BgL_wide1157z00_2399;

						{
							BgL_localz00_bglt BgL_auxz00_2722;

							{	/* Uncell/walk.scm 35 */
								BgL_localz00_bglt BgL_new1155z00_2400;

								BgL_new1155z00_2400 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Uncell/walk.scm 35 */
									long BgL_arg1529z00_2401;

									BgL_arg1529z00_2401 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1155z00_2400),
										BgL_arg1529z00_2401);
								}
								{	/* Uncell/walk.scm 35 */
									BgL_objectz00_bglt BgL_tmpz00_2727;

									BgL_tmpz00_2727 = ((BgL_objectz00_bglt) BgL_new1155z00_2400);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2727, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1155z00_2400);
								BgL_auxz00_2722 = BgL_new1155z00_2400;
							}
							BgL_tmp1156z00_2398 = ((BgL_localz00_bglt) BgL_auxz00_2722);
						}
						BgL_wide1157z00_2399 =
							((BgL_localzf2infozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2infozf2_bgl))));
						{	/* Uncell/walk.scm 35 */
							obj_t BgL_auxz00_2735;
							BgL_objectz00_bglt BgL_tmpz00_2733;

							BgL_auxz00_2735 = ((obj_t) BgL_wide1157z00_2399);
							BgL_tmpz00_2733 = ((BgL_objectz00_bglt) BgL_tmp1156z00_2398);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2733, BgL_auxz00_2735);
						}
						((BgL_objectz00_bglt) BgL_tmp1156z00_2398);
						{	/* Uncell/walk.scm 35 */
							long BgL_arg1526z00_2402;

							BgL_arg1526z00_2402 =
								BGL_CLASS_NUM(BGl_localzf2infozf2zzuncell_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1156z00_2398),
								BgL_arg1526z00_2402);
						}
						BgL_new1158z00_2397 = ((BgL_localz00_bglt) BgL_tmp1156z00_2398);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1158z00_2397)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1104z00_2311)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1158z00_2397)))->BgL_namez00) =
						((obj_t) BgL_name1105z00_2312), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1158z00_2397)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1106z00_2313)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1158z00_2397)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1107z00_2314)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1158z00_2397)))->BgL_accessz00) =
						((obj_t) BgL_access1108z00_2315), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1158z00_2397)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1109zd2_2316), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1158z00_2397)))->BgL_removablez00) =
						((obj_t) BgL_removable1110z00_2317), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1158z00_2397)))->BgL_occurrencez00) =
						((long) BgL_occurrence1111z00_2391), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1158z00_2397)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1112z00_2392), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1158z00_2397)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31113zf3_2393), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1158z00_2397)))->BgL_keyz00) =
						((long) BgL_key1114z00_2394), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1158z00_2397)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1115zd2_2322), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1158z00_2397)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1116z00_2395), BUNSPEC);
					{
						BgL_localzf2infozf2_bglt BgL_auxz00_2772;

						{
							obj_t BgL_auxz00_2773;

							{	/* Uncell/walk.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_2774;

								BgL_tmpz00_2774 = ((BgL_objectz00_bglt) BgL_new1158z00_2397);
								BgL_auxz00_2773 = BGL_OBJECT_WIDENING(BgL_tmpz00_2774);
							}
							BgL_auxz00_2772 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_2773);
						}
						((((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2772))->
								BgL_escapez00) = ((bool_t) BgL_escape1117z00_2396), BUNSPEC);
					}
					return BgL_new1158z00_2397;
				}
			}
		}

	}



/* &<@anonymous:1573> */
	obj_t BGl_z62zc3z04anonymousza31573ze3ze5zzuncell_walkz00(obj_t
		BgL_envz00_2325)
	{
		{	/* Uncell/walk.scm 35 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1572 */
	obj_t BGl_z62lambda1572z62zzuncell_walkz00(obj_t BgL_envz00_2326,
		obj_t BgL_oz00_2327, obj_t BgL_vz00_2328)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				bool_t BgL_vz00_2404;

				BgL_vz00_2404 = CBOOL(BgL_vz00_2328);
				{
					BgL_localzf2infozf2_bglt BgL_auxz00_2781;

					{
						obj_t BgL_auxz00_2782;

						{	/* Uncell/walk.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_2783;

							BgL_tmpz00_2783 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2327));
							BgL_auxz00_2782 = BGL_OBJECT_WIDENING(BgL_tmpz00_2783);
						}
						BgL_auxz00_2781 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_2782);
					}
					return
						((((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2781))->
							BgL_escapez00) = ((bool_t) BgL_vz00_2404), BUNSPEC);
				}
			}
		}

	}



/* &lambda1571 */
	obj_t BGl_z62lambda1571z62zzuncell_walkz00(obj_t BgL_envz00_2329,
		obj_t BgL_oz00_2330)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				bool_t BgL_tmpz00_2789;

				{
					BgL_localzf2infozf2_bglt BgL_auxz00_2790;

					{
						obj_t BgL_auxz00_2791;

						{	/* Uncell/walk.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_2792;

							BgL_tmpz00_2792 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2330));
							BgL_auxz00_2791 = BGL_OBJECT_WIDENING(BgL_tmpz00_2792);
						}
						BgL_auxz00_2790 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_2791);
					}
					BgL_tmpz00_2789 =
						(((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2790))->
						BgL_escapez00);
				}
				return BBOOL(BgL_tmpz00_2789);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00,
				BGl_proc1881z00zzuncell_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1882z00zzuncell_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncellz12zd2envzc0zzuncell_walkz00,
				BGl_proc1883z00zzuncell_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1884z00zzuncell_walkz00);
		}

	}



/* &uncell!1354 */
	obj_t BGl_z62uncellz121354z70zzuncell_walkz00(obj_t BgL_envz00_2337,
		obj_t BgL_nodez00_2338)
	{
		{	/* Uncell/walk.scm 104 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2338),
					BGl_uncellz12zd2envzc0zzuncell_walkz00));
		}

	}



/* &mark-cell1344 */
	obj_t BGl_z62markzd2cell1344zb0zzuncell_walkz00(obj_t BgL_envz00_2339,
		obj_t BgL_nodez00_2340)
	{
		{	/* Uncell/walk.scm 64 */
			return
				BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2340),
				BGl_markzd2cellzd2envz00zzuncell_walkz00);
		}

	}



/* mark-cell */
	obj_t BGl_markzd2cellzd2zzuncell_walkz00(BgL_nodez00_bglt BgL_nodez00_19)
	{
		{	/* Uncell/walk.scm 64 */
			{	/* Uncell/walk.scm 64 */
				obj_t BgL_method1345z00_1617;

				{	/* Uncell/walk.scm 64 */
					obj_t BgL_res1857z00_2098;

					{	/* Uncell/walk.scm 64 */
						long BgL_objzd2classzd2numz00_2069;

						BgL_objzd2classzd2numz00_2069 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Uncell/walk.scm 64 */
							obj_t BgL_arg1825z00_2070;

							BgL_arg1825z00_2070 =
								PROCEDURE_REF(BGl_markzd2cellzd2envz00zzuncell_walkz00,
								(int) (((long) 1)));
							{	/* Uncell/walk.scm 64 */
								int BgL_offsetz00_2073;

								BgL_offsetz00_2073 = (int) (BgL_objzd2classzd2numz00_2069);
								{	/* Uncell/walk.scm 64 */
									long BgL_offsetz00_2074;

									BgL_offsetz00_2074 =
										((long) (BgL_offsetz00_2073) - OBJECT_TYPE);
									{	/* Uncell/walk.scm 64 */
										long BgL_modz00_2075;

										BgL_modz00_2075 =
											(BgL_offsetz00_2074 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Uncell/walk.scm 64 */
											long BgL_restz00_2077;

											BgL_restz00_2077 =
												(BgL_offsetz00_2074 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Uncell/walk.scm 64 */

												{	/* Uncell/walk.scm 64 */
													obj_t BgL_bucketz00_2079;

													BgL_bucketz00_2079 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2070), BgL_modz00_2075);
													BgL_res1857z00_2098 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2079), BgL_restz00_2077);
					}}}}}}}}
					BgL_method1345z00_1617 = BgL_res1857z00_2098;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1345z00_1617)) (BgL_method1345z00_1617,
					((obj_t) BgL_nodez00_19), BEOA);
			}
		}

	}



/* &mark-cell */
	obj_t BGl_z62markzd2cellzb0zzuncell_walkz00(obj_t BgL_envz00_2335,
		obj_t BgL_nodez00_2336)
	{
		{	/* Uncell/walk.scm 64 */
			return
				BGl_markzd2cellzd2zzuncell_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2336));
		}

	}



/* uncell! */
	BgL_nodez00_bglt BGl_uncellz12z12zzuncell_walkz00(BgL_nodez00_bglt
		BgL_nodez00_24)
	{
		{	/* Uncell/walk.scm 104 */
			{	/* Uncell/walk.scm 104 */
				obj_t BgL_method1356z00_1618;

				{	/* Uncell/walk.scm 104 */
					obj_t BgL_res1862z00_2129;

					{	/* Uncell/walk.scm 104 */
						long BgL_objzd2classzd2numz00_2100;

						BgL_objzd2classzd2numz00_2100 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_24));
						{	/* Uncell/walk.scm 104 */
							obj_t BgL_arg1825z00_2101;

							BgL_arg1825z00_2101 =
								PROCEDURE_REF(BGl_uncellz12zd2envzc0zzuncell_walkz00,
								(int) (((long) 1)));
							{	/* Uncell/walk.scm 104 */
								int BgL_offsetz00_2104;

								BgL_offsetz00_2104 = (int) (BgL_objzd2classzd2numz00_2100);
								{	/* Uncell/walk.scm 104 */
									long BgL_offsetz00_2105;

									BgL_offsetz00_2105 =
										((long) (BgL_offsetz00_2104) - OBJECT_TYPE);
									{	/* Uncell/walk.scm 104 */
										long BgL_modz00_2106;

										BgL_modz00_2106 =
											(BgL_offsetz00_2105 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Uncell/walk.scm 104 */
											long BgL_restz00_2108;

											BgL_restz00_2108 =
												(BgL_offsetz00_2105 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Uncell/walk.scm 104 */

												{	/* Uncell/walk.scm 104 */
													obj_t BgL_bucketz00_2110;

													BgL_bucketz00_2110 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2101), BgL_modz00_2106);
													BgL_res1862z00_2129 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2110), BgL_restz00_2108);
					}}}}}}}}
					BgL_method1356z00_1618 = BgL_res1862z00_2129;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1356z00_1618)) (BgL_method1356z00_1618,
						((obj_t) BgL_nodez00_24), BEOA));
			}
		}

	}



/* &uncell! */
	BgL_nodez00_bglt BGl_z62uncellz12z70zzuncell_walkz00(obj_t BgL_envz00_2332,
		obj_t BgL_nodez00_2333)
	{
		{	/* Uncell/walk.scm 104 */
			return
				BGl_uncellz12z12zzuncell_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2333));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc1885z00zzuncell_walkz00, BGl_string1886z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1887z00zzuncell_walkz00,
				BGl_string1886z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1888z00zzuncell_walkz00,
				BGl_string1886z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1889z00zzuncell_walkz00,
				BGl_string1886z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncellz12zd2envzc0zzuncell_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1890z00zzuncell_walkz00, BGl_string1891z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncellz12zd2envzc0zzuncell_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1892z00zzuncell_walkz00, BGl_string1891z00zzuncell_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncellz12zd2envzc0zzuncell_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1893z00zzuncell_walkz00,
				BGl_string1891z00zzuncell_walkz00);
		}

	}



/* &uncell!-box-set!1362 */
	BgL_nodez00_bglt BGl_z62uncellz12zd2boxzd2setz121362z62zzuncell_walkz00(obj_t
		BgL_envz00_2348, obj_t BgL_nodez00_2349)
	{
		{	/* Uncell/walk.scm 137 */
			{	/* Uncell/walk.scm 138 */
				BgL_variablez00_bglt BgL_varz00_2409;

				BgL_varz00_2409 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2349)))->
								BgL_varz00)))->BgL_variablez00);
				{	/* Uncell/walk.scm 139 */
					bool_t BgL_test1945z00_2881;

					{	/* Uncell/walk.scm 139 */
						obj_t BgL_classz00_2410;

						BgL_classz00_2410 = BGl_localzf2infozf2zzuncell_walkz00;
						{	/* Uncell/walk.scm 139 */
							obj_t BgL_oclassz00_2411;

							{	/* Uncell/walk.scm 139 */
								long BgL_arg1828z00_2412;

								{	/* Uncell/walk.scm 139 */
									long BgL_arg1829z00_2413;

									BgL_arg1829z00_2413 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_varz00_2409));
									BgL_arg1828z00_2412 = (BgL_arg1829z00_2413 - OBJECT_TYPE);
								}
								BgL_oclassz00_2411 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1828z00_2412);
							}
							BgL_test1945z00_2881 = (BgL_oclassz00_2411 == BgL_classz00_2410);
					}}
					if (BgL_test1945z00_2881)
						{	/* Uncell/walk.scm 141 */
							bool_t BgL_test1946z00_2887;

							{
								BgL_localzf2infozf2_bglt BgL_auxz00_2888;

								{
									obj_t BgL_auxz00_2889;

									{	/* Uncell/walk.scm 141 */
										BgL_objectz00_bglt BgL_tmpz00_2890;

										BgL_tmpz00_2890 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_varz00_2409));
										BgL_auxz00_2889 = BGL_OBJECT_WIDENING(BgL_tmpz00_2890);
									}
									BgL_auxz00_2888 =
										((BgL_localzf2infozf2_bglt) BgL_auxz00_2889);
								}
								BgL_test1946z00_2887 =
									(((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2888))->
									BgL_escapez00);
							}
							if (BgL_test1946z00_2887)
								{	/* Uncell/walk.scm 141 */
									return
										BGl_walk0z12z12zzast_walkz00(
										((BgL_nodez00_bglt)
											((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2349)),
										BGl_uncellz12zd2envzc0zzuncell_walkz00);
								}
							else
								{	/* Uncell/walk.scm 143 */
									BgL_setqz00_bglt BgL_new1154z00_2414;

									{	/* Uncell/walk.scm 143 */
										BgL_setqz00_bglt BgL_new1153z00_2415;

										BgL_new1153z00_2415 =
											((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_setqz00_bgl))));
										{	/* Uncell/walk.scm 143 */
											long BgL_arg1711z00_2416;

											BgL_arg1711z00_2416 =
												BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1153z00_2415),
												BgL_arg1711z00_2416);
										}
										{	/* Uncell/walk.scm 143 */
											BgL_objectz00_bglt BgL_tmpz00_2903;

											BgL_tmpz00_2903 =
												((BgL_objectz00_bglt) BgL_new1153z00_2415);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2903, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1153z00_2415);
										BgL_new1154z00_2414 = BgL_new1153z00_2415;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1154z00_2414)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1154z00_2414)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
									((((BgL_setqz00_bglt) COBJECT(BgL_new1154z00_2414))->
											BgL_varz00) =
										((BgL_varz00_bglt) (((BgL_boxzd2setz12zc0_bglt)
													COBJECT(((BgL_boxzd2setz12zc0_bglt)
															BgL_nodez00_2349)))->BgL_varz00)), BUNSPEC);
									{
										BgL_nodez00_bglt BgL_auxz00_2915;

										{	/* Uncell/walk.scm 146 */
											BgL_nodez00_bglt BgL_arg1705z00_2417;

											BgL_arg1705z00_2417 =
												(((BgL_boxzd2setz12zc0_bglt) COBJECT(
														((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2349)))->
												BgL_valuez00);
											BgL_auxz00_2915 =
												BGl_uncellz12z12zzuncell_walkz00(BgL_arg1705z00_2417);
										}
										((((BgL_setqz00_bglt) COBJECT(BgL_new1154z00_2414))->
												BgL_valuez00) =
											((BgL_nodez00_bglt) BgL_auxz00_2915), BUNSPEC);
									}
									return ((BgL_nodez00_bglt) BgL_new1154z00_2414);
								}
						}
					else
						{	/* Uncell/walk.scm 139 */
							return
								BGl_walk0z12z12zzast_walkz00(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2349)),
								BGl_uncellz12zd2envzc0zzuncell_walkz00);
						}
				}
			}
		}

	}



/* &uncell!-box-ref1360 */
	BgL_nodez00_bglt BGl_z62uncellz12zd2boxzd2ref1360z70zzuncell_walkz00(obj_t
		BgL_envz00_2350, obj_t BgL_nodez00_2351)
	{
		{	/* Uncell/walk.scm 125 */
			{	/* Uncell/walk.scm 126 */
				BgL_variablez00_bglt BgL_varz00_2419;

				BgL_varz00_2419 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_boxzd2refzd2_bglt) COBJECT(
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_2351)))->
								BgL_varz00)))->BgL_variablez00);
				{	/* Uncell/walk.scm 127 */
					bool_t BgL_test1947z00_2927;

					{	/* Uncell/walk.scm 127 */
						obj_t BgL_classz00_2420;

						BgL_classz00_2420 = BGl_localzf2infozf2zzuncell_walkz00;
						{	/* Uncell/walk.scm 127 */
							obj_t BgL_oclassz00_2421;

							{	/* Uncell/walk.scm 127 */
								long BgL_arg1828z00_2422;

								{	/* Uncell/walk.scm 127 */
									long BgL_arg1829z00_2423;

									BgL_arg1829z00_2423 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_varz00_2419));
									BgL_arg1828z00_2422 = (BgL_arg1829z00_2423 - OBJECT_TYPE);
								}
								BgL_oclassz00_2421 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1828z00_2422);
							}
							BgL_test1947z00_2927 = (BgL_oclassz00_2421 == BgL_classz00_2420);
					}}
					if (BgL_test1947z00_2927)
						{	/* Uncell/walk.scm 129 */
							bool_t BgL_test1948z00_2933;

							{
								BgL_localzf2infozf2_bglt BgL_auxz00_2934;

								{
									obj_t BgL_auxz00_2935;

									{	/* Uncell/walk.scm 129 */
										BgL_objectz00_bglt BgL_tmpz00_2936;

										BgL_tmpz00_2936 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_varz00_2419));
										BgL_auxz00_2935 = BGL_OBJECT_WIDENING(BgL_tmpz00_2936);
									}
									BgL_auxz00_2934 =
										((BgL_localzf2infozf2_bglt) BgL_auxz00_2935);
								}
								BgL_test1948z00_2933 =
									(((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2934))->
									BgL_escapez00);
							}
							if (BgL_test1948z00_2933)
								{	/* Uncell/walk.scm 129 */
									return
										((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_2351));
								}
							else
								{	/* Uncell/walk.scm 129 */
									return
										((BgL_nodez00_bglt)
										(((BgL_boxzd2refzd2_bglt) COBJECT(
													((BgL_boxzd2refzd2_bglt) BgL_nodez00_2351)))->
											BgL_varz00));
								}
						}
					else
						{	/* Uncell/walk.scm 127 */
							return
								((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2351));
						}
				}
			}
		}

	}



/* &uncell!-let-var1358 */
	BgL_nodez00_bglt BGl_z62uncellz12zd2letzd2var1358z70zzuncell_walkz00(obj_t
		BgL_envz00_2352, obj_t BgL_nodez00_2353)
	{
		{	/* Uncell/walk.scm 110 */
			{	/* Uncell/walk.scm 112 */
				obj_t BgL_g1341z00_2425;

				BgL_g1341z00_2425 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2353)))->BgL_bindingsz00);
				{
					obj_t BgL_l1339z00_2427;

					BgL_l1339z00_2427 = BgL_g1341z00_2425;
				BgL_zc3z04anonymousza31652ze3z87_2426:
					if (PAIRP(BgL_l1339z00_2427))
						{	/* Uncell/walk.scm 112 */
							{	/* Uncell/walk.scm 113 */
								obj_t BgL_bindingz00_2428;

								BgL_bindingz00_2428 = CAR(BgL_l1339z00_2427);
								{	/* Uncell/walk.scm 113 */
									bool_t BgL_test1950z00_2954;

									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															CAR(
																((obj_t) BgL_bindingz00_2428)))))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 6))))
										{	/* Uncell/walk.scm 114 */
											obj_t BgL_arg1682z00_2429;

											BgL_arg1682z00_2429 = CDR(((obj_t) BgL_bindingz00_2428));
											{	/* Uncell/walk.scm 114 */
												obj_t BgL_classz00_2430;

												BgL_classz00_2430 = BGl_makezd2boxzd2zzast_nodez00;
												if (BGL_OBJECTP(BgL_arg1682z00_2429))
													{	/* Uncell/walk.scm 114 */
														BgL_objectz00_bglt BgL_arg1820z00_2431;

														BgL_arg1820z00_2431 =
															(BgL_objectz00_bglt) (BgL_arg1682z00_2429);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Uncell/walk.scm 114 */
																long BgL_idxz00_2432;

																BgL_idxz00_2432 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_2431);
																BgL_test1950z00_2954 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2432 + ((long) 3))) ==
																	BgL_classz00_2430);
															}
														else
															{	/* Uncell/walk.scm 114 */
																bool_t BgL_res1864z00_2435;

																{	/* Uncell/walk.scm 114 */
																	obj_t BgL_oclassz00_2436;

																	{	/* Uncell/walk.scm 114 */
																		long BgL_arg1828z00_2437;

																		{	/* Uncell/walk.scm 114 */
																			long BgL_arg1829z00_2438;

																			BgL_arg1829z00_2438 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_2431);
																			BgL_arg1828z00_2437 =
																				(BgL_arg1829z00_2438 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2436 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_2437);
																	}
																	{	/* Uncell/walk.scm 114 */
																		bool_t BgL__ortest_1111z00_2439;

																		BgL__ortest_1111z00_2439 =
																			(BgL_classz00_2430 == BgL_oclassz00_2436);
																		if (BgL__ortest_1111z00_2439)
																			{	/* Uncell/walk.scm 114 */
																				BgL_res1864z00_2435 =
																					BgL__ortest_1111z00_2439;
																			}
																		else
																			{	/* Uncell/walk.scm 114 */
																				long BgL_odepthz00_2440;

																				BgL_odepthz00_2440 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2436);
																				if ((((long) 3) < BgL_odepthz00_2440))
																					{	/* Uncell/walk.scm 114 */
																						obj_t BgL_arg1816z00_2441;

																						BgL_arg1816z00_2441 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2436, ((long) 3));
																						BgL_res1864z00_2435 =
																							(BgL_arg1816z00_2441 ==
																							BgL_classz00_2430);
																					}
																				else
																					{	/* Uncell/walk.scm 114 */
																						BgL_res1864z00_2435 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1950z00_2954 = BgL_res1864z00_2435;
															}
													}
												else
													{	/* Uncell/walk.scm 114 */
														BgL_test1950z00_2954 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* Uncell/walk.scm 113 */
											BgL_test1950z00_2954 = ((bool_t) 0);
										}
									if (BgL_test1950z00_2954)
										{	/* Uncell/walk.scm 115 */
											BgL_localz00_bglt BgL_i1150z00_2442;

											BgL_i1150z00_2442 =
												((BgL_localz00_bglt)
												CAR(((obj_t) BgL_bindingz00_2428)));
											{	/* Uncell/walk.scm 116 */
												bool_t BgL_test1956z00_2986;

												{
													BgL_localzf2infozf2_bglt BgL_auxz00_2987;

													{
														obj_t BgL_auxz00_2988;

														{	/* Uncell/walk.scm 116 */
															BgL_objectz00_bglt BgL_tmpz00_2989;

															BgL_tmpz00_2989 =
																((BgL_objectz00_bglt) BgL_i1150z00_2442);
															BgL_auxz00_2988 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2989);
														}
														BgL_auxz00_2987 =
															((BgL_localzf2infozf2_bglt) BgL_auxz00_2988);
													}
													BgL_test1956z00_2986 =
														(((BgL_localzf2infozf2_bglt)
															COBJECT(BgL_auxz00_2987))->BgL_escapez00);
												}
												if (BgL_test1956z00_2986)
													{	/* Uncell/walk.scm 116 */
														BFALSE;
													}
												else
													{	/* Uncell/walk.scm 116 */
														{	/* Uncell/walk.scm 117 */
															BgL_nodez00_bglt BgL_arg1677z00_2443;

															BgL_arg1677z00_2443 =
																(((BgL_makezd2boxzd2_bglt) COBJECT(
																		((BgL_makezd2boxzd2_bglt)
																			CDR(
																				((obj_t) BgL_bindingz00_2428)))))->
																BgL_valuez00);
															{	/* Uncell/walk.scm 117 */
																obj_t BgL_auxz00_3000;
																obj_t BgL_tmpz00_2998;

																BgL_auxz00_3000 = ((obj_t) BgL_arg1677z00_2443);
																BgL_tmpz00_2998 = ((obj_t) BgL_bindingz00_2428);
																SET_CDR(BgL_tmpz00_2998, BgL_auxz00_3000);
															}
														}
														((((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			BgL_i1150z00_2442)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
													}
											}
										}
									else
										{	/* Uncell/walk.scm 113 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1339z00_3006;

								BgL_l1339z00_3006 = CDR(BgL_l1339z00_2427);
								BgL_l1339z00_2427 = BgL_l1339z00_3006;
								goto BgL_zc3z04anonymousza31652ze3z87_2426;
							}
						}
					else
						{	/* Uncell/walk.scm 112 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_walk0z12z12zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_letzd2varzd2_bglt) BgL_nodez00_2353)),
				BGl_uncellz12zd2envzc0zzuncell_walkz00);
		}

	}



/* &mark-cell-box-set!1353 */
	obj_t BGl_z62markzd2cellzd2boxzd2setz121353za2zzuncell_walkz00(obj_t
		BgL_envz00_2354, obj_t BgL_nodez00_2355)
	{
		{	/* Uncell/walk.scm 96 */
			return
				BGl_markzd2cellzd2zzuncell_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2355)))->BgL_valuez00));
		}

	}



/* &mark-cell-box-ref1351 */
	obj_t BGl_z62markzd2cellzd2boxzd2ref1351zb0zzuncell_walkz00(obj_t
		BgL_envz00_2356, obj_t BgL_nodez00_2357)
	{
		{	/* Uncell/walk.scm 90 */
			return ((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2357));
		}

	}



/* &mark-cell-let-var1349 */
	obj_t BGl_z62markzd2cellzd2letzd2var1349zb0zzuncell_walkz00(obj_t
		BgL_envz00_2358, obj_t BgL_nodez00_2359)
	{
		{	/* Uncell/walk.scm 78 */
			{	/* Uncell/walk.scm 80 */
				obj_t BgL_g1338z00_2447;

				BgL_g1338z00_2447 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2359)))->BgL_bindingsz00);
				{
					obj_t BgL_l1336z00_2449;

					BgL_l1336z00_2449 = BgL_g1338z00_2447;
				BgL_zc3z04anonymousza31604ze3z87_2448:
					if (PAIRP(BgL_l1336z00_2449))
						{	/* Uncell/walk.scm 80 */
							{	/* Uncell/walk.scm 81 */
								obj_t BgL_bindingz00_2450;

								BgL_bindingz00_2450 = CAR(BgL_l1336z00_2449);
								{	/* Uncell/walk.scm 81 */
									bool_t BgL_test1958z00_3021;

									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															CAR(
																((obj_t) BgL_bindingz00_2450)))))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 6))))
										{	/* Uncell/walk.scm 82 */
											obj_t BgL_arg1635z00_2451;

											BgL_arg1635z00_2451 = CDR(((obj_t) BgL_bindingz00_2450));
											{	/* Uncell/walk.scm 82 */
												obj_t BgL_classz00_2452;

												BgL_classz00_2452 = BGl_makezd2boxzd2zzast_nodez00;
												if (BGL_OBJECTP(BgL_arg1635z00_2451))
													{	/* Uncell/walk.scm 82 */
														BgL_objectz00_bglt BgL_arg1820z00_2453;

														BgL_arg1820z00_2453 =
															(BgL_objectz00_bglt) (BgL_arg1635z00_2451);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Uncell/walk.scm 82 */
																long BgL_idxz00_2454;

																BgL_idxz00_2454 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_2453);
																BgL_test1958z00_3021 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2454 + ((long) 3))) ==
																	BgL_classz00_2452);
															}
														else
															{	/* Uncell/walk.scm 82 */
																bool_t BgL_res1863z00_2457;

																{	/* Uncell/walk.scm 82 */
																	obj_t BgL_oclassz00_2458;

																	{	/* Uncell/walk.scm 82 */
																		long BgL_arg1828z00_2459;

																		{	/* Uncell/walk.scm 82 */
																			long BgL_arg1829z00_2460;

																			BgL_arg1829z00_2460 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_2453);
																			BgL_arg1828z00_2459 =
																				(BgL_arg1829z00_2460 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2458 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_2459);
																	}
																	{	/* Uncell/walk.scm 82 */
																		bool_t BgL__ortest_1111z00_2461;

																		BgL__ortest_1111z00_2461 =
																			(BgL_classz00_2452 == BgL_oclassz00_2458);
																		if (BgL__ortest_1111z00_2461)
																			{	/* Uncell/walk.scm 82 */
																				BgL_res1863z00_2457 =
																					BgL__ortest_1111z00_2461;
																			}
																		else
																			{	/* Uncell/walk.scm 82 */
																				long BgL_odepthz00_2462;

																				BgL_odepthz00_2462 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2458);
																				if ((((long) 3) < BgL_odepthz00_2462))
																					{	/* Uncell/walk.scm 82 */
																						obj_t BgL_arg1816z00_2463;

																						BgL_arg1816z00_2463 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2458, ((long) 3));
																						BgL_res1863z00_2457 =
																							(BgL_arg1816z00_2463 ==
																							BgL_classz00_2452);
																					}
																				else
																					{	/* Uncell/walk.scm 82 */
																						BgL_res1863z00_2457 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1958z00_3021 = BgL_res1863z00_2457;
															}
													}
												else
													{	/* Uncell/walk.scm 82 */
														BgL_test1958z00_3021 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* Uncell/walk.scm 81 */
											BgL_test1958z00_3021 = ((bool_t) 0);
										}
									if (BgL_test1958z00_3021)
										{	/* Uncell/walk.scm 83 */
											BgL_localz00_bglt BgL_tmp1145z00_2464;

											BgL_tmp1145z00_2464 =
												((BgL_localz00_bglt)
												CAR(((obj_t) BgL_bindingz00_2450)));
											{	/* Uncell/walk.scm 83 */
												BgL_localzf2infozf2_bglt BgL_wide1147z00_2465;

												BgL_wide1147z00_2465 =
													((BgL_localzf2infozf2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_localzf2infozf2_bgl))));
												{	/* Uncell/walk.scm 83 */
													obj_t BgL_auxz00_3057;
													BgL_objectz00_bglt BgL_tmpz00_3054;

													BgL_auxz00_3057 = ((obj_t) BgL_wide1147z00_2465);
													BgL_tmpz00_3054 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_tmp1145z00_2464));
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3054,
														BgL_auxz00_3057);
												}
												((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_tmp1145z00_2464));
												{	/* Uncell/walk.scm 83 */
													long BgL_arg1632z00_2466;

													BgL_arg1632z00_2466 =
														BGL_CLASS_NUM(BGl_localzf2infozf2zzuncell_walkz00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt)
															((BgL_localz00_bglt) BgL_tmp1145z00_2464)),
														BgL_arg1632z00_2466);
												}
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_tmp1145z00_2464));
											}
											{
												BgL_localzf2infozf2_bglt BgL_auxz00_3068;

												{
													obj_t BgL_auxz00_3069;

													{	/* Uncell/walk.scm 83 */
														BgL_objectz00_bglt BgL_tmpz00_3070;

														BgL_tmpz00_3070 =
															((BgL_objectz00_bglt)
															((BgL_localz00_bglt) BgL_tmp1145z00_2464));
														BgL_auxz00_3069 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3070);
													}
													BgL_auxz00_3068 =
														((BgL_localzf2infozf2_bglt) BgL_auxz00_3069);
												}
												((((BgL_localzf2infozf2_bglt)
															COBJECT(BgL_auxz00_3068))->BgL_escapez00) =
													((bool_t) ((bool_t) 0)), BUNSPEC);
											}
											((obj_t) ((BgL_localz00_bglt) BgL_tmp1145z00_2464));
										}
									else
										{	/* Uncell/walk.scm 81 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1336z00_3078;

								BgL_l1336z00_3078 = CDR(BgL_l1336z00_2449);
								BgL_l1336z00_2449 = BgL_l1336z00_3078;
								goto BgL_zc3z04anonymousza31604ze3z87_2448;
							}
						}
					else
						{	/* Uncell/walk.scm 80 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_letzd2varzd2_bglt) BgL_nodez00_2359)),
				BGl_markzd2cellzd2envz00zzuncell_walkz00);
		}

	}



/* &mark-cell-var1347 */
	obj_t BGl_z62markzd2cellzd2var1347z62zzuncell_walkz00(obj_t BgL_envz00_2360,
		obj_t BgL_nodez00_2361)
	{
		{	/* Uncell/walk.scm 70 */
			{	/* Uncell/walk.scm 71 */
				bool_t BgL_test1964z00_3083;

				{	/* Uncell/walk.scm 71 */
					BgL_variablez00_bglt BgL_arg1600z00_2468;

					BgL_arg1600z00_2468 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_2361)))->BgL_variablez00);
					{	/* Uncell/walk.scm 71 */
						obj_t BgL_classz00_2469;

						BgL_classz00_2469 = BGl_localzf2infozf2zzuncell_walkz00;
						{	/* Uncell/walk.scm 71 */
							obj_t BgL_oclassz00_2470;

							{	/* Uncell/walk.scm 71 */
								long BgL_arg1828z00_2471;

								{	/* Uncell/walk.scm 71 */
									long BgL_arg1829z00_2472;

									BgL_arg1829z00_2472 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_arg1600z00_2468));
									BgL_arg1828z00_2471 = (BgL_arg1829z00_2472 - OBJECT_TYPE);
								}
								BgL_oclassz00_2470 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1828z00_2471);
							}
							BgL_test1964z00_3083 = (BgL_oclassz00_2470 == BgL_classz00_2469);
				}}}
				if (BgL_test1964z00_3083)
					{	/* Uncell/walk.scm 72 */
						BgL_localz00_bglt BgL_i1143z00_2473;

						BgL_i1143z00_2473 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2361)))->BgL_variablez00));
						{
							BgL_localzf2infozf2_bglt BgL_auxz00_3094;

							{
								obj_t BgL_auxz00_3095;

								{	/* Uncell/walk.scm 73 */
									BgL_objectz00_bglt BgL_tmpz00_3096;

									BgL_tmpz00_3096 = ((BgL_objectz00_bglt) BgL_i1143z00_2473);
									BgL_auxz00_3095 = BGL_OBJECT_WIDENING(BgL_tmpz00_3096);
								}
								BgL_auxz00_3094 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_3095);
							}
							return
								((((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_3094))->
									BgL_escapez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						}
					}
				else
					{	/* Uncell/walk.scm 71 */
						return BFALSE;
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1894z00zzuncell_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
