/*===========================================================================*/
/*   (Unsafe/kmp.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/kmp.scm -o objs/obj_p/Unsafe/kmp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol1682z00zz__kmpz00 = BUNSPEC;
static obj_t BGl_symbol1684z00zz__kmpz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__kmpz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__kmpz00(void);
static obj_t BGl_genericzd2initzd2zz__kmpz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__kmpz00(void);
static obj_t BGl_objectzd2initzd2zz__kmpz00(void);
BGL_EXPORTED_DECL obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t);
BGL_EXPORTED_DECL long BGl_kmpzd2stringzd2zz__kmpz00(obj_t, obj_t, long);
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DECL long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t, obj_t, long);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__kmpz00(void);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__kmpz00(void);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_kmpzd2stringzd2envz00zz__kmpz00, BgL_bgl_za762kmpza7d2stringza71694za7, BGl_z62kmpzd2stringzb0zz__kmpz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_kmpzd2mmapzd2envz00zz__kmpz00, BgL_bgl_za762kmpza7d2mmapza7b01695za7, BGl_z62kmpzd2mmapzb0zz__kmpz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_kmpzd2tablezd2envz00zz__kmpz00, BgL_bgl_za762kmpza7d2tableza7b1696za7, BGl_z62kmpzd2tablezb0zz__kmpz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1677z00zz__kmpz00, BgL_bgl_string1677za700za7za7_1697za7, "/builddir/build/BUILD/bigloo-4.5a-1/runtime/Unsafe/kmp.scm", 58 );
DEFINE_STRING( BGl_string1678z00zz__kmpz00, BgL_bgl_string1678za700za7za7_1698za7, "&kmp-table", 10 );
DEFINE_STRING( BGl_string1679z00zz__kmpz00, BgL_bgl_string1679za700za7za7_1699za7, "bstring", 7 );
DEFINE_STRING( BGl_string1680z00zz__kmpz00, BgL_bgl_string1680za700za7za7_1700za7, "kmp-mmap", 8 );
DEFINE_STRING( BGl_string1681z00zz__kmpz00, BgL_bgl_string1681za700za7za7_1701za7, "Illegal kmp-table", 17 );
DEFINE_STRING( BGl_string1683z00zz__kmpz00, BgL_bgl_string1683za700za7za7_1702za7, "string", 6 );
DEFINE_STRING( BGl_string1685z00zz__kmpz00, BgL_bgl_string1685za700za7za7_1703za7, "vector", 6 );
DEFINE_STRING( BGl_string1686z00zz__kmpz00, BgL_bgl_string1686za700za7za7_1704za7, "&kmp-mmap", 9 );
DEFINE_STRING( BGl_string1687z00zz__kmpz00, BgL_bgl_string1687za700za7za7_1705za7, "pair", 4 );
DEFINE_STRING( BGl_string1688z00zz__kmpz00, BgL_bgl_string1688za700za7za7_1706za7, "mmap", 4 );
DEFINE_STRING( BGl_string1689z00zz__kmpz00, BgL_bgl_string1689za700za7za7_1707za7, "belong", 6 );
DEFINE_STRING( BGl_string1690z00zz__kmpz00, BgL_bgl_string1690za700za7za7_1708za7, "kmp-string", 10 );
DEFINE_STRING( BGl_string1691z00zz__kmpz00, BgL_bgl_string1691za700za7za7_1709za7, "&kmp-string", 11 );
DEFINE_STRING( BGl_string1692z00zz__kmpz00, BgL_bgl_string1692za700za7za7_1710za7, "bint", 4 );
DEFINE_STRING( BGl_string1693z00zz__kmpz00, BgL_bgl_string1693za700za7za7_1711za7, "__kmp", 5 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol1682z00zz__kmpz00) );
ADD_ROOT( (void *)(&BGl_symbol1684z00zz__kmpz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__kmpz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"kmp-table\" \"Unsafe/kmp.scm\" 1812) \"BGl_kmpzd2tablezd2zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&kmp-table\" \"Unsafe/kmp.scm\" 1812) \"BGl_z62kmpzd2tablezb0zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"kmp-mmap\" \"Unsafe/kmp.scm\" 2544) \"BGl_kmpzd2mmapzd2zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&kmp-mmap\" \"Unsafe/kmp.scm\" 2544) \"BGl_z62kmpzd2mmapzb0zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"kmp-string\" \"Unsafe/kmp.scm\" 3635) \"BGl_kmpzd2stringzd2zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&kmp-string\" \"Unsafe/kmp.scm\" 3635) \"BGl_z62kmpzd2stringzb0zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long BgL_checksumz00_1978, char * BgL_fromz00_1979)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__kmpz00))
{ 
BGl_requirezd2initializa7ationz75zz__kmpz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__kmpz00(); 
BGl_cnstzd2initzd2zz__kmpz00(); 
BGl_importedzd2moduleszd2initz00zz__kmpz00(); 
return 
BGl_profzd2initzd2zz__kmpz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
BGl_symbol1682z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1683z00zz__kmpz00); 
return ( 
BGl_symbol1684z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1685z00zz__kmpz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
return 
write_bprof_table();} 

}



/* kmp-table */
BGL_EXPORTED_DEF obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t BgL_pz00_3)
{
{ /* Unsafe/kmp.scm 52 */
{ /* Unsafe/kmp.scm 53 */
 long BgL_lpz00_1125;
BgL_lpz00_1125 = 
STRING_LENGTH(BgL_pz00_3); 
{ /* Unsafe/kmp.scm 53 */
 obj_t BgL_tz00_1126;
BgL_tz00_1126 = 
make_vector(
(BgL_lpz00_1125+((long)2)), 
BINT(((long)0))); 
{ /* Unsafe/kmp.scm 54 */
 long BgL_iz00_1127;
BgL_iz00_1127 = ((long)0); 
{ /* Unsafe/kmp.scm 55 */
 obj_t BgL_jz00_1128;
BgL_jz00_1128 = 
BINT(((long)-1)); 
{ /* Unsafe/kmp.scm 56 */
 unsigned char BgL_cz00_1129;
BgL_cz00_1129 = ((unsigned char)'\000'); 
{ /* Unsafe/kmp.scm 57 */

VECTOR_SET(BgL_tz00_1126,((long)0),BgL_jz00_1128); 
{ 

BgL_zc3z04anonymousza31167ze3z87_1131:
if(
(BgL_iz00_1127<BgL_lpz00_1125))
{ /* Unsafe/kmp.scm 60 */
{ /* Unsafe/kmp.scm 62 */
 bool_t BgL_test1714z00_1999;
{ /* Unsafe/kmp.scm 62 */
 unsigned char BgL_char2z00_1670;
BgL_char2z00_1670 = BgL_cz00_1129; 
BgL_test1714z00_1999 = 
(
STRING_REF(BgL_pz00_3, BgL_iz00_1127)==BgL_char2z00_1670); } 
if(BgL_test1714z00_1999)
{ /* Unsafe/kmp.scm 62 */
{ /* Unsafe/kmp.scm 63 */
 long BgL_arg1174z00_1135; long BgL_arg1175z00_1136;
BgL_arg1174z00_1135 = 
(BgL_iz00_1127+((long)1)); 
BgL_arg1175z00_1136 = 
(
(long)CINT(BgL_jz00_1128)+((long)1)); 
VECTOR_SET(BgL_tz00_1126,BgL_arg1174z00_1135,
BINT(BgL_arg1175z00_1136)); } 
BgL_jz00_1128 = 
ADDFX(BgL_jz00_1128, 
BINT(((long)1))); 
BgL_iz00_1127 = 
(BgL_iz00_1127+((long)1)); }  else 
{ /* Unsafe/kmp.scm 62 */
if(
(
(long)CINT(BgL_jz00_1128)>((long)0)))
{ /* Unsafe/kmp.scm 66 */
BgL_jz00_1128 = 
VECTOR_REF(BgL_tz00_1126,
(long)CINT(BgL_jz00_1128)); }  else 
{ /* Unsafe/kmp.scm 66 */
VECTOR_SET(BgL_tz00_1126,
(BgL_iz00_1127+((long)1)),
BINT(((long)0))); 
BgL_iz00_1127 = 
(BgL_iz00_1127+((long)1)); 
BgL_jz00_1128 = 
BINT(((long)0)); } } } 
BgL_cz00_1129 = 
STRING_REF(BgL_pz00_3, 
(long)CINT(BgL_jz00_1128)); 
goto BgL_zc3z04anonymousza31167ze3z87_1131;}  else 
{ /* Unsafe/kmp.scm 60 */((bool_t)0); } } 
return 
MAKE_YOUNG_PAIR(BgL_tz00_1126, BgL_pz00_3);} } } } } } } 

}



/* &kmp-table */
obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t BgL_envz00_1955, obj_t BgL_pz00_1956)
{
{ /* Unsafe/kmp.scm 52 */
{ /* Unsafe/kmp.scm 53 */
 obj_t BgL_auxz00_2023;
if(
STRINGP(BgL_pz00_1956))
{ /* Unsafe/kmp.scm 53 */
BgL_auxz00_2023 = BgL_pz00_1956
; }  else 
{ 
 obj_t BgL_auxz00_2026;
BgL_auxz00_2026 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1677z00zz__kmpz00, 
BINT(((long)1837)), BGl_string1678z00zz__kmpz00, BGl_string1679z00zz__kmpz00, BgL_pz00_1956); 
FAILURE(BgL_auxz00_2026,BFALSE,BFALSE);} 
return 
BGl_kmpzd2tablezd2zz__kmpz00(BgL_auxz00_2023);} } 

}



/* kmp-mmap */
BGL_EXPORTED_DEF long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t BgL_tpz00_4, obj_t BgL_mmz00_5, long BgL_mz00_6)
{
{ /* Unsafe/kmp.scm 79 */
{ /* Unsafe/kmp.scm 81 */
 bool_t BgL_test1717z00_2031;
{ /* Unsafe/kmp.scm 81 */
 obj_t BgL_tmpz00_2032;
BgL_tmpz00_2032 = 
CAR(BgL_tpz00_4); 
BgL_test1717z00_2031 = 
VECTORP(BgL_tmpz00_2032); } 
if(BgL_test1717z00_2031)
{ /* Unsafe/kmp.scm 83 */
 bool_t BgL_test1718z00_2035;
{ /* Unsafe/kmp.scm 83 */
 obj_t BgL_tmpz00_2036;
BgL_tmpz00_2036 = 
CDR(BgL_tpz00_4); 
BgL_test1718z00_2035 = 
STRINGP(BgL_tmpz00_2036); } 
if(BgL_test1718z00_2035)
{ /* Unsafe/kmp.scm 85 */
 bool_t BgL_test1719z00_2039;
{ /* Unsafe/kmp.scm 85 */
 long BgL_arg1221z00_1178; long BgL_arg1222z00_1179;
{ /* Unsafe/kmp.scm 85 */
 obj_t BgL_arg1223z00_1180;
BgL_arg1223z00_1180 = 
CAR(BgL_tpz00_4); 
BgL_arg1221z00_1178 = 
VECTOR_LENGTH(
((obj_t)BgL_arg1223z00_1180)); } 
BgL_arg1222z00_1179 = 
(((long)2)+
STRING_LENGTH(
CDR(BgL_tpz00_4))); 
BgL_test1719z00_2039 = 
(BgL_arg1221z00_1178==BgL_arg1222z00_1179); } 
if(BgL_test1719z00_2039)
{ /* Unsafe/kmp.scm 88 */
 obj_t BgL_tz00_1152;
BgL_tz00_1152 = 
CAR(BgL_tpz00_4); 
{ /* Unsafe/kmp.scm 88 */
 obj_t BgL_pz00_1153;
BgL_pz00_1153 = 
CDR(BgL_tpz00_4); 
{ /* Unsafe/kmp.scm 89 */
 long BgL_lsz00_1154;
BgL_lsz00_1154 = 
BGL_MMAP_LENGTH(BgL_mmz00_5); 
{ /* Unsafe/kmp.scm 90 */
 long BgL_lpz00_1155;
{ /* Unsafe/kmp.scm 91 */
 long BgL_arg1219z00_1177;
BgL_arg1219z00_1177 = 
STRING_LENGTH(
((obj_t)BgL_pz00_1153)); 
BgL_lpz00_1155 = 
(long)(BgL_arg1219z00_1177); } 
{ /* Unsafe/kmp.scm 91 */

{ 
 long BgL_iz00_1157;
BgL_iz00_1157 = ((long)0); 
BgL_zc3z04anonymousza31196ze3z87_1158:
if(
(BgL_iz00_1157==BgL_lpz00_1155))
{ /* Unsafe/kmp.scm 94 */
return BgL_mz00_6;}  else 
{ /* Unsafe/kmp.scm 94 */
if(
(
(BgL_iz00_1157+BgL_mz00_6)>=BgL_lsz00_1154))
{ /* Unsafe/kmp.scm 96 */
return ((long)-1);}  else 
{ /* Unsafe/kmp.scm 99 */
 long BgL_fiz00_1162;
BgL_fiz00_1162 = 
(long)(BgL_iz00_1157); 
{ /* Unsafe/kmp.scm 100 */
 bool_t BgL_test1722z00_2059;
{ /* Unsafe/kmp.scm 100 */
 unsigned char BgL_arg1214z00_1172; unsigned char BgL_arg1215z00_1173;
{ /* Unsafe/kmp.scm 100 */
 long BgL_arg1216z00_1174;
BgL_arg1216z00_1174 = 
(BgL_iz00_1157+BgL_mz00_6); 
{ /* Unsafe/kmp.scm 100 */
 unsigned char BgL_res1662z00_1717;
{ /* Unsafe/kmp.scm 100 */
 unsigned char BgL_cz00_1711;
BgL_cz00_1711 = 
BGL_MMAP_REF(BgL_mmz00_5, BgL_arg1216z00_1174); 
{ /* Unsafe/kmp.scm 100 */
 long BgL_arg1659z00_1712;
BgL_arg1659z00_1712 = 
(BgL_arg1216z00_1174+((long)1)); 
BGL_MMAP_RP_SET(BgL_mmz00_5, BgL_arg1659z00_1712); BUNSPEC; BgL_arg1659z00_1712; } 
BgL_res1662z00_1717 = BgL_cz00_1711; } 
BgL_arg1214z00_1172 = BgL_res1662z00_1717; } } 
BgL_arg1215z00_1173 = 
STRING_REF(
((obj_t)BgL_pz00_1153), BgL_fiz00_1162); 
BgL_test1722z00_2059 = 
(BgL_arg1214z00_1172==BgL_arg1215z00_1173); } 
if(BgL_test1722z00_2059)
{ 
 long BgL_iz00_2067;
BgL_iz00_2067 = 
(BgL_iz00_1157+((long)1)); 
BgL_iz00_1157 = BgL_iz00_2067; 
goto BgL_zc3z04anonymousza31196ze3z87_1158;}  else 
{ /* Unsafe/kmp.scm 102 */
 long BgL_tiz00_1168;
{ /* Unsafe/kmp.scm 102 */
 obj_t BgL_arg1213z00_1171;
BgL_arg1213z00_1171 = 
VECTOR_REF(
((obj_t)BgL_tz00_1152),BgL_fiz00_1162); 
{ /* Unsafe/kmp.scm 102 */
 long BgL_tmpz00_2071;
BgL_tmpz00_2071 = 
(long)CINT(BgL_arg1213z00_1171); 
BgL_tiz00_1168 = 
(long)(BgL_tmpz00_2071); } } 
{ /* Unsafe/kmp.scm 103 */
 long BgL_za71za7_1730;
BgL_za71za7_1730 = BgL_mz00_6; 
{ /* Unsafe/kmp.scm 103 */
 long BgL_tmpz00_2074;
{ /* Unsafe/kmp.scm 103 */
 long BgL_res1663z00_1729;
{ /* Unsafe/kmp.scm 103 */
 long BgL_tmpz00_2075;
BgL_tmpz00_2075 = 
(BgL_iz00_1157-BgL_tiz00_1168); 
BgL_res1663z00_1729 = 
(long)(BgL_tmpz00_2075); } 
BgL_tmpz00_2074 = BgL_res1663z00_1729; } 
BgL_mz00_6 = 
(BgL_za71za7_1730+BgL_tmpz00_2074); } } 
if(
(BgL_iz00_1157>((long)0)))
{ 
 long BgL_iz00_2081;
BgL_iz00_2081 = BgL_tiz00_1168; 
BgL_iz00_1157 = BgL_iz00_2081; 
goto BgL_zc3z04anonymousza31196ze3z87_1158;}  else 
{ 

goto BgL_zc3z04anonymousza31196ze3z87_1158;} } } } } } } } } } }  else 
{ /* Unsafe/kmp.scm 86 */
 obj_t BgL_tmpz00_2082;
BgL_tmpz00_2082 = 
BGl_errorz00zz__errorz00(BGl_string1680z00zz__kmpz00, BGl_string1681z00zz__kmpz00, BgL_tpz00_4); 
return 
BELONG_TO_LONG(BgL_tmpz00_2082);} }  else 
{ /* Unsafe/kmp.scm 84 */
 obj_t BgL_arg1229z00_1183;
BgL_arg1229z00_1183 = 
CDR(BgL_tpz00_4); 
{ /* Unsafe/kmp.scm 84 */
 obj_t BgL_tmpz00_2086;
BgL_tmpz00_2086 = 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1680z00zz__kmpz00, BGl_symbol1682z00zz__kmpz00, BgL_arg1229z00_1183); 
return 
BELONG_TO_LONG(BgL_tmpz00_2086);} } }  else 
{ /* Unsafe/kmp.scm 82 */
 obj_t BgL_arg1231z00_1185;
BgL_arg1231z00_1185 = 
CAR(BgL_tpz00_4); 
{ /* Unsafe/kmp.scm 82 */
 obj_t BgL_tmpz00_2090;
BgL_tmpz00_2090 = 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1680z00zz__kmpz00, BGl_symbol1684z00zz__kmpz00, BgL_arg1231z00_1185); 
return 
BELONG_TO_LONG(BgL_tmpz00_2090);} } } } 

}



/* &kmp-mmap */
obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t BgL_envz00_1957, obj_t BgL_tpz00_1958, obj_t BgL_mmz00_1959, obj_t BgL_mz00_1960)
{
{ /* Unsafe/kmp.scm 79 */
{ /* Unsafe/kmp.scm 81 */
 long BgL_tmpz00_2093;
{ /* Unsafe/kmp.scm 81 */
 long BgL_auxz00_2108; obj_t BgL_auxz00_2101; obj_t BgL_auxz00_2094;
{ /* Unsafe/kmp.scm 81 */
 obj_t BgL_tmpz00_2109;
if(
ELONGP(BgL_mz00_1960))
{ /* Unsafe/kmp.scm 81 */
BgL_tmpz00_2109 = BgL_mz00_1960
; }  else 
{ 
 obj_t BgL_auxz00_2112;
BgL_auxz00_2112 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1677z00zz__kmpz00, 
BINT(((long)2586)), BGl_string1686z00zz__kmpz00, BGl_string1689z00zz__kmpz00, BgL_mz00_1960); 
FAILURE(BgL_auxz00_2112,BFALSE,BFALSE);} 
BgL_auxz00_2108 = 
BELONG_TO_LONG(BgL_tmpz00_2109); } 
if(
BGL_MMAPP(BgL_mmz00_1959))
{ /* Unsafe/kmp.scm 81 */
BgL_auxz00_2101 = BgL_mmz00_1959
; }  else 
{ 
 obj_t BgL_auxz00_2104;
BgL_auxz00_2104 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1677z00zz__kmpz00, 
BINT(((long)2586)), BGl_string1686z00zz__kmpz00, BGl_string1688z00zz__kmpz00, BgL_mmz00_1959); 
FAILURE(BgL_auxz00_2104,BFALSE,BFALSE);} 
if(
PAIRP(BgL_tpz00_1958))
{ /* Unsafe/kmp.scm 81 */
BgL_auxz00_2094 = BgL_tpz00_1958
; }  else 
{ 
 obj_t BgL_auxz00_2097;
BgL_auxz00_2097 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1677z00zz__kmpz00, 
BINT(((long)2586)), BGl_string1686z00zz__kmpz00, BGl_string1687z00zz__kmpz00, BgL_tpz00_1958); 
FAILURE(BgL_auxz00_2097,BFALSE,BFALSE);} 
BgL_tmpz00_2093 = 
BGl_kmpzd2mmapzd2zz__kmpz00(BgL_auxz00_2094, BgL_auxz00_2101, BgL_auxz00_2108); } 
return 
make_belong(BgL_tmpz00_2093);} } 

}



/* kmp-string */
BGL_EXPORTED_DEF long BGl_kmpzd2stringzd2zz__kmpz00(obj_t BgL_tpz00_7, obj_t BgL_strz00_8, long BgL_mz00_9)
{
{ /* Unsafe/kmp.scm 111 */
{ /* Unsafe/kmp.scm 113 */
 bool_t BgL_test1727z00_2119;
{ /* Unsafe/kmp.scm 113 */
 obj_t BgL_tmpz00_2120;
BgL_tmpz00_2120 = 
CAR(BgL_tpz00_7); 
BgL_test1727z00_2119 = 
VECTORP(BgL_tmpz00_2120); } 
if(BgL_test1727z00_2119)
{ /* Unsafe/kmp.scm 115 */
 bool_t BgL_test1728z00_2123;
{ /* Unsafe/kmp.scm 115 */
 obj_t BgL_tmpz00_2124;
BgL_tmpz00_2124 = 
CDR(BgL_tpz00_7); 
BgL_test1728z00_2123 = 
STRINGP(BgL_tmpz00_2124); } 
if(BgL_test1728z00_2123)
{ /* Unsafe/kmp.scm 117 */
 bool_t BgL_test1729z00_2127;
{ /* Unsafe/kmp.scm 117 */
 long BgL_arg1277z00_1220; long BgL_arg1279z00_1221;
{ /* Unsafe/kmp.scm 117 */
 obj_t BgL_arg1280z00_1222;
BgL_arg1280z00_1222 = 
CAR(BgL_tpz00_7); 
BgL_arg1277z00_1220 = 
VECTOR_LENGTH(
((obj_t)BgL_arg1280z00_1222)); } 
BgL_arg1279z00_1221 = 
(((long)2)+
STRING_LENGTH(
CDR(BgL_tpz00_7))); 
BgL_test1729z00_2127 = 
(BgL_arg1277z00_1220==BgL_arg1279z00_1221); } 
if(BgL_test1729z00_2127)
{ /* Unsafe/kmp.scm 120 */
 obj_t BgL_tz00_1197;
BgL_tz00_1197 = 
CAR(BgL_tpz00_7); 
{ /* Unsafe/kmp.scm 120 */
 obj_t BgL_pz00_1198;
BgL_pz00_1198 = 
CDR(BgL_tpz00_7); 
{ /* Unsafe/kmp.scm 121 */
 long BgL_lsz00_1199;
BgL_lsz00_1199 = 
STRING_LENGTH(BgL_strz00_8); 
{ /* Unsafe/kmp.scm 122 */
 long BgL_lpz00_1200;
BgL_lpz00_1200 = 
STRING_LENGTH(
((obj_t)BgL_pz00_1198)); 
{ /* Unsafe/kmp.scm 123 */

{ 
 obj_t BgL_iz00_1202;
BgL_iz00_1202 = 
BINT(((long)0)); 
BgL_zc3z04anonymousza31249ze3z87_1203:
if(
(
(long)CINT(BgL_iz00_1202)==BgL_lpz00_1200))
{ /* Unsafe/kmp.scm 126 */
return BgL_mz00_9;}  else 
{ /* Unsafe/kmp.scm 126 */
if(
(
(
(long)CINT(BgL_iz00_1202)+BgL_mz00_9)>=BgL_lsz00_1199))
{ /* Unsafe/kmp.scm 128 */
return ((long)-1);}  else 
{ /* Unsafe/kmp.scm 131 */
 bool_t BgL_test1732z00_2147;
{ /* Unsafe/kmp.scm 131 */
 unsigned char BgL_arg1269z00_1215;
BgL_arg1269z00_1215 = 
STRING_REF(BgL_strz00_8, 
(
(long)CINT(BgL_iz00_1202)+BgL_mz00_9)); 
BgL_test1732z00_2147 = 
(BgL_arg1269z00_1215==
STRING_REF(
((obj_t)BgL_pz00_1198), 
(long)CINT(BgL_iz00_1202))); } 
if(BgL_test1732z00_2147)
{ /* Unsafe/kmp.scm 132 */
 long BgL_arg1257z00_1211;
BgL_arg1257z00_1211 = 
(
(long)CINT(BgL_iz00_1202)+((long)1)); 
{ 
 obj_t BgL_iz00_2157;
BgL_iz00_2157 = 
BINT(BgL_arg1257z00_1211); 
BgL_iz00_1202 = BgL_iz00_2157; 
goto BgL_zc3z04anonymousza31249ze3z87_1203;} }  else 
{ /* Unsafe/kmp.scm 133 */
 obj_t BgL_tiz00_1212;
{ /* Unsafe/kmp.scm 133 */
 long BgL_kz00_1765;
BgL_kz00_1765 = 
(long)CINT(BgL_iz00_1202); 
BgL_tiz00_1212 = 
VECTOR_REF(
((obj_t)BgL_tz00_1197),BgL_kz00_1765); } 
BgL_mz00_9 = 
(BgL_mz00_9+
(
(long)CINT(BgL_iz00_1202)-
(long)CINT(BgL_tiz00_1212))); 
if(
(
(long)CINT(BgL_iz00_1202)>((long)0)))
{ 
 obj_t BgL_iz00_2169;
BgL_iz00_2169 = BgL_tiz00_1212; 
BgL_iz00_1202 = BgL_iz00_2169; 
goto BgL_zc3z04anonymousza31249ze3z87_1203;}  else 
{ 

goto BgL_zc3z04anonymousza31249ze3z87_1203;} } } } } } } } } }  else 
{ /* Unsafe/kmp.scm 117 */
return 
(long)CINT(
BGl_errorz00zz__errorz00(BGl_string1690z00zz__kmpz00, BGl_string1681z00zz__kmpz00, BgL_tpz00_7));} }  else 
{ /* Unsafe/kmp.scm 116 */
 obj_t BgL_arg1288z00_1225;
BgL_arg1288z00_1225 = 
CDR(BgL_tpz00_7); 
return 
(long)CINT(
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1690z00zz__kmpz00, BGl_symbol1682z00zz__kmpz00, BgL_arg1288z00_1225));} }  else 
{ /* Unsafe/kmp.scm 114 */
 obj_t BgL_arg1290z00_1227;
BgL_arg1290z00_1227 = 
CAR(BgL_tpz00_7); 
return 
(long)CINT(
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1690z00zz__kmpz00, BGl_symbol1684z00zz__kmpz00, BgL_arg1290z00_1227));} } } 

}



/* &kmp-string */
obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t BgL_envz00_1961, obj_t BgL_tpz00_1962, obj_t BgL_strz00_1963, obj_t BgL_mz00_1964)
{
{ /* Unsafe/kmp.scm 111 */
{ /* Unsafe/kmp.scm 113 */
 long BgL_tmpz00_2179;
{ /* Unsafe/kmp.scm 113 */
 long BgL_auxz00_2194; obj_t BgL_auxz00_2187; obj_t BgL_auxz00_2180;
{ /* Unsafe/kmp.scm 113 */
 obj_t BgL_tmpz00_2195;
if(
INTEGERP(BgL_mz00_1964))
{ /* Unsafe/kmp.scm 113 */
BgL_tmpz00_2195 = BgL_mz00_1964
; }  else 
{ 
 obj_t BgL_auxz00_2198;
BgL_auxz00_2198 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1677z00zz__kmpz00, 
BINT(((long)3680)), BGl_string1691z00zz__kmpz00, BGl_string1692z00zz__kmpz00, BgL_mz00_1964); 
FAILURE(BgL_auxz00_2198,BFALSE,BFALSE);} 
BgL_auxz00_2194 = 
(long)CINT(BgL_tmpz00_2195); } 
if(
STRINGP(BgL_strz00_1963))
{ /* Unsafe/kmp.scm 113 */
BgL_auxz00_2187 = BgL_strz00_1963
; }  else 
{ 
 obj_t BgL_auxz00_2190;
BgL_auxz00_2190 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1677z00zz__kmpz00, 
BINT(((long)3680)), BGl_string1691z00zz__kmpz00, BGl_string1679z00zz__kmpz00, BgL_strz00_1963); 
FAILURE(BgL_auxz00_2190,BFALSE,BFALSE);} 
if(
PAIRP(BgL_tpz00_1962))
{ /* Unsafe/kmp.scm 113 */
BgL_auxz00_2180 = BgL_tpz00_1962
; }  else 
{ 
 obj_t BgL_auxz00_2183;
BgL_auxz00_2183 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1677z00zz__kmpz00, 
BINT(((long)3680)), BGl_string1691z00zz__kmpz00, BGl_string1687z00zz__kmpz00, BgL_tpz00_1962); 
FAILURE(BgL_auxz00_2183,BFALSE,BFALSE);} 
BgL_tmpz00_2179 = 
BGl_kmpzd2stringzd2zz__kmpz00(BgL_auxz00_2180, BgL_auxz00_2187, BgL_auxz00_2194); } 
return 
BINT(BgL_tmpz00_2179);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1693z00zz__kmpz00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1693z00zz__kmpz00));} 

}

#ifdef __cplusplus
}
#endif
