/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62uncompzd2ev_and1214zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62uncompzd2ev_synchroniza71232z17zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_or1212zb0zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_keyword1968z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_setlocal1224zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_if1210zb0zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_global1206zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1934z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit1226z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62uncompzd2ev_abs1246zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00(void);
	static obj_t BGl_z62uncompzd2ev_var1204zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_prog21216zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_labels1240zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1960z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1962z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1964z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1966z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00(void);
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00(void);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol1970z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1972z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1974z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00(void);
	static obj_t BGl_symbol1976z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1978z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00(void);
	static obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00(void);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro1228z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol1980z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1982z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1984z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1986z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_let1234zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1988z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_symbol1990z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1992z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_trap1218zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_litt1208zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_letza21236z12zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_goto1242zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncomp1201z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00(void);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_defglobal1222zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_z62uncompzd2ev_setglobal1220zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_app1244zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_letrec1238zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl1230z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1996z00,
		BGl_z62uncompzd2ev_litt1208zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i1997z00,
		BGl_z62uncompzd2ev_if1210zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o1998z00,
		BGl_z62uncompzd2ev_or1212zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1999z00,
		BGl_z62uncompzd2ev_and1214zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p2000z00,
		BGl_z62uncompzd2ev_prog21216zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1945z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t2001z00,
		BGl_z62uncompzd2ev_trap1218zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1946z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2002z00,
		BGl_z62uncompzd2ev_setglobal1220zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d2003z00,
		BGl_z62uncompzd2ev_defglobal1222zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1948z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2004z00,
		BGl_z62uncompzd2ev_setlocal1224zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1949z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b2005z00,
		BGl_z62uncompzd2ev_bindzd2exit1226z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1950z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u2006z00,
		BGl_z62uncompzd2ev_unwindzd2pro1228z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1951z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w2007z00,
		BGl_z62uncompzd2ev_withzd2handl1230z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1952z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2008z00,
		BGl_z62uncompzd2ev_synchroniza71232z17zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1953z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2009z00,
		BGl_z62uncompzd2ev_let1234zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2010z00,
		BGl_z62uncompzd2ev_letza21236z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1961z00zz__evaluate_uncompz00,
		BgL_bgl_string1961za700za7za7_2011za7, "lambda", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2012z00,
		BGl_z62uncompzd2ev_letrec1238zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1956z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2013z00,
		BGl_z62uncompzd2ev_labels1240zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1963z00zz__evaluate_uncompz00,
		BgL_bgl_string1963za700za7za7_2014za7, "letrec", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g2015z00,
		BGl_z62uncompzd2ev_goto1242zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1958z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2016z00,
		BGl_z62uncompzd2ev_app1244zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1965z00zz__evaluate_uncompz00,
		BgL_bgl_string1965za700za7za7_2017za7, "let*", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2018z00,
		BGl_z62uncompzd2ev_abs1246zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1967z00zz__evaluate_uncompz00,
		BgL_bgl_string1967za700za7za7_2019za7, "let", 3);
	      DEFINE_STRING(BGl_string1969z00zz__evaluate_uncompz00,
		BgL_bgl_string1969za700za7za7_2020za7, "prelock", 7);
	      DEFINE_STRING(BGl_string1971z00zz__evaluate_uncompz00,
		BgL_bgl_string1971za700za7za7_2021za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string1973z00zz__evaluate_uncompz00,
		BgL_bgl_string1973za700za7za7_2022za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string1975z00zz__evaluate_uncompz00,
		BgL_bgl_string1975za700za7za7_2023za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string1977z00zz__evaluate_uncompz00,
		BgL_bgl_string1977za700za7za7_2024za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string1979z00zz__evaluate_uncompz00,
		BgL_bgl_string1979za700za7za7_2025za7, "set!", 4);
	      DEFINE_STRING(BGl_string1981z00zz__evaluate_uncompz00,
		BgL_bgl_string1981za700za7za7_2026za7, "define", 6);
	      DEFINE_STRING(BGl_string1983z00zz__evaluate_uncompz00,
		BgL_bgl_string1983za700za7za7_2027za7, "trap", 4);
	      DEFINE_STRING(BGl_string1985z00zz__evaluate_uncompz00,
		BgL_bgl_string1985za700za7za7_2028za7, "begin", 5);
	      DEFINE_STRING(BGl_string1987z00zz__evaluate_uncompz00,
		BgL_bgl_string1987za700za7za7_2029za7, "and", 3);
	      DEFINE_STRING(BGl_string1989z00zz__evaluate_uncompz00,
		BgL_bgl_string1989za700za7za7_2030za7, "or", 2);
	      DEFINE_STRING(BGl_string1991z00zz__evaluate_uncompz00,
		BgL_bgl_string1991za700za7za7_2031za7, "if", 2);
	      DEFINE_STRING(BGl_string1993z00zz__evaluate_uncompz00,
		BgL_bgl_string1993za700za7za7_2032za7, "quote", 5);
	      DEFINE_STRING(BGl_string1994z00zz__evaluate_uncompz00,
		BgL_bgl_string1994za700za7za7_2033za7, "__evaluate_uncomp", 17);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__2034z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za72035za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1929z00zz__evaluate_uncompz00,
		BgL_bgl_string1929za700za7za7_2036za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string1930z00zz__evaluate_uncompz00,
		BgL_bgl_string1930za700za7za7_2037za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string1931z00zz__evaluate_uncompz00,
		BgL_bgl_string1931za700za7za7_2038za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1933z00zz__evaluate_uncompz00,
		BgL_bgl_string1933za700za7za7_2039za7, "uncomp1201", 10);
	      DEFINE_STRING(BGl_string1935z00zz__evaluate_uncompz00,
		BgL_bgl_string1935za700za7za7_2040za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1936z00zz__evaluate_uncompz00,
		BgL_bgl_string1936za700za7za7_2041za7, "&uncomp", 7);
	      DEFINE_STRING(BGl_string1938z00zz__evaluate_uncompz00,
		BgL_bgl_string1938za700za7za7_2042za7, "uncomp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp1201za7622043z00,
		BGl_z62uncomp1201z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v2044z00,
		BGl_z62uncompzd2ev_var1204zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g2045z00,
		BGl_z62uncompzd2ev_global1206zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_keyword1968z00zz__evaluate_uncompz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1934z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1960z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1962z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1964z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1966z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1970z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1972z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1974z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1976z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1978z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1980z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1982z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1984z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1986z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1988z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1990z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1992z00zz__evaluate_uncompz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_2864, char *BgL_fromz00_2865)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol1934z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1933z00zz__evaluate_uncompz00);
			BGl_symbol1960z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1961z00zz__evaluate_uncompz00);
			BGl_symbol1962z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1963z00zz__evaluate_uncompz00);
			BGl_symbol1964z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1965z00zz__evaluate_uncompz00);
			BGl_symbol1966z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1967z00zz__evaluate_uncompz00);
			BGl_keyword1968z00zz__evaluate_uncompz00 =
				bstring_to_keyword(BGl_string1969z00zz__evaluate_uncompz00);
			BGl_symbol1970z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1971z00zz__evaluate_uncompz00);
			BGl_symbol1972z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1973z00zz__evaluate_uncompz00);
			BGl_symbol1974z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1975z00zz__evaluate_uncompz00);
			BGl_symbol1976z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1977z00zz__evaluate_uncompz00);
			BGl_symbol1978z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1979z00zz__evaluate_uncompz00);
			BGl_symbol1980z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1981z00zz__evaluate_uncompz00);
			BGl_symbol1982z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1983z00zz__evaluate_uncompz00);
			BGl_symbol1984z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1985z00zz__evaluate_uncompz00);
			BGl_symbol1986z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1987z00zz__evaluate_uncompz00);
			BGl_symbol1988z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1989z00zz__evaluate_uncompz00);
			BGl_symbol1990z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1991z00zz__evaluate_uncompz00);
			return (BGl_symbol1992z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1993z00zz__evaluate_uncompz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}

	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		{	/* Eval/evaluate_uncomp.scm 62 */
			BGL_TAIL return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}

	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2505,
		obj_t BgL_ez00_2506)
	{
		{	/* Eval/evaluate_uncomp.scm 62 */
			{	/* Eval/evaluate_uncomp.scm 63 */
				BgL_ev_exprz00_bglt BgL_auxz00_2895;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2506,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 63 */
						BgL_auxz00_2895 = ((BgL_ev_exprz00_bglt) BgL_ez00_2506);
					}
				else
					{
						obj_t BgL_auxz00_2899;

						BgL_auxz00_2899 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1929z00zz__evaluate_uncompz00, BINT(((long) 1816)),
							BGl_string1930z00zz__evaluate_uncompz00,
							BGl_string1931z00zz__evaluate_uncompz00, BgL_ez00_2506);
						FAILURE(BgL_auxz00_2899, BFALSE, BFALSE);
					}
				return BGl_uncompilez00zz__evaluate_uncompz00(BgL_auxz00_2895);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc1932z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1933z00zz__evaluate_uncompz00);
		}

	}



/* &uncomp1201 */
	obj_t BGl_z62uncomp1201z62zz__evaluate_uncompz00(obj_t BgL_envz00_2508,
		obj_t BgL_ez00_2509)
	{
		{	/* Eval/evaluate_uncomp.scm 65 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol1934z00zz__evaluate_uncompz00,
				BGl_string1935z00zz__evaluate_uncompz00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_2509)));
		}

	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				obj_t BgL_method1202z00_1152;

				{	/* Eval/evaluate_uncomp.scm 65 */
					obj_t BgL_res1913z00_2013;

					{	/* Eval/evaluate_uncomp.scm 65 */
						long BgL_objzd2classzd2numz00_1984;

						BgL_objzd2classzd2numz00_1984 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_4));
						{	/* Eval/evaluate_uncomp.scm 65 */
							obj_t BgL_arg1889z00_1985;

							BgL_arg1889z00_1985 =
								PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_uncomp.scm 65 */
								int BgL_offsetz00_1988;

								BgL_offsetz00_1988 = (int) (BgL_objzd2classzd2numz00_1984);
								{	/* Eval/evaluate_uncomp.scm 65 */
									long BgL_offsetz00_1989;

									BgL_offsetz00_1989 =
										((long) (BgL_offsetz00_1988) - OBJECT_TYPE);
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_modz00_1990;

										BgL_modz00_1990 =
											(BgL_offsetz00_1989 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Eval/evaluate_uncomp.scm 65 */
											long BgL_restz00_1992;

											BgL_restz00_1992 =
												(BgL_offsetz00_1989 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Eval/evaluate_uncomp.scm 65 */

												{	/* Eval/evaluate_uncomp.scm 65 */
													obj_t BgL_bucketz00_1994;

													BgL_bucketz00_1994 =
														VECTOR_REF(
														((obj_t) BgL_arg1889z00_1985), BgL_modz00_1990);
													BgL_res1913z00_2013 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1994), BgL_restz00_1992);
					}}}}}}}}
					BgL_method1202z00_1152 = BgL_res1913z00_2013;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1202z00_1152)) (BgL_method1202z00_1152,
					((obj_t) BgL_ez00_4), BEOA);
			}
		}

	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2510,
		obj_t BgL_ez00_2511)
	{
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				BgL_ev_exprz00_bglt BgL_auxz00_2938;

				{	/* Eval/evaluate_uncomp.scm 65 */
					bool_t BgL_test2048z00_2939;

					{	/* Eval/evaluate_uncomp.scm 65 */
						obj_t BgL_classz00_2587;

						BgL_classz00_2587 = BGl_ev_exprz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_ez00_2511))
							{	/* Eval/evaluate_uncomp.scm 65 */
								BgL_objectz00_bglt BgL_arg1887z00_2589;
								long BgL_arg1888z00_2590;

								BgL_arg1887z00_2589 = (BgL_objectz00_bglt) (BgL_ez00_2511);
								BgL_arg1888z00_2590 = BGL_CLASS_DEPTH(BgL_classz00_2587);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_idxz00_2598;

										BgL_idxz00_2598 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1887z00_2589);
										{	/* Eval/evaluate_uncomp.scm 65 */
											obj_t BgL_arg1879z00_2599;

											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_arg1880z00_2600;

												BgL_arg1880z00_2600 =
													(BgL_idxz00_2598 + BgL_arg1888z00_2590);
												BgL_arg1879z00_2599 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg1880z00_2600);
											}
											BgL_test2048z00_2939 =
												(BgL_arg1879z00_2599 == BgL_classz00_2587);
									}}
								else
									{	/* Eval/evaluate_uncomp.scm 65 */
										bool_t BgL_res1995z00_2623;

										{	/* Eval/evaluate_uncomp.scm 65 */
											obj_t BgL_oclassz00_2608;

											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_arg1892z00_2614;

												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_arg1894z00_2615;

													BgL_arg1894z00_2615 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1887z00_2589);
													BgL_arg1892z00_2614 =
														(BgL_arg1894z00_2615 - OBJECT_TYPE);
												}
												BgL_oclassz00_2608 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1892z00_2614);
											}
											{	/* Eval/evaluate_uncomp.scm 65 */
												bool_t BgL__ortest_1126z00_2609;

												BgL__ortest_1126z00_2609 =
													(BgL_classz00_2587 == BgL_oclassz00_2608);
												if (BgL__ortest_1126z00_2609)
													{	/* Eval/evaluate_uncomp.scm 65 */
														BgL_res1995z00_2623 = BgL__ortest_1126z00_2609;
													}
												else
													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_odepthz00_2610;

														BgL_odepthz00_2610 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2608);
														if ((BgL_arg1888z00_2590 < BgL_odepthz00_2610))
															{	/* Eval/evaluate_uncomp.scm 65 */
																obj_t BgL_arg1882z00_2612;

																BgL_arg1882z00_2612 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2608,
																	BgL_arg1888z00_2590);
																BgL_res1995z00_2623 =
																	(BgL_arg1882z00_2612 == BgL_classz00_2587);
															}
														else
															{	/* Eval/evaluate_uncomp.scm 65 */
																BgL_res1995z00_2623 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2048z00_2939 = BgL_res1995z00_2623;
									}
							}
						else
							{	/* Eval/evaluate_uncomp.scm 65 */
								BgL_test2048z00_2939 = ((bool_t) 0);
							}
					}
					if (BgL_test2048z00_2939)
						{	/* Eval/evaluate_uncomp.scm 65 */
							BgL_auxz00_2938 = ((BgL_ev_exprz00_bglt) BgL_ez00_2511);
						}
					else
						{
							obj_t BgL_auxz00_2961;

							BgL_auxz00_2961 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1929z00zz__evaluate_uncompz00, BINT(((long) 1830)),
								BGl_string1936z00zz__evaluate_uncompz00,
								BGl_string1931z00zz__evaluate_uncompz00, BgL_ez00_2511);
							FAILURE(BgL_auxz00_2961, BFALSE, BFALSE);
				}}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2938);
			}
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc1937z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1939z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1940z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1941z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc1942z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc1943z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1944z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc1945z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc1946z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc1947z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1948z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1949z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1950z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1951z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc1952z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc1953z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1954z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1955z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1956z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1957z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc1958z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc1959z00zz__evaluate_uncompz00,
				BGl_string1938z00zz__evaluate_uncompz00);
		}

	}



/* &uncomp-ev_abs1246 */
	obj_t BGl_z62uncompzd2ev_abs1246zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2534, obj_t BgL_ez00_2535)
	{
		{	/* Eval/evaluate_uncomp.scm 157 */
			{	/* Eval/evaluate_uncomp.scm 166 */
				obj_t BgL_arg1521z00_2625;

				{	/* Eval/evaluate_uncomp.scm 166 */
					obj_t BgL_arg1522z00_2626;
					obj_t BgL_arg1523z00_2627;

					{	/* Eval/evaluate_uncomp.scm 166 */
						obj_t BgL_arg1524z00_2628;
						obj_t BgL_arg1526z00_2629;

						BgL_arg1524z00_2628 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_2535)))->BgL_arityz00);
						{	/* Eval/evaluate_uncomp.scm 166 */
							obj_t BgL_l1183z00_2630;

							BgL_l1183z00_2630 =
								(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_2535)))->BgL_varsz00);
							if (NULLP(BgL_l1183z00_2630))
								{	/* Eval/evaluate_uncomp.scm 166 */
									BgL_arg1526z00_2629 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 166 */
									obj_t BgL_head1185z00_2631;

									BgL_head1185z00_2631 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1183z00_2633;
										obj_t BgL_tail1186z00_2634;

										BgL_l1183z00_2633 = BgL_l1183z00_2630;
										BgL_tail1186z00_2634 = BgL_head1185z00_2631;
									BgL_zc3z04anonymousza31528ze3z87_2632:
										if (NULLP(BgL_l1183z00_2633))
											{	/* Eval/evaluate_uncomp.scm 166 */
												BgL_arg1526z00_2629 = CDR(BgL_head1185z00_2631);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 166 */
												obj_t BgL_newtail1187z00_2635;

												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_arg1531z00_2636;

													BgL_arg1531z00_2636 =
														(((BgL_ev_varz00_bglt) COBJECT(
																((BgL_ev_varz00_bglt)
																	CAR(
																		((obj_t) BgL_l1183z00_2633)))))->
														BgL_namez00);
													BgL_newtail1187z00_2635 =
														MAKE_YOUNG_PAIR(BgL_arg1531z00_2636, BNIL);
												}
												SET_CDR(BgL_tail1186z00_2634, BgL_newtail1187z00_2635);
												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_arg1530z00_2637;

													BgL_arg1530z00_2637 =
														CDR(((obj_t) BgL_l1183z00_2633));
													{
														obj_t BgL_tail1186z00_3007;
														obj_t BgL_l1183z00_3006;

														BgL_l1183z00_3006 = BgL_arg1530z00_2637;
														BgL_tail1186z00_3007 = BgL_newtail1187z00_2635;
														BgL_tail1186z00_2634 = BgL_tail1186z00_3007;
														BgL_l1183z00_2633 = BgL_l1183z00_3006;
														goto BgL_zc3z04anonymousza31528ze3z87_2632;
													}
												}
											}
									}
								}
						}
						BgL_arg1522z00_2626 =
							BGl_redovarsze70ze7zz__evaluate_uncompz00(BgL_arg1524z00_2628,
							BgL_arg1526z00_2629);
					}
					BgL_arg1523z00_2627 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_2535)))->BgL_bodyz00)),
						BNIL);
					BgL_arg1521z00_2625 =
						MAKE_YOUNG_PAIR(BgL_arg1522z00_2626, BgL_arg1523z00_2627);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1960z00zz__evaluate_uncompz00,
					BgL_arg1521z00_2625);
			}
		}

	}



/* rec~0 */
	obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t BgL_lz00_1559)
	{
		{	/* Eval/evaluate_uncomp.scm 162 */
			if (NULLP(CDR(((obj_t) BgL_lz00_1559))))
				{	/* Eval/evaluate_uncomp.scm 163 */
					return CAR(((obj_t) BgL_lz00_1559));
				}
			else
				{	/* Eval/evaluate_uncomp.scm 165 */
					obj_t BgL_arg1542z00_1563;
					obj_t BgL_arg1543z00_1564;

					BgL_arg1542z00_1563 = CAR(((obj_t) BgL_lz00_1559));
					{	/* Eval/evaluate_uncomp.scm 165 */
						obj_t BgL_arg1545z00_1565;

						BgL_arg1545z00_1565 = CDR(((obj_t) BgL_lz00_1559));
						BgL_arg1543z00_1564 =
							BGl_recze70ze7zz__evaluate_uncompz00(BgL_arg1545z00_1565);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1542z00_1563, BgL_arg1543z00_1564);
				}
		}

	}



/* redovars~0 */
	obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t BgL_nz00_1554,
		obj_t BgL_lz00_1555)
	{
		{	/* Eval/evaluate_uncomp.scm 165 */
			if (((long) CINT(BgL_nz00_1554) >= ((long) 0)))
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BgL_lz00_1555;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BGl_recze70ze7zz__evaluate_uncompz00(BgL_lz00_1555);
				}
		}

	}



/* &uncomp-ev_app1244 */
	obj_t BGl_z62uncompzd2ev_app1244zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2536, obj_t BgL_ez00_2537)
	{
		{	/* Eval/evaluate_uncomp.scm 153 */
			{	/* Eval/evaluate_uncomp.scm 155 */
				obj_t BgL_arg1507z00_2639;
				obj_t BgL_arg1509z00_2640;

				BgL_arg1507z00_2639 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_ez00_2537)))->BgL_funz00));
				{	/* Eval/evaluate_uncomp.scm 155 */
					obj_t BgL_arg1511z00_2641;

					{	/* Eval/evaluate_uncomp.scm 155 */
						obj_t BgL_l1177z00_2642;

						BgL_l1177z00_2642 =
							(((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_ez00_2537)))->BgL_argsz00);
						if (NULLP(BgL_l1177z00_2642))
							{	/* Eval/evaluate_uncomp.scm 155 */
								BgL_arg1511z00_2641 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 155 */
								obj_t BgL_head1179z00_2643;

								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_arg1519z00_2644;

									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_arg1520z00_2645;

										BgL_arg1520z00_2645 = CAR(((obj_t) BgL_l1177z00_2642));
										BgL_arg1519z00_2644 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1520z00_2645));
									}
									BgL_head1179z00_2643 =
										MAKE_YOUNG_PAIR(BgL_arg1519z00_2644, BNIL);
								}
								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_g1182z00_2646;

									BgL_g1182z00_2646 = CDR(((obj_t) BgL_l1177z00_2642));
									{
										obj_t BgL_l1177z00_2648;
										obj_t BgL_tail1180z00_2649;

										BgL_l1177z00_2648 = BgL_g1182z00_2646;
										BgL_tail1180z00_2649 = BgL_head1179z00_2643;
									BgL_zc3z04anonymousza31513ze3z87_2647:
										if (NULLP(BgL_l1177z00_2648))
											{	/* Eval/evaluate_uncomp.scm 155 */
												BgL_arg1511z00_2641 = BgL_head1179z00_2643;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 155 */
												obj_t BgL_newtail1181z00_2650;

												{	/* Eval/evaluate_uncomp.scm 155 */
													obj_t BgL_arg1516z00_2651;

													{	/* Eval/evaluate_uncomp.scm 155 */
														obj_t BgL_arg1517z00_2652;

														BgL_arg1517z00_2652 =
															CAR(((obj_t) BgL_l1177z00_2648));
														BgL_arg1516z00_2651 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1517z00_2652));
													}
													BgL_newtail1181z00_2650 =
														MAKE_YOUNG_PAIR(BgL_arg1516z00_2651, BNIL);
												}
												SET_CDR(BgL_tail1180z00_2649, BgL_newtail1181z00_2650);
												{	/* Eval/evaluate_uncomp.scm 155 */
													obj_t BgL_arg1515z00_2653;

													BgL_arg1515z00_2653 =
														CDR(((obj_t) BgL_l1177z00_2648));
													{
														obj_t BgL_tail1180z00_3056;
														obj_t BgL_l1177z00_3055;

														BgL_l1177z00_3055 = BgL_arg1515z00_2653;
														BgL_tail1180z00_3056 = BgL_newtail1181z00_2650;
														BgL_tail1180z00_2649 = BgL_tail1180z00_3056;
														BgL_l1177z00_2648 = BgL_l1177z00_3055;
														goto BgL_zc3z04anonymousza31513ze3z87_2647;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1509z00_2640 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1511z00_2641,
						BNIL);
				}
				return MAKE_YOUNG_PAIR(BgL_arg1507z00_2639, BgL_arg1509z00_2640);
			}
		}

	}



/* &uncomp-ev_goto1242 */
	obj_t BGl_z62uncompzd2ev_goto1242zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2538, obj_t BgL_ez00_2539)
	{
		{	/* Eval/evaluate_uncomp.scm 149 */
			{	/* Eval/evaluate_uncomp.scm 151 */
				obj_t BgL_arg1494z00_2655;
				obj_t BgL_arg1496z00_2656;

				{	/* Eval/evaluate_uncomp.scm 151 */
					BgL_ev_varz00_bglt BgL_arg1497z00_2657;

					BgL_arg1497z00_2657 =
						(((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_ez00_2539)))->BgL_labelz00);
					BgL_arg1494z00_2655 =
						BGl_uncompz00zz__evaluate_uncompz00(
						((BgL_ev_exprz00_bglt) BgL_arg1497z00_2657));
				}
				{	/* Eval/evaluate_uncomp.scm 151 */
					obj_t BgL_arg1498z00_2658;

					{	/* Eval/evaluate_uncomp.scm 151 */
						obj_t BgL_l1171z00_2659;

						BgL_l1171z00_2659 =
							(((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_ez00_2539)))->BgL_argsz00);
						if (NULLP(BgL_l1171z00_2659))
							{	/* Eval/evaluate_uncomp.scm 151 */
								BgL_arg1498z00_2658 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 151 */
								obj_t BgL_head1173z00_2660;

								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_arg1505z00_2661;

									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_arg1506z00_2662;

										BgL_arg1506z00_2662 = CAR(((obj_t) BgL_l1171z00_2659));
										BgL_arg1505z00_2661 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1506z00_2662));
									}
									BgL_head1173z00_2660 =
										MAKE_YOUNG_PAIR(BgL_arg1505z00_2661, BNIL);
								}
								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_g1176z00_2663;

									BgL_g1176z00_2663 = CDR(((obj_t) BgL_l1171z00_2659));
									{
										obj_t BgL_l1171z00_2665;
										obj_t BgL_tail1174z00_2666;

										BgL_l1171z00_2665 = BgL_g1176z00_2663;
										BgL_tail1174z00_2666 = BgL_head1173z00_2660;
									BgL_zc3z04anonymousza31500ze3z87_2664:
										if (NULLP(BgL_l1171z00_2665))
											{	/* Eval/evaluate_uncomp.scm 151 */
												BgL_arg1498z00_2658 = BgL_head1173z00_2660;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 151 */
												obj_t BgL_newtail1175z00_2667;

												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_arg1503z00_2668;

													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_arg1504z00_2669;

														BgL_arg1504z00_2669 =
															CAR(((obj_t) BgL_l1171z00_2665));
														BgL_arg1503z00_2668 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1504z00_2669));
													}
													BgL_newtail1175z00_2667 =
														MAKE_YOUNG_PAIR(BgL_arg1503z00_2668, BNIL);
												}
												SET_CDR(BgL_tail1174z00_2666, BgL_newtail1175z00_2667);
												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_arg1502z00_2670;

													BgL_arg1502z00_2670 =
														CDR(((obj_t) BgL_l1171z00_2665));
													{
														obj_t BgL_tail1174z00_3085;
														obj_t BgL_l1171z00_3084;

														BgL_l1171z00_3084 = BgL_arg1502z00_2670;
														BgL_tail1174z00_3085 = BgL_newtail1175z00_2667;
														BgL_tail1174z00_2666 = BgL_tail1174z00_3085;
														BgL_l1171z00_2665 = BgL_l1171z00_3084;
														goto BgL_zc3z04anonymousza31500ze3z87_2664;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1496z00_2656 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1498z00_2658,
						BNIL);
				}
				return MAKE_YOUNG_PAIR(BgL_arg1494z00_2655, BgL_arg1496z00_2656);
			}
		}

	}



/* &uncomp-ev_labels1240 */
	obj_t BGl_z62uncompzd2ev_labels1240zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2540, obj_t BgL_ez00_2541)
	{
		{	/* Eval/evaluate_uncomp.scm 142 */
			{	/* Eval/evaluate_uncomp.scm 144 */
				obj_t BgL_arg1464z00_2672;

				{	/* Eval/evaluate_uncomp.scm 144 */
					obj_t BgL_arg1465z00_2673;
					obj_t BgL_arg1466z00_2674;

					{	/* Eval/evaluate_uncomp.scm 144 */
						obj_t BgL_ll1165z00_2675;
						obj_t BgL_ll1166z00_2676;

						BgL_ll1165z00_2675 =
							(((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_ez00_2541)))->BgL_varsz00);
						BgL_ll1166z00_2676 =
							(((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_ez00_2541)))->BgL_valsz00);
						if (NULLP(BgL_ll1165z00_2675))
							{	/* Eval/evaluate_uncomp.scm 144 */
								BgL_arg1465z00_2673 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 144 */
								obj_t BgL_head1167z00_2677;

								BgL_head1167z00_2677 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1165z00_2679;
									obj_t BgL_ll1166z00_2680;
									obj_t BgL_tail1168z00_2681;

									BgL_ll1165z00_2679 = BgL_ll1165z00_2675;
									BgL_ll1166z00_2680 = BgL_ll1166z00_2676;
									BgL_tail1168z00_2681 = BgL_head1167z00_2677;
								BgL_zc3z04anonymousza31468ze3z87_2678:
									if (NULLP(BgL_ll1165z00_2679))
										{	/* Eval/evaluate_uncomp.scm 144 */
											BgL_arg1465z00_2673 = CDR(BgL_head1167z00_2677);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 144 */
											obj_t BgL_newtail1169z00_2682;

											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_arg1472z00_2683;

												{	/* Eval/evaluate_uncomp.scm 144 */
													obj_t BgL_vz00_2684;
													obj_t BgL_az00_2685;

													BgL_vz00_2684 = CAR(((obj_t) BgL_ll1165z00_2679));
													BgL_az00_2685 = CAR(((obj_t) BgL_ll1166z00_2680));
													{	/* Eval/evaluate_uncomp.scm 144 */
														obj_t BgL_arg1473z00_2686;
														obj_t BgL_arg1474z00_2687;

														BgL_arg1473z00_2686 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2684));
														{	/* Eval/evaluate_uncomp.scm 144 */
															obj_t BgL_arg1475z00_2688;

															{	/* Eval/evaluate_uncomp.scm 144 */
																obj_t BgL_arg1476z00_2689;

																{	/* Eval/evaluate_uncomp.scm 144 */
																	obj_t BgL_arg1477z00_2690;
																	obj_t BgL_arg1478z00_2691;

																	{	/* Eval/evaluate_uncomp.scm 144 */
																		obj_t BgL_l1159z00_2692;

																		BgL_l1159z00_2692 =
																			CAR(((obj_t) BgL_az00_2685));
																		if (NULLP(BgL_l1159z00_2692))
																			{	/* Eval/evaluate_uncomp.scm 144 */
																				BgL_arg1477z00_2690 = BNIL;
																			}
																		else
																			{	/* Eval/evaluate_uncomp.scm 144 */
																				obj_t BgL_head1161z00_2693;

																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_arg1487z00_2694;

																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_arg1488z00_2695;

																						BgL_arg1488z00_2695 =
																							CAR(((obj_t) BgL_l1159z00_2692));
																						BgL_arg1487z00_2694 =
																							BGl_uncompz00zz__evaluate_uncompz00
																							(((BgL_ev_exprz00_bglt)
																								BgL_arg1488z00_2695));
																					}
																					BgL_head1161z00_2693 =
																						MAKE_YOUNG_PAIR(BgL_arg1487z00_2694,
																						BNIL);
																				}
																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_g1164z00_2696;

																					BgL_g1164z00_2696 =
																						CDR(((obj_t) BgL_l1159z00_2692));
																					{
																						obj_t BgL_l1159z00_2698;
																						obj_t BgL_tail1162z00_2699;

																						BgL_l1159z00_2698 =
																							BgL_g1164z00_2696;
																						BgL_tail1162z00_2699 =
																							BgL_head1161z00_2693;
																					BgL_zc3z04anonymousza31480ze3z87_2697:
																						if (NULLP
																							(BgL_l1159z00_2698))
																							{	/* Eval/evaluate_uncomp.scm 144 */
																								BgL_arg1477z00_2690 =
																									BgL_head1161z00_2693;
																							}
																						else
																							{	/* Eval/evaluate_uncomp.scm 144 */
																								obj_t BgL_newtail1163z00_2700;

																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_arg1484z00_2701;

																									{	/* Eval/evaluate_uncomp.scm 144 */
																										obj_t BgL_arg1486z00_2702;

																										BgL_arg1486z00_2702 =
																											CAR(
																											((obj_t)
																												BgL_l1159z00_2698));
																										BgL_arg1484z00_2701 =
																											BGl_uncompz00zz__evaluate_uncompz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg1486z00_2702));
																									}
																									BgL_newtail1163z00_2700 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1484z00_2701, BNIL);
																								}
																								SET_CDR(BgL_tail1162z00_2699,
																									BgL_newtail1163z00_2700);
																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_arg1482z00_2703;

																									BgL_arg1482z00_2703 =
																										CDR(
																										((obj_t)
																											BgL_l1159z00_2698));
																									{
																										obj_t BgL_tail1162z00_3126;
																										obj_t BgL_l1159z00_3125;

																										BgL_l1159z00_3125 =
																											BgL_arg1482z00_2703;
																										BgL_tail1162z00_3126 =
																											BgL_newtail1163z00_2700;
																										BgL_tail1162z00_2699 =
																											BgL_tail1162z00_3126;
																										BgL_l1159z00_2698 =
																											BgL_l1159z00_3125;
																										goto
																											BgL_zc3z04anonymousza31480ze3z87_2697;
																									}
																								}
																							}
																					}
																				}
																			}
																	}
																	{	/* Eval/evaluate_uncomp.scm 145 */
																		obj_t BgL_arg1489z00_2704;

																		{	/* Eval/evaluate_uncomp.scm 145 */
																			obj_t BgL_arg1490z00_2705;

																			BgL_arg1490z00_2705 =
																				CDR(((obj_t) BgL_az00_2685));
																			BgL_arg1489z00_2704 =
																				BGl_uncompz00zz__evaluate_uncompz00(
																				((BgL_ev_exprz00_bglt)
																					BgL_arg1490z00_2705));
																		}
																		BgL_arg1478z00_2691 =
																			MAKE_YOUNG_PAIR(BgL_arg1489z00_2704,
																			BNIL);
																	}
																	BgL_arg1476z00_2689 =
																		MAKE_YOUNG_PAIR(BgL_arg1477z00_2690,
																		BgL_arg1478z00_2691);
																}
																BgL_arg1475z00_2688 =
																	MAKE_YOUNG_PAIR
																	(BGl_symbol1960z00zz__evaluate_uncompz00,
																	BgL_arg1476z00_2689);
															}
															BgL_arg1474z00_2687 =
																MAKE_YOUNG_PAIR(BgL_arg1475z00_2688, BNIL);
														}
														BgL_arg1472z00_2683 =
															MAKE_YOUNG_PAIR(BgL_arg1473z00_2686,
															BgL_arg1474z00_2687);
													}
												}
												BgL_newtail1169z00_2682 =
													MAKE_YOUNG_PAIR(BgL_arg1472z00_2683, BNIL);
											}
											SET_CDR(BgL_tail1168z00_2681, BgL_newtail1169z00_2682);
											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_arg1470z00_2706;
												obj_t BgL_arg1471z00_2707;

												BgL_arg1470z00_2706 = CDR(((obj_t) BgL_ll1165z00_2679));
												BgL_arg1471z00_2707 = CDR(((obj_t) BgL_ll1166z00_2680));
												{
													obj_t BgL_tail1168z00_3144;
													obj_t BgL_ll1166z00_3143;
													obj_t BgL_ll1165z00_3142;

													BgL_ll1165z00_3142 = BgL_arg1470z00_2706;
													BgL_ll1166z00_3143 = BgL_arg1471z00_2707;
													BgL_tail1168z00_3144 = BgL_newtail1169z00_2682;
													BgL_tail1168z00_2681 = BgL_tail1168z00_3144;
													BgL_ll1166z00_2680 = BgL_ll1166z00_3143;
													BgL_ll1165z00_2679 = BgL_ll1165z00_3142;
													goto BgL_zc3z04anonymousza31468ze3z87_2678;
												}
											}
										}
								}
							}
					}
					BgL_arg1466z00_2674 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_labelsz00_bglt) COBJECT(
										((BgL_ev_labelsz00_bglt) BgL_ez00_2541)))->BgL_bodyz00)),
						BNIL);
					BgL_arg1464z00_2672 =
						MAKE_YOUNG_PAIR(BgL_arg1465z00_2673, BgL_arg1466z00_2674);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1962z00zz__evaluate_uncompz00,
					BgL_arg1464z00_2672);
			}
		}

	}



/* &uncomp-ev_letrec1238 */
	obj_t BGl_z62uncompzd2ev_letrec1238zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2542, obj_t BgL_ez00_2543)
	{
		{	/* Eval/evaluate_uncomp.scm 138 */
			{	/* Eval/evaluate_uncomp.scm 140 */
				obj_t BgL_arg1449z00_2709;

				{	/* Eval/evaluate_uncomp.scm 140 */
					obj_t BgL_arg1450z00_2710;
					obj_t BgL_arg1451z00_2711;

					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_ll1153z00_2712;
						obj_t BgL_ll1154z00_2713;

						BgL_ll1153z00_2712 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_2543))))->BgL_varsz00);
						BgL_ll1154z00_2713 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_2543))))->BgL_valsz00);
						if (NULLP(BgL_ll1153z00_2712))
							{	/* Eval/evaluate_uncomp.scm 140 */
								BgL_arg1450z00_2710 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 140 */
								obj_t BgL_head1155z00_2714;

								BgL_head1155z00_2714 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1153z00_2716;
									obj_t BgL_ll1154z00_2717;
									obj_t BgL_tail1156z00_2718;

									BgL_ll1153z00_2716 = BgL_ll1153z00_2712;
									BgL_ll1154z00_2717 = BgL_ll1154z00_2713;
									BgL_tail1156z00_2718 = BgL_head1155z00_2714;
								BgL_zc3z04anonymousza31453ze3z87_2715:
									if (NULLP(BgL_ll1153z00_2716))
										{	/* Eval/evaluate_uncomp.scm 140 */
											BgL_arg1450z00_2710 = CDR(BgL_head1155z00_2714);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 140 */
											obj_t BgL_newtail1157z00_2719;

											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_arg1457z00_2720;

												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_vz00_2721;
													obj_t BgL_az00_2722;

													BgL_vz00_2721 = CAR(((obj_t) BgL_ll1153z00_2716));
													BgL_az00_2722 = CAR(((obj_t) BgL_ll1154z00_2717));
													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_arg1458z00_2723;
														obj_t BgL_arg1460z00_2724;

														BgL_arg1458z00_2723 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2721));
														{	/* Eval/evaluate_uncomp.scm 140 */
															obj_t BgL_arg1461z00_2725;

															BgL_arg1461z00_2725 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2722));
															BgL_arg1460z00_2724 =
																MAKE_YOUNG_PAIR(BgL_arg1461z00_2725, BNIL);
														}
														BgL_arg1457z00_2720 =
															MAKE_YOUNG_PAIR(BgL_arg1458z00_2723,
															BgL_arg1460z00_2724);
													}
												}
												BgL_newtail1157z00_2719 =
													MAKE_YOUNG_PAIR(BgL_arg1457z00_2720, BNIL);
											}
											SET_CDR(BgL_tail1156z00_2718, BgL_newtail1157z00_2719);
											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_arg1455z00_2726;
												obj_t BgL_arg1456z00_2727;

												BgL_arg1455z00_2726 = CDR(((obj_t) BgL_ll1153z00_2716));
												BgL_arg1456z00_2727 = CDR(((obj_t) BgL_ll1154z00_2717));
												{
													obj_t BgL_tail1156z00_3181;
													obj_t BgL_ll1154z00_3180;
													obj_t BgL_ll1153z00_3179;

													BgL_ll1153z00_3179 = BgL_arg1455z00_2726;
													BgL_ll1154z00_3180 = BgL_arg1456z00_2727;
													BgL_tail1156z00_3181 = BgL_newtail1157z00_2719;
													BgL_tail1156z00_2718 = BgL_tail1156z00_3181;
													BgL_ll1154z00_2717 = BgL_ll1154z00_3180;
													BgL_ll1153z00_2716 = BgL_ll1153z00_3179;
													goto BgL_zc3z04anonymousza31453ze3z87_2715;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_arg1462z00_2728;

						{	/* Eval/evaluate_uncomp.scm 140 */
							BgL_ev_exprz00_bglt BgL_arg1463z00_2729;

							BgL_arg1463z00_2729 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_2543))))->BgL_bodyz00);
							BgL_arg1462z00_2728 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1463z00_2729);
						}
						BgL_arg1451z00_2711 = MAKE_YOUNG_PAIR(BgL_arg1462z00_2728, BNIL);
					}
					BgL_arg1449z00_2709 =
						MAKE_YOUNG_PAIR(BgL_arg1450z00_2710, BgL_arg1451z00_2711);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1962z00zz__evaluate_uncompz00,
					BgL_arg1449z00_2709);
			}
		}

	}



/* &uncomp-ev_let*1236 */
	obj_t BGl_z62uncompzd2ev_letza21236z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2544, obj_t BgL_ez00_2545)
	{
		{	/* Eval/evaluate_uncomp.scm 134 */
			{	/* Eval/evaluate_uncomp.scm 136 */
				obj_t BgL_arg1433z00_2731;

				{	/* Eval/evaluate_uncomp.scm 136 */
					obj_t BgL_arg1434z00_2732;
					obj_t BgL_arg1435z00_2733;

					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_ll1147z00_2734;
						obj_t BgL_ll1148z00_2735;

						BgL_ll1147z00_2734 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_2545))))->BgL_varsz00);
						BgL_ll1148z00_2735 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_2545))))->BgL_valsz00);
						if (NULLP(BgL_ll1147z00_2734))
							{	/* Eval/evaluate_uncomp.scm 136 */
								BgL_arg1434z00_2732 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 136 */
								obj_t BgL_head1149z00_2736;

								BgL_head1149z00_2736 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1147z00_2738;
									obj_t BgL_ll1148z00_2739;
									obj_t BgL_tail1150z00_2740;

									BgL_ll1147z00_2738 = BgL_ll1147z00_2734;
									BgL_ll1148z00_2739 = BgL_ll1148z00_2735;
									BgL_tail1150z00_2740 = BgL_head1149z00_2736;
								BgL_zc3z04anonymousza31437ze3z87_2737:
									if (NULLP(BgL_ll1147z00_2738))
										{	/* Eval/evaluate_uncomp.scm 136 */
											BgL_arg1434z00_2732 = CDR(BgL_head1149z00_2736);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 136 */
											obj_t BgL_newtail1151z00_2741;

											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_arg1441z00_2742;

												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_vz00_2743;
													obj_t BgL_az00_2744;

													BgL_vz00_2743 = CAR(((obj_t) BgL_ll1147z00_2738));
													BgL_az00_2744 = CAR(((obj_t) BgL_ll1148z00_2739));
													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_arg1442z00_2745;
														obj_t BgL_arg1443z00_2746;

														BgL_arg1442z00_2745 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2743));
														{	/* Eval/evaluate_uncomp.scm 136 */
															obj_t BgL_arg1444z00_2747;

															BgL_arg1444z00_2747 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2744));
															BgL_arg1443z00_2746 =
																MAKE_YOUNG_PAIR(BgL_arg1444z00_2747, BNIL);
														}
														BgL_arg1441z00_2742 =
															MAKE_YOUNG_PAIR(BgL_arg1442z00_2745,
															BgL_arg1443z00_2746);
													}
												}
												BgL_newtail1151z00_2741 =
													MAKE_YOUNG_PAIR(BgL_arg1441z00_2742, BNIL);
											}
											SET_CDR(BgL_tail1150z00_2740, BgL_newtail1151z00_2741);
											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_arg1439z00_2748;
												obj_t BgL_arg1440z00_2749;

												BgL_arg1439z00_2748 = CDR(((obj_t) BgL_ll1147z00_2738));
												BgL_arg1440z00_2749 = CDR(((obj_t) BgL_ll1148z00_2739));
												{
													obj_t BgL_tail1150z00_3219;
													obj_t BgL_ll1148z00_3218;
													obj_t BgL_ll1147z00_3217;

													BgL_ll1147z00_3217 = BgL_arg1439z00_2748;
													BgL_ll1148z00_3218 = BgL_arg1440z00_2749;
													BgL_tail1150z00_3219 = BgL_newtail1151z00_2741;
													BgL_tail1150z00_2740 = BgL_tail1150z00_3219;
													BgL_ll1148z00_2739 = BgL_ll1148z00_3218;
													BgL_ll1147z00_2738 = BgL_ll1147z00_3217;
													goto BgL_zc3z04anonymousza31437ze3z87_2737;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_arg1445z00_2750;

						{	/* Eval/evaluate_uncomp.scm 136 */
							BgL_ev_exprz00_bglt BgL_arg1448z00_2751;

							BgL_arg1448z00_2751 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letza2za2_bglt) BgL_ez00_2545))))->BgL_bodyz00);
							BgL_arg1445z00_2750 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1448z00_2751);
						}
						BgL_arg1435z00_2733 = MAKE_YOUNG_PAIR(BgL_arg1445z00_2750, BNIL);
					}
					BgL_arg1433z00_2731 =
						MAKE_YOUNG_PAIR(BgL_arg1434z00_2732, BgL_arg1435z00_2733);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1964z00zz__evaluate_uncompz00,
					BgL_arg1433z00_2731);
			}
		}

	}



/* &uncomp-ev_let1234 */
	obj_t BGl_z62uncompzd2ev_let1234zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2546, obj_t BgL_ez00_2547)
	{
		{	/* Eval/evaluate_uncomp.scm 130 */
			{	/* Eval/evaluate_uncomp.scm 132 */
				obj_t BgL_arg1418z00_2753;

				{	/* Eval/evaluate_uncomp.scm 132 */
					obj_t BgL_arg1419z00_2754;
					obj_t BgL_arg1420z00_2755;

					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_ll1141z00_2756;
						obj_t BgL_ll1142z00_2757;

						BgL_ll1141z00_2756 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_2547))))->BgL_varsz00);
						BgL_ll1142z00_2757 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_2547))))->BgL_valsz00);
						if (NULLP(BgL_ll1141z00_2756))
							{	/* Eval/evaluate_uncomp.scm 132 */
								BgL_arg1419z00_2754 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 132 */
								obj_t BgL_head1143z00_2758;

								BgL_head1143z00_2758 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1141z00_2760;
									obj_t BgL_ll1142z00_2761;
									obj_t BgL_tail1144z00_2762;

									BgL_ll1141z00_2760 = BgL_ll1141z00_2756;
									BgL_ll1142z00_2761 = BgL_ll1142z00_2757;
									BgL_tail1144z00_2762 = BgL_head1143z00_2758;
								BgL_zc3z04anonymousza31422ze3z87_2759:
									if (NULLP(BgL_ll1141z00_2760))
										{	/* Eval/evaluate_uncomp.scm 132 */
											BgL_arg1419z00_2754 = CDR(BgL_head1143z00_2758);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 132 */
											obj_t BgL_newtail1145z00_2763;

											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_arg1427z00_2764;

												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_vz00_2765;
													obj_t BgL_az00_2766;

													BgL_vz00_2765 = CAR(((obj_t) BgL_ll1141z00_2760));
													BgL_az00_2766 = CAR(((obj_t) BgL_ll1142z00_2761));
													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_arg1428z00_2767;
														obj_t BgL_arg1429z00_2768;

														BgL_arg1428z00_2767 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2765));
														{	/* Eval/evaluate_uncomp.scm 132 */
															obj_t BgL_arg1430z00_2769;

															BgL_arg1430z00_2769 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2766));
															BgL_arg1429z00_2768 =
																MAKE_YOUNG_PAIR(BgL_arg1430z00_2769, BNIL);
														}
														BgL_arg1427z00_2764 =
															MAKE_YOUNG_PAIR(BgL_arg1428z00_2767,
															BgL_arg1429z00_2768);
													}
												}
												BgL_newtail1145z00_2763 =
													MAKE_YOUNG_PAIR(BgL_arg1427z00_2764, BNIL);
											}
											SET_CDR(BgL_tail1144z00_2762, BgL_newtail1145z00_2763);
											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_arg1424z00_2770;
												obj_t BgL_arg1426z00_2771;

												BgL_arg1424z00_2770 = CDR(((obj_t) BgL_ll1141z00_2760));
												BgL_arg1426z00_2771 = CDR(((obj_t) BgL_ll1142z00_2761));
												{
													obj_t BgL_tail1144z00_3257;
													obj_t BgL_ll1142z00_3256;
													obj_t BgL_ll1141z00_3255;

													BgL_ll1141z00_3255 = BgL_arg1424z00_2770;
													BgL_ll1142z00_3256 = BgL_arg1426z00_2771;
													BgL_tail1144z00_3257 = BgL_newtail1145z00_2763;
													BgL_tail1144z00_2762 = BgL_tail1144z00_3257;
													BgL_ll1142z00_2761 = BgL_ll1142z00_3256;
													BgL_ll1141z00_2760 = BgL_ll1141z00_3255;
													goto BgL_zc3z04anonymousza31422ze3z87_2759;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_arg1431z00_2772;

						{	/* Eval/evaluate_uncomp.scm 132 */
							BgL_ev_exprz00_bglt BgL_arg1432z00_2773;

							BgL_arg1432z00_2773 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letz00_bglt) BgL_ez00_2547))))->BgL_bodyz00);
							BgL_arg1431z00_2772 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1432z00_2773);
						}
						BgL_arg1420z00_2755 = MAKE_YOUNG_PAIR(BgL_arg1431z00_2772, BNIL);
					}
					BgL_arg1418z00_2753 =
						MAKE_YOUNG_PAIR(BgL_arg1419z00_2754, BgL_arg1420z00_2755);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1966z00zz__evaluate_uncompz00,
					BgL_arg1418z00_2753);
			}
		}

	}



/* &uncomp-ev_synchroniz1232 */
	obj_t BGl_z62uncompzd2ev_synchroniza71232z17zz__evaluate_uncompz00(obj_t
		BgL_envz00_2548, obj_t BgL_ez00_2549)
	{
		{	/* Eval/evaluate_uncomp.scm 126 */
			{	/* Eval/evaluate_uncomp.scm 128 */
				obj_t BgL_arg1407z00_2775;

				{	/* Eval/evaluate_uncomp.scm 128 */
					obj_t BgL_arg1408z00_2776;
					obj_t BgL_arg1409z00_2777;

					BgL_arg1408z00_2776 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2549)))->
							BgL_mutexz00));
					{	/* Eval/evaluate_uncomp.scm 128 */
						obj_t BgL_arg1411z00_2778;

						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_arg1412z00_2779;
							obj_t BgL_arg1413z00_2780;

							BgL_arg1412z00_2779 =
								BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
											((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2549)))->
									BgL_prelockz00));
							BgL_arg1413z00_2780 =
								MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
											(BgL_ev_synchroniza7eza7_bglt)
											COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2549)))->
										BgL_bodyz00)), BNIL);
							BgL_arg1411z00_2778 =
								MAKE_YOUNG_PAIR(BgL_arg1412z00_2779, BgL_arg1413z00_2780);
						}
						BgL_arg1409z00_2777 =
							MAKE_YOUNG_PAIR(BGl_keyword1968z00zz__evaluate_uncompz00,
							BgL_arg1411z00_2778);
					}
					BgL_arg1407z00_2775 =
						MAKE_YOUNG_PAIR(BgL_arg1408z00_2776, BgL_arg1409z00_2777);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1970z00zz__evaluate_uncompz00,
					BgL_arg1407z00_2775);
			}
		}

	}



/* &uncomp-ev_with-handl1230 */
	obj_t BGl_z62uncompzd2ev_withzd2handl1230z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2550, obj_t BgL_ez00_2551)
	{
		{	/* Eval/evaluate_uncomp.scm 122 */
			{	/* Eval/evaluate_uncomp.scm 124 */
				obj_t BgL_arg1399z00_2782;

				{	/* Eval/evaluate_uncomp.scm 124 */
					obj_t BgL_arg1400z00_2783;
					obj_t BgL_arg1403z00_2784;

					BgL_arg1400z00_2783 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2551)))->
							BgL_handlerz00));
					BgL_arg1403z00_2784 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
									(BgL_ev_withzd2handlerzd2_bglt)
									COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2551)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1399z00_2782 =
						MAKE_YOUNG_PAIR(BgL_arg1400z00_2783, BgL_arg1403z00_2784);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1972z00zz__evaluate_uncompz00,
					BgL_arg1399z00_2782);
			}
		}

	}



/* &uncomp-ev_unwind-pro1228 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro1228z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2552, obj_t BgL_ez00_2553)
	{
		{	/* Eval/evaluate_uncomp.scm 118 */
			{	/* Eval/evaluate_uncomp.scm 120 */
				obj_t BgL_arg1391z00_2786;

				{	/* Eval/evaluate_uncomp.scm 120 */
					obj_t BgL_arg1392z00_2787;
					obj_t BgL_arg1393z00_2788;

					BgL_arg1392z00_2787 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2553)))->
							BgL_ez00));
					BgL_arg1393z00_2788 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
									(BgL_ev_unwindzd2protectzd2_bglt)
									COBJECT(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2553)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1391z00_2786 =
						MAKE_YOUNG_PAIR(BgL_arg1392z00_2787, BgL_arg1393z00_2788);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1974z00zz__evaluate_uncompz00,
					BgL_arg1391z00_2786);
			}
		}

	}



/* &uncomp-ev_bind-exit1226 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit1226z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2554, obj_t BgL_ez00_2555)
	{
		{	/* Eval/evaluate_uncomp.scm 114 */
			{	/* Eval/evaluate_uncomp.scm 116 */
				obj_t BgL_arg1384z00_2790;

				{	/* Eval/evaluate_uncomp.scm 116 */
					obj_t BgL_arg1385z00_2791;
					obj_t BgL_arg1386z00_2792;

					{	/* Eval/evaluate_uncomp.scm 116 */
						obj_t BgL_arg1387z00_2793;

						{	/* Eval/evaluate_uncomp.scm 116 */
							BgL_ev_varz00_bglt BgL_arg1388z00_2794;

							BgL_arg1388z00_2794 =
								(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
										((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2555)))->BgL_varz00);
							BgL_arg1387z00_2793 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg1388z00_2794));
						}
						BgL_arg1385z00_2791 = MAKE_YOUNG_PAIR(BgL_arg1387z00_2793, BNIL);
					}
					BgL_arg1386z00_2792 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
										((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2555)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1384z00_2790 =
						MAKE_YOUNG_PAIR(BgL_arg1385z00_2791, BgL_arg1386z00_2792);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1976z00zz__evaluate_uncompz00,
					BgL_arg1384z00_2790);
			}
		}

	}



/* &uncomp-ev_setlocal1224 */
	obj_t BGl_z62uncompzd2ev_setlocal1224zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2556, obj_t BgL_ez00_2557)
	{
		{	/* Eval/evaluate_uncomp.scm 110 */
			{	/* Eval/evaluate_uncomp.scm 112 */
				obj_t BgL_arg1378z00_2796;

				{	/* Eval/evaluate_uncomp.scm 112 */
					obj_t BgL_arg1379z00_2797;
					obj_t BgL_arg1380z00_2798;

					{	/* Eval/evaluate_uncomp.scm 112 */
						BgL_ev_varz00_bglt BgL_arg1381z00_2799;

						BgL_arg1381z00_2799 =
							(((BgL_ev_setlocalz00_bglt) COBJECT(
									((BgL_ev_setlocalz00_bglt) BgL_ez00_2557)))->BgL_vz00);
						BgL_arg1379z00_2797 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg1381z00_2799));
					}
					{	/* Eval/evaluate_uncomp.scm 112 */
						obj_t BgL_arg1382z00_2800;

						{	/* Eval/evaluate_uncomp.scm 112 */
							BgL_ev_exprz00_bglt BgL_arg1383z00_2801;

							BgL_arg1383z00_2801 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_setlocalz00_bglt) BgL_ez00_2557))))->BgL_ez00);
							BgL_arg1382z00_2800 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1383z00_2801);
						}
						BgL_arg1380z00_2798 = MAKE_YOUNG_PAIR(BgL_arg1382z00_2800, BNIL);
					}
					BgL_arg1378z00_2796 =
						MAKE_YOUNG_PAIR(BgL_arg1379z00_2797, BgL_arg1380z00_2798);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1978z00zz__evaluate_uncompz00,
					BgL_arg1378z00_2796);
			}
		}

	}



/* &uncomp-ev_defglobal1222 */
	obj_t BGl_z62uncompzd2ev_defglobal1222zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2558, obj_t BgL_ez00_2559)
	{
		{	/* Eval/evaluate_uncomp.scm 106 */
			{	/* Eval/evaluate_uncomp.scm 108 */
				obj_t BgL_arg1373z00_2803;

				{	/* Eval/evaluate_uncomp.scm 108 */
					obj_t BgL_arg1374z00_2804;
					obj_t BgL_arg1375z00_2805;

					BgL_arg1374z00_2804 =
						(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_ez00_2559))))->BgL_namez00);
					{	/* Eval/evaluate_uncomp.scm 108 */
						obj_t BgL_arg1376z00_2806;

						{	/* Eval/evaluate_uncomp.scm 108 */
							BgL_ev_exprz00_bglt BgL_arg1377z00_2807;

							BgL_arg1377z00_2807 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_defglobalz00_bglt) BgL_ez00_2559))))->BgL_ez00);
							BgL_arg1376z00_2806 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1377z00_2807);
						}
						BgL_arg1375z00_2805 = MAKE_YOUNG_PAIR(BgL_arg1376z00_2806, BNIL);
					}
					BgL_arg1373z00_2803 =
						MAKE_YOUNG_PAIR(BgL_arg1374z00_2804, BgL_arg1375z00_2805);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1980z00zz__evaluate_uncompz00,
					BgL_arg1373z00_2803);
			}
		}

	}



/* &uncomp-ev_setglobal1220 */
	obj_t BGl_z62uncompzd2ev_setglobal1220zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2560, obj_t BgL_ez00_2561)
	{
		{	/* Eval/evaluate_uncomp.scm 102 */
			{	/* Eval/evaluate_uncomp.scm 104 */
				obj_t BgL_arg1368z00_2809;

				{	/* Eval/evaluate_uncomp.scm 104 */
					obj_t BgL_arg1369z00_2810;
					obj_t BgL_arg1370z00_2811;

					BgL_arg1369z00_2810 =
						(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_2561)))->BgL_namez00);
					{	/* Eval/evaluate_uncomp.scm 104 */
						obj_t BgL_arg1371z00_2812;

						{	/* Eval/evaluate_uncomp.scm 104 */
							BgL_ev_exprz00_bglt BgL_arg1372z00_2813;

							BgL_arg1372z00_2813 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_setglobalz00_bglt) BgL_ez00_2561))))->BgL_ez00);
							BgL_arg1371z00_2812 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1372z00_2813);
						}
						BgL_arg1370z00_2811 = MAKE_YOUNG_PAIR(BgL_arg1371z00_2812, BNIL);
					}
					BgL_arg1368z00_2809 =
						MAKE_YOUNG_PAIR(BgL_arg1369z00_2810, BgL_arg1370z00_2811);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1978z00zz__evaluate_uncompz00,
					BgL_arg1368z00_2809);
			}
		}

	}



/* &uncomp-ev_trap1218 */
	obj_t BGl_z62uncompzd2ev_trap1218zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2562, obj_t BgL_ez00_2563)
	{
		{	/* Eval/evaluate_uncomp.scm 98 */
			{	/* Eval/evaluate_uncomp.scm 100 */
				obj_t BgL_arg1365z00_2815;

				{	/* Eval/evaluate_uncomp.scm 100 */
					obj_t BgL_arg1366z00_2816;

					{	/* Eval/evaluate_uncomp.scm 100 */
						BgL_ev_exprz00_bglt BgL_arg1367z00_2817;

						BgL_arg1367z00_2817 =
							(((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_trapz00_bglt) BgL_ez00_2563))))->BgL_ez00);
						BgL_arg1366z00_2816 =
							BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1367z00_2817);
					}
					BgL_arg1365z00_2815 = MAKE_YOUNG_PAIR(BgL_arg1366z00_2816, BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1982z00zz__evaluate_uncompz00,
					BgL_arg1365z00_2815);
			}
		}

	}



/* &uncomp-ev_prog21216 */
	obj_t BGl_z62uncompzd2ev_prog21216zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2564, obj_t BgL_ez00_2565)
	{
		{	/* Eval/evaluate_uncomp.scm 91 */
			{	/* Eval/evaluate_uncomp.scm 93 */
				obj_t BgL_e1z00_2819;
				obj_t BgL_e2z00_2820;

				BgL_e1z00_2819 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2565)))->BgL_e1z00));
				BgL_e2z00_2820 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2565)))->BgL_e2z00));
				{	/* Eval/evaluate_uncomp.scm 94 */
					bool_t BgL_test2071z00_3350;

					if (PAIRP(BgL_e2z00_2820))
						{	/* Eval/evaluate_uncomp.scm 94 */
							BgL_test2071z00_3350 =
								(CAR(BgL_e2z00_2820) ==
								BGl_symbol1984z00zz__evaluate_uncompz00);
						}
					else
						{	/* Eval/evaluate_uncomp.scm 94 */
							BgL_test2071z00_3350 = ((bool_t) 0);
						}
					if (BgL_test2071z00_3350)
						{	/* Eval/evaluate_uncomp.scm 95 */
							obj_t BgL_arg1356z00_2821;

							BgL_arg1356z00_2821 =
								MAKE_YOUNG_PAIR(BgL_e1z00_2819,
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
									(BgL_e2z00_2820), BNIL));
							return MAKE_YOUNG_PAIR(BGl_symbol1984z00zz__evaluate_uncompz00,
								BgL_arg1356z00_2821);
						}
					else
						{	/* Eval/evaluate_uncomp.scm 96 */
							obj_t BgL_arg1360z00_2822;

							{	/* Eval/evaluate_uncomp.scm 96 */
								obj_t BgL_arg1361z00_2823;

								BgL_arg1361z00_2823 = MAKE_YOUNG_PAIR(BgL_e2z00_2820, BNIL);
								BgL_arg1360z00_2822 =
									MAKE_YOUNG_PAIR(BgL_e1z00_2819, BgL_arg1361z00_2823);
							}
							return
								MAKE_YOUNG_PAIR(BGl_symbol1984z00zz__evaluate_uncompz00,
								BgL_arg1360z00_2822);
						}
				}
			}
		}

	}



/* &uncomp-ev_and1214 */
	obj_t BGl_z62uncompzd2ev_and1214zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2566, obj_t BgL_ez00_2567)
	{
		{	/* Eval/evaluate_uncomp.scm 87 */
			{	/* Eval/evaluate_uncomp.scm 89 */
				obj_t BgL_arg1343z00_2825;

				{	/* Eval/evaluate_uncomp.scm 89 */
					obj_t BgL_arg1344z00_2826;

					{	/* Eval/evaluate_uncomp.scm 89 */
						obj_t BgL_l1135z00_2827;

						BgL_l1135z00_2827 =
							(((BgL_ev_listz00_bglt) COBJECT(
									((BgL_ev_listz00_bglt)
										((BgL_ev_andz00_bglt) BgL_ez00_2567))))->BgL_argsz00);
						if (NULLP(BgL_l1135z00_2827))
							{	/* Eval/evaluate_uncomp.scm 89 */
								BgL_arg1344z00_2826 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 89 */
								obj_t BgL_head1137z00_2828;

								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_arg1351z00_2829;

									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_arg1352z00_2830;

										BgL_arg1352z00_2830 = CAR(((obj_t) BgL_l1135z00_2827));
										BgL_arg1351z00_2829 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1352z00_2830));
									}
									BgL_head1137z00_2828 =
										MAKE_YOUNG_PAIR(BgL_arg1351z00_2829, BNIL);
								}
								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_g1140z00_2831;

									BgL_g1140z00_2831 = CDR(((obj_t) BgL_l1135z00_2827));
									{
										obj_t BgL_l1135z00_2833;
										obj_t BgL_tail1138z00_2834;

										BgL_l1135z00_2833 = BgL_g1140z00_2831;
										BgL_tail1138z00_2834 = BgL_head1137z00_2828;
									BgL_zc3z04anonymousza31346ze3z87_2832:
										if (NULLP(BgL_l1135z00_2833))
											{	/* Eval/evaluate_uncomp.scm 89 */
												BgL_arg1344z00_2826 = BgL_head1137z00_2828;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 89 */
												obj_t BgL_newtail1139z00_2835;

												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_arg1349z00_2836;

													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_arg1350z00_2837;

														BgL_arg1350z00_2837 =
															CAR(((obj_t) BgL_l1135z00_2833));
														BgL_arg1349z00_2836 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1350z00_2837));
													}
													BgL_newtail1139z00_2835 =
														MAKE_YOUNG_PAIR(BgL_arg1349z00_2836, BNIL);
												}
												SET_CDR(BgL_tail1138z00_2834, BgL_newtail1139z00_2835);
												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_arg1348z00_2838;

													BgL_arg1348z00_2838 =
														CDR(((obj_t) BgL_l1135z00_2833));
													{
														obj_t BgL_tail1138z00_3385;
														obj_t BgL_l1135z00_3384;

														BgL_l1135z00_3384 = BgL_arg1348z00_2838;
														BgL_tail1138z00_3385 = BgL_newtail1139z00_2835;
														BgL_tail1138z00_2834 = BgL_tail1138z00_3385;
														BgL_l1135z00_2833 = BgL_l1135z00_3384;
														goto BgL_zc3z04anonymousza31346ze3z87_2832;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1343z00_2825 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1344z00_2826,
						BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1986z00zz__evaluate_uncompz00,
					BgL_arg1343z00_2825);
			}
		}

	}



/* &uncomp-ev_or1212 */
	obj_t BGl_z62uncompzd2ev_or1212zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2568, obj_t BgL_ez00_2569)
	{
		{	/* Eval/evaluate_uncomp.scm 83 */
			{	/* Eval/evaluate_uncomp.scm 85 */
				obj_t BgL_arg1333z00_2840;

				{	/* Eval/evaluate_uncomp.scm 85 */
					obj_t BgL_arg1334z00_2841;

					{	/* Eval/evaluate_uncomp.scm 85 */
						obj_t BgL_l1129z00_2842;

						BgL_l1129z00_2842 =
							(((BgL_ev_listz00_bglt) COBJECT(
									((BgL_ev_listz00_bglt)
										((BgL_ev_orz00_bglt) BgL_ez00_2569))))->BgL_argsz00);
						if (NULLP(BgL_l1129z00_2842))
							{	/* Eval/evaluate_uncomp.scm 85 */
								BgL_arg1334z00_2841 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 85 */
								obj_t BgL_head1131z00_2843;

								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_arg1341z00_2844;

									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_arg1342z00_2845;

										BgL_arg1342z00_2845 = CAR(((obj_t) BgL_l1129z00_2842));
										BgL_arg1341z00_2844 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1342z00_2845));
									}
									BgL_head1131z00_2843 =
										MAKE_YOUNG_PAIR(BgL_arg1341z00_2844, BNIL);
								}
								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_g1134z00_2846;

									BgL_g1134z00_2846 = CDR(((obj_t) BgL_l1129z00_2842));
									{
										obj_t BgL_l1129z00_2848;
										obj_t BgL_tail1132z00_2849;

										BgL_l1129z00_2848 = BgL_g1134z00_2846;
										BgL_tail1132z00_2849 = BgL_head1131z00_2843;
									BgL_zc3z04anonymousza31336ze3z87_2847:
										if (NULLP(BgL_l1129z00_2848))
											{	/* Eval/evaluate_uncomp.scm 85 */
												BgL_arg1334z00_2841 = BgL_head1131z00_2843;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 85 */
												obj_t BgL_newtail1133z00_2850;

												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_arg1339z00_2851;

													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_arg1340z00_2852;

														BgL_arg1340z00_2852 =
															CAR(((obj_t) BgL_l1129z00_2848));
														BgL_arg1339z00_2851 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1340z00_2852));
													}
													BgL_newtail1133z00_2850 =
														MAKE_YOUNG_PAIR(BgL_arg1339z00_2851, BNIL);
												}
												SET_CDR(BgL_tail1132z00_2849, BgL_newtail1133z00_2850);
												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_arg1338z00_2853;

													BgL_arg1338z00_2853 =
														CDR(((obj_t) BgL_l1129z00_2848));
													{
														obj_t BgL_tail1132z00_3411;
														obj_t BgL_l1129z00_3410;

														BgL_l1129z00_3410 = BgL_arg1338z00_2853;
														BgL_tail1132z00_3411 = BgL_newtail1133z00_2850;
														BgL_tail1132z00_2849 = BgL_tail1132z00_3411;
														BgL_l1129z00_2848 = BgL_l1129z00_3410;
														goto BgL_zc3z04anonymousza31336ze3z87_2847;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1333z00_2840 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1334z00_2841,
						BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1988z00zz__evaluate_uncompz00,
					BgL_arg1333z00_2840);
			}
		}

	}



/* &uncomp-ev_if1210 */
	obj_t BGl_z62uncompzd2ev_if1210zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2570, obj_t BgL_ez00_2571)
	{
		{	/* Eval/evaluate_uncomp.scm 79 */
			{	/* Eval/evaluate_uncomp.scm 81 */
				obj_t BgL_arg1319z00_2855;

				{	/* Eval/evaluate_uncomp.scm 81 */
					obj_t BgL_arg1325z00_2856;
					obj_t BgL_arg1326z00_2857;

					BgL_arg1325z00_2856 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_ez00_2571)))->BgL_pz00));
					{	/* Eval/evaluate_uncomp.scm 81 */
						obj_t BgL_arg1328z00_2858;
						obj_t BgL_arg1329z00_2859;

						BgL_arg1328z00_2858 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_ifz00_bglt) COBJECT(
										((BgL_ev_ifz00_bglt) BgL_ez00_2571)))->BgL_tz00));
						BgL_arg1329z00_2859 =
							MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_ifz00_bglt) COBJECT(
											((BgL_ev_ifz00_bglt) BgL_ez00_2571)))->BgL_ez00)), BNIL);
						BgL_arg1326z00_2857 =
							MAKE_YOUNG_PAIR(BgL_arg1328z00_2858, BgL_arg1329z00_2859);
					}
					BgL_arg1319z00_2855 =
						MAKE_YOUNG_PAIR(BgL_arg1325z00_2856, BgL_arg1326z00_2857);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1990z00zz__evaluate_uncompz00,
					BgL_arg1319z00_2855);
			}
		}

	}



/* &uncomp-ev_litt1208 */
	obj_t BGl_z62uncompzd2ev_litt1208zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2572, obj_t BgL_ez00_2573)
	{
		{	/* Eval/evaluate_uncomp.scm 75 */
			{	/* Eval/evaluate_uncomp.scm 77 */
				obj_t BgL_arg1317z00_2861;

				BgL_arg1317z00_2861 =
					MAKE_YOUNG_PAIR(
					(((BgL_ev_littz00_bglt) COBJECT(
								((BgL_ev_littz00_bglt) BgL_ez00_2573)))->BgL_valuez00), BNIL);
				return
					MAKE_YOUNG_PAIR(BGl_symbol1992z00zz__evaluate_uncompz00,
					BgL_arg1317z00_2861);
			}
		}

	}



/* &uncomp-ev_global1206 */
	obj_t BGl_z62uncompzd2ev_global1206zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2574, obj_t BgL_varz00_2575)
	{
		{	/* Eval/evaluate_uncomp.scm 71 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_varz00_2575)))->BgL_namez00);
		}

	}



/* &uncomp-ev_var1204 */
	obj_t BGl_z62uncompzd2ev_var1204zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2576, obj_t BgL_varz00_2577)
	{
		{	/* Eval/evaluate_uncomp.scm 67 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_varz00_2577)))->BgL_namez00);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 14685245),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 43287392),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 368666432),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 377164741),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 475449627),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 481261960),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					242777169),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					437057797),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -44273703),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 43892022),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 207454816),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 528345299),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 505897955),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1994z00zz__evaluate_uncompz00));
		}

	}

#ifdef __cplusplus
}
#endif
