/*===========================================================================*/
/*   (Llib/avahi.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -srfi avahi -copt -D_REENTRANT -copt -fPIC -copt -IClib Llib/avahi.scm -o objs/avahi.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <avahi-client/client.h>
#include <avahi-client/lookup.h>
#include <avahi-client/publish.h>
#include <avahi-common/simple-watch.h>
#include <avahi-common/thread-watch.h>
#include <avahi-common/error.h>
#include <avahi-common/alternative.h>
#include <bavahi.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62avahizd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
   int BgL_errnoz00;
} *BgL_z62avahizd2errorzb0_bglt;

typedef struct BgL_z62avahizd2collisionzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
   int BgL_errnoz00;
} *BgL_z62avahizd2collisionzd2errorz62_bglt;

typedef struct BgL_avahizd2objectzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_avahizd2objectzd2_bglt;

typedef struct BgL_avahizd2pollzd2_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
} *BgL_avahizd2pollzd2_bglt;

typedef struct BgL_avahizd2simplezd2pollz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
   AvahiSimplePoll * BgL_z42builtinz42;
} *BgL_avahizd2simplezd2pollz00_bglt;

typedef struct BgL_avahizd2threadedzd2pollz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
   AvahiThreadedPoll * BgL_z42builtinz42;
} *BgL_avahizd2threadedzd2pollz00_bglt;

typedef struct BgL_avahizd2clientzd2_bgl {
   header_t header;
   obj_t widening;
   AvahiClient * BgL_z42builtinz42;
   struct BgL_avahizd2pollzd2_bgl * BgL_pollz00;
   obj_t BgL_flagsz00;
   obj_t BgL_procz00;
   obj_t BgL_z52groupsz52;
   obj_t BgL_z52browsersz52;
   obj_t BgL_resolversz00;
} *BgL_avahizd2clientzd2_bglt;

typedef struct BgL_avahizd2entryzd2groupz00_bgl {
   header_t header;
   obj_t widening;
   AvahiEntryGroup * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
} *BgL_avahizd2entryzd2groupz00_bglt;

typedef struct BgL_avahizd2servicezd2browserz00_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_typez00;
   obj_t BgL_domainz00;
   AvahiIfIndex BgL_interfacez00;
   obj_t BgL_protocolz00;
} *BgL_avahizd2servicezd2browserz00_bglt;

typedef struct BgL_avahizd2servicezd2typezd2browserzd2_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceTypeBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_domainz00;
} *BgL_avahizd2servicezd2typezd2browserzd2_bglt;

typedef struct BgL_avahizd2domainzd2browserz00_bgl {
   header_t header;
   obj_t widening;
   AvahiDomainBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_btypez00;
   obj_t BgL_domainz00;
} *BgL_avahizd2domainzd2browserz00_bglt;

typedef struct BgL_avahizd2servicezd2resolverz00_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceResolver * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   AvahiIfIndex BgL_interfacez00;
   obj_t BgL_protocolz00;
   obj_t BgL_namez00;
   obj_t BgL_typez00;
   obj_t BgL_domainz00;
} *BgL_avahizd2servicezd2resolverz00_bglt;


static BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1846z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1927z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1928z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2avahi1260z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2avahi1262z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
extern AvahiStringList * bgl_avahi_list_to_string_list(obj_t);
static obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1853z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1854z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda1935z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda1938z62zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__avahi_avahiz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31855ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1861z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1863z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31588ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1945z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1946z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32004ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2resolverz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31872ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00(void);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static BgL_avahizd2objectzd2_bglt BGl_z62lambda1870z62zz__avahi_avahiz00(obj_t);
static BgL_avahizd2pollzd2_bglt BGl_z62lambda1951z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31848ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31929ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1952z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1957z62zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2pollzd2_bglt BGl_z62lambda1877z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1958z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza32102ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32005ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31865ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_resolver_event_to_symbol(AvahiResolverEvent);
static obj_t BGl_z62lambda1963z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1964z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1884z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1885z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62lambda1969z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2timeoutz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt, long, obj_t);
static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32014ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__avahi_avahiz00(void);
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_avahizd2objectzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2closez00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31971ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31947ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1970z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1891z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1892z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT void * BGl_z42pthreadzd2nilz90zz__pth_threadz00(void);
static obj_t BGl_z62lambda1976z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1977z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1899z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_lookup_result_flags_to_symbol(AvahiLookupResultFlags);
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62lambda1983z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1984z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__avahi_avahiz00(void);
BGL_EXPORTED_DECL obj_t bgl_avahi_error(char *, char *, obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32024ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__avahi_avahiz00(void);
static obj_t BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
BGL_EXPORTED_DECL obj_t bgl_avahi_browser_event_to_symbol(AvahiBrowserEvent);
static obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62avahizd2initzd2avahizd2thr1268zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31990ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31893ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2quitz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
static obj_t BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2pollzd2quitz62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31886ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31959ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_protocol_to_symbol(AvahiProtocol);
BGL_EXPORTED_DECL obj_t bgl_avahi_lookup_flags_to_symbol(AvahiLookupFlags);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31879ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_client_state_to_symbol(AvahiClientState);
BGL_EXPORTED_DECL obj_t BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt);
static obj_t BGl_z62avahizd2pollzd2unlockz12z70zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32109ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2pollzd2closez62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt, long, obj_t);
static obj_t BGl_z62zc3z04anonymousza31985ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__avahi_avahiz00(void);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL AvahiProtocol bgl_avahi_symbol_to_protocol(obj_t);
static obj_t BGl_z62zc3z04anonymousza32223ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32216ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2initzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31995ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32241ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32039ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
extern void bgl_avahi_invoke_callbacks(void);
BGL_EXPORTED_DEF obj_t BGl_z62avahizd2errorzb0zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32234ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32145ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31335ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32048ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2lockz12z12zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
BGL_IMPORT bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32081ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32057ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32138ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_entry_group_state_to_symbol(AvahiEntryGroupState);
static obj_t BGl_z62avahizd2error2336zb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2100z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32163ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2107z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2108z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31999ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_lock(void);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2113z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32180ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2114z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32156ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2118z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2119z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2cli1270zb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static obj_t BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62z52avahizd2signalze2zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2sim1266zb0zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2203z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2123z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2204z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2124z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2208z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2209z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2loopz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
static obj_t BGl_z62lambda2129z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2pollzd2loopz62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__avahi_avahiz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2domainzd2browserz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1275zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2130z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1277zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2214z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static obj_t BGl_z62lambda2215z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2136z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2137z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2init1263zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2ent1272zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1281zb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
static obj_t BGl_z62lambda2221z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2222z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2143z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2144z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2229z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2069z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2pollzd2lockz12z70zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt, long, obj_t);
static BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2151z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2232z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32192ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2072z62zz__avahi_avahiz00(obj_t);
static BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2154z62zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
static obj_t BGl_z62lambda2239z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__avahi_avahiz00(void);
static obj_t BGl_z62lambda2079z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00(void);
BGL_EXPORTED_DECL obj_t BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt);
static obj_t BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2pollzd2timeoutz62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2240z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__avahi_avahiz00(void);
static obj_t BGl_z62lambda2080z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2161z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2162z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2245z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2246z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2085z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2086z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2167z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2168z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2initzd2avahizd2dom1279zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2250z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32291ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2251z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32283ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2090z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2091z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2172z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2173z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2255z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2256z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2097z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2178z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2179z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2browserz00_bglt);
static obj_t BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt);
static obj_t BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2unlockz12z12zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31911ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2260z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2261z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62lambda2265z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2266z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2187z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62zc3z04anonymousza31904ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2270z62zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2190z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2271z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2276z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2277z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2197z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2198z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32278ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31922ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt, int);
BGL_EXPORTED_DECL obj_t bgl_avahi_unlock(void);
BGL_EXPORTED_DECL obj_t bgl_avahi_if_index_to_symbol(AvahiIfIndex);
static obj_t BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_deletez12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32199ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31940ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1902z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_signal(void);
static obj_t BGl_z62lambda1909z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32000ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1910z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1917z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00(obj_t);
static BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1920z62zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1844z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 101 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2lookupzd2resultzd2flagszd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2looku2675z00, BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2signalzd2envz52zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2si2676za7, BGl_z62z52avahizd2signalze2zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2loopzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2677z00, BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2loopzd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72678za7, BGl_z62avahizd2pollzd2loopz62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2resolverzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2resol2679z00, BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2servicezd2browserzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2servi2680z00, BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2closezd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72681za7, BGl_z62avahizd2pollzd2closez62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2lockz12zd2envz40zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2lo2682za7, BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2errorzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2error2683z00, BGl_z62avahizd2error2336zb0zz__avahi_avahiz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2servicezd2resolverzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2servi2684z00, BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2423z00zz__avahi_avahiz00, BgL_bgl_string2423za700za7za7_2685za7, "Llib/avahi.scm", 14 );
DEFINE_STRING( BGl_string2424z00zz__avahi_avahiz00, BgL_bgl_string2424za700za7za7_2686za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/avahi/src/Llib/avahi.scm", 64 );
DEFINE_STRING( BGl_string2425z00zz__avahi_avahiz00, BgL_bgl_string2425za700za7za7_2687za7, "&avahi-error2336", 16 );
DEFINE_STRING( BGl_string2426z00zz__avahi_avahiz00, BgL_bgl_string2426za700za7za7_2688za7, "bstring", 7 );
DEFINE_STRING( BGl_string2427z00zz__avahi_avahiz00, BgL_bgl_string2427za700za7za7_2689za7, "bint", 4 );
DEFINE_STRING( BGl_string2428z00zz__avahi_avahiz00, BgL_bgl_string2428za700za7za7_2690za7, "avahi", 5 );
DEFINE_STRING( BGl_string2429z00zz__avahi_avahiz00, BgL_bgl_string2429za700za7za7_2691za7, "&avahi-poll-close", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2timeoutzd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72692za7, BGl_z62avahizd2pollzd2timeoutz62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2500z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2693za7, BGl_z62zc3z04anonymousza31848ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2501z00zz__avahi_avahiz00, BgL_bgl_za762lambda1846za7622694z00, BGl_z62lambda1846z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2502z00zz__avahi_avahiz00, BgL_bgl_za762lambda1844za7622695z00, BGl_z62lambda1844z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2696za7, BGl_z62zc3z04anonymousza31865ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__avahi_avahiz00, BgL_bgl_za762lambda1863za7622697z00, BGl_z62lambda1863z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2505z00zz__avahi_avahiz00, BgL_bgl_za762lambda1861za7622698z00, BGl_z62lambda1861z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string2430z00zz__avahi_avahiz00, BgL_bgl_string2430za700za7za7_2699za7, "avahi-poll", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2506z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2700za7, BGl_z62zc3z04anonymousza31872ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2431z00zz__avahi_avahiz00, BgL_bgl_string2431za700za7za7_2701za7, "&avahi-poll-loop", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2ifzd2indexzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2ifza7d22702za7, BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__avahi_avahiz00, BgL_bgl_za762lambda1870za7622703z00, BGl_z62lambda1870z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2432z00zz__avahi_avahiz00, BgL_bgl_string2432za700za7za7_2704za7, "&avahi-poll-quit", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2705za7, BGl_z62zc3z04anonymousza31886ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2433z00zz__avahi_avahiz00, BgL_bgl_string2433za700za7za7_2706za7, "&avahi-poll-timeout", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__avahi_avahiz00, BgL_bgl_za762lambda1885za7622707z00, BGl_z62lambda1885z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2434z00zz__avahi_avahiz00, BgL_bgl_string2434za700za7za7_2708za7, "procedure", 9 );
DEFINE_STRING( BGl_string2435z00zz__avahi_avahiz00, BgL_bgl_string2435za700za7za7_2709za7, "&avahi-poll-lock!", 17 );
DEFINE_STRING( BGl_string2436z00zz__avahi_avahiz00, BgL_bgl_string2436za700za7za7_2710za7, "&avahi-poll-unlock!", 19 );
DEFINE_STRING( BGl_string2437z00zz__avahi_avahiz00, BgL_bgl_string2437za700za7za7_2711za7, "&avahi-simple-poll-close", 24 );
DEFINE_STRING( BGl_string2438z00zz__avahi_avahiz00, BgL_bgl_string2438za700za7za7_2712za7, "avahi-simple-poll", 17 );
DEFINE_STRING( BGl_string2439z00zz__avahi_avahiz00, BgL_bgl_string2439za700za7za7_2713za7, "&avahi-simple-poll-loop", 23 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2closezd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2714z00, BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__avahi_avahiz00, BgL_bgl_za762lambda1884za7622715z00, BGl_z62lambda1884z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2511z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2716za7, BGl_z62zc3z04anonymousza31893ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2512z00zz__avahi_avahiz00, BgL_bgl_za762lambda1892za7622717z00, BGl_z62lambda1892z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__avahi_avahiz00, BgL_bgl_za762lambda1891za7622718z00, BGl_z62lambda1891z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2719za7, BGl_z62zc3z04anonymousza31879ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__avahi_avahiz00, BgL_bgl_za762lambda1877za7622720z00, BGl_z62lambda1877z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2440z00zz__avahi_avahiz00, BgL_bgl_string2440za700za7za7_2721za7, "avahi-simple-poll-timeout", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2722za7, BGl_z62zc3z04anonymousza31911ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2441z00zz__avahi_avahiz00, BgL_bgl_string2441za700za7za7_2723za7, "Illegal callback", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__avahi_avahiz00, BgL_bgl_za762lambda1910za7622724z00, BGl_z62lambda1910z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2442z00zz__avahi_avahiz00, BgL_bgl_string2442za700za7za7_2725za7, "&avahi-simple-poll-timeout", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2518z00zz__avahi_avahiz00, BgL_bgl_za762lambda1909za7622726z00, BGl_z62lambda1909z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2443z00zz__avahi_avahiz00, BgL_bgl_string2443za700za7za7_2727za7, "&avahi-simple-poll-quit", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2519z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2728za7, BGl_z62zc3z04anonymousza31904ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2444z00zz__avahi_avahiz00, BgL_bgl_string2444za700za7za7_2729za7, "&avahi-threaded-poll-close", 26 );
DEFINE_STRING( BGl_string2445z00zz__avahi_avahiz00, BgL_bgl_string2445za700za7za7_2730za7, "avahi-threaded-poll", 19 );
DEFINE_STRING( BGl_string2446z00zz__avahi_avahiz00, BgL_bgl_string2446za700za7za7_2731za7, "&avahi-threaded-poll-loop", 25 );
DEFINE_STRING( BGl_string2447z00zz__avahi_avahiz00, BgL_bgl_string2447za700za7za7_2732za7, "&avahi-threaded-poll-lock!", 26 );
DEFINE_STRING( BGl_string2448z00zz__avahi_avahiz00, BgL_bgl_string2448za700za7za7_2733za7, "&avahi-threaded-poll-unlock!", 28 );
DEFINE_STRING( BGl_string2449z00zz__avahi_avahiz00, BgL_bgl_string2449za700za7za7_2734za7, "avahi-threaded-poll-timeout", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__avahi_avahiz00, BgL_bgl_za762lambda2168za7622735z00, BGl_z62lambda2168z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__avahi_avahiz00, BgL_bgl_za762lambda2167za7622736z00, BGl_z62lambda2167z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__avahi_avahiz00, BgL_bgl_za762lambda1902za7622737z00, BGl_z62lambda1902z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__avahi_avahiz00, BgL_bgl_za762lambda2173za7622738z00, BGl_z62lambda2173z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__avahi_avahiz00, BgL_bgl_za762lambda1899za7622739z00, BGl_z62lambda1899z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2603z00zz__avahi_avahiz00, BgL_bgl_za762lambda2172za7622740z00, BGl_z62lambda2172z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2741za7, BGl_z62zc3z04anonymousza31929ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2604z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2742za7, BGl_z62zc3z04anonymousza32180ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__avahi_avahiz00, BgL_bgl_za762lambda1928za7622743z00, BGl_z62lambda1928z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2605z00zz__avahi_avahiz00, BgL_bgl_za762lambda2179za7622744z00, BGl_z62lambda2179z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__avahi_avahiz00, BgL_bgl_za762lambda1927za7622745z00, BGl_z62lambda1927z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__avahi_avahiz00, BgL_bgl_za762lambda2178za7622746z00, BGl_z62lambda2178z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2747za7, BGl_z62zc3z04anonymousza31922ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2450z00zz__avahi_avahiz00, BgL_bgl_string2450za700za7za7_2748za7, "&avahi-threaded-poll-timeout", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2749za7, BGl_z62zc3z04anonymousza32156ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__avahi_avahiz00, BgL_bgl_za762lambda1920za7622750z00, BGl_z62lambda1920z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2451z00zz__avahi_avahiz00, BgL_bgl_string2451za700za7za7_2751za7, "&avahi-threaded-poll-quit", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2608z00zz__avahi_avahiz00, BgL_bgl_za762lambda2154za7622752z00, BGl_z62lambda2154z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__avahi_avahiz00, BgL_bgl_za762lambda1917za7622753z00, BGl_z62lambda1917z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2452z00zz__avahi_avahiz00, BgL_bgl_string2452za700za7za7_2754za7, "&avahi-client-close", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__avahi_avahiz00, BgL_bgl_za762lambda2151za7622755z00, BGl_z62lambda2151z62zz__avahi_avahiz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2756za7, BGl_z62zc3z04anonymousza31947ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2453z00zz__avahi_avahiz00, BgL_bgl_string2453za700za7za7_2757za7, "avahi-client", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__avahi_avahiz00, BgL_bgl_za762lambda1946za7622758z00, BGl_z62lambda1946z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2454z00zz__avahi_avahiz00, BgL_bgl_string2454za700za7za7_2759za7, "&avahi-client-error-message", 27 );
DEFINE_STRING( BGl_string2455z00zz__avahi_avahiz00, BgL_bgl_string2455za700za7za7_2760za7, "avahi-client-state->symbol", 26 );
DEFINE_STRING( BGl_string2456z00zz__avahi_avahiz00, BgL_bgl_string2456za700za7za7_2761za7, "Unknown state", 13 );
DEFINE_STRING( BGl_string2457z00zz__avahi_avahiz00, BgL_bgl_string2457za700za7za7_2762za7, "&avahi-client-state->symbol", 27 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string2458z00zz__avahi_avahiz00, BgL_bgl_string2458za700za7za7_2763za7, "&avahi-entry-group-close", 24 );
DEFINE_STRING( BGl_string2459z00zz__avahi_avahiz00, BgL_bgl_string2459za700za7za7_2764za7, "avahi-entry-group", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2timeoutzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2765z00, BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2610z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2766za7, BGl_z62zc3z04anonymousza32199ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__avahi_avahiz00, BgL_bgl_za762lambda2198za7622767z00, BGl_z62lambda2198z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__avahi_avahiz00, BgL_bgl_za762lambda1945za7622768z00, BGl_z62lambda1945z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__avahi_avahiz00, BgL_bgl_za762lambda2197za7622769z00, BGl_z62lambda2197z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__avahi_avahiz00, BgL_bgl_za762lambda1952za7622770z00, BGl_z62lambda1952z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2613z00zz__avahi_avahiz00, BgL_bgl_za762lambda2204za7622771z00, BGl_z62lambda2204z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2532z00zz__avahi_avahiz00, BgL_bgl_za762lambda1951za7622772z00, BGl_z62lambda1951z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2614z00zz__avahi_avahiz00, BgL_bgl_za762lambda2203za7622773z00, BGl_z62lambda2203z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2533z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2774za7, BGl_z62zc3z04anonymousza31959ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2615z00zz__avahi_avahiz00, BgL_bgl_za762lambda2209za7622775z00, BGl_z62lambda2209z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__avahi_avahiz00, BgL_bgl_za762lambda1958za7622776z00, BGl_z62lambda1958z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__avahi_avahiz00, BgL_bgl_za762lambda2208za7622777z00, BGl_z62lambda2208z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__avahi_avahiz00, BgL_bgl_za762lambda1957za7622778z00, BGl_z62lambda1957z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2460z00zz__avahi_avahiz00, BgL_bgl_string2460za700za7za7_2779za7, "&avahi-entry-group-empty?", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2780za7, BGl_z62zc3z04anonymousza32216ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__avahi_avahiz00, BgL_bgl_za762lambda1964za7622781z00, BGl_z62lambda1964z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2461z00zz__avahi_avahiz00, BgL_bgl_string2461za700za7za7_2782za7, "&avahi-entry-group-commit", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2618z00zz__avahi_avahiz00, BgL_bgl_za762lambda2215za7622783z00, BGl_z62lambda2215z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2537z00zz__avahi_avahiz00, BgL_bgl_za762lambda1963za7622784z00, BGl_z62lambda1963z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2462z00zz__avahi_avahiz00, BgL_bgl_string2462za700za7za7_2785za7, "&avahi-entry-group-reset!", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2619z00zz__avahi_avahiz00, BgL_bgl_za762lambda2214za7622786z00, BGl_z62lambda2214z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2787za7, BGl_z62zc3z04anonymousza31971ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2463z00zz__avahi_avahiz00, BgL_bgl_string2463za700za7za7_2788za7, "avahi-entry-group-add-service", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__avahi_avahiz00, BgL_bgl_za762lambda1970za7622789z00, BGl_z62lambda1970z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2464z00zz__avahi_avahiz00, BgL_bgl_string2464za700za7za7_2790za7, "&avahi-entry-group-add-service!", 31 );
DEFINE_STRING( BGl_string2465z00zz__avahi_avahiz00, BgL_bgl_string2465za700za7za7_2791za7, "avahi-entry-group-state->symbol", 31 );
DEFINE_STRING( BGl_string2466z00zz__avahi_avahiz00, BgL_bgl_string2466za700za7za7_2792za7, "&avahi-entry-group-state->symbol", 32 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2resetz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2793z00, BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2467z00zz__avahi_avahiz00, BgL_bgl_string2467za700za7za7_2794za7, "&avahi-alternative-host-name", 28 );
DEFINE_STRING( BGl_string2468z00zz__avahi_avahiz00, BgL_bgl_string2468za700za7za7_2795za7, "&avahi-alternative-service-name", 31 );
DEFINE_STRING( BGl_string2469z00zz__avahi_avahiz00, BgL_bgl_string2469za700za7za7_2796za7, "&avahi-service-browser-close", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2620z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2797za7, BGl_z62zc3z04anonymousza32223ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__avahi_avahiz00, BgL_bgl_za762lambda2222za7622798z00, BGl_z62lambda2222z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__avahi_avahiz00, BgL_bgl_za762lambda1969za7622799z00, BGl_z62lambda1969z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__avahi_avahiz00, BgL_bgl_za762lambda2221za7622800z00, BGl_z62lambda2221z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2801za7, BGl_z62zc3z04anonymousza31978ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2623z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2802za7, BGl_z62zc3z04anonymousza32192ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__avahi_avahiz00, BgL_bgl_za762lambda1977za7622803z00, BGl_z62lambda1977z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2624z00zz__avahi_avahiz00, BgL_bgl_za762lambda2190za7622804z00, BGl_z62lambda2190z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__avahi_avahiz00, BgL_bgl_za762lambda1976za7622805z00, BGl_z62lambda1976z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2625z00zz__avahi_avahiz00, BgL_bgl_za762lambda2187za7622806z00, BGl_z62lambda2187z62zz__avahi_avahiz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2807za7, BGl_z62zc3z04anonymousza31985ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2626z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2808za7, BGl_z62zc3z04anonymousza32241ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__avahi_avahiz00, BgL_bgl_za762lambda1984za7622809z00, BGl_z62lambda1984z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2470z00zz__avahi_avahiz00, BgL_bgl_string2470za700za7za7_2810za7, "avahi-service-browser", 21 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2alternativezd2hostzd2namezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2alter2811z00, BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__avahi_avahiz00, BgL_bgl_za762lambda2240za7622812z00, BGl_z62lambda2240z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__avahi_avahiz00, BgL_bgl_za762lambda1983za7622813z00, BGl_z62lambda1983z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2471z00zz__avahi_avahiz00, BgL_bgl_string2471za700za7za7_2814za7, "&avahi-domain-browser-close", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__avahi_avahiz00, BgL_bgl_za762lambda2239za7622815z00, BGl_z62lambda2239z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2816za7, BGl_z62zc3z04anonymousza31990ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2472z00zz__avahi_avahiz00, BgL_bgl_string2472za700za7za7_2817za7, "avahi-domain-browser", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2629z00zz__avahi_avahiz00, BgL_bgl_za762lambda2246za7622818z00, BGl_z62lambda2246z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2819za7, BGl_z62zc3z04anonymousza31989ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2473z00zz__avahi_avahiz00, BgL_bgl_string2473za700za7za7_2820za7, "&avahi-service-resolver-close", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2821za7, BGl_z62zc3z04anonymousza31995ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2474z00zz__avahi_avahiz00, BgL_bgl_string2474za700za7za7_2822za7, "avahi-service-resolver", 22 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2lockz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2823z00, BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2475z00zz__avahi_avahiz00, BgL_bgl_string2475za700za7za7_2824za7, "avahi-browser-event->symbol", 27 );
DEFINE_STRING( BGl_string2476z00zz__avahi_avahiz00, BgL_bgl_string2476za700za7za7_2825za7, "Unknown event", 13 );
DEFINE_STRING( BGl_string2477z00zz__avahi_avahiz00, BgL_bgl_string2477za700za7za7_2826za7, "&avahi-browser-event->symbol", 28 );
DEFINE_STRING( BGl_string2478z00zz__avahi_avahiz00, BgL_bgl_string2478za700za7za7_2827za7, "avahi-resolver-event->symbol", 28 );
DEFINE_STRING( BGl_string2479z00zz__avahi_avahiz00, BgL_bgl_string2479za700za7za7_2828za7, "&avahi-resolver-event->symbol", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2630z00zz__avahi_avahiz00, BgL_bgl_za762lambda2245za7622829z00, BGl_z62lambda2245z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2protocolzd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2proto2830z00, BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2631z00zz__avahi_avahiz00, BgL_bgl_za762lambda2251za7622831z00, BGl_z62lambda2251z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2550z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2832za7, BGl_z62zc3z04anonymousza31994ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2632z00zz__avahi_avahiz00, BgL_bgl_za762lambda2250za7622833z00, BGl_z62lambda2250z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2551z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2834za7, BGl_z62zc3z04anonymousza32000ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2633z00zz__avahi_avahiz00, BgL_bgl_za762lambda2256za7622835z00, BGl_z62lambda2256z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2836za7, BGl_z62zc3z04anonymousza31999ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2634z00zz__avahi_avahiz00, BgL_bgl_za762lambda2255za7622837z00, BGl_z62lambda2255z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2838za7, BGl_z62zc3z04anonymousza32005ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2635z00zz__avahi_avahiz00, BgL_bgl_za762lambda2261za7622839z00, BGl_z62lambda2261z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2840za7, BGl_z62zc3z04anonymousza32004ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2636z00zz__avahi_avahiz00, BgL_bgl_za762lambda2260za7622841z00, BGl_z62lambda2260z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2842za7, BGl_z62zc3z04anonymousza32010ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2480z00zz__avahi_avahiz00, BgL_bgl_string2480za700za7za7_2843za7, "avahi-if-index->symbol", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__avahi_avahiz00, BgL_bgl_za762lambda2266za7622844z00, BGl_z62lambda2266z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2556z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2845za7, BGl_z62zc3z04anonymousza32009ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2481z00zz__avahi_avahiz00, BgL_bgl_string2481za700za7za7_2846za7, "Unknown index", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2638z00zz__avahi_avahiz00, BgL_bgl_za762lambda2265za7622847z00, BGl_z62lambda2265z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2848za7, BGl_z62zc3z04anonymousza32014ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2482z00zz__avahi_avahiz00, BgL_bgl_string2482za700za7za7_2849za7, "&avahi-if-index->symbol", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2639z00zz__avahi_avahiz00, BgL_bgl_za762lambda2271za7622850z00, BGl_z62lambda2271z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2851za7, BGl_z62zc3z04anonymousza32024ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2483z00zz__avahi_avahiz00, BgL_bgl_string2483za700za7za7_2852za7, "avahi-protocol->symbol", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2853za7, BGl_z62zc3z04anonymousza32030ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2484z00zz__avahi_avahiz00, BgL_bgl_string2484za700za7za7_2854za7, "Unknown protocol", 16 );
DEFINE_STRING( BGl_string2647z00zz__avahi_avahiz00, BgL_bgl_string2647za700za7za7_2855za7, "", 0 );
DEFINE_STRING( BGl_string2485z00zz__avahi_avahiz00, BgL_bgl_string2485za700za7za7_2856za7, "&avahi-protocol->symbol", 23 );
DEFINE_STRING( BGl_string2648z00zz__avahi_avahiz00, BgL_bgl_string2648za700za7za7_2857za7, "nil", 3 );
DEFINE_STRING( BGl_string2486z00zz__avahi_avahiz00, BgL_bgl_string2486za700za7za7_2858za7, "avahi-symbol->protocol", 22 );
DEFINE_STRING( BGl_string2487z00zz__avahi_avahiz00, BgL_bgl_string2487za700za7za7_2859za7, "&avahi-symbol->protocol", 23 );
DEFINE_STRING( BGl_string2488z00zz__avahi_avahiz00, BgL_bgl_string2488za700za7za7_2860za7, "symbol", 6 );
DEFINE_STRING( BGl_string2489z00zz__avahi_avahiz00, BgL_bgl_string2489za700za7za7_2861za7, "avahi-lookup-flags->symbol", 26 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2emptyzf3zd2envzf3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2862z00, BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2errorzd2messagezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2863z00, BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2640z00zz__avahi_avahiz00, BgL_bgl_za762lambda2270za7622864z00, BGl_z62lambda2270z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2865za7, BGl_z62zc3z04anonymousza32278ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2866za7, BGl_z62zc3z04anonymousza32039ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__avahi_avahiz00, BgL_bgl_za762lambda2277za7622867z00, BGl_z62lambda2277z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2868za7, BGl_z62zc3z04anonymousza32048ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2643z00zz__avahi_avahiz00, BgL_bgl_za762lambda2276za7622869z00, BGl_z62lambda2276z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2870za7, BGl_z62zc3z04anonymousza32057ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2650z00zz__avahi_avahiz00, BgL_bgl_string2650za700za7za7_2871za7, "avahi-init1263", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2644z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2872za7, BGl_z62zc3z04anonymousza32234ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2873za7, BGl_z62zc3z04anonymousza31940ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2651z00zz__avahi_avahiz00, BgL_bgl_string2651za700za7za7_2874za7, "&avahi-init", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2645z00zz__avahi_avahiz00, BgL_bgl_za762lambda2232za7622875z00, BGl_z62lambda2232z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__avahi_avahiz00, BgL_bgl_za762lambda1938za7622876z00, BGl_z62lambda1938z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2652z00zz__avahi_avahiz00, BgL_bgl_string2652za700za7za7_2877za7, "avahi-object", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2646z00zz__avahi_avahiz00, BgL_bgl_za762lambda2229za7622878z00, BGl_z62lambda2229z62zz__avahi_avahiz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2565z00zz__avahi_avahiz00, BgL_bgl_za762lambda1935za7622879z00, BGl_z62lambda1935z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string2490z00zz__avahi_avahiz00, BgL_bgl_string2490za700za7za7_2880za7, "Unknown lookup-flag", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2881za7, BGl_z62zc3z04anonymousza32081ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2491z00zz__avahi_avahiz00, BgL_bgl_string2491za700za7za7_2882za7, "&avahi-lookup-flags->symbol", 27 );
DEFINE_STRING( BGl_string2654z00zz__avahi_avahiz00, BgL_bgl_string2654za700za7za7_2883za7, "object-display", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__avahi_avahiz00, BgL_bgl_za762lambda2080za7622884z00, BGl_z62lambda2080z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2492z00zz__avahi_avahiz00, BgL_bgl_string2492za700za7za7_2885za7, "avahi-lookup-result-flags->symbol", 33 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2649z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2init12886z00, BGl_z62avahizd2init1263zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__avahi_avahiz00, BgL_bgl_za762lambda2079za7622887z00, BGl_z62lambda2079z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2493z00zz__avahi_avahiz00, BgL_bgl_string2493za700za7za7_2888za7, "Unknown lookup-result-flag", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__avahi_avahiz00, BgL_bgl_za762lambda2086za7622889z00, BGl_z62lambda2086z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2494z00zz__avahi_avahiz00, BgL_bgl_string2494za700za7za7_2890za7, "&avahi-lookup-result-flags->symbol", 34 );
DEFINE_STRING( BGl_string2657z00zz__avahi_avahiz00, BgL_bgl_string2657za700za7za7_2891za7, "avahi-init", 10 );
DEFINE_STRING( BGl_string2495z00zz__avahi_avahiz00, BgL_bgl_string2495za700za7za7_2892za7, "avahi-symbol->domain-browser-type", 33 );
DEFINE_STRING( BGl_string2496z00zz__avahi_avahiz00, BgL_bgl_string2496za700za7za7_2893za7, "Unknown btype", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2symbolzd2ze3protocolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2symbo2894z00, BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2browserzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2brows2895z00, BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__avahi_avahiz00, BgL_bgl_za762lambda2085za7622896z00, BGl_z62lambda2085z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2571z00zz__avahi_avahiz00, BgL_bgl_za762lambda2091za7622897z00, BGl_z62lambda2091z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2653z00zz__avahi_avahiz00, BgL_bgl_za762objectza7d2disp2898z00, va_generic_entry, BGl_z62objectzd2displayzd2avahi1260z62zz__avahi_avahiz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__avahi_avahiz00, BgL_bgl_za762lambda2090za7622899z00, BGl_z62lambda2090z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2900za7, BGl_z62zc3z04anonymousza32074ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2655z00zz__avahi_avahiz00, BgL_bgl_za762objectza7d2disp2901z00, va_generic_entry, BGl_z62objectzd2displayzd2avahi1262z62zz__avahi_avahiz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__avahi_avahiz00, BgL_bgl_za762lambda2072za7622902z00, BGl_z62lambda2072z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2656z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72903za7, BGl_z62avahizd2initzd2avahizd2sim1266zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__avahi_avahiz00, BgL_bgl_za762lambda2069za7622904z00, BGl_z62lambda2069z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2576z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2905za7, BGl_z62zc3z04anonymousza32109ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2658z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72906za7, BGl_z62avahizd2initzd2avahizd2thr1268zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__avahi_avahiz00, BgL_bgl_za762lambda2108za7622907z00, BGl_z62lambda2108z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2665z00zz__avahi_avahiz00, BgL_bgl_string2665za700za7za7_2908za7, "avahi-service-type-browser", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2659z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72909za7, BGl_z62avahizd2initzd2avahizd2cli1270zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__avahi_avahiz00, BgL_bgl_za762lambda2107za7622910z00, BGl_z62lambda2107z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2497z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2911za7, BGl_z62zc3z04anonymousza31855ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2666z00zz__avahi_avahiz00, BgL_bgl_string2666za700za7za7_2912za7, "avahi-client-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__avahi_avahiz00, BgL_bgl_za762lambda2114za7622913z00, BGl_z62lambda2114z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__avahi_avahiz00, BgL_bgl_za762lambda1854za7622914z00, BGl_z62lambda1854z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2667z00zz__avahi_avahiz00, BgL_bgl_string2667za700za7za7_2915za7, "#<", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__avahi_avahiz00, BgL_bgl_za762lambda1853za7622916z00, BGl_z62lambda1853z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2668z00zz__avahi_avahiz00, BgL_bgl_string2668za700za7za7_2917za7, ">", 1 );
DEFINE_STRING( BGl_string2669z00zz__avahi_avahiz00, BgL_bgl_string2669za700za7za7_2918za7, "#<avahi-client(", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2660z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72919za7, BGl_z62avahizd2initzd2avahizd2ent1272zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2661z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72920za7, BGl_z62avahizd2initzd2avahizd2ser1275zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2580z00zz__avahi_avahiz00, BgL_bgl_za762lambda2113za7622921z00, BGl_z62lambda2113z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2662z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72922za7, BGl_z62avahizd2initzd2avahizd2ser1277zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__avahi_avahiz00, BgL_bgl_za762lambda2119za7622923z00, BGl_z62lambda2119z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2663z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72924za7, BGl_z62avahizd2initzd2avahizd2dom1279zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__avahi_avahiz00, BgL_bgl_za762lambda2118za7622925z00, BGl_z62lambda2118z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2670z00zz__avahi_avahiz00, BgL_bgl_string2670za700za7za7_2926za7, "):", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2664z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72927za7, BGl_z62avahizd2initzd2avahizd2ser1281zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__avahi_avahiz00, BgL_bgl_za762lambda2124za7622928z00, BGl_z62lambda2124z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2671z00zz__avahi_avahiz00, BgL_bgl_string2671za700za7za7_2929za7, ".", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__avahi_avahiz00, BgL_bgl_za762lambda2123za7622930z00, BGl_z62lambda2123z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2672z00zz__avahi_avahiz00, BgL_bgl_string2672za700za7za7_2931za7, "none nil avahi-domain-browser-browse _ avahi-service-resolver name $avahi-service-resolver avahi-domain-browser $avahi-domain-browser avahi-service-type-browser $avahi-service-type-browser avahi-service-browser protocol $avahi-if-index interface domain type $avahi-service-browser avahi-entry-group client $avahi-entry-group avahi-client state hostname-fqdn domainname hostname bstring version resolvers %browsers %groups procedure proc symbol flags poll $avahi-client avahi-threaded-poll $avahi-threaded-poll avahi-simple-poll $avahi-simple-poll $builtin avahi-poll pair-nil %procs $ctype avahi-object &avahi-collision-error __avahi_avahi &avahi-error int errno (quote avahi-domain-browser-max) (quote avahi-domain-browser-browse-legacy) (quote avahi-domain-browser-register-default) (quote avahi-domain-browser-register) (quote avahi-domain-browser-browse-default) (quote avahi-domain-browser-browse) btype eq? avahi-lookup-result-default avahi-lookup-result-static avahi-lookup-result-our-own avahi-lookup-result-local av"
"ahi-lookup-result-multicast avahi-lookup-result-wide-area avahi-lookup-result-cached avahi-lookup-default avahi-lookup-no-address avahi-lookup-no-txt avahi-proto-unspec avahi-proto-inet6 avahi-proto-inet avahi-if-unspec avahi-resolver-failure avahi-resolver-found avahi-browser-failure avahi-browser-all-for-now avahi-browser-cache-exhausted avahi-browser-remove avahi-browser-new avahi-entry-group-failure avahi-entry-group-collision avahi-entry-group-established avahi-entry-group-registering avahi-entry-group-uncommited (:subtype :port :host :domain :type :name) :subtype :port :host :domain :type :name avahi-client-connecting avahi-client-failure avahi-client-collision avahi-client-running avahi-client-registering condition-variable mutex avahi ", 1777 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2932za7, BGl_z62zc3z04anonymousza32131ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__avahi_avahiz00, BgL_bgl_za762lambda2130za7622933z00, BGl_z62lambda2130z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__avahi_avahiz00, BgL_bgl_za762lambda2129za7622934z00, BGl_z62lambda2129z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2588z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2935za7, BGl_z62zc3z04anonymousza32138ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2589z00zz__avahi_avahiz00, BgL_bgl_za762lambda2137za7622936z00, BGl_z62lambda2137z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2590z00zz__avahi_avahiz00, BgL_bgl_za762lambda2136za7622937z00, BGl_z62lambda2136z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2938za7, BGl_z62zc3z04anonymousza32145ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2timeoutzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2939z00, BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__avahi_avahiz00, BgL_bgl_za762lambda2144za7622940z00, BGl_z62lambda2144z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__avahi_avahiz00, BgL_bgl_za762lambda2143za7622941z00, BGl_z62lambda2143z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2942za7, BGl_z62zc3z04anonymousza32102ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__avahi_avahiz00, BgL_bgl_za762lambda2100za7622943z00, BGl_z62lambda2100z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__avahi_avahiz00, BgL_bgl_za762lambda2097za7622944z00, BGl_z62lambda2097z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2945za7, BGl_z62zc3z04anonymousza32163ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__avahi_avahiz00, BgL_bgl_za762lambda2162za7622946z00, BGl_z62lambda2162z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__avahi_avahiz00, BgL_bgl_za762lambda2161za7622947z00, BGl_z62lambda2161z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2commitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2948z00, BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2949z00, BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72950za7, BGl_z62avahizd2initzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2statezd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2951z00, BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2unlockz12zd2envzc0zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72952za7, BGl_z62avahizd2pollzd2unlockz12z70zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2lookupzd2flagszd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2looku2953z00, BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2threadzd2initz12zd2envz92zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2th2954za7, BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2alternativezd2servicezd2namezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2alter2955z00, BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2956z00, BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2quitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2957z00, BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2addzd2servicez12zd2envzc0zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2958z00, va_generic_entry, BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2statezd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2959z00, BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2960z00, BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2domainzd2browserzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2domai2961z00, BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2quitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2962z00, BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2quitzd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72963za7, BGl_z62avahizd2pollzd2quitz62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2unlockz12zd2envz40zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2un2964za7, BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2unlockz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2965z00, BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2lockz12zd2envzc0zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72966za7, BGl_z62avahizd2pollzd2lockz12z70zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2loopzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2967z00, BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2pollzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2objectzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_z62avahizd2errorzb0zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2clientzd2zz__avahi_avahiz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__avahi_avahiz00(long BgL_checksumz00_3290, char * BgL_fromz00_3291)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__avahi_avahiz00))
{ 
BGl_requirezd2initializa7ationz75zz__avahi_avahiz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__avahi_avahiz00(); 
BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00(); 
BGl_cnstzd2initzd2zz__avahi_avahiz00(); 
BGl_objectzd2initzd2zz__avahi_avahiz00(); 
BGl_genericzd2initzd2zz__avahi_avahiz00(); 
BGl_methodzd2initzd2zz__avahi_avahiz00(); 
return 
BGl_toplevelzd2initzd2zz__avahi_avahiz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__avahi_avahi"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 15 */
 obj_t BgL_cportz00_2890;
{ /* Llib/avahi.scm 15 */
 obj_t BgL_stringz00_2897;
BgL_stringz00_2897 = BGl_string2672z00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 15 */
 obj_t BgL_startz00_2898;
BgL_startz00_2898 = 
BINT(((long)0)); 
{ /* Llib/avahi.scm 15 */
 obj_t BgL_endz00_2899;
BgL_endz00_2899 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2897))); 
{ /* Llib/avahi.scm 15 */

BgL_cportz00_2890 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2897, BgL_startz00_2898, BgL_endz00_2899); } } } } 
{ 
 long BgL_iz00_2891;
BgL_iz00_2891 = ((long)100); 
BgL_loopz00_2892:
if(
(BgL_iz00_2891==((long)-1)))
{ /* Llib/avahi.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 15 */
 obj_t BgL_arg2673z00_2893;
{ /* Llib/avahi.scm 15 */

{ /* Llib/avahi.scm 15 */
 obj_t BgL_locationz00_2895;
BgL_locationz00_2895 = 
BBOOL(((bool_t)0)); 
{ /* Llib/avahi.scm 15 */

BgL_arg2673z00_2893 = 
BGl_readz00zz__readerz00(BgL_cportz00_2890, BgL_locationz00_2895); } } } 
{ /* Llib/avahi.scm 15 */
 int BgL_tmpz00_3328;
BgL_tmpz00_3328 = 
(int)(BgL_iz00_2891); 
CNST_TABLE_SET(BgL_tmpz00_3328, BgL_arg2673z00_2893); } } 
{ /* Llib/avahi.scm 15 */
 int BgL_auxz00_2896;
BgL_auxz00_2896 = 
(int)(
(BgL_iz00_2891-((long)1))); 
{ 
 long BgL_iz00_3333;
BgL_iz00_3333 = 
(long)(BgL_auxz00_2896); 
BgL_iz00_2891 = BgL_iz00_3333; 
goto BgL_loopz00_2892;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string2423z00zz__avahi_avahiz00)); 
{ /* Llib/avahi.scm 227 */
 obj_t BgL_namez00_1305;
BgL_namez00_1305 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00 = 
bgl_make_mutex(BgL_namez00_1305); } 
{ /* Llib/avahi.scm 228 */
 obj_t BgL_namez00_1306;
BgL_namez00_1306 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00 = 
bgl_make_condvar(BgL_namez00_1306); } 
BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = BUNSPEC; 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = BNIL; 
{ /* Llib/avahi.scm 271 */

{ /* Llib/avahi.scm 271 */
 obj_t BgL_namez00_68;
BgL_namez00_68 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)1))); 
{ /* Llib/avahi.scm 271 */

BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00 = 
bgl_make_mutex(BgL_namez00_68); } } } 
return BUNSPEC;} 

}



/* avahi-error */
BGL_EXPORTED_DEF obj_t bgl_avahi_error(char * BgL_procz00_7, char * BgL_msgz00_8, obj_t BgL_objz00_9, int BgL_errnoz00_10)
{
{ /* Llib/avahi.scm 238 */
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1289z00_77;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_78;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_81;
BgL_new1142z00_81 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1332z00_82;
BgL_arg1332z00_82 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_81), BgL_arg1332z00_82); } 
BgL_new1143z00_78 = BgL_new1142z00_81; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_78)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_78)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3353;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1330z00_79;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1331z00_80;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_1310;
BgL_classz00_1310 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1331z00_80 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1310); } 
BgL_arg1330z00_79 = 
VECTOR_REF(BgL_arg1331z00_80,((long)2)); } 
BgL_auxz00_3353 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1330z00_79); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_78)))->BgL_stackz00)=((obj_t)BgL_auxz00_3353),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_78)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_7)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_78)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_8)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_78)))->BgL_objz00)=((obj_t)BgL_objz00_9),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_78))->BgL_errnoz00)=((int)BgL_errnoz00_10),BUNSPEC); 
BgL_arg1289z00_77 = BgL_new1143z00_78; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1289z00_77));} } 

}



/* &avahi-error2336 */
obj_t BGl_z62avahizd2error2336zb0zz__avahi_avahiz00(obj_t BgL_envz00_2098, obj_t BgL_procz00_2099, obj_t BgL_msgz00_2100, obj_t BgL_objz00_2101, obj_t BgL_errnoz00_2102)
{
{ /* Llib/avahi.scm 238 */
{ /* Llib/avahi.scm 240 */
 int BgL_auxz00_3388; char * BgL_auxz00_3379; char * BgL_auxz00_3370;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_tmpz00_3389;
if(
INTEGERP(BgL_errnoz00_2102))
{ /* Llib/avahi.scm 240 */
BgL_tmpz00_3389 = BgL_errnoz00_2102
; }  else 
{ 
 obj_t BgL_auxz00_3392;
BgL_auxz00_3392 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)9837)), BGl_string2425z00zz__avahi_avahiz00, BGl_string2427z00zz__avahi_avahiz00, BgL_errnoz00_2102); 
FAILURE(BgL_auxz00_3392,BFALSE,BFALSE);} 
BgL_auxz00_3388 = 
CINT(BgL_tmpz00_3389); } 
{ /* Llib/avahi.scm 240 */
 obj_t BgL_tmpz00_3380;
if(
STRINGP(BgL_msgz00_2100))
{ /* Llib/avahi.scm 240 */
BgL_tmpz00_3380 = BgL_msgz00_2100
; }  else 
{ 
 obj_t BgL_auxz00_3383;
BgL_auxz00_3383 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)9837)), BGl_string2425z00zz__avahi_avahiz00, BGl_string2426z00zz__avahi_avahiz00, BgL_msgz00_2100); 
FAILURE(BgL_auxz00_3383,BFALSE,BFALSE);} 
BgL_auxz00_3379 = 
BSTRING_TO_STRING(BgL_tmpz00_3380); } 
{ /* Llib/avahi.scm 240 */
 obj_t BgL_tmpz00_3371;
if(
STRINGP(BgL_procz00_2099))
{ /* Llib/avahi.scm 240 */
BgL_tmpz00_3371 = BgL_procz00_2099
; }  else 
{ 
 obj_t BgL_auxz00_3374;
BgL_auxz00_3374 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)9837)), BGl_string2425z00zz__avahi_avahiz00, BGl_string2426z00zz__avahi_avahiz00, BgL_procz00_2099); 
FAILURE(BgL_auxz00_3374,BFALSE,BFALSE);} 
BgL_auxz00_3370 = 
BSTRING_TO_STRING(BgL_tmpz00_3371); } 
return 
bgl_avahi_error(BgL_auxz00_3370, BgL_auxz00_3379, BgL_objz00_2101, BgL_auxz00_3388);} } 

}



/* %avahi-lock! */
BGL_EXPORTED_DEF obj_t bgl_avahi_lock(void)
{
{ /* Llib/avahi.scm 249 */
{ /* Llib/avahi.scm 250 */
 obj_t BgL_g1180z00_1312;
BgL_g1180z00_1312 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 250 */

{ /* Llib/avahi.scm 250 */
 int BgL_arg1695z00_1317;
BgL_arg1695z00_1317 = 
BGL_MUTEX_LOCK(BgL_g1180z00_1312); 
return 
BBOOL(
(
(long)(BgL_arg1695z00_1317)==((long)0)));} } } } 

}



/* &%avahi-lock! */
obj_t BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00(obj_t BgL_envz00_2103)
{
{ /* Llib/avahi.scm 249 */
return 
bgl_avahi_lock();} 

}



/* %avahi-unlock! */
BGL_EXPORTED_DEF obj_t bgl_avahi_unlock(void)
{
{ /* Llib/avahi.scm 255 */
{ /* Llib/avahi.scm 256 */
 obj_t BgL_mz00_1322;
BgL_mz00_1322 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 256 */
 int BgL_arg1693z00_1323;
BgL_arg1693z00_1323 = 
BGL_MUTEX_UNLOCK(BgL_mz00_1322); 
return 
BBOOL(
(
(long)(BgL_arg1693z00_1323)==((long)0)));} } } 

}



/* &%avahi-unlock! */
obj_t BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00(obj_t BgL_envz00_2104)
{
{ /* Llib/avahi.scm 255 */
return 
bgl_avahi_unlock();} 

}



/* %avahi-signal */
BGL_EXPORTED_DEF obj_t bgl_avahi_signal(void)
{
{ /* Llib/avahi.scm 261 */
{ /* Llib/avahi.scm 262 */
 obj_t BgL_cz00_1325;
BgL_cz00_1325 = BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00; 
return 
BBOOL(
BGL_CONDVAR_SIGNAL(BgL_cz00_1325));} } 

}



/* &%avahi-signal */
obj_t BGl_z62z52avahizd2signalze2zz__avahi_avahiz00(obj_t BgL_envz00_2105)
{
{ /* Llib/avahi.scm 261 */
return 
bgl_avahi_signal();} 

}



/* avahi-gc-unmark! */
obj_t BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt BgL_oz00_12)
{
{ /* Llib/avahi.scm 283 */
{ /* Llib/avahi.scm 284 */
 obj_t BgL_top2974z00_3412;
BgL_top2974z00_3412 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2974z00_3412, BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BUNSPEC; 
{ /* Llib/avahi.scm 284 */
 obj_t BgL_tmp2973z00_3411;
{ /* Llib/avahi.scm 285 */
 obj_t BgL_g1928z00_86;
BgL_g1928z00_86 = BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 285 */

BgL_tmp2973z00_3411 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
BGl_deletez12z12zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_12), BgL_g1928z00_86, BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00), BUNSPEC) ; } } 
BGL_EXITD_POP_PROTECT(BgL_top2974z00_3412); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
return BgL_tmp2973z00_3411;} } } 

}



/* %avahi-thread-init! */
BGL_EXPORTED_DEF obj_t BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 290 */
{ /* Llib/avahi.scm 291 */
 bool_t BgL_test2975z00_3420;
{ /* Llib/avahi.scm 291 */
 obj_t BgL_objz00_1326; obj_t BgL_classz00_1327;
BgL_objz00_1326 = BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00; 
BgL_classz00_1327 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_objz00_1326))
{ /* Llib/avahi.scm 291 */
 BgL_objectz00_bglt BgL_arg1793z00_1329;
BgL_arg1793z00_1329 = 
(BgL_objectz00_bglt)(BgL_objz00_1326); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 291 */
 long BgL_idxz00_1335;
BgL_idxz00_1335 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1329); 
BgL_test2975z00_3420 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1335+((long)1)))==BgL_classz00_1327); }  else 
{ /* Llib/avahi.scm 291 */
 bool_t BgL_res2324z00_1357;
{ /* Llib/avahi.scm 291 */
 obj_t BgL_oclassz00_1343;
{ /* Llib/avahi.scm 291 */
 long BgL_arg1801z00_1349;
{ /* Llib/avahi.scm 291 */
 long BgL_arg1802z00_1350;
BgL_arg1802z00_1350 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1329); 
BgL_arg1801z00_1349 = 
(BgL_arg1802z00_1350-OBJECT_TYPE); } 
BgL_oclassz00_1343 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1349); } 
{ /* Llib/avahi.scm 291 */
 bool_t BgL__ortest_1110z00_1344;
BgL__ortest_1110z00_1344 = 
(BgL_classz00_1327==BgL_oclassz00_1343); 
if(BgL__ortest_1110z00_1344)
{ /* Llib/avahi.scm 291 */
BgL_res2324z00_1357 = BgL__ortest_1110z00_1344; }  else 
{ /* Llib/avahi.scm 291 */
 long BgL_odepthz00_1345;
BgL_odepthz00_1345 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1343); 
if(
(((long)1)<BgL_odepthz00_1345))
{ /* Llib/avahi.scm 291 */
 obj_t BgL_arg1790z00_1347;
BgL_arg1790z00_1347 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1343, ((long)1)); 
BgL_res2324z00_1357 = 
(BgL_arg1790z00_1347==BgL_classz00_1327); }  else 
{ /* Llib/avahi.scm 291 */
BgL_res2324z00_1357 = ((bool_t)0); } } } } 
BgL_test2975z00_3420 = BgL_res2324z00_1357; } }  else 
{ /* Llib/avahi.scm 291 */
BgL_test2975z00_3420 = ((bool_t)0)
; } } 
if(BgL_test2975z00_3420)
{ /* Llib/avahi.scm 291 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 293 */
 obj_t BgL_lkz00_89; obj_t BgL_cvz00_90;
{ /* Llib/avahi.scm 293 */

{ /* Llib/avahi.scm 293 */
 obj_t BgL_namez00_106;
BgL_namez00_106 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)1))); 
{ /* Llib/avahi.scm 293 */

BgL_lkz00_89 = 
bgl_make_mutex(BgL_namez00_106); } } } 
{ /* Llib/avahi.scm 294 */

{ /* Llib/avahi.scm 294 */
 obj_t BgL_namez00_107;
BgL_namez00_107 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)2))); 
{ /* Llib/avahi.scm 294 */

BgL_cvz00_90 = 
bgl_make_condvar(BgL_namez00_107); } } } 
{ /* Llib/avahi.scm 296 */
 BgL_pthreadz00_bglt BgL_new1145z00_91;
{ /* Llib/avahi.scm 297 */
 BgL_pthreadz00_bglt BgL_new1144z00_100;
BgL_new1144z00_100 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/avahi.scm 297 */
 long BgL_arg1338z00_101;
BgL_arg1338z00_101 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1144z00_100), BgL_arg1338z00_101); } 
BgL_new1145z00_91 = BgL_new1144z00_100; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1145z00_91)))->BgL_namez00)=((obj_t)BGl_string2428z00zz__avahi_avahiz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3452;
{ /* Llib/avahi.scm 298 */
 obj_t BgL_zc3z04anonymousza31335ze3z87_2109;
BgL_zc3z04anonymousza31335ze3z87_2109 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31335ze3ze5zz__avahi_avahiz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31335ze3z87_2109, 
(int)(((long)0)), BgL_lkz00_89); 
PROCEDURE_SET(BgL_zc3z04anonymousza31335ze3z87_2109, 
(int)(((long)1)), BgL_cvz00_90); 
BgL_auxz00_3452 = BgL_zc3z04anonymousza31335ze3z87_2109; } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_91))->BgL_bodyz00)=((obj_t)BgL_auxz00_3452),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_91))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_91))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_91))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_91))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
{ /* Llib/avahi.scm 296 */
 obj_t BgL_fun1337z00_99;
BgL_fun1337z00_99 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1337z00_99))(BgL_fun1337z00_99, 
((obj_t)BgL_new1145z00_91), BEOA); } 
BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = 
((obj_t)BgL_new1145z00_91); } 
{ /* Llib/avahi.scm 307 */
 obj_t BgL_top2981z00_3474;
BgL_top2981z00_3474 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_lkz00_89); 
BGL_EXITD_PUSH_PROTECT(BgL_top2981z00_3474, BgL_lkz00_89); BUNSPEC; 
{ /* Llib/avahi.scm 307 */
 obj_t BgL_tmp2980z00_3473;
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00), BNIL); 
{ /* Llib/avahi.scm 309 */

BgL_tmp2980z00_3473 = 
BBOOL(
BGL_CONDVAR_WAIT(BgL_cvz00_90, BgL_lkz00_89)); } 
BGL_EXITD_POP_PROTECT(BgL_top2981z00_3474); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_lkz00_89); 
return BgL_tmp2980z00_3473;} } } } } 

}



/* &%avahi-thread-init! */
obj_t BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00(obj_t BgL_envz00_2110)
{
{ /* Llib/avahi.scm 290 */
return 
BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00();} 

}



/* &<@anonymous:1335> */
obj_t BGl_z62zc3z04anonymousza31335ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2111)
{
{ /* Llib/avahi.scm 298 */
{ /* Llib/avahi.scm 299 */
 obj_t BgL_lkz00_2112; obj_t BgL_cvz00_2113;
BgL_lkz00_2112 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2111, 
(int)(((long)0)))); 
BgL_cvz00_2113 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2111, 
(int)(((long)1)))); 
BGL_MUTEX_LOCK(BgL_lkz00_2112); 
{ /* Llib/avahi.scm 299 */
 bool_t BgL_tmp2982z00_3491;
BgL_tmp2982z00_3491 = 
BGL_CONDVAR_SIGNAL(BgL_cvz00_2113); 
BGL_MUTEX_UNLOCK(BgL_lkz00_2112); BgL_tmp2982z00_3491; } 
{ 

BgL_loopz00_2901:
BGL_MUTEX_LOCK(BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 302 */
 bool_t BgL_tmp2983z00_3495;
{ /* Llib/avahi.scm 304 */
 obj_t BgL_g1170z00_2902; obj_t BgL_g1171z00_2903;
BgL_g1170z00_2902 = BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00; 
BgL_g1171z00_2903 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 303 */

BgL_tmp2983z00_3495 = 
BGL_CONDVAR_WAIT(BgL_g1170z00_2902, BgL_g1171z00_2903); } } 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00); BgL_tmp2983z00_3495; } 
bgl_avahi_invoke_callbacks(); BUNSPEC; 
goto BgL_loopz00_2901;} } } 

}



/* avahi-poll-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2closez00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_14)
{
{ /* Llib/avahi.scm 320 */
{ /* Llib/avahi.scm 321 */
 bool_t BgL_test2984z00_3500;
{ /* Llib/avahi.scm 321 */
 obj_t BgL_classz00_1373;
BgL_classz00_1373 = BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 321 */
 BgL_objectz00_bglt BgL_arg1793z00_1375;
{ /* Llib/avahi.scm 321 */
 obj_t BgL_tmpz00_3501;
BgL_tmpz00_3501 = 
((obj_t)BgL_oz00_14); 
BgL_arg1793z00_1375 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3501); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 321 */
 long BgL_idxz00_1381;
BgL_idxz00_1381 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1375); 
BgL_test2984z00_3500 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1381+((long)3)))==BgL_classz00_1373); }  else 
{ /* Llib/avahi.scm 321 */
 bool_t BgL_res2325z00_1403;
{ /* Llib/avahi.scm 321 */
 obj_t BgL_oclassz00_1389;
{ /* Llib/avahi.scm 321 */
 long BgL_arg1801z00_1395;
{ /* Llib/avahi.scm 321 */
 long BgL_arg1802z00_1396;
BgL_arg1802z00_1396 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1375); 
BgL_arg1801z00_1395 = 
(BgL_arg1802z00_1396-OBJECT_TYPE); } 
BgL_oclassz00_1389 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1395); } 
{ /* Llib/avahi.scm 321 */
 bool_t BgL__ortest_1110z00_1390;
BgL__ortest_1110z00_1390 = 
(BgL_classz00_1373==BgL_oclassz00_1389); 
if(BgL__ortest_1110z00_1390)
{ /* Llib/avahi.scm 321 */
BgL_res2325z00_1403 = BgL__ortest_1110z00_1390; }  else 
{ /* Llib/avahi.scm 321 */
 long BgL_odepthz00_1391;
BgL_odepthz00_1391 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1389); 
if(
(((long)3)<BgL_odepthz00_1391))
{ /* Llib/avahi.scm 321 */
 obj_t BgL_arg1790z00_1393;
BgL_arg1790z00_1393 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1389, ((long)3)); 
BgL_res2325z00_1403 = 
(BgL_arg1790z00_1393==BgL_classz00_1373); }  else 
{ /* Llib/avahi.scm 321 */
BgL_res2325z00_1403 = ((bool_t)0); } } } } 
BgL_test2984z00_3500 = BgL_res2325z00_1403; } } } 
if(BgL_test2984z00_3500)
{ /* Llib/avahi.scm 321 */
{ /* Llib/avahi.scm 377 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_tmpz00_3520;
BgL_tmpz00_3520 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_14); 
bgl_avahi_simple_poll_close(BgL_tmpz00_3520); } BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_14))); 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 321 */
{ /* Llib/avahi.scm 423 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_tmpz00_3526;
BgL_tmpz00_3526 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_14); 
bgl_avahi_threaded_poll_close(BgL_tmpz00_3526); } BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_14))); 
return BUNSPEC;} } } 

}



/* &avahi-poll-close */
obj_t BGl_z62avahizd2pollzd2closez62zz__avahi_avahiz00(obj_t BgL_envz00_2114, obj_t BgL_oz00_2115)
{
{ /* Llib/avahi.scm 320 */
{ /* Llib/avahi.scm 321 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3532;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2115, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 321 */
BgL_auxz00_3532 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2115)
; }  else 
{ 
 obj_t BgL_auxz00_3536;
BgL_auxz00_3536 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)13362)), BGl_string2429z00zz__avahi_avahiz00, BGl_string2430z00zz__avahi_avahiz00, BgL_oz00_2115); 
FAILURE(BgL_auxz00_3536,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2closez00zz__avahi_avahiz00(BgL_auxz00_3532);} } 

}



/* avahi-poll-loop */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2loopz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_15)
{
{ /* Llib/avahi.scm 328 */
{ /* Llib/avahi.scm 329 */
 bool_t BgL_test2989z00_3541;
{ /* Llib/avahi.scm 329 */
 obj_t BgL_classz00_1407;
BgL_classz00_1407 = BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 329 */
 BgL_objectz00_bglt BgL_arg1793z00_1409;
{ /* Llib/avahi.scm 329 */
 obj_t BgL_tmpz00_3542;
BgL_tmpz00_3542 = 
((obj_t)BgL_oz00_15); 
BgL_arg1793z00_1409 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3542); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 329 */
 long BgL_idxz00_1415;
BgL_idxz00_1415 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1409); 
BgL_test2989z00_3541 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1415+((long)3)))==BgL_classz00_1407); }  else 
{ /* Llib/avahi.scm 329 */
 bool_t BgL_res2326z00_1437;
{ /* Llib/avahi.scm 329 */
 obj_t BgL_oclassz00_1423;
{ /* Llib/avahi.scm 329 */
 long BgL_arg1801z00_1429;
{ /* Llib/avahi.scm 329 */
 long BgL_arg1802z00_1430;
BgL_arg1802z00_1430 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1409); 
BgL_arg1801z00_1429 = 
(BgL_arg1802z00_1430-OBJECT_TYPE); } 
BgL_oclassz00_1423 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1429); } 
{ /* Llib/avahi.scm 329 */
 bool_t BgL__ortest_1110z00_1424;
BgL__ortest_1110z00_1424 = 
(BgL_classz00_1407==BgL_oclassz00_1423); 
if(BgL__ortest_1110z00_1424)
{ /* Llib/avahi.scm 329 */
BgL_res2326z00_1437 = BgL__ortest_1110z00_1424; }  else 
{ /* Llib/avahi.scm 329 */
 long BgL_odepthz00_1425;
BgL_odepthz00_1425 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1423); 
if(
(((long)3)<BgL_odepthz00_1425))
{ /* Llib/avahi.scm 329 */
 obj_t BgL_arg1790z00_1427;
BgL_arg1790z00_1427 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1423, ((long)3)); 
BgL_res2326z00_1437 = 
(BgL_arg1790z00_1427==BgL_classz00_1407); }  else 
{ /* Llib/avahi.scm 329 */
BgL_res2326z00_1437 = ((bool_t)0); } } } } 
BgL_test2989z00_3541 = BgL_res2326z00_1437; } } } 
if(BgL_test2989z00_3541)
{ /* Llib/avahi.scm 329 */
{ /* Llib/avahi.scm 386 */
 AvahiSimplePoll * BgL_arg1351z00_1440;
BgL_arg1351z00_1440 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_15)))->BgL_z42builtinz42); 
avahi_simple_poll_loop(BgL_arg1351z00_1440); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_15));}  else 
{ /* Llib/avahi.scm 329 */
{ /* Llib/avahi.scm 432 */
 AvahiThreadedPoll * BgL_arg1357z00_1443;
BgL_arg1357z00_1443 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_15)))->BgL_z42builtinz42); 
avahi_threaded_poll_start(BgL_arg1357z00_1443); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_15));} } } 

}



/* &avahi-poll-loop */
obj_t BGl_z62avahizd2pollzd2loopz62zz__avahi_avahiz00(obj_t BgL_envz00_2116, obj_t BgL_oz00_2117)
{
{ /* Llib/avahi.scm 328 */
{ /* Llib/avahi.scm 329 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3571;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2117, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 329 */
BgL_auxz00_3571 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2117)
; }  else 
{ 
 obj_t BgL_auxz00_3575;
BgL_auxz00_3575 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)13740)), BGl_string2431z00zz__avahi_avahiz00, BGl_string2430z00zz__avahi_avahiz00, BgL_oz00_2117); 
FAILURE(BgL_auxz00_3575,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2loopz00zz__avahi_avahiz00(BgL_auxz00_3571);} } 

}



/* avahi-poll-quit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2quitz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_16)
{
{ /* Llib/avahi.scm 336 */
{ /* Llib/avahi.scm 337 */
 bool_t BgL_test2994z00_3580;
{ /* Llib/avahi.scm 337 */
 obj_t BgL_classz00_1445;
BgL_classz00_1445 = BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 337 */
 BgL_objectz00_bglt BgL_arg1793z00_1447;
{ /* Llib/avahi.scm 337 */
 obj_t BgL_tmpz00_3581;
BgL_tmpz00_3581 = 
((obj_t)BgL_oz00_16); 
BgL_arg1793z00_1447 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3581); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 337 */
 long BgL_idxz00_1453;
BgL_idxz00_1453 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1447); 
BgL_test2994z00_3580 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1453+((long)3)))==BgL_classz00_1445); }  else 
{ /* Llib/avahi.scm 337 */
 bool_t BgL_res2327z00_1475;
{ /* Llib/avahi.scm 337 */
 obj_t BgL_oclassz00_1461;
{ /* Llib/avahi.scm 337 */
 long BgL_arg1801z00_1467;
{ /* Llib/avahi.scm 337 */
 long BgL_arg1802z00_1468;
BgL_arg1802z00_1468 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1447); 
BgL_arg1801z00_1467 = 
(BgL_arg1802z00_1468-OBJECT_TYPE); } 
BgL_oclassz00_1461 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1467); } 
{ /* Llib/avahi.scm 337 */
 bool_t BgL__ortest_1110z00_1462;
BgL__ortest_1110z00_1462 = 
(BgL_classz00_1445==BgL_oclassz00_1461); 
if(BgL__ortest_1110z00_1462)
{ /* Llib/avahi.scm 337 */
BgL_res2327z00_1475 = BgL__ortest_1110z00_1462; }  else 
{ /* Llib/avahi.scm 337 */
 long BgL_odepthz00_1463;
BgL_odepthz00_1463 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1461); 
if(
(((long)3)<BgL_odepthz00_1463))
{ /* Llib/avahi.scm 337 */
 obj_t BgL_arg1790z00_1465;
BgL_arg1790z00_1465 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1461, ((long)3)); 
BgL_res2327z00_1475 = 
(BgL_arg1790z00_1465==BgL_classz00_1445); }  else 
{ /* Llib/avahi.scm 337 */
BgL_res2327z00_1475 = ((bool_t)0); } } } } 
BgL_test2994z00_3580 = BgL_res2327z00_1475; } } } 
if(BgL_test2994z00_3580)
{ /* Llib/avahi.scm 337 */
{ /* Llib/avahi.scm 405 */
 AvahiSimplePoll * BgL_arg1355z00_1478;
BgL_arg1355z00_1478 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_16)))->BgL_z42builtinz42); 
avahi_simple_poll_quit(BgL_arg1355z00_1478); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_16));}  else 
{ /* Llib/avahi.scm 337 */
{ /* Llib/avahi.scm 467 */
 AvahiThreadedPoll * BgL_arg1364z00_1481;
BgL_arg1364z00_1481 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_16)))->BgL_z42builtinz42); 
avahi_threaded_poll_stop(BgL_arg1364z00_1481); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_16));} } } 

}



/* &avahi-poll-quit */
obj_t BGl_z62avahizd2pollzd2quitz62zz__avahi_avahiz00(obj_t BgL_envz00_2118, obj_t BgL_oz00_2119)
{
{ /* Llib/avahi.scm 336 */
{ /* Llib/avahi.scm 337 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3610;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2119, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 337 */
BgL_auxz00_3610 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2119)
; }  else 
{ 
 obj_t BgL_auxz00_3614;
BgL_auxz00_3614 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)14116)), BGl_string2432z00zz__avahi_avahiz00, BGl_string2430z00zz__avahi_avahiz00, BgL_oz00_2119); 
FAILURE(BgL_auxz00_3614,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2quitz00zz__avahi_avahiz00(BgL_auxz00_3610);} } 

}



/* avahi-poll-timeout */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2timeoutz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_17, long BgL_tz00_18, obj_t BgL_procz00_19)
{
{ /* Llib/avahi.scm 344 */
{ /* Llib/avahi.scm 345 */
 bool_t BgL_test2999z00_3619;
{ /* Llib/avahi.scm 345 */
 obj_t BgL_classz00_1483;
BgL_classz00_1483 = BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 345 */
 BgL_objectz00_bglt BgL_arg1793z00_1485;
{ /* Llib/avahi.scm 345 */
 obj_t BgL_tmpz00_3620;
BgL_tmpz00_3620 = 
((obj_t)BgL_oz00_17); 
BgL_arg1793z00_1485 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3620); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 345 */
 long BgL_idxz00_1491;
BgL_idxz00_1491 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1485); 
BgL_test2999z00_3619 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1491+((long)3)))==BgL_classz00_1483); }  else 
{ /* Llib/avahi.scm 345 */
 bool_t BgL_res2328z00_1513;
{ /* Llib/avahi.scm 345 */
 obj_t BgL_oclassz00_1499;
{ /* Llib/avahi.scm 345 */
 long BgL_arg1801z00_1505;
{ /* Llib/avahi.scm 345 */
 long BgL_arg1802z00_1506;
BgL_arg1802z00_1506 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1485); 
BgL_arg1801z00_1505 = 
(BgL_arg1802z00_1506-OBJECT_TYPE); } 
BgL_oclassz00_1499 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1505); } 
{ /* Llib/avahi.scm 345 */
 bool_t BgL__ortest_1110z00_1500;
BgL__ortest_1110z00_1500 = 
(BgL_classz00_1483==BgL_oclassz00_1499); 
if(BgL__ortest_1110z00_1500)
{ /* Llib/avahi.scm 345 */
BgL_res2328z00_1513 = BgL__ortest_1110z00_1500; }  else 
{ /* Llib/avahi.scm 345 */
 long BgL_odepthz00_1501;
BgL_odepthz00_1501 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1499); 
if(
(((long)3)<BgL_odepthz00_1501))
{ /* Llib/avahi.scm 345 */
 obj_t BgL_arg1790z00_1503;
BgL_arg1790z00_1503 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1499, ((long)3)); 
BgL_res2328z00_1513 = 
(BgL_arg1790z00_1503==BgL_classz00_1483); }  else 
{ /* Llib/avahi.scm 345 */
BgL_res2328z00_1513 = ((bool_t)0); } } } } 
BgL_test2999z00_3619 = BgL_res2328z00_1513; } } } 
if(BgL_test2999z00_3619)
{ /* Llib/avahi.scm 345 */
return 
BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_17), BgL_tz00_18, BgL_procz00_19);}  else 
{ /* Llib/avahi.scm 345 */
return 
BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_17), BgL_tz00_18, BgL_procz00_19);} } } 

}



/* &avahi-poll-timeout */
obj_t BGl_z62avahizd2pollzd2timeoutz62zz__avahi_avahiz00(obj_t BgL_envz00_2120, obj_t BgL_oz00_2121, obj_t BgL_tz00_2122, obj_t BgL_procz00_2123)
{
{ /* Llib/avahi.scm 344 */
{ /* Llib/avahi.scm 345 */
 obj_t BgL_auxz00_3660; long BgL_auxz00_3651; BgL_avahizd2pollzd2_bglt BgL_auxz00_3643;
if(
PROCEDUREP(BgL_procz00_2123))
{ /* Llib/avahi.scm 345 */
BgL_auxz00_3660 = BgL_procz00_2123
; }  else 
{ 
 obj_t BgL_auxz00_3663;
BgL_auxz00_3663 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)14519)), BGl_string2433z00zz__avahi_avahiz00, BGl_string2434z00zz__avahi_avahiz00, BgL_procz00_2123); 
FAILURE(BgL_auxz00_3663,BFALSE,BFALSE);} 
{ /* Llib/avahi.scm 345 */
 obj_t BgL_tmpz00_3652;
if(
INTEGERP(BgL_tz00_2122))
{ /* Llib/avahi.scm 345 */
BgL_tmpz00_3652 = BgL_tz00_2122
; }  else 
{ 
 obj_t BgL_auxz00_3655;
BgL_auxz00_3655 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)14519)), BGl_string2433z00zz__avahi_avahiz00, BGl_string2427z00zz__avahi_avahiz00, BgL_tz00_2122); 
FAILURE(BgL_auxz00_3655,BFALSE,BFALSE);} 
BgL_auxz00_3651 = 
(long)CINT(BgL_tmpz00_3652); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2121, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 345 */
BgL_auxz00_3643 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2121)
; }  else 
{ 
 obj_t BgL_auxz00_3647;
BgL_auxz00_3647 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)14519)), BGl_string2433z00zz__avahi_avahiz00, BGl_string2430z00zz__avahi_avahiz00, BgL_oz00_2121); 
FAILURE(BgL_auxz00_3647,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2timeoutz00zz__avahi_avahiz00(BgL_auxz00_3643, BgL_auxz00_3651, BgL_auxz00_3660);} } 

}



/* avahi-poll-lock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2lockz12z12zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_20)
{
{ /* Llib/avahi.scm 352 */
{ /* Llib/avahi.scm 353 */
 bool_t BgL_test3006z00_3668;
{ /* Llib/avahi.scm 353 */
 obj_t BgL_classz00_1515;
BgL_classz00_1515 = BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 353 */
 BgL_objectz00_bglt BgL_arg1793z00_1517;
{ /* Llib/avahi.scm 353 */
 obj_t BgL_tmpz00_3669;
BgL_tmpz00_3669 = 
((obj_t)BgL_oz00_20); 
BgL_arg1793z00_1517 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3669); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 353 */
 long BgL_idxz00_1523;
BgL_idxz00_1523 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1517); 
BgL_test3006z00_3668 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1523+((long)3)))==BgL_classz00_1515); }  else 
{ /* Llib/avahi.scm 353 */
 bool_t BgL_res2329z00_1545;
{ /* Llib/avahi.scm 353 */
 obj_t BgL_oclassz00_1531;
{ /* Llib/avahi.scm 353 */
 long BgL_arg1801z00_1537;
{ /* Llib/avahi.scm 353 */
 long BgL_arg1802z00_1538;
BgL_arg1802z00_1538 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1517); 
BgL_arg1801z00_1537 = 
(BgL_arg1802z00_1538-OBJECT_TYPE); } 
BgL_oclassz00_1531 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1537); } 
{ /* Llib/avahi.scm 353 */
 bool_t BgL__ortest_1110z00_1532;
BgL__ortest_1110z00_1532 = 
(BgL_classz00_1515==BgL_oclassz00_1531); 
if(BgL__ortest_1110z00_1532)
{ /* Llib/avahi.scm 353 */
BgL_res2329z00_1545 = BgL__ortest_1110z00_1532; }  else 
{ /* Llib/avahi.scm 353 */
 long BgL_odepthz00_1533;
BgL_odepthz00_1533 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1531); 
if(
(((long)3)<BgL_odepthz00_1533))
{ /* Llib/avahi.scm 353 */
 obj_t BgL_arg1790z00_1535;
BgL_arg1790z00_1535 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1531, ((long)3)); 
BgL_res2329z00_1545 = 
(BgL_arg1790z00_1535==BgL_classz00_1515); }  else 
{ /* Llib/avahi.scm 353 */
BgL_res2329z00_1545 = ((bool_t)0); } } } } 
BgL_test3006z00_3668 = BgL_res2329z00_1545; } } } 
if(BgL_test3006z00_3668)
{ /* Llib/avahi.scm 353 */
{ /* Llib/avahi.scm 440 */
 AvahiThreadedPoll * BgL_arg1358z00_1548;
BgL_arg1358z00_1548 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_20)))->BgL_z42builtinz42); 
avahi_threaded_poll_lock(BgL_arg1358z00_1548); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_20));}  else 
{ /* Llib/avahi.scm 353 */
return BFALSE;} } } 

}



/* &avahi-poll-lock! */
obj_t BGl_z62avahizd2pollzd2lockz12z70zz__avahi_avahiz00(obj_t BgL_envz00_2124, obj_t BgL_oz00_2125)
{
{ /* Llib/avahi.scm 352 */
{ /* Llib/avahi.scm 353 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3693;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2125, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 353 */
BgL_auxz00_3693 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2125)
; }  else 
{ 
 obj_t BgL_auxz00_3697;
BgL_auxz00_3697 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)14916)), BGl_string2435z00zz__avahi_avahiz00, BGl_string2430z00zz__avahi_avahiz00, BgL_oz00_2125); 
FAILURE(BgL_auxz00_3697,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2lockz12z12zz__avahi_avahiz00(BgL_auxz00_3693);} } 

}



/* avahi-poll-unlock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2unlockz12z12zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_21)
{
{ /* Llib/avahi.scm 359 */
{ /* Llib/avahi.scm 360 */
 bool_t BgL_test3011z00_3702;
{ /* Llib/avahi.scm 360 */
 obj_t BgL_classz00_1550;
BgL_classz00_1550 = BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 360 */
 BgL_objectz00_bglt BgL_arg1793z00_1552;
{ /* Llib/avahi.scm 360 */
 obj_t BgL_tmpz00_3703;
BgL_tmpz00_3703 = 
((obj_t)BgL_oz00_21); 
BgL_arg1793z00_1552 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3703); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 360 */
 long BgL_idxz00_1558;
BgL_idxz00_1558 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1552); 
BgL_test3011z00_3702 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1558+((long)3)))==BgL_classz00_1550); }  else 
{ /* Llib/avahi.scm 360 */
 bool_t BgL_res2330z00_1580;
{ /* Llib/avahi.scm 360 */
 obj_t BgL_oclassz00_1566;
{ /* Llib/avahi.scm 360 */
 long BgL_arg1801z00_1572;
{ /* Llib/avahi.scm 360 */
 long BgL_arg1802z00_1573;
BgL_arg1802z00_1573 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1552); 
BgL_arg1801z00_1572 = 
(BgL_arg1802z00_1573-OBJECT_TYPE); } 
BgL_oclassz00_1566 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1572); } 
{ /* Llib/avahi.scm 360 */
 bool_t BgL__ortest_1110z00_1567;
BgL__ortest_1110z00_1567 = 
(BgL_classz00_1550==BgL_oclassz00_1566); 
if(BgL__ortest_1110z00_1567)
{ /* Llib/avahi.scm 360 */
BgL_res2330z00_1580 = BgL__ortest_1110z00_1567; }  else 
{ /* Llib/avahi.scm 360 */
 long BgL_odepthz00_1568;
BgL_odepthz00_1568 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1566); 
if(
(((long)3)<BgL_odepthz00_1568))
{ /* Llib/avahi.scm 360 */
 obj_t BgL_arg1790z00_1570;
BgL_arg1790z00_1570 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1566, ((long)3)); 
BgL_res2330z00_1580 = 
(BgL_arg1790z00_1570==BgL_classz00_1550); }  else 
{ /* Llib/avahi.scm 360 */
BgL_res2330z00_1580 = ((bool_t)0); } } } } 
BgL_test3011z00_3702 = BgL_res2330z00_1580; } } } 
if(BgL_test3011z00_3702)
{ /* Llib/avahi.scm 360 */
{ /* Llib/avahi.scm 448 */
 AvahiThreadedPoll * BgL_arg1360z00_1583;
BgL_arg1360z00_1583 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_21)))->BgL_z42builtinz42); 
avahi_threaded_poll_unlock(BgL_arg1360z00_1583); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_21));}  else 
{ /* Llib/avahi.scm 360 */
return BFALSE;} } } 

}



/* &avahi-poll-unlock! */
obj_t BGl_z62avahizd2pollzd2unlockz12z70zz__avahi_avahiz00(obj_t BgL_envz00_2126, obj_t BgL_oz00_2127)
{
{ /* Llib/avahi.scm 359 */
{ /* Llib/avahi.scm 360 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3727;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2127, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 360 */
BgL_auxz00_3727 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2127)
; }  else 
{ 
 obj_t BgL_auxz00_3731;
BgL_auxz00_3731 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)15265)), BGl_string2436z00zz__avahi_avahiz00, BGl_string2430z00zz__avahi_avahiz00, BgL_oz00_2127); 
FAILURE(BgL_auxz00_3731,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2unlockz12z12zz__avahi_avahiz00(BgL_auxz00_3727);} } 

}



/* avahi-simple-poll-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_23)
{
{ /* Llib/avahi.scm 376 */
bgl_avahi_simple_poll_close(BgL_oz00_23); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_23)); 
return BUNSPEC;} 

}



/* &avahi-simple-poll-close */
obj_t BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2128, obj_t BgL_oz00_2129)
{
{ /* Llib/avahi.scm 376 */
{ /* Llib/avahi.scm 377 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3739;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2129, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 377 */
BgL_auxz00_3739 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2129)
; }  else 
{ 
 obj_t BgL_auxz00_3743;
BgL_auxz00_3743 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)16062)), BGl_string2437z00zz__avahi_avahiz00, BGl_string2438z00zz__avahi_avahiz00, BgL_oz00_2129); 
FAILURE(BgL_auxz00_3743,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3739);} } 

}



/* avahi-simple-poll-loop */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_24)
{
{ /* Llib/avahi.scm 384 */
{ /* Llib/avahi.scm 386 */
 AvahiSimplePoll * BgL_arg1351z00_1585;
BgL_arg1351z00_1585 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_24))->BgL_z42builtinz42); 
avahi_simple_poll_loop(BgL_arg1351z00_1585); BUNSPEC; } 
return 
((obj_t)BgL_oz00_24);} 

}



/* &avahi-simple-poll-loop */
obj_t BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00(obj_t BgL_envz00_2130, obj_t BgL_oz00_2131)
{
{ /* Llib/avahi.scm 384 */
{ /* Llib/avahi.scm 385 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3751;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2131, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 385 */
BgL_auxz00_3751 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2131)
; }  else 
{ 
 obj_t BgL_auxz00_3755;
BgL_auxz00_3755 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)16385)), BGl_string2439z00zz__avahi_avahiz00, BGl_string2438z00zz__avahi_avahiz00, BgL_oz00_2131); 
FAILURE(BgL_auxz00_3755,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_auxz00_3751);} } 

}



/* avahi-simple-poll-timeout */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_25, long BgL_tz00_26, obj_t BgL_procz00_27)
{
{ /* Llib/avahi.scm 392 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_27, 
(int)(((long)0))))
{ /* Llib/avahi.scm 393 */
{ 
 obj_t BgL_auxz00_3763;
{ /* Llib/avahi.scm 395 */
 obj_t BgL_arg1352z00_117;
BgL_arg1352z00_117 = 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_25)))->BgL_z52procsz52); 
BgL_auxz00_3763 = 
MAKE_YOUNG_PAIR(BgL_procz00_27, BgL_arg1352z00_117); } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_25)))->BgL_z52procsz52)=((obj_t)BgL_auxz00_3763),BUNSPEC); } 
{ /* Llib/avahi.scm 396 */
 AvahiSimplePoll * BgL_arg1354z00_118;
BgL_arg1354z00_118 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_25))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 396 */
 long BgL_tmpz00_3770;
BgL_tmpz00_3770 = 
(long)(BgL_tz00_26); 
bgl_avahi_simple_poll_timeout(BgL_arg1354z00_118, BgL_tmpz00_3770, BgL_procz00_27, BgL_oz00_25); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 397 */
 char * BgL_procz00_1586; char * BgL_msgz00_1587;
BgL_procz00_1586 = 
BSTRING_TO_STRING(BGl_string2440z00zz__avahi_avahiz00); 
BgL_msgz00_1587 = 
BSTRING_TO_STRING(BGl_string2441z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1289z00_1589;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_1590;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1591;
BgL_new1142z00_1591 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1332z00_1592;
BgL_arg1332z00_1592 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_1591), BgL_arg1332z00_1592); } 
BgL_new1143z00_1590 = BgL_new1142z00_1591; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1590)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1590)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3783;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1330z00_1596;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1331z00_1597;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_1598;
BgL_classz00_1598 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1331z00_1597 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1598); } 
BgL_arg1330z00_1596 = 
VECTOR_REF(BgL_arg1331z00_1597,((long)2)); } 
BgL_auxz00_3783 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1330z00_1596); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1590)))->BgL_stackz00)=((obj_t)BgL_auxz00_3783),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1590)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1586)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1590)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1587)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1590)))->BgL_objz00)=((obj_t)BgL_procz00_27),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_1590))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1289z00_1589 = BgL_new1143z00_1590; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1289z00_1589));} } } 

}



/* &avahi-simple-poll-timeout */
obj_t BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t BgL_envz00_2132, obj_t BgL_oz00_2133, obj_t BgL_tz00_2134, obj_t BgL_procz00_2135)
{
{ /* Llib/avahi.scm 392 */
{ /* Llib/avahi.scm 393 */
 obj_t BgL_auxz00_3817; long BgL_auxz00_3808; BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3800;
if(
PROCEDUREP(BgL_procz00_2135))
{ /* Llib/avahi.scm 393 */
BgL_auxz00_3817 = BgL_procz00_2135
; }  else 
{ 
 obj_t BgL_auxz00_3820;
BgL_auxz00_3820 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)16788)), BGl_string2442z00zz__avahi_avahiz00, BGl_string2434z00zz__avahi_avahiz00, BgL_procz00_2135); 
FAILURE(BgL_auxz00_3820,BFALSE,BFALSE);} 
{ /* Llib/avahi.scm 393 */
 obj_t BgL_tmpz00_3809;
if(
INTEGERP(BgL_tz00_2134))
{ /* Llib/avahi.scm 393 */
BgL_tmpz00_3809 = BgL_tz00_2134
; }  else 
{ 
 obj_t BgL_auxz00_3812;
BgL_auxz00_3812 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)16788)), BGl_string2442z00zz__avahi_avahiz00, BGl_string2427z00zz__avahi_avahiz00, BgL_tz00_2134); 
FAILURE(BgL_auxz00_3812,BFALSE,BFALSE);} 
BgL_auxz00_3808 = 
(long)CINT(BgL_tmpz00_3809); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2133, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 393 */
BgL_auxz00_3800 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2133)
; }  else 
{ 
 obj_t BgL_auxz00_3804;
BgL_auxz00_3804 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)16788)), BGl_string2442z00zz__avahi_avahiz00, BGl_string2438z00zz__avahi_avahiz00, BgL_oz00_2133); 
FAILURE(BgL_auxz00_3804,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_auxz00_3800, BgL_auxz00_3808, BgL_auxz00_3817);} } 

}



/* avahi-simple-poll-quit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_28)
{
{ /* Llib/avahi.scm 403 */
{ /* Llib/avahi.scm 405 */
 AvahiSimplePoll * BgL_arg1355z00_1601;
BgL_arg1355z00_1601 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_28))->BgL_z42builtinz42); 
avahi_simple_poll_quit(BgL_arg1355z00_1601); BUNSPEC; } 
return 
((obj_t)BgL_oz00_28);} 

}



/* &avahi-simple-poll-quit */
obj_t BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00(obj_t BgL_envz00_2136, obj_t BgL_oz00_2137)
{
{ /* Llib/avahi.scm 403 */
{ /* Llib/avahi.scm 404 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3828;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2137, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 404 */
BgL_auxz00_3828 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2137)
; }  else 
{ 
 obj_t BgL_auxz00_3832;
BgL_auxz00_3832 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)17350)), BGl_string2443z00zz__avahi_avahiz00, BGl_string2438z00zz__avahi_avahiz00, BgL_oz00_2137); 
FAILURE(BgL_auxz00_3832,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_auxz00_3828);} } 

}



/* avahi-threaded-poll-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_30)
{
{ /* Llib/avahi.scm 422 */
bgl_avahi_threaded_poll_close(BgL_oz00_30); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_30)); 
return BUNSPEC;} 

}



/* &avahi-threaded-poll-close */
obj_t BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2138, obj_t BgL_oz00_2139)
{
{ /* Llib/avahi.scm 422 */
{ /* Llib/avahi.scm 423 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3840;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2139, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 423 */
BgL_auxz00_3840 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2139)
; }  else 
{ 
 obj_t BgL_auxz00_3844;
BgL_auxz00_3844 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)18198)), BGl_string2444z00zz__avahi_avahiz00, BGl_string2445z00zz__avahi_avahiz00, BgL_oz00_2139); 
FAILURE(BgL_auxz00_3844,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3840);} } 

}



/* avahi-threaded-poll-loop */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_31)
{
{ /* Llib/avahi.scm 430 */
{ /* Llib/avahi.scm 432 */
 AvahiThreadedPoll * BgL_arg1357z00_1603;
BgL_arg1357z00_1603 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_31))->BgL_z42builtinz42); 
avahi_threaded_poll_start(BgL_arg1357z00_1603); BUNSPEC; } 
return 
((obj_t)BgL_oz00_31);} 

}



/* &avahi-threaded-poll-loop */
obj_t BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00(obj_t BgL_envz00_2140, obj_t BgL_oz00_2141)
{
{ /* Llib/avahi.scm 430 */
{ /* Llib/avahi.scm 431 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3852;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2141, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 431 */
BgL_auxz00_3852 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2141)
; }  else 
{ 
 obj_t BgL_auxz00_3856;
BgL_auxz00_3856 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)18525)), BGl_string2446z00zz__avahi_avahiz00, BGl_string2445z00zz__avahi_avahiz00, BgL_oz00_2141); 
FAILURE(BgL_auxz00_3856,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_auxz00_3852);} } 

}



/* avahi-threaded-poll-lock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_32)
{
{ /* Llib/avahi.scm 438 */
{ /* Llib/avahi.scm 440 */
 AvahiThreadedPoll * BgL_arg1358z00_1605;
BgL_arg1358z00_1605 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_32))->BgL_z42builtinz42); 
avahi_threaded_poll_lock(BgL_arg1358z00_1605); BUNSPEC; } 
return 
((obj_t)BgL_oz00_32);} 

}



/* &avahi-threaded-poll-lock! */
obj_t BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00(obj_t BgL_envz00_2142, obj_t BgL_oz00_2143)
{
{ /* Llib/avahi.scm 438 */
{ /* Llib/avahi.scm 439 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3864;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2143, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 439 */
BgL_auxz00_3864 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2143)
; }  else 
{ 
 obj_t BgL_auxz00_3868;
BgL_auxz00_3868 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)18910)), BGl_string2447z00zz__avahi_avahiz00, BGl_string2445z00zz__avahi_avahiz00, BgL_oz00_2143); 
FAILURE(BgL_auxz00_3868,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_auxz00_3864);} } 

}



/* avahi-threaded-poll-unlock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_33)
{
{ /* Llib/avahi.scm 446 */
{ /* Llib/avahi.scm 448 */
 AvahiThreadedPoll * BgL_arg1360z00_1607;
BgL_arg1360z00_1607 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_33))->BgL_z42builtinz42); 
avahi_threaded_poll_unlock(BgL_arg1360z00_1607); BUNSPEC; } 
return 
((obj_t)BgL_oz00_33);} 

}



/* &avahi-threaded-poll-unlock! */
obj_t BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00(obj_t BgL_envz00_2144, obj_t BgL_oz00_2145)
{
{ /* Llib/avahi.scm 446 */
{ /* Llib/avahi.scm 447 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3876;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2145, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 447 */
BgL_auxz00_3876 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2145)
; }  else 
{ 
 obj_t BgL_auxz00_3880;
BgL_auxz00_3880 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)19297)), BGl_string2448z00zz__avahi_avahiz00, BGl_string2445z00zz__avahi_avahiz00, BgL_oz00_2145); 
FAILURE(BgL_auxz00_3880,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_auxz00_3876);} } 

}



/* avahi-threaded-poll-timeout */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_34, long BgL_tz00_35, obj_t BgL_procz00_36)
{
{ /* Llib/avahi.scm 454 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_36, 
(int)(((long)0))))
{ /* Llib/avahi.scm 455 */
{ 
 obj_t BgL_auxz00_3888;
{ /* Llib/avahi.scm 457 */
 obj_t BgL_arg1361z00_128;
BgL_arg1361z00_128 = 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_34)))->BgL_z52procsz52); 
BgL_auxz00_3888 = 
MAKE_YOUNG_PAIR(BgL_procz00_36, BgL_arg1361z00_128); } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_34)))->BgL_z52procsz52)=((obj_t)BgL_auxz00_3888),BUNSPEC); } 
{ /* Llib/avahi.scm 458 */
 AvahiThreadedPoll * BgL_arg1363z00_129;
BgL_arg1363z00_129 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_34))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 458 */
 long BgL_tmpz00_3895;
BgL_tmpz00_3895 = 
(long)(BgL_tz00_35); 
bgl_avahi_threaded_poll_timeout(BgL_arg1363z00_129, BgL_tmpz00_3895, BgL_procz00_36, BgL_oz00_34); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 459 */
 char * BgL_procz00_1608; char * BgL_msgz00_1609;
BgL_procz00_1608 = 
BSTRING_TO_STRING(BGl_string2449z00zz__avahi_avahiz00); 
BgL_msgz00_1609 = 
BSTRING_TO_STRING(BGl_string2441z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1289z00_1611;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_1612;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1613;
BgL_new1142z00_1613 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1332z00_1614;
BgL_arg1332z00_1614 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_1613), BgL_arg1332z00_1614); } 
BgL_new1143z00_1612 = BgL_new1142z00_1613; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1612)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1612)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3908;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1330z00_1618;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1331z00_1619;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_1620;
BgL_classz00_1620 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1331z00_1619 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1620); } 
BgL_arg1330z00_1618 = 
VECTOR_REF(BgL_arg1331z00_1619,((long)2)); } 
BgL_auxz00_3908 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1330z00_1618); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1612)))->BgL_stackz00)=((obj_t)BgL_auxz00_3908),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1612)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1608)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1612)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1609)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1612)))->BgL_objz00)=((obj_t)BgL_procz00_36),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_1612))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1289z00_1611 = BgL_new1143z00_1612; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1289z00_1611));} } } 

}



/* &avahi-threaded-poll-timeout */
obj_t BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t BgL_envz00_2146, obj_t BgL_oz00_2147, obj_t BgL_tz00_2148, obj_t BgL_procz00_2149)
{
{ /* Llib/avahi.scm 454 */
{ /* Llib/avahi.scm 455 */
 obj_t BgL_auxz00_3942; long BgL_auxz00_3933; BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3925;
if(
PROCEDUREP(BgL_procz00_2149))
{ /* Llib/avahi.scm 455 */
BgL_auxz00_3942 = BgL_procz00_2149
; }  else 
{ 
 obj_t BgL_auxz00_3945;
BgL_auxz00_3945 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)19710)), BGl_string2450z00zz__avahi_avahiz00, BGl_string2434z00zz__avahi_avahiz00, BgL_procz00_2149); 
FAILURE(BgL_auxz00_3945,BFALSE,BFALSE);} 
{ /* Llib/avahi.scm 455 */
 obj_t BgL_tmpz00_3934;
if(
INTEGERP(BgL_tz00_2148))
{ /* Llib/avahi.scm 455 */
BgL_tmpz00_3934 = BgL_tz00_2148
; }  else 
{ 
 obj_t BgL_auxz00_3937;
BgL_auxz00_3937 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)19710)), BGl_string2450z00zz__avahi_avahiz00, BGl_string2427z00zz__avahi_avahiz00, BgL_tz00_2148); 
FAILURE(BgL_auxz00_3937,BFALSE,BFALSE);} 
BgL_auxz00_3933 = 
(long)CINT(BgL_tmpz00_3934); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2147, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 455 */
BgL_auxz00_3925 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2147)
; }  else 
{ 
 obj_t BgL_auxz00_3929;
BgL_auxz00_3929 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)19710)), BGl_string2450z00zz__avahi_avahiz00, BGl_string2445z00zz__avahi_avahiz00, BgL_oz00_2147); 
FAILURE(BgL_auxz00_3929,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_auxz00_3925, BgL_auxz00_3933, BgL_auxz00_3942);} } 

}



/* avahi-threaded-poll-quit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_37)
{
{ /* Llib/avahi.scm 465 */
{ /* Llib/avahi.scm 467 */
 AvahiThreadedPoll * BgL_arg1364z00_1623;
BgL_arg1364z00_1623 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_37))->BgL_z42builtinz42); 
avahi_threaded_poll_stop(BgL_arg1364z00_1623); BUNSPEC; } 
return 
((obj_t)BgL_oz00_37);} 

}



/* &avahi-threaded-poll-quit */
obj_t BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00(obj_t BgL_envz00_2150, obj_t BgL_oz00_2151)
{
{ /* Llib/avahi.scm 465 */
{ /* Llib/avahi.scm 466 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3953;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2151, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 466 */
BgL_auxz00_3953 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2151)
; }  else 
{ 
 obj_t BgL_auxz00_3957;
BgL_auxz00_3957 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)20282)), BGl_string2451z00zz__avahi_avahiz00, BGl_string2445z00zz__avahi_avahiz00, BgL_oz00_2151); 
FAILURE(BgL_auxz00_3957,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_auxz00_3953);} } 

}



/* avahi-client-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt BgL_oz00_39)
{
{ /* Llib/avahi.scm 485 */
bgl_avahi_client_close(BgL_oz00_39); BUNSPEC; 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_39))->BgL_z52groupsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_39))->BgL_z52browsersz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_39))->BgL_resolversz00)=((obj_t)BNIL),BUNSPEC); 
return 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_39));} 

}



/* &avahi-client-close */
obj_t BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00(obj_t BgL_envz00_2152, obj_t BgL_oz00_2153)
{
{ /* Llib/avahi.scm 485 */
{ /* Llib/avahi.scm 486 */
 BgL_avahizd2clientzd2_bglt BgL_auxz00_3968;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2153, BGl_avahizd2clientzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 486 */
BgL_auxz00_3968 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2153)
; }  else 
{ 
 obj_t BgL_auxz00_3972;
BgL_auxz00_3972 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)21183)), BGl_string2452z00zz__avahi_avahiz00, BGl_string2453z00zz__avahi_avahiz00, BgL_oz00_2153); 
FAILURE(BgL_auxz00_3972,BFALSE,BFALSE);} 
return 
BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_auxz00_3968);} } 

}



/* avahi-client-error-message */
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt BgL_oz00_40)
{
{ /* Llib/avahi.scm 496 */
{ /* Llib/avahi.scm 498 */
 int BgL_arg1365z00_1625;
{ /* Llib/avahi.scm 498 */
 AvahiClient * BgL_tmpz00_3977;
BgL_tmpz00_3977 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_40))->BgL_z42builtinz42); 
BgL_arg1365z00_1625 = 
avahi_client_errno(BgL_tmpz00_3977); } 
return 
string_to_bstring(
(char *)avahi_strerror(BgL_arg1365z00_1625));} } 

}



/* &avahi-client-error-message */
obj_t BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00(obj_t BgL_envz00_2154, obj_t BgL_oz00_2155)
{
{ /* Llib/avahi.scm 496 */
{ /* Llib/avahi.scm 497 */
 BgL_avahizd2clientzd2_bglt BgL_auxz00_3982;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2155, BGl_avahizd2clientzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 497 */
BgL_auxz00_3982 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2155)
; }  else 
{ 
 obj_t BgL_auxz00_3986;
BgL_auxz00_3986 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)21631)), BGl_string2454z00zz__avahi_avahiz00, BGl_string2453z00zz__avahi_avahiz00, BgL_oz00_2155); 
FAILURE(BgL_auxz00_3986,BFALSE,BFALSE);} 
return 
BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_auxz00_3982);} } 

}



/* avahi-client-state->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_client_state_to_symbol(AvahiClientState BgL_statez00_41)
{
{ /* Llib/avahi.scm 503 */
if(
(BgL_statez00_41==AVAHI_CLIENT_S_REGISTERING))
{ /* Llib/avahi.scm 505 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Llib/avahi.scm 505 */
if(
(BgL_statez00_41==AVAHI_CLIENT_S_RUNNING))
{ /* Llib/avahi.scm 507 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Llib/avahi.scm 507 */
if(
(BgL_statez00_41==AVAHI_CLIENT_S_COLLISION))
{ /* Llib/avahi.scm 509 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Llib/avahi.scm 509 */
if(
(BgL_statez00_41==AVAHI_CLIENT_FAILURE))
{ /* Llib/avahi.scm 511 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* Llib/avahi.scm 511 */
if(
(BgL_statez00_41==AVAHI_CLIENT_CONNECTING))
{ /* Llib/avahi.scm 513 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Llib/avahi.scm 516 */
 char * BgL_procz00_1637; char * BgL_msgz00_1638;
BgL_procz00_1637 = 
BSTRING_TO_STRING(BGl_string2455z00zz__avahi_avahiz00); 
BgL_msgz00_1638 = 
BSTRING_TO_STRING(BGl_string2456z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1289z00_1640;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_1641;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1642;
BgL_new1142z00_1642 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1332z00_1643;
BgL_arg1332z00_1643 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_1642), BgL_arg1332z00_1643); } 
BgL_new1143z00_1641 = BgL_new1142z00_1642; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1641)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1641)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4016;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1330z00_1647;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1331z00_1648;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_1649;
BgL_classz00_1649 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1331z00_1648 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1649); } 
BgL_arg1330z00_1647 = 
VECTOR_REF(BgL_arg1331z00_1648,((long)2)); } 
BgL_auxz00_4016 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1330z00_1647); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1641)))->BgL_stackz00)=((obj_t)BgL_auxz00_4016),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1641)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1637)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1641)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1638)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1641)))->BgL_objz00)=((obj_t)
BINT(BgL_statez00_41)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_1641))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1289z00_1640 = BgL_new1143z00_1641; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1289z00_1640));} } } } } } } 

}



/* &avahi-client-state->symbol */
obj_t BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2156, obj_t BgL_statez00_2157)
{
{ /* Llib/avahi.scm 503 */
{ /* Llib/avahi.scm 505 */
 AvahiClientState BgL_auxz00_4034;
{ /* Llib/avahi.scm 505 */
 obj_t BgL_tmpz00_4035;
if(
INTEGERP(BgL_statez00_2157))
{ /* Llib/avahi.scm 505 */
BgL_tmpz00_4035 = BgL_statez00_2157
; }  else 
{ 
 obj_t BgL_auxz00_4038;
BgL_auxz00_4038 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)22030)), BGl_string2457z00zz__avahi_avahiz00, BGl_string2427z00zz__avahi_avahiz00, BgL_statez00_2157); 
FAILURE(BgL_auxz00_4038,BFALSE,BFALSE);} 
BgL_auxz00_4034 = 
(long)CINT(BgL_tmpz00_4035); } 
return 
bgl_avahi_client_state_to_symbol(BgL_auxz00_4034);} } 

}



/* avahi-entry-group-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_43)
{
{ /* Llib/avahi.scm 535 */
bgl_avahi_entry_group_close(BgL_oz00_43); BUNSPEC; 
{ /* Llib/avahi.scm 538 */
 BgL_avahizd2clientzd2_bglt BgL_i1162z00_142;
BgL_i1162z00_142 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_43))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_4046;
{ /* Llib/avahi.scm 539 */
 obj_t BgL_arg1384z00_143;
BgL_arg1384z00_143 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1162z00_142))->BgL_z52groupsz52); 
BgL_auxz00_4046 = 
bgl_remq_bang(
((obj_t)BgL_oz00_43), BgL_arg1384z00_143); } 
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1162z00_142))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_4046),BUNSPEC);} } } 

}



/* &avahi-entry-group-close */
obj_t BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2158, obj_t BgL_oz00_2159)
{
{ /* Llib/avahi.scm 535 */
{ /* Llib/avahi.scm 536 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4051;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2159, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 536 */
BgL_auxz00_4051 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2159)
; }  else 
{ 
 obj_t BgL_auxz00_4055;
BgL_auxz00_4055 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)23442)), BGl_string2458z00zz__avahi_avahiz00, BGl_string2459z00zz__avahi_avahiz00, BgL_oz00_2159); 
FAILURE(BgL_auxz00_4055,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_auxz00_4051);} } 

}



/* avahi-entry-group-empty? */
BGL_EXPORTED_DEF bool_t BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_44)
{
{ /* Llib/avahi.scm 544 */
{ /* Llib/avahi.scm 546 */
 AvahiEntryGroup * BgL_arg1385z00_1652;
BgL_arg1385z00_1652 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_44))->BgL_z42builtinz42); 
avahi_entry_group_is_empty(BgL_arg1385z00_1652); 
return ((bool_t)1);} } 

}



/* &avahi-entry-group-empty? */
obj_t BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00(obj_t BgL_envz00_2160, obj_t BgL_oz00_2161)
{
{ /* Llib/avahi.scm 544 */
{ /* Llib/avahi.scm 545 */
 bool_t BgL_tmpz00_4062;
{ /* Llib/avahi.scm 545 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4063;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2161, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 545 */
BgL_auxz00_4063 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2161)
; }  else 
{ 
 obj_t BgL_auxz00_4067;
BgL_auxz00_4067 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)23869)), BGl_string2460z00zz__avahi_avahiz00, BGl_string2459z00zz__avahi_avahiz00, BgL_oz00_2161); 
FAILURE(BgL_auxz00_4067,BFALSE,BFALSE);} 
BgL_tmpz00_4062 = 
BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_auxz00_4063); } 
return 
BBOOL(BgL_tmpz00_4062);} } 

}



/* avahi-entry-group-commit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_45)
{
{ /* Llib/avahi.scm 551 */
{ /* Llib/avahi.scm 553 */
 int BgL_nz00_147;
{ /* Llib/avahi.scm 553 */
 AvahiEntryGroup * BgL_tmpz00_4073;
BgL_tmpz00_4073 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_45))->BgL_z42builtinz42); 
BgL_nz00_147 = 
avahi_entry_group_commit(BgL_tmpz00_4073); } 
if(
(
(long)(BgL_nz00_147)>=((long)0)))
{ /* Llib/avahi.scm 554 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 555 */
 char * BgL_arg1419z00_149;
BgL_arg1419z00_149 = 
(char *)avahi_strerror(BgL_nz00_147); 
return 
bgl_avahi_error(
BSTRING_TO_STRING(BGl_string2459z00zz__avahi_avahiz00), BgL_arg1419z00_149, 
((obj_t)BgL_oz00_45), BgL_nz00_147);} } } 

}



/* &avahi-entry-group-commit */
obj_t BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00(obj_t BgL_envz00_2162, obj_t BgL_oz00_2163)
{
{ /* Llib/avahi.scm 551 */
{ /* Llib/avahi.scm 552 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4083;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2163, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 552 */
BgL_auxz00_4083 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2163)
; }  else 
{ 
 obj_t BgL_auxz00_4087;
BgL_auxz00_4087 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)24241)), BGl_string2461z00zz__avahi_avahiz00, BGl_string2459z00zz__avahi_avahiz00, BgL_oz00_2163); 
FAILURE(BgL_auxz00_4087,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_auxz00_4083);} } 

}



/* avahi-entry-group-reset! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_46)
{
{ /* Llib/avahi.scm 560 */
{ /* Llib/avahi.scm 562 */
 BgL_avahizd2clientzd2_bglt BgL_i1166z00_152;
BgL_i1166z00_152 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_46))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_4093;
{ /* Llib/avahi.scm 563 */
 obj_t BgL_arg1460z00_153;
BgL_arg1460z00_153 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1166z00_152))->BgL_z52groupsz52); 
BgL_auxz00_4093 = 
bgl_remq_bang(
((obj_t)BgL_oz00_46), BgL_arg1460z00_153); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1166z00_152))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_4093),BUNSPEC); } } 
{ /* Llib/avahi.scm 564 */
 int BgL_nz00_154;
{ /* Llib/avahi.scm 564 */
 AvahiEntryGroup * BgL_tmpz00_4098;
BgL_tmpz00_4098 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_46))->BgL_z42builtinz42); 
BgL_nz00_154 = 
avahi_entry_group_reset(BgL_tmpz00_4098); } 
if(
(
(long)(BgL_nz00_154)>=((long)0)))
{ /* Llib/avahi.scm 565 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 566 */
 char * BgL_arg1547z00_156;
BgL_arg1547z00_156 = 
(char *)avahi_strerror(BgL_nz00_154); 
return 
bgl_avahi_error(
BSTRING_TO_STRING(BGl_string2459z00zz__avahi_avahiz00), BgL_arg1547z00_156, 
((obj_t)BgL_oz00_46), BgL_nz00_154);} } } 

}



/* &avahi-entry-group-reset! */
obj_t BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00(obj_t BgL_envz00_2164, obj_t BgL_oz00_2165)
{
{ /* Llib/avahi.scm 560 */
{ /* Llib/avahi.scm 561 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4108;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2165, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 561 */
BgL_auxz00_4108 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2165)
; }  else 
{ 
 obj_t BgL_auxz00_4112;
BgL_auxz00_4112 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)24710)), BGl_string2462z00zz__avahi_avahiz00, BGl_string2459z00zz__avahi_avahiz00, BgL_oz00_2165); 
FAILURE(BgL_auxz00_4112,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_auxz00_4108);} } 

}



/* avahi-entry-group-add-service! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_47, obj_t BgL_namez00_48)
{
{ /* Llib/avahi.scm 571 */
{ /* Llib/avahi.scm 195 */
 obj_t BgL_namez00_159;
BgL_namez00_159 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(((long)8)), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_typez00_160;
BgL_typez00_160 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(((long)9)), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_domainz00_161;
BgL_domainz00_161 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(((long)10)), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_hostz00_162;
BgL_hostz00_162 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(((long)11)), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_portz00_163;
BgL_portz00_163 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(((long)12)), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_subtypez00_164;
BgL_subtypez00_164 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(((long)13)), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_txtz00_165;
BgL_txtz00_165 = 
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(((long)14))); 
if(
CBOOL(BgL_subtypez00_164))
{ /* Llib/avahi.scm 595 */
 int BgL_arg1567z00_168;
{ /* Llib/avahi.scm 595 */
 AvahiEntryGroup * BgL_arg1568z00_169; obj_t BgL_arg1574z00_170;
BgL_arg1568z00_169 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_47))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_161))
{ /* Llib/avahi.scm 601 */
BgL_arg1574z00_170 = BgL_domainz00_161; }  else 
{ /* Llib/avahi.scm 601 */
BgL_arg1574z00_170 = 
string_to_bstring(
((char *)0L)); } 
{ /* Llib/avahi.scm 595 */
 char * BgL_auxz00_4144; char * BgL_auxz00_4142; char * BgL_auxz00_4140; char * BgL_tmpz00_4138;
BgL_auxz00_4144 = 
BSTRING_TO_STRING(BgL_subtypez00_164); 
BgL_auxz00_4142 = 
BSTRING_TO_STRING(BgL_arg1574z00_170); 
BgL_auxz00_4140 = 
BSTRING_TO_STRING(BgL_typez00_160); 
BgL_tmpz00_4138 = 
BSTRING_TO_STRING(BgL_namez00_159); 
BgL_arg1567z00_168 = 
avahi_entry_group_add_service_subtype(BgL_arg1568z00_169, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_4138, BgL_auxz00_4140, BgL_auxz00_4142, BgL_auxz00_4144); } } 
return 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_47, BgL_arg1567z00_168);}  else 
{ /* Llib/avahi.scm 592 */
if(
PAIRP(BgL_txtz00_165))
{ /* Llib/avahi.scm 605 */
 AvahiStringList * BgL_lz00_173;
BgL_lz00_173 = 
bgl_avahi_list_to_string_list(BgL_txtz00_165); 
{ /* Llib/avahi.scm 606 */
 obj_t BgL_exitd1175z00_174;
BgL_exitd1175z00_174 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ 
 obj_t BgL_zc3z04anonymousza31588ze3z87_2166;
BgL_zc3z04anonymousza31588ze3z87_2166 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31588ze3ze5zz__avahi_avahiz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31588ze3z87_2166, 
(int)(((long)0)), 
void_star_to_obj(BgL_lz00_173)); 
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1812z00_1668;
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1813z00_1669;
BgL_arg1813z00_1669 = 
BGL_EXITD_PROTECT(BgL_exitd1175z00_174); 
BgL_arg1812z00_1668 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31588ze3z87_2166, BgL_arg1813z00_1669); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1175z00_174, BgL_arg1812z00_1668); BUNSPEC; } 
{ /* Llib/avahi.scm 608 */
 obj_t BgL_tmp1177z00_176;
{ /* Llib/avahi.scm 608 */
 int BgL_arg1584z00_177;
{ /* Llib/avahi.scm 608 */
 AvahiEntryGroup * BgL_arg1585z00_178; obj_t BgL_arg1586z00_179; obj_t BgL_arg1587z00_180;
BgL_arg1585z00_178 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_47))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_161))
{ /* Llib/avahi.scm 614 */
BgL_arg1586z00_179 = BgL_domainz00_161; }  else 
{ /* Llib/avahi.scm 614 */
BgL_arg1586z00_179 = 
string_to_bstring(
((char *)0L)); } 
if(
CBOOL(BgL_hostz00_162))
{ /* Llib/avahi.scm 615 */
BgL_arg1587z00_180 = BgL_hostz00_162; }  else 
{ /* Llib/avahi.scm 615 */
BgL_arg1587z00_180 = 
string_to_bstring(
((char *)0L)); } 
{ /* Llib/avahi.scm 608 */
 int BgL_auxz00_4178; char * BgL_auxz00_4176; char * BgL_auxz00_4174; char * BgL_auxz00_4172; char * BgL_tmpz00_4170;
BgL_auxz00_4178 = 
CINT(BgL_portz00_163); 
BgL_auxz00_4176 = 
BSTRING_TO_STRING(BgL_arg1587z00_180); 
BgL_auxz00_4174 = 
BSTRING_TO_STRING(BgL_arg1586z00_179); 
BgL_auxz00_4172 = 
BSTRING_TO_STRING(BgL_typez00_160); 
BgL_tmpz00_4170 = 
BSTRING_TO_STRING(BgL_namez00_159); 
BgL_arg1584z00_177 = 
avahi_entry_group_add_service_strlst(BgL_arg1585z00_178, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_4170, BgL_auxz00_4172, BgL_auxz00_4174, BgL_auxz00_4176, BgL_auxz00_4178, BgL_lz00_173); } } 
BgL_tmp1177z00_176 = 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_47, BgL_arg1584z00_177); } 
{ /* Llib/avahi.scm 606 */
 bool_t BgL_test3051z00_4182;
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1811z00_1671;
BgL_arg1811z00_1671 = 
BGL_EXITD_PROTECT(BgL_exitd1175z00_174); 
BgL_test3051z00_4182 = 
PAIRP(BgL_arg1811z00_1671); } 
if(BgL_test3051z00_4182)
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1809z00_1672;
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1810z00_1673;
BgL_arg1810z00_1673 = 
BGL_EXITD_PROTECT(BgL_exitd1175z00_174); 
BgL_arg1809z00_1672 = 
CDR(
((obj_t)BgL_arg1810z00_1673)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1175z00_174, BgL_arg1809z00_1672); BUNSPEC; }  else 
{ /* Llib/avahi.scm 606 */BFALSE; } } 
avahi_string_list_free(BgL_lz00_173); BUNSPEC; 
return BgL_tmp1177z00_176;} } } }  else 
{ /* Llib/avahi.scm 621 */
 int BgL_arg1601z00_185;
{ /* Llib/avahi.scm 621 */
 AvahiEntryGroup * BgL_arg1603z00_186; obj_t BgL_arg1604z00_187; obj_t BgL_arg1605z00_188; char * BgL_arg1617z00_189;
BgL_arg1603z00_186 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_47))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_161))
{ /* Llib/avahi.scm 627 */
BgL_arg1604z00_187 = BgL_domainz00_161; }  else 
{ /* Llib/avahi.scm 627 */
BgL_arg1604z00_187 = 
string_to_bstring(
((char *)0L)); } 
if(
CBOOL(BgL_hostz00_162))
{ /* Llib/avahi.scm 628 */
BgL_arg1605z00_188 = BgL_hostz00_162; }  else 
{ /* Llib/avahi.scm 628 */
BgL_arg1605z00_188 = 
string_to_bstring(
((char *)0L)); } 
BgL_arg1617z00_189 = 
((char *)0L); 
{ /* Llib/avahi.scm 621 */
 int BgL_auxz00_4208; char * BgL_auxz00_4206; char * BgL_auxz00_4204; char * BgL_auxz00_4202; char * BgL_tmpz00_4200;
BgL_auxz00_4208 = 
CINT(BgL_portz00_163); 
BgL_auxz00_4206 = 
BSTRING_TO_STRING(BgL_arg1605z00_188); 
BgL_auxz00_4204 = 
BSTRING_TO_STRING(BgL_arg1604z00_187); 
BgL_auxz00_4202 = 
BSTRING_TO_STRING(BgL_typez00_160); 
BgL_tmpz00_4200 = 
BSTRING_TO_STRING(BgL_namez00_159); 
BgL_arg1601z00_185 = 
avahi_entry_group_add_service(BgL_arg1603z00_186, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_4200, BgL_auxz00_4202, BgL_auxz00_4204, BgL_auxz00_4206, BgL_auxz00_4208, BgL_arg1617z00_189); } } 
return 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_47, BgL_arg1601z00_185);} } } } } } } } } } 

}



/* check-error~0 */
obj_t BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_2752, int BgL_nz00_192)
{
{ /* Llib/avahi.scm 588 */
if(
(
(long)(BgL_nz00_192)<((long)0)))
{ /* Llib/avahi.scm 578 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1620z00_195;
if(
(
(long)(BgL_nz00_192)==
(long)(AVAHI_ERR_COLLISION)))
{ /* Llib/avahi.scm 579 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1170z00_197;
{ /* Llib/avahi.scm 579 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1169z00_200;
BgL_new1169z00_200 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 579 */
 long BgL_arg1650z00_201;
BgL_arg1650z00_201 = 
BGL_CLASS_NUM(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_200), BgL_arg1650z00_201); } 
BgL_new1170z00_197 = BgL_new1169z00_200; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1170z00_197)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1170z00_197)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4227;
{ /* Llib/avahi.scm 579 */
 obj_t BgL_arg1629z00_198;
{ /* Llib/avahi.scm 579 */
 obj_t BgL_arg1631z00_199;
{ /* Llib/avahi.scm 579 */
 obj_t BgL_classz00_1661;
BgL_classz00_1661 = BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00; 
BgL_arg1631z00_199 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1661); } 
BgL_arg1629z00_198 = 
VECTOR_REF(BgL_arg1631z00_199,((long)2)); } 
BgL_auxz00_4227 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1629z00_198); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1170z00_197)))->BgL_stackz00)=((obj_t)BgL_auxz00_4227),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1170z00_197)))->BgL_procz00)=((obj_t)BGl_string2463z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1170z00_197)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)avahi_strerror(BgL_nz00_192))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1170z00_197)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_2752)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1170z00_197)))->BgL_errnoz00)=((int)BgL_nz00_192),BUNSPEC); 
BgL_arg1620z00_195 = 
((BgL_z62avahizd2errorzb0_bglt)BgL_new1170z00_197); }  else 
{ /* Llib/avahi.scm 584 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1172z00_202;
{ /* Llib/avahi.scm 584 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1171z00_205;
BgL_new1171z00_205 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 584 */
 long BgL_arg1664z00_206;
BgL_arg1664z00_206 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1171z00_205), BgL_arg1664z00_206); } 
BgL_new1172z00_202 = BgL_new1171z00_205; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1172z00_202)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1172z00_202)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4253;
{ /* Llib/avahi.scm 584 */
 obj_t BgL_arg1651z00_203;
{ /* Llib/avahi.scm 584 */
 obj_t BgL_arg1662z00_204;
{ /* Llib/avahi.scm 584 */
 obj_t BgL_classz00_1666;
BgL_classz00_1666 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1662z00_204 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1666); } 
BgL_arg1651z00_203 = 
VECTOR_REF(BgL_arg1662z00_204,((long)2)); } 
BgL_auxz00_4253 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1651z00_203); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1172z00_202)))->BgL_stackz00)=((obj_t)BgL_auxz00_4253),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1172z00_202)))->BgL_procz00)=((obj_t)BGl_string2463z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1172z00_202)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)avahi_strerror(BgL_nz00_192))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1172z00_202)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_2752)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1172z00_202))->BgL_errnoz00)=((int)BgL_nz00_192),BUNSPEC); 
BgL_arg1620z00_195 = BgL_new1172z00_202; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1620z00_195));}  else 
{ /* Llib/avahi.scm 576 */
return BFALSE;} } 

}



/* &avahi-entry-group-add-service! */
obj_t BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00(obj_t BgL_envz00_2167, obj_t BgL_oz00_2168, obj_t BgL_namez00_2169)
{
{ /* Llib/avahi.scm 571 */
{ /* Llib/avahi.scm 195 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4271;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2168, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 195 */
BgL_auxz00_4271 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2168)
; }  else 
{ 
 obj_t BgL_auxz00_4275;
BgL_auxz00_4275 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)7719)), BGl_string2464z00zz__avahi_avahiz00, BGl_string2459z00zz__avahi_avahiz00, BgL_oz00_2168); 
FAILURE(BgL_auxz00_4275,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_auxz00_4271, BgL_namez00_2169);} } 

}



/* &<@anonymous:1588> */
obj_t BGl_z62zc3z04anonymousza31588ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2170)
{
{ /* Llib/avahi.scm 606 */
{ 
 AvahiStringList * BgL_lz00_2171;
BgL_lz00_2171 = 
FOREIGN_TO_COBJ(
PROCEDURE_REF(BgL_envz00_2170, 
(int)(((long)0)))); 
avahi_string_list_free(BgL_lz00_2171); 
return BUNSPEC;} } 

}



/* avahi-entry-group-state->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_entry_group_state_to_symbol(AvahiEntryGroupState BgL_statez00_49)
{
{ /* Llib/avahi.scm 635 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_UNCOMMITED))
{ /* Llib/avahi.scm 637 */
return 
CNST_TABLE_REF(((long)15));}  else 
{ /* Llib/avahi.scm 637 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_REGISTERING))
{ /* Llib/avahi.scm 639 */
return 
CNST_TABLE_REF(((long)16));}  else 
{ /* Llib/avahi.scm 639 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_ESTABLISHED))
{ /* Llib/avahi.scm 641 */
return 
CNST_TABLE_REF(((long)17));}  else 
{ /* Llib/avahi.scm 641 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_COLLISION))
{ /* Llib/avahi.scm 643 */
return 
CNST_TABLE_REF(((long)18));}  else 
{ /* Llib/avahi.scm 643 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_FAILURE))
{ /* Llib/avahi.scm 645 */
return 
CNST_TABLE_REF(((long)19));}  else 
{ /* Llib/avahi.scm 649 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1679z00_213;
{ /* Llib/avahi.scm 649 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1184z00_214;
{ /* Llib/avahi.scm 649 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1183z00_217;
BgL_new1183z00_217 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 649 */
 long BgL_arg1702z00_218;
BgL_arg1702z00_218 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1183z00_217), BgL_arg1702z00_218); } 
BgL_new1184z00_214 = BgL_new1183z00_217; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1184z00_214)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1184z00_214)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4307;
{ /* Llib/avahi.scm 649 */
 obj_t BgL_arg1691z00_215;
{ /* Llib/avahi.scm 649 */
 obj_t BgL_arg1694z00_216;
{ /* Llib/avahi.scm 649 */
 obj_t BgL_classz00_1688;
BgL_classz00_1688 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1694z00_216 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1688); } 
BgL_arg1691z00_215 = 
VECTOR_REF(BgL_arg1694z00_216,((long)2)); } 
BgL_auxz00_4307 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1691z00_215); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1184z00_214)))->BgL_stackz00)=((obj_t)BgL_auxz00_4307),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1184z00_214)))->BgL_procz00)=((obj_t)BGl_string2465z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1184z00_214)))->BgL_msgz00)=((obj_t)BGl_string2456z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1184z00_214)))->BgL_objz00)=((obj_t)
BINT(BgL_statez00_49)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1184z00_214))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1679z00_213 = BgL_new1184z00_214; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1679z00_213));} } } } } } 

}



/* &avahi-entry-group-state->symbol */
obj_t BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_2172, obj_t BgL_statez00_2173)
{
{ /* Llib/avahi.scm 635 */
{ /* Llib/avahi.scm 637 */
 AvahiEntryGroupState BgL_auxz00_4323;
{ /* Llib/avahi.scm 637 */
 obj_t BgL_tmpz00_4324;
if(
INTEGERP(BgL_statez00_2173))
{ /* Llib/avahi.scm 637 */
BgL_tmpz00_4324 = BgL_statez00_2173
; }  else 
{ 
 obj_t BgL_auxz00_4327;
BgL_auxz00_4327 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)26990)), BGl_string2466z00zz__avahi_avahiz00, BGl_string2427z00zz__avahi_avahiz00, BgL_statez00_2173); 
FAILURE(BgL_auxz00_4327,BFALSE,BFALSE);} 
BgL_auxz00_4323 = 
(long)CINT(BgL_tmpz00_4324); } 
return 
bgl_avahi_entry_group_state_to_symbol(BgL_auxz00_4323);} } 

}



/* avahi-alternative-host-name */
BGL_EXPORTED_DEF obj_t BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(obj_t BgL_namez00_50)
{
{ /* Llib/avahi.scm 658 */
{ /* Llib/avahi.scm 659 */
 char * BgL_tmpz00_4333;
{ /* Llib/avahi.scm 659 */
 char * BgL_tmpz00_4334;
BgL_tmpz00_4334 = 
BSTRING_TO_STRING(BgL_namez00_50); 
BgL_tmpz00_4333 = 
avahi_alternative_host_name(BgL_tmpz00_4334); } 
return 
string_to_bstring(BgL_tmpz00_4333);} } 

}



/* &avahi-alternative-host-name */
obj_t BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00(obj_t BgL_envz00_2174, obj_t BgL_namez00_2175)
{
{ /* Llib/avahi.scm 658 */
{ /* Llib/avahi.scm 659 */
 obj_t BgL_auxz00_4338;
if(
STRINGP(BgL_namez00_2175))
{ /* Llib/avahi.scm 659 */
BgL_auxz00_4338 = BgL_namez00_2175
; }  else 
{ 
 obj_t BgL_auxz00_4341;
BgL_auxz00_4341 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)27908)), BGl_string2467z00zz__avahi_avahiz00, BGl_string2426z00zz__avahi_avahiz00, BgL_namez00_2175); 
FAILURE(BgL_auxz00_4341,BFALSE,BFALSE);} 
return 
BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(BgL_auxz00_4338);} } 

}



/* avahi-alternative-service-name */
BGL_EXPORTED_DEF obj_t BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(obj_t BgL_namez00_51)
{
{ /* Llib/avahi.scm 664 */
{ /* Llib/avahi.scm 665 */
 char * BgL_tmpz00_4346;
{ /* Llib/avahi.scm 665 */
 char * BgL_tmpz00_4347;
BgL_tmpz00_4347 = 
BSTRING_TO_STRING(BgL_namez00_51); 
BgL_tmpz00_4346 = 
avahi_alternative_service_name(BgL_tmpz00_4347); } 
return 
string_to_bstring(BgL_tmpz00_4346);} } 

}



/* &avahi-alternative-service-name */
obj_t BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00(obj_t BgL_envz00_2176, obj_t BgL_namez00_2177)
{
{ /* Llib/avahi.scm 664 */
{ /* Llib/avahi.scm 665 */
 obj_t BgL_auxz00_4351;
if(
STRINGP(BgL_namez00_2177))
{ /* Llib/avahi.scm 665 */
BgL_auxz00_4351 = BgL_namez00_2177
; }  else 
{ 
 obj_t BgL_auxz00_4354;
BgL_auxz00_4354 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)28217)), BGl_string2468z00zz__avahi_avahiz00, BGl_string2426z00zz__avahi_avahiz00, BgL_namez00_2177); 
FAILURE(BgL_auxz00_4354,BFALSE,BFALSE);} 
return 
BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(BgL_auxz00_4351);} } 

}



/* avahi-service-browser-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2browserz00_bglt BgL_oz00_53)
{
{ /* Llib/avahi.scm 683 */
bgl_avahi_service_browser_close(BgL_oz00_53); BUNSPEC; 
{ /* Llib/avahi.scm 686 */
 BgL_avahizd2clientzd2_bglt BgL_i1188z00_220;
BgL_i1188z00_220 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_oz00_53))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_4361;
{ /* Llib/avahi.scm 687 */
 obj_t BgL_arg1703z00_221;
BgL_arg1703z00_221 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1188z00_220))->BgL_z52browsersz52); 
BgL_auxz00_4361 = 
bgl_remq_bang(
((obj_t)BgL_oz00_53), BgL_arg1703z00_221); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1188z00_220))->BgL_z52browsersz52)=((obj_t)BgL_auxz00_4361),BUNSPEC); } } 
return BUNSPEC;} 

}



/* &avahi-service-browser-close */
obj_t BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2178, obj_t BgL_oz00_2179)
{
{ /* Llib/avahi.scm 683 */
{ /* Llib/avahi.scm 684 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_auxz00_4366;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2179, BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 684 */
BgL_auxz00_4366 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2179)
; }  else 
{ 
 obj_t BgL_auxz00_4370;
BgL_auxz00_4370 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)29189)), BGl_string2469z00zz__avahi_avahiz00, BGl_string2470z00zz__avahi_avahiz00, BgL_oz00_2179); 
FAILURE(BgL_auxz00_4370,BFALSE,BFALSE);} 
return 
BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_auxz00_4366);} } 

}



/* avahi-domain-browser-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2domainzd2browserz00_bglt BgL_oz00_57)
{
{ /* Llib/avahi.scm 725 */
bgl_avahi_domain_browser_close(BgL_oz00_57); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_57)); 
return BUNSPEC;} 

}



/* &avahi-domain-browser-close */
obj_t BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2180, obj_t BgL_oz00_2181)
{
{ /* Llib/avahi.scm 725 */
{ /* Llib/avahi.scm 726 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_auxz00_4378;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2181, BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 726 */
BgL_auxz00_4378 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2181)
; }  else 
{ 
 obj_t BgL_auxz00_4382;
BgL_auxz00_4382 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)31191)), BGl_string2471z00zz__avahi_avahiz00, BGl_string2472z00zz__avahi_avahiz00, BgL_oz00_2181); 
FAILURE(BgL_auxz00_4382,BFALSE,BFALSE);} 
return 
BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_auxz00_4378);} } 

}



/* avahi-service-resolver-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2resolverz00_bglt BgL_oz00_59)
{
{ /* Llib/avahi.scm 746 */
bgl_avahi_service_resolver_close(BgL_oz00_59); BUNSPEC; 
{ /* Llib/avahi.scm 749 */
 BgL_avahizd2clientzd2_bglt BgL_i1194z00_223;
BgL_i1194z00_223 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_oz00_59))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_4389;
{ /* Llib/avahi.scm 750 */
 obj_t BgL_arg1708z00_224;
BgL_arg1708z00_224 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1194z00_223))->BgL_resolversz00); 
BgL_auxz00_4389 = 
bgl_remq_bang(
((obj_t)BgL_oz00_59), BgL_arg1708z00_224); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1194z00_223))->BgL_resolversz00)=((obj_t)BgL_auxz00_4389),BUNSPEC); } } 
return BUNSPEC;} 

}



/* &avahi-service-resolver-close */
obj_t BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2182, obj_t BgL_oz00_2183)
{
{ /* Llib/avahi.scm 746 */
{ /* Llib/avahi.scm 747 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_auxz00_4394;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2183, BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 747 */
BgL_auxz00_4394 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2183)
; }  else 
{ 
 obj_t BgL_auxz00_4398;
BgL_auxz00_4398 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)32177)), BGl_string2473z00zz__avahi_avahiz00, BGl_string2474z00zz__avahi_avahiz00, BgL_oz00_2183); 
FAILURE(BgL_auxz00_4398,BFALSE,BFALSE);} 
return 
BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_auxz00_4394);} } 

}



/* avahi-browser-event->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_browser_event_to_symbol(AvahiBrowserEvent BgL_eventz00_60)
{
{ /* Llib/avahi.scm 756 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_NEW))
{ /* Llib/avahi.scm 758 */
return 
CNST_TABLE_REF(((long)20));}  else 
{ /* Llib/avahi.scm 758 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_REMOVE))
{ /* Llib/avahi.scm 760 */
return 
CNST_TABLE_REF(((long)21));}  else 
{ /* Llib/avahi.scm 760 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_CACHE_EXHAUSTED))
{ /* Llib/avahi.scm 762 */
return 
CNST_TABLE_REF(((long)22));}  else 
{ /* Llib/avahi.scm 762 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_ALL_FOR_NOW))
{ /* Llib/avahi.scm 764 */
return 
CNST_TABLE_REF(((long)23));}  else 
{ /* Llib/avahi.scm 764 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_FAILURE))
{ /* Llib/avahi.scm 766 */
return 
CNST_TABLE_REF(((long)24));}  else 
{ /* Llib/avahi.scm 770 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1724z00_230;
{ /* Llib/avahi.scm 770 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1196z00_231;
{ /* Llib/avahi.scm 770 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1195z00_234;
BgL_new1195z00_234 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 770 */
 long BgL_arg1727z00_235;
BgL_arg1727z00_235 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1195z00_234), BgL_arg1727z00_235); } 
BgL_new1196z00_231 = BgL_new1195z00_234; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_231)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_231)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4426;
{ /* Llib/avahi.scm 770 */
 obj_t BgL_arg1725z00_232;
{ /* Llib/avahi.scm 770 */
 obj_t BgL_arg1726z00_233;
{ /* Llib/avahi.scm 770 */
 obj_t BgL_classz00_1703;
BgL_classz00_1703 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1726z00_233 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1703); } 
BgL_arg1725z00_232 = 
VECTOR_REF(BgL_arg1726z00_233,((long)2)); } 
BgL_auxz00_4426 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1725z00_232); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_231)))->BgL_stackz00)=((obj_t)BgL_auxz00_4426),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_231)))->BgL_procz00)=((obj_t)BGl_string2475z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_231)))->BgL_msgz00)=((obj_t)BGl_string2476z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_231)))->BgL_objz00)=((obj_t)
BINT(BgL_eventz00_60)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1196z00_231))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1724z00_230 = BgL_new1196z00_231; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1724z00_230));} } } } } } 

}



/* &avahi-browser-event->symbol */
obj_t BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2184, obj_t BgL_eventz00_2185)
{
{ /* Llib/avahi.scm 756 */
{ /* Llib/avahi.scm 758 */
 AvahiBrowserEvent BgL_auxz00_4442;
{ /* Llib/avahi.scm 758 */
 obj_t BgL_tmpz00_4443;
if(
INTEGERP(BgL_eventz00_2185))
{ /* Llib/avahi.scm 758 */
BgL_tmpz00_4443 = BgL_eventz00_2185
; }  else 
{ 
 obj_t BgL_auxz00_4446;
BgL_auxz00_4446 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)32647)), BGl_string2477z00zz__avahi_avahiz00, BGl_string2427z00zz__avahi_avahiz00, BgL_eventz00_2185); 
FAILURE(BgL_auxz00_4446,BFALSE,BFALSE);} 
BgL_auxz00_4442 = 
(long)CINT(BgL_tmpz00_4443); } 
return 
bgl_avahi_browser_event_to_symbol(BgL_auxz00_4442);} } 

}



/* avahi-resolver-event->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_resolver_event_to_symbol(AvahiResolverEvent BgL_eventz00_61)
{
{ /* Llib/avahi.scm 779 */
if(
(BgL_eventz00_61==AVAHI_RESOLVER_FOUND))
{ /* Llib/avahi.scm 781 */
return 
CNST_TABLE_REF(((long)25));}  else 
{ /* Llib/avahi.scm 781 */
if(
(BgL_eventz00_61==AVAHI_RESOLVER_FAILURE))
{ /* Llib/avahi.scm 783 */
return 
CNST_TABLE_REF(((long)26));}  else 
{ /* Llib/avahi.scm 787 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1730z00_238;
{ /* Llib/avahi.scm 787 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1198z00_239;
{ /* Llib/avahi.scm 787 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1197z00_242;
BgL_new1197z00_242 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 787 */
 long BgL_arg1738z00_243;
BgL_arg1738z00_243 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_242), BgL_arg1738z00_243); } 
BgL_new1198z00_239 = BgL_new1197z00_242; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1198z00_239)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1198z00_239)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4466;
{ /* Llib/avahi.scm 787 */
 obj_t BgL_arg1731z00_240;
{ /* Llib/avahi.scm 787 */
 obj_t BgL_arg1732z00_241;
{ /* Llib/avahi.scm 787 */
 obj_t BgL_classz00_1712;
BgL_classz00_1712 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1732z00_241 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1712); } 
BgL_arg1731z00_240 = 
VECTOR_REF(BgL_arg1732z00_241,((long)2)); } 
BgL_auxz00_4466 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1731z00_240); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1198z00_239)))->BgL_stackz00)=((obj_t)BgL_auxz00_4466),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1198z00_239)))->BgL_procz00)=((obj_t)BGl_string2478z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1198z00_239)))->BgL_msgz00)=((obj_t)BGl_string2476z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1198z00_239)))->BgL_objz00)=((obj_t)
BINT(BgL_eventz00_61)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1198z00_239))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1730z00_238 = BgL_new1198z00_239; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1730z00_238));} } } 

}



/* &avahi-resolver-event->symbol */
obj_t BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2186, obj_t BgL_eventz00_2187)
{
{ /* Llib/avahi.scm 779 */
{ /* Llib/avahi.scm 781 */
 AvahiResolverEvent BgL_auxz00_4482;
{ /* Llib/avahi.scm 781 */
 obj_t BgL_tmpz00_4483;
if(
INTEGERP(BgL_eventz00_2187))
{ /* Llib/avahi.scm 781 */
BgL_tmpz00_4483 = BgL_eventz00_2187
; }  else 
{ 
 obj_t BgL_auxz00_4486;
BgL_auxz00_4486 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)33516)), BGl_string2479z00zz__avahi_avahiz00, BGl_string2427z00zz__avahi_avahiz00, BgL_eventz00_2187); 
FAILURE(BgL_auxz00_4486,BFALSE,BFALSE);} 
BgL_auxz00_4482 = 
(long)CINT(BgL_tmpz00_4483); } 
return 
bgl_avahi_resolver_event_to_symbol(BgL_auxz00_4482);} } 

}



/* avahi-if-index->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_if_index_to_symbol(AvahiIfIndex BgL_indexz00_62)
{
{ /* Llib/avahi.scm 796 */
if(
(BgL_indexz00_62==AVAHI_IF_UNSPEC))
{ /* Llib/avahi.scm 798 */
return 
CNST_TABLE_REF(((long)27));}  else 
{ /* Llib/avahi.scm 801 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1740z00_245;
{ /* Llib/avahi.scm 801 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1200z00_246;
{ /* Llib/avahi.scm 801 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1199z00_249;
BgL_new1199z00_249 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 801 */
 long BgL_arg1743z00_250;
BgL_arg1743z00_250 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1199z00_249), BgL_arg1743z00_250); } 
BgL_new1200z00_246 = BgL_new1199z00_249; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1200z00_246)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1200z00_246)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4503;
{ /* Llib/avahi.scm 801 */
 obj_t BgL_arg1741z00_247;
{ /* Llib/avahi.scm 801 */
 obj_t BgL_arg1742z00_248;
{ /* Llib/avahi.scm 801 */
 obj_t BgL_classz00_1719;
BgL_classz00_1719 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1742z00_248 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1719); } 
BgL_arg1741z00_247 = 
VECTOR_REF(BgL_arg1742z00_248,((long)2)); } 
BgL_auxz00_4503 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1741z00_247); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1200z00_246)))->BgL_stackz00)=((obj_t)BgL_auxz00_4503),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1200z00_246)))->BgL_procz00)=((obj_t)BGl_string2480z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1200z00_246)))->BgL_msgz00)=((obj_t)BGl_string2481z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1200z00_246)))->BgL_objz00)=((obj_t)
BINT(BgL_indexz00_62)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1200z00_246))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1740z00_245 = BgL_new1200z00_246; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1740z00_245));} } 

}



/* &avahi-if-index->symbol */
obj_t BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2188, obj_t BgL_indexz00_2189)
{
{ /* Llib/avahi.scm 796 */
{ /* Llib/avahi.scm 798 */
 AvahiIfIndex BgL_auxz00_4519;
{ /* Llib/avahi.scm 798 */
 obj_t BgL_tmpz00_4520;
if(
INTEGERP(BgL_indexz00_2189))
{ /* Llib/avahi.scm 798 */
BgL_tmpz00_4520 = BgL_indexz00_2189
; }  else 
{ 
 obj_t BgL_auxz00_4523;
BgL_auxz00_4523 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)34141)), BGl_string2482z00zz__avahi_avahiz00, BGl_string2427z00zz__avahi_avahiz00, BgL_indexz00_2189); 
FAILURE(BgL_auxz00_4523,BFALSE,BFALSE);} 
BgL_auxz00_4519 = 
(long)CINT(BgL_tmpz00_4520); } 
return 
bgl_avahi_if_index_to_symbol(BgL_auxz00_4519);} } 

}



/* avahi-protocol->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_protocol_to_symbol(AvahiProtocol BgL_protoz00_63)
{
{ /* Llib/avahi.scm 810 */
if(
(BgL_protoz00_63==AVAHI_PROTO_INET))
{ /* Llib/avahi.scm 812 */
return 
CNST_TABLE_REF(((long)28));}  else 
{ /* Llib/avahi.scm 812 */
if(
(BgL_protoz00_63==AVAHI_PROTO_INET6))
{ /* Llib/avahi.scm 814 */
return 
CNST_TABLE_REF(((long)29));}  else 
{ /* Llib/avahi.scm 814 */
if(
(BgL_protoz00_63==AVAHI_PROTO_UNSPEC))
{ /* Llib/avahi.scm 816 */
return 
CNST_TABLE_REF(((long)30));}  else 
{ /* Llib/avahi.scm 820 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1747z00_254;
{ /* Llib/avahi.scm 820 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1202z00_255;
{ /* Llib/avahi.scm 820 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1201z00_258;
BgL_new1201z00_258 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 820 */
 long BgL_arg1758z00_259;
BgL_arg1758z00_259 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_258), BgL_arg1758z00_259); } 
BgL_new1202z00_255 = BgL_new1201z00_258; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_255)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_255)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4546;
{ /* Llib/avahi.scm 820 */
 obj_t BgL_arg1754z00_256;
{ /* Llib/avahi.scm 820 */
 obj_t BgL_arg1755z00_257;
{ /* Llib/avahi.scm 820 */
 obj_t BgL_classz00_1730;
BgL_classz00_1730 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1755z00_257 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1730); } 
BgL_arg1754z00_256 = 
VECTOR_REF(BgL_arg1755z00_257,((long)2)); } 
BgL_auxz00_4546 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1754z00_256); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_255)))->BgL_stackz00)=((obj_t)BgL_auxz00_4546),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_255)))->BgL_procz00)=((obj_t)BGl_string2483z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_255)))->BgL_msgz00)=((obj_t)BGl_string2484z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_255)))->BgL_objz00)=((obj_t)
BINT(BgL_protoz00_63)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1202z00_255))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1747z00_254 = BgL_new1202z00_255; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1747z00_254));} } } } 

}



/* &avahi-protocol->symbol */
obj_t BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_2190, obj_t BgL_protoz00_2191)
{
{ /* Llib/avahi.scm 810 */
{ /* Llib/avahi.scm 812 */
 AvahiProtocol BgL_auxz00_4562;
{ /* Llib/avahi.scm 812 */
 obj_t BgL_tmpz00_4563;
if(
INTEGERP(BgL_protoz00_2191))
{ /* Llib/avahi.scm 812 */
BgL_tmpz00_4563 = BgL_protoz00_2191
; }  else 
{ 
 obj_t BgL_auxz00_4566;
BgL_auxz00_4566 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)34668)), BGl_string2485z00zz__avahi_avahiz00, BGl_string2427z00zz__avahi_avahiz00, BgL_protoz00_2191); 
FAILURE(BgL_auxz00_4566,BFALSE,BFALSE);} 
BgL_auxz00_4562 = 
(long)CINT(BgL_tmpz00_4563); } 
return 
bgl_avahi_protocol_to_symbol(BgL_auxz00_4562);} } 

}



/* avahi-symbol->protocol */
BGL_EXPORTED_DEF AvahiProtocol bgl_avahi_symbol_to_protocol(obj_t BgL_protoz00_64)
{
{ /* Llib/avahi.scm 829 */
if(
(BgL_protoz00_64==
CNST_TABLE_REF(((long)28))))
{ /* Llib/avahi.scm 830 */
return AVAHI_PROTO_INET;}  else 
{ /* Llib/avahi.scm 830 */
if(
(BgL_protoz00_64==
CNST_TABLE_REF(((long)29))))
{ /* Llib/avahi.scm 830 */
return AVAHI_PROTO_INET6;}  else 
{ /* Llib/avahi.scm 830 */
if(
(BgL_protoz00_64==
CNST_TABLE_REF(((long)30))))
{ /* Llib/avahi.scm 830 */
return AVAHI_PROTO_UNSPEC;}  else 
{ /* Llib/avahi.scm 839 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1762z00_264;
{ /* Llib/avahi.scm 839 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1204z00_265;
{ /* Llib/avahi.scm 839 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1203z00_268;
BgL_new1203z00_268 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 839 */
 long BgL_arg1769z00_269;
BgL_arg1769z00_269 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1203z00_268), BgL_arg1769z00_269); } 
BgL_new1204z00_265 = BgL_new1203z00_268; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1204z00_265)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1204z00_265)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4589;
{ /* Llib/avahi.scm 839 */
 obj_t BgL_arg1765z00_266;
{ /* Llib/avahi.scm 839 */
 obj_t BgL_arg1766z00_267;
{ /* Llib/avahi.scm 839 */
 obj_t BgL_classz00_1738;
BgL_classz00_1738 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1766z00_267 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1738); } 
BgL_arg1765z00_266 = 
VECTOR_REF(BgL_arg1766z00_267,((long)2)); } 
BgL_auxz00_4589 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1765z00_266); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1204z00_265)))->BgL_stackz00)=((obj_t)BgL_auxz00_4589),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1204z00_265)))->BgL_procz00)=((obj_t)BGl_string2486z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1204z00_265)))->BgL_msgz00)=((obj_t)BGl_string2484z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1204z00_265)))->BgL_objz00)=((obj_t)BgL_protoz00_64),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1204z00_265))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1762z00_264 = BgL_new1204z00_265; } 
return 
(long)CINT(
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1762z00_264)));} } } } 

}



/* &avahi-symbol->protocol */
obj_t BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00(obj_t BgL_envz00_2192, obj_t BgL_protoz00_2193)
{
{ /* Llib/avahi.scm 829 */
{ /* Llib/avahi.scm 830 */
 long BgL_tmpz00_4605;
{ /* Llib/avahi.scm 830 */
 obj_t BgL_auxz00_4606;
if(
SYMBOLP(BgL_protoz00_2193))
{ /* Llib/avahi.scm 830 */
BgL_auxz00_4606 = BgL_protoz00_2193
; }  else 
{ 
 obj_t BgL_auxz00_4609;
BgL_auxz00_4609 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)35318)), BGl_string2487z00zz__avahi_avahiz00, BGl_string2488z00zz__avahi_avahiz00, BgL_protoz00_2193); 
FAILURE(BgL_auxz00_4609,BFALSE,BFALSE);} 
BgL_tmpz00_4605 = 
bgl_avahi_symbol_to_protocol(BgL_auxz00_4606); } 
return 
BINT(BgL_tmpz00_4605);} } 

}



/* avahi-lookup-flags->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_lookup_flags_to_symbol(AvahiLookupFlags BgL_flagz00_65)
{
{ /* Llib/avahi.scm 848 */
if(
(BgL_flagz00_65==AVAHI_LOOKUP_NO_TXT))
{ /* Llib/avahi.scm 850 */
return 
CNST_TABLE_REF(((long)31));}  else 
{ /* Llib/avahi.scm 850 */
if(
(BgL_flagz00_65==AVAHI_LOOKUP_NO_ADDRESS))
{ /* Llib/avahi.scm 852 */
return 
CNST_TABLE_REF(((long)32));}  else 
{ /* Llib/avahi.scm 852 */
if(
(BgL_flagz00_65==((long)0)))
{ /* Llib/avahi.scm 854 */
return 
CNST_TABLE_REF(((long)33));}  else 
{ /* Llib/avahi.scm 858 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1786z00_273;
{ /* Llib/avahi.scm 858 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1206z00_274;
{ /* Llib/avahi.scm 858 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1205z00_277;
BgL_new1205z00_277 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 858 */
 long BgL_arg1794z00_278;
BgL_arg1794z00_278 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1205z00_277), BgL_arg1794z00_278); } 
BgL_new1206z00_274 = BgL_new1205z00_277; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1206z00_274)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1206z00_274)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4632;
{ /* Llib/avahi.scm 858 */
 obj_t BgL_arg1787z00_275;
{ /* Llib/avahi.scm 858 */
 obj_t BgL_arg1792z00_276;
{ /* Llib/avahi.scm 858 */
 obj_t BgL_classz00_1748;
BgL_classz00_1748 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1792z00_276 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1748); } 
BgL_arg1787z00_275 = 
VECTOR_REF(BgL_arg1792z00_276,((long)2)); } 
BgL_auxz00_4632 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1787z00_275); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1206z00_274)))->BgL_stackz00)=((obj_t)BgL_auxz00_4632),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1206z00_274)))->BgL_procz00)=((obj_t)BGl_string2489z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1206z00_274)))->BgL_msgz00)=((obj_t)BGl_string2490z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1206z00_274)))->BgL_objz00)=((obj_t)
BINT(BgL_flagz00_65)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1206z00_274))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1786z00_273 = BgL_new1206z00_274; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1786z00_273));} } } } 

}



/* &avahi-lookup-flags->symbol */
obj_t BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2194, obj_t BgL_flagz00_2195)
{
{ /* Llib/avahi.scm 848 */
{ /* Llib/avahi.scm 850 */
 AvahiLookupFlags BgL_auxz00_4648;
{ /* Llib/avahi.scm 850 */
 obj_t BgL_tmpz00_4649;
if(
INTEGERP(BgL_flagz00_2195))
{ /* Llib/avahi.scm 850 */
BgL_tmpz00_4649 = BgL_flagz00_2195
; }  else 
{ 
 obj_t BgL_auxz00_4652;
BgL_auxz00_4652 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)35981)), BGl_string2491z00zz__avahi_avahiz00, BGl_string2427z00zz__avahi_avahiz00, BgL_flagz00_2195); 
FAILURE(BgL_auxz00_4652,BFALSE,BFALSE);} 
BgL_auxz00_4648 = 
(long)CINT(BgL_tmpz00_4649); } 
return 
bgl_avahi_lookup_flags_to_symbol(BgL_auxz00_4648);} } 

}



/* avahi-lookup-result-flags->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_lookup_result_flags_to_symbol(AvahiLookupResultFlags BgL_flagz00_66)
{
{ /* Llib/avahi.scm 867 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_CACHED))
{ /* Llib/avahi.scm 869 */
return 
CNST_TABLE_REF(((long)34));}  else 
{ /* Llib/avahi.scm 869 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_WIDE_AREA))
{ /* Llib/avahi.scm 871 */
return 
CNST_TABLE_REF(((long)35));}  else 
{ /* Llib/avahi.scm 871 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_MULTICAST))
{ /* Llib/avahi.scm 873 */
return 
CNST_TABLE_REF(((long)36));}  else 
{ /* Llib/avahi.scm 873 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_LOCAL))
{ /* Llib/avahi.scm 875 */
return 
CNST_TABLE_REF(((long)37));}  else 
{ /* Llib/avahi.scm 875 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_OUR_OWN))
{ /* Llib/avahi.scm 877 */
return 
CNST_TABLE_REF(((long)38));}  else 
{ /* Llib/avahi.scm 877 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_STATIC))
{ /* Llib/avahi.scm 879 */
return 
CNST_TABLE_REF(((long)39));}  else 
{ /* Llib/avahi.scm 879 */
if(
(BgL_flagz00_66==((long)0)))
{ /* Llib/avahi.scm 881 */
return 
CNST_TABLE_REF(((long)40));}  else 
{ /* Llib/avahi.scm 885 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1805z00_286;
{ /* Llib/avahi.scm 885 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1208z00_287;
{ /* Llib/avahi.scm 885 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1207z00_290;
BgL_new1207z00_290 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 885 */
 long BgL_arg1814z00_291;
BgL_arg1814z00_291 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1207z00_290), BgL_arg1814z00_291); } 
BgL_new1208z00_287 = BgL_new1207z00_290; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1208z00_287)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1208z00_287)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4687;
{ /* Llib/avahi.scm 885 */
 obj_t BgL_arg1807z00_288;
{ /* Llib/avahi.scm 885 */
 obj_t BgL_arg1808z00_289;
{ /* Llib/avahi.scm 885 */
 obj_t BgL_classz00_1766;
BgL_classz00_1766 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1808z00_289 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1766); } 
BgL_arg1807z00_288 = 
VECTOR_REF(BgL_arg1808z00_289,((long)2)); } 
BgL_auxz00_4687 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1807z00_288); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1208z00_287)))->BgL_stackz00)=((obj_t)BgL_auxz00_4687),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1208z00_287)))->BgL_procz00)=((obj_t)BGl_string2492z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1208z00_287)))->BgL_msgz00)=((obj_t)BGl_string2493z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1208z00_287)))->BgL_objz00)=((obj_t)
BINT(BgL_flagz00_66)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1208z00_287))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1805z00_286 = BgL_new1208z00_287; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1805z00_286));} } } } } } } } 

}



/* &avahi-lookup-result-flags->symbol */
obj_t BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_2196, obj_t BgL_flagz00_2197)
{
{ /* Llib/avahi.scm 867 */
{ /* Llib/avahi.scm 869 */
 AvahiLookupResultFlags BgL_auxz00_4703;
{ /* Llib/avahi.scm 869 */
 obj_t BgL_tmpz00_4704;
if(
INTEGERP(BgL_flagz00_2197))
{ /* Llib/avahi.scm 869 */
BgL_tmpz00_4704 = BgL_flagz00_2197
; }  else 
{ 
 obj_t BgL_auxz00_4707;
BgL_auxz00_4707 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)36678)), BGl_string2494z00zz__avahi_avahiz00, BGl_string2427z00zz__avahi_avahiz00, BgL_flagz00_2197); 
FAILURE(BgL_auxz00_4707,BFALSE,BFALSE);} 
BgL_auxz00_4703 = 
(long)CINT(BgL_tmpz00_4704); } 
return 
bgl_avahi_lookup_result_flags_to_symbol(BgL_auxz00_4703);} } 

}



/* avahi-symbol->domain-browser-type */
obj_t BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(obj_t BgL_btypez00_67)
{
{ /* Llib/avahi.scm 894 */
{ /* Llib/avahi.scm 895 */
 bool_t BgL_test3099z00_4713;
if(
(BgL_btypez00_67==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 895 */
BgL_test3099z00_4713 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 895 */
if(
(BgL_btypez00_67==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 895 */
BgL_test3099z00_4713 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 895 */
BgL_test3099z00_4713 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
CNST_TABLE_REF(((long)43)))
; } } 
if(BgL_test3099z00_4713)
{ /* Llib/avahi.scm 895 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE);}  else 
{ /* Llib/avahi.scm 895 */
 bool_t BgL_test3102z00_4723;
if(
(BgL_btypez00_67==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 895 */
BgL_test3102z00_4723 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 895 */
if(
(BgL_btypez00_67==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 895 */
BgL_test3102z00_4723 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 895 */
BgL_test3102z00_4723 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
CNST_TABLE_REF(((long)44)))
; } } 
if(BgL_test3102z00_4723)
{ /* Llib/avahi.scm 895 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE_DEFAULT);}  else 
{ /* Llib/avahi.scm 895 */
 bool_t BgL_test3105z00_4733;
if(
(BgL_btypez00_67==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 895 */
BgL_test3105z00_4733 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 895 */
if(
(BgL_btypez00_67==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 895 */
BgL_test3105z00_4733 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 895 */
BgL_test3105z00_4733 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
CNST_TABLE_REF(((long)45)))
; } } 
if(BgL_test3105z00_4733)
{ /* Llib/avahi.scm 895 */
return 
BINT(AVAHI_DOMAIN_BROWSER_REGISTER);}  else 
{ /* Llib/avahi.scm 895 */
 bool_t BgL_test3108z00_4743;
if(
(BgL_btypez00_67==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 895 */
BgL_test3108z00_4743 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 895 */
if(
(BgL_btypez00_67==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 895 */
BgL_test3108z00_4743 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 895 */
BgL_test3108z00_4743 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
CNST_TABLE_REF(((long)46)))
; } } 
if(BgL_test3108z00_4743)
{ /* Llib/avahi.scm 895 */
return 
BINT(AVAHI_DOMAIN_BROWSER_REGISTER_DEFAULT);}  else 
{ /* Llib/avahi.scm 895 */
 bool_t BgL_test3111z00_4753;
if(
(BgL_btypez00_67==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 895 */
BgL_test3111z00_4753 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 895 */
if(
(BgL_btypez00_67==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 895 */
BgL_test3111z00_4753 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 895 */
BgL_test3111z00_4753 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
CNST_TABLE_REF(((long)47)))
; } } 
if(BgL_test3111z00_4753)
{ /* Llib/avahi.scm 895 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE_LEGACY);}  else 
{ /* Llib/avahi.scm 895 */
 bool_t BgL_test3114z00_4763;
if(
(BgL_btypez00_67==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 895 */
BgL_test3114z00_4763 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 895 */
if(
(BgL_btypez00_67==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 895 */
BgL_test3114z00_4763 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 895 */
BgL_test3114z00_4763 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
CNST_TABLE_REF(((long)48)))
; } } 
if(BgL_test3114z00_4763)
{ /* Llib/avahi.scm 895 */
return 
BINT(AVAHI_DOMAIN_BROWSER_MAX);}  else 
{ /* Llib/avahi.scm 910 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1833z00_311;
{ /* Llib/avahi.scm 910 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1210z00_312;
{ /* Llib/avahi.scm 910 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1209z00_315;
BgL_new1209z00_315 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 910 */
 long BgL_arg1836z00_316;
BgL_arg1836z00_316 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_315), BgL_arg1836z00_316); } 
BgL_new1210z00_312 = BgL_new1209z00_315; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1210z00_312)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1210z00_312)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4781;
{ /* Llib/avahi.scm 910 */
 obj_t BgL_arg1834z00_313;
{ /* Llib/avahi.scm 910 */
 obj_t BgL_arg1835z00_314;
{ /* Llib/avahi.scm 910 */
 obj_t BgL_classz00_1783;
BgL_classz00_1783 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1835z00_314 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1783); } 
BgL_arg1834z00_313 = 
VECTOR_REF(BgL_arg1835z00_314,((long)2)); } 
BgL_auxz00_4781 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1834z00_313); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1210z00_312)))->BgL_stackz00)=((obj_t)BgL_auxz00_4781),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1210z00_312)))->BgL_procz00)=((obj_t)BGl_string2495z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1210z00_312)))->BgL_msgz00)=((obj_t)BGl_string2496z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1210z00_312)))->BgL_objz00)=((obj_t)BgL_btypez00_67),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1210z00_312))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1833z00_311 = BgL_new1210z00_312; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1833z00_311));} } } } } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 50 */
 obj_t BgL_arg1842z00_332; obj_t BgL_arg1843z00_333;
{ /* Llib/avahi.scm 50 */
 obj_t BgL_v1235z00_350;
BgL_v1235z00_350 = 
create_vector(((long)1)); 
{ /* Llib/avahi.scm 50 */
 obj_t BgL_arg1849z00_351;
BgL_arg1849z00_351 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc2499z00zz__avahi_avahiz00, BGl_proc2498z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2497z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1235z00_350,((long)0),BgL_arg1849z00_351); } 
BgL_arg1842z00_332 = BgL_v1235z00_350; } 
{ /* Llib/avahi.scm 50 */
 obj_t BgL_v1236z00_364;
BgL_v1236z00_364 = 
create_vector(((long)0)); 
BgL_arg1843z00_333 = BgL_v1236z00_364; } 
BGl_z62avahizd2errorzb0zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)51)), 
CNST_TABLE_REF(((long)52)), BGl_z62errorz62zz__objectz00, ((long)37908), BGl_proc2502z00zz__avahi_avahiz00, BGl_proc2501z00zz__avahi_avahiz00, BFALSE, BGl_proc2500z00zz__avahi_avahiz00, BFALSE, BgL_arg1842z00_332, BgL_arg1843z00_333); } 
{ /* Llib/avahi.scm 52 */
 obj_t BgL_arg1859z00_371; obj_t BgL_arg1860z00_372;
{ /* Llib/avahi.scm 52 */
 obj_t BgL_v1237z00_389;
BgL_v1237z00_389 = 
create_vector(((long)0)); 
BgL_arg1859z00_371 = BgL_v1237z00_389; } 
{ /* Llib/avahi.scm 52 */
 obj_t BgL_v1238z00_390;
BgL_v1238z00_390 = 
create_vector(((long)0)); 
BgL_arg1860z00_372 = BgL_v1238z00_390; } 
BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)52)), BGl_z62avahizd2errorzb0zz__avahi_avahiz00, ((long)15882), BGl_proc2505z00zz__avahi_avahiz00, BGl_proc2504z00zz__avahi_avahiz00, BFALSE, BGl_proc2503z00zz__avahi_avahiz00, BFALSE, BgL_arg1859z00_371, BgL_arg1860z00_372); } 
{ /* Llib/avahi.scm 54 */
 obj_t BgL_arg1868z00_396; obj_t BgL_arg1869z00_397;
{ /* Llib/avahi.scm 54 */
 obj_t BgL_v1239z00_403;
BgL_v1239z00_403 = 
create_vector(((long)0)); 
BgL_arg1868z00_396 = BgL_v1239z00_403; } 
{ /* Llib/avahi.scm 54 */
 obj_t BgL_v1240z00_404;
BgL_v1240z00_404 = 
create_vector(((long)0)); 
BgL_arg1869z00_397 = BgL_v1240z00_404; } 
BGl_avahizd2objectzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)54)), 
CNST_TABLE_REF(((long)52)), BGl_objectz00zz__objectz00, ((long)39383), BFALSE, BGl_proc2507z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2506z00zz__avahi_avahiz00, BFALSE, BgL_arg1868z00_396, BgL_arg1869z00_397); } 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_arg1875z00_409; obj_t BgL_arg1876z00_410;
{ /* Llib/avahi.scm 57 */
 obj_t BgL_v1241z00_416;
BgL_v1241z00_416 = 
create_vector(((long)2)); 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_arg1880z00_417;
BgL_arg1880z00_417 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc2510z00zz__avahi_avahiz00, BGl_proc2509z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2508z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1241z00_416,((long)0),BgL_arg1880z00_417); } 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_arg1887z00_430;
BgL_arg1887z00_430 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc2513z00zz__avahi_avahiz00, BGl_proc2512z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2511z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1241z00_416,((long)1),BgL_arg1887z00_430); } 
BgL_arg1875z00_409 = BgL_v1241z00_416; } 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_v1242z00_443;
BgL_v1242z00_443 = 
create_vector(((long)0)); 
BgL_arg1876z00_410 = BgL_v1242z00_443; } 
BGl_avahizd2pollzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)58)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)43719), BFALSE, BGl_proc2515z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2514z00zz__avahi_avahiz00, BFALSE, BgL_arg1875z00_409, BgL_arg1876z00_410); } 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_arg1897z00_449; obj_t BgL_arg1898z00_450;
{ /* Llib/avahi.scm 61 */
 obj_t BgL_v1243z00_464;
BgL_v1243z00_464 = 
create_vector(((long)1)); 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_arg1905z00_465;
BgL_arg1905z00_465 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2518z00zz__avahi_avahiz00, BGl_proc2517z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2516z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)60))); 
VECTOR_SET(BgL_v1243z00_464,((long)0),BgL_arg1905z00_465); } 
BgL_arg1897z00_449 = BgL_v1243z00_464; } 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_v1244z00_478;
BgL_v1244z00_478 = 
create_vector(((long)0)); 
BgL_arg1898z00_450 = BgL_v1244z00_478; } 
BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)61)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2pollzd2zz__avahi_avahiz00, ((long)59689), BGl_proc2521z00zz__avahi_avahiz00, BGl_proc2520z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2519z00zz__avahi_avahiz00, BFALSE, BgL_arg1897z00_449, BgL_arg1898z00_450); } 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_arg1915z00_485; obj_t BgL_arg1916z00_486;
{ /* Llib/avahi.scm 64 */
 obj_t BgL_v1245z00_500;
BgL_v1245z00_500 = 
create_vector(((long)1)); 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_arg1923z00_501;
BgL_arg1923z00_501 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2524z00zz__avahi_avahiz00, BGl_proc2523z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2522z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)62))); 
VECTOR_SET(BgL_v1245z00_500,((long)0),BgL_arg1923z00_501); } 
BgL_arg1915z00_485 = BgL_v1245z00_500; } 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_v1246z00_514;
BgL_v1246z00_514 = 
create_vector(((long)0)); 
BgL_arg1916z00_486 = BgL_v1246z00_514; } 
BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)63)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2pollzd2zz__avahi_avahiz00, ((long)39682), BGl_proc2527z00zz__avahi_avahiz00, BGl_proc2526z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2525z00zz__avahi_avahiz00, BFALSE, BgL_arg1915z00_485, BgL_arg1916z00_486); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1933z00_521; obj_t BgL_arg1934z00_522;
{ /* Llib/avahi.scm 67 */
 obj_t BgL_v1247z00_540;
BgL_v1247z00_540 = 
create_vector(((long)12)); 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1941z00_541;
BgL_arg1941z00_541 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2530z00zz__avahi_avahiz00, BGl_proc2529z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2528z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)64))); 
VECTOR_SET(BgL_v1247z00_540,((long)0),BgL_arg1941z00_541); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1948z00_554;
BgL_arg1948z00_554 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)65)), BGl_proc2532z00zz__avahi_avahiz00, BGl_proc2531z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2pollzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1247z00_540,((long)1),BgL_arg1948z00_554); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1953z00_564;
BgL_arg1953z00_564 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc2535z00zz__avahi_avahiz00, BGl_proc2534z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2533z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)67))); 
VECTOR_SET(BgL_v1247z00_540,((long)2),BgL_arg1953z00_564); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1960z00_577;
BgL_arg1960z00_577 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2537z00zz__avahi_avahiz00, BGl_proc2536z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1247z00_540,((long)3),BgL_arg1960z00_577); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1965z00_587;
BgL_arg1965z00_587 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc2540z00zz__avahi_avahiz00, BGl_proc2539z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2538z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1247z00_540,((long)4),BgL_arg1965z00_587); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1972z00_600;
BgL_arg1972z00_600 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc2543z00zz__avahi_avahiz00, BGl_proc2542z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2541z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1247z00_540,((long)5),BgL_arg1972z00_600); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1979z00_613;
BgL_arg1979z00_613 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc2546z00zz__avahi_avahiz00, BGl_proc2545z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2544z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1247z00_540,((long)6),BgL_arg1979z00_613); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1986z00_626;
BgL_arg1986z00_626 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc2548z00zz__avahi_avahiz00, BGl_proc2547z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1247z00_540,((long)7),BgL_arg1986z00_626); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1991z00_636;
BgL_arg1991z00_636 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc2550z00zz__avahi_avahiz00, BGl_proc2549z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1247z00_540,((long)8),BgL_arg1991z00_636); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1996z00_646;
BgL_arg1996z00_646 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)76)), BGl_proc2552z00zz__avahi_avahiz00, BGl_proc2551z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1247z00_540,((long)9),BgL_arg1996z00_646); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg2001z00_656;
BgL_arg2001z00_656 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc2554z00zz__avahi_avahiz00, BGl_proc2553z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1247z00_540,((long)10),BgL_arg2001z00_656); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg2006z00_666;
BgL_arg2006z00_666 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)78)), BGl_proc2556z00zz__avahi_avahiz00, BGl_proc2555z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)67))); 
VECTOR_SET(BgL_v1247z00_540,((long)11),BgL_arg2006z00_666); } 
BgL_arg1933z00_521 = BgL_v1247z00_540; } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_v1248z00_676;
BgL_v1248z00_676 = 
create_vector(((long)5)); 
{ /* Llib/avahi.scm 78 */
 obj_t BgL_arg2011z00_677;
{ /* Llib/avahi.scm 78 */
 obj_t BgL_arg2012z00_678;
BgL_arg2012z00_678 = 
MAKE_YOUNG_PAIR(BGl_proc2557z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2011z00_677 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg2012z00_678); } 
VECTOR_SET(BgL_v1248z00_676,((long)0),BgL_arg2011z00_677); } 
{ /* Llib/avahi.scm 83 */
 obj_t BgL_arg2020z00_691;
{ /* Llib/avahi.scm 83 */
 obj_t BgL_arg2021z00_692;
BgL_arg2021z00_692 = 
MAKE_YOUNG_PAIR(BGl_proc2558z00zz__avahi_avahiz00, BGl_proc2559z00zz__avahi_avahiz00); 
BgL_arg2020z00_691 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg2021z00_692); } 
VECTOR_SET(BgL_v1248z00_676,((long)1),BgL_arg2020z00_691); } 
{ /* Llib/avahi.scm 92 */
 obj_t BgL_arg2036z00_719;
{ /* Llib/avahi.scm 92 */
 obj_t BgL_arg2037z00_720;
BgL_arg2037z00_720 = 
MAKE_YOUNG_PAIR(BGl_proc2560z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2036z00_719 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg2037z00_720); } 
VECTOR_SET(BgL_v1248z00_676,((long)2),BgL_arg2036z00_719); } 
{ /* Llib/avahi.scm 98 */
 obj_t BgL_arg2045z00_733;
{ /* Llib/avahi.scm 98 */
 obj_t BgL_arg2046z00_734;
BgL_arg2046z00_734 = 
MAKE_YOUNG_PAIR(BGl_proc2561z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2045z00_733 = 
MAKE_YOUNG_PAIR(
BINT(((long)3)), BgL_arg2046z00_734); } 
VECTOR_SET(BgL_v1248z00_676,((long)3),BgL_arg2045z00_733); } 
{ /* Llib/avahi.scm 104 */
 obj_t BgL_arg2054z00_747;
{ /* Llib/avahi.scm 104 */
 obj_t BgL_arg2055z00_748;
BgL_arg2055z00_748 = 
MAKE_YOUNG_PAIR(BGl_proc2562z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2054z00_747 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg2055z00_748); } 
VECTOR_SET(BgL_v1248z00_676,((long)4),BgL_arg2054z00_747); } 
BgL_arg1934z00_522 = BgL_v1248z00_676; } 
BGl_avahizd2clientzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)79)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)28649), BGl_proc2565z00zz__avahi_avahiz00, BGl_proc2564z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2563z00zz__avahi_avahiz00, BFALSE, BgL_arg1933z00_521, BgL_arg1934z00_522); } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2067z00_768; obj_t BgL_arg2068z00_769;
{ /* Llib/avahi.scm 110 */
 obj_t BgL_v1249z00_783;
BgL_v1249z00_783 = 
create_vector(((long)3)); 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2075z00_784;
BgL_arg2075z00_784 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2568z00zz__avahi_avahiz00, BGl_proc2567z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2566z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)80))); 
VECTOR_SET(BgL_v1249z00_783,((long)0),BgL_arg2075z00_784); } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2082z00_797;
BgL_arg2082z00_797 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2570z00zz__avahi_avahiz00, BGl_proc2569z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1249z00_783,((long)1),BgL_arg2082z00_797); } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2087z00_807;
BgL_arg2087z00_807 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2572z00zz__avahi_avahiz00, BGl_proc2571z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1249z00_783,((long)2),BgL_arg2087z00_807); } 
BgL_arg2067z00_768 = BgL_v1249z00_783; } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_v1250z00_817;
BgL_v1250z00_817 = 
create_vector(((long)0)); 
BgL_arg2068z00_769 = BgL_v1250z00_817; } 
BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)82)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)3478), BGl_proc2575z00zz__avahi_avahiz00, BGl_proc2574z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2573z00zz__avahi_avahiz00, BFALSE, BgL_arg2067z00_768, BgL_arg2068z00_769); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2095z00_824; obj_t BgL_arg2096z00_825;
{ /* Llib/avahi.scm 115 */
 obj_t BgL_v1251z00_843;
BgL_v1251z00_843 = 
create_vector(((long)7)); 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2103z00_844;
BgL_arg2103z00_844 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2578z00zz__avahi_avahiz00, BGl_proc2577z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2576z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)83))); 
VECTOR_SET(BgL_v1251z00_843,((long)0),BgL_arg2103z00_844); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2110z00_857;
BgL_arg2110z00_857 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2580z00zz__avahi_avahiz00, BGl_proc2579z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1251z00_843,((long)1),BgL_arg2110z00_857); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2115z00_867;
BgL_arg2115z00_867 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2582z00zz__avahi_avahiz00, BGl_proc2581z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1251z00_843,((long)2),BgL_arg2115z00_867); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2120z00_877;
BgL_arg2120z00_877 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)84)), BGl_proc2584z00zz__avahi_avahiz00, BGl_proc2583z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1251z00_843,((long)3),BgL_arg2120z00_877); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2125z00_887;
BgL_arg2125z00_887 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2587z00zz__avahi_avahiz00, BGl_proc2586z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2585z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1251z00_843,((long)4),BgL_arg2125z00_887); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2132z00_900;
BgL_arg2132z00_900 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)86)), BGl_proc2590z00zz__avahi_avahiz00, BGl_proc2589z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2588z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1251z00_843,((long)5),BgL_arg2132z00_900); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2139z00_913;
BgL_arg2139z00_913 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)88)), BGl_proc2593z00zz__avahi_avahiz00, BGl_proc2592z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2591z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)67))); 
VECTOR_SET(BgL_v1251z00_843,((long)6),BgL_arg2139z00_913); } 
BgL_arg2095z00_824 = BgL_v1251z00_843; } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_v1252z00_926;
BgL_v1252z00_926 = 
create_vector(((long)0)); 
BgL_arg2096z00_825 = BgL_v1252z00_926; } 
BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)89)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)32084), BGl_proc2596z00zz__avahi_avahiz00, BGl_proc2595z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2594z00zz__avahi_avahiz00, BFALSE, BgL_arg2095z00_824, BgL_arg2096z00_825); } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2149z00_933; obj_t BgL_arg2150z00_934;
{ /* Llib/avahi.scm 124 */
 obj_t BgL_v1253z00_949;
BgL_v1253z00_949 = 
create_vector(((long)4)); 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2157z00_950;
BgL_arg2157z00_950 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2599z00zz__avahi_avahiz00, BGl_proc2598z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2597z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)90))); 
VECTOR_SET(BgL_v1253z00_949,((long)0),BgL_arg2157z00_950); } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2164z00_963;
BgL_arg2164z00_963 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2601z00zz__avahi_avahiz00, BGl_proc2600z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1253z00_949,((long)1),BgL_arg2164z00_963); } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2169z00_973;
BgL_arg2169z00_973 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2603z00zz__avahi_avahiz00, BGl_proc2602z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1253z00_949,((long)2),BgL_arg2169z00_973); } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2174z00_983;
BgL_arg2174z00_983 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2606z00zz__avahi_avahiz00, BGl_proc2605z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2604z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1253z00_949,((long)3),BgL_arg2174z00_983); } 
BgL_arg2149z00_933 = BgL_v1253z00_949; } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_v1254z00_996;
BgL_v1254z00_996 = 
create_vector(((long)0)); 
BgL_arg2150z00_934 = BgL_v1254z00_996; } 
BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)91)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)22928), BGl_proc2609z00zz__avahi_avahiz00, BGl_proc2608z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2607z00zz__avahi_avahiz00, BFALSE, BgL_arg2149z00_933, BgL_arg2150z00_934); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2185z00_1003; obj_t BgL_arg2186z00_1004;
{ /* Llib/avahi.scm 130 */
 obj_t BgL_v1255z00_1020;
BgL_v1255z00_1020 = 
create_vector(((long)5)); 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2193z00_1021;
BgL_arg2193z00_1021 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2612z00zz__avahi_avahiz00, BGl_proc2611z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2610z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)92))); 
VECTOR_SET(BgL_v1255z00_1020,((long)0),BgL_arg2193z00_1021); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2200z00_1034;
BgL_arg2200z00_1034 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2614z00zz__avahi_avahiz00, BGl_proc2613z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1255z00_1020,((long)1),BgL_arg2200z00_1034); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2205z00_1044;
BgL_arg2205z00_1044 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2616z00zz__avahi_avahiz00, BGl_proc2615z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1255z00_1020,((long)2),BgL_arg2205z00_1044); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2210z00_1054;
BgL_arg2210z00_1054 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc2619z00zz__avahi_avahiz00, BGl_proc2618z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2617z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)67))); 
VECTOR_SET(BgL_v1255z00_1020,((long)3),BgL_arg2210z00_1054); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2217z00_1067;
BgL_arg2217z00_1067 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2622z00zz__avahi_avahiz00, BGl_proc2621z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2620z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1255z00_1020,((long)4),BgL_arg2217z00_1067); } 
BgL_arg2185z00_1003 = BgL_v1255z00_1020; } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_v1256z00_1080;
BgL_v1256z00_1080 = 
create_vector(((long)0)); 
BgL_arg2186z00_1004 = BgL_v1256z00_1080; } 
BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)93)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)49790), BGl_proc2625z00zz__avahi_avahiz00, BGl_proc2624z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2623z00zz__avahi_avahiz00, BFALSE, BgL_arg2185z00_1003, BgL_arg2186z00_1004); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2227z00_1087; obj_t BgL_arg2228z00_1088;
{ /* Llib/avahi.scm 137 */
 obj_t BgL_v1257z00_1107;
BgL_v1257z00_1107 = 
create_vector(((long)8)); 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2235z00_1108;
BgL_arg2235z00_1108 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2628z00zz__avahi_avahiz00, BGl_proc2627z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2626z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)94))); 
VECTOR_SET(BgL_v1257z00_1107,((long)0),BgL_arg2235z00_1108); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2242z00_1121;
BgL_arg2242z00_1121 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2630z00zz__avahi_avahiz00, BGl_proc2629z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1257z00_1107,((long)1),BgL_arg2242z00_1121); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2247z00_1131;
BgL_arg2247z00_1131 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2632z00zz__avahi_avahiz00, BGl_proc2631z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1257z00_1107,((long)2),BgL_arg2247z00_1131); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2252z00_1141;
BgL_arg2252z00_1141 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)86)), BGl_proc2634z00zz__avahi_avahiz00, BGl_proc2633z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1257z00_1107,((long)3),BgL_arg2252z00_1141); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2257z00_1151;
BgL_arg2257z00_1151 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)88)), BGl_proc2636z00zz__avahi_avahiz00, BGl_proc2635z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)67))); 
VECTOR_SET(BgL_v1257z00_1107,((long)4),BgL_arg2257z00_1151); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2262z00_1161;
BgL_arg2262z00_1161 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)95)), BGl_proc2638z00zz__avahi_avahiz00, BGl_proc2637z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1257z00_1107,((long)5),BgL_arg2262z00_1161); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2267z00_1171;
BgL_arg2267z00_1171 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)84)), BGl_proc2640z00zz__avahi_avahiz00, BGl_proc2639z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1257z00_1107,((long)6),BgL_arg2267z00_1171); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2272z00_1181;
BgL_arg2272z00_1181 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2643z00zz__avahi_avahiz00, BGl_proc2642z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2641z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1257z00_1107,((long)7),BgL_arg2272z00_1181); } 
BgL_arg2227z00_1087 = BgL_v1257z00_1107; } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_v1258z00_1194;
BgL_v1258z00_1194 = 
create_vector(((long)0)); 
BgL_arg2228z00_1088 = BgL_v1258z00_1194; } 
return ( 
BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)96)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)20996), BGl_proc2646z00zz__avahi_avahiz00, BGl_proc2645z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2644z00zz__avahi_avahiz00, BFALSE, BgL_arg2227z00_1087, BgL_arg2228z00_1088), BUNSPEC) ;} } 

}



/* &<@anonymous:2234> */
obj_t BGl_z62zc3z04anonymousza32234ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2351, obj_t BgL_new1140z00_2352)
{
{ /* Llib/avahi.scm 137 */
{ 
 BgL_avahizd2servicezd2resolverz00_bglt BgL_auxz00_5046;
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2352)))->BgL_z42builtinz42)=((AvahiServiceResolver *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5050;
{ /* Llib/avahi.scm 137 */
 obj_t BgL_classz00_2905;
BgL_classz00_2905 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 137 */
 obj_t BgL__ortest_1112z00_2906;
BgL__ortest_1112z00_2906 = 
BGL_CLASS_NIL(BgL_classz00_2905); 
if(
CBOOL(BgL__ortest_1112z00_2906))
{ /* Llib/avahi.scm 137 */
BgL_auxz00_5050 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1112z00_2906)
; }  else 
{ /* Llib/avahi.scm 137 */
BgL_auxz00_5050 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2905))
; } } } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2352)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5050),BUNSPEC); } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2352)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2352)))->BgL_interfacez00)=((AvahiIfIndex)
0L),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2352)))->BgL_protocolz00)=((obj_t)
CNST_TABLE_REF(((long)97))),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2352)))->BgL_namez00)=((obj_t)BGl_string2647z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2352)))->BgL_typez00)=((obj_t)BGl_string2647z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2352)))->BgL_domainz00)=((obj_t)BGl_string2647z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_5046 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2352); 
return 
((obj_t)BgL_auxz00_5046);} } 

}



/* &lambda2232 */
BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2232z62zz__avahi_avahiz00(obj_t BgL_envz00_2353)
{
{ /* Llib/avahi.scm 137 */
{ /* Llib/avahi.scm 137 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_new1139z00_2907;
BgL_new1139z00_2907 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2resolverz00_bgl) ))); 
{ /* Llib/avahi.scm 137 */
 long BgL_arg2233z00_2908;
BgL_arg2233z00_2908 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1139z00_2907), BgL_arg2233z00_2908); } 
return BgL_new1139z00_2907;} } 

}



/* &lambda2229 */
BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2229z62zz__avahi_avahiz00(obj_t BgL_envz00_2354, obj_t BgL_z42builtin1131z42_2355, obj_t BgL_client1132z00_2356, obj_t BgL_proc1133z00_2357, obj_t BgL_interface1134z00_2358, obj_t BgL_protocol1135z00_2359, obj_t BgL_name1136z00_2360, obj_t BgL_type1137z00_2361, obj_t BgL_domain1138z00_2362)
{
{ /* Llib/avahi.scm 137 */
{ /* Llib/avahi.scm 137 */
 AvahiServiceResolver * BgL_z42builtin1131z42_2909; AvahiIfIndex BgL_interface1134z00_2912;
BgL_z42builtin1131z42_2909 = 
FOREIGN_TO_COBJ(BgL_z42builtin1131z42_2355); 
BgL_interface1134z00_2912 = 
(long)CINT(BgL_interface1134z00_2358); 
{ /* Llib/avahi.scm 137 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_new1230z00_2917;
{ /* Llib/avahi.scm 137 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_new1229z00_2918;
BgL_new1229z00_2918 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2resolverz00_bgl) ))); 
{ /* Llib/avahi.scm 137 */
 long BgL_arg2231z00_2919;
BgL_arg2231z00_2919 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1229z00_2918), BgL_arg2231z00_2919); } 
BgL_new1230z00_2917 = BgL_new1229z00_2918; } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2917))->BgL_z42builtinz42)=((AvahiServiceResolver *)BgL_z42builtin1131z42_2909),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2917))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1132z00_2356)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2917))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1133z00_2357)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2917))->BgL_interfacez00)=((AvahiIfIndex)BgL_interface1134z00_2912),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2917))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_protocol1135z00_2359)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2917))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1136z00_2360)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2917))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1137z00_2361)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2917))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1138z00_2362)),BUNSPEC); 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_fun2230z00_2920;
BgL_fun2230z00_2920 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2230z00_2920))(BgL_fun2230z00_2920, 
((obj_t)BgL_new1230z00_2917), BEOA); } 
return BgL_new1230z00_2917;} } } 

}



/* &<@anonymous:2278> */
obj_t BGl_z62zc3z04anonymousza32278ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2363)
{
{ /* Llib/avahi.scm 137 */
return BGl_string2647z00zz__avahi_avahiz00;} 

}



/* &lambda2277 */
obj_t BGl_z62lambda2277z62zz__avahi_avahiz00(obj_t BgL_envz00_2364, obj_t BgL_oz00_2365, obj_t BgL_vz00_2366)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2365)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2366)),BUNSPEC);} 

}



/* &lambda2276 */
obj_t BGl_z62lambda2276z62zz__avahi_avahiz00(obj_t BgL_envz00_2367, obj_t BgL_oz00_2368)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2368)))->BgL_domainz00);} 

}



/* &lambda2271 */
obj_t BGl_z62lambda2271z62zz__avahi_avahiz00(obj_t BgL_envz00_2369, obj_t BgL_oz00_2370, obj_t BgL_vz00_2371)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2370)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_2371)),BUNSPEC);} 

}



/* &lambda2270 */
obj_t BGl_z62lambda2270z62zz__avahi_avahiz00(obj_t BgL_envz00_2372, obj_t BgL_oz00_2373)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2373)))->BgL_typez00);} 

}



/* &lambda2266 */
obj_t BGl_z62lambda2266z62zz__avahi_avahiz00(obj_t BgL_envz00_2374, obj_t BgL_oz00_2375, obj_t BgL_vz00_2376)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2375)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_2376)),BUNSPEC);} 

}



/* &lambda2265 */
obj_t BGl_z62lambda2265z62zz__avahi_avahiz00(obj_t BgL_envz00_2377, obj_t BgL_oz00_2378)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2378)))->BgL_namez00);} 

}



/* &lambda2261 */
obj_t BGl_z62lambda2261z62zz__avahi_avahiz00(obj_t BgL_envz00_2379, obj_t BgL_oz00_2380, obj_t BgL_vz00_2381)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2380)))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_vz00_2381)),BUNSPEC);} 

}



/* &lambda2260 */
obj_t BGl_z62lambda2260z62zz__avahi_avahiz00(obj_t BgL_envz00_2382, obj_t BgL_oz00_2383)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2383)))->BgL_protocolz00);} 

}



/* &lambda2256 */
obj_t BGl_z62lambda2256z62zz__avahi_avahiz00(obj_t BgL_envz00_2384, obj_t BgL_oz00_2385, obj_t BgL_vz00_2386)
{
{ /* Llib/avahi.scm 137 */
{ /* Llib/avahi.scm 137 */
 AvahiIfIndex BgL_vz00_2934;
BgL_vz00_2934 = 
(long)CINT(BgL_vz00_2386); 
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2385)))->BgL_interfacez00)=((AvahiIfIndex)BgL_vz00_2934),BUNSPEC);} } 

}



/* &lambda2255 */
obj_t BGl_z62lambda2255z62zz__avahi_avahiz00(obj_t BgL_envz00_2387, obj_t BgL_oz00_2388)
{
{ /* Llib/avahi.scm 137 */
return 
BINT(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2388)))->BgL_interfacez00));} 

}



/* &lambda2251 */
obj_t BGl_z62lambda2251z62zz__avahi_avahiz00(obj_t BgL_envz00_2389, obj_t BgL_oz00_2390, obj_t BgL_vz00_2391)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2390)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2391)),BUNSPEC);} 

}



/* &lambda2250 */
obj_t BGl_z62lambda2250z62zz__avahi_avahiz00(obj_t BgL_envz00_2392, obj_t BgL_oz00_2393)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2393)))->BgL_procz00);} 

}



/* &lambda2246 */
obj_t BGl_z62lambda2246z62zz__avahi_avahiz00(obj_t BgL_envz00_2394, obj_t BgL_oz00_2395, obj_t BgL_vz00_2396)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2395)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2396)),BUNSPEC);} 

}



/* &lambda2245 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2245z62zz__avahi_avahiz00(obj_t BgL_envz00_2397, obj_t BgL_oz00_2398)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2398)))->BgL_clientz00);} 

}



/* &<@anonymous:2241> */
obj_t BGl_z62zc3z04anonymousza32241ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2399)
{
{ /* Llib/avahi.scm 137 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2240 */
obj_t BGl_z62lambda2240z62zz__avahi_avahiz00(obj_t BgL_envz00_2400, obj_t BgL_oz00_2401, obj_t BgL_vz00_2402)
{
{ /* Llib/avahi.scm 137 */
{ /* Llib/avahi.scm 137 */
 AvahiServiceResolver * BgL_vz00_2943;
BgL_vz00_2943 = 
FOREIGN_TO_COBJ(BgL_vz00_2402); 
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2401)))->BgL_z42builtinz42)=((AvahiServiceResolver *)BgL_vz00_2943),BUNSPEC);} } 

}



/* &lambda2239 */
obj_t BGl_z62lambda2239z62zz__avahi_avahiz00(obj_t BgL_envz00_2403, obj_t BgL_oz00_2404)
{
{ /* Llib/avahi.scm 137 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2404)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2192> */
obj_t BGl_z62zc3z04anonymousza32192ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2405, obj_t BgL_new1129z00_2406)
{
{ /* Llib/avahi.scm 130 */
{ 
 BgL_avahizd2domainzd2browserz00_bglt BgL_auxz00_5149;
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2406)))->BgL_z42builtinz42)=((AvahiDomainBrowser *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5153;
{ /* Llib/avahi.scm 130 */
 obj_t BgL_classz00_2946;
BgL_classz00_2946 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 130 */
 obj_t BgL__ortest_1112z00_2947;
BgL__ortest_1112z00_2947 = 
BGL_CLASS_NIL(BgL_classz00_2946); 
if(
CBOOL(BgL__ortest_1112z00_2947))
{ /* Llib/avahi.scm 130 */
BgL_auxz00_5153 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1112z00_2947)
; }  else 
{ /* Llib/avahi.scm 130 */
BgL_auxz00_5153 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2946))
; } } } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2406)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5153),BUNSPEC); } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2406)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2406)))->BgL_btypez00)=((obj_t)
CNST_TABLE_REF(((long)97))),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2406)))->BgL_domainz00)=((obj_t)BGl_string2647z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_5149 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2406); 
return 
((obj_t)BgL_auxz00_5149);} } 

}



/* &lambda2190 */
BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2190z62zz__avahi_avahiz00(obj_t BgL_envz00_2407)
{
{ /* Llib/avahi.scm 130 */
{ /* Llib/avahi.scm 130 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_new1128z00_2948;
BgL_new1128z00_2948 = 
((BgL_avahizd2domainzd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2domainzd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 130 */
 long BgL_arg2191z00_2949;
BgL_arg2191z00_2949 = 
BGL_CLASS_NUM(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_2948), BgL_arg2191z00_2949); } 
return BgL_new1128z00_2948;} } 

}



/* &lambda2187 */
BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2187z62zz__avahi_avahiz00(obj_t BgL_envz00_2408, obj_t BgL_z42builtin1123z42_2409, obj_t BgL_client1124z00_2410, obj_t BgL_proc1125z00_2411, obj_t BgL_btype1126z00_2412, obj_t BgL_domain1127z00_2413)
{
{ /* Llib/avahi.scm 130 */
{ /* Llib/avahi.scm 130 */
 AvahiDomainBrowser * BgL_z42builtin1123z42_2950;
BgL_z42builtin1123z42_2950 = 
FOREIGN_TO_COBJ(BgL_z42builtin1123z42_2409); 
{ /* Llib/avahi.scm 130 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_new1228z00_2955;
{ /* Llib/avahi.scm 130 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_new1227z00_2956;
BgL_new1227z00_2956 = 
((BgL_avahizd2domainzd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2domainzd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 130 */
 long BgL_arg2189z00_2957;
BgL_arg2189z00_2957 = 
BGL_CLASS_NUM(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1227z00_2956), BgL_arg2189z00_2957); } 
BgL_new1228z00_2955 = BgL_new1227z00_2956; } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2955))->BgL_z42builtinz42)=((AvahiDomainBrowser *)BgL_z42builtin1123z42_2950),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2955))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1124z00_2410)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2955))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1125z00_2411)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2955))->BgL_btypez00)=((obj_t)
((obj_t)BgL_btype1126z00_2412)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2955))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1127z00_2413)),BUNSPEC); 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_fun2188z00_2958;
BgL_fun2188z00_2958 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2188z00_2958))(BgL_fun2188z00_2958, 
((obj_t)BgL_new1228z00_2955), BEOA); } 
return BgL_new1228z00_2955;} } } 

}



/* &<@anonymous:2223> */
obj_t BGl_z62zc3z04anonymousza32223ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2414)
{
{ /* Llib/avahi.scm 130 */
return BGl_string2647z00zz__avahi_avahiz00;} 

}



/* &lambda2222 */
obj_t BGl_z62lambda2222z62zz__avahi_avahiz00(obj_t BgL_envz00_2415, obj_t BgL_oz00_2416, obj_t BgL_vz00_2417)
{
{ /* Llib/avahi.scm 130 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2416)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2417)),BUNSPEC);} 

}



/* &lambda2221 */
obj_t BGl_z62lambda2221z62zz__avahi_avahiz00(obj_t BgL_envz00_2418, obj_t BgL_oz00_2419)
{
{ /* Llib/avahi.scm 130 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2419)))->BgL_domainz00);} 

}



/* &<@anonymous:2216> */
obj_t BGl_z62zc3z04anonymousza32216ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2420)
{
{ /* Llib/avahi.scm 130 */
return 
CNST_TABLE_REF(((long)98));} 

}



/* &lambda2215 */
obj_t BGl_z62lambda2215z62zz__avahi_avahiz00(obj_t BgL_envz00_2421, obj_t BgL_oz00_2422, obj_t BgL_vz00_2423)
{
{ /* Llib/avahi.scm 130 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2422)))->BgL_btypez00)=((obj_t)
((obj_t)BgL_vz00_2423)),BUNSPEC);} 

}



/* &lambda2214 */
obj_t BGl_z62lambda2214z62zz__avahi_avahiz00(obj_t BgL_envz00_2424, obj_t BgL_oz00_2425)
{
{ /* Llib/avahi.scm 130 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2425)))->BgL_btypez00);} 

}



/* &lambda2209 */
obj_t BGl_z62lambda2209z62zz__avahi_avahiz00(obj_t BgL_envz00_2426, obj_t BgL_oz00_2427, obj_t BgL_vz00_2428)
{
{ /* Llib/avahi.scm 130 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2427)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2428)),BUNSPEC);} 

}



/* &lambda2208 */
obj_t BGl_z62lambda2208z62zz__avahi_avahiz00(obj_t BgL_envz00_2429, obj_t BgL_oz00_2430)
{
{ /* Llib/avahi.scm 130 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2430)))->BgL_procz00);} 

}



/* &lambda2204 */
obj_t BGl_z62lambda2204z62zz__avahi_avahiz00(obj_t BgL_envz00_2431, obj_t BgL_oz00_2432, obj_t BgL_vz00_2433)
{
{ /* Llib/avahi.scm 130 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2432)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2433)),BUNSPEC);} 

}



/* &lambda2203 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2203z62zz__avahi_avahiz00(obj_t BgL_envz00_2434, obj_t BgL_oz00_2435)
{
{ /* Llib/avahi.scm 130 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2435)))->BgL_clientz00);} 

}



/* &<@anonymous:2199> */
obj_t BGl_z62zc3z04anonymousza32199ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2436)
{
{ /* Llib/avahi.scm 130 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2198 */
obj_t BGl_z62lambda2198z62zz__avahi_avahiz00(obj_t BgL_envz00_2437, obj_t BgL_oz00_2438, obj_t BgL_vz00_2439)
{
{ /* Llib/avahi.scm 130 */
{ /* Llib/avahi.scm 130 */
 AvahiDomainBrowser * BgL_vz00_2972;
BgL_vz00_2972 = 
FOREIGN_TO_COBJ(BgL_vz00_2439); 
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2438)))->BgL_z42builtinz42)=((AvahiDomainBrowser *)BgL_vz00_2972),BUNSPEC);} } 

}



/* &lambda2197 */
obj_t BGl_z62lambda2197z62zz__avahi_avahiz00(obj_t BgL_envz00_2440, obj_t BgL_oz00_2441)
{
{ /* Llib/avahi.scm 130 */
return 
void_star_to_obj(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2441)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2156> */
obj_t BGl_z62zc3z04anonymousza32156ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2442, obj_t BgL_new1121z00_2443)
{
{ /* Llib/avahi.scm 124 */
{ 
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_auxz00_5224;
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2443)))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5228;
{ /* Llib/avahi.scm 124 */
 obj_t BgL_classz00_2975;
BgL_classz00_2975 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 124 */
 obj_t BgL__ortest_1112z00_2976;
BgL__ortest_1112z00_2976 = 
BGL_CLASS_NIL(BgL_classz00_2975); 
if(
CBOOL(BgL__ortest_1112z00_2976))
{ /* Llib/avahi.scm 124 */
BgL_auxz00_5228 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1112z00_2976)
; }  else 
{ /* Llib/avahi.scm 124 */
BgL_auxz00_5228 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2975))
; } } } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2443)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5228),BUNSPEC); } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2443)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2443)))->BgL_domainz00)=((obj_t)BGl_string2647z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_5224 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2443); 
return 
((obj_t)BgL_auxz00_5224);} } 

}



/* &lambda2154 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2154z62zz__avahi_avahiz00(obj_t BgL_envz00_2444)
{
{ /* Llib/avahi.scm 124 */
{ /* Llib/avahi.scm 124 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1120z00_2977;
BgL_new1120z00_2977 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2typezd2browserzd2_bgl) ))); 
{ /* Llib/avahi.scm 124 */
 long BgL_arg2155z00_2978;
BgL_arg2155z00_2978 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_2977), BgL_arg2155z00_2978); } 
return BgL_new1120z00_2977;} } 

}



/* &lambda2151 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2151z62zz__avahi_avahiz00(obj_t BgL_envz00_2445, obj_t BgL_z42builtin1116z42_2446, obj_t BgL_client1117z00_2447, obj_t BgL_proc1118z00_2448, obj_t BgL_domain1119z00_2449)
{
{ /* Llib/avahi.scm 124 */
{ /* Llib/avahi.scm 124 */
 AvahiServiceTypeBrowser * BgL_z42builtin1116z42_2979;
BgL_z42builtin1116z42_2979 = 
FOREIGN_TO_COBJ(BgL_z42builtin1116z42_2446); 
{ /* Llib/avahi.scm 124 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1226z00_2983;
{ /* Llib/avahi.scm 124 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1225z00_2984;
BgL_new1225z00_2984 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2typezd2browserzd2_bgl) ))); 
{ /* Llib/avahi.scm 124 */
 long BgL_arg2153z00_2985;
BgL_arg2153z00_2985 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_2984), BgL_arg2153z00_2985); } 
BgL_new1226z00_2983 = BgL_new1225z00_2984; } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1226z00_2983))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)BgL_z42builtin1116z42_2979),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1226z00_2983))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1117z00_2447)),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1226z00_2983))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1118z00_2448)),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1226z00_2983))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1119z00_2449)),BUNSPEC); 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_fun2152z00_2986;
BgL_fun2152z00_2986 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2152z00_2986))(BgL_fun2152z00_2986, 
((obj_t)BgL_new1226z00_2983), BEOA); } 
return BgL_new1226z00_2983;} } } 

}



/* &<@anonymous:2180> */
obj_t BGl_z62zc3z04anonymousza32180ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2450)
{
{ /* Llib/avahi.scm 124 */
return BGl_string2647z00zz__avahi_avahiz00;} 

}



/* &lambda2179 */
obj_t BGl_z62lambda2179z62zz__avahi_avahiz00(obj_t BgL_envz00_2451, obj_t BgL_oz00_2452, obj_t BgL_vz00_2453)
{
{ /* Llib/avahi.scm 124 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2452)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2453)),BUNSPEC);} 

}



/* &lambda2178 */
obj_t BGl_z62lambda2178z62zz__avahi_avahiz00(obj_t BgL_envz00_2454, obj_t BgL_oz00_2455)
{
{ /* Llib/avahi.scm 124 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2455)))->BgL_domainz00);} 

}



/* &lambda2173 */
obj_t BGl_z62lambda2173z62zz__avahi_avahiz00(obj_t BgL_envz00_2456, obj_t BgL_oz00_2457, obj_t BgL_vz00_2458)
{
{ /* Llib/avahi.scm 124 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2457)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2458)),BUNSPEC);} 

}



/* &lambda2172 */
obj_t BGl_z62lambda2172z62zz__avahi_avahiz00(obj_t BgL_envz00_2459, obj_t BgL_oz00_2460)
{
{ /* Llib/avahi.scm 124 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2460)))->BgL_procz00);} 

}



/* &lambda2168 */
obj_t BGl_z62lambda2168z62zz__avahi_avahiz00(obj_t BgL_envz00_2461, obj_t BgL_oz00_2462, obj_t BgL_vz00_2463)
{
{ /* Llib/avahi.scm 124 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2462)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2463)),BUNSPEC);} 

}



/* &lambda2167 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2167z62zz__avahi_avahiz00(obj_t BgL_envz00_2464, obj_t BgL_oz00_2465)
{
{ /* Llib/avahi.scm 124 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2465)))->BgL_clientz00);} 

}



/* &<@anonymous:2163> */
obj_t BGl_z62zc3z04anonymousza32163ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2466)
{
{ /* Llib/avahi.scm 124 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2162 */
obj_t BGl_z62lambda2162z62zz__avahi_avahiz00(obj_t BgL_envz00_2467, obj_t BgL_oz00_2468, obj_t BgL_vz00_2469)
{
{ /* Llib/avahi.scm 124 */
{ /* Llib/avahi.scm 124 */
 AvahiServiceTypeBrowser * BgL_vz00_2997;
BgL_vz00_2997 = 
FOREIGN_TO_COBJ(BgL_vz00_2469); 
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2468)))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)BgL_vz00_2997),BUNSPEC);} } 

}



/* &lambda2161 */
obj_t BGl_z62lambda2161z62zz__avahi_avahiz00(obj_t BgL_envz00_2470, obj_t BgL_oz00_2471)
{
{ /* Llib/avahi.scm 124 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2471)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2102> */
obj_t BGl_z62zc3z04anonymousza32102ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2472, obj_t BgL_new1114z00_2473)
{
{ /* Llib/avahi.scm 115 */
{ 
 BgL_avahizd2servicezd2browserz00_bglt BgL_auxz00_5288;
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2473)))->BgL_z42builtinz42)=((AvahiServiceBrowser *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5292;
{ /* Llib/avahi.scm 115 */
 obj_t BgL_classz00_3000;
BgL_classz00_3000 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 115 */
 obj_t BgL__ortest_1112z00_3001;
BgL__ortest_1112z00_3001 = 
BGL_CLASS_NIL(BgL_classz00_3000); 
if(
CBOOL(BgL__ortest_1112z00_3001))
{ /* Llib/avahi.scm 115 */
BgL_auxz00_5292 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1112z00_3001)
; }  else 
{ /* Llib/avahi.scm 115 */
BgL_auxz00_5292 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3000))
; } } } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2473)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5292),BUNSPEC); } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2473)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2473)))->BgL_typez00)=((obj_t)BGl_string2647z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2473)))->BgL_domainz00)=((obj_t)BGl_string2647z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2473)))->BgL_interfacez00)=((AvahiIfIndex)
0L),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2473)))->BgL_protocolz00)=((obj_t)
CNST_TABLE_REF(((long)97))),BUNSPEC); 
BgL_auxz00_5288 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2473); 
return 
((obj_t)BgL_auxz00_5288);} } 

}



/* &lambda2100 */
BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2100z62zz__avahi_avahiz00(obj_t BgL_envz00_2474)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_new1113z00_3002;
BgL_new1113z00_3002 = 
((BgL_avahizd2servicezd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 115 */
 long BgL_arg2101z00_3003;
BgL_arg2101z00_3003 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_3002), BgL_arg2101z00_3003); } 
return BgL_new1113z00_3002;} } 

}



/* &lambda2097 */
BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2097z62zz__avahi_avahiz00(obj_t BgL_envz00_2475, obj_t BgL_z42builtin1106z42_2476, obj_t BgL_client1107z00_2477, obj_t BgL_proc1108z00_2478, obj_t BgL_type1109z00_2479, obj_t BgL_domain1110z00_2480, obj_t BgL_interface1111z00_2481, obj_t BgL_protocol1112z00_2482)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 AvahiServiceBrowser * BgL_z42builtin1106z42_3004; AvahiIfIndex BgL_interface1111z00_3009;
BgL_z42builtin1106z42_3004 = 
FOREIGN_TO_COBJ(BgL_z42builtin1106z42_2476); 
BgL_interface1111z00_3009 = 
(long)CINT(BgL_interface1111z00_2481); 
{ /* Llib/avahi.scm 115 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_new1224z00_3011;
{ /* Llib/avahi.scm 115 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_new1223z00_3012;
BgL_new1223z00_3012 = 
((BgL_avahizd2servicezd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 115 */
 long BgL_arg2099z00_3013;
BgL_arg2099z00_3013 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1223z00_3012), BgL_arg2099z00_3013); } 
BgL_new1224z00_3011 = BgL_new1223z00_3012; } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3011))->BgL_z42builtinz42)=((AvahiServiceBrowser *)BgL_z42builtin1106z42_3004),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3011))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1107z00_2477)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3011))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1108z00_2478)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3011))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1109z00_2479)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3011))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1110z00_2480)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3011))->BgL_interfacez00)=((AvahiIfIndex)BgL_interface1111z00_3009),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3011))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_protocol1112z00_2482)),BUNSPEC); 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_fun2098z00_3014;
BgL_fun2098z00_3014 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2098z00_3014))(BgL_fun2098z00_3014, 
((obj_t)BgL_new1224z00_3011), BEOA); } 
return BgL_new1224z00_3011;} } } 

}



/* &<@anonymous:2145> */
obj_t BGl_z62zc3z04anonymousza32145ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2483)
{
{ /* Llib/avahi.scm 115 */
return 
CNST_TABLE_REF(((long)30));} 

}



/* &lambda2144 */
obj_t BGl_z62lambda2144z62zz__avahi_avahiz00(obj_t BgL_envz00_2484, obj_t BgL_oz00_2485, obj_t BgL_vz00_2486)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2485)))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_vz00_2486)),BUNSPEC);} 

}



/* &lambda2143 */
obj_t BGl_z62lambda2143z62zz__avahi_avahiz00(obj_t BgL_envz00_2487, obj_t BgL_oz00_2488)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2488)))->BgL_protocolz00);} 

}



/* &<@anonymous:2138> */
obj_t BGl_z62zc3z04anonymousza32138ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2489)
{
{ /* Llib/avahi.scm 115 */
return 
BINT(AVAHI_IF_UNSPEC);} 

}



/* &lambda2137 */
obj_t BGl_z62lambda2137z62zz__avahi_avahiz00(obj_t BgL_envz00_2490, obj_t BgL_oz00_2491, obj_t BgL_vz00_2492)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 AvahiIfIndex BgL_vz00_3019;
BgL_vz00_3019 = 
(long)CINT(BgL_vz00_2492); 
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2491)))->BgL_interfacez00)=((AvahiIfIndex)BgL_vz00_3019),BUNSPEC);} } 

}



/* &lambda2136 */
obj_t BGl_z62lambda2136z62zz__avahi_avahiz00(obj_t BgL_envz00_2493, obj_t BgL_oz00_2494)
{
{ /* Llib/avahi.scm 115 */
return 
BINT(
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2494)))->BgL_interfacez00));} 

}



/* &<@anonymous:2131> */
obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2495)
{
{ /* Llib/avahi.scm 115 */
return BGl_string2647z00zz__avahi_avahiz00;} 

}



/* &lambda2130 */
obj_t BGl_z62lambda2130z62zz__avahi_avahiz00(obj_t BgL_envz00_2496, obj_t BgL_oz00_2497, obj_t BgL_vz00_2498)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2497)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2498)),BUNSPEC);} 

}



/* &lambda2129 */
obj_t BGl_z62lambda2129z62zz__avahi_avahiz00(obj_t BgL_envz00_2499, obj_t BgL_oz00_2500)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2500)))->BgL_domainz00);} 

}



/* &lambda2124 */
obj_t BGl_z62lambda2124z62zz__avahi_avahiz00(obj_t BgL_envz00_2501, obj_t BgL_oz00_2502, obj_t BgL_vz00_2503)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2502)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_2503)),BUNSPEC);} 

}



/* &lambda2123 */
obj_t BGl_z62lambda2123z62zz__avahi_avahiz00(obj_t BgL_envz00_2504, obj_t BgL_oz00_2505)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2505)))->BgL_typez00);} 

}



/* &lambda2119 */
obj_t BGl_z62lambda2119z62zz__avahi_avahiz00(obj_t BgL_envz00_2506, obj_t BgL_oz00_2507, obj_t BgL_vz00_2508)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2507)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2508)),BUNSPEC);} 

}



/* &lambda2118 */
obj_t BGl_z62lambda2118z62zz__avahi_avahiz00(obj_t BgL_envz00_2509, obj_t BgL_oz00_2510)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2510)))->BgL_procz00);} 

}



/* &lambda2114 */
obj_t BGl_z62lambda2114z62zz__avahi_avahiz00(obj_t BgL_envz00_2511, obj_t BgL_oz00_2512, obj_t BgL_vz00_2513)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2512)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2513)),BUNSPEC);} 

}



/* &lambda2113 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2113z62zz__avahi_avahiz00(obj_t BgL_envz00_2514, obj_t BgL_oz00_2515)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2515)))->BgL_clientz00);} 

}



/* &<@anonymous:2109> */
obj_t BGl_z62zc3z04anonymousza32109ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2516)
{
{ /* Llib/avahi.scm 115 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2108 */
obj_t BGl_z62lambda2108z62zz__avahi_avahiz00(obj_t BgL_envz00_2517, obj_t BgL_oz00_2518, obj_t BgL_vz00_2519)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 AvahiServiceBrowser * BgL_vz00_3034;
BgL_vz00_3034 = 
FOREIGN_TO_COBJ(BgL_vz00_2519); 
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2518)))->BgL_z42builtinz42)=((AvahiServiceBrowser *)BgL_vz00_3034),BUNSPEC);} } 

}



/* &lambda2107 */
obj_t BGl_z62lambda2107z62zz__avahi_avahiz00(obj_t BgL_envz00_2520, obj_t BgL_oz00_2521)
{
{ /* Llib/avahi.scm 115 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2521)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2074> */
obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2522, obj_t BgL_new1104z00_2523)
{
{ /* Llib/avahi.scm 110 */
{ 
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_5384;
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1104z00_2523)))->BgL_z42builtinz42)=((AvahiEntryGroup *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5388;
{ /* Llib/avahi.scm 110 */
 obj_t BgL_classz00_3037;
BgL_classz00_3037 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 110 */
 obj_t BgL__ortest_1112z00_3038;
BgL__ortest_1112z00_3038 = 
BGL_CLASS_NIL(BgL_classz00_3037); 
if(
CBOOL(BgL__ortest_1112z00_3038))
{ /* Llib/avahi.scm 110 */
BgL_auxz00_5388 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1112z00_3038)
; }  else 
{ /* Llib/avahi.scm 110 */
BgL_auxz00_5388 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3037))
; } } } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1104z00_2523)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5388),BUNSPEC); } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1104z00_2523)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_5384 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1104z00_2523); 
return 
((obj_t)BgL_auxz00_5384);} } 

}



/* &lambda2072 */
BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2072z62zz__avahi_avahiz00(obj_t BgL_envz00_2524)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_new1103z00_3039;
BgL_new1103z00_3039 = 
((BgL_avahizd2entryzd2groupz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2entryzd2groupz00_bgl) ))); 
{ /* Llib/avahi.scm 110 */
 long BgL_arg2073z00_3040;
BgL_arg2073z00_3040 = 
BGL_CLASS_NUM(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_3039), BgL_arg2073z00_3040); } 
return BgL_new1103z00_3039;} } 

}



/* &lambda2069 */
BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2069z62zz__avahi_avahiz00(obj_t BgL_envz00_2525, obj_t BgL_z42builtin1100z42_2526, obj_t BgL_client1101z00_2527, obj_t BgL_proc1102z00_2528)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
 AvahiEntryGroup * BgL_z42builtin1100z42_3041;
BgL_z42builtin1100z42_3041 = 
FOREIGN_TO_COBJ(BgL_z42builtin1100z42_2526); 
{ /* Llib/avahi.scm 110 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_new1222z00_3044;
{ /* Llib/avahi.scm 110 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_new1221z00_3045;
BgL_new1221z00_3045 = 
((BgL_avahizd2entryzd2groupz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2entryzd2groupz00_bgl) ))); 
{ /* Llib/avahi.scm 110 */
 long BgL_arg2071z00_3046;
BgL_arg2071z00_3046 = 
BGL_CLASS_NUM(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_3045), BgL_arg2071z00_3046); } 
BgL_new1222z00_3044 = BgL_new1221z00_3045; } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1222z00_3044))->BgL_z42builtinz42)=((AvahiEntryGroup *)BgL_z42builtin1100z42_3041),BUNSPEC); 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1222z00_3044))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1101z00_2527)),BUNSPEC); 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1222z00_3044))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1102z00_2528)),BUNSPEC); 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_fun2070z00_3047;
BgL_fun2070z00_3047 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2070z00_3047))(BgL_fun2070z00_3047, 
((obj_t)BgL_new1222z00_3044), BEOA); } 
return BgL_new1222z00_3044;} } } 

}



/* &lambda2091 */
obj_t BGl_z62lambda2091z62zz__avahi_avahiz00(obj_t BgL_envz00_2529, obj_t BgL_oz00_2530, obj_t BgL_vz00_2531)
{
{ /* Llib/avahi.scm 110 */
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2530)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2531)),BUNSPEC);} 

}



/* &lambda2090 */
obj_t BGl_z62lambda2090z62zz__avahi_avahiz00(obj_t BgL_envz00_2532, obj_t BgL_oz00_2533)
{
{ /* Llib/avahi.scm 110 */
return 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2533)))->BgL_procz00);} 

}



/* &lambda2086 */
obj_t BGl_z62lambda2086z62zz__avahi_avahiz00(obj_t BgL_envz00_2534, obj_t BgL_oz00_2535, obj_t BgL_vz00_2536)
{
{ /* Llib/avahi.scm 110 */
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2535)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2536)),BUNSPEC);} 

}



/* &lambda2085 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2085z62zz__avahi_avahiz00(obj_t BgL_envz00_2537, obj_t BgL_oz00_2538)
{
{ /* Llib/avahi.scm 110 */
return 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2538)))->BgL_clientz00);} 

}



/* &<@anonymous:2081> */
obj_t BGl_z62zc3z04anonymousza32081ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2539)
{
{ /* Llib/avahi.scm 110 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2080 */
obj_t BGl_z62lambda2080z62zz__avahi_avahiz00(obj_t BgL_envz00_2540, obj_t BgL_oz00_2541, obj_t BgL_vz00_2542)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
 AvahiEntryGroup * BgL_vz00_3055;
BgL_vz00_3055 = 
FOREIGN_TO_COBJ(BgL_vz00_2542); 
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2541)))->BgL_z42builtinz42)=((AvahiEntryGroup *)BgL_vz00_3055),BUNSPEC);} } 

}



/* &lambda2079 */
obj_t BGl_z62lambda2079z62zz__avahi_avahiz00(obj_t BgL_envz00_2543, obj_t BgL_oz00_2544)
{
{ /* Llib/avahi.scm 110 */
return 
void_star_to_obj(
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2544)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1940> */
obj_t BGl_z62zc3z04anonymousza31940ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2545, obj_t BgL_new1098z00_2546)
{
{ /* Llib/avahi.scm 67 */
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5439;
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2546)))->BgL_z42builtinz42)=((AvahiClient *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2pollzd2_bglt BgL_auxz00_5443;
{ /* Llib/avahi.scm 67 */
 obj_t BgL_classz00_3058;
BgL_classz00_3058 = BGl_avahizd2pollzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 67 */
 obj_t BgL__ortest_1112z00_3059;
BgL__ortest_1112z00_3059 = 
BGL_CLASS_NIL(BgL_classz00_3058); 
if(
CBOOL(BgL__ortest_1112z00_3059))
{ /* Llib/avahi.scm 67 */
BgL_auxz00_5443 = 
((BgL_avahizd2pollzd2_bglt)BgL__ortest_1112z00_3059)
; }  else 
{ /* Llib/avahi.scm 67 */
BgL_auxz00_5443 = 
((BgL_avahizd2pollzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3058))
; } } } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2546)))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)BgL_auxz00_5443),BUNSPEC); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2546)))->BgL_flagsz00)=((obj_t)
CNST_TABLE_REF(((long)97))),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2546)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2546)))->BgL_z52groupsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2546)))->BgL_z52browsersz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2546)))->BgL_resolversz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5439 = 
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2546); 
return 
((obj_t)BgL_auxz00_5439);} } 

}



/* &lambda1938 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda1938z62zz__avahi_avahiz00(obj_t BgL_envz00_2547)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
 BgL_avahizd2clientzd2_bglt BgL_new1097z00_3060;
BgL_new1097z00_3060 = 
((BgL_avahizd2clientzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2clientzd2_bgl) ))); 
{ /* Llib/avahi.scm 67 */
 long BgL_arg1939z00_3061;
BgL_arg1939z00_3061 = 
BGL_CLASS_NUM(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_3060), BgL_arg1939z00_3061); } 
return BgL_new1097z00_3060;} } 

}



/* &lambda1935 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda1935z62zz__avahi_avahiz00(obj_t BgL_envz00_2548, obj_t BgL_z42builtin1090z42_2549, obj_t BgL_poll1091z00_2550, obj_t BgL_flags1092z00_2551, obj_t BgL_proc1093z00_2552, obj_t BgL_z52groups1094z52_2553, obj_t BgL_z52browsers1095z52_2554, obj_t BgL_resolvers1096z00_2555)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
 AvahiClient * BgL_z42builtin1090z42_3062;
BgL_z42builtin1090z42_3062 = 
FOREIGN_TO_COBJ(BgL_z42builtin1090z42_2549); 
{ /* Llib/avahi.scm 67 */
 BgL_avahizd2clientzd2_bglt BgL_new1220z00_3069;
{ /* Llib/avahi.scm 67 */
 BgL_avahizd2clientzd2_bglt BgL_new1219z00_3070;
BgL_new1219z00_3070 = 
((BgL_avahizd2clientzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2clientzd2_bgl) ))); 
{ /* Llib/avahi.scm 67 */
 long BgL_arg1937z00_3071;
BgL_arg1937z00_3071 = 
BGL_CLASS_NUM(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_3070), BgL_arg1937z00_3071); } 
BgL_new1220z00_3069 = BgL_new1219z00_3070; } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3069))->BgL_z42builtinz42)=((AvahiClient *)BgL_z42builtin1090z42_3062),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3069))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2pollzd2_bglt)BgL_poll1091z00_2550)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3069))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_flags1092z00_2551)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3069))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1093z00_2552)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3069))->BgL_z52groupsz52)=((obj_t)
((obj_t)BgL_z52groups1094z52_2553)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3069))->BgL_z52browsersz52)=((obj_t)
((obj_t)BgL_z52browsers1095z52_2554)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3069))->BgL_resolversz00)=((obj_t)
((obj_t)BgL_resolvers1096z00_2555)),BUNSPEC); 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_fun1936z00_3072;
BgL_fun1936z00_3072 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1936z00_3072))(BgL_fun1936z00_3072, 
((obj_t)BgL_new1220z00_3069), BEOA); } 
return BgL_new1220z00_3069;} } } 

}



/* &<@anonymous:2057> */
obj_t BGl_z62zc3z04anonymousza32057ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2556, obj_t BgL_oz00_2557)
{
{ /* Llib/avahi.scm 101 */
{ /* Llib/avahi.scm 104 */
 bool_t BgL_test3123z00_5493;
{ /* Llib/avahi.scm 104 */
 AvahiClient * BgL_arg2062z00_3073;
BgL_arg2062z00_3073 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2557)))->BgL_z42builtinz42); 
BgL_test3123z00_5493 = 
(BgL_arg2062z00_3073 == 0L); } 
if(BgL_test3123z00_5493)
{ /* Llib/avahi.scm 104 */
return 
CNST_TABLE_REF(((long)99));}  else 
{ /* Llib/avahi.scm 107 */
 AvahiClientState BgL_arg2060z00_3074;
{ /* Llib/avahi.scm 107 */
 AvahiClient * BgL_arg2061z00_3075;
BgL_arg2061z00_3075 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2557)))->BgL_z42builtinz42); 
BgL_arg2060z00_3074 = 
avahi_client_get_state(BgL_arg2061z00_3075); } 
return 
bgl_avahi_client_state_to_symbol(BgL_arg2060z00_3074);} } } 

}



/* &<@anonymous:2048> */
obj_t BGl_z62zc3z04anonymousza32048ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2558, obj_t BgL_oz00_2559)
{
{ /* Llib/avahi.scm 95 */
{ /* Llib/avahi.scm 98 */
 bool_t BgL_test3124z00_5502;
{ /* Llib/avahi.scm 98 */
 AvahiClient * BgL_arg2052z00_3076;
BgL_arg2052z00_3076 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2559)))->BgL_z42builtinz42); 
BgL_test3124z00_5502 = 
(BgL_arg2052z00_3076 == 0L); } 
if(BgL_test3124z00_5502)
{ /* Llib/avahi.scm 98 */
return BGl_string2648z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 100 */
 AvahiClient * BgL_arg2051z00_3077;
BgL_arg2051z00_3077 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2559)))->BgL_z42builtinz42); 
return 
string_to_bstring(
(char *)avahi_client_get_host_name_fqdn(BgL_arg2051z00_3077));} } } 

}



/* &<@anonymous:2039> */
obj_t BGl_z62zc3z04anonymousza32039ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2560, obj_t BgL_oz00_2561)
{
{ /* Llib/avahi.scm 89 */
{ /* Llib/avahi.scm 92 */
 bool_t BgL_test3125z00_5510;
{ /* Llib/avahi.scm 92 */
 AvahiClient * BgL_arg2043z00_3078;
BgL_arg2043z00_3078 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2561)))->BgL_z42builtinz42); 
BgL_test3125z00_5510 = 
(BgL_arg2043z00_3078 == 0L); } 
if(BgL_test3125z00_5510)
{ /* Llib/avahi.scm 92 */
return BGl_string2648z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 94 */
 AvahiClient * BgL_arg2042z00_3079;
BgL_arg2042z00_3079 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2561)))->BgL_z42builtinz42); 
return 
string_to_bstring(
(char *)avahi_client_get_domain_name(BgL_arg2042z00_3079));} } } 

}



/* &<@anonymous:2030> */
obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2562, obj_t BgL_oz00_2563, obj_t BgL_vz00_2564)
{
{ /* Llib/avahi.scm 81 */
{ /* Llib/avahi.scm 87 */
 bool_t BgL_test3126z00_5518;
{ /* Llib/avahi.scm 87 */
 AvahiClient * BgL_arg2034z00_3080;
BgL_arg2034z00_3080 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2563)))->BgL_z42builtinz42); 
BgL_test3126z00_5518 = 
(BgL_arg2034z00_3080 == 0L); } 
if(BgL_test3126z00_5518)
{ /* Llib/avahi.scm 87 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 88 */
 AvahiClient * BgL_arg2033z00_3081;
BgL_arg2033z00_3081 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2563)))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 88 */
 int BgL_tmpz00_5524;
{ /* Llib/avahi.scm 88 */
 char * BgL_tmpz00_5525;
BgL_tmpz00_5525 = 
BSTRING_TO_STRING(
((obj_t)BgL_vz00_2564)); 
BgL_tmpz00_5524 = 
avahi_client_set_host_name(BgL_arg2033z00_3081, BgL_tmpz00_5525); } 
return 
BINT(BgL_tmpz00_5524);} } } } 

}



/* &<@anonymous:2024> */
obj_t BGl_z62zc3z04anonymousza32024ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2565, obj_t BgL_oz00_2566)
{
{ /* Llib/avahi.scm 81 */
{ /* Llib/avahi.scm 83 */
 bool_t BgL_test3127z00_5530;
{ /* Llib/avahi.scm 83 */
 AvahiClient * BgL_arg2028z00_3082;
BgL_arg2028z00_3082 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2566)))->BgL_z42builtinz42); 
BgL_test3127z00_5530 = 
(BgL_arg2028z00_3082 == 0L); } 
if(BgL_test3127z00_5530)
{ /* Llib/avahi.scm 83 */
return BGl_string2648z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 85 */
 AvahiClient * BgL_arg2027z00_3083;
BgL_arg2027z00_3083 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2566)))->BgL_z42builtinz42); 
return 
string_to_bstring(
(char *)avahi_client_get_host_name(BgL_arg2027z00_3083));} } } 

}



/* &<@anonymous:2014> */
obj_t BGl_z62zc3z04anonymousza32014ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2567, obj_t BgL_oz00_2568)
{
{ /* Llib/avahi.scm 75 */
{ /* Llib/avahi.scm 78 */
 bool_t BgL_test3128z00_5538;
{ /* Llib/avahi.scm 78 */
 AvahiClient * BgL_arg2018z00_3084;
BgL_arg2018z00_3084 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2568)))->BgL_z42builtinz42); 
BgL_test3128z00_5538 = 
(BgL_arg2018z00_3084 == 0L); } 
if(BgL_test3128z00_5538)
{ /* Llib/avahi.scm 78 */
return BGl_string2648z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 80 */
 AvahiClient * BgL_arg2017z00_3085;
BgL_arg2017z00_3085 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2568)))->BgL_z42builtinz42); 
return 
string_to_bstring(
(char *)avahi_client_get_version_string(BgL_arg2017z00_3085));} } } 

}



/* &<@anonymous:2010> */
obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2569, obj_t BgL_oz00_2570, obj_t BgL_vz00_2571)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2570), 
(int)(((long)4)), BgL_vz00_2571);} 

}



/* &<@anonymous:2009> */
obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2572, obj_t BgL_oz00_2573)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2573), 
(int)(((long)4)));} 

}



/* &<@anonymous:2005> */
obj_t BGl_z62zc3z04anonymousza32005ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2574, obj_t BgL_oz00_2575, obj_t BgL_vz00_2576)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2575), 
(int)(((long)3)), BgL_vz00_2576);} 

}



/* &<@anonymous:2004> */
obj_t BGl_z62zc3z04anonymousza32004ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2577, obj_t BgL_oz00_2578)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2578), 
(int)(((long)3)));} 

}



/* &<@anonymous:2000> */
obj_t BGl_z62zc3z04anonymousza32000ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2579, obj_t BgL_oz00_2580, obj_t BgL_vz00_2581)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2580), 
(int)(((long)2)), BgL_vz00_2581);} 

}



/* &<@anonymous:1999> */
obj_t BGl_z62zc3z04anonymousza31999ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2582, obj_t BgL_oz00_2583)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2583), 
(int)(((long)2)));} 

}



/* &<@anonymous:1995> */
obj_t BGl_z62zc3z04anonymousza31995ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2584, obj_t BgL_oz00_2585, obj_t BgL_vz00_2586)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2585), 
(int)(((long)1)), BgL_vz00_2586);} 

}



/* &<@anonymous:1994> */
obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2587, obj_t BgL_oz00_2588)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2588), 
(int)(((long)1)));} 

}



/* &<@anonymous:1990> */
obj_t BGl_z62zc3z04anonymousza31990ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2589, obj_t BgL_oz00_2590, obj_t BgL_vz00_2591)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2590), 
(int)(((long)0)), BgL_vz00_2591);} 

}



/* &<@anonymous:1989> */
obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2592, obj_t BgL_oz00_2593)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2593), 
(int)(((long)0)));} 

}



/* &<@anonymous:1985> */
obj_t BGl_z62zc3z04anonymousza31985ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2594)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1984 */
obj_t BGl_z62lambda1984z62zz__avahi_avahiz00(obj_t BgL_envz00_2595, obj_t BgL_oz00_2596, obj_t BgL_vz00_2597)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2596)))->BgL_resolversz00)=((obj_t)
((obj_t)BgL_vz00_2597)),BUNSPEC);} 

}



/* &lambda1983 */
obj_t BGl_z62lambda1983z62zz__avahi_avahiz00(obj_t BgL_envz00_2598, obj_t BgL_oz00_2599)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2599)))->BgL_resolversz00);} 

}



/* &<@anonymous:1978> */
obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2600)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1977 */
obj_t BGl_z62lambda1977z62zz__avahi_avahiz00(obj_t BgL_envz00_2601, obj_t BgL_oz00_2602, obj_t BgL_vz00_2603)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2602)))->BgL_z52browsersz52)=((obj_t)
((obj_t)BgL_vz00_2603)),BUNSPEC);} 

}



/* &lambda1976 */
obj_t BGl_z62lambda1976z62zz__avahi_avahiz00(obj_t BgL_envz00_2604, obj_t BgL_oz00_2605)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2605)))->BgL_z52browsersz52);} 

}



/* &<@anonymous:1971> */
obj_t BGl_z62zc3z04anonymousza31971ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2606)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1970 */
obj_t BGl_z62lambda1970z62zz__avahi_avahiz00(obj_t BgL_envz00_2607, obj_t BgL_oz00_2608, obj_t BgL_vz00_2609)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2608)))->BgL_z52groupsz52)=((obj_t)
((obj_t)BgL_vz00_2609)),BUNSPEC);} 

}



/* &lambda1969 */
obj_t BGl_z62lambda1969z62zz__avahi_avahiz00(obj_t BgL_envz00_2610, obj_t BgL_oz00_2611)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2611)))->BgL_z52groupsz52);} 

}



/* &lambda1964 */
obj_t BGl_z62lambda1964z62zz__avahi_avahiz00(obj_t BgL_envz00_2612, obj_t BgL_oz00_2613, obj_t BgL_vz00_2614)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2613)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2614)),BUNSPEC);} 

}



/* &lambda1963 */
obj_t BGl_z62lambda1963z62zz__avahi_avahiz00(obj_t BgL_envz00_2615, obj_t BgL_oz00_2616)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2616)))->BgL_procz00);} 

}



/* &<@anonymous:1959> */
obj_t BGl_z62zc3z04anonymousza31959ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2617)
{
{ /* Llib/avahi.scm 67 */
return 
CNST_TABLE_REF(((long)100));} 

}



/* &lambda1958 */
obj_t BGl_z62lambda1958z62zz__avahi_avahiz00(obj_t BgL_envz00_2618, obj_t BgL_oz00_2619, obj_t BgL_vz00_2620)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2619)))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_vz00_2620)),BUNSPEC);} 

}



/* &lambda1957 */
obj_t BGl_z62lambda1957z62zz__avahi_avahiz00(obj_t BgL_envz00_2621, obj_t BgL_oz00_2622)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2622)))->BgL_flagsz00);} 

}



/* &lambda1952 */
obj_t BGl_z62lambda1952z62zz__avahi_avahiz00(obj_t BgL_envz00_2623, obj_t BgL_oz00_2624, obj_t BgL_vz00_2625)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2624)))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2pollzd2_bglt)BgL_vz00_2625)),BUNSPEC);} 

}



/* &lambda1951 */
BgL_avahizd2pollzd2_bglt BGl_z62lambda1951z62zz__avahi_avahiz00(obj_t BgL_envz00_2626, obj_t BgL_oz00_2627)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2627)))->BgL_pollz00);} 

}



/* &<@anonymous:1947> */
obj_t BGl_z62zc3z04anonymousza31947ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2628)
{
{ /* Llib/avahi.scm 67 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1946 */
obj_t BGl_z62lambda1946z62zz__avahi_avahiz00(obj_t BgL_envz00_2629, obj_t BgL_oz00_2630, obj_t BgL_vz00_2631)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
 AvahiClient * BgL_vz00_3105;
BgL_vz00_3105 = 
FOREIGN_TO_COBJ(BgL_vz00_2631); 
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2630)))->BgL_z42builtinz42)=((AvahiClient *)BgL_vz00_3105),BUNSPEC);} } 

}



/* &lambda1945 */
obj_t BGl_z62lambda1945z62zz__avahi_avahiz00(obj_t BgL_envz00_2632, obj_t BgL_oz00_2633)
{
{ /* Llib/avahi.scm 67 */
return 
void_star_to_obj(
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2633)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1922> */
obj_t BGl_z62zc3z04anonymousza31922ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2634, obj_t BgL_new1088z00_2635)
{
{ /* Llib/avahi.scm 64 */
{ 
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_5615;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1088z00_2635))))->BgL_z42ctypez42)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1088z00_2635))))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1088z00_2635)))->BgL_z42builtinz42)=((AvahiThreadedPoll *)
0L),BUNSPEC); 
BgL_auxz00_5615 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1088z00_2635); 
return 
((obj_t)BgL_auxz00_5615);} } 

}



/* &lambda1920 */
BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1920z62zz__avahi_avahiz00(obj_t BgL_envz00_2636)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_new1087z00_3108;
BgL_new1087z00_3108 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2threadedzd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 64 */
 long BgL_arg1921z00_3109;
BgL_arg1921z00_3109 = 
BGL_CLASS_NUM(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_3108), BgL_arg1921z00_3109); } 
return BgL_new1087z00_3108;} } 

}



/* &lambda1917 */
BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1917z62zz__avahi_avahiz00(obj_t BgL_envz00_2637, obj_t BgL_z42ctype1084z42_2638, obj_t BgL_z52procs1085z52_2639, obj_t BgL_z42builtin1086z42_2640)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
 int BgL_z42ctype1084z42_3110; AvahiThreadedPoll * BgL_z42builtin1086z42_3112;
BgL_z42ctype1084z42_3110 = 
CINT(BgL_z42ctype1084z42_2638); 
BgL_z42builtin1086z42_3112 = 
FOREIGN_TO_COBJ(BgL_z42builtin1086z42_2640); 
{ /* Llib/avahi.scm 64 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_new1218z00_3113;
{ /* Llib/avahi.scm 64 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_new1217z00_3114;
BgL_new1217z00_3114 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2threadedzd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 64 */
 long BgL_arg1919z00_3115;
BgL_arg1919z00_3115 = 
BGL_CLASS_NUM(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1217z00_3114), BgL_arg1919z00_3115); } 
BgL_new1218z00_3113 = BgL_new1217z00_3114; } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1218z00_3113)))->BgL_z42ctypez42)=((int)BgL_z42ctype1084z42_3110),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1218z00_3113)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_z52procs1085z52_2639)),BUNSPEC); 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_new1218z00_3113))->BgL_z42builtinz42)=((AvahiThreadedPoll *)BgL_z42builtin1086z42_3112),BUNSPEC); 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_fun1918z00_3116;
BgL_fun1918z00_3116 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1918z00_3116))(BgL_fun1918z00_3116, 
((obj_t)BgL_new1218z00_3113), BEOA); } 
return BgL_new1218z00_3113;} } } 

}



/* &<@anonymous:1929> */
obj_t BGl_z62zc3z04anonymousza31929ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2641)
{
{ /* Llib/avahi.scm 64 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1928 */
obj_t BGl_z62lambda1928z62zz__avahi_avahiz00(obj_t BgL_envz00_2642, obj_t BgL_oz00_2643, obj_t BgL_vz00_2644)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
 AvahiThreadedPoll * BgL_vz00_3118;
BgL_vz00_3118 = 
FOREIGN_TO_COBJ(BgL_vz00_2644); 
return 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2643)))->BgL_z42builtinz42)=((AvahiThreadedPoll *)BgL_vz00_3118),BUNSPEC);} } 

}



/* &lambda1927 */
obj_t BGl_z62lambda1927z62zz__avahi_avahiz00(obj_t BgL_envz00_2645, obj_t BgL_oz00_2646)
{
{ /* Llib/avahi.scm 64 */
return 
void_star_to_obj(
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2646)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1904> */
obj_t BGl_z62zc3z04anonymousza31904ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2647, obj_t BgL_new1082z00_2648)
{
{ /* Llib/avahi.scm 61 */
{ 
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_5658;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1082z00_2648))))->BgL_z42ctypez42)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1082z00_2648))))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1082z00_2648)))->BgL_z42builtinz42)=((AvahiSimplePoll *)
0L),BUNSPEC); 
BgL_auxz00_5658 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1082z00_2648); 
return 
((obj_t)BgL_auxz00_5658);} } 

}



/* &lambda1902 */
BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1902z62zz__avahi_avahiz00(obj_t BgL_envz00_2649)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_new1081z00_3121;
BgL_new1081z00_3121 = 
((BgL_avahizd2simplezd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2simplezd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 61 */
 long BgL_arg1903z00_3122;
BgL_arg1903z00_3122 = 
BGL_CLASS_NUM(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_3121), BgL_arg1903z00_3122); } 
return BgL_new1081z00_3121;} } 

}



/* &lambda1899 */
BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1899z62zz__avahi_avahiz00(obj_t BgL_envz00_2650, obj_t BgL_z42ctype1078z42_2651, obj_t BgL_z52procs1079z52_2652, obj_t BgL_z42builtin1080z42_2653)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
 int BgL_z42ctype1078z42_3123; AvahiSimplePoll * BgL_z42builtin1080z42_3125;
BgL_z42ctype1078z42_3123 = 
CINT(BgL_z42ctype1078z42_2651); 
BgL_z42builtin1080z42_3125 = 
FOREIGN_TO_COBJ(BgL_z42builtin1080z42_2653); 
{ /* Llib/avahi.scm 61 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_new1216z00_3126;
{ /* Llib/avahi.scm 61 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_new1215z00_3127;
BgL_new1215z00_3127 = 
((BgL_avahizd2simplezd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2simplezd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 61 */
 long BgL_arg1901z00_3128;
BgL_arg1901z00_3128 = 
BGL_CLASS_NUM(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1215z00_3127), BgL_arg1901z00_3128); } 
BgL_new1216z00_3126 = BgL_new1215z00_3127; } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1216z00_3126)))->BgL_z42ctypez42)=((int)BgL_z42ctype1078z42_3123),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1216z00_3126)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_z52procs1079z52_2652)),BUNSPEC); 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_new1216z00_3126))->BgL_z42builtinz42)=((AvahiSimplePoll *)BgL_z42builtin1080z42_3125),BUNSPEC); 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_fun1900z00_3129;
BgL_fun1900z00_3129 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1900z00_3129))(BgL_fun1900z00_3129, 
((obj_t)BgL_new1216z00_3126), BEOA); } 
return BgL_new1216z00_3126;} } } 

}



/* &<@anonymous:1911> */
obj_t BGl_z62zc3z04anonymousza31911ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2654)
{
{ /* Llib/avahi.scm 61 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1910 */
obj_t BGl_z62lambda1910z62zz__avahi_avahiz00(obj_t BgL_envz00_2655, obj_t BgL_oz00_2656, obj_t BgL_vz00_2657)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
 AvahiSimplePoll * BgL_vz00_3131;
BgL_vz00_3131 = 
FOREIGN_TO_COBJ(BgL_vz00_2657); 
return 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2656)))->BgL_z42builtinz42)=((AvahiSimplePoll *)BgL_vz00_3131),BUNSPEC);} } 

}



/* &lambda1909 */
obj_t BGl_z62lambda1909z62zz__avahi_avahiz00(obj_t BgL_envz00_2658, obj_t BgL_oz00_2659)
{
{ /* Llib/avahi.scm 61 */
return 
void_star_to_obj(
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2659)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1879> */
obj_t BGl_z62zc3z04anonymousza31879ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2660, obj_t BgL_new1076z00_2661)
{
{ /* Llib/avahi.scm 57 */
{ 
 BgL_avahizd2pollzd2_bglt BgL_auxz00_5701;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1076z00_2661)))->BgL_z42ctypez42)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1076z00_2661)))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5701 = 
((BgL_avahizd2pollzd2_bglt)BgL_new1076z00_2661); 
return 
((obj_t)BgL_auxz00_5701);} } 

}



/* &lambda1877 */
BgL_avahizd2pollzd2_bglt BGl_z62lambda1877z62zz__avahi_avahiz00(obj_t BgL_envz00_2662)
{
{ /* Llib/avahi.scm 57 */
{ /* Llib/avahi.scm 57 */
 BgL_avahizd2pollzd2_bglt BgL_new1075z00_3134;
BgL_new1075z00_3134 = 
((BgL_avahizd2pollzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2pollzd2_bgl) ))); 
{ /* Llib/avahi.scm 57 */
 long BgL_arg1878z00_3135;
BgL_arg1878z00_3135 = 
BGL_CLASS_NUM(BGl_avahizd2pollzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_3134), BgL_arg1878z00_3135); } 
return BgL_new1075z00_3134;} } 

}



/* &<@anonymous:1893> */
obj_t BGl_z62zc3z04anonymousza31893ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2663)
{
{ /* Llib/avahi.scm 57 */
return BNIL;} 

}



/* &lambda1892 */
obj_t BGl_z62lambda1892z62zz__avahi_avahiz00(obj_t BgL_envz00_2664, obj_t BgL_oz00_2665, obj_t BgL_vz00_2666)
{
{ /* Llib/avahi.scm 57 */
return 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2665)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_vz00_2666)),BUNSPEC);} 

}



/* &lambda1891 */
obj_t BGl_z62lambda1891z62zz__avahi_avahiz00(obj_t BgL_envz00_2667, obj_t BgL_oz00_2668)
{
{ /* Llib/avahi.scm 57 */
return 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2668)))->BgL_z52procsz52);} 

}



/* &<@anonymous:1886> */
obj_t BGl_z62zc3z04anonymousza31886ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2669)
{
{ /* Llib/avahi.scm 57 */
return 
BINT(((long)-1));} 

}



/* &lambda1885 */
obj_t BGl_z62lambda1885z62zz__avahi_avahiz00(obj_t BgL_envz00_2670, obj_t BgL_oz00_2671, obj_t BgL_vz00_2672)
{
{ /* Llib/avahi.scm 57 */
{ /* Llib/avahi.scm 57 */
 int BgL_vz00_3140;
BgL_vz00_3140 = 
CINT(BgL_vz00_2672); 
return 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2671)))->BgL_z42ctypez42)=((int)BgL_vz00_3140),BUNSPEC);} } 

}



/* &lambda1884 */
obj_t BGl_z62lambda1884z62zz__avahi_avahiz00(obj_t BgL_envz00_2673, obj_t BgL_oz00_2674)
{
{ /* Llib/avahi.scm 57 */
return 
BINT(
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2674)))->BgL_z42ctypez42));} 

}



/* &<@anonymous:1872> */
obj_t BGl_z62zc3z04anonymousza31872ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2675, obj_t BgL_new1073z00_2676)
{
{ /* Llib/avahi.scm 54 */
return 
((obj_t)
((BgL_avahizd2objectzd2_bglt)BgL_new1073z00_2676));} 

}



/* &lambda1870 */
BgL_avahizd2objectzd2_bglt BGl_z62lambda1870z62zz__avahi_avahiz00(obj_t BgL_envz00_2677)
{
{ /* Llib/avahi.scm 54 */
{ /* Llib/avahi.scm 54 */
 BgL_avahizd2objectzd2_bglt BgL_new1072z00_3143;
BgL_new1072z00_3143 = 
((BgL_avahizd2objectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2objectzd2_bgl) ))); 
{ /* Llib/avahi.scm 54 */
 long BgL_arg1871z00_3144;
BgL_arg1871z00_3144 = 
BGL_CLASS_NUM(BGl_avahizd2objectzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_3143), BgL_arg1871z00_3144); } 
return BgL_new1072z00_3143;} } 

}



/* &<@anonymous:1865> */
obj_t BGl_z62zc3z04anonymousza31865ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2678, obj_t BgL_new1070z00_2679)
{
{ /* Llib/avahi.scm 52 */
{ 
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_auxz00_5731;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2679))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2679))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2679))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2679))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2679))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2679))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2679))))->BgL_errnoz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_5731 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2679); 
return 
((obj_t)BgL_auxz00_5731);} } 

}



/* &lambda1863 */
BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1863z62zz__avahi_avahiz00(obj_t BgL_envz00_2680)
{
{ /* Llib/avahi.scm 52 */
{ /* Llib/avahi.scm 52 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1069z00_3146;
BgL_new1069z00_3146 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 52 */
 long BgL_arg1864z00_3147;
BgL_arg1864z00_3147 = 
BGL_CLASS_NUM(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_3146), BgL_arg1864z00_3147); } 
return BgL_new1069z00_3146;} } 

}



/* &lambda1861 */
BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1861z62zz__avahi_avahiz00(obj_t BgL_envz00_2681, obj_t BgL_fname1062z00_2682, obj_t BgL_location1063z00_2683, obj_t BgL_stack1064z00_2684, obj_t BgL_proc1065z00_2685, obj_t BgL_msg1066z00_2686, obj_t BgL_obj1067z00_2687, obj_t BgL_errno1068z00_2688)
{
{ /* Llib/avahi.scm 52 */
{ /* Llib/avahi.scm 52 */
 int BgL_errno1068z00_3148;
BgL_errno1068z00_3148 = 
CINT(BgL_errno1068z00_2688); 
{ /* Llib/avahi.scm 52 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1214z00_3149;
{ /* Llib/avahi.scm 52 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1213z00_3150;
BgL_new1213z00_3150 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 52 */
 long BgL_arg1862z00_3151;
BgL_arg1862z00_3151 = 
BGL_CLASS_NUM(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1213z00_3150), BgL_arg1862z00_3151); } 
BgL_new1214z00_3149 = BgL_new1213z00_3150; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1214z00_3149)))->BgL_fnamez00)=((obj_t)BgL_fname1062z00_2682),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1214z00_3149)))->BgL_locationz00)=((obj_t)BgL_location1063z00_2683),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1214z00_3149)))->BgL_stackz00)=((obj_t)BgL_stack1064z00_2684),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1214z00_3149)))->BgL_procz00)=((obj_t)BgL_proc1065z00_2685),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1214z00_3149)))->BgL_msgz00)=((obj_t)BgL_msg1066z00_2686),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1214z00_3149)))->BgL_objz00)=((obj_t)BgL_obj1067z00_2687),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1214z00_3149)))->BgL_errnoz00)=((int)BgL_errno1068z00_3148),BUNSPEC); 
return BgL_new1214z00_3149;} } } 

}



/* &<@anonymous:1848> */
obj_t BGl_z62zc3z04anonymousza31848ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2689, obj_t BgL_new1060z00_2690)
{
{ /* Llib/avahi.scm 50 */
{ 
 BgL_z62avahizd2errorzb0_bglt BgL_auxz00_5779;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2690))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2690))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2690))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2690))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2690))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2690))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2690)))->BgL_errnoz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_5779 = 
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2690); 
return 
((obj_t)BgL_auxz00_5779);} } 

}



/* &lambda1846 */
BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1846z62zz__avahi_avahiz00(obj_t BgL_envz00_2691)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1059z00_3153;
BgL_new1059z00_3153 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 50 */
 long BgL_arg1847z00_3154;
BgL_arg1847z00_3154 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_3153), BgL_arg1847z00_3154); } 
return BgL_new1059z00_3153;} } 

}



/* &lambda1844 */
BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1844z62zz__avahi_avahiz00(obj_t BgL_envz00_2692, obj_t BgL_fname1052z00_2693, obj_t BgL_location1053z00_2694, obj_t BgL_stack1054z00_2695, obj_t BgL_proc1055z00_2696, obj_t BgL_msg1056z00_2697, obj_t BgL_obj1057z00_2698, obj_t BgL_errno1058z00_2699)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
 int BgL_errno1058z00_3155;
BgL_errno1058z00_3155 = 
CINT(BgL_errno1058z00_2699); 
{ /* Llib/avahi.scm 50 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1212z00_3156;
{ /* Llib/avahi.scm 50 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1211z00_3157;
BgL_new1211z00_3157 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 50 */
 long BgL_arg1845z00_3158;
BgL_arg1845z00_3158 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1211z00_3157), BgL_arg1845z00_3158); } 
BgL_new1212z00_3156 = BgL_new1211z00_3157; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_3156)))->BgL_fnamez00)=((obj_t)BgL_fname1052z00_2693),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_3156)))->BgL_locationz00)=((obj_t)BgL_location1053z00_2694),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_3156)))->BgL_stackz00)=((obj_t)BgL_stack1054z00_2695),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_3156)))->BgL_procz00)=((obj_t)BgL_proc1055z00_2696),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_3156)))->BgL_msgz00)=((obj_t)BgL_msg1056z00_2697),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_3156)))->BgL_objz00)=((obj_t)BgL_obj1057z00_2698),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1212z00_3156))->BgL_errnoz00)=((int)BgL_errno1058z00_3155),BUNSPEC); 
return BgL_new1212z00_3156;} } } 

}



/* &<@anonymous:1855> */
obj_t BGl_z62zc3z04anonymousza31855ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2700)
{
{ /* Llib/avahi.scm 50 */
return 
BINT(((long)0));} 

}



/* &lambda1854 */
obj_t BGl_z62lambda1854z62zz__avahi_avahiz00(obj_t BgL_envz00_2701, obj_t BgL_oz00_2702, obj_t BgL_vz00_2703)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
 int BgL_vz00_3160;
BgL_vz00_3160 = 
CINT(BgL_vz00_2703); 
return 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_oz00_2702)))->BgL_errnoz00)=((int)BgL_vz00_3160),BUNSPEC);} } 

}



/* &lambda1853 */
obj_t BGl_z62lambda1853z62zz__avahi_avahiz00(obj_t BgL_envz00_2704, obj_t BgL_oz00_2705)
{
{ /* Llib/avahi.scm 50 */
return 
BINT(
(((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_oz00_2705)))->BgL_errnoz00));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2649z00zz__avahi_avahiz00, BGl_avahizd2objectzd2zz__avahi_avahiz00, BGl_string2650z00zz__avahi_avahiz00);} 

}



/* &avahi-init1263 */
obj_t BGl_z62avahizd2init1263zb0zz__avahi_avahiz00(obj_t BgL_envz00_2709, obj_t BgL_oz00_2710)
{
{ /* Llib/avahi.scm 314 */
return 
((obj_t)
((BgL_avahizd2objectzd2_bglt)BgL_oz00_2710));} 

}



/* avahi-init */
BGL_EXPORTED_DEF obj_t BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt BgL_oz00_13)
{
{ /* Llib/avahi.scm 314 */
{ /* Llib/avahi.scm 314 */
 obj_t BgL_method1264z00_1202;
{ /* Llib/avahi.scm 314 */
 obj_t BgL_res2335z00_1985;
{ /* Llib/avahi.scm 314 */
 long BgL_objzd2classzd2numz00_1956;
BgL_objzd2classzd2numz00_1956 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_13)); 
{ /* Llib/avahi.scm 314 */
 obj_t BgL_arg1798z00_1957;
BgL_arg1798z00_1957 = 
PROCEDURE_REF(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, 
(int)(((long)1))); 
{ /* Llib/avahi.scm 314 */
 int BgL_offsetz00_1960;
BgL_offsetz00_1960 = 
(int)(BgL_objzd2classzd2numz00_1956); 
{ /* Llib/avahi.scm 314 */
 long BgL_offsetz00_1961;
BgL_offsetz00_1961 = 
(
(long)(BgL_offsetz00_1960)-OBJECT_TYPE); 
{ /* Llib/avahi.scm 314 */
 long BgL_modz00_1962;
BgL_modz00_1962 = 
(BgL_offsetz00_1961 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/avahi.scm 314 */
 long BgL_restz00_1964;
BgL_restz00_1964 = 
(BgL_offsetz00_1961 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/avahi.scm 314 */

{ /* Llib/avahi.scm 314 */
 obj_t BgL_bucketz00_1966;
BgL_bucketz00_1966 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_1957),BgL_modz00_1962); 
BgL_res2335z00_1985 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1966),BgL_restz00_1964); } } } } } } } } 
BgL_method1264z00_1202 = BgL_res2335z00_1985; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1264z00_1202))(BgL_method1264z00_1202, 
((obj_t)BgL_oz00_13), BEOA);} } 

}



/* &avahi-init */
obj_t BGl_z62avahizd2initzb0zz__avahi_avahiz00(obj_t BgL_envz00_2706, obj_t BgL_oz00_2707)
{
{ /* Llib/avahi.scm 314 */
{ /* Llib/avahi.scm 314 */
 BgL_avahizd2objectzd2_bglt BgL_auxz00_5865;
{ /* Llib/avahi.scm 314 */
 bool_t BgL_test3129z00_5866;
{ /* Llib/avahi.scm 314 */
 obj_t BgL_classz00_3163;
BgL_classz00_3163 = BGl_avahizd2objectzd2zz__avahi_avahiz00; 
if(
BGL_OBJECTP(BgL_oz00_2707))
{ /* Llib/avahi.scm 314 */
 BgL_objectz00_bglt BgL_arg1796z00_3165; long BgL_arg1797z00_3166;
BgL_arg1796z00_3165 = 
(BgL_objectz00_bglt)(BgL_oz00_2707); 
BgL_arg1797z00_3166 = 
BGL_CLASS_DEPTH(BgL_classz00_3163); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 314 */
 long BgL_idxz00_3174;
BgL_idxz00_3174 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_3165); 
{ /* Llib/avahi.scm 314 */
 obj_t BgL_arg1788z00_3175;
{ /* Llib/avahi.scm 314 */
 long BgL_arg1789z00_3176;
BgL_arg1789z00_3176 = 
(BgL_idxz00_3174+BgL_arg1797z00_3166); 
BgL_arg1788z00_3175 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_3176); } 
BgL_test3129z00_5866 = 
(BgL_arg1788z00_3175==BgL_classz00_3163); } }  else 
{ /* Llib/avahi.scm 314 */
 bool_t BgL_res2674z00_3199;
{ /* Llib/avahi.scm 314 */
 obj_t BgL_oclassz00_3184;
{ /* Llib/avahi.scm 314 */
 long BgL_arg1801z00_3190;
{ /* Llib/avahi.scm 314 */
 long BgL_arg1802z00_3191;
BgL_arg1802z00_3191 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_3165); 
BgL_arg1801z00_3190 = 
(BgL_arg1802z00_3191-OBJECT_TYPE); } 
BgL_oclassz00_3184 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_3190); } 
{ /* Llib/avahi.scm 314 */
 bool_t BgL__ortest_1110z00_3185;
BgL__ortest_1110z00_3185 = 
(BgL_classz00_3163==BgL_oclassz00_3184); 
if(BgL__ortest_1110z00_3185)
{ /* Llib/avahi.scm 314 */
BgL_res2674z00_3199 = BgL__ortest_1110z00_3185; }  else 
{ /* Llib/avahi.scm 314 */
 long BgL_odepthz00_3186;
BgL_odepthz00_3186 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3184); 
if(
(BgL_arg1797z00_3166<BgL_odepthz00_3186))
{ /* Llib/avahi.scm 314 */
 obj_t BgL_arg1790z00_3188;
BgL_arg1790z00_3188 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3184, BgL_arg1797z00_3166); 
BgL_res2674z00_3199 = 
(BgL_arg1790z00_3188==BgL_classz00_3163); }  else 
{ /* Llib/avahi.scm 314 */
BgL_res2674z00_3199 = ((bool_t)0); } } } } 
BgL_test3129z00_5866 = BgL_res2674z00_3199; } }  else 
{ /* Llib/avahi.scm 314 */
BgL_test3129z00_5866 = ((bool_t)0)
; } } 
if(BgL_test3129z00_5866)
{ /* Llib/avahi.scm 314 */
BgL_auxz00_5865 = 
((BgL_avahizd2objectzd2_bglt)BgL_oz00_2707)
; }  else 
{ 
 obj_t BgL_auxz00_5888;
BgL_auxz00_5888 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2424z00zz__avahi_avahiz00, 
BINT(((long)13044)), BGl_string2651z00zz__avahi_avahiz00, BGl_string2652z00zz__avahi_avahiz00, BgL_oz00_2707); 
FAILURE(BgL_auxz00_5888,BFALSE,BFALSE);} } 
return 
BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_auxz00_5865);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_avahizd2clientzd2zz__avahi_avahiz00, BGl_proc2653z00zz__avahi_avahiz00, BGl_string2654z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_avahizd2pollzd2zz__avahi_avahiz00, BGl_proc2655z00zz__avahi_avahiz00, BGl_string2654z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00, BGl_proc2656z00zz__avahi_avahiz00, BGl_string2657z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00, BGl_proc2658z00zz__avahi_avahiz00, BGl_string2657z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2clientzd2zz__avahi_avahiz00, BGl_proc2659z00zz__avahi_avahiz00, BGl_string2657z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00, BGl_proc2660z00zz__avahi_avahiz00, BGl_string2657z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00, BGl_proc2661z00zz__avahi_avahiz00, BGl_string2657z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00, BGl_proc2662z00zz__avahi_avahiz00, BGl_string2657z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00, BGl_proc2663z00zz__avahi_avahiz00, BGl_string2657z00zz__avahi_avahiz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00, BGl_proc2664z00zz__avahi_avahiz00, BGl_string2657z00zz__avahi_avahiz00);} 

}



/* &avahi-init-avahi-ser1281 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1281zb0zz__avahi_avahiz00(obj_t BgL_envz00_2723, obj_t BgL_oz00_2724)
{
{ /* Llib/avahi.scm 733 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2724)))->BgL_procz00), 
(int)(((long)12))))
{ /* Llib/avahi.scm 735 */
{ /* Llib/avahi.scm 737 */
 BgL_avahizd2clientzd2_bglt BgL_i1192z00_3201;
BgL_i1192z00_3201 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2724)))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_5910;
{ /* Llib/avahi.scm 738 */
 obj_t BgL_arg2321z00_3202;
BgL_arg2321z00_3202 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1192z00_3201))->BgL_resolversz00); 
BgL_auxz00_5910 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2724)), BgL_arg2321z00_3202); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1192z00_3201))->BgL_resolversz00)=((obj_t)BgL_auxz00_5910),BUNSPEC); } } 
{ /* Llib/avahi.scm 739 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_tmpz00_5916;
BgL_tmpz00_5916 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2724); 
bgl_avahi_service_resolver_new(BgL_tmpz00_5916); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 740 */
 obj_t BgL_arg2322z00_3203;
BgL_arg2322z00_3203 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2724)))->BgL_procz00); 
{ /* Llib/avahi.scm 740 */
 char * BgL_procz00_3204; char * BgL_msgz00_3205;
BgL_procz00_3204 = 
BSTRING_TO_STRING(BGl_string2474z00zz__avahi_avahiz00); 
BgL_msgz00_3205 = 
BSTRING_TO_STRING(BGl_string2441z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1289z00_3206;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3207;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3208;
BgL_new1142z00_3208 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1332z00_3209;
BgL_arg1332z00_3209 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3208), BgL_arg1332z00_3209); } 
BgL_new1143z00_3207 = BgL_new1142z00_3208; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3207)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3207)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5931;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1330z00_3210;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1331z00_3211;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3212;
BgL_classz00_3212 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1331z00_3211 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3212); } 
BgL_arg1330z00_3210 = 
VECTOR_REF(BgL_arg1331z00_3211,((long)2)); } 
BgL_auxz00_5931 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1330z00_3210); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3207)))->BgL_stackz00)=((obj_t)BgL_auxz00_5931),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3207)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3204)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3207)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3205)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3207)))->BgL_objz00)=((obj_t)BgL_arg2322z00_3203),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3207))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1289z00_3206 = BgL_new1143z00_3207; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1289z00_3206));} } } } 

}



/* &avahi-init-avahi-dom1279 */
obj_t BGl_z62avahizd2initzd2avahizd2dom1279zb0zz__avahi_avahiz00(obj_t BgL_envz00_2725, obj_t BgL_oz00_2726)
{
{ /* Llib/avahi.scm 713 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2726)))->BgL_procz00), 
(int)(((long)5))))
{ /* Llib/avahi.scm 715 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3136z00_5953;
BgL_tmp3136z00_5953 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2726)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3136z00_5953; } 
{ /* Llib/avahi.scm 718 */
 obj_t BgL_arg2315z00_3214;
BgL_arg2315z00_3214 = 
BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2726)))->BgL_btypez00)); 
{ /* Llib/avahi.scm 718 */
 AvahiDomainBrowserType BgL_auxz00_5964; BgL_avahizd2domainzd2browserz00_bglt BgL_tmpz00_5962;
BgL_auxz00_5964 = 
(long)CINT(BgL_arg2315z00_3214); 
BgL_tmpz00_5962 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2726); 
bgl_avahi_domain_browser_new(BgL_tmpz00_5962, BgL_auxz00_5964); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 719 */
 obj_t BgL_arg2317z00_3215;
BgL_arg2317z00_3215 = 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2726)))->BgL_procz00); 
{ /* Llib/avahi.scm 719 */
 char * BgL_procz00_3216; char * BgL_msgz00_3217;
BgL_procz00_3216 = 
BSTRING_TO_STRING(BGl_string2472z00zz__avahi_avahiz00); 
BgL_msgz00_3217 = 
BSTRING_TO_STRING(BGl_string2441z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1289z00_3218;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3219;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3220;
BgL_new1142z00_3220 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1332z00_3221;
BgL_arg1332z00_3221 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3220), BgL_arg1332z00_3221); } 
BgL_new1143z00_3219 = BgL_new1142z00_3220; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3219)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3219)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5979;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1330z00_3222;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1331z00_3223;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3224;
BgL_classz00_3224 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1331z00_3223 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3224); } 
BgL_arg1330z00_3222 = 
VECTOR_REF(BgL_arg1331z00_3223,((long)2)); } 
BgL_auxz00_5979 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1330z00_3222); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3219)))->BgL_stackz00)=((obj_t)BgL_auxz00_5979),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3219)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3216)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3219)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3217)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3219)))->BgL_objz00)=((obj_t)BgL_arg2317z00_3215),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3219))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1289z00_3218 = BgL_new1143z00_3219; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1289z00_3218));} } } } 

}



/* &avahi-init-avahi-ser1277 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1277zb0zz__avahi_avahiz00(obj_t BgL_envz00_2727, obj_t BgL_oz00_2728)
{
{ /* Llib/avahi.scm 693 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2728)))->BgL_procz00), 
(int)(((long)7))))
{ /* Llib/avahi.scm 695 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3138z00_6001;
BgL_tmp3138z00_6001 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2728)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3138z00_6001; } 
{ /* Llib/avahi.scm 698 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_tmpz00_6007;
BgL_tmpz00_6007 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2728); 
bgl_avahi_service_type_browser_new(BgL_tmpz00_6007); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 699 */
 obj_t BgL_arg2311z00_3226;
BgL_arg2311z00_3226 = 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2728)))->BgL_procz00); 
{ /* Llib/avahi.scm 699 */
 char * BgL_procz00_3227; char * BgL_msgz00_3228;
BgL_procz00_3227 = 
BSTRING_TO_STRING(BGl_string2665z00zz__avahi_avahiz00); 
BgL_msgz00_3228 = 
BSTRING_TO_STRING(BGl_string2441z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1289z00_3229;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3230;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3231;
BgL_new1142z00_3231 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1332z00_3232;
BgL_arg1332z00_3232 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3231), BgL_arg1332z00_3232); } 
BgL_new1143z00_3230 = BgL_new1142z00_3231; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3230)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3230)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6022;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1330z00_3233;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1331z00_3234;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3235;
BgL_classz00_3235 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1331z00_3234 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3235); } 
BgL_arg1330z00_3233 = 
VECTOR_REF(BgL_arg1331z00_3234,((long)2)); } 
BgL_auxz00_6022 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1330z00_3233); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3230)))->BgL_stackz00)=((obj_t)BgL_auxz00_6022),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3230)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3227)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3230)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3228)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3230)))->BgL_objz00)=((obj_t)BgL_arg2311z00_3226),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3230))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1289z00_3229 = BgL_new1143z00_3230; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1289z00_3229));} } } } 

}



/* &avahi-init-avahi-ser1275 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1275zb0zz__avahi_avahiz00(obj_t BgL_envz00_2729, obj_t BgL_oz00_2730)
{
{ /* Llib/avahi.scm 670 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2730)))->BgL_procz00), 
(int)(((long)8))))
{ /* Llib/avahi.scm 672 */
{ /* Llib/avahi.scm 674 */
 BgL_avahizd2clientzd2_bglt BgL_i1186z00_3237;
BgL_i1186z00_3237 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2730)))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_6046;
{ /* Llib/avahi.scm 675 */
 obj_t BgL_arg2306z00_3238;
BgL_arg2306z00_3238 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1186z00_3237))->BgL_z52browsersz52); 
BgL_auxz00_6046 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2730)), BgL_arg2306z00_3238); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1186z00_3237))->BgL_z52browsersz52)=((obj_t)BgL_auxz00_6046),BUNSPEC); } } 
{ /* Llib/avahi.scm 676 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_tmpz00_6052;
BgL_tmpz00_6052 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2730); 
bgl_avahi_service_browser_new(BgL_tmpz00_6052); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 677 */
 obj_t BgL_arg2307z00_3239;
BgL_arg2307z00_3239 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2730)))->BgL_procz00); 
{ /* Llib/avahi.scm 677 */
 char * BgL_procz00_3240; char * BgL_msgz00_3241;
BgL_procz00_3240 = 
BSTRING_TO_STRING(BGl_string2470z00zz__avahi_avahiz00); 
BgL_msgz00_3241 = 
BSTRING_TO_STRING(BGl_string2441z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1289z00_3242;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3243;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3244;
BgL_new1142z00_3244 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1332z00_3245;
BgL_arg1332z00_3245 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3244), BgL_arg1332z00_3245); } 
BgL_new1143z00_3243 = BgL_new1142z00_3244; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3243)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3243)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6067;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1330z00_3246;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1331z00_3247;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3248;
BgL_classz00_3248 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1331z00_3247 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3248); } 
BgL_arg1330z00_3246 = 
VECTOR_REF(BgL_arg1331z00_3247,((long)2)); } 
BgL_auxz00_6067 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1330z00_3246); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3243)))->BgL_stackz00)=((obj_t)BgL_auxz00_6067),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3243)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3240)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3243)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3241)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3243)))->BgL_objz00)=((obj_t)BgL_arg2307z00_3239),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3243))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1289z00_3242 = BgL_new1143z00_3243; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1289z00_3242));} } } } 

}



/* &avahi-init-avahi-ent1272 */
obj_t BGl_z62avahizd2initzd2avahizd2ent1272zb0zz__avahi_avahiz00(obj_t BgL_envz00_2731, obj_t BgL_oz00_2732)
{
{ /* Llib/avahi.scm 522 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2732)))->BgL_procz00), 
(int)(((long)2))))
{ /* Llib/avahi.scm 524 */
{ /* Llib/avahi.scm 526 */
 BgL_avahizd2clientzd2_bglt BgL_i1160z00_3250;
BgL_i1160z00_3250 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2732)))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_6091;
{ /* Llib/avahi.scm 527 */
 obj_t BgL_arg2301z00_3251;
BgL_arg2301z00_3251 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1160z00_3250))->BgL_z52groupsz52); 
BgL_auxz00_6091 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2732)), BgL_arg2301z00_3251); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1160z00_3250))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_6091),BUNSPEC); } } 
{ /* Llib/avahi.scm 528 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_tmpz00_6097;
BgL_tmpz00_6097 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2732); 
bgl_avahi_entry_group_new(BgL_tmpz00_6097); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 529 */
 obj_t BgL_arg2302z00_3252;
BgL_arg2302z00_3252 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2732)))->BgL_procz00); 
{ /* Llib/avahi.scm 529 */
 char * BgL_procz00_3253; char * BgL_msgz00_3254;
BgL_procz00_3253 = 
BSTRING_TO_STRING(BGl_string2459z00zz__avahi_avahiz00); 
BgL_msgz00_3254 = 
BSTRING_TO_STRING(BGl_string2441z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1289z00_3255;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3256;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3257;
BgL_new1142z00_3257 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1332z00_3258;
BgL_arg1332z00_3258 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3257), BgL_arg1332z00_3258); } 
BgL_new1143z00_3256 = BgL_new1142z00_3257; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3256)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3256)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6112;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1330z00_3259;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1331z00_3260;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3261;
BgL_classz00_3261 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1331z00_3260 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3261); } 
BgL_arg1330z00_3259 = 
VECTOR_REF(BgL_arg1331z00_3260,((long)2)); } 
BgL_auxz00_6112 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1330z00_3259); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3256)))->BgL_stackz00)=((obj_t)BgL_auxz00_6112),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3256)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3253)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3256)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3254)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3256)))->BgL_objz00)=((obj_t)BgL_arg2302z00_3252),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3256))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1289z00_3255 = BgL_new1143z00_3256; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1289z00_3255));} } } } 

}



/* &avahi-init-avahi-cli1270 */
obj_t BGl_z62avahizd2initzd2avahizd2cli1270zb0zz__avahi_avahiz00(obj_t BgL_envz00_2733, obj_t BgL_oz00_2734)
{
{ /* Llib/avahi.scm 473 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2734)))->BgL_procz00), 
(int)(((long)2))))
{ /* Llib/avahi.scm 475 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3142z00_6134;
BgL_tmp3142z00_6134 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2734)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3142z00_6134; } 
{ /* Llib/avahi.scm 478 */
 BgL_avahizd2clientzd2_bglt BgL_tmpz00_6140;
BgL_tmpz00_6140 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2734); 
bgl_avahi_client_new(BgL_tmpz00_6140); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 479 */
 obj_t BgL_arg2297z00_3263;
BgL_arg2297z00_3263 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2734)))->BgL_procz00); 
{ /* Llib/avahi.scm 479 */
 char * BgL_procz00_3264; char * BgL_msgz00_3265;
BgL_procz00_3264 = 
BSTRING_TO_STRING(BGl_string2666z00zz__avahi_avahiz00); 
BgL_msgz00_3265 = 
BSTRING_TO_STRING(BGl_string2441z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1289z00_3266;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3267;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3268;
BgL_new1142z00_3268 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1332z00_3269;
BgL_arg1332z00_3269 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3268), BgL_arg1332z00_3269); } 
BgL_new1143z00_3267 = BgL_new1142z00_3268; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3267)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3267)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6155;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1330z00_3270;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1331z00_3271;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3272;
BgL_classz00_3272 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1331z00_3271 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3272); } 
BgL_arg1330z00_3270 = 
VECTOR_REF(BgL_arg1331z00_3271,((long)2)); } 
BgL_auxz00_6155 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1330z00_3270); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3267)))->BgL_stackz00)=((obj_t)BgL_auxz00_6155),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3267)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3264)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3267)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3265)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3267)))->BgL_objz00)=((obj_t)BgL_arg2297z00_3263),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3267))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1289z00_3266 = BgL_new1143z00_3267; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1289z00_3266));} } } } 

}



/* &avahi-init-avahi-thr1268 */
obj_t BGl_z62avahizd2initzd2avahizd2thr1268zb0zz__avahi_avahiz00(obj_t BgL_envz00_2735, obj_t BgL_oz00_2736)
{
{ /* Llib/avahi.scm 411 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3143z00_6172;
BgL_tmp3143z00_6172 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2736)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3143z00_6172; } 
{ /* Llib/avahi.scm 413 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_tmpz00_6178;
BgL_tmpz00_6178 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2736); 
bgl_avahi_threaded_poll_new(BgL_tmpz00_6178); } BUNSPEC; 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2736))))->BgL_z42ctypez42)=((int)
(int)(((long)2))),BUNSPEC); 
BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00(); 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2736));} 

}



/* &avahi-init-avahi-sim1266 */
obj_t BGl_z62avahizd2initzd2avahizd2sim1266zb0zz__avahi_avahiz00(obj_t BgL_envz00_2737, obj_t BgL_oz00_2738)
{
{ /* Llib/avahi.scm 366 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3144z00_6188;
BgL_tmp3144z00_6188 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2738)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3144z00_6188; } 
{ /* Llib/avahi.scm 368 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_tmpz00_6194;
BgL_tmpz00_6194 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2738); 
bgl_avahi_simple_poll_new(BgL_tmpz00_6194); } BUNSPEC; 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2738))))->BgL_z42ctypez42)=((int)
(int)(((long)1))),BUNSPEC); 
return 
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2738));} 

}



/* &object-display-avahi1262 */
obj_t BGl_z62objectzd2displayzd2avahi1262z62zz__avahi_avahiz00(obj_t BgL_envz00_2739, obj_t BgL_oz00_2740, obj_t BgL_portz00_2741)
{
{ /* Llib/avahi.scm 219 */
{ /* Llib/avahi.scm 220 */
 obj_t BgL_arg2288z00_3276;
if(
NULLP(BgL_portz00_2741))
{ /* Llib/avahi.scm 220 */
 obj_t BgL_tmpz00_6205;
BgL_tmpz00_6205 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2288z00_3276 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6205); }  else 
{ /* Llib/avahi.scm 220 */
BgL_arg2288z00_3276 = 
CAR(
((obj_t)BgL_portz00_2741)); } 
{ /* Llib/avahi.scm 222 */
 obj_t BgL_zc3z04anonymousza32291ze3z87_3277;
BgL_zc3z04anonymousza32291ze3z87_3277 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32291ze3ze5zz__avahi_avahiz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32291ze3z87_3277, 
(int)(((long)0)), 
((obj_t)
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2740))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg2288z00_3276, BgL_zc3z04anonymousza32291ze3z87_3277);} } } 

}



/* &<@anonymous:2291> */
obj_t BGl_z62zc3z04anonymousza32291ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2742)
{
{ /* Llib/avahi.scm 221 */
{ /* Llib/avahi.scm 222 */
 BgL_avahizd2pollzd2_bglt BgL_oz00_2743;
BgL_oz00_2743 = 
((BgL_avahizd2pollzd2_bglt)
PROCEDURE_REF(BgL_envz00_2742, 
(int)(((long)0)))); 
{ /* Llib/avahi.scm 222 */
 obj_t BgL_port1232z00_3278;
{ /* Llib/avahi.scm 222 */
 obj_t BgL_tmpz00_6221;
BgL_tmpz00_6221 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1232z00_3278 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6221); } 
bgl_display_string(BGl_string2667z00zz__avahi_avahiz00, BgL_port1232z00_3278); 
{ /* Llib/avahi.scm 222 */
 obj_t BgL_arg2292z00_3279;
{ /* Llib/avahi.scm 222 */
 obj_t BgL_arg2293z00_3280;
{ /* Llib/avahi.scm 222 */
 long BgL_arg1801z00_3281;
{ /* Llib/avahi.scm 222 */
 long BgL_arg1802z00_3282;
BgL_arg1802z00_3282 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_2743)); 
BgL_arg1801z00_3281 = 
(BgL_arg1802z00_3282-OBJECT_TYPE); } 
BgL_arg2293z00_3280 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_3281); } 
BgL_arg2292z00_3279 = 
BGl_classzd2namezd2zz__objectz00(BgL_arg2293z00_3280); } 
bgl_display_obj(BgL_arg2292z00_3279, BgL_port1232z00_3278); } 
bgl_display_string(BGl_string2668z00zz__avahi_avahiz00, BgL_port1232z00_3278); 
return 
bgl_display_char(((unsigned char)10), BgL_port1232z00_3278);} } } 

}



/* &object-display-avahi1260 */
obj_t BGl_z62objectzd2displayzd2avahi1260z62zz__avahi_avahiz00(obj_t BgL_envz00_2744, obj_t BgL_oz00_2745, obj_t BgL_portz00_2746)
{
{ /* Llib/avahi.scm 210 */
{ /* Llib/avahi.scm 211 */
 obj_t BgL_arg2280z00_3284;
if(
NULLP(BgL_portz00_2746))
{ /* Llib/avahi.scm 211 */
 obj_t BgL_tmpz00_6235;
BgL_tmpz00_6235 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2280z00_3284 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6235); }  else 
{ /* Llib/avahi.scm 211 */
BgL_arg2280z00_3284 = 
CAR(
((obj_t)BgL_portz00_2746)); } 
{ /* Llib/avahi.scm 213 */
 obj_t BgL_zc3z04anonymousza32283ze3z87_3285;
BgL_zc3z04anonymousza32283ze3z87_3285 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32283ze3ze5zz__avahi_avahiz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32283ze3z87_3285, 
(int)(((long)0)), 
((obj_t)
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2745))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg2280z00_3284, BgL_zc3z04anonymousza32283ze3z87_3285);} } } 

}



/* &<@anonymous:2283> */
obj_t BGl_z62zc3z04anonymousza32283ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2747)
{
{ /* Llib/avahi.scm 212 */
{ /* Llib/avahi.scm 214 */
 BgL_avahizd2clientzd2_bglt BgL_oz00_2748;
BgL_oz00_2748 = 
((BgL_avahizd2clientzd2_bglt)
PROCEDURE_REF(BgL_envz00_2747, 
(int)(((long)0)))); 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_port1231z00_3286;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_tmpz00_6251;
BgL_tmpz00_6251 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1231z00_3286 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6251); } 
bgl_display_string(BGl_string2669z00zz__avahi_avahiz00, BgL_port1231z00_3286); 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg2284z00_3287;
BgL_arg2284z00_3287 = 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2748), 
(int)(((long)4))); 
bgl_display_obj(BgL_arg2284z00_3287, BgL_port1231z00_3286); } 
bgl_display_string(BGl_string2670z00zz__avahi_avahiz00, BgL_port1231z00_3286); 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg2285z00_3288;
BgL_arg2285z00_3288 = 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2748), 
(int)(((long)1))); 
bgl_display_obj(BgL_arg2285z00_3288, BgL_port1231z00_3286); } 
bgl_display_string(BGl_string2671z00zz__avahi_avahiz00, BgL_port1231z00_3286); 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg2286z00_3289;
BgL_arg2286z00_3289 = 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2748), 
(int)(((long)2))); 
bgl_display_obj(BgL_arg2286z00_3289, BgL_port1231z00_3286); } 
return 
bgl_display_char(((unsigned char)10), BgL_port1231z00_3286);} } } 

}

#ifdef __cplusplus
}
#endif
