/*===========================================================================*/
/*   (Llib/block_ciphers.scm)                                                */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IPosix Llib/block_ciphers.scm -o objs/block_ciphers.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_blockzd2cipherzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   long BgL_blockzd2siza7ez75;
   long BgL_preferredzd2keyzd2lengthz00;
   obj_t BgL_encryptz12z12;
   obj_t BgL_decryptz12z12;
   obj_t BgL_keyzd2ze3encryptzd2paramze3;
   obj_t BgL_keyzd2ze3decryptzd2paramze3;
} *BgL_blockzd2cipherzd2_bglt;

typedef struct BgL_cipherzd2statezd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_cipherzd2statezd2_bglt;

typedef struct BgL_ecbzd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_ecbzd2encryptzd2_bglt;

typedef struct BgL_ecbzd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_ecbzd2decryptzd2_bglt;

typedef struct BgL_cbczd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cbczd2encryptzd2_bglt;

typedef struct BgL_cbczd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cbczd2decryptzd2_bglt;

typedef struct BgL_pcbczd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_pcbczd2encryptzd2_bglt;

typedef struct BgL_pcbczd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_pcbczd2decryptzd2_bglt;

typedef struct BgL_streamzd2cipherzd2statez00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_streamzd2cipherzd2statez00_bglt;

typedef struct BgL_cfbzd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_chainz00;
} *BgL_cfbzd2encryptzd2_bglt;

typedef struct BgL_cfbzd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cfbzd2decryptzd2_bglt;

typedef struct BgL_ofbz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_chainz00;
} *BgL_ofbz00_bglt;

typedef struct BgL_ctrz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_noncez00;
   obj_t BgL_noncezd2strzd2;
   long BgL_blockzd2counterzd2;
   obj_t BgL_noncezd2initz12zc0;
   obj_t BgL_noncezd2updatez12zc0;
} *BgL_ctrz00_bglt;

typedef struct BgL_cipherzd2modezd2statez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_encryptzf3zf3;
   long BgL_blockzd2siza7ez75;
   struct BgL_cipherzd2statezd2_bgl * BgL_cipherzd2statezd2;
   obj_t BgL_ivzd2actionzd2;
   obj_t BgL_ivz00;
   obj_t BgL_padzf2unpadzf2;
   obj_t BgL_loopzd2bufferzd2;
   long BgL_posz00;
} *BgL_cipherzd2modezd2statez00_bglt;


static obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1323za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2497z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2498z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1351zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1357zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1363zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_OFBz00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
extern obj_t BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(obj_t, long, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32082ze32775ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1325z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1329z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1335za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1339za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1341z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00(void);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1347z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_search1415ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1499ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1343za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1349za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1359z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00(void);
static BgL_pcbczd2encryptzd2_bglt BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static long BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt, obj_t, long, obj_t, obj_t, long, obj_t);
static obj_t BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00(void);
static BgL_cipherzd2statezd2_bglt BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, bool_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cfbzd2decryptzd2_bglt BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(obj_t, BgL_blockzd2cipherzd2_bglt);
static obj_t BGl_search1451ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz121314za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00(void);
static obj_t BGl_z62dozd2cipherzd2blockz121316z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1427ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl__encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_ofbz00_bglt BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62zc3z04anonymousza32216ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static long BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt, obj_t, long, obj_t, obj_t, long, obj_t);
static obj_t BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
static BgL_blockzd2cipherzd2_bglt BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CTR1361za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2OFB1355za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ctrz00_bglt BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, long);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32413ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32316ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1463ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32082ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, BgL_cipherzd2modezd2statez00_bglt, long, obj_t, long);
static obj_t BGl_z62zc3z04anonymousza32423ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32326ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static obj_t BGl_search1439ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2cipherzd2paddingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__mmapz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1327za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32530ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32336ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1367ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1331za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static obj_t BGl_z62lambda2300z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2301z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(long, obj_t);
static obj_t BGl_z62lambda2305z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2306z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT bool_t rgc_buffer_eof_p(obj_t);
static BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2312z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2314z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32508ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32249ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2O1353z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(void);
static obj_t BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(void);
static obj_t BGl_z62lambda2400z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2401z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00(void);
static BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2322z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2324z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2405z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2406z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_blockzd2cipherzd2_bglt BGl_z62lambda2245z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1475ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static BgL_blockzd2cipherzd2_bglt BGl_z62lambda2247z62zz__cryptozd2blockzd2ciphersz00(obj_t);
BGL_IMPORT long bgl_rgc_blit_string(obj_t, char *, long, long);
BGL_EXPORTED_DECL BgL_blockzd2cipherzd2_bglt BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_streamzd2cipherzd2statez00_bglt BGl_z62lambda2411z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32291ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cbczd2encryptzd2_bglt BGl_z62lambda2332z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2253z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cbczd2encryptzd2_bglt BGl_z62lambda2334z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32356ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2254z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1333z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2419z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2258z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2259z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1337z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_CTRz00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2340z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2421z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2341z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2504z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2263z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32438ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2506z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t, long, obj_t, long);
static obj_t BGl_z62lambda2264z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2345z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_pcbczd2decryptzd2_bglt BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62lambda2346z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2427z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2428z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static obj_t BGl_z62lambda2268z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2269z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl__decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2512z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2513z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_z62lambda2352z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2434z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2273z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_z62lambda2354z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2274z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2436z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2517z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2518z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2278z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2279z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32216ze32776ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2360z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cipherzd2statezd2_bglt BGl_z62lambda2522z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2361z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2442z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2523z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2443z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32537ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2283z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2284z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2365z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62lambda2366z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2447z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2528z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2448z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2529z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cipherzd2statezd2_bglt BGl_z62lambda2289z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32473ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32554ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
static BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2372z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32376ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_ofbz00_bglt BGl_z62lambda2454z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2535z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2374z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2536z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ofbz00_bglt BGl_z62lambda2456z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2296z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1318zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2541z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2380z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2542z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2381z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2462z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2463z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32458ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2546z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2385z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2547z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2386z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ctrz00_bglt BGl_z62lambda2469z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1403ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static BgL_cbczd2encryptzd2_bglt BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static BgL_ctrz00_bglt BGl_z62lambda2471z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2552z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2553z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2392z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1487ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2394z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2477z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2478z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t, long, obj_t, long, long, long);
static obj_t BGl_z62lambda2482z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2483z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2487z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2488z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1345zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32396ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1321za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2492z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2493z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 84 ] ;


extern obj_t BGl_bytezd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_STRING( BGl_string3100z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3100za700za7za7_3280za7, "encrypt-file", 12 );
DEFINE_STRING( BGl_string3101z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3101za700za7za7_3281za7, "Could not open file", 19 );
DEFINE_STRING( BGl_string3102z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3102za700za7za7_3282za7, "pair", 4 );
DEFINE_STRING( BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3103za700za7za7_3283za7, "_encrypt-sendchars", 18 );
DEFINE_STRING( BGl_string3104z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3104za700za7za7_3284za7, "output-port", 11 );
DEFINE_STRING( BGl_string3105z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3105za700za7za7_3285za7, "wrong number of arguments: [4..10] expected, provided", 53 );
DEFINE_STRING( BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3106za700za7za7_3286za7, "_decrypt", 8 );
DEFINE_STRING( BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3107za700za7za7_3287za7, "_decrypt-string", 15 );
DEFINE_STRING( BGl_string3108z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3108za700za7za7_3288za7, "&decrypt-fast-string", 20 );
DEFINE_STRING( BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3109za700za7za7_3289za7, "_decrypt-mmap", 13 );
extern obj_t BGl_za7erozd2padzd2envza7zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3290z00, BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_STRING( BGl_string3110z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3110za700za7za7_3291za7, "&decrypt-fast-mmap", 18 );
DEFINE_STRING( BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3111za700za7za7_3292za7, "_decrypt-port", 13 );
DEFINE_STRING( BGl_string3112z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3112za700za7za7_3293za7, "&decrypt-fast-port", 18 );
DEFINE_STRING( BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3113za700za7za7_3294za7, "_decrypt-file", 13 );
DEFINE_STRING( BGl_string3114z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3114za700za7za7_3295za7, "decrypt-file", 12 );
DEFINE_STRING( BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3115za700za7za7_3296za7, "_decrypt-sendchars", 18 );
DEFINE_STRING( BGl_string3116z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3116za700za7za7_3297za7, "&register-cipher!", 17 );
DEFINE_STRING( BGl_string3117z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3117za700za7za7_3298za7, "Block-Cipher", 12 );
DEFINE_STRING( BGl_string3118z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3118za700za7za7_3299za7, "block-cipher-description", 24 );
DEFINE_STRING( BGl_string3119z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3119za700za7za7_3300za7, "Could not find cipher", 21 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza700za7za7__c3301za7, opt_generic_entry, BGl__decryptz00zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STRING( BGl_string3120z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3120za700za7za7_3302za7, "&block-cipher-description", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3303z00, BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
extern obj_t BGl_ansizd2xze2923zd2padzd2envz30zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3200z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2477za7623304z00, BGl_z62lambda2477z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3201z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2483za7623305z00, BGl_z62lambda2483z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3202z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2482za7623306z00, BGl_z62lambda2482z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3121z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2254za7623307z00, BGl_z62lambda2254z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3203z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2488za7623308z00, BGl_z62lambda2488z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3122z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2253za7623309z00, BGl_z62lambda2253z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3204z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2487za7623310z00, BGl_z62lambda2487z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3123z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2259za7623311z00, BGl_z62lambda2259z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3205z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2493za7623312z00, BGl_z62lambda2493z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3124z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2258za7623313z00, BGl_z62lambda2258z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3206z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2492za7623314z00, BGl_z62lambda2492z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3125z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2264za7623315z00, BGl_z62lambda2264z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3207z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2498za7623316z00, BGl_z62lambda2498z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3126z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2263za7623317z00, BGl_z62lambda2263z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3208z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2497za7623318z00, BGl_z62lambda2497z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3127z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2269za7623319z00, BGl_z62lambda2269z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3209z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3320za7, BGl_z62zc3z04anonymousza32473ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3128z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2268za7623321z00, BGl_z62lambda2268z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3129z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2274za7623322z00, BGl_z62lambda2274z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3323z00, BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3210z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2471za7623324z00, BGl_z62lambda2471z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3211z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2469za7623325z00, BGl_z62lambda2469z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3130z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2273za7623326z00, BGl_z62lambda2273z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3212z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2513za7623327z00, BGl_z62lambda2513z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3131z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2279za7623328z00, BGl_z62lambda2279z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3213z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2512za7623329z00, BGl_z62lambda2512z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3132z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2278za7623330z00, BGl_z62lambda2278z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3214z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2518za7623331z00, BGl_z62lambda2518z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3133z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2284za7623332z00, BGl_z62lambda2284z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3215z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2517za7623333z00, BGl_z62lambda2517z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3134z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2283za7623334z00, BGl_z62lambda2283z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3216z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2523za7623335z00, BGl_z62lambda2523z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3135z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3336za7, BGl_z62zc3z04anonymousza32249ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3217z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2522za7623337z00, BGl_z62lambda2522z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3136z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2247za7623338z00, BGl_z62lambda2247z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3218z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3339za7, BGl_z62zc3z04anonymousza32530ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3137z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2245za7623340z00, BGl_z62lambda2245z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3219z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2529za7623341z00, BGl_z62lambda2529z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3138z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2296za7623342z00, BGl_z62lambda2296z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3139z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2295za7623343z00, BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3069za700za7za7_3344za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/crypto/src/Llib/block_ciphers.scm", 73 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_blockzd2cipherzd2descriptionzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762blockza7d2ciphe3345z00, BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3220z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2528za7623346z00, BGl_z62lambda2528z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3221z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3347za7, BGl_z62zc3z04anonymousza32537ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3140z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2301za7623348z00, BGl_z62lambda2301z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3222z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2536za7623349z00, BGl_z62lambda2536z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3141z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2300za7623350z00, BGl_z62lambda2300z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3223z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2535za7623351z00, BGl_z62lambda2535z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3142z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2306za7623352z00, BGl_z62lambda2306z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3224z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2542za7623353z00, BGl_z62lambda2542z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3143z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2305za7623354z00, BGl_z62lambda2305z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3225z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2541za7623355z00, BGl_z62lambda2541z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3144z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3356za7, BGl_z62zc3z04anonymousza32291ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3226z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2547za7623357z00, BGl_z62lambda2547z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3145z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2289za7623358z00, BGl_z62lambda2289z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3070z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3070za700za7za7_3359za7, "&default-nonce-init!", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3227z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2546za7623360z00, BGl_z62lambda2546z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3146z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3361za7, BGl_z62zc3z04anonymousza32316ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3071za700za7za7_3362za7, "bstring", 7 );
DEFINE_STRING( BGl_string3234z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3234za700za7za7_3363za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3228z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3364za7, BGl_z62zc3z04anonymousza32554ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3147z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2314za7623365z00, BGl_z62lambda2314z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3072z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3072za700za7za7_3366za7, "&default-nonce-update!", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3229z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2553za7623367z00, BGl_z62lambda2553z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3148z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2312za7623368z00, BGl_z62lambda2312z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3073z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3073za700za7za7_3369za7, "encrypt-input!", 14 );
DEFINE_STRING( BGl_string3236z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3236za700za7za7_3370za7, "do-cipher-IV-init!1314", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3149z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3371za7, BGl_z62zc3z04anonymousza32326ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3074z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3074za700za7za7_3372za7, "Internal Error. Unexpected IV-action", 36 );
DEFINE_STRING( BGl_string3075z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3075za700za7za7_3373za7, "IV", 2 );
DEFINE_STRING( BGl_string3238z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3238za700za7za7_3374za7, "do-cipher-block!1316", 20 );
DEFINE_STRING( BGl_string3076z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3076za700za7za7_3375za7, "Could not read IV", 17 );
DEFINE_STRING( BGl_string3077z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3077za700za7za7_3376za7, "decrypt-input!", 14 );
DEFINE_STRING( BGl_string3078z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3078za700za7za7_3377za7, "decrypt", 7 );
DEFINE_STRING( BGl_string3079z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3079za700za7za7_3378za7, "Message size must be a multiple of block-size", 45 );
extern obj_t BGl_bitzd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3230z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2552za7623379z00, BGl_z62lambda2552z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3231z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3380za7, BGl_z62zc3z04anonymousza32508ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3150z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2324za7623381z00, BGl_z62lambda2324z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3232z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2506za7623382z00, BGl_z62lambda2506z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3151z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2322za7623383z00, BGl_z62lambda2322z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
extern obj_t BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3233z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2504za7623384z00, BGl_z62lambda2504z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3152z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2341za7623385z00, BGl_z62lambda2341z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3240z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3240za700za7za7_3386za7, "do-cipher-partial-bl1318", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3153z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2340za7623387z00, BGl_z62lambda2340z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3241z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3241za700za7za7_3388za7, "en/decrypt-partial-block", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3235z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3389za7, BGl_z62dozd2cipherzd2IVzd2initz121314za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3154z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2346za7623390z00, BGl_z62lambda2346z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3242z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3242za700za7za7_3391za7, "Internal Error: Could not find method for state", 47 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3155z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2345za7623392z00, BGl_z62lambda2345z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3080z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3080za700za7za7_3393za7, "encrypt", 7 );
DEFINE_STRING( BGl_string3243z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3243za700za7za7_3394za7, "en/decrypt-block", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3237z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3395za7, BGl_z62dozd2cipherzd2blockz121316z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3156z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3396za7, BGl_z62zc3z04anonymousza32336ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3081z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3081za700za7za7_3397za7, "Unknown cipher mode", 19 );
DEFINE_STRING( BGl_string3244z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3244za700za7za7_3398za7, "cipher-IV-init", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3157z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2334za7623399z00, BGl_z62lambda2334z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3082z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3082za700za7za7_3400za7, "Invalid padding mode", 20 );
DEFINE_STRING( BGl_string3245z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3245za700za7za7_3401za7, "&do-cipher-IV-init!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3239z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3402za7, BGl_z62dozd2cipherzd2partialzd2bl1318zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3158z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2332za7623403z00, BGl_z62lambda2332z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3083z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3083za700za7za7_3404za7, "encryption", 10 );
DEFINE_STRING( BGl_string3246z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3246za700za7za7_3405za7, "Cipher-State", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3159z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2361za7623406z00, BGl_z62lambda2361z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3084z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3084za700za7za7_3407za7, "IV vector is too small", 22 );
DEFINE_STRING( BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3247za700za7za7_3408za7, "&do-cipher-block!", 17 );
DEFINE_STRING( BGl_string3085z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3085za700za7za7_3409za7, "Illegal keyword argument", 24 );
DEFINE_BGL_L_PROCEDURE(BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2portza7d3410za7, BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_STRING( BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3248za700za7za7_3411za7, "&do-cipher-partial-block!", 25 );
DEFINE_STRING( BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3086za700za7za7_3412za7, "_encrypt", 8 );
DEFINE_STRING( BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3087za700za7za7_3413za7, "bint", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2mmapzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2mmapza73414z00, opt_generic_entry, BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STRING( BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3088za700za7za7_3415za7, "symbol", 6 );
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3416za7, BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3089z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3089za700za7za7_3417za7, "procedure", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3160z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2360za7623418z00, BGl_z62lambda2360z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3161z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2366za7623419z00, BGl_z62lambda2366z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3162z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2365za7623420z00, BGl_z62lambda2365z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3250z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3250za700za7za7_3421za7, "do-cipher-block!", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3163z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3422za7, BGl_z62zc3z04anonymousza32356ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3164z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2354za7623423z00, BGl_z62lambda2354z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3165z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2352za7623424z00, BGl_z62lambda2352z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3090z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3090za700za7za7_3425za7, "wrong number of arguments: [3..9] expected, provided", 52 );
DEFINE_STRING( BGl_string3253z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3253za700za7za7_3426za7, "do-cipher-IV-init!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3166z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2381za7623427z00, BGl_z62lambda2381z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3091za700za7za7_3428za7, "_encrypt-string", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3167z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2380za7623429z00, BGl_z62lambda2380z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3092z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3092za700za7za7_3430za7, "&encrypt-fast-string", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3249z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3431za7, BGl_z62dozd2cipherzd2blockz12zd2ECB1321za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3168z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2386za7623432z00, BGl_z62lambda2386z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3093za700za7za7_3433za7, "_encrypt-mmap", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3169z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2385za7623434z00, BGl_z62lambda2385z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3094z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3094za700za7za7_3435za7, "mmap", 4 );
DEFINE_STRING( BGl_string3095z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3095za700za7za7_3436za7, "&encrypt-fast-mmap", 18 );
DEFINE_STRING( BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3096za700za7za7_3437za7, "_encrypt-port", 13 );
DEFINE_STRING( BGl_string3097z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3097za700za7za7_3438za7, "input-port", 10 );
DEFINE_STRING( BGl_string3098z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3098za700za7za7_3439za7, "&encrypt-fast-port", 18 );
DEFINE_STRING( BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3099za700za7za7_3440za7, "_encrypt-file", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2filezd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2fileza73441z00, opt_generic_entry, BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3251z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3442za7, BGl_z62dozd2cipherzd2blockz12zd2ECB1323za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3170z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3443za7, BGl_z62zc3z04anonymousza32376ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3252z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3444za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1325z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3171z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2374za7623445z00, BGl_z62lambda2374z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3172z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2372za7623446z00, BGl_z62lambda2372z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3254z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3447za7, BGl_z62dozd2cipherzd2blockz12zd2CBC1327za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3173z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2401za7623448z00, BGl_z62lambda2401z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3255z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3449za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1329z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3174z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2400za7623450z00, BGl_z62lambda2400z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3256z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3451za7, BGl_z62dozd2cipherzd2blockz12zd2CBC1331za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3175z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2406za7623452z00, BGl_z62lambda2406z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3257z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3453za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2P1333z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3176z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2405za7623454z00, BGl_z62lambda2405z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3264z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3264za700za7za7_3455za7, "do-cipher-partial-block!", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3258z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3456za7, BGl_z62dozd2cipherzd2blockz12zd2PCB1335za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3177z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3457za7, BGl_z62zc3z04anonymousza32396ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3259z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3458za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2P1337z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3178z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2394za7623459z00, BGl_z62lambda2394z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3179z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2392za7623460z00, BGl_z62lambda2392z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3260z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3461za7, BGl_z62dozd2cipherzd2blockz12zd2PCB1339za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3261z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3462za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1341z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3180z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3463za7, BGl_z62zc3z04anonymousza32413ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3262z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3464za7, BGl_z62dozd2cipherzd2blockz12zd2CFB1343za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3181z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2411za7623465z00, BGl_z62lambda2411z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3263z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3466za7, BGl_z62dozd2cipherzd2partialzd2bl1345zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3182z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2428za7623467z00, BGl_z62lambda2428z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3183z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2427za7623468z00, BGl_z62lambda2427z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3265z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3469za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1347z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3184z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3470za7, BGl_z62zc3z04anonymousza32423ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3266z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3471za7, BGl_z62dozd2cipherzd2blockz12zd2CFB1349za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3185z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2421za7623472z00, BGl_z62lambda2421z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3267z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3473za7, BGl_z62dozd2cipherzd2partialzd2bl1351zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3186z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2419za7623474z00, BGl_z62lambda2419z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3274z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3274za700za7za7_3475za7, "__crypto-block-ciphers", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3268z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3476za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2O1353z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3187z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2443za7623477z00, BGl_z62lambda2443z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3275z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3275za700za7za7_3478za7, "unspecified _ Cipher-Mode-State pos loop-buffer pad/unpad IV symbol IV-action cipher-state bool encrypt? CTR nonce-update! nonce-init! block-counter nonce-str nonce OFB CFB-Decrypt CFB-Encrypt Stream-Cipher-State PCBC-Decrypt PCBC-Encrypt CBC-Decrypt CBC-Encrypt chain buffer ECB-Decrypt ECB-Encrypt Cipher-State obj param cipher __crypto-block-ciphers Block-Cipher key->decrypt-param key->encrypt-param decrypt! procedure encrypt! preferred-key-length long block-size bstring name decrypt-sendchars decrypt-file::bstring decrypt-port::bstring decrypt-mmap::bstring decrypt-string::bstring decrypt decrypt::bstring encrypt-sendchars encrypt-file::bstring encrypt-port::bstring encrypt-mmap::bstring encrypt-string::bstring encrypt :string->key :pad :nonce-update! :nonce-init! :mode :IV encrypt::bstring (:IV :mode :nonce-init! :nonce-update! :pad :string->key) zero pkcs7 iso-10126 ansi-x.923 bit none ctr ofb pcbc cbc cfb ecb read do-nothing done write init ", 960 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3269z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3479za7, BGl_z62dozd2cipherzd2blockz12zd2OFB1355za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3188z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2442za7623480z00, BGl_z62lambda2442z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3481z00, BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3189z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2448za7623482z00, BGl_z62lambda2448z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762writeza7d2portza73483za7, BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3484z00, BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3270z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3485za7, BGl_z62dozd2cipherzd2partialzd2bl1357zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3271z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3486za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1359z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3190z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2447za7623487z00, BGl_z62lambda2447z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3272z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3488za7, BGl_z62dozd2cipherzd2blockz12zd2CTR1361za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3191z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3489za7, BGl_z62zc3z04anonymousza32438ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3273z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3490za7, BGl_z62dozd2cipherzd2partialzd2bl1363zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3192z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2436za7623491z00, BGl_z62lambda2436z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3193z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2434za7623492z00, BGl_z62lambda2434z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3194z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2463za7623493z00, BGl_z62lambda2463z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3195z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2462za7623494z00, BGl_z62lambda2462z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3196z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3495za7, BGl_z62zc3z04anonymousza32458ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3197z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2456za7623496z00, BGl_z62lambda2456z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3198z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2454za7623497z00, BGl_z62lambda2454z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3199z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2478za7623498z00, BGl_z62lambda2478z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_nozd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2portzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2portza73499z00, opt_generic_entry, BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3500z00, BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2sendcharszd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2sendc3501za7, opt_generic_entry, BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2sendcharszd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2sendc3502za7, opt_generic_entry, BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762defaultza7d2non3503z00, BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_bitzd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2mmapzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2mmapza73504z00, opt_generic_entry, BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
BGL_IMPORT obj_t BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00;
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3505za7, BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2filezd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2fileza73506z00, opt_generic_entry, BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
extern obj_t BGl_isozd210126zd2padzd2envzd2zz__cryptozd2cipherzd2paddingz00;
extern obj_t BGl_za7erozd2unpadzd2envza7zz__cryptozd2cipherzd2paddingz00;
extern obj_t BGl_pkcs7zd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_BGL_L_PROCEDURE(BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2mmapza7d3507za7, BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3508za7, BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2portzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2portza73509z00, opt_generic_entry, BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2stringzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2strin3510za7, opt_generic_entry, BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
extern obj_t BGl_nozd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2stringzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2strin3511za7, opt_generic_entry, BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762defaultza7d2non3512z00, BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza700za7za7__c3513za7, opt_generic_entry, BGl__encryptz00zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_BGL_L_PROCEDURE(BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2string3514z00, BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_registerzd2cipherz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762registerza7d2ci3515z00, BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_OFBz00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CTRz00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00(long BgL_checksumz00_6062, char * BgL_fromz00_6063)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00))
{ 
BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
return 
BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__mmapz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__crypto-block-ciphers"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_cportz00_5412;
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_stringz00_5419;
BgL_stringz00_5419 = BGl_string3275z00zz__cryptozd2blockzd2ciphersz00; 
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_startz00_5420;
BgL_startz00_5420 = 
BINT(((long)0)); 
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_endz00_5421;
BgL_endz00_5421 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_5419))); 
{ /* Llib/block_ciphers.scm 1 */

BgL_cportz00_5412 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_5419, BgL_startz00_5420, BgL_endz00_5421); } } } } 
{ 
 long BgL_iz00_5413;
BgL_iz00_5413 = ((long)83); 
BgL_loopz00_5414:
if(
(BgL_iz00_5413==((long)-1)))
{ /* Llib/block_ciphers.scm 1 */
return BUNSPEC;}  else 
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_arg3276z00_5415;
{ /* Llib/block_ciphers.scm 1 */

{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_locationz00_5417;
BgL_locationz00_5417 = 
BBOOL(((bool_t)0)); 
{ /* Llib/block_ciphers.scm 1 */

BgL_arg3276z00_5415 = 
BGl_readz00zz__readerz00(BgL_cportz00_5412, BgL_locationz00_5417); } } } 
{ /* Llib/block_ciphers.scm 1 */
 int BgL_tmpz00_6100;
BgL_tmpz00_6100 = 
(int)(BgL_iz00_5413); 
CNST_TABLE_SET(BgL_tmpz00_6100, BgL_arg3276z00_5415); } } 
{ /* Llib/block_ciphers.scm 1 */
 int BgL_auxz00_5418;
BgL_auxz00_5418 = 
(int)(
(BgL_iz00_5413-((long)1))); 
{ 
 long BgL_iz00_6105;
BgL_iz00_6105 = 
(long)(BgL_auxz00_5418); 
BgL_iz00_5413 = BgL_iz00_6105; 
goto BgL_loopz00_5414;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
return ( 
BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = BNIL, BUNSPEC) ;} 

}



/* &read-string-at! */
obj_t BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4357, obj_t BgL_strz00_4358, long BgL_strzd2poszd2_4359, obj_t BgL_tozd2strzd2_4360, long BgL_tozd2poszd2_4361, long BgL_lenz00_4362)
{
{ /* Llib/block_ciphers.scm 142 */
{ /* Llib/block_ciphers.scm 143 */
 long BgL_tmpz00_6108;
{ /* Llib/block_ciphers.scm 143 */
 long BgL_strzd2lenzd2_5427;
BgL_strzd2lenzd2_5427 = 
STRING_LENGTH(
((obj_t)BgL_strz00_4358)); 
{ /* Llib/block_ciphers.scm 143 */

if(
(
(BgL_strzd2poszd2_4359+BgL_lenz00_4362)<=BgL_strzd2lenzd2_5427))
{ /* Llib/block_ciphers.scm 144 */
blit_string(
((obj_t)BgL_strz00_4358), BgL_strzd2poszd2_4359, BgL_tozd2strzd2_4360, BgL_tozd2poszd2_4361, BgL_lenz00_4362); 
BgL_tmpz00_6108 = BgL_lenz00_4362; }  else 
{ /* Llib/block_ciphers.scm 148 */
 long BgL_remainingzd2lenzd2_5428;
BgL_remainingzd2lenzd2_5428 = 
(BgL_strzd2lenzd2_5427-BgL_strzd2poszd2_4359); 
blit_string(
((obj_t)BgL_strz00_4358), BgL_strzd2poszd2_4359, BgL_tozd2strzd2_4360, BgL_tozd2poszd2_4361, BgL_remainingzd2lenzd2_5428); 
BgL_tmpz00_6108 = BgL_remainingzd2lenzd2_5428; } } } 
return 
BINT(BgL_tmpz00_6108);} } 

}



/* &read-mmap-at! */
obj_t BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4363, obj_t BgL_mmapz00_4364, long BgL_mmapzd2poszd2_4365, obj_t BgL_tozd2strzd2_4366, long BgL_tozd2poszd2_4367, long BgL_lenz00_4368)
{
{ /* Llib/block_ciphers.scm 151 */
{ /* Llib/block_ciphers.scm 152 */
 long BgL_tmpz00_6120;
{ 
 long BgL_lenz00_5430;
BgL_lenz00_5430 = BgL_lenz00_4368; 
BgL_readzd2mmapzd2atz12z12_5429:
{ /* Llib/block_ciphers.scm 152 */
 long BgL_mmapzd2lenzd2_5431;
{ /* Llib/block_ciphers.scm 152 */
 obj_t BgL_tmpz00_6121;
BgL_tmpz00_6121 = 
((obj_t)BgL_mmapz00_4364); 
BgL_mmapzd2lenzd2_5431 = 
BGL_MMAP_LENGTH(BgL_tmpz00_6121); } 
if(
(BgL_lenz00_5430==((long)0)))
{ /* Llib/block_ciphers.scm 154 */
BgL_tmpz00_6120 = ((long)0)
; }  else 
{ /* Llib/block_ciphers.scm 155 */
 bool_t BgL_test3520z00_6126;
{ /* Llib/block_ciphers.scm 155 */
 long BgL_n2z00_5432;
BgL_n2z00_5432 = 
(long)(BgL_mmapzd2lenzd2_5431); 
BgL_test3520z00_6126 = 
(
(BgL_mmapzd2poszd2_4365+BgL_lenz00_5430)>BgL_n2z00_5432); } 
if(BgL_test3520z00_6126)
{ /* Llib/block_ciphers.scm 156 */
 long BgL_arg1619z00_5433;
{ /* Llib/block_ciphers.scm 156 */
 long BgL_za71za7_5434;
BgL_za71za7_5434 = 
(long)(BgL_mmapzd2lenzd2_5431); 
BgL_arg1619z00_5433 = 
(BgL_za71za7_5434-BgL_mmapzd2poszd2_4365); } 
{ 
 long BgL_lenz00_6132;
BgL_lenz00_6132 = BgL_arg1619z00_5433; 
BgL_lenz00_5430 = BgL_lenz00_6132; 
goto BgL_readzd2mmapzd2atz12z12_5429;} }  else 
{ 
 long BgL_iz00_5436;
BgL_iz00_5436 = ((long)0); 
BgL_loopz00_5435:
if(
(BgL_iz00_5436==BgL_lenz00_5430))
{ /* Llib/block_ciphers.scm 159 */
BgL_tmpz00_6120 = BgL_lenz00_5430
; }  else 
{ /* Llib/block_ciphers.scm 159 */
{ /* Llib/block_ciphers.scm 162 */
 long BgL_arg1629z00_5437; unsigned char BgL_arg1631z00_5438;
BgL_arg1629z00_5437 = 
(BgL_tozd2poszd2_4367+BgL_iz00_5436); 
{ /* Llib/block_ciphers.scm 163 */
 long BgL_arg1650z00_5439;
BgL_arg1650z00_5439 = 
(BgL_mmapzd2poszd2_4365+BgL_iz00_5436); 
{ /* Llib/block_ciphers.scm 163 */
 unsigned char BgL_res2712z00_5440;
{ /* Llib/block_ciphers.scm 163 */
 long BgL_iz00_5441;
BgL_iz00_5441 = 
(long)(BgL_arg1650z00_5439); 
{ /* Llib/block_ciphers.scm 163 */
 unsigned char BgL_cz00_5442;
{ /* Llib/block_ciphers.scm 163 */
 obj_t BgL_tmpz00_6138;
BgL_tmpz00_6138 = 
((obj_t)BgL_mmapz00_4364); 
BgL_cz00_5442 = 
BGL_MMAP_REF(BgL_tmpz00_6138, BgL_iz00_5441); } 
{ /* Llib/block_ciphers.scm 163 */
 long BgL_arg1688z00_5443;
BgL_arg1688z00_5443 = 
(BgL_iz00_5441+((long)1)); 
{ /* Llib/block_ciphers.scm 163 */
 obj_t BgL_tmpz00_6142;
BgL_tmpz00_6142 = 
((obj_t)BgL_mmapz00_4364); 
BGL_MMAP_RP_SET(BgL_tmpz00_6142, BgL_arg1688z00_5443); } BUNSPEC; BgL_arg1688z00_5443; } 
BgL_res2712z00_5440 = BgL_cz00_5442; } } 
BgL_arg1631z00_5438 = BgL_res2712z00_5440; } } 
STRING_SET(BgL_tozd2strzd2_4366, BgL_arg1629z00_5437, BgL_arg1631z00_5438); } 
{ 
 long BgL_iz00_6146;
BgL_iz00_6146 = 
(BgL_iz00_5436+((long)1)); 
BgL_iz00_5436 = BgL_iz00_6146; 
goto BgL_loopz00_5435;} } } } } } 
return 
BINT(BgL_tmpz00_6120);} } 

}



/* &read-port-at! */
obj_t BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4369, obj_t BgL_pz00_4370, long BgL_pzd2poszd2_4371, obj_t BgL_tozd2strzd2_4372, long BgL_tozd2poszd2_4373, long BgL_lenz00_4374)
{
{ /* Llib/block_ciphers.scm 165 */
{ /* Llib/block_ciphers.scm 166 */
 obj_t BgL_nz00_5448;
{ /* Llib/block_ciphers.scm 166 */
 long BgL_nz00_5449;
BgL_nz00_5449 = 
bgl_rgc_blit_string(BgL_pz00_4370, 
BSTRING_TO_STRING(BgL_tozd2strzd2_4372), BgL_tozd2poszd2_4373, BgL_lenz00_4374); 
{ /* Llib/block_ciphers.scm 166 */
 bool_t BgL_test3522z00_6151;
if(
(BgL_nz00_5449==((long)0)))
{ /* Llib/block_ciphers.scm 166 */
BgL_test3522z00_6151 = 
rgc_buffer_eof_p(BgL_pz00_4370)
; }  else 
{ /* Llib/block_ciphers.scm 166 */
BgL_test3522z00_6151 = ((bool_t)0)
; } 
if(BgL_test3522z00_6151)
{ /* Llib/block_ciphers.scm 166 */
BgL_nz00_5448 = BEOF; }  else 
{ /* Llib/block_ciphers.scm 166 */
BgL_nz00_5448 = 
BINT(BgL_nz00_5449); } } } 
if(
EOF_OBJECTP(BgL_nz00_5448))
{ /* Llib/block_ciphers.scm 167 */
return 
BINT(((long)0));}  else 
{ /* Llib/block_ciphers.scm 167 */
return BgL_nz00_5448;} } } 

}



/* &write-port-at! */
obj_t BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4375, obj_t BgL_fromz00_4376, obj_t BgL_fromzd2poszd2_4377, obj_t BgL_pz00_4378, obj_t BgL_pzd2poszd2_4379, obj_t BgL_lenz00_4380)
{
{ /* Llib/block_ciphers.scm 171 */
{ /* Llib/block_ciphers.scm 173 */
 bool_t BgL_tmpz00_6159;
{ /* Llib/block_ciphers.scm 173 */
 long BgL_fromzd2poszd2_5450;
BgL_fromzd2poszd2_5450 = 
(long)CINT(BgL_fromzd2poszd2_4377); 
{ 
 long BgL_iz00_5453;
BgL_iz00_5453 = ((long)0); 
BgL_loopz00_5452:
if(
(BgL_iz00_5453==
(long)CINT(BgL_lenz00_4380)))
{ /* Llib/block_ciphers.scm 173 */
BgL_tmpz00_6159 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 173 */
{ /* Llib/block_ciphers.scm 174 */
 unsigned char BgL_arg1670z00_5454;
BgL_arg1670z00_5454 = 
STRING_REF(
((obj_t)BgL_fromz00_4376), 
(BgL_fromzd2poszd2_5450+BgL_iz00_5453)); 
{ /* Llib/block_ciphers.scm 174 */
 obj_t BgL_tmpz00_6167;
BgL_tmpz00_6167 = 
((obj_t)BgL_pz00_4378); 
bgl_display_char(BgL_arg1670z00_5454, BgL_tmpz00_6167); } } 
{ 
 long BgL_iz00_6170;
BgL_iz00_6170 = 
(BgL_iz00_5453+((long)1)); 
BgL_iz00_5453 = BgL_iz00_6170; 
goto BgL_loopz00_5452;} } } } 
return 
BBOOL(BgL_tmpz00_6159);} } 

}



/* &default-nonce-init! */
obj_t BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4381, obj_t BgL_strz00_4382, obj_t BgL_noncez00_4383)
{
{ /* Llib/block_ciphers.scm 189 */
{ /* Llib/block_ciphers.scm 190 */
 obj_t BgL_strz00_5455;
if(
STRINGP(BgL_strz00_4382))
{ /* Llib/block_ciphers.scm 190 */
BgL_strz00_5455 = BgL_strz00_4382; }  else 
{ 
 obj_t BgL_auxz00_6175;
BgL_auxz00_6175 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)6773)), BGl_string3070z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_strz00_4382); 
FAILURE(BgL_auxz00_6175,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 190 */
 long BgL_arg1711z00_5456;
{ /* Llib/block_ciphers.scm 190 */
 long BgL_az00_5457; long BgL_bz00_5458;
BgL_az00_5457 = 
STRING_LENGTH(BgL_strz00_5455); 
BgL_bz00_5458 = 
STRING_LENGTH(
((obj_t)BgL_noncez00_4383)); 
if(
(BgL_az00_5457<BgL_bz00_5458))
{ /* Llib/block_ciphers.scm 191 */
BgL_arg1711z00_5456 = BgL_az00_5457; }  else 
{ /* Llib/block_ciphers.scm 191 */
BgL_arg1711z00_5456 = BgL_bz00_5458; } } 
return 
blit_string(
((obj_t)BgL_noncez00_4383), ((long)0), BgL_strz00_5455, ((long)0), BgL_arg1711z00_5456);} } } 

}



/* &default-nonce-update! */
obj_t BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4384, obj_t BgL_strz00_4385, obj_t BgL_noncez00_4386, obj_t BgL_iz00_4387)
{
{ /* Llib/block_ciphers.scm 192 */
{ /* Llib/block_ciphers.scm 193 */
 obj_t BgL_strz00_5459;
if(
STRINGP(BgL_strz00_4385))
{ /* Llib/block_ciphers.scm 193 */
BgL_strz00_5459 = BgL_strz00_4385; }  else 
{ 
 obj_t BgL_auxz00_6188;
BgL_auxz00_6188 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)6889)), BGl_string3072z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_strz00_4385); 
FAILURE(BgL_auxz00_6188,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 193 */
 long BgL_g1163z00_5460;
BgL_g1163z00_5460 = 
(
STRING_LENGTH(BgL_strz00_5459)-((long)1)); 
{ 
 long BgL_iz00_5462;
BgL_iz00_5462 = BgL_g1163z00_5460; 
BgL_loopz00_5461:
if(
(BgL_iz00_5462>=((long)0)))
{ /* Llib/block_ciphers.scm 195 */
 long BgL_cz00_5463;
BgL_cz00_5463 = 
(
STRING_REF(BgL_strz00_5459, BgL_iz00_5462)); 
if(
(BgL_cz00_5463==((long)255)))
{ /* Llib/block_ciphers.scm 196 */
STRING_SET(BgL_strz00_5459, BgL_iz00_5462, ((unsigned char)'\000')); 
{ 
 long BgL_iz00_6201;
BgL_iz00_6201 = 
(BgL_iz00_5462-((long)1)); 
BgL_iz00_5462 = BgL_iz00_6201; 
goto BgL_loopz00_5461;} }  else 
{ /* Llib/block_ciphers.scm 200 */
 unsigned char BgL_tmpz00_6203;
BgL_tmpz00_6203 = 
(
(BgL_cz00_5463+((long)1))); 
return 
STRING_SET(BgL_strz00_5459, BgL_iz00_5462, BgL_tmpz00_6203);} }  else 
{ /* Llib/block_ciphers.scm 194 */
return BFALSE;} } } } } 

}



/* create-ECB-state */
BgL_cipherzd2statezd2_bglt BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_enzf2decryptzf2_50, obj_t BgL_paramz00_51, long BgL_blockzd2siza7ez75_52, bool_t BgL_encryptzf3zf3_53)
{
{ /* Llib/block_ciphers.scm 223 */
if(BgL_encryptzf3zf3_53)
{ /* Llib/block_ciphers.scm 225 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1165z00_498;
{ /* Llib/block_ciphers.scm 228 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1164z00_499;
BgL_new1164z00_499 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 228 */
 long BgL_arg1729z00_500;
BgL_arg1729z00_500 = 
BGL_CLASS_NUM(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1164z00_499), BgL_arg1729z00_500); } 
{ /* Llib/block_ciphers.scm 228 */
 BgL_objectz00_bglt BgL_tmpz00_6212;
BgL_tmpz00_6212 = 
((BgL_objectz00_bglt)BgL_new1164z00_499); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6212, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1164z00_499); 
BgL_new1165z00_498 = BgL_new1164z00_499; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1165z00_498)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_52),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1165z00_498)))->BgL_cipherz00)=((obj_t)BgL_enzf2decryptzf2_50),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1165z00_498)))->BgL_paramz00)=((obj_t)BgL_paramz00_51),BUNSPEC); 
return 
((BgL_cipherzd2statezd2_bglt)BgL_new1165z00_498);}  else 
{ /* Llib/block_ciphers.scm 229 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1167z00_501;
{ /* Llib/block_ciphers.scm 232 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1166z00_502;
BgL_new1166z00_502 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 232 */
 long BgL_arg1730z00_503;
BgL_arg1730z00_503 = 
BGL_CLASS_NUM(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1166z00_502), BgL_arg1730z00_503); } 
{ /* Llib/block_ciphers.scm 232 */
 BgL_objectz00_bglt BgL_tmpz00_6227;
BgL_tmpz00_6227 = 
((BgL_objectz00_bglt)BgL_new1166z00_502); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6227, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1166z00_502); 
BgL_new1167z00_501 = BgL_new1166z00_502; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1167z00_501)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_52),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1167z00_501)))->BgL_cipherz00)=((obj_t)BgL_enzf2decryptzf2_50),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1167z00_501)))->BgL_paramz00)=((obj_t)BgL_paramz00_51),BUNSPEC); 
return 
((BgL_cipherzd2statezd2_bglt)BgL_new1167z00_501);} } 

}



/* create-CBC-encryption-state */
BgL_cbczd2encryptzd2_bglt BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_64, obj_t BgL_paramz00_65, long BgL_blockzd2siza7ez75_66)
{
{ /* Llib/block_ciphers.scm 242 */
{ /* Llib/block_ciphers.scm 243 */
 BgL_cbczd2encryptzd2_bglt BgL_new1171z00_504;
{ /* Llib/block_ciphers.scm 246 */
 BgL_cbczd2encryptzd2_bglt BgL_new1170z00_509;
BgL_new1170z00_509 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 246 */
 long BgL_arg1731z00_510;
BgL_arg1731z00_510 = 
BGL_CLASS_NUM(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1170z00_509), BgL_arg1731z00_510); } 
{ /* Llib/block_ciphers.scm 246 */
 BgL_objectz00_bglt BgL_tmpz00_6242;
BgL_tmpz00_6242 = 
((BgL_objectz00_bglt)BgL_new1170z00_509); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6242, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1170z00_509); 
BgL_new1171z00_504 = BgL_new1170z00_509; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1171z00_504)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_66),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1171z00_504)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_64),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1171z00_504)))->BgL_paramz00)=((obj_t)BgL_paramz00_65),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6252;
{ /* Llib/block_ciphers.scm 247 */

BgL_auxz00_6252 = 
make_string(BgL_blockzd2siza7ez75_66, ((unsigned char)' ')); } 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1171z00_504))->BgL_bufferz00)=((obj_t)BgL_auxz00_6252),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6255;
{ /* Llib/block_ciphers.scm 248 */

BgL_auxz00_6255 = 
make_string(BgL_blockzd2siza7ez75_66, ((unsigned char)' ')); } 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1171z00_504))->BgL_chainz00)=((obj_t)BgL_auxz00_6255),BUNSPEC); } 
return BgL_new1171z00_504;} } 

}



/* create-CBC-decryption-state */
BgL_cbczd2decryptzd2_bglt BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_decryptz00_74, obj_t BgL_paramz00_75, long BgL_blockzd2siza7ez75_76)
{
{ /* Llib/block_ciphers.scm 259 */
{ /* Llib/block_ciphers.scm 260 */
 BgL_cbczd2decryptzd2_bglt BgL_new1175z00_511;
{ /* Llib/block_ciphers.scm 263 */
 BgL_cbczd2decryptzd2_bglt BgL_new1174z00_516;
BgL_new1174z00_516 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 263 */
 long BgL_arg1732z00_517;
BgL_arg1732z00_517 = 
BGL_CLASS_NUM(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1174z00_516), BgL_arg1732z00_517); } 
{ /* Llib/block_ciphers.scm 263 */
 BgL_objectz00_bglt BgL_tmpz00_6262;
BgL_tmpz00_6262 = 
((BgL_objectz00_bglt)BgL_new1174z00_516); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6262, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1174z00_516); 
BgL_new1175z00_511 = BgL_new1174z00_516; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1175z00_511)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_76),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1175z00_511)))->BgL_cipherz00)=((obj_t)BgL_decryptz00_74),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1175z00_511)))->BgL_paramz00)=((obj_t)BgL_paramz00_75),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6272;
{ /* Llib/block_ciphers.scm 264 */

BgL_auxz00_6272 = 
make_string(BgL_blockzd2siza7ez75_76, ((unsigned char)' ')); } 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1175z00_511))->BgL_bufferz00)=((obj_t)BgL_auxz00_6272),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6275;
{ /* Llib/block_ciphers.scm 265 */

BgL_auxz00_6275 = 
make_string(BgL_blockzd2siza7ez75_76, ((unsigned char)' ')); } 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1175z00_511))->BgL_chainz00)=((obj_t)BgL_auxz00_6275),BUNSPEC); } 
return BgL_new1175z00_511;} } 

}



/* create-PCBC-encryption-state */
BgL_pcbczd2encryptzd2_bglt BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_84, obj_t BgL_paramz00_85, long BgL_blockzd2siza7ez75_86)
{
{ /* Llib/block_ciphers.scm 280 */
{ /* Llib/block_ciphers.scm 281 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1179z00_518;
{ /* Llib/block_ciphers.scm 285 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1178z00_523;
BgL_new1178z00_523 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 285 */
 long BgL_arg1738z00_524;
BgL_arg1738z00_524 = 
BGL_CLASS_NUM(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1178z00_523), BgL_arg1738z00_524); } 
{ /* Llib/block_ciphers.scm 285 */
 BgL_objectz00_bglt BgL_tmpz00_6282;
BgL_tmpz00_6282 = 
((BgL_objectz00_bglt)BgL_new1178z00_523); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6282, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1178z00_523); 
BgL_new1179z00_518 = BgL_new1178z00_523; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1179z00_518)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_86),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1179z00_518)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_84),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1179z00_518)))->BgL_paramz00)=((obj_t)BgL_paramz00_85),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6292;
{ /* Llib/block_ciphers.scm 282 */

BgL_auxz00_6292 = 
make_string(BgL_blockzd2siza7ez75_86, ((unsigned char)' ')); } 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1179z00_518))->BgL_bufferz00)=((obj_t)BgL_auxz00_6292),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6295;
{ /* Llib/block_ciphers.scm 286 */

BgL_auxz00_6295 = 
make_string(BgL_blockzd2siza7ez75_86, ((unsigned char)' ')); } 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1179z00_518))->BgL_chainz00)=((obj_t)BgL_auxz00_6295),BUNSPEC); } 
return BgL_new1179z00_518;} } 

}



/* create-PCBC-decryption-state */
BgL_pcbczd2decryptzd2_bglt BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_decryptz00_94, obj_t BgL_paramz00_95, long BgL_blockzd2siza7ez75_96)
{
{ /* Llib/block_ciphers.scm 298 */
{ /* Llib/block_ciphers.scm 299 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1183z00_525;
{ /* Llib/block_ciphers.scm 303 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1182z00_530;
BgL_new1182z00_530 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 303 */
 long BgL_arg1740z00_531;
BgL_arg1740z00_531 = 
BGL_CLASS_NUM(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1182z00_530), BgL_arg1740z00_531); } 
{ /* Llib/block_ciphers.scm 303 */
 BgL_objectz00_bglt BgL_tmpz00_6302;
BgL_tmpz00_6302 = 
((BgL_objectz00_bglt)BgL_new1182z00_530); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6302, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1182z00_530); 
BgL_new1183z00_525 = BgL_new1182z00_530; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1183z00_525)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_96),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1183z00_525)))->BgL_cipherz00)=((obj_t)BgL_decryptz00_94),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1183z00_525)))->BgL_paramz00)=((obj_t)BgL_paramz00_95),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6312;
{ /* Llib/block_ciphers.scm 300 */

BgL_auxz00_6312 = 
make_string(BgL_blockzd2siza7ez75_96, ((unsigned char)' ')); } 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1183z00_525))->BgL_bufferz00)=((obj_t)BgL_auxz00_6312),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6315;
{ /* Llib/block_ciphers.scm 304 */

BgL_auxz00_6315 = 
make_string(BgL_blockzd2siza7ez75_96, ((unsigned char)' ')); } 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1183z00_525))->BgL_chainz00)=((obj_t)BgL_auxz00_6315),BUNSPEC); } 
return BgL_new1183z00_525;} } 

}



/* create-CFB-encryption-state */
BgL_cfbzd2encryptzd2_bglt BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_104, obj_t BgL_paramz00_105, long BgL_blockzd2siza7ez75_106)
{
{ /* Llib/block_ciphers.scm 318 */
{ /* Llib/block_ciphers.scm 319 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1187z00_532;
{ /* Llib/block_ciphers.scm 322 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1186z00_535;
BgL_new1186z00_535 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 322 */
 long BgL_arg1741z00_536;
BgL_arg1741z00_536 = 
BGL_CLASS_NUM(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1186z00_535), BgL_arg1741z00_536); } 
{ /* Llib/block_ciphers.scm 322 */
 BgL_objectz00_bglt BgL_tmpz00_6322;
BgL_tmpz00_6322 = 
((BgL_objectz00_bglt)BgL_new1186z00_535); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6322, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1186z00_535); 
BgL_new1187z00_532 = BgL_new1186z00_535; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1187z00_532)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_106),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1187z00_532)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_104),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1187z00_532)))->BgL_paramz00)=((obj_t)BgL_paramz00_105),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6332;
{ /* Llib/block_ciphers.scm 323 */

BgL_auxz00_6332 = 
make_string(BgL_blockzd2siza7ez75_106, ((unsigned char)' ')); } 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(BgL_new1187z00_532))->BgL_chainz00)=((obj_t)BgL_auxz00_6332),BUNSPEC); } 
return BgL_new1187z00_532;} } 

}



/* create-CFB-decryption-state */
BgL_cfbzd2decryptzd2_bglt BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_121, obj_t BgL_paramz00_122, long BgL_blockzd2siza7ez75_123)
{
{ /* Llib/block_ciphers.scm 341 */
{ /* Llib/block_ciphers.scm 342 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1192z00_537;
{ /* Llib/block_ciphers.scm 346 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1191z00_542;
BgL_new1191z00_542 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 346 */
 long BgL_arg1742z00_543;
BgL_arg1742z00_543 = 
BGL_CLASS_NUM(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1191z00_542), BgL_arg1742z00_543); } 
{ /* Llib/block_ciphers.scm 346 */
 BgL_objectz00_bglt BgL_tmpz00_6339;
BgL_tmpz00_6339 = 
((BgL_objectz00_bglt)BgL_new1191z00_542); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6339, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1191z00_542); 
BgL_new1192z00_537 = BgL_new1191z00_542; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1192z00_537)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_123),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1192z00_537)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_121),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1192z00_537)))->BgL_paramz00)=((obj_t)BgL_paramz00_122),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6349;
{ /* Llib/block_ciphers.scm 343 */

BgL_auxz00_6349 = 
make_string(BgL_blockzd2siza7ez75_123, ((unsigned char)' ')); } 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1192z00_537))->BgL_bufferz00)=((obj_t)BgL_auxz00_6349),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6352;
{ /* Llib/block_ciphers.scm 347 */

BgL_auxz00_6352 = 
make_string(BgL_blockzd2siza7ez75_123, ((unsigned char)' ')); } 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1192z00_537))->BgL_chainz00)=((obj_t)BgL_auxz00_6352),BUNSPEC); } 
return BgL_new1192z00_537;} } 

}



/* create-OFB-state */
BgL_ofbz00_bglt BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_138, obj_t BgL_paramz00_139, long BgL_blockzd2siza7ez75_140)
{
{ /* Llib/block_ciphers.scm 369 */
{ /* Llib/block_ciphers.scm 370 */
 BgL_ofbz00_bglt BgL_new1197z00_544;
{ /* Llib/block_ciphers.scm 373 */
 BgL_ofbz00_bglt BgL_new1196z00_547;
BgL_new1196z00_547 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 373 */
 long BgL_arg1743z00_548;
BgL_arg1743z00_548 = 
BGL_CLASS_NUM(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1196z00_547), BgL_arg1743z00_548); } 
{ /* Llib/block_ciphers.scm 373 */
 BgL_objectz00_bglt BgL_tmpz00_6359;
BgL_tmpz00_6359 = 
((BgL_objectz00_bglt)BgL_new1196z00_547); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6359, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1196z00_547); 
BgL_new1197z00_544 = BgL_new1196z00_547; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1197z00_544)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_140),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1197z00_544)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_138),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1197z00_544)))->BgL_paramz00)=((obj_t)BgL_paramz00_139),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6369;
{ /* Llib/block_ciphers.scm 374 */

BgL_auxz00_6369 = 
make_string(BgL_blockzd2siza7ez75_140, ((unsigned char)' ')); } 
((((BgL_ofbz00_bglt)COBJECT(BgL_new1197z00_544))->BgL_chainz00)=((obj_t)BgL_auxz00_6369),BUNSPEC); } 
return BgL_new1197z00_544;} } 

}



/* create-CTR-state */
BgL_ctrz00_bglt BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_155, obj_t BgL_paramz00_156, obj_t BgL_noncezd2initz12zc0_157, obj_t BgL_noncezd2updatez12zc0_158, long BgL_blockzd2siza7ez75_159)
{
{ /* Llib/block_ciphers.scm 394 */
{ /* Llib/block_ciphers.scm 397 */
 BgL_ctrz00_bglt BgL_new1202z00_549;
{ /* Llib/block_ciphers.scm 405 */
 BgL_ctrz00_bglt BgL_new1201z00_552;
BgL_new1201z00_552 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 405 */
 long BgL_arg1744z00_553;
BgL_arg1744z00_553 = 
BGL_CLASS_NUM(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_552), BgL_arg1744z00_553); } 
{ /* Llib/block_ciphers.scm 405 */
 BgL_objectz00_bglt BgL_tmpz00_6376;
BgL_tmpz00_6376 = 
((BgL_objectz00_bglt)BgL_new1201z00_552); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6376, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1201z00_552); 
BgL_new1202z00_549 = BgL_new1201z00_552; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1202z00_549)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_159),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1202z00_549)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_155),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1202z00_549)))->BgL_paramz00)=((obj_t)BgL_paramz00_156),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1202z00_549))->BgL_noncez00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6387;
{ /* Llib/block_ciphers.scm 401 */

BgL_auxz00_6387 = 
make_string(BgL_blockzd2siza7ez75_159, ((unsigned char)' ')); } 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1202z00_549))->BgL_noncezd2strzd2)=((obj_t)BgL_auxz00_6387),BUNSPEC); } 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1202z00_549))->BgL_blockzd2counterzd2)=((long)((long)0)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1202z00_549))->BgL_noncezd2initz12zc0)=((obj_t)BgL_noncezd2initz12zc0_157),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1202z00_549))->BgL_noncezd2updatez12zc0)=((obj_t)BgL_noncezd2updatez12zc0_158),BUNSPEC); 
return BgL_new1202z00_549;} } 

}



/* encrypt-input! */
long BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt BgL_modezd2statezd2_174, obj_t BgL_fromz00_175, long BgL_fromzd2poszd2_176, obj_t BgL_readzd2atz12zc0_177, obj_t BgL_toz00_178, long BgL_tozd2poszd2_179, obj_t BgL_writezd2atz12zc0_180)
{
{ /* Llib/block_ciphers.scm 433 */
{ /* Llib/block_ciphers.scm 439 */
 obj_t BgL_casezd2valuezd2_555;
BgL_casezd2valuezd2_555 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivzd2actionzd2); 
if(
(BgL_casezd2valuezd2_555==
CNST_TABLE_REF(((long)0))))
{ /* Llib/block_ciphers.scm 439 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00)); }  else 
{ /* Llib/block_ciphers.scm 439 */
if(
(BgL_casezd2valuezd2_555==
CNST_TABLE_REF(((long)1))))
{ /* Llib/block_ciphers.scm 439 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00)); 
{ /* Llib/block_ciphers.scm 443 */
 obj_t BgL_arg1758z00_562; long BgL_arg1762z00_563;
BgL_arg1758z00_562 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00); 
BgL_arg1762z00_563 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180))(BgL_writezd2atz12zc0_180, BgL_arg1758z00_562, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_tozd2poszd2_179), 
BINT(BgL_arg1762z00_563), BEOA); } 
BgL_tozd2poszd2_179 = 
(BgL_tozd2poszd2_179+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)); }  else 
{ /* Llib/block_ciphers.scm 439 */
if(
(BgL_casezd2valuezd2_555==
CNST_TABLE_REF(((long)2))))
{ /* Llib/block_ciphers.scm 439 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 439 */
BGl_errorz00zz__errorz00(BGl_string3073z00zz__cryptozd2blockzd2ciphersz00, BGl_string3074z00zz__cryptozd2blockzd2ciphersz00, 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivzd2actionzd2)); } } } } 
{ /* Llib/block_ciphers.scm 450 */
 obj_t BgL_bufferz00_567; obj_t BgL_padz00_568;
BgL_bufferz00_567 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_loopzd2bufferzd2); 
BgL_padz00_568 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_padzf2unpadzf2); 
{ 
 long BgL_iz00_570;
BgL_iz00_570 = ((long)0); 
BgL_zc3z04anonymousza31770ze3z87_571:
{ /* Llib/block_ciphers.scm 453 */
 obj_t BgL_nbzd2copiedzd2_572;
{ /* Llib/block_ciphers.scm 453 */
 long BgL_arg1829z00_597; long BgL_arg1830z00_598;
BgL_arg1829z00_597 = 
(BgL_fromzd2poszd2_176+BgL_iz00_570); 
BgL_arg1830z00_598 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
BgL_nbzd2copiedzd2_572 = 
((obj_t (*)(obj_t, obj_t, long, obj_t, long, long))PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_177))(BgL_readzd2atz12zc0_177, BgL_fromz00_175, BgL_arg1829z00_597, BgL_bufferz00_567, ((long)0), BgL_arg1830z00_598); } 
{ /* Llib/block_ciphers.scm 457 */
 bool_t BgL_test3535z00_6439;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_572)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 457 */
if(
CBOOL(BgL_padz00_568))
{ /* Llib/block_ciphers.scm 457 */
BgL_test3535z00_6439 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 457 */
BgL_test3535z00_6439 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 457 */
BgL_test3535z00_6439 = ((bool_t)0)
; } 
if(BgL_test3535z00_6439)
{ /* Llib/block_ciphers.scm 457 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_572)==((long)0)))
{ /* Llib/block_ciphers.scm 458 */
return 
(BgL_iz00_570+BgL_tozd2poszd2_179);}  else 
{ /* Llib/block_ciphers.scm 458 */
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_567, ((long)0), BgL_bufferz00_567, ((long)0), ((long)0), 
(long)CINT(BgL_nbzd2copiedzd2_572)); 
{ /* Llib/block_ciphers.scm 464 */
 long BgL_arg1807z00_579;
BgL_arg1807z00_579 = 
(BgL_tozd2poszd2_179+BgL_iz00_570); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180))(BgL_writezd2atz12zc0_180, BgL_bufferz00_567, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_arg1807z00_579), BgL_nbzd2copiedzd2_572, BEOA); } 
return 
(BgL_iz00_570+
(BgL_tozd2poszd2_179+
(long)CINT(BgL_nbzd2copiedzd2_572)));} }  else 
{ /* Llib/block_ciphers.scm 457 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_572)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 466 */
if(
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_padz00_568))(BgL_padz00_568, BgL_bufferz00_567, BgL_nbzd2copiedzd2_572, BEOA)))
{ /* Llib/block_ciphers.scm 467 */
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_567, ((long)0), BgL_bufferz00_567, ((long)0)); 
{ /* Llib/block_ciphers.scm 470 */
 long BgL_arg1818z00_585; long BgL_arg1819z00_586;
BgL_arg1818z00_585 = 
(BgL_tozd2poszd2_179+BgL_iz00_570); 
BgL_arg1819z00_586 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180))(BgL_writezd2atz12zc0_180, BgL_bufferz00_567, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_arg1818z00_585), 
BINT(BgL_arg1819z00_586), BEOA); } 
return 
(BgL_iz00_570+
(BgL_tozd2poszd2_179+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)));}  else 
{ /* Llib/block_ciphers.scm 467 */
return 
(BgL_iz00_570+BgL_tozd2poszd2_179);} }  else 
{ /* Llib/block_ciphers.scm 466 */
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_567, ((long)0), BgL_bufferz00_567, ((long)0)); 
{ /* Llib/block_ciphers.scm 475 */
 long BgL_arg1823z00_590; long BgL_arg1824z00_591;
BgL_arg1823z00_590 = 
(BgL_tozd2poszd2_179+BgL_iz00_570); 
BgL_arg1824z00_591 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180))(BgL_writezd2atz12zc0_180, BgL_bufferz00_567, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_arg1823z00_590), 
BINT(BgL_arg1824z00_591), BEOA); } 
{ 
 long BgL_iz00_6512;
BgL_iz00_6512 = 
(BgL_iz00_570+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)); 
BgL_iz00_570 = BgL_iz00_6512; 
goto BgL_zc3z04anonymousza31770ze3z87_571;} } } } } } } } 

}



/* decrypt-input! */
long BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt BgL_modezd2statezd2_181, obj_t BgL_fromz00_182, long BgL_fromzd2poszd2_183, obj_t BgL_readzd2atz12zc0_184, obj_t BgL_toz00_185, long BgL_tozd2poszd2_186, obj_t BgL_writezd2atz12zc0_187)
{
{ /* Llib/block_ciphers.scm 479 */
{ /* Llib/block_ciphers.scm 485 */
 obj_t BgL_casezd2valuezd2_602;
BgL_casezd2valuezd2_602 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivzd2actionzd2); 
if(
(BgL_casezd2valuezd2_602==
CNST_TABLE_REF(((long)0))))
{ /* Llib/block_ciphers.scm 485 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivz00)); }  else 
{ /* Llib/block_ciphers.scm 485 */
if(
(BgL_casezd2valuezd2_602==
CNST_TABLE_REF(((long)4))))
{ /* Llib/block_ciphers.scm 488 */
 obj_t BgL_nbzd2readzd2_607;
{ /* Llib/block_ciphers.scm 488 */
 obj_t BgL_arg1843z00_614; long BgL_arg1844z00_615;
BgL_arg1843z00_614 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2); 
BgL_arg1844z00_615 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
BgL_nbzd2readzd2_607 = 
((obj_t (*)(obj_t, obj_t, long, obj_t, long, long))PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_184))(BgL_readzd2atz12zc0_184, BgL_fromz00_182, BgL_fromzd2poszd2_183, BgL_arg1843z00_614, ((long)0), BgL_arg1844z00_615); } 
if(
(
(long)CINT(BgL_nbzd2readzd2_607)==
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 489 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 489 */
BGl_errorz00zz__errorz00(BGl_string3075z00zz__cryptozd2blockzd2ciphersz00, BGl_string3076z00zz__cryptozd2blockzd2ciphersz00, BgL_nbzd2readzd2_607); } 
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2)); 
BgL_fromzd2poszd2_183 = 
(BgL_fromzd2poszd2_183+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)); }  else 
{ /* Llib/block_ciphers.scm 485 */
if(
(BgL_casezd2valuezd2_602==
CNST_TABLE_REF(((long)2))))
{ /* Llib/block_ciphers.scm 485 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 485 */
BGl_errorz00zz__errorz00(BGl_string3077z00zz__cryptozd2blockzd2ciphersz00, BGl_string3074z00zz__cryptozd2blockzd2ciphersz00, 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivzd2actionzd2)); } } } } 
{ /* Llib/block_ciphers.scm 504 */
 obj_t BgL_bufferz00_618; obj_t BgL_unpadz00_619; obj_t BgL_lastzd2decryptedzd2_620;
BgL_bufferz00_618 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2); 
BgL_unpadz00_619 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_padzf2unpadzf2); 
{ /* Llib/block_ciphers.scm 507 */
 long BgL_arg1880z00_659;
BgL_arg1880z00_659 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 507 */

BgL_lastzd2decryptedzd2_620 = 
make_string(BgL_arg1880z00_659, ((unsigned char)' ')); } } 
{ 
 long BgL_iz00_622;
{ /* Llib/block_ciphers.scm 508 */
 obj_t BgL_tmpz00_6555;
BgL_iz00_622 = ((long)0); 
BgL_zc3z04anonymousza31847ze3z87_623:
{ /* Llib/block_ciphers.scm 509 */
 obj_t BgL_nbzd2copiedzd2_624;
{ /* Llib/block_ciphers.scm 509 */
 long BgL_arg1876z00_656; long BgL_arg1878z00_657;
BgL_arg1876z00_656 = 
(BgL_fromzd2poszd2_183+BgL_iz00_622); 
BgL_arg1878z00_657 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
BgL_nbzd2copiedzd2_624 = 
((obj_t (*)(obj_t, obj_t, long, obj_t, long, long))PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_184))(BgL_readzd2atz12zc0_184, BgL_fromz00_182, BgL_arg1876z00_656, BgL_bufferz00_618, ((long)0), BgL_arg1878z00_657); } 
{ /* Llib/block_ciphers.scm 513 */
 bool_t BgL_test3545z00_6566;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_624)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 513 */
if(
CBOOL(BgL_unpadz00_619))
{ /* Llib/block_ciphers.scm 513 */
BgL_test3545z00_6566 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 513 */
BgL_test3545z00_6566 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 513 */
BgL_test3545z00_6566 = ((bool_t)0)
; } 
if(BgL_test3545z00_6566)
{ /* Llib/block_ciphers.scm 513 */
BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(BgL_toz00_185, BgL_writezd2atz12zc0_187, BgL_modezd2statezd2_181, BgL_tozd2poszd2_186, BgL_lastzd2decryptedzd2_620, 
(BgL_iz00_622-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
if(
(
(long)CINT(BgL_nbzd2copiedzd2_624)==((long)0)))
{ /* Llib/block_ciphers.scm 515 */
BgL_tmpz00_6555 = 
BINT(
(BgL_iz00_622+BgL_tozd2poszd2_186))
; }  else 
{ /* Llib/block_ciphers.scm 515 */
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), BgL_bufferz00_618, ((long)0), BgL_bufferz00_618, ((long)0), ((long)0), 
(long)CINT(BgL_nbzd2copiedzd2_624)); 
{ /* Llib/block_ciphers.scm 521 */
 long BgL_arg1856z00_633;
BgL_arg1856z00_633 = 
(BgL_tozd2poszd2_186+BgL_iz00_622); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_writezd2atz12zc0_187))(BgL_writezd2atz12zc0_187, BgL_bufferz00_618, 
BINT(((long)0)), BgL_toz00_185, 
BINT(BgL_arg1856z00_633), BgL_nbzd2copiedzd2_624, BEOA); } 
BgL_tmpz00_6555 = 
BINT(
(BgL_iz00_622+
(BgL_tozd2poszd2_186+
(long)CINT(BgL_nbzd2copiedzd2_624)))); } }  else 
{ /* Llib/block_ciphers.scm 513 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_624)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 525 */
 bool_t BgL_test3550z00_6603;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_624)==((long)0)))
{ /* Llib/block_ciphers.scm 525 */
BgL_test3550z00_6603 = 
(BgL_iz00_622==((long)0))
; }  else 
{ /* Llib/block_ciphers.scm 525 */
BgL_test3550z00_6603 = ((bool_t)0)
; } 
if(BgL_test3550z00_6603)
{ /* Llib/block_ciphers.scm 525 */
BgL_tmpz00_6555 = 
BINT(BgL_tozd2poszd2_186)
; }  else 
{ /* Llib/block_ciphers.scm 525 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_624)==((long)0)))
{ /* Llib/block_ciphers.scm 528 */
 obj_t BgL_plainzd2charszd2_640;
BgL_plainzd2charszd2_640 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_unpadz00_619))(BgL_unpadz00_619, BgL_lastzd2decryptedzd2_620, BEOA); 
{ /* Llib/block_ciphers.scm 530 */
 long BgL_arg1863z00_641;
BgL_arg1863z00_641 = 
(BgL_tozd2poszd2_186+
(BgL_iz00_622-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_writezd2atz12zc0_187))(BgL_writezd2atz12zc0_187, BgL_lastzd2decryptedzd2_620, 
BINT(((long)0)), BgL_toz00_185, 
BINT(BgL_arg1863z00_641), BgL_plainzd2charszd2_640, BEOA); } 
BgL_tmpz00_6555 = 
BINT(
(
(BgL_iz00_622-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))+
(BgL_tozd2poszd2_186+
(long)CINT(BgL_plainzd2charszd2_640)))); }  else 
{ /* Llib/block_ciphers.scm 527 */
BgL_tmpz00_6555 = 
BGl_errorz00zz__errorz00(BGl_string3078z00zz__cryptozd2blockzd2ciphersz00, BGl_string3079z00zz__cryptozd2blockzd2ciphersz00, BgL_nbzd2copiedzd2_624)
; } } }  else 
{ /* Llib/block_ciphers.scm 523 */
BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(BgL_toz00_185, BgL_writezd2atz12zc0_187, BgL_modezd2statezd2_181, BgL_tozd2poszd2_186, BgL_lastzd2decryptedzd2_620, 
(BgL_iz00_622-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), BgL_bufferz00_618, ((long)0), BgL_lastzd2decryptedzd2_620, ((long)0)); 
{ 
 long BgL_iz00_6641;
BgL_iz00_6641 = 
(BgL_iz00_622+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)); 
BgL_iz00_622 = BgL_iz00_6641; 
goto BgL_zc3z04anonymousza31847ze3z87_623;} } } } } 
return 
(long)CINT(BgL_tmpz00_6555);} } } } 

}



/* write-last-decrypted!~0 */
obj_t BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_toz00_5111, obj_t BgL_writezd2atz12zc0_5110, BgL_cipherzd2modezd2statez00_bglt BgL_i1207z00_5109, long BgL_tozd2poszd2_5108, obj_t BgL_lastzd2decryptedzd2_662, long BgL_iz00_663)
{
{ /* Llib/block_ciphers.scm 502 */
if(
(BgL_iz00_663<((long)0)))
{ /* Llib/block_ciphers.scm 501 */
return BFALSE;}  else 
{ /* Llib/block_ciphers.scm 502 */
 long BgL_arg1883z00_666; long BgL_arg1884z00_667;
BgL_arg1883z00_666 = 
(BgL_tozd2poszd2_5108+BgL_iz00_663); 
BgL_arg1884z00_667 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_i1207z00_5109))->BgL_blockzd2siza7ez75); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_writezd2atz12zc0_5110))(BgL_writezd2atz12zc0_5110, BgL_lastzd2decryptedzd2_662, 
BINT(((long)0)), BgL_toz00_5111, 
BINT(BgL_arg1883z00_666), 
BINT(BgL_arg1884z00_667), BEOA);} } 

}



/* create-encryption-state */
BgL_cipherzd2modezd2statez00_bglt BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_188, obj_t BgL_passwordz00_189, obj_t BgL_ivz00_190, obj_t BgL_modez00_191, obj_t BgL_padz00_192, obj_t BgL_noncezd2initz12zc0_193, obj_t BgL_noncezd2updatez12zc0_194, obj_t BgL_stringzd2ze3keyz31_195)
{
{ /* Llib/block_ciphers.scm 594 */
{ /* Llib/block_ciphers.scm 597 */
 BgL_blockzd2cipherzd2_bglt BgL_i1208z00_669;
BgL_i1208z00_669 = 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_188); 
{ 
 obj_t BgL_modez00_718; obj_t BgL_paramz00_719; long BgL_bsz00_720;
{ /* Llib/block_ciphers.scm 615 */
 obj_t BgL_keyz00_671;
if(
CBOOL(BgL_stringzd2ze3keyz31_195))
{ /* Llib/block_ciphers.scm 615 */
BgL_keyz00_671 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_stringzd2ze3keyz31_195))(BgL_stringzd2ze3keyz31_195, BgL_passwordz00_189, BEOA); }  else 
{ /* Llib/block_ciphers.scm 615 */
BgL_keyz00_671 = 
BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(BgL_passwordz00_189, 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_669))->BgL_preferredzd2keyzd2lengthz00), BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2); } 
{ /* Llib/block_ciphers.scm 615 */
 obj_t BgL_padzd2proczd2_672;
{ /* Llib/block_ciphers.scm 619 */
 bool_t BgL_test3555z00_6669;
{ /* Llib/block_ciphers.scm 619 */
 bool_t BgL__ortest_1211z00_715;
BgL__ortest_1211z00_715 = 
(BgL_modez00_191==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1211z00_715)
{ /* Llib/block_ciphers.scm 619 */
BgL_test3555z00_6669 = BgL__ortest_1211z00_715
; }  else 
{ /* Llib/block_ciphers.scm 619 */
 bool_t BgL__ortest_1212z00_716;
BgL__ortest_1212z00_716 = 
(BgL_modez00_191==
CNST_TABLE_REF(((long)7))); 
if(BgL__ortest_1212z00_716)
{ /* Llib/block_ciphers.scm 619 */
BgL_test3555z00_6669 = BgL__ortest_1212z00_716
; }  else 
{ /* Llib/block_ciphers.scm 619 */
BgL_test3555z00_6669 = 
(BgL_modez00_191==
CNST_TABLE_REF(((long)8)))
; } } } 
if(BgL_test3555z00_6669)
{ /* Llib/block_ciphers.scm 619 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)11))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_672 = BGl_nozd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)12))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_672 = BGl_bitzd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)13))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_672 = BGl_ansizd2xze2923zd2padzd2envz30zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)14))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_672 = BGl_isozd210126zd2padzd2envzd2zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)15))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_672 = BGl_pkcs7zd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)16))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_672 = BGl_za7erozd2padzd2envza7zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
PROCEDUREP(BgL_padz00_192))
{ /* Llib/block_ciphers.scm 628 */
BgL_padzd2proczd2_672 = BgL_padz00_192; }  else 
{ /* Llib/block_ciphers.scm 628 */
BgL_padzd2proczd2_672 = 
BGl_errorz00zz__errorz00(BGl_string3080z00zz__cryptozd2blockzd2ciphersz00, BGl_string3082z00zz__cryptozd2blockzd2ciphersz00, BgL_padz00_192); } } } } } } } }  else 
{ /* Llib/block_ciphers.scm 619 */
BgL_padzd2proczd2_672 = BFALSE; } } 
{ /* Llib/block_ciphers.scm 619 */
 obj_t BgL_encryptionzd2ivzd2_673;
if(
CBOOL(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 634 */
BgL_encryptionzd2ivzd2_673 = BgL_ivz00_190; }  else 
{ /* Llib/block_ciphers.scm 634 */
if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 635 */
BgL_encryptionzd2ivzd2_673 = BFALSE; }  else 
{ /* Llib/block_ciphers.scm 635 */
BgL_encryptionzd2ivzd2_673 = 
BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_669))->BgL_blockzd2siza7ez75), BFALSE); } } 
{ /* Llib/block_ciphers.scm 634 */
 obj_t BgL_paramz00_674;
{ /* Llib/block_ciphers.scm 639 */
 obj_t BgL_fun1900z00_697;
BgL_fun1900z00_697 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_669))->BgL_keyzd2ze3encryptzd2paramze3); 
BgL_paramz00_674 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1900z00_697))(BgL_fun1900z00_697, BgL_keyz00_671, BEOA); } 
{ /* Llib/block_ciphers.scm 639 */
 obj_t BgL_statez00_675;
BgL_modez00_718 = BgL_modez00_191; 
BgL_paramz00_719 = BgL_paramz00_674; 
BgL_bsz00_720 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_669))->BgL_blockzd2siza7ez75); 
if(
(BgL_modez00_718==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 602 */
 obj_t BgL_arg1914z00_724;
BgL_arg1914z00_724 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_669))->BgL_encryptz12z12); 
BgL_statez00_675 = 
((obj_t)
BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1914z00_724, BgL_paramz00_719, BgL_bsz00_720, ((bool_t)1))); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_718==
CNST_TABLE_REF(((long)6))))
{ /* Llib/block_ciphers.scm 603 */
 obj_t BgL_arg1916z00_726;
BgL_arg1916z00_726 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_669))->BgL_encryptz12z12); 
BgL_statez00_675 = 
((obj_t)
BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1916z00_726, BgL_paramz00_719, BgL_bsz00_720)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_718==
CNST_TABLE_REF(((long)7))))
{ /* Llib/block_ciphers.scm 604 */
 obj_t BgL_arg1918z00_728;
BgL_arg1918z00_728 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_669))->BgL_encryptz12z12); 
BgL_statez00_675 = 
((obj_t)
BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1918z00_728, BgL_paramz00_719, BgL_bsz00_720)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_718==
CNST_TABLE_REF(((long)8))))
{ /* Llib/block_ciphers.scm 605 */
 obj_t BgL_arg1920z00_730;
BgL_arg1920z00_730 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_669))->BgL_encryptz12z12); 
BgL_statez00_675 = 
((obj_t)
BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1920z00_730, BgL_paramz00_719, BgL_bsz00_720)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_718==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 606 */
 obj_t BgL_arg1922z00_732;
BgL_arg1922z00_732 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_669))->BgL_encryptz12z12); 
BgL_statez00_675 = 
((obj_t)
BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1922z00_732, BgL_paramz00_719, BgL_bsz00_720)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_718==
CNST_TABLE_REF(((long)10))))
{ /* Llib/block_ciphers.scm 607 */
 obj_t BgL_arg1924z00_734; obj_t BgL_arg1925z00_735; obj_t BgL_arg1926z00_736;
BgL_arg1924z00_734 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_669))->BgL_encryptz12z12); 
if(
CBOOL(BgL_noncezd2initz12zc0_193))
{ /* Llib/block_ciphers.scm 608 */
BgL_arg1925z00_735 = BgL_noncezd2initz12zc0_193; }  else 
{ /* Llib/block_ciphers.scm 608 */
BgL_arg1925z00_735 = BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
if(
CBOOL(BgL_noncezd2updatez12zc0_194))
{ /* Llib/block_ciphers.scm 609 */
BgL_arg1926z00_736 = BgL_noncezd2updatez12zc0_194; }  else 
{ /* Llib/block_ciphers.scm 609 */
BgL_arg1926z00_736 = BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
BgL_statez00_675 = 
((obj_t)
BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1924z00_734, BgL_paramz00_719, BgL_arg1925z00_735, BgL_arg1926z00_736, BgL_bsz00_720)); }  else 
{ /* Llib/block_ciphers.scm 601 */
BgL_statez00_675 = 
BGl_errorz00zz__errorz00(BGl_string3080z00zz__cryptozd2blockzd2ciphersz00, BGl_string3081z00zz__cryptozd2blockzd2ciphersz00, BgL_modez00_718); } } } } } } 
{ /* Llib/block_ciphers.scm 640 */

if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 642 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 642 */
if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)10))))
{ /* Llib/block_ciphers.scm 643 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 645 */
 bool_t BgL_test3577z00_6761;
if(
STRINGP(BgL_encryptionzd2ivzd2_673))
{ /* Llib/block_ciphers.scm 645 */
if(
(
STRING_LENGTH(BgL_encryptionzd2ivzd2_673)>=
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_669))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 646 */
BgL_test3577z00_6761 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 646 */
BgL_test3577z00_6761 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 645 */
BgL_test3577z00_6761 = ((bool_t)1)
; } 
if(BgL_test3577z00_6761)
{ /* Llib/block_ciphers.scm 649 */
 obj_t BgL_arg1892z00_683;
if(
STRINGP(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 649 */
BgL_arg1892z00_683 = 
BINT(
STRING_LENGTH(BgL_ivz00_190)); }  else 
{ /* Llib/block_ciphers.scm 649 */
BgL_arg1892z00_683 = BgL_ivz00_190; } 
BGl_errorz00zz__errorz00(BGl_string3083z00zz__cryptozd2blockzd2ciphersz00, BGl_string3084z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1892z00_683); }  else 
{ /* Llib/block_ciphers.scm 645 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 652 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1215z00_689;
{ /* Llib/block_ciphers.scm 653 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1214z00_694;
BgL_new1214z00_694 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 653 */
 long BgL_arg1898z00_695;
BgL_arg1898z00_695 = 
BGL_CLASS_NUM(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_694), BgL_arg1898z00_695); } 
{ /* Llib/block_ciphers.scm 653 */
 BgL_objectz00_bglt BgL_tmpz00_6777;
BgL_tmpz00_6777 = 
((BgL_objectz00_bglt)BgL_new1214z00_694); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6777, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1214z00_694); 
BgL_new1215z00_689 = BgL_new1214z00_694; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_encryptzf3zf3)=((bool_t)((bool_t)1)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_blockzd2siza7ez75)=((long)
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_669))->BgL_blockzd2siza7ez75)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_675)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6786;
if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 657 */
BgL_auxz00_6786 = 
CNST_TABLE_REF(((long)2))
; }  else 
{ /* Llib/block_ciphers.scm 658 */
 bool_t BgL_test3582z00_6791;
if(
CBOOL(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 658 */
BgL_test3582z00_6791 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 658 */
BgL_test3582z00_6791 = 
CBOOL(BgL_encryptionzd2ivzd2_673)
; } 
if(BgL_test3582z00_6791)
{ /* Llib/block_ciphers.scm 658 */
BgL_auxz00_6786 = 
CNST_TABLE_REF(((long)1))
; }  else 
{ /* Llib/block_ciphers.scm 658 */
BgL_auxz00_6786 = 
CNST_TABLE_REF(((long)0))
; } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_ivzd2actionzd2)=((obj_t)BgL_auxz00_6786),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_ivz00)=((obj_t)BgL_encryptionzd2ivzd2_673),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_padzf2unpadzf2)=((obj_t)BgL_padzd2proczd2_672),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6800;
{ /* Llib/block_ciphers.scm 662 */
 long BgL_arg1897z00_691;
BgL_arg1897z00_691 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1208z00_669))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 662 */

BgL_auxz00_6800 = 
make_string(BgL_arg1897z00_691, ((unsigned char)' ')); } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_loopzd2bufferzd2)=((obj_t)BgL_auxz00_6800),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1215z00_689))->BgL_posz00)=((long)((long)0)),BUNSPEC); 
return BgL_new1215z00_689;} } } } } } } } } } 

}



/* create-decryption-state */
BgL_cipherzd2modezd2statez00_bglt BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_196, obj_t BgL_passwordz00_197, obj_t BgL_ivz00_198, obj_t BgL_modez00_199, obj_t BgL_padz00_200, obj_t BgL_noncezd2initz12zc0_201, obj_t BgL_noncezd2updatez12zc0_202, obj_t BgL_stringzd2ze3keyz31_203)
{
{ /* Llib/block_ciphers.scm 664 */
{ /* Llib/block_ciphers.scm 667 */
 BgL_blockzd2cipherzd2_bglt BgL_i1216z00_740;
BgL_i1216z00_740 = 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_196); 
{ 
 obj_t BgL_modez00_791; obj_t BgL_paramz00_792; long BgL_bsz00_793;
{ /* Llib/block_ciphers.scm 686 */
 obj_t BgL_keyz00_742;
if(
CBOOL(BgL_stringzd2ze3keyz31_203))
{ /* Llib/block_ciphers.scm 686 */
BgL_keyz00_742 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_stringzd2ze3keyz31_203))(BgL_stringzd2ze3keyz31_203, BgL_passwordz00_197, BEOA); }  else 
{ /* Llib/block_ciphers.scm 686 */
BgL_keyz00_742 = 
BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(BgL_passwordz00_197, 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_740))->BgL_preferredzd2keyzd2lengthz00), BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2); } 
{ /* Llib/block_ciphers.scm 686 */
 obj_t BgL_unpadzd2proczd2_743;
{ /* Llib/block_ciphers.scm 690 */
 bool_t BgL_test3585z00_6814;
{ /* Llib/block_ciphers.scm 690 */
 bool_t BgL__ortest_1219z00_788;
BgL__ortest_1219z00_788 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1219z00_788)
{ /* Llib/block_ciphers.scm 690 */
BgL_test3585z00_6814 = BgL__ortest_1219z00_788
; }  else 
{ /* Llib/block_ciphers.scm 690 */
 bool_t BgL__ortest_1220z00_789;
BgL__ortest_1220z00_789 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)7))); 
if(BgL__ortest_1220z00_789)
{ /* Llib/block_ciphers.scm 690 */
BgL_test3585z00_6814 = BgL__ortest_1220z00_789
; }  else 
{ /* Llib/block_ciphers.scm 690 */
BgL_test3585z00_6814 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)8)))
; } } } 
if(BgL_test3585z00_6814)
{ /* Llib/block_ciphers.scm 690 */
if(
(BgL_padz00_200==
CNST_TABLE_REF(((long)11))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_743 = BGl_nozd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
(BgL_padz00_200==
CNST_TABLE_REF(((long)12))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_743 = BGl_bitzd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
 bool_t BgL_test3590z00_6829;
{ /* Llib/block_ciphers.scm 692 */
 bool_t BgL__ortest_1221z00_786;
BgL__ortest_1221z00_786 = 
(BgL_padz00_200==
CNST_TABLE_REF(((long)13))); 
if(BgL__ortest_1221z00_786)
{ /* Llib/block_ciphers.scm 692 */
BgL_test3590z00_6829 = BgL__ortest_1221z00_786
; }  else 
{ /* Llib/block_ciphers.scm 692 */
 bool_t BgL__ortest_1222z00_787;
BgL__ortest_1222z00_787 = 
(BgL_padz00_200==
CNST_TABLE_REF(((long)14))); 
if(BgL__ortest_1222z00_787)
{ /* Llib/block_ciphers.scm 692 */
BgL_test3590z00_6829 = BgL__ortest_1222z00_787
; }  else 
{ /* Llib/block_ciphers.scm 692 */
BgL_test3590z00_6829 = 
(BgL_padz00_200==
CNST_TABLE_REF(((long)15)))
; } } } 
if(BgL_test3590z00_6829)
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_743 = BGl_bytezd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
(BgL_padz00_200==
CNST_TABLE_REF(((long)16))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_743 = BGl_za7erozd2unpadzd2envza7zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
PROCEDUREP(BgL_padz00_200))
{ /* Llib/block_ciphers.scm 698 */
BgL_unpadzd2proczd2_743 = BgL_padz00_200; }  else 
{ /* Llib/block_ciphers.scm 698 */
BgL_unpadzd2proczd2_743 = 
BGl_errorz00zz__errorz00(BGl_string3078z00zz__cryptozd2blockzd2ciphersz00, BGl_string3082z00zz__cryptozd2blockzd2ciphersz00, BgL_padz00_200); } } } } } }  else 
{ /* Llib/block_ciphers.scm 690 */
BgL_unpadzd2proczd2_743 = BFALSE; } } 
{ /* Llib/block_ciphers.scm 690 */
 obj_t BgL_paramz00_744;
{ /* Llib/block_ciphers.scm 704 */
 bool_t BgL_test3595z00_6844;
{ /* Llib/block_ciphers.scm 704 */
 bool_t BgL__ortest_1223z00_772;
BgL__ortest_1223z00_772 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1223z00_772)
{ /* Llib/block_ciphers.scm 704 */
BgL_test3595z00_6844 = BgL__ortest_1223z00_772
; }  else 
{ /* Llib/block_ciphers.scm 704 */
 bool_t BgL__ortest_1224z00_773;
BgL__ortest_1224z00_773 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)7))); 
if(BgL__ortest_1224z00_773)
{ /* Llib/block_ciphers.scm 704 */
BgL_test3595z00_6844 = BgL__ortest_1224z00_773
; }  else 
{ /* Llib/block_ciphers.scm 704 */
BgL_test3595z00_6844 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)8)))
; } } } 
if(BgL_test3595z00_6844)
{ /* Llib/block_ciphers.scm 705 */
 obj_t BgL_fun1942z00_770;
BgL_fun1942z00_770 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_740))->BgL_keyzd2ze3decryptzd2paramze3); 
BgL_paramz00_744 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1942z00_770))(BgL_fun1942z00_770, BgL_keyz00_742, BEOA); }  else 
{ /* Llib/block_ciphers.scm 706 */
 obj_t BgL_fun1943z00_771;
BgL_fun1943z00_771 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_740))->BgL_keyzd2ze3encryptzd2paramze3); 
BgL_paramz00_744 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1943z00_771))(BgL_fun1943z00_771, BgL_keyz00_742, BEOA); } } 
{ /* Llib/block_ciphers.scm 704 */
 obj_t BgL_statez00_745;
BgL_modez00_791 = BgL_modez00_199; 
BgL_paramz00_792 = BgL_paramz00_744; 
BgL_bsz00_793 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_740))->BgL_blockzd2siza7ez75); 
if(
(BgL_modez00_791==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 673 */
 obj_t BgL_arg1953z00_797;
BgL_arg1953z00_797 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_740))->BgL_decryptz12z12); 
BgL_statez00_745 = 
((obj_t)
BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1953z00_797, BgL_paramz00_792, BgL_bsz00_793, ((bool_t)0))); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_791==
CNST_TABLE_REF(((long)7))))
{ /* Llib/block_ciphers.scm 674 */
 obj_t BgL_arg1955z00_799;
BgL_arg1955z00_799 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_740))->BgL_decryptz12z12); 
BgL_statez00_745 = 
((obj_t)
BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1955z00_799, BgL_paramz00_792, BgL_bsz00_793)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_791==
CNST_TABLE_REF(((long)8))))
{ /* Llib/block_ciphers.scm 675 */
 obj_t BgL_arg1957z00_801;
BgL_arg1957z00_801 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_740))->BgL_decryptz12z12); 
BgL_statez00_745 = 
((obj_t)
BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1957z00_801, BgL_paramz00_792, BgL_bsz00_793)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_791==
CNST_TABLE_REF(((long)6))))
{ /* Llib/block_ciphers.scm 676 */
 obj_t BgL_arg1959z00_803;
BgL_arg1959z00_803 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_740))->BgL_encryptz12z12); 
BgL_statez00_745 = 
((obj_t)
BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1959z00_803, BgL_paramz00_792, BgL_bsz00_793)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_791==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 677 */
 obj_t BgL_arg1961z00_805;
BgL_arg1961z00_805 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_740))->BgL_encryptz12z12); 
BgL_statez00_745 = 
((obj_t)
BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1961z00_805, BgL_paramz00_792, BgL_bsz00_793)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_791==
CNST_TABLE_REF(((long)10))))
{ /* Llib/block_ciphers.scm 678 */
 obj_t BgL_arg1963z00_807; obj_t BgL_arg1964z00_808; obj_t BgL_arg1965z00_809;
BgL_arg1963z00_807 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_740))->BgL_encryptz12z12); 
if(
CBOOL(BgL_noncezd2initz12zc0_201))
{ /* Llib/block_ciphers.scm 679 */
BgL_arg1964z00_808 = BgL_noncezd2initz12zc0_201; }  else 
{ /* Llib/block_ciphers.scm 679 */
BgL_arg1964z00_808 = BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
if(
CBOOL(BgL_noncezd2updatez12zc0_202))
{ /* Llib/block_ciphers.scm 680 */
BgL_arg1965z00_809 = BgL_noncezd2updatez12zc0_202; }  else 
{ /* Llib/block_ciphers.scm 680 */
BgL_arg1965z00_809 = BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
BgL_statez00_745 = 
((obj_t)
BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1963z00_807, BgL_paramz00_792, BgL_arg1964z00_808, BgL_arg1965z00_809, BgL_bsz00_793)); }  else 
{ /* Llib/block_ciphers.scm 672 */
BgL_statez00_745 = 
BGl_errorz00zz__errorz00(BGl_string3078z00zz__cryptozd2blockzd2ciphersz00, BGl_string3081z00zz__cryptozd2blockzd2ciphersz00, BgL_modez00_791); } } } } } } 
{ /* Llib/block_ciphers.scm 707 */

if(
(BgL_modez00_199==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 709 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 709 */
if(
(BgL_modez00_199==
CNST_TABLE_REF(((long)10))))
{ /* Llib/block_ciphers.scm 710 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 710 */
if(
CBOOL(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 713 */
 bool_t BgL_test3609z00_6915;
if(
STRINGP(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 713 */
if(
(
STRING_LENGTH(BgL_ivz00_198)>=
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_740))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 714 */
BgL_test3609z00_6915 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 714 */
BgL_test3609z00_6915 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 713 */
BgL_test3609z00_6915 = ((bool_t)1)
; } 
if(BgL_test3609z00_6915)
{ /* Llib/block_ciphers.scm 717 */
 obj_t BgL_arg1934z00_753;
if(
STRINGP(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 717 */
BgL_arg1934z00_753 = 
BINT(
STRING_LENGTH(BgL_ivz00_198)); }  else 
{ /* Llib/block_ciphers.scm 717 */
BgL_arg1934z00_753 = BgL_ivz00_198; } 
BGl_errorz00zz__errorz00(BGl_string3083z00zz__cryptozd2blockzd2ciphersz00, BGl_string3084z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1934z00_753); }  else 
{ /* Llib/block_ciphers.scm 713 */BFALSE; } }  else 
{ /* Llib/block_ciphers.scm 711 */
CNST_TABLE_REF(((long)3)); } } } 
{ /* Llib/block_ciphers.scm 720 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1226z00_759;
{ /* Llib/block_ciphers.scm 721 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1225z00_763;
BgL_new1225z00_763 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 721 */
 long BgL_arg1939z00_764;
BgL_arg1939z00_764 = 
BGL_CLASS_NUM(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_763), BgL_arg1939z00_764); } 
{ /* Llib/block_ciphers.scm 721 */
 BgL_objectz00_bglt BgL_tmpz00_6932;
BgL_tmpz00_6932 = 
((BgL_objectz00_bglt)BgL_new1225z00_763); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6932, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1225z00_763); 
BgL_new1226z00_759 = BgL_new1225z00_763; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_759))->BgL_encryptzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_759))->BgL_blockzd2siza7ez75)=((long)
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_740))->BgL_blockzd2siza7ez75)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_759))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_745)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6941;
if(
(BgL_modez00_199==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 725 */
BgL_auxz00_6941 = 
CNST_TABLE_REF(((long)2))
; }  else 
{ /* Llib/block_ciphers.scm 725 */
if(
CBOOL(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 726 */
BgL_auxz00_6941 = 
CNST_TABLE_REF(((long)0))
; }  else 
{ /* Llib/block_ciphers.scm 726 */
BgL_auxz00_6941 = 
CNST_TABLE_REF(((long)4))
; } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_759))->BgL_ivzd2actionzd2)=((obj_t)BgL_auxz00_6941),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_759))->BgL_ivz00)=((obj_t)BgL_ivz00_198),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_759))->BgL_padzf2unpadzf2)=((obj_t)BgL_unpadzd2proczd2_743),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6953;
{ /* Llib/block_ciphers.scm 730 */
 long BgL_arg1938z00_760;
BgL_arg1938z00_760 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1216z00_740))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 730 */

BgL_auxz00_6953 = 
make_string(BgL_arg1938z00_760, ((unsigned char)' ')); } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_759))->BgL_loopzd2bufferzd2)=((obj_t)BgL_auxz00_6953),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1226z00_759))->BgL_posz00)=((long)((long)0)),BUNSPEC); 
return BgL_new1226z00_759;} } } } } } } } } 

}



/* _encrypt */
obj_t BGl__encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1365z00_214, obj_t BgL_opt1364z00_213)
{
{ /* Llib/block_ciphers.scm 736 */
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_cipherz00_817; obj_t BgL_plainz00_818; obj_t BgL_passwordz00_819;
BgL_cipherz00_817 = 
VECTOR_REF(BgL_opt1364z00_213,((long)0)); 
BgL_plainz00_818 = 
VECTOR_REF(BgL_opt1364z00_213,((long)1)); 
BgL_passwordz00_819 = 
VECTOR_REF(BgL_opt1364z00_213,((long)2)); 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_ivz00_820;
BgL_ivz00_820 = BFALSE; 
{ /* Llib/block_ciphers.scm 737 */
 obj_t BgL_modez00_821;
BgL_modez00_821 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_noncezd2initz12zc0_822;
BgL_noncezd2initz12zc0_822 = BFALSE; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_noncezd2updatez12zc0_823;
BgL_noncezd2updatez12zc0_823 = BFALSE; 
{ /* Llib/block_ciphers.scm 737 */
 obj_t BgL_padz00_824;
BgL_padz00_824 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_stringzd2ze3keyz31_825;
BgL_stringzd2ze3keyz31_825 = BFALSE; 
{ /* Llib/block_ciphers.scm 736 */

{ 
 long BgL_iz00_826;
BgL_iz00_826 = ((long)3); 
BgL_check1368z00_827:
if(
(BgL_iz00_826==
VECTOR_LENGTH(BgL_opt1364z00_213)))
{ /* Llib/block_ciphers.scm 736 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3616z00_6966;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_arg1971z00_833;
BgL_arg1971z00_833 = 
VECTOR_REF(BgL_opt1364z00_213,BgL_iz00_826); 
BgL_test3616z00_6966 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1971z00_833, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3616z00_6966)
{ 
 long BgL_iz00_6971;
BgL_iz00_6971 = 
(BgL_iz00_826+((long)2)); 
BgL_iz00_826 = BgL_iz00_6971; 
goto BgL_check1368z00_827;}  else 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_arg1970z00_832;
BgL_arg1970z00_832 = 
VECTOR_REF(BgL_opt1364z00_213,BgL_iz00_826); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)18)), BGl_string3085z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1970z00_832); } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1370z00_834;
BgL_index1370z00_834 = 
BGl_search1367ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1364z00_213), BgL_opt1364z00_213, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3617z00_6979;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2838;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_6980;
if(
INTEGERP(BgL_index1370z00_834))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_6980 = BgL_index1370z00_834
; }  else 
{ 
 obj_t BgL_auxz00_6983;
BgL_auxz00_6983 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1370z00_834); 
FAILURE(BgL_auxz00_6983,BFALSE,BFALSE);} 
BgL_n1z00_2838 = 
(long)CINT(BgL_tmpz00_6980); } 
BgL_test3617z00_6979 = 
(BgL_n1z00_2838>=((long)0)); } 
if(BgL_test3617z00_6979)
{ 
 long BgL_auxz00_6989;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_6990;
if(
INTEGERP(BgL_index1370z00_834))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_6990 = BgL_index1370z00_834
; }  else 
{ 
 obj_t BgL_auxz00_6993;
BgL_auxz00_6993 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1370z00_834); 
FAILURE(BgL_auxz00_6993,BFALSE,BFALSE);} 
BgL_auxz00_6989 = 
(long)CINT(BgL_tmpz00_6990); } 
BgL_ivz00_820 = 
VECTOR_REF(BgL_opt1364z00_213,BgL_auxz00_6989); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1371z00_836;
BgL_index1371z00_836 = 
BGl_search1367ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1364z00_213), BgL_opt1364z00_213, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3620z00_7002;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2839;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7003;
if(
INTEGERP(BgL_index1371z00_836))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7003 = BgL_index1371z00_836
; }  else 
{ 
 obj_t BgL_auxz00_7006;
BgL_auxz00_7006 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1371z00_836); 
FAILURE(BgL_auxz00_7006,BFALSE,BFALSE);} 
BgL_n1z00_2839 = 
(long)CINT(BgL_tmpz00_7003); } 
BgL_test3620z00_7002 = 
(BgL_n1z00_2839>=((long)0)); } 
if(BgL_test3620z00_7002)
{ 
 long BgL_auxz00_7012;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7013;
if(
INTEGERP(BgL_index1371z00_836))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7013 = BgL_index1371z00_836
; }  else 
{ 
 obj_t BgL_auxz00_7016;
BgL_auxz00_7016 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1371z00_836); 
FAILURE(BgL_auxz00_7016,BFALSE,BFALSE);} 
BgL_auxz00_7012 = 
(long)CINT(BgL_tmpz00_7013); } 
BgL_modez00_821 = 
VECTOR_REF(BgL_opt1364z00_213,BgL_auxz00_7012); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1372z00_838;
BgL_index1372z00_838 = 
BGl_search1367ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1364z00_213), BgL_opt1364z00_213, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3623z00_7025;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2840;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7026;
if(
INTEGERP(BgL_index1372z00_838))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7026 = BgL_index1372z00_838
; }  else 
{ 
 obj_t BgL_auxz00_7029;
BgL_auxz00_7029 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1372z00_838); 
FAILURE(BgL_auxz00_7029,BFALSE,BFALSE);} 
BgL_n1z00_2840 = 
(long)CINT(BgL_tmpz00_7026); } 
BgL_test3623z00_7025 = 
(BgL_n1z00_2840>=((long)0)); } 
if(BgL_test3623z00_7025)
{ 
 long BgL_auxz00_7035;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7036;
if(
INTEGERP(BgL_index1372z00_838))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7036 = BgL_index1372z00_838
; }  else 
{ 
 obj_t BgL_auxz00_7039;
BgL_auxz00_7039 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1372z00_838); 
FAILURE(BgL_auxz00_7039,BFALSE,BFALSE);} 
BgL_auxz00_7035 = 
(long)CINT(BgL_tmpz00_7036); } 
BgL_noncezd2initz12zc0_822 = 
VECTOR_REF(BgL_opt1364z00_213,BgL_auxz00_7035); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1373z00_840;
BgL_index1373z00_840 = 
BGl_search1367ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1364z00_213), BgL_opt1364z00_213, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3626z00_7048;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2841;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7049;
if(
INTEGERP(BgL_index1373z00_840))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7049 = BgL_index1373z00_840
; }  else 
{ 
 obj_t BgL_auxz00_7052;
BgL_auxz00_7052 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1373z00_840); 
FAILURE(BgL_auxz00_7052,BFALSE,BFALSE);} 
BgL_n1z00_2841 = 
(long)CINT(BgL_tmpz00_7049); } 
BgL_test3626z00_7048 = 
(BgL_n1z00_2841>=((long)0)); } 
if(BgL_test3626z00_7048)
{ 
 long BgL_auxz00_7058;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7059;
if(
INTEGERP(BgL_index1373z00_840))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7059 = BgL_index1373z00_840
; }  else 
{ 
 obj_t BgL_auxz00_7062;
BgL_auxz00_7062 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1373z00_840); 
FAILURE(BgL_auxz00_7062,BFALSE,BFALSE);} 
BgL_auxz00_7058 = 
(long)CINT(BgL_tmpz00_7059); } 
BgL_noncezd2updatez12zc0_823 = 
VECTOR_REF(BgL_opt1364z00_213,BgL_auxz00_7058); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1374z00_842;
BgL_index1374z00_842 = 
BGl_search1367ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1364z00_213), BgL_opt1364z00_213, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3629z00_7071;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2842;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7072;
if(
INTEGERP(BgL_index1374z00_842))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7072 = BgL_index1374z00_842
; }  else 
{ 
 obj_t BgL_auxz00_7075;
BgL_auxz00_7075 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1374z00_842); 
FAILURE(BgL_auxz00_7075,BFALSE,BFALSE);} 
BgL_n1z00_2842 = 
(long)CINT(BgL_tmpz00_7072); } 
BgL_test3629z00_7071 = 
(BgL_n1z00_2842>=((long)0)); } 
if(BgL_test3629z00_7071)
{ 
 long BgL_auxz00_7081;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7082;
if(
INTEGERP(BgL_index1374z00_842))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7082 = BgL_index1374z00_842
; }  else 
{ 
 obj_t BgL_auxz00_7085;
BgL_auxz00_7085 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1374z00_842); 
FAILURE(BgL_auxz00_7085,BFALSE,BFALSE);} 
BgL_auxz00_7081 = 
(long)CINT(BgL_tmpz00_7082); } 
BgL_padz00_824 = 
VECTOR_REF(BgL_opt1364z00_213,BgL_auxz00_7081); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1375z00_844;
BgL_index1375z00_844 = 
BGl_search1367ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1364z00_213), BgL_opt1364z00_213, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3632z00_7094;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2843;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7095;
if(
INTEGERP(BgL_index1375z00_844))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7095 = BgL_index1375z00_844
; }  else 
{ 
 obj_t BgL_auxz00_7098;
BgL_auxz00_7098 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1375z00_844); 
FAILURE(BgL_auxz00_7098,BFALSE,BFALSE);} 
BgL_n1z00_2843 = 
(long)CINT(BgL_tmpz00_7095); } 
BgL_test3632z00_7094 = 
(BgL_n1z00_2843>=((long)0)); } 
if(BgL_test3632z00_7094)
{ 
 long BgL_auxz00_7104;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7105;
if(
INTEGERP(BgL_index1375z00_844))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7105 = BgL_index1375z00_844
; }  else 
{ 
 obj_t BgL_auxz00_7108;
BgL_auxz00_7108 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1375z00_844); 
FAILURE(BgL_auxz00_7108,BFALSE,BFALSE);} 
BgL_auxz00_7104 = 
(long)CINT(BgL_tmpz00_7105); } 
BgL_stringzd2ze3keyz31_825 = 
VECTOR_REF(BgL_opt1364z00_213,BgL_auxz00_7104); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_arg1978z00_846; obj_t BgL_arg1979z00_847; obj_t BgL_arg1980z00_848;
BgL_arg1978z00_846 = 
VECTOR_REF(BgL_opt1364z00_213,((long)0)); 
BgL_arg1979z00_847 = 
VECTOR_REF(BgL_opt1364z00_213,((long)1)); 
BgL_arg1980z00_848 = 
VECTOR_REF(BgL_opt1364z00_213,((long)2)); 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_ivz00_849;
BgL_ivz00_849 = BgL_ivz00_820; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_modez00_850;
BgL_modez00_850 = BgL_modez00_821; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_noncezd2initz12zc0_851;
BgL_noncezd2initz12zc0_851 = BgL_noncezd2initz12zc0_822; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_noncezd2updatez12zc0_852;
BgL_noncezd2updatez12zc0_852 = BgL_noncezd2updatez12zc0_823; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_padz00_853;
BgL_padz00_853 = BgL_padz00_824; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_stringzd2ze3keyz31_854;
BgL_stringzd2ze3keyz31_854 = BgL_stringzd2ze3keyz31_825; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_res2714z00_2852;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_cipherz00_2844; obj_t BgL_passwordz00_2845;
if(
SYMBOLP(BgL_arg1978z00_846))
{ /* Llib/block_ciphers.scm 736 */
BgL_cipherz00_2844 = BgL_arg1978z00_846; }  else 
{ 
 obj_t BgL_auxz00_7119;
BgL_auxz00_7119 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1978z00_846); 
FAILURE(BgL_auxz00_7119,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1980z00_848))
{ /* Llib/block_ciphers.scm 736 */
BgL_passwordz00_2845 = BgL_arg1980z00_848; }  else 
{ 
 obj_t BgL_auxz00_7125;
BgL_auxz00_7125 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26758)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1980z00_848); 
FAILURE(BgL_auxz00_7125,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 740 */
 obj_t BgL_redirectz00_2846;
if(
STRINGP(BgL_arg1979z00_847))
{ /* Llib/block_ciphers.scm 741 */
BgL_redirectz00_2846 = BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 741 */
if(
BGL_MMAPP(BgL_arg1979z00_847))
{ /* Llib/block_ciphers.scm 742 */
BgL_redirectz00_2846 = BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
 bool_t BgL_test3639z00_7133;
{ /* Llib/block_ciphers.scm 743 */
 bool_t BgL__ortest_1056z00_2850;
BgL__ortest_1056z00_2850 = 
OUTPUT_PORTP(BgL_arg1979z00_847); 
if(BgL__ortest_1056z00_2850)
{ /* Llib/block_ciphers.scm 743 */
BgL_test3639z00_7133 = BgL__ortest_1056z00_2850
; }  else 
{ /* Llib/block_ciphers.scm 743 */
BgL_test3639z00_7133 = 
INPUT_PORTP(BgL_arg1979z00_847)
; } } 
if(BgL_test3639z00_7133)
{ /* Llib/block_ciphers.scm 743 */
BgL_redirectz00_2846 = BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
CNST_TABLE_REF(((long)25)); 
BgL_redirectz00_2846 = BgL_arg1979z00_847; } } } 
{ /* Llib/block_ciphers.scm 747 */
 obj_t BgL_aux2799z00_5134;
{ /* Llib/block_ciphers.scm 747 */
 obj_t BgL_tmpfunz00_7149;
{ /* Llib/block_ciphers.scm 747 */
 bool_t BgL_test2798z00_5133;
BgL_test2798z00_5133 = 
PROCEDUREP(BgL_redirectz00_2846); 
if(BgL_test2798z00_5133)
{ /* Llib/block_ciphers.scm 747 */
BgL_tmpfunz00_7149 = BgL_redirectz00_2846
; }  else 
{ 
 obj_t BgL_auxz00_7152;
BgL_auxz00_7152 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27169)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3089z00zz__cryptozd2blockzd2ciphersz00, BgL_redirectz00_2846); 
FAILURE(BgL_auxz00_7152,BFALSE,BFALSE);} } 
BgL_aux2799z00_5134 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_tmpfunz00_7149))(BgL_redirectz00_2846, BgL_cipherz00_2844, BgL_arg1979z00_847, BgL_passwordz00_2845, BgL_ivz00_849, BgL_modez00_850, BgL_padz00_853, BgL_noncezd2initz12zc0_851, BgL_noncezd2updatez12zc0_852, BgL_stringzd2ze3keyz31_854, BEOA); } 
if(
STRINGP(BgL_aux2799z00_5134))
{ /* Llib/block_ciphers.scm 747 */
BgL_res2714z00_2852 = BgL_aux2799z00_5134; }  else 
{ 
 obj_t BgL_auxz00_7158;
BgL_auxz00_7158 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27169)), BGl_string3086z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_aux2799z00_5134); 
FAILURE(BgL_auxz00_7158,BFALSE,BFALSE);} } } } 
return BgL_res2714z00_2852;} } } } } } } } } } } } } } } } } 

}



/* search1367~0 */
obj_t BGl_search1367ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1366z00_5107, obj_t BgL_opt1364z00_5106, obj_t BgL_k1z00_814, long BgL_iz00_815)
{
{ /* Llib/block_ciphers.scm 736 */
BGl_search1367ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_815==BgL_l1366z00_5107))
{ /* Llib/block_ciphers.scm 736 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 736 */
if(
(BgL_iz00_815==
(BgL_l1366z00_5107-((long)1))))
{ /* Llib/block_ciphers.scm 736 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)18)), BGl_string3090z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1364z00_5106)));}  else 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_vz00_859;
BgL_vz00_859 = 
VECTOR_REF(BgL_opt1364z00_5106,BgL_iz00_815); 
if(
(BgL_vz00_859==BgL_k1z00_814))
{ /* Llib/block_ciphers.scm 736 */
return 
BINT(
(BgL_iz00_815+((long)1)));}  else 
{ 
 long BgL_iz00_7177;
BgL_iz00_7177 = 
(BgL_iz00_815+((long)2)); 
BgL_iz00_815 = BgL_iz00_7177; 
goto BGl_search1367ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt */
BGL_EXPORTED_DEF obj_t BGl_encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_204, obj_t BgL_plaintextz00_205, obj_t BgL_passwordz00_206, obj_t BgL_ivz00_207, obj_t BgL_modez00_208, obj_t BgL_noncezd2initz12zc0_209, obj_t BgL_noncezd2updatez12zc0_210, obj_t BgL_padz00_211, obj_t BgL_stringzd2ze3keyz31_212)
{
{ /* Llib/block_ciphers.scm 736 */
{ /* Llib/block_ciphers.scm 740 */
 obj_t BgL_redirectz00_2853;
if(
STRINGP(BgL_plaintextz00_205))
{ /* Llib/block_ciphers.scm 741 */
BgL_redirectz00_2853 = BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 741 */
if(
BGL_MMAPP(BgL_plaintextz00_205))
{ /* Llib/block_ciphers.scm 742 */
BgL_redirectz00_2853 = BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
 bool_t BgL_test3648z00_7183;
{ /* Llib/block_ciphers.scm 743 */
 bool_t BgL__ortest_1056z00_2857;
BgL__ortest_1056z00_2857 = 
OUTPUT_PORTP(BgL_plaintextz00_205); 
if(BgL__ortest_1056z00_2857)
{ /* Llib/block_ciphers.scm 743 */
BgL_test3648z00_7183 = BgL__ortest_1056z00_2857
; }  else 
{ /* Llib/block_ciphers.scm 743 */
BgL_test3648z00_7183 = 
INPUT_PORTP(BgL_plaintextz00_205)
; } } 
if(BgL_test3648z00_7183)
{ /* Llib/block_ciphers.scm 743 */
BgL_redirectz00_2853 = BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
CNST_TABLE_REF(((long)25)); 
BgL_redirectz00_2853 = BgL_plaintextz00_205; } } } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_redirectz00_2853))(BgL_redirectz00_2853, BgL_cipherz00_204, BgL_plaintextz00_205, BgL_passwordz00_206, BgL_ivz00_207, BgL_modez00_208, BgL_padz00_211, BgL_noncezd2initz12zc0_209, BgL_noncezd2updatez12zc0_210, BgL_stringzd2ze3keyz31_212, BEOA);} } 

}



/* _encrypt-string */
obj_t BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1377z00_225, obj_t BgL_opt1376z00_224)
{
{ /* Llib/block_ciphers.scm 750 */
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_cipherz00_870; obj_t BgL_plaintextz00_871; obj_t BgL_passwordz00_872;
BgL_cipherz00_870 = 
VECTOR_REF(BgL_opt1376z00_224,((long)0)); 
BgL_plaintextz00_871 = 
VECTOR_REF(BgL_opt1376z00_224,((long)1)); 
BgL_passwordz00_872 = 
VECTOR_REF(BgL_opt1376z00_224,((long)2)); 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_ivz00_873;
BgL_ivz00_873 = BFALSE; 
{ /* Llib/block_ciphers.scm 751 */
 obj_t BgL_modez00_874;
BgL_modez00_874 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_noncezd2initz12zc0_875;
BgL_noncezd2initz12zc0_875 = BFALSE; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_noncezd2updatez12zc0_876;
BgL_noncezd2updatez12zc0_876 = BFALSE; 
{ /* Llib/block_ciphers.scm 752 */
 obj_t BgL_padz00_877;
BgL_padz00_877 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_stringzd2ze3keyz31_878;
BgL_stringzd2ze3keyz31_878 = BFALSE; 
{ /* Llib/block_ciphers.scm 750 */

{ 
 long BgL_iz00_879;
BgL_iz00_879 = ((long)3); 
BgL_check1380z00_880:
if(
(BgL_iz00_879==
VECTOR_LENGTH(BgL_opt1376z00_224)))
{ /* Llib/block_ciphers.scm 750 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3651z00_7208;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_arg1995z00_886;
BgL_arg1995z00_886 = 
VECTOR_REF(BgL_opt1376z00_224,BgL_iz00_879); 
BgL_test3651z00_7208 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1995z00_886, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3651z00_7208)
{ 
 long BgL_iz00_7213;
BgL_iz00_7213 = 
(BgL_iz00_879+((long)2)); 
BgL_iz00_879 = BgL_iz00_7213; 
goto BgL_check1380z00_880;}  else 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_arg1994z00_885;
BgL_arg1994z00_885 = 
VECTOR_REF(BgL_opt1376z00_224,BgL_iz00_879); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)26)), BGl_string3085z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1994z00_885); } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1382z00_887;
BgL_index1382z00_887 = 
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1376z00_224), BgL_opt1376z00_224, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3652z00_7221;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2874;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7222;
if(
INTEGERP(BgL_index1382z00_887))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7222 = BgL_index1382z00_887
; }  else 
{ 
 obj_t BgL_auxz00_7225;
BgL_auxz00_7225 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1382z00_887); 
FAILURE(BgL_auxz00_7225,BFALSE,BFALSE);} 
BgL_n1z00_2874 = 
(long)CINT(BgL_tmpz00_7222); } 
BgL_test3652z00_7221 = 
(BgL_n1z00_2874>=((long)0)); } 
if(BgL_test3652z00_7221)
{ 
 long BgL_auxz00_7231;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7232;
if(
INTEGERP(BgL_index1382z00_887))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7232 = BgL_index1382z00_887
; }  else 
{ 
 obj_t BgL_auxz00_7235;
BgL_auxz00_7235 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1382z00_887); 
FAILURE(BgL_auxz00_7235,BFALSE,BFALSE);} 
BgL_auxz00_7231 = 
(long)CINT(BgL_tmpz00_7232); } 
BgL_ivz00_873 = 
VECTOR_REF(BgL_opt1376z00_224,BgL_auxz00_7231); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1383z00_889;
BgL_index1383z00_889 = 
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1376z00_224), BgL_opt1376z00_224, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3655z00_7244;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2875;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7245;
if(
INTEGERP(BgL_index1383z00_889))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7245 = BgL_index1383z00_889
; }  else 
{ 
 obj_t BgL_auxz00_7248;
BgL_auxz00_7248 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1383z00_889); 
FAILURE(BgL_auxz00_7248,BFALSE,BFALSE);} 
BgL_n1z00_2875 = 
(long)CINT(BgL_tmpz00_7245); } 
BgL_test3655z00_7244 = 
(BgL_n1z00_2875>=((long)0)); } 
if(BgL_test3655z00_7244)
{ 
 long BgL_auxz00_7254;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7255;
if(
INTEGERP(BgL_index1383z00_889))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7255 = BgL_index1383z00_889
; }  else 
{ 
 obj_t BgL_auxz00_7258;
BgL_auxz00_7258 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1383z00_889); 
FAILURE(BgL_auxz00_7258,BFALSE,BFALSE);} 
BgL_auxz00_7254 = 
(long)CINT(BgL_tmpz00_7255); } 
BgL_modez00_874 = 
VECTOR_REF(BgL_opt1376z00_224,BgL_auxz00_7254); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1384z00_891;
BgL_index1384z00_891 = 
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1376z00_224), BgL_opt1376z00_224, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3658z00_7267;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2876;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7268;
if(
INTEGERP(BgL_index1384z00_891))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7268 = BgL_index1384z00_891
; }  else 
{ 
 obj_t BgL_auxz00_7271;
BgL_auxz00_7271 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1384z00_891); 
FAILURE(BgL_auxz00_7271,BFALSE,BFALSE);} 
BgL_n1z00_2876 = 
(long)CINT(BgL_tmpz00_7268); } 
BgL_test3658z00_7267 = 
(BgL_n1z00_2876>=((long)0)); } 
if(BgL_test3658z00_7267)
{ 
 long BgL_auxz00_7277;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7278;
if(
INTEGERP(BgL_index1384z00_891))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7278 = BgL_index1384z00_891
; }  else 
{ 
 obj_t BgL_auxz00_7281;
BgL_auxz00_7281 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1384z00_891); 
FAILURE(BgL_auxz00_7281,BFALSE,BFALSE);} 
BgL_auxz00_7277 = 
(long)CINT(BgL_tmpz00_7278); } 
BgL_noncezd2initz12zc0_875 = 
VECTOR_REF(BgL_opt1376z00_224,BgL_auxz00_7277); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1385z00_893;
BgL_index1385z00_893 = 
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1376z00_224), BgL_opt1376z00_224, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3661z00_7290;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2877;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7291;
if(
INTEGERP(BgL_index1385z00_893))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7291 = BgL_index1385z00_893
; }  else 
{ 
 obj_t BgL_auxz00_7294;
BgL_auxz00_7294 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1385z00_893); 
FAILURE(BgL_auxz00_7294,BFALSE,BFALSE);} 
BgL_n1z00_2877 = 
(long)CINT(BgL_tmpz00_7291); } 
BgL_test3661z00_7290 = 
(BgL_n1z00_2877>=((long)0)); } 
if(BgL_test3661z00_7290)
{ 
 long BgL_auxz00_7300;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7301;
if(
INTEGERP(BgL_index1385z00_893))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7301 = BgL_index1385z00_893
; }  else 
{ 
 obj_t BgL_auxz00_7304;
BgL_auxz00_7304 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1385z00_893); 
FAILURE(BgL_auxz00_7304,BFALSE,BFALSE);} 
BgL_auxz00_7300 = 
(long)CINT(BgL_tmpz00_7301); } 
BgL_noncezd2updatez12zc0_876 = 
VECTOR_REF(BgL_opt1376z00_224,BgL_auxz00_7300); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1386z00_895;
BgL_index1386z00_895 = 
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1376z00_224), BgL_opt1376z00_224, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3664z00_7313;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2878;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7314;
if(
INTEGERP(BgL_index1386z00_895))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7314 = BgL_index1386z00_895
; }  else 
{ 
 obj_t BgL_auxz00_7317;
BgL_auxz00_7317 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1386z00_895); 
FAILURE(BgL_auxz00_7317,BFALSE,BFALSE);} 
BgL_n1z00_2878 = 
(long)CINT(BgL_tmpz00_7314); } 
BgL_test3664z00_7313 = 
(BgL_n1z00_2878>=((long)0)); } 
if(BgL_test3664z00_7313)
{ 
 long BgL_auxz00_7323;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7324;
if(
INTEGERP(BgL_index1386z00_895))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7324 = BgL_index1386z00_895
; }  else 
{ 
 obj_t BgL_auxz00_7327;
BgL_auxz00_7327 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1386z00_895); 
FAILURE(BgL_auxz00_7327,BFALSE,BFALSE);} 
BgL_auxz00_7323 = 
(long)CINT(BgL_tmpz00_7324); } 
BgL_padz00_877 = 
VECTOR_REF(BgL_opt1376z00_224,BgL_auxz00_7323); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1387z00_897;
BgL_index1387z00_897 = 
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1376z00_224), BgL_opt1376z00_224, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test3667z00_7336;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2879;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7337;
if(
INTEGERP(BgL_index1387z00_897))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7337 = BgL_index1387z00_897
; }  else 
{ 
 obj_t BgL_auxz00_7340;
BgL_auxz00_7340 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1387z00_897); 
FAILURE(BgL_auxz00_7340,BFALSE,BFALSE);} 
BgL_n1z00_2879 = 
(long)CINT(BgL_tmpz00_7337); } 
BgL_test3667z00_7336 = 
(BgL_n1z00_2879>=((long)0)); } 
if(BgL_test3667z00_7336)
{ 
 long BgL_auxz00_7346;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7347;
if(
INTEGERP(BgL_index1387z00_897))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7347 = BgL_index1387z00_897
; }  else 
{ 
 obj_t BgL_auxz00_7350;
BgL_auxz00_7350 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1387z00_897); 
FAILURE(BgL_auxz00_7350,BFALSE,BFALSE);} 
BgL_auxz00_7346 = 
(long)CINT(BgL_tmpz00_7347); } 
BgL_stringzd2ze3keyz31_878 = 
VECTOR_REF(BgL_opt1376z00_224,BgL_auxz00_7346); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_arg2002z00_899; obj_t BgL_arg2003z00_900; obj_t BgL_arg2004z00_901;
BgL_arg2002z00_899 = 
VECTOR_REF(BgL_opt1376z00_224,((long)0)); 
BgL_arg2003z00_900 = 
VECTOR_REF(BgL_opt1376z00_224,((long)1)); 
BgL_arg2004z00_901 = 
VECTOR_REF(BgL_opt1376z00_224,((long)2)); 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_ivz00_902;
BgL_ivz00_902 = BgL_ivz00_873; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_modez00_903;
BgL_modez00_903 = BgL_modez00_874; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_noncezd2initz12zc0_904;
BgL_noncezd2initz12zc0_904 = BgL_noncezd2initz12zc0_875; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_noncezd2updatez12zc0_905;
BgL_noncezd2updatez12zc0_905 = BgL_noncezd2updatez12zc0_876; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_padz00_906;
BgL_padz00_906 = BgL_padz00_877; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_stringzd2ze3keyz31_907;
BgL_stringzd2ze3keyz31_907 = BgL_stringzd2ze3keyz31_878; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_res2716z00_2883;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_cipherz00_2880; obj_t BgL_plaintextz00_2881; obj_t BgL_passwordz00_2882;
if(
SYMBOLP(BgL_arg2002z00_899))
{ /* Llib/block_ciphers.scm 750 */
BgL_cipherz00_2880 = BgL_arg2002z00_899; }  else 
{ 
 obj_t BgL_auxz00_7361;
BgL_auxz00_7361 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2002z00_899); 
FAILURE(BgL_auxz00_7361,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2003z00_900))
{ /* Llib/block_ciphers.scm 750 */
BgL_plaintextz00_2881 = BgL_arg2003z00_900; }  else 
{ 
 obj_t BgL_auxz00_7367;
BgL_auxz00_7367 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2003z00_900); 
FAILURE(BgL_auxz00_7367,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2004z00_901))
{ /* Llib/block_ciphers.scm 750 */
BgL_passwordz00_2882 = BgL_arg2004z00_901; }  else 
{ 
 obj_t BgL_auxz00_7373;
BgL_auxz00_7373 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27261)), BGl_string3091z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2004z00_901); 
FAILURE(BgL_auxz00_7373,BFALSE,BFALSE);} 
BgL_res2716z00_2883 = 
BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_2880, BgL_plaintextz00_2881, BgL_passwordz00_2882, BgL_ivz00_902, BgL_modez00_903, BgL_padz00_906, BgL_noncezd2initz12zc0_904, BgL_noncezd2updatez12zc0_905, BgL_stringzd2ze3keyz31_907); } 
return BgL_res2716z00_2883;} } } } } } } } } } } } } } } } } 

}



/* search1379~0 */
obj_t BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1378z00_5105, obj_t BgL_opt1376z00_5104, obj_t BgL_k1z00_867, long BgL_iz00_868)
{
{ /* Llib/block_ciphers.scm 750 */
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_868==BgL_l1378z00_5105))
{ /* Llib/block_ciphers.scm 750 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 750 */
if(
(BgL_iz00_868==
(BgL_l1378z00_5105-((long)1))))
{ /* Llib/block_ciphers.scm 750 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)26)), BGl_string3090z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1376z00_5104)));}  else 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_vz00_912;
BgL_vz00_912 = 
VECTOR_REF(BgL_opt1376z00_5104,BgL_iz00_868); 
if(
(BgL_vz00_912==BgL_k1z00_867))
{ /* Llib/block_ciphers.scm 750 */
return 
BINT(
(BgL_iz00_868+((long)1)));}  else 
{ 
 long BgL_iz00_7393;
BgL_iz00_7393 = 
(BgL_iz00_868+((long)2)); 
BgL_iz00_868 = BgL_iz00_7393; 
goto BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-string */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_215, obj_t BgL_plaintextz00_216, obj_t BgL_passwordz00_217, obj_t BgL_ivz00_218, obj_t BgL_modez00_219, obj_t BgL_noncezd2initz12zc0_220, obj_t BgL_noncezd2updatez12zc0_221, obj_t BgL_padz00_222, obj_t BgL_stringzd2ze3keyz31_223)
{
{ /* Llib/block_ciphers.scm 750 */
{ /* Llib/block_ciphers.scm 765 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_2885;
BgL_statez00_2885 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_215, BgL_passwordz00_217, BgL_ivz00_218, BgL_modez00_219, BgL_padz00_222, BgL_noncezd2initz12zc0_220, BgL_noncezd2updatez12zc0_221, BgL_stringzd2ze3keyz31_223); 
{ /* Llib/block_ciphers.scm 765 */
 long BgL_blockzd2siza7ez75_2886;
BgL_blockzd2siza7ez75_2886 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_2885))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 768 */
 obj_t BgL_strz00_2888;
{ /* Llib/block_ciphers.scm 770 */
 long BgL_arg2012z00_2889;
BgL_arg2012z00_2889 = 
(
(((long)2)*BgL_blockzd2siza7ez75_2886)+
STRING_LENGTH(BgL_plaintextz00_216)); 
{ /* Llib/block_ciphers.scm 770 */

BgL_strz00_2888 = 
make_string(BgL_arg2012z00_2889, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 770 */

{ /* Llib/block_ciphers.scm 771 */
 long BgL_tmpz00_7401;
BgL_tmpz00_7401 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_2885, BgL_plaintextz00_216, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_2888, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_2888, BgL_tmpz00_7401);} } } } } } 

}



/* encrypt-fast-string */
obj_t BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_226, obj_t BgL_plaintextz00_227, obj_t BgL_passwordz00_228, obj_t BgL_ivz00_229, obj_t BgL_modez00_230, obj_t BgL_padz00_231, obj_t BgL_noncezd2initz12zc0_232, obj_t BgL_noncezd2updatez12zc0_233, obj_t BgL_stringzd2ze3keyz31_234)
{
{ /* Llib/block_ciphers.scm 759 */
{ /* Llib/block_ciphers.scm 765 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_2902;
BgL_statez00_2902 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_226, BgL_passwordz00_228, BgL_ivz00_229, BgL_modez00_230, BgL_padz00_231, BgL_noncezd2initz12zc0_232, BgL_noncezd2updatez12zc0_233, BgL_stringzd2ze3keyz31_234); 
{ /* Llib/block_ciphers.scm 765 */
 long BgL_blockzd2siza7ez75_2903;
BgL_blockzd2siza7ez75_2903 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_2902))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 768 */
 obj_t BgL_strz00_2905;
{ /* Llib/block_ciphers.scm 770 */
 long BgL_arg2012z00_2906;
BgL_arg2012z00_2906 = 
(
(((long)2)*BgL_blockzd2siza7ez75_2903)+
STRING_LENGTH(BgL_plaintextz00_227)); 
{ /* Llib/block_ciphers.scm 770 */

BgL_strz00_2905 = 
make_string(BgL_arg2012z00_2906, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 770 */

{ /* Llib/block_ciphers.scm 771 */
 long BgL_tmpz00_7410;
BgL_tmpz00_7410 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_2902, BgL_plaintextz00_227, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_2905, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_2905, BgL_tmpz00_7410);} } } } } } 

}



/* &encrypt-fast-string */
obj_t BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4416, obj_t BgL_cipherz00_4417, obj_t BgL_plaintextz00_4418, obj_t BgL_passwordz00_4419, obj_t BgL_ivz00_4420, obj_t BgL_modez00_4421, obj_t BgL_padz00_4422, obj_t BgL_noncezd2initz12zc0_4423, obj_t BgL_noncezd2updatez12zc0_4424, obj_t BgL_stringzd2ze3keyz31_4425)
{
{ /* Llib/block_ciphers.scm 759 */
{ /* Llib/block_ciphers.scm 765 */
 obj_t BgL_auxz00_7413;
if(
STRINGP(BgL_plaintextz00_4418))
{ /* Llib/block_ciphers.scm 765 */
BgL_auxz00_7413 = BgL_plaintextz00_4418
; }  else 
{ 
 obj_t BgL_auxz00_7416;
BgL_auxz00_7416 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27779)), BGl_string3092z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4418); 
FAILURE(BgL_auxz00_7416,BFALSE,BFALSE);} 
return 
BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4417, BgL_auxz00_7413, BgL_passwordz00_4419, BgL_ivz00_4420, BgL_modez00_4421, BgL_padz00_4422, BgL_noncezd2initz12zc0_4423, BgL_noncezd2updatez12zc0_4424, BgL_stringzd2ze3keyz31_4425);} } 

}



/* _encrypt-mmap */
obj_t BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1389z00_245, obj_t BgL_opt1388z00_244)
{
{ /* Llib/block_ciphers.scm 776 */
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_cipherz00_929; obj_t BgL_plaintextz00_930; obj_t BgL_passwordz00_931;
BgL_cipherz00_929 = 
VECTOR_REF(BgL_opt1388z00_244,((long)0)); 
BgL_plaintextz00_930 = 
VECTOR_REF(BgL_opt1388z00_244,((long)1)); 
BgL_passwordz00_931 = 
VECTOR_REF(BgL_opt1388z00_244,((long)2)); 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_ivz00_932;
BgL_ivz00_932 = BFALSE; 
{ /* Llib/block_ciphers.scm 777 */
 obj_t BgL_modez00_933;
BgL_modez00_933 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_noncezd2initz12zc0_934;
BgL_noncezd2initz12zc0_934 = BFALSE; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_noncezd2updatez12zc0_935;
BgL_noncezd2updatez12zc0_935 = BFALSE; 
{ /* Llib/block_ciphers.scm 777 */
 obj_t BgL_padz00_936;
BgL_padz00_936 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_stringzd2ze3keyz31_937;
BgL_stringzd2ze3keyz31_937 = BFALSE; 
{ /* Llib/block_ciphers.scm 776 */

{ 
 long BgL_iz00_938;
BgL_iz00_938 = ((long)3); 
BgL_check1392z00_939:
if(
(BgL_iz00_938==
VECTOR_LENGTH(BgL_opt1388z00_244)))
{ /* Llib/block_ciphers.scm 776 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3678z00_7429;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_arg2020z00_945;
BgL_arg2020z00_945 = 
VECTOR_REF(BgL_opt1388z00_244,BgL_iz00_938); 
BgL_test3678z00_7429 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2020z00_945, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3678z00_7429)
{ 
 long BgL_iz00_7434;
BgL_iz00_7434 = 
(BgL_iz00_938+((long)2)); 
BgL_iz00_938 = BgL_iz00_7434; 
goto BgL_check1392z00_939;}  else 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_arg2019z00_944;
BgL_arg2019z00_944 = 
VECTOR_REF(BgL_opt1388z00_244,BgL_iz00_938); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)27)), BGl_string3085z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2019z00_944); } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1394z00_946;
BgL_index1394z00_946 = 
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1388z00_244), BgL_opt1388z00_244, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3679z00_7442;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2934;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7443;
if(
INTEGERP(BgL_index1394z00_946))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7443 = BgL_index1394z00_946
; }  else 
{ 
 obj_t BgL_auxz00_7446;
BgL_auxz00_7446 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1394z00_946); 
FAILURE(BgL_auxz00_7446,BFALSE,BFALSE);} 
BgL_n1z00_2934 = 
(long)CINT(BgL_tmpz00_7443); } 
BgL_test3679z00_7442 = 
(BgL_n1z00_2934>=((long)0)); } 
if(BgL_test3679z00_7442)
{ 
 long BgL_auxz00_7452;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7453;
if(
INTEGERP(BgL_index1394z00_946))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7453 = BgL_index1394z00_946
; }  else 
{ 
 obj_t BgL_auxz00_7456;
BgL_auxz00_7456 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1394z00_946); 
FAILURE(BgL_auxz00_7456,BFALSE,BFALSE);} 
BgL_auxz00_7452 = 
(long)CINT(BgL_tmpz00_7453); } 
BgL_ivz00_932 = 
VECTOR_REF(BgL_opt1388z00_244,BgL_auxz00_7452); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1395z00_948;
BgL_index1395z00_948 = 
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1388z00_244), BgL_opt1388z00_244, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3682z00_7465;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2935;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7466;
if(
INTEGERP(BgL_index1395z00_948))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7466 = BgL_index1395z00_948
; }  else 
{ 
 obj_t BgL_auxz00_7469;
BgL_auxz00_7469 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1395z00_948); 
FAILURE(BgL_auxz00_7469,BFALSE,BFALSE);} 
BgL_n1z00_2935 = 
(long)CINT(BgL_tmpz00_7466); } 
BgL_test3682z00_7465 = 
(BgL_n1z00_2935>=((long)0)); } 
if(BgL_test3682z00_7465)
{ 
 long BgL_auxz00_7475;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7476;
if(
INTEGERP(BgL_index1395z00_948))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7476 = BgL_index1395z00_948
; }  else 
{ 
 obj_t BgL_auxz00_7479;
BgL_auxz00_7479 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1395z00_948); 
FAILURE(BgL_auxz00_7479,BFALSE,BFALSE);} 
BgL_auxz00_7475 = 
(long)CINT(BgL_tmpz00_7476); } 
BgL_modez00_933 = 
VECTOR_REF(BgL_opt1388z00_244,BgL_auxz00_7475); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1396z00_950;
BgL_index1396z00_950 = 
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1388z00_244), BgL_opt1388z00_244, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3685z00_7488;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2936;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7489;
if(
INTEGERP(BgL_index1396z00_950))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7489 = BgL_index1396z00_950
; }  else 
{ 
 obj_t BgL_auxz00_7492;
BgL_auxz00_7492 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1396z00_950); 
FAILURE(BgL_auxz00_7492,BFALSE,BFALSE);} 
BgL_n1z00_2936 = 
(long)CINT(BgL_tmpz00_7489); } 
BgL_test3685z00_7488 = 
(BgL_n1z00_2936>=((long)0)); } 
if(BgL_test3685z00_7488)
{ 
 long BgL_auxz00_7498;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7499;
if(
INTEGERP(BgL_index1396z00_950))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7499 = BgL_index1396z00_950
; }  else 
{ 
 obj_t BgL_auxz00_7502;
BgL_auxz00_7502 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1396z00_950); 
FAILURE(BgL_auxz00_7502,BFALSE,BFALSE);} 
BgL_auxz00_7498 = 
(long)CINT(BgL_tmpz00_7499); } 
BgL_noncezd2initz12zc0_934 = 
VECTOR_REF(BgL_opt1388z00_244,BgL_auxz00_7498); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1397z00_952;
BgL_index1397z00_952 = 
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1388z00_244), BgL_opt1388z00_244, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3688z00_7511;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2937;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7512;
if(
INTEGERP(BgL_index1397z00_952))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7512 = BgL_index1397z00_952
; }  else 
{ 
 obj_t BgL_auxz00_7515;
BgL_auxz00_7515 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1397z00_952); 
FAILURE(BgL_auxz00_7515,BFALSE,BFALSE);} 
BgL_n1z00_2937 = 
(long)CINT(BgL_tmpz00_7512); } 
BgL_test3688z00_7511 = 
(BgL_n1z00_2937>=((long)0)); } 
if(BgL_test3688z00_7511)
{ 
 long BgL_auxz00_7521;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7522;
if(
INTEGERP(BgL_index1397z00_952))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7522 = BgL_index1397z00_952
; }  else 
{ 
 obj_t BgL_auxz00_7525;
BgL_auxz00_7525 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1397z00_952); 
FAILURE(BgL_auxz00_7525,BFALSE,BFALSE);} 
BgL_auxz00_7521 = 
(long)CINT(BgL_tmpz00_7522); } 
BgL_noncezd2updatez12zc0_935 = 
VECTOR_REF(BgL_opt1388z00_244,BgL_auxz00_7521); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1398z00_954;
BgL_index1398z00_954 = 
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1388z00_244), BgL_opt1388z00_244, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3691z00_7534;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2938;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7535;
if(
INTEGERP(BgL_index1398z00_954))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7535 = BgL_index1398z00_954
; }  else 
{ 
 obj_t BgL_auxz00_7538;
BgL_auxz00_7538 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1398z00_954); 
FAILURE(BgL_auxz00_7538,BFALSE,BFALSE);} 
BgL_n1z00_2938 = 
(long)CINT(BgL_tmpz00_7535); } 
BgL_test3691z00_7534 = 
(BgL_n1z00_2938>=((long)0)); } 
if(BgL_test3691z00_7534)
{ 
 long BgL_auxz00_7544;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7545;
if(
INTEGERP(BgL_index1398z00_954))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7545 = BgL_index1398z00_954
; }  else 
{ 
 obj_t BgL_auxz00_7548;
BgL_auxz00_7548 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1398z00_954); 
FAILURE(BgL_auxz00_7548,BFALSE,BFALSE);} 
BgL_auxz00_7544 = 
(long)CINT(BgL_tmpz00_7545); } 
BgL_padz00_936 = 
VECTOR_REF(BgL_opt1388z00_244,BgL_auxz00_7544); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1399z00_956;
BgL_index1399z00_956 = 
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1388z00_244), BgL_opt1388z00_244, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test3694z00_7557;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2939;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7558;
if(
INTEGERP(BgL_index1399z00_956))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7558 = BgL_index1399z00_956
; }  else 
{ 
 obj_t BgL_auxz00_7561;
BgL_auxz00_7561 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1399z00_956); 
FAILURE(BgL_auxz00_7561,BFALSE,BFALSE);} 
BgL_n1z00_2939 = 
(long)CINT(BgL_tmpz00_7558); } 
BgL_test3694z00_7557 = 
(BgL_n1z00_2939>=((long)0)); } 
if(BgL_test3694z00_7557)
{ 
 long BgL_auxz00_7567;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_7568;
if(
INTEGERP(BgL_index1399z00_956))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_7568 = BgL_index1399z00_956
; }  else 
{ 
 obj_t BgL_auxz00_7571;
BgL_auxz00_7571 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1399z00_956); 
FAILURE(BgL_auxz00_7571,BFALSE,BFALSE);} 
BgL_auxz00_7567 = 
(long)CINT(BgL_tmpz00_7568); } 
BgL_stringzd2ze3keyz31_937 = 
VECTOR_REF(BgL_opt1388z00_244,BgL_auxz00_7567); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_arg2027z00_958; obj_t BgL_arg2028z00_959; obj_t BgL_arg2029z00_960;
BgL_arg2027z00_958 = 
VECTOR_REF(BgL_opt1388z00_244,((long)0)); 
BgL_arg2028z00_959 = 
VECTOR_REF(BgL_opt1388z00_244,((long)1)); 
BgL_arg2029z00_960 = 
VECTOR_REF(BgL_opt1388z00_244,((long)2)); 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_ivz00_961;
BgL_ivz00_961 = BgL_ivz00_932; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_modez00_962;
BgL_modez00_962 = BgL_modez00_933; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_noncezd2initz12zc0_963;
BgL_noncezd2initz12zc0_963 = BgL_noncezd2initz12zc0_934; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_noncezd2updatez12zc0_964;
BgL_noncezd2updatez12zc0_964 = BgL_noncezd2updatez12zc0_935; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_padz00_965;
BgL_padz00_965 = BgL_padz00_936; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_stringzd2ze3keyz31_966;
BgL_stringzd2ze3keyz31_966 = BgL_stringzd2ze3keyz31_937; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_res2717z00_2943;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_cipherz00_2940; obj_t BgL_plaintextz00_2941; obj_t BgL_passwordz00_2942;
if(
SYMBOLP(BgL_arg2027z00_958))
{ /* Llib/block_ciphers.scm 776 */
BgL_cipherz00_2940 = BgL_arg2027z00_958; }  else 
{ 
 obj_t BgL_auxz00_7582;
BgL_auxz00_7582 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2027z00_958); 
FAILURE(BgL_auxz00_7582,BFALSE,BFALSE);} 
if(
BGL_MMAPP(BgL_arg2028z00_959))
{ /* Llib/block_ciphers.scm 776 */
BgL_plaintextz00_2941 = BgL_arg2028z00_959; }  else 
{ 
 obj_t BgL_auxz00_7588;
BgL_auxz00_7588 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3094z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2028z00_959); 
FAILURE(BgL_auxz00_7588,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2029z00_960))
{ /* Llib/block_ciphers.scm 776 */
BgL_passwordz00_2942 = BgL_arg2029z00_960; }  else 
{ 
 obj_t BgL_auxz00_7594;
BgL_auxz00_7594 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28189)), BGl_string3093z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2029z00_960); 
FAILURE(BgL_auxz00_7594,BFALSE,BFALSE);} 
BgL_res2717z00_2943 = 
BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_2940, BgL_plaintextz00_2941, BgL_passwordz00_2942, BgL_ivz00_961, BgL_modez00_962, BgL_padz00_965, BgL_noncezd2initz12zc0_963, BgL_noncezd2updatez12zc0_964, BgL_stringzd2ze3keyz31_966); } 
return BgL_res2717z00_2943;} } } } } } } } } } } } } } } } } 

}



/* search1391~0 */
obj_t BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1390z00_5103, obj_t BgL_opt1388z00_5102, obj_t BgL_k1z00_926, long BgL_iz00_927)
{
{ /* Llib/block_ciphers.scm 776 */
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_927==BgL_l1390z00_5103))
{ /* Llib/block_ciphers.scm 776 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 776 */
if(
(BgL_iz00_927==
(BgL_l1390z00_5103-((long)1))))
{ /* Llib/block_ciphers.scm 776 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)27)), BGl_string3090z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1388z00_5102)));}  else 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_vz00_971;
BgL_vz00_971 = 
VECTOR_REF(BgL_opt1388z00_5102,BgL_iz00_927); 
if(
(BgL_vz00_971==BgL_k1z00_926))
{ /* Llib/block_ciphers.scm 776 */
return 
BINT(
(BgL_iz00_927+((long)1)));}  else 
{ 
 long BgL_iz00_7614;
BgL_iz00_7614 = 
(BgL_iz00_927+((long)2)); 
BgL_iz00_927 = BgL_iz00_7614; 
goto BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-mmap */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_235, obj_t BgL_plaintextz00_236, obj_t BgL_passwordz00_237, obj_t BgL_ivz00_238, obj_t BgL_modez00_239, obj_t BgL_noncezd2initz12zc0_240, obj_t BgL_noncezd2updatez12zc0_241, obj_t BgL_padz00_242, obj_t BgL_stringzd2ze3keyz31_243)
{
{ /* Llib/block_ciphers.scm 776 */
{ /* Llib/block_ciphers.scm 789 */
 long BgL_lenz00_2945;
BgL_lenz00_2945 = 
BGL_MMAP_LENGTH(BgL_plaintextz00_236); 
{ /* Llib/block_ciphers.scm 789 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_2946;
BgL_statez00_2946 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_235, BgL_passwordz00_237, BgL_ivz00_238, BgL_modez00_239, BgL_padz00_242, BgL_noncezd2initz12zc0_240, BgL_noncezd2updatez12zc0_241, BgL_stringzd2ze3keyz31_243); 
{ /* Llib/block_ciphers.scm 790 */
 obj_t BgL_strz00_2947;
{ /* Llib/block_ciphers.scm 793 */
 long BgL_arg2037z00_2948;
{ /* Llib/block_ciphers.scm 793 */
 long BgL_za72za7_2958;
BgL_za72za7_2958 = 
(long)(BgL_lenz00_2945); 
BgL_arg2037z00_2948 = 
(
(((long)2)*
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_2946))->BgL_blockzd2siza7ez75))+BgL_za72za7_2958); } 
{ /* Llib/block_ciphers.scm 793 */

BgL_strz00_2947 = 
make_string(BgL_arg2037z00_2948, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 793 */

{ /* Llib/block_ciphers.scm 796 */
 long BgL_tmpz00_7623;
BgL_tmpz00_7623 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_2946, BgL_plaintextz00_236, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_2947, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_2947, BgL_tmpz00_7623);} } } } } } 

}



/* encrypt-fast-mmap */
obj_t BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_246, obj_t BgL_plaintextz00_247, obj_t BgL_passwordz00_248, obj_t BgL_ivz00_249, obj_t BgL_modez00_250, obj_t BgL_padz00_251, obj_t BgL_noncezd2initz12zc0_252, obj_t BgL_noncezd2updatez12zc0_253, obj_t BgL_stringzd2ze3keyz31_254)
{
{ /* Llib/block_ciphers.scm 784 */
{ /* Llib/block_ciphers.scm 789 */
 long BgL_lenz00_2962;
BgL_lenz00_2962 = 
BGL_MMAP_LENGTH(BgL_plaintextz00_247); 
{ /* Llib/block_ciphers.scm 789 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_2963;
BgL_statez00_2963 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_246, BgL_passwordz00_248, BgL_ivz00_249, BgL_modez00_250, BgL_padz00_251, BgL_noncezd2initz12zc0_252, BgL_noncezd2updatez12zc0_253, BgL_stringzd2ze3keyz31_254); 
{ /* Llib/block_ciphers.scm 790 */
 obj_t BgL_strz00_2964;
{ /* Llib/block_ciphers.scm 793 */
 long BgL_arg2037z00_2965;
{ /* Llib/block_ciphers.scm 793 */
 long BgL_za72za7_2975;
BgL_za72za7_2975 = 
(long)(BgL_lenz00_2962); 
BgL_arg2037z00_2965 = 
(
(((long)2)*
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_2963))->BgL_blockzd2siza7ez75))+BgL_za72za7_2975); } 
{ /* Llib/block_ciphers.scm 793 */

BgL_strz00_2964 = 
make_string(BgL_arg2037z00_2965, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 793 */

{ /* Llib/block_ciphers.scm 796 */
 long BgL_tmpz00_7633;
BgL_tmpz00_7633 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_2963, BgL_plaintextz00_247, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_2964, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_2964, BgL_tmpz00_7633);} } } } } } 

}



/* &encrypt-fast-mmap */
obj_t BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4426, obj_t BgL_cipherz00_4427, obj_t BgL_plaintextz00_4428, obj_t BgL_passwordz00_4429, obj_t BgL_ivz00_4430, obj_t BgL_modez00_4431, obj_t BgL_padz00_4432, obj_t BgL_noncezd2initz12zc0_4433, obj_t BgL_noncezd2updatez12zc0_4434, obj_t BgL_stringzd2ze3keyz31_4435)
{
{ /* Llib/block_ciphers.scm 784 */
{ /* Llib/block_ciphers.scm 789 */
 obj_t BgL_auxz00_7636;
if(
BGL_MMAPP(BgL_plaintextz00_4428))
{ /* Llib/block_ciphers.scm 789 */
BgL_auxz00_7636 = BgL_plaintextz00_4428
; }  else 
{ 
 obj_t BgL_auxz00_7639;
BgL_auxz00_7639 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28710)), BGl_string3095z00zz__cryptozd2blockzd2ciphersz00, BGl_string3094z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4428); 
FAILURE(BgL_auxz00_7639,BFALSE,BFALSE);} 
return 
BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4427, BgL_auxz00_7636, BgL_passwordz00_4429, BgL_ivz00_4430, BgL_modez00_4431, BgL_padz00_4432, BgL_noncezd2initz12zc0_4433, BgL_noncezd2updatez12zc0_4434, BgL_stringzd2ze3keyz31_4435);} } 

}



/* _encrypt-port */
obj_t BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1401z00_265, obj_t BgL_opt1400z00_264)
{
{ /* Llib/block_ciphers.scm 801 */
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_cipherz00_988; obj_t BgL_plaintextz00_989; obj_t BgL_passwordz00_990;
BgL_cipherz00_988 = 
VECTOR_REF(BgL_opt1400z00_264,((long)0)); 
BgL_plaintextz00_989 = 
VECTOR_REF(BgL_opt1400z00_264,((long)1)); 
BgL_passwordz00_990 = 
VECTOR_REF(BgL_opt1400z00_264,((long)2)); 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_ivz00_991;
BgL_ivz00_991 = BFALSE; 
{ /* Llib/block_ciphers.scm 802 */
 obj_t BgL_modez00_992;
BgL_modez00_992 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_noncezd2initz12zc0_993;
BgL_noncezd2initz12zc0_993 = BFALSE; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_noncezd2updatez12zc0_994;
BgL_noncezd2updatez12zc0_994 = BFALSE; 
{ /* Llib/block_ciphers.scm 802 */
 obj_t BgL_padz00_995;
BgL_padz00_995 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_stringzd2ze3keyz31_996;
BgL_stringzd2ze3keyz31_996 = BFALSE; 
{ /* Llib/block_ciphers.scm 801 */

{ 
 long BgL_iz00_997;
BgL_iz00_997 = ((long)3); 
BgL_check1404z00_998:
if(
(BgL_iz00_997==
VECTOR_LENGTH(BgL_opt1400z00_264)))
{ /* Llib/block_ciphers.scm 801 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3705z00_7652;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_arg2045z00_1004;
BgL_arg2045z00_1004 = 
VECTOR_REF(BgL_opt1400z00_264,BgL_iz00_997); 
BgL_test3705z00_7652 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2045z00_1004, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3705z00_7652)
{ 
 long BgL_iz00_7657;
BgL_iz00_7657 = 
(BgL_iz00_997+((long)2)); 
BgL_iz00_997 = BgL_iz00_7657; 
goto BgL_check1404z00_998;}  else 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_arg2044z00_1003;
BgL_arg2044z00_1003 = 
VECTOR_REF(BgL_opt1400z00_264,BgL_iz00_997); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)28)), BGl_string3085z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2044z00_1003); } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1406z00_1005;
BgL_index1406z00_1005 = 
BGl_search1403ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1400z00_264), BgL_opt1400z00_264, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3706z00_7665;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_2994;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7666;
if(
INTEGERP(BgL_index1406z00_1005))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7666 = BgL_index1406z00_1005
; }  else 
{ 
 obj_t BgL_auxz00_7669;
BgL_auxz00_7669 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1406z00_1005); 
FAILURE(BgL_auxz00_7669,BFALSE,BFALSE);} 
BgL_n1z00_2994 = 
(long)CINT(BgL_tmpz00_7666); } 
BgL_test3706z00_7665 = 
(BgL_n1z00_2994>=((long)0)); } 
if(BgL_test3706z00_7665)
{ 
 long BgL_auxz00_7675;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7676;
if(
INTEGERP(BgL_index1406z00_1005))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7676 = BgL_index1406z00_1005
; }  else 
{ 
 obj_t BgL_auxz00_7679;
BgL_auxz00_7679 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1406z00_1005); 
FAILURE(BgL_auxz00_7679,BFALSE,BFALSE);} 
BgL_auxz00_7675 = 
(long)CINT(BgL_tmpz00_7676); } 
BgL_ivz00_991 = 
VECTOR_REF(BgL_opt1400z00_264,BgL_auxz00_7675); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1407z00_1007;
BgL_index1407z00_1007 = 
BGl_search1403ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1400z00_264), BgL_opt1400z00_264, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3709z00_7688;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_2995;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7689;
if(
INTEGERP(BgL_index1407z00_1007))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7689 = BgL_index1407z00_1007
; }  else 
{ 
 obj_t BgL_auxz00_7692;
BgL_auxz00_7692 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1407z00_1007); 
FAILURE(BgL_auxz00_7692,BFALSE,BFALSE);} 
BgL_n1z00_2995 = 
(long)CINT(BgL_tmpz00_7689); } 
BgL_test3709z00_7688 = 
(BgL_n1z00_2995>=((long)0)); } 
if(BgL_test3709z00_7688)
{ 
 long BgL_auxz00_7698;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7699;
if(
INTEGERP(BgL_index1407z00_1007))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7699 = BgL_index1407z00_1007
; }  else 
{ 
 obj_t BgL_auxz00_7702;
BgL_auxz00_7702 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1407z00_1007); 
FAILURE(BgL_auxz00_7702,BFALSE,BFALSE);} 
BgL_auxz00_7698 = 
(long)CINT(BgL_tmpz00_7699); } 
BgL_modez00_992 = 
VECTOR_REF(BgL_opt1400z00_264,BgL_auxz00_7698); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1408z00_1009;
BgL_index1408z00_1009 = 
BGl_search1403ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1400z00_264), BgL_opt1400z00_264, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3712z00_7711;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_2996;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7712;
if(
INTEGERP(BgL_index1408z00_1009))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7712 = BgL_index1408z00_1009
; }  else 
{ 
 obj_t BgL_auxz00_7715;
BgL_auxz00_7715 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1408z00_1009); 
FAILURE(BgL_auxz00_7715,BFALSE,BFALSE);} 
BgL_n1z00_2996 = 
(long)CINT(BgL_tmpz00_7712); } 
BgL_test3712z00_7711 = 
(BgL_n1z00_2996>=((long)0)); } 
if(BgL_test3712z00_7711)
{ 
 long BgL_auxz00_7721;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7722;
if(
INTEGERP(BgL_index1408z00_1009))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7722 = BgL_index1408z00_1009
; }  else 
{ 
 obj_t BgL_auxz00_7725;
BgL_auxz00_7725 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1408z00_1009); 
FAILURE(BgL_auxz00_7725,BFALSE,BFALSE);} 
BgL_auxz00_7721 = 
(long)CINT(BgL_tmpz00_7722); } 
BgL_noncezd2initz12zc0_993 = 
VECTOR_REF(BgL_opt1400z00_264,BgL_auxz00_7721); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1409z00_1011;
BgL_index1409z00_1011 = 
BGl_search1403ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1400z00_264), BgL_opt1400z00_264, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3715z00_7734;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_2997;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7735;
if(
INTEGERP(BgL_index1409z00_1011))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7735 = BgL_index1409z00_1011
; }  else 
{ 
 obj_t BgL_auxz00_7738;
BgL_auxz00_7738 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1409z00_1011); 
FAILURE(BgL_auxz00_7738,BFALSE,BFALSE);} 
BgL_n1z00_2997 = 
(long)CINT(BgL_tmpz00_7735); } 
BgL_test3715z00_7734 = 
(BgL_n1z00_2997>=((long)0)); } 
if(BgL_test3715z00_7734)
{ 
 long BgL_auxz00_7744;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7745;
if(
INTEGERP(BgL_index1409z00_1011))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7745 = BgL_index1409z00_1011
; }  else 
{ 
 obj_t BgL_auxz00_7748;
BgL_auxz00_7748 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1409z00_1011); 
FAILURE(BgL_auxz00_7748,BFALSE,BFALSE);} 
BgL_auxz00_7744 = 
(long)CINT(BgL_tmpz00_7745); } 
BgL_noncezd2updatez12zc0_994 = 
VECTOR_REF(BgL_opt1400z00_264,BgL_auxz00_7744); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1410z00_1013;
BgL_index1410z00_1013 = 
BGl_search1403ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1400z00_264), BgL_opt1400z00_264, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3718z00_7757;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_2998;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7758;
if(
INTEGERP(BgL_index1410z00_1013))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7758 = BgL_index1410z00_1013
; }  else 
{ 
 obj_t BgL_auxz00_7761;
BgL_auxz00_7761 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1410z00_1013); 
FAILURE(BgL_auxz00_7761,BFALSE,BFALSE);} 
BgL_n1z00_2998 = 
(long)CINT(BgL_tmpz00_7758); } 
BgL_test3718z00_7757 = 
(BgL_n1z00_2998>=((long)0)); } 
if(BgL_test3718z00_7757)
{ 
 long BgL_auxz00_7767;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7768;
if(
INTEGERP(BgL_index1410z00_1013))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7768 = BgL_index1410z00_1013
; }  else 
{ 
 obj_t BgL_auxz00_7771;
BgL_auxz00_7771 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1410z00_1013); 
FAILURE(BgL_auxz00_7771,BFALSE,BFALSE);} 
BgL_auxz00_7767 = 
(long)CINT(BgL_tmpz00_7768); } 
BgL_padz00_995 = 
VECTOR_REF(BgL_opt1400z00_264,BgL_auxz00_7767); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1411z00_1015;
BgL_index1411z00_1015 = 
BGl_search1403ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1400z00_264), BgL_opt1400z00_264, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test3721z00_7780;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_2999;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7781;
if(
INTEGERP(BgL_index1411z00_1015))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7781 = BgL_index1411z00_1015
; }  else 
{ 
 obj_t BgL_auxz00_7784;
BgL_auxz00_7784 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1411z00_1015); 
FAILURE(BgL_auxz00_7784,BFALSE,BFALSE);} 
BgL_n1z00_2999 = 
(long)CINT(BgL_tmpz00_7781); } 
BgL_test3721z00_7780 = 
(BgL_n1z00_2999>=((long)0)); } 
if(BgL_test3721z00_7780)
{ 
 long BgL_auxz00_7790;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_7791;
if(
INTEGERP(BgL_index1411z00_1015))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_7791 = BgL_index1411z00_1015
; }  else 
{ 
 obj_t BgL_auxz00_7794;
BgL_auxz00_7794 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1411z00_1015); 
FAILURE(BgL_auxz00_7794,BFALSE,BFALSE);} 
BgL_auxz00_7790 = 
(long)CINT(BgL_tmpz00_7791); } 
BgL_stringzd2ze3keyz31_996 = 
VECTOR_REF(BgL_opt1400z00_264,BgL_auxz00_7790); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_arg2052z00_1017; obj_t BgL_arg2053z00_1018; obj_t BgL_arg2054z00_1019;
BgL_arg2052z00_1017 = 
VECTOR_REF(BgL_opt1400z00_264,((long)0)); 
BgL_arg2053z00_1018 = 
VECTOR_REF(BgL_opt1400z00_264,((long)1)); 
BgL_arg2054z00_1019 = 
VECTOR_REF(BgL_opt1400z00_264,((long)2)); 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_ivz00_1020;
BgL_ivz00_1020 = BgL_ivz00_991; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_modez00_1021;
BgL_modez00_1021 = BgL_modez00_992; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_noncezd2initz12zc0_1022;
BgL_noncezd2initz12zc0_1022 = BgL_noncezd2initz12zc0_993; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_noncezd2updatez12zc0_1023;
BgL_noncezd2updatez12zc0_1023 = BgL_noncezd2updatez12zc0_994; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_padz00_1024;
BgL_padz00_1024 = BgL_padz00_995; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_stringzd2ze3keyz31_1025;
BgL_stringzd2ze3keyz31_1025 = BgL_stringzd2ze3keyz31_996; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_res2718z00_3008;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_cipherz00_3000; obj_t BgL_plaintextz00_3001; obj_t BgL_passwordz00_3002;
if(
SYMBOLP(BgL_arg2052z00_1017))
{ /* Llib/block_ciphers.scm 801 */
BgL_cipherz00_3000 = BgL_arg2052z00_1017; }  else 
{ 
 obj_t BgL_auxz00_7805;
BgL_auxz00_7805 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2052z00_1017); 
FAILURE(BgL_auxz00_7805,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2053z00_1018))
{ /* Llib/block_ciphers.scm 801 */
BgL_plaintextz00_3001 = BgL_arg2053z00_1018; }  else 
{ 
 obj_t BgL_auxz00_7811;
BgL_auxz00_7811 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3097z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2053z00_1018); 
FAILURE(BgL_auxz00_7811,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2054z00_1019))
{ /* Llib/block_ciphers.scm 801 */
BgL_passwordz00_3002 = BgL_arg2054z00_1019; }  else 
{ 
 obj_t BgL_auxz00_7817;
BgL_auxz00_7817 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29107)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2054z00_1019); 
FAILURE(BgL_auxz00_7817,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_3004; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3005;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3004 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3005 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3000, BgL_passwordz00_3002, BgL_ivz00_1020, BgL_modez00_1021, BgL_padz00_1024, BgL_noncezd2initz12zc0_1022, BgL_noncezd2updatez12zc0_1023, BgL_stringzd2ze3keyz31_1025); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3005, BgL_plaintextz00_3001, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3004, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 819 */
 obj_t BgL_aux2859z00_5194;
BgL_aux2859z00_5194 = 
bgl_close_output_port(BgL_pz00_3004); 
if(
STRINGP(BgL_aux2859z00_5194))
{ /* Llib/block_ciphers.scm 819 */
BgL_res2718z00_3008 = BgL_aux2859z00_5194; }  else 
{ 
 obj_t BgL_auxz00_7827;
BgL_auxz00_7827 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29795)), BGl_string3096z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_aux2859z00_5194); 
FAILURE(BgL_auxz00_7827,BFALSE,BFALSE);} } } } 
return BgL_res2718z00_3008;} } } } } } } } } } } } } } } } } 

}



/* search1403~0 */
obj_t BGl_search1403ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1402z00_5101, obj_t BgL_opt1400z00_5100, obj_t BgL_k1z00_985, long BgL_iz00_986)
{
{ /* Llib/block_ciphers.scm 801 */
BGl_search1403ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_986==BgL_l1402z00_5101))
{ /* Llib/block_ciphers.scm 801 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 801 */
if(
(BgL_iz00_986==
(BgL_l1402z00_5101-((long)1))))
{ /* Llib/block_ciphers.scm 801 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)28)), BGl_string3090z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1400z00_5100)));}  else 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_vz00_1030;
BgL_vz00_1030 = 
VECTOR_REF(BgL_opt1400z00_5100,BgL_iz00_986); 
if(
(BgL_vz00_1030==BgL_k1z00_985))
{ /* Llib/block_ciphers.scm 801 */
return 
BINT(
(BgL_iz00_986+((long)1)));}  else 
{ 
 long BgL_iz00_7846;
BgL_iz00_7846 = 
(BgL_iz00_986+((long)2)); 
BgL_iz00_986 = BgL_iz00_7846; 
goto BGl_search1403ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-port */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_255, obj_t BgL_plaintextz00_256, obj_t BgL_passwordz00_257, obj_t BgL_ivz00_258, obj_t BgL_modez00_259, obj_t BgL_noncezd2initz12zc0_260, obj_t BgL_noncezd2updatez12zc0_261, obj_t BgL_padz00_262, obj_t BgL_stringzd2ze3keyz31_263)
{
{ /* Llib/block_ciphers.scm 801 */
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_3010; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3011;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3010 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3011 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_255, BgL_passwordz00_257, BgL_ivz00_258, BgL_modez00_259, BgL_padz00_262, BgL_noncezd2initz12zc0_260, BgL_noncezd2updatez12zc0_261, BgL_stringzd2ze3keyz31_263); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3011, BgL_plaintextz00_256, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3010, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_3010);} } 

}



/* &encrypt-fast-port */
obj_t BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4436, obj_t BgL_cipherz00_4437, obj_t BgL_plaintextz00_4438, obj_t BgL_passwordz00_4439, obj_t BgL_ivz00_4440, obj_t BgL_modez00_4441, obj_t BgL_padz00_4442, obj_t BgL_noncezd2initz12zc0_4443, obj_t BgL_noncezd2updatez12zc0_4444, obj_t BgL_stringzd2ze3keyz31_4445)
{
{ /* Llib/block_ciphers.scm 809 */
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_plaintextz00_5464;
if(
INPUT_PORTP(BgL_plaintextz00_4438))
{ /* Llib/block_ciphers.scm 812 */
BgL_plaintextz00_5464 = BgL_plaintextz00_4438; }  else 
{ 
 obj_t BgL_auxz00_7854;
BgL_auxz00_7854 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29553)), BGl_string3098z00zz__cryptozd2blockzd2ciphersz00, BGl_string3097z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4438); 
FAILURE(BgL_auxz00_7854,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_5465; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_5466;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_5465 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_5466 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4437, BgL_passwordz00_4439, BgL_ivz00_4440, BgL_modez00_4441, BgL_padz00_4442, BgL_noncezd2initz12zc0_4443, BgL_noncezd2updatez12zc0_4444, BgL_stringzd2ze3keyz31_4445); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_5466, BgL_plaintextz00_5464, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_5465, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_5465);} } } 

}



/* _encrypt-file */
obj_t BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1413z00_285, obj_t BgL_opt1412z00_284)
{
{ /* Llib/block_ciphers.scm 821 */
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_cipherz00_1040; obj_t BgL_filenamez00_1041; obj_t BgL_passwordz00_1042;
BgL_cipherz00_1040 = 
VECTOR_REF(BgL_opt1412z00_284,((long)0)); 
BgL_filenamez00_1041 = 
VECTOR_REF(BgL_opt1412z00_284,((long)1)); 
BgL_passwordz00_1042 = 
VECTOR_REF(BgL_opt1412z00_284,((long)2)); 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_ivz00_1043;
BgL_ivz00_1043 = BFALSE; 
{ /* Llib/block_ciphers.scm 822 */
 obj_t BgL_modez00_1044;
BgL_modez00_1044 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_noncezd2initz12zc0_1045;
BgL_noncezd2initz12zc0_1045 = BFALSE; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_noncezd2updatez12zc0_1046;
BgL_noncezd2updatez12zc0_1046 = BFALSE; 
{ /* Llib/block_ciphers.scm 822 */
 obj_t BgL_padz00_1047;
BgL_padz00_1047 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_stringzd2ze3keyz31_1048;
BgL_stringzd2ze3keyz31_1048 = BFALSE; 
{ /* Llib/block_ciphers.scm 821 */

{ 
 long BgL_iz00_1049;
BgL_iz00_1049 = ((long)3); 
BgL_check1416z00_1050:
if(
(BgL_iz00_1049==
VECTOR_LENGTH(BgL_opt1412z00_284)))
{ /* Llib/block_ciphers.scm 821 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3733z00_7870;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_arg2066z00_1056;
BgL_arg2066z00_1056 = 
VECTOR_REF(BgL_opt1412z00_284,BgL_iz00_1049); 
BgL_test3733z00_7870 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2066z00_1056, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3733z00_7870)
{ 
 long BgL_iz00_7875;
BgL_iz00_7875 = 
(BgL_iz00_1049+((long)2)); 
BgL_iz00_1049 = BgL_iz00_7875; 
goto BgL_check1416z00_1050;}  else 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_arg2065z00_1055;
BgL_arg2065z00_1055 = 
VECTOR_REF(BgL_opt1412z00_284,BgL_iz00_1049); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)29)), BGl_string3085z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2065z00_1055); } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1418z00_1057;
BgL_index1418z00_1057 = 
BGl_search1415ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1412z00_284), BgL_opt1412z00_284, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3734z00_7883;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3033;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_7884;
if(
INTEGERP(BgL_index1418z00_1057))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_7884 = BgL_index1418z00_1057
; }  else 
{ 
 obj_t BgL_auxz00_7887;
BgL_auxz00_7887 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1418z00_1057); 
FAILURE(BgL_auxz00_7887,BFALSE,BFALSE);} 
BgL_n1z00_3033 = 
(long)CINT(BgL_tmpz00_7884); } 
BgL_test3734z00_7883 = 
(BgL_n1z00_3033>=((long)0)); } 
if(BgL_test3734z00_7883)
{ 
 long BgL_auxz00_7893;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_7894;
if(
INTEGERP(BgL_index1418z00_1057))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_7894 = BgL_index1418z00_1057
; }  else 
{ 
 obj_t BgL_auxz00_7897;
BgL_auxz00_7897 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1418z00_1057); 
FAILURE(BgL_auxz00_7897,BFALSE,BFALSE);} 
BgL_auxz00_7893 = 
(long)CINT(BgL_tmpz00_7894); } 
BgL_ivz00_1043 = 
VECTOR_REF(BgL_opt1412z00_284,BgL_auxz00_7893); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1419z00_1059;
BgL_index1419z00_1059 = 
BGl_search1415ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1412z00_284), BgL_opt1412z00_284, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3737z00_7906;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3034;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_7907;
if(
INTEGERP(BgL_index1419z00_1059))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_7907 = BgL_index1419z00_1059
; }  else 
{ 
 obj_t BgL_auxz00_7910;
BgL_auxz00_7910 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1419z00_1059); 
FAILURE(BgL_auxz00_7910,BFALSE,BFALSE);} 
BgL_n1z00_3034 = 
(long)CINT(BgL_tmpz00_7907); } 
BgL_test3737z00_7906 = 
(BgL_n1z00_3034>=((long)0)); } 
if(BgL_test3737z00_7906)
{ 
 long BgL_auxz00_7916;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_7917;
if(
INTEGERP(BgL_index1419z00_1059))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_7917 = BgL_index1419z00_1059
; }  else 
{ 
 obj_t BgL_auxz00_7920;
BgL_auxz00_7920 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1419z00_1059); 
FAILURE(BgL_auxz00_7920,BFALSE,BFALSE);} 
BgL_auxz00_7916 = 
(long)CINT(BgL_tmpz00_7917); } 
BgL_modez00_1044 = 
VECTOR_REF(BgL_opt1412z00_284,BgL_auxz00_7916); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1420z00_1061;
BgL_index1420z00_1061 = 
BGl_search1415ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1412z00_284), BgL_opt1412z00_284, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3740z00_7929;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3035;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_7930;
if(
INTEGERP(BgL_index1420z00_1061))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_7930 = BgL_index1420z00_1061
; }  else 
{ 
 obj_t BgL_auxz00_7933;
BgL_auxz00_7933 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1420z00_1061); 
FAILURE(BgL_auxz00_7933,BFALSE,BFALSE);} 
BgL_n1z00_3035 = 
(long)CINT(BgL_tmpz00_7930); } 
BgL_test3740z00_7929 = 
(BgL_n1z00_3035>=((long)0)); } 
if(BgL_test3740z00_7929)
{ 
 long BgL_auxz00_7939;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_7940;
if(
INTEGERP(BgL_index1420z00_1061))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_7940 = BgL_index1420z00_1061
; }  else 
{ 
 obj_t BgL_auxz00_7943;
BgL_auxz00_7943 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1420z00_1061); 
FAILURE(BgL_auxz00_7943,BFALSE,BFALSE);} 
BgL_auxz00_7939 = 
(long)CINT(BgL_tmpz00_7940); } 
BgL_noncezd2initz12zc0_1045 = 
VECTOR_REF(BgL_opt1412z00_284,BgL_auxz00_7939); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1421z00_1063;
BgL_index1421z00_1063 = 
BGl_search1415ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1412z00_284), BgL_opt1412z00_284, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3743z00_7952;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3036;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_7953;
if(
INTEGERP(BgL_index1421z00_1063))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_7953 = BgL_index1421z00_1063
; }  else 
{ 
 obj_t BgL_auxz00_7956;
BgL_auxz00_7956 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1421z00_1063); 
FAILURE(BgL_auxz00_7956,BFALSE,BFALSE);} 
BgL_n1z00_3036 = 
(long)CINT(BgL_tmpz00_7953); } 
BgL_test3743z00_7952 = 
(BgL_n1z00_3036>=((long)0)); } 
if(BgL_test3743z00_7952)
{ 
 long BgL_auxz00_7962;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_7963;
if(
INTEGERP(BgL_index1421z00_1063))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_7963 = BgL_index1421z00_1063
; }  else 
{ 
 obj_t BgL_auxz00_7966;
BgL_auxz00_7966 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1421z00_1063); 
FAILURE(BgL_auxz00_7966,BFALSE,BFALSE);} 
BgL_auxz00_7962 = 
(long)CINT(BgL_tmpz00_7963); } 
BgL_noncezd2updatez12zc0_1046 = 
VECTOR_REF(BgL_opt1412z00_284,BgL_auxz00_7962); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1422z00_1065;
BgL_index1422z00_1065 = 
BGl_search1415ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1412z00_284), BgL_opt1412z00_284, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3746z00_7975;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3037;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_7976;
if(
INTEGERP(BgL_index1422z00_1065))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_7976 = BgL_index1422z00_1065
; }  else 
{ 
 obj_t BgL_auxz00_7979;
BgL_auxz00_7979 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1422z00_1065); 
FAILURE(BgL_auxz00_7979,BFALSE,BFALSE);} 
BgL_n1z00_3037 = 
(long)CINT(BgL_tmpz00_7976); } 
BgL_test3746z00_7975 = 
(BgL_n1z00_3037>=((long)0)); } 
if(BgL_test3746z00_7975)
{ 
 long BgL_auxz00_7985;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_7986;
if(
INTEGERP(BgL_index1422z00_1065))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_7986 = BgL_index1422z00_1065
; }  else 
{ 
 obj_t BgL_auxz00_7989;
BgL_auxz00_7989 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1422z00_1065); 
FAILURE(BgL_auxz00_7989,BFALSE,BFALSE);} 
BgL_auxz00_7985 = 
(long)CINT(BgL_tmpz00_7986); } 
BgL_padz00_1047 = 
VECTOR_REF(BgL_opt1412z00_284,BgL_auxz00_7985); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1423z00_1067;
BgL_index1423z00_1067 = 
BGl_search1415ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1412z00_284), BgL_opt1412z00_284, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test3749z00_7998;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3038;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_7999;
if(
INTEGERP(BgL_index1423z00_1067))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_7999 = BgL_index1423z00_1067
; }  else 
{ 
 obj_t BgL_auxz00_8002;
BgL_auxz00_8002 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1423z00_1067); 
FAILURE(BgL_auxz00_8002,BFALSE,BFALSE);} 
BgL_n1z00_3038 = 
(long)CINT(BgL_tmpz00_7999); } 
BgL_test3749z00_7998 = 
(BgL_n1z00_3038>=((long)0)); } 
if(BgL_test3749z00_7998)
{ 
 long BgL_auxz00_8008;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8009;
if(
INTEGERP(BgL_index1423z00_1067))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8009 = BgL_index1423z00_1067
; }  else 
{ 
 obj_t BgL_auxz00_8012;
BgL_auxz00_8012 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1423z00_1067); 
FAILURE(BgL_auxz00_8012,BFALSE,BFALSE);} 
BgL_auxz00_8008 = 
(long)CINT(BgL_tmpz00_8009); } 
BgL_stringzd2ze3keyz31_1048 = 
VECTOR_REF(BgL_opt1412z00_284,BgL_auxz00_8008); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_arg2073z00_1069; obj_t BgL_arg2074z00_1070; obj_t BgL_arg2075z00_1071;
BgL_arg2073z00_1069 = 
VECTOR_REF(BgL_opt1412z00_284,((long)0)); 
BgL_arg2074z00_1070 = 
VECTOR_REF(BgL_opt1412z00_284,((long)1)); 
BgL_arg2075z00_1071 = 
VECTOR_REF(BgL_opt1412z00_284,((long)2)); 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_ivz00_1072;
BgL_ivz00_1072 = BgL_ivz00_1043; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_modez00_1073;
BgL_modez00_1073 = BgL_modez00_1044; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_noncezd2initz12zc0_1074;
BgL_noncezd2initz12zc0_1074 = BgL_noncezd2initz12zc0_1045; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_noncezd2updatez12zc0_1075;
BgL_noncezd2updatez12zc0_1075 = BgL_noncezd2updatez12zc0_1046; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_padz00_1076;
BgL_padz00_1076 = BgL_padz00_1047; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_stringzd2ze3keyz31_1077;
BgL_stringzd2ze3keyz31_1077 = BgL_stringzd2ze3keyz31_1048; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_res2719z00_3063;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_cipherz00_3039; obj_t BgL_filenamez00_3040; obj_t BgL_passwordz00_3041;
if(
SYMBOLP(BgL_arg2073z00_1069))
{ /* Llib/block_ciphers.scm 821 */
BgL_cipherz00_3039 = BgL_arg2073z00_1069; }  else 
{ 
 obj_t BgL_auxz00_8023;
BgL_auxz00_8023 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2073z00_1069); 
FAILURE(BgL_auxz00_8023,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2074z00_1070))
{ /* Llib/block_ciphers.scm 821 */
BgL_filenamez00_3040 = BgL_arg2074z00_1070; }  else 
{ 
 obj_t BgL_auxz00_8029;
BgL_auxz00_8029 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2074z00_1070); 
FAILURE(BgL_auxz00_8029,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2075z00_1071))
{ /* Llib/block_ciphers.scm 821 */
BgL_passwordz00_3041 = BgL_arg2075z00_1071; }  else 
{ 
 obj_t BgL_auxz00_8035;
BgL_auxz00_8035 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29820)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2075z00_1071); 
FAILURE(BgL_auxz00_8035,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 825 */
 obj_t BgL_pz00_3042;
{ /* Llib/block_ciphers.scm 825 */

BgL_pz00_3042 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_3040, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3042))
{ /* Llib/block_ciphers.scm 826 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 826 */
BGl_errorz00zz__errorz00(BGl_string3100z00zz__cryptozd2blockzd2ciphersz00, BGl_string3101z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_3040); } 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_exitd1234z00_3046;
BgL_exitd1234z00_3046 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_zc3z04anonymousza32082ze3z87_4452;
BgL_zc3z04anonymousza32082ze3z87_4452 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32082ze3ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32082ze3z87_4452, 
(int)(((long)0)), BgL_pz00_3042); 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1812z00_3050;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1813z00_3051;
BgL_arg1813z00_3051 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_3046); 
BgL_arg1812z00_3050 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32082ze3z87_4452, BgL_arg1813z00_3051); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1234z00_3046, BgL_arg1812z00_3050); BUNSPEC; } 
{ /* Llib/block_ciphers.scm 831 */
 obj_t BgL_tmp1236z00_3048;
{ /* Llib/block_ciphers.scm 831 */
 obj_t BgL_plaintextz00_3052;
if(
INPUT_PORTP(BgL_pz00_3042))
{ /* Llib/block_ciphers.scm 831 */
BgL_plaintextz00_3052 = BgL_pz00_3042; }  else 
{ 
 obj_t BgL_auxz00_8055;
BgL_auxz00_8055 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30188)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3097z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3042); 
FAILURE(BgL_auxz00_8055,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_3053; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3054;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3053 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3054 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3039, BgL_passwordz00_3041, BgL_ivz00_1072, BgL_modez00_1073, BgL_padz00_1076, BgL_noncezd2initz12zc0_1074, BgL_noncezd2updatez12zc0_1075, BgL_stringzd2ze3keyz31_1077); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3054, BgL_plaintextz00_3052, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3053, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_tmp1236z00_3048 = 
bgl_close_output_port(BgL_pz00_3053); } } 
{ /* Llib/block_ciphers.scm 830 */
 bool_t BgL_test3757z00_8063;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1811z00_3058;
BgL_arg1811z00_3058 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_3046); 
BgL_test3757z00_8063 = 
PAIRP(BgL_arg1811z00_3058); } 
if(BgL_test3757z00_8063)
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1809z00_3059;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1810z00_3060;
BgL_arg1810z00_3060 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_3046); 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_pairz00_3061;
if(
PAIRP(BgL_arg1810z00_3060))
{ /* Llib/block_ciphers.scm 830 */
BgL_pairz00_3061 = BgL_arg1810z00_3060; }  else 
{ 
 obj_t BgL_auxz00_8069;
BgL_auxz00_8069 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30144)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3102z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1810z00_3060); 
FAILURE(BgL_auxz00_8069,BFALSE,BFALSE);} 
BgL_arg1809z00_3059 = 
CDR(BgL_pairz00_3061); } } 
BGL_EXITD_PROTECT_SET(BgL_exitd1234z00_3046, BgL_arg1809z00_3059); BUNSPEC; }  else 
{ /* Llib/block_ciphers.scm 830 */BFALSE; } } 
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_portz00_3062;
if(
INPUT_PORTP(BgL_pz00_3042))
{ /* Llib/block_ciphers.scm 834 */
BgL_portz00_3062 = BgL_pz00_3042; }  else 
{ 
 obj_t BgL_auxz00_8077;
BgL_auxz00_8077 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30284)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3097z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3042); 
FAILURE(BgL_auxz00_8077,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_3062); } 
if(
STRINGP(BgL_tmp1236z00_3048))
{ /* Llib/block_ciphers.scm 830 */
BgL_res2719z00_3063 = BgL_tmp1236z00_3048; }  else 
{ 
 obj_t BgL_auxz00_8084;
BgL_auxz00_8084 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30144)), BGl_string3099z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_tmp1236z00_3048); 
FAILURE(BgL_auxz00_8084,BFALSE,BFALSE);} } } } } } 
return BgL_res2719z00_3063;} } } } } } } } } } } } } } } } } 

}



/* search1415~0 */
obj_t BGl_search1415ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1414z00_5099, obj_t BgL_opt1412z00_5098, obj_t BgL_k1z00_1037, long BgL_iz00_1038)
{
{ /* Llib/block_ciphers.scm 821 */
BGl_search1415ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1038==BgL_l1414z00_5099))
{ /* Llib/block_ciphers.scm 821 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 821 */
if(
(BgL_iz00_1038==
(BgL_l1414z00_5099-((long)1))))
{ /* Llib/block_ciphers.scm 821 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)29)), BGl_string3090z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1412z00_5098)));}  else 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_vz00_1082;
BgL_vz00_1082 = 
VECTOR_REF(BgL_opt1412z00_5098,BgL_iz00_1038); 
if(
(BgL_vz00_1082==BgL_k1z00_1037))
{ /* Llib/block_ciphers.scm 821 */
return 
BINT(
(BgL_iz00_1038+((long)1)));}  else 
{ 
 long BgL_iz00_8103;
BgL_iz00_8103 = 
(BgL_iz00_1038+((long)2)); 
BgL_iz00_1038 = BgL_iz00_8103; 
goto BGl_search1415ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* &<@anonymous:2082> */
obj_t BGl_z62zc3z04anonymousza32082ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4453)
{
{ /* Llib/block_ciphers.scm 830 */
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_pz00_4454;
BgL_pz00_4454 = 
PROCEDURE_REF(BgL_envz00_4453, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4454));} } 

}



/* encrypt-file */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_275, obj_t BgL_filenamez00_276, obj_t BgL_passwordz00_277, obj_t BgL_ivz00_278, obj_t BgL_modez00_279, obj_t BgL_noncezd2initz12zc0_280, obj_t BgL_noncezd2updatez12zc0_281, obj_t BgL_padz00_282, obj_t BgL_stringzd2ze3keyz31_283)
{
{ /* Llib/block_ciphers.scm 821 */
{ /* Llib/block_ciphers.scm 825 */
 obj_t BgL_pz00_3064;
{ /* Llib/block_ciphers.scm 825 */

BgL_pz00_3064 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_276, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3064))
{ /* Llib/block_ciphers.scm 826 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 826 */
BGl_errorz00zz__errorz00(BGl_string3100z00zz__cryptozd2blockzd2ciphersz00, BGl_string3101z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_276); } 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_exitd1234z00_3068;
BgL_exitd1234z00_3068 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_zc3z04anonymousza32082ze3z87_4455;
BgL_zc3z04anonymousza32082ze3z87_4455 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32082ze32775ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32082ze3z87_4455, 
(int)(((long)0)), BgL_pz00_3064); 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1812z00_3072;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1813z00_3073;
BgL_arg1813z00_3073 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_3068); 
BgL_arg1812z00_3072 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32082ze3z87_4455, BgL_arg1813z00_3073); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1234z00_3068, BgL_arg1812z00_3072); BUNSPEC; } 
{ /* Llib/block_ciphers.scm 831 */
 obj_t BgL_tmp1236z00_3070;
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_3075; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3076;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3075 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3076 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_275, BgL_passwordz00_277, BgL_ivz00_278, BgL_modez00_279, BgL_padz00_282, BgL_noncezd2initz12zc0_280, BgL_noncezd2updatez12zc0_281, BgL_stringzd2ze3keyz31_283); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3076, 
((obj_t)BgL_pz00_3064), ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3075, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_tmp1236z00_3070 = 
bgl_close_output_port(BgL_pz00_3075); } 
{ /* Llib/block_ciphers.scm 830 */
 bool_t BgL_test3765z00_8128;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1811z00_3080;
BgL_arg1811z00_3080 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_3068); 
BgL_test3765z00_8128 = 
PAIRP(BgL_arg1811z00_3080); } 
if(BgL_test3765z00_8128)
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1809z00_3081;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1810z00_3082;
BgL_arg1810z00_3082 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_3068); 
BgL_arg1809z00_3081 = 
CDR(
((obj_t)BgL_arg1810z00_3082)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1234z00_3068, BgL_arg1809z00_3081); BUNSPEC; }  else 
{ /* Llib/block_ciphers.scm 830 */BFALSE; } } 
bgl_close_input_port(
((obj_t)BgL_pz00_3064)); 
return BgL_tmp1236z00_3070;} } } } } 

}



/* &<@anonymous:2082>2775 */
obj_t BGl_z62zc3z04anonymousza32082ze32775ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4456)
{
{ /* Llib/block_ciphers.scm 830 */
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_pz00_4457;
BgL_pz00_4457 = 
PROCEDURE_REF(BgL_envz00_4456, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4457));} } 

}



/* _encrypt-sendchars */
obj_t BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1425z00_297, obj_t BgL_opt1424z00_296)
{
{ /* Llib/block_ciphers.scm 836 */
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_cipherz00_1098; obj_t BgL_inz00_1099; obj_t BgL_outz00_1100; obj_t BgL_passwordz00_1101;
BgL_cipherz00_1098 = 
VECTOR_REF(BgL_opt1424z00_296,((long)0)); 
BgL_inz00_1099 = 
VECTOR_REF(BgL_opt1424z00_296,((long)1)); 
BgL_outz00_1100 = 
VECTOR_REF(BgL_opt1424z00_296,((long)2)); 
BgL_passwordz00_1101 = 
VECTOR_REF(BgL_opt1424z00_296,((long)3)); 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_ivz00_1102;
BgL_ivz00_1102 = BFALSE; 
{ /* Llib/block_ciphers.scm 838 */
 obj_t BgL_modez00_1103;
BgL_modez00_1103 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_noncezd2initz12zc0_1104;
BgL_noncezd2initz12zc0_1104 = BFALSE; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_noncezd2updatez12zc0_1105;
BgL_noncezd2updatez12zc0_1105 = BFALSE; 
{ /* Llib/block_ciphers.scm 838 */
 obj_t BgL_padz00_1106;
BgL_padz00_1106 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_stringzd2ze3keyz31_1107;
BgL_stringzd2ze3keyz31_1107 = BFALSE; 
{ /* Llib/block_ciphers.scm 836 */

{ 
 long BgL_iz00_1108;
BgL_iz00_1108 = ((long)4); 
BgL_check1428z00_1109:
if(
(BgL_iz00_1108==
VECTOR_LENGTH(BgL_opt1424z00_296)))
{ /* Llib/block_ciphers.scm 836 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3767z00_8150;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_arg2088z00_1115;
BgL_arg2088z00_1115 = 
VECTOR_REF(BgL_opt1424z00_296,BgL_iz00_1108); 
BgL_test3767z00_8150 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2088z00_1115, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3767z00_8150)
{ 
 long BgL_iz00_8155;
BgL_iz00_8155 = 
(BgL_iz00_1108+((long)2)); 
BgL_iz00_1108 = BgL_iz00_8155; 
goto BgL_check1428z00_1109;}  else 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_arg2087z00_1114;
BgL_arg2087z00_1114 = 
VECTOR_REF(BgL_opt1424z00_296,BgL_iz00_1108); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)30)), BGl_string3085z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2087z00_1114); } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1430z00_1116;
BgL_index1430z00_1116 = 
BGl_search1427ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1424z00_296), BgL_opt1424z00_296, 
CNST_TABLE_REF(((long)19)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3768z00_8163;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3100;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8164;
if(
INTEGERP(BgL_index1430z00_1116))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8164 = BgL_index1430z00_1116
; }  else 
{ 
 obj_t BgL_auxz00_8167;
BgL_auxz00_8167 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1430z00_1116); 
FAILURE(BgL_auxz00_8167,BFALSE,BFALSE);} 
BgL_n1z00_3100 = 
(long)CINT(BgL_tmpz00_8164); } 
BgL_test3768z00_8163 = 
(BgL_n1z00_3100>=((long)0)); } 
if(BgL_test3768z00_8163)
{ 
 long BgL_auxz00_8173;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8174;
if(
INTEGERP(BgL_index1430z00_1116))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8174 = BgL_index1430z00_1116
; }  else 
{ 
 obj_t BgL_auxz00_8177;
BgL_auxz00_8177 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1430z00_1116); 
FAILURE(BgL_auxz00_8177,BFALSE,BFALSE);} 
BgL_auxz00_8173 = 
(long)CINT(BgL_tmpz00_8174); } 
BgL_ivz00_1102 = 
VECTOR_REF(BgL_opt1424z00_296,BgL_auxz00_8173); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1431z00_1118;
BgL_index1431z00_1118 = 
BGl_search1427ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1424z00_296), BgL_opt1424z00_296, 
CNST_TABLE_REF(((long)20)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3771z00_8186;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3101;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8187;
if(
INTEGERP(BgL_index1431z00_1118))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8187 = BgL_index1431z00_1118
; }  else 
{ 
 obj_t BgL_auxz00_8190;
BgL_auxz00_8190 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1431z00_1118); 
FAILURE(BgL_auxz00_8190,BFALSE,BFALSE);} 
BgL_n1z00_3101 = 
(long)CINT(BgL_tmpz00_8187); } 
BgL_test3771z00_8186 = 
(BgL_n1z00_3101>=((long)0)); } 
if(BgL_test3771z00_8186)
{ 
 long BgL_auxz00_8196;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8197;
if(
INTEGERP(BgL_index1431z00_1118))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8197 = BgL_index1431z00_1118
; }  else 
{ 
 obj_t BgL_auxz00_8200;
BgL_auxz00_8200 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1431z00_1118); 
FAILURE(BgL_auxz00_8200,BFALSE,BFALSE);} 
BgL_auxz00_8196 = 
(long)CINT(BgL_tmpz00_8197); } 
BgL_modez00_1103 = 
VECTOR_REF(BgL_opt1424z00_296,BgL_auxz00_8196); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1432z00_1120;
BgL_index1432z00_1120 = 
BGl_search1427ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1424z00_296), BgL_opt1424z00_296, 
CNST_TABLE_REF(((long)21)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3774z00_8209;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3102;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8210;
if(
INTEGERP(BgL_index1432z00_1120))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8210 = BgL_index1432z00_1120
; }  else 
{ 
 obj_t BgL_auxz00_8213;
BgL_auxz00_8213 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1432z00_1120); 
FAILURE(BgL_auxz00_8213,BFALSE,BFALSE);} 
BgL_n1z00_3102 = 
(long)CINT(BgL_tmpz00_8210); } 
BgL_test3774z00_8209 = 
(BgL_n1z00_3102>=((long)0)); } 
if(BgL_test3774z00_8209)
{ 
 long BgL_auxz00_8219;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8220;
if(
INTEGERP(BgL_index1432z00_1120))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8220 = BgL_index1432z00_1120
; }  else 
{ 
 obj_t BgL_auxz00_8223;
BgL_auxz00_8223 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1432z00_1120); 
FAILURE(BgL_auxz00_8223,BFALSE,BFALSE);} 
BgL_auxz00_8219 = 
(long)CINT(BgL_tmpz00_8220); } 
BgL_noncezd2initz12zc0_1104 = 
VECTOR_REF(BgL_opt1424z00_296,BgL_auxz00_8219); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1433z00_1122;
BgL_index1433z00_1122 = 
BGl_search1427ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1424z00_296), BgL_opt1424z00_296, 
CNST_TABLE_REF(((long)22)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3777z00_8232;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3103;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8233;
if(
INTEGERP(BgL_index1433z00_1122))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8233 = BgL_index1433z00_1122
; }  else 
{ 
 obj_t BgL_auxz00_8236;
BgL_auxz00_8236 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1433z00_1122); 
FAILURE(BgL_auxz00_8236,BFALSE,BFALSE);} 
BgL_n1z00_3103 = 
(long)CINT(BgL_tmpz00_8233); } 
BgL_test3777z00_8232 = 
(BgL_n1z00_3103>=((long)0)); } 
if(BgL_test3777z00_8232)
{ 
 long BgL_auxz00_8242;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8243;
if(
INTEGERP(BgL_index1433z00_1122))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8243 = BgL_index1433z00_1122
; }  else 
{ 
 obj_t BgL_auxz00_8246;
BgL_auxz00_8246 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1433z00_1122); 
FAILURE(BgL_auxz00_8246,BFALSE,BFALSE);} 
BgL_auxz00_8242 = 
(long)CINT(BgL_tmpz00_8243); } 
BgL_noncezd2updatez12zc0_1105 = 
VECTOR_REF(BgL_opt1424z00_296,BgL_auxz00_8242); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1434z00_1124;
BgL_index1434z00_1124 = 
BGl_search1427ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1424z00_296), BgL_opt1424z00_296, 
CNST_TABLE_REF(((long)23)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3780z00_8255;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3104;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8256;
if(
INTEGERP(BgL_index1434z00_1124))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8256 = BgL_index1434z00_1124
; }  else 
{ 
 obj_t BgL_auxz00_8259;
BgL_auxz00_8259 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1434z00_1124); 
FAILURE(BgL_auxz00_8259,BFALSE,BFALSE);} 
BgL_n1z00_3104 = 
(long)CINT(BgL_tmpz00_8256); } 
BgL_test3780z00_8255 = 
(BgL_n1z00_3104>=((long)0)); } 
if(BgL_test3780z00_8255)
{ 
 long BgL_auxz00_8265;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8266;
if(
INTEGERP(BgL_index1434z00_1124))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8266 = BgL_index1434z00_1124
; }  else 
{ 
 obj_t BgL_auxz00_8269;
BgL_auxz00_8269 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1434z00_1124); 
FAILURE(BgL_auxz00_8269,BFALSE,BFALSE);} 
BgL_auxz00_8265 = 
(long)CINT(BgL_tmpz00_8266); } 
BgL_padz00_1106 = 
VECTOR_REF(BgL_opt1424z00_296,BgL_auxz00_8265); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1435z00_1126;
BgL_index1435z00_1126 = 
BGl_search1427ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1424z00_296), BgL_opt1424z00_296, 
CNST_TABLE_REF(((long)24)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test3783z00_8278;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3105;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8279;
if(
INTEGERP(BgL_index1435z00_1126))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8279 = BgL_index1435z00_1126
; }  else 
{ 
 obj_t BgL_auxz00_8282;
BgL_auxz00_8282 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1435z00_1126); 
FAILURE(BgL_auxz00_8282,BFALSE,BFALSE);} 
BgL_n1z00_3105 = 
(long)CINT(BgL_tmpz00_8279); } 
BgL_test3783z00_8278 = 
(BgL_n1z00_3105>=((long)0)); } 
if(BgL_test3783z00_8278)
{ 
 long BgL_auxz00_8288;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_8289;
if(
INTEGERP(BgL_index1435z00_1126))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8289 = BgL_index1435z00_1126
; }  else 
{ 
 obj_t BgL_auxz00_8292;
BgL_auxz00_8292 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1435z00_1126); 
FAILURE(BgL_auxz00_8292,BFALSE,BFALSE);} 
BgL_auxz00_8288 = 
(long)CINT(BgL_tmpz00_8289); } 
BgL_stringzd2ze3keyz31_1107 = 
VECTOR_REF(BgL_opt1424z00_296,BgL_auxz00_8288); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_arg2095z00_1128; obj_t BgL_arg2096z00_1129; obj_t BgL_arg2097z00_1130; obj_t BgL_arg2098z00_1131;
BgL_arg2095z00_1128 = 
VECTOR_REF(BgL_opt1424z00_296,((long)0)); 
BgL_arg2096z00_1129 = 
VECTOR_REF(BgL_opt1424z00_296,((long)1)); 
BgL_arg2097z00_1130 = 
VECTOR_REF(BgL_opt1424z00_296,((long)2)); 
BgL_arg2098z00_1131 = 
VECTOR_REF(BgL_opt1424z00_296,((long)3)); 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_ivz00_1132;
BgL_ivz00_1132 = BgL_ivz00_1102; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_modez00_1133;
BgL_modez00_1133 = BgL_modez00_1103; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_noncezd2initz12zc0_1134;
BgL_noncezd2initz12zc0_1134 = BgL_noncezd2initz12zc0_1104; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_noncezd2updatez12zc0_1135;
BgL_noncezd2updatez12zc0_1135 = BgL_noncezd2updatez12zc0_1105; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_padz00_1136;
BgL_padz00_1136 = BgL_padz00_1106; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_stringzd2ze3keyz31_1137;
BgL_stringzd2ze3keyz31_1137 = BgL_stringzd2ze3keyz31_1107; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_cipherz00_3106; obj_t BgL_inz00_3107; obj_t BgL_outz00_3108; obj_t BgL_passwordz00_3109;
if(
SYMBOLP(BgL_arg2095z00_1128))
{ /* Llib/block_ciphers.scm 836 */
BgL_cipherz00_3106 = BgL_arg2095z00_1128; }  else 
{ 
 obj_t BgL_auxz00_8304;
BgL_auxz00_8304 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2095z00_1128); 
FAILURE(BgL_auxz00_8304,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2096z00_1129))
{ /* Llib/block_ciphers.scm 836 */
BgL_inz00_3107 = BgL_arg2096z00_1129; }  else 
{ 
 obj_t BgL_auxz00_8310;
BgL_auxz00_8310 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3097z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2096z00_1129); 
FAILURE(BgL_auxz00_8310,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_arg2097z00_1130))
{ /* Llib/block_ciphers.scm 836 */
BgL_outz00_3108 = BgL_arg2097z00_1130; }  else 
{ 
 obj_t BgL_auxz00_8316;
BgL_auxz00_8316 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3104z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2097z00_1130); 
FAILURE(BgL_auxz00_8316,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2098z00_1131))
{ /* Llib/block_ciphers.scm 836 */
BgL_passwordz00_3109 = BgL_arg2098z00_1131; }  else 
{ 
 obj_t BgL_auxz00_8322;
BgL_auxz00_8322 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30291)), BGl_string3103z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2098z00_1131); 
FAILURE(BgL_auxz00_8322,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 841 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3110;
BgL_statez00_3110 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3106, BgL_passwordz00_3109, BgL_ivz00_1132, BgL_modez00_1133, BgL_padz00_1136, BgL_noncezd2initz12zc0_1134, BgL_noncezd2updatez12zc0_1135, BgL_stringzd2ze3keyz31_1137); 
return 
BINT(
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3110, BgL_inz00_3107, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_3108, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } } } } } } } } } } } } } } } } } 

}



/* search1427~0 */
obj_t BGl_search1427ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1426z00_5097, obj_t BgL_opt1424z00_5096, obj_t BgL_k1z00_1095, long BgL_iz00_1096)
{
{ /* Llib/block_ciphers.scm 836 */
BGl_search1427ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1096==BgL_l1426z00_5097))
{ /* Llib/block_ciphers.scm 836 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 836 */
if(
(BgL_iz00_1096==
(BgL_l1426z00_5097-((long)1))))
{ /* Llib/block_ciphers.scm 836 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)30)), BGl_string3105z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1424z00_5096)));}  else 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_vz00_1142;
BgL_vz00_1142 = 
VECTOR_REF(BgL_opt1424z00_5096,BgL_iz00_1096); 
if(
(BgL_vz00_1142==BgL_k1z00_1095))
{ /* Llib/block_ciphers.scm 836 */
return 
BINT(
(BgL_iz00_1096+((long)1)));}  else 
{ 
 long BgL_iz00_8344;
BgL_iz00_8344 = 
(BgL_iz00_1096+((long)2)); 
BgL_iz00_1096 = BgL_iz00_8344; 
goto BGl_search1427ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-sendchars */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_286, obj_t BgL_inz00_287, obj_t BgL_outz00_288, obj_t BgL_passwordz00_289, obj_t BgL_ivz00_290, obj_t BgL_modez00_291, obj_t BgL_noncezd2initz12zc0_292, obj_t BgL_noncezd2updatez12zc0_293, obj_t BgL_padz00_294, obj_t BgL_stringzd2ze3keyz31_295)
{
{ /* Llib/block_ciphers.scm 836 */
{ /* Llib/block_ciphers.scm 841 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3111;
BgL_statez00_3111 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_286, BgL_passwordz00_289, BgL_ivz00_290, BgL_modez00_291, BgL_padz00_294, BgL_noncezd2initz12zc0_292, BgL_noncezd2updatez12zc0_293, BgL_stringzd2ze3keyz31_295); 
return 
BINT(
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3111, BgL_inz00_287, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_288, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } 

}



/* _decrypt */
obj_t BGl__decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1437z00_308, obj_t BgL_opt1436z00_307)
{
{ /* Llib/block_ciphers.scm 850 */
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_cipherz00_1150; obj_t BgL_ciphertextz00_1151; obj_t BgL_passwordz00_1152;
BgL_cipherz00_1150 = 
VECTOR_REF(BgL_opt1436z00_307,((long)0)); 
BgL_ciphertextz00_1151 = 
VECTOR_REF(BgL_opt1436z00_307,((long)1)); 
BgL_passwordz00_1152 = 
VECTOR_REF(BgL_opt1436z00_307,((long)2)); 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_ivz00_1153;
BgL_ivz00_1153 = BFALSE; 
{ /* Llib/block_ciphers.scm 851 */
 obj_t BgL_modez00_1154;
BgL_modez00_1154 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_noncezd2initz12zc0_1155;
BgL_noncezd2initz12zc0_1155 = BFALSE; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_noncezd2updatez12zc0_1156;
BgL_noncezd2updatez12zc0_1156 = BFALSE; 
{ /* Llib/block_ciphers.scm 851 */
 obj_t BgL_padz00_1157;
BgL_padz00_1157 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_stringzd2ze3keyz31_1158;
BgL_stringzd2ze3keyz31_1158 = BFALSE; 
{ /* Llib/block_ciphers.scm 850 */

{ 
 long BgL_iz00_1159;
BgL_iz00_1159 = ((long)3); 
BgL_check1440z00_1160:
if(
(BgL_iz00_1159==
VECTOR_LENGTH(BgL_opt1436z00_307)))
{ /* Llib/block_ciphers.scm 850 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3794z00_8357;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_arg2110z00_1166;
BgL_arg2110z00_1166 = 
VECTOR_REF(BgL_opt1436z00_307,BgL_iz00_1159); 
BgL_test3794z00_8357 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2110z00_1166, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3794z00_8357)
{ 
 long BgL_iz00_8362;
BgL_iz00_8362 = 
(BgL_iz00_1159+((long)2)); 
BgL_iz00_1159 = BgL_iz00_8362; 
goto BgL_check1440z00_1160;}  else 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_arg2109z00_1165;
BgL_arg2109z00_1165 = 
VECTOR_REF(BgL_opt1436z00_307,BgL_iz00_1159); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)31)), BGl_string3085z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2109z00_1165); } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1442z00_1167;
BgL_index1442z00_1167 = 
BGl_search1439ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1436z00_307), BgL_opt1436z00_307, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3795z00_8370;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3127;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8371;
if(
INTEGERP(BgL_index1442z00_1167))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8371 = BgL_index1442z00_1167
; }  else 
{ 
 obj_t BgL_auxz00_8374;
BgL_auxz00_8374 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1442z00_1167); 
FAILURE(BgL_auxz00_8374,BFALSE,BFALSE);} 
BgL_n1z00_3127 = 
(long)CINT(BgL_tmpz00_8371); } 
BgL_test3795z00_8370 = 
(BgL_n1z00_3127>=((long)0)); } 
if(BgL_test3795z00_8370)
{ 
 long BgL_auxz00_8380;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8381;
if(
INTEGERP(BgL_index1442z00_1167))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8381 = BgL_index1442z00_1167
; }  else 
{ 
 obj_t BgL_auxz00_8384;
BgL_auxz00_8384 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1442z00_1167); 
FAILURE(BgL_auxz00_8384,BFALSE,BFALSE);} 
BgL_auxz00_8380 = 
(long)CINT(BgL_tmpz00_8381); } 
BgL_ivz00_1153 = 
VECTOR_REF(BgL_opt1436z00_307,BgL_auxz00_8380); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1443z00_1169;
BgL_index1443z00_1169 = 
BGl_search1439ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1436z00_307), BgL_opt1436z00_307, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3798z00_8393;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3128;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8394;
if(
INTEGERP(BgL_index1443z00_1169))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8394 = BgL_index1443z00_1169
; }  else 
{ 
 obj_t BgL_auxz00_8397;
BgL_auxz00_8397 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1443z00_1169); 
FAILURE(BgL_auxz00_8397,BFALSE,BFALSE);} 
BgL_n1z00_3128 = 
(long)CINT(BgL_tmpz00_8394); } 
BgL_test3798z00_8393 = 
(BgL_n1z00_3128>=((long)0)); } 
if(BgL_test3798z00_8393)
{ 
 long BgL_auxz00_8403;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8404;
if(
INTEGERP(BgL_index1443z00_1169))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8404 = BgL_index1443z00_1169
; }  else 
{ 
 obj_t BgL_auxz00_8407;
BgL_auxz00_8407 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1443z00_1169); 
FAILURE(BgL_auxz00_8407,BFALSE,BFALSE);} 
BgL_auxz00_8403 = 
(long)CINT(BgL_tmpz00_8404); } 
BgL_modez00_1154 = 
VECTOR_REF(BgL_opt1436z00_307,BgL_auxz00_8403); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1444z00_1171;
BgL_index1444z00_1171 = 
BGl_search1439ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1436z00_307), BgL_opt1436z00_307, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3801z00_8416;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3129;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8417;
if(
INTEGERP(BgL_index1444z00_1171))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8417 = BgL_index1444z00_1171
; }  else 
{ 
 obj_t BgL_auxz00_8420;
BgL_auxz00_8420 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1444z00_1171); 
FAILURE(BgL_auxz00_8420,BFALSE,BFALSE);} 
BgL_n1z00_3129 = 
(long)CINT(BgL_tmpz00_8417); } 
BgL_test3801z00_8416 = 
(BgL_n1z00_3129>=((long)0)); } 
if(BgL_test3801z00_8416)
{ 
 long BgL_auxz00_8426;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8427;
if(
INTEGERP(BgL_index1444z00_1171))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8427 = BgL_index1444z00_1171
; }  else 
{ 
 obj_t BgL_auxz00_8430;
BgL_auxz00_8430 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1444z00_1171); 
FAILURE(BgL_auxz00_8430,BFALSE,BFALSE);} 
BgL_auxz00_8426 = 
(long)CINT(BgL_tmpz00_8427); } 
BgL_noncezd2initz12zc0_1155 = 
VECTOR_REF(BgL_opt1436z00_307,BgL_auxz00_8426); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1445z00_1173;
BgL_index1445z00_1173 = 
BGl_search1439ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1436z00_307), BgL_opt1436z00_307, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3804z00_8439;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3130;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8440;
if(
INTEGERP(BgL_index1445z00_1173))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8440 = BgL_index1445z00_1173
; }  else 
{ 
 obj_t BgL_auxz00_8443;
BgL_auxz00_8443 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1445z00_1173); 
FAILURE(BgL_auxz00_8443,BFALSE,BFALSE);} 
BgL_n1z00_3130 = 
(long)CINT(BgL_tmpz00_8440); } 
BgL_test3804z00_8439 = 
(BgL_n1z00_3130>=((long)0)); } 
if(BgL_test3804z00_8439)
{ 
 long BgL_auxz00_8449;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8450;
if(
INTEGERP(BgL_index1445z00_1173))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8450 = BgL_index1445z00_1173
; }  else 
{ 
 obj_t BgL_auxz00_8453;
BgL_auxz00_8453 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1445z00_1173); 
FAILURE(BgL_auxz00_8453,BFALSE,BFALSE);} 
BgL_auxz00_8449 = 
(long)CINT(BgL_tmpz00_8450); } 
BgL_noncezd2updatez12zc0_1156 = 
VECTOR_REF(BgL_opt1436z00_307,BgL_auxz00_8449); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1446z00_1175;
BgL_index1446z00_1175 = 
BGl_search1439ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1436z00_307), BgL_opt1436z00_307, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3807z00_8462;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3131;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8463;
if(
INTEGERP(BgL_index1446z00_1175))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8463 = BgL_index1446z00_1175
; }  else 
{ 
 obj_t BgL_auxz00_8466;
BgL_auxz00_8466 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1446z00_1175); 
FAILURE(BgL_auxz00_8466,BFALSE,BFALSE);} 
BgL_n1z00_3131 = 
(long)CINT(BgL_tmpz00_8463); } 
BgL_test3807z00_8462 = 
(BgL_n1z00_3131>=((long)0)); } 
if(BgL_test3807z00_8462)
{ 
 long BgL_auxz00_8472;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8473;
if(
INTEGERP(BgL_index1446z00_1175))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8473 = BgL_index1446z00_1175
; }  else 
{ 
 obj_t BgL_auxz00_8476;
BgL_auxz00_8476 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1446z00_1175); 
FAILURE(BgL_auxz00_8476,BFALSE,BFALSE);} 
BgL_auxz00_8472 = 
(long)CINT(BgL_tmpz00_8473); } 
BgL_padz00_1157 = 
VECTOR_REF(BgL_opt1436z00_307,BgL_auxz00_8472); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1447z00_1177;
BgL_index1447z00_1177 = 
BGl_search1439ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1436z00_307), BgL_opt1436z00_307, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test3810z00_8485;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3132;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8486;
if(
INTEGERP(BgL_index1447z00_1177))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8486 = BgL_index1447z00_1177
; }  else 
{ 
 obj_t BgL_auxz00_8489;
BgL_auxz00_8489 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1447z00_1177); 
FAILURE(BgL_auxz00_8489,BFALSE,BFALSE);} 
BgL_n1z00_3132 = 
(long)CINT(BgL_tmpz00_8486); } 
BgL_test3810z00_8485 = 
(BgL_n1z00_3132>=((long)0)); } 
if(BgL_test3810z00_8485)
{ 
 long BgL_auxz00_8495;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_8496;
if(
INTEGERP(BgL_index1447z00_1177))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8496 = BgL_index1447z00_1177
; }  else 
{ 
 obj_t BgL_auxz00_8499;
BgL_auxz00_8499 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1447z00_1177); 
FAILURE(BgL_auxz00_8499,BFALSE,BFALSE);} 
BgL_auxz00_8495 = 
(long)CINT(BgL_tmpz00_8496); } 
BgL_stringzd2ze3keyz31_1158 = 
VECTOR_REF(BgL_opt1436z00_307,BgL_auxz00_8495); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_arg2117z00_1179; obj_t BgL_arg2118z00_1180; obj_t BgL_arg2119z00_1181;
BgL_arg2117z00_1179 = 
VECTOR_REF(BgL_opt1436z00_307,((long)0)); 
BgL_arg2118z00_1180 = 
VECTOR_REF(BgL_opt1436z00_307,((long)1)); 
BgL_arg2119z00_1181 = 
VECTOR_REF(BgL_opt1436z00_307,((long)2)); 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_ivz00_1182;
BgL_ivz00_1182 = BgL_ivz00_1153; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_modez00_1183;
BgL_modez00_1183 = BgL_modez00_1154; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_noncezd2initz12zc0_1184;
BgL_noncezd2initz12zc0_1184 = BgL_noncezd2initz12zc0_1155; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_noncezd2updatez12zc0_1185;
BgL_noncezd2updatez12zc0_1185 = BgL_noncezd2updatez12zc0_1156; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_padz00_1186;
BgL_padz00_1186 = BgL_padz00_1157; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_stringzd2ze3keyz31_1187;
BgL_stringzd2ze3keyz31_1187 = BgL_stringzd2ze3keyz31_1158; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_res2721z00_3141;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_cipherz00_3133; obj_t BgL_passwordz00_3134;
if(
SYMBOLP(BgL_arg2117z00_1179))
{ /* Llib/block_ciphers.scm 850 */
BgL_cipherz00_3133 = BgL_arg2117z00_1179; }  else 
{ 
 obj_t BgL_auxz00_8510;
BgL_auxz00_8510 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2117z00_1179); 
FAILURE(BgL_auxz00_8510,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2119z00_1181))
{ /* Llib/block_ciphers.scm 850 */
BgL_passwordz00_3134 = BgL_arg2119z00_1181; }  else 
{ 
 obj_t BgL_auxz00_8516;
BgL_auxz00_8516 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30777)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2119z00_1181); 
FAILURE(BgL_auxz00_8516,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 854 */
 obj_t BgL_redirectz00_3135;
if(
STRINGP(BgL_arg2118z00_1180))
{ /* Llib/block_ciphers.scm 855 */
BgL_redirectz00_3135 = BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 855 */
if(
BGL_MMAPP(BgL_arg2118z00_1180))
{ /* Llib/block_ciphers.scm 856 */
BgL_redirectz00_3135 = BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
 bool_t BgL_test3817z00_8524;
{ /* Llib/block_ciphers.scm 857 */
 bool_t BgL__ortest_1056z00_3139;
BgL__ortest_1056z00_3139 = 
OUTPUT_PORTP(BgL_arg2118z00_1180); 
if(BgL__ortest_1056z00_3139)
{ /* Llib/block_ciphers.scm 857 */
BgL_test3817z00_8524 = BgL__ortest_1056z00_3139
; }  else 
{ /* Llib/block_ciphers.scm 857 */
BgL_test3817z00_8524 = 
INPUT_PORTP(BgL_arg2118z00_1180)
; } } 
if(BgL_test3817z00_8524)
{ /* Llib/block_ciphers.scm 857 */
BgL_redirectz00_3135 = BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
CNST_TABLE_REF(((long)32)); 
BgL_redirectz00_3135 = BgL_arg2118z00_1180; } } } 
{ /* Llib/block_ciphers.scm 861 */
 obj_t BgL_aux2927z00_5262;
{ /* Llib/block_ciphers.scm 861 */
 obj_t BgL_tmpfunz00_8540;
{ /* Llib/block_ciphers.scm 861 */
 bool_t BgL_test2926z00_5261;
BgL_test2926z00_5261 = 
PROCEDUREP(BgL_redirectz00_3135); 
if(BgL_test2926z00_5261)
{ /* Llib/block_ciphers.scm 861 */
BgL_tmpfunz00_8540 = BgL_redirectz00_3135
; }  else 
{ 
 obj_t BgL_auxz00_8543;
BgL_auxz00_8543 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31193)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3089z00zz__cryptozd2blockzd2ciphersz00, BgL_redirectz00_3135); 
FAILURE(BgL_auxz00_8543,BFALSE,BFALSE);} } 
BgL_aux2927z00_5262 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_tmpfunz00_8540))(BgL_redirectz00_3135, BgL_cipherz00_3133, BgL_arg2118z00_1180, BgL_passwordz00_3134, BgL_ivz00_1182, BgL_modez00_1183, BgL_padz00_1186, BgL_noncezd2initz12zc0_1184, BgL_noncezd2updatez12zc0_1185, BgL_stringzd2ze3keyz31_1187, BEOA); } 
if(
STRINGP(BgL_aux2927z00_5262))
{ /* Llib/block_ciphers.scm 861 */
BgL_res2721z00_3141 = BgL_aux2927z00_5262; }  else 
{ 
 obj_t BgL_auxz00_8549;
BgL_auxz00_8549 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31193)), BGl_string3106z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_aux2927z00_5262); 
FAILURE(BgL_auxz00_8549,BFALSE,BFALSE);} } } } 
return BgL_res2721z00_3141;} } } } } } } } } } } } } } } } } 

}



/* search1439~0 */
obj_t BGl_search1439ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1438z00_5095, obj_t BgL_opt1436z00_5094, obj_t BgL_k1z00_1147, long BgL_iz00_1148)
{
{ /* Llib/block_ciphers.scm 850 */
BGl_search1439ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1148==BgL_l1438z00_5095))
{ /* Llib/block_ciphers.scm 850 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 850 */
if(
(BgL_iz00_1148==
(BgL_l1438z00_5095-((long)1))))
{ /* Llib/block_ciphers.scm 850 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)31)), BGl_string3090z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1436z00_5094)));}  else 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_vz00_1192;
BgL_vz00_1192 = 
VECTOR_REF(BgL_opt1436z00_5094,BgL_iz00_1148); 
if(
(BgL_vz00_1192==BgL_k1z00_1147))
{ /* Llib/block_ciphers.scm 850 */
return 
BINT(
(BgL_iz00_1148+((long)1)));}  else 
{ 
 long BgL_iz00_8568;
BgL_iz00_8568 = 
(BgL_iz00_1148+((long)2)); 
BgL_iz00_1148 = BgL_iz00_8568; 
goto BGl_search1439ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt */
BGL_EXPORTED_DEF obj_t BGl_decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_298, obj_t BgL_ciphertextz00_299, obj_t BgL_passwordz00_300, obj_t BgL_ivz00_301, obj_t BgL_modez00_302, obj_t BgL_noncezd2initz12zc0_303, obj_t BgL_noncezd2updatez12zc0_304, obj_t BgL_padz00_305, obj_t BgL_stringzd2ze3keyz31_306)
{
{ /* Llib/block_ciphers.scm 850 */
{ /* Llib/block_ciphers.scm 854 */
 obj_t BgL_redirectz00_3142;
if(
STRINGP(BgL_ciphertextz00_299))
{ /* Llib/block_ciphers.scm 855 */
BgL_redirectz00_3142 = BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 855 */
if(
BGL_MMAPP(BgL_ciphertextz00_299))
{ /* Llib/block_ciphers.scm 856 */
BgL_redirectz00_3142 = BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
 bool_t BgL_test3826z00_8574;
{ /* Llib/block_ciphers.scm 857 */
 bool_t BgL__ortest_1056z00_3146;
BgL__ortest_1056z00_3146 = 
OUTPUT_PORTP(BgL_ciphertextz00_299); 
if(BgL__ortest_1056z00_3146)
{ /* Llib/block_ciphers.scm 857 */
BgL_test3826z00_8574 = BgL__ortest_1056z00_3146
; }  else 
{ /* Llib/block_ciphers.scm 857 */
BgL_test3826z00_8574 = 
INPUT_PORTP(BgL_ciphertextz00_299)
; } } 
if(BgL_test3826z00_8574)
{ /* Llib/block_ciphers.scm 857 */
BgL_redirectz00_3142 = BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
CNST_TABLE_REF(((long)32)); 
BgL_redirectz00_3142 = BgL_ciphertextz00_299; } } } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_redirectz00_3142))(BgL_redirectz00_3142, BgL_cipherz00_298, BgL_ciphertextz00_299, BgL_passwordz00_300, BgL_ivz00_301, BgL_modez00_302, BgL_padz00_305, BgL_noncezd2initz12zc0_303, BgL_noncezd2updatez12zc0_304, BgL_stringzd2ze3keyz31_306, BEOA);} } 

}



/* _decrypt-string */
obj_t BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1449z00_319, obj_t BgL_opt1448z00_318)
{
{ /* Llib/block_ciphers.scm 864 */
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_cipherz00_1203; obj_t BgL_ciphertextz00_1204; obj_t BgL_passwordz00_1205;
BgL_cipherz00_1203 = 
VECTOR_REF(BgL_opt1448z00_318,((long)0)); 
BgL_ciphertextz00_1204 = 
VECTOR_REF(BgL_opt1448z00_318,((long)1)); 
BgL_passwordz00_1205 = 
VECTOR_REF(BgL_opt1448z00_318,((long)2)); 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_ivz00_1206;
BgL_ivz00_1206 = BFALSE; 
{ /* Llib/block_ciphers.scm 865 */
 obj_t BgL_modez00_1207;
BgL_modez00_1207 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_noncezd2initz12zc0_1208;
BgL_noncezd2initz12zc0_1208 = BFALSE; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_noncezd2updatez12zc0_1209;
BgL_noncezd2updatez12zc0_1209 = BFALSE; 
{ /* Llib/block_ciphers.scm 865 */
 obj_t BgL_padz00_1210;
BgL_padz00_1210 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_stringzd2ze3keyz31_1211;
BgL_stringzd2ze3keyz31_1211 = BFALSE; 
{ /* Llib/block_ciphers.scm 864 */

{ 
 long BgL_iz00_1212;
BgL_iz00_1212 = ((long)3); 
BgL_check1452z00_1213:
if(
(BgL_iz00_1212==
VECTOR_LENGTH(BgL_opt1448z00_318)))
{ /* Llib/block_ciphers.scm 864 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test3829z00_8599;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_arg2134z00_1219;
BgL_arg2134z00_1219 = 
VECTOR_REF(BgL_opt1448z00_318,BgL_iz00_1212); 
BgL_test3829z00_8599 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2134z00_1219, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3829z00_8599)
{ 
 long BgL_iz00_8604;
BgL_iz00_8604 = 
(BgL_iz00_1212+((long)2)); 
BgL_iz00_1212 = BgL_iz00_8604; 
goto BgL_check1452z00_1213;}  else 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_arg2133z00_1218;
BgL_arg2133z00_1218 = 
VECTOR_REF(BgL_opt1448z00_318,BgL_iz00_1212); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)33)), BGl_string3085z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2133z00_1218); } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1454z00_1220;
BgL_index1454z00_1220 = 
BGl_search1451ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1448z00_318), BgL_opt1448z00_318, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test3830z00_8612;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3163;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8613;
if(
INTEGERP(BgL_index1454z00_1220))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8613 = BgL_index1454z00_1220
; }  else 
{ 
 obj_t BgL_auxz00_8616;
BgL_auxz00_8616 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1454z00_1220); 
FAILURE(BgL_auxz00_8616,BFALSE,BFALSE);} 
BgL_n1z00_3163 = 
(long)CINT(BgL_tmpz00_8613); } 
BgL_test3830z00_8612 = 
(BgL_n1z00_3163>=((long)0)); } 
if(BgL_test3830z00_8612)
{ 
 long BgL_auxz00_8622;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8623;
if(
INTEGERP(BgL_index1454z00_1220))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8623 = BgL_index1454z00_1220
; }  else 
{ 
 obj_t BgL_auxz00_8626;
BgL_auxz00_8626 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1454z00_1220); 
FAILURE(BgL_auxz00_8626,BFALSE,BFALSE);} 
BgL_auxz00_8622 = 
(long)CINT(BgL_tmpz00_8623); } 
BgL_ivz00_1206 = 
VECTOR_REF(BgL_opt1448z00_318,BgL_auxz00_8622); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1455z00_1222;
BgL_index1455z00_1222 = 
BGl_search1451ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1448z00_318), BgL_opt1448z00_318, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test3833z00_8635;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3164;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8636;
if(
INTEGERP(BgL_index1455z00_1222))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8636 = BgL_index1455z00_1222
; }  else 
{ 
 obj_t BgL_auxz00_8639;
BgL_auxz00_8639 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1455z00_1222); 
FAILURE(BgL_auxz00_8639,BFALSE,BFALSE);} 
BgL_n1z00_3164 = 
(long)CINT(BgL_tmpz00_8636); } 
BgL_test3833z00_8635 = 
(BgL_n1z00_3164>=((long)0)); } 
if(BgL_test3833z00_8635)
{ 
 long BgL_auxz00_8645;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8646;
if(
INTEGERP(BgL_index1455z00_1222))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8646 = BgL_index1455z00_1222
; }  else 
{ 
 obj_t BgL_auxz00_8649;
BgL_auxz00_8649 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1455z00_1222); 
FAILURE(BgL_auxz00_8649,BFALSE,BFALSE);} 
BgL_auxz00_8645 = 
(long)CINT(BgL_tmpz00_8646); } 
BgL_modez00_1207 = 
VECTOR_REF(BgL_opt1448z00_318,BgL_auxz00_8645); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1456z00_1224;
BgL_index1456z00_1224 = 
BGl_search1451ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1448z00_318), BgL_opt1448z00_318, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test3836z00_8658;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3165;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8659;
if(
INTEGERP(BgL_index1456z00_1224))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8659 = BgL_index1456z00_1224
; }  else 
{ 
 obj_t BgL_auxz00_8662;
BgL_auxz00_8662 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1456z00_1224); 
FAILURE(BgL_auxz00_8662,BFALSE,BFALSE);} 
BgL_n1z00_3165 = 
(long)CINT(BgL_tmpz00_8659); } 
BgL_test3836z00_8658 = 
(BgL_n1z00_3165>=((long)0)); } 
if(BgL_test3836z00_8658)
{ 
 long BgL_auxz00_8668;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8669;
if(
INTEGERP(BgL_index1456z00_1224))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8669 = BgL_index1456z00_1224
; }  else 
{ 
 obj_t BgL_auxz00_8672;
BgL_auxz00_8672 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1456z00_1224); 
FAILURE(BgL_auxz00_8672,BFALSE,BFALSE);} 
BgL_auxz00_8668 = 
(long)CINT(BgL_tmpz00_8669); } 
BgL_noncezd2initz12zc0_1208 = 
VECTOR_REF(BgL_opt1448z00_318,BgL_auxz00_8668); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1457z00_1226;
BgL_index1457z00_1226 = 
BGl_search1451ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1448z00_318), BgL_opt1448z00_318, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test3839z00_8681;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3166;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8682;
if(
INTEGERP(BgL_index1457z00_1226))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8682 = BgL_index1457z00_1226
; }  else 
{ 
 obj_t BgL_auxz00_8685;
BgL_auxz00_8685 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1457z00_1226); 
FAILURE(BgL_auxz00_8685,BFALSE,BFALSE);} 
BgL_n1z00_3166 = 
(long)CINT(BgL_tmpz00_8682); } 
BgL_test3839z00_8681 = 
(BgL_n1z00_3166>=((long)0)); } 
if(BgL_test3839z00_8681)
{ 
 long BgL_auxz00_8691;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8692;
if(
INTEGERP(BgL_index1457z00_1226))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8692 = BgL_index1457z00_1226
; }  else 
{ 
 obj_t BgL_auxz00_8695;
BgL_auxz00_8695 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1457z00_1226); 
FAILURE(BgL_auxz00_8695,BFALSE,BFALSE);} 
BgL_auxz00_8691 = 
(long)CINT(BgL_tmpz00_8692); } 
BgL_noncezd2updatez12zc0_1209 = 
VECTOR_REF(BgL_opt1448z00_318,BgL_auxz00_8691); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1458z00_1228;
BgL_index1458z00_1228 = 
BGl_search1451ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1448z00_318), BgL_opt1448z00_318, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test3842z00_8704;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3167;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8705;
if(
INTEGERP(BgL_index1458z00_1228))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8705 = BgL_index1458z00_1228
; }  else 
{ 
 obj_t BgL_auxz00_8708;
BgL_auxz00_8708 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1458z00_1228); 
FAILURE(BgL_auxz00_8708,BFALSE,BFALSE);} 
BgL_n1z00_3167 = 
(long)CINT(BgL_tmpz00_8705); } 
BgL_test3842z00_8704 = 
(BgL_n1z00_3167>=((long)0)); } 
if(BgL_test3842z00_8704)
{ 
 long BgL_auxz00_8714;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8715;
if(
INTEGERP(BgL_index1458z00_1228))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8715 = BgL_index1458z00_1228
; }  else 
{ 
 obj_t BgL_auxz00_8718;
BgL_auxz00_8718 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1458z00_1228); 
FAILURE(BgL_auxz00_8718,BFALSE,BFALSE);} 
BgL_auxz00_8714 = 
(long)CINT(BgL_tmpz00_8715); } 
BgL_padz00_1210 = 
VECTOR_REF(BgL_opt1448z00_318,BgL_auxz00_8714); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1459z00_1230;
BgL_index1459z00_1230 = 
BGl_search1451ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1448z00_318), BgL_opt1448z00_318, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test3845z00_8727;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3168;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8728;
if(
INTEGERP(BgL_index1459z00_1230))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8728 = BgL_index1459z00_1230
; }  else 
{ 
 obj_t BgL_auxz00_8731;
BgL_auxz00_8731 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1459z00_1230); 
FAILURE(BgL_auxz00_8731,BFALSE,BFALSE);} 
BgL_n1z00_3168 = 
(long)CINT(BgL_tmpz00_8728); } 
BgL_test3845z00_8727 = 
(BgL_n1z00_3168>=((long)0)); } 
if(BgL_test3845z00_8727)
{ 
 long BgL_auxz00_8737;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_8738;
if(
INTEGERP(BgL_index1459z00_1230))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_8738 = BgL_index1459z00_1230
; }  else 
{ 
 obj_t BgL_auxz00_8741;
BgL_auxz00_8741 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1459z00_1230); 
FAILURE(BgL_auxz00_8741,BFALSE,BFALSE);} 
BgL_auxz00_8737 = 
(long)CINT(BgL_tmpz00_8738); } 
BgL_stringzd2ze3keyz31_1211 = 
VECTOR_REF(BgL_opt1448z00_318,BgL_auxz00_8737); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_arg2141z00_1232; obj_t BgL_arg2142z00_1233; obj_t BgL_arg2143z00_1234;
BgL_arg2141z00_1232 = 
VECTOR_REF(BgL_opt1448z00_318,((long)0)); 
BgL_arg2142z00_1233 = 
VECTOR_REF(BgL_opt1448z00_318,((long)1)); 
BgL_arg2143z00_1234 = 
VECTOR_REF(BgL_opt1448z00_318,((long)2)); 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_ivz00_1235;
BgL_ivz00_1235 = BgL_ivz00_1206; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_modez00_1236;
BgL_modez00_1236 = BgL_modez00_1207; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_noncezd2initz12zc0_1237;
BgL_noncezd2initz12zc0_1237 = BgL_noncezd2initz12zc0_1208; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_noncezd2updatez12zc0_1238;
BgL_noncezd2updatez12zc0_1238 = BgL_noncezd2updatez12zc0_1209; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_padz00_1239;
BgL_padz00_1239 = BgL_padz00_1210; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_stringzd2ze3keyz31_1240;
BgL_stringzd2ze3keyz31_1240 = BgL_stringzd2ze3keyz31_1211; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_cipherz00_3169; obj_t BgL_ciphertextz00_3170; obj_t BgL_passwordz00_3171;
if(
SYMBOLP(BgL_arg2141z00_1232))
{ /* Llib/block_ciphers.scm 864 */
BgL_cipherz00_3169 = BgL_arg2141z00_1232; }  else 
{ 
 obj_t BgL_auxz00_8752;
BgL_auxz00_8752 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2141z00_1232); 
FAILURE(BgL_auxz00_8752,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2142z00_1233))
{ /* Llib/block_ciphers.scm 864 */
BgL_ciphertextz00_3170 = BgL_arg2142z00_1233; }  else 
{ 
 obj_t BgL_auxz00_8758;
BgL_auxz00_8758 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2142z00_1233); 
FAILURE(BgL_auxz00_8758,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2143z00_1234))
{ /* Llib/block_ciphers.scm 864 */
BgL_passwordz00_3171 = BgL_arg2143z00_1234; }  else 
{ 
 obj_t BgL_auxz00_8764;
BgL_auxz00_8764 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31286)), BGl_string3107z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2143z00_1234); 
FAILURE(BgL_auxz00_8764,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 874 */
 obj_t BgL_strz00_3174; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3175;
{ /* Llib/block_ciphers.scm 874 */
 long BgL_arg2151z00_3176;
BgL_arg2151z00_3176 = 
STRING_LENGTH(BgL_ciphertextz00_3170); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_3174 = 
make_string(BgL_arg2151z00_3176, ((unsigned char)' ')); } } 
BgL_statez00_3175 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3169, BgL_passwordz00_3171, BgL_ivz00_1235, BgL_modez00_1236, BgL_padz00_1239, BgL_noncezd2initz12zc0_1237, BgL_noncezd2updatez12zc0_1238, BgL_stringzd2ze3keyz31_1240); 
{ /* Llib/block_ciphers.scm 878 */
 long BgL_tmpz00_8771;
BgL_tmpz00_8771 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3175, BgL_ciphertextz00_3170, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3174, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3174, BgL_tmpz00_8771);} } } } } } } } } } } } } } } } } } } 

}



/* search1451~0 */
obj_t BGl_search1451ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1450z00_5093, obj_t BgL_opt1448z00_5092, obj_t BgL_k1z00_1200, long BgL_iz00_1201)
{
{ /* Llib/block_ciphers.scm 864 */
BGl_search1451ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1201==BgL_l1450z00_5093))
{ /* Llib/block_ciphers.scm 864 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 864 */
if(
(BgL_iz00_1201==
(BgL_l1450z00_5093-((long)1))))
{ /* Llib/block_ciphers.scm 864 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)33)), BGl_string3090z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1448z00_5092)));}  else 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_vz00_1245;
BgL_vz00_1245 = 
VECTOR_REF(BgL_opt1448z00_5092,BgL_iz00_1201); 
if(
(BgL_vz00_1245==BgL_k1z00_1200))
{ /* Llib/block_ciphers.scm 864 */
return 
BINT(
(BgL_iz00_1201+((long)1)));}  else 
{ 
 long BgL_iz00_8789;
BgL_iz00_8789 = 
(BgL_iz00_1201+((long)2)); 
BgL_iz00_1201 = BgL_iz00_8789; 
goto BGl_search1451ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-string */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_309, obj_t BgL_ciphertextz00_310, obj_t BgL_passwordz00_311, obj_t BgL_ivz00_312, obj_t BgL_modez00_313, obj_t BgL_noncezd2initz12zc0_314, obj_t BgL_noncezd2updatez12zc0_315, obj_t BgL_padz00_316, obj_t BgL_stringzd2ze3keyz31_317)
{
{ /* Llib/block_ciphers.scm 864 */
{ /* Llib/block_ciphers.scm 874 */
 obj_t BgL_strz00_3186; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3187;
{ /* Llib/block_ciphers.scm 874 */
 long BgL_arg2151z00_3188;
BgL_arg2151z00_3188 = 
STRING_LENGTH(BgL_ciphertextz00_310); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_3186 = 
make_string(BgL_arg2151z00_3188, ((unsigned char)' ')); } } 
BgL_statez00_3187 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_309, BgL_passwordz00_311, BgL_ivz00_312, BgL_modez00_313, BgL_padz00_316, BgL_noncezd2initz12zc0_314, BgL_noncezd2updatez12zc0_315, BgL_stringzd2ze3keyz31_317); 
{ /* Llib/block_ciphers.scm 878 */
 long BgL_tmpz00_8794;
BgL_tmpz00_8794 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3187, BgL_ciphertextz00_310, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3186, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3186, BgL_tmpz00_8794);} } } 

}



/* &decrypt-fast-string */
obj_t BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4458, obj_t BgL_cipherz00_4459, obj_t BgL_ciphertextz00_4460, obj_t BgL_passwordz00_4461, obj_t BgL_ivz00_4462, obj_t BgL_modez00_4463, obj_t BgL_padz00_4464, obj_t BgL_noncezd2initz12zc0_4465, obj_t BgL_noncezd2updatez12zc0_4466, obj_t BgL_stringzd2ze3keyz31_4467)
{
{ /* Llib/block_ciphers.scm 871 */
{ /* Llib/block_ciphers.scm 874 */
 obj_t BgL_ciphertextz00_5467; obj_t BgL_passwordz00_5468;
if(
STRINGP(BgL_ciphertextz00_4460))
{ /* Llib/block_ciphers.scm 874 */
BgL_ciphertextz00_5467 = BgL_ciphertextz00_4460; }  else 
{ 
 obj_t BgL_auxz00_8799;
BgL_auxz00_8799 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31735)), BGl_string3108z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_4460); 
FAILURE(BgL_auxz00_8799,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_4461))
{ /* Llib/block_ciphers.scm 874 */
BgL_passwordz00_5468 = BgL_passwordz00_4461; }  else 
{ 
 obj_t BgL_auxz00_8805;
BgL_auxz00_8805 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31735)), BGl_string3108z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_4461); 
FAILURE(BgL_auxz00_8805,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 874 */
 obj_t BgL_strz00_5469; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_5470;
{ /* Llib/block_ciphers.scm 874 */
 long BgL_arg2151z00_5471;
BgL_arg2151z00_5471 = 
STRING_LENGTH(BgL_ciphertextz00_5467); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_5469 = 
make_string(BgL_arg2151z00_5471, ((unsigned char)' ')); } } 
BgL_statez00_5470 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4459, BgL_passwordz00_5468, BgL_ivz00_4462, BgL_modez00_4463, BgL_padz00_4464, BgL_noncezd2initz12zc0_4465, BgL_noncezd2updatez12zc0_4466, BgL_stringzd2ze3keyz31_4467); 
{ /* Llib/block_ciphers.scm 878 */
 long BgL_tmpz00_8812;
BgL_tmpz00_8812 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_5470, BgL_ciphertextz00_5467, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_5469, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_5469, BgL_tmpz00_8812);} } } } 

}



/* _decrypt-mmap */
obj_t BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1461z00_339, obj_t BgL_opt1460z00_338)
{
{ /* Llib/block_ciphers.scm 883 */
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_cipherz00_1258; obj_t BgL_ciphertextz00_1259; obj_t BgL_passwordz00_1260;
BgL_cipherz00_1258 = 
VECTOR_REF(BgL_opt1460z00_338,((long)0)); 
BgL_ciphertextz00_1259 = 
VECTOR_REF(BgL_opt1460z00_338,((long)1)); 
BgL_passwordz00_1260 = 
VECTOR_REF(BgL_opt1460z00_338,((long)2)); 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_ivz00_1261;
BgL_ivz00_1261 = BFALSE; 
{ /* Llib/block_ciphers.scm 884 */
 obj_t BgL_modez00_1262;
BgL_modez00_1262 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_noncezd2initz12zc0_1263;
BgL_noncezd2initz12zc0_1263 = BFALSE; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_noncezd2updatez12zc0_1264;
BgL_noncezd2updatez12zc0_1264 = BFALSE; 
{ /* Llib/block_ciphers.scm 884 */
 obj_t BgL_padz00_1265;
BgL_padz00_1265 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_stringzd2ze3keyz31_1266;
BgL_stringzd2ze3keyz31_1266 = BFALSE; 
{ /* Llib/block_ciphers.scm 883 */

{ 
 long BgL_iz00_1267;
BgL_iz00_1267 = ((long)3); 
BgL_check1464z00_1268:
if(
(BgL_iz00_1267==
VECTOR_LENGTH(BgL_opt1460z00_338)))
{ /* Llib/block_ciphers.scm 883 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test3857z00_8823;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_arg2157z00_1274;
BgL_arg2157z00_1274 = 
VECTOR_REF(BgL_opt1460z00_338,BgL_iz00_1267); 
BgL_test3857z00_8823 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2157z00_1274, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3857z00_8823)
{ 
 long BgL_iz00_8828;
BgL_iz00_8828 = 
(BgL_iz00_1267+((long)2)); 
BgL_iz00_1267 = BgL_iz00_8828; 
goto BgL_check1464z00_1268;}  else 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_arg2156z00_1273;
BgL_arg2156z00_1273 = 
VECTOR_REF(BgL_opt1460z00_338,BgL_iz00_1267); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)34)), BGl_string3085z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2156z00_1273); } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1466z00_1275;
BgL_index1466z00_1275 = 
BGl_search1463ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1460z00_338), BgL_opt1460z00_338, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test3858z00_8836;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3221;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_8837;
if(
INTEGERP(BgL_index1466z00_1275))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_8837 = BgL_index1466z00_1275
; }  else 
{ 
 obj_t BgL_auxz00_8840;
BgL_auxz00_8840 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1466z00_1275); 
FAILURE(BgL_auxz00_8840,BFALSE,BFALSE);} 
BgL_n1z00_3221 = 
(long)CINT(BgL_tmpz00_8837); } 
BgL_test3858z00_8836 = 
(BgL_n1z00_3221>=((long)0)); } 
if(BgL_test3858z00_8836)
{ 
 long BgL_auxz00_8846;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_8847;
if(
INTEGERP(BgL_index1466z00_1275))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_8847 = BgL_index1466z00_1275
; }  else 
{ 
 obj_t BgL_auxz00_8850;
BgL_auxz00_8850 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1466z00_1275); 
FAILURE(BgL_auxz00_8850,BFALSE,BFALSE);} 
BgL_auxz00_8846 = 
(long)CINT(BgL_tmpz00_8847); } 
BgL_ivz00_1261 = 
VECTOR_REF(BgL_opt1460z00_338,BgL_auxz00_8846); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1467z00_1277;
BgL_index1467z00_1277 = 
BGl_search1463ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1460z00_338), BgL_opt1460z00_338, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test3861z00_8859;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3222;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_8860;
if(
INTEGERP(BgL_index1467z00_1277))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_8860 = BgL_index1467z00_1277
; }  else 
{ 
 obj_t BgL_auxz00_8863;
BgL_auxz00_8863 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1467z00_1277); 
FAILURE(BgL_auxz00_8863,BFALSE,BFALSE);} 
BgL_n1z00_3222 = 
(long)CINT(BgL_tmpz00_8860); } 
BgL_test3861z00_8859 = 
(BgL_n1z00_3222>=((long)0)); } 
if(BgL_test3861z00_8859)
{ 
 long BgL_auxz00_8869;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_8870;
if(
INTEGERP(BgL_index1467z00_1277))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_8870 = BgL_index1467z00_1277
; }  else 
{ 
 obj_t BgL_auxz00_8873;
BgL_auxz00_8873 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1467z00_1277); 
FAILURE(BgL_auxz00_8873,BFALSE,BFALSE);} 
BgL_auxz00_8869 = 
(long)CINT(BgL_tmpz00_8870); } 
BgL_modez00_1262 = 
VECTOR_REF(BgL_opt1460z00_338,BgL_auxz00_8869); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1468z00_1279;
BgL_index1468z00_1279 = 
BGl_search1463ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1460z00_338), BgL_opt1460z00_338, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test3864z00_8882;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3223;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_8883;
if(
INTEGERP(BgL_index1468z00_1279))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_8883 = BgL_index1468z00_1279
; }  else 
{ 
 obj_t BgL_auxz00_8886;
BgL_auxz00_8886 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1468z00_1279); 
FAILURE(BgL_auxz00_8886,BFALSE,BFALSE);} 
BgL_n1z00_3223 = 
(long)CINT(BgL_tmpz00_8883); } 
BgL_test3864z00_8882 = 
(BgL_n1z00_3223>=((long)0)); } 
if(BgL_test3864z00_8882)
{ 
 long BgL_auxz00_8892;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_8893;
if(
INTEGERP(BgL_index1468z00_1279))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_8893 = BgL_index1468z00_1279
; }  else 
{ 
 obj_t BgL_auxz00_8896;
BgL_auxz00_8896 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1468z00_1279); 
FAILURE(BgL_auxz00_8896,BFALSE,BFALSE);} 
BgL_auxz00_8892 = 
(long)CINT(BgL_tmpz00_8893); } 
BgL_noncezd2initz12zc0_1263 = 
VECTOR_REF(BgL_opt1460z00_338,BgL_auxz00_8892); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1469z00_1281;
BgL_index1469z00_1281 = 
BGl_search1463ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1460z00_338), BgL_opt1460z00_338, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test3867z00_8905;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3224;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_8906;
if(
INTEGERP(BgL_index1469z00_1281))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_8906 = BgL_index1469z00_1281
; }  else 
{ 
 obj_t BgL_auxz00_8909;
BgL_auxz00_8909 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1469z00_1281); 
FAILURE(BgL_auxz00_8909,BFALSE,BFALSE);} 
BgL_n1z00_3224 = 
(long)CINT(BgL_tmpz00_8906); } 
BgL_test3867z00_8905 = 
(BgL_n1z00_3224>=((long)0)); } 
if(BgL_test3867z00_8905)
{ 
 long BgL_auxz00_8915;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_8916;
if(
INTEGERP(BgL_index1469z00_1281))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_8916 = BgL_index1469z00_1281
; }  else 
{ 
 obj_t BgL_auxz00_8919;
BgL_auxz00_8919 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1469z00_1281); 
FAILURE(BgL_auxz00_8919,BFALSE,BFALSE);} 
BgL_auxz00_8915 = 
(long)CINT(BgL_tmpz00_8916); } 
BgL_noncezd2updatez12zc0_1264 = 
VECTOR_REF(BgL_opt1460z00_338,BgL_auxz00_8915); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1470z00_1283;
BgL_index1470z00_1283 = 
BGl_search1463ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1460z00_338), BgL_opt1460z00_338, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test3870z00_8928;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3225;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_8929;
if(
INTEGERP(BgL_index1470z00_1283))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_8929 = BgL_index1470z00_1283
; }  else 
{ 
 obj_t BgL_auxz00_8932;
BgL_auxz00_8932 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1470z00_1283); 
FAILURE(BgL_auxz00_8932,BFALSE,BFALSE);} 
BgL_n1z00_3225 = 
(long)CINT(BgL_tmpz00_8929); } 
BgL_test3870z00_8928 = 
(BgL_n1z00_3225>=((long)0)); } 
if(BgL_test3870z00_8928)
{ 
 long BgL_auxz00_8938;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_8939;
if(
INTEGERP(BgL_index1470z00_1283))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_8939 = BgL_index1470z00_1283
; }  else 
{ 
 obj_t BgL_auxz00_8942;
BgL_auxz00_8942 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1470z00_1283); 
FAILURE(BgL_auxz00_8942,BFALSE,BFALSE);} 
BgL_auxz00_8938 = 
(long)CINT(BgL_tmpz00_8939); } 
BgL_padz00_1265 = 
VECTOR_REF(BgL_opt1460z00_338,BgL_auxz00_8938); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1471z00_1285;
BgL_index1471z00_1285 = 
BGl_search1463ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1460z00_338), BgL_opt1460z00_338, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test3873z00_8951;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3226;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_8952;
if(
INTEGERP(BgL_index1471z00_1285))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_8952 = BgL_index1471z00_1285
; }  else 
{ 
 obj_t BgL_auxz00_8955;
BgL_auxz00_8955 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1471z00_1285); 
FAILURE(BgL_auxz00_8955,BFALSE,BFALSE);} 
BgL_n1z00_3226 = 
(long)CINT(BgL_tmpz00_8952); } 
BgL_test3873z00_8951 = 
(BgL_n1z00_3226>=((long)0)); } 
if(BgL_test3873z00_8951)
{ 
 long BgL_auxz00_8961;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_8962;
if(
INTEGERP(BgL_index1471z00_1285))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_8962 = BgL_index1471z00_1285
; }  else 
{ 
 obj_t BgL_auxz00_8965;
BgL_auxz00_8965 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1471z00_1285); 
FAILURE(BgL_auxz00_8965,BFALSE,BFALSE);} 
BgL_auxz00_8961 = 
(long)CINT(BgL_tmpz00_8962); } 
BgL_stringzd2ze3keyz31_1266 = 
VECTOR_REF(BgL_opt1460z00_338,BgL_auxz00_8961); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_arg2164z00_1287; obj_t BgL_arg2165z00_1288; obj_t BgL_arg2166z00_1289;
BgL_arg2164z00_1287 = 
VECTOR_REF(BgL_opt1460z00_338,((long)0)); 
BgL_arg2165z00_1288 = 
VECTOR_REF(BgL_opt1460z00_338,((long)1)); 
BgL_arg2166z00_1289 = 
VECTOR_REF(BgL_opt1460z00_338,((long)2)); 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_ivz00_1290;
BgL_ivz00_1290 = BgL_ivz00_1261; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_modez00_1291;
BgL_modez00_1291 = BgL_modez00_1262; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_noncezd2initz12zc0_1292;
BgL_noncezd2initz12zc0_1292 = BgL_noncezd2initz12zc0_1263; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_noncezd2updatez12zc0_1293;
BgL_noncezd2updatez12zc0_1293 = BgL_noncezd2updatez12zc0_1264; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_padz00_1294;
BgL_padz00_1294 = BgL_padz00_1265; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_stringzd2ze3keyz31_1295;
BgL_stringzd2ze3keyz31_1295 = BgL_stringzd2ze3keyz31_1266; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_cipherz00_3227; obj_t BgL_ciphertextz00_3228; obj_t BgL_passwordz00_3229;
if(
SYMBOLP(BgL_arg2164z00_1287))
{ /* Llib/block_ciphers.scm 883 */
BgL_cipherz00_3227 = BgL_arg2164z00_1287; }  else 
{ 
 obj_t BgL_auxz00_8976;
BgL_auxz00_8976 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2164z00_1287); 
FAILURE(BgL_auxz00_8976,BFALSE,BFALSE);} 
if(
BGL_MMAPP(BgL_arg2165z00_1288))
{ /* Llib/block_ciphers.scm 883 */
BgL_ciphertextz00_3228 = BgL_arg2165z00_1288; }  else 
{ 
 obj_t BgL_auxz00_8982;
BgL_auxz00_8982 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3094z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2165z00_1288); 
FAILURE(BgL_auxz00_8982,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2166z00_1289))
{ /* Llib/block_ciphers.scm 883 */
BgL_passwordz00_3229 = BgL_arg2166z00_1289; }  else 
{ 
 obj_t BgL_auxz00_8988;
BgL_auxz00_8988 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32035)), BGl_string3109z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2166z00_1289); 
FAILURE(BgL_auxz00_8988,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 893 */
 long BgL_lenz00_3232;
BgL_lenz00_3232 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_3228); 
{ /* Llib/block_ciphers.scm 893 */
 obj_t BgL_strz00_3233;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
 long BgL_kz00_3239;
BgL_kz00_3239 = 
(long)(BgL_lenz00_3232); 
BgL_strz00_3233 = 
make_string(BgL_kz00_3239, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 894 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3236;
BgL_statez00_3236 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3227, BgL_passwordz00_3229, BgL_ivz00_1290, BgL_modez00_1291, BgL_padz00_1294, BgL_noncezd2initz12zc0_1292, BgL_noncezd2updatez12zc0_1293, BgL_stringzd2ze3keyz31_1295); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
 long BgL_tmpz00_8996;
BgL_tmpz00_8996 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3236, BgL_ciphertextz00_3228, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3233, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3233, BgL_tmpz00_8996);} } } } } } } } } } } } } } } } } } } } } } 

}



/* search1463~0 */
obj_t BGl_search1463ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1462z00_5091, obj_t BgL_opt1460z00_5090, obj_t BgL_k1z00_1255, long BgL_iz00_1256)
{
{ /* Llib/block_ciphers.scm 883 */
BGl_search1463ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1256==BgL_l1462z00_5091))
{ /* Llib/block_ciphers.scm 883 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 883 */
if(
(BgL_iz00_1256==
(BgL_l1462z00_5091-((long)1))))
{ /* Llib/block_ciphers.scm 883 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)34)), BGl_string3090z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1460z00_5090)));}  else 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_vz00_1300;
BgL_vz00_1300 = 
VECTOR_REF(BgL_opt1460z00_5090,BgL_iz00_1256); 
if(
(BgL_vz00_1300==BgL_k1z00_1255))
{ /* Llib/block_ciphers.scm 883 */
return 
BINT(
(BgL_iz00_1256+((long)1)));}  else 
{ 
 long BgL_iz00_9014;
BgL_iz00_9014 = 
(BgL_iz00_1256+((long)2)); 
BgL_iz00_1256 = BgL_iz00_9014; 
goto BGl_search1463ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-mmap */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_329, obj_t BgL_ciphertextz00_330, obj_t BgL_passwordz00_331, obj_t BgL_ivz00_332, obj_t BgL_modez00_333, obj_t BgL_noncezd2initz12zc0_334, obj_t BgL_noncezd2updatez12zc0_335, obj_t BgL_padz00_336, obj_t BgL_stringzd2ze3keyz31_337)
{
{ /* Llib/block_ciphers.scm 883 */
{ /* Llib/block_ciphers.scm 893 */
 long BgL_lenz00_3244;
BgL_lenz00_3244 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_330); 
{ /* Llib/block_ciphers.scm 893 */
 obj_t BgL_strz00_3245;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
 long BgL_kz00_3251;
BgL_kz00_3251 = 
(long)(BgL_lenz00_3244); 
BgL_strz00_3245 = 
make_string(BgL_kz00_3251, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 894 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3248;
BgL_statez00_3248 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_329, BgL_passwordz00_331, BgL_ivz00_332, BgL_modez00_333, BgL_padz00_336, BgL_noncezd2initz12zc0_334, BgL_noncezd2updatez12zc0_335, BgL_stringzd2ze3keyz31_337); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
 long BgL_tmpz00_9020;
BgL_tmpz00_9020 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3248, BgL_ciphertextz00_330, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3245, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3245, BgL_tmpz00_9020);} } } } } } 

}



/* &decrypt-fast-mmap */
obj_t BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4468, obj_t BgL_cipherz00_4469, obj_t BgL_ciphertextz00_4470, obj_t BgL_passwordz00_4471, obj_t BgL_ivz00_4472, obj_t BgL_modez00_4473, obj_t BgL_padz00_4474, obj_t BgL_noncezd2initz12zc0_4475, obj_t BgL_noncezd2updatez12zc0_4476, obj_t BgL_stringzd2ze3keyz31_4477)
{
{ /* Llib/block_ciphers.scm 890 */
{ /* Llib/block_ciphers.scm 893 */
 obj_t BgL_ciphertextz00_5472; obj_t BgL_passwordz00_5473;
if(
BGL_MMAPP(BgL_ciphertextz00_4470))
{ /* Llib/block_ciphers.scm 893 */
BgL_ciphertextz00_5472 = BgL_ciphertextz00_4470; }  else 
{ 
 obj_t BgL_auxz00_9025;
BgL_auxz00_9025 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32489)), BGl_string3110z00zz__cryptozd2blockzd2ciphersz00, BGl_string3094z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_4470); 
FAILURE(BgL_auxz00_9025,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_4471))
{ /* Llib/block_ciphers.scm 893 */
BgL_passwordz00_5473 = BgL_passwordz00_4471; }  else 
{ 
 obj_t BgL_auxz00_9031;
BgL_auxz00_9031 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32489)), BGl_string3110z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_4471); 
FAILURE(BgL_auxz00_9031,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 893 */
 long BgL_lenz00_5474;
BgL_lenz00_5474 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_5472); 
{ /* Llib/block_ciphers.scm 893 */
 obj_t BgL_strz00_5475;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
 long BgL_kz00_5476;
BgL_kz00_5476 = 
(long)(BgL_lenz00_5474); 
BgL_strz00_5475 = 
make_string(BgL_kz00_5476, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 894 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_5477;
BgL_statez00_5477 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4469, BgL_passwordz00_5473, BgL_ivz00_4472, BgL_modez00_4473, BgL_padz00_4474, BgL_noncezd2initz12zc0_4475, BgL_noncezd2updatez12zc0_4476, BgL_stringzd2ze3keyz31_4477); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
 long BgL_tmpz00_9039;
BgL_tmpz00_9039 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_5477, BgL_ciphertextz00_5472, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_5475, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_5475, BgL_tmpz00_9039);} } } } } } } 

}



/* _decrypt-port */
obj_t BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1473z00_359, obj_t BgL_opt1472z00_358)
{
{ /* Llib/block_ciphers.scm 903 */
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_cipherz00_1313; obj_t BgL_ciphertextz00_1314; obj_t BgL_passwordz00_1315;
BgL_cipherz00_1313 = 
VECTOR_REF(BgL_opt1472z00_358,((long)0)); 
BgL_ciphertextz00_1314 = 
VECTOR_REF(BgL_opt1472z00_358,((long)1)); 
BgL_passwordz00_1315 = 
VECTOR_REF(BgL_opt1472z00_358,((long)2)); 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_ivz00_1316;
BgL_ivz00_1316 = BFALSE; 
{ /* Llib/block_ciphers.scm 904 */
 obj_t BgL_modez00_1317;
BgL_modez00_1317 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_noncezd2initz12zc0_1318;
BgL_noncezd2initz12zc0_1318 = BFALSE; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_noncezd2updatez12zc0_1319;
BgL_noncezd2updatez12zc0_1319 = BFALSE; 
{ /* Llib/block_ciphers.scm 904 */
 obj_t BgL_padz00_1320;
BgL_padz00_1320 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_stringzd2ze3keyz31_1321;
BgL_stringzd2ze3keyz31_1321 = BFALSE; 
{ /* Llib/block_ciphers.scm 903 */

{ 
 long BgL_iz00_1322;
BgL_iz00_1322 = ((long)3); 
BgL_check1476z00_1323:
if(
(BgL_iz00_1322==
VECTOR_LENGTH(BgL_opt1472z00_358)))
{ /* Llib/block_ciphers.scm 903 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test3885z00_9050;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_arg2179z00_1329;
BgL_arg2179z00_1329 = 
VECTOR_REF(BgL_opt1472z00_358,BgL_iz00_1322); 
BgL_test3885z00_9050 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2179z00_1329, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3885z00_9050)
{ 
 long BgL_iz00_9055;
BgL_iz00_9055 = 
(BgL_iz00_1322+((long)2)); 
BgL_iz00_1322 = BgL_iz00_9055; 
goto BgL_check1476z00_1323;}  else 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_arg2178z00_1328;
BgL_arg2178z00_1328 = 
VECTOR_REF(BgL_opt1472z00_358,BgL_iz00_1322); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)35)), BGl_string3085z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2178z00_1328); } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1478z00_1330;
BgL_index1478z00_1330 = 
BGl_search1475ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1472z00_358), BgL_opt1472z00_358, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test3886z00_9063;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3279;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9064;
if(
INTEGERP(BgL_index1478z00_1330))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9064 = BgL_index1478z00_1330
; }  else 
{ 
 obj_t BgL_auxz00_9067;
BgL_auxz00_9067 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1478z00_1330); 
FAILURE(BgL_auxz00_9067,BFALSE,BFALSE);} 
BgL_n1z00_3279 = 
(long)CINT(BgL_tmpz00_9064); } 
BgL_test3886z00_9063 = 
(BgL_n1z00_3279>=((long)0)); } 
if(BgL_test3886z00_9063)
{ 
 long BgL_auxz00_9073;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9074;
if(
INTEGERP(BgL_index1478z00_1330))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9074 = BgL_index1478z00_1330
; }  else 
{ 
 obj_t BgL_auxz00_9077;
BgL_auxz00_9077 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1478z00_1330); 
FAILURE(BgL_auxz00_9077,BFALSE,BFALSE);} 
BgL_auxz00_9073 = 
(long)CINT(BgL_tmpz00_9074); } 
BgL_ivz00_1316 = 
VECTOR_REF(BgL_opt1472z00_358,BgL_auxz00_9073); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1479z00_1332;
BgL_index1479z00_1332 = 
BGl_search1475ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1472z00_358), BgL_opt1472z00_358, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test3889z00_9086;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3280;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9087;
if(
INTEGERP(BgL_index1479z00_1332))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9087 = BgL_index1479z00_1332
; }  else 
{ 
 obj_t BgL_auxz00_9090;
BgL_auxz00_9090 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1479z00_1332); 
FAILURE(BgL_auxz00_9090,BFALSE,BFALSE);} 
BgL_n1z00_3280 = 
(long)CINT(BgL_tmpz00_9087); } 
BgL_test3889z00_9086 = 
(BgL_n1z00_3280>=((long)0)); } 
if(BgL_test3889z00_9086)
{ 
 long BgL_auxz00_9096;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9097;
if(
INTEGERP(BgL_index1479z00_1332))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9097 = BgL_index1479z00_1332
; }  else 
{ 
 obj_t BgL_auxz00_9100;
BgL_auxz00_9100 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1479z00_1332); 
FAILURE(BgL_auxz00_9100,BFALSE,BFALSE);} 
BgL_auxz00_9096 = 
(long)CINT(BgL_tmpz00_9097); } 
BgL_modez00_1317 = 
VECTOR_REF(BgL_opt1472z00_358,BgL_auxz00_9096); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1480z00_1334;
BgL_index1480z00_1334 = 
BGl_search1475ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1472z00_358), BgL_opt1472z00_358, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test3892z00_9109;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3281;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9110;
if(
INTEGERP(BgL_index1480z00_1334))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9110 = BgL_index1480z00_1334
; }  else 
{ 
 obj_t BgL_auxz00_9113;
BgL_auxz00_9113 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1480z00_1334); 
FAILURE(BgL_auxz00_9113,BFALSE,BFALSE);} 
BgL_n1z00_3281 = 
(long)CINT(BgL_tmpz00_9110); } 
BgL_test3892z00_9109 = 
(BgL_n1z00_3281>=((long)0)); } 
if(BgL_test3892z00_9109)
{ 
 long BgL_auxz00_9119;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9120;
if(
INTEGERP(BgL_index1480z00_1334))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9120 = BgL_index1480z00_1334
; }  else 
{ 
 obj_t BgL_auxz00_9123;
BgL_auxz00_9123 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1480z00_1334); 
FAILURE(BgL_auxz00_9123,BFALSE,BFALSE);} 
BgL_auxz00_9119 = 
(long)CINT(BgL_tmpz00_9120); } 
BgL_noncezd2initz12zc0_1318 = 
VECTOR_REF(BgL_opt1472z00_358,BgL_auxz00_9119); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1481z00_1336;
BgL_index1481z00_1336 = 
BGl_search1475ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1472z00_358), BgL_opt1472z00_358, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test3895z00_9132;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3282;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9133;
if(
INTEGERP(BgL_index1481z00_1336))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9133 = BgL_index1481z00_1336
; }  else 
{ 
 obj_t BgL_auxz00_9136;
BgL_auxz00_9136 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1481z00_1336); 
FAILURE(BgL_auxz00_9136,BFALSE,BFALSE);} 
BgL_n1z00_3282 = 
(long)CINT(BgL_tmpz00_9133); } 
BgL_test3895z00_9132 = 
(BgL_n1z00_3282>=((long)0)); } 
if(BgL_test3895z00_9132)
{ 
 long BgL_auxz00_9142;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9143;
if(
INTEGERP(BgL_index1481z00_1336))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9143 = BgL_index1481z00_1336
; }  else 
{ 
 obj_t BgL_auxz00_9146;
BgL_auxz00_9146 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1481z00_1336); 
FAILURE(BgL_auxz00_9146,BFALSE,BFALSE);} 
BgL_auxz00_9142 = 
(long)CINT(BgL_tmpz00_9143); } 
BgL_noncezd2updatez12zc0_1319 = 
VECTOR_REF(BgL_opt1472z00_358,BgL_auxz00_9142); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1482z00_1338;
BgL_index1482z00_1338 = 
BGl_search1475ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1472z00_358), BgL_opt1472z00_358, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test3898z00_9155;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3283;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9156;
if(
INTEGERP(BgL_index1482z00_1338))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9156 = BgL_index1482z00_1338
; }  else 
{ 
 obj_t BgL_auxz00_9159;
BgL_auxz00_9159 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1482z00_1338); 
FAILURE(BgL_auxz00_9159,BFALSE,BFALSE);} 
BgL_n1z00_3283 = 
(long)CINT(BgL_tmpz00_9156); } 
BgL_test3898z00_9155 = 
(BgL_n1z00_3283>=((long)0)); } 
if(BgL_test3898z00_9155)
{ 
 long BgL_auxz00_9165;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9166;
if(
INTEGERP(BgL_index1482z00_1338))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9166 = BgL_index1482z00_1338
; }  else 
{ 
 obj_t BgL_auxz00_9169;
BgL_auxz00_9169 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1482z00_1338); 
FAILURE(BgL_auxz00_9169,BFALSE,BFALSE);} 
BgL_auxz00_9165 = 
(long)CINT(BgL_tmpz00_9166); } 
BgL_padz00_1320 = 
VECTOR_REF(BgL_opt1472z00_358,BgL_auxz00_9165); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1483z00_1340;
BgL_index1483z00_1340 = 
BGl_search1475ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1472z00_358), BgL_opt1472z00_358, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test3901z00_9178;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3284;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9179;
if(
INTEGERP(BgL_index1483z00_1340))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9179 = BgL_index1483z00_1340
; }  else 
{ 
 obj_t BgL_auxz00_9182;
BgL_auxz00_9182 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1483z00_1340); 
FAILURE(BgL_auxz00_9182,BFALSE,BFALSE);} 
BgL_n1z00_3284 = 
(long)CINT(BgL_tmpz00_9179); } 
BgL_test3901z00_9178 = 
(BgL_n1z00_3284>=((long)0)); } 
if(BgL_test3901z00_9178)
{ 
 long BgL_auxz00_9188;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_9189;
if(
INTEGERP(BgL_index1483z00_1340))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9189 = BgL_index1483z00_1340
; }  else 
{ 
 obj_t BgL_auxz00_9192;
BgL_auxz00_9192 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1483z00_1340); 
FAILURE(BgL_auxz00_9192,BFALSE,BFALSE);} 
BgL_auxz00_9188 = 
(long)CINT(BgL_tmpz00_9189); } 
BgL_stringzd2ze3keyz31_1321 = 
VECTOR_REF(BgL_opt1472z00_358,BgL_auxz00_9188); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_arg2186z00_1342; obj_t BgL_arg2187z00_1343; obj_t BgL_arg2188z00_1344;
BgL_arg2186z00_1342 = 
VECTOR_REF(BgL_opt1472z00_358,((long)0)); 
BgL_arg2187z00_1343 = 
VECTOR_REF(BgL_opt1472z00_358,((long)1)); 
BgL_arg2188z00_1344 = 
VECTOR_REF(BgL_opt1472z00_358,((long)2)); 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_ivz00_1345;
BgL_ivz00_1345 = BgL_ivz00_1316; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_modez00_1346;
BgL_modez00_1346 = BgL_modez00_1317; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_noncezd2initz12zc0_1347;
BgL_noncezd2initz12zc0_1347 = BgL_noncezd2initz12zc0_1318; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_noncezd2updatez12zc0_1348;
BgL_noncezd2updatez12zc0_1348 = BgL_noncezd2updatez12zc0_1319; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_padz00_1349;
BgL_padz00_1349 = BgL_padz00_1320; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_stringzd2ze3keyz31_1350;
BgL_stringzd2ze3keyz31_1350 = BgL_stringzd2ze3keyz31_1321; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_cipherz00_3285; obj_t BgL_ciphertextz00_3286; obj_t BgL_passwordz00_3287;
if(
SYMBOLP(BgL_arg2186z00_1342))
{ /* Llib/block_ciphers.scm 903 */
BgL_cipherz00_3285 = BgL_arg2186z00_1342; }  else 
{ 
 obj_t BgL_auxz00_9203;
BgL_auxz00_9203 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2186z00_1342); 
FAILURE(BgL_auxz00_9203,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2187z00_1343))
{ /* Llib/block_ciphers.scm 903 */
BgL_ciphertextz00_3286 = BgL_arg2187z00_1343; }  else 
{ 
 obj_t BgL_auxz00_9209;
BgL_auxz00_9209 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3097z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2187z00_1343); 
FAILURE(BgL_auxz00_9209,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2188z00_1344))
{ /* Llib/block_ciphers.scm 903 */
BgL_passwordz00_3287 = BgL_arg2188z00_1344; }  else 
{ 
 obj_t BgL_auxz00_9215;
BgL_auxz00_9215 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32802)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2188z00_1344); 
FAILURE(BgL_auxz00_9215,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 907 */
 obj_t BgL_res2723z00_3294;
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_3290; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3291;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3290 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3291 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3285, BgL_passwordz00_3287, BgL_ivz00_1345, BgL_modez00_1346, BgL_padz00_1349, BgL_noncezd2initz12zc0_1347, BgL_noncezd2updatez12zc0_1348, BgL_stringzd2ze3keyz31_1350); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3291, BgL_ciphertextz00_3286, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3290, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 920 */
 obj_t BgL_aux2991z00_5326;
BgL_aux2991z00_5326 = 
bgl_close_output_port(BgL_pz00_3290); 
if(
STRINGP(BgL_aux2991z00_5326))
{ /* Llib/block_ciphers.scm 920 */
BgL_res2723z00_3294 = BgL_aux2991z00_5326; }  else 
{ 
 obj_t BgL_auxz00_9225;
BgL_auxz00_9225 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33510)), BGl_string3111z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_aux2991z00_5326); 
FAILURE(BgL_auxz00_9225,BFALSE,BFALSE);} } } 
return BgL_res2723z00_3294;} } } } } } } } } } } } } } } } } } 

}



/* search1475~0 */
obj_t BGl_search1475ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1474z00_5089, obj_t BgL_opt1472z00_5088, obj_t BgL_k1z00_1310, long BgL_iz00_1311)
{
{ /* Llib/block_ciphers.scm 903 */
BGl_search1475ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1311==BgL_l1474z00_5089))
{ /* Llib/block_ciphers.scm 903 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 903 */
if(
(BgL_iz00_1311==
(BgL_l1474z00_5089-((long)1))))
{ /* Llib/block_ciphers.scm 903 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)35)), BGl_string3090z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1472z00_5088)));}  else 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_vz00_1355;
BgL_vz00_1355 = 
VECTOR_REF(BgL_opt1472z00_5088,BgL_iz00_1311); 
if(
(BgL_vz00_1355==BgL_k1z00_1310))
{ /* Llib/block_ciphers.scm 903 */
return 
BINT(
(BgL_iz00_1311+((long)1)));}  else 
{ 
 long BgL_iz00_9244;
BgL_iz00_9244 = 
(BgL_iz00_1311+((long)2)); 
BgL_iz00_1311 = BgL_iz00_9244; 
goto BGl_search1475ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-port */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_349, obj_t BgL_ciphertextz00_350, obj_t BgL_passwordz00_351, obj_t BgL_ivz00_352, obj_t BgL_modez00_353, obj_t BgL_noncezd2initz12zc0_354, obj_t BgL_noncezd2updatez12zc0_355, obj_t BgL_padz00_356, obj_t BgL_stringzd2ze3keyz31_357)
{
{ /* Llib/block_ciphers.scm 903 */
{ /* Llib/block_ciphers.scm 907 */
 obj_t BgL_res2724z00_3301;
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_3297; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3298;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3297 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3298 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_349, BgL_passwordz00_351, BgL_ivz00_352, BgL_modez00_353, BgL_padz00_356, BgL_noncezd2initz12zc0_354, BgL_noncezd2updatez12zc0_355, BgL_stringzd2ze3keyz31_357); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3298, BgL_ciphertextz00_350, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3297, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_res2724z00_3301 = 
bgl_close_output_port(BgL_pz00_3297); } 
return BgL_res2724z00_3301;} } 

}



/* &decrypt-fast-port */
obj_t BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4478, obj_t BgL_cipherz00_4479, obj_t BgL_ciphertextz00_4480, obj_t BgL_passwordz00_4481, obj_t BgL_ivz00_4482, obj_t BgL_modez00_4483, obj_t BgL_padz00_4484, obj_t BgL_noncezd2initz12zc0_4485, obj_t BgL_noncezd2updatez12zc0_4486, obj_t BgL_stringzd2ze3keyz31_4487)
{
{ /* Llib/block_ciphers.scm 910 */
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_ciphertextz00_5478; obj_t BgL_passwordz00_5479;
if(
INPUT_PORTP(BgL_ciphertextz00_4480))
{ /* Llib/block_ciphers.scm 913 */
BgL_ciphertextz00_5478 = BgL_ciphertextz00_4480; }  else 
{ 
 obj_t BgL_auxz00_9252;
BgL_auxz00_9252 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33267)), BGl_string3112z00zz__cryptozd2blockzd2ciphersz00, BGl_string3097z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_4480); 
FAILURE(BgL_auxz00_9252,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_4481))
{ /* Llib/block_ciphers.scm 913 */
BgL_passwordz00_5479 = BgL_passwordz00_4481; }  else 
{ 
 obj_t BgL_auxz00_9258;
BgL_auxz00_9258 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33267)), BGl_string3112z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_4481); 
FAILURE(BgL_auxz00_9258,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_5480; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_5481;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_5480 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_5481 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4479, BgL_passwordz00_5479, BgL_ivz00_4482, BgL_modez00_4483, BgL_padz00_4484, BgL_noncezd2initz12zc0_4485, BgL_noncezd2updatez12zc0_4486, BgL_stringzd2ze3keyz31_4487); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_5481, BgL_ciphertextz00_5478, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_5480, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_5480);} } } 

}



/* _decrypt-file */
obj_t BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1485z00_379, obj_t BgL_opt1484z00_378)
{
{ /* Llib/block_ciphers.scm 922 */
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_cipherz00_1365; obj_t BgL_filenamez00_1366; obj_t BgL_passwordz00_1367;
BgL_cipherz00_1365 = 
VECTOR_REF(BgL_opt1484z00_378,((long)0)); 
BgL_filenamez00_1366 = 
VECTOR_REF(BgL_opt1484z00_378,((long)1)); 
BgL_passwordz00_1367 = 
VECTOR_REF(BgL_opt1484z00_378,((long)2)); 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_ivz00_1368;
BgL_ivz00_1368 = BFALSE; 
{ /* Llib/block_ciphers.scm 923 */
 obj_t BgL_modez00_1369;
BgL_modez00_1369 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_noncezd2initz12zc0_1370;
BgL_noncezd2initz12zc0_1370 = BFALSE; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_noncezd2updatez12zc0_1371;
BgL_noncezd2updatez12zc0_1371 = BFALSE; 
{ /* Llib/block_ciphers.scm 923 */
 obj_t BgL_padz00_1372;
BgL_padz00_1372 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_stringzd2ze3keyz31_1373;
BgL_stringzd2ze3keyz31_1373 = BFALSE; 
{ /* Llib/block_ciphers.scm 922 */

{ 
 long BgL_iz00_1374;
BgL_iz00_1374 = ((long)3); 
BgL_check1488z00_1375:
if(
(BgL_iz00_1374==
VECTOR_LENGTH(BgL_opt1484z00_378)))
{ /* Llib/block_ciphers.scm 922 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test3914z00_9274;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_arg2200z00_1381;
BgL_arg2200z00_1381 = 
VECTOR_REF(BgL_opt1484z00_378,BgL_iz00_1374); 
BgL_test3914z00_9274 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2200z00_1381, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3914z00_9274)
{ 
 long BgL_iz00_9279;
BgL_iz00_9279 = 
(BgL_iz00_1374+((long)2)); 
BgL_iz00_1374 = BgL_iz00_9279; 
goto BgL_check1488z00_1375;}  else 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_arg2199z00_1380;
BgL_arg2199z00_1380 = 
VECTOR_REF(BgL_opt1484z00_378,BgL_iz00_1374); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)36)), BGl_string3085z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2199z00_1380); } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1490z00_1382;
BgL_index1490z00_1382 = 
BGl_search1487ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1484z00_378), BgL_opt1484z00_378, 
CNST_TABLE_REF(((long)19)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test3915z00_9287;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3321;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9288;
if(
INTEGERP(BgL_index1490z00_1382))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9288 = BgL_index1490z00_1382
; }  else 
{ 
 obj_t BgL_auxz00_9291;
BgL_auxz00_9291 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1490z00_1382); 
FAILURE(BgL_auxz00_9291,BFALSE,BFALSE);} 
BgL_n1z00_3321 = 
(long)CINT(BgL_tmpz00_9288); } 
BgL_test3915z00_9287 = 
(BgL_n1z00_3321>=((long)0)); } 
if(BgL_test3915z00_9287)
{ 
 long BgL_auxz00_9297;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9298;
if(
INTEGERP(BgL_index1490z00_1382))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9298 = BgL_index1490z00_1382
; }  else 
{ 
 obj_t BgL_auxz00_9301;
BgL_auxz00_9301 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1490z00_1382); 
FAILURE(BgL_auxz00_9301,BFALSE,BFALSE);} 
BgL_auxz00_9297 = 
(long)CINT(BgL_tmpz00_9298); } 
BgL_ivz00_1368 = 
VECTOR_REF(BgL_opt1484z00_378,BgL_auxz00_9297); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1491z00_1384;
BgL_index1491z00_1384 = 
BGl_search1487ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1484z00_378), BgL_opt1484z00_378, 
CNST_TABLE_REF(((long)20)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test3918z00_9310;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3322;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9311;
if(
INTEGERP(BgL_index1491z00_1384))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9311 = BgL_index1491z00_1384
; }  else 
{ 
 obj_t BgL_auxz00_9314;
BgL_auxz00_9314 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1491z00_1384); 
FAILURE(BgL_auxz00_9314,BFALSE,BFALSE);} 
BgL_n1z00_3322 = 
(long)CINT(BgL_tmpz00_9311); } 
BgL_test3918z00_9310 = 
(BgL_n1z00_3322>=((long)0)); } 
if(BgL_test3918z00_9310)
{ 
 long BgL_auxz00_9320;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9321;
if(
INTEGERP(BgL_index1491z00_1384))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9321 = BgL_index1491z00_1384
; }  else 
{ 
 obj_t BgL_auxz00_9324;
BgL_auxz00_9324 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1491z00_1384); 
FAILURE(BgL_auxz00_9324,BFALSE,BFALSE);} 
BgL_auxz00_9320 = 
(long)CINT(BgL_tmpz00_9321); } 
BgL_modez00_1369 = 
VECTOR_REF(BgL_opt1484z00_378,BgL_auxz00_9320); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1492z00_1386;
BgL_index1492z00_1386 = 
BGl_search1487ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1484z00_378), BgL_opt1484z00_378, 
CNST_TABLE_REF(((long)21)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test3921z00_9333;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3323;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9334;
if(
INTEGERP(BgL_index1492z00_1386))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9334 = BgL_index1492z00_1386
; }  else 
{ 
 obj_t BgL_auxz00_9337;
BgL_auxz00_9337 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1492z00_1386); 
FAILURE(BgL_auxz00_9337,BFALSE,BFALSE);} 
BgL_n1z00_3323 = 
(long)CINT(BgL_tmpz00_9334); } 
BgL_test3921z00_9333 = 
(BgL_n1z00_3323>=((long)0)); } 
if(BgL_test3921z00_9333)
{ 
 long BgL_auxz00_9343;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9344;
if(
INTEGERP(BgL_index1492z00_1386))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9344 = BgL_index1492z00_1386
; }  else 
{ 
 obj_t BgL_auxz00_9347;
BgL_auxz00_9347 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1492z00_1386); 
FAILURE(BgL_auxz00_9347,BFALSE,BFALSE);} 
BgL_auxz00_9343 = 
(long)CINT(BgL_tmpz00_9344); } 
BgL_noncezd2initz12zc0_1370 = 
VECTOR_REF(BgL_opt1484z00_378,BgL_auxz00_9343); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1493z00_1388;
BgL_index1493z00_1388 = 
BGl_search1487ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1484z00_378), BgL_opt1484z00_378, 
CNST_TABLE_REF(((long)22)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test3924z00_9356;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3324;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9357;
if(
INTEGERP(BgL_index1493z00_1388))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9357 = BgL_index1493z00_1388
; }  else 
{ 
 obj_t BgL_auxz00_9360;
BgL_auxz00_9360 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1493z00_1388); 
FAILURE(BgL_auxz00_9360,BFALSE,BFALSE);} 
BgL_n1z00_3324 = 
(long)CINT(BgL_tmpz00_9357); } 
BgL_test3924z00_9356 = 
(BgL_n1z00_3324>=((long)0)); } 
if(BgL_test3924z00_9356)
{ 
 long BgL_auxz00_9366;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9367;
if(
INTEGERP(BgL_index1493z00_1388))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9367 = BgL_index1493z00_1388
; }  else 
{ 
 obj_t BgL_auxz00_9370;
BgL_auxz00_9370 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1493z00_1388); 
FAILURE(BgL_auxz00_9370,BFALSE,BFALSE);} 
BgL_auxz00_9366 = 
(long)CINT(BgL_tmpz00_9367); } 
BgL_noncezd2updatez12zc0_1371 = 
VECTOR_REF(BgL_opt1484z00_378,BgL_auxz00_9366); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1494z00_1390;
BgL_index1494z00_1390 = 
BGl_search1487ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1484z00_378), BgL_opt1484z00_378, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test3927z00_9379;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3325;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9380;
if(
INTEGERP(BgL_index1494z00_1390))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9380 = BgL_index1494z00_1390
; }  else 
{ 
 obj_t BgL_auxz00_9383;
BgL_auxz00_9383 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1494z00_1390); 
FAILURE(BgL_auxz00_9383,BFALSE,BFALSE);} 
BgL_n1z00_3325 = 
(long)CINT(BgL_tmpz00_9380); } 
BgL_test3927z00_9379 = 
(BgL_n1z00_3325>=((long)0)); } 
if(BgL_test3927z00_9379)
{ 
 long BgL_auxz00_9389;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9390;
if(
INTEGERP(BgL_index1494z00_1390))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9390 = BgL_index1494z00_1390
; }  else 
{ 
 obj_t BgL_auxz00_9393;
BgL_auxz00_9393 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1494z00_1390); 
FAILURE(BgL_auxz00_9393,BFALSE,BFALSE);} 
BgL_auxz00_9389 = 
(long)CINT(BgL_tmpz00_9390); } 
BgL_padz00_1372 = 
VECTOR_REF(BgL_opt1484z00_378,BgL_auxz00_9389); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1495z00_1392;
BgL_index1495z00_1392 = 
BGl_search1487ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1484z00_378), BgL_opt1484z00_378, 
CNST_TABLE_REF(((long)24)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test3930z00_9402;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3326;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9403;
if(
INTEGERP(BgL_index1495z00_1392))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9403 = BgL_index1495z00_1392
; }  else 
{ 
 obj_t BgL_auxz00_9406;
BgL_auxz00_9406 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1495z00_1392); 
FAILURE(BgL_auxz00_9406,BFALSE,BFALSE);} 
BgL_n1z00_3326 = 
(long)CINT(BgL_tmpz00_9403); } 
BgL_test3930z00_9402 = 
(BgL_n1z00_3326>=((long)0)); } 
if(BgL_test3930z00_9402)
{ 
 long BgL_auxz00_9412;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_9413;
if(
INTEGERP(BgL_index1495z00_1392))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9413 = BgL_index1495z00_1392
; }  else 
{ 
 obj_t BgL_auxz00_9416;
BgL_auxz00_9416 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1495z00_1392); 
FAILURE(BgL_auxz00_9416,BFALSE,BFALSE);} 
BgL_auxz00_9412 = 
(long)CINT(BgL_tmpz00_9413); } 
BgL_stringzd2ze3keyz31_1373 = 
VECTOR_REF(BgL_opt1484z00_378,BgL_auxz00_9412); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_arg2207z00_1394; obj_t BgL_arg2208z00_1395; obj_t BgL_arg2209z00_1396;
BgL_arg2207z00_1394 = 
VECTOR_REF(BgL_opt1484z00_378,((long)0)); 
BgL_arg2208z00_1395 = 
VECTOR_REF(BgL_opt1484z00_378,((long)1)); 
BgL_arg2209z00_1396 = 
VECTOR_REF(BgL_opt1484z00_378,((long)2)); 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_ivz00_1397;
BgL_ivz00_1397 = BgL_ivz00_1368; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_modez00_1398;
BgL_modez00_1398 = BgL_modez00_1369; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_noncezd2initz12zc0_1399;
BgL_noncezd2initz12zc0_1399 = BgL_noncezd2initz12zc0_1370; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_noncezd2updatez12zc0_1400;
BgL_noncezd2updatez12zc0_1400 = BgL_noncezd2updatez12zc0_1371; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_padz00_1401;
BgL_padz00_1401 = BgL_padz00_1372; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_stringzd2ze3keyz31_1402;
BgL_stringzd2ze3keyz31_1402 = BgL_stringzd2ze3keyz31_1373; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_res2726z00_3353;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_cipherz00_3327; obj_t BgL_filenamez00_3328; obj_t BgL_passwordz00_3329;
if(
SYMBOLP(BgL_arg2207z00_1394))
{ /* Llib/block_ciphers.scm 922 */
BgL_cipherz00_3327 = BgL_arg2207z00_1394; }  else 
{ 
 obj_t BgL_auxz00_9427;
BgL_auxz00_9427 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2207z00_1394); 
FAILURE(BgL_auxz00_9427,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2208z00_1395))
{ /* Llib/block_ciphers.scm 922 */
BgL_filenamez00_3328 = BgL_arg2208z00_1395; }  else 
{ 
 obj_t BgL_auxz00_9433;
BgL_auxz00_9433 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2208z00_1395); 
FAILURE(BgL_auxz00_9433,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2209z00_1396))
{ /* Llib/block_ciphers.scm 922 */
BgL_passwordz00_3329 = BgL_arg2209z00_1396; }  else 
{ 
 obj_t BgL_auxz00_9439;
BgL_auxz00_9439 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33535)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2209z00_1396); 
FAILURE(BgL_auxz00_9439,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 926 */
 obj_t BgL_pz00_3330;
{ /* Llib/block_ciphers.scm 926 */

BgL_pz00_3330 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_3328, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3330))
{ /* Llib/block_ciphers.scm 927 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 927 */
BGl_errorz00zz__errorz00(BGl_string3114z00zz__cryptozd2blockzd2ciphersz00, BGl_string3101z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_3328); } 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_exitd1244z00_3334;
BgL_exitd1244z00_3334 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_zc3z04anonymousza32216ze3z87_4488;
BgL_zc3z04anonymousza32216ze3z87_4488 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32216ze3ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32216ze3z87_4488, 
(int)(((long)0)), BgL_pz00_3330); 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1812z00_3338;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1813z00_3339;
BgL_arg1813z00_3339 = 
BGL_EXITD_PROTECT(BgL_exitd1244z00_3334); 
BgL_arg1812z00_3338 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32216ze3z87_4488, BgL_arg1813z00_3339); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1244z00_3334, BgL_arg1812z00_3338); BUNSPEC; } 
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_tmp1246z00_3336;
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_res2725z00_3346;
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_ciphertextz00_3340;
if(
INPUT_PORTP(BgL_pz00_3330))
{ /* Llib/block_ciphers.scm 932 */
BgL_ciphertextz00_3340 = BgL_pz00_3330; }  else 
{ 
 obj_t BgL_auxz00_9459;
BgL_auxz00_9459 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33903)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3097z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3330); 
FAILURE(BgL_auxz00_9459,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_3342; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3343;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3342 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3343 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3327, BgL_passwordz00_3329, BgL_ivz00_1397, BgL_modez00_1398, BgL_padz00_1401, BgL_noncezd2initz12zc0_1399, BgL_noncezd2updatez12zc0_1400, BgL_stringzd2ze3keyz31_1402); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3343, BgL_ciphertextz00_3340, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3342, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 920 */
 obj_t BgL_aux3017z00_5352;
BgL_aux3017z00_5352 = 
bgl_close_output_port(BgL_pz00_3342); 
if(
STRINGP(BgL_aux3017z00_5352))
{ /* Llib/block_ciphers.scm 920 */
BgL_res2725z00_3346 = BgL_aux3017z00_5352; }  else 
{ 
 obj_t BgL_auxz00_9469;
BgL_auxz00_9469 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33510)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3017z00_5352); 
FAILURE(BgL_auxz00_9469,BFALSE,BFALSE);} } } } 
BgL_tmp1246z00_3336 = BgL_res2725z00_3346; } 
{ /* Llib/block_ciphers.scm 931 */
 bool_t BgL_test3939z00_9473;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1811z00_3348;
BgL_arg1811z00_3348 = 
BGL_EXITD_PROTECT(BgL_exitd1244z00_3334); 
BgL_test3939z00_9473 = 
PAIRP(BgL_arg1811z00_3348); } 
if(BgL_test3939z00_9473)
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1809z00_3349;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1810z00_3350;
BgL_arg1810z00_3350 = 
BGL_EXITD_PROTECT(BgL_exitd1244z00_3334); 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_pairz00_3351;
if(
PAIRP(BgL_arg1810z00_3350))
{ /* Llib/block_ciphers.scm 931 */
BgL_pairz00_3351 = BgL_arg1810z00_3350; }  else 
{ 
 obj_t BgL_auxz00_9479;
BgL_auxz00_9479 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33859)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3102z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1810z00_3350); 
FAILURE(BgL_auxz00_9479,BFALSE,BFALSE);} 
BgL_arg1809z00_3349 = 
CDR(BgL_pairz00_3351); } } 
BGL_EXITD_PROTECT_SET(BgL_exitd1244z00_3334, BgL_arg1809z00_3349); BUNSPEC; }  else 
{ /* Llib/block_ciphers.scm 931 */BFALSE; } } 
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_portz00_3352;
if(
INPUT_PORTP(BgL_pz00_3330))
{ /* Llib/block_ciphers.scm 935 */
BgL_portz00_3352 = BgL_pz00_3330; }  else 
{ 
 obj_t BgL_auxz00_9487;
BgL_auxz00_9487 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33999)), BGl_string3113z00zz__cryptozd2blockzd2ciphersz00, BGl_string3097z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3330); 
FAILURE(BgL_auxz00_9487,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_3352); } 
BgL_res2726z00_3353 = BgL_tmp1246z00_3336; } } } } } 
return BgL_res2726z00_3353;} } } } } } } } } } } } } } } } } 

}



/* search1487~0 */
obj_t BGl_search1487ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1486z00_5087, obj_t BgL_opt1484z00_5086, obj_t BgL_k1z00_1362, long BgL_iz00_1363)
{
{ /* Llib/block_ciphers.scm 922 */
BGl_search1487ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1363==BgL_l1486z00_5087))
{ /* Llib/block_ciphers.scm 922 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 922 */
if(
(BgL_iz00_1363==
(BgL_l1486z00_5087-((long)1))))
{ /* Llib/block_ciphers.scm 922 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)36)), BGl_string3090z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1484z00_5086)));}  else 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_vz00_1407;
BgL_vz00_1407 = 
VECTOR_REF(BgL_opt1484z00_5086,BgL_iz00_1363); 
if(
(BgL_vz00_1407==BgL_k1z00_1362))
{ /* Llib/block_ciphers.scm 922 */
return 
BINT(
(BgL_iz00_1363+((long)1)));}  else 
{ 
 long BgL_iz00_9507;
BgL_iz00_9507 = 
(BgL_iz00_1363+((long)2)); 
BgL_iz00_1363 = BgL_iz00_9507; 
goto BGl_search1487ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* &<@anonymous:2216> */
obj_t BGl_z62zc3z04anonymousza32216ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4489)
{
{ /* Llib/block_ciphers.scm 931 */
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_pz00_4490;
BgL_pz00_4490 = 
PROCEDURE_REF(BgL_envz00_4489, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4490));} } 

}



/* decrypt-file */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_369, obj_t BgL_filenamez00_370, obj_t BgL_passwordz00_371, obj_t BgL_ivz00_372, obj_t BgL_modez00_373, obj_t BgL_noncezd2initz12zc0_374, obj_t BgL_noncezd2updatez12zc0_375, obj_t BgL_padz00_376, obj_t BgL_stringzd2ze3keyz31_377)
{
{ /* Llib/block_ciphers.scm 922 */
{ /* Llib/block_ciphers.scm 926 */
 obj_t BgL_pz00_3354;
{ /* Llib/block_ciphers.scm 926 */

BgL_pz00_3354 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_370, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3354))
{ /* Llib/block_ciphers.scm 927 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 927 */
BGl_errorz00zz__errorz00(BGl_string3114z00zz__cryptozd2blockzd2ciphersz00, BGl_string3101z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_370); } 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_exitd1244z00_3358;
BgL_exitd1244z00_3358 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_zc3z04anonymousza32216ze3z87_4491;
BgL_zc3z04anonymousza32216ze3z87_4491 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32216ze32776ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32216ze3z87_4491, 
(int)(((long)0)), BgL_pz00_3354); 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1812z00_3362;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1813z00_3363;
BgL_arg1813z00_3363 = 
BGL_EXITD_PROTECT(BgL_exitd1244z00_3358); 
BgL_arg1812z00_3362 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32216ze3z87_4491, BgL_arg1813z00_3363); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1244z00_3358, BgL_arg1812z00_3362); BUNSPEC; } 
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_tmp1246z00_3360;
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_res2727z00_3370;
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_3366; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3367;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3366 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3367 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_369, BgL_passwordz00_371, BgL_ivz00_372, BgL_modez00_373, BgL_padz00_376, BgL_noncezd2initz12zc0_374, BgL_noncezd2updatez12zc0_375, BgL_stringzd2ze3keyz31_377); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3367, 
((obj_t)BgL_pz00_3354), ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3366, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_res2727z00_3370 = 
bgl_close_output_port(BgL_pz00_3366); } 
BgL_tmp1246z00_3360 = BgL_res2727z00_3370; } 
{ /* Llib/block_ciphers.scm 931 */
 bool_t BgL_test3946z00_9532;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1811z00_3372;
BgL_arg1811z00_3372 = 
BGL_EXITD_PROTECT(BgL_exitd1244z00_3358); 
BgL_test3946z00_9532 = 
PAIRP(BgL_arg1811z00_3372); } 
if(BgL_test3946z00_9532)
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1809z00_3373;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1810z00_3374;
BgL_arg1810z00_3374 = 
BGL_EXITD_PROTECT(BgL_exitd1244z00_3358); 
BgL_arg1809z00_3373 = 
CDR(
((obj_t)BgL_arg1810z00_3374)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1244z00_3358, BgL_arg1809z00_3373); BUNSPEC; }  else 
{ /* Llib/block_ciphers.scm 931 */BFALSE; } } 
bgl_close_input_port(
((obj_t)BgL_pz00_3354)); 
return BgL_tmp1246z00_3360;} } } } } 

}



/* &<@anonymous:2216>2776 */
obj_t BGl_z62zc3z04anonymousza32216ze32776ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4492)
{
{ /* Llib/block_ciphers.scm 931 */
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_pz00_4493;
BgL_pz00_4493 = 
PROCEDURE_REF(BgL_envz00_4492, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4493));} } 

}



/* _decrypt-sendchars */
obj_t BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1497z00_391, obj_t BgL_opt1496z00_390)
{
{ /* Llib/block_ciphers.scm 937 */
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_cipherz00_1423; obj_t BgL_inz00_1424; obj_t BgL_outz00_1425; obj_t BgL_passwordz00_1426;
BgL_cipherz00_1423 = 
VECTOR_REF(BgL_opt1496z00_390,((long)0)); 
BgL_inz00_1424 = 
VECTOR_REF(BgL_opt1496z00_390,((long)1)); 
BgL_outz00_1425 = 
VECTOR_REF(BgL_opt1496z00_390,((long)2)); 
BgL_passwordz00_1426 = 
VECTOR_REF(BgL_opt1496z00_390,((long)3)); 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_ivz00_1427;
BgL_ivz00_1427 = BFALSE; 
{ /* Llib/block_ciphers.scm 939 */
 obj_t BgL_modez00_1428;
BgL_modez00_1428 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_noncezd2initz12zc0_1429;
BgL_noncezd2initz12zc0_1429 = BFALSE; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_noncezd2updatez12zc0_1430;
BgL_noncezd2updatez12zc0_1430 = BFALSE; 
{ /* Llib/block_ciphers.scm 939 */
 obj_t BgL_padz00_1431;
BgL_padz00_1431 = 
CNST_TABLE_REF(((long)11)); 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_stringzd2ze3keyz31_1432;
BgL_stringzd2ze3keyz31_1432 = BFALSE; 
{ /* Llib/block_ciphers.scm 937 */

{ 
 long BgL_iz00_1433;
BgL_iz00_1433 = ((long)4); 
BgL_check1500z00_1434:
if(
(BgL_iz00_1433==
VECTOR_LENGTH(BgL_opt1496z00_390)))
{ /* Llib/block_ciphers.scm 937 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test3948z00_9554;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_arg2222z00_1440;
BgL_arg2222z00_1440 = 
VECTOR_REF(BgL_opt1496z00_390,BgL_iz00_1433); 
BgL_test3948z00_9554 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2222z00_1440, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test3948z00_9554)
{ 
 long BgL_iz00_9559;
BgL_iz00_9559 = 
(BgL_iz00_1433+((long)2)); 
BgL_iz00_1433 = BgL_iz00_9559; 
goto BgL_check1500z00_1434;}  else 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_arg2221z00_1439;
BgL_arg2221z00_1439 = 
VECTOR_REF(BgL_opt1496z00_390,BgL_iz00_1433); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)37)), BGl_string3085z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2221z00_1439); } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1502z00_1441;
BgL_index1502z00_1441 = 
BGl_search1499ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1496z00_390), BgL_opt1496z00_390, 
CNST_TABLE_REF(((long)19)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test3949z00_9567;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3392;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9568;
if(
INTEGERP(BgL_index1502z00_1441))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9568 = BgL_index1502z00_1441
; }  else 
{ 
 obj_t BgL_auxz00_9571;
BgL_auxz00_9571 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1502z00_1441); 
FAILURE(BgL_auxz00_9571,BFALSE,BFALSE);} 
BgL_n1z00_3392 = 
(long)CINT(BgL_tmpz00_9568); } 
BgL_test3949z00_9567 = 
(BgL_n1z00_3392>=((long)0)); } 
if(BgL_test3949z00_9567)
{ 
 long BgL_auxz00_9577;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9578;
if(
INTEGERP(BgL_index1502z00_1441))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9578 = BgL_index1502z00_1441
; }  else 
{ 
 obj_t BgL_auxz00_9581;
BgL_auxz00_9581 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1502z00_1441); 
FAILURE(BgL_auxz00_9581,BFALSE,BFALSE);} 
BgL_auxz00_9577 = 
(long)CINT(BgL_tmpz00_9578); } 
BgL_ivz00_1427 = 
VECTOR_REF(BgL_opt1496z00_390,BgL_auxz00_9577); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1503z00_1443;
BgL_index1503z00_1443 = 
BGl_search1499ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1496z00_390), BgL_opt1496z00_390, 
CNST_TABLE_REF(((long)20)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test3952z00_9590;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3393;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9591;
if(
INTEGERP(BgL_index1503z00_1443))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9591 = BgL_index1503z00_1443
; }  else 
{ 
 obj_t BgL_auxz00_9594;
BgL_auxz00_9594 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1503z00_1443); 
FAILURE(BgL_auxz00_9594,BFALSE,BFALSE);} 
BgL_n1z00_3393 = 
(long)CINT(BgL_tmpz00_9591); } 
BgL_test3952z00_9590 = 
(BgL_n1z00_3393>=((long)0)); } 
if(BgL_test3952z00_9590)
{ 
 long BgL_auxz00_9600;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9601;
if(
INTEGERP(BgL_index1503z00_1443))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9601 = BgL_index1503z00_1443
; }  else 
{ 
 obj_t BgL_auxz00_9604;
BgL_auxz00_9604 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1503z00_1443); 
FAILURE(BgL_auxz00_9604,BFALSE,BFALSE);} 
BgL_auxz00_9600 = 
(long)CINT(BgL_tmpz00_9601); } 
BgL_modez00_1428 = 
VECTOR_REF(BgL_opt1496z00_390,BgL_auxz00_9600); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1504z00_1445;
BgL_index1504z00_1445 = 
BGl_search1499ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1496z00_390), BgL_opt1496z00_390, 
CNST_TABLE_REF(((long)21)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test3955z00_9613;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3394;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9614;
if(
INTEGERP(BgL_index1504z00_1445))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9614 = BgL_index1504z00_1445
; }  else 
{ 
 obj_t BgL_auxz00_9617;
BgL_auxz00_9617 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1504z00_1445); 
FAILURE(BgL_auxz00_9617,BFALSE,BFALSE);} 
BgL_n1z00_3394 = 
(long)CINT(BgL_tmpz00_9614); } 
BgL_test3955z00_9613 = 
(BgL_n1z00_3394>=((long)0)); } 
if(BgL_test3955z00_9613)
{ 
 long BgL_auxz00_9623;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9624;
if(
INTEGERP(BgL_index1504z00_1445))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9624 = BgL_index1504z00_1445
; }  else 
{ 
 obj_t BgL_auxz00_9627;
BgL_auxz00_9627 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1504z00_1445); 
FAILURE(BgL_auxz00_9627,BFALSE,BFALSE);} 
BgL_auxz00_9623 = 
(long)CINT(BgL_tmpz00_9624); } 
BgL_noncezd2initz12zc0_1429 = 
VECTOR_REF(BgL_opt1496z00_390,BgL_auxz00_9623); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1505z00_1447;
BgL_index1505z00_1447 = 
BGl_search1499ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1496z00_390), BgL_opt1496z00_390, 
CNST_TABLE_REF(((long)22)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test3958z00_9636;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3395;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9637;
if(
INTEGERP(BgL_index1505z00_1447))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9637 = BgL_index1505z00_1447
; }  else 
{ 
 obj_t BgL_auxz00_9640;
BgL_auxz00_9640 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1505z00_1447); 
FAILURE(BgL_auxz00_9640,BFALSE,BFALSE);} 
BgL_n1z00_3395 = 
(long)CINT(BgL_tmpz00_9637); } 
BgL_test3958z00_9636 = 
(BgL_n1z00_3395>=((long)0)); } 
if(BgL_test3958z00_9636)
{ 
 long BgL_auxz00_9646;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9647;
if(
INTEGERP(BgL_index1505z00_1447))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9647 = BgL_index1505z00_1447
; }  else 
{ 
 obj_t BgL_auxz00_9650;
BgL_auxz00_9650 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1505z00_1447); 
FAILURE(BgL_auxz00_9650,BFALSE,BFALSE);} 
BgL_auxz00_9646 = 
(long)CINT(BgL_tmpz00_9647); } 
BgL_noncezd2updatez12zc0_1430 = 
VECTOR_REF(BgL_opt1496z00_390,BgL_auxz00_9646); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1506z00_1449;
BgL_index1506z00_1449 = 
BGl_search1499ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1496z00_390), BgL_opt1496z00_390, 
CNST_TABLE_REF(((long)23)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test3961z00_9659;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3396;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9660;
if(
INTEGERP(BgL_index1506z00_1449))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9660 = BgL_index1506z00_1449
; }  else 
{ 
 obj_t BgL_auxz00_9663;
BgL_auxz00_9663 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1506z00_1449); 
FAILURE(BgL_auxz00_9663,BFALSE,BFALSE);} 
BgL_n1z00_3396 = 
(long)CINT(BgL_tmpz00_9660); } 
BgL_test3961z00_9659 = 
(BgL_n1z00_3396>=((long)0)); } 
if(BgL_test3961z00_9659)
{ 
 long BgL_auxz00_9669;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9670;
if(
INTEGERP(BgL_index1506z00_1449))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9670 = BgL_index1506z00_1449
; }  else 
{ 
 obj_t BgL_auxz00_9673;
BgL_auxz00_9673 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1506z00_1449); 
FAILURE(BgL_auxz00_9673,BFALSE,BFALSE);} 
BgL_auxz00_9669 = 
(long)CINT(BgL_tmpz00_9670); } 
BgL_padz00_1431 = 
VECTOR_REF(BgL_opt1496z00_390,BgL_auxz00_9669); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1507z00_1451;
BgL_index1507z00_1451 = 
BGl_search1499ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1496z00_390), BgL_opt1496z00_390, 
CNST_TABLE_REF(((long)24)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test3964z00_9682;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3397;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9683;
if(
INTEGERP(BgL_index1507z00_1451))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9683 = BgL_index1507z00_1451
; }  else 
{ 
 obj_t BgL_auxz00_9686;
BgL_auxz00_9686 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1507z00_1451); 
FAILURE(BgL_auxz00_9686,BFALSE,BFALSE);} 
BgL_n1z00_3397 = 
(long)CINT(BgL_tmpz00_9683); } 
BgL_test3964z00_9682 = 
(BgL_n1z00_3397>=((long)0)); } 
if(BgL_test3964z00_9682)
{ 
 long BgL_auxz00_9692;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_9693;
if(
INTEGERP(BgL_index1507z00_1451))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_9693 = BgL_index1507z00_1451
; }  else 
{ 
 obj_t BgL_auxz00_9696;
BgL_auxz00_9696 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_index1507z00_1451); 
FAILURE(BgL_auxz00_9696,BFALSE,BFALSE);} 
BgL_auxz00_9692 = 
(long)CINT(BgL_tmpz00_9693); } 
BgL_stringzd2ze3keyz31_1432 = 
VECTOR_REF(BgL_opt1496z00_390,BgL_auxz00_9692); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_arg2229z00_1453; obj_t BgL_arg2230z00_1454; obj_t BgL_arg2231z00_1455; obj_t BgL_arg2232z00_1456;
BgL_arg2229z00_1453 = 
VECTOR_REF(BgL_opt1496z00_390,((long)0)); 
BgL_arg2230z00_1454 = 
VECTOR_REF(BgL_opt1496z00_390,((long)1)); 
BgL_arg2231z00_1455 = 
VECTOR_REF(BgL_opt1496z00_390,((long)2)); 
BgL_arg2232z00_1456 = 
VECTOR_REF(BgL_opt1496z00_390,((long)3)); 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_ivz00_1457;
BgL_ivz00_1457 = BgL_ivz00_1427; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_modez00_1458;
BgL_modez00_1458 = BgL_modez00_1428; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_noncezd2initz12zc0_1459;
BgL_noncezd2initz12zc0_1459 = BgL_noncezd2initz12zc0_1429; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_noncezd2updatez12zc0_1460;
BgL_noncezd2updatez12zc0_1460 = BgL_noncezd2updatez12zc0_1430; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_padz00_1461;
BgL_padz00_1461 = BgL_padz00_1431; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_stringzd2ze3keyz31_1462;
BgL_stringzd2ze3keyz31_1462 = BgL_stringzd2ze3keyz31_1432; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_cipherz00_3398; obj_t BgL_inz00_3399; obj_t BgL_outz00_3400; obj_t BgL_passwordz00_3401;
if(
SYMBOLP(BgL_arg2229z00_1453))
{ /* Llib/block_ciphers.scm 937 */
BgL_cipherz00_3398 = BgL_arg2229z00_1453; }  else 
{ 
 obj_t BgL_auxz00_9708;
BgL_auxz00_9708 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2229z00_1453); 
FAILURE(BgL_auxz00_9708,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2230z00_1454))
{ /* Llib/block_ciphers.scm 937 */
BgL_inz00_3399 = BgL_arg2230z00_1454; }  else 
{ 
 obj_t BgL_auxz00_9714;
BgL_auxz00_9714 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3097z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2230z00_1454); 
FAILURE(BgL_auxz00_9714,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_arg2231z00_1455))
{ /* Llib/block_ciphers.scm 937 */
BgL_outz00_3400 = BgL_arg2231z00_1455; }  else 
{ 
 obj_t BgL_auxz00_9720;
BgL_auxz00_9720 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3104z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2231z00_1455); 
FAILURE(BgL_auxz00_9720,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2232z00_1456))
{ /* Llib/block_ciphers.scm 937 */
BgL_passwordz00_3401 = BgL_arg2232z00_1456; }  else 
{ 
 obj_t BgL_auxz00_9726;
BgL_auxz00_9726 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34006)), BGl_string3115z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2232z00_1456); 
FAILURE(BgL_auxz00_9726,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 941 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3402;
BgL_statez00_3402 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3398, BgL_passwordz00_3401, BgL_ivz00_1457, BgL_modez00_1458, BgL_padz00_1461, BgL_noncezd2initz12zc0_1459, BgL_noncezd2updatez12zc0_1460, BgL_stringzd2ze3keyz31_1462); 
return 
BINT(
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3402, BgL_inz00_3399, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_3400, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } } } } } } } } } } } } } } } } } 

}



/* search1499~0 */
obj_t BGl_search1499ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1498z00_5085, obj_t BgL_opt1496z00_5084, obj_t BgL_k1z00_1420, long BgL_iz00_1421)
{
{ /* Llib/block_ciphers.scm 937 */
BGl_search1499ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1421==BgL_l1498z00_5085))
{ /* Llib/block_ciphers.scm 937 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 937 */
if(
(BgL_iz00_1421==
(BgL_l1498z00_5085-((long)1))))
{ /* Llib/block_ciphers.scm 937 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)37)), BGl_string3105z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1496z00_5084)));}  else 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_vz00_1467;
BgL_vz00_1467 = 
VECTOR_REF(BgL_opt1496z00_5084,BgL_iz00_1421); 
if(
(BgL_vz00_1467==BgL_k1z00_1420))
{ /* Llib/block_ciphers.scm 937 */
return 
BINT(
(BgL_iz00_1421+((long)1)));}  else 
{ 
 long BgL_iz00_9748;
BgL_iz00_9748 = 
(BgL_iz00_1421+((long)2)); 
BgL_iz00_1421 = BgL_iz00_9748; 
goto BGl_search1499ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-sendchars */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_380, obj_t BgL_inz00_381, obj_t BgL_outz00_382, obj_t BgL_passwordz00_383, obj_t BgL_ivz00_384, obj_t BgL_modez00_385, obj_t BgL_noncezd2initz12zc0_386, obj_t BgL_noncezd2updatez12zc0_387, obj_t BgL_padz00_388, obj_t BgL_stringzd2ze3keyz31_389)
{
{ /* Llib/block_ciphers.scm 937 */
{ /* Llib/block_ciphers.scm 941 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3403;
BgL_statez00_3403 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_380, BgL_passwordz00_383, BgL_ivz00_384, BgL_modez00_385, BgL_padz00_388, BgL_noncezd2initz12zc0_386, BgL_noncezd2updatez12zc0_387, BgL_stringzd2ze3keyz31_389); 
return 
BINT(
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3403, BgL_inz00_381, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_382, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } 

}



/* register-cipher! */
BGL_EXPORTED_DEF obj_t BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_lookupzd2namezd2_392, BgL_blockzd2cipherzd2_bglt BgL_descz00_393)
{
{ /* Llib/block_ciphers.scm 952 */
{ /* Llib/block_ciphers.scm 953 */
 obj_t BgL_arg2239z00_3404;
BgL_arg2239z00_3404 = 
MAKE_YOUNG_PAIR(BgL_lookupzd2namezd2_392, 
((obj_t)BgL_descz00_393)); 
return ( 
BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = 
MAKE_YOUNG_PAIR(BgL_arg2239z00_3404, BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00), BUNSPEC) ;} } 

}



/* &register-cipher! */
obj_t BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4494, obj_t BgL_lookupzd2namezd2_4495, obj_t BgL_descz00_4496)
{
{ /* Llib/block_ciphers.scm 952 */
{ /* Llib/block_ciphers.scm 953 */
 BgL_blockzd2cipherzd2_bglt BgL_auxz00_9763; obj_t BgL_auxz00_9756;
if(
BGl_isazf3zf3zz__objectz00(BgL_descz00_4496, BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00))
{ /* Llib/block_ciphers.scm 953 */
BgL_auxz00_9763 = 
((BgL_blockzd2cipherzd2_bglt)BgL_descz00_4496)
; }  else 
{ 
 obj_t BgL_auxz00_9767;
BgL_auxz00_9767 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34570)), BGl_string3116z00zz__cryptozd2blockzd2ciphersz00, BGl_string3117z00zz__cryptozd2blockzd2ciphersz00, BgL_descz00_4496); 
FAILURE(BgL_auxz00_9767,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_lookupzd2namezd2_4495))
{ /* Llib/block_ciphers.scm 953 */
BgL_auxz00_9756 = BgL_lookupzd2namezd2_4495
; }  else 
{ 
 obj_t BgL_auxz00_9759;
BgL_auxz00_9759 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34570)), BGl_string3116z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_4495); 
FAILURE(BgL_auxz00_9759,BFALSE,BFALSE);} 
return 
BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_9756, BgL_auxz00_9763);} } 

}



/* block-cipher-description */
BGL_EXPORTED_DEF BgL_blockzd2cipherzd2_bglt BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_lookupzd2namezd2_394)
{
{ /* Llib/block_ciphers.scm 955 */
{ /* Llib/block_ciphers.scm 956 */
 obj_t BgL_desczd2pzd2_1472;
BgL_desczd2pzd2_1472 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_lookupzd2namezd2_394, BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00); 
if(
CBOOL(BgL_desczd2pzd2_1472))
{ /* Llib/block_ciphers.scm 957 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 957 */
BGl_errorz00zz__errorz00(BGl_string3118z00zz__cryptozd2blockzd2ciphersz00, BGl_string3119z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_394); } 
return 
((BgL_blockzd2cipherzd2_bglt)
CDR(
((obj_t)BgL_desczd2pzd2_1472)));} } 

}



/* &block-cipher-description */
BgL_blockzd2cipherzd2_bglt BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4497, obj_t BgL_lookupzd2namezd2_4498)
{
{ /* Llib/block_ciphers.scm 955 */
{ /* Llib/block_ciphers.scm 956 */
 obj_t BgL_auxz00_9779;
if(
SYMBOLP(BgL_lookupzd2namezd2_4498))
{ /* Llib/block_ciphers.scm 956 */
BgL_auxz00_9779 = BgL_lookupzd2namezd2_4498
; }  else 
{ 
 obj_t BgL_auxz00_9782;
BgL_auxz00_9782 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34702)), BGl_string3120z00zz__cryptozd2blockzd2ciphersz00, BGl_string3088z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_4498); 
FAILURE(BgL_auxz00_9782,BFALSE,BFALSE);} 
return 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_9779);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2243z00_1476; obj_t BgL_arg2244z00_1477;
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_v1286z00_1494;
BgL_v1286z00_1494 = 
create_vector(((long)7)); 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2250z00_1495;
BgL_arg2250z00_1495 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)38)), BGl_proc3122z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3121z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1286z00_1494,((long)0),BgL_arg2250z00_1495); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2255z00_1505;
BgL_arg2255z00_1505 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc3124z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3123z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1286z00_1494,((long)1),BgL_arg2255z00_1505); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2260z00_1515;
BgL_arg2260z00_1515 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc3126z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3125z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1286z00_1494,((long)2),BgL_arg2260z00_1515); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2265z00_1525;
BgL_arg2265z00_1525 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc3128z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3127z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1286z00_1494,((long)3),BgL_arg2265z00_1525); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2270z00_1535;
BgL_arg2270z00_1535 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc3130z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3129z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1286z00_1494,((long)4),BgL_arg2270z00_1535); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2275z00_1545;
BgL_arg2275z00_1545 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)46)), BGl_proc3132z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3131z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1286z00_1494,((long)5),BgL_arg2275z00_1545); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2280z00_1555;
BgL_arg2280z00_1555 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc3134z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3133z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1286z00_1494,((long)6),BgL_arg2280z00_1555); } 
BgL_arg2243z00_1476 = BgL_v1286z00_1494; } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_v1287z00_1565;
BgL_v1287z00_1565 = 
create_vector(((long)0)); 
BgL_arg2244z00_1477 = BgL_v1287z00_1565; } 
BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)48)), 
CNST_TABLE_REF(((long)49)), BGl_objectz00zz__objectz00, ((long)63399), BGl_proc3137z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3136z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3135z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2243z00_1476, BgL_arg2244z00_1477); } 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_arg2287z00_1571; obj_t BgL_arg2288z00_1572;
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_v1288z00_1578;
BgL_v1288z00_1578 = 
create_vector(((long)3)); 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_arg2292z00_1579;
BgL_arg2292z00_1579 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc3139z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3138z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1288z00_1578,((long)0),BgL_arg2292z00_1579); } 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_arg2297z00_1589;
BgL_arg2297z00_1589 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc3141z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3140z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1288z00_1578,((long)1),BgL_arg2297z00_1589); } 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_arg2302z00_1599;
BgL_arg2302z00_1599 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)51)), BGl_proc3143z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3142z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)52))); 
VECTOR_SET(BgL_v1288z00_1578,((long)2),BgL_arg2302z00_1599); } 
BgL_arg2287z00_1571 = BgL_v1288z00_1578; } 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_v1289z00_1609;
BgL_v1289z00_1609 = 
create_vector(((long)0)); 
BgL_arg2288z00_1572 = BgL_v1289z00_1609; } 
BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)49)), BGl_objectz00zz__objectz00, ((long)46511), BFALSE, BGl_proc3145z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3144z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2287z00_1571, BgL_arg2288z00_1572); } 
{ /* Llib/block_ciphers.scm 81 */
 obj_t BgL_arg2310z00_1615; obj_t BgL_arg2311z00_1616;
{ /* Llib/block_ciphers.scm 81 */
 obj_t BgL_v1290z00_1629;
BgL_v1290z00_1629 = 
create_vector(((long)0)); 
BgL_arg2310z00_1615 = BgL_v1290z00_1629; } 
{ /* Llib/block_ciphers.scm 81 */
 obj_t BgL_v1291z00_1630;
BgL_v1291z00_1630 = 
create_vector(((long)0)); 
BgL_arg2311z00_1616 = BgL_v1291z00_1630; } 
BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)54)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)15877), BGl_proc3148z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3147z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3146z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2310z00_1615, BgL_arg2311z00_1616); } 
{ /* Llib/block_ciphers.scm 82 */
 obj_t BgL_arg2320z00_1637; obj_t BgL_arg2321z00_1638;
{ /* Llib/block_ciphers.scm 82 */
 obj_t BgL_v1292z00_1651;
BgL_v1292z00_1651 = 
create_vector(((long)0)); 
BgL_arg2320z00_1637 = BgL_v1292z00_1651; } 
{ /* Llib/block_ciphers.scm 82 */
 obj_t BgL_v1293z00_1652;
BgL_v1293z00_1652 = 
create_vector(((long)0)); 
BgL_arg2321z00_1638 = BgL_v1293z00_1652; } 
BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)55)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)55855), BGl_proc3151z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3150z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3149z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2320z00_1637, BgL_arg2321z00_1638); } 
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_arg2330z00_1659; obj_t BgL_arg2331z00_1660;
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_v1294z00_1675;
BgL_v1294z00_1675 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_arg2337z00_1676;
BgL_arg2337z00_1676 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc3153z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3152z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1294z00_1675,((long)0),BgL_arg2337z00_1676); } 
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_arg2342z00_1686;
BgL_arg2342z00_1686 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3155z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3154z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1294z00_1675,((long)1),BgL_arg2342z00_1686); } 
BgL_arg2330z00_1659 = BgL_v1294z00_1675; } 
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_v1295z00_1696;
BgL_v1295z00_1696 = 
create_vector(((long)0)); 
BgL_arg2331z00_1660 = BgL_v1295z00_1696; } 
BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)58)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)16316), BGl_proc3158z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3157z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3156z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2330z00_1659, BgL_arg2331z00_1660); } 
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_arg2350z00_1703; obj_t BgL_arg2351z00_1704;
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_v1296z00_1719;
BgL_v1296z00_1719 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_arg2357z00_1720;
BgL_arg2357z00_1720 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc3160z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3159z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1296z00_1719,((long)0),BgL_arg2357z00_1720); } 
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_arg2362z00_1730;
BgL_arg2362z00_1730 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3162z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3161z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1296z00_1719,((long)1),BgL_arg2362z00_1730); } 
BgL_arg2350z00_1703 = BgL_v1296z00_1719; } 
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_v1297z00_1740;
BgL_v1297z00_1740 = 
create_vector(((long)0)); 
BgL_arg2351z00_1704 = BgL_v1297z00_1740; } 
BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)59)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)41938), BGl_proc3165z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3164z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3163z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2350z00_1703, BgL_arg2351z00_1704); } 
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_arg2370z00_1747; obj_t BgL_arg2371z00_1748;
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_v1298z00_1763;
BgL_v1298z00_1763 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_arg2377z00_1764;
BgL_arg2377z00_1764 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc3167z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3166z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1298z00_1763,((long)0),BgL_arg2377z00_1764); } 
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_arg2382z00_1774;
BgL_arg2382z00_1774 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3169z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3168z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1298z00_1763,((long)1),BgL_arg2382z00_1774); } 
BgL_arg2370z00_1747 = BgL_v1298z00_1763; } 
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_v1299z00_1784;
BgL_v1299z00_1784 = 
create_vector(((long)0)); 
BgL_arg2371z00_1748 = BgL_v1299z00_1784; } 
BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)60)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)34988), BGl_proc3172z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3171z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3170z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2370z00_1747, BgL_arg2371z00_1748); } 
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_arg2390z00_1791; obj_t BgL_arg2391z00_1792;
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_v1300z00_1807;
BgL_v1300z00_1807 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_arg2397z00_1808;
BgL_arg2397z00_1808 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc3174z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3173z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1300z00_1807,((long)0),BgL_arg2397z00_1808); } 
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_arg2402z00_1818;
BgL_arg2402z00_1818 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3176z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3175z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1300z00_1807,((long)1),BgL_arg2402z00_1818); } 
BgL_arg2390z00_1791 = BgL_v1300z00_1807; } 
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_v1301z00_1828;
BgL_v1301z00_1828 = 
create_vector(((long)0)); 
BgL_arg2391z00_1792 = BgL_v1301z00_1828; } 
BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)61)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)11458), BGl_proc3179z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3178z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3177z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2390z00_1791, BgL_arg2391z00_1792); } 
{ /* Llib/block_ciphers.scm 96 */
 obj_t BgL_arg2409z00_1834; obj_t BgL_arg2410z00_1835;
{ /* Llib/block_ciphers.scm 96 */
 obj_t BgL_v1302z00_1841;
BgL_v1302z00_1841 = 
create_vector(((long)0)); 
BgL_arg2409z00_1834 = BgL_v1302z00_1841; } 
{ /* Llib/block_ciphers.scm 96 */
 obj_t BgL_v1303z00_1842;
BgL_v1303z00_1842 = 
create_vector(((long)0)); 
BgL_arg2410z00_1835 = BgL_v1303z00_1842; } 
BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)62)), 
CNST_TABLE_REF(((long)49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)43473), BFALSE, BGl_proc3181z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3180z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2409z00_1834, BgL_arg2410z00_1835); } 
{ /* Llib/block_ciphers.scm 97 */
 obj_t BgL_arg2417z00_1848; obj_t BgL_arg2418z00_1849;
{ /* Llib/block_ciphers.scm 97 */
 obj_t BgL_v1304z00_1863;
BgL_v1304z00_1863 = 
create_vector(((long)1)); 
{ /* Llib/block_ciphers.scm 97 */
 obj_t BgL_arg2424z00_1864;
BgL_arg2424z00_1864 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3183z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3182z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1304z00_1863,((long)0),BgL_arg2424z00_1864); } 
BgL_arg2417z00_1848 = BgL_v1304z00_1863; } 
{ /* Llib/block_ciphers.scm 97 */
 obj_t BgL_v1305z00_1874;
BgL_v1305z00_1874 = 
create_vector(((long)0)); 
BgL_arg2418z00_1849 = BgL_v1305z00_1874; } 
BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)63)), 
CNST_TABLE_REF(((long)49)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)46218), BGl_proc3186z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3185z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3184z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2417z00_1848, BgL_arg2418z00_1849); } 
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_arg2432z00_1881; obj_t BgL_arg2433z00_1882;
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_v1306z00_1897;
BgL_v1306z00_1897 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_arg2439z00_1898;
BgL_arg2439z00_1898 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc3188z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3187z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1306z00_1897,((long)0),BgL_arg2439z00_1898); } 
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_arg2444z00_1908;
BgL_arg2444z00_1908 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3190z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3189z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1306z00_1897,((long)1),BgL_arg2444z00_1908); } 
BgL_arg2432z00_1881 = BgL_v1306z00_1897; } 
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_v1307z00_1918;
BgL_v1307z00_1918 = 
create_vector(((long)0)); 
BgL_arg2433z00_1882 = BgL_v1307z00_1918; } 
BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)64)), 
CNST_TABLE_REF(((long)49)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)63662), BGl_proc3193z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3192z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3191z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2432z00_1881, BgL_arg2433z00_1882); } 
{ /* Llib/block_ciphers.scm 102 */
 obj_t BgL_arg2452z00_1925; obj_t BgL_arg2453z00_1926;
{ /* Llib/block_ciphers.scm 102 */
 obj_t BgL_v1308z00_1940;
BgL_v1308z00_1940 = 
create_vector(((long)1)); 
{ /* Llib/block_ciphers.scm 102 */
 obj_t BgL_arg2459z00_1941;
BgL_arg2459z00_1941 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3195z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3194z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1308z00_1940,((long)0),BgL_arg2459z00_1941); } 
BgL_arg2452z00_1925 = BgL_v1308z00_1940; } 
{ /* Llib/block_ciphers.scm 102 */
 obj_t BgL_v1309z00_1951;
BgL_v1309z00_1951 = 
create_vector(((long)0)); 
BgL_arg2453z00_1926 = BgL_v1309z00_1951; } 
BGl_OFBz00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)65)), 
CNST_TABLE_REF(((long)49)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)15584), BGl_proc3198z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3197z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3196z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2452z00_1925, BgL_arg2453z00_1926); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2467z00_1958; obj_t BgL_arg2468z00_1959;
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_v1310z00_1977;
BgL_v1310z00_1977 = 
create_vector(((long)5)); 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2474z00_1978;
BgL_arg2474z00_1978 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc3200z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3199z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)52))); 
VECTOR_SET(BgL_v1310z00_1977,((long)0),BgL_arg2474z00_1978); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2479z00_1988;
BgL_arg2479z00_1988 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc3202z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3201z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1310z00_1977,((long)1),BgL_arg2479z00_1988); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2484z00_1998;
BgL_arg2484z00_1998 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc3204z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3203z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1310z00_1977,((long)2),BgL_arg2484z00_1998); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2489z00_2008;
BgL_arg2489z00_2008 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)69)), BGl_proc3206z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3205z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1310z00_1977,((long)3),BgL_arg2489z00_2008); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2494z00_2018;
BgL_arg2494z00_2018 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc3208z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3207z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1310z00_1977,((long)4),BgL_arg2494z00_2018); } 
BgL_arg2467z00_1958 = BgL_v1310z00_1977; } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_v1311z00_2028;
BgL_v1311z00_2028 = 
create_vector(((long)0)); 
BgL_arg2468z00_1959 = BgL_v1311z00_2028; } 
BGl_CTRz00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)71)), 
CNST_TABLE_REF(((long)49)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)15240), BGl_proc3211z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3210z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3209z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2467z00_1958, BgL_arg2468z00_1959); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2502z00_2035; obj_t BgL_arg2503z00_2036;
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_v1312z00_2054;
BgL_v1312z00_2054 = 
create_vector(((long)8)); 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2509z00_2055;
BgL_arg2509z00_2055 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc3213z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3212z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)73))); 
VECTOR_SET(BgL_v1312z00_2054,((long)0),BgL_arg2509z00_2055); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2514z00_2065;
BgL_arg2514z00_2065 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc3215z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3214z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1312z00_2054,((long)1),BgL_arg2514z00_2065); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2519z00_2075;
BgL_arg2519z00_2075 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)74)), BGl_proc3217z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3216z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00); 
VECTOR_SET(BgL_v1312z00_2054,((long)2),BgL_arg2519z00_2075); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2524z00_2085;
BgL_arg2524z00_2085 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3220z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3219z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3218z00zz__cryptozd2blockzd2ciphersz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1312z00_2054,((long)3),BgL_arg2524z00_2085); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2531z00_2098;
BgL_arg2531z00_2098 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3223z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3222z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3221z00zz__cryptozd2blockzd2ciphersz00, 
CNST_TABLE_REF(((long)52))); 
VECTOR_SET(BgL_v1312z00_2054,((long)4),BgL_arg2531z00_2098); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2538z00_2111;
BgL_arg2538z00_2111 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)78)), BGl_proc3225z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3224z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)52))); 
VECTOR_SET(BgL_v1312z00_2054,((long)5),BgL_arg2538z00_2111); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2543z00_2121;
BgL_arg2543z00_2121 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)79)), BGl_proc3227z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3226z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1312z00_2054,((long)6),BgL_arg2543z00_2121); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2548z00_2131;
BgL_arg2548z00_2131 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)80)), BGl_proc3230z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3229z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3228z00zz__cryptozd2blockzd2ciphersz00, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1312z00_2054,((long)7),BgL_arg2548z00_2131); } 
BgL_arg2502z00_2035 = BgL_v1312z00_2054; } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_v1313z00_2144;
BgL_v1313z00_2144 = 
create_vector(((long)0)); 
BgL_arg2503z00_2036 = BgL_v1313z00_2144; } 
return ( 
BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)81)), 
CNST_TABLE_REF(((long)49)), BGl_objectz00zz__objectz00, ((long)41267), BGl_proc3233z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3232z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3231z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2502z00_2035, BgL_arg2503z00_2036), BUNSPEC) ;} } 

}



/* &<@anonymous:2508> */
obj_t BGl_z62zc3z04anonymousza32508ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4615, obj_t BgL_new1150z00_4616)
{
{ /* Llib/block_ciphers.scm 111 */
{ 
 BgL_cipherzd2modezd2statez00_bglt BgL_auxz00_9996;
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4616)))->BgL_encryptzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4616)))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
{ 
 BgL_cipherzd2statezd2_bglt BgL_auxz00_10001;
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_classz00_5483;
BgL_classz00_5483 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL__ortest_1112z00_5484;
BgL__ortest_1112z00_5484 = 
BGL_CLASS_NIL(BgL_classz00_5483); 
if(
CBOOL(BgL__ortest_1112z00_5484))
{ /* Llib/block_ciphers.scm 111 */
BgL_auxz00_10001 = 
((BgL_cipherzd2statezd2_bglt)BgL__ortest_1112z00_5484)
; }  else 
{ /* Llib/block_ciphers.scm 111 */
BgL_auxz00_10001 = 
((BgL_cipherzd2statezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5483))
; } } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4616)))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)BgL_auxz00_10001),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4616)))->BgL_ivzd2actionzd2)=((obj_t)
CNST_TABLE_REF(((long)82))),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4616)))->BgL_ivz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4616)))->BgL_padzf2unpadzf2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4616)))->BgL_loopzd2bufferzd2)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4616)))->BgL_posz00)=((long)((long)0)),BUNSPEC); 
BgL_auxz00_9996 = 
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_4616); 
return 
((obj_t)BgL_auxz00_9996);} } 

}



/* &lambda2506 */
BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2506z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4617)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1149z00_5485;
BgL_new1149z00_5485 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 111 */
 long BgL_arg2507z00_5486;
BgL_arg2507z00_5486 = 
BGL_CLASS_NUM(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1149z00_5485), BgL_arg2507z00_5486); } 
{ /* Llib/block_ciphers.scm 111 */
 BgL_objectz00_bglt BgL_tmpz00_10027;
BgL_tmpz00_10027 = 
((BgL_objectz00_bglt)BgL_new1149z00_5485); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10027, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1149z00_5485); 
return BgL_new1149z00_5485;} } 

}



/* &lambda2504 */
BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2504z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4618, obj_t BgL_encryptzf31141zf3_4619, obj_t BgL_blockzd2siza7e1142z75_4620, obj_t BgL_cipherzd2state1143zd2_4621, obj_t BgL_ivzd2action1144zd2_4622, obj_t BgL_iv1145z00_4623, obj_t BgL_padzf2unpad1146zf2_4624, obj_t BgL_loopzd2buffer1147zd2_4625, obj_t BgL_pos1148z00_4626)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 bool_t BgL_encryptzf31141zf3_5487; long BgL_blockzd2siza7e1142z75_5488; long BgL_pos1148z00_5492;
BgL_encryptzf31141zf3_5487 = 
CBOOL(BgL_encryptzf31141zf3_4619); 
BgL_blockzd2siza7e1142z75_5488 = 
(long)CINT(BgL_blockzd2siza7e1142z75_4620); 
BgL_pos1148z00_5492 = 
(long)CINT(BgL_pos1148z00_4626); 
{ /* Llib/block_ciphers.scm 111 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1272z00_5493;
{ /* Llib/block_ciphers.scm 111 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1271z00_5494;
BgL_new1271z00_5494 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 111 */
 long BgL_arg2505z00_5495;
BgL_arg2505z00_5495 = 
BGL_CLASS_NUM(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1271z00_5494), BgL_arg2505z00_5495); } 
{ /* Llib/block_ciphers.scm 111 */
 BgL_objectz00_bglt BgL_tmpz00_10038;
BgL_tmpz00_10038 = 
((BgL_objectz00_bglt)BgL_new1271z00_5494); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10038, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1271z00_5494); 
BgL_new1272z00_5493 = BgL_new1271z00_5494; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5493))->BgL_encryptzf3zf3)=((bool_t)BgL_encryptzf31141zf3_5487),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5493))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1142z75_5488),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5493))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_cipherzd2state1143zd2_4621)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5493))->BgL_ivzd2actionzd2)=((obj_t)
((obj_t)BgL_ivzd2action1144zd2_4622)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5493))->BgL_ivz00)=((obj_t)BgL_iv1145z00_4623),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5493))->BgL_padzf2unpadzf2)=((obj_t)BgL_padzf2unpad1146zf2_4624),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5493))->BgL_loopzd2bufferzd2)=((obj_t)
((obj_t)BgL_loopzd2buffer1147zd2_4625)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1272z00_5493))->BgL_posz00)=((long)BgL_pos1148z00_5492),BUNSPEC); 
return BgL_new1272z00_5493;} } } 

}



/* &<@anonymous:2554> */
obj_t BGl_z62zc3z04anonymousza32554ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4627)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(((long)0));} 

}



/* &lambda2553 */
obj_t BGl_z62lambda2553z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4628, obj_t BgL_oz00_4629, obj_t BgL_vz00_4630)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 long BgL_vz00_5497;
BgL_vz00_5497 = 
(long)CINT(BgL_vz00_4630); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4629)))->BgL_posz00)=((long)BgL_vz00_5497),BUNSPEC);} } 

}



/* &lambda2552 */
obj_t BGl_z62lambda2552z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4631, obj_t BgL_oz00_4632)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4632)))->BgL_posz00));} 

}



/* &lambda2547 */
obj_t BGl_z62lambda2547z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4633, obj_t BgL_oz00_4634, obj_t BgL_vz00_4635)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4634)))->BgL_loopzd2bufferzd2)=((obj_t)
((obj_t)BgL_vz00_4635)),BUNSPEC);} 

}



/* &lambda2546 */
obj_t BGl_z62lambda2546z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4636, obj_t BgL_oz00_4637)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4637)))->BgL_loopzd2bufferzd2);} 

}



/* &lambda2542 */
obj_t BGl_z62lambda2542z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4638, obj_t BgL_oz00_4639, obj_t BgL_vz00_4640)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4639)))->BgL_padzf2unpadzf2)=((obj_t)BgL_vz00_4640),BUNSPEC);} 

}



/* &lambda2541 */
obj_t BGl_z62lambda2541z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4641, obj_t BgL_oz00_4642)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4642)))->BgL_padzf2unpadzf2);} 

}



/* &<@anonymous:2537> */
obj_t BGl_z62zc3z04anonymousza32537ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4643)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2536 */
obj_t BGl_z62lambda2536z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4644, obj_t BgL_oz00_4645, obj_t BgL_vz00_4646)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4645)))->BgL_ivz00)=((obj_t)BgL_vz00_4646),BUNSPEC);} 

}



/* &lambda2535 */
obj_t BGl_z62lambda2535z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4647, obj_t BgL_oz00_4648)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4648)))->BgL_ivz00);} 

}



/* &<@anonymous:2530> */
obj_t BGl_z62zc3z04anonymousza32530ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4649)
{
{ /* Llib/block_ciphers.scm 111 */
return 
CNST_TABLE_REF(((long)83));} 

}



/* &lambda2529 */
obj_t BGl_z62lambda2529z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4650, obj_t BgL_oz00_4651, obj_t BgL_vz00_4652)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4651)))->BgL_ivzd2actionzd2)=((obj_t)
((obj_t)BgL_vz00_4652)),BUNSPEC);} 

}



/* &lambda2528 */
obj_t BGl_z62lambda2528z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4653, obj_t BgL_oz00_4654)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4654)))->BgL_ivzd2actionzd2);} 

}



/* &lambda2523 */
obj_t BGl_z62lambda2523z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4655, obj_t BgL_oz00_4656, obj_t BgL_vz00_4657)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4656)))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_vz00_4657)),BUNSPEC);} 

}



/* &lambda2522 */
BgL_cipherzd2statezd2_bglt BGl_z62lambda2522z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4658, obj_t BgL_oz00_4659)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4659)))->BgL_cipherzd2statezd2);} 

}



/* &lambda2518 */
obj_t BGl_z62lambda2518z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4660, obj_t BgL_oz00_4661, obj_t BgL_vz00_4662)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 long BgL_vz00_5513;
BgL_vz00_5513 = 
(long)CINT(BgL_vz00_4662); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4661)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_5513),BUNSPEC);} } 

}



/* &lambda2517 */
obj_t BGl_z62lambda2517z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4663, obj_t BgL_oz00_4664)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4664)))->BgL_blockzd2siza7ez75));} 

}



/* &lambda2513 */
obj_t BGl_z62lambda2513z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4665, obj_t BgL_oz00_4666, obj_t BgL_vz00_4667)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 bool_t BgL_vz00_5516;
BgL_vz00_5516 = 
CBOOL(BgL_vz00_4667); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4666)))->BgL_encryptzf3zf3)=((bool_t)BgL_vz00_5516),BUNSPEC);} } 

}



/* &lambda2512 */
obj_t BGl_z62lambda2512z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4668, obj_t BgL_oz00_4669)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BBOOL(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4669)))->BgL_encryptzf3zf3));} 

}



/* &<@anonymous:2473> */
obj_t BGl_z62zc3z04anonymousza32473ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4670, obj_t BgL_new1139z00_4671)
{
{ /* Llib/block_ciphers.scm 104 */
{ 
 BgL_ctrz00_bglt BgL_auxz00_10097;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1139z00_4671))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1139z00_4671))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1139z00_4671))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_4671)))->BgL_noncez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_4671)))->BgL_noncezd2strzd2)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_4671)))->BgL_blockzd2counterzd2)=((long)((long)0)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_4671)))->BgL_noncezd2initz12zc0)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_4671)))->BgL_noncezd2updatez12zc0)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_10097 = 
((BgL_ctrz00_bglt)BgL_new1139z00_4671); 
return 
((obj_t)BgL_auxz00_10097);} } 

}



/* &lambda2471 */
BgL_ctrz00_bglt BGl_z62lambda2471z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4672)
{
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
 BgL_ctrz00_bglt BgL_new1138z00_5519;
BgL_new1138z00_5519 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 104 */
 long BgL_arg2472z00_5520;
BgL_arg2472z00_5520 = 
BGL_CLASS_NUM(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1138z00_5519), BgL_arg2472z00_5520); } 
{ /* Llib/block_ciphers.scm 104 */
 BgL_objectz00_bglt BgL_tmpz00_10123;
BgL_tmpz00_10123 = 
((BgL_objectz00_bglt)BgL_new1138z00_5519); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10123, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1138z00_5519); 
return BgL_new1138z00_5519;} } 

}



/* &lambda2469 */
BgL_ctrz00_bglt BGl_z62lambda2469z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4673, obj_t BgL_blockzd2siza7e1130z75_4674, obj_t BgL_cipher1131z00_4675, obj_t BgL_param1132z00_4676, obj_t BgL_nonce1133z00_4677, obj_t BgL_noncezd2str1134zd2_4678, obj_t BgL_blockzd2counter1135zd2_4679, obj_t BgL_noncezd2initz121136zc0_4680, obj_t BgL_noncezd2updatez121137zc0_4681)
{
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
 long BgL_blockzd2siza7e1130z75_5521; long BgL_blockzd2counter1135zd2_5524;
BgL_blockzd2siza7e1130z75_5521 = 
(long)CINT(BgL_blockzd2siza7e1130z75_4674); 
BgL_blockzd2counter1135zd2_5524 = 
(long)CINT(BgL_blockzd2counter1135zd2_4679); 
{ /* Llib/block_ciphers.scm 104 */
 BgL_ctrz00_bglt BgL_new1270z00_5527;
{ /* Llib/block_ciphers.scm 104 */
 BgL_ctrz00_bglt BgL_new1269z00_5528;
BgL_new1269z00_5528 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 104 */
 long BgL_arg2470z00_5529;
BgL_arg2470z00_5529 = 
BGL_CLASS_NUM(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1269z00_5528), BgL_arg2470z00_5529); } 
{ /* Llib/block_ciphers.scm 104 */
 BgL_objectz00_bglt BgL_tmpz00_10133;
BgL_tmpz00_10133 = 
((BgL_objectz00_bglt)BgL_new1269z00_5528); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10133, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1269z00_5528); 
BgL_new1270z00_5527 = BgL_new1269z00_5528; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1270z00_5527)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1130z75_5521),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1270z00_5527)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1131z00_4675)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1270z00_5527)))->BgL_paramz00)=((obj_t)BgL_param1132z00_4676),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1270z00_5527))->BgL_noncez00)=((obj_t)BgL_nonce1133z00_4677),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1270z00_5527))->BgL_noncezd2strzd2)=((obj_t)
((obj_t)BgL_noncezd2str1134zd2_4678)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1270z00_5527))->BgL_blockzd2counterzd2)=((long)BgL_blockzd2counter1135zd2_5524),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1270z00_5527))->BgL_noncezd2initz12zc0)=((obj_t)
((obj_t)BgL_noncezd2initz121136zc0_4680)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1270z00_5527))->BgL_noncezd2updatez12zc0)=((obj_t)
((obj_t)BgL_noncezd2updatez121137zc0_4681)),BUNSPEC); 
return BgL_new1270z00_5527;} } } 

}



/* &lambda2498 */
obj_t BGl_z62lambda2498z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4682, obj_t BgL_oz00_4683, obj_t BgL_vz00_4684)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4683)))->BgL_noncezd2updatez12zc0)=((obj_t)
((obj_t)BgL_vz00_4684)),BUNSPEC);} 

}



/* &lambda2497 */
obj_t BGl_z62lambda2497z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4685, obj_t BgL_oz00_4686)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4686)))->BgL_noncezd2updatez12zc0);} 

}



/* &lambda2493 */
obj_t BGl_z62lambda2493z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4687, obj_t BgL_oz00_4688, obj_t BgL_vz00_4689)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4688)))->BgL_noncezd2initz12zc0)=((obj_t)
((obj_t)BgL_vz00_4689)),BUNSPEC);} 

}



/* &lambda2492 */
obj_t BGl_z62lambda2492z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4690, obj_t BgL_oz00_4691)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4691)))->BgL_noncezd2initz12zc0);} 

}



/* &lambda2488 */
obj_t BGl_z62lambda2488z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4692, obj_t BgL_oz00_4693, obj_t BgL_vz00_4694)
{
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
 long BgL_vz00_5537;
BgL_vz00_5537 = 
(long)CINT(BgL_vz00_4694); 
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4693)))->BgL_blockzd2counterzd2)=((long)BgL_vz00_5537),BUNSPEC);} } 

}



/* &lambda2487 */
obj_t BGl_z62lambda2487z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4695, obj_t BgL_oz00_4696)
{
{ /* Llib/block_ciphers.scm 104 */
return 
BINT(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4696)))->BgL_blockzd2counterzd2));} 

}



/* &lambda2483 */
obj_t BGl_z62lambda2483z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4697, obj_t BgL_oz00_4698, obj_t BgL_vz00_4699)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4698)))->BgL_noncezd2strzd2)=((obj_t)
((obj_t)BgL_vz00_4699)),BUNSPEC);} 

}



/* &lambda2482 */
obj_t BGl_z62lambda2482z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4700, obj_t BgL_oz00_4701)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4701)))->BgL_noncezd2strzd2);} 

}



/* &lambda2478 */
obj_t BGl_z62lambda2478z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4702, obj_t BgL_oz00_4703, obj_t BgL_vz00_4704)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4703)))->BgL_noncez00)=((obj_t)BgL_vz00_4704),BUNSPEC);} 

}



/* &lambda2477 */
obj_t BGl_z62lambda2477z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4705, obj_t BgL_oz00_4706)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4706)))->BgL_noncez00);} 

}



/* &<@anonymous:2458> */
obj_t BGl_z62zc3z04anonymousza32458ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4707, obj_t BgL_new1128z00_4708)
{
{ /* Llib/block_ciphers.scm 102 */
{ 
 BgL_ofbz00_bglt BgL_auxz00_10177;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1128z00_4708))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1128z00_4708))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1128z00_4708))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_new1128z00_4708)))->BgL_chainz00)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10177 = 
((BgL_ofbz00_bglt)BgL_new1128z00_4708); 
return 
((obj_t)BgL_auxz00_10177);} } 

}



/* &lambda2456 */
BgL_ofbz00_bglt BGl_z62lambda2456z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4709)
{
{ /* Llib/block_ciphers.scm 102 */
{ /* Llib/block_ciphers.scm 102 */
 BgL_ofbz00_bglt BgL_new1127z00_5545;
BgL_new1127z00_5545 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 102 */
 long BgL_arg2457z00_5546;
BgL_arg2457z00_5546 = 
BGL_CLASS_NUM(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_5545), BgL_arg2457z00_5546); } 
{ /* Llib/block_ciphers.scm 102 */
 BgL_objectz00_bglt BgL_tmpz00_10195;
BgL_tmpz00_10195 = 
((BgL_objectz00_bglt)BgL_new1127z00_5545); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10195, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1127z00_5545); 
return BgL_new1127z00_5545;} } 

}



/* &lambda2454 */
BgL_ofbz00_bglt BGl_z62lambda2454z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4710, obj_t BgL_blockzd2siza7e1123z75_4711, obj_t BgL_cipher1124z00_4712, obj_t BgL_param1125z00_4713, obj_t BgL_chain1126z00_4714)
{
{ /* Llib/block_ciphers.scm 102 */
{ /* Llib/block_ciphers.scm 102 */
 long BgL_blockzd2siza7e1123z75_5547;
BgL_blockzd2siza7e1123z75_5547 = 
(long)CINT(BgL_blockzd2siza7e1123z75_4711); 
{ /* Llib/block_ciphers.scm 102 */
 BgL_ofbz00_bglt BgL_new1268z00_5550;
{ /* Llib/block_ciphers.scm 102 */
 BgL_ofbz00_bglt BgL_new1267z00_5551;
BgL_new1267z00_5551 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 102 */
 long BgL_arg2455z00_5552;
BgL_arg2455z00_5552 = 
BGL_CLASS_NUM(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1267z00_5551), BgL_arg2455z00_5552); } 
{ /* Llib/block_ciphers.scm 102 */
 BgL_objectz00_bglt BgL_tmpz00_10204;
BgL_tmpz00_10204 = 
((BgL_objectz00_bglt)BgL_new1267z00_5551); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10204, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1267z00_5551); 
BgL_new1268z00_5550 = BgL_new1267z00_5551; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1268z00_5550)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1123z75_5547),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1268z00_5550)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1124z00_4712)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1268z00_5550)))->BgL_paramz00)=((obj_t)BgL_param1125z00_4713),BUNSPEC); 
((((BgL_ofbz00_bglt)COBJECT(BgL_new1268z00_5550))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1126z00_4714)),BUNSPEC); 
return BgL_new1268z00_5550;} } } 

}



/* &lambda2463 */
obj_t BGl_z62lambda2463z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4715, obj_t BgL_oz00_4716, obj_t BgL_vz00_4717)
{
{ /* Llib/block_ciphers.scm 102 */
return 
((((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_oz00_4716)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4717)),BUNSPEC);} 

}



/* &lambda2462 */
obj_t BGl_z62lambda2462z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4718, obj_t BgL_oz00_4719)
{
{ /* Llib/block_ciphers.scm 102 */
return 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_oz00_4719)))->BgL_chainz00);} 

}



/* &<@anonymous:2438> */
obj_t BGl_z62zc3z04anonymousza32438ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4720, obj_t BgL_new1121z00_4721)
{
{ /* Llib/block_ciphers.scm 99 */
{ 
 BgL_cfbzd2decryptzd2_bglt BgL_auxz00_10222;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_4721))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_4721))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_4721))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_4721)))->BgL_bufferz00)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_4721)))->BgL_chainz00)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10222 = 
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_4721); 
return 
((obj_t)BgL_auxz00_10222);} } 

}



/* &lambda2436 */
BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2436z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4722)
{
{ /* Llib/block_ciphers.scm 99 */
{ /* Llib/block_ciphers.scm 99 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1120z00_5557;
BgL_new1120z00_5557 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 99 */
 long BgL_arg2437z00_5558;
BgL_arg2437z00_5558 = 
BGL_CLASS_NUM(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_5557), BgL_arg2437z00_5558); } 
{ /* Llib/block_ciphers.scm 99 */
 BgL_objectz00_bglt BgL_tmpz00_10242;
BgL_tmpz00_10242 = 
((BgL_objectz00_bglt)BgL_new1120z00_5557); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10242, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1120z00_5557); 
return BgL_new1120z00_5557;} } 

}



/* &lambda2434 */
BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2434z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4723, obj_t BgL_blockzd2siza7e1115z75_4724, obj_t BgL_cipher1116z00_4725, obj_t BgL_param1117z00_4726, obj_t BgL_buffer1118z00_4727, obj_t BgL_chain1119z00_4728)
{
{ /* Llib/block_ciphers.scm 99 */
{ /* Llib/block_ciphers.scm 99 */
 long BgL_blockzd2siza7e1115z75_5559;
BgL_blockzd2siza7e1115z75_5559 = 
(long)CINT(BgL_blockzd2siza7e1115z75_4724); 
{ /* Llib/block_ciphers.scm 99 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1266z00_5563;
{ /* Llib/block_ciphers.scm 99 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1265z00_5564;
BgL_new1265z00_5564 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 99 */
 long BgL_arg2435z00_5565;
BgL_arg2435z00_5565 = 
BGL_CLASS_NUM(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1265z00_5564), BgL_arg2435z00_5565); } 
{ /* Llib/block_ciphers.scm 99 */
 BgL_objectz00_bglt BgL_tmpz00_10251;
BgL_tmpz00_10251 = 
((BgL_objectz00_bglt)BgL_new1265z00_5564); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10251, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1265z00_5564); 
BgL_new1266z00_5563 = BgL_new1265z00_5564; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1266z00_5563)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1115z75_5559),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1266z00_5563)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1116z00_4725)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1266z00_5563)))->BgL_paramz00)=((obj_t)BgL_param1117z00_4726),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1266z00_5563))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1118z00_4727)),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1266z00_5563))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1119z00_4728)),BUNSPEC); 
return BgL_new1266z00_5563;} } } 

}



/* &lambda2448 */
obj_t BGl_z62lambda2448z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4729, obj_t BgL_oz00_4730, obj_t BgL_vz00_4731)
{
{ /* Llib/block_ciphers.scm 99 */
return 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_4730)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4731)),BUNSPEC);} 

}



/* &lambda2447 */
obj_t BGl_z62lambda2447z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4732, obj_t BgL_oz00_4733)
{
{ /* Llib/block_ciphers.scm 99 */
return 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_4733)))->BgL_chainz00);} 

}



/* &lambda2443 */
obj_t BGl_z62lambda2443z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4734, obj_t BgL_oz00_4735, obj_t BgL_vz00_4736)
{
{ /* Llib/block_ciphers.scm 99 */
return 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_4735)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4736)),BUNSPEC);} 

}



/* &lambda2442 */
obj_t BGl_z62lambda2442z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4737, obj_t BgL_oz00_4738)
{
{ /* Llib/block_ciphers.scm 99 */
return 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_4738)))->BgL_bufferz00);} 

}



/* &<@anonymous:2423> */
obj_t BGl_z62zc3z04anonymousza32423ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4739, obj_t BgL_new1113z00_4740)
{
{ /* Llib/block_ciphers.scm 97 */
{ 
 BgL_cfbzd2encryptzd2_bglt BgL_auxz00_10276;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_4740))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_4740))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_4740))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_4740)))->BgL_chainz00)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10276 = 
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_4740); 
return 
((obj_t)BgL_auxz00_10276);} } 

}



/* &lambda2421 */
BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2421z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4741)
{
{ /* Llib/block_ciphers.scm 97 */
{ /* Llib/block_ciphers.scm 97 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1111z00_5573;
BgL_new1111z00_5573 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 97 */
 long BgL_arg2422z00_5574;
BgL_arg2422z00_5574 = 
BGL_CLASS_NUM(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1111z00_5573), BgL_arg2422z00_5574); } 
{ /* Llib/block_ciphers.scm 97 */
 BgL_objectz00_bglt BgL_tmpz00_10294;
BgL_tmpz00_10294 = 
((BgL_objectz00_bglt)BgL_new1111z00_5573); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10294, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1111z00_5573); 
return BgL_new1111z00_5573;} } 

}



/* &lambda2419 */
BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2419z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4742, obj_t BgL_blockzd2siza7e1107z75_4743, obj_t BgL_cipher1108z00_4744, obj_t BgL_param1109z00_4745, obj_t BgL_chain1110z00_4746)
{
{ /* Llib/block_ciphers.scm 97 */
{ /* Llib/block_ciphers.scm 97 */
 long BgL_blockzd2siza7e1107z75_5575;
BgL_blockzd2siza7e1107z75_5575 = 
(long)CINT(BgL_blockzd2siza7e1107z75_4743); 
{ /* Llib/block_ciphers.scm 97 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1264z00_5578;
{ /* Llib/block_ciphers.scm 97 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1263z00_5579;
BgL_new1263z00_5579 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 97 */
 long BgL_arg2420z00_5580;
BgL_arg2420z00_5580 = 
BGL_CLASS_NUM(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1263z00_5579), BgL_arg2420z00_5580); } 
{ /* Llib/block_ciphers.scm 97 */
 BgL_objectz00_bglt BgL_tmpz00_10303;
BgL_tmpz00_10303 = 
((BgL_objectz00_bglt)BgL_new1263z00_5579); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10303, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1263z00_5579); 
BgL_new1264z00_5578 = BgL_new1263z00_5579; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1264z00_5578)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1107z75_5575),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1264z00_5578)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1108z00_4744)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1264z00_5578)))->BgL_paramz00)=((obj_t)BgL_param1109z00_4745),BUNSPEC); 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(BgL_new1264z00_5578))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1110z00_4746)),BUNSPEC); 
return BgL_new1264z00_5578;} } } 

}



/* &lambda2428 */
obj_t BGl_z62lambda2428z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4747, obj_t BgL_oz00_4748, obj_t BgL_vz00_4749)
{
{ /* Llib/block_ciphers.scm 97 */
return 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_oz00_4748)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4749)),BUNSPEC);} 

}



/* &lambda2427 */
obj_t BGl_z62lambda2427z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4750, obj_t BgL_oz00_4751)
{
{ /* Llib/block_ciphers.scm 97 */
return 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_oz00_4751)))->BgL_chainz00);} 

}



/* &<@anonymous:2413> */
obj_t BGl_z62zc3z04anonymousza32413ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4752, obj_t BgL_new1105z00_4753)
{
{ /* Llib/block_ciphers.scm 96 */
{ 
 BgL_streamzd2cipherzd2statez00_bglt BgL_auxz00_10321;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1105z00_4753))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1105z00_4753))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1105z00_4753))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_10321 = 
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1105z00_4753); 
return 
((obj_t)BgL_auxz00_10321);} } 

}



/* &lambda2411 */
BgL_streamzd2cipherzd2statez00_bglt BGl_z62lambda2411z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4754)
{
{ /* Llib/block_ciphers.scm 96 */
{ /* Llib/block_ciphers.scm 96 */
 BgL_streamzd2cipherzd2statez00_bglt BgL_new1104z00_5585;
BgL_new1104z00_5585 = 
((BgL_streamzd2cipherzd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_streamzd2cipherzd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 96 */
 long BgL_arg2412z00_5586;
BgL_arg2412z00_5586 = 
BGL_CLASS_NUM(BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_5585), BgL_arg2412z00_5586); } 
return BgL_new1104z00_5585;} } 

}



/* &<@anonymous:2396> */
obj_t BGl_z62zc3z04anonymousza32396ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4755, obj_t BgL_new1102z00_4756)
{
{ /* Llib/block_ciphers.scm 92 */
{ 
 BgL_pcbczd2decryptzd2_bglt BgL_auxz00_10337;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_4756))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_4756))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_4756))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_4756)))->BgL_bufferz00)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_4756)))->BgL_chainz00)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10337 = 
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_4756); 
return 
((obj_t)BgL_auxz00_10337);} } 

}



/* &lambda2394 */
BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2394z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4757)
{
{ /* Llib/block_ciphers.scm 92 */
{ /* Llib/block_ciphers.scm 92 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1101z00_5588;
BgL_new1101z00_5588 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 92 */
 long BgL_arg2395z00_5589;
BgL_arg2395z00_5589 = 
BGL_CLASS_NUM(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1101z00_5588), BgL_arg2395z00_5589); } 
{ /* Llib/block_ciphers.scm 92 */
 BgL_objectz00_bglt BgL_tmpz00_10357;
BgL_tmpz00_10357 = 
((BgL_objectz00_bglt)BgL_new1101z00_5588); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10357, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1101z00_5588); 
return BgL_new1101z00_5588;} } 

}



/* &lambda2392 */
BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2392z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4758, obj_t BgL_blockzd2siza7e1096z75_4759, obj_t BgL_cipher1097z00_4760, obj_t BgL_param1098z00_4761, obj_t BgL_buffer1099z00_4762, obj_t BgL_chain1100z00_4763)
{
{ /* Llib/block_ciphers.scm 92 */
{ /* Llib/block_ciphers.scm 92 */
 long BgL_blockzd2siza7e1096z75_5590;
BgL_blockzd2siza7e1096z75_5590 = 
(long)CINT(BgL_blockzd2siza7e1096z75_4759); 
{ /* Llib/block_ciphers.scm 92 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1262z00_5594;
{ /* Llib/block_ciphers.scm 92 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1261z00_5595;
BgL_new1261z00_5595 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 92 */
 long BgL_arg2393z00_5596;
BgL_arg2393z00_5596 = 
BGL_CLASS_NUM(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1261z00_5595), BgL_arg2393z00_5596); } 
{ /* Llib/block_ciphers.scm 92 */
 BgL_objectz00_bglt BgL_tmpz00_10366;
BgL_tmpz00_10366 = 
((BgL_objectz00_bglt)BgL_new1261z00_5595); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10366, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1261z00_5595); 
BgL_new1262z00_5594 = BgL_new1261z00_5595; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1262z00_5594)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1096z75_5590),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1262z00_5594)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1097z00_4760)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1262z00_5594)))->BgL_paramz00)=((obj_t)BgL_param1098z00_4761),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1262z00_5594))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1099z00_4762)),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1262z00_5594))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1100z00_4763)),BUNSPEC); 
return BgL_new1262z00_5594;} } } 

}



/* &lambda2406 */
obj_t BGl_z62lambda2406z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4764, obj_t BgL_oz00_4765, obj_t BgL_vz00_4766)
{
{ /* Llib/block_ciphers.scm 92 */
return 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_4765)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4766)),BUNSPEC);} 

}



/* &lambda2405 */
obj_t BGl_z62lambda2405z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4767, obj_t BgL_oz00_4768)
{
{ /* Llib/block_ciphers.scm 92 */
return 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_4768)))->BgL_chainz00);} 

}



/* &lambda2401 */
obj_t BGl_z62lambda2401z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4769, obj_t BgL_oz00_4770, obj_t BgL_vz00_4771)
{
{ /* Llib/block_ciphers.scm 92 */
return 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_4770)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4771)),BUNSPEC);} 

}



/* &lambda2400 */
obj_t BGl_z62lambda2400z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4772, obj_t BgL_oz00_4773)
{
{ /* Llib/block_ciphers.scm 92 */
return 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_4773)))->BgL_bufferz00);} 

}



/* &<@anonymous:2376> */
obj_t BGl_z62zc3z04anonymousza32376ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4774, obj_t BgL_new1094z00_4775)
{
{ /* Llib/block_ciphers.scm 89 */
{ 
 BgL_pcbczd2encryptzd2_bglt BgL_auxz00_10391;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_4775))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_4775))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_4775))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_4775)))->BgL_bufferz00)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_4775)))->BgL_chainz00)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10391 = 
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_4775); 
return 
((obj_t)BgL_auxz00_10391);} } 

}



/* &lambda2374 */
BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2374z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4776)
{
{ /* Llib/block_ciphers.scm 89 */
{ /* Llib/block_ciphers.scm 89 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1093z00_5604;
BgL_new1093z00_5604 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 89 */
 long BgL_arg2375z00_5605;
BgL_arg2375z00_5605 = 
BGL_CLASS_NUM(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1093z00_5604), BgL_arg2375z00_5605); } 
{ /* Llib/block_ciphers.scm 89 */
 BgL_objectz00_bglt BgL_tmpz00_10411;
BgL_tmpz00_10411 = 
((BgL_objectz00_bglt)BgL_new1093z00_5604); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10411, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1093z00_5604); 
return BgL_new1093z00_5604;} } 

}



/* &lambda2372 */
BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2372z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4777, obj_t BgL_blockzd2siza7e1088z75_4778, obj_t BgL_cipher1089z00_4779, obj_t BgL_param1090z00_4780, obj_t BgL_buffer1091z00_4781, obj_t BgL_chain1092z00_4782)
{
{ /* Llib/block_ciphers.scm 89 */
{ /* Llib/block_ciphers.scm 89 */
 long BgL_blockzd2siza7e1088z75_5606;
BgL_blockzd2siza7e1088z75_5606 = 
(long)CINT(BgL_blockzd2siza7e1088z75_4778); 
{ /* Llib/block_ciphers.scm 89 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1260z00_5610;
{ /* Llib/block_ciphers.scm 89 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1259z00_5611;
BgL_new1259z00_5611 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 89 */
 long BgL_arg2373z00_5612;
BgL_arg2373z00_5612 = 
BGL_CLASS_NUM(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1259z00_5611), BgL_arg2373z00_5612); } 
{ /* Llib/block_ciphers.scm 89 */
 BgL_objectz00_bglt BgL_tmpz00_10420;
BgL_tmpz00_10420 = 
((BgL_objectz00_bglt)BgL_new1259z00_5611); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10420, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1259z00_5611); 
BgL_new1260z00_5610 = BgL_new1259z00_5611; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1260z00_5610)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1088z75_5606),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1260z00_5610)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1089z00_4779)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1260z00_5610)))->BgL_paramz00)=((obj_t)BgL_param1090z00_4780),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1260z00_5610))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1091z00_4781)),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1260z00_5610))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1092z00_4782)),BUNSPEC); 
return BgL_new1260z00_5610;} } } 

}



/* &lambda2386 */
obj_t BGl_z62lambda2386z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4783, obj_t BgL_oz00_4784, obj_t BgL_vz00_4785)
{
{ /* Llib/block_ciphers.scm 89 */
return 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_4784)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4785)),BUNSPEC);} 

}



/* &lambda2385 */
obj_t BGl_z62lambda2385z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4786, obj_t BgL_oz00_4787)
{
{ /* Llib/block_ciphers.scm 89 */
return 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_4787)))->BgL_chainz00);} 

}



/* &lambda2381 */
obj_t BGl_z62lambda2381z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4788, obj_t BgL_oz00_4789, obj_t BgL_vz00_4790)
{
{ /* Llib/block_ciphers.scm 89 */
return 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_4789)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4790)),BUNSPEC);} 

}



/* &lambda2380 */
obj_t BGl_z62lambda2380z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4791, obj_t BgL_oz00_4792)
{
{ /* Llib/block_ciphers.scm 89 */
return 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_4792)))->BgL_bufferz00);} 

}



/* &<@anonymous:2356> */
obj_t BGl_z62zc3z04anonymousza32356ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4793, obj_t BgL_new1086z00_4794)
{
{ /* Llib/block_ciphers.scm 86 */
{ 
 BgL_cbczd2decryptzd2_bglt BgL_auxz00_10445;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_4794))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_4794))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_4794))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_4794)))->BgL_bufferz00)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_4794)))->BgL_chainz00)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10445 = 
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_4794); 
return 
((obj_t)BgL_auxz00_10445);} } 

}



/* &lambda2354 */
BgL_cbczd2decryptzd2_bglt BGl_z62lambda2354z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4795)
{
{ /* Llib/block_ciphers.scm 86 */
{ /* Llib/block_ciphers.scm 86 */
 BgL_cbczd2decryptzd2_bglt BgL_new1085z00_5620;
BgL_new1085z00_5620 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 86 */
 long BgL_arg2355z00_5621;
BgL_arg2355z00_5621 = 
BGL_CLASS_NUM(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_5620), BgL_arg2355z00_5621); } 
{ /* Llib/block_ciphers.scm 86 */
 BgL_objectz00_bglt BgL_tmpz00_10465;
BgL_tmpz00_10465 = 
((BgL_objectz00_bglt)BgL_new1085z00_5620); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10465, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1085z00_5620); 
return BgL_new1085z00_5620;} } 

}



/* &lambda2352 */
BgL_cbczd2decryptzd2_bglt BGl_z62lambda2352z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4796, obj_t BgL_blockzd2siza7e1080z75_4797, obj_t BgL_cipher1081z00_4798, obj_t BgL_param1082z00_4799, obj_t BgL_buffer1083z00_4800, obj_t BgL_chain1084z00_4801)
{
{ /* Llib/block_ciphers.scm 86 */
{ /* Llib/block_ciphers.scm 86 */
 long BgL_blockzd2siza7e1080z75_5622;
BgL_blockzd2siza7e1080z75_5622 = 
(long)CINT(BgL_blockzd2siza7e1080z75_4797); 
{ /* Llib/block_ciphers.scm 86 */
 BgL_cbczd2decryptzd2_bglt BgL_new1258z00_5626;
{ /* Llib/block_ciphers.scm 86 */
 BgL_cbczd2decryptzd2_bglt BgL_new1257z00_5627;
BgL_new1257z00_5627 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 86 */
 long BgL_arg2353z00_5628;
BgL_arg2353z00_5628 = 
BGL_CLASS_NUM(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1257z00_5627), BgL_arg2353z00_5628); } 
{ /* Llib/block_ciphers.scm 86 */
 BgL_objectz00_bglt BgL_tmpz00_10474;
BgL_tmpz00_10474 = 
((BgL_objectz00_bglt)BgL_new1257z00_5627); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10474, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1257z00_5627); 
BgL_new1258z00_5626 = BgL_new1257z00_5627; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1258z00_5626)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1080z75_5622),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1258z00_5626)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1081z00_4798)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1258z00_5626)))->BgL_paramz00)=((obj_t)BgL_param1082z00_4799),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1258z00_5626))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1083z00_4800)),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1258z00_5626))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1084z00_4801)),BUNSPEC); 
return BgL_new1258z00_5626;} } } 

}



/* &lambda2366 */
obj_t BGl_z62lambda2366z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4802, obj_t BgL_oz00_4803, obj_t BgL_vz00_4804)
{
{ /* Llib/block_ciphers.scm 86 */
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_4803)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4804)),BUNSPEC);} 

}



/* &lambda2365 */
obj_t BGl_z62lambda2365z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4805, obj_t BgL_oz00_4806)
{
{ /* Llib/block_ciphers.scm 86 */
return 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_4806)))->BgL_chainz00);} 

}



/* &lambda2361 */
obj_t BGl_z62lambda2361z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4807, obj_t BgL_oz00_4808, obj_t BgL_vz00_4809)
{
{ /* Llib/block_ciphers.scm 86 */
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_4808)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4809)),BUNSPEC);} 

}



/* &lambda2360 */
obj_t BGl_z62lambda2360z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4810, obj_t BgL_oz00_4811)
{
{ /* Llib/block_ciphers.scm 86 */
return 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_4811)))->BgL_bufferz00);} 

}



/* &<@anonymous:2336> */
obj_t BGl_z62zc3z04anonymousza32336ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4812, obj_t BgL_new1078z00_4813)
{
{ /* Llib/block_ciphers.scm 83 */
{ 
 BgL_cbczd2encryptzd2_bglt BgL_auxz00_10499;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_4813))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_4813))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_4813))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_4813)))->BgL_bufferz00)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_4813)))->BgL_chainz00)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10499 = 
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_4813); 
return 
((obj_t)BgL_auxz00_10499);} } 

}



/* &lambda2334 */
BgL_cbczd2encryptzd2_bglt BGl_z62lambda2334z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4814)
{
{ /* Llib/block_ciphers.scm 83 */
{ /* Llib/block_ciphers.scm 83 */
 BgL_cbczd2encryptzd2_bglt BgL_new1077z00_5636;
BgL_new1077z00_5636 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 83 */
 long BgL_arg2335z00_5637;
BgL_arg2335z00_5637 = 
BGL_CLASS_NUM(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_5636), BgL_arg2335z00_5637); } 
{ /* Llib/block_ciphers.scm 83 */
 BgL_objectz00_bglt BgL_tmpz00_10519;
BgL_tmpz00_10519 = 
((BgL_objectz00_bglt)BgL_new1077z00_5636); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10519, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1077z00_5636); 
return BgL_new1077z00_5636;} } 

}



/* &lambda2332 */
BgL_cbczd2encryptzd2_bglt BGl_z62lambda2332z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4815, obj_t BgL_blockzd2siza7e1072z75_4816, obj_t BgL_cipher1073z00_4817, obj_t BgL_param1074z00_4818, obj_t BgL_buffer1075z00_4819, obj_t BgL_chain1076z00_4820)
{
{ /* Llib/block_ciphers.scm 83 */
{ /* Llib/block_ciphers.scm 83 */
 long BgL_blockzd2siza7e1072z75_5638;
BgL_blockzd2siza7e1072z75_5638 = 
(long)CINT(BgL_blockzd2siza7e1072z75_4816); 
{ /* Llib/block_ciphers.scm 83 */
 BgL_cbczd2encryptzd2_bglt BgL_new1256z00_5642;
{ /* Llib/block_ciphers.scm 83 */
 BgL_cbczd2encryptzd2_bglt BgL_new1255z00_5643;
BgL_new1255z00_5643 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 83 */
 long BgL_arg2333z00_5644;
BgL_arg2333z00_5644 = 
BGL_CLASS_NUM(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1255z00_5643), BgL_arg2333z00_5644); } 
{ /* Llib/block_ciphers.scm 83 */
 BgL_objectz00_bglt BgL_tmpz00_10528;
BgL_tmpz00_10528 = 
((BgL_objectz00_bglt)BgL_new1255z00_5643); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10528, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1255z00_5643); 
BgL_new1256z00_5642 = BgL_new1255z00_5643; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1256z00_5642)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1072z75_5638),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1256z00_5642)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1073z00_4817)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1256z00_5642)))->BgL_paramz00)=((obj_t)BgL_param1074z00_4818),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1256z00_5642))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1075z00_4819)),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1256z00_5642))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1076z00_4820)),BUNSPEC); 
return BgL_new1256z00_5642;} } } 

}



/* &lambda2346 */
obj_t BGl_z62lambda2346z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4821, obj_t BgL_oz00_4822, obj_t BgL_vz00_4823)
{
{ /* Llib/block_ciphers.scm 83 */
return 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_4822)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4823)),BUNSPEC);} 

}



/* &lambda2345 */
obj_t BGl_z62lambda2345z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4824, obj_t BgL_oz00_4825)
{
{ /* Llib/block_ciphers.scm 83 */
return 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_4825)))->BgL_chainz00);} 

}



/* &lambda2341 */
obj_t BGl_z62lambda2341z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4826, obj_t BgL_oz00_4827, obj_t BgL_vz00_4828)
{
{ /* Llib/block_ciphers.scm 83 */
return 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_4827)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4828)),BUNSPEC);} 

}



/* &lambda2340 */
obj_t BGl_z62lambda2340z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4829, obj_t BgL_oz00_4830)
{
{ /* Llib/block_ciphers.scm 83 */
return 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_4830)))->BgL_bufferz00);} 

}



/* &<@anonymous:2326> */
obj_t BGl_z62zc3z04anonymousza32326ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4831, obj_t BgL_new1070z00_4832)
{
{ /* Llib/block_ciphers.scm 82 */
{ 
 BgL_ecbzd2decryptzd2_bglt BgL_auxz00_10553;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1070z00_4832))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1070z00_4832))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1070z00_4832))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_10553 = 
((BgL_ecbzd2decryptzd2_bglt)BgL_new1070z00_4832); 
return 
((obj_t)BgL_auxz00_10553);} } 

}



/* &lambda2324 */
BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2324z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4833)
{
{ /* Llib/block_ciphers.scm 82 */
{ /* Llib/block_ciphers.scm 82 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1069z00_5652;
BgL_new1069z00_5652 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 82 */
 long BgL_arg2325z00_5653;
BgL_arg2325z00_5653 = 
BGL_CLASS_NUM(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_5652), BgL_arg2325z00_5653); } 
{ /* Llib/block_ciphers.scm 82 */
 BgL_objectz00_bglt BgL_tmpz00_10569;
BgL_tmpz00_10569 = 
((BgL_objectz00_bglt)BgL_new1069z00_5652); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10569, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1069z00_5652); 
return BgL_new1069z00_5652;} } 

}



/* &lambda2322 */
BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2322z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4834, obj_t BgL_blockzd2siza7e1066z75_4835, obj_t BgL_cipher1067z00_4836, obj_t BgL_param1068z00_4837)
{
{ /* Llib/block_ciphers.scm 82 */
{ /* Llib/block_ciphers.scm 82 */
 long BgL_blockzd2siza7e1066z75_5654;
BgL_blockzd2siza7e1066z75_5654 = 
(long)CINT(BgL_blockzd2siza7e1066z75_4835); 
{ /* Llib/block_ciphers.scm 82 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1254z00_5656;
{ /* Llib/block_ciphers.scm 82 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1253z00_5657;
BgL_new1253z00_5657 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 82 */
 long BgL_arg2323z00_5658;
BgL_arg2323z00_5658 = 
BGL_CLASS_NUM(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1253z00_5657), BgL_arg2323z00_5658); } 
{ /* Llib/block_ciphers.scm 82 */
 BgL_objectz00_bglt BgL_tmpz00_10578;
BgL_tmpz00_10578 = 
((BgL_objectz00_bglt)BgL_new1253z00_5657); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10578, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1253z00_5657); 
BgL_new1254z00_5656 = BgL_new1253z00_5657; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1254z00_5656)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1066z75_5654),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1254z00_5656)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1067z00_4836)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1254z00_5656)))->BgL_paramz00)=((obj_t)BgL_param1068z00_4837),BUNSPEC); 
return BgL_new1254z00_5656;} } } 

}



/* &<@anonymous:2316> */
obj_t BGl_z62zc3z04anonymousza32316ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4838, obj_t BgL_new1064z00_4839)
{
{ /* Llib/block_ciphers.scm 81 */
{ 
 BgL_ecbzd2encryptzd2_bglt BgL_auxz00_10589;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1064z00_4839))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1064z00_4839))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1064z00_4839))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_10589 = 
((BgL_ecbzd2encryptzd2_bglt)BgL_new1064z00_4839); 
return 
((obj_t)BgL_auxz00_10589);} } 

}



/* &lambda2314 */
BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2314z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4840)
{
{ /* Llib/block_ciphers.scm 81 */
{ /* Llib/block_ciphers.scm 81 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1063z00_5660;
BgL_new1063z00_5660 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 81 */
 long BgL_arg2315z00_5661;
BgL_arg2315z00_5661 = 
BGL_CLASS_NUM(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_5660), BgL_arg2315z00_5661); } 
{ /* Llib/block_ciphers.scm 81 */
 BgL_objectz00_bglt BgL_tmpz00_10605;
BgL_tmpz00_10605 = 
((BgL_objectz00_bglt)BgL_new1063z00_5660); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10605, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1063z00_5660); 
return BgL_new1063z00_5660;} } 

}



/* &lambda2312 */
BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2312z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4841, obj_t BgL_blockzd2siza7e1060z75_4842, obj_t BgL_cipher1061z00_4843, obj_t BgL_param1062z00_4844)
{
{ /* Llib/block_ciphers.scm 81 */
{ /* Llib/block_ciphers.scm 81 */
 long BgL_blockzd2siza7e1060z75_5662;
BgL_blockzd2siza7e1060z75_5662 = 
(long)CINT(BgL_blockzd2siza7e1060z75_4842); 
{ /* Llib/block_ciphers.scm 81 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1252z00_5664;
{ /* Llib/block_ciphers.scm 81 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1251z00_5665;
BgL_new1251z00_5665 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 81 */
 long BgL_arg2313z00_5666;
BgL_arg2313z00_5666 = 
BGL_CLASS_NUM(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1251z00_5665), BgL_arg2313z00_5666); } 
{ /* Llib/block_ciphers.scm 81 */
 BgL_objectz00_bglt BgL_tmpz00_10614;
BgL_tmpz00_10614 = 
((BgL_objectz00_bglt)BgL_new1251z00_5665); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10614, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1251z00_5665); 
BgL_new1252z00_5664 = BgL_new1251z00_5665; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1252z00_5664)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1060z75_5662),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1252z00_5664)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1061z00_4843)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1252z00_5664)))->BgL_paramz00)=((obj_t)BgL_param1062z00_4844),BUNSPEC); 
return BgL_new1252z00_5664;} } } 

}



/* &<@anonymous:2291> */
obj_t BGl_z62zc3z04anonymousza32291ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4845, obj_t BgL_new1058z00_4846)
{
{ /* Llib/block_ciphers.scm 77 */
{ 
 BgL_cipherzd2statezd2_bglt BgL_auxz00_10625;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1058z00_4846)))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1058z00_4846)))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1058z00_4846)))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_10625 = 
((BgL_cipherzd2statezd2_bglt)BgL_new1058z00_4846); 
return 
((obj_t)BgL_auxz00_10625);} } 

}



/* &lambda2289 */
BgL_cipherzd2statezd2_bglt BGl_z62lambda2289z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4847)
{
{ /* Llib/block_ciphers.scm 77 */
{ /* Llib/block_ciphers.scm 77 */
 BgL_cipherzd2statezd2_bglt BgL_new1057z00_5668;
BgL_new1057z00_5668 = 
((BgL_cipherzd2statezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2statezd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 77 */
 long BgL_arg2290z00_5669;
BgL_arg2290z00_5669 = 
BGL_CLASS_NUM(BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1057z00_5668), BgL_arg2290z00_5669); } 
return BgL_new1057z00_5668;} } 

}



/* &lambda2306 */
obj_t BGl_z62lambda2306z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4848, obj_t BgL_oz00_4849, obj_t BgL_vz00_4850)
{
{ /* Llib/block_ciphers.scm 77 */
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4849)))->BgL_paramz00)=((obj_t)BgL_vz00_4850),BUNSPEC);} 

}



/* &lambda2305 */
obj_t BGl_z62lambda2305z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4851, obj_t BgL_oz00_4852)
{
{ /* Llib/block_ciphers.scm 77 */
return 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4852)))->BgL_paramz00);} 

}



/* &lambda2301 */
obj_t BGl_z62lambda2301z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4853, obj_t BgL_oz00_4854, obj_t BgL_vz00_4855)
{
{ /* Llib/block_ciphers.scm 77 */
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4854)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_vz00_4855)),BUNSPEC);} 

}



/* &lambda2300 */
obj_t BGl_z62lambda2300z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4856, obj_t BgL_oz00_4857)
{
{ /* Llib/block_ciphers.scm 77 */
return 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4857)))->BgL_cipherz00);} 

}



/* &lambda2296 */
obj_t BGl_z62lambda2296z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4858, obj_t BgL_oz00_4859, obj_t BgL_vz00_4860)
{
{ /* Llib/block_ciphers.scm 77 */
{ /* Llib/block_ciphers.scm 77 */
 long BgL_vz00_5676;
BgL_vz00_5676 = 
(long)CINT(BgL_vz00_4860); 
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4859)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_5676),BUNSPEC);} } 

}



/* &lambda2295 */
obj_t BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4861, obj_t BgL_oz00_4862)
{
{ /* Llib/block_ciphers.scm 77 */
return 
BINT(
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4862)))->BgL_blockzd2siza7ez75));} 

}



/* &<@anonymous:2249> */
obj_t BGl_z62zc3z04anonymousza32249ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4863, obj_t BgL_new1055z00_4864)
{
{ /* Llib/block_ciphers.scm 6 */
{ 
 BgL_blockzd2cipherzd2_bglt BgL_auxz00_10653;
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4864)))->BgL_namez00)=((obj_t)BGl_string3234z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4864)))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4864)))->BgL_preferredzd2keyzd2lengthz00)=((long)((long)0)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4864)))->BgL_encryptz12z12)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4864)))->BgL_decryptz12z12)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4864)))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4864)))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_10653 = 
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4864); 
return 
((obj_t)BgL_auxz00_10653);} } 

}



/* &lambda2247 */
BgL_blockzd2cipherzd2_bglt BGl_z62lambda2247z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4865)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
 BgL_blockzd2cipherzd2_bglt BgL_new1054z00_5679;
BgL_new1054z00_5679 = 
((BgL_blockzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_blockzd2cipherzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 6 */
 long BgL_arg2248z00_5680;
BgL_arg2248z00_5680 = 
BGL_CLASS_NUM(BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_5679), BgL_arg2248z00_5680); } 
{ /* Llib/block_ciphers.scm 6 */
 BgL_objectz00_bglt BgL_tmpz00_10674;
BgL_tmpz00_10674 = 
((BgL_objectz00_bglt)BgL_new1054z00_5679); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10674, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1054z00_5679); 
return BgL_new1054z00_5679;} } 

}



/* &lambda2245 */
BgL_blockzd2cipherzd2_bglt BGl_z62lambda2245z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4866, obj_t BgL_name1047z00_4867, obj_t BgL_blockzd2siza7e1048z75_4868, obj_t BgL_preferredzd2keyzd2length1049z00_4869, obj_t BgL_encryptz121050z12_4870, obj_t BgL_decryptz121051z12_4871, obj_t BgL_keyzd2ze3encryptzd2param1052ze3_4872, obj_t BgL_keyzd2ze3decryptzd2param1053ze3_4873)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
 long BgL_blockzd2siza7e1048z75_5682; long BgL_preferredzd2keyzd2length1049z00_5683;
BgL_blockzd2siza7e1048z75_5682 = 
(long)CINT(BgL_blockzd2siza7e1048z75_4868); 
BgL_preferredzd2keyzd2length1049z00_5683 = 
(long)CINT(BgL_preferredzd2keyzd2length1049z00_4869); 
{ /* Llib/block_ciphers.scm 6 */
 BgL_blockzd2cipherzd2_bglt BgL_new1250z00_5688;
{ /* Llib/block_ciphers.scm 6 */
 BgL_blockzd2cipherzd2_bglt BgL_new1249z00_5689;
BgL_new1249z00_5689 = 
((BgL_blockzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_blockzd2cipherzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 6 */
 long BgL_arg2246z00_5690;
BgL_arg2246z00_5690 = 
BGL_CLASS_NUM(BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1249z00_5689), BgL_arg2246z00_5690); } 
{ /* Llib/block_ciphers.scm 6 */
 BgL_objectz00_bglt BgL_tmpz00_10684;
BgL_tmpz00_10684 = 
((BgL_objectz00_bglt)BgL_new1249z00_5689); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10684, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1249z00_5689); 
BgL_new1250z00_5688 = BgL_new1249z00_5689; } 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5688))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1047z00_4867)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5688))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1048z75_5682),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5688))->BgL_preferredzd2keyzd2lengthz00)=((long)BgL_preferredzd2keyzd2length1049z00_5683),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5688))->BgL_encryptz12z12)=((obj_t)
((obj_t)BgL_encryptz121050z12_4870)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5688))->BgL_decryptz12z12)=((obj_t)
((obj_t)BgL_decryptz121051z12_4871)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5688))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)
((obj_t)BgL_keyzd2ze3encryptzd2param1052ze3_4872)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1250z00_5688))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)
((obj_t)BgL_keyzd2ze3decryptzd2param1053ze3_4873)),BUNSPEC); 
return BgL_new1250z00_5688;} } } 

}



/* &lambda2284 */
obj_t BGl_z62lambda2284z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4874, obj_t BgL_oz00_4875, obj_t BgL_vz00_4876)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4875)))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)
((obj_t)BgL_vz00_4876)),BUNSPEC);} 

}



/* &lambda2283 */
obj_t BGl_z62lambda2283z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4877, obj_t BgL_oz00_4878)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4878)))->BgL_keyzd2ze3decryptzd2paramze3);} 

}



/* &lambda2279 */
obj_t BGl_z62lambda2279z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4879, obj_t BgL_oz00_4880, obj_t BgL_vz00_4881)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4880)))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)
((obj_t)BgL_vz00_4881)),BUNSPEC);} 

}



/* &lambda2278 */
obj_t BGl_z62lambda2278z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4882, obj_t BgL_oz00_4883)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4883)))->BgL_keyzd2ze3encryptzd2paramze3);} 

}



/* &lambda2274 */
obj_t BGl_z62lambda2274z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4884, obj_t BgL_oz00_4885, obj_t BgL_vz00_4886)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4885)))->BgL_decryptz12z12)=((obj_t)
((obj_t)BgL_vz00_4886)),BUNSPEC);} 

}



/* &lambda2273 */
obj_t BGl_z62lambda2273z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4887, obj_t BgL_oz00_4888)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4888)))->BgL_decryptz12z12);} 

}



/* &lambda2269 */
obj_t BGl_z62lambda2269z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4889, obj_t BgL_oz00_4890, obj_t BgL_vz00_4891)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4890)))->BgL_encryptz12z12)=((obj_t)
((obj_t)BgL_vz00_4891)),BUNSPEC);} 

}



/* &lambda2268 */
obj_t BGl_z62lambda2268z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4892, obj_t BgL_oz00_4893)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4893)))->BgL_encryptz12z12);} 

}



/* &lambda2264 */
obj_t BGl_z62lambda2264z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4894, obj_t BgL_oz00_4895, obj_t BgL_vz00_4896)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
 long BgL_vz00_5704;
BgL_vz00_5704 = 
(long)CINT(BgL_vz00_4896); 
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4895)))->BgL_preferredzd2keyzd2lengthz00)=((long)BgL_vz00_5704),BUNSPEC);} } 

}



/* &lambda2263 */
obj_t BGl_z62lambda2263z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4897, obj_t BgL_oz00_4898)
{
{ /* Llib/block_ciphers.scm 6 */
return 
BINT(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4898)))->BgL_preferredzd2keyzd2lengthz00));} 

}



/* &lambda2259 */
obj_t BGl_z62lambda2259z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4899, obj_t BgL_oz00_4900, obj_t BgL_vz00_4901)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
 long BgL_vz00_5707;
BgL_vz00_5707 = 
(long)CINT(BgL_vz00_4901); 
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4900)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_5707),BUNSPEC);} } 

}



/* &lambda2258 */
obj_t BGl_z62lambda2258z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4902, obj_t BgL_oz00_4903)
{
{ /* Llib/block_ciphers.scm 6 */
return 
BINT(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4903)))->BgL_blockzd2siza7ez75));} 

}



/* &lambda2254 */
obj_t BGl_z62lambda2254z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4904, obj_t BgL_oz00_4905, obj_t BgL_vz00_4906)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4905)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_4906)),BUNSPEC);} 

}



/* &lambda2253 */
obj_t BGl_z62lambda2253z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4907, obj_t BgL_oz00_4908)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4908)))->BgL_namez00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_proc3235z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3236z00zz__cryptozd2blockzd2ciphersz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_proc3237z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3238z00zz__cryptozd2blockzd2ciphersz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_proc3239z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3240z00zz__cryptozd2blockzd2ciphersz00);} 

}



/* &do-cipher-partial-bl1318 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1318zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4912, obj_t BgL_statez00_4913, obj_t BgL_fromz00_4914, obj_t BgL_fromzd2blockzd2posz00_4915, obj_t BgL_toz00_4916, obj_t BgL_tozd2blockzd2posz00_4917, obj_t BgL_atz00_4918, obj_t BgL_lenz00_4919)
{
{ /* Llib/block_ciphers.scm 212 */
return 
BGl_errorz00zz__errorz00(BGl_string3241z00zz__cryptozd2blockzd2ciphersz00, BGl_string3242z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4913)));} 

}



/* &do-cipher-block!1316 */
obj_t BGl_z62dozd2cipherzd2blockz121316z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4920, obj_t BgL_statez00_4921, obj_t BgL_fromz00_4922, obj_t BgL_fromzd2poszd2_4923, obj_t BgL_toz00_4924, obj_t BgL_tozd2poszd2_4925)
{
{ /* Llib/block_ciphers.scm 206 */
return 
BGl_errorz00zz__errorz00(BGl_string3243z00zz__cryptozd2blockzd2ciphersz00, BGl_string3242z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4921)));} 

}



/* &do-cipher-IV-init!1314 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz121314za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4926, obj_t BgL_statez00_4927, obj_t BgL_ivz00_4928)
{
{ /* Llib/block_ciphers.scm 202 */
return 
BGl_errorz00zz__errorz00(BGl_string3244z00zz__cryptozd2blockzd2ciphersz00, BGl_string3242z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4927)));} 

}



/* do-cipher-IV-init! */
obj_t BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_36, obj_t BgL_ivz00_37)
{
{ /* Llib/block_ciphers.scm 202 */
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_method1315z00_2171;
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_res2732z00_3611;
{ /* Llib/block_ciphers.scm 202 */
 long BgL_objzd2classzd2numz00_3582;
BgL_objzd2classzd2numz00_3582 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_36)); 
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_arg1798z00_3583;
BgL_arg1798z00_3583 = 
PROCEDURE_REF(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)1))); 
{ /* Llib/block_ciphers.scm 202 */
 int BgL_offsetz00_3586;
BgL_offsetz00_3586 = 
(int)(BgL_objzd2classzd2numz00_3582); 
{ /* Llib/block_ciphers.scm 202 */
 long BgL_offsetz00_3587;
BgL_offsetz00_3587 = 
(
(long)(BgL_offsetz00_3586)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 202 */
 long BgL_modz00_3588;
BgL_modz00_3588 = 
(BgL_offsetz00_3587 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/block_ciphers.scm 202 */
 long BgL_restz00_3590;
BgL_restz00_3590 = 
(BgL_offsetz00_3587 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/block_ciphers.scm 202 */

{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_bucketz00_3592;
BgL_bucketz00_3592 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3583),BgL_modz00_3588); 
BgL_res2732z00_3611 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3592),BgL_restz00_3590); } } } } } } } } 
BgL_method1315z00_2171 = BgL_res2732z00_3611; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1315z00_2171))(BgL_method1315z00_2171, 
((obj_t)BgL_statez00_36), BgL_ivz00_37, BEOA);} } 

}



/* &do-cipher-IV-init! */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4929, obj_t BgL_statez00_4930, obj_t BgL_ivz00_4931)
{
{ /* Llib/block_ciphers.scm 202 */
{ /* Llib/block_ciphers.scm 202 */
 BgL_cipherzd2statezd2_bglt BgL_auxz00_10780;
{ /* Llib/block_ciphers.scm 202 */
 bool_t BgL_test3979z00_10781;
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_classz00_5725;
BgL_classz00_5725 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
if(
BGL_OBJECTP(BgL_statez00_4930))
{ /* Llib/block_ciphers.scm 202 */
 BgL_objectz00_bglt BgL_arg1796z00_5727; long BgL_arg1797z00_5728;
BgL_arg1796z00_5727 = 
(BgL_objectz00_bglt)(BgL_statez00_4930); 
BgL_arg1797z00_5728 = 
BGL_CLASS_DEPTH(BgL_classz00_5725); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/block_ciphers.scm 202 */
 long BgL_idxz00_5736;
BgL_idxz00_5736 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5727); 
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_arg1788z00_5737;
{ /* Llib/block_ciphers.scm 202 */
 long BgL_arg1789z00_5738;
BgL_arg1789z00_5738 = 
(BgL_idxz00_5736+BgL_arg1797z00_5728); 
BgL_arg1788z00_5737 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5738); } 
BgL_test3979z00_10781 = 
(BgL_arg1788z00_5737==BgL_classz00_5725); } }  else 
{ /* Llib/block_ciphers.scm 202 */
 bool_t BgL_res3277z00_5761;
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_oclassz00_5746;
{ /* Llib/block_ciphers.scm 202 */
 long BgL_arg1801z00_5752;
{ /* Llib/block_ciphers.scm 202 */
 long BgL_arg1802z00_5753;
BgL_arg1802z00_5753 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5727); 
BgL_arg1801z00_5752 = 
(BgL_arg1802z00_5753-OBJECT_TYPE); } 
BgL_oclassz00_5746 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5752); } 
{ /* Llib/block_ciphers.scm 202 */
 bool_t BgL__ortest_1110z00_5747;
BgL__ortest_1110z00_5747 = 
(BgL_classz00_5725==BgL_oclassz00_5746); 
if(BgL__ortest_1110z00_5747)
{ /* Llib/block_ciphers.scm 202 */
BgL_res3277z00_5761 = BgL__ortest_1110z00_5747; }  else 
{ /* Llib/block_ciphers.scm 202 */
 long BgL_odepthz00_5748;
BgL_odepthz00_5748 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5746); 
if(
(BgL_arg1797z00_5728<BgL_odepthz00_5748))
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_arg1790z00_5750;
BgL_arg1790z00_5750 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5746, BgL_arg1797z00_5728); 
BgL_res3277z00_5761 = 
(BgL_arg1790z00_5750==BgL_classz00_5725); }  else 
{ /* Llib/block_ciphers.scm 202 */
BgL_res3277z00_5761 = ((bool_t)0); } } } } 
BgL_test3979z00_10781 = BgL_res3277z00_5761; } }  else 
{ /* Llib/block_ciphers.scm 202 */
BgL_test3979z00_10781 = ((bool_t)0)
; } } 
if(BgL_test3979z00_10781)
{ /* Llib/block_ciphers.scm 202 */
BgL_auxz00_10780 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4930)
; }  else 
{ 
 obj_t BgL_auxz00_10803;
BgL_auxz00_10803 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7145)), BGl_string3245z00zz__cryptozd2blockzd2ciphersz00, BGl_string3246z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_4930); 
FAILURE(BgL_auxz00_10803,BFALSE,BFALSE);} } 
return 
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_10780, BgL_ivz00_4931);} } 

}



/* do-cipher-block! */
obj_t BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_38, obj_t BgL_fromz00_39, long BgL_fromzd2poszd2_40, obj_t BgL_toz00_41, long BgL_tozd2poszd2_42)
{
{ /* Llib/block_ciphers.scm 206 */
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_method1317z00_2172;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_res2737z00_3642;
{ /* Llib/block_ciphers.scm 206 */
 long BgL_objzd2classzd2numz00_3613;
BgL_objzd2classzd2numz00_3613 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_38)); 
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_arg1798z00_3614;
BgL_arg1798z00_3614 = 
PROCEDURE_REF(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)1))); 
{ /* Llib/block_ciphers.scm 206 */
 int BgL_offsetz00_3617;
BgL_offsetz00_3617 = 
(int)(BgL_objzd2classzd2numz00_3613); 
{ /* Llib/block_ciphers.scm 206 */
 long BgL_offsetz00_3618;
BgL_offsetz00_3618 = 
(
(long)(BgL_offsetz00_3617)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 206 */
 long BgL_modz00_3619;
BgL_modz00_3619 = 
(BgL_offsetz00_3618 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/block_ciphers.scm 206 */
 long BgL_restz00_3621;
BgL_restz00_3621 = 
(BgL_offsetz00_3618 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/block_ciphers.scm 206 */

{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_bucketz00_3623;
BgL_bucketz00_3623 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3614),BgL_modz00_3619); 
BgL_res2737z00_3642 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3623),BgL_restz00_3621); } } } } } } } } 
BgL_method1317z00_2172 = BgL_res2737z00_3642; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1317z00_2172))(BgL_method1317z00_2172, 
((obj_t)BgL_statez00_38), BgL_fromz00_39, 
BINT(BgL_fromzd2poszd2_40), BgL_toz00_41, 
BINT(BgL_tozd2poszd2_42), BEOA);} } 

}



/* &do-cipher-block! */
obj_t BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4932, obj_t BgL_statez00_4933, obj_t BgL_fromz00_4934, obj_t BgL_fromzd2poszd2_4935, obj_t BgL_toz00_4936, obj_t BgL_tozd2poszd2_4937)
{
{ /* Llib/block_ciphers.scm 206 */
{ /* Llib/block_ciphers.scm 206 */
 long BgL_auxz00_10894; obj_t BgL_auxz00_10887; long BgL_auxz00_10878; obj_t BgL_auxz00_10871; BgL_cipherzd2statezd2_bglt BgL_auxz00_10844;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_tmpz00_10895;
if(
INTEGERP(BgL_tozd2poszd2_4937))
{ /* Llib/block_ciphers.scm 206 */
BgL_tmpz00_10895 = BgL_tozd2poszd2_4937
; }  else 
{ 
 obj_t BgL_auxz00_10898;
BgL_auxz00_10898 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7296)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_tozd2poszd2_4937); 
FAILURE(BgL_auxz00_10898,BFALSE,BFALSE);} 
BgL_auxz00_10894 = 
(long)CINT(BgL_tmpz00_10895); } 
if(
STRINGP(BgL_toz00_4936))
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_10887 = BgL_toz00_4936
; }  else 
{ 
 obj_t BgL_auxz00_10890;
BgL_auxz00_10890 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7296)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_toz00_4936); 
FAILURE(BgL_auxz00_10890,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_tmpz00_10879;
if(
INTEGERP(BgL_fromzd2poszd2_4935))
{ /* Llib/block_ciphers.scm 206 */
BgL_tmpz00_10879 = BgL_fromzd2poszd2_4935
; }  else 
{ 
 obj_t BgL_auxz00_10882;
BgL_auxz00_10882 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7296)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_fromzd2poszd2_4935); 
FAILURE(BgL_auxz00_10882,BFALSE,BFALSE);} 
BgL_auxz00_10878 = 
(long)CINT(BgL_tmpz00_10879); } 
if(
STRINGP(BgL_fromz00_4934))
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_10871 = BgL_fromz00_4934
; }  else 
{ 
 obj_t BgL_auxz00_10874;
BgL_auxz00_10874 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7296)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_fromz00_4934); 
FAILURE(BgL_auxz00_10874,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 206 */
 bool_t BgL_test3984z00_10845;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_classz00_5762;
BgL_classz00_5762 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
if(
BGL_OBJECTP(BgL_statez00_4933))
{ /* Llib/block_ciphers.scm 206 */
 BgL_objectz00_bglt BgL_arg1796z00_5764; long BgL_arg1797z00_5765;
BgL_arg1796z00_5764 = 
(BgL_objectz00_bglt)(BgL_statez00_4933); 
BgL_arg1797z00_5765 = 
BGL_CLASS_DEPTH(BgL_classz00_5762); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/block_ciphers.scm 206 */
 long BgL_idxz00_5773;
BgL_idxz00_5773 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5764); 
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_arg1788z00_5774;
{ /* Llib/block_ciphers.scm 206 */
 long BgL_arg1789z00_5775;
BgL_arg1789z00_5775 = 
(BgL_idxz00_5773+BgL_arg1797z00_5765); 
BgL_arg1788z00_5774 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5775); } 
BgL_test3984z00_10845 = 
(BgL_arg1788z00_5774==BgL_classz00_5762); } }  else 
{ /* Llib/block_ciphers.scm 206 */
 bool_t BgL_res3278z00_5798;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_oclassz00_5783;
{ /* Llib/block_ciphers.scm 206 */
 long BgL_arg1801z00_5789;
{ /* Llib/block_ciphers.scm 206 */
 long BgL_arg1802z00_5790;
BgL_arg1802z00_5790 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5764); 
BgL_arg1801z00_5789 = 
(BgL_arg1802z00_5790-OBJECT_TYPE); } 
BgL_oclassz00_5783 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5789); } 
{ /* Llib/block_ciphers.scm 206 */
 bool_t BgL__ortest_1110z00_5784;
BgL__ortest_1110z00_5784 = 
(BgL_classz00_5762==BgL_oclassz00_5783); 
if(BgL__ortest_1110z00_5784)
{ /* Llib/block_ciphers.scm 206 */
BgL_res3278z00_5798 = BgL__ortest_1110z00_5784; }  else 
{ /* Llib/block_ciphers.scm 206 */
 long BgL_odepthz00_5785;
BgL_odepthz00_5785 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5783); 
if(
(BgL_arg1797z00_5765<BgL_odepthz00_5785))
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_arg1790z00_5787;
BgL_arg1790z00_5787 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5783, BgL_arg1797z00_5765); 
BgL_res3278z00_5798 = 
(BgL_arg1790z00_5787==BgL_classz00_5762); }  else 
{ /* Llib/block_ciphers.scm 206 */
BgL_res3278z00_5798 = ((bool_t)0); } } } } 
BgL_test3984z00_10845 = BgL_res3278z00_5798; } }  else 
{ /* Llib/block_ciphers.scm 206 */
BgL_test3984z00_10845 = ((bool_t)0)
; } } 
if(BgL_test3984z00_10845)
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_10844 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4933)
; }  else 
{ 
 obj_t BgL_auxz00_10867;
BgL_auxz00_10867 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7296)), BGl_string3247z00zz__cryptozd2blockzd2ciphersz00, BGl_string3246z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_4933); 
FAILURE(BgL_auxz00_10867,BFALSE,BFALSE);} } 
return 
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_10844, BgL_auxz00_10871, BgL_auxz00_10878, BgL_auxz00_10887, BgL_auxz00_10894);} } 

}



/* do-cipher-partial-block! */
obj_t BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_43, obj_t BgL_fromz00_44, long BgL_fromzd2blockzd2posz00_45, obj_t BgL_toz00_46, long BgL_tozd2blockzd2posz00_47, long BgL_atz00_48, long BgL_lenz00_49)
{
{ /* Llib/block_ciphers.scm 212 */
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_method1319z00_2173;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_res2742z00_3673;
{ /* Llib/block_ciphers.scm 212 */
 long BgL_objzd2classzd2numz00_3644;
BgL_objzd2classzd2numz00_3644 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_43)); 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_arg1798z00_3645;
BgL_arg1798z00_3645 = 
PROCEDURE_REF(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)1))); 
{ /* Llib/block_ciphers.scm 212 */
 int BgL_offsetz00_3648;
BgL_offsetz00_3648 = 
(int)(BgL_objzd2classzd2numz00_3644); 
{ /* Llib/block_ciphers.scm 212 */
 long BgL_offsetz00_3649;
BgL_offsetz00_3649 = 
(
(long)(BgL_offsetz00_3648)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 212 */
 long BgL_modz00_3650;
BgL_modz00_3650 = 
(BgL_offsetz00_3649 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/block_ciphers.scm 212 */
 long BgL_restz00_3652;
BgL_restz00_3652 = 
(BgL_offsetz00_3649 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/block_ciphers.scm 212 */

{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_bucketz00_3654;
BgL_bucketz00_3654 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3645),BgL_modz00_3650); 
BgL_res2742z00_3673 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3654),BgL_restz00_3652); } } } } } } } } 
BgL_method1319z00_2173 = BgL_res2742z00_3673; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1319z00_2173))(BgL_method1319z00_2173, 
((obj_t)BgL_statez00_43), BgL_fromz00_44, 
BINT(BgL_fromzd2blockzd2posz00_45), BgL_toz00_46, 
BINT(BgL_tozd2blockzd2posz00_47), 
BINT(BgL_atz00_48), 
BINT(BgL_lenz00_49), BEOA);} } 

}



/* &do-cipher-partial-block! */
obj_t BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4938, obj_t BgL_statez00_4939, obj_t BgL_fromz00_4940, obj_t BgL_fromzd2blockzd2posz00_4941, obj_t BgL_toz00_4942, obj_t BgL_tozd2blockzd2posz00_4943, obj_t BgL_atz00_4944, obj_t BgL_lenz00_4945)
{
{ /* Llib/block_ciphers.scm 212 */
{ /* Llib/block_ciphers.scm 212 */
 long BgL_auxz00_11012; long BgL_auxz00_11003; long BgL_auxz00_10994; obj_t BgL_auxz00_10987; long BgL_auxz00_10978; obj_t BgL_auxz00_10971; BgL_cipherzd2statezd2_bglt BgL_auxz00_10944;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_tmpz00_11013;
if(
INTEGERP(BgL_lenz00_4945))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11013 = BgL_lenz00_4945
; }  else 
{ 
 obj_t BgL_auxz00_11016;
BgL_auxz00_11016 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_lenz00_4945); 
FAILURE(BgL_auxz00_11016,BFALSE,BFALSE);} 
BgL_auxz00_11012 = 
(long)CINT(BgL_tmpz00_11013); } 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_tmpz00_11004;
if(
INTEGERP(BgL_atz00_4944))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11004 = BgL_atz00_4944
; }  else 
{ 
 obj_t BgL_auxz00_11007;
BgL_auxz00_11007 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_atz00_4944); 
FAILURE(BgL_auxz00_11007,BFALSE,BFALSE);} 
BgL_auxz00_11003 = 
(long)CINT(BgL_tmpz00_11004); } 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_tmpz00_10995;
if(
INTEGERP(BgL_tozd2blockzd2posz00_4943))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_10995 = BgL_tozd2blockzd2posz00_4943
; }  else 
{ 
 obj_t BgL_auxz00_10998;
BgL_auxz00_10998 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_tozd2blockzd2posz00_4943); 
FAILURE(BgL_auxz00_10998,BFALSE,BFALSE);} 
BgL_auxz00_10994 = 
(long)CINT(BgL_tmpz00_10995); } 
if(
STRINGP(BgL_toz00_4942))
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_10987 = BgL_toz00_4942
; }  else 
{ 
 obj_t BgL_auxz00_10990;
BgL_auxz00_10990 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_toz00_4942); 
FAILURE(BgL_auxz00_10990,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_tmpz00_10979;
if(
INTEGERP(BgL_fromzd2blockzd2posz00_4941))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_10979 = BgL_fromzd2blockzd2posz00_4941
; }  else 
{ 
 obj_t BgL_auxz00_10982;
BgL_auxz00_10982 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3087z00zz__cryptozd2blockzd2ciphersz00, BgL_fromzd2blockzd2posz00_4941); 
FAILURE(BgL_auxz00_10982,BFALSE,BFALSE);} 
BgL_auxz00_10978 = 
(long)CINT(BgL_tmpz00_10979); } 
if(
STRINGP(BgL_fromz00_4940))
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_10971 = BgL_fromz00_4940
; }  else 
{ 
 obj_t BgL_auxz00_10974;
BgL_auxz00_10974 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3071z00zz__cryptozd2blockzd2ciphersz00, BgL_fromz00_4940); 
FAILURE(BgL_auxz00_10974,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 212 */
 bool_t BgL_test3993z00_10945;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_classz00_5799;
BgL_classz00_5799 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
if(
BGL_OBJECTP(BgL_statez00_4939))
{ /* Llib/block_ciphers.scm 212 */
 BgL_objectz00_bglt BgL_arg1796z00_5801; long BgL_arg1797z00_5802;
BgL_arg1796z00_5801 = 
(BgL_objectz00_bglt)(BgL_statez00_4939); 
BgL_arg1797z00_5802 = 
BGL_CLASS_DEPTH(BgL_classz00_5799); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/block_ciphers.scm 212 */
 long BgL_idxz00_5810;
BgL_idxz00_5810 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5801); 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_arg1788z00_5811;
{ /* Llib/block_ciphers.scm 212 */
 long BgL_arg1789z00_5812;
BgL_arg1789z00_5812 = 
(BgL_idxz00_5810+BgL_arg1797z00_5802); 
BgL_arg1788z00_5811 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5812); } 
BgL_test3993z00_10945 = 
(BgL_arg1788z00_5811==BgL_classz00_5799); } }  else 
{ /* Llib/block_ciphers.scm 212 */
 bool_t BgL_res3279z00_5835;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_oclassz00_5820;
{ /* Llib/block_ciphers.scm 212 */
 long BgL_arg1801z00_5826;
{ /* Llib/block_ciphers.scm 212 */
 long BgL_arg1802z00_5827;
BgL_arg1802z00_5827 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5801); 
BgL_arg1801z00_5826 = 
(BgL_arg1802z00_5827-OBJECT_TYPE); } 
BgL_oclassz00_5820 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5826); } 
{ /* Llib/block_ciphers.scm 212 */
 bool_t BgL__ortest_1110z00_5821;
BgL__ortest_1110z00_5821 = 
(BgL_classz00_5799==BgL_oclassz00_5820); 
if(BgL__ortest_1110z00_5821)
{ /* Llib/block_ciphers.scm 212 */
BgL_res3279z00_5835 = BgL__ortest_1110z00_5821; }  else 
{ /* Llib/block_ciphers.scm 212 */
 long BgL_odepthz00_5822;
BgL_odepthz00_5822 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5820); 
if(
(BgL_arg1797z00_5802<BgL_odepthz00_5822))
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_arg1790z00_5824;
BgL_arg1790z00_5824 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5820, BgL_arg1797z00_5802); 
BgL_res3279z00_5835 = 
(BgL_arg1790z00_5824==BgL_classz00_5799); }  else 
{ /* Llib/block_ciphers.scm 212 */
BgL_res3279z00_5835 = ((bool_t)0); } } } } 
BgL_test3993z00_10945 = BgL_res3279z00_5835; } }  else 
{ /* Llib/block_ciphers.scm 212 */
BgL_test3993z00_10945 = ((bool_t)0)
; } } 
if(BgL_test3993z00_10945)
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_10944 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4939)
; }  else 
{ 
 obj_t BgL_auxz00_10967;
BgL_auxz00_10967 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3069z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7510)), BGl_string3248z00zz__cryptozd2blockzd2ciphersz00, BGl_string3246z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_4939); 
FAILURE(BgL_auxz00_10967,BFALSE,BFALSE);} } 
return 
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_10944, BgL_auxz00_10971, BgL_auxz00_10978, BgL_auxz00_10987, BgL_auxz00_10994, BgL_auxz00_11003, BgL_auxz00_11012);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3249z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3251z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3252z00zz__cryptozd2blockzd2ciphersz00, BGl_string3253z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3254z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3255z00zz__cryptozd2blockzd2ciphersz00, BGl_string3253z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3256z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3257z00zz__cryptozd2blockzd2ciphersz00, BGl_string3253z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3258z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3259z00zz__cryptozd2blockzd2ciphersz00, BGl_string3253z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3260z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3261z00zz__cryptozd2blockzd2ciphersz00, BGl_string3253z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3262z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3263z00zz__cryptozd2blockzd2ciphersz00, BGl_string3264z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3265z00zz__cryptozd2blockzd2ciphersz00, BGl_string3253z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3266z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3267z00zz__cryptozd2blockzd2ciphersz00, BGl_string3264z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3268z00zz__cryptozd2blockzd2ciphersz00, BGl_string3253z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3269z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3270z00zz__cryptozd2blockzd2ciphersz00, BGl_string3264z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3271z00zz__cryptozd2blockzd2ciphersz00, BGl_string3253z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3272z00zz__cryptozd2blockzd2ciphersz00, BGl_string3250z00zz__cryptozd2blockzd2ciphersz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3273z00zz__cryptozd2blockzd2ciphersz00, BGl_string3264z00zz__cryptozd2blockzd2ciphersz00);} 

}



/* &do-cipher-partial-bl1363 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1363zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4968, obj_t BgL_statez00_4969, obj_t BgL_fromz00_4970, obj_t BgL_fromzd2poszd2_4971, obj_t BgL_toz00_4972, obj_t BgL_tozd2poszd2_4973, obj_t BgL_atz00_4974, obj_t BgL_lenz00_4975)
{
{ /* Llib/block_ciphers.scm 417 */
{ /* Llib/block_ciphers.scm 419 */
 bool_t BgL_tmpz00_11044;
if(
(
(long)CINT(BgL_atz00_4974)==((long)0)))
{ /* Llib/block_ciphers.scm 421 */
{ /* Llib/block_ciphers.scm 422 */
 obj_t BgL_fun2685z00_5837;
BgL_fun2685z00_5837 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4969)))->BgL_noncezd2updatez12zc0); 
{ /* Llib/block_ciphers.scm 422 */
 obj_t BgL_arg2682z00_5838; obj_t BgL_arg2683z00_5839; long BgL_arg2684z00_5840;
BgL_arg2682z00_5838 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4969)))->BgL_noncezd2strzd2); 
BgL_arg2683z00_5839 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4969)))->BgL_noncez00); 
BgL_arg2684z00_5840 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4969)))->BgL_blockzd2counterzd2); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2685z00_5837))(BgL_fun2685z00_5837, BgL_arg2682z00_5838, BgL_arg2683z00_5839, 
BINT(BgL_arg2684z00_5840), BEOA); } } 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4969)))->BgL_blockzd2counterzd2)=((long)
(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4969)))->BgL_blockzd2counterzd2)+((long)1))),BUNSPEC); 
{ /* Llib/block_ciphers.scm 424 */
 obj_t BgL_fun2690z00_5841;
BgL_fun2690z00_5841 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4969))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 424 */
 obj_t BgL_arg2687z00_5842; obj_t BgL_arg2688z00_5843; obj_t BgL_arg2689z00_5844;
BgL_arg2687z00_5842 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4969)))->BgL_noncezd2strzd2); 
BgL_arg2688z00_5843 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4969)))->BgL_noncezd2strzd2); 
BgL_arg2689z00_5844 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4969))))->BgL_paramz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2690z00_5841))(BgL_fun2690z00_5841, BgL_arg2687z00_5842, 
BINT(((long)0)), BgL_arg2688z00_5843, 
BINT(((long)0)), BgL_arg2689z00_5844, BEOA); } } }  else 
{ /* Llib/block_ciphers.scm 421 */BFALSE; } 
{ /* Llib/block_ciphers.scm 425 */
 long BgL_arg2691z00_5845; long BgL_arg2692z00_5846; obj_t BgL_arg2693z00_5847;
BgL_arg2691z00_5845 = 
(
(long)CINT(BgL_tozd2poszd2_4973)+
(long)CINT(BgL_atz00_4974)); 
BgL_arg2692z00_5846 = 
(
(long)CINT(BgL_fromzd2poszd2_4971)+
(long)CINT(BgL_atz00_4974)); 
BgL_arg2693z00_5847 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4969)))->BgL_noncezd2strzd2); 
{ 
 long BgL_iz00_5849;
BgL_iz00_5849 = ((long)0); 
BgL_loopz00_5848:
if(
(BgL_iz00_5849==
(BgL_arg2691z00_5845+
(long)CINT(BgL_lenz00_4975))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_11044 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
 long BgL_arg1574z00_5850; unsigned char BgL_arg1575z00_5851;
BgL_arg1574z00_5850 = 
(BgL_arg2691z00_5845+BgL_iz00_5849); 
BgL_arg1575z00_5851 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_4970), 
(BgL_arg2692z00_5846+BgL_iz00_5849))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2693z00_5847, 
(
(long)CINT(BgL_atz00_4974)+BgL_iz00_5849)))))))); 
{ /* Llib/block_ciphers.scm 129 */
 unsigned char BgL_charz00_5852;
BgL_charz00_5852 = 
(unsigned char)(BgL_arg1575z00_5851); 
{ /* Llib/block_ciphers.scm 129 */
 obj_t BgL_tmpz00_11117;
BgL_tmpz00_11117 = 
((obj_t)BgL_toz00_4972); 
STRING_SET(BgL_tmpz00_11117, BgL_arg1574z00_5850, BgL_charz00_5852); } } } 
{ 
 long BgL_iz00_11120;
BgL_iz00_11120 = 
(BgL_iz00_5849+((long)1)); 
BgL_iz00_5849 = BgL_iz00_11120; 
goto BgL_loopz00_5848;} } } } 
return 
BBOOL(BgL_tmpz00_11044);} } 

}



/* &do-cipher-block!-CTR1361 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CTR1361za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4976, obj_t BgL_statez00_4977, obj_t BgL_fromz00_4978, obj_t BgL_fromzd2poszd2_4979, obj_t BgL_toz00_4980, obj_t BgL_tozd2poszd2_4981)
{
{ /* Llib/block_ciphers.scm 410 */
{ /* Llib/block_ciphers.scm 413 */
 obj_t BgL_fun2673z00_5854;
BgL_fun2673z00_5854 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4977)))->BgL_noncezd2updatez12zc0); 
{ /* Llib/block_ciphers.scm 413 */
 obj_t BgL_arg2670z00_5855; obj_t BgL_arg2671z00_5856; long BgL_arg2672z00_5857;
BgL_arg2670z00_5855 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4977)))->BgL_noncezd2strzd2); 
BgL_arg2671z00_5856 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4977)))->BgL_noncez00); 
BgL_arg2672z00_5857 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4977)))->BgL_blockzd2counterzd2); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2673z00_5854))(BgL_fun2673z00_5854, BgL_arg2670z00_5855, BgL_arg2671z00_5856, 
BINT(BgL_arg2672z00_5857), BEOA); } } 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4977)))->BgL_blockzd2counterzd2)=((long)
(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4977)))->BgL_blockzd2counterzd2)+((long)1))),BUNSPEC); 
{ /* Llib/block_ciphers.scm 415 */
 obj_t BgL_fun2678z00_5858;
BgL_fun2678z00_5858 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4977))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 415 */
 obj_t BgL_arg2675z00_5859; obj_t BgL_arg2676z00_5860; obj_t BgL_arg2677z00_5861;
BgL_arg2675z00_5859 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4977)))->BgL_noncezd2strzd2); 
BgL_arg2676z00_5860 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4977)))->BgL_noncezd2strzd2); 
BgL_arg2677z00_5861 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4977))))->BgL_paramz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2678z00_5858))(BgL_fun2678z00_5858, BgL_arg2675z00_5859, 
BINT(((long)0)), BgL_arg2676z00_5860, 
BINT(((long)0)), BgL_arg2677z00_5861, BEOA); } } 
{ /* Llib/block_ciphers.scm 416 */
 obj_t BgL_arg2679z00_5862; long BgL_arg2680z00_5863;
BgL_arg2679z00_5862 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4977)))->BgL_noncezd2strzd2); 
BgL_arg2680z00_5863 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4977))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_5865;
BgL_iz00_5865 = ((long)0); 
BgL_loopz00_5864:
if(
(BgL_iz00_5865==BgL_arg2680z00_5863))
{ /* Llib/block_ciphers.scm 416 */
return BgL_toz00_4980;}  else 
{ /* Llib/block_ciphers.scm 416 */
{ /* Llib/block_ciphers.scm 416 */
 long BgL_arg2696z00_5866; unsigned char BgL_arg2697z00_5867;
BgL_arg2696z00_5866 = 
(
(long)CINT(BgL_tozd2poszd2_4981)+BgL_iz00_5865); 
BgL_arg2697z00_5867 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_4978), 
(
(long)CINT(BgL_fromzd2poszd2_4979)+BgL_iz00_5865))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2679z00_5862, 
(((long)0)+BgL_iz00_5865)))))))); 
{ /* Llib/block_ciphers.scm 416 */
 unsigned char BgL_charz00_5868;
BgL_charz00_5868 = 
(unsigned char)(BgL_arg2697z00_5867); 
{ /* Llib/block_ciphers.scm 416 */
 obj_t BgL_tmpz00_11188;
BgL_tmpz00_11188 = 
((obj_t)BgL_toz00_4980); 
STRING_SET(BgL_tmpz00_11188, BgL_arg2696z00_5866, BgL_charz00_5868); } } } 
{ 
 long BgL_iz00_11191;
BgL_iz00_11191 = 
(BgL_iz00_5865+((long)1)); 
BgL_iz00_5865 = BgL_iz00_11191; 
goto BgL_loopz00_5864;} } } } } 

}



/* &do-cipher-IV-init!-C1359 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1359z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4982, obj_t BgL_statez00_4983, obj_t BgL_ivz00_4984)
{
{ /* Llib/block_ciphers.scm 406 */
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4983)))->BgL_noncez00)=((obj_t)BgL_ivz00_4984),BUNSPEC); 
{ /* Llib/block_ciphers.scm 409 */
 obj_t BgL_fun2669z00_5870;
BgL_fun2669z00_5870 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4983)))->BgL_noncezd2initz12zc0); 
{ /* Llib/block_ciphers.scm 409 */
 obj_t BgL_arg2667z00_5871; obj_t BgL_arg2668z00_5872;
BgL_arg2667z00_5871 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4983)))->BgL_noncezd2strzd2); 
BgL_arg2668z00_5872 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4983)))->BgL_noncez00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2669z00_5870))(BgL_fun2669z00_5870, BgL_arg2667z00_5871, BgL_arg2668z00_5872, BEOA);} } } 

}



/* &do-cipher-partial-bl1357 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1357zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4985, obj_t BgL_statez00_4986, obj_t BgL_fromz00_4987, obj_t BgL_fromzd2poszd2_4988, obj_t BgL_toz00_4989, obj_t BgL_tozd2poszd2_4990, obj_t BgL_atz00_4991, obj_t BgL_lenz00_4992)
{
{ /* Llib/block_ciphers.scm 382 */
{ /* Llib/block_ciphers.scm 384 */
 bool_t BgL_tmpz00_11206;
if(
(
(long)CINT(BgL_atz00_4991)==((long)0)))
{ /* Llib/block_ciphers.scm 386 */
 obj_t BgL_fun2663z00_5874;
BgL_fun2663z00_5874 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_4986))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 386 */
 obj_t BgL_arg2660z00_5875; obj_t BgL_arg2661z00_5876; obj_t BgL_arg2662z00_5877;
BgL_arg2660z00_5875 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_4986)))->BgL_chainz00); 
BgL_arg2661z00_5876 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_4986)))->BgL_chainz00); 
BgL_arg2662z00_5877 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_4986))))->BgL_paramz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2663z00_5874))(BgL_fun2663z00_5874, BgL_arg2660z00_5875, 
BINT(((long)0)), BgL_arg2661z00_5876, 
BINT(((long)0)), BgL_arg2662z00_5877, BEOA); } }  else 
{ /* Llib/block_ciphers.scm 385 */BFALSE; } 
{ /* Llib/block_ciphers.scm 387 */
 long BgL_arg2664z00_5878; long BgL_arg2665z00_5879; obj_t BgL_arg2666z00_5880;
BgL_arg2664z00_5878 = 
(
(long)CINT(BgL_tozd2poszd2_4990)+
(long)CINT(BgL_atz00_4991)); 
BgL_arg2665z00_5879 = 
(
(long)CINT(BgL_fromzd2poszd2_4988)+
(long)CINT(BgL_atz00_4991)); 
BgL_arg2666z00_5880 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_4986)))->BgL_chainz00); 
{ 
 long BgL_iz00_5882;
BgL_iz00_5882 = ((long)0); 
BgL_loopz00_5881:
if(
(BgL_iz00_5882==
(BgL_arg2664z00_5878+
(long)CINT(BgL_lenz00_4992))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_11206 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
 long BgL_arg1574z00_5883; unsigned char BgL_arg1575z00_5884;
BgL_arg1574z00_5883 = 
(BgL_arg2664z00_5878+BgL_iz00_5882); 
BgL_arg1575z00_5884 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_4987), 
(BgL_arg2665z00_5879+BgL_iz00_5882))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2666z00_5880, 
(
(long)CINT(BgL_atz00_4991)+BgL_iz00_5882)))))))); 
{ /* Llib/block_ciphers.scm 129 */
 unsigned char BgL_charz00_5885;
BgL_charz00_5885 = 
(unsigned char)(BgL_arg1575z00_5884); 
{ /* Llib/block_ciphers.scm 129 */
 obj_t BgL_tmpz00_11259;
BgL_tmpz00_11259 = 
((obj_t)BgL_toz00_4989); 
STRING_SET(BgL_tmpz00_11259, BgL_arg1574z00_5883, BgL_charz00_5885); } } } 
{ 
 long BgL_iz00_11262;
BgL_iz00_11262 = 
(BgL_iz00_5882+((long)1)); 
BgL_iz00_5882 = BgL_iz00_11262; 
goto BgL_loopz00_5881;} } } } 
return 
BBOOL(BgL_tmpz00_11206);} } 

}



/* &do-cipher-block!-OFB1355 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2OFB1355za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4993, obj_t BgL_statez00_4994, obj_t BgL_fromz00_4995, obj_t BgL_fromzd2poszd2_4996, obj_t BgL_toz00_4997, obj_t BgL_tozd2poszd2_4998)
{
{ /* Llib/block_ciphers.scm 378 */
{ /* Llib/block_ciphers.scm 380 */
 obj_t BgL_fun2656z00_5887;
BgL_fun2656z00_5887 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_4994))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 380 */
 obj_t BgL_arg2653z00_5888; obj_t BgL_arg2654z00_5889; obj_t BgL_arg2655z00_5890;
BgL_arg2653z00_5888 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_4994)))->BgL_chainz00); 
BgL_arg2654z00_5889 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_4994)))->BgL_chainz00); 
BgL_arg2655z00_5890 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_4994))))->BgL_paramz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2656z00_5887))(BgL_fun2656z00_5887, BgL_arg2653z00_5888, 
BINT(((long)0)), BgL_arg2654z00_5889, 
BINT(((long)0)), BgL_arg2655z00_5890, BEOA); } } 
{ /* Llib/block_ciphers.scm 381 */
 obj_t BgL_arg2657z00_5891; long BgL_arg2658z00_5892;
BgL_arg2657z00_5891 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_4994)))->BgL_chainz00); 
BgL_arg2658z00_5892 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_4994))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_5894;
BgL_iz00_5894 = ((long)0); 
BgL_loopz00_5893:
if(
(BgL_iz00_5894==BgL_arg2658z00_5892))
{ /* Llib/block_ciphers.scm 381 */
return BgL_toz00_4997;}  else 
{ /* Llib/block_ciphers.scm 381 */
{ /* Llib/block_ciphers.scm 381 */
 long BgL_arg2696z00_5895; unsigned char BgL_arg2697z00_5896;
BgL_arg2696z00_5895 = 
(
(long)CINT(BgL_tozd2poszd2_4998)+BgL_iz00_5894); 
BgL_arg2697z00_5896 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_4995), 
(
(long)CINT(BgL_fromzd2poszd2_4996)+BgL_iz00_5894))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2657z00_5891, 
(((long)0)+BgL_iz00_5894)))))))); 
{ /* Llib/block_ciphers.scm 381 */
 unsigned char BgL_charz00_5897;
BgL_charz00_5897 = 
(unsigned char)(BgL_arg2697z00_5896); 
{ /* Llib/block_ciphers.scm 381 */
 obj_t BgL_tmpz00_11310;
BgL_tmpz00_11310 = 
((obj_t)BgL_toz00_4997); 
STRING_SET(BgL_tmpz00_11310, BgL_arg2696z00_5895, BgL_charz00_5897); } } } 
{ 
 long BgL_iz00_11313;
BgL_iz00_11313 = 
(BgL_iz00_5894+((long)1)); 
BgL_iz00_5894 = BgL_iz00_11313; 
goto BgL_loopz00_5893;} } } } } 

}



/* &do-cipher-IV-init!-O1353 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2O1353z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4999, obj_t BgL_statez00_5000, obj_t BgL_ivz00_5001)
{
{ /* Llib/block_ciphers.scm 375 */
{ /* Llib/block_ciphers.scm 377 */
 obj_t BgL_arg2651z00_5899; long BgL_arg2652z00_5900;
BgL_arg2651z00_5899 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5000)))->BgL_chainz00); 
BgL_arg2652z00_5900 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5000))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5001), ((long)0), BgL_arg2651z00_5899, ((long)0), BgL_arg2652z00_5900);} } 

}



/* &do-cipher-partial-bl1351 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1351zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5002, obj_t BgL_statez00_5003, obj_t BgL_fromz00_5004, obj_t BgL_fromzd2poszd2_5005, obj_t BgL_toz00_5006, obj_t BgL_tozd2poszd2_5007, obj_t BgL_atz00_5008, obj_t BgL_lenz00_5009)
{
{ /* Llib/block_ciphers.scm 356 */
{ /* Llib/block_ciphers.scm 358 */
 bool_t BgL_tmpz00_11322;
if(
(
(long)CINT(BgL_atz00_5008)==((long)0)))
{ /* Llib/block_ciphers.scm 360 */
 obj_t BgL_fun2645z00_5902;
BgL_fun2645z00_5902 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5003))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 360 */
 obj_t BgL_arg2642z00_5903; obj_t BgL_arg2643z00_5904; obj_t BgL_arg2644z00_5905;
BgL_arg2642z00_5903 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5003)))->BgL_chainz00); 
BgL_arg2643z00_5904 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5003)))->BgL_bufferz00); 
BgL_arg2644z00_5905 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5003))))->BgL_paramz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2645z00_5902))(BgL_fun2645z00_5902, BgL_arg2642z00_5903, 
BINT(((long)0)), BgL_arg2643z00_5904, 
BINT(((long)0)), BgL_arg2644z00_5905, BEOA); } }  else 
{ /* Llib/block_ciphers.scm 359 */BFALSE; } 
{ /* Llib/block_ciphers.scm 361 */
 long BgL_arg2646z00_5906; obj_t BgL_arg2647z00_5907;
BgL_arg2646z00_5906 = 
(
(long)CINT(BgL_fromzd2poszd2_5005)+
(long)CINT(BgL_atz00_5008)); 
BgL_arg2647z00_5907 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5003)))->BgL_chainz00); 
{ /* Llib/block_ciphers.scm 361 */
 long BgL_o2z00_5908; long BgL_lz00_5909;
BgL_o2z00_5908 = 
(long)CINT(BgL_atz00_5008); 
BgL_lz00_5909 = 
(long)CINT(BgL_lenz00_5009); 
blit_string(
((obj_t)BgL_fromz00_5004), BgL_arg2646z00_5906, BgL_arg2647z00_5907, BgL_o2z00_5908, BgL_lz00_5909); } } 
{ /* Llib/block_ciphers.scm 362 */
 long BgL_arg2648z00_5910; obj_t BgL_arg2649z00_5911; long BgL_arg2650z00_5912;
BgL_arg2648z00_5910 = 
(
(long)CINT(BgL_tozd2poszd2_5007)+
(long)CINT(BgL_atz00_5008)); 
BgL_arg2649z00_5911 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5003)))->BgL_bufferz00); 
BgL_arg2650z00_5912 = 
(
(long)CINT(BgL_fromzd2poszd2_5005)+
(long)CINT(BgL_atz00_5008)); 
{ 
 long BgL_iz00_5914;
BgL_iz00_5914 = ((long)0); 
BgL_loopz00_5913:
if(
(BgL_iz00_5914==
(BgL_arg2648z00_5910+
(long)CINT(BgL_lenz00_5009))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_11322 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
 long BgL_arg1574z00_5915; unsigned char BgL_arg1575z00_5916;
BgL_arg1574z00_5915 = 
(BgL_arg2648z00_5910+BgL_iz00_5914); 
BgL_arg1575z00_5916 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2649z00_5911, 
(((long)0)+BgL_iz00_5914))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5004), 
(BgL_arg2650z00_5912+BgL_iz00_5914)))))))); 
{ /* Llib/block_ciphers.scm 129 */
 unsigned char BgL_charz00_5917;
BgL_charz00_5917 = 
(unsigned char)(BgL_arg1575z00_5916); 
{ /* Llib/block_ciphers.scm 129 */
 obj_t BgL_tmpz00_11383;
BgL_tmpz00_11383 = 
((obj_t)BgL_toz00_5006); 
STRING_SET(BgL_tmpz00_11383, BgL_arg1574z00_5915, BgL_charz00_5917); } } } 
{ 
 long BgL_iz00_11386;
BgL_iz00_11386 = 
(BgL_iz00_5914+((long)1)); 
BgL_iz00_5914 = BgL_iz00_11386; 
goto BgL_loopz00_5913;} } } } 
return 
BBOOL(BgL_tmpz00_11322);} } 

}



/* &do-cipher-block!-CFB1349 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1349za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5010, obj_t BgL_statez00_5011, obj_t BgL_fromz00_5012, obj_t BgL_fromzd2poszd2_5013, obj_t BgL_toz00_5014, obj_t BgL_tozd2poszd2_5015)
{
{ /* Llib/block_ciphers.scm 351 */
{ /* Llib/block_ciphers.scm 353 */
 obj_t BgL_fun2636z00_5919;
BgL_fun2636z00_5919 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5011))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 353 */
 obj_t BgL_arg2633z00_5920; obj_t BgL_arg2634z00_5921; obj_t BgL_arg2635z00_5922;
BgL_arg2633z00_5920 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5011)))->BgL_chainz00); 
BgL_arg2634z00_5921 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5011)))->BgL_bufferz00); 
BgL_arg2635z00_5922 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5011))))->BgL_paramz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2636z00_5919))(BgL_fun2636z00_5919, BgL_arg2633z00_5920, 
BINT(((long)0)), BgL_arg2634z00_5921, 
BINT(((long)0)), BgL_arg2635z00_5922, BEOA); } } 
{ /* Llib/block_ciphers.scm 354 */
 obj_t BgL_arg2637z00_5923; long BgL_arg2638z00_5924;
BgL_arg2637z00_5923 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5011)))->BgL_chainz00); 
BgL_arg2638z00_5924 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5011))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 354 */
 long BgL_o1z00_5925;
BgL_o1z00_5925 = 
(long)CINT(BgL_fromzd2poszd2_5013); 
blit_string(
((obj_t)BgL_fromz00_5012), BgL_o1z00_5925, BgL_arg2637z00_5923, ((long)0), BgL_arg2638z00_5924); } } 
{ /* Llib/block_ciphers.scm 355 */
 obj_t BgL_arg2639z00_5926; long BgL_arg2640z00_5927;
BgL_arg2639z00_5926 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5011)))->BgL_bufferz00); 
BgL_arg2640z00_5927 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5011))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_5929;
BgL_iz00_5929 = ((long)0); 
BgL_loopz00_5928:
if(
(BgL_iz00_5929==BgL_arg2640z00_5927))
{ /* Llib/block_ciphers.scm 355 */
return BgL_toz00_5014;}  else 
{ /* Llib/block_ciphers.scm 355 */
{ /* Llib/block_ciphers.scm 355 */
 long BgL_arg2696z00_5930; unsigned char BgL_arg2697z00_5931;
BgL_arg2696z00_5930 = 
(
(long)CINT(BgL_tozd2poszd2_5015)+BgL_iz00_5929); 
BgL_arg2697z00_5931 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2639z00_5926, 
(((long)0)+BgL_iz00_5929))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5012), 
(
(long)CINT(BgL_fromzd2poszd2_5013)+BgL_iz00_5929)))))))); 
{ /* Llib/block_ciphers.scm 355 */
 unsigned char BgL_charz00_5932;
BgL_charz00_5932 = 
(unsigned char)(BgL_arg2697z00_5931); 
{ /* Llib/block_ciphers.scm 355 */
 obj_t BgL_tmpz00_11442;
BgL_tmpz00_11442 = 
((obj_t)BgL_toz00_5014); 
STRING_SET(BgL_tmpz00_11442, BgL_arg2696z00_5930, BgL_charz00_5932); } } } 
{ 
 long BgL_iz00_11445;
BgL_iz00_11445 = 
(BgL_iz00_5929+((long)1)); 
BgL_iz00_5929 = BgL_iz00_11445; 
goto BgL_loopz00_5928;} } } } } 

}



/* &do-cipher-IV-init!-C1347 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1347z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5016, obj_t BgL_statez00_5017, obj_t BgL_ivz00_5018)
{
{ /* Llib/block_ciphers.scm 348 */
{ /* Llib/block_ciphers.scm 350 */
 obj_t BgL_arg2631z00_5934; long BgL_arg2632z00_5935;
BgL_arg2631z00_5934 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5017)))->BgL_chainz00); 
BgL_arg2632z00_5935 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5017))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5018), ((long)0), BgL_arg2631z00_5934, ((long)0), BgL_arg2632z00_5935);} } 

}



/* &do-cipher-partial-bl1345 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1345zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5019, obj_t BgL_statez00_5020, obj_t BgL_fromz00_5021, obj_t BgL_fromzd2poszd2_5022, obj_t BgL_toz00_5023, obj_t BgL_tozd2poszd2_5024, obj_t BgL_atz00_5025, obj_t BgL_lenz00_5026)
{
{ /* Llib/block_ciphers.scm 332 */
if(
(
(long)CINT(BgL_atz00_5025)==((long)0)))
{ /* Llib/block_ciphers.scm 336 */
 obj_t BgL_fun2625z00_5937;
BgL_fun2625z00_5937 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5020))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 336 */
 obj_t BgL_arg2622z00_5938; obj_t BgL_arg2623z00_5939; obj_t BgL_arg2624z00_5940;
BgL_arg2622z00_5938 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5020)))->BgL_chainz00); 
BgL_arg2623z00_5939 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5020)))->BgL_chainz00); 
BgL_arg2624z00_5940 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5020))))->BgL_paramz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2625z00_5937))(BgL_fun2625z00_5937, BgL_arg2622z00_5938, 
BINT(((long)0)), BgL_arg2623z00_5939, 
BINT(((long)0)), BgL_arg2624z00_5940, BEOA); } }  else 
{ /* Llib/block_ciphers.scm 335 */BFALSE; } 
{ /* Llib/block_ciphers.scm 337 */
 obj_t BgL_arg2626z00_5941; obj_t BgL_arg2627z00_5942; long BgL_arg2628z00_5943;
BgL_arg2626z00_5941 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5020)))->BgL_chainz00); 
BgL_arg2627z00_5942 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5020)))->BgL_chainz00); 
BgL_arg2628z00_5943 = 
(
(long)CINT(BgL_fromzd2poszd2_5022)+
(long)CINT(BgL_atz00_5025)); 
{ 
 long BgL_iz00_5945;
BgL_iz00_5945 = ((long)0); 
BgL_loopz00_5944:
if(
(BgL_iz00_5945==
(
(long)CINT(BgL_atz00_5025)+
(long)CINT(BgL_lenz00_5026))))
{ /* Llib/block_ciphers.scm 128 */((bool_t)0); }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
 long BgL_arg1574z00_5946; unsigned char BgL_arg1575z00_5947;
BgL_arg1574z00_5946 = 
(
(long)CINT(BgL_atz00_5025)+BgL_iz00_5945); 
BgL_arg1575z00_5947 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2627z00_5942, 
(
(long)CINT(BgL_atz00_5025)+BgL_iz00_5945))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5021), 
(BgL_arg2628z00_5943+BgL_iz00_5945)))))))); 
{ /* Llib/block_ciphers.scm 129 */
 unsigned char BgL_tmpz00_11506;
BgL_tmpz00_11506 = 
(unsigned char)(BgL_arg1575z00_5947); 
STRING_SET(BgL_arg2626z00_5941, BgL_arg1574z00_5946, BgL_tmpz00_11506); } } 
{ 
 long BgL_iz00_11509;
BgL_iz00_11509 = 
(BgL_iz00_5945+((long)1)); 
BgL_iz00_5945 = BgL_iz00_11509; 
goto BgL_loopz00_5944;} } } } 
{ /* Llib/block_ciphers.scm 338 */
 obj_t BgL_arg2629z00_5948; long BgL_arg2630z00_5949;
BgL_arg2629z00_5948 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5020)))->BgL_chainz00); 
BgL_arg2630z00_5949 = 
(
(long)CINT(BgL_tozd2poszd2_5024)+
(long)CINT(BgL_atz00_5025)); 
{ /* Llib/block_ciphers.scm 338 */
 long BgL_o1z00_5950; long BgL_lz00_5951;
BgL_o1z00_5950 = 
(long)CINT(BgL_atz00_5025); 
BgL_lz00_5951 = 
(long)CINT(BgL_lenz00_5026); 
return 
blit_string(BgL_arg2629z00_5948, BgL_o1z00_5950, 
((obj_t)BgL_toz00_5023), BgL_arg2630z00_5949, BgL_lz00_5951);} } } 

}



/* &do-cipher-block!-CFB1343 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1343za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5027, obj_t BgL_statez00_5028, obj_t BgL_fromz00_5029, obj_t BgL_fromzd2poszd2_5030, obj_t BgL_toz00_5031, obj_t BgL_tozd2poszd2_5032)
{
{ /* Llib/block_ciphers.scm 327 */
{ /* Llib/block_ciphers.scm 329 */
 obj_t BgL_fun2615z00_5953;
BgL_fun2615z00_5953 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5028))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 329 */
 obj_t BgL_arg2612z00_5954; obj_t BgL_arg2613z00_5955; obj_t BgL_arg2614z00_5956;
BgL_arg2612z00_5954 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5028)))->BgL_chainz00); 
BgL_arg2613z00_5955 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5028)))->BgL_chainz00); 
BgL_arg2614z00_5956 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5028))))->BgL_paramz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2615z00_5953))(BgL_fun2615z00_5953, BgL_arg2612z00_5954, 
BINT(((long)0)), BgL_arg2613z00_5955, 
BINT(((long)0)), BgL_arg2614z00_5956, BEOA); } } 
{ /* Llib/block_ciphers.scm 330 */
 obj_t BgL_arg2616z00_5957; obj_t BgL_arg2617z00_5958; long BgL_arg2618z00_5959;
BgL_arg2616z00_5957 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5028)))->BgL_chainz00); 
BgL_arg2617z00_5958 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5028)))->BgL_chainz00); 
BgL_arg2618z00_5959 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5028))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_5961;
BgL_iz00_5961 = ((long)0); 
BgL_loopz00_5960:
if(
(BgL_iz00_5961==BgL_arg2618z00_5959))
{ /* Llib/block_ciphers.scm 330 */BgL_arg2616z00_5957; }  else 
{ /* Llib/block_ciphers.scm 330 */
{ /* Llib/block_ciphers.scm 330 */
 long BgL_arg2696z00_5962; unsigned char BgL_arg2697z00_5963;
BgL_arg2696z00_5962 = 
(((long)0)+BgL_iz00_5961); 
BgL_arg2697z00_5963 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5029), 
(
(long)CINT(BgL_fromzd2poszd2_5030)+BgL_iz00_5961))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2617z00_5958, 
(((long)0)+BgL_iz00_5961)))))))); 
{ /* Llib/block_ciphers.scm 330 */
 unsigned char BgL_tmpz00_11565;
BgL_tmpz00_11565 = 
(unsigned char)(BgL_arg2697z00_5963); 
STRING_SET(BgL_arg2616z00_5957, BgL_arg2696z00_5962, BgL_tmpz00_11565); } } 
{ 
 long BgL_iz00_11568;
BgL_iz00_11568 = 
(BgL_iz00_5961+((long)1)); 
BgL_iz00_5961 = BgL_iz00_11568; 
goto BgL_loopz00_5960;} } } } 
{ /* Llib/block_ciphers.scm 331 */
 obj_t BgL_arg2619z00_5964; long BgL_arg2620z00_5965;
BgL_arg2619z00_5964 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5028)))->BgL_chainz00); 
BgL_arg2620z00_5965 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5028))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 331 */
 long BgL_o2z00_5966;
BgL_o2z00_5966 = 
(long)CINT(BgL_tozd2poszd2_5032); 
return 
blit_string(BgL_arg2619z00_5964, ((long)0), 
((obj_t)BgL_toz00_5031), BgL_o2z00_5966, BgL_arg2620z00_5965);} } } 

}



/* &do-cipher-IV-init!-C1341 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1341z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5033, obj_t BgL_statez00_5034, obj_t BgL_ivz00_5035)
{
{ /* Llib/block_ciphers.scm 324 */
{ /* Llib/block_ciphers.scm 326 */
 obj_t BgL_arg2610z00_5968; long BgL_arg2611z00_5969;
BgL_arg2610z00_5968 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5034)))->BgL_chainz00); 
BgL_arg2611z00_5969 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5034))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5035), ((long)0), BgL_arg2610z00_5968, ((long)0), BgL_arg2611z00_5969);} } 

}



/* &do-cipher-block!-PCB1339 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1339za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5036, obj_t BgL_statez00_5037, obj_t BgL_fromz00_5038, obj_t BgL_fromzd2poszd2_5039, obj_t BgL_toz00_5040, obj_t BgL_tozd2poszd2_5041)
{
{ /* Llib/block_ciphers.scm 308 */
{ /* Llib/block_ciphers.scm 310 */
 obj_t BgL_fun2600z00_5971;
BgL_fun2600z00_5971 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5037))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 310 */
 obj_t BgL_arg2598z00_5972; obj_t BgL_arg2599z00_5973;
BgL_arg2598z00_5972 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5037)))->BgL_bufferz00); 
BgL_arg2599z00_5973 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5037))))->BgL_paramz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2600z00_5971))(BgL_fun2600z00_5971, BgL_fromz00_5038, BgL_fromzd2poszd2_5039, BgL_arg2598z00_5972, 
BINT(((long)0)), BgL_arg2599z00_5973, BEOA); } } 
{ /* Llib/block_ciphers.scm 311 */
 obj_t BgL_arg2601z00_5974; obj_t BgL_arg2602z00_5975; obj_t BgL_arg2603z00_5976; long BgL_arg2604z00_5977;
BgL_arg2601z00_5974 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5037)))->BgL_bufferz00); 
BgL_arg2602z00_5975 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5037)))->BgL_bufferz00); 
BgL_arg2603z00_5976 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5037)))->BgL_chainz00); 
BgL_arg2604z00_5977 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5037))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_5979;
BgL_iz00_5979 = ((long)0); 
BgL_loopz00_5978:
if(
(BgL_iz00_5979==BgL_arg2604z00_5977))
{ /* Llib/block_ciphers.scm 311 */BgL_arg2601z00_5974; }  else 
{ /* Llib/block_ciphers.scm 311 */
{ /* Llib/block_ciphers.scm 311 */
 long BgL_arg2696z00_5980; unsigned char BgL_arg2697z00_5981;
BgL_arg2696z00_5980 = 
(((long)0)+BgL_iz00_5979); 
BgL_arg2697z00_5981 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2602z00_5975, 
(((long)0)+BgL_iz00_5979))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2603z00_5976, 
(((long)0)+BgL_iz00_5979)))))))); 
{ /* Llib/block_ciphers.scm 311 */
 unsigned char BgL_tmpz00_11627;
BgL_tmpz00_11627 = 
(unsigned char)(BgL_arg2697z00_5981); 
STRING_SET(BgL_arg2601z00_5974, BgL_arg2696z00_5980, BgL_tmpz00_11627); } } 
{ 
 long BgL_iz00_11630;
BgL_iz00_11630 = 
(BgL_iz00_5979+((long)1)); 
BgL_iz00_5979 = BgL_iz00_11630; 
goto BgL_loopz00_5978;} } } } 
{ /* Llib/block_ciphers.scm 312 */
 obj_t BgL_arg2605z00_5982; obj_t BgL_arg2606z00_5983; long BgL_arg2607z00_5984;
BgL_arg2605z00_5982 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5037)))->BgL_chainz00); 
BgL_arg2606z00_5983 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5037)))->BgL_bufferz00); 
BgL_arg2607z00_5984 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5037))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_5986;
BgL_iz00_5986 = ((long)0); 
BgL_loopz00_5985:
if(
(BgL_iz00_5986==BgL_arg2607z00_5984))
{ /* Llib/block_ciphers.scm 312 */BgL_arg2605z00_5982; }  else 
{ /* Llib/block_ciphers.scm 312 */
{ /* Llib/block_ciphers.scm 312 */
 long BgL_arg2696z00_5987; unsigned char BgL_arg2697z00_5988;
BgL_arg2696z00_5987 = 
(((long)0)+BgL_iz00_5986); 
BgL_arg2697z00_5988 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5038), 
(
(long)CINT(BgL_fromzd2poszd2_5039)+BgL_iz00_5986))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2606z00_5983, 
(((long)0)+BgL_iz00_5986)))))))); 
{ /* Llib/block_ciphers.scm 312 */
 unsigned char BgL_tmpz00_11657;
BgL_tmpz00_11657 = 
(unsigned char)(BgL_arg2697z00_5988); 
STRING_SET(BgL_arg2605z00_5982, BgL_arg2696z00_5987, BgL_tmpz00_11657); } } 
{ 
 long BgL_iz00_11660;
BgL_iz00_11660 = 
(BgL_iz00_5986+((long)1)); 
BgL_iz00_5986 = BgL_iz00_11660; 
goto BgL_loopz00_5985;} } } } 
{ /* Llib/block_ciphers.scm 313 */
 obj_t BgL_arg2608z00_5989; long BgL_arg2609z00_5990;
BgL_arg2608z00_5989 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5037)))->BgL_bufferz00); 
BgL_arg2609z00_5990 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5037))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 313 */
 long BgL_o2z00_5991;
BgL_o2z00_5991 = 
(long)CINT(BgL_tozd2poszd2_5041); 
return 
blit_string(BgL_arg2608z00_5989, ((long)0), 
((obj_t)BgL_toz00_5040), BgL_o2z00_5991, BgL_arg2609z00_5990);} } } 

}



/* &do-cipher-IV-init!-P1337 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1337z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5042, obj_t BgL_statez00_5043, obj_t BgL_ivz00_5044)
{
{ /* Llib/block_ciphers.scm 305 */
{ /* Llib/block_ciphers.scm 307 */
 obj_t BgL_arg2596z00_5993; long BgL_arg2597z00_5994;
BgL_arg2596z00_5993 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5043)))->BgL_chainz00); 
BgL_arg2597z00_5994 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5043))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5044), ((long)0), BgL_arg2596z00_5993, ((long)0), BgL_arg2597z00_5994);} } 

}



/* &do-cipher-block!-PCB1335 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1335za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5045, obj_t BgL_statez00_5046, obj_t BgL_fromz00_5047, obj_t BgL_fromzd2poszd2_5048, obj_t BgL_toz00_5049, obj_t BgL_tozd2poszd2_5050)
{
{ /* Llib/block_ciphers.scm 290 */
{ /* Llib/block_ciphers.scm 292 */
 obj_t BgL_arg2584z00_5996; obj_t BgL_arg2585z00_5997; long BgL_arg2586z00_5998;
BgL_arg2584z00_5996 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5046)))->BgL_bufferz00); 
BgL_arg2585z00_5997 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5046)))->BgL_chainz00); 
BgL_arg2586z00_5998 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5046))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6000;
BgL_iz00_6000 = ((long)0); 
BgL_loopz00_5999:
if(
(BgL_iz00_6000==BgL_arg2586z00_5998))
{ /* Llib/block_ciphers.scm 292 */BgL_arg2584z00_5996; }  else 
{ /* Llib/block_ciphers.scm 292 */
{ /* Llib/block_ciphers.scm 292 */
 long BgL_arg2696z00_6001; unsigned char BgL_arg2697z00_6002;
BgL_arg2696z00_6001 = 
(((long)0)+BgL_iz00_6000); 
BgL_arg2697z00_6002 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2585z00_5997, 
(((long)0)+BgL_iz00_6000))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5047), 
(
(long)CINT(BgL_fromzd2poszd2_5048)+BgL_iz00_6000)))))))); 
{ /* Llib/block_ciphers.scm 292 */
 unsigned char BgL_tmpz00_11702;
BgL_tmpz00_11702 = 
(unsigned char)(BgL_arg2697z00_6002); 
STRING_SET(BgL_arg2584z00_5996, BgL_arg2696z00_6001, BgL_tmpz00_11702); } } 
{ 
 long BgL_iz00_11705;
BgL_iz00_11705 = 
(BgL_iz00_6000+((long)1)); 
BgL_iz00_6000 = BgL_iz00_11705; 
goto BgL_loopz00_5999;} } } } 
{ /* Llib/block_ciphers.scm 293 */
 obj_t BgL_fun2590z00_6003;
BgL_fun2590z00_6003 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5046))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 293 */
 obj_t BgL_arg2587z00_6004; obj_t BgL_arg2588z00_6005; obj_t BgL_arg2589z00_6006;
BgL_arg2587z00_6004 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5046)))->BgL_bufferz00); 
BgL_arg2588z00_6005 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5046)))->BgL_bufferz00); 
BgL_arg2589z00_6006 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5046))))->BgL_paramz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2590z00_6003))(BgL_fun2590z00_6003, BgL_arg2587z00_6004, 
BINT(((long)0)), BgL_arg2588z00_6005, 
BINT(((long)0)), BgL_arg2589z00_6006, BEOA); } } 
{ /* Llib/block_ciphers.scm 294 */
 obj_t BgL_arg2591z00_6007; obj_t BgL_arg2592z00_6008; long BgL_arg2593z00_6009;
BgL_arg2591z00_6007 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5046)))->BgL_chainz00); 
BgL_arg2592z00_6008 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5046)))->BgL_bufferz00); 
BgL_arg2593z00_6009 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5046))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6011;
BgL_iz00_6011 = ((long)0); 
BgL_loopz00_6010:
if(
(BgL_iz00_6011==BgL_arg2593z00_6009))
{ /* Llib/block_ciphers.scm 294 */BgL_arg2591z00_6007; }  else 
{ /* Llib/block_ciphers.scm 294 */
{ /* Llib/block_ciphers.scm 294 */
 long BgL_arg2696z00_6012; unsigned char BgL_arg2697z00_6013;
BgL_arg2696z00_6012 = 
(((long)0)+BgL_iz00_6011); 
BgL_arg2697z00_6013 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5047), 
(
(long)CINT(BgL_fromzd2poszd2_5048)+BgL_iz00_6011))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2592z00_6008, 
(((long)0)+BgL_iz00_6011)))))))); 
{ /* Llib/block_ciphers.scm 294 */
 unsigned char BgL_tmpz00_11752;
BgL_tmpz00_11752 = 
(unsigned char)(BgL_arg2697z00_6013); 
STRING_SET(BgL_arg2591z00_6007, BgL_arg2696z00_6012, BgL_tmpz00_11752); } } 
{ 
 long BgL_iz00_11755;
BgL_iz00_11755 = 
(BgL_iz00_6011+((long)1)); 
BgL_iz00_6011 = BgL_iz00_11755; 
goto BgL_loopz00_6010;} } } } 
{ /* Llib/block_ciphers.scm 295 */
 obj_t BgL_arg2594z00_6014; long BgL_arg2595z00_6015;
BgL_arg2594z00_6014 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5046)))->BgL_bufferz00); 
BgL_arg2595z00_6015 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5046))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 295 */
 long BgL_o2z00_6016;
BgL_o2z00_6016 = 
(long)CINT(BgL_tozd2poszd2_5050); 
return 
blit_string(BgL_arg2594z00_6014, ((long)0), 
((obj_t)BgL_toz00_5049), BgL_o2z00_6016, BgL_arg2595z00_6015);} } } 

}



/* &do-cipher-IV-init!-P1333 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1333z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5051, obj_t BgL_statez00_5052, obj_t BgL_ivz00_5053)
{
{ /* Llib/block_ciphers.scm 287 */
{ /* Llib/block_ciphers.scm 289 */
 obj_t BgL_arg2582z00_6018; long BgL_arg2583z00_6019;
BgL_arg2582z00_6018 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5052)))->BgL_chainz00); 
BgL_arg2583z00_6019 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5052))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5053), ((long)0), BgL_arg2582z00_6018, ((long)0), BgL_arg2583z00_6019);} } 

}



/* &do-cipher-block!-CBC1331 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1331za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5054, obj_t BgL_statez00_5055, obj_t BgL_fromz00_5056, obj_t BgL_fromzd2poszd2_5057, obj_t BgL_toz00_5058, obj_t BgL_tozd2poszd2_5059)
{
{ /* Llib/block_ciphers.scm 269 */
{ /* Llib/block_ciphers.scm 271 */
 obj_t BgL_arg2575z00_6021; long BgL_arg2576z00_6022;
BgL_arg2575z00_6021 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_bufferz00); 
BgL_arg2576z00_6022 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5055))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 271 */
 long BgL_o1z00_6023;
BgL_o1z00_6023 = 
(long)CINT(BgL_fromzd2poszd2_5057); 
blit_string(
((obj_t)BgL_fromz00_5056), BgL_o1z00_6023, BgL_arg2575z00_6021, ((long)0), BgL_arg2576z00_6022); } } 
{ /* Llib/block_ciphers.scm 272 */
 obj_t BgL_fun2579z00_6024;
BgL_fun2579z00_6024 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5055))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 272 */
 obj_t BgL_arg2577z00_6025; obj_t BgL_arg2578z00_6026;
BgL_arg2577z00_6025 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_bufferz00); 
BgL_arg2578z00_6026 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5055))))->BgL_paramz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2579z00_6024))(BgL_fun2579z00_6024, BgL_arg2577z00_6025, 
BINT(((long)0)), BgL_toz00_5058, BgL_tozd2poszd2_5059, BgL_arg2578z00_6026, BEOA); } } 
{ /* Llib/block_ciphers.scm 273 */
 obj_t BgL_arg2580z00_6027; long BgL_arg2581z00_6028;
BgL_arg2580z00_6027 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_chainz00); 
BgL_arg2581z00_6028 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5055))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6030;
BgL_iz00_6030 = ((long)0); 
BgL_loopz00_6029:
if(
(BgL_iz00_6030==BgL_arg2581z00_6028))
{ /* Llib/block_ciphers.scm 273 */BgL_toz00_5058; }  else 
{ /* Llib/block_ciphers.scm 273 */
{ /* Llib/block_ciphers.scm 273 */
 long BgL_arg2696z00_6031; unsigned char BgL_arg2697z00_6032;
BgL_arg2696z00_6031 = 
(
(long)CINT(BgL_tozd2poszd2_5059)+BgL_iz00_6030); 
BgL_arg2697z00_6032 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_toz00_5058), 
(
(long)CINT(BgL_tozd2poszd2_5059)+BgL_iz00_6030))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2580z00_6027, 
(((long)0)+BgL_iz00_6030)))))))); 
{ /* Llib/block_ciphers.scm 273 */
 unsigned char BgL_charz00_6033;
BgL_charz00_6033 = 
(unsigned char)(BgL_arg2697z00_6032); 
{ /* Llib/block_ciphers.scm 273 */
 obj_t BgL_tmpz00_11822;
BgL_tmpz00_11822 = 
((obj_t)BgL_toz00_5058); 
STRING_SET(BgL_tmpz00_11822, BgL_arg2696z00_6031, BgL_charz00_6033); } } } 
{ 
 long BgL_iz00_11825;
BgL_iz00_11825 = 
(BgL_iz00_6030+((long)1)); 
BgL_iz00_6030 = BgL_iz00_11825; 
goto BgL_loopz00_6029;} } } } 
{ /* Llib/block_ciphers.scm 274 */
 obj_t BgL_tmpz00_6034;
BgL_tmpz00_6034 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_chainz00); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_chainz00)=((obj_t)
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_bufferz00)),BUNSPEC); 
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5055)))->BgL_bufferz00)=((obj_t)BgL_tmpz00_6034),BUNSPEC);} } 

}



/* &do-cipher-IV-init!-C1329 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1329z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5060, obj_t BgL_statez00_5061, obj_t BgL_ivz00_5062)
{
{ /* Llib/block_ciphers.scm 266 */
{ /* Llib/block_ciphers.scm 268 */
 obj_t BgL_arg2573z00_6036; long BgL_arg2574z00_6037;
BgL_arg2573z00_6036 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5061)))->BgL_chainz00); 
BgL_arg2574z00_6037 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5061))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5062), ((long)0), BgL_arg2573z00_6036, ((long)0), BgL_arg2574z00_6037);} } 

}



/* &do-cipher-block!-CBC1327 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1327za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5063, obj_t BgL_statez00_5064, obj_t BgL_fromz00_5065, obj_t BgL_fromzd2poszd2_5066, obj_t BgL_toz00_5067, obj_t BgL_tozd2poszd2_5068)
{
{ /* Llib/block_ciphers.scm 252 */
{ /* Llib/block_ciphers.scm 254 */
 obj_t BgL_arg2564z00_6039; obj_t BgL_arg2565z00_6040; long BgL_arg2566z00_6041;
BgL_arg2564z00_6039 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5064)))->BgL_bufferz00); 
BgL_arg2565z00_6040 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5064)))->BgL_chainz00); 
BgL_arg2566z00_6041 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5064))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6043;
BgL_iz00_6043 = ((long)0); 
BgL_loopz00_6042:
if(
(BgL_iz00_6043==BgL_arg2566z00_6041))
{ /* Llib/block_ciphers.scm 254 */BgL_arg2564z00_6039; }  else 
{ /* Llib/block_ciphers.scm 254 */
{ /* Llib/block_ciphers.scm 254 */
 long BgL_arg2696z00_6044; unsigned char BgL_arg2697z00_6045;
BgL_arg2696z00_6044 = 
(((long)0)+BgL_iz00_6043); 
BgL_arg2697z00_6045 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2565z00_6040, 
(((long)0)+BgL_iz00_6043))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5065), 
(
(long)CINT(BgL_fromzd2poszd2_5066)+BgL_iz00_6043)))))))); 
{ /* Llib/block_ciphers.scm 254 */
 unsigned char BgL_tmpz00_11867;
BgL_tmpz00_11867 = 
(unsigned char)(BgL_arg2697z00_6045); 
STRING_SET(BgL_arg2564z00_6039, BgL_arg2696z00_6044, BgL_tmpz00_11867); } } 
{ 
 long BgL_iz00_11870;
BgL_iz00_11870 = 
(BgL_iz00_6043+((long)1)); 
BgL_iz00_6043 = BgL_iz00_11870; 
goto BgL_loopz00_6042;} } } } 
{ /* Llib/block_ciphers.scm 255 */
 obj_t BgL_fun2570z00_6046;
BgL_fun2570z00_6046 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5064))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 255 */
 obj_t BgL_arg2567z00_6047; obj_t BgL_arg2568z00_6048; obj_t BgL_arg2569z00_6049;
BgL_arg2567z00_6047 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5064)))->BgL_bufferz00); 
BgL_arg2568z00_6048 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5064)))->BgL_chainz00); 
BgL_arg2569z00_6049 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5064))))->BgL_paramz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2570z00_6046))(BgL_fun2570z00_6046, BgL_arg2567z00_6047, 
BINT(((long)0)), BgL_arg2568z00_6048, 
BINT(((long)0)), BgL_arg2569z00_6049, BEOA); } } 
{ /* Llib/block_ciphers.scm 256 */
 obj_t BgL_arg2571z00_6050; long BgL_arg2572z00_6051;
BgL_arg2571z00_6050 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5064)))->BgL_chainz00); 
BgL_arg2572z00_6051 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5064))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 256 */
 long BgL_o2z00_6052;
BgL_o2z00_6052 = 
(long)CINT(BgL_tozd2poszd2_5068); 
return 
blit_string(BgL_arg2571z00_6050, ((long)0), 
((obj_t)BgL_toz00_5067), BgL_o2z00_6052, BgL_arg2572z00_6051);} } } 

}



/* &do-cipher-IV-init!-C1325 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1325z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5069, obj_t BgL_statez00_5070, obj_t BgL_ivz00_5071)
{
{ /* Llib/block_ciphers.scm 249 */
{ /* Llib/block_ciphers.scm 251 */
 obj_t BgL_arg2562z00_6054; long BgL_arg2563z00_6055;
BgL_arg2562z00_6054 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5070)))->BgL_chainz00); 
BgL_arg2563z00_6055 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5070))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5071), ((long)0), BgL_arg2562z00_6054, ((long)0), BgL_arg2563z00_6055);} } 

}



/* &do-cipher-block!-ECB1323 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1323za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5072, obj_t BgL_statez00_5073, obj_t BgL_fromz00_5074, obj_t BgL_fromzd2poszd2_5075, obj_t BgL_toz00_5076, obj_t BgL_tozd2poszd2_5077)
{
{ /* Llib/block_ciphers.scm 236 */
{ /* Llib/block_ciphers.scm 238 */
 obj_t BgL_fun2561z00_6057;
BgL_fun2561z00_6057 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_statez00_5073))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 238 */
 obj_t BgL_arg2560z00_6058;
BgL_arg2560z00_6058 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_statez00_5073))))->BgL_paramz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2561z00_6057))(BgL_fun2561z00_6057, BgL_fromz00_5074, BgL_fromzd2poszd2_5075, BgL_toz00_5076, BgL_tozd2poszd2_5077, BgL_arg2560z00_6058, BEOA);} } } 

}



/* &do-cipher-block!-ECB1321 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1321za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5078, obj_t BgL_statez00_5079, obj_t BgL_fromz00_5080, obj_t BgL_fromzd2poszd2_5081, obj_t BgL_toz00_5082, obj_t BgL_tozd2poszd2_5083)
{
{ /* Llib/block_ciphers.scm 233 */
{ /* Llib/block_ciphers.scm 235 */
 obj_t BgL_fun2559z00_6060;
BgL_fun2559z00_6060 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_statez00_5079))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 235 */
 obj_t BgL_arg2558z00_6061;
BgL_arg2558z00_6061 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_statez00_5079))))->BgL_paramz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2559z00_6060))(BgL_fun2559z00_6060, BgL_fromz00_5080, BgL_fromzd2poszd2_5081, BgL_toz00_5082, BgL_tozd2poszd2_5083, BgL_arg2558z00_6061, BEOA);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(((long)300158978), 
BSTRING_TO_STRING(BGl_string3274z00zz__cryptozd2blockzd2ciphersz00)); 
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherzd2paddingz00(((long)63410218), 
BSTRING_TO_STRING(BGl_string3274z00zz__cryptozd2blockzd2ciphersz00)); 
return 
BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(((long)210905795), 
BSTRING_TO_STRING(BGl_string3274z00zz__cryptozd2blockzd2ciphersz00));} 

}

#ifdef __cplusplus
}
#endif
