/*===========================================================================*/
/*   (Llib/flac.scm)                                                         */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -srfi flac -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/flac.scm -o objs/flac.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <FLAC/stream_decoder.h>
#include <bglflac.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_flaczd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
} *BgL_flaczd2decoderzd2_bglt;

typedef struct BgL_z62flaczd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62flaczd2errorzb0_bglt;


static obj_t BGl_z62flaczd2error1705zb0zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_tell(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_requirezd2initializa7ationz75zz__flac_flacz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2seekz62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL FLAC__StreamDecoder * BGl_z52z42flaczd2decoderzd2newz10zz__flac_flacz00(void);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2tell1130z62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__flac_flacz00(void);
static obj_t BGl_z62flaczd2decoderzd2write1126z62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52z42flaczd2makezd2customz72zz__flac_flacz00(obj_t);
static obj_t BGl_genericzd2initzd2zz__flac_flacz00(void);
static obj_t BGl_z62zc3z04anonymousza31222ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__flac_flacz00(obj_t);
BGL_EXPORTED_DECL int bgl_flac_error(char *, char *, obj_t);
static obj_t BGl_z62flaczd2decoderzd2resetz12z70zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__flac_flacz00(void);
static obj_t BGl_z62flaczd2volumezd2setz121142z70zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_length(BgL_flaczd2decoderzd2_bglt);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62flaczd2decoderzd2resetz121122z70zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2writez62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__flac_flacz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62flaczd2errorzb0zz__flac_flacz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2positio1138z62zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_metadata(BgL_flaczd2decoderzd2_bglt, BGL_LONGLONG_T, long, long, long);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__flac_flacz00(void);
BGL_EXPORTED_DECL long BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2metadat1128z62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2tellz62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
static obj_t BGl_z62zc3z04anonymousza31180ze3ze5zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2metadataz62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31335ze3ze5zz__flac_flacz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2initz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_read(BgL_flaczd2decoderzd2_bglt, long);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1202z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1203z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31190ze3ze5zz__flac_flacz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2closez62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1212z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1213z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31345ze3ze5zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31256ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2decode11120z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1220z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1221z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31249ze3ze5zz__flac_flacz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt, obj_t);
static obj_t BGl_z62lambda1230z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1231z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_z52z42flaczd2makezd2customz10zz__flac_flacz00(void);
static obj_t BGl_z62lambda1247z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2printzd2flaczd2de1113zb0zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1248z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2decode16z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31381ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62lambda1333z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1334z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1254z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1255z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static BgL_flaczd2decoderzd2_bglt BGl_z62lambda1178z62zz__flac_flacz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2seek1132z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52z42flaczd2decoderzd2newz72zz__flac_flacz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2decodez62zz__flac_flacz00(obj_t, obj_t);
static BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1341z62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_write(BgL_flaczd2decoderzd2_bglt, long, long, long, long);
static BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1343z62zz__flac_flacz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31366ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__flac_flacz00(void);
static obj_t BGl_z62lambda1188z62zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2zz__flac_flacz00 = BUNSPEC;
static obj_t BGl_z62lambda1189z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2decode1118z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__flac_flacz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_seek(BgL_flaczd2decoderzd2_bglt, BGL_LONGLONG_T);
static obj_t BGl_gczd2rootszd2initz00zz__flac_flacz00(void);
BGL_IMPORT obj_t bgl_custom_nil(void);
static obj_t BGl_z62flaczd2decoderzd2positionz62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62flaczd2decoderzd2infoz62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1286z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1287z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2volumezd2setz12z70zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2close1116z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31288ze3ze5zz__flac_flacz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62flaczd2decoderzd2length1134z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2info1136z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2volumezd2get1140z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2initz62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2init1114z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2readz62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2read1124z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2closez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_flaczd2decoderzd2statezd2ze3symbolz31zz__flac_flacz00(FLAC__StreamDecoderState);
BGL_EXPORTED_DECL obj_t BGl_flaczd2volumezd2getz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2volumezd2getz62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2lengthz62zz__flac_flacz00(obj_t, obj_t);
static obj_t __cnst[ 33 ] ;


DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2decodezd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1863z00, BGl_z62flaczd2decoderzd2decodez62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2volumezd2setz12zd2envzc0zz__flac_flacz00, BgL_bgl_za762flacza7d2volume1864z00, BGl_z62flaczd2volumezd2setz12z70zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1865z00, BGl_z62flaczd2decoderzd2metadataz62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42flaczd2decoderzd2newzd2envzc2zz__flac_flacz00, BgL_bgl_za762za752za742flacza7d21866z00, BGl_z62z52z42flaczd2decoderzd2newz72zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1867z00, BGl_z62flaczd2decoderzd2lengthz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1801z00zz__flac_flacz00, BgL_bgl_string1801za700za7za7_1868za7, "flac-decoder-decode11120", 24 );
DEFINE_STRING( BGl_string1803z00zz__flac_flacz00, BgL_bgl_string1803za700za7za7_1869za7, "flac-decoder-reset!1122", 23 );
DEFINE_STRING( BGl_string1805z00zz__flac_flacz00, BgL_bgl_string1805za700za7za7_1870za7, "flac-decoder-read1124", 21 );
DEFINE_STRING( BGl_string1807z00zz__flac_flacz00, BgL_bgl_string1807za700za7za7_1871za7, "flac-decoder-write1126", 22 );
DEFINE_STRING( BGl_string1809z00zz__flac_flacz00, BgL_bgl_string1809za700za7za7_1872za7, "flac-decoder-metadat1128", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1800z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1873z00, BGl_z62flaczd2decoderzd2decode11120z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1802z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1874z00, BGl_z62flaczd2decoderzd2resetz121122z70zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1804z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1875z00, BGl_z62flaczd2decoderzd2read1124z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1811z00zz__flac_flacz00, BgL_bgl_string1811za700za7za7_1876za7, "flac-decoder-tell1130", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1806z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1877z00, BGl_z62flaczd2decoderzd2write1126z62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string1813z00zz__flac_flacz00, BgL_bgl_string1813za700za7za7_1878za7, "flac-decoder-seek1132", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1808z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1879z00, BGl_z62flaczd2decoderzd2metadat1128z62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string1815z00zz__flac_flacz00, BgL_bgl_string1815za700za7za7_1880za7, "flac-decoder-length1134", 23 );
DEFINE_STRING( BGl_string1817z00zz__flac_flacz00, BgL_bgl_string1817za700za7za7_1881za7, "flac-decoder-info1136", 21 );
DEFINE_STRING( BGl_string1819z00zz__flac_flacz00, BgL_bgl_string1819za700za7za7_1882za7, "flac-decoder-positio1138", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1810z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1883z00, BGl_z62flaczd2decoderzd2tell1130z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1812z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1884z00, BGl_z62flaczd2decoderzd2seek1132z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1814z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1885z00, BGl_z62flaczd2decoderzd2length1134z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1821z00zz__flac_flacz00, BgL_bgl_string1821za700za7za7_1886za7, "flac-volume-get1140", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1816z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1887z00, BGl_z62flaczd2decoderzd2info1136z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1823z00zz__flac_flacz00, BgL_bgl_string1823za700za7za7_1888za7, "flac-volume-set!1142", 20 );
DEFINE_STRING( BGl_string1824z00zz__flac_flacz00, BgL_bgl_string1824za700za7za7_1889za7, "No method for this object", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1818z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1890z00, BGl_z62flaczd2decoderzd2positio1138z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1825z00zz__flac_flacz00, BgL_bgl_string1825za700za7za7_1891za7, "&flac-decoder-init", 18 );
DEFINE_STRING( BGl_string1826z00zz__flac_flacz00, BgL_bgl_string1826za700za7za7_1892za7, "flac-decoder", 12 );
DEFINE_STRING( BGl_string1827z00zz__flac_flacz00, BgL_bgl_string1827za700za7za7_1893za7, "&flac-decoder-close", 19 );
DEFINE_STRING( BGl_string1828z00zz__flac_flacz00, BgL_bgl_string1828za700za7za7_1894za7, "&flac-decoder-decode", 20 );
DEFINE_STRING( BGl_string1829z00zz__flac_flacz00, BgL_bgl_string1829za700za7za7_1895za7, "&flac-decoder-decode16", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1820z00zz__flac_flacz00, BgL_bgl_za762flacza7d2volume1896z00, BGl_z62flaczd2volumezd2get1140z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1822z00zz__flac_flacz00, BgL_bgl_za762flacza7d2volume1897z00, BGl_z62flaczd2volumezd2setz121142z70zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1830z00zz__flac_flacz00, BgL_bgl_string1830za700za7za7_1898za7, "&flac-decoder-reset!", 20 );
DEFINE_STRING( BGl_string1831z00zz__flac_flacz00, BgL_bgl_string1831za700za7za7_1899za7, "&flac-decoder-read", 18 );
DEFINE_STRING( BGl_string1832z00zz__flac_flacz00, BgL_bgl_string1832za700za7za7_1900za7, "bint", 4 );
DEFINE_STRING( BGl_string1833z00zz__flac_flacz00, BgL_bgl_string1833za700za7za7_1901za7, "&flac-decoder-write", 19 );
DEFINE_STRING( BGl_string1834z00zz__flac_flacz00, BgL_bgl_string1834za700za7za7_1902za7, "&flac-decoder-metadata", 22 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STRING( BGl_string1835z00zz__flac_flacz00, BgL_bgl_string1835za700za7za7_1903za7, "bllong", 6 );
DEFINE_STRING( BGl_string1836z00zz__flac_flacz00, BgL_bgl_string1836za700za7za7_1904za7, "&flac-decoder-tell", 18 );
DEFINE_STRING( BGl_string1837z00zz__flac_flacz00, BgL_bgl_string1837za700za7za7_1905za7, "&flac-decoder-seek", 18 );
DEFINE_STRING( BGl_string1838z00zz__flac_flacz00, BgL_bgl_string1838za700za7za7_1906za7, "&flac-decoder-length", 20 );
DEFINE_STRING( BGl_string1757z00zz__flac_flacz00, BgL_bgl_string1757za700za7za7_1907za7, "Llib/flac.scm", 13 );
DEFINE_STRING( BGl_string1839z00zz__flac_flacz00, BgL_bgl_string1839za700za7za7_1908za7, "&flac-decoder-info", 18 );
DEFINE_STRING( BGl_string1758z00zz__flac_flacz00, BgL_bgl_string1758za700za7za7_1909za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/flac/src/Llib/flac.scm", 62 );
DEFINE_STRING( BGl_string1759z00zz__flac_flacz00, BgL_bgl_string1759za700za7za7_1910za7, "&flac-error1705", 15 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2closezd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1911z00, BGl_z62flaczd2decoderzd2closez62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1840z00zz__flac_flacz00, BgL_bgl_string1840za700za7za7_1912za7, "&flac-decoder-position", 22 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1913z00, BGl_z62flaczd2decoderzd2seekz62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1841z00zz__flac_flacz00, BgL_bgl_string1841za700za7za7_1914za7, "&flac-volume-get", 16 );
DEFINE_STRING( BGl_string1760z00zz__flac_flacz00, BgL_bgl_string1760za700za7za7_1915za7, "bstring", 7 );
DEFINE_STRING( BGl_string1842z00zz__flac_flacz00, BgL_bgl_string1842za700za7za7_1916za7, "&flac-volume-set!", 17 );
DEFINE_STRING( BGl_string1844z00zz__flac_flacz00, BgL_bgl_string1844za700za7za7_1917za7, "object-print", 12 );
DEFINE_STRING( BGl_string1845z00zz__flac_flacz00, BgL_bgl_string1845za700za7za7_1918za7, "#|flac-decoder|", 15 );
DEFINE_STRING( BGl_string1846z00zz__flac_flacz00, BgL_bgl_string1846za700za7za7_1919za7, "flac-decoder-read1124 flac-decoder-write1126 flac-decoder-metadat1128 &flac-error __flac_flac flac-decoder %rchecksum int %bchecksum md5check double %volume long %sample bool %eof bstring outbuf custom %flacbuf $flac-decoder $builtin unknown stream-decoder-uninitialized stream-decoder-memory-allocation-error stream-decoder-aborted stream-decoder-seek-error STREAM-DECODER-OGG-ERROR stream-decoder-end-of-stream stream-decoder-read-frame stream-decoder-search-for-frame-sync stream-decoder-read-metadata decoder-search-for-metata ", 531 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1761z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1920za7, BGl_z62zc3z04anonymousza31190ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1843z00zz__flac_flacz00, BgL_bgl_za762objectza7d2prin1921z00, BGl_z62objectzd2printzd2flaczd2de1113zb0zz__flac_flacz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1762z00zz__flac_flacz00, BgL_bgl_za762lambda1189za7621922z00, BGl_z62lambda1189z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1763z00zz__flac_flacz00, BgL_bgl_za762lambda1188za7621923z00, BGl_z62lambda1188z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1764z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1924za7, BGl_z62zc3z04anonymousza31204ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1765z00zz__flac_flacz00, BgL_bgl_za762lambda1203za7621925z00, BGl_z62lambda1203z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1766z00zz__flac_flacz00, BgL_bgl_za762lambda1202za7621926z00, BGl_z62lambda1202z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1767z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1927za7, BGl_z62zc3z04anonymousza31214ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1768z00zz__flac_flacz00, BgL_bgl_za762lambda1213za7621928z00, BGl_z62lambda1213z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1769z00zz__flac_flacz00, BgL_bgl_za762lambda1212za7621929z00, BGl_z62lambda1212z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1770z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1930za7, BGl_z62zc3z04anonymousza31222ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1771z00zz__flac_flacz00, BgL_bgl_za762lambda1221za7621931z00, BGl_z62lambda1221z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1772z00zz__flac_flacz00, BgL_bgl_za762lambda1220za7621932z00, BGl_z62lambda1220z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1773z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1933za7, BGl_z62zc3z04anonymousza31232ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1774z00zz__flac_flacz00, BgL_bgl_za762lambda1231za7621934z00, BGl_z62lambda1231z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1775z00zz__flac_flacz00, BgL_bgl_za762lambda1230za7621935z00, BGl_z62lambda1230z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1776z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1936za7, BGl_z62zc3z04anonymousza31249ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1777z00zz__flac_flacz00, BgL_bgl_za762lambda1248za7621937z00, BGl_z62lambda1248z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1778z00zz__flac_flacz00, BgL_bgl_za762lambda1247za7621938z00, BGl_z62lambda1247z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1779z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1939za7, BGl_z62zc3z04anonymousza31256ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1780z00zz__flac_flacz00, BgL_bgl_za762lambda1255za7621940z00, BGl_z62lambda1255z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1781z00zz__flac_flacz00, BgL_bgl_za762lambda1254za7621941z00, BGl_z62lambda1254z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1782z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1942za7, BGl_z62zc3z04anonymousza31288ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1783z00zz__flac_flacz00, BgL_bgl_za762lambda1287za7621943z00, BGl_z62lambda1287z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1784z00zz__flac_flacz00, BgL_bgl_za762lambda1286za7621944z00, BGl_z62lambda1286z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1785z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1945za7, BGl_z62zc3z04anonymousza31335ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1786z00zz__flac_flacz00, BgL_bgl_za762lambda1334za7621946z00, BGl_z62lambda1334z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1793z00zz__flac_flacz00, BgL_bgl_string1793za700za7za7_1947za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1787z00zz__flac_flacz00, BgL_bgl_za762lambda1333za7621948z00, BGl_z62lambda1333z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1788z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1949za7, BGl_z62zc3z04anonymousza31180ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1795z00zz__flac_flacz00, BgL_bgl_string1795za700za7za7_1950za7, "flac-decoder-init1114", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1789z00zz__flac_flacz00, BgL_bgl_za762lambda1178za7621951z00, BGl_z62lambda1178z62zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1797z00zz__flac_flacz00, BgL_bgl_string1797za700za7za7_1952za7, "flac-decoder-close1116", 22 );
DEFINE_STRING( BGl_string1799z00zz__flac_flacz00, BgL_bgl_string1799za700za7za7_1953za7, "flac-decoder-decode1118", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1790z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1954za7, BGl_z62zc3z04anonymousza31345ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1791z00zz__flac_flacz00, BgL_bgl_za762lambda1343za7621955z00, BGl_z62lambda1343z62zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1792z00zz__flac_flacz00, BgL_bgl_za762lambda1341za7621956z00, BGl_z62lambda1341z62zz__flac_flacz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1794z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1957z00, BGl_z62flaczd2decoderzd2init1114z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1796z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1958z00, BGl_z62flaczd2decoderzd2close1116z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1798z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1959z00, BGl_z62flaczd2decoderzd2decode1118z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2decode16zd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1960z00, BGl_z62flaczd2decoderzd2decode16z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2infozd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1961z00, BGl_z62flaczd2decoderzd2infoz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1962z00, BGl_z62flaczd2decoderzd2resetz12z70zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1963z00, BGl_z62flaczd2decoderzd2initz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1964z00, BGl_z62flaczd2decoderzd2readz62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1965z00, BGl_z62flaczd2decoderzd2writez62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_flaczd2errorzd2envz00zz__flac_flacz00, BgL_bgl_za762flacza7d2error11966z00, BGl_z62flaczd2error1705zb0zz__flac_flacz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42flaczd2makezd2customzd2envzc2zz__flac_flacz00, BgL_bgl_za762za752za742flacza7d21967z00, BGl_z62z52z42flaczd2makezd2customz72zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1968z00, BGl_z62flaczd2decoderzd2tellz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2positionzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1969z00, BGl_z62flaczd2decoderzd2positionz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2volumezd2getzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2volume1970z00, BGl_z62flaczd2volumezd2getz62zz__flac_flacz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__flac_flacz00) );
ADD_ROOT( (void *)(&BGl_z62flaczd2errorzb0zz__flac_flacz00) );
ADD_ROOT( (void *)(&BGl_flaczd2decoderzd2zz__flac_flacz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long BgL_checksumz00_1880, char * BgL_fromz00_1881)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__flac_flacz00))
{ 
BGl_requirezd2initializa7ationz75zz__flac_flacz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__flac_flacz00(); 
BGl_libraryzd2moduleszd2initz00zz__flac_flacz00(); 
BGl_cnstzd2initzd2zz__flac_flacz00(); 
BGl_objectzd2initzd2zz__flac_flacz00(); 
BGl_genericzd2initzd2zz__flac_flacz00(); 
BGl_methodzd2initzd2zz__flac_flacz00(); 
return 
BGl_toplevelzd2initzd2zz__flac_flacz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__customz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__flac_flac"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
{ /* Llib/flac.scm 15 */
 obj_t BgL_cportz00_1223;
{ /* Llib/flac.scm 15 */
 obj_t BgL_stringz00_1230;
BgL_stringz00_1230 = BGl_string1846z00zz__flac_flacz00; 
{ /* Llib/flac.scm 15 */
 obj_t BgL_startz00_1231;
BgL_startz00_1231 = 
BINT(((long)0)); 
{ /* Llib/flac.scm 15 */
 obj_t BgL_endz00_1232;
BgL_endz00_1232 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1230))); 
{ /* Llib/flac.scm 15 */

BgL_cportz00_1223 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1230, BgL_startz00_1231, BgL_endz00_1232); } } } } 
{ 
 long BgL_iz00_1224;
BgL_iz00_1224 = ((long)32); 
BgL_loopz00_1225:
if(
(BgL_iz00_1224==((long)-1)))
{ /* Llib/flac.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/flac.scm 15 */
{ /* Llib/flac.scm 15 */
 obj_t BgL_arg1847z00_1226;
{ /* Llib/flac.scm 15 */

{ /* Llib/flac.scm 15 */
 obj_t BgL_locationz00_1228;
BgL_locationz00_1228 = 
BBOOL(((bool_t)0)); 
{ /* Llib/flac.scm 15 */

BgL_arg1847z00_1226 = 
BGl_readz00zz__readerz00(BgL_cportz00_1223, BgL_locationz00_1228); } } } 
{ /* Llib/flac.scm 15 */
 int BgL_tmpz00_1919;
BgL_tmpz00_1919 = 
(int)(BgL_iz00_1224); 
CNST_TABLE_SET(BgL_tmpz00_1919, BgL_arg1847z00_1226); } } 
{ /* Llib/flac.scm 15 */
 int BgL_auxz00_1229;
BgL_auxz00_1229 = 
(int)(
(BgL_iz00_1224-((long)1))); 
{ 
 long BgL_iz00_1924;
BgL_iz00_1924 = 
(long)(BgL_auxz00_1229); 
BgL_iz00_1224 = BgL_iz00_1924; 
goto BgL_loopz00_1225;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1757z00zz__flac_flacz00)); 
return BUNSPEC;} 

}



/* %$flac-decoder-new */
BGL_EXPORTED_DEF FLAC__StreamDecoder * BGl_z52z42flaczd2decoderzd2newz10zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 77 */
return 
FLAC__stream_decoder_new();} 

}



/* &%$flac-decoder-new */
obj_t BGl_z62z52z42flaczd2decoderzd2newz72zz__flac_flacz00(obj_t BgL_envz00_930)
{
{ /* Llib/flac.scm 77 */
return 
void_star_to_obj(
BGl_z52z42flaczd2decoderzd2newz10zz__flac_flacz00());} 

}



/* %$flac-make-custom */
BGL_EXPORTED_DEF obj_t BGl_z52z42flaczd2makezd2customz10zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 83 */
return 
create_custom(((long)0));} 

}



/* &%$flac-make-custom */
obj_t BGl_z62z52z42flaczd2makezd2customz72zz__flac_flacz00(obj_t BgL_envz00_931)
{
{ /* Llib/flac.scm 83 */
return 
BGl_z52z42flaczd2makezd2customz10zz__flac_flacz00();} 

}



/* flac-decoder-state->symbol */
obj_t BGl_flaczd2decoderzd2statezd2ze3symbolz31zz__flac_flacz00(FLAC__StreamDecoderState BgL_sz00_29)
{
{ /* Llib/flac.scm 195 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_SEARCH_FOR_METADATA))
{ /* Llib/flac.scm 197 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Llib/flac.scm 197 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_READ_METADATA))
{ /* Llib/flac.scm 199 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Llib/flac.scm 199 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_SEARCH_FOR_FRAME_SYNC))
{ /* Llib/flac.scm 201 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Llib/flac.scm 201 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_READ_FRAME))
{ /* Llib/flac.scm 203 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Llib/flac.scm 203 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_END_OF_STREAM))
{ /* Llib/flac.scm 205 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Llib/flac.scm 205 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_OGG_ERROR))
{ /* Llib/flac.scm 207 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Llib/flac.scm 207 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_SEEK_ERROR))
{ /* Llib/flac.scm 209 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* Llib/flac.scm 209 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_ABORTED))
{ /* Llib/flac.scm 211 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Llib/flac.scm 211 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_MEMORY_ALLOCATION_ERROR))
{ /* Llib/flac.scm 213 */
return 
CNST_TABLE_REF(((long)8));}  else 
{ /* Llib/flac.scm 213 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_UNINITIALIZED))
{ /* Llib/flac.scm 215 */
return 
CNST_TABLE_REF(((long)9));}  else 
{ /* Llib/flac.scm 215 */
return 
CNST_TABLE_REF(((long)10));} } } } } } } } } } } 

}



/* flac-error */
BGL_EXPORTED_DEF int bgl_flac_error(char * BgL_procz00_35, char * BgL_msgz00_36, obj_t BgL_objz00_37)
{
{ /* Llib/flac.scm 267 */
{ /* Llib/flac.scm 268 */
 BgL_z62flaczd2errorzb0_bglt BgL_arg1165z00_63;
{ /* Llib/flac.scm 268 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1102z00_64;
{ /* Llib/flac.scm 268 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1101z00_67;
BgL_new1101z00_67 = 
((BgL_z62flaczd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62flaczd2errorzb0_bgl) ))); 
{ /* Llib/flac.scm 268 */
 long BgL_arg1170z00_68;
BgL_arg1170z00_68 = 
BGL_CLASS_NUM(BGl_z62flaczd2errorzb0zz__flac_flacz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1101z00_67), BgL_arg1170z00_68); } 
BgL_new1102z00_64 = BgL_new1101z00_67; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1102z00_64)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1102z00_64)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1973;
{ /* Llib/flac.scm 268 */
 obj_t BgL_arg1166z00_65;
{ /* Llib/flac.scm 268 */
 obj_t BgL_arg1168z00_66;
{ /* Llib/flac.scm 268 */
 obj_t BgL_classz00_397;
BgL_classz00_397 = BGl_z62flaczd2errorzb0zz__flac_flacz00; 
BgL_arg1168z00_66 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_397); } 
BgL_arg1166z00_65 = 
VECTOR_REF(BgL_arg1168z00_66,((long)2)); } 
BgL_auxz00_1973 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1166z00_65); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1102z00_64)))->BgL_stackz00)=((obj_t)BgL_auxz00_1973),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1102z00_64)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_35)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1102z00_64)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_36)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1102z00_64)))->BgL_objz00)=((obj_t)BgL_objz00_37),BUNSPEC); 
BgL_arg1165z00_63 = BgL_new1102z00_64; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1165z00_63)); } 
return 
(int)(((long)0));} 

}



/* &flac-error1705 */
obj_t BGl_z62flaczd2error1705zb0zz__flac_flacz00(obj_t BgL_envz00_932, obj_t BgL_procz00_933, obj_t BgL_msgz00_934, obj_t BgL_objz00_935)
{
{ /* Llib/flac.scm 267 */
{ /* Llib/flac.scm 271 */
 int BgL_tmpz00_1990;
{ /* Llib/flac.scm 271 */
 char * BgL_auxz00_2000; char * BgL_auxz00_1991;
{ /* Llib/flac.scm 271 */
 obj_t BgL_tmpz00_2001;
if(
STRINGP(BgL_msgz00_934))
{ /* Llib/flac.scm 271 */
BgL_tmpz00_2001 = BgL_msgz00_934
; }  else 
{ 
 obj_t BgL_auxz00_2004;
BgL_auxz00_2004 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)12269)), BGl_string1759z00zz__flac_flacz00, BGl_string1760z00zz__flac_flacz00, BgL_msgz00_934); 
FAILURE(BgL_auxz00_2004,BFALSE,BFALSE);} 
BgL_auxz00_2000 = 
BSTRING_TO_STRING(BgL_tmpz00_2001); } 
{ /* Llib/flac.scm 271 */
 obj_t BgL_tmpz00_1992;
if(
STRINGP(BgL_procz00_933))
{ /* Llib/flac.scm 271 */
BgL_tmpz00_1992 = BgL_procz00_933
; }  else 
{ 
 obj_t BgL_auxz00_1995;
BgL_auxz00_1995 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)12269)), BGl_string1759z00zz__flac_flacz00, BGl_string1760z00zz__flac_flacz00, BgL_procz00_933); 
FAILURE(BgL_auxz00_1995,BFALSE,BFALSE);} 
BgL_auxz00_1991 = 
BSTRING_TO_STRING(BgL_tmpz00_1992); } 
BgL_tmpz00_1990 = 
bgl_flac_error(BgL_auxz00_1991, BgL_auxz00_2000, BgL_objz00_935); } 
return 
BINT(BgL_tmpz00_1990);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1175z00_71; obj_t BgL_arg1177z00_72;
{ /* Llib/flac.scm 31 */
 obj_t BgL_v1108z00_78;
BgL_v1108z00_78 = 
create_vector(((long)9)); 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1181z00_79;
BgL_arg1181z00_79 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc1763z00zz__flac_flacz00, BGl_proc1762z00zz__flac_flacz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1761z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1108z00_78,((long)0),BgL_arg1181z00_79); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1194z00_92;
BgL_arg1194z00_92 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1766z00zz__flac_flacz00, BGl_proc1765z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1764z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1108z00_78,((long)1),BgL_arg1194z00_92); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1206z00_105;
BgL_arg1206z00_105 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc1769z00zz__flac_flacz00, BGl_proc1768z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1767z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)16))); 
VECTOR_SET(BgL_v1108z00_78,((long)2),BgL_arg1206z00_105); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1215z00_118;
BgL_arg1215z00_118 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc1772z00zz__flac_flacz00, BGl_proc1771z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1770z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1108z00_78,((long)3),BgL_arg1215z00_118); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1223z00_131;
BgL_arg1223z00_131 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc1775z00zz__flac_flacz00, BGl_proc1774z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1773z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1108z00_78,((long)4),BgL_arg1223z00_131); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1233z00_144;
BgL_arg1233z00_144 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_proc1778z00zz__flac_flacz00, BGl_proc1777z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1776z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)22))); 
VECTOR_SET(BgL_v1108z00_78,((long)5),BgL_arg1233z00_144); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1250z00_157;
BgL_arg1250z00_157 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc1781z00zz__flac_flacz00, BGl_proc1780z00zz__flac_flacz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1779z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1108z00_78,((long)6),BgL_arg1250z00_157); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1258z00_170;
BgL_arg1258z00_170 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)24)), BGl_proc1784z00zz__flac_flacz00, BGl_proc1783z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1782z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)25))); 
VECTOR_SET(BgL_v1108z00_78,((long)7),BgL_arg1258z00_170); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1289z00_183;
BgL_arg1289z00_183 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc1787z00zz__flac_flacz00, BGl_proc1786z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1785z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)25))); 
VECTOR_SET(BgL_v1108z00_78,((long)8),BgL_arg1289z00_183); } 
BgL_arg1175z00_71 = BgL_v1108z00_78; } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_v1109z00_196;
BgL_v1109z00_196 = 
create_vector(((long)0)); 
BgL_arg1177z00_72 = BgL_v1109z00_196; } 
BGl_flaczd2decoderzd2zz__flac_flacz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)27)), 
CNST_TABLE_REF(((long)28)), BGl_objectz00zz__objectz00, ((long)5831), BFALSE, BGl_proc1789z00zz__flac_flacz00, BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1788z00zz__flac_flacz00, BFALSE, BgL_arg1175z00_71, BgL_arg1177z00_72); } 
{ /* Llib/flac.scm 43 */
 obj_t BgL_arg1339z00_202; obj_t BgL_arg1340z00_203;
{ /* Llib/flac.scm 43 */
 obj_t BgL_v1110z00_219;
BgL_v1110z00_219 = 
create_vector(((long)0)); 
BgL_arg1339z00_202 = BgL_v1110z00_219; } 
{ /* Llib/flac.scm 43 */
 obj_t BgL_v1111z00_220;
BgL_v1111z00_220 = 
create_vector(((long)0)); 
BgL_arg1340z00_203 = BgL_v1111z00_220; } 
return ( 
BGl_z62flaczd2errorzb0zz__flac_flacz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)29)), 
CNST_TABLE_REF(((long)28)), BGl_z62errorz62zz__objectz00, ((long)1288), BGl_proc1792z00zz__flac_flacz00, BGl_proc1791z00zz__flac_flacz00, BFALSE, BGl_proc1790z00zz__flac_flacz00, BFALSE, BgL_arg1339z00_202, BgL_arg1340z00_203), BUNSPEC) ;} } 

}



/* &<@anonymous:1345> */
obj_t BGl_z62zc3z04anonymousza31345ze3ze5zz__flac_flacz00(obj_t BgL_envz00_968, obj_t BgL_new1082z00_969)
{
{ /* Llib/flac.scm 43 */
{ 
 BgL_z62flaczd2errorzb0_bglt BgL_auxz00_2057;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_969))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_969))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_969))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_969))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_969))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_969))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2057 = 
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_969); 
return 
((obj_t)BgL_auxz00_2057);} } 

}



/* &lambda1343 */
BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1343z62zz__flac_flacz00(obj_t BgL_envz00_970)
{
{ /* Llib/flac.scm 43 */
{ /* Llib/flac.scm 43 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1081z00_1235;
BgL_new1081z00_1235 = 
((BgL_z62flaczd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62flaczd2errorzb0_bgl) ))); 
{ /* Llib/flac.scm 43 */
 long BgL_arg1344z00_1236;
BgL_arg1344z00_1236 = 
BGL_CLASS_NUM(BGl_z62flaczd2errorzb0zz__flac_flacz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_1235), BgL_arg1344z00_1236); } 
return BgL_new1081z00_1235;} } 

}



/* &lambda1341 */
BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1341z62zz__flac_flacz00(obj_t BgL_envz00_971, obj_t BgL_fname1075z00_972, obj_t BgL_location1076z00_973, obj_t BgL_stack1077z00_974, obj_t BgL_proc1078z00_975, obj_t BgL_msg1079z00_976, obj_t BgL_obj1080z00_977)
{
{ /* Llib/flac.scm 43 */
{ /* Llib/flac.scm 43 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1104z00_1237;
{ /* Llib/flac.scm 43 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1103z00_1238;
BgL_new1103z00_1238 = 
((BgL_z62flaczd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62flaczd2errorzb0_bgl) ))); 
{ /* Llib/flac.scm 43 */
 long BgL_arg1342z00_1239;
BgL_arg1342z00_1239 = 
BGL_CLASS_NUM(BGl_z62flaczd2errorzb0zz__flac_flacz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_1238), BgL_arg1342z00_1239); } 
BgL_new1104z00_1237 = BgL_new1103z00_1238; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1104z00_1237)))->BgL_fnamez00)=((obj_t)BgL_fname1075z00_972),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1104z00_1237)))->BgL_locationz00)=((obj_t)BgL_location1076z00_973),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1104z00_1237)))->BgL_stackz00)=((obj_t)BgL_stack1077z00_974),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1104z00_1237)))->BgL_procz00)=((obj_t)BgL_proc1078z00_975),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1104z00_1237)))->BgL_msgz00)=((obj_t)BgL_msg1079z00_976),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1104z00_1237)))->BgL_objz00)=((obj_t)BgL_obj1080z00_977),BUNSPEC); 
return BgL_new1104z00_1237;} } 

}



/* &<@anonymous:1180> */
obj_t BGl_z62zc3z04anonymousza31180ze3ze5zz__flac_flacz00(obj_t BgL_envz00_978, obj_t BgL_new1073z00_979)
{
{ /* Llib/flac.scm 31 */
{ 
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2098;
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_979)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)
0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_979)))->BgL_z52flacbufz52)=((obj_t)
bgl_custom_nil()),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_979)))->BgL_outbufz00)=((obj_t)BGl_string1793z00zz__flac_flacz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_979)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_979)))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_979)))->BgL_z52volumez52)=((double)((double)0.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_979)))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_979)))->BgL_z52bchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_979)))->BgL_z52rchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_2098 = 
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_979); 
return 
((obj_t)BgL_auxz00_2098);} } 

}



/* &lambda1178 */
BgL_flaczd2decoderzd2_bglt BGl_z62lambda1178z62zz__flac_flacz00(obj_t BgL_envz00_980)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 BgL_flaczd2decoderzd2_bglt BgL_new1072z00_1241;
BgL_new1072z00_1241 = 
((BgL_flaczd2decoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2decoderzd2_bgl) ))); 
{ /* Llib/flac.scm 31 */
 long BgL_arg1179z00_1242;
BgL_arg1179z00_1242 = 
BGL_CLASS_NUM(BGl_flaczd2decoderzd2zz__flac_flacz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_1241), BgL_arg1179z00_1242); } 
return BgL_new1072z00_1241;} } 

}



/* &<@anonymous:1335> */
obj_t BGl_z62zc3z04anonymousza31335ze3ze5zz__flac_flacz00(obj_t BgL_envz00_981)
{
{ /* Llib/flac.scm 31 */
return 
BINT(((long)128));} 

}



/* &lambda1334 */
obj_t BGl_z62lambda1334z62zz__flac_flacz00(obj_t BgL_envz00_982, obj_t BgL_oz00_983, obj_t BgL_vz00_984)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 int BgL_vz00_1244;
BgL_vz00_1244 = 
CINT(BgL_vz00_984); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_983)))->BgL_z52rchecksumz52)=((int)BgL_vz00_1244),BUNSPEC);} } 

}



/* &lambda1333 */
obj_t BGl_z62lambda1333z62zz__flac_flacz00(obj_t BgL_envz00_985, obj_t BgL_oz00_986)
{
{ /* Llib/flac.scm 31 */
return 
BINT(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_986)))->BgL_z52rchecksumz52));} 

}



/* &<@anonymous:1288> */
obj_t BGl_z62zc3z04anonymousza31288ze3ze5zz__flac_flacz00(obj_t BgL_envz00_987)
{
{ /* Llib/flac.scm 31 */
return 
BINT(((long)128));} 

}



/* &lambda1287 */
obj_t BGl_z62lambda1287z62zz__flac_flacz00(obj_t BgL_envz00_988, obj_t BgL_oz00_989, obj_t BgL_vz00_990)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 int BgL_vz00_1247;
BgL_vz00_1247 = 
CINT(BgL_vz00_990); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_989)))->BgL_z52bchecksumz52)=((int)BgL_vz00_1247),BUNSPEC);} } 

}



/* &lambda1286 */
obj_t BGl_z62lambda1286z62zz__flac_flacz00(obj_t BgL_envz00_991, obj_t BgL_oz00_992)
{
{ /* Llib/flac.scm 31 */
return 
BINT(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_992)))->BgL_z52bchecksumz52));} 

}



/* &<@anonymous:1256> */
obj_t BGl_z62zc3z04anonymousza31256ze3ze5zz__flac_flacz00(obj_t BgL_envz00_993)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1255 */
obj_t BGl_z62lambda1255z62zz__flac_flacz00(obj_t BgL_envz00_994, obj_t BgL_oz00_995, obj_t BgL_vz00_996)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 bool_t BgL_vz00_1250;
BgL_vz00_1250 = 
CBOOL(BgL_vz00_996); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_995)))->BgL_md5checkz00)=((bool_t)BgL_vz00_1250),BUNSPEC);} } 

}



/* &lambda1254 */
obj_t BGl_z62lambda1254z62zz__flac_flacz00(obj_t BgL_envz00_997, obj_t BgL_oz00_998)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_998)))->BgL_md5checkz00));} 

}



/* &<@anonymous:1249> */
obj_t BGl_z62zc3z04anonymousza31249ze3ze5zz__flac_flacz00(obj_t BgL_envz00_999)
{
{ /* Llib/flac.scm 31 */
return 
DOUBLE_TO_REAL(((double)1.0));} 

}



/* &lambda1248 */
obj_t BGl_z62lambda1248z62zz__flac_flacz00(obj_t BgL_envz00_1000, obj_t BgL_oz00_1001, obj_t BgL_vz00_1002)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 double BgL_vz00_1253;
BgL_vz00_1253 = 
REAL_TO_DOUBLE(BgL_vz00_1002); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1001)))->BgL_z52volumez52)=((double)BgL_vz00_1253),BUNSPEC);} } 

}



/* &lambda1247 */
obj_t BGl_z62lambda1247z62zz__flac_flacz00(obj_t BgL_envz00_1003, obj_t BgL_oz00_1004)
{
{ /* Llib/flac.scm 31 */
return 
DOUBLE_TO_REAL(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1004)))->BgL_z52volumez52));} 

}



/* &<@anonymous:1232> */
obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1005)
{
{ /* Llib/flac.scm 31 */
return 
BINT(((long)0));} 

}



/* &lambda1231 */
obj_t BGl_z62lambda1231z62zz__flac_flacz00(obj_t BgL_envz00_1006, obj_t BgL_oz00_1007, obj_t BgL_vz00_1008)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 long BgL_vz00_1256;
BgL_vz00_1256 = 
(long)CINT(BgL_vz00_1008); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1007)))->BgL_z52samplez52)=((long)BgL_vz00_1256),BUNSPEC);} } 

}



/* &lambda1230 */
obj_t BGl_z62lambda1230z62zz__flac_flacz00(obj_t BgL_envz00_1009, obj_t BgL_oz00_1010)
{
{ /* Llib/flac.scm 31 */
return 
BINT(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1010)))->BgL_z52samplez52));} 

}



/* &<@anonymous:1222> */
obj_t BGl_z62zc3z04anonymousza31222ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1011)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1221 */
obj_t BGl_z62lambda1221z62zz__flac_flacz00(obj_t BgL_envz00_1012, obj_t BgL_oz00_1013, obj_t BgL_vz00_1014)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 bool_t BgL_vz00_1259;
BgL_vz00_1259 = 
CBOOL(BgL_vz00_1014); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1013)))->BgL_z52eofz52)=((bool_t)BgL_vz00_1259),BUNSPEC);} } 

}



/* &lambda1220 */
obj_t BGl_z62lambda1220z62zz__flac_flacz00(obj_t BgL_envz00_1015, obj_t BgL_oz00_1016)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1016)))->BgL_z52eofz52));} 

}



/* &<@anonymous:1214> */
obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1017)
{
{ /* Llib/flac.scm 31 */
return BGl_string1793z00zz__flac_flacz00;} 

}



/* &lambda1213 */
obj_t BGl_z62lambda1213z62zz__flac_flacz00(obj_t BgL_envz00_1018, obj_t BgL_oz00_1019, obj_t BgL_vz00_1020)
{
{ /* Llib/flac.scm 31 */
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1019)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_vz00_1020)),BUNSPEC);} 

}



/* &lambda1212 */
obj_t BGl_z62lambda1212z62zz__flac_flacz00(obj_t BgL_envz00_1021, obj_t BgL_oz00_1022)
{
{ /* Llib/flac.scm 31 */
return 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1022)))->BgL_outbufz00);} 

}



/* &<@anonymous:1204> */
obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1023)
{
{ /* Llib/flac.scm 31 */
return 
create_custom(((long)0));} 

}



/* &lambda1203 */
obj_t BGl_z62lambda1203z62zz__flac_flacz00(obj_t BgL_envz00_1024, obj_t BgL_oz00_1025, obj_t BgL_vz00_1026)
{
{ /* Llib/flac.scm 31 */
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1025)))->BgL_z52flacbufz52)=((obj_t)
((obj_t)BgL_vz00_1026)),BUNSPEC);} 

}



/* &lambda1202 */
obj_t BGl_z62lambda1202z62zz__flac_flacz00(obj_t BgL_envz00_1027, obj_t BgL_oz00_1028)
{
{ /* Llib/flac.scm 31 */
return 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1028)))->BgL_z52flacbufz52);} 

}



/* &<@anonymous:1190> */
obj_t BGl_z62zc3z04anonymousza31190ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1029)
{
{ /* Llib/flac.scm 31 */
return 
void_star_to_obj(
FLAC__stream_decoder_new());} 

}



/* &lambda1189 */
obj_t BGl_z62lambda1189z62zz__flac_flacz00(obj_t BgL_envz00_1030, obj_t BgL_oz00_1031, obj_t BgL_vz00_1032)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 FLAC__StreamDecoder * BgL_vz00_1268;
BgL_vz00_1268 = 
FOREIGN_TO_COBJ(BgL_vz00_1032); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1031)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_vz00_1268),BUNSPEC);} } 

}



/* &lambda1188 */
obj_t BGl_z62lambda1188z62zz__flac_flacz00(obj_t BgL_envz00_1033, obj_t BgL_oz00_1034)
{
{ /* Llib/flac.scm 31 */
return 
void_star_to_obj(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1034)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1794z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1795z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2closezd2envzd2zz__flac_flacz00, BGl_proc1796z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1797z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2decodezd2envzd2zz__flac_flacz00, BGl_proc1798z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1799z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2decode16zd2envzd2zz__flac_flacz00, BGl_proc1800z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1801z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BGl_proc1802z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1803z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BGl_proc1804z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1805z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, BGl_proc1806z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1807z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BGl_proc1808z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1809z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, BGl_proc1810z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1811z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, BGl_proc1812z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1813z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, BGl_proc1814z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1815z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2infozd2envzd2zz__flac_flacz00, BGl_proc1816z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1817z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2positionzd2envzd2zz__flac_flacz00, BGl_proc1818z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1819z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2volumezd2getzd2envzd2zz__flac_flacz00, BGl_proc1820z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1821z00zz__flac_flacz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2volumezd2setz12zd2envzc0zz__flac_flacz00, BGl_proc1822z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1823z00zz__flac_flacz00);} 

}



/* &flac-volume-set!1142 */
obj_t BGl_z62flaczd2volumezd2setz121142z70zz__flac_flacz00(obj_t BgL_envz00_1054, obj_t BgL_mz00_1055, obj_t BgL_volz00_1056)
{
{ /* Llib/flac.scm 258 */
{ /* Llib/flac.scm 260 */
 bool_t BgL_test1985z00_2203;
if(
(
(long)CINT(BgL_volz00_1056)>=((long)0)))
{ /* Llib/flac.scm 260 */
BgL_test1985z00_2203 = 
(
(long)CINT(BgL_volz00_1056)<=((long)100))
; }  else 
{ /* Llib/flac.scm 260 */
BgL_test1985z00_2203 = ((bool_t)0)
; } 
if(BgL_test1985z00_2203)
{ /* Llib/flac.scm 261 */
 double BgL_vz00_1271;
BgL_vz00_1271 = 
(
(double)(
(long)CINT(BgL_volz00_1056))/((double)100.0)); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1055)))->BgL_z52volumez52)=((double)
(BgL_vz00_1271*BgL_vz00_1271)),BUNSPEC);}  else 
{ /* Llib/flac.scm 260 */
return BFALSE;} } } 

}



/* &flac-volume-get1140 */
obj_t BGl_z62flaczd2volumezd2get1140z62zz__flac_flacz00(obj_t BgL_envz00_1057, obj_t BgL_mz00_1058)
{
{ /* Llib/flac.scm 251 */
return 
BINT(
(long)(
(
sqrt(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1058)))->BgL_z52volumez52))*((double)100.0))));} 

}



/* &flac-decoder-positio1138 */
obj_t BGl_z62flaczd2decoderzd2positio1138z62zz__flac_flacz00(obj_t BgL_envz00_1059, obj_t BgL_mz00_1060)
{
{ /* Llib/flac.scm 239 */
{ /* Llib/flac.scm 240 */
 long BgL_tmpz00_2221;
if(
(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1060)))->BgL_z52samplez52)<((long)0)))
{ /* Llib/flac.scm 241 */
BgL_tmpz00_2221 = ((long)0)
; }  else 
{ /* Llib/flac.scm 243 */
 unsigned long BgL_sratez00_1274;
{ /* Llib/flac.scm 243 */
 FLAC__StreamDecoder * BgL_tmpz00_2226;
BgL_tmpz00_2226 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1060)))->BgL_z42builtinz42); 
BgL_sratez00_1274 = 
FLAC__stream_decoder_get_sample_rate(BgL_tmpz00_2226); } 
if(
(
(long)(BgL_sratez00_1274)==((long)0)))
{ /* Llib/flac.scm 244 */
BgL_tmpz00_2221 = ((long)0)
; }  else 
{ /* Llib/flac.scm 244 */
BgL_tmpz00_2221 = 
(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1060)))->BgL_z52samplez52)/
(long)(BgL_sratez00_1274))
; } } 
return 
BINT(BgL_tmpz00_2221);} } 

}



/* &flac-decoder-info1136 */
obj_t BGl_z62flaczd2decoderzd2info1136z62zz__flac_flacz00(obj_t BgL_envz00_1061, obj_t BgL_oz00_1062)
{
{ /* Llib/flac.scm 187 */
{ /* Llib/flac.scm 188 */
 unsigned long BgL_tmpz00_2238;
{ /* Llib/flac.scm 189 */
 unsigned long BgL_val0_1106z00_1276; unsigned long BgL_val1_1107z00_1277;
{ /* Llib/flac.scm 189 */
 FLAC__StreamDecoder * BgL_tmpz00_2239;
BgL_tmpz00_2239 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1062)))->BgL_z42builtinz42); 
BgL_val0_1106z00_1276 = 
FLAC__stream_decoder_get_bits_per_sample(BgL_tmpz00_2239); } 
{ /* Llib/flac.scm 190 */
 FLAC__StreamDecoder * BgL_tmpz00_2243;
BgL_tmpz00_2243 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1062)))->BgL_z42builtinz42); 
BgL_val1_1107z00_1277 = 
FLAC__stream_decoder_get_sample_rate(BgL_tmpz00_2243); } 
{ /* Llib/flac.scm 189 */
 int BgL_tmpz00_2247;
BgL_tmpz00_2247 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2247); } 
{ /* Llib/flac.scm 189 */
 obj_t BgL_auxz00_2252; int BgL_tmpz00_2250;
BgL_auxz00_2252 = 
BINT(BgL_val1_1107z00_1277); 
BgL_tmpz00_2250 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2250, BgL_auxz00_2252); } 
BgL_tmpz00_2238 = BgL_val0_1106z00_1276; } 
return 
BINT(BgL_tmpz00_2238);} } 

}



/* &flac-decoder-length1134 */
obj_t BGl_z62flaczd2decoderzd2length1134z62zz__flac_flacz00(obj_t BgL_envz00_1063, obj_t BgL_oz00_1064)
{
{ /* Llib/flac.scm 181 */
return 
BINT(((long)-1));} 

}



/* &flac-decoder-seek1132 */
obj_t BGl_z62flaczd2decoderzd2seek1132z62zz__flac_flacz00(obj_t BgL_envz00_1065, obj_t BgL_oz00_1066, obj_t BgL_offsetz00_1067)
{
{ /* Llib/flac.scm 175 */
return 
BBOOL(((bool_t)1));} 

}



/* &flac-decoder-tell1130 */
obj_t BGl_z62flaczd2decoderzd2tell1130z62zz__flac_flacz00(obj_t BgL_envz00_1068, obj_t BgL_oz00_1069)
{
{ /* Llib/flac.scm 169 */
return 
BBOOL(((bool_t)0));} 

}



/* &flac-decoder-metadat1128 */
obj_t BGl_z62flaczd2decoderzd2metadat1128z62zz__flac_flacz00(obj_t BgL_envz00_1070, obj_t BgL_oz00_1071, obj_t BgL_totalz00_1072, obj_t BgL_sratez00_1073, obj_t BgL_channelsz00_1074, obj_t BgL_bpsz00_1075)
{
{ /* Llib/flac.scm 160 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)30)), BGl_string1824z00zz__flac_flacz00, 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1071)));} 

}



/* &flac-decoder-write1126 */
obj_t BGl_z62flaczd2decoderzd2write1126z62zz__flac_flacz00(obj_t BgL_envz00_1076, obj_t BgL_oz00_1077, obj_t BgL_blocksiza7eza7_1078, obj_t BgL_sratez00_1079, obj_t BgL_channelsz00_1080, obj_t BgL_bpsz00_1081)
{
{ /* Llib/flac.scm 151 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)31)), BGl_string1824z00zz__flac_flacz00, 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1077)));} 

}



/* &flac-decoder-read1124 */
obj_t BGl_z62flaczd2decoderzd2read1124z62zz__flac_flacz00(obj_t BgL_envz00_1082, obj_t BgL_oz00_1083, obj_t BgL_siza7eza7_1084)
{
{ /* Llib/flac.scm 146 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)32)), BGl_string1824z00zz__flac_flacz00, 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1083)));} 

}



/* &flac-decoder-reset!1122 */
obj_t BGl_z62flaczd2decoderzd2resetz121122z70zz__flac_flacz00(obj_t BgL_envz00_1085, obj_t BgL_oz00_1086)
{
{ /* Llib/flac.scm 129 */
{ /* Llib/flac.scm 130 */
 bool_t BgL_test1989z00_2271;
{ /* Llib/flac.scm 130 */
 obj_t BgL_arg1420z00_1295;
{ /* Llib/flac.scm 141 */
 FLAC__StreamDecoderState BgL_arg1147z00_1296;
{ /* Llib/flac.scm 141 */
 FLAC__StreamDecoder * BgL_tmpz00_2272;
BgL_tmpz00_2272 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1086)))->BgL_z42builtinz42); 
BgL_arg1147z00_1296 = 
FLAC__stream_decoder_get_state(BgL_tmpz00_2272); } 
BgL_arg1420z00_1295 = 
BGl_flaczd2decoderzd2statezd2ze3symbolz31zz__flac_flacz00(BgL_arg1147z00_1296); } 
BgL_test1989z00_2271 = 
(BgL_arg1420z00_1295==
CNST_TABLE_REF(((long)9))); } 
if(BgL_test1989z00_2271)
{ /* Llib/flac.scm 130 */
return BFALSE;}  else 
{ /* Llib/flac.scm 130 */
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1086)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1086)))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
{ /* Llib/flac.scm 134 */
 FLAC__StreamDecoder * BgL_arg1419z00_1297;
BgL_arg1419z00_1297 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1086)))->BgL_z42builtinz42); 
return 
BINT(
FLAC__stream_decoder_reset(BgL_arg1419z00_1297));} } } } 

}



/* &flac-decoder-decode11120 */
obj_t BGl_z62flaczd2decoderzd2decode11120z62zz__flac_flacz00(obj_t BgL_envz00_1087, obj_t BgL_oz00_1088)
{
{ /* Llib/flac.scm 118 */
{ /* Llib/flac.scm 119 */
 long BgL_tmpz00_2287;
{ /* Llib/flac.scm 120 */
 obj_t BgL_exitd1091z00_1299;
BgL_exitd1091z00_1299 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac.scm 124 */
 obj_t BgL_zc3z04anonymousza31381ze3z87_1300;
BgL_zc3z04anonymousza31381ze3z87_1300 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31381ze3ze5zz__flac_flacz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31381ze3z87_1300, 
(int)(((long)0)), 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1088))); 
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1812z00_1301;
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1813z00_1302;
BgL_arg1813z00_1302 = 
BGL_EXITD_PROTECT(BgL_exitd1091z00_1299); 
BgL_arg1812z00_1301 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31381ze3z87_1300, BgL_arg1813z00_1302); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1091z00_1299, BgL_arg1812z00_1301); BUNSPEC; } 
{ /* Llib/flac.scm 122 */
 FLAC__bool BgL_tmp1093z00_1303;
{ /* Llib/flac.scm 122 */
 FLAC__StreamDecoder * BgL_arg1377z00_1304;
BgL_arg1377z00_1304 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1088)))->BgL_z42builtinz42); 
{ /* Llib/flac.scm 122 */
 obj_t BgL_tmpz00_2301;
BgL_tmpz00_2301 = 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1088)); 
bgl_FLAC__stream_decoder_init_stream16(BgL_arg1377z00_1304, BgL_tmpz00_2301); } } 
{ /* Llib/flac.scm 123 */
 FLAC__StreamDecoder * BgL_tmpz00_2305;
BgL_tmpz00_2305 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1088)))->BgL_z42builtinz42); 
BgL_tmp1093z00_1303 = 
FLAC__stream_decoder_process_until_end_of_stream(BgL_tmpz00_2305); } 
{ /* Llib/flac.scm 120 */
 bool_t BgL_test1990z00_2309;
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1811z00_1305;
BgL_arg1811z00_1305 = 
BGL_EXITD_PROTECT(BgL_exitd1091z00_1299); 
BgL_test1990z00_2309 = 
PAIRP(BgL_arg1811z00_1305); } 
if(BgL_test1990z00_2309)
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1809z00_1306;
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1810z00_1307;
BgL_arg1810z00_1307 = 
BGL_EXITD_PROTECT(BgL_exitd1091z00_1299); 
BgL_arg1809z00_1306 = 
CDR(
((obj_t)BgL_arg1810z00_1307)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1091z00_1299, BgL_arg1809z00_1306); BUNSPEC; }  else 
{ /* Llib/flac.scm 120 */BFALSE; } } 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1088)); 
BgL_tmpz00_2287 = BgL_tmp1093z00_1303; } } } 
return 
BINT(BgL_tmpz00_2287);} } 

}



/* &<@anonymous:1381> */
obj_t BGl_z62zc3z04anonymousza31381ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1089)
{
{ /* Llib/flac.scm 120 */
{ /* Llib/flac.scm 124 */
 BgL_flaczd2decoderzd2_bglt BgL_oz00_1090;
BgL_oz00_1090 = 
((BgL_flaczd2decoderzd2_bglt)
PROCEDURE_REF(BgL_envz00_1089, 
(int)(((long)0)))); 
return 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_oz00_1090);} } 

}



/* &flac-decoder-decode1118 */
obj_t BGl_z62flaczd2decoderzd2decode1118z62zz__flac_flacz00(obj_t BgL_envz00_1091, obj_t BgL_oz00_1092)
{
{ /* Llib/flac.scm 107 */
{ /* Llib/flac.scm 108 */
 long BgL_tmpz00_2323;
{ /* Llib/flac.scm 109 */
 obj_t BgL_exitd1086z00_1309;
BgL_exitd1086z00_1309 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac.scm 113 */
 obj_t BgL_zc3z04anonymousza31366ze3z87_1310;
BgL_zc3z04anonymousza31366ze3z87_1310 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31366ze3ze5zz__flac_flacz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31366ze3z87_1310, 
(int)(((long)0)), 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1092))); 
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1812z00_1311;
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1813z00_1312;
BgL_arg1813z00_1312 = 
BGL_EXITD_PROTECT(BgL_exitd1086z00_1309); 
BgL_arg1812z00_1311 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31366ze3z87_1310, BgL_arg1813z00_1312); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1086z00_1309, BgL_arg1812z00_1311); BUNSPEC; } 
{ /* Llib/flac.scm 111 */
 FLAC__bool BgL_tmp1088z00_1313;
{ /* Llib/flac.scm 111 */
 FLAC__StreamDecoder * BgL_arg1364z00_1314;
BgL_arg1364z00_1314 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1092)))->BgL_z42builtinz42); 
{ /* Llib/flac.scm 111 */
 obj_t BgL_tmpz00_2337;
BgL_tmpz00_2337 = 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1092)); 
bgl_FLAC__stream_decoder_init_stream(BgL_arg1364z00_1314, BgL_tmpz00_2337); } } 
{ /* Llib/flac.scm 112 */
 FLAC__StreamDecoder * BgL_tmpz00_2341;
BgL_tmpz00_2341 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1092)))->BgL_z42builtinz42); 
BgL_tmp1088z00_1313 = 
FLAC__stream_decoder_process_until_end_of_stream(BgL_tmpz00_2341); } 
{ /* Llib/flac.scm 109 */
 bool_t BgL_test1991z00_2345;
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1811z00_1315;
BgL_arg1811z00_1315 = 
BGL_EXITD_PROTECT(BgL_exitd1086z00_1309); 
BgL_test1991z00_2345 = 
PAIRP(BgL_arg1811z00_1315); } 
if(BgL_test1991z00_2345)
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1809z00_1316;
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1810z00_1317;
BgL_arg1810z00_1317 = 
BGL_EXITD_PROTECT(BgL_exitd1086z00_1309); 
BgL_arg1809z00_1316 = 
CDR(
((obj_t)BgL_arg1810z00_1317)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1086z00_1309, BgL_arg1809z00_1316); BUNSPEC; }  else 
{ /* Llib/flac.scm 109 */BFALSE; } } 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1092)); 
BgL_tmpz00_2323 = BgL_tmp1088z00_1313; } } } 
return 
BINT(BgL_tmpz00_2323);} } 

}



/* &<@anonymous:1366> */
obj_t BGl_z62zc3z04anonymousza31366ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1093)
{
{ /* Llib/flac.scm 109 */
{ /* Llib/flac.scm 113 */
 BgL_flaczd2decoderzd2_bglt BgL_oz00_1094;
BgL_oz00_1094 = 
((BgL_flaczd2decoderzd2_bglt)
PROCEDURE_REF(BgL_envz00_1093, 
(int)(((long)0)))); 
return 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_oz00_1094);} } 

}



/* &flac-decoder-close1116 */
obj_t BGl_z62flaczd2decoderzd2close1116z62zz__flac_flacz00(obj_t BgL_envz00_1095, obj_t BgL_oz00_1096)
{
{ /* Llib/flac.scm 99 */
{ 
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2359;
{ /* Llib/flac.scm 101 */
 FLAC__StreamDecoder * BgL_arg1361z00_1319;
BgL_arg1361z00_1319 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1096)))->BgL_z42builtinz42); 
FLAC__stream_decoder_delete(BgL_arg1361z00_1319); BUNSPEC; } 
BgL_auxz00_2359 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1096); 
return 
((obj_t)BgL_auxz00_2359);} } 

}



/* &flac-decoder-init1114 */
obj_t BGl_z62flaczd2decoderzd2init1114z62zz__flac_flacz00(obj_t BgL_envz00_1097, obj_t BgL_oz00_1098)
{
{ /* Llib/flac.scm 89 */
{ /* Llib/flac.scm 91 */
 FLAC__StreamDecoder * BgL_arg1352z00_1321; FLAC__bool BgL_arg1354z00_1322;
BgL_arg1352z00_1321 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1098)))->BgL_z42builtinz42); 
if(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1098)))->BgL_md5checkz00))
{ /* Llib/flac.scm 92 */
BgL_arg1354z00_1322 = true; }  else 
{ /* Llib/flac.scm 92 */
BgL_arg1354z00_1322 = false; } 
FLAC__stream_decoder_set_md5_checking(BgL_arg1352z00_1321, BgL_arg1354z00_1322); } 
{ 
 obj_t BgL_auxz00_2371;
{ /* Llib/flac.scm 94 */
 long BgL_arg1357z00_1323;
BgL_arg1357z00_1323 = 
(FLAC__MAX_BLOCK_SIZE*
(FLAC__MAX_CHANNELS*((long)4))); 
{ /* Llib/flac.scm 94 */

BgL_auxz00_2371 = 
make_string(BgL_arg1357z00_1323, ((unsigned char)' ')); } } 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1098)))->BgL_outbufz00)=((obj_t)BgL_auxz00_2371),BUNSPEC);} } 

}



/* flac-decoder-init */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2initz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_6)
{
{ /* Llib/flac.scm 89 */
{ /* Llib/flac.scm 89 */
 obj_t BgL_method1115z00_350;
{ /* Llib/flac.scm 89 */
 obj_t BgL_res1634z00_493;
{ /* Llib/flac.scm 89 */
 long BgL_objzd2classzd2numz00_464;
BgL_objzd2classzd2numz00_464 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_6)); 
{ /* Llib/flac.scm 89 */
 obj_t BgL_arg1798z00_465;
BgL_arg1798z00_465 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 89 */
 int BgL_offsetz00_468;
BgL_offsetz00_468 = 
(int)(BgL_objzd2classzd2numz00_464); 
{ /* Llib/flac.scm 89 */
 long BgL_offsetz00_469;
BgL_offsetz00_469 = 
(
(long)(BgL_offsetz00_468)-OBJECT_TYPE); 
{ /* Llib/flac.scm 89 */
 long BgL_modz00_470;
BgL_modz00_470 = 
(BgL_offsetz00_469 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 89 */
 long BgL_restz00_472;
BgL_restz00_472 = 
(BgL_offsetz00_469 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 89 */

{ /* Llib/flac.scm 89 */
 obj_t BgL_bucketz00_474;
BgL_bucketz00_474 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_465),BgL_modz00_470); 
BgL_res1634z00_493 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_474),BgL_restz00_472); } } } } } } } } 
BgL_method1115z00_350 = BgL_res1634z00_493; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1115z00_350))(BgL_method1115z00_350, 
((obj_t)BgL_oz00_6), BEOA);} } 

}



/* &flac-decoder-init */
obj_t BGl_z62flaczd2decoderzd2initz62zz__flac_flacz00(obj_t BgL_envz00_1035, obj_t BgL_oz00_1036)
{
{ /* Llib/flac.scm 89 */
{ /* Llib/flac.scm 89 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2407;
{ /* Llib/flac.scm 89 */
 bool_t BgL_test1993z00_2408;
{ /* Llib/flac.scm 89 */
 obj_t BgL_classz00_1324;
BgL_classz00_1324 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1036))
{ /* Llib/flac.scm 89 */
 BgL_objectz00_bglt BgL_arg1796z00_1326; long BgL_arg1797z00_1327;
BgL_arg1796z00_1326 = 
(BgL_objectz00_bglt)(BgL_oz00_1036); 
BgL_arg1797z00_1327 = 
BGL_CLASS_DEPTH(BgL_classz00_1324); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 89 */
 long BgL_idxz00_1335;
BgL_idxz00_1335 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1326); 
{ /* Llib/flac.scm 89 */
 obj_t BgL_arg1788z00_1336;
{ /* Llib/flac.scm 89 */
 long BgL_arg1789z00_1337;
BgL_arg1789z00_1337 = 
(BgL_idxz00_1335+BgL_arg1797z00_1327); 
BgL_arg1788z00_1336 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1337); } 
BgL_test1993z00_2408 = 
(BgL_arg1788z00_1336==BgL_classz00_1324); } }  else 
{ /* Llib/flac.scm 89 */
 bool_t BgL_res1848z00_1360;
{ /* Llib/flac.scm 89 */
 obj_t BgL_oclassz00_1345;
{ /* Llib/flac.scm 89 */
 long BgL_arg1801z00_1351;
{ /* Llib/flac.scm 89 */
 long BgL_arg1802z00_1352;
BgL_arg1802z00_1352 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1326); 
BgL_arg1801z00_1351 = 
(BgL_arg1802z00_1352-OBJECT_TYPE); } 
BgL_oclassz00_1345 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1351); } 
{ /* Llib/flac.scm 89 */
 bool_t BgL__ortest_1110z00_1346;
BgL__ortest_1110z00_1346 = 
(BgL_classz00_1324==BgL_oclassz00_1345); 
if(BgL__ortest_1110z00_1346)
{ /* Llib/flac.scm 89 */
BgL_res1848z00_1360 = BgL__ortest_1110z00_1346; }  else 
{ /* Llib/flac.scm 89 */
 long BgL_odepthz00_1347;
BgL_odepthz00_1347 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1345); 
if(
(BgL_arg1797z00_1327<BgL_odepthz00_1347))
{ /* Llib/flac.scm 89 */
 obj_t BgL_arg1790z00_1349;
BgL_arg1790z00_1349 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1345, BgL_arg1797z00_1327); 
BgL_res1848z00_1360 = 
(BgL_arg1790z00_1349==BgL_classz00_1324); }  else 
{ /* Llib/flac.scm 89 */
BgL_res1848z00_1360 = ((bool_t)0); } } } } 
BgL_test1993z00_2408 = BgL_res1848z00_1360; } }  else 
{ /* Llib/flac.scm 89 */
BgL_test1993z00_2408 = ((bool_t)0)
; } } 
if(BgL_test1993z00_2408)
{ /* Llib/flac.scm 89 */
BgL_auxz00_2407 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1036)
; }  else 
{ 
 obj_t BgL_auxz00_2430;
BgL_auxz00_2430 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)4030)), BGl_string1825z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_oz00_1036); 
FAILURE(BgL_auxz00_2430,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2initz00zz__flac_flacz00(BgL_auxz00_2407);} } 

}



/* flac-decoder-close */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2closez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_7)
{
{ /* Llib/flac.scm 99 */
{ /* Llib/flac.scm 99 */
 obj_t BgL_method1117z00_351;
{ /* Llib/flac.scm 99 */
 obj_t BgL_res1639z00_524;
{ /* Llib/flac.scm 99 */
 long BgL_objzd2classzd2numz00_495;
BgL_objzd2classzd2numz00_495 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_7)); 
{ /* Llib/flac.scm 99 */
 obj_t BgL_arg1798z00_496;
BgL_arg1798z00_496 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2closezd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 99 */
 int BgL_offsetz00_499;
BgL_offsetz00_499 = 
(int)(BgL_objzd2classzd2numz00_495); 
{ /* Llib/flac.scm 99 */
 long BgL_offsetz00_500;
BgL_offsetz00_500 = 
(
(long)(BgL_offsetz00_499)-OBJECT_TYPE); 
{ /* Llib/flac.scm 99 */
 long BgL_modz00_501;
BgL_modz00_501 = 
(BgL_offsetz00_500 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 99 */
 long BgL_restz00_503;
BgL_restz00_503 = 
(BgL_offsetz00_500 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 99 */

{ /* Llib/flac.scm 99 */
 obj_t BgL_bucketz00_505;
BgL_bucketz00_505 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_496),BgL_modz00_501); 
BgL_res1639z00_524 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_505),BgL_restz00_503); } } } } } } } } 
BgL_method1117z00_351 = BgL_res1639z00_524; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1117z00_351))(BgL_method1117z00_351, 
((obj_t)BgL_oz00_7), BEOA);} } 

}



/* &flac-decoder-close */
obj_t BGl_z62flaczd2decoderzd2closez62zz__flac_flacz00(obj_t BgL_envz00_1099, obj_t BgL_oz00_1100)
{
{ /* Llib/flac.scm 99 */
{ /* Llib/flac.scm 99 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2465;
{ /* Llib/flac.scm 99 */
 bool_t BgL_test1998z00_2466;
{ /* Llib/flac.scm 99 */
 obj_t BgL_classz00_1361;
BgL_classz00_1361 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1100))
{ /* Llib/flac.scm 99 */
 BgL_objectz00_bglt BgL_arg1796z00_1363; long BgL_arg1797z00_1364;
BgL_arg1796z00_1363 = 
(BgL_objectz00_bglt)(BgL_oz00_1100); 
BgL_arg1797z00_1364 = 
BGL_CLASS_DEPTH(BgL_classz00_1361); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 99 */
 long BgL_idxz00_1372;
BgL_idxz00_1372 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1363); 
{ /* Llib/flac.scm 99 */
 obj_t BgL_arg1788z00_1373;
{ /* Llib/flac.scm 99 */
 long BgL_arg1789z00_1374;
BgL_arg1789z00_1374 = 
(BgL_idxz00_1372+BgL_arg1797z00_1364); 
BgL_arg1788z00_1373 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1374); } 
BgL_test1998z00_2466 = 
(BgL_arg1788z00_1373==BgL_classz00_1361); } }  else 
{ /* Llib/flac.scm 99 */
 bool_t BgL_res1849z00_1397;
{ /* Llib/flac.scm 99 */
 obj_t BgL_oclassz00_1382;
{ /* Llib/flac.scm 99 */
 long BgL_arg1801z00_1388;
{ /* Llib/flac.scm 99 */
 long BgL_arg1802z00_1389;
BgL_arg1802z00_1389 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1363); 
BgL_arg1801z00_1388 = 
(BgL_arg1802z00_1389-OBJECT_TYPE); } 
BgL_oclassz00_1382 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1388); } 
{ /* Llib/flac.scm 99 */
 bool_t BgL__ortest_1110z00_1383;
BgL__ortest_1110z00_1383 = 
(BgL_classz00_1361==BgL_oclassz00_1382); 
if(BgL__ortest_1110z00_1383)
{ /* Llib/flac.scm 99 */
BgL_res1849z00_1397 = BgL__ortest_1110z00_1383; }  else 
{ /* Llib/flac.scm 99 */
 long BgL_odepthz00_1384;
BgL_odepthz00_1384 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1382); 
if(
(BgL_arg1797z00_1364<BgL_odepthz00_1384))
{ /* Llib/flac.scm 99 */
 obj_t BgL_arg1790z00_1386;
BgL_arg1790z00_1386 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1382, BgL_arg1797z00_1364); 
BgL_res1849z00_1397 = 
(BgL_arg1790z00_1386==BgL_classz00_1361); }  else 
{ /* Llib/flac.scm 99 */
BgL_res1849z00_1397 = ((bool_t)0); } } } } 
BgL_test1998z00_2466 = BgL_res1849z00_1397; } }  else 
{ /* Llib/flac.scm 99 */
BgL_test1998z00_2466 = ((bool_t)0)
; } } 
if(BgL_test1998z00_2466)
{ /* Llib/flac.scm 99 */
BgL_auxz00_2465 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1100)
; }  else 
{ 
 obj_t BgL_auxz00_2488;
BgL_auxz00_2488 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)4535)), BGl_string1827z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_oz00_1100); 
FAILURE(BgL_auxz00_2488,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2closez00zz__flac_flacz00(BgL_auxz00_2465);} } 

}



/* flac-decoder-decode */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_8)
{
{ /* Llib/flac.scm 107 */
{ /* Llib/flac.scm 107 */
 obj_t BgL_method1119z00_352;
{ /* Llib/flac.scm 107 */
 obj_t BgL_res1644z00_555;
{ /* Llib/flac.scm 107 */
 long BgL_objzd2classzd2numz00_526;
BgL_objzd2classzd2numz00_526 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_8)); 
{ /* Llib/flac.scm 107 */
 obj_t BgL_arg1798z00_527;
BgL_arg1798z00_527 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2decodezd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 107 */
 int BgL_offsetz00_530;
BgL_offsetz00_530 = 
(int)(BgL_objzd2classzd2numz00_526); 
{ /* Llib/flac.scm 107 */
 long BgL_offsetz00_531;
BgL_offsetz00_531 = 
(
(long)(BgL_offsetz00_530)-OBJECT_TYPE); 
{ /* Llib/flac.scm 107 */
 long BgL_modz00_532;
BgL_modz00_532 = 
(BgL_offsetz00_531 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 107 */
 long BgL_restz00_534;
BgL_restz00_534 = 
(BgL_offsetz00_531 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 107 */

{ /* Llib/flac.scm 107 */
 obj_t BgL_bucketz00_536;
BgL_bucketz00_536 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_527),BgL_modz00_532); 
BgL_res1644z00_555 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_536),BgL_restz00_534); } } } } } } } } 
BgL_method1119z00_352 = BgL_res1644z00_555; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1119z00_352))(BgL_method1119z00_352, 
((obj_t)BgL_oz00_8), BEOA);} } 

}



/* &flac-decoder-decode */
obj_t BGl_z62flaczd2decoderzd2decodez62zz__flac_flacz00(obj_t BgL_envz00_1101, obj_t BgL_oz00_1102)
{
{ /* Llib/flac.scm 107 */
{ /* Llib/flac.scm 107 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2523;
{ /* Llib/flac.scm 107 */
 bool_t BgL_test2003z00_2524;
{ /* Llib/flac.scm 107 */
 obj_t BgL_classz00_1398;
BgL_classz00_1398 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1102))
{ /* Llib/flac.scm 107 */
 BgL_objectz00_bglt BgL_arg1796z00_1400; long BgL_arg1797z00_1401;
BgL_arg1796z00_1400 = 
(BgL_objectz00_bglt)(BgL_oz00_1102); 
BgL_arg1797z00_1401 = 
BGL_CLASS_DEPTH(BgL_classz00_1398); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 107 */
 long BgL_idxz00_1409;
BgL_idxz00_1409 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1400); 
{ /* Llib/flac.scm 107 */
 obj_t BgL_arg1788z00_1410;
{ /* Llib/flac.scm 107 */
 long BgL_arg1789z00_1411;
BgL_arg1789z00_1411 = 
(BgL_idxz00_1409+BgL_arg1797z00_1401); 
BgL_arg1788z00_1410 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1411); } 
BgL_test2003z00_2524 = 
(BgL_arg1788z00_1410==BgL_classz00_1398); } }  else 
{ /* Llib/flac.scm 107 */
 bool_t BgL_res1850z00_1434;
{ /* Llib/flac.scm 107 */
 obj_t BgL_oclassz00_1419;
{ /* Llib/flac.scm 107 */
 long BgL_arg1801z00_1425;
{ /* Llib/flac.scm 107 */
 long BgL_arg1802z00_1426;
BgL_arg1802z00_1426 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1400); 
BgL_arg1801z00_1425 = 
(BgL_arg1802z00_1426-OBJECT_TYPE); } 
BgL_oclassz00_1419 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1425); } 
{ /* Llib/flac.scm 107 */
 bool_t BgL__ortest_1110z00_1420;
BgL__ortest_1110z00_1420 = 
(BgL_classz00_1398==BgL_oclassz00_1419); 
if(BgL__ortest_1110z00_1420)
{ /* Llib/flac.scm 107 */
BgL_res1850z00_1434 = BgL__ortest_1110z00_1420; }  else 
{ /* Llib/flac.scm 107 */
 long BgL_odepthz00_1421;
BgL_odepthz00_1421 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1419); 
if(
(BgL_arg1797z00_1401<BgL_odepthz00_1421))
{ /* Llib/flac.scm 107 */
 obj_t BgL_arg1790z00_1423;
BgL_arg1790z00_1423 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1419, BgL_arg1797z00_1401); 
BgL_res1850z00_1434 = 
(BgL_arg1790z00_1423==BgL_classz00_1398); }  else 
{ /* Llib/flac.scm 107 */
BgL_res1850z00_1434 = ((bool_t)0); } } } } 
BgL_test2003z00_2524 = BgL_res1850z00_1434; } }  else 
{ /* Llib/flac.scm 107 */
BgL_test2003z00_2524 = ((bool_t)0)
; } } 
if(BgL_test2003z00_2524)
{ /* Llib/flac.scm 107 */
BgL_auxz00_2523 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1102)
; }  else 
{ 
 obj_t BgL_auxz00_2546;
BgL_auxz00_2546 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)4902)), BGl_string1828z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_oz00_1102); 
FAILURE(BgL_auxz00_2546,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_auxz00_2523);} } 

}



/* flac-decoder-decode16 */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_9)
{
{ /* Llib/flac.scm 118 */
{ /* Llib/flac.scm 118 */
 obj_t BgL_method1121z00_353;
{ /* Llib/flac.scm 118 */
 obj_t BgL_res1649z00_586;
{ /* Llib/flac.scm 118 */
 long BgL_objzd2classzd2numz00_557;
BgL_objzd2classzd2numz00_557 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_9)); 
{ /* Llib/flac.scm 118 */
 obj_t BgL_arg1798z00_558;
BgL_arg1798z00_558 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2decode16zd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 118 */
 int BgL_offsetz00_561;
BgL_offsetz00_561 = 
(int)(BgL_objzd2classzd2numz00_557); 
{ /* Llib/flac.scm 118 */
 long BgL_offsetz00_562;
BgL_offsetz00_562 = 
(
(long)(BgL_offsetz00_561)-OBJECT_TYPE); 
{ /* Llib/flac.scm 118 */
 long BgL_modz00_563;
BgL_modz00_563 = 
(BgL_offsetz00_562 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 118 */
 long BgL_restz00_565;
BgL_restz00_565 = 
(BgL_offsetz00_562 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 118 */

{ /* Llib/flac.scm 118 */
 obj_t BgL_bucketz00_567;
BgL_bucketz00_567 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_558),BgL_modz00_563); 
BgL_res1649z00_586 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_567),BgL_restz00_565); } } } } } } } } 
BgL_method1121z00_353 = BgL_res1649z00_586; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1121z00_353))(BgL_method1121z00_353, 
((obj_t)BgL_oz00_9), BEOA);} } 

}



/* &flac-decoder-decode16 */
obj_t BGl_z62flaczd2decoderzd2decode16z62zz__flac_flacz00(obj_t BgL_envz00_1103, obj_t BgL_oz00_1104)
{
{ /* Llib/flac.scm 118 */
{ /* Llib/flac.scm 118 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2581;
{ /* Llib/flac.scm 118 */
 bool_t BgL_test2008z00_2582;
{ /* Llib/flac.scm 118 */
 obj_t BgL_classz00_1435;
BgL_classz00_1435 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1104))
{ /* Llib/flac.scm 118 */
 BgL_objectz00_bglt BgL_arg1796z00_1437; long BgL_arg1797z00_1438;
BgL_arg1796z00_1437 = 
(BgL_objectz00_bglt)(BgL_oz00_1104); 
BgL_arg1797z00_1438 = 
BGL_CLASS_DEPTH(BgL_classz00_1435); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 118 */
 long BgL_idxz00_1446;
BgL_idxz00_1446 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1437); 
{ /* Llib/flac.scm 118 */
 obj_t BgL_arg1788z00_1447;
{ /* Llib/flac.scm 118 */
 long BgL_arg1789z00_1448;
BgL_arg1789z00_1448 = 
(BgL_idxz00_1446+BgL_arg1797z00_1438); 
BgL_arg1788z00_1447 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1448); } 
BgL_test2008z00_2582 = 
(BgL_arg1788z00_1447==BgL_classz00_1435); } }  else 
{ /* Llib/flac.scm 118 */
 bool_t BgL_res1851z00_1471;
{ /* Llib/flac.scm 118 */
 obj_t BgL_oclassz00_1456;
{ /* Llib/flac.scm 118 */
 long BgL_arg1801z00_1462;
{ /* Llib/flac.scm 118 */
 long BgL_arg1802z00_1463;
BgL_arg1802z00_1463 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1437); 
BgL_arg1801z00_1462 = 
(BgL_arg1802z00_1463-OBJECT_TYPE); } 
BgL_oclassz00_1456 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1462); } 
{ /* Llib/flac.scm 118 */
 bool_t BgL__ortest_1110z00_1457;
BgL__ortest_1110z00_1457 = 
(BgL_classz00_1435==BgL_oclassz00_1456); 
if(BgL__ortest_1110z00_1457)
{ /* Llib/flac.scm 118 */
BgL_res1851z00_1471 = BgL__ortest_1110z00_1457; }  else 
{ /* Llib/flac.scm 118 */
 long BgL_odepthz00_1458;
BgL_odepthz00_1458 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1456); 
if(
(BgL_arg1797z00_1438<BgL_odepthz00_1458))
{ /* Llib/flac.scm 118 */
 obj_t BgL_arg1790z00_1460;
BgL_arg1790z00_1460 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1456, BgL_arg1797z00_1438); 
BgL_res1851z00_1471 = 
(BgL_arg1790z00_1460==BgL_classz00_1435); }  else 
{ /* Llib/flac.scm 118 */
BgL_res1851z00_1471 = ((bool_t)0); } } } } 
BgL_test2008z00_2582 = BgL_res1851z00_1471; } }  else 
{ /* Llib/flac.scm 118 */
BgL_test2008z00_2582 = ((bool_t)0)
; } } 
if(BgL_test2008z00_2582)
{ /* Llib/flac.scm 118 */
BgL_auxz00_2581 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1104)
; }  else 
{ 
 obj_t BgL_auxz00_2604;
BgL_auxz00_2604 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)5389)), BGl_string1829z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_oz00_1104); 
FAILURE(BgL_auxz00_2604,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_auxz00_2581);} } 

}



/* flac-decoder-reset! */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_10)
{
{ /* Llib/flac.scm 129 */
{ /* Llib/flac.scm 129 */
 obj_t BgL_method1123z00_354;
{ /* Llib/flac.scm 129 */
 obj_t BgL_res1654z00_617;
{ /* Llib/flac.scm 129 */
 long BgL_objzd2classzd2numz00_588;
BgL_objzd2classzd2numz00_588 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_10)); 
{ /* Llib/flac.scm 129 */
 obj_t BgL_arg1798z00_589;
BgL_arg1798z00_589 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 129 */
 int BgL_offsetz00_592;
BgL_offsetz00_592 = 
(int)(BgL_objzd2classzd2numz00_588); 
{ /* Llib/flac.scm 129 */
 long BgL_offsetz00_593;
BgL_offsetz00_593 = 
(
(long)(BgL_offsetz00_592)-OBJECT_TYPE); 
{ /* Llib/flac.scm 129 */
 long BgL_modz00_594;
BgL_modz00_594 = 
(BgL_offsetz00_593 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 129 */
 long BgL_restz00_596;
BgL_restz00_596 = 
(BgL_offsetz00_593 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 129 */

{ /* Llib/flac.scm 129 */
 obj_t BgL_bucketz00_598;
BgL_bucketz00_598 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_589),BgL_modz00_594); 
BgL_res1654z00_617 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_598),BgL_restz00_596); } } } } } } } } 
BgL_method1123z00_354 = BgL_res1654z00_617; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1123z00_354))(BgL_method1123z00_354, 
((obj_t)BgL_oz00_10), BEOA);} } 

}



/* &flac-decoder-reset! */
obj_t BGl_z62flaczd2decoderzd2resetz12z70zz__flac_flacz00(obj_t BgL_envz00_1105, obj_t BgL_oz00_1106)
{
{ /* Llib/flac.scm 129 */
{ /* Llib/flac.scm 129 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2639;
{ /* Llib/flac.scm 129 */
 bool_t BgL_test2013z00_2640;
{ /* Llib/flac.scm 129 */
 obj_t BgL_classz00_1472;
BgL_classz00_1472 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1106))
{ /* Llib/flac.scm 129 */
 BgL_objectz00_bglt BgL_arg1796z00_1474; long BgL_arg1797z00_1475;
BgL_arg1796z00_1474 = 
(BgL_objectz00_bglt)(BgL_oz00_1106); 
BgL_arg1797z00_1475 = 
BGL_CLASS_DEPTH(BgL_classz00_1472); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 129 */
 long BgL_idxz00_1483;
BgL_idxz00_1483 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1474); 
{ /* Llib/flac.scm 129 */
 obj_t BgL_arg1788z00_1484;
{ /* Llib/flac.scm 129 */
 long BgL_arg1789z00_1485;
BgL_arg1789z00_1485 = 
(BgL_idxz00_1483+BgL_arg1797z00_1475); 
BgL_arg1788z00_1484 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1485); } 
BgL_test2013z00_2640 = 
(BgL_arg1788z00_1484==BgL_classz00_1472); } }  else 
{ /* Llib/flac.scm 129 */
 bool_t BgL_res1852z00_1508;
{ /* Llib/flac.scm 129 */
 obj_t BgL_oclassz00_1493;
{ /* Llib/flac.scm 129 */
 long BgL_arg1801z00_1499;
{ /* Llib/flac.scm 129 */
 long BgL_arg1802z00_1500;
BgL_arg1802z00_1500 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1474); 
BgL_arg1801z00_1499 = 
(BgL_arg1802z00_1500-OBJECT_TYPE); } 
BgL_oclassz00_1493 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1499); } 
{ /* Llib/flac.scm 129 */
 bool_t BgL__ortest_1110z00_1494;
BgL__ortest_1110z00_1494 = 
(BgL_classz00_1472==BgL_oclassz00_1493); 
if(BgL__ortest_1110z00_1494)
{ /* Llib/flac.scm 129 */
BgL_res1852z00_1508 = BgL__ortest_1110z00_1494; }  else 
{ /* Llib/flac.scm 129 */
 long BgL_odepthz00_1495;
BgL_odepthz00_1495 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1493); 
if(
(BgL_arg1797z00_1475<BgL_odepthz00_1495))
{ /* Llib/flac.scm 129 */
 obj_t BgL_arg1790z00_1497;
BgL_arg1790z00_1497 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1493, BgL_arg1797z00_1475); 
BgL_res1852z00_1508 = 
(BgL_arg1790z00_1497==BgL_classz00_1472); }  else 
{ /* Llib/flac.scm 129 */
BgL_res1852z00_1508 = ((bool_t)0); } } } } 
BgL_test2013z00_2640 = BgL_res1852z00_1508; } }  else 
{ /* Llib/flac.scm 129 */
BgL_test2013z00_2640 = ((bool_t)0)
; } } 
if(BgL_test2013z00_2640)
{ /* Llib/flac.scm 129 */
BgL_auxz00_2639 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1106)
; }  else 
{ 
 obj_t BgL_auxz00_2662;
BgL_auxz00_2662 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)5880)), BGl_string1830z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_oz00_1106); 
FAILURE(BgL_auxz00_2662,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_auxz00_2639);} } 

}



/* flac-decoder-read */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_read(BgL_flaczd2decoderzd2_bglt BgL_oz00_12, long BgL_siza7eza7_13)
{
{ /* Llib/flac.scm 146 */
{ /* Llib/flac.scm 146 */
 obj_t BgL_method1125z00_355;
{ /* Llib/flac.scm 146 */
 obj_t BgL_res1659z00_648;
{ /* Llib/flac.scm 146 */
 long BgL_objzd2classzd2numz00_619;
BgL_objzd2classzd2numz00_619 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_12)); 
{ /* Llib/flac.scm 146 */
 obj_t BgL_arg1798z00_620;
BgL_arg1798z00_620 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 146 */
 int BgL_offsetz00_623;
BgL_offsetz00_623 = 
(int)(BgL_objzd2classzd2numz00_619); 
{ /* Llib/flac.scm 146 */
 long BgL_offsetz00_624;
BgL_offsetz00_624 = 
(
(long)(BgL_offsetz00_623)-OBJECT_TYPE); 
{ /* Llib/flac.scm 146 */
 long BgL_modz00_625;
BgL_modz00_625 = 
(BgL_offsetz00_624 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 146 */
 long BgL_restz00_627;
BgL_restz00_627 = 
(BgL_offsetz00_624 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 146 */

{ /* Llib/flac.scm 146 */
 obj_t BgL_bucketz00_629;
BgL_bucketz00_629 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_620),BgL_modz00_625); 
BgL_res1659z00_648 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_629),BgL_restz00_627); } } } } } } } } 
BgL_method1125z00_355 = BgL_res1659z00_648; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1125z00_355))(BgL_method1125z00_355, 
((obj_t)BgL_oz00_12), 
BINT(BgL_siza7eza7_13), BEOA);} } 

}



/* &flac-decoder-read */
obj_t BGl_z62flaczd2decoderzd2readz62zz__flac_flacz00(obj_t BgL_envz00_1107, obj_t BgL_oz00_1108, obj_t BgL_siza7eza7_1109)
{
{ /* Llib/flac.scm 146 */
{ /* Llib/flac.scm 146 */
 long BgL_auxz00_2726; BgL_flaczd2decoderzd2_bglt BgL_auxz00_2699;
{ /* Llib/flac.scm 146 */
 obj_t BgL_tmpz00_2727;
if(
INTEGERP(BgL_siza7eza7_1109))
{ /* Llib/flac.scm 146 */
BgL_tmpz00_2727 = BgL_siza7eza7_1109
; }  else 
{ 
 obj_t BgL_auxz00_2730;
BgL_auxz00_2730 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)6750)), BGl_string1831z00zz__flac_flacz00, BGl_string1832z00zz__flac_flacz00, BgL_siza7eza7_1109); 
FAILURE(BgL_auxz00_2730,BFALSE,BFALSE);} 
BgL_auxz00_2726 = 
(long)CINT(BgL_tmpz00_2727); } 
{ /* Llib/flac.scm 146 */
 bool_t BgL_test2018z00_2700;
{ /* Llib/flac.scm 146 */
 obj_t BgL_classz00_1509;
BgL_classz00_1509 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1108))
{ /* Llib/flac.scm 146 */
 BgL_objectz00_bglt BgL_arg1796z00_1511; long BgL_arg1797z00_1512;
BgL_arg1796z00_1511 = 
(BgL_objectz00_bglt)(BgL_oz00_1108); 
BgL_arg1797z00_1512 = 
BGL_CLASS_DEPTH(BgL_classz00_1509); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 146 */
 long BgL_idxz00_1520;
BgL_idxz00_1520 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1511); 
{ /* Llib/flac.scm 146 */
 obj_t BgL_arg1788z00_1521;
{ /* Llib/flac.scm 146 */
 long BgL_arg1789z00_1522;
BgL_arg1789z00_1522 = 
(BgL_idxz00_1520+BgL_arg1797z00_1512); 
BgL_arg1788z00_1521 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1522); } 
BgL_test2018z00_2700 = 
(BgL_arg1788z00_1521==BgL_classz00_1509); } }  else 
{ /* Llib/flac.scm 146 */
 bool_t BgL_res1853z00_1545;
{ /* Llib/flac.scm 146 */
 obj_t BgL_oclassz00_1530;
{ /* Llib/flac.scm 146 */
 long BgL_arg1801z00_1536;
{ /* Llib/flac.scm 146 */
 long BgL_arg1802z00_1537;
BgL_arg1802z00_1537 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1511); 
BgL_arg1801z00_1536 = 
(BgL_arg1802z00_1537-OBJECT_TYPE); } 
BgL_oclassz00_1530 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1536); } 
{ /* Llib/flac.scm 146 */
 bool_t BgL__ortest_1110z00_1531;
BgL__ortest_1110z00_1531 = 
(BgL_classz00_1509==BgL_oclassz00_1530); 
if(BgL__ortest_1110z00_1531)
{ /* Llib/flac.scm 146 */
BgL_res1853z00_1545 = BgL__ortest_1110z00_1531; }  else 
{ /* Llib/flac.scm 146 */
 long BgL_odepthz00_1532;
BgL_odepthz00_1532 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1530); 
if(
(BgL_arg1797z00_1512<BgL_odepthz00_1532))
{ /* Llib/flac.scm 146 */
 obj_t BgL_arg1790z00_1534;
BgL_arg1790z00_1534 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1530, BgL_arg1797z00_1512); 
BgL_res1853z00_1545 = 
(BgL_arg1790z00_1534==BgL_classz00_1509); }  else 
{ /* Llib/flac.scm 146 */
BgL_res1853z00_1545 = ((bool_t)0); } } } } 
BgL_test2018z00_2700 = BgL_res1853z00_1545; } }  else 
{ /* Llib/flac.scm 146 */
BgL_test2018z00_2700 = ((bool_t)0)
; } } 
if(BgL_test2018z00_2700)
{ /* Llib/flac.scm 146 */
BgL_auxz00_2699 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1108)
; }  else 
{ 
 obj_t BgL_auxz00_2722;
BgL_auxz00_2722 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)6750)), BGl_string1831z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_oz00_1108); 
FAILURE(BgL_auxz00_2722,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_read(BgL_auxz00_2699, BgL_auxz00_2726);} } 

}



/* flac-decoder-write */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_write(BgL_flaczd2decoderzd2_bglt BgL_oz00_14, long BgL_blocksiza7eza7_15, long BgL_sratez00_16, long BgL_channelsz00_17, long BgL_bpsz00_18)
{
{ /* Llib/flac.scm 151 */
{ /* Llib/flac.scm 151 */
 obj_t BgL_method1127z00_356;
{ /* Llib/flac.scm 151 */
 obj_t BgL_res1664z00_679;
{ /* Llib/flac.scm 151 */
 long BgL_objzd2classzd2numz00_650;
BgL_objzd2classzd2numz00_650 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_14)); 
{ /* Llib/flac.scm 151 */
 obj_t BgL_arg1798z00_651;
BgL_arg1798z00_651 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 151 */
 int BgL_offsetz00_654;
BgL_offsetz00_654 = 
(int)(BgL_objzd2classzd2numz00_650); 
{ /* Llib/flac.scm 151 */
 long BgL_offsetz00_655;
BgL_offsetz00_655 = 
(
(long)(BgL_offsetz00_654)-OBJECT_TYPE); 
{ /* Llib/flac.scm 151 */
 long BgL_modz00_656;
BgL_modz00_656 = 
(BgL_offsetz00_655 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 151 */
 long BgL_restz00_658;
BgL_restz00_658 = 
(BgL_offsetz00_655 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 151 */

{ /* Llib/flac.scm 151 */
 obj_t BgL_bucketz00_660;
BgL_bucketz00_660 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_651),BgL_modz00_656); 
BgL_res1664z00_679 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_660),BgL_restz00_658); } } } } } } } } 
BgL_method1127z00_356 = BgL_res1664z00_679; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1127z00_356))(BgL_method1127z00_356, 
((obj_t)BgL_oz00_14), 
BINT(BgL_blocksiza7eza7_15), 
BINT(BgL_sratez00_16), 
BINT(BgL_channelsz00_17), 
BINT(BgL_bpsz00_18), BEOA);} } 

}



/* &flac-decoder-write */
obj_t BGl_z62flaczd2decoderzd2writez62zz__flac_flacz00(obj_t BgL_envz00_1110, obj_t BgL_oz00_1111, obj_t BgL_blocksiza7eza7_1112, obj_t BgL_sratez00_1113, obj_t BgL_channelsz00_1114, obj_t BgL_bpsz00_1115)
{
{ /* Llib/flac.scm 151 */
{ /* Llib/flac.scm 151 */
 long BgL_auxz00_2828; long BgL_auxz00_2819; long BgL_auxz00_2810; long BgL_auxz00_2801; BgL_flaczd2decoderzd2_bglt BgL_auxz00_2774;
{ /* Llib/flac.scm 151 */
 obj_t BgL_tmpz00_2829;
if(
INTEGERP(BgL_bpsz00_1115))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2829 = BgL_bpsz00_1115
; }  else 
{ 
 obj_t BgL_auxz00_2832;
BgL_auxz00_2832 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)7037)), BGl_string1833z00zz__flac_flacz00, BGl_string1832z00zz__flac_flacz00, BgL_bpsz00_1115); 
FAILURE(BgL_auxz00_2832,BFALSE,BFALSE);} 
BgL_auxz00_2828 = 
(long)CINT(BgL_tmpz00_2829); } 
{ /* Llib/flac.scm 151 */
 obj_t BgL_tmpz00_2820;
if(
INTEGERP(BgL_channelsz00_1114))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2820 = BgL_channelsz00_1114
; }  else 
{ 
 obj_t BgL_auxz00_2823;
BgL_auxz00_2823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)7037)), BGl_string1833z00zz__flac_flacz00, BGl_string1832z00zz__flac_flacz00, BgL_channelsz00_1114); 
FAILURE(BgL_auxz00_2823,BFALSE,BFALSE);} 
BgL_auxz00_2819 = 
(long)CINT(BgL_tmpz00_2820); } 
{ /* Llib/flac.scm 151 */
 obj_t BgL_tmpz00_2811;
if(
INTEGERP(BgL_sratez00_1113))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2811 = BgL_sratez00_1113
; }  else 
{ 
 obj_t BgL_auxz00_2814;
BgL_auxz00_2814 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)7037)), BGl_string1833z00zz__flac_flacz00, BGl_string1832z00zz__flac_flacz00, BgL_sratez00_1113); 
FAILURE(BgL_auxz00_2814,BFALSE,BFALSE);} 
BgL_auxz00_2810 = 
(long)CINT(BgL_tmpz00_2811); } 
{ /* Llib/flac.scm 151 */
 obj_t BgL_tmpz00_2802;
if(
INTEGERP(BgL_blocksiza7eza7_1112))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2802 = BgL_blocksiza7eza7_1112
; }  else 
{ 
 obj_t BgL_auxz00_2805;
BgL_auxz00_2805 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)7037)), BGl_string1833z00zz__flac_flacz00, BGl_string1832z00zz__flac_flacz00, BgL_blocksiza7eza7_1112); 
FAILURE(BgL_auxz00_2805,BFALSE,BFALSE);} 
BgL_auxz00_2801 = 
(long)CINT(BgL_tmpz00_2802); } 
{ /* Llib/flac.scm 151 */
 bool_t BgL_test2024z00_2775;
{ /* Llib/flac.scm 151 */
 obj_t BgL_classz00_1546;
BgL_classz00_1546 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1111))
{ /* Llib/flac.scm 151 */
 BgL_objectz00_bglt BgL_arg1796z00_1548; long BgL_arg1797z00_1549;
BgL_arg1796z00_1548 = 
(BgL_objectz00_bglt)(BgL_oz00_1111); 
BgL_arg1797z00_1549 = 
BGL_CLASS_DEPTH(BgL_classz00_1546); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 151 */
 long BgL_idxz00_1557;
BgL_idxz00_1557 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1548); 
{ /* Llib/flac.scm 151 */
 obj_t BgL_arg1788z00_1558;
{ /* Llib/flac.scm 151 */
 long BgL_arg1789z00_1559;
BgL_arg1789z00_1559 = 
(BgL_idxz00_1557+BgL_arg1797z00_1549); 
BgL_arg1788z00_1558 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1559); } 
BgL_test2024z00_2775 = 
(BgL_arg1788z00_1558==BgL_classz00_1546); } }  else 
{ /* Llib/flac.scm 151 */
 bool_t BgL_res1854z00_1582;
{ /* Llib/flac.scm 151 */
 obj_t BgL_oclassz00_1567;
{ /* Llib/flac.scm 151 */
 long BgL_arg1801z00_1573;
{ /* Llib/flac.scm 151 */
 long BgL_arg1802z00_1574;
BgL_arg1802z00_1574 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1548); 
BgL_arg1801z00_1573 = 
(BgL_arg1802z00_1574-OBJECT_TYPE); } 
BgL_oclassz00_1567 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1573); } 
{ /* Llib/flac.scm 151 */
 bool_t BgL__ortest_1110z00_1568;
BgL__ortest_1110z00_1568 = 
(BgL_classz00_1546==BgL_oclassz00_1567); 
if(BgL__ortest_1110z00_1568)
{ /* Llib/flac.scm 151 */
BgL_res1854z00_1582 = BgL__ortest_1110z00_1568; }  else 
{ /* Llib/flac.scm 151 */
 long BgL_odepthz00_1569;
BgL_odepthz00_1569 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1567); 
if(
(BgL_arg1797z00_1549<BgL_odepthz00_1569))
{ /* Llib/flac.scm 151 */
 obj_t BgL_arg1790z00_1571;
BgL_arg1790z00_1571 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1567, BgL_arg1797z00_1549); 
BgL_res1854z00_1582 = 
(BgL_arg1790z00_1571==BgL_classz00_1546); }  else 
{ /* Llib/flac.scm 151 */
BgL_res1854z00_1582 = ((bool_t)0); } } } } 
BgL_test2024z00_2775 = BgL_res1854z00_1582; } }  else 
{ /* Llib/flac.scm 151 */
BgL_test2024z00_2775 = ((bool_t)0)
; } } 
if(BgL_test2024z00_2775)
{ /* Llib/flac.scm 151 */
BgL_auxz00_2774 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1111)
; }  else 
{ 
 obj_t BgL_auxz00_2797;
BgL_auxz00_2797 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)7037)), BGl_string1833z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_oz00_1111); 
FAILURE(BgL_auxz00_2797,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_write(BgL_auxz00_2774, BgL_auxz00_2801, BgL_auxz00_2810, BgL_auxz00_2819, BgL_auxz00_2828);} } 

}



/* flac-decoder-metadata */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_metadata(BgL_flaczd2decoderzd2_bglt BgL_oz00_19, BGL_LONGLONG_T BgL_totalz00_20, long BgL_sratez00_21, long BgL_channelsz00_22, long BgL_bpsz00_23)
{
{ /* Llib/flac.scm 160 */
{ /* Llib/flac.scm 160 */
 obj_t BgL_method1129z00_357;
{ /* Llib/flac.scm 160 */
 obj_t BgL_res1669z00_710;
{ /* Llib/flac.scm 160 */
 long BgL_objzd2classzd2numz00_681;
BgL_objzd2classzd2numz00_681 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_19)); 
{ /* Llib/flac.scm 160 */
 obj_t BgL_arg1798z00_682;
BgL_arg1798z00_682 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 160 */
 int BgL_offsetz00_685;
BgL_offsetz00_685 = 
(int)(BgL_objzd2classzd2numz00_681); 
{ /* Llib/flac.scm 160 */
 long BgL_offsetz00_686;
BgL_offsetz00_686 = 
(
(long)(BgL_offsetz00_685)-OBJECT_TYPE); 
{ /* Llib/flac.scm 160 */
 long BgL_modz00_687;
BgL_modz00_687 = 
(BgL_offsetz00_686 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 160 */
 long BgL_restz00_689;
BgL_restz00_689 = 
(BgL_offsetz00_686 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 160 */

{ /* Llib/flac.scm 160 */
 obj_t BgL_bucketz00_691;
BgL_bucketz00_691 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_682),BgL_modz00_687); 
BgL_res1669z00_710 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_691),BgL_restz00_689); } } } } } } } } 
BgL_method1129z00_357 = BgL_res1669z00_710; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1129z00_357))(BgL_method1129z00_357, 
((obj_t)BgL_oz00_19), 
make_bllong(BgL_totalz00_20), 
BINT(BgL_sratez00_21), 
BINT(BgL_channelsz00_22), 
BINT(BgL_bpsz00_23), BEOA);} } 

}



/* &flac-decoder-metadata */
obj_t BGl_z62flaczd2decoderzd2metadataz62zz__flac_flacz00(obj_t BgL_envz00_1116, obj_t BgL_oz00_1117, obj_t BgL_totalz00_1118, obj_t BgL_sratez00_1119, obj_t BgL_channelsz00_1120, obj_t BgL_bpsz00_1121)
{
{ /* Llib/flac.scm 160 */
{ /* Llib/flac.scm 160 */
 long BgL_auxz00_2930; long BgL_auxz00_2921; long BgL_auxz00_2912; BGL_LONGLONG_T BgL_auxz00_2903; BgL_flaczd2decoderzd2_bglt BgL_auxz00_2876;
{ /* Llib/flac.scm 160 */
 obj_t BgL_tmpz00_2931;
if(
INTEGERP(BgL_bpsz00_1121))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_2931 = BgL_bpsz00_1121
; }  else 
{ 
 obj_t BgL_auxz00_2934;
BgL_auxz00_2934 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)7387)), BGl_string1834z00zz__flac_flacz00, BGl_string1832z00zz__flac_flacz00, BgL_bpsz00_1121); 
FAILURE(BgL_auxz00_2934,BFALSE,BFALSE);} 
BgL_auxz00_2930 = 
(long)CINT(BgL_tmpz00_2931); } 
{ /* Llib/flac.scm 160 */
 obj_t BgL_tmpz00_2922;
if(
INTEGERP(BgL_channelsz00_1120))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_2922 = BgL_channelsz00_1120
; }  else 
{ 
 obj_t BgL_auxz00_2925;
BgL_auxz00_2925 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)7387)), BGl_string1834z00zz__flac_flacz00, BGl_string1832z00zz__flac_flacz00, BgL_channelsz00_1120); 
FAILURE(BgL_auxz00_2925,BFALSE,BFALSE);} 
BgL_auxz00_2921 = 
(long)CINT(BgL_tmpz00_2922); } 
{ /* Llib/flac.scm 160 */
 obj_t BgL_tmpz00_2913;
if(
INTEGERP(BgL_sratez00_1119))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_2913 = BgL_sratez00_1119
; }  else 
{ 
 obj_t BgL_auxz00_2916;
BgL_auxz00_2916 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)7387)), BGl_string1834z00zz__flac_flacz00, BGl_string1832z00zz__flac_flacz00, BgL_sratez00_1119); 
FAILURE(BgL_auxz00_2916,BFALSE,BFALSE);} 
BgL_auxz00_2912 = 
(long)CINT(BgL_tmpz00_2913); } 
{ /* Llib/flac.scm 160 */
 obj_t BgL_tmpz00_2904;
if(
LLONGP(BgL_totalz00_1118))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_2904 = BgL_totalz00_1118
; }  else 
{ 
 obj_t BgL_auxz00_2907;
BgL_auxz00_2907 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)7387)), BGl_string1834z00zz__flac_flacz00, BGl_string1835z00zz__flac_flacz00, BgL_totalz00_1118); 
FAILURE(BgL_auxz00_2907,BFALSE,BFALSE);} 
BgL_auxz00_2903 = 
BLLONG_TO_LLONG(BgL_tmpz00_2904); } 
{ /* Llib/flac.scm 160 */
 bool_t BgL_test2033z00_2877;
{ /* Llib/flac.scm 160 */
 obj_t BgL_classz00_1583;
BgL_classz00_1583 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1117))
{ /* Llib/flac.scm 160 */
 BgL_objectz00_bglt BgL_arg1796z00_1585; long BgL_arg1797z00_1586;
BgL_arg1796z00_1585 = 
(BgL_objectz00_bglt)(BgL_oz00_1117); 
BgL_arg1797z00_1586 = 
BGL_CLASS_DEPTH(BgL_classz00_1583); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 160 */
 long BgL_idxz00_1594;
BgL_idxz00_1594 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1585); 
{ /* Llib/flac.scm 160 */
 obj_t BgL_arg1788z00_1595;
{ /* Llib/flac.scm 160 */
 long BgL_arg1789z00_1596;
BgL_arg1789z00_1596 = 
(BgL_idxz00_1594+BgL_arg1797z00_1586); 
BgL_arg1788z00_1595 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1596); } 
BgL_test2033z00_2877 = 
(BgL_arg1788z00_1595==BgL_classz00_1583); } }  else 
{ /* Llib/flac.scm 160 */
 bool_t BgL_res1855z00_1619;
{ /* Llib/flac.scm 160 */
 obj_t BgL_oclassz00_1604;
{ /* Llib/flac.scm 160 */
 long BgL_arg1801z00_1610;
{ /* Llib/flac.scm 160 */
 long BgL_arg1802z00_1611;
BgL_arg1802z00_1611 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1585); 
BgL_arg1801z00_1610 = 
(BgL_arg1802z00_1611-OBJECT_TYPE); } 
BgL_oclassz00_1604 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1610); } 
{ /* Llib/flac.scm 160 */
 bool_t BgL__ortest_1110z00_1605;
BgL__ortest_1110z00_1605 = 
(BgL_classz00_1583==BgL_oclassz00_1604); 
if(BgL__ortest_1110z00_1605)
{ /* Llib/flac.scm 160 */
BgL_res1855z00_1619 = BgL__ortest_1110z00_1605; }  else 
{ /* Llib/flac.scm 160 */
 long BgL_odepthz00_1606;
BgL_odepthz00_1606 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1604); 
if(
(BgL_arg1797z00_1586<BgL_odepthz00_1606))
{ /* Llib/flac.scm 160 */
 obj_t BgL_arg1790z00_1608;
BgL_arg1790z00_1608 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1604, BgL_arg1797z00_1586); 
BgL_res1855z00_1619 = 
(BgL_arg1790z00_1608==BgL_classz00_1583); }  else 
{ /* Llib/flac.scm 160 */
BgL_res1855z00_1619 = ((bool_t)0); } } } } 
BgL_test2033z00_2877 = BgL_res1855z00_1619; } }  else 
{ /* Llib/flac.scm 160 */
BgL_test2033z00_2877 = ((bool_t)0)
; } } 
if(BgL_test2033z00_2877)
{ /* Llib/flac.scm 160 */
BgL_auxz00_2876 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1117)
; }  else 
{ 
 obj_t BgL_auxz00_2899;
BgL_auxz00_2899 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)7387)), BGl_string1834z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_oz00_1117); 
FAILURE(BgL_auxz00_2899,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_metadata(BgL_auxz00_2876, BgL_auxz00_2903, BgL_auxz00_2912, BgL_auxz00_2921, BgL_auxz00_2930);} } 

}



/* flac-decoder-tell */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_tell(BgL_flaczd2decoderzd2_bglt BgL_oz00_24)
{
{ /* Llib/flac.scm 169 */
{ /* Llib/flac.scm 169 */
 obj_t BgL_method1131z00_358;
{ /* Llib/flac.scm 169 */
 obj_t BgL_res1674z00_741;
{ /* Llib/flac.scm 169 */
 long BgL_objzd2classzd2numz00_712;
BgL_objzd2classzd2numz00_712 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_24)); 
{ /* Llib/flac.scm 169 */
 obj_t BgL_arg1798z00_713;
BgL_arg1798z00_713 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 169 */
 int BgL_offsetz00_716;
BgL_offsetz00_716 = 
(int)(BgL_objzd2classzd2numz00_712); 
{ /* Llib/flac.scm 169 */
 long BgL_offsetz00_717;
BgL_offsetz00_717 = 
(
(long)(BgL_offsetz00_716)-OBJECT_TYPE); 
{ /* Llib/flac.scm 169 */
 long BgL_modz00_718;
BgL_modz00_718 = 
(BgL_offsetz00_717 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 169 */
 long BgL_restz00_720;
BgL_restz00_720 = 
(BgL_offsetz00_717 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 169 */

{ /* Llib/flac.scm 169 */
 obj_t BgL_bucketz00_722;
BgL_bucketz00_722 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_713),BgL_modz00_718); 
BgL_res1674z00_741 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_722),BgL_restz00_720); } } } } } } } } 
BgL_method1131z00_358 = BgL_res1674z00_741; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1131z00_358))(BgL_method1131z00_358, 
((obj_t)BgL_oz00_24), BEOA);} } 

}



/* &flac-decoder-tell */
obj_t BGl_z62flaczd2decoderzd2tellz62zz__flac_flacz00(obj_t BgL_envz00_1122, obj_t BgL_oz00_1123)
{
{ /* Llib/flac.scm 169 */
{ /* Llib/flac.scm 169 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2970;
{ /* Llib/flac.scm 169 */
 bool_t BgL_test2042z00_2971;
{ /* Llib/flac.scm 169 */
 obj_t BgL_classz00_1620;
BgL_classz00_1620 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1123))
{ /* Llib/flac.scm 169 */
 BgL_objectz00_bglt BgL_arg1796z00_1622; long BgL_arg1797z00_1623;
BgL_arg1796z00_1622 = 
(BgL_objectz00_bglt)(BgL_oz00_1123); 
BgL_arg1797z00_1623 = 
BGL_CLASS_DEPTH(BgL_classz00_1620); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 169 */
 long BgL_idxz00_1631;
BgL_idxz00_1631 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1622); 
{ /* Llib/flac.scm 169 */
 obj_t BgL_arg1788z00_1632;
{ /* Llib/flac.scm 169 */
 long BgL_arg1789z00_1633;
BgL_arg1789z00_1633 = 
(BgL_idxz00_1631+BgL_arg1797z00_1623); 
BgL_arg1788z00_1632 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1633); } 
BgL_test2042z00_2971 = 
(BgL_arg1788z00_1632==BgL_classz00_1620); } }  else 
{ /* Llib/flac.scm 169 */
 bool_t BgL_res1856z00_1656;
{ /* Llib/flac.scm 169 */
 obj_t BgL_oclassz00_1641;
{ /* Llib/flac.scm 169 */
 long BgL_arg1801z00_1647;
{ /* Llib/flac.scm 169 */
 long BgL_arg1802z00_1648;
BgL_arg1802z00_1648 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1622); 
BgL_arg1801z00_1647 = 
(BgL_arg1802z00_1648-OBJECT_TYPE); } 
BgL_oclassz00_1641 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1647); } 
{ /* Llib/flac.scm 169 */
 bool_t BgL__ortest_1110z00_1642;
BgL__ortest_1110z00_1642 = 
(BgL_classz00_1620==BgL_oclassz00_1641); 
if(BgL__ortest_1110z00_1642)
{ /* Llib/flac.scm 169 */
BgL_res1856z00_1656 = BgL__ortest_1110z00_1642; }  else 
{ /* Llib/flac.scm 169 */
 long BgL_odepthz00_1643;
BgL_odepthz00_1643 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1641); 
if(
(BgL_arg1797z00_1623<BgL_odepthz00_1643))
{ /* Llib/flac.scm 169 */
 obj_t BgL_arg1790z00_1645;
BgL_arg1790z00_1645 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1641, BgL_arg1797z00_1623); 
BgL_res1856z00_1656 = 
(BgL_arg1790z00_1645==BgL_classz00_1620); }  else 
{ /* Llib/flac.scm 169 */
BgL_res1856z00_1656 = ((bool_t)0); } } } } 
BgL_test2042z00_2971 = BgL_res1856z00_1656; } }  else 
{ /* Llib/flac.scm 169 */
BgL_test2042z00_2971 = ((bool_t)0)
; } } 
if(BgL_test2042z00_2971)
{ /* Llib/flac.scm 169 */
BgL_auxz00_2970 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1123)
; }  else 
{ 
 obj_t BgL_auxz00_2993;
BgL_auxz00_2993 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)7737)), BGl_string1836z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_oz00_1123); 
FAILURE(BgL_auxz00_2993,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_tell(BgL_auxz00_2970);} } 

}



/* flac-decoder-seek */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_seek(BgL_flaczd2decoderzd2_bglt BgL_oz00_25, BGL_LONGLONG_T BgL_offsetz00_26)
{
{ /* Llib/flac.scm 175 */
{ /* Llib/flac.scm 175 */
 obj_t BgL_method1133z00_359;
{ /* Llib/flac.scm 175 */
 obj_t BgL_res1679z00_772;
{ /* Llib/flac.scm 175 */
 long BgL_objzd2classzd2numz00_743;
BgL_objzd2classzd2numz00_743 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_25)); 
{ /* Llib/flac.scm 175 */
 obj_t BgL_arg1798z00_744;
BgL_arg1798z00_744 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 175 */
 int BgL_offsetz00_747;
BgL_offsetz00_747 = 
(int)(BgL_objzd2classzd2numz00_743); 
{ /* Llib/flac.scm 175 */
 long BgL_offsetz00_748;
BgL_offsetz00_748 = 
(
(long)(BgL_offsetz00_747)-OBJECT_TYPE); 
{ /* Llib/flac.scm 175 */
 long BgL_modz00_749;
BgL_modz00_749 = 
(BgL_offsetz00_748 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 175 */
 long BgL_restz00_751;
BgL_restz00_751 = 
(BgL_offsetz00_748 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 175 */

{ /* Llib/flac.scm 175 */
 obj_t BgL_bucketz00_753;
BgL_bucketz00_753 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_744),BgL_modz00_749); 
BgL_res1679z00_772 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_753),BgL_restz00_751); } } } } } } } } 
BgL_method1133z00_359 = BgL_res1679z00_772; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1133z00_359))(BgL_method1133z00_359, 
((obj_t)BgL_oz00_25), 
make_bllong(BgL_offsetz00_26), BEOA);} } 

}



/* &flac-decoder-seek */
obj_t BGl_z62flaczd2decoderzd2seekz62zz__flac_flacz00(obj_t BgL_envz00_1124, obj_t BgL_oz00_1125, obj_t BgL_offsetz00_1126)
{
{ /* Llib/flac.scm 175 */
{ /* Llib/flac.scm 175 */
 BGL_LONGLONG_T BgL_auxz00_3057; BgL_flaczd2decoderzd2_bglt BgL_auxz00_3030;
{ /* Llib/flac.scm 175 */
 obj_t BgL_tmpz00_3058;
if(
LLONGP(BgL_offsetz00_1126))
{ /* Llib/flac.scm 175 */
BgL_tmpz00_3058 = BgL_offsetz00_1126
; }  else 
{ 
 obj_t BgL_auxz00_3061;
BgL_auxz00_3061 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)8019)), BGl_string1837z00zz__flac_flacz00, BGl_string1835z00zz__flac_flacz00, BgL_offsetz00_1126); 
FAILURE(BgL_auxz00_3061,BFALSE,BFALSE);} 
BgL_auxz00_3057 = 
BLLONG_TO_LLONG(BgL_tmpz00_3058); } 
{ /* Llib/flac.scm 175 */
 bool_t BgL_test2047z00_3031;
{ /* Llib/flac.scm 175 */
 obj_t BgL_classz00_1657;
BgL_classz00_1657 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1125))
{ /* Llib/flac.scm 175 */
 BgL_objectz00_bglt BgL_arg1796z00_1659; long BgL_arg1797z00_1660;
BgL_arg1796z00_1659 = 
(BgL_objectz00_bglt)(BgL_oz00_1125); 
BgL_arg1797z00_1660 = 
BGL_CLASS_DEPTH(BgL_classz00_1657); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 175 */
 long BgL_idxz00_1668;
BgL_idxz00_1668 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1659); 
{ /* Llib/flac.scm 175 */
 obj_t BgL_arg1788z00_1669;
{ /* Llib/flac.scm 175 */
 long BgL_arg1789z00_1670;
BgL_arg1789z00_1670 = 
(BgL_idxz00_1668+BgL_arg1797z00_1660); 
BgL_arg1788z00_1669 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1670); } 
BgL_test2047z00_3031 = 
(BgL_arg1788z00_1669==BgL_classz00_1657); } }  else 
{ /* Llib/flac.scm 175 */
 bool_t BgL_res1857z00_1693;
{ /* Llib/flac.scm 175 */
 obj_t BgL_oclassz00_1678;
{ /* Llib/flac.scm 175 */
 long BgL_arg1801z00_1684;
{ /* Llib/flac.scm 175 */
 long BgL_arg1802z00_1685;
BgL_arg1802z00_1685 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1659); 
BgL_arg1801z00_1684 = 
(BgL_arg1802z00_1685-OBJECT_TYPE); } 
BgL_oclassz00_1678 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1684); } 
{ /* Llib/flac.scm 175 */
 bool_t BgL__ortest_1110z00_1679;
BgL__ortest_1110z00_1679 = 
(BgL_classz00_1657==BgL_oclassz00_1678); 
if(BgL__ortest_1110z00_1679)
{ /* Llib/flac.scm 175 */
BgL_res1857z00_1693 = BgL__ortest_1110z00_1679; }  else 
{ /* Llib/flac.scm 175 */
 long BgL_odepthz00_1680;
BgL_odepthz00_1680 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1678); 
if(
(BgL_arg1797z00_1660<BgL_odepthz00_1680))
{ /* Llib/flac.scm 175 */
 obj_t BgL_arg1790z00_1682;
BgL_arg1790z00_1682 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1678, BgL_arg1797z00_1660); 
BgL_res1857z00_1693 = 
(BgL_arg1790z00_1682==BgL_classz00_1657); }  else 
{ /* Llib/flac.scm 175 */
BgL_res1857z00_1693 = ((bool_t)0); } } } } 
BgL_test2047z00_3031 = BgL_res1857z00_1693; } }  else 
{ /* Llib/flac.scm 175 */
BgL_test2047z00_3031 = ((bool_t)0)
; } } 
if(BgL_test2047z00_3031)
{ /* Llib/flac.scm 175 */
BgL_auxz00_3030 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1125)
; }  else 
{ 
 obj_t BgL_auxz00_3053;
BgL_auxz00_3053 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)8019)), BGl_string1837z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_oz00_1125); 
FAILURE(BgL_auxz00_3053,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_seek(BgL_auxz00_3030, BgL_auxz00_3057);} } 

}



/* flac-decoder-length */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_length(BgL_flaczd2decoderzd2_bglt BgL_oz00_27)
{
{ /* Llib/flac.scm 181 */
{ /* Llib/flac.scm 181 */
 obj_t BgL_method1135z00_360;
{ /* Llib/flac.scm 181 */
 obj_t BgL_res1684z00_803;
{ /* Llib/flac.scm 181 */
 long BgL_objzd2classzd2numz00_774;
BgL_objzd2classzd2numz00_774 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_27)); 
{ /* Llib/flac.scm 181 */
 obj_t BgL_arg1798z00_775;
BgL_arg1798z00_775 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 181 */
 int BgL_offsetz00_778;
BgL_offsetz00_778 = 
(int)(BgL_objzd2classzd2numz00_774); 
{ /* Llib/flac.scm 181 */
 long BgL_offsetz00_779;
BgL_offsetz00_779 = 
(
(long)(BgL_offsetz00_778)-OBJECT_TYPE); 
{ /* Llib/flac.scm 181 */
 long BgL_modz00_780;
BgL_modz00_780 = 
(BgL_offsetz00_779 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 181 */
 long BgL_restz00_782;
BgL_restz00_782 = 
(BgL_offsetz00_779 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 181 */

{ /* Llib/flac.scm 181 */
 obj_t BgL_bucketz00_784;
BgL_bucketz00_784 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_775),BgL_modz00_780); 
BgL_res1684z00_803 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_784),BgL_restz00_782); } } } } } } } } 
BgL_method1135z00_360 = BgL_res1684z00_803; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1135z00_360))(BgL_method1135z00_360, 
((obj_t)BgL_oz00_27), BEOA);} } 

}



/* &flac-decoder-length */
obj_t BGl_z62flaczd2decoderzd2lengthz62zz__flac_flacz00(obj_t BgL_envz00_1127, obj_t BgL_oz00_1128)
{
{ /* Llib/flac.scm 181 */
{ /* Llib/flac.scm 181 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3097;
{ /* Llib/flac.scm 181 */
 bool_t BgL_test2053z00_3098;
{ /* Llib/flac.scm 181 */
 obj_t BgL_classz00_1694;
BgL_classz00_1694 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1128))
{ /* Llib/flac.scm 181 */
 BgL_objectz00_bglt BgL_arg1796z00_1696; long BgL_arg1797z00_1697;
BgL_arg1796z00_1696 = 
(BgL_objectz00_bglt)(BgL_oz00_1128); 
BgL_arg1797z00_1697 = 
BGL_CLASS_DEPTH(BgL_classz00_1694); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 181 */
 long BgL_idxz00_1705;
BgL_idxz00_1705 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1696); 
{ /* Llib/flac.scm 181 */
 obj_t BgL_arg1788z00_1706;
{ /* Llib/flac.scm 181 */
 long BgL_arg1789z00_1707;
BgL_arg1789z00_1707 = 
(BgL_idxz00_1705+BgL_arg1797z00_1697); 
BgL_arg1788z00_1706 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1707); } 
BgL_test2053z00_3098 = 
(BgL_arg1788z00_1706==BgL_classz00_1694); } }  else 
{ /* Llib/flac.scm 181 */
 bool_t BgL_res1858z00_1730;
{ /* Llib/flac.scm 181 */
 obj_t BgL_oclassz00_1715;
{ /* Llib/flac.scm 181 */
 long BgL_arg1801z00_1721;
{ /* Llib/flac.scm 181 */
 long BgL_arg1802z00_1722;
BgL_arg1802z00_1722 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1696); 
BgL_arg1801z00_1721 = 
(BgL_arg1802z00_1722-OBJECT_TYPE); } 
BgL_oclassz00_1715 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1721); } 
{ /* Llib/flac.scm 181 */
 bool_t BgL__ortest_1110z00_1716;
BgL__ortest_1110z00_1716 = 
(BgL_classz00_1694==BgL_oclassz00_1715); 
if(BgL__ortest_1110z00_1716)
{ /* Llib/flac.scm 181 */
BgL_res1858z00_1730 = BgL__ortest_1110z00_1716; }  else 
{ /* Llib/flac.scm 181 */
 long BgL_odepthz00_1717;
BgL_odepthz00_1717 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1715); 
if(
(BgL_arg1797z00_1697<BgL_odepthz00_1717))
{ /* Llib/flac.scm 181 */
 obj_t BgL_arg1790z00_1719;
BgL_arg1790z00_1719 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1715, BgL_arg1797z00_1697); 
BgL_res1858z00_1730 = 
(BgL_arg1790z00_1719==BgL_classz00_1694); }  else 
{ /* Llib/flac.scm 181 */
BgL_res1858z00_1730 = ((bool_t)0); } } } } 
BgL_test2053z00_3098 = BgL_res1858z00_1730; } }  else 
{ /* Llib/flac.scm 181 */
BgL_test2053z00_3098 = ((bool_t)0)
; } } 
if(BgL_test2053z00_3098)
{ /* Llib/flac.scm 181 */
BgL_auxz00_3097 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1128)
; }  else 
{ 
 obj_t BgL_auxz00_3120;
BgL_auxz00_3120 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)8308)), BGl_string1838z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_oz00_1128); 
FAILURE(BgL_auxz00_3120,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_length(BgL_auxz00_3097);} } 

}



/* flac-decoder-info */
BGL_EXPORTED_DEF long BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_28)
{
{ /* Llib/flac.scm 187 */
{ /* Llib/flac.scm 187 */
 obj_t BgL_method1137z00_361;
{ /* Llib/flac.scm 187 */
 obj_t BgL_res1689z00_834;
{ /* Llib/flac.scm 187 */
 long BgL_objzd2classzd2numz00_805;
BgL_objzd2classzd2numz00_805 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_28)); 
{ /* Llib/flac.scm 187 */
 obj_t BgL_arg1798z00_806;
BgL_arg1798z00_806 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2infozd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 187 */
 int BgL_offsetz00_809;
BgL_offsetz00_809 = 
(int)(BgL_objzd2classzd2numz00_805); 
{ /* Llib/flac.scm 187 */
 long BgL_offsetz00_810;
BgL_offsetz00_810 = 
(
(long)(BgL_offsetz00_809)-OBJECT_TYPE); 
{ /* Llib/flac.scm 187 */
 long BgL_modz00_811;
BgL_modz00_811 = 
(BgL_offsetz00_810 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 187 */
 long BgL_restz00_813;
BgL_restz00_813 = 
(BgL_offsetz00_810 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 187 */

{ /* Llib/flac.scm 187 */
 obj_t BgL_bucketz00_815;
BgL_bucketz00_815 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_806),BgL_modz00_811); 
BgL_res1689z00_834 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_815),BgL_restz00_813); } } } } } } } } 
BgL_method1137z00_361 = BgL_res1689z00_834; } 
return 
(long)CINT(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1137z00_361))(BgL_method1137z00_361, 
((obj_t)BgL_oz00_28), BEOA));} } 

}



/* &flac-decoder-info */
obj_t BGl_z62flaczd2decoderzd2infoz62zz__flac_flacz00(obj_t BgL_envz00_1129, obj_t BgL_oz00_1130)
{
{ /* Llib/flac.scm 187 */
{ /* Llib/flac.scm 187 */
 long BgL_tmpz00_3156;
{ /* Llib/flac.scm 187 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3157;
{ /* Llib/flac.scm 187 */
 bool_t BgL_test2058z00_3158;
{ /* Llib/flac.scm 187 */
 obj_t BgL_classz00_1731;
BgL_classz00_1731 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1130))
{ /* Llib/flac.scm 187 */
 BgL_objectz00_bglt BgL_arg1796z00_1733; long BgL_arg1797z00_1734;
BgL_arg1796z00_1733 = 
(BgL_objectz00_bglt)(BgL_oz00_1130); 
BgL_arg1797z00_1734 = 
BGL_CLASS_DEPTH(BgL_classz00_1731); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 187 */
 long BgL_idxz00_1742;
BgL_idxz00_1742 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1733); 
{ /* Llib/flac.scm 187 */
 obj_t BgL_arg1788z00_1743;
{ /* Llib/flac.scm 187 */
 long BgL_arg1789z00_1744;
BgL_arg1789z00_1744 = 
(BgL_idxz00_1742+BgL_arg1797z00_1734); 
BgL_arg1788z00_1743 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1744); } 
BgL_test2058z00_3158 = 
(BgL_arg1788z00_1743==BgL_classz00_1731); } }  else 
{ /* Llib/flac.scm 187 */
 bool_t BgL_res1859z00_1767;
{ /* Llib/flac.scm 187 */
 obj_t BgL_oclassz00_1752;
{ /* Llib/flac.scm 187 */
 long BgL_arg1801z00_1758;
{ /* Llib/flac.scm 187 */
 long BgL_arg1802z00_1759;
BgL_arg1802z00_1759 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1733); 
BgL_arg1801z00_1758 = 
(BgL_arg1802z00_1759-OBJECT_TYPE); } 
BgL_oclassz00_1752 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1758); } 
{ /* Llib/flac.scm 187 */
 bool_t BgL__ortest_1110z00_1753;
BgL__ortest_1110z00_1753 = 
(BgL_classz00_1731==BgL_oclassz00_1752); 
if(BgL__ortest_1110z00_1753)
{ /* Llib/flac.scm 187 */
BgL_res1859z00_1767 = BgL__ortest_1110z00_1753; }  else 
{ /* Llib/flac.scm 187 */
 long BgL_odepthz00_1754;
BgL_odepthz00_1754 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1752); 
if(
(BgL_arg1797z00_1734<BgL_odepthz00_1754))
{ /* Llib/flac.scm 187 */
 obj_t BgL_arg1790z00_1756;
BgL_arg1790z00_1756 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1752, BgL_arg1797z00_1734); 
BgL_res1859z00_1767 = 
(BgL_arg1790z00_1756==BgL_classz00_1731); }  else 
{ /* Llib/flac.scm 187 */
BgL_res1859z00_1767 = ((bool_t)0); } } } } 
BgL_test2058z00_3158 = BgL_res1859z00_1767; } }  else 
{ /* Llib/flac.scm 187 */
BgL_test2058z00_3158 = ((bool_t)0)
; } } 
if(BgL_test2058z00_3158)
{ /* Llib/flac.scm 187 */
BgL_auxz00_3157 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1130)
; }  else 
{ 
 obj_t BgL_auxz00_3180;
BgL_auxz00_3180 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)8592)), BGl_string1839z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_oz00_1130); 
FAILURE(BgL_auxz00_3180,BFALSE,BFALSE);} } 
BgL_tmpz00_3156 = 
BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_auxz00_3157); } 
return 
BINT(BgL_tmpz00_3156);} } 

}



/* flac-decoder-position */
BGL_EXPORTED_DEF long BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_mz00_31)
{
{ /* Llib/flac.scm 239 */
{ /* Llib/flac.scm 239 */
 obj_t BgL_method1139z00_362;
{ /* Llib/flac.scm 239 */
 obj_t BgL_res1694z00_865;
{ /* Llib/flac.scm 239 */
 long BgL_objzd2classzd2numz00_836;
BgL_objzd2classzd2numz00_836 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_31)); 
{ /* Llib/flac.scm 239 */
 obj_t BgL_arg1798z00_837;
BgL_arg1798z00_837 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2positionzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 239 */
 int BgL_offsetz00_840;
BgL_offsetz00_840 = 
(int)(BgL_objzd2classzd2numz00_836); 
{ /* Llib/flac.scm 239 */
 long BgL_offsetz00_841;
BgL_offsetz00_841 = 
(
(long)(BgL_offsetz00_840)-OBJECT_TYPE); 
{ /* Llib/flac.scm 239 */
 long BgL_modz00_842;
BgL_modz00_842 = 
(BgL_offsetz00_841 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 239 */
 long BgL_restz00_844;
BgL_restz00_844 = 
(BgL_offsetz00_841 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 239 */

{ /* Llib/flac.scm 239 */
 obj_t BgL_bucketz00_846;
BgL_bucketz00_846 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_837),BgL_modz00_842); 
BgL_res1694z00_865 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_846),BgL_restz00_844); } } } } } } } } 
BgL_method1139z00_362 = BgL_res1694z00_865; } 
return 
(long)CINT(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1139z00_362))(BgL_method1139z00_362, 
((obj_t)BgL_mz00_31), BEOA));} } 

}



/* &flac-decoder-position */
obj_t BGl_z62flaczd2decoderzd2positionz62zz__flac_flacz00(obj_t BgL_envz00_1131, obj_t BgL_mz00_1132)
{
{ /* Llib/flac.scm 239 */
{ /* Llib/flac.scm 239 */
 long BgL_tmpz00_3217;
{ /* Llib/flac.scm 239 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3218;
{ /* Llib/flac.scm 239 */
 bool_t BgL_test2063z00_3219;
{ /* Llib/flac.scm 239 */
 obj_t BgL_classz00_1768;
BgL_classz00_1768 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_mz00_1132))
{ /* Llib/flac.scm 239 */
 BgL_objectz00_bglt BgL_arg1796z00_1770; long BgL_arg1797z00_1771;
BgL_arg1796z00_1770 = 
(BgL_objectz00_bglt)(BgL_mz00_1132); 
BgL_arg1797z00_1771 = 
BGL_CLASS_DEPTH(BgL_classz00_1768); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 239 */
 long BgL_idxz00_1779;
BgL_idxz00_1779 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1770); 
{ /* Llib/flac.scm 239 */
 obj_t BgL_arg1788z00_1780;
{ /* Llib/flac.scm 239 */
 long BgL_arg1789z00_1781;
BgL_arg1789z00_1781 = 
(BgL_idxz00_1779+BgL_arg1797z00_1771); 
BgL_arg1788z00_1780 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1781); } 
BgL_test2063z00_3219 = 
(BgL_arg1788z00_1780==BgL_classz00_1768); } }  else 
{ /* Llib/flac.scm 239 */
 bool_t BgL_res1860z00_1804;
{ /* Llib/flac.scm 239 */
 obj_t BgL_oclassz00_1789;
{ /* Llib/flac.scm 239 */
 long BgL_arg1801z00_1795;
{ /* Llib/flac.scm 239 */
 long BgL_arg1802z00_1796;
BgL_arg1802z00_1796 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1770); 
BgL_arg1801z00_1795 = 
(BgL_arg1802z00_1796-OBJECT_TYPE); } 
BgL_oclassz00_1789 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1795); } 
{ /* Llib/flac.scm 239 */
 bool_t BgL__ortest_1110z00_1790;
BgL__ortest_1110z00_1790 = 
(BgL_classz00_1768==BgL_oclassz00_1789); 
if(BgL__ortest_1110z00_1790)
{ /* Llib/flac.scm 239 */
BgL_res1860z00_1804 = BgL__ortest_1110z00_1790; }  else 
{ /* Llib/flac.scm 239 */
 long BgL_odepthz00_1791;
BgL_odepthz00_1791 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1789); 
if(
(BgL_arg1797z00_1771<BgL_odepthz00_1791))
{ /* Llib/flac.scm 239 */
 obj_t BgL_arg1790z00_1793;
BgL_arg1790z00_1793 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1789, BgL_arg1797z00_1771); 
BgL_res1860z00_1804 = 
(BgL_arg1790z00_1793==BgL_classz00_1768); }  else 
{ /* Llib/flac.scm 239 */
BgL_res1860z00_1804 = ((bool_t)0); } } } } 
BgL_test2063z00_3219 = BgL_res1860z00_1804; } }  else 
{ /* Llib/flac.scm 239 */
BgL_test2063z00_3219 = ((bool_t)0)
; } } 
if(BgL_test2063z00_3219)
{ /* Llib/flac.scm 239 */
BgL_auxz00_3218 = 
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1132)
; }  else 
{ 
 obj_t BgL_auxz00_3241;
BgL_auxz00_3241 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)10859)), BGl_string1840z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_mz00_1132); 
FAILURE(BgL_auxz00_3241,BFALSE,BFALSE);} } 
BgL_tmpz00_3217 = 
BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_auxz00_3218); } 
return 
BINT(BgL_tmpz00_3217);} } 

}



/* flac-volume-get */
BGL_EXPORTED_DEF obj_t BGl_flaczd2volumezd2getz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_mz00_32)
{
{ /* Llib/flac.scm 251 */
{ /* Llib/flac.scm 251 */
 obj_t BgL_method1141z00_363;
{ /* Llib/flac.scm 251 */
 obj_t BgL_res1699z00_896;
{ /* Llib/flac.scm 251 */
 long BgL_objzd2classzd2numz00_867;
BgL_objzd2classzd2numz00_867 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_32)); 
{ /* Llib/flac.scm 251 */
 obj_t BgL_arg1798z00_868;
BgL_arg1798z00_868 = 
PROCEDURE_REF(BGl_flaczd2volumezd2getzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 251 */
 int BgL_offsetz00_871;
BgL_offsetz00_871 = 
(int)(BgL_objzd2classzd2numz00_867); 
{ /* Llib/flac.scm 251 */
 long BgL_offsetz00_872;
BgL_offsetz00_872 = 
(
(long)(BgL_offsetz00_871)-OBJECT_TYPE); 
{ /* Llib/flac.scm 251 */
 long BgL_modz00_873;
BgL_modz00_873 = 
(BgL_offsetz00_872 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 251 */
 long BgL_restz00_875;
BgL_restz00_875 = 
(BgL_offsetz00_872 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 251 */

{ /* Llib/flac.scm 251 */
 obj_t BgL_bucketz00_877;
BgL_bucketz00_877 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_868),BgL_modz00_873); 
BgL_res1699z00_896 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_877),BgL_restz00_875); } } } } } } } } 
BgL_method1141z00_363 = BgL_res1699z00_896; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1141z00_363))(BgL_method1141z00_363, 
((obj_t)BgL_mz00_32), BEOA);} } 

}



/* &flac-volume-get */
obj_t BGl_z62flaczd2volumezd2getz62zz__flac_flacz00(obj_t BgL_envz00_1133, obj_t BgL_mz00_1134)
{
{ /* Llib/flac.scm 251 */
{ /* Llib/flac.scm 251 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3277;
{ /* Llib/flac.scm 251 */
 bool_t BgL_test2068z00_3278;
{ /* Llib/flac.scm 251 */
 obj_t BgL_classz00_1805;
BgL_classz00_1805 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_mz00_1134))
{ /* Llib/flac.scm 251 */
 BgL_objectz00_bglt BgL_arg1796z00_1807; long BgL_arg1797z00_1808;
BgL_arg1796z00_1807 = 
(BgL_objectz00_bglt)(BgL_mz00_1134); 
BgL_arg1797z00_1808 = 
BGL_CLASS_DEPTH(BgL_classz00_1805); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 251 */
 long BgL_idxz00_1816;
BgL_idxz00_1816 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1807); 
{ /* Llib/flac.scm 251 */
 obj_t BgL_arg1788z00_1817;
{ /* Llib/flac.scm 251 */
 long BgL_arg1789z00_1818;
BgL_arg1789z00_1818 = 
(BgL_idxz00_1816+BgL_arg1797z00_1808); 
BgL_arg1788z00_1817 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1818); } 
BgL_test2068z00_3278 = 
(BgL_arg1788z00_1817==BgL_classz00_1805); } }  else 
{ /* Llib/flac.scm 251 */
 bool_t BgL_res1861z00_1841;
{ /* Llib/flac.scm 251 */
 obj_t BgL_oclassz00_1826;
{ /* Llib/flac.scm 251 */
 long BgL_arg1801z00_1832;
{ /* Llib/flac.scm 251 */
 long BgL_arg1802z00_1833;
BgL_arg1802z00_1833 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1807); 
BgL_arg1801z00_1832 = 
(BgL_arg1802z00_1833-OBJECT_TYPE); } 
BgL_oclassz00_1826 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1832); } 
{ /* Llib/flac.scm 251 */
 bool_t BgL__ortest_1110z00_1827;
BgL__ortest_1110z00_1827 = 
(BgL_classz00_1805==BgL_oclassz00_1826); 
if(BgL__ortest_1110z00_1827)
{ /* Llib/flac.scm 251 */
BgL_res1861z00_1841 = BgL__ortest_1110z00_1827; }  else 
{ /* Llib/flac.scm 251 */
 long BgL_odepthz00_1828;
BgL_odepthz00_1828 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1826); 
if(
(BgL_arg1797z00_1808<BgL_odepthz00_1828))
{ /* Llib/flac.scm 251 */
 obj_t BgL_arg1790z00_1830;
BgL_arg1790z00_1830 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1826, BgL_arg1797z00_1808); 
BgL_res1861z00_1841 = 
(BgL_arg1790z00_1830==BgL_classz00_1805); }  else 
{ /* Llib/flac.scm 251 */
BgL_res1861z00_1841 = ((bool_t)0); } } } } 
BgL_test2068z00_3278 = BgL_res1861z00_1841; } }  else 
{ /* Llib/flac.scm 251 */
BgL_test2068z00_3278 = ((bool_t)0)
; } } 
if(BgL_test2068z00_3278)
{ /* Llib/flac.scm 251 */
BgL_auxz00_3277 = 
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1134)
; }  else 
{ 
 obj_t BgL_auxz00_3300;
BgL_auxz00_3300 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)11336)), BGl_string1841z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_mz00_1134); 
FAILURE(BgL_auxz00_3300,BFALSE,BFALSE);} } 
return 
BGl_flaczd2volumezd2getz00zz__flac_flacz00(BgL_auxz00_3277);} } 

}



/* flac-volume-set! */
BGL_EXPORTED_DEF obj_t BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_mz00_33, obj_t BgL_volz00_34)
{
{ /* Llib/flac.scm 258 */
{ /* Llib/flac.scm 258 */
 obj_t BgL_method1143z00_364;
{ /* Llib/flac.scm 258 */
 obj_t BgL_res1704z00_927;
{ /* Llib/flac.scm 258 */
 long BgL_objzd2classzd2numz00_898;
BgL_objzd2classzd2numz00_898 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_33)); 
{ /* Llib/flac.scm 258 */
 obj_t BgL_arg1798z00_899;
BgL_arg1798z00_899 = 
PROCEDURE_REF(BGl_flaczd2volumezd2setz12zd2envzc0zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 258 */
 int BgL_offsetz00_902;
BgL_offsetz00_902 = 
(int)(BgL_objzd2classzd2numz00_898); 
{ /* Llib/flac.scm 258 */
 long BgL_offsetz00_903;
BgL_offsetz00_903 = 
(
(long)(BgL_offsetz00_902)-OBJECT_TYPE); 
{ /* Llib/flac.scm 258 */
 long BgL_modz00_904;
BgL_modz00_904 = 
(BgL_offsetz00_903 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 258 */
 long BgL_restz00_906;
BgL_restz00_906 = 
(BgL_offsetz00_903 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 258 */

{ /* Llib/flac.scm 258 */
 obj_t BgL_bucketz00_908;
BgL_bucketz00_908 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_899),BgL_modz00_904); 
BgL_res1704z00_927 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_908),BgL_restz00_906); } } } } } } } } 
BgL_method1143z00_364 = BgL_res1704z00_927; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1143z00_364))(BgL_method1143z00_364, 
((obj_t)BgL_mz00_33), BgL_volz00_34, BEOA);} } 

}



/* &flac-volume-set! */
obj_t BGl_z62flaczd2volumezd2setz12z70zz__flac_flacz00(obj_t BgL_envz00_1135, obj_t BgL_mz00_1136, obj_t BgL_volz00_1137)
{
{ /* Llib/flac.scm 258 */
{ /* Llib/flac.scm 258 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3336;
{ /* Llib/flac.scm 258 */
 bool_t BgL_test2073z00_3337;
{ /* Llib/flac.scm 258 */
 obj_t BgL_classz00_1842;
BgL_classz00_1842 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_mz00_1136))
{ /* Llib/flac.scm 258 */
 BgL_objectz00_bglt BgL_arg1796z00_1844; long BgL_arg1797z00_1845;
BgL_arg1796z00_1844 = 
(BgL_objectz00_bglt)(BgL_mz00_1136); 
BgL_arg1797z00_1845 = 
BGL_CLASS_DEPTH(BgL_classz00_1842); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 258 */
 long BgL_idxz00_1853;
BgL_idxz00_1853 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1844); 
{ /* Llib/flac.scm 258 */
 obj_t BgL_arg1788z00_1854;
{ /* Llib/flac.scm 258 */
 long BgL_arg1789z00_1855;
BgL_arg1789z00_1855 = 
(BgL_idxz00_1853+BgL_arg1797z00_1845); 
BgL_arg1788z00_1854 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1855); } 
BgL_test2073z00_3337 = 
(BgL_arg1788z00_1854==BgL_classz00_1842); } }  else 
{ /* Llib/flac.scm 258 */
 bool_t BgL_res1862z00_1878;
{ /* Llib/flac.scm 258 */
 obj_t BgL_oclassz00_1863;
{ /* Llib/flac.scm 258 */
 long BgL_arg1801z00_1869;
{ /* Llib/flac.scm 258 */
 long BgL_arg1802z00_1870;
BgL_arg1802z00_1870 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1844); 
BgL_arg1801z00_1869 = 
(BgL_arg1802z00_1870-OBJECT_TYPE); } 
BgL_oclassz00_1863 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1869); } 
{ /* Llib/flac.scm 258 */
 bool_t BgL__ortest_1110z00_1864;
BgL__ortest_1110z00_1864 = 
(BgL_classz00_1842==BgL_oclassz00_1863); 
if(BgL__ortest_1110z00_1864)
{ /* Llib/flac.scm 258 */
BgL_res1862z00_1878 = BgL__ortest_1110z00_1864; }  else 
{ /* Llib/flac.scm 258 */
 long BgL_odepthz00_1865;
BgL_odepthz00_1865 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1863); 
if(
(BgL_arg1797z00_1845<BgL_odepthz00_1865))
{ /* Llib/flac.scm 258 */
 obj_t BgL_arg1790z00_1867;
BgL_arg1790z00_1867 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1863, BgL_arg1797z00_1845); 
BgL_res1862z00_1878 = 
(BgL_arg1790z00_1867==BgL_classz00_1842); }  else 
{ /* Llib/flac.scm 258 */
BgL_res1862z00_1878 = ((bool_t)0); } } } } 
BgL_test2073z00_3337 = BgL_res1862z00_1878; } }  else 
{ /* Llib/flac.scm 258 */
BgL_test2073z00_3337 = ((bool_t)0)
; } } 
if(BgL_test2073z00_3337)
{ /* Llib/flac.scm 258 */
BgL_auxz00_3336 = 
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1136)
; }  else 
{ 
 obj_t BgL_auxz00_3359;
BgL_auxz00_3359 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1758z00zz__flac_flacz00, 
BINT(((long)11704)), BGl_string1842z00zz__flac_flacz00, BGl_string1826z00zz__flac_flacz00, BgL_mz00_1136); 
FAILURE(BgL_auxz00_3359,BFALSE,BFALSE);} } 
return 
BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_auxz00_3336, BgL_volz00_1137);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_proc1843z00zz__flac_flacz00, BGl_string1844z00zz__flac_flacz00);} 

}



/* &object-print-flac-de1113 */
obj_t BGl_z62objectzd2printzd2flaczd2de1113zb0zz__flac_flacz00(obj_t BgL_envz00_1139, obj_t BgL_oz00_1140, obj_t BgL_portz00_1141, obj_t BgL_printzd2slotzd2_1142)
{
{ /* Llib/flac.scm 71 */
{ /* Llib/flac.scm 72 */
 obj_t BgL_tmpz00_3365;
BgL_tmpz00_3365 = 
((obj_t)BgL_portz00_1141); 
return 
bgl_display_string(BGl_string1845z00zz__flac_flacz00, BgL_tmpz00_3365);} } 

}

#ifdef __cplusplus
}
#endif
