/*===========================================================================*/
/*   (Llib/fs.scm)                                                           */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/fs.scm -o objs/fs.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvfilez00_bgl {
   header_t header;
   obj_t widening;
   int BgL_fdz00;
   obj_t BgL_pathz00;
} *BgL_uvfilez00_bglt;


static obj_t BGl__uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_rename(char *, char *, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_fsync(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_ftruncate(BgL_uvfilez00_bglt, int64_t, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_fsz00 = BUNSPEC;
extern int bgl_uv_fs_copyfile(obj_t, obj_t, int, obj_t, BgL_uvloopz00_bglt);
extern BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(void);
extern obj_t bgl_uv_fs_lstat(char *, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(obj_t);
static obj_t BGl__uvzd2fszd2fdatasyncz00zz__libuv_fsz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl__uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t, obj_t);
extern obj_t bgl_uv_fs_readlink(char *, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_z62UV_FS_COPYFILE_FICLONE_FORCEz62zz__libuv_fsz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t, int, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2copyfilez00zz__libuv_fsz00(obj_t, obj_t, int, obj_t, obj_t);
static obj_t BGl_z62UV_FS_COPYFILE_FICLONEz62zz__libuv_fsz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__libuv_fsz00(void);
extern int bgl_uv_fs_fchmod(BgL_uvfilez00_bglt, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_UV_FS_COPYFILE_EXCLz00zz__libuv_fsz00(void);
BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl__uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_read(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_genericzd2initzd2zz__libuv_fsz00(void);
static long BGl_O_RDONLYz00zz__libuv_fsz00;
static obj_t BGl__uvzd2fszd2renamez00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__libuv_fsz00(void);
static obj_t BGl__uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_futime(BgL_uvfilez00_bglt, double, double, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2openz00zz__libuv_fsz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t bgl_uv_fs_stat(char *, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_write(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_chown(char *, int, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t, long, obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
extern obj_t BGl_UvFilez00zz__libuv_typesz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2openz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern int bgl_uv_fs_link(char *, char *, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2fdatasyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2utimez00zz__libuv_fsz00(obj_t, obj_t);
extern obj_t bgl_uv_fs_fstat(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t, int, obj_t, obj_t);
static obj_t BGl_z62uvzd2fszd2dupz62zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2fchmodz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2fszd2flagsz62zz__libuv_fsz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2renamez00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_fsz00(void);
extern int bgl_uv_fs_fdatasync(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2fsyncz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_symlink(char *, char *, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2utimez00zz__libuv_fsz00(obj_t, double, double, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2futimez00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2dupz00zz__libuv_fsz00(int);
static obj_t BGl_z62zc3z04anonymousza31602ze3ze5zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2fchmodz00zz__libuv_fsz00(BgL_uvfilez00_bglt, int, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2fsyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern int bgl_uv_fs_lchown(char *, int, int, obj_t, BgL_uvloopz00_bglt);
static long BGl_O_TRUNCz00zz__libuv_fsz00;
extern int bgl_uv_fs_rmdir(char *, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31620ze3ze5zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_close(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_fchown(BgL_uvfilez00_bglt, int, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2futimez00zz__libuv_fsz00(BgL_uvfilez00_bglt, double, double, obj_t, obj_t);
static long BGl_O_RDWRz00zz__libuv_fsz00;
BGL_EXPORTED_DECL int BGl_uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_fsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static long BGl_O_APPENDz00zz__libuv_fsz00;
static obj_t BGl__uvzd2fszd2writez00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2chownz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2fstatz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_UV_FS_COPYFILE_FICLONE_FORCEz00zz__libuv_fsz00(void);
static long BGl_O_SYNCz00zz__libuv_fsz00;
static obj_t BGl_cnstzd2initzd2zz__libuv_fsz00(void);
static obj_t BGl__uvzd2fszd2readz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_mkdir(char *, int, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_fsz00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2writez00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_fsz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_fsz00(void);
static obj_t BGl_z62zc3z04anonymousza31618ze3ze5zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2chownz00zz__libuv_fsz00(obj_t, int, int, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2fchownz00zz__libuv_fsz00(obj_t, obj_t);
extern obj_t bgl_uv_fs_open(obj_t, int, int, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2statz00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_O_WRONLYz00zz__libuv_fsz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2readz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2fstatz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2ftruncatez00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t, int, int, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2linkz00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2statz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_UV_FS_COPYFILE_FICLONEz00zz__libuv_fsz00(void);
static obj_t BGl__uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2fchownz00zz__libuv_fsz00(BgL_uvfilez00_bglt, int, int, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2linkz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2closez00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_chmod(char *, int, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_z62UV_FS_COPYFILE_EXCLz62zz__libuv_fsz00(obj_t);
static obj_t BGl__uvzd2fszd2copyfilez00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_O_EXCLz00zz__libuv_fsz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
static long BGl_O_CREATz00zz__libuv_fsz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2closez00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
extern int bgl_uv_fs_utime(char *, double, double, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2ftruncatez00zz__libuv_fsz00(BgL_uvfilez00_bglt, int64_t, obj_t, obj_t);
extern int bgl_uv_fs_unlink(char *, obj_t, BgL_uvloopz00_bglt);
static obj_t __cnst[ 20 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2statzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2statza71937za7, opt_generic_entry, BGl__uvzd2fszd2statz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2renamezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2renam1938z00, opt_generic_entry, BGl__uvzd2fszd2renamez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2readlinkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2readl1939z00, opt_generic_entry, BGl__uvzd2fszd2readlinkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UV_FS_COPYFILE_EXCLzd2envzd2zz__libuv_fsz00, BgL_bgl_za762uv_fs_copyfil1940za7, BGl_z62UV_FS_COPYFILE_EXCLz62zz__libuv_fsz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2unlinkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2unlin1941z00, opt_generic_entry, BGl__uvzd2fszd2unlinkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2symlinkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2symli1942z00, opt_generic_entry, BGl__uvzd2fszd2symlinkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fchownzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fchow1943z00, opt_generic_entry, BGl__uvzd2fszd2fchownz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2ftruncatezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2ftrun1944z00, opt_generic_entry, BGl__uvzd2fszd2ftruncatez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2copyfilezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2copyf1945z00, opt_generic_entry, BGl__uvzd2fszd2copyfilez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2lstatzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2lstat1946z00, opt_generic_entry, BGl__uvzd2fszd2lstatz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2openzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2openza71947za7, opt_generic_entry, BGl__uvzd2fszd2openz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UV_FS_COPYFILE_FICLONEzd2envzd2zz__libuv_fsz00, BgL_bgl_za762uv_fs_copyfil1948za7, BGl_z62UV_FS_COPYFILE_FICLONEz62zz__libuv_fsz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2dupzd2envzd2zz__libuv_fsz00, BgL_bgl_za762uvza7d2fsza7d2dup1949za7, BGl_z62uvzd2fszd2dupz62zz__libuv_fsz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fchmodzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fchmo1950z00, opt_generic_entry, BGl__uvzd2fszd2fchmodz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2chownzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2chown1951z00, opt_generic_entry, BGl__uvzd2fszd2chownz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2linkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2linkza71952za7, opt_generic_entry, BGl__uvzd2fszd2linkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2rmdirzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2rmdir1953z00, opt_generic_entry, BGl__uvzd2fszd2rmdirz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2chmodzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2chmod1954z00, opt_generic_entry, BGl__uvzd2fszd2chmodz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2flagszd2envzd2zz__libuv_fsz00, BgL_bgl_za762uvza7d2fsza7d2fla1955za7, BGl_z62uvzd2fszd2flagsz62zz__libuv_fsz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2closezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2close1956z00, opt_generic_entry, BGl__uvzd2fszd2closez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_STRING( BGl_string1930z00zz__libuv_fsz00, BgL_bgl_string1930za700za7za7_1957za7, "uv-fs-open", 10 );
DEFINE_STRING( BGl_string1931z00zz__libuv_fsz00, BgL_bgl_string1931za700za7za7_1958za7, "Wrong flags", 11 );
DEFINE_STRING( BGl_string1932z00zz__libuv_fsz00, BgL_bgl_string1932za700za7za7_1959za7, "uv-fs-flags", 11 );
DEFINE_STRING( BGl_string1933z00zz__libuv_fsz00, BgL_bgl_string1933za700za7za7_1960za7, "Illegal flag", 12 );
DEFINE_STRING( BGl_string1934z00zz__libuv_fsz00, BgL_bgl_string1934za700za7za7_1961za7, "__libuv_fs", 10 );
DEFINE_STRING( BGl_string1935z00zz__libuv_fsz00, BgL_bgl_string1935za700za7za7_1962za7, "xa+ ax+ a+ xa ax wx+ xw+ w+ xw wx w rs+ r+ r :position :offset :mode a :loop :callback ", 87 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2futimezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2futim1963z00, opt_generic_entry, BGl__uvzd2fszd2futimez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fsynczd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fsync1964z00, opt_generic_entry, BGl__uvzd2fszd2fsyncz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2utimezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2utime1965z00, opt_generic_entry, BGl__uvzd2fszd2utimez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fdatasynczd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fdata1966z00, opt_generic_entry, BGl__uvzd2fszd2fdatasyncz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2mkdirzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2mkdir1967z00, opt_generic_entry, BGl__uvzd2fszd2mkdirz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fstatzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fstat1968z00, opt_generic_entry, BGl__uvzd2fszd2fstatz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2truncatezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2trunc1969z00, opt_generic_entry, BGl__uvzd2fszd2truncatez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2writezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2write1970z00, opt_generic_entry, BGl__uvzd2fszd2writez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2lchownzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2lchow1971z00, opt_generic_entry, BGl__uvzd2fszd2lchownz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UV_FS_COPYFILE_FICLONE_FORCEzd2envzd2zz__libuv_fsz00, BgL_bgl_za762uv_fs_copyfil1972za7, BGl_z62UV_FS_COPYFILE_FICLONE_FORCEz62zz__libuv_fsz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2readzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2readza71973za7, opt_generic_entry, BGl__uvzd2fszd2readz00zz__libuv_fsz00, BFALSE, -1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_fsz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_fsz00(long BgL_checksumz00_1706, char * BgL_fromz00_1707)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_fsz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_fsz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_fsz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_fsz00(); 
BGl_cnstzd2initzd2zz__libuv_fsz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_fsz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_fsz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__libuv_fs"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
{ /* Llib/fs.scm 15 */
 obj_t BgL_cportz00_1680;
{ /* Llib/fs.scm 15 */
 obj_t BgL_stringz00_1687;
BgL_stringz00_1687 = BGl_string1935z00zz__libuv_fsz00; 
{ /* Llib/fs.scm 15 */
 obj_t BgL_startz00_1688;
BgL_startz00_1688 = 
BINT(((long)0)); 
{ /* Llib/fs.scm 15 */
 obj_t BgL_endz00_1689;
BgL_endz00_1689 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1687))); 
{ /* Llib/fs.scm 15 */

BgL_cportz00_1680 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1687, BgL_startz00_1688, BgL_endz00_1689); } } } } 
{ 
 long BgL_iz00_1681;
BgL_iz00_1681 = ((long)19); 
BgL_loopz00_1682:
if(
(BgL_iz00_1681==((long)-1)))
{ /* Llib/fs.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/fs.scm 15 */
{ /* Llib/fs.scm 15 */
 obj_t BgL_arg1936z00_1683;
{ /* Llib/fs.scm 15 */

{ /* Llib/fs.scm 15 */
 obj_t BgL_locationz00_1685;
BgL_locationz00_1685 = 
BBOOL(((bool_t)0)); 
{ /* Llib/fs.scm 15 */

BgL_arg1936z00_1683 = 
BGl_readz00zz__readerz00(BgL_cportz00_1680, BgL_locationz00_1685); } } } 
{ /* Llib/fs.scm 15 */
 int BgL_tmpz00_1736;
BgL_tmpz00_1736 = 
(int)(BgL_iz00_1681); 
CNST_TABLE_SET(BgL_tmpz00_1736, BgL_arg1936z00_1683); } } 
{ /* Llib/fs.scm 15 */
 int BgL_auxz00_1686;
BgL_auxz00_1686 = 
(int)(
(BgL_iz00_1681-((long)1))); 
{ 
 long BgL_iz00_1741;
BgL_iz00_1741 = 
(long)(BgL_auxz00_1686); 
BgL_iz00_1681 = BgL_iz00_1741; 
goto BgL_loopz00_1682;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
BGl_O_RDONLYz00zz__libuv_fsz00 = 
O_RDONLY; 
BGl_O_WRONLYz00zz__libuv_fsz00 = 
O_WRONLY; 
BGl_O_RDWRz00zz__libuv_fsz00 = 
O_RDWR; 
BGl_O_CREATz00zz__libuv_fsz00 = 
O_CREAT; 
BGl_O_EXCLz00zz__libuv_fsz00 = 
O_EXCL; 
BGl_O_TRUNCz00zz__libuv_fsz00 = 
O_TRUNC; 
BGl_O_APPENDz00zz__libuv_fsz00 = 
O_APPEND; 
return ( 
BGl_O_SYNCz00zz__libuv_fsz00 = 
O_SYNC, BUNSPEC) ;} 

}



/* UV_FS_COPYFILE_EXCL */
BGL_EXPORTED_DEF int BGl_UV_FS_COPYFILE_EXCLz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 105 */
return 
(int)(
UV_FS_COPYFILE_EXCL);} 

}



/* &UV_FS_COPYFILE_EXCL */
obj_t BGl_z62UV_FS_COPYFILE_EXCLz62zz__libuv_fsz00(obj_t BgL_envz00_1656)
{
{ /* Llib/fs.scm 105 */
return 
BINT(
BGl_UV_FS_COPYFILE_EXCLz00zz__libuv_fsz00());} 

}



/* UV_FS_COPYFILE_FICLONE */
BGL_EXPORTED_DEF int BGl_UV_FS_COPYFILE_FICLONEz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 107 */
return 
(int)(
UV_FS_COPYFILE_FICLONE);} 

}



/* &UV_FS_COPYFILE_FICLONE */
obj_t BGl_z62UV_FS_COPYFILE_FICLONEz62zz__libuv_fsz00(obj_t BgL_envz00_1657)
{
{ /* Llib/fs.scm 107 */
return 
BINT(
BGl_UV_FS_COPYFILE_FICLONEz00zz__libuv_fsz00());} 

}



/* UV_FS_COPYFILE_FICLONE_FORCE */
BGL_EXPORTED_DEF int BGl_UV_FS_COPYFILE_FICLONE_FORCEz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 109 */
return 
(int)(
UV_FS_COPYFILE_FICLONE_FORCE);} 

}



/* &UV_FS_COPYFILE_FICLONE_FORCE */
obj_t BGl_z62UV_FS_COPYFILE_FICLONE_FORCEz62zz__libuv_fsz00(obj_t BgL_envz00_1658)
{
{ /* Llib/fs.scm 109 */
return 
BINT(
BGl_UV_FS_COPYFILE_FICLONE_FORCEz00zz__libuv_fsz00());} 

}



/* uv-fs-dup */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2dupz00zz__libuv_fsz00(int BgL_oldz00_3)
{
{ /* Llib/fs.scm 130 */
return 
dup(BgL_oldz00_3);} 

}



/* &uv-fs-dup */
obj_t BGl_z62uvzd2fszd2dupz62zz__libuv_fsz00(obj_t BgL_envz00_1659, obj_t BgL_oldz00_1660)
{
{ /* Llib/fs.scm 130 */
return 
BINT(
BGl_uvzd2fszd2dupz00zz__libuv_fsz00(
CINT(BgL_oldz00_1660)));} 

}



/* _uv-fs-rename */
obj_t BGl__uvzd2fszd2renamez00zz__libuv_fsz00(obj_t BgL_env1124z00_9, obj_t BgL_opt1123z00_8)
{
{ /* Llib/fs.scm 136 */
{ /* Llib/fs.scm 136 */
 obj_t BgL_g1131z00_179; obj_t BgL_g1132z00_180;
BgL_g1131z00_179 = 
VECTOR_REF(BgL_opt1123z00_8,((long)0)); 
BgL_g1132z00_180 = 
VECTOR_REF(BgL_opt1123z00_8,((long)1)); 
{ /* Llib/fs.scm 136 */
 obj_t BgL_callbackz00_181;
BgL_callbackz00_181 = BFALSE; 
{ /* Llib/fs.scm 136 */
 obj_t BgL_loopz00_182;
BgL_loopz00_182 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 136 */

{ /* Llib/fs.scm 136 */
 long BgL_index1129z00_183;
{ 
 long BgL_iz00_770;
BgL_iz00_770 = ((long)2); 
BgL_search1126z00_769:
if(
(BgL_iz00_770==
VECTOR_LENGTH(BgL_opt1123z00_8)))
{ /* Llib/fs.scm 136 */
BgL_index1129z00_183 = ((long)-1); }  else 
{ /* Llib/fs.scm 136 */
 obj_t BgL_vz00_774;
BgL_vz00_774 = 
VECTOR_REF(BgL_opt1123z00_8,BgL_iz00_770); 
if(
(BgL_vz00_774==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 136 */
BgL_index1129z00_183 = 
(BgL_iz00_770+((long)1)); }  else 
{ 
 long BgL_iz00_1780;
BgL_iz00_1780 = 
(BgL_iz00_770+((long)2)); 
BgL_iz00_770 = BgL_iz00_1780; 
goto BgL_search1126z00_769;} } } 
if(
(BgL_index1129z00_183>=((long)0)))
{ /* Llib/fs.scm 136 */
BgL_callbackz00_181 = 
VECTOR_REF(BgL_opt1123z00_8,BgL_index1129z00_183); }  else 
{ /* Llib/fs.scm 136 */BFALSE; } } 
{ /* Llib/fs.scm 136 */
 long BgL_index1130z00_185;
{ 
 long BgL_iz00_780;
BgL_iz00_780 = ((long)2); 
BgL_search1126z00_779:
if(
(BgL_iz00_780==
VECTOR_LENGTH(BgL_opt1123z00_8)))
{ /* Llib/fs.scm 136 */
BgL_index1130z00_185 = ((long)-1); }  else 
{ /* Llib/fs.scm 136 */
 obj_t BgL_vz00_784;
BgL_vz00_784 = 
VECTOR_REF(BgL_opt1123z00_8,BgL_iz00_780); 
if(
(BgL_vz00_784==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 136 */
BgL_index1130z00_185 = 
(BgL_iz00_780+((long)1)); }  else 
{ 
 long BgL_iz00_1793;
BgL_iz00_1793 = 
(BgL_iz00_780+((long)2)); 
BgL_iz00_780 = BgL_iz00_1793; 
goto BgL_search1126z00_779;} } } 
if(
(BgL_index1130z00_185>=((long)0)))
{ /* Llib/fs.scm 136 */
BgL_loopz00_182 = 
VECTOR_REF(BgL_opt1123z00_8,BgL_index1130z00_185); }  else 
{ /* Llib/fs.scm 136 */BFALSE; } } 
{ /* Llib/fs.scm 136 */
 obj_t BgL_arg1460z00_187; obj_t BgL_arg1461z00_188;
BgL_arg1460z00_187 = 
VECTOR_REF(BgL_opt1123z00_8,((long)0)); 
BgL_arg1461z00_188 = 
VECTOR_REF(BgL_opt1123z00_8,((long)1)); 
{ /* Llib/fs.scm 136 */
 obj_t BgL_callbackz00_189;
BgL_callbackz00_189 = BgL_callbackz00_181; 
{ /* Llib/fs.scm 136 */
 obj_t BgL_loopz00_190;
BgL_loopz00_190 = BgL_loopz00_182; 
return 
BINT(
bgl_uv_fs_rename(
BSTRING_TO_STRING(
((obj_t)BgL_arg1460z00_187)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1461z00_188)), BgL_callbackz00_189, 
((BgL_uvloopz00_bglt)BgL_loopz00_190)));} } } } } } } } 

}



/* uv-fs-rename */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2renamez00zz__libuv_fsz00(obj_t BgL_oldz00_4, obj_t BgL_newz00_5, obj_t BgL_callbackz00_6, obj_t BgL_loopz00_7)
{
{ /* Llib/fs.scm 136 */
return 
bgl_uv_fs_rename(
BSTRING_TO_STRING(BgL_oldz00_4), 
BSTRING_TO_STRING(BgL_newz00_5), BgL_callbackz00_6, 
((BgL_uvloopz00_bglt)BgL_loopz00_7));} 

}



/* _uv-fs-ftruncate */
obj_t BGl__uvzd2fszd2ftruncatez00zz__libuv_fsz00(obj_t BgL_env1134z00_15, obj_t BgL_opt1133z00_14)
{
{ /* Llib/fs.scm 142 */
{ /* Llib/fs.scm 142 */
 obj_t BgL_g1141z00_198; obj_t BgL_g1142z00_199;
BgL_g1141z00_198 = 
VECTOR_REF(BgL_opt1133z00_14,((long)0)); 
BgL_g1142z00_199 = 
VECTOR_REF(BgL_opt1133z00_14,((long)1)); 
{ /* Llib/fs.scm 142 */
 obj_t BgL_callbackz00_200;
BgL_callbackz00_200 = BFALSE; 
{ /* Llib/fs.scm 142 */
 obj_t BgL_loopz00_201;
BgL_loopz00_201 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 142 */

{ /* Llib/fs.scm 142 */
 long BgL_index1139z00_202;
{ 
 long BgL_iz00_797;
BgL_iz00_797 = ((long)2); 
BgL_search1136z00_796:
if(
(BgL_iz00_797==
VECTOR_LENGTH(BgL_opt1133z00_14)))
{ /* Llib/fs.scm 142 */
BgL_index1139z00_202 = ((long)-1); }  else 
{ /* Llib/fs.scm 142 */
 obj_t BgL_vz00_801;
BgL_vz00_801 = 
VECTOR_REF(BgL_opt1133z00_14,BgL_iz00_797); 
if(
(BgL_vz00_801==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 142 */
BgL_index1139z00_202 = 
(BgL_iz00_797+((long)1)); }  else 
{ 
 long BgL_iz00_1823;
BgL_iz00_1823 = 
(BgL_iz00_797+((long)2)); 
BgL_iz00_797 = BgL_iz00_1823; 
goto BgL_search1136z00_796;} } } 
if(
(BgL_index1139z00_202>=((long)0)))
{ /* Llib/fs.scm 142 */
BgL_callbackz00_200 = 
VECTOR_REF(BgL_opt1133z00_14,BgL_index1139z00_202); }  else 
{ /* Llib/fs.scm 142 */BFALSE; } } 
{ /* Llib/fs.scm 142 */
 long BgL_index1140z00_204;
{ 
 long BgL_iz00_807;
BgL_iz00_807 = ((long)2); 
BgL_search1136z00_806:
if(
(BgL_iz00_807==
VECTOR_LENGTH(BgL_opt1133z00_14)))
{ /* Llib/fs.scm 142 */
BgL_index1140z00_204 = ((long)-1); }  else 
{ /* Llib/fs.scm 142 */
 obj_t BgL_vz00_811;
BgL_vz00_811 = 
VECTOR_REF(BgL_opt1133z00_14,BgL_iz00_807); 
if(
(BgL_vz00_811==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 142 */
BgL_index1140z00_204 = 
(BgL_iz00_807+((long)1)); }  else 
{ 
 long BgL_iz00_1836;
BgL_iz00_1836 = 
(BgL_iz00_807+((long)2)); 
BgL_iz00_807 = BgL_iz00_1836; 
goto BgL_search1136z00_806;} } } 
if(
(BgL_index1140z00_204>=((long)0)))
{ /* Llib/fs.scm 142 */
BgL_loopz00_201 = 
VECTOR_REF(BgL_opt1133z00_14,BgL_index1140z00_204); }  else 
{ /* Llib/fs.scm 142 */BFALSE; } } 
{ /* Llib/fs.scm 142 */
 obj_t BgL_arg1567z00_206; obj_t BgL_arg1568z00_207;
BgL_arg1567z00_206 = 
VECTOR_REF(BgL_opt1133z00_14,((long)0)); 
BgL_arg1568z00_207 = 
VECTOR_REF(BgL_opt1133z00_14,((long)1)); 
{ /* Llib/fs.scm 142 */
 obj_t BgL_callbackz00_208;
BgL_callbackz00_208 = BgL_callbackz00_200; 
{ /* Llib/fs.scm 142 */
 obj_t BgL_loopz00_209;
BgL_loopz00_209 = BgL_loopz00_201; 
{ /* Llib/fs.scm 142 */
 int64_t BgL_offsetz00_817;
BgL_offsetz00_817 = 
BGL_BINT64_TO_INT64(BgL_arg1568z00_207); 
return 
BINT(
bgl_uv_fs_ftruncate(
((BgL_uvfilez00_bglt)BgL_arg1567z00_206), BgL_offsetz00_817, BgL_callbackz00_208, 
((BgL_uvloopz00_bglt)BgL_loopz00_209)));} } } } } } } } } 

}



/* uv-fs-ftruncate */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2ftruncatez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_filez00_10, int64_t BgL_offsetz00_11, obj_t BgL_callbackz00_12, obj_t BgL_loopz00_13)
{
{ /* Llib/fs.scm 142 */
return 
bgl_uv_fs_ftruncate(BgL_filez00_10, BgL_offsetz00_11, BgL_callbackz00_12, 
((BgL_uvloopz00_bglt)BgL_loopz00_13));} 

}



/* _uv-fs-truncate */
obj_t BGl__uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t BgL_env1144z00_21, obj_t BgL_opt1143z00_20)
{
{ /* Llib/fs.scm 148 */
{ /* Llib/fs.scm 148 */
 obj_t BgL_g1154z00_217; obj_t BgL_g1155z00_218;
BgL_g1154z00_217 = 
VECTOR_REF(BgL_opt1143z00_20,((long)0)); 
BgL_g1155z00_218 = 
VECTOR_REF(BgL_opt1143z00_20,((long)1)); 
{ /* Llib/fs.scm 148 */
 obj_t BgL_callbackz00_219;
BgL_callbackz00_219 = BFALSE; 
{ /* Llib/fs.scm 148 */
 obj_t BgL_loopz00_220;
BgL_loopz00_220 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 148 */

{ /* Llib/fs.scm 148 */
 long BgL_index1149z00_221;
{ 
 long BgL_iz00_824;
BgL_iz00_824 = ((long)2); 
BgL_search1146z00_823:
if(
(BgL_iz00_824==
VECTOR_LENGTH(BgL_opt1143z00_20)))
{ /* Llib/fs.scm 148 */
BgL_index1149z00_221 = ((long)-1); }  else 
{ /* Llib/fs.scm 148 */
 obj_t BgL_vz00_828;
BgL_vz00_828 = 
VECTOR_REF(BgL_opt1143z00_20,BgL_iz00_824); 
if(
(BgL_vz00_828==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 148 */
BgL_index1149z00_221 = 
(BgL_iz00_824+((long)1)); }  else 
{ 
 long BgL_iz00_1862;
BgL_iz00_1862 = 
(BgL_iz00_824+((long)2)); 
BgL_iz00_824 = BgL_iz00_1862; 
goto BgL_search1146z00_823;} } } 
if(
(BgL_index1149z00_221>=((long)0)))
{ /* Llib/fs.scm 148 */
BgL_callbackz00_219 = 
VECTOR_REF(BgL_opt1143z00_20,BgL_index1149z00_221); }  else 
{ /* Llib/fs.scm 148 */BFALSE; } } 
{ /* Llib/fs.scm 148 */
 long BgL_index1150z00_223;
{ 
 long BgL_iz00_834;
BgL_iz00_834 = ((long)2); 
BgL_search1146z00_833:
if(
(BgL_iz00_834==
VECTOR_LENGTH(BgL_opt1143z00_20)))
{ /* Llib/fs.scm 148 */
BgL_index1150z00_223 = ((long)-1); }  else 
{ /* Llib/fs.scm 148 */
 obj_t BgL_vz00_838;
BgL_vz00_838 = 
VECTOR_REF(BgL_opt1143z00_20,BgL_iz00_834); 
if(
(BgL_vz00_838==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 148 */
BgL_index1150z00_223 = 
(BgL_iz00_834+((long)1)); }  else 
{ 
 long BgL_iz00_1875;
BgL_iz00_1875 = 
(BgL_iz00_834+((long)2)); 
BgL_iz00_834 = BgL_iz00_1875; 
goto BgL_search1146z00_833;} } } 
if(
(BgL_index1150z00_223>=((long)0)))
{ /* Llib/fs.scm 148 */
BgL_loopz00_220 = 
VECTOR_REF(BgL_opt1143z00_20,BgL_index1150z00_223); }  else 
{ /* Llib/fs.scm 148 */BFALSE; } } 
{ /* Llib/fs.scm 148 */
 obj_t BgL_arg1584z00_225; obj_t BgL_arg1585z00_226;
BgL_arg1584z00_225 = 
VECTOR_REF(BgL_opt1143z00_20,((long)0)); 
BgL_arg1585z00_226 = 
VECTOR_REF(BgL_opt1143z00_20,((long)1)); 
{ /* Llib/fs.scm 148 */
 obj_t BgL_callbackz00_227;
BgL_callbackz00_227 = BgL_callbackz00_219; 
{ /* Llib/fs.scm 148 */
 obj_t BgL_loopz00_228;
BgL_loopz00_228 = BgL_loopz00_220; 
return 
BINT(
BGl_uvzd2fszd2truncatez00zz__libuv_fsz00(BgL_arg1584z00_225, 
(long)CINT(BgL_arg1585z00_226), BgL_callbackz00_227, BgL_loopz00_228));} } } } } } } } 

}



/* uv-fs-truncate */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t BgL_pathz00_16, long BgL_offsetz00_17, obj_t BgL_callbackz00_18, obj_t BgL_loopz00_19)
{
{ /* Llib/fs.scm 148 */
if(
PROCEDUREP(BgL_callbackz00_18))
{ /* Llib/fs.scm 153 */
 obj_t BgL_zc3z04anonymousza31602ze3z87_1663;
BgL_zc3z04anonymousza31602ze3z87_1663 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31602ze3ze5zz__libuv_fsz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31602ze3z87_1663, 
(int)(((long)0)), BgL_callbackz00_18); 
PROCEDURE_SET(BgL_zc3z04anonymousza31602ze3z87_1663, 
(int)(((long)1)), 
BINT(BgL_offsetz00_17)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31602ze3z87_1663, 
(int)(((long)2)), BgL_loopz00_19); 
{ /* Llib/fs.scm 150 */
 obj_t BgL_flagsz00_883;
BgL_flagsz00_883 = 
CNST_TABLE_REF(((long)2)); 
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_883))
{ /* Llib/fs.scm 267 */
return 
CINT(
bgl_uv_fs_open(BgL_pathz00_16, 
CINT(BgL_flagsz00_883), 
(int)(((long)438)), BgL_zc3z04anonymousza31602ze3z87_1663, 
((BgL_uvloopz00_bglt)BgL_loopz00_19)));}  else 
{ /* Llib/fs.scm 267 */
if(
SYMBOLP(BgL_flagsz00_883))
{ /* Llib/fs.scm 270 */
 int BgL_arg1849z00_886;
BgL_arg1849z00_886 = 
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_883); 
return 
CINT(
bgl_uv_fs_open(BgL_pathz00_16, BgL_arg1849z00_886, 
(int)(((long)438)), BgL_zc3z04anonymousza31602ze3z87_1663, 
((BgL_uvloopz00_bglt)BgL_loopz00_19)));}  else 
{ /* Llib/fs.scm 269 */
if(
STRINGP(BgL_flagsz00_883))
{ /* Llib/fs.scm 272 */
 int BgL_arg1851z00_888;
BgL_arg1851z00_888 = 
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(
bstring_to_symbol(BgL_flagsz00_883)); 
return 
CINT(
bgl_uv_fs_open(BgL_pathz00_16, BgL_arg1851z00_888, 
(int)(((long)438)), BgL_zc3z04anonymousza31602ze3z87_1663, 
((BgL_uvloopz00_bglt)BgL_loopz00_19)));}  else 
{ /* Llib/fs.scm 271 */
return 
CINT(
BGl_errorz00zz__errorz00(BGl_string1930z00zz__libuv_fsz00, BGl_string1931z00zz__libuv_fsz00, BgL_flagsz00_883));} } } } }  else 
{ /* Llib/fs.scm 163 */
 obj_t BgL_fdz00_254;
{ /* Llib/fs.scm 163 */
 BgL_uvloopz00_bglt BgL_loopz00_262;
BgL_loopz00_262 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 163 */
 obj_t BgL_flagsz00_892;
BgL_flagsz00_892 = 
CNST_TABLE_REF(((long)2)); 
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_892))
{ /* Llib/fs.scm 267 */
BgL_fdz00_254 = 
bgl_uv_fs_open(BgL_pathz00_16, 
CINT(BgL_flagsz00_892), 
(int)(((long)438)), BFALSE, BgL_loopz00_262); }  else 
{ /* Llib/fs.scm 267 */
if(
SYMBOLP(BgL_flagsz00_892))
{ /* Llib/fs.scm 269 */
BgL_fdz00_254 = 
bgl_uv_fs_open(BgL_pathz00_16, 
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_892), 
(int)(((long)438)), BFALSE, BgL_loopz00_262); }  else 
{ /* Llib/fs.scm 269 */
if(
STRINGP(BgL_flagsz00_892))
{ /* Llib/fs.scm 271 */
BgL_fdz00_254 = 
bgl_uv_fs_open(BgL_pathz00_16, 
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(
bstring_to_symbol(BgL_flagsz00_892)), 
(int)(((long)438)), BFALSE, BgL_loopz00_262); }  else 
{ /* Llib/fs.scm 271 */
BgL_fdz00_254 = 
BGl_errorz00zz__errorz00(BGl_string1930z00zz__libuv_fsz00, BGl_string1931z00zz__libuv_fsz00, BgL_flagsz00_892); } } } } } 
{ /* Llib/fs.scm 164 */
 bool_t BgL_test2001z00_1941;
{ /* Llib/fs.scm 164 */
 obj_t BgL_classz00_900;
BgL_classz00_900 = BGl_UvFilez00zz__libuv_typesz00; 
if(
BGL_OBJECTP(BgL_fdz00_254))
{ /* Llib/fs.scm 164 */
 BgL_objectz00_bglt BgL_arg1793z00_902;
BgL_arg1793z00_902 = 
(BgL_objectz00_bglt)(BgL_fdz00_254); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/fs.scm 164 */
 long BgL_idxz00_908;
BgL_idxz00_908 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_902); 
BgL_test2001z00_1941 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_908+((long)1)))==BgL_classz00_900); }  else 
{ /* Llib/fs.scm 164 */
 bool_t BgL_res1929z00_930;
{ /* Llib/fs.scm 164 */
 obj_t BgL_oclassz00_916;
{ /* Llib/fs.scm 164 */
 long BgL_arg1801z00_922;
{ /* Llib/fs.scm 164 */
 long BgL_arg1802z00_923;
BgL_arg1802z00_923 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_902); 
BgL_arg1801z00_922 = 
(BgL_arg1802z00_923-OBJECT_TYPE); } 
BgL_oclassz00_916 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_922); } 
{ /* Llib/fs.scm 164 */
 bool_t BgL__ortest_1110z00_917;
BgL__ortest_1110z00_917 = 
(BgL_classz00_900==BgL_oclassz00_916); 
if(BgL__ortest_1110z00_917)
{ /* Llib/fs.scm 164 */
BgL_res1929z00_930 = BgL__ortest_1110z00_917; }  else 
{ /* Llib/fs.scm 164 */
 long BgL_odepthz00_918;
BgL_odepthz00_918 = 
BGL_CLASS_DEPTH(BgL_oclassz00_916); 
if(
(((long)1)<BgL_odepthz00_918))
{ /* Llib/fs.scm 164 */
 obj_t BgL_arg1790z00_920;
BgL_arg1790z00_920 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_916, ((long)1)); 
BgL_res1929z00_930 = 
(BgL_arg1790z00_920==BgL_classz00_900); }  else 
{ /* Llib/fs.scm 164 */
BgL_res1929z00_930 = ((bool_t)0); } } } } 
BgL_test2001z00_1941 = BgL_res1929z00_930; } }  else 
{ /* Llib/fs.scm 164 */
BgL_test2001z00_1941 = ((bool_t)0)
; } } 
if(BgL_test2001z00_1941)
{ /* Llib/fs.scm 165 */
 int BgL_resz00_256;
{ /* Llib/fs.scm 165 */
 BgL_uvloopz00_bglt BgL_loopz00_260;
BgL_loopz00_260 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 165 */
 int64_t BgL_offsetz00_932;
BgL_offsetz00_932 = 
(int64_t)(BgL_offsetz00_17); 
BgL_resz00_256 = 
bgl_uv_fs_ftruncate(
((BgL_uvfilez00_bglt)BgL_fdz00_254), BgL_offsetz00_932, BFALSE, BgL_loopz00_260); } } 
{ /* Llib/fs.scm 166 */
 BgL_uvloopz00_bglt BgL_loopz00_258;
BgL_loopz00_258 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
bgl_uv_fs_close(
((BgL_uvfilez00_bglt)BgL_fdz00_254), BFALSE, BgL_loopz00_258); } 
return BgL_resz00_256;}  else 
{ /* Llib/fs.scm 164 */
return 
CINT(BgL_fdz00_254);} } } } 

}



/* &<@anonymous:1602> */
obj_t BGl_z62zc3z04anonymousza31602ze3ze5zz__libuv_fsz00(obj_t BgL_envz00_1664, obj_t BgL_fdz00_1668)
{
{ /* Llib/fs.scm 152 */
{ /* Llib/fs.scm 153 */
 obj_t BgL_callbackz00_1665; long BgL_offsetz00_1666; obj_t BgL_loopz00_1667;
BgL_callbackz00_1665 = 
PROCEDURE_REF(BgL_envz00_1664, 
(int)(((long)0))); 
BgL_offsetz00_1666 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_1664, 
(int)(((long)1)))); 
BgL_loopz00_1667 = 
PROCEDURE_REF(BgL_envz00_1664, 
(int)(((long)2))); 
{ /* Llib/fs.scm 153 */
 bool_t BgL_test2006z00_1976;
{ /* Llib/fs.scm 153 */
 obj_t BgL_classz00_1691;
BgL_classz00_1691 = BGl_UvFilez00zz__libuv_typesz00; 
if(
BGL_OBJECTP(BgL_fdz00_1668))
{ /* Llib/fs.scm 153 */
 BgL_objectz00_bglt BgL_arg1793z00_1692;
BgL_arg1793z00_1692 = 
(BgL_objectz00_bglt)(BgL_fdz00_1668); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/fs.scm 153 */
 long BgL_idxz00_1693;
BgL_idxz00_1693 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1692); 
BgL_test2006z00_1976 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1693+((long)1)))==BgL_classz00_1691); }  else 
{ /* Llib/fs.scm 153 */
 bool_t BgL_res1928z00_1696;
{ /* Llib/fs.scm 153 */
 obj_t BgL_oclassz00_1697;
{ /* Llib/fs.scm 153 */
 long BgL_arg1801z00_1698;
{ /* Llib/fs.scm 153 */
 long BgL_arg1802z00_1699;
BgL_arg1802z00_1699 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1692); 
BgL_arg1801z00_1698 = 
(BgL_arg1802z00_1699-OBJECT_TYPE); } 
BgL_oclassz00_1697 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1698); } 
{ /* Llib/fs.scm 153 */
 bool_t BgL__ortest_1110z00_1700;
BgL__ortest_1110z00_1700 = 
(BgL_classz00_1691==BgL_oclassz00_1697); 
if(BgL__ortest_1110z00_1700)
{ /* Llib/fs.scm 153 */
BgL_res1928z00_1696 = BgL__ortest_1110z00_1700; }  else 
{ /* Llib/fs.scm 153 */
 long BgL_odepthz00_1701;
BgL_odepthz00_1701 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1697); 
if(
(((long)1)<BgL_odepthz00_1701))
{ /* Llib/fs.scm 153 */
 obj_t BgL_arg1790z00_1702;
BgL_arg1790z00_1702 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1697, ((long)1)); 
BgL_res1928z00_1696 = 
(BgL_arg1790z00_1702==BgL_classz00_1691); }  else 
{ /* Llib/fs.scm 153 */
BgL_res1928z00_1696 = ((bool_t)0); } } } } 
BgL_test2006z00_1976 = BgL_res1928z00_1696; } }  else 
{ /* Llib/fs.scm 153 */
BgL_test2006z00_1976 = ((bool_t)0)
; } } 
if(BgL_test2006z00_1976)
{ /* Llib/fs.scm 154 */
 int64_t BgL_arg1605z00_1703;
BgL_arg1605z00_1703 = 
(int64_t)(BgL_offsetz00_1666); 
{ /* Llib/fs.scm 158 */
 obj_t BgL_zc3z04anonymousza31618ze3z87_1704;
BgL_zc3z04anonymousza31618ze3z87_1704 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31618ze3ze5zz__libuv_fsz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31618ze3z87_1704, 
(int)(((long)0)), BgL_callbackz00_1665); 
PROCEDURE_SET(BgL_zc3z04anonymousza31618ze3z87_1704, 
(int)(((long)1)), BgL_fdz00_1668); 
PROCEDURE_SET(BgL_zc3z04anonymousza31618ze3z87_1704, 
(int)(((long)2)), BgL_loopz00_1667); 
return 
BINT(
bgl_uv_fs_ftruncate(
((BgL_uvfilez00_bglt)BgL_fdz00_1668), BgL_arg1605z00_1703, BgL_zc3z04anonymousza31618ze3z87_1704, 
((BgL_uvloopz00_bglt)BgL_loopz00_1667)));} }  else 
{ /* Llib/fs.scm 153 */
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_callbackz00_1665))(BgL_callbackz00_1665, BgL_fdz00_1668, BEOA);} } } } 

}



/* &<@anonymous:1618> */
obj_t BGl_z62zc3z04anonymousza31618ze3ze5zz__libuv_fsz00(obj_t BgL_envz00_1669, obj_t BgL_resz00_1673)
{
{ /* Llib/fs.scm 156 */
{ /* Llib/fs.scm 158 */
 obj_t BgL_callbackz00_1670; obj_t BgL_fdz00_1671; obj_t BgL_loopz00_1672;
BgL_callbackz00_1670 = 
PROCEDURE_REF(BgL_envz00_1669, 
(int)(((long)0))); 
BgL_fdz00_1671 = 
PROCEDURE_REF(BgL_envz00_1669, 
(int)(((long)1))); 
BgL_loopz00_1672 = 
PROCEDURE_REF(BgL_envz00_1669, 
(int)(((long)2))); 
{ /* Llib/fs.scm 158 */
 int BgL_tmpz00_2020;
{ /* Llib/fs.scm 158 */
 obj_t BgL_zc3z04anonymousza31620ze3z87_1705;
BgL_zc3z04anonymousza31620ze3z87_1705 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31620ze3ze5zz__libuv_fsz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31620ze3z87_1705, 
(int)(((long)0)), BgL_callbackz00_1670); 
PROCEDURE_SET(BgL_zc3z04anonymousza31620ze3z87_1705, 
(int)(((long)1)), BgL_resz00_1673); 
BgL_tmpz00_2020 = 
bgl_uv_fs_close(
((BgL_uvfilez00_bglt)BgL_fdz00_1671), BgL_zc3z04anonymousza31620ze3z87_1705, 
((BgL_uvloopz00_bglt)BgL_loopz00_1672)); } 
return 
BINT(BgL_tmpz00_2020);} } } 

}



/* &<@anonymous:1620> */
obj_t BGl_z62zc3z04anonymousza31620ze3ze5zz__libuv_fsz00(obj_t BgL_envz00_1674, obj_t BgL_objz00_1677)
{
{ /* Llib/fs.scm 158 */
{ /* Llib/fs.scm 158 */
 obj_t BgL_callbackz00_1675; obj_t BgL_resz00_1676;
BgL_callbackz00_1675 = 
PROCEDURE_REF(BgL_envz00_1674, 
(int)(((long)0))); 
BgL_resz00_1676 = 
PROCEDURE_REF(BgL_envz00_1674, 
(int)(((long)1))); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_callbackz00_1675))(BgL_callbackz00_1675, BgL_resz00_1676, BEOA);} } 

}



/* _uv-fs-chown */
obj_t BGl__uvzd2fszd2chownz00zz__libuv_fsz00(obj_t BgL_env1157z00_28, obj_t BgL_opt1156z00_27)
{
{ /* Llib/fs.scm 173 */
{ /* Llib/fs.scm 173 */
 obj_t BgL_g1164z00_268; obj_t BgL_g1166z00_269; obj_t BgL_g1167z00_270;
BgL_g1164z00_268 = 
VECTOR_REF(BgL_opt1156z00_27,((long)0)); 
BgL_g1166z00_269 = 
VECTOR_REF(BgL_opt1156z00_27,((long)1)); 
BgL_g1167z00_270 = 
VECTOR_REF(BgL_opt1156z00_27,((long)2)); 
{ /* Llib/fs.scm 173 */
 obj_t BgL_callbackz00_271;
BgL_callbackz00_271 = BFALSE; 
{ /* Llib/fs.scm 173 */
 obj_t BgL_loopz00_272;
BgL_loopz00_272 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 173 */

{ /* Llib/fs.scm 173 */
 long BgL_index1162z00_273;
{ 
 long BgL_iz00_940;
BgL_iz00_940 = ((long)3); 
BgL_search1159z00_939:
if(
(BgL_iz00_940==
VECTOR_LENGTH(BgL_opt1156z00_27)))
{ /* Llib/fs.scm 173 */
BgL_index1162z00_273 = ((long)-1); }  else 
{ /* Llib/fs.scm 173 */
 obj_t BgL_vz00_944;
BgL_vz00_944 = 
VECTOR_REF(BgL_opt1156z00_27,BgL_iz00_940); 
if(
(BgL_vz00_944==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 173 */
BgL_index1162z00_273 = 
(BgL_iz00_940+((long)1)); }  else 
{ 
 long BgL_iz00_2053;
BgL_iz00_2053 = 
(BgL_iz00_940+((long)2)); 
BgL_iz00_940 = BgL_iz00_2053; 
goto BgL_search1159z00_939;} } } 
if(
(BgL_index1162z00_273>=((long)0)))
{ /* Llib/fs.scm 173 */
BgL_callbackz00_271 = 
VECTOR_REF(BgL_opt1156z00_27,BgL_index1162z00_273); }  else 
{ /* Llib/fs.scm 173 */BFALSE; } } 
{ /* Llib/fs.scm 173 */
 long BgL_index1163z00_275;
{ 
 long BgL_iz00_950;
BgL_iz00_950 = ((long)3); 
BgL_search1159z00_949:
if(
(BgL_iz00_950==
VECTOR_LENGTH(BgL_opt1156z00_27)))
{ /* Llib/fs.scm 173 */
BgL_index1163z00_275 = ((long)-1); }  else 
{ /* Llib/fs.scm 173 */
 obj_t BgL_vz00_954;
BgL_vz00_954 = 
VECTOR_REF(BgL_opt1156z00_27,BgL_iz00_950); 
if(
(BgL_vz00_954==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 173 */
BgL_index1163z00_275 = 
(BgL_iz00_950+((long)1)); }  else 
{ 
 long BgL_iz00_2066;
BgL_iz00_2066 = 
(BgL_iz00_950+((long)2)); 
BgL_iz00_950 = BgL_iz00_2066; 
goto BgL_search1159z00_949;} } } 
if(
(BgL_index1163z00_275>=((long)0)))
{ /* Llib/fs.scm 173 */
BgL_loopz00_272 = 
VECTOR_REF(BgL_opt1156z00_27,BgL_index1163z00_275); }  else 
{ /* Llib/fs.scm 173 */BFALSE; } } 
{ /* Llib/fs.scm 173 */
 obj_t BgL_arg1629z00_277; obj_t BgL_arg1631z00_278; obj_t BgL_arg1650z00_279;
BgL_arg1629z00_277 = 
VECTOR_REF(BgL_opt1156z00_27,((long)0)); 
BgL_arg1631z00_278 = 
VECTOR_REF(BgL_opt1156z00_27,((long)1)); 
BgL_arg1650z00_279 = 
VECTOR_REF(BgL_opt1156z00_27,((long)2)); 
{ /* Llib/fs.scm 173 */
 obj_t BgL_callbackz00_280;
BgL_callbackz00_280 = BgL_callbackz00_271; 
{ /* Llib/fs.scm 173 */
 obj_t BgL_loopz00_281;
BgL_loopz00_281 = BgL_loopz00_272; 
{ /* Llib/fs.scm 173 */
 int BgL_uidz00_960; int BgL_gidz00_961;
BgL_uidz00_960 = 
CINT(BgL_arg1631z00_278); 
BgL_gidz00_961 = 
CINT(BgL_arg1650z00_279); 
return 
BINT(
bgl_uv_fs_chown(
BSTRING_TO_STRING(
((obj_t)BgL_arg1629z00_277)), BgL_uidz00_960, BgL_gidz00_961, BgL_callbackz00_280, 
((BgL_uvloopz00_bglt)BgL_loopz00_281)));} } } } } } } } } 

}



/* uv-fs-chown */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2chownz00zz__libuv_fsz00(obj_t BgL_pathz00_22, int BgL_uidz00_23, int BgL_gidz00_24, obj_t BgL_callbackz00_25, obj_t BgL_loopz00_26)
{
{ /* Llib/fs.scm 173 */
return 
bgl_uv_fs_chown(
BSTRING_TO_STRING(BgL_pathz00_22), BgL_uidz00_23, BgL_gidz00_24, BgL_callbackz00_25, 
((BgL_uvloopz00_bglt)BgL_loopz00_26));} 

}



/* _uv-fs-fchown */
obj_t BGl__uvzd2fszd2fchownz00zz__libuv_fsz00(obj_t BgL_env1169z00_35, obj_t BgL_opt1168z00_34)
{
{ /* Llib/fs.scm 179 */
{ /* Llib/fs.scm 179 */
 obj_t BgL_g1176z00_289; obj_t BgL_g1177z00_290; obj_t BgL_g1178z00_291;
BgL_g1176z00_289 = 
VECTOR_REF(BgL_opt1168z00_34,((long)0)); 
BgL_g1177z00_290 = 
VECTOR_REF(BgL_opt1168z00_34,((long)1)); 
BgL_g1178z00_291 = 
VECTOR_REF(BgL_opt1168z00_34,((long)2)); 
{ /* Llib/fs.scm 179 */
 obj_t BgL_callbackz00_292;
BgL_callbackz00_292 = BFALSE; 
{ /* Llib/fs.scm 179 */
 obj_t BgL_loopz00_293;
BgL_loopz00_293 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 179 */

{ /* Llib/fs.scm 179 */
 long BgL_index1174z00_294;
{ 
 long BgL_iz00_968;
BgL_iz00_968 = ((long)3); 
BgL_search1171z00_967:
if(
(BgL_iz00_968==
VECTOR_LENGTH(BgL_opt1168z00_34)))
{ /* Llib/fs.scm 179 */
BgL_index1174z00_294 = ((long)-1); }  else 
{ /* Llib/fs.scm 179 */
 obj_t BgL_vz00_972;
BgL_vz00_972 = 
VECTOR_REF(BgL_opt1168z00_34,BgL_iz00_968); 
if(
(BgL_vz00_972==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 179 */
BgL_index1174z00_294 = 
(BgL_iz00_968+((long)1)); }  else 
{ 
 long BgL_iz00_2097;
BgL_iz00_2097 = 
(BgL_iz00_968+((long)2)); 
BgL_iz00_968 = BgL_iz00_2097; 
goto BgL_search1171z00_967;} } } 
if(
(BgL_index1174z00_294>=((long)0)))
{ /* Llib/fs.scm 179 */
BgL_callbackz00_292 = 
VECTOR_REF(BgL_opt1168z00_34,BgL_index1174z00_294); }  else 
{ /* Llib/fs.scm 179 */BFALSE; } } 
{ /* Llib/fs.scm 179 */
 long BgL_index1175z00_296;
{ 
 long BgL_iz00_978;
BgL_iz00_978 = ((long)3); 
BgL_search1171z00_977:
if(
(BgL_iz00_978==
VECTOR_LENGTH(BgL_opt1168z00_34)))
{ /* Llib/fs.scm 179 */
BgL_index1175z00_296 = ((long)-1); }  else 
{ /* Llib/fs.scm 179 */
 obj_t BgL_vz00_982;
BgL_vz00_982 = 
VECTOR_REF(BgL_opt1168z00_34,BgL_iz00_978); 
if(
(BgL_vz00_982==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 179 */
BgL_index1175z00_296 = 
(BgL_iz00_978+((long)1)); }  else 
{ 
 long BgL_iz00_2110;
BgL_iz00_2110 = 
(BgL_iz00_978+((long)2)); 
BgL_iz00_978 = BgL_iz00_2110; 
goto BgL_search1171z00_977;} } } 
if(
(BgL_index1175z00_296>=((long)0)))
{ /* Llib/fs.scm 179 */
BgL_loopz00_293 = 
VECTOR_REF(BgL_opt1168z00_34,BgL_index1175z00_296); }  else 
{ /* Llib/fs.scm 179 */BFALSE; } } 
{ /* Llib/fs.scm 179 */
 obj_t BgL_arg1665z00_298; obj_t BgL_arg1670z00_299; obj_t BgL_arg1679z00_300;
BgL_arg1665z00_298 = 
VECTOR_REF(BgL_opt1168z00_34,((long)0)); 
BgL_arg1670z00_299 = 
VECTOR_REF(BgL_opt1168z00_34,((long)1)); 
BgL_arg1679z00_300 = 
VECTOR_REF(BgL_opt1168z00_34,((long)2)); 
{ /* Llib/fs.scm 179 */
 obj_t BgL_callbackz00_301;
BgL_callbackz00_301 = BgL_callbackz00_292; 
{ /* Llib/fs.scm 179 */
 obj_t BgL_loopz00_302;
BgL_loopz00_302 = BgL_loopz00_293; 
{ /* Llib/fs.scm 179 */
 int BgL_uidz00_988; int BgL_gidz00_989;
BgL_uidz00_988 = 
CINT(BgL_arg1670z00_299); 
BgL_gidz00_989 = 
CINT(BgL_arg1679z00_300); 
return 
BINT(
bgl_uv_fs_fchown(
((BgL_uvfilez00_bglt)BgL_arg1665z00_298), BgL_uidz00_988, BgL_gidz00_989, BgL_callbackz00_301, 
((BgL_uvloopz00_bglt)BgL_loopz00_302)));} } } } } } } } } 

}



/* uv-fs-fchown */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2fchownz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_29, int BgL_uidz00_30, int BgL_gidz00_31, obj_t BgL_callbackz00_32, obj_t BgL_loopz00_33)
{
{ /* Llib/fs.scm 179 */
return 
bgl_uv_fs_fchown(BgL_fdz00_29, BgL_uidz00_30, BgL_gidz00_31, BgL_callbackz00_32, 
((BgL_uvloopz00_bglt)BgL_loopz00_33));} 

}



/* _uv-fs-lchown */
obj_t BGl__uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t BgL_env1180z00_42, obj_t BgL_opt1179z00_41)
{
{ /* Llib/fs.scm 185 */
{ /* Llib/fs.scm 185 */
 obj_t BgL_g1187z00_310; obj_t BgL_g1188z00_311; obj_t BgL_g1189z00_312;
BgL_g1187z00_310 = 
VECTOR_REF(BgL_opt1179z00_41,((long)0)); 
BgL_g1188z00_311 = 
VECTOR_REF(BgL_opt1179z00_41,((long)1)); 
BgL_g1189z00_312 = 
VECTOR_REF(BgL_opt1179z00_41,((long)2)); 
{ /* Llib/fs.scm 185 */
 obj_t BgL_callbackz00_313;
BgL_callbackz00_313 = BFALSE; 
{ /* Llib/fs.scm 185 */
 obj_t BgL_loopz00_314;
BgL_loopz00_314 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 185 */

{ /* Llib/fs.scm 185 */
 long BgL_index1185z00_315;
{ 
 long BgL_iz00_996;
BgL_iz00_996 = ((long)3); 
BgL_search1182z00_995:
if(
(BgL_iz00_996==
VECTOR_LENGTH(BgL_opt1179z00_41)))
{ /* Llib/fs.scm 185 */
BgL_index1185z00_315 = ((long)-1); }  else 
{ /* Llib/fs.scm 185 */
 obj_t BgL_vz00_1000;
BgL_vz00_1000 = 
VECTOR_REF(BgL_opt1179z00_41,BgL_iz00_996); 
if(
(BgL_vz00_1000==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 185 */
BgL_index1185z00_315 = 
(BgL_iz00_996+((long)1)); }  else 
{ 
 long BgL_iz00_2139;
BgL_iz00_2139 = 
(BgL_iz00_996+((long)2)); 
BgL_iz00_996 = BgL_iz00_2139; 
goto BgL_search1182z00_995;} } } 
if(
(BgL_index1185z00_315>=((long)0)))
{ /* Llib/fs.scm 185 */
BgL_callbackz00_313 = 
VECTOR_REF(BgL_opt1179z00_41,BgL_index1185z00_315); }  else 
{ /* Llib/fs.scm 185 */BFALSE; } } 
{ /* Llib/fs.scm 185 */
 long BgL_index1186z00_317;
{ 
 long BgL_iz00_1006;
BgL_iz00_1006 = ((long)3); 
BgL_search1182z00_1005:
if(
(BgL_iz00_1006==
VECTOR_LENGTH(BgL_opt1179z00_41)))
{ /* Llib/fs.scm 185 */
BgL_index1186z00_317 = ((long)-1); }  else 
{ /* Llib/fs.scm 185 */
 obj_t BgL_vz00_1010;
BgL_vz00_1010 = 
VECTOR_REF(BgL_opt1179z00_41,BgL_iz00_1006); 
if(
(BgL_vz00_1010==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 185 */
BgL_index1186z00_317 = 
(BgL_iz00_1006+((long)1)); }  else 
{ 
 long BgL_iz00_2152;
BgL_iz00_2152 = 
(BgL_iz00_1006+((long)2)); 
BgL_iz00_1006 = BgL_iz00_2152; 
goto BgL_search1182z00_1005;} } } 
if(
(BgL_index1186z00_317>=((long)0)))
{ /* Llib/fs.scm 185 */
BgL_loopz00_314 = 
VECTOR_REF(BgL_opt1179z00_41,BgL_index1186z00_317); }  else 
{ /* Llib/fs.scm 185 */BFALSE; } } 
{ /* Llib/fs.scm 185 */
 obj_t BgL_arg1694z00_319; obj_t BgL_arg1702z00_320; obj_t BgL_arg1703z00_321;
BgL_arg1694z00_319 = 
VECTOR_REF(BgL_opt1179z00_41,((long)0)); 
BgL_arg1702z00_320 = 
VECTOR_REF(BgL_opt1179z00_41,((long)1)); 
BgL_arg1703z00_321 = 
VECTOR_REF(BgL_opt1179z00_41,((long)2)); 
{ /* Llib/fs.scm 185 */
 obj_t BgL_callbackz00_322;
BgL_callbackz00_322 = BgL_callbackz00_313; 
{ /* Llib/fs.scm 185 */
 obj_t BgL_loopz00_323;
BgL_loopz00_323 = BgL_loopz00_314; 
{ /* Llib/fs.scm 185 */
 int BgL_uidz00_1016; int BgL_gidz00_1017;
BgL_uidz00_1016 = 
CINT(BgL_arg1702z00_320); 
BgL_gidz00_1017 = 
CINT(BgL_arg1703z00_321); 
return 
BINT(
bgl_uv_fs_lchown(
BSTRING_TO_STRING(
((obj_t)BgL_arg1694z00_319)), BgL_uidz00_1016, BgL_gidz00_1017, BgL_callbackz00_322, 
((BgL_uvloopz00_bglt)BgL_loopz00_323)));} } } } } } } } } 

}



/* uv-fs-lchown */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t BgL_pathz00_36, int BgL_uidz00_37, int BgL_gidz00_38, obj_t BgL_callbackz00_39, obj_t BgL_loopz00_40)
{
{ /* Llib/fs.scm 185 */
return 
bgl_uv_fs_lchown(
BSTRING_TO_STRING(BgL_pathz00_36), BgL_uidz00_37, BgL_gidz00_38, BgL_callbackz00_39, 
((BgL_uvloopz00_bglt)BgL_loopz00_40));} 

}



/* _uv-fs-chmod */
obj_t BGl__uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t BgL_env1191z00_48, obj_t BgL_opt1190z00_47)
{
{ /* Llib/fs.scm 191 */
{ /* Llib/fs.scm 191 */
 obj_t BgL_g1203z00_331; obj_t BgL_g1204z00_332;
BgL_g1203z00_331 = 
VECTOR_REF(BgL_opt1190z00_47,((long)0)); 
BgL_g1204z00_332 = 
VECTOR_REF(BgL_opt1190z00_47,((long)1)); 
{ /* Llib/fs.scm 191 */
 obj_t BgL_callbackz00_333;
BgL_callbackz00_333 = BFALSE; 
{ /* Llib/fs.scm 191 */
 obj_t BgL_loopz00_334;
BgL_loopz00_334 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 191 */

{ /* Llib/fs.scm 191 */
 long BgL_index1196z00_335;
{ 
 long BgL_iz00_1024;
BgL_iz00_1024 = ((long)2); 
BgL_search1193z00_1023:
if(
(BgL_iz00_1024==
VECTOR_LENGTH(BgL_opt1190z00_47)))
{ /* Llib/fs.scm 191 */
BgL_index1196z00_335 = ((long)-1); }  else 
{ /* Llib/fs.scm 191 */
 obj_t BgL_vz00_1028;
BgL_vz00_1028 = 
VECTOR_REF(BgL_opt1190z00_47,BgL_iz00_1024); 
if(
(BgL_vz00_1028==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 191 */
BgL_index1196z00_335 = 
(BgL_iz00_1024+((long)1)); }  else 
{ 
 long BgL_iz00_2182;
BgL_iz00_2182 = 
(BgL_iz00_1024+((long)2)); 
BgL_iz00_1024 = BgL_iz00_2182; 
goto BgL_search1193z00_1023;} } } 
if(
(BgL_index1196z00_335>=((long)0)))
{ /* Llib/fs.scm 191 */
BgL_callbackz00_333 = 
VECTOR_REF(BgL_opt1190z00_47,BgL_index1196z00_335); }  else 
{ /* Llib/fs.scm 191 */BFALSE; } } 
{ /* Llib/fs.scm 191 */
 long BgL_index1197z00_337;
{ 
 long BgL_iz00_1034;
BgL_iz00_1034 = ((long)2); 
BgL_search1193z00_1033:
if(
(BgL_iz00_1034==
VECTOR_LENGTH(BgL_opt1190z00_47)))
{ /* Llib/fs.scm 191 */
BgL_index1197z00_337 = ((long)-1); }  else 
{ /* Llib/fs.scm 191 */
 obj_t BgL_vz00_1038;
BgL_vz00_1038 = 
VECTOR_REF(BgL_opt1190z00_47,BgL_iz00_1034); 
if(
(BgL_vz00_1038==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 191 */
BgL_index1197z00_337 = 
(BgL_iz00_1034+((long)1)); }  else 
{ 
 long BgL_iz00_2195;
BgL_iz00_2195 = 
(BgL_iz00_1034+((long)2)); 
BgL_iz00_1034 = BgL_iz00_2195; 
goto BgL_search1193z00_1033;} } } 
if(
(BgL_index1197z00_337>=((long)0)))
{ /* Llib/fs.scm 191 */
BgL_loopz00_334 = 
VECTOR_REF(BgL_opt1190z00_47,BgL_index1197z00_337); }  else 
{ /* Llib/fs.scm 191 */BFALSE; } } 
{ /* Llib/fs.scm 191 */
 obj_t BgL_arg1714z00_339; obj_t BgL_arg1724z00_340;
BgL_arg1714z00_339 = 
VECTOR_REF(BgL_opt1190z00_47,((long)0)); 
BgL_arg1724z00_340 = 
VECTOR_REF(BgL_opt1190z00_47,((long)1)); 
{ /* Llib/fs.scm 191 */
 obj_t BgL_callbackz00_341;
BgL_callbackz00_341 = BgL_callbackz00_333; 
{ /* Llib/fs.scm 191 */
 obj_t BgL_loopz00_342;
BgL_loopz00_342 = BgL_loopz00_334; 
{ /* Llib/fs.scm 191 */
 int BgL_modez00_1044;
BgL_modez00_1044 = 
CINT(BgL_arg1724z00_340); 
return 
BINT(
bgl_uv_fs_chmod(
BSTRING_TO_STRING(
((obj_t)BgL_arg1714z00_339)), BgL_modez00_1044, BgL_callbackz00_341, 
((BgL_uvloopz00_bglt)BgL_loopz00_342)));} } } } } } } } } 

}



/* uv-fs-chmod */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t BgL_pathz00_43, int BgL_modez00_44, obj_t BgL_callbackz00_45, obj_t BgL_loopz00_46)
{
{ /* Llib/fs.scm 191 */
return 
bgl_uv_fs_chmod(
BSTRING_TO_STRING(BgL_pathz00_43), BgL_modez00_44, BgL_callbackz00_45, 
((BgL_uvloopz00_bglt)BgL_loopz00_46));} 

}



/* _uv-fs-fchmod */
obj_t BGl__uvzd2fszd2fchmodz00zz__libuv_fsz00(obj_t BgL_env1206z00_54, obj_t BgL_opt1205z00_53)
{
{ /* Llib/fs.scm 197 */
{ /* Llib/fs.scm 197 */
 obj_t BgL_g1213z00_350; obj_t BgL_g1214z00_351;
BgL_g1213z00_350 = 
VECTOR_REF(BgL_opt1205z00_53,((long)0)); 
BgL_g1214z00_351 = 
VECTOR_REF(BgL_opt1205z00_53,((long)1)); 
{ /* Llib/fs.scm 197 */
 obj_t BgL_callbackz00_352;
BgL_callbackz00_352 = BFALSE; 
{ /* Llib/fs.scm 197 */
 obj_t BgL_loopz00_353;
BgL_loopz00_353 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 197 */

{ /* Llib/fs.scm 197 */
 long BgL_index1211z00_354;
{ 
 long BgL_iz00_1051;
BgL_iz00_1051 = ((long)2); 
BgL_search1208z00_1050:
if(
(BgL_iz00_1051==
VECTOR_LENGTH(BgL_opt1205z00_53)))
{ /* Llib/fs.scm 197 */
BgL_index1211z00_354 = ((long)-1); }  else 
{ /* Llib/fs.scm 197 */
 obj_t BgL_vz00_1055;
BgL_vz00_1055 = 
VECTOR_REF(BgL_opt1205z00_53,BgL_iz00_1051); 
if(
(BgL_vz00_1055==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 197 */
BgL_index1211z00_354 = 
(BgL_iz00_1051+((long)1)); }  else 
{ 
 long BgL_iz00_2223;
BgL_iz00_2223 = 
(BgL_iz00_1051+((long)2)); 
BgL_iz00_1051 = BgL_iz00_2223; 
goto BgL_search1208z00_1050;} } } 
if(
(BgL_index1211z00_354>=((long)0)))
{ /* Llib/fs.scm 197 */
BgL_callbackz00_352 = 
VECTOR_REF(BgL_opt1205z00_53,BgL_index1211z00_354); }  else 
{ /* Llib/fs.scm 197 */BFALSE; } } 
{ /* Llib/fs.scm 197 */
 long BgL_index1212z00_356;
{ 
 long BgL_iz00_1061;
BgL_iz00_1061 = ((long)2); 
BgL_search1208z00_1060:
if(
(BgL_iz00_1061==
VECTOR_LENGTH(BgL_opt1205z00_53)))
{ /* Llib/fs.scm 197 */
BgL_index1212z00_356 = ((long)-1); }  else 
{ /* Llib/fs.scm 197 */
 obj_t BgL_vz00_1065;
BgL_vz00_1065 = 
VECTOR_REF(BgL_opt1205z00_53,BgL_iz00_1061); 
if(
(BgL_vz00_1065==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 197 */
BgL_index1212z00_356 = 
(BgL_iz00_1061+((long)1)); }  else 
{ 
 long BgL_iz00_2236;
BgL_iz00_2236 = 
(BgL_iz00_1061+((long)2)); 
BgL_iz00_1061 = BgL_iz00_2236; 
goto BgL_search1208z00_1060;} } } 
if(
(BgL_index1212z00_356>=((long)0)))
{ /* Llib/fs.scm 197 */
BgL_loopz00_353 = 
VECTOR_REF(BgL_opt1205z00_53,BgL_index1212z00_356); }  else 
{ /* Llib/fs.scm 197 */BFALSE; } } 
{ /* Llib/fs.scm 197 */
 obj_t BgL_arg1730z00_358; obj_t BgL_arg1731z00_359;
BgL_arg1730z00_358 = 
VECTOR_REF(BgL_opt1205z00_53,((long)0)); 
BgL_arg1731z00_359 = 
VECTOR_REF(BgL_opt1205z00_53,((long)1)); 
{ /* Llib/fs.scm 197 */
 obj_t BgL_callbackz00_360;
BgL_callbackz00_360 = BgL_callbackz00_352; 
{ /* Llib/fs.scm 197 */
 obj_t BgL_loopz00_361;
BgL_loopz00_361 = BgL_loopz00_353; 
{ /* Llib/fs.scm 197 */
 int BgL_modez00_1071;
BgL_modez00_1071 = 
CINT(BgL_arg1731z00_359); 
return 
BINT(
bgl_uv_fs_fchmod(
((BgL_uvfilez00_bglt)BgL_arg1730z00_358), BgL_modez00_1071, BgL_callbackz00_360, 
((BgL_uvloopz00_bglt)BgL_loopz00_361)));} } } } } } } } } 

}



/* uv-fs-fchmod */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2fchmodz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_49, int BgL_modez00_50, obj_t BgL_callbackz00_51, obj_t BgL_loopz00_52)
{
{ /* Llib/fs.scm 197 */
return 
bgl_uv_fs_fchmod(BgL_fdz00_49, BgL_modez00_50, BgL_callbackz00_51, 
((BgL_uvloopz00_bglt)BgL_loopz00_52));} 

}



/* _uv-fs-link */
obj_t BGl__uvzd2fszd2linkz00zz__libuv_fsz00(obj_t BgL_env1216z00_60, obj_t BgL_opt1215z00_59)
{
{ /* Llib/fs.scm 203 */
{ /* Llib/fs.scm 203 */
 obj_t BgL_g1223z00_369; obj_t BgL_g1224z00_370;
BgL_g1223z00_369 = 
VECTOR_REF(BgL_opt1215z00_59,((long)0)); 
BgL_g1224z00_370 = 
VECTOR_REF(BgL_opt1215z00_59,((long)1)); 
{ /* Llib/fs.scm 203 */
 obj_t BgL_callbackz00_371;
BgL_callbackz00_371 = BFALSE; 
{ /* Llib/fs.scm 203 */
 obj_t BgL_loopz00_372;
BgL_loopz00_372 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 203 */

{ /* Llib/fs.scm 203 */
 long BgL_index1221z00_373;
{ 
 long BgL_iz00_1078;
BgL_iz00_1078 = ((long)2); 
BgL_search1218z00_1077:
if(
(BgL_iz00_1078==
VECTOR_LENGTH(BgL_opt1215z00_59)))
{ /* Llib/fs.scm 203 */
BgL_index1221z00_373 = ((long)-1); }  else 
{ /* Llib/fs.scm 203 */
 obj_t BgL_vz00_1082;
BgL_vz00_1082 = 
VECTOR_REF(BgL_opt1215z00_59,BgL_iz00_1078); 
if(
(BgL_vz00_1082==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 203 */
BgL_index1221z00_373 = 
(BgL_iz00_1078+((long)1)); }  else 
{ 
 long BgL_iz00_2262;
BgL_iz00_2262 = 
(BgL_iz00_1078+((long)2)); 
BgL_iz00_1078 = BgL_iz00_2262; 
goto BgL_search1218z00_1077;} } } 
if(
(BgL_index1221z00_373>=((long)0)))
{ /* Llib/fs.scm 203 */
BgL_callbackz00_371 = 
VECTOR_REF(BgL_opt1215z00_59,BgL_index1221z00_373); }  else 
{ /* Llib/fs.scm 203 */BFALSE; } } 
{ /* Llib/fs.scm 203 */
 long BgL_index1222z00_375;
{ 
 long BgL_iz00_1088;
BgL_iz00_1088 = ((long)2); 
BgL_search1218z00_1087:
if(
(BgL_iz00_1088==
VECTOR_LENGTH(BgL_opt1215z00_59)))
{ /* Llib/fs.scm 203 */
BgL_index1222z00_375 = ((long)-1); }  else 
{ /* Llib/fs.scm 203 */
 obj_t BgL_vz00_1092;
BgL_vz00_1092 = 
VECTOR_REF(BgL_opt1215z00_59,BgL_iz00_1088); 
if(
(BgL_vz00_1092==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 203 */
BgL_index1222z00_375 = 
(BgL_iz00_1088+((long)1)); }  else 
{ 
 long BgL_iz00_2275;
BgL_iz00_2275 = 
(BgL_iz00_1088+((long)2)); 
BgL_iz00_1088 = BgL_iz00_2275; 
goto BgL_search1218z00_1087;} } } 
if(
(BgL_index1222z00_375>=((long)0)))
{ /* Llib/fs.scm 203 */
BgL_loopz00_372 = 
VECTOR_REF(BgL_opt1215z00_59,BgL_index1222z00_375); }  else 
{ /* Llib/fs.scm 203 */BFALSE; } } 
{ /* Llib/fs.scm 203 */
 obj_t BgL_arg1741z00_377; obj_t BgL_arg1742z00_378;
BgL_arg1741z00_377 = 
VECTOR_REF(BgL_opt1215z00_59,((long)0)); 
BgL_arg1742z00_378 = 
VECTOR_REF(BgL_opt1215z00_59,((long)1)); 
{ /* Llib/fs.scm 203 */
 obj_t BgL_callbackz00_379;
BgL_callbackz00_379 = BgL_callbackz00_371; 
{ /* Llib/fs.scm 203 */
 obj_t BgL_loopz00_380;
BgL_loopz00_380 = BgL_loopz00_372; 
return 
BINT(
bgl_uv_fs_link(
BSTRING_TO_STRING(
((obj_t)BgL_arg1741z00_377)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1742z00_378)), BgL_callbackz00_379, 
((BgL_uvloopz00_bglt)BgL_loopz00_380)));} } } } } } } } 

}



/* uv-fs-link */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2linkz00zz__libuv_fsz00(obj_t BgL_oldz00_55, obj_t BgL_newz00_56, obj_t BgL_callbackz00_57, obj_t BgL_loopz00_58)
{
{ /* Llib/fs.scm 203 */
return 
bgl_uv_fs_link(
BSTRING_TO_STRING(BgL_oldz00_55), 
BSTRING_TO_STRING(BgL_newz00_56), BgL_callbackz00_57, 
((BgL_uvloopz00_bglt)BgL_loopz00_58));} 

}



/* _uv-fs-symlink */
obj_t BGl__uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t BgL_env1226z00_66, obj_t BgL_opt1225z00_65)
{
{ /* Llib/fs.scm 209 */
{ /* Llib/fs.scm 209 */
 obj_t BgL_g1233z00_388; obj_t BgL_g1234z00_389;
BgL_g1233z00_388 = 
VECTOR_REF(BgL_opt1225z00_65,((long)0)); 
BgL_g1234z00_389 = 
VECTOR_REF(BgL_opt1225z00_65,((long)1)); 
{ /* Llib/fs.scm 209 */
 obj_t BgL_callbackz00_390;
BgL_callbackz00_390 = BFALSE; 
{ /* Llib/fs.scm 209 */
 obj_t BgL_loopz00_391;
BgL_loopz00_391 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 209 */

{ /* Llib/fs.scm 209 */
 long BgL_index1231z00_392;
{ 
 long BgL_iz00_1105;
BgL_iz00_1105 = ((long)2); 
BgL_search1228z00_1104:
if(
(BgL_iz00_1105==
VECTOR_LENGTH(BgL_opt1225z00_65)))
{ /* Llib/fs.scm 209 */
BgL_index1231z00_392 = ((long)-1); }  else 
{ /* Llib/fs.scm 209 */
 obj_t BgL_vz00_1109;
BgL_vz00_1109 = 
VECTOR_REF(BgL_opt1225z00_65,BgL_iz00_1105); 
if(
(BgL_vz00_1109==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 209 */
BgL_index1231z00_392 = 
(BgL_iz00_1105+((long)1)); }  else 
{ 
 long BgL_iz00_2305;
BgL_iz00_2305 = 
(BgL_iz00_1105+((long)2)); 
BgL_iz00_1105 = BgL_iz00_2305; 
goto BgL_search1228z00_1104;} } } 
if(
(BgL_index1231z00_392>=((long)0)))
{ /* Llib/fs.scm 209 */
BgL_callbackz00_390 = 
VECTOR_REF(BgL_opt1225z00_65,BgL_index1231z00_392); }  else 
{ /* Llib/fs.scm 209 */BFALSE; } } 
{ /* Llib/fs.scm 209 */
 long BgL_index1232z00_394;
{ 
 long BgL_iz00_1115;
BgL_iz00_1115 = ((long)2); 
BgL_search1228z00_1114:
if(
(BgL_iz00_1115==
VECTOR_LENGTH(BgL_opt1225z00_65)))
{ /* Llib/fs.scm 209 */
BgL_index1232z00_394 = ((long)-1); }  else 
{ /* Llib/fs.scm 209 */
 obj_t BgL_vz00_1119;
BgL_vz00_1119 = 
VECTOR_REF(BgL_opt1225z00_65,BgL_iz00_1115); 
if(
(BgL_vz00_1119==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 209 */
BgL_index1232z00_394 = 
(BgL_iz00_1115+((long)1)); }  else 
{ 
 long BgL_iz00_2318;
BgL_iz00_2318 = 
(BgL_iz00_1115+((long)2)); 
BgL_iz00_1115 = BgL_iz00_2318; 
goto BgL_search1228z00_1114;} } } 
if(
(BgL_index1232z00_394>=((long)0)))
{ /* Llib/fs.scm 209 */
BgL_loopz00_391 = 
VECTOR_REF(BgL_opt1225z00_65,BgL_index1232z00_394); }  else 
{ /* Llib/fs.scm 209 */BFALSE; } } 
{ /* Llib/fs.scm 209 */
 obj_t BgL_arg1747z00_396; obj_t BgL_arg1754z00_397;
BgL_arg1747z00_396 = 
VECTOR_REF(BgL_opt1225z00_65,((long)0)); 
BgL_arg1754z00_397 = 
VECTOR_REF(BgL_opt1225z00_65,((long)1)); 
{ /* Llib/fs.scm 209 */
 obj_t BgL_callbackz00_398;
BgL_callbackz00_398 = BgL_callbackz00_390; 
{ /* Llib/fs.scm 209 */
 obj_t BgL_loopz00_399;
BgL_loopz00_399 = BgL_loopz00_391; 
return 
BINT(
bgl_uv_fs_symlink(
BSTRING_TO_STRING(
((obj_t)BgL_arg1747z00_396)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1754z00_397)), BgL_callbackz00_398, 
((BgL_uvloopz00_bglt)BgL_loopz00_399)));} } } } } } } } 

}



/* uv-fs-symlink */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t BgL_oldz00_61, obj_t BgL_newz00_62, obj_t BgL_callbackz00_63, obj_t BgL_loopz00_64)
{
{ /* Llib/fs.scm 209 */
return 
bgl_uv_fs_symlink(
BSTRING_TO_STRING(BgL_oldz00_61), 
BSTRING_TO_STRING(BgL_newz00_62), BgL_callbackz00_63, 
((BgL_uvloopz00_bglt)BgL_loopz00_64));} 

}



/* _uv-fs-readlink */
obj_t BGl__uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t BgL_env1236z00_71, obj_t BgL_opt1235z00_70)
{
{ /* Llib/fs.scm 215 */
{ /* Llib/fs.scm 215 */
 obj_t BgL_g1243z00_407;
BgL_g1243z00_407 = 
VECTOR_REF(BgL_opt1235z00_70,((long)0)); 
{ /* Llib/fs.scm 215 */
 obj_t BgL_callbackz00_408;
BgL_callbackz00_408 = BFALSE; 
{ /* Llib/fs.scm 215 */
 obj_t BgL_loopz00_409;
BgL_loopz00_409 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 215 */

{ /* Llib/fs.scm 215 */
 long BgL_index1241z00_410;
{ 
 long BgL_iz00_1132;
BgL_iz00_1132 = ((long)1); 
BgL_search1238z00_1131:
if(
(BgL_iz00_1132==
VECTOR_LENGTH(BgL_opt1235z00_70)))
{ /* Llib/fs.scm 215 */
BgL_index1241z00_410 = ((long)-1); }  else 
{ /* Llib/fs.scm 215 */
 obj_t BgL_vz00_1136;
BgL_vz00_1136 = 
VECTOR_REF(BgL_opt1235z00_70,BgL_iz00_1132); 
if(
(BgL_vz00_1136==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 215 */
BgL_index1241z00_410 = 
(BgL_iz00_1132+((long)1)); }  else 
{ 
 long BgL_iz00_2347;
BgL_iz00_2347 = 
(BgL_iz00_1132+((long)2)); 
BgL_iz00_1132 = BgL_iz00_2347; 
goto BgL_search1238z00_1131;} } } 
if(
(BgL_index1241z00_410>=((long)0)))
{ /* Llib/fs.scm 215 */
BgL_callbackz00_408 = 
VECTOR_REF(BgL_opt1235z00_70,BgL_index1241z00_410); }  else 
{ /* Llib/fs.scm 215 */BFALSE; } } 
{ /* Llib/fs.scm 215 */
 long BgL_index1242z00_412;
{ 
 long BgL_iz00_1142;
BgL_iz00_1142 = ((long)1); 
BgL_search1238z00_1141:
if(
(BgL_iz00_1142==
VECTOR_LENGTH(BgL_opt1235z00_70)))
{ /* Llib/fs.scm 215 */
BgL_index1242z00_412 = ((long)-1); }  else 
{ /* Llib/fs.scm 215 */
 obj_t BgL_vz00_1146;
BgL_vz00_1146 = 
VECTOR_REF(BgL_opt1235z00_70,BgL_iz00_1142); 
if(
(BgL_vz00_1146==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 215 */
BgL_index1242z00_412 = 
(BgL_iz00_1142+((long)1)); }  else 
{ 
 long BgL_iz00_2360;
BgL_iz00_2360 = 
(BgL_iz00_1142+((long)2)); 
BgL_iz00_1142 = BgL_iz00_2360; 
goto BgL_search1238z00_1141;} } } 
if(
(BgL_index1242z00_412>=((long)0)))
{ /* Llib/fs.scm 215 */
BgL_loopz00_409 = 
VECTOR_REF(BgL_opt1235z00_70,BgL_index1242z00_412); }  else 
{ /* Llib/fs.scm 215 */BFALSE; } } 
{ /* Llib/fs.scm 215 */
 obj_t BgL_arg1762z00_414;
BgL_arg1762z00_414 = 
VECTOR_REF(BgL_opt1235z00_70,((long)0)); 
{ /* Llib/fs.scm 215 */
 obj_t BgL_callbackz00_415;
BgL_callbackz00_415 = BgL_callbackz00_408; 
{ /* Llib/fs.scm 215 */
 obj_t BgL_loopz00_416;
BgL_loopz00_416 = BgL_loopz00_409; 
return 
bgl_uv_fs_readlink(
BSTRING_TO_STRING(
((obj_t)BgL_arg1762z00_414)), BgL_callbackz00_415, 
((BgL_uvloopz00_bglt)BgL_loopz00_416));} } } } } } } } 

}



/* uv-fs-readlink */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t BgL_pathz00_67, obj_t BgL_callbackz00_68, obj_t BgL_loopz00_69)
{
{ /* Llib/fs.scm 215 */
return 
bgl_uv_fs_readlink(
BSTRING_TO_STRING(BgL_pathz00_67), BgL_callbackz00_68, 
((BgL_uvloopz00_bglt)BgL_loopz00_69));} 

}



/* _uv-fs-unlink */
obj_t BGl__uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t BgL_env1245z00_76, obj_t BgL_opt1244z00_75)
{
{ /* Llib/fs.scm 221 */
{ /* Llib/fs.scm 221 */
 obj_t BgL_g1252z00_424;
BgL_g1252z00_424 = 
VECTOR_REF(BgL_opt1244z00_75,((long)0)); 
{ /* Llib/fs.scm 221 */
 obj_t BgL_callbackz00_425;
BgL_callbackz00_425 = BFALSE; 
{ /* Llib/fs.scm 221 */
 obj_t BgL_loopz00_426;
BgL_loopz00_426 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 221 */

{ /* Llib/fs.scm 221 */
 long BgL_index1250z00_427;
{ 
 long BgL_iz00_1158;
BgL_iz00_1158 = ((long)1); 
BgL_search1247z00_1157:
if(
(BgL_iz00_1158==
VECTOR_LENGTH(BgL_opt1244z00_75)))
{ /* Llib/fs.scm 221 */
BgL_index1250z00_427 = ((long)-1); }  else 
{ /* Llib/fs.scm 221 */
 obj_t BgL_vz00_1162;
BgL_vz00_1162 = 
VECTOR_REF(BgL_opt1244z00_75,BgL_iz00_1158); 
if(
(BgL_vz00_1162==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 221 */
BgL_index1250z00_427 = 
(BgL_iz00_1158+((long)1)); }  else 
{ 
 long BgL_iz00_2384;
BgL_iz00_2384 = 
(BgL_iz00_1158+((long)2)); 
BgL_iz00_1158 = BgL_iz00_2384; 
goto BgL_search1247z00_1157;} } } 
if(
(BgL_index1250z00_427>=((long)0)))
{ /* Llib/fs.scm 221 */
BgL_callbackz00_425 = 
VECTOR_REF(BgL_opt1244z00_75,BgL_index1250z00_427); }  else 
{ /* Llib/fs.scm 221 */BFALSE; } } 
{ /* Llib/fs.scm 221 */
 long BgL_index1251z00_429;
{ 
 long BgL_iz00_1168;
BgL_iz00_1168 = ((long)1); 
BgL_search1247z00_1167:
if(
(BgL_iz00_1168==
VECTOR_LENGTH(BgL_opt1244z00_75)))
{ /* Llib/fs.scm 221 */
BgL_index1251z00_429 = ((long)-1); }  else 
{ /* Llib/fs.scm 221 */
 obj_t BgL_vz00_1172;
BgL_vz00_1172 = 
VECTOR_REF(BgL_opt1244z00_75,BgL_iz00_1168); 
if(
(BgL_vz00_1172==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 221 */
BgL_index1251z00_429 = 
(BgL_iz00_1168+((long)1)); }  else 
{ 
 long BgL_iz00_2397;
BgL_iz00_2397 = 
(BgL_iz00_1168+((long)2)); 
BgL_iz00_1168 = BgL_iz00_2397; 
goto BgL_search1247z00_1167;} } } 
if(
(BgL_index1251z00_429>=((long)0)))
{ /* Llib/fs.scm 221 */
BgL_loopz00_426 = 
VECTOR_REF(BgL_opt1244z00_75,BgL_index1251z00_429); }  else 
{ /* Llib/fs.scm 221 */BFALSE; } } 
{ /* Llib/fs.scm 221 */
 obj_t BgL_arg1769z00_431;
BgL_arg1769z00_431 = 
VECTOR_REF(BgL_opt1244z00_75,((long)0)); 
{ /* Llib/fs.scm 221 */
 obj_t BgL_callbackz00_432;
BgL_callbackz00_432 = BgL_callbackz00_425; 
{ /* Llib/fs.scm 221 */
 obj_t BgL_loopz00_433;
BgL_loopz00_433 = BgL_loopz00_426; 
return 
BINT(
bgl_uv_fs_unlink(
BSTRING_TO_STRING(
((obj_t)BgL_arg1769z00_431)), BgL_callbackz00_432, 
((BgL_uvloopz00_bglt)BgL_loopz00_433)));} } } } } } } } 

}



/* uv-fs-unlink */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t BgL_pathz00_72, obj_t BgL_callbackz00_73, obj_t BgL_loopz00_74)
{
{ /* Llib/fs.scm 221 */
return 
BINT(
bgl_uv_fs_unlink(
BSTRING_TO_STRING(BgL_pathz00_72), BgL_callbackz00_73, 
((BgL_uvloopz00_bglt)BgL_loopz00_74)));} 

}



/* _uv-fs-rmdir */
obj_t BGl__uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t BgL_env1254z00_81, obj_t BgL_opt1253z00_80)
{
{ /* Llib/fs.scm 227 */
{ /* Llib/fs.scm 227 */
 obj_t BgL_g1261z00_441;
BgL_g1261z00_441 = 
VECTOR_REF(BgL_opt1253z00_80,((long)0)); 
{ /* Llib/fs.scm 227 */
 obj_t BgL_callbackz00_442;
BgL_callbackz00_442 = BFALSE; 
{ /* Llib/fs.scm 227 */
 obj_t BgL_loopz00_443;
BgL_loopz00_443 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 227 */

{ /* Llib/fs.scm 227 */
 long BgL_index1259z00_444;
{ 
 long BgL_iz00_1184;
BgL_iz00_1184 = ((long)1); 
BgL_search1256z00_1183:
if(
(BgL_iz00_1184==
VECTOR_LENGTH(BgL_opt1253z00_80)))
{ /* Llib/fs.scm 227 */
BgL_index1259z00_444 = ((long)-1); }  else 
{ /* Llib/fs.scm 227 */
 obj_t BgL_vz00_1188;
BgL_vz00_1188 = 
VECTOR_REF(BgL_opt1253z00_80,BgL_iz00_1184); 
if(
(BgL_vz00_1188==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 227 */
BgL_index1259z00_444 = 
(BgL_iz00_1184+((long)1)); }  else 
{ 
 long BgL_iz00_2423;
BgL_iz00_2423 = 
(BgL_iz00_1184+((long)2)); 
BgL_iz00_1184 = BgL_iz00_2423; 
goto BgL_search1256z00_1183;} } } 
if(
(BgL_index1259z00_444>=((long)0)))
{ /* Llib/fs.scm 227 */
BgL_callbackz00_442 = 
VECTOR_REF(BgL_opt1253z00_80,BgL_index1259z00_444); }  else 
{ /* Llib/fs.scm 227 */BFALSE; } } 
{ /* Llib/fs.scm 227 */
 long BgL_index1260z00_446;
{ 
 long BgL_iz00_1194;
BgL_iz00_1194 = ((long)1); 
BgL_search1256z00_1193:
if(
(BgL_iz00_1194==
VECTOR_LENGTH(BgL_opt1253z00_80)))
{ /* Llib/fs.scm 227 */
BgL_index1260z00_446 = ((long)-1); }  else 
{ /* Llib/fs.scm 227 */
 obj_t BgL_vz00_1198;
BgL_vz00_1198 = 
VECTOR_REF(BgL_opt1253z00_80,BgL_iz00_1194); 
if(
(BgL_vz00_1198==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 227 */
BgL_index1260z00_446 = 
(BgL_iz00_1194+((long)1)); }  else 
{ 
 long BgL_iz00_2436;
BgL_iz00_2436 = 
(BgL_iz00_1194+((long)2)); 
BgL_iz00_1194 = BgL_iz00_2436; 
goto BgL_search1256z00_1193;} } } 
if(
(BgL_index1260z00_446>=((long)0)))
{ /* Llib/fs.scm 227 */
BgL_loopz00_443 = 
VECTOR_REF(BgL_opt1253z00_80,BgL_index1260z00_446); }  else 
{ /* Llib/fs.scm 227 */BFALSE; } } 
{ /* Llib/fs.scm 227 */
 obj_t BgL_arg1792z00_448;
BgL_arg1792z00_448 = 
VECTOR_REF(BgL_opt1253z00_80,((long)0)); 
{ /* Llib/fs.scm 227 */
 obj_t BgL_callbackz00_449;
BgL_callbackz00_449 = BgL_callbackz00_442; 
{ /* Llib/fs.scm 227 */
 obj_t BgL_loopz00_450;
BgL_loopz00_450 = BgL_loopz00_443; 
return 
BINT(
bgl_uv_fs_rmdir(
BSTRING_TO_STRING(
((obj_t)BgL_arg1792z00_448)), BgL_callbackz00_449, 
((BgL_uvloopz00_bglt)BgL_loopz00_450)));} } } } } } } } 

}



/* uv-fs-rmdir */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t BgL_pathz00_77, obj_t BgL_callbackz00_78, obj_t BgL_loopz00_79)
{
{ /* Llib/fs.scm 227 */
return 
BINT(
bgl_uv_fs_rmdir(
BSTRING_TO_STRING(BgL_pathz00_77), BgL_callbackz00_78, 
((BgL_uvloopz00_bglt)BgL_loopz00_79)));} 

}



/* _uv-fs-mkdir */
obj_t BGl__uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t BgL_env1263z00_87, obj_t BgL_opt1262z00_86)
{
{ /* Llib/fs.scm 233 */
{ /* Llib/fs.scm 233 */
 obj_t BgL_g1270z00_458; obj_t BgL_g1271z00_459;
BgL_g1270z00_458 = 
VECTOR_REF(BgL_opt1262z00_86,((long)0)); 
BgL_g1271z00_459 = 
VECTOR_REF(BgL_opt1262z00_86,((long)1)); 
{ /* Llib/fs.scm 233 */
 obj_t BgL_callbackz00_460;
BgL_callbackz00_460 = BFALSE; 
{ /* Llib/fs.scm 233 */
 obj_t BgL_loopz00_461;
BgL_loopz00_461 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 233 */

{ /* Llib/fs.scm 233 */
 long BgL_index1268z00_462;
{ 
 long BgL_iz00_1210;
BgL_iz00_1210 = ((long)2); 
BgL_search1265z00_1209:
if(
(BgL_iz00_1210==
VECTOR_LENGTH(BgL_opt1262z00_86)))
{ /* Llib/fs.scm 233 */
BgL_index1268z00_462 = ((long)-1); }  else 
{ /* Llib/fs.scm 233 */
 obj_t BgL_vz00_1214;
BgL_vz00_1214 = 
VECTOR_REF(BgL_opt1262z00_86,BgL_iz00_1210); 
if(
(BgL_vz00_1214==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 233 */
BgL_index1268z00_462 = 
(BgL_iz00_1210+((long)1)); }  else 
{ 
 long BgL_iz00_2463;
BgL_iz00_2463 = 
(BgL_iz00_1210+((long)2)); 
BgL_iz00_1210 = BgL_iz00_2463; 
goto BgL_search1265z00_1209;} } } 
if(
(BgL_index1268z00_462>=((long)0)))
{ /* Llib/fs.scm 233 */
BgL_callbackz00_460 = 
VECTOR_REF(BgL_opt1262z00_86,BgL_index1268z00_462); }  else 
{ /* Llib/fs.scm 233 */BFALSE; } } 
{ /* Llib/fs.scm 233 */
 long BgL_index1269z00_464;
{ 
 long BgL_iz00_1220;
BgL_iz00_1220 = ((long)2); 
BgL_search1265z00_1219:
if(
(BgL_iz00_1220==
VECTOR_LENGTH(BgL_opt1262z00_86)))
{ /* Llib/fs.scm 233 */
BgL_index1269z00_464 = ((long)-1); }  else 
{ /* Llib/fs.scm 233 */
 obj_t BgL_vz00_1224;
BgL_vz00_1224 = 
VECTOR_REF(BgL_opt1262z00_86,BgL_iz00_1220); 
if(
(BgL_vz00_1224==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 233 */
BgL_index1269z00_464 = 
(BgL_iz00_1220+((long)1)); }  else 
{ 
 long BgL_iz00_2476;
BgL_iz00_2476 = 
(BgL_iz00_1220+((long)2)); 
BgL_iz00_1220 = BgL_iz00_2476; 
goto BgL_search1265z00_1219;} } } 
if(
(BgL_index1269z00_464>=((long)0)))
{ /* Llib/fs.scm 233 */
BgL_loopz00_461 = 
VECTOR_REF(BgL_opt1262z00_86,BgL_index1269z00_464); }  else 
{ /* Llib/fs.scm 233 */BFALSE; } } 
{ /* Llib/fs.scm 233 */
 obj_t BgL_arg1805z00_466; obj_t BgL_arg1807z00_467;
BgL_arg1805z00_466 = 
VECTOR_REF(BgL_opt1262z00_86,((long)0)); 
BgL_arg1807z00_467 = 
VECTOR_REF(BgL_opt1262z00_86,((long)1)); 
{ /* Llib/fs.scm 233 */
 obj_t BgL_callbackz00_468;
BgL_callbackz00_468 = BgL_callbackz00_460; 
{ /* Llib/fs.scm 233 */
 obj_t BgL_loopz00_469;
BgL_loopz00_469 = BgL_loopz00_461; 
{ /* Llib/fs.scm 233 */
 int BgL_modz00_1230;
BgL_modz00_1230 = 
CINT(BgL_arg1807z00_467); 
return 
BINT(
bgl_uv_fs_mkdir(
BSTRING_TO_STRING(
((obj_t)BgL_arg1805z00_466)), BgL_modz00_1230, BgL_callbackz00_468, 
((BgL_uvloopz00_bglt)BgL_loopz00_469)));} } } } } } } } } 

}



/* uv-fs-mkdir */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t BgL_pathz00_82, int BgL_modz00_83, obj_t BgL_callbackz00_84, obj_t BgL_loopz00_85)
{
{ /* Llib/fs.scm 233 */
return 
BINT(
bgl_uv_fs_mkdir(
BSTRING_TO_STRING(BgL_pathz00_82), BgL_modz00_83, BgL_callbackz00_84, 
((BgL_uvloopz00_bglt)BgL_loopz00_85)));} 

}



/* _uv-fs-fsync */
obj_t BGl__uvzd2fszd2fsyncz00zz__libuv_fsz00(obj_t BgL_env1273z00_92, obj_t BgL_opt1272z00_91)
{
{ /* Llib/fs.scm 239 */
{ /* Llib/fs.scm 239 */
 obj_t BgL_g1281z00_477;
BgL_g1281z00_477 = 
VECTOR_REF(BgL_opt1272z00_91,((long)0)); 
{ /* Llib/fs.scm 239 */
 obj_t BgL_callbackz00_478;
BgL_callbackz00_478 = BFALSE; 
{ /* Llib/fs.scm 239 */
 obj_t BgL_loopz00_479;
BgL_loopz00_479 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 239 */

{ /* Llib/fs.scm 239 */
 long BgL_index1278z00_480;
{ 
 long BgL_iz00_1237;
BgL_iz00_1237 = ((long)1); 
BgL_search1275z00_1236:
if(
(BgL_iz00_1237==
VECTOR_LENGTH(BgL_opt1272z00_91)))
{ /* Llib/fs.scm 239 */
BgL_index1278z00_480 = ((long)-1); }  else 
{ /* Llib/fs.scm 239 */
 obj_t BgL_vz00_1241;
BgL_vz00_1241 = 
VECTOR_REF(BgL_opt1272z00_91,BgL_iz00_1237); 
if(
(BgL_vz00_1241==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 239 */
BgL_index1278z00_480 = 
(BgL_iz00_1237+((long)1)); }  else 
{ 
 long BgL_iz00_2504;
BgL_iz00_2504 = 
(BgL_iz00_1237+((long)2)); 
BgL_iz00_1237 = BgL_iz00_2504; 
goto BgL_search1275z00_1236;} } } 
if(
(BgL_index1278z00_480>=((long)0)))
{ /* Llib/fs.scm 239 */
BgL_callbackz00_478 = 
VECTOR_REF(BgL_opt1272z00_91,BgL_index1278z00_480); }  else 
{ /* Llib/fs.scm 239 */BFALSE; } } 
{ /* Llib/fs.scm 239 */
 long BgL_index1279z00_482;
{ 
 long BgL_iz00_1247;
BgL_iz00_1247 = ((long)1); 
BgL_search1275z00_1246:
if(
(BgL_iz00_1247==
VECTOR_LENGTH(BgL_opt1272z00_91)))
{ /* Llib/fs.scm 239 */
BgL_index1279z00_482 = ((long)-1); }  else 
{ /* Llib/fs.scm 239 */
 obj_t BgL_vz00_1251;
BgL_vz00_1251 = 
VECTOR_REF(BgL_opt1272z00_91,BgL_iz00_1247); 
if(
(BgL_vz00_1251==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 239 */
BgL_index1279z00_482 = 
(BgL_iz00_1247+((long)1)); }  else 
{ 
 long BgL_iz00_2517;
BgL_iz00_2517 = 
(BgL_iz00_1247+((long)2)); 
BgL_iz00_1247 = BgL_iz00_2517; 
goto BgL_search1275z00_1246;} } } 
if(
(BgL_index1279z00_482>=((long)0)))
{ /* Llib/fs.scm 239 */
BgL_loopz00_479 = 
VECTOR_REF(BgL_opt1272z00_91,BgL_index1279z00_482); }  else 
{ /* Llib/fs.scm 239 */BFALSE; } } 
{ /* Llib/fs.scm 239 */
 obj_t BgL_arg1817z00_484;
BgL_arg1817z00_484 = 
VECTOR_REF(BgL_opt1272z00_91,((long)0)); 
{ /* Llib/fs.scm 239 */
 obj_t BgL_callbackz00_485;
BgL_callbackz00_485 = BgL_callbackz00_478; 
{ /* Llib/fs.scm 239 */
 obj_t BgL_loopz00_486;
BgL_loopz00_486 = BgL_loopz00_479; 
return 
BINT(
bgl_uv_fs_fsync(
((BgL_uvfilez00_bglt)BgL_arg1817z00_484), BgL_callbackz00_485, 
((BgL_uvloopz00_bglt)BgL_loopz00_486)));} } } } } } } } 

}



/* uv-fs-fsync */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2fsyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_88, obj_t BgL_callbackz00_89, obj_t BgL_loopz00_90)
{
{ /* Llib/fs.scm 239 */
return 
BINT(
bgl_uv_fs_fsync(BgL_fdz00_88, BgL_callbackz00_89, 
((BgL_uvloopz00_bglt)BgL_loopz00_90)));} 

}



/* _uv-fs-fdatasync */
obj_t BGl__uvzd2fszd2fdatasyncz00zz__libuv_fsz00(obj_t BgL_env1283z00_97, obj_t BgL_opt1282z00_96)
{
{ /* Llib/fs.scm 245 */
{ /* Llib/fs.scm 245 */
 obj_t BgL_g1290z00_494;
BgL_g1290z00_494 = 
VECTOR_REF(BgL_opt1282z00_96,((long)0)); 
{ /* Llib/fs.scm 245 */
 obj_t BgL_callbackz00_495;
BgL_callbackz00_495 = BFALSE; 
{ /* Llib/fs.scm 245 */
 obj_t BgL_loopz00_496;
BgL_loopz00_496 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 245 */

{ /* Llib/fs.scm 245 */
 long BgL_index1288z00_497;
{ 
 long BgL_iz00_1263;
BgL_iz00_1263 = ((long)1); 
BgL_search1285z00_1262:
if(
(BgL_iz00_1263==
VECTOR_LENGTH(BgL_opt1282z00_96)))
{ /* Llib/fs.scm 245 */
BgL_index1288z00_497 = ((long)-1); }  else 
{ /* Llib/fs.scm 245 */
 obj_t BgL_vz00_1267;
BgL_vz00_1267 = 
VECTOR_REF(BgL_opt1282z00_96,BgL_iz00_1263); 
if(
(BgL_vz00_1267==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 245 */
BgL_index1288z00_497 = 
(BgL_iz00_1263+((long)1)); }  else 
{ 
 long BgL_iz00_2541;
BgL_iz00_2541 = 
(BgL_iz00_1263+((long)2)); 
BgL_iz00_1263 = BgL_iz00_2541; 
goto BgL_search1285z00_1262;} } } 
if(
(BgL_index1288z00_497>=((long)0)))
{ /* Llib/fs.scm 245 */
BgL_callbackz00_495 = 
VECTOR_REF(BgL_opt1282z00_96,BgL_index1288z00_497); }  else 
{ /* Llib/fs.scm 245 */BFALSE; } } 
{ /* Llib/fs.scm 245 */
 long BgL_index1289z00_499;
{ 
 long BgL_iz00_1273;
BgL_iz00_1273 = ((long)1); 
BgL_search1285z00_1272:
if(
(BgL_iz00_1273==
VECTOR_LENGTH(BgL_opt1282z00_96)))
{ /* Llib/fs.scm 245 */
BgL_index1289z00_499 = ((long)-1); }  else 
{ /* Llib/fs.scm 245 */
 obj_t BgL_vz00_1277;
BgL_vz00_1277 = 
VECTOR_REF(BgL_opt1282z00_96,BgL_iz00_1273); 
if(
(BgL_vz00_1277==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 245 */
BgL_index1289z00_499 = 
(BgL_iz00_1273+((long)1)); }  else 
{ 
 long BgL_iz00_2554;
BgL_iz00_2554 = 
(BgL_iz00_1273+((long)2)); 
BgL_iz00_1273 = BgL_iz00_2554; 
goto BgL_search1285z00_1272;} } } 
if(
(BgL_index1289z00_499>=((long)0)))
{ /* Llib/fs.scm 245 */
BgL_loopz00_496 = 
VECTOR_REF(BgL_opt1282z00_96,BgL_index1289z00_499); }  else 
{ /* Llib/fs.scm 245 */BFALSE; } } 
{ /* Llib/fs.scm 245 */
 obj_t BgL_arg1822z00_501;
BgL_arg1822z00_501 = 
VECTOR_REF(BgL_opt1282z00_96,((long)0)); 
{ /* Llib/fs.scm 245 */
 obj_t BgL_callbackz00_502;
BgL_callbackz00_502 = BgL_callbackz00_495; 
{ /* Llib/fs.scm 245 */
 obj_t BgL_loopz00_503;
BgL_loopz00_503 = BgL_loopz00_496; 
return 
BINT(
bgl_uv_fs_fdatasync(
((BgL_uvfilez00_bglt)BgL_arg1822z00_501), BgL_callbackz00_502, 
((BgL_uvloopz00_bglt)BgL_loopz00_503)));} } } } } } } } 

}



/* uv-fs-fdatasync */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2fdatasyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_93, obj_t BgL_callbackz00_94, obj_t BgL_loopz00_95)
{
{ /* Llib/fs.scm 245 */
return 
BINT(
bgl_uv_fs_fdatasync(BgL_fdz00_93, BgL_callbackz00_94, 
((BgL_uvloopz00_bglt)BgL_loopz00_95)));} 

}



/* _uv-fs-futime */
obj_t BGl__uvzd2fszd2futimez00zz__libuv_fsz00(obj_t BgL_env1292z00_104, obj_t BgL_opt1291z00_103)
{
{ /* Llib/fs.scm 251 */
{ /* Llib/fs.scm 251 */
 obj_t BgL_g1299z00_511; obj_t BgL_g1300z00_512; obj_t BgL_g1301z00_513;
BgL_g1299z00_511 = 
VECTOR_REF(BgL_opt1291z00_103,((long)0)); 
BgL_g1300z00_512 = 
VECTOR_REF(BgL_opt1291z00_103,((long)1)); 
BgL_g1301z00_513 = 
VECTOR_REF(BgL_opt1291z00_103,((long)2)); 
{ /* Llib/fs.scm 251 */
 obj_t BgL_callbackz00_514;
BgL_callbackz00_514 = BFALSE; 
{ /* Llib/fs.scm 252 */
 obj_t BgL_loopz00_515;
BgL_loopz00_515 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 251 */

{ /* Llib/fs.scm 251 */
 long BgL_index1297z00_516;
{ 
 long BgL_iz00_1289;
BgL_iz00_1289 = ((long)3); 
BgL_search1294z00_1288:
if(
(BgL_iz00_1289==
VECTOR_LENGTH(BgL_opt1291z00_103)))
{ /* Llib/fs.scm 251 */
BgL_index1297z00_516 = ((long)-1); }  else 
{ /* Llib/fs.scm 251 */
 obj_t BgL_vz00_1293;
BgL_vz00_1293 = 
VECTOR_REF(BgL_opt1291z00_103,BgL_iz00_1289); 
if(
(BgL_vz00_1293==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 251 */
BgL_index1297z00_516 = 
(BgL_iz00_1289+((long)1)); }  else 
{ 
 long BgL_iz00_2580;
BgL_iz00_2580 = 
(BgL_iz00_1289+((long)2)); 
BgL_iz00_1289 = BgL_iz00_2580; 
goto BgL_search1294z00_1288;} } } 
if(
(BgL_index1297z00_516>=((long)0)))
{ /* Llib/fs.scm 251 */
BgL_callbackz00_514 = 
VECTOR_REF(BgL_opt1291z00_103,BgL_index1297z00_516); }  else 
{ /* Llib/fs.scm 251 */BFALSE; } } 
{ /* Llib/fs.scm 251 */
 long BgL_index1298z00_518;
{ 
 long BgL_iz00_1299;
BgL_iz00_1299 = ((long)3); 
BgL_search1294z00_1298:
if(
(BgL_iz00_1299==
VECTOR_LENGTH(BgL_opt1291z00_103)))
{ /* Llib/fs.scm 251 */
BgL_index1298z00_518 = ((long)-1); }  else 
{ /* Llib/fs.scm 251 */
 obj_t BgL_vz00_1303;
BgL_vz00_1303 = 
VECTOR_REF(BgL_opt1291z00_103,BgL_iz00_1299); 
if(
(BgL_vz00_1303==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 251 */
BgL_index1298z00_518 = 
(BgL_iz00_1299+((long)1)); }  else 
{ 
 long BgL_iz00_2593;
BgL_iz00_2593 = 
(BgL_iz00_1299+((long)2)); 
BgL_iz00_1299 = BgL_iz00_2593; 
goto BgL_search1294z00_1298;} } } 
if(
(BgL_index1298z00_518>=((long)0)))
{ /* Llib/fs.scm 251 */
BgL_loopz00_515 = 
VECTOR_REF(BgL_opt1291z00_103,BgL_index1298z00_518); }  else 
{ /* Llib/fs.scm 251 */BFALSE; } } 
{ /* Llib/fs.scm 251 */
 obj_t BgL_arg1827z00_520; obj_t BgL_arg1828z00_521; obj_t BgL_arg1829z00_522;
BgL_arg1827z00_520 = 
VECTOR_REF(BgL_opt1291z00_103,((long)0)); 
BgL_arg1828z00_521 = 
VECTOR_REF(BgL_opt1291z00_103,((long)1)); 
BgL_arg1829z00_522 = 
VECTOR_REF(BgL_opt1291z00_103,((long)2)); 
{ /* Llib/fs.scm 251 */
 obj_t BgL_callbackz00_523;
BgL_callbackz00_523 = BgL_callbackz00_514; 
{ /* Llib/fs.scm 251 */
 obj_t BgL_loopz00_524;
BgL_loopz00_524 = BgL_loopz00_515; 
{ /* Llib/fs.scm 251 */
 double BgL_atimez00_1309; double BgL_mtimez00_1310;
BgL_atimez00_1309 = 
REAL_TO_DOUBLE(BgL_arg1828z00_521); 
BgL_mtimez00_1310 = 
REAL_TO_DOUBLE(BgL_arg1829z00_522); 
return 
BINT(
bgl_uv_fs_futime(
((BgL_uvfilez00_bglt)BgL_arg1827z00_520), BgL_atimez00_1309, BgL_mtimez00_1310, BgL_callbackz00_523, 
((BgL_uvloopz00_bglt)BgL_loopz00_524)));} } } } } } } } } 

}



/* uv-fs-futime */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2futimez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_98, double BgL_atimez00_99, double BgL_mtimez00_100, obj_t BgL_callbackz00_101, obj_t BgL_loopz00_102)
{
{ /* Llib/fs.scm 251 */
return 
BINT(
bgl_uv_fs_futime(BgL_fdz00_98, BgL_atimez00_99, BgL_mtimez00_100, BgL_callbackz00_101, 
((BgL_uvloopz00_bglt)BgL_loopz00_102)));} 

}



/* _uv-fs-utime */
obj_t BGl__uvzd2fszd2utimez00zz__libuv_fsz00(obj_t BgL_env1303z00_111, obj_t BgL_opt1302z00_110)
{
{ /* Llib/fs.scm 258 */
{ /* Llib/fs.scm 258 */
 obj_t BgL_g1310z00_532; obj_t BgL_g1311z00_533; obj_t BgL_g1312z00_534;
BgL_g1310z00_532 = 
VECTOR_REF(BgL_opt1302z00_110,((long)0)); 
BgL_g1311z00_533 = 
VECTOR_REF(BgL_opt1302z00_110,((long)1)); 
BgL_g1312z00_534 = 
VECTOR_REF(BgL_opt1302z00_110,((long)2)); 
{ /* Llib/fs.scm 258 */
 obj_t BgL_callbackz00_535;
BgL_callbackz00_535 = BFALSE; 
{ /* Llib/fs.scm 259 */
 obj_t BgL_loopz00_536;
BgL_loopz00_536 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 258 */

{ /* Llib/fs.scm 258 */
 long BgL_index1308z00_537;
{ 
 long BgL_iz00_1317;
BgL_iz00_1317 = ((long)3); 
BgL_search1305z00_1316:
if(
(BgL_iz00_1317==
VECTOR_LENGTH(BgL_opt1302z00_110)))
{ /* Llib/fs.scm 258 */
BgL_index1308z00_537 = ((long)-1); }  else 
{ /* Llib/fs.scm 258 */
 obj_t BgL_vz00_1321;
BgL_vz00_1321 = 
VECTOR_REF(BgL_opt1302z00_110,BgL_iz00_1317); 
if(
(BgL_vz00_1321==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 258 */
BgL_index1308z00_537 = 
(BgL_iz00_1317+((long)1)); }  else 
{ 
 long BgL_iz00_2623;
BgL_iz00_2623 = 
(BgL_iz00_1317+((long)2)); 
BgL_iz00_1317 = BgL_iz00_2623; 
goto BgL_search1305z00_1316;} } } 
if(
(BgL_index1308z00_537>=((long)0)))
{ /* Llib/fs.scm 258 */
BgL_callbackz00_535 = 
VECTOR_REF(BgL_opt1302z00_110,BgL_index1308z00_537); }  else 
{ /* Llib/fs.scm 258 */BFALSE; } } 
{ /* Llib/fs.scm 258 */
 long BgL_index1309z00_539;
{ 
 long BgL_iz00_1327;
BgL_iz00_1327 = ((long)3); 
BgL_search1305z00_1326:
if(
(BgL_iz00_1327==
VECTOR_LENGTH(BgL_opt1302z00_110)))
{ /* Llib/fs.scm 258 */
BgL_index1309z00_539 = ((long)-1); }  else 
{ /* Llib/fs.scm 258 */
 obj_t BgL_vz00_1331;
BgL_vz00_1331 = 
VECTOR_REF(BgL_opt1302z00_110,BgL_iz00_1327); 
if(
(BgL_vz00_1331==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 258 */
BgL_index1309z00_539 = 
(BgL_iz00_1327+((long)1)); }  else 
{ 
 long BgL_iz00_2636;
BgL_iz00_2636 = 
(BgL_iz00_1327+((long)2)); 
BgL_iz00_1327 = BgL_iz00_2636; 
goto BgL_search1305z00_1326;} } } 
if(
(BgL_index1309z00_539>=((long)0)))
{ /* Llib/fs.scm 258 */
BgL_loopz00_536 = 
VECTOR_REF(BgL_opt1302z00_110,BgL_index1309z00_539); }  else 
{ /* Llib/fs.scm 258 */BFALSE; } } 
{ /* Llib/fs.scm 258 */
 obj_t BgL_arg1834z00_541; obj_t BgL_arg1835z00_542; obj_t BgL_arg1836z00_543;
BgL_arg1834z00_541 = 
VECTOR_REF(BgL_opt1302z00_110,((long)0)); 
BgL_arg1835z00_542 = 
VECTOR_REF(BgL_opt1302z00_110,((long)1)); 
BgL_arg1836z00_543 = 
VECTOR_REF(BgL_opt1302z00_110,((long)2)); 
{ /* Llib/fs.scm 258 */
 obj_t BgL_callbackz00_544;
BgL_callbackz00_544 = BgL_callbackz00_535; 
{ /* Llib/fs.scm 258 */
 obj_t BgL_loopz00_545;
BgL_loopz00_545 = BgL_loopz00_536; 
{ /* Llib/fs.scm 258 */
 double BgL_atimez00_1337; double BgL_mtimez00_1338;
BgL_atimez00_1337 = 
REAL_TO_DOUBLE(BgL_arg1835z00_542); 
BgL_mtimez00_1338 = 
REAL_TO_DOUBLE(BgL_arg1836z00_543); 
return 
BINT(
bgl_uv_fs_utime(
BSTRING_TO_STRING(
((obj_t)BgL_arg1834z00_541)), BgL_atimez00_1337, BgL_mtimez00_1338, BgL_callbackz00_544, 
((BgL_uvloopz00_bglt)BgL_loopz00_545)));} } } } } } } } } 

}



/* uv-fs-utime */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2utimez00zz__libuv_fsz00(obj_t BgL_pathz00_105, double BgL_atimez00_106, double BgL_mtimez00_107, obj_t BgL_callbackz00_108, obj_t BgL_loopz00_109)
{
{ /* Llib/fs.scm 258 */
return 
BINT(
bgl_uv_fs_utime(
BSTRING_TO_STRING(BgL_pathz00_105), BgL_atimez00_106, BgL_mtimez00_107, BgL_callbackz00_108, 
((BgL_uvloopz00_bglt)BgL_loopz00_109)));} 

}



/* _uv-fs-open */
obj_t BGl__uvzd2fszd2openz00zz__libuv_fsz00(obj_t BgL_env1314z00_118, obj_t BgL_opt1313z00_117)
{
{ /* Llib/fs.scm 265 */
{ /* Llib/fs.scm 265 */
 obj_t BgL_g1322z00_553; obj_t BgL_g1323z00_554;
BgL_g1322z00_553 = 
VECTOR_REF(BgL_opt1313z00_117,((long)0)); 
BgL_g1323z00_554 = 
VECTOR_REF(BgL_opt1313z00_117,((long)1)); 
{ /* Llib/fs.scm 265 */
 obj_t BgL_callbackz00_555;
BgL_callbackz00_555 = BFALSE; 
{ /* Llib/fs.scm 265 */
 obj_t BgL_loopz00_556;
BgL_loopz00_556 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 265 */
 obj_t BgL_modez00_557;
BgL_modez00_557 = 
BINT(((long)438)); 
{ /* Llib/fs.scm 265 */

{ /* Llib/fs.scm 265 */
 long BgL_index1319z00_558;
{ 
 long BgL_iz00_1345;
BgL_iz00_1345 = ((long)2); 
BgL_search1316z00_1344:
if(
(BgL_iz00_1345==
VECTOR_LENGTH(BgL_opt1313z00_117)))
{ /* Llib/fs.scm 265 */
BgL_index1319z00_558 = ((long)-1); }  else 
{ /* Llib/fs.scm 265 */
 obj_t BgL_vz00_1349;
BgL_vz00_1349 = 
VECTOR_REF(BgL_opt1313z00_117,BgL_iz00_1345); 
if(
(BgL_vz00_1349==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 265 */
BgL_index1319z00_558 = 
(BgL_iz00_1345+((long)1)); }  else 
{ 
 long BgL_iz00_2668;
BgL_iz00_2668 = 
(BgL_iz00_1345+((long)2)); 
BgL_iz00_1345 = BgL_iz00_2668; 
goto BgL_search1316z00_1344;} } } 
if(
(BgL_index1319z00_558>=((long)0)))
{ /* Llib/fs.scm 265 */
BgL_callbackz00_555 = 
VECTOR_REF(BgL_opt1313z00_117,BgL_index1319z00_558); }  else 
{ /* Llib/fs.scm 265 */BFALSE; } } 
{ /* Llib/fs.scm 265 */
 long BgL_index1320z00_560;
{ 
 long BgL_iz00_1355;
BgL_iz00_1355 = ((long)2); 
BgL_search1316z00_1354:
if(
(BgL_iz00_1355==
VECTOR_LENGTH(BgL_opt1313z00_117)))
{ /* Llib/fs.scm 265 */
BgL_index1320z00_560 = ((long)-1); }  else 
{ /* Llib/fs.scm 265 */
 obj_t BgL_vz00_1359;
BgL_vz00_1359 = 
VECTOR_REF(BgL_opt1313z00_117,BgL_iz00_1355); 
if(
(BgL_vz00_1359==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 265 */
BgL_index1320z00_560 = 
(BgL_iz00_1355+((long)1)); }  else 
{ 
 long BgL_iz00_2681;
BgL_iz00_2681 = 
(BgL_iz00_1355+((long)2)); 
BgL_iz00_1355 = BgL_iz00_2681; 
goto BgL_search1316z00_1354;} } } 
if(
(BgL_index1320z00_560>=((long)0)))
{ /* Llib/fs.scm 265 */
BgL_loopz00_556 = 
VECTOR_REF(BgL_opt1313z00_117,BgL_index1320z00_560); }  else 
{ /* Llib/fs.scm 265 */BFALSE; } } 
{ /* Llib/fs.scm 265 */
 long BgL_index1321z00_562;
{ 
 long BgL_iz00_1365;
BgL_iz00_1365 = ((long)2); 
BgL_search1316z00_1364:
if(
(BgL_iz00_1365==
VECTOR_LENGTH(BgL_opt1313z00_117)))
{ /* Llib/fs.scm 265 */
BgL_index1321z00_562 = ((long)-1); }  else 
{ /* Llib/fs.scm 265 */
 obj_t BgL_vz00_1369;
BgL_vz00_1369 = 
VECTOR_REF(BgL_opt1313z00_117,BgL_iz00_1365); 
if(
(BgL_vz00_1369==
CNST_TABLE_REF(((long)3))))
{ /* Llib/fs.scm 265 */
BgL_index1321z00_562 = 
(BgL_iz00_1365+((long)1)); }  else 
{ 
 long BgL_iz00_2694;
BgL_iz00_2694 = 
(BgL_iz00_1365+((long)2)); 
BgL_iz00_1365 = BgL_iz00_2694; 
goto BgL_search1316z00_1364;} } } 
if(
(BgL_index1321z00_562>=((long)0)))
{ /* Llib/fs.scm 265 */
BgL_modez00_557 = 
VECTOR_REF(BgL_opt1313z00_117,BgL_index1321z00_562); }  else 
{ /* Llib/fs.scm 265 */BFALSE; } } 
{ /* Llib/fs.scm 265 */
 obj_t BgL_arg1843z00_564; obj_t BgL_arg1844z00_565;
BgL_arg1843z00_564 = 
VECTOR_REF(BgL_opt1313z00_117,((long)0)); 
BgL_arg1844z00_565 = 
VECTOR_REF(BgL_opt1313z00_117,((long)1)); 
{ /* Llib/fs.scm 265 */
 obj_t BgL_callbackz00_566;
BgL_callbackz00_566 = BgL_callbackz00_555; 
{ /* Llib/fs.scm 265 */
 obj_t BgL_loopz00_567;
BgL_loopz00_567 = BgL_loopz00_556; 
return 
BGl_uvzd2fszd2openz00zz__libuv_fsz00(BgL_arg1843z00_564, BgL_arg1844z00_565, BgL_callbackz00_566, BgL_loopz00_567, BgL_modez00_557);} } } } } } } } } 

}



/* uv-fs-open */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2openz00zz__libuv_fsz00(obj_t BgL_pathz00_112, obj_t BgL_flagsz00_113, obj_t BgL_callbackz00_114, obj_t BgL_loopz00_115, obj_t BgL_modez00_116)
{
{ /* Llib/fs.scm 265 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_113))
{ /* Llib/fs.scm 267 */
return 
bgl_uv_fs_open(BgL_pathz00_112, 
CINT(BgL_flagsz00_113), 
CINT(BgL_modez00_116), BgL_callbackz00_114, 
((BgL_uvloopz00_bglt)BgL_loopz00_115));}  else 
{ /* Llib/fs.scm 267 */
if(
SYMBOLP(BgL_flagsz00_113))
{ /* Llib/fs.scm 270 */
 int BgL_arg1849z00_574;
BgL_arg1849z00_574 = 
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_113); 
return 
bgl_uv_fs_open(BgL_pathz00_112, BgL_arg1849z00_574, 
CINT(BgL_modez00_116), BgL_callbackz00_114, 
((BgL_uvloopz00_bglt)BgL_loopz00_115));}  else 
{ /* Llib/fs.scm 269 */
if(
STRINGP(BgL_flagsz00_113))
{ /* Llib/fs.scm 272 */
 int BgL_arg1851z00_576;
BgL_arg1851z00_576 = 
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(
bstring_to_symbol(BgL_flagsz00_113)); 
return 
bgl_uv_fs_open(BgL_pathz00_112, BgL_arg1851z00_576, 
CINT(BgL_modez00_116), BgL_callbackz00_114, 
((BgL_uvloopz00_bglt)BgL_loopz00_115));}  else 
{ /* Llib/fs.scm 271 */
return 
BGl_errorz00zz__errorz00(BGl_string1930z00zz__libuv_fsz00, BGl_string1931z00zz__libuv_fsz00, BgL_flagsz00_113);} } } } 

}



/* _uv-fs-close */
obj_t BGl__uvzd2fszd2closez00zz__libuv_fsz00(obj_t BgL_env1325z00_123, obj_t BgL_opt1324z00_122)
{
{ /* Llib/fs.scm 279 */
{ /* Llib/fs.scm 279 */
 obj_t BgL_g1332z00_582;
BgL_g1332z00_582 = 
VECTOR_REF(BgL_opt1324z00_122,((long)0)); 
{ /* Llib/fs.scm 279 */
 obj_t BgL_callbackz00_583;
BgL_callbackz00_583 = BFALSE; 
{ /* Llib/fs.scm 279 */
 obj_t BgL_loopz00_584;
BgL_loopz00_584 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 279 */

{ /* Llib/fs.scm 279 */
 long BgL_index1330z00_585;
{ 
 long BgL_iz00_1381;
BgL_iz00_1381 = ((long)1); 
BgL_search1327z00_1380:
if(
(BgL_iz00_1381==
VECTOR_LENGTH(BgL_opt1324z00_122)))
{ /* Llib/fs.scm 279 */
BgL_index1330z00_585 = ((long)-1); }  else 
{ /* Llib/fs.scm 279 */
 obj_t BgL_vz00_1385;
BgL_vz00_1385 = 
VECTOR_REF(BgL_opt1324z00_122,BgL_iz00_1381); 
if(
(BgL_vz00_1385==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 279 */
BgL_index1330z00_585 = 
(BgL_iz00_1381+((long)1)); }  else 
{ 
 long BgL_iz00_2733;
BgL_iz00_2733 = 
(BgL_iz00_1381+((long)2)); 
BgL_iz00_1381 = BgL_iz00_2733; 
goto BgL_search1327z00_1380;} } } 
if(
(BgL_index1330z00_585>=((long)0)))
{ /* Llib/fs.scm 279 */
BgL_callbackz00_583 = 
VECTOR_REF(BgL_opt1324z00_122,BgL_index1330z00_585); }  else 
{ /* Llib/fs.scm 279 */BFALSE; } } 
{ /* Llib/fs.scm 279 */
 long BgL_index1331z00_587;
{ 
 long BgL_iz00_1391;
BgL_iz00_1391 = ((long)1); 
BgL_search1327z00_1390:
if(
(BgL_iz00_1391==
VECTOR_LENGTH(BgL_opt1324z00_122)))
{ /* Llib/fs.scm 279 */
BgL_index1331z00_587 = ((long)-1); }  else 
{ /* Llib/fs.scm 279 */
 obj_t BgL_vz00_1395;
BgL_vz00_1395 = 
VECTOR_REF(BgL_opt1324z00_122,BgL_iz00_1391); 
if(
(BgL_vz00_1395==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 279 */
BgL_index1331z00_587 = 
(BgL_iz00_1391+((long)1)); }  else 
{ 
 long BgL_iz00_2746;
BgL_iz00_2746 = 
(BgL_iz00_1391+((long)2)); 
BgL_iz00_1391 = BgL_iz00_2746; 
goto BgL_search1327z00_1390;} } } 
if(
(BgL_index1331z00_587>=((long)0)))
{ /* Llib/fs.scm 279 */
BgL_loopz00_584 = 
VECTOR_REF(BgL_opt1324z00_122,BgL_index1331z00_587); }  else 
{ /* Llib/fs.scm 279 */BFALSE; } } 
{ /* Llib/fs.scm 279 */
 obj_t BgL_arg1855z00_589;
BgL_arg1855z00_589 = 
VECTOR_REF(BgL_opt1324z00_122,((long)0)); 
{ /* Llib/fs.scm 279 */
 obj_t BgL_callbackz00_590;
BgL_callbackz00_590 = BgL_callbackz00_583; 
{ /* Llib/fs.scm 279 */
 obj_t BgL_loopz00_591;
BgL_loopz00_591 = BgL_loopz00_584; 
return 
BINT(
bgl_uv_fs_close(
((BgL_uvfilez00_bglt)BgL_arg1855z00_589), BgL_callbackz00_590, 
((BgL_uvloopz00_bglt)BgL_loopz00_591)));} } } } } } } } 

}



/* uv-fs-close */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2closez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_119, obj_t BgL_callbackz00_120, obj_t BgL_loopz00_121)
{
{ /* Llib/fs.scm 279 */
return 
BINT(
bgl_uv_fs_close(BgL_fdz00_119, BgL_callbackz00_120, 
((BgL_uvloopz00_bglt)BgL_loopz00_121)));} 

}



/* _uv-fs-copyfile */
obj_t BGl__uvzd2fszd2copyfilez00zz__libuv_fsz00(obj_t BgL_env1334z00_130, obj_t BgL_opt1333z00_129)
{
{ /* Llib/fs.scm 285 */
{ /* Llib/fs.scm 285 */
 obj_t BgL_g1341z00_599; obj_t BgL_g1342z00_600; obj_t BgL_g1343z00_601;
BgL_g1341z00_599 = 
VECTOR_REF(BgL_opt1333z00_129,((long)0)); 
BgL_g1342z00_600 = 
VECTOR_REF(BgL_opt1333z00_129,((long)1)); 
BgL_g1343z00_601 = 
VECTOR_REF(BgL_opt1333z00_129,((long)2)); 
{ /* Llib/fs.scm 285 */
 obj_t BgL_callbackz00_602;
BgL_callbackz00_602 = BFALSE; 
{ /* Llib/fs.scm 286 */
 obj_t BgL_loopz00_603;
BgL_loopz00_603 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 285 */

{ /* Llib/fs.scm 285 */
 long BgL_index1339z00_604;
{ 
 long BgL_iz00_1407;
BgL_iz00_1407 = ((long)3); 
BgL_search1336z00_1406:
if(
(BgL_iz00_1407==
VECTOR_LENGTH(BgL_opt1333z00_129)))
{ /* Llib/fs.scm 285 */
BgL_index1339z00_604 = ((long)-1); }  else 
{ /* Llib/fs.scm 285 */
 obj_t BgL_vz00_1411;
BgL_vz00_1411 = 
VECTOR_REF(BgL_opt1333z00_129,BgL_iz00_1407); 
if(
(BgL_vz00_1411==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 285 */
BgL_index1339z00_604 = 
(BgL_iz00_1407+((long)1)); }  else 
{ 
 long BgL_iz00_2772;
BgL_iz00_2772 = 
(BgL_iz00_1407+((long)2)); 
BgL_iz00_1407 = BgL_iz00_2772; 
goto BgL_search1336z00_1406;} } } 
if(
(BgL_index1339z00_604>=((long)0)))
{ /* Llib/fs.scm 285 */
BgL_callbackz00_602 = 
VECTOR_REF(BgL_opt1333z00_129,BgL_index1339z00_604); }  else 
{ /* Llib/fs.scm 285 */BFALSE; } } 
{ /* Llib/fs.scm 285 */
 long BgL_index1340z00_606;
{ 
 long BgL_iz00_1417;
BgL_iz00_1417 = ((long)3); 
BgL_search1336z00_1416:
if(
(BgL_iz00_1417==
VECTOR_LENGTH(BgL_opt1333z00_129)))
{ /* Llib/fs.scm 285 */
BgL_index1340z00_606 = ((long)-1); }  else 
{ /* Llib/fs.scm 285 */
 obj_t BgL_vz00_1421;
BgL_vz00_1421 = 
VECTOR_REF(BgL_opt1333z00_129,BgL_iz00_1417); 
if(
(BgL_vz00_1421==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 285 */
BgL_index1340z00_606 = 
(BgL_iz00_1417+((long)1)); }  else 
{ 
 long BgL_iz00_2785;
BgL_iz00_2785 = 
(BgL_iz00_1417+((long)2)); 
BgL_iz00_1417 = BgL_iz00_2785; 
goto BgL_search1336z00_1416;} } } 
if(
(BgL_index1340z00_606>=((long)0)))
{ /* Llib/fs.scm 285 */
BgL_loopz00_603 = 
VECTOR_REF(BgL_opt1333z00_129,BgL_index1340z00_606); }  else 
{ /* Llib/fs.scm 285 */BFALSE; } } 
{ /* Llib/fs.scm 285 */
 obj_t BgL_arg1860z00_608; obj_t BgL_arg1861z00_609; obj_t BgL_arg1862z00_610;
BgL_arg1860z00_608 = 
VECTOR_REF(BgL_opt1333z00_129,((long)0)); 
BgL_arg1861z00_609 = 
VECTOR_REF(BgL_opt1333z00_129,((long)1)); 
BgL_arg1862z00_610 = 
VECTOR_REF(BgL_opt1333z00_129,((long)2)); 
{ /* Llib/fs.scm 285 */
 obj_t BgL_callbackz00_611;
BgL_callbackz00_611 = BgL_callbackz00_602; 
{ /* Llib/fs.scm 285 */
 obj_t BgL_loopz00_612;
BgL_loopz00_612 = BgL_loopz00_603; 
{ /* Llib/fs.scm 285 */
 int BgL_flagsz00_1428;
BgL_flagsz00_1428 = 
CINT(BgL_arg1862z00_610); 
return 
BINT(
bgl_uv_fs_copyfile(
((obj_t)BgL_arg1860z00_608), 
((obj_t)BgL_arg1861z00_609), BgL_flagsz00_1428, BgL_callbackz00_611, 
((BgL_uvloopz00_bglt)BgL_loopz00_612)));} } } } } } } } } 

}



/* uv-fs-copyfile */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2copyfilez00zz__libuv_fsz00(obj_t BgL_pathz00_124, obj_t BgL_newpathz00_125, int BgL_flagsz00_126, obj_t BgL_callbackz00_127, obj_t BgL_loopz00_128)
{
{ /* Llib/fs.scm 285 */
return 
BINT(
bgl_uv_fs_copyfile(BgL_pathz00_124, BgL_newpathz00_125, BgL_flagsz00_126, BgL_callbackz00_127, 
((BgL_uvloopz00_bglt)BgL_loopz00_128)));} 

}



/* _uv-fs-fstat */
obj_t BGl__uvzd2fszd2fstatz00zz__libuv_fsz00(obj_t BgL_env1345z00_135, obj_t BgL_opt1344z00_134)
{
{ /* Llib/fs.scm 292 */
{ /* Llib/fs.scm 292 */
 obj_t BgL_g1352z00_620;
BgL_g1352z00_620 = 
VECTOR_REF(BgL_opt1344z00_134,((long)0)); 
{ /* Llib/fs.scm 292 */
 obj_t BgL_callbackz00_621;
BgL_callbackz00_621 = BFALSE; 
{ /* Llib/fs.scm 292 */
 obj_t BgL_loopz00_622;
BgL_loopz00_622 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 292 */

{ /* Llib/fs.scm 292 */
 long BgL_index1350z00_623;
{ 
 long BgL_iz00_1435;
BgL_iz00_1435 = ((long)1); 
BgL_search1347z00_1434:
if(
(BgL_iz00_1435==
VECTOR_LENGTH(BgL_opt1344z00_134)))
{ /* Llib/fs.scm 292 */
BgL_index1350z00_623 = ((long)-1); }  else 
{ /* Llib/fs.scm 292 */
 obj_t BgL_vz00_1439;
BgL_vz00_1439 = 
VECTOR_REF(BgL_opt1344z00_134,BgL_iz00_1435); 
if(
(BgL_vz00_1439==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 292 */
BgL_index1350z00_623 = 
(BgL_iz00_1435+((long)1)); }  else 
{ 
 long BgL_iz00_2813;
BgL_iz00_2813 = 
(BgL_iz00_1435+((long)2)); 
BgL_iz00_1435 = BgL_iz00_2813; 
goto BgL_search1347z00_1434;} } } 
if(
(BgL_index1350z00_623>=((long)0)))
{ /* Llib/fs.scm 292 */
BgL_callbackz00_621 = 
VECTOR_REF(BgL_opt1344z00_134,BgL_index1350z00_623); }  else 
{ /* Llib/fs.scm 292 */BFALSE; } } 
{ /* Llib/fs.scm 292 */
 long BgL_index1351z00_625;
{ 
 long BgL_iz00_1445;
BgL_iz00_1445 = ((long)1); 
BgL_search1347z00_1444:
if(
(BgL_iz00_1445==
VECTOR_LENGTH(BgL_opt1344z00_134)))
{ /* Llib/fs.scm 292 */
BgL_index1351z00_625 = ((long)-1); }  else 
{ /* Llib/fs.scm 292 */
 obj_t BgL_vz00_1449;
BgL_vz00_1449 = 
VECTOR_REF(BgL_opt1344z00_134,BgL_iz00_1445); 
if(
(BgL_vz00_1449==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 292 */
BgL_index1351z00_625 = 
(BgL_iz00_1445+((long)1)); }  else 
{ 
 long BgL_iz00_2826;
BgL_iz00_2826 = 
(BgL_iz00_1445+((long)2)); 
BgL_iz00_1445 = BgL_iz00_2826; 
goto BgL_search1347z00_1444;} } } 
if(
(BgL_index1351z00_625>=((long)0)))
{ /* Llib/fs.scm 292 */
BgL_loopz00_622 = 
VECTOR_REF(BgL_opt1344z00_134,BgL_index1351z00_625); }  else 
{ /* Llib/fs.scm 292 */BFALSE; } } 
{ /* Llib/fs.scm 292 */
 obj_t BgL_arg1867z00_627;
BgL_arg1867z00_627 = 
VECTOR_REF(BgL_opt1344z00_134,((long)0)); 
{ /* Llib/fs.scm 292 */
 obj_t BgL_callbackz00_628;
BgL_callbackz00_628 = BgL_callbackz00_621; 
{ /* Llib/fs.scm 292 */
 obj_t BgL_loopz00_629;
BgL_loopz00_629 = BgL_loopz00_622; 
return 
bgl_uv_fs_fstat(
((BgL_uvfilez00_bglt)BgL_arg1867z00_627), BgL_callbackz00_628, 
((BgL_uvloopz00_bglt)BgL_loopz00_629));} } } } } } } } 

}



/* uv-fs-fstat */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2fstatz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_131, obj_t BgL_callbackz00_132, obj_t BgL_loopz00_133)
{
{ /* Llib/fs.scm 292 */
return 
bgl_uv_fs_fstat(BgL_fdz00_131, BgL_callbackz00_132, 
((BgL_uvloopz00_bglt)BgL_loopz00_133));} 

}



/* _uv-fs-lstat */
obj_t BGl__uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t BgL_env1354z00_140, obj_t BgL_opt1353z00_139)
{
{ /* Llib/fs.scm 298 */
{ /* Llib/fs.scm 298 */
 obj_t BgL_g1361z00_637;
BgL_g1361z00_637 = 
VECTOR_REF(BgL_opt1353z00_139,((long)0)); 
{ /* Llib/fs.scm 298 */
 obj_t BgL_callbackz00_638;
BgL_callbackz00_638 = BFALSE; 
{ /* Llib/fs.scm 298 */
 obj_t BgL_loopz00_639;
BgL_loopz00_639 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 298 */

{ /* Llib/fs.scm 298 */
 long BgL_index1359z00_640;
{ 
 long BgL_iz00_1461;
BgL_iz00_1461 = ((long)1); 
BgL_search1356z00_1460:
if(
(BgL_iz00_1461==
VECTOR_LENGTH(BgL_opt1353z00_139)))
{ /* Llib/fs.scm 298 */
BgL_index1359z00_640 = ((long)-1); }  else 
{ /* Llib/fs.scm 298 */
 obj_t BgL_vz00_1465;
BgL_vz00_1465 = 
VECTOR_REF(BgL_opt1353z00_139,BgL_iz00_1461); 
if(
(BgL_vz00_1465==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 298 */
BgL_index1359z00_640 = 
(BgL_iz00_1461+((long)1)); }  else 
{ 
 long BgL_iz00_2848;
BgL_iz00_2848 = 
(BgL_iz00_1461+((long)2)); 
BgL_iz00_1461 = BgL_iz00_2848; 
goto BgL_search1356z00_1460;} } } 
if(
(BgL_index1359z00_640>=((long)0)))
{ /* Llib/fs.scm 298 */
BgL_callbackz00_638 = 
VECTOR_REF(BgL_opt1353z00_139,BgL_index1359z00_640); }  else 
{ /* Llib/fs.scm 298 */BFALSE; } } 
{ /* Llib/fs.scm 298 */
 long BgL_index1360z00_642;
{ 
 long BgL_iz00_1471;
BgL_iz00_1471 = ((long)1); 
BgL_search1356z00_1470:
if(
(BgL_iz00_1471==
VECTOR_LENGTH(BgL_opt1353z00_139)))
{ /* Llib/fs.scm 298 */
BgL_index1360z00_642 = ((long)-1); }  else 
{ /* Llib/fs.scm 298 */
 obj_t BgL_vz00_1475;
BgL_vz00_1475 = 
VECTOR_REF(BgL_opt1353z00_139,BgL_iz00_1471); 
if(
(BgL_vz00_1475==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 298 */
BgL_index1360z00_642 = 
(BgL_iz00_1471+((long)1)); }  else 
{ 
 long BgL_iz00_2861;
BgL_iz00_2861 = 
(BgL_iz00_1471+((long)2)); 
BgL_iz00_1471 = BgL_iz00_2861; 
goto BgL_search1356z00_1470;} } } 
if(
(BgL_index1360z00_642>=((long)0)))
{ /* Llib/fs.scm 298 */
BgL_loopz00_639 = 
VECTOR_REF(BgL_opt1353z00_139,BgL_index1360z00_642); }  else 
{ /* Llib/fs.scm 298 */BFALSE; } } 
{ /* Llib/fs.scm 298 */
 obj_t BgL_arg1872z00_644;
BgL_arg1872z00_644 = 
VECTOR_REF(BgL_opt1353z00_139,((long)0)); 
{ /* Llib/fs.scm 298 */
 obj_t BgL_callbackz00_645;
BgL_callbackz00_645 = BgL_callbackz00_638; 
{ /* Llib/fs.scm 298 */
 obj_t BgL_loopz00_646;
BgL_loopz00_646 = BgL_loopz00_639; 
return 
bgl_uv_fs_lstat(
BSTRING_TO_STRING(
((obj_t)BgL_arg1872z00_644)), BgL_callbackz00_645, 
((BgL_uvloopz00_bglt)BgL_loopz00_646));} } } } } } } } 

}



/* uv-fs-lstat */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t BgL_pathz00_136, obj_t BgL_callbackz00_137, obj_t BgL_loopz00_138)
{
{ /* Llib/fs.scm 298 */
return 
bgl_uv_fs_lstat(
BSTRING_TO_STRING(BgL_pathz00_136), BgL_callbackz00_137, 
((BgL_uvloopz00_bglt)BgL_loopz00_138));} 

}



/* _uv-fs-stat */
obj_t BGl__uvzd2fszd2statz00zz__libuv_fsz00(obj_t BgL_env1363z00_145, obj_t BgL_opt1362z00_144)
{
{ /* Llib/fs.scm 304 */
{ /* Llib/fs.scm 304 */
 obj_t BgL_g1370z00_654;
BgL_g1370z00_654 = 
VECTOR_REF(BgL_opt1362z00_144,((long)0)); 
{ /* Llib/fs.scm 304 */
 obj_t BgL_callbackz00_655;
BgL_callbackz00_655 = BFALSE; 
{ /* Llib/fs.scm 304 */
 obj_t BgL_loopz00_656;
BgL_loopz00_656 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 304 */

{ /* Llib/fs.scm 304 */
 long BgL_index1368z00_657;
{ 
 long BgL_iz00_1487;
BgL_iz00_1487 = ((long)1); 
BgL_search1365z00_1486:
if(
(BgL_iz00_1487==
VECTOR_LENGTH(BgL_opt1362z00_144)))
{ /* Llib/fs.scm 304 */
BgL_index1368z00_657 = ((long)-1); }  else 
{ /* Llib/fs.scm 304 */
 obj_t BgL_vz00_1491;
BgL_vz00_1491 = 
VECTOR_REF(BgL_opt1362z00_144,BgL_iz00_1487); 
if(
(BgL_vz00_1491==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 304 */
BgL_index1368z00_657 = 
(BgL_iz00_1487+((long)1)); }  else 
{ 
 long BgL_iz00_2885;
BgL_iz00_2885 = 
(BgL_iz00_1487+((long)2)); 
BgL_iz00_1487 = BgL_iz00_2885; 
goto BgL_search1365z00_1486;} } } 
if(
(BgL_index1368z00_657>=((long)0)))
{ /* Llib/fs.scm 304 */
BgL_callbackz00_655 = 
VECTOR_REF(BgL_opt1362z00_144,BgL_index1368z00_657); }  else 
{ /* Llib/fs.scm 304 */BFALSE; } } 
{ /* Llib/fs.scm 304 */
 long BgL_index1369z00_659;
{ 
 long BgL_iz00_1497;
BgL_iz00_1497 = ((long)1); 
BgL_search1365z00_1496:
if(
(BgL_iz00_1497==
VECTOR_LENGTH(BgL_opt1362z00_144)))
{ /* Llib/fs.scm 304 */
BgL_index1369z00_659 = ((long)-1); }  else 
{ /* Llib/fs.scm 304 */
 obj_t BgL_vz00_1501;
BgL_vz00_1501 = 
VECTOR_REF(BgL_opt1362z00_144,BgL_iz00_1497); 
if(
(BgL_vz00_1501==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 304 */
BgL_index1369z00_659 = 
(BgL_iz00_1497+((long)1)); }  else 
{ 
 long BgL_iz00_2898;
BgL_iz00_2898 = 
(BgL_iz00_1497+((long)2)); 
BgL_iz00_1497 = BgL_iz00_2898; 
goto BgL_search1365z00_1496;} } } 
if(
(BgL_index1369z00_659>=((long)0)))
{ /* Llib/fs.scm 304 */
BgL_loopz00_656 = 
VECTOR_REF(BgL_opt1362z00_144,BgL_index1369z00_659); }  else 
{ /* Llib/fs.scm 304 */BFALSE; } } 
{ /* Llib/fs.scm 304 */
 obj_t BgL_arg1878z00_661;
BgL_arg1878z00_661 = 
VECTOR_REF(BgL_opt1362z00_144,((long)0)); 
{ /* Llib/fs.scm 304 */
 obj_t BgL_callbackz00_662;
BgL_callbackz00_662 = BgL_callbackz00_655; 
{ /* Llib/fs.scm 304 */
 obj_t BgL_loopz00_663;
BgL_loopz00_663 = BgL_loopz00_656; 
return 
bgl_uv_fs_stat(
BSTRING_TO_STRING(
((obj_t)BgL_arg1878z00_661)), BgL_callbackz00_662, 
((BgL_uvloopz00_bglt)BgL_loopz00_663));} } } } } } } } 

}



/* uv-fs-stat */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2statz00zz__libuv_fsz00(obj_t BgL_pathz00_141, obj_t BgL_callbackz00_142, obj_t BgL_loopz00_143)
{
{ /* Llib/fs.scm 304 */
return 
bgl_uv_fs_stat(
BSTRING_TO_STRING(BgL_pathz00_141), BgL_callbackz00_142, 
((BgL_uvloopz00_bglt)BgL_loopz00_143));} 

}



/* _uv-fs-write */
obj_t BGl__uvzd2fszd2writez00zz__libuv_fsz00(obj_t BgL_env1372z00_154, obj_t BgL_opt1371z00_153)
{
{ /* Llib/fs.scm 310 */
{ /* Llib/fs.scm 310 */
 obj_t BgL_g1381z00_671; obj_t BgL_g1382z00_672; obj_t BgL_g1383z00_673;
BgL_g1381z00_671 = 
VECTOR_REF(BgL_opt1371z00_153,((long)0)); 
BgL_g1382z00_672 = 
VECTOR_REF(BgL_opt1371z00_153,((long)1)); 
BgL_g1383z00_673 = 
VECTOR_REF(BgL_opt1371z00_153,((long)2)); 
{ /* Llib/fs.scm 310 */
 obj_t BgL_callbackz00_674;
BgL_callbackz00_674 = BFALSE; 
{ /* Llib/fs.scm 312 */
 BgL_uvloopz00_bglt BgL_loopz00_675;
BgL_loopz00_675 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 310 */
 obj_t BgL_offsetz00_676;
BgL_offsetz00_676 = 
BINT(((long)0)); 
{ /* Llib/fs.scm 310 */
 obj_t BgL_positionz00_677;
BgL_positionz00_677 = 
BINT(((long)-1)); 
{ /* Llib/fs.scm 310 */

{ /* Llib/fs.scm 310 */
 long BgL_index1377z00_678;
{ 
 long BgL_iz00_1513;
BgL_iz00_1513 = ((long)3); 
BgL_search1374z00_1512:
if(
(BgL_iz00_1513==
VECTOR_LENGTH(BgL_opt1371z00_153)))
{ /* Llib/fs.scm 310 */
BgL_index1377z00_678 = ((long)-1); }  else 
{ /* Llib/fs.scm 310 */
 obj_t BgL_vz00_1517;
BgL_vz00_1517 = 
VECTOR_REF(BgL_opt1371z00_153,BgL_iz00_1513); 
if(
(BgL_vz00_1517==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 310 */
BgL_index1377z00_678 = 
(BgL_iz00_1513+((long)1)); }  else 
{ 
 long BgL_iz00_2925;
BgL_iz00_2925 = 
(BgL_iz00_1513+((long)2)); 
BgL_iz00_1513 = BgL_iz00_2925; 
goto BgL_search1374z00_1512;} } } 
if(
(BgL_index1377z00_678>=((long)0)))
{ /* Llib/fs.scm 310 */
BgL_callbackz00_674 = 
VECTOR_REF(BgL_opt1371z00_153,BgL_index1377z00_678); }  else 
{ /* Llib/fs.scm 310 */BFALSE; } } 
{ /* Llib/fs.scm 310 */
 long BgL_index1378z00_680;
{ 
 long BgL_iz00_1523;
BgL_iz00_1523 = ((long)3); 
BgL_search1374z00_1522:
if(
(BgL_iz00_1523==
VECTOR_LENGTH(BgL_opt1371z00_153)))
{ /* Llib/fs.scm 310 */
BgL_index1378z00_680 = ((long)-1); }  else 
{ /* Llib/fs.scm 310 */
 obj_t BgL_vz00_1527;
BgL_vz00_1527 = 
VECTOR_REF(BgL_opt1371z00_153,BgL_iz00_1523); 
if(
(BgL_vz00_1527==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 310 */
BgL_index1378z00_680 = 
(BgL_iz00_1523+((long)1)); }  else 
{ 
 long BgL_iz00_2938;
BgL_iz00_2938 = 
(BgL_iz00_1523+((long)2)); 
BgL_iz00_1523 = BgL_iz00_2938; 
goto BgL_search1374z00_1522;} } } 
if(
(BgL_index1378z00_680>=((long)0)))
{ /* Llib/fs.scm 310 */
BgL_loopz00_675 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1371z00_153,BgL_index1378z00_680)); }  else 
{ /* Llib/fs.scm 310 */BFALSE; } } 
{ /* Llib/fs.scm 310 */
 long BgL_index1379z00_682;
{ 
 long BgL_iz00_1533;
BgL_iz00_1533 = ((long)3); 
BgL_search1374z00_1532:
if(
(BgL_iz00_1533==
VECTOR_LENGTH(BgL_opt1371z00_153)))
{ /* Llib/fs.scm 310 */
BgL_index1379z00_682 = ((long)-1); }  else 
{ /* Llib/fs.scm 310 */
 obj_t BgL_vz00_1537;
BgL_vz00_1537 = 
VECTOR_REF(BgL_opt1371z00_153,BgL_iz00_1533); 
if(
(BgL_vz00_1537==
CNST_TABLE_REF(((long)4))))
{ /* Llib/fs.scm 310 */
BgL_index1379z00_682 = 
(BgL_iz00_1533+((long)1)); }  else 
{ 
 long BgL_iz00_2952;
BgL_iz00_2952 = 
(BgL_iz00_1533+((long)2)); 
BgL_iz00_1533 = BgL_iz00_2952; 
goto BgL_search1374z00_1532;} } } 
if(
(BgL_index1379z00_682>=((long)0)))
{ /* Llib/fs.scm 310 */
BgL_offsetz00_676 = 
VECTOR_REF(BgL_opt1371z00_153,BgL_index1379z00_682); }  else 
{ /* Llib/fs.scm 310 */BFALSE; } } 
{ /* Llib/fs.scm 310 */
 long BgL_index1380z00_684;
{ 
 long BgL_iz00_1543;
BgL_iz00_1543 = ((long)3); 
BgL_search1374z00_1542:
if(
(BgL_iz00_1543==
VECTOR_LENGTH(BgL_opt1371z00_153)))
{ /* Llib/fs.scm 310 */
BgL_index1380z00_684 = ((long)-1); }  else 
{ /* Llib/fs.scm 310 */
 obj_t BgL_vz00_1547;
BgL_vz00_1547 = 
VECTOR_REF(BgL_opt1371z00_153,BgL_iz00_1543); 
if(
(BgL_vz00_1547==
CNST_TABLE_REF(((long)5))))
{ /* Llib/fs.scm 310 */
BgL_index1380z00_684 = 
(BgL_iz00_1543+((long)1)); }  else 
{ 
 long BgL_iz00_2965;
BgL_iz00_2965 = 
(BgL_iz00_1543+((long)2)); 
BgL_iz00_1543 = BgL_iz00_2965; 
goto BgL_search1374z00_1542;} } } 
if(
(BgL_index1380z00_684>=((long)0)))
{ /* Llib/fs.scm 310 */
BgL_positionz00_677 = 
VECTOR_REF(BgL_opt1371z00_153,BgL_index1380z00_684); }  else 
{ /* Llib/fs.scm 310 */BFALSE; } } 
{ /* Llib/fs.scm 310 */
 obj_t BgL_arg1885z00_686; obj_t BgL_arg1886z00_687; obj_t BgL_arg1887z00_688;
BgL_arg1885z00_686 = 
VECTOR_REF(BgL_opt1371z00_153,((long)0)); 
BgL_arg1886z00_687 = 
VECTOR_REF(BgL_opt1371z00_153,((long)1)); 
BgL_arg1887z00_688 = 
VECTOR_REF(BgL_opt1371z00_153,((long)2)); 
{ /* Llib/fs.scm 310 */
 obj_t BgL_callbackz00_689;
BgL_callbackz00_689 = BgL_callbackz00_674; 
{ /* Llib/fs.scm 310 */
 BgL_uvloopz00_bglt BgL_loopz00_690;
BgL_loopz00_690 = BgL_loopz00_675; 
{ /* Llib/fs.scm 310 */
 obj_t BgL_offsetz00_691;
BgL_offsetz00_691 = BgL_offsetz00_676; 
{ /* Llib/fs.scm 310 */
 obj_t BgL_positionz00_692;
BgL_positionz00_692 = BgL_positionz00_677; 
{ /* Llib/fs.scm 310 */
 int BgL_lengthz00_1554;
BgL_lengthz00_1554 = 
CINT(BgL_arg1887z00_688); 
return 
BINT(
bgl_uv_fs_write(
((BgL_uvfilez00_bglt)BgL_arg1885z00_686), 
((obj_t)BgL_arg1886z00_687), 
(long)CINT(BgL_offsetz00_691), 
(long)(BgL_lengthz00_1554), 
BGL_BINT64_TO_INT64(BgL_positionz00_692), BgL_callbackz00_689, BgL_loopz00_690));} } } } } } } } } } } } } 

}



/* uv-fs-write */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2writez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_146, obj_t BgL_bufferz00_147, int BgL_lengthz00_148, obj_t BgL_callbackz00_149, BgL_uvloopz00_bglt BgL_loopz00_150, obj_t BgL_offsetz00_151, obj_t BgL_positionz00_152)
{
{ /* Llib/fs.scm 310 */
return 
BINT(
bgl_uv_fs_write(BgL_fdz00_146, BgL_bufferz00_147, 
(long)CINT(BgL_offsetz00_151), 
(long)(BgL_lengthz00_148), 
BGL_BINT64_TO_INT64(BgL_positionz00_152), BgL_callbackz00_149, BgL_loopz00_150));} 

}



/* _uv-fs-read */
obj_t BGl__uvzd2fszd2readz00zz__libuv_fsz00(obj_t BgL_env1385z00_163, obj_t BgL_opt1384z00_162)
{
{ /* Llib/fs.scm 318 */
{ /* Llib/fs.scm 318 */
 obj_t BgL_g1394z00_700; obj_t BgL_g1395z00_701; obj_t BgL_g1396z00_702;
BgL_g1394z00_700 = 
VECTOR_REF(BgL_opt1384z00_162,((long)0)); 
BgL_g1395z00_701 = 
VECTOR_REF(BgL_opt1384z00_162,((long)1)); 
BgL_g1396z00_702 = 
VECTOR_REF(BgL_opt1384z00_162,((long)2)); 
{ /* Llib/fs.scm 318 */
 obj_t BgL_callbackz00_703;
BgL_callbackz00_703 = BFALSE; 
{ /* Llib/fs.scm 320 */
 BgL_uvloopz00_bglt BgL_loopz00_704;
BgL_loopz00_704 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 318 */
 obj_t BgL_offsetz00_705;
BgL_offsetz00_705 = 
BINT(((long)0)); 
{ /* Llib/fs.scm 318 */
 obj_t BgL_positionz00_706;
BgL_positionz00_706 = 
BINT(((long)-1)); 
{ /* Llib/fs.scm 318 */

{ /* Llib/fs.scm 318 */
 long BgL_index1390z00_707;
{ 
 long BgL_iz00_1562;
BgL_iz00_1562 = ((long)3); 
BgL_search1387z00_1561:
if(
(BgL_iz00_1562==
VECTOR_LENGTH(BgL_opt1384z00_162)))
{ /* Llib/fs.scm 318 */
BgL_index1390z00_707 = ((long)-1); }  else 
{ /* Llib/fs.scm 318 */
 obj_t BgL_vz00_1566;
BgL_vz00_1566 = 
VECTOR_REF(BgL_opt1384z00_162,BgL_iz00_1562); 
if(
(BgL_vz00_1566==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 318 */
BgL_index1390z00_707 = 
(BgL_iz00_1562+((long)1)); }  else 
{ 
 long BgL_iz00_3000;
BgL_iz00_3000 = 
(BgL_iz00_1562+((long)2)); 
BgL_iz00_1562 = BgL_iz00_3000; 
goto BgL_search1387z00_1561;} } } 
if(
(BgL_index1390z00_707>=((long)0)))
{ /* Llib/fs.scm 318 */
BgL_callbackz00_703 = 
VECTOR_REF(BgL_opt1384z00_162,BgL_index1390z00_707); }  else 
{ /* Llib/fs.scm 318 */BFALSE; } } 
{ /* Llib/fs.scm 318 */
 long BgL_index1391z00_709;
{ 
 long BgL_iz00_1572;
BgL_iz00_1572 = ((long)3); 
BgL_search1387z00_1571:
if(
(BgL_iz00_1572==
VECTOR_LENGTH(BgL_opt1384z00_162)))
{ /* Llib/fs.scm 318 */
BgL_index1391z00_709 = ((long)-1); }  else 
{ /* Llib/fs.scm 318 */
 obj_t BgL_vz00_1576;
BgL_vz00_1576 = 
VECTOR_REF(BgL_opt1384z00_162,BgL_iz00_1572); 
if(
(BgL_vz00_1576==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 318 */
BgL_index1391z00_709 = 
(BgL_iz00_1572+((long)1)); }  else 
{ 
 long BgL_iz00_3013;
BgL_iz00_3013 = 
(BgL_iz00_1572+((long)2)); 
BgL_iz00_1572 = BgL_iz00_3013; 
goto BgL_search1387z00_1571;} } } 
if(
(BgL_index1391z00_709>=((long)0)))
{ /* Llib/fs.scm 318 */
BgL_loopz00_704 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1384z00_162,BgL_index1391z00_709)); }  else 
{ /* Llib/fs.scm 318 */BFALSE; } } 
{ /* Llib/fs.scm 318 */
 long BgL_index1392z00_711;
{ 
 long BgL_iz00_1582;
BgL_iz00_1582 = ((long)3); 
BgL_search1387z00_1581:
if(
(BgL_iz00_1582==
VECTOR_LENGTH(BgL_opt1384z00_162)))
{ /* Llib/fs.scm 318 */
BgL_index1392z00_711 = ((long)-1); }  else 
{ /* Llib/fs.scm 318 */
 obj_t BgL_vz00_1586;
BgL_vz00_1586 = 
VECTOR_REF(BgL_opt1384z00_162,BgL_iz00_1582); 
if(
(BgL_vz00_1586==
CNST_TABLE_REF(((long)4))))
{ /* Llib/fs.scm 318 */
BgL_index1392z00_711 = 
(BgL_iz00_1582+((long)1)); }  else 
{ 
 long BgL_iz00_3027;
BgL_iz00_3027 = 
(BgL_iz00_1582+((long)2)); 
BgL_iz00_1582 = BgL_iz00_3027; 
goto BgL_search1387z00_1581;} } } 
if(
(BgL_index1392z00_711>=((long)0)))
{ /* Llib/fs.scm 318 */
BgL_offsetz00_705 = 
VECTOR_REF(BgL_opt1384z00_162,BgL_index1392z00_711); }  else 
{ /* Llib/fs.scm 318 */BFALSE; } } 
{ /* Llib/fs.scm 318 */
 long BgL_index1393z00_713;
{ 
 long BgL_iz00_1592;
BgL_iz00_1592 = ((long)3); 
BgL_search1387z00_1591:
if(
(BgL_iz00_1592==
VECTOR_LENGTH(BgL_opt1384z00_162)))
{ /* Llib/fs.scm 318 */
BgL_index1393z00_713 = ((long)-1); }  else 
{ /* Llib/fs.scm 318 */
 obj_t BgL_vz00_1596;
BgL_vz00_1596 = 
VECTOR_REF(BgL_opt1384z00_162,BgL_iz00_1592); 
if(
(BgL_vz00_1596==
CNST_TABLE_REF(((long)5))))
{ /* Llib/fs.scm 318 */
BgL_index1393z00_713 = 
(BgL_iz00_1592+((long)1)); }  else 
{ 
 long BgL_iz00_3040;
BgL_iz00_3040 = 
(BgL_iz00_1592+((long)2)); 
BgL_iz00_1592 = BgL_iz00_3040; 
goto BgL_search1387z00_1591;} } } 
if(
(BgL_index1393z00_713>=((long)0)))
{ /* Llib/fs.scm 318 */
BgL_positionz00_706 = 
VECTOR_REF(BgL_opt1384z00_162,BgL_index1393z00_713); }  else 
{ /* Llib/fs.scm 318 */BFALSE; } } 
{ /* Llib/fs.scm 318 */
 obj_t BgL_arg1894z00_715; obj_t BgL_arg1895z00_716; obj_t BgL_arg1896z00_717;
BgL_arg1894z00_715 = 
VECTOR_REF(BgL_opt1384z00_162,((long)0)); 
BgL_arg1895z00_716 = 
VECTOR_REF(BgL_opt1384z00_162,((long)1)); 
BgL_arg1896z00_717 = 
VECTOR_REF(BgL_opt1384z00_162,((long)2)); 
{ /* Llib/fs.scm 318 */
 obj_t BgL_callbackz00_718;
BgL_callbackz00_718 = BgL_callbackz00_703; 
{ /* Llib/fs.scm 318 */
 BgL_uvloopz00_bglt BgL_loopz00_719;
BgL_loopz00_719 = BgL_loopz00_704; 
{ /* Llib/fs.scm 318 */
 obj_t BgL_offsetz00_720;
BgL_offsetz00_720 = BgL_offsetz00_705; 
{ /* Llib/fs.scm 318 */
 obj_t BgL_positionz00_721;
BgL_positionz00_721 = BgL_positionz00_706; 
{ /* Llib/fs.scm 318 */
 int BgL_lengthz00_1603;
BgL_lengthz00_1603 = 
CINT(BgL_arg1896z00_717); 
return 
BINT(
bgl_uv_fs_read(
((BgL_uvfilez00_bglt)BgL_arg1894z00_715), 
((obj_t)BgL_arg1895z00_716), 
(long)CINT(BgL_offsetz00_720), 
(long)(BgL_lengthz00_1603), 
BGL_BINT64_TO_INT64(BgL_positionz00_721), BgL_callbackz00_718, BgL_loopz00_719));} } } } } } } } } } } } } 

}



/* uv-fs-read */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2readz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_155, obj_t BgL_bufferz00_156, int BgL_lengthz00_157, obj_t BgL_callbackz00_158, BgL_uvloopz00_bglt BgL_loopz00_159, obj_t BgL_offsetz00_160, obj_t BgL_positionz00_161)
{
{ /* Llib/fs.scm 318 */
return 
BINT(
bgl_uv_fs_read(BgL_fdz00_155, BgL_bufferz00_156, 
(long)CINT(BgL_offsetz00_160), 
(long)(BgL_lengthz00_157), 
BGL_BINT64_TO_INT64(BgL_positionz00_161), BgL_callbackz00_158, BgL_loopz00_159));} 

}



/* uv-fs-flags */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(obj_t BgL_flagz00_164)
{
{ /* Llib/fs.scm 326 */
if(
(BgL_flagz00_164==
CNST_TABLE_REF(((long)6))))
{ /* Llib/fs.scm 327 */
return 
(int)(BGl_O_RDONLYz00zz__libuv_fsz00);}  else 
{ /* Llib/fs.scm 327 */
if(
(BgL_flagz00_164==
CNST_TABLE_REF(((long)7))))
{ /* Llib/fs.scm 329 */
 long BgL_xz00_1607; long BgL_yz00_1608;
BgL_xz00_1607 = BGl_O_RDONLYz00zz__libuv_fsz00; 
BgL_yz00_1608 = BGl_O_SYNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1607 | BgL_yz00_1608));}  else 
{ /* Llib/fs.scm 327 */
if(
(BgL_flagz00_164==
CNST_TABLE_REF(((long)8))))
{ /* Llib/fs.scm 330 */
 long BgL_xz00_1610; long BgL_yz00_1611;
BgL_xz00_1610 = BGl_O_RDWRz00zz__libuv_fsz00; 
BgL_yz00_1611 = BGl_O_SYNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1610 | BgL_yz00_1611));}  else 
{ /* Llib/fs.scm 327 */
if(
(BgL_flagz00_164==
CNST_TABLE_REF(((long)9))))
{ /* Llib/fs.scm 331 */
 long BgL_xz00_1615;
BgL_xz00_1615 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1615 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_WRONLYz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 327 */
 bool_t BgL_test2171z00_3081;
{ /* Llib/fs.scm 327 */
 bool_t BgL__ortest_1092z00_756;
BgL__ortest_1092z00_756 = 
(BgL_flagz00_164==
CNST_TABLE_REF(((long)10))); 
if(BgL__ortest_1092z00_756)
{ /* Llib/fs.scm 327 */
BgL_test2171z00_3081 = BgL__ortest_1092z00_756
; }  else 
{ /* Llib/fs.scm 327 */
BgL_test2171z00_3081 = 
(BgL_flagz00_164==
CNST_TABLE_REF(((long)11)))
; } } 
if(BgL_test2171z00_3081)
{ /* Llib/fs.scm 332 */
 long BgL_arg1905z00_733;
{ /* Llib/fs.scm 332 */
 long BgL_xz00_1619;
BgL_xz00_1619 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg1905z00_733 = 
(BgL_xz00_1619 | 
(BGl_O_WRONLYz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 332 */
 long BgL_xz00_1621;
BgL_xz00_1621 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1621 | BgL_arg1905z00_733));} }  else 
{ /* Llib/fs.scm 327 */
if(
(BgL_flagz00_164==
CNST_TABLE_REF(((long)12))))
{ /* Llib/fs.scm 333 */
 long BgL_xz00_1626;
BgL_xz00_1626 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1626 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_RDWRz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 327 */
 bool_t BgL_test2174z00_3097;
{ /* Llib/fs.scm 327 */
 bool_t BgL__ortest_1093z00_755;
BgL__ortest_1093z00_755 = 
(BgL_flagz00_164==
CNST_TABLE_REF(((long)13))); 
if(BgL__ortest_1093z00_755)
{ /* Llib/fs.scm 327 */
BgL_test2174z00_3097 = BgL__ortest_1093z00_755
; }  else 
{ /* Llib/fs.scm 327 */
BgL_test2174z00_3097 = 
(BgL_flagz00_164==
CNST_TABLE_REF(((long)14)))
; } } 
if(BgL_test2174z00_3097)
{ /* Llib/fs.scm 334 */
 long BgL_arg1910z00_739;
{ /* Llib/fs.scm 334 */
 long BgL_xz00_1630;
BgL_xz00_1630 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg1910z00_739 = 
(BgL_xz00_1630 | 
(BGl_O_RDWRz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 334 */
 long BgL_xz00_1632;
BgL_xz00_1632 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1632 | BgL_arg1910z00_739));} }  else 
{ /* Llib/fs.scm 327 */
if(
(BgL_flagz00_164==
CNST_TABLE_REF(((long)2))))
{ /* Llib/fs.scm 335 */
 long BgL_xz00_1637;
BgL_xz00_1637 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1637 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_WRONLYz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 327 */
 bool_t BgL_test2177z00_3113;
{ /* Llib/fs.scm 327 */
 bool_t BgL__ortest_1094z00_754;
BgL__ortest_1094z00_754 = 
(BgL_flagz00_164==
CNST_TABLE_REF(((long)15))); 
if(BgL__ortest_1094z00_754)
{ /* Llib/fs.scm 327 */
BgL_test2177z00_3113 = BgL__ortest_1094z00_754
; }  else 
{ /* Llib/fs.scm 327 */
BgL_test2177z00_3113 = 
(BgL_flagz00_164==
CNST_TABLE_REF(((long)16)))
; } } 
if(BgL_test2177z00_3113)
{ /* Llib/fs.scm 336 */
 long BgL_arg1915z00_745;
{ /* Llib/fs.scm 336 */
 long BgL_xz00_1641;
BgL_xz00_1641 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg1915z00_745 = 
(BgL_xz00_1641 | 
(BGl_O_WRONLYz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 336 */
 long BgL_xz00_1643;
BgL_xz00_1643 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1643 | BgL_arg1915z00_745));} }  else 
{ /* Llib/fs.scm 327 */
if(
(BgL_flagz00_164==
CNST_TABLE_REF(((long)17))))
{ /* Llib/fs.scm 337 */
 long BgL_xz00_1648;
BgL_xz00_1648 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1648 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_RDWRz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 327 */
 bool_t BgL_test2180z00_3129;
{ /* Llib/fs.scm 327 */
 bool_t BgL__ortest_1095z00_753;
BgL__ortest_1095z00_753 = 
(BgL_flagz00_164==
CNST_TABLE_REF(((long)18))); 
if(BgL__ortest_1095z00_753)
{ /* Llib/fs.scm 327 */
BgL_test2180z00_3129 = BgL__ortest_1095z00_753
; }  else 
{ /* Llib/fs.scm 327 */
BgL_test2180z00_3129 = 
(BgL_flagz00_164==
CNST_TABLE_REF(((long)19)))
; } } 
if(BgL_test2180z00_3129)
{ /* Llib/fs.scm 338 */
 long BgL_arg1920z00_751;
{ /* Llib/fs.scm 338 */
 long BgL_xz00_1652;
BgL_xz00_1652 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg1920z00_751 = 
(BgL_xz00_1652 | 
(BGl_O_RDWRz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 338 */
 long BgL_xz00_1654;
BgL_xz00_1654 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1654 | BgL_arg1920z00_751));} }  else 
{ /* Llib/fs.scm 327 */
return 
CINT(
BGl_errorz00zz__errorz00(BGl_string1932z00zz__libuv_fsz00, BGl_string1933z00zz__libuv_fsz00, BgL_flagz00_164));} } } } } } } } } } } } 

}



/* &uv-fs-flags */
obj_t BGl_z62uvzd2fszd2flagsz62zz__libuv_fsz00(obj_t BgL_envz00_1678, obj_t BgL_flagz00_1679)
{
{ /* Llib/fs.scm 326 */
return 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagz00_1679));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(((long)204966563), 
BSTRING_TO_STRING(BGl_string1934z00zz__libuv_fsz00)); 
return 
BGl_modulezd2initializa7ationz75zz__libuv_loopz00(((long)325307223), 
BSTRING_TO_STRING(BGl_string1934z00zz__libuv_fsz00));} 

}

#ifdef __cplusplus
}
#endif
