/*===========================================================================*/
/*   (Llib/net.scm)                                                          */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/net.scm -o objs/net.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvstreamz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
} *BgL_uvstreamz00_bglt;

typedef struct BgL_uvtcpz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
} *BgL_uvtcpz00_bglt;

typedef struct BgL_uvudpz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
   obj_t BgL_z52procmz52;
} *BgL_uvudpz00_bglt;

typedef struct BgL_uvttyz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
   int BgL_fdz00;
   bool_t BgL_readablez00;
} *BgL_uvttyz00_bglt;


extern obj_t bgl_uv_udp_getsockname(uv_udp_t *);
extern int bgl_uv_write(BgL_uvhandlez00_bglt, char *, long, long, obj_t, BgL_uvloopz00_bglt);
extern obj_t bgl_uv_pop_gcmark(BgL_uvhandlez00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2sendz00zz__libuv_netz00(BgL_uvudpz00_bglt, obj_t, long, long, long, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2tcpzd2keepalivez00zz__libuv_netz00(BgL_uvtcpz00_bglt, bool_t, int);
extern uv_tcp_t * bgl_uv_tcp_create(uv_loop_t *, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2tcpzd2simultaneouszd2acceptszd2zz__libuv_netz00(BgL_uvtcpz00_bglt, bool_t);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_netz00 = BUNSPEC;
extern int bgl_uv_read_start(BgL_uvhandlez00_bglt, obj_t, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_z62z52uvzd2initzd2UvUdp1140z30zz__libuv_netz00(obj_t, obj_t);
extern BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(void);
static obj_t BGl_z62uvzd2readablezf3z43zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2streamzd2fdz62zz__libuv_netz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
extern obj_t BGl_UvTtyz00zz__libuv_typesz00;
static obj_t BGl_z62uvzd2udpzd2getsocknamez62zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__libuv_netz00(void);
static obj_t BGl__uvzd2inetzd2ptonz00zz__libuv_netz00(obj_t, obj_t);
extern int bgl_uv_shutdown(BgL_uvstreamz00_bglt, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_udpzd2serverszd2zz__libuv_netz00 = BUNSPEC;
extern obj_t bgl_uv_tcp_getsockname(uv_tcp_t *);
static obj_t BGl__uvzd2tcpzd2bindz00zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl__uvzd2tcpzd2connectz00zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__libuv_netz00(void);
static obj_t BGl_z62uvzd2udpzd2setzd2multicastzd2ttlz62zz__libuv_netz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2writablezf3z43zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__libuv_netz00(void);
static obj_t BGl_z62uvzd2ttyzd2getzd2windowzd2siza7ezc5zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2closezd2UvStream1144z62zz__libuv_netz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2ttyzd2modezd2setz12zc0zz__libuv_netz00(BgL_uvttyz00_bglt, obj_t);
static obj_t BGl__uvzd2listenzd2zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2tcpzd2keepalivez62zz__libuv_netz00(obj_t, obj_t, obj_t, obj_t);
extern int bgl_uv_udp_bind(uv_udp_t *, char *, int, int, int);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl__uvzd2getaddrinfozd2zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2udpzd2setzd2broadcastzb0zz__libuv_netz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2streamzd2readzd2stopzb0zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_tcpzd2mutexzd2zz__libuv_netz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_uvzd2listenzd2zz__libuv_netz00(BgL_uvstreamz00_bglt, int, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2tcpzd2bindz00zz__libuv_netz00(BgL_uvtcpz00_bglt, obj_t, int, int);
extern int uv_read_stop(uv_stream_t *);
BGL_EXPORTED_DECL obj_t BGl_uvzd2inetzd2ptonz00zz__libuv_netz00(obj_t, obj_t);
extern uv_tty_t * bgl_uv_tty_create(uv_loop_t *, obj_t, int, bool_t);
static obj_t BGl_z62uvzd2tcpzd2getsocknamez62zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2tcpzd2simultaneouszd2acceptszb0zz__libuv_netz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2setzd2broadcastzd2zz__libuv_netz00(BgL_uvudpz00_bglt, bool_t);
extern int bgl_uv_tcp_connect(BgL_uvtcpz00_bglt, char *, int, int, obj_t, BgL_uvloopz00_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern obj_t bgl_uv_tty_get_winsize(uv_tty_t *);
static obj_t BGl_z62uvzd2udpzd2setzd2ttlzb0zz__libuv_netz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_netz00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2tcpzd2connectz00zz__libuv_netz00(BgL_uvtcpz00_bglt, obj_t, int, obj_t, int, obj_t);
static obj_t BGl__uvzd2udpzd2recvzd2startzd2zz__libuv_netz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2tcpzd2getpeernamez00zz__libuv_netz00(BgL_uvtcpz00_bglt);
extern int bgl_uv_getaddrinfo(char *, char *, int, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2streamzd2writez00zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2ttyzd2modezd2setz12za2zz__libuv_netz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62cbz62zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl__uvzd2streamzd2shutdownz00zz__libuv_netz00(obj_t, obj_t);
extern int bgl_uv_write2(BgL_uvhandlez00_bglt, char *, long, long, obj_t, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_z62cb1874z62zz__libuv_netz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2getaddrinfozd2zz__libuv_netz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62cb1875z62zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62cb1876z62zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl__uvzd2streamzd2write2z00zz__libuv_netz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2setzd2ttlzd2zz__libuv_netz00(BgL_uvudpz00_bglt, int);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2setzd2multicastzd2ttlz00zz__libuv_netz00(BgL_uvudpz00_bglt, int);
BGL_EXPORTED_DECL obj_t BGl_uvzd2streamzd2readzd2stopzd2zz__libuv_netz00(BgL_uvstreamz00_bglt);
extern obj_t BGl_UvStreamz00zz__libuv_typesz00;
static obj_t BGl_z62z52uvzd2initzd2UvTty1142z30zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2tcpzd2nodelayz62zz__libuv_netz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2acceptzb0zz__libuv_netz00(obj_t, obj_t, obj_t);
extern obj_t BGl_UvTcpz00zz__libuv_typesz00;
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
static obj_t BGl_tcpzd2serverszd2zz__libuv_netz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2getsocknamez00zz__libuv_netz00(BgL_uvudpz00_bglt);
static obj_t BGl_z62uvzd2closezd2UvTcp1237z62zz__libuv_netz00(obj_t, obj_t, obj_t);
extern uv_udp_t * bgl_uv_udp_create(uv_loop_t *, obj_t);
static obj_t BGl__uvzd2streamzd2readzd2startzd2zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl__uvzd2udpzd2bindz00zz__libuv_netz00(obj_t, obj_t);
extern int bgl_uv_listen(BgL_uvstreamz00_bglt, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_netz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_handlez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern int bgl_uv_udp_send(uv_udp_t *, obj_t, long, long, long, char *, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL bool_t BGl_uvzd2closingzf3z21zz__libuv_netz00(BgL_uvstreamz00_bglt);
static obj_t BGl_z62uvzd2udpzd2setzd2multicastzd2loopz62zz__libuv_netz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04callbackza31860ze3ze5zz__libuv_netz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2streamzd2writez00zz__libuv_netz00(BgL_uvstreamz00_bglt, obj_t, long, long, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_uvzd2readablezf3z21zz__libuv_netz00(BgL_uvstreamz00_bglt);
extern obj_t BGl_UvUdpz00zz__libuv_typesz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2recvzd2startzd2zz__libuv_netz00(BgL_uvudpz00_bglt, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_uvzd2streamzd2fdz00zz__libuv_netz00(BgL_uvstreamz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2tcpzd2openz00zz__libuv_netz00(BgL_uvtcpz00_bglt, int);
BGL_EXPORTED_DECL obj_t BGl_uvzd2acceptzd2zz__libuv_netz00(BgL_uvstreamz00_bglt, BgL_uvstreamz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2bindz00zz__libuv_netz00(BgL_uvudpz00_bglt, obj_t, int, int, int);
BGL_EXPORTED_DECL int BGl_uvzd2udpzd2recvzd2stopzd2zz__libuv_netz00(BgL_uvudpz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2setzd2membershipzd2zz__libuv_netz00(BgL_uvudpz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__libuv_netz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_netz00(void);
static obj_t BGl_z62z52uvzd2initzd2UvTcp1138z30zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_netz00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2streamzd2write2z00zz__libuv_netz00(BgL_uvstreamz00_bglt, obj_t, long, long, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_netz00(void);
BGL_EXPORTED_DECL long BGl_uvzd2streamzd2writezd2queuezd2siza7eza7zz__libuv_netz00(BgL_uvstreamz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2tcpzd2nodelayz00zz__libuv_netz00(BgL_uvtcpz00_bglt, bool_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2tcpzd2getsocknamez00zz__libuv_netz00(BgL_uvtcpz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2udpzd2setzd2multicastzd2loopz00zz__libuv_netz00(BgL_uvudpz00_bglt, bool_t);
static obj_t BGl_udpzd2mutexzd2zz__libuv_netz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_uvzd2streamzd2shutdownz00zz__libuv_netz00(BgL_uvstreamz00_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04callbackza31864ze3ze5zz__libuv_netz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_uvzd2writablezf3z21zz__libuv_netz00(BgL_uvstreamz00_bglt);
static obj_t BGl_z62uvzd2streamzd2writezd2queuezd2siza7ezc5zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2udpzd2setzd2membershipzb0zz__libuv_netz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04callbackza31866ze3ze5zz__libuv_netz00(obj_t);
extern obj_t bgl_uv_tcp_getpeername(uv_tcp_t *);
extern int bgl_uv_tcp_bind(uv_tcp_t *, char *, int, int);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2closingzf3z43zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2udpzd2recvzd2stopzb0zz__libuv_netz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2ttyzd2getzd2windowzd2siza7eza7zz__libuv_netz00(BgL_uvttyz00_bglt);
static obj_t BGl_z62uvzd2tcpzd2openz62zz__libuv_netz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl__uvzd2udpzd2sendz00zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2tcpzd2getpeernamez62zz__libuv_netz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2closezd2UvUdp1249z62zz__libuv_netz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2streamzd2readzd2startzd2zz__libuv_netz00(BgL_uvstreamz00_bglt, obj_t, obj_t, obj_t);
extern obj_t bgl_uv_inet_pton(char *, int);
extern int bgl_uv_udp_recv_start(BgL_uvhandlez00_bglt, obj_t, obj_t, BgL_uvloopz00_bglt);
static obj_t __cnst[ 9 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2bindzd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2udpza7d2bind1962z00, opt_generic_entry, BGl__uvzd2udpzd2bindz00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2setzd2membershipzd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2se1963za7, BGl_z62uvzd2udpzd2setzd2membershipzb0zz__libuv_netz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2connectzd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2tcpza7d2conn1964z00, opt_generic_entry, BGl__uvzd2tcpzd2connectz00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2writezd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2streamza7d2w1965z00, opt_generic_entry, BGl__uvzd2streamzd2writez00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2listenzd2envz00zz__libuv_netz00, BgL_bgl__uvza7d2listenza7d2za71966za7, opt_generic_entry, BGl__uvzd2listenzd2zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2setzd2multicastzd2loopzd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2se1967za7, BGl_z62uvzd2udpzd2setzd2multicastzd2loopz62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2setzd2multicastzd2ttlzd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2se1968za7, BGl_z62uvzd2udpzd2setzd2multicastzd2ttlz62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2ttyzd2getzd2windowzd2siza7ezd2envz75zz__libuv_netz00, BgL_bgl_za762uvza7d2ttyza7d2ge1969za7, BGl_z62uvzd2ttyzd2getzd2windowzd2siza7ezc5zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2keepalivezd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2tcpza7d2ke1970za7, BGl_z62uvzd2tcpzd2keepalivez62zz__libuv_netz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2getaddrinfozd2envz00zz__libuv_netz00, BgL_bgl__uvza7d2getaddrinf1971za7, opt_generic_entry, BGl__uvzd2getaddrinfozd2zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2getsocknamezd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2tcpza7d2ge1972za7, BGl_z62uvzd2tcpzd2getsocknamez62zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2closingzf3zd2envzf3zz__libuv_netz00, BgL_bgl_za762uvza7d2closingza71973za7, BGl_z62uvzd2closingzf3z43zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2shutdownzd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2streamza7d2s1974z00, opt_generic_entry, BGl__uvzd2streamzd2shutdownz00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2bindzd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2tcpza7d2bind1975z00, opt_generic_entry, BGl__uvzd2tcpzd2bindz00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2openzd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2tcpza7d2op1976za7, BGl_z62uvzd2tcpzd2openz62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2getsocknamezd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2ge1977za7, BGl_z62uvzd2udpzd2getsocknamez62zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2write2zd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2streamza7d2w1978z00, opt_generic_entry, BGl__uvzd2streamzd2write2z00zz__libuv_netz00, BFALSE, -1 );
extern obj_t BGl_z52uvzd2initzd2envz52zz__libuv_typesz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2writezd2queuezd2siza7ezd2envz75zz__libuv_netz00, BgL_bgl_za762uvza7d2streamza7d1979za7, BGl_z62uvzd2streamzd2writezd2queuezd2siza7ezc5zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2getpeernamezd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2tcpza7d2ge1980za7, BGl_z62uvzd2tcpzd2getpeernamez62zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2readzd2stopzd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2streamza7d1981za7, BGl_z62uvzd2streamzd2readzd2stopzb0zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2readablezf3zd2envzf3zz__libuv_netz00, BgL_bgl_za762uvza7d2readable1982z00, BGl_z62uvzd2readablezf3z43zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1947z00zz__libuv_netz00, BgL_bgl_string1947za700za7za7_1983za7, "uv-getaddrinfo", 14 );
DEFINE_STRING( BGl_string1948z00zz__libuv_netz00, BgL_bgl_string1948za700za7za7_1984za7, "at least one of node or service must be a string", 48 );
DEFINE_STRING( BGl_string1949z00zz__libuv_netz00, BgL_bgl_string1949za700za7za7_1985za7, "uv-tty-mode", 11 );
DEFINE_STRING( BGl_string1950z00zz__libuv_netz00, BgL_bgl_string1950za700za7za7_1986za7, "bad mode", 8 );
DEFINE_STRING( BGl_string1952z00zz__libuv_netz00, BgL_bgl_string1952za700za7za7_1987za7, "%uv-init", 8 );
DEFINE_STRING( BGl_string1956z00zz__libuv_netz00, BgL_bgl_string1956za700za7za7_1988za7, "uv-close", 8 );
DEFINE_STRING( BGl_string1959z00zz__libuv_netz00, BgL_bgl_string1959za700za7za7_1989za7, "__libuv_net", 11 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2setzd2broadcastzd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2se1990za7, BGl_z62uvzd2udpzd2setzd2broadcastzb0zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1951z00zz__libuv_netz00, BgL_bgl_za762za752uvza7d2initza71991z00, BGl_z62z52uvzd2initzd2UvTcp1138z30zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1953z00zz__libuv_netz00, BgL_bgl_za762za752uvza7d2initza71992z00, BGl_z62z52uvzd2initzd2UvUdp1140z30zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1960z00zz__libuv_netz00, BgL_bgl_string1960za700za7za7_1993za7, "raw normal join-group :flags :onalloc :loop :family :callback mutex ", 68 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1954z00zz__libuv_netz00, BgL_bgl_za762za752uvza7d2initza71994z00, BGl_z62z52uvzd2initzd2UvTty1142z30zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1955z00zz__libuv_netz00, BgL_bgl_za762uvza7d2closeza7d21995za7, BGl_z62uvzd2closezd2UvStream1144z62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1957z00zz__libuv_netz00, BgL_bgl_za762uvza7d2closeza7d21996za7, BGl_z62uvzd2closezd2UvTcp1237z62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1958z00zz__libuv_netz00, BgL_bgl_za762uvza7d2closeza7d21997za7, BGl_z62uvzd2closezd2UvUdp1249z62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2simultaneouszd2acceptszd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2tcpza7d2si1998za7, BGl_z62uvzd2tcpzd2simultaneouszd2acceptszb0zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2acceptzd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2acceptza7b1999za7, BGl_z62uvzd2acceptzb0zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2tcpzd2nodelayzd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2tcpza7d2no2000za7, BGl_z62uvzd2tcpzd2nodelayz62zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2recvzd2startzd2envz00zz__libuv_netz00, BgL_bgl__uvza7d2udpza7d2recv2001z00, opt_generic_entry, BGl__uvzd2udpzd2recvzd2startzd2zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2recvzd2stopzd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2re2002za7, BGl_z62uvzd2udpzd2recvzd2stopzb0zz__libuv_netz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_uvzd2closezd2envz00zz__libuv_handlez00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2ttyzd2modezd2setz12zd2envz12zz__libuv_netz00, BgL_bgl_za762uvza7d2ttyza7d2mo2003za7, BGl_z62uvzd2ttyzd2modezd2setz12za2zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2setzd2ttlzd2envz00zz__libuv_netz00, BgL_bgl_za762uvza7d2udpza7d2se2004za7, BGl_z62uvzd2udpzd2setzd2ttlzb0zz__libuv_netz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2writablezf3zd2envzf3zz__libuv_netz00, BgL_bgl_za762uvza7d2writable2005z00, BGl_z62uvzd2writablezf3z43zz__libuv_netz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2readzd2startzd2envz00zz__libuv_netz00, BgL_bgl__uvza7d2streamza7d2r2006z00, opt_generic_entry, BGl__uvzd2streamzd2readzd2startzd2zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2inetzd2ptonzd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2inetza7d2pto2007z00, opt_generic_entry, BGl__uvzd2inetzd2ptonz00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2udpzd2sendzd2envzd2zz__libuv_netz00, BgL_bgl__uvza7d2udpza7d2send2008z00, opt_generic_entry, BGl__uvzd2udpzd2sendz00zz__libuv_netz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2streamzd2fdzd2envzd2zz__libuv_netz00, BgL_bgl_za762uvza7d2streamza7d2009za7, BGl_z62uvzd2streamzd2fdz62zz__libuv_netz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_netz00) );
ADD_ROOT( (void *)(&BGl_udpzd2serverszd2zz__libuv_netz00) );
ADD_ROOT( (void *)(&BGl_tcpzd2mutexzd2zz__libuv_netz00) );
ADD_ROOT( (void *)(&BGl_tcpzd2serverszd2zz__libuv_netz00) );
ADD_ROOT( (void *)(&BGl_udpzd2mutexzd2zz__libuv_netz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_netz00(long BgL_checksumz00_1469, char * BgL_fromz00_1470)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_netz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_netz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_netz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_netz00(); 
BGl_cnstzd2initzd2zz__libuv_netz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_netz00(); 
BGl_methodzd2initzd2zz__libuv_netz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_netz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_netz00(void)
{
{ /* Llib/net.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__libuv_net"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__libuv_net"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_netz00(void)
{
{ /* Llib/net.scm 15 */
{ /* Llib/net.scm 15 */
 obj_t BgL_cportz00_1427;
{ /* Llib/net.scm 15 */
 obj_t BgL_stringz00_1434;
BgL_stringz00_1434 = BGl_string1960z00zz__libuv_netz00; 
{ /* Llib/net.scm 15 */
 obj_t BgL_startz00_1435;
BgL_startz00_1435 = 
BINT(((long)0)); 
{ /* Llib/net.scm 15 */
 obj_t BgL_endz00_1436;
BgL_endz00_1436 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1434))); 
{ /* Llib/net.scm 15 */

BgL_cportz00_1427 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1434, BgL_startz00_1435, BgL_endz00_1436); } } } } 
{ 
 long BgL_iz00_1428;
BgL_iz00_1428 = ((long)8); 
BgL_loopz00_1429:
if(
(BgL_iz00_1428==((long)-1)))
{ /* Llib/net.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/net.scm 15 */
{ /* Llib/net.scm 15 */
 obj_t BgL_arg1961z00_1430;
{ /* Llib/net.scm 15 */

{ /* Llib/net.scm 15 */
 obj_t BgL_locationz00_1432;
BgL_locationz00_1432 = 
BBOOL(((bool_t)0)); 
{ /* Llib/net.scm 15 */

BgL_arg1961z00_1430 = 
BGl_readz00zz__readerz00(BgL_cportz00_1427, BgL_locationz00_1432); } } } 
{ /* Llib/net.scm 15 */
 int BgL_tmpz00_1501;
BgL_tmpz00_1501 = 
(int)(BgL_iz00_1428); 
CNST_TABLE_SET(BgL_tmpz00_1501, BgL_arg1961z00_1430); } } 
{ /* Llib/net.scm 15 */
 int BgL_auxz00_1433;
BgL_auxz00_1433 = 
(int)(
(BgL_iz00_1428-((long)1))); 
{ 
 long BgL_iz00_1506;
BgL_iz00_1506 = 
(long)(BgL_auxz00_1433); 
BgL_iz00_1428 = BgL_iz00_1506; 
goto BgL_loopz00_1429;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_netz00(void)
{
{ /* Llib/net.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_netz00(void)
{
{ /* Llib/net.scm 15 */
BGl_tcpzd2serverszd2zz__libuv_netz00 = BNIL; 
{ /* Llib/net.scm 268 */

{ /* Llib/net.scm 268 */
 obj_t BgL_namez00_139;
BgL_namez00_139 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)0))); 
{ /* Llib/net.scm 268 */

BGl_tcpzd2mutexzd2zz__libuv_netz00 = 
bgl_make_mutex(BgL_namez00_139); } } } 
BGl_udpzd2serverszd2zz__libuv_netz00 = BNIL; 
{ /* Llib/net.scm 340 */

{ /* Llib/net.scm 340 */
 obj_t BgL_namez00_140;
BgL_namez00_140 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)0))); 
{ /* Llib/net.scm 340 */

BGl_udpzd2mutexzd2zz__libuv_netz00 = 
bgl_make_mutex(BgL_namez00_140); } } } 
return BUNSPEC;} 

}



/* _uv-getaddrinfo */
obj_t BGl__uvzd2getaddrinfozd2zz__libuv_netz00(obj_t BgL_env1146z00_16, obj_t BgL_opt1145z00_15)
{
{ /* Llib/net.scm 118 */
{ /* Llib/net.scm 118 */
 obj_t BgL_g1154z00_153; obj_t BgL_servicez00_154;
BgL_g1154z00_153 = 
VECTOR_REF(BgL_opt1145z00_15,((long)0)); 
BgL_servicez00_154 = 
VECTOR_REF(BgL_opt1145z00_15,((long)1)); 
{ /* Llib/net.scm 118 */
 obj_t BgL_callbackz00_155;
BgL_callbackz00_155 = BFALSE; 
{ /* Llib/net.scm 118 */
 obj_t BgL_familyz00_156;
BgL_familyz00_156 = 
BINT(((long)0)); 
{ /* Llib/net.scm 119 */
 obj_t BgL_loopz00_157;
BgL_loopz00_157 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 118 */

{ /* Llib/net.scm 118 */
 long BgL_index1151z00_158;
{ 
 long BgL_iz00_594;
BgL_iz00_594 = ((long)2); 
BgL_search1148z00_593:
if(
(BgL_iz00_594==
VECTOR_LENGTH(BgL_opt1145z00_15)))
{ /* Llib/net.scm 118 */
BgL_index1151z00_158 = ((long)-1); }  else 
{ /* Llib/net.scm 118 */
 obj_t BgL_vz00_598;
BgL_vz00_598 = 
VECTOR_REF(BgL_opt1145z00_15,BgL_iz00_594); 
if(
(BgL_vz00_598==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 118 */
BgL_index1151z00_158 = 
(BgL_iz00_594+((long)1)); }  else 
{ 
 long BgL_iz00_1528;
BgL_iz00_1528 = 
(BgL_iz00_594+((long)2)); 
BgL_iz00_594 = BgL_iz00_1528; 
goto BgL_search1148z00_593;} } } 
if(
(BgL_index1151z00_158>=((long)0)))
{ /* Llib/net.scm 118 */
BgL_callbackz00_155 = 
VECTOR_REF(BgL_opt1145z00_15,BgL_index1151z00_158); }  else 
{ /* Llib/net.scm 118 */BFALSE; } } 
{ /* Llib/net.scm 118 */
 long BgL_index1152z00_160;
{ 
 long BgL_iz00_604;
BgL_iz00_604 = ((long)2); 
BgL_search1148z00_603:
if(
(BgL_iz00_604==
VECTOR_LENGTH(BgL_opt1145z00_15)))
{ /* Llib/net.scm 118 */
BgL_index1152z00_160 = ((long)-1); }  else 
{ /* Llib/net.scm 118 */
 obj_t BgL_vz00_608;
BgL_vz00_608 = 
VECTOR_REF(BgL_opt1145z00_15,BgL_iz00_604); 
if(
(BgL_vz00_608==
CNST_TABLE_REF(((long)2))))
{ /* Llib/net.scm 118 */
BgL_index1152z00_160 = 
(BgL_iz00_604+((long)1)); }  else 
{ 
 long BgL_iz00_1541;
BgL_iz00_1541 = 
(BgL_iz00_604+((long)2)); 
BgL_iz00_604 = BgL_iz00_1541; 
goto BgL_search1148z00_603;} } } 
if(
(BgL_index1152z00_160>=((long)0)))
{ /* Llib/net.scm 118 */
BgL_familyz00_156 = 
VECTOR_REF(BgL_opt1145z00_15,BgL_index1152z00_160); }  else 
{ /* Llib/net.scm 118 */BFALSE; } } 
{ /* Llib/net.scm 118 */
 long BgL_index1153z00_162;
{ 
 long BgL_iz00_614;
BgL_iz00_614 = ((long)2); 
BgL_search1148z00_613:
if(
(BgL_iz00_614==
VECTOR_LENGTH(BgL_opt1145z00_15)))
{ /* Llib/net.scm 118 */
BgL_index1153z00_162 = ((long)-1); }  else 
{ /* Llib/net.scm 118 */
 obj_t BgL_vz00_618;
BgL_vz00_618 = 
VECTOR_REF(BgL_opt1145z00_15,BgL_iz00_614); 
if(
(BgL_vz00_618==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 118 */
BgL_index1153z00_162 = 
(BgL_iz00_614+((long)1)); }  else 
{ 
 long BgL_iz00_1554;
BgL_iz00_1554 = 
(BgL_iz00_614+((long)2)); 
BgL_iz00_614 = BgL_iz00_1554; 
goto BgL_search1148z00_613;} } } 
if(
(BgL_index1153z00_162>=((long)0)))
{ /* Llib/net.scm 118 */
BgL_loopz00_157 = 
VECTOR_REF(BgL_opt1145z00_15,BgL_index1153z00_162); }  else 
{ /* Llib/net.scm 118 */BFALSE; } } 
{ /* Llib/net.scm 118 */
 obj_t BgL_arg1330z00_164; obj_t BgL_arg1331z00_165;
BgL_arg1330z00_164 = 
VECTOR_REF(BgL_opt1145z00_15,((long)0)); 
BgL_arg1331z00_165 = 
VECTOR_REF(BgL_opt1145z00_15,((long)1)); 
{ /* Llib/net.scm 118 */
 obj_t BgL_callbackz00_166;
BgL_callbackz00_166 = BgL_callbackz00_155; 
{ /* Llib/net.scm 118 */
 obj_t BgL_familyz00_167;
BgL_familyz00_167 = BgL_familyz00_156; 
return 
BGl_uvzd2getaddrinfozd2zz__libuv_netz00(BgL_arg1330z00_164, BgL_arg1331z00_165, BgL_callbackz00_166, BgL_familyz00_167, BgL_loopz00_157);} } } } } } } } } 

}



/* uv-getaddrinfo */
BGL_EXPORTED_DEF obj_t BGl_uvzd2getaddrinfozd2zz__libuv_netz00(obj_t BgL_nodez00_10, obj_t BgL_servicez00_11, obj_t BgL_callbackz00_12, obj_t BgL_familyz00_13, obj_t BgL_loopz00_14)
{
{ /* Llib/net.scm 118 */
if(
STRINGP(BgL_servicez00_11))
{ /* Llib/net.scm 121 */
return 
BINT(
bgl_uv_getaddrinfo(
BSTRING_TO_STRING(BgL_nodez00_10), 
BSTRING_TO_STRING(BgL_servicez00_11), 
CINT(BgL_familyz00_13), BgL_callbackz00_12, 
((BgL_uvloopz00_bglt)BgL_loopz00_14)));}  else 
{ /* Llib/net.scm 123 */
 bool_t BgL_test2022z00_1570;
if(
CBOOL(BgL_servicez00_11))
{ /* Llib/net.scm 123 */
BgL_test2022z00_1570 = ((bool_t)0)
; }  else 
{ /* Llib/net.scm 123 */
BgL_test2022z00_1570 = ((bool_t)1)
; } 
if(BgL_test2022z00_1570)
{ /* Llib/net.scm 123 */
return 
BINT(
bgl_uv_getaddrinfo(
BSTRING_TO_STRING(BgL_nodez00_10), 0L, 
CINT(BgL_familyz00_13), BgL_callbackz00_12, 
((BgL_uvloopz00_bglt)BgL_loopz00_14)));}  else 
{ /* Llib/net.scm 130 */
 obj_t BgL_arg1351z00_177;
BgL_arg1351z00_177 = 
MAKE_YOUNG_PAIR(BgL_nodez00_10, BgL_servicez00_11); 
return 
BGl_errorz00zz__errorz00(BGl_string1947z00zz__libuv_netz00, BGl_string1948z00zz__libuv_netz00, BgL_arg1351z00_177);} } } 

}



/* _uv-inet-pton */
obj_t BGl__uvzd2inetzd2ptonz00zz__libuv_netz00(obj_t BgL_env1156z00_20, obj_t BgL_opt1155z00_19)
{
{ /* Llib/net.scm 135 */
{ /* Llib/net.scm 135 */
 obj_t BgL_g1162z00_184;
BgL_g1162z00_184 = 
VECTOR_REF(BgL_opt1155z00_19,((long)0)); 
{ /* Llib/net.scm 135 */
 obj_t BgL_familyz00_185;
BgL_familyz00_185 = 
BINT(((long)4)); 
{ /* Llib/net.scm 135 */

{ /* Llib/net.scm 135 */
 long BgL_index1161z00_186;
{ 
 long BgL_iz00_629;
BgL_iz00_629 = ((long)1); 
BgL_search1158z00_628:
if(
(BgL_iz00_629==
VECTOR_LENGTH(BgL_opt1155z00_19)))
{ /* Llib/net.scm 135 */
BgL_index1161z00_186 = ((long)-1); }  else 
{ /* Llib/net.scm 135 */
 obj_t BgL_vz00_633;
BgL_vz00_633 = 
VECTOR_REF(BgL_opt1155z00_19,BgL_iz00_629); 
if(
(BgL_vz00_633==
CNST_TABLE_REF(((long)2))))
{ /* Llib/net.scm 135 */
BgL_index1161z00_186 = 
(BgL_iz00_629+((long)1)); }  else 
{ 
 long BgL_iz00_1590;
BgL_iz00_1590 = 
(BgL_iz00_629+((long)2)); 
BgL_iz00_629 = BgL_iz00_1590; 
goto BgL_search1158z00_628;} } } 
if(
(BgL_index1161z00_186>=((long)0)))
{ /* Llib/net.scm 135 */
BgL_familyz00_185 = 
VECTOR_REF(BgL_opt1155z00_19,BgL_index1161z00_186); }  else 
{ /* Llib/net.scm 135 */BFALSE; } } 
{ /* Llib/net.scm 135 */
 obj_t BgL_arg1354z00_188;
BgL_arg1354z00_188 = 
VECTOR_REF(BgL_opt1155z00_19,((long)0)); 
{ /* Llib/net.scm 135 */
 obj_t BgL_familyz00_189;
BgL_familyz00_189 = BgL_familyz00_185; 
return 
bgl_uv_inet_pton(
BSTRING_TO_STRING(
((obj_t)BgL_arg1354z00_188)), 
CINT(BgL_familyz00_189));} } } } } } 

}



/* uv-inet-pton */
BGL_EXPORTED_DEF obj_t BGl_uvzd2inetzd2ptonz00zz__libuv_netz00(obj_t BgL_addrz00_17, obj_t BgL_familyz00_18)
{
{ /* Llib/net.scm 135 */
return 
bgl_uv_inet_pton(
BSTRING_TO_STRING(BgL_addrz00_17), 
CINT(BgL_familyz00_18));} 

}



/* uv-stream-write-queue-size */
BGL_EXPORTED_DEF long BGl_uvzd2streamzd2writezd2queuezd2siza7eza7zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_oz00_21)
{
{ /* Llib/net.scm 141 */
{ /* Llib/net.scm 143 */
 uv_stream_t * BgL_arg1358z00_640;
{ /* Llib/net.scm 143 */
 uv_handle_t * BgL_arg1360z00_641;
BgL_arg1360z00_641 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_21)))->BgL_z42builtinz42); 
BgL_arg1358z00_640 = 
(uv_stream_t *)(BgL_arg1360z00_641); } 
return 
(BgL_arg1358z00_640->write_queue_size);} } 

}



/* &uv-stream-write-queue-size */
obj_t BGl_z62uvzd2streamzd2writezd2queuezd2siza7ezc5zz__libuv_netz00(obj_t BgL_envz00_1303, obj_t BgL_oz00_1304)
{
{ /* Llib/net.scm 141 */
return 
BINT(
BGl_uvzd2streamzd2writezd2queuezd2siza7eza7zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_oz00_1304)));} 

}



/* uv-stream-fd */
BGL_EXPORTED_DEF long BGl_uvzd2streamzd2fdz00zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_oz00_22)
{
{ /* Llib/net.scm 148 */
{ /* Llib/net.scm 150 */
 bool_t BgL_test2027z00_1610;
{ /* Llib/net.scm 150 */
 obj_t BgL_classz00_642;
BgL_classz00_642 = BGl_UvUdpz00zz__libuv_typesz00; 
{ /* Llib/net.scm 150 */
 BgL_objectz00_bglt BgL_arg1793z00_644;
{ /* Llib/net.scm 150 */
 obj_t BgL_tmpz00_1611;
BgL_tmpz00_1611 = 
((obj_t)BgL_oz00_22); 
BgL_arg1793z00_644 = 
(BgL_objectz00_bglt)(BgL_tmpz00_1611); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/net.scm 150 */
 long BgL_idxz00_650;
BgL_idxz00_650 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_644); 
BgL_test2027z00_1610 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_650+((long)4)))==BgL_classz00_642); }  else 
{ /* Llib/net.scm 150 */
 bool_t BgL_res1873z00_672;
{ /* Llib/net.scm 150 */
 obj_t BgL_oclassz00_658;
{ /* Llib/net.scm 150 */
 long BgL_arg1801z00_664;
{ /* Llib/net.scm 150 */
 long BgL_arg1802z00_665;
BgL_arg1802z00_665 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_644); 
BgL_arg1801z00_664 = 
(BgL_arg1802z00_665-OBJECT_TYPE); } 
BgL_oclassz00_658 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_664); } 
{ /* Llib/net.scm 150 */
 bool_t BgL__ortest_1110z00_659;
BgL__ortest_1110z00_659 = 
(BgL_classz00_642==BgL_oclassz00_658); 
if(BgL__ortest_1110z00_659)
{ /* Llib/net.scm 150 */
BgL_res1873z00_672 = BgL__ortest_1110z00_659; }  else 
{ /* Llib/net.scm 150 */
 long BgL_odepthz00_660;
BgL_odepthz00_660 = 
BGL_CLASS_DEPTH(BgL_oclassz00_658); 
if(
(((long)4)<BgL_odepthz00_660))
{ /* Llib/net.scm 150 */
 obj_t BgL_arg1790z00_662;
BgL_arg1790z00_662 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_658, ((long)4)); 
BgL_res1873z00_672 = 
(BgL_arg1790z00_662==BgL_classz00_642); }  else 
{ /* Llib/net.scm 150 */
BgL_res1873z00_672 = ((bool_t)0); } } } } 
BgL_test2027z00_1610 = BgL_res1873z00_672; } } } 
if(BgL_test2027z00_1610)
{ /* Llib/net.scm 151 */
 uv_udp_t * BgL_arg1363z00_198;
{ /* Llib/net.scm 151 */
 uv_handle_t * BgL_arg1364z00_199;
BgL_arg1364z00_199 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_22)))->BgL_z42builtinz42); 
BgL_arg1363z00_198 = 
(uv_udp_t *)(BgL_arg1364z00_199); } 
return 
(BgL_arg1363z00_198->io_watcher.fd);}  else 
{ /* Llib/net.scm 152 */
 uv_stream_t * BgL_arg1365z00_200;
{ /* Llib/net.scm 152 */
 uv_handle_t * BgL_arg1374z00_201;
BgL_arg1374z00_201 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_22)))->BgL_z42builtinz42); 
BgL_arg1365z00_200 = 
(uv_stream_t *)(BgL_arg1374z00_201); } 
return 
(BgL_arg1365z00_200->io_watcher.fd);} } } 

}



/* &uv-stream-fd */
obj_t BGl_z62uvzd2streamzd2fdz62zz__libuv_netz00(obj_t BgL_envz00_1305, obj_t BgL_oz00_1306)
{
{ /* Llib/net.scm 148 */
return 
BINT(
BGl_uvzd2streamzd2fdz00zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_oz00_1306)));} 

}



/* _uv-stream-write */
obj_t BGl__uvzd2streamzd2writez00zz__libuv_netz00(obj_t BgL_env1164z00_30, obj_t BgL_opt1163z00_29)
{
{ /* Llib/net.scm 157 */
{ /* Llib/net.scm 157 */
 obj_t BgL_g1172z00_206; obj_t BgL_g1173z00_207; obj_t BgL_g1174z00_208; obj_t BgL_g1175z00_209;
BgL_g1172z00_206 = 
VECTOR_REF(BgL_opt1163z00_29,((long)0)); 
BgL_g1173z00_207 = 
VECTOR_REF(BgL_opt1163z00_29,((long)1)); 
BgL_g1174z00_208 = 
VECTOR_REF(BgL_opt1163z00_29,((long)2)); 
BgL_g1175z00_209 = 
VECTOR_REF(BgL_opt1163z00_29,((long)3)); 
{ /* Llib/net.scm 157 */
 obj_t BgL_callbackz00_210;
BgL_callbackz00_210 = BFALSE; 
{ /* Llib/net.scm 157 */
 obj_t BgL_loopz00_211;
BgL_loopz00_211 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 157 */

{ /* Llib/net.scm 157 */
 long BgL_index1169z00_212;
{ 
 long BgL_iz00_679;
BgL_iz00_679 = ((long)4); 
BgL_search1166z00_678:
if(
(BgL_iz00_679==
VECTOR_LENGTH(BgL_opt1163z00_29)))
{ /* Llib/net.scm 157 */
BgL_index1169z00_212 = ((long)-1); }  else 
{ /* Llib/net.scm 157 */
 obj_t BgL_vz00_683;
BgL_vz00_683 = 
VECTOR_REF(BgL_opt1163z00_29,BgL_iz00_679); 
if(
(BgL_vz00_683==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 157 */
BgL_index1169z00_212 = 
(BgL_iz00_679+((long)1)); }  else 
{ 
 long BgL_iz00_1655;
BgL_iz00_1655 = 
(BgL_iz00_679+((long)2)); 
BgL_iz00_679 = BgL_iz00_1655; 
goto BgL_search1166z00_678;} } } 
if(
(BgL_index1169z00_212>=((long)0)))
{ /* Llib/net.scm 157 */
BgL_callbackz00_210 = 
VECTOR_REF(BgL_opt1163z00_29,BgL_index1169z00_212); }  else 
{ /* Llib/net.scm 157 */BFALSE; } } 
{ /* Llib/net.scm 157 */
 long BgL_index1170z00_214;
{ 
 long BgL_iz00_689;
BgL_iz00_689 = ((long)4); 
BgL_search1166z00_688:
if(
(BgL_iz00_689==
VECTOR_LENGTH(BgL_opt1163z00_29)))
{ /* Llib/net.scm 157 */
BgL_index1170z00_214 = ((long)-1); }  else 
{ /* Llib/net.scm 157 */
 obj_t BgL_vz00_693;
BgL_vz00_693 = 
VECTOR_REF(BgL_opt1163z00_29,BgL_iz00_689); 
if(
(BgL_vz00_693==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 157 */
BgL_index1170z00_214 = 
(BgL_iz00_689+((long)1)); }  else 
{ 
 long BgL_iz00_1668;
BgL_iz00_1668 = 
(BgL_iz00_689+((long)2)); 
BgL_iz00_689 = BgL_iz00_1668; 
goto BgL_search1166z00_688;} } } 
if(
(BgL_index1170z00_214>=((long)0)))
{ /* Llib/net.scm 157 */
BgL_loopz00_211 = 
VECTOR_REF(BgL_opt1163z00_29,BgL_index1170z00_214); }  else 
{ /* Llib/net.scm 157 */BFALSE; } } 
{ /* Llib/net.scm 157 */
 obj_t BgL_arg1377z00_216; obj_t BgL_arg1380z00_217; obj_t BgL_arg1384z00_218; obj_t BgL_arg1385z00_219;
BgL_arg1377z00_216 = 
VECTOR_REF(BgL_opt1163z00_29,((long)0)); 
BgL_arg1380z00_217 = 
VECTOR_REF(BgL_opt1163z00_29,((long)1)); 
BgL_arg1384z00_218 = 
VECTOR_REF(BgL_opt1163z00_29,((long)2)); 
BgL_arg1385z00_219 = 
VECTOR_REF(BgL_opt1163z00_29,((long)3)); 
{ /* Llib/net.scm 157 */
 obj_t BgL_callbackz00_220;
BgL_callbackz00_220 = BgL_callbackz00_210; 
{ /* Llib/net.scm 157 */
 obj_t BgL_loopz00_221;
BgL_loopz00_221 = BgL_loopz00_211; 
{ /* Llib/net.scm 157 */
 long BgL_offsetz00_700; long BgL_lenz00_701;
BgL_offsetz00_700 = 
(long)CINT(BgL_arg1384z00_218); 
BgL_lenz00_701 = 
(long)CINT(BgL_arg1385z00_219); 
{ /* Llib/net.scm 161 */
 obj_t BgL_cbz00_1307;
BgL_cbz00_1307 = 
MAKE_FX_PROCEDURE(BGl_z62cbz62zz__libuv_netz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_cbz00_1307, 
(int)(((long)0)), 
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_216))); 
PROCEDURE_SET(BgL_cbz00_1307, 
(int)(((long)1)), BgL_callbackz00_220); 
PROCEDURE_SET(BgL_cbz00_1307, 
(int)(((long)2)), 
((obj_t)BgL_arg1380z00_217)); 
{ /* Llib/net.scm 164 */
 int BgL_rz00_704;
BgL_rz00_704 = 
bgl_uv_write(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_216)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1380z00_217)), BgL_offsetz00_700, BgL_lenz00_701, BgL_cbz00_1307, 
((BgL_uvloopz00_bglt)BgL_loopz00_221)); 
if(
(
(long)(BgL_rz00_704)==((long)0)))
{ /* Llib/net.scm 165 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_216))))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 166 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_216))))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_cbz00_1307, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_216))))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_216))))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 166 */
{ /* Llib/net.scm 166 */
 obj_t BgL_arg1869z00_711; obj_t BgL_arg1870z00_712;
BgL_arg1869z00_711 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_216))))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_712 = 
MAKE_YOUNG_PAIR(BgL_cbz00_1307, BNIL); 
{ /* Llib/net.scm 166 */
 obj_t BgL_tmpz00_1719;
BgL_tmpz00_1719 = 
((obj_t)BgL_arg1869z00_711); 
SET_CDR(BgL_tmpz00_1719, BgL_arg1870z00_712); } } 
{ 
 obj_t BgL_auxz00_1722;
{ /* Llib/net.scm 166 */
 obj_t BgL_pairz00_715;
BgL_pairz00_715 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_216))))->BgL_z52gcmarkstailz52); 
BgL_auxz00_1722 = 
CDR(BgL_pairz00_715); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1377z00_216))))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_1722),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 165 */BFALSE; } 
return 
BINT(BgL_rz00_704);} } } } } } } } } } } 

}



/* &cb */
obj_t BGl_z62cbz62zz__libuv_netz00(obj_t BgL_envz00_1308, obj_t BgL_statusz00_1312)
{
{ /* Llib/net.scm 158 */
{ /* Llib/net.scm 161 */
 BgL_uvstreamz00_bglt BgL_oz00_1309; obj_t BgL_callbackz00_1310; obj_t BgL_bufz00_1311;
BgL_oz00_1309 = 
((BgL_uvstreamz00_bglt)
PROCEDURE_REF(BgL_envz00_1308, 
(int)(((long)0)))); 
BgL_callbackz00_1310 = 
PROCEDURE_REF(BgL_envz00_1308, 
(int)(((long)1))); 
BgL_bufz00_1311 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1308, 
(int)(((long)2)))); 
if(
(BgL_bufz00_1311==BgL_envz00_1308))
{ /* Llib/net.scm 161 */
return BFALSE;}  else 
{ /* Llib/net.scm 161 */
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_oz00_1309), BgL_envz00_1308); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_callbackz00_1310))(BgL_callbackz00_1310, BgL_statusz00_1312, BEOA);} } } 

}



/* uv-stream-write */
BGL_EXPORTED_DEF obj_t BGl_uvzd2streamzd2writez00zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_oz00_23, obj_t BgL_bufz00_24, long BgL_offsetz00_25, long BgL_lenz00_26, obj_t BgL_callbackz00_27, obj_t BgL_loopz00_28)
{
{ /* Llib/net.scm 157 */
{ /* Llib/net.scm 161 */
 obj_t BgL_cbz00_1313;
BgL_cbz00_1313 = 
MAKE_FX_PROCEDURE(BGl_z62cb1874z62zz__libuv_netz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_cbz00_1313, 
(int)(((long)0)), 
((obj_t)BgL_oz00_23)); 
PROCEDURE_SET(BgL_cbz00_1313, 
(int)(((long)1)), BgL_callbackz00_27); 
PROCEDURE_SET(BgL_cbz00_1313, 
(int)(((long)2)), BgL_bufz00_24); 
{ /* Llib/net.scm 164 */
 int BgL_rz00_718;
BgL_rz00_718 = 
bgl_uv_write(
((BgL_uvhandlez00_bglt)BgL_oz00_23), 
BSTRING_TO_STRING(BgL_bufz00_24), BgL_offsetz00_25, BgL_lenz00_26, BgL_cbz00_1313, 
((BgL_uvloopz00_bglt)BgL_loopz00_28)); 
if(
(
(long)(BgL_rz00_718)==((long)0)))
{ /* Llib/net.scm 165 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 166 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_cbz00_1313, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 166 */
{ /* Llib/net.scm 166 */
 obj_t BgL_arg1869z00_725; obj_t BgL_arg1870z00_726;
BgL_arg1869z00_725 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_726 = 
MAKE_YOUNG_PAIR(BgL_cbz00_1313, BNIL); 
{ /* Llib/net.scm 166 */
 obj_t BgL_tmpz00_1778;
BgL_tmpz00_1778 = 
((obj_t)BgL_arg1869z00_725); 
SET_CDR(BgL_tmpz00_1778, BgL_arg1870z00_726); } } 
{ 
 obj_t BgL_auxz00_1781;
{ /* Llib/net.scm 166 */
 obj_t BgL_pairz00_729;
BgL_pairz00_729 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_1781 = 
CDR(BgL_pairz00_729); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_23)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_1781),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 165 */BFALSE; } 
return 
BINT(BgL_rz00_718);} } } 

}



/* &cb1874 */
obj_t BGl_z62cb1874z62zz__libuv_netz00(obj_t BgL_envz00_1314, obj_t BgL_statusz00_1318)
{
{ /* Llib/net.scm 158 */
{ /* Llib/net.scm 161 */
 BgL_uvstreamz00_bglt BgL_oz00_1315; obj_t BgL_callbackz00_1316; obj_t BgL_bufz00_1317;
BgL_oz00_1315 = 
((BgL_uvstreamz00_bglt)
PROCEDURE_REF(BgL_envz00_1314, 
(int)(((long)0)))); 
BgL_callbackz00_1316 = 
PROCEDURE_REF(BgL_envz00_1314, 
(int)(((long)1))); 
BgL_bufz00_1317 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1314, 
(int)(((long)2)))); 
if(
(BgL_bufz00_1317==BgL_envz00_1314))
{ /* Llib/net.scm 161 */
return BFALSE;}  else 
{ /* Llib/net.scm 161 */
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_oz00_1315), BgL_envz00_1314); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_callbackz00_1316))(BgL_callbackz00_1316, BgL_statusz00_1318, BEOA);} } } 

}



/* _uv-stream-write2 */
obj_t BGl__uvzd2streamzd2write2z00zz__libuv_netz00(obj_t BgL_env1177z00_39, obj_t BgL_opt1176z00_38)
{
{ /* Llib/net.scm 172 */
{ /* Llib/net.scm 172 */
 obj_t BgL_g1184z00_235; obj_t BgL_g1185z00_236; obj_t BgL_g1186z00_237; obj_t BgL_g1187z00_238; obj_t BgL_g1188z00_239;
BgL_g1184z00_235 = 
VECTOR_REF(BgL_opt1176z00_38,((long)0)); 
BgL_g1185z00_236 = 
VECTOR_REF(BgL_opt1176z00_38,((long)1)); 
BgL_g1186z00_237 = 
VECTOR_REF(BgL_opt1176z00_38,((long)2)); 
BgL_g1187z00_238 = 
VECTOR_REF(BgL_opt1176z00_38,((long)3)); 
BgL_g1188z00_239 = 
VECTOR_REF(BgL_opt1176z00_38,((long)4)); 
{ /* Llib/net.scm 172 */
 obj_t BgL_callbackz00_240;
BgL_callbackz00_240 = BFALSE; 
{ /* Llib/net.scm 172 */
 obj_t BgL_loopz00_241;
BgL_loopz00_241 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 172 */

{ /* Llib/net.scm 172 */
 long BgL_index1182z00_242;
{ 
 long BgL_iz00_736;
BgL_iz00_736 = ((long)5); 
BgL_search1179z00_735:
if(
(BgL_iz00_736==
VECTOR_LENGTH(BgL_opt1176z00_38)))
{ /* Llib/net.scm 172 */
BgL_index1182z00_242 = ((long)-1); }  else 
{ /* Llib/net.scm 172 */
 obj_t BgL_vz00_740;
BgL_vz00_740 = 
VECTOR_REF(BgL_opt1176z00_38,BgL_iz00_736); 
if(
(BgL_vz00_740==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 172 */
BgL_index1182z00_242 = 
(BgL_iz00_736+((long)1)); }  else 
{ 
 long BgL_iz00_1819;
BgL_iz00_1819 = 
(BgL_iz00_736+((long)2)); 
BgL_iz00_736 = BgL_iz00_1819; 
goto BgL_search1179z00_735;} } } 
if(
(BgL_index1182z00_242>=((long)0)))
{ /* Llib/net.scm 172 */
BgL_callbackz00_240 = 
VECTOR_REF(BgL_opt1176z00_38,BgL_index1182z00_242); }  else 
{ /* Llib/net.scm 172 */BFALSE; } } 
{ /* Llib/net.scm 172 */
 long BgL_index1183z00_244;
{ 
 long BgL_iz00_746;
BgL_iz00_746 = ((long)5); 
BgL_search1179z00_745:
if(
(BgL_iz00_746==
VECTOR_LENGTH(BgL_opt1176z00_38)))
{ /* Llib/net.scm 172 */
BgL_index1183z00_244 = ((long)-1); }  else 
{ /* Llib/net.scm 172 */
 obj_t BgL_vz00_750;
BgL_vz00_750 = 
VECTOR_REF(BgL_opt1176z00_38,BgL_iz00_746); 
if(
(BgL_vz00_750==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 172 */
BgL_index1183z00_244 = 
(BgL_iz00_746+((long)1)); }  else 
{ 
 long BgL_iz00_1832;
BgL_iz00_1832 = 
(BgL_iz00_746+((long)2)); 
BgL_iz00_746 = BgL_iz00_1832; 
goto BgL_search1179z00_745;} } } 
if(
(BgL_index1183z00_244>=((long)0)))
{ /* Llib/net.scm 172 */
BgL_loopz00_241 = 
VECTOR_REF(BgL_opt1176z00_38,BgL_index1183z00_244); }  else 
{ /* Llib/net.scm 172 */BFALSE; } } 
{ /* Llib/net.scm 172 */
 obj_t BgL_arg1460z00_246; obj_t BgL_arg1461z00_247; obj_t BgL_arg1547z00_248; obj_t BgL_arg1548z00_249; obj_t BgL_arg1567z00_250;
BgL_arg1460z00_246 = 
VECTOR_REF(BgL_opt1176z00_38,((long)0)); 
BgL_arg1461z00_247 = 
VECTOR_REF(BgL_opt1176z00_38,((long)1)); 
BgL_arg1547z00_248 = 
VECTOR_REF(BgL_opt1176z00_38,((long)2)); 
BgL_arg1548z00_249 = 
VECTOR_REF(BgL_opt1176z00_38,((long)3)); 
BgL_arg1567z00_250 = 
VECTOR_REF(BgL_opt1176z00_38,((long)4)); 
{ /* Llib/net.scm 172 */
 obj_t BgL_callbackz00_251;
BgL_callbackz00_251 = BgL_callbackz00_240; 
{ /* Llib/net.scm 172 */
 obj_t BgL_loopz00_252;
BgL_loopz00_252 = BgL_loopz00_241; 
{ /* Llib/net.scm 172 */
 long BgL_offsetz00_757; long BgL_lenz00_758;
BgL_offsetz00_757 = 
(long)CINT(BgL_arg1547z00_248); 
BgL_lenz00_758 = 
(long)CINT(BgL_arg1548z00_249); 
{ /* Llib/net.scm 176 */
 obj_t BgL_cbz00_1319;
BgL_cbz00_1319 = 
MAKE_FX_PROCEDURE(BGl_z62cb1875z62zz__libuv_netz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_cbz00_1319, 
(int)(((long)0)), 
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1460z00_246))); 
PROCEDURE_SET(BgL_cbz00_1319, 
(int)(((long)1)), BgL_callbackz00_251); 
PROCEDURE_SET(BgL_cbz00_1319, 
(int)(((long)2)), 
((obj_t)BgL_arg1461z00_247)); 
{ /* Llib/net.scm 179 */
 int BgL_rz00_761;
BgL_rz00_761 = 
bgl_uv_write2(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1460z00_246)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1461z00_247)), BgL_offsetz00_757, BgL_lenz00_758, BgL_arg1567z00_250, BgL_cbz00_1319, 
((BgL_uvloopz00_bglt)BgL_loopz00_252)); 
if(
(
(long)(BgL_rz00_761)==((long)0)))
{ /* Llib/net.scm 180 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1460z00_246))))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 181 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1460z00_246))))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_cbz00_1319, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1460z00_246))))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1460z00_246))))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 181 */
{ /* Llib/net.scm 181 */
 obj_t BgL_arg1869z00_768; obj_t BgL_arg1870z00_769;
BgL_arg1869z00_768 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1460z00_246))))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_769 = 
MAKE_YOUNG_PAIR(BgL_cbz00_1319, BNIL); 
{ /* Llib/net.scm 181 */
 obj_t BgL_tmpz00_1884;
BgL_tmpz00_1884 = 
((obj_t)BgL_arg1869z00_768); 
SET_CDR(BgL_tmpz00_1884, BgL_arg1870z00_769); } } 
{ 
 obj_t BgL_auxz00_1887;
{ /* Llib/net.scm 181 */
 obj_t BgL_pairz00_772;
BgL_pairz00_772 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1460z00_246))))->BgL_z52gcmarkstailz52); 
BgL_auxz00_1887 = 
CDR(BgL_pairz00_772); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1460z00_246))))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_1887),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 180 */BFALSE; } 
return 
BINT(BgL_rz00_761);} } } } } } } } } } } 

}



/* &cb1875 */
obj_t BGl_z62cb1875z62zz__libuv_netz00(obj_t BgL_envz00_1320, obj_t BgL_statusz00_1324)
{
{ /* Llib/net.scm 173 */
{ /* Llib/net.scm 176 */
 BgL_uvstreamz00_bglt BgL_oz00_1321; obj_t BgL_callbackz00_1322; obj_t BgL_bufz00_1323;
BgL_oz00_1321 = 
((BgL_uvstreamz00_bglt)
PROCEDURE_REF(BgL_envz00_1320, 
(int)(((long)0)))); 
BgL_callbackz00_1322 = 
PROCEDURE_REF(BgL_envz00_1320, 
(int)(((long)1))); 
BgL_bufz00_1323 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1320, 
(int)(((long)2)))); 
if(
(BgL_bufz00_1323==BgL_envz00_1320))
{ /* Llib/net.scm 176 */
return BFALSE;}  else 
{ /* Llib/net.scm 176 */
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_oz00_1321), BgL_envz00_1320); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_callbackz00_1322))(BgL_callbackz00_1322, BgL_statusz00_1324, BEOA);} } } 

}



/* uv-stream-write2 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2streamzd2write2z00zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_oz00_31, obj_t BgL_bufz00_32, long BgL_offsetz00_33, long BgL_lenz00_34, obj_t BgL_handlez00_35, obj_t BgL_callbackz00_36, obj_t BgL_loopz00_37)
{
{ /* Llib/net.scm 172 */
{ /* Llib/net.scm 176 */
 obj_t BgL_cbz00_1325;
BgL_cbz00_1325 = 
MAKE_FX_PROCEDURE(BGl_z62cb1876z62zz__libuv_netz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_cbz00_1325, 
(int)(((long)0)), 
((obj_t)BgL_oz00_31)); 
PROCEDURE_SET(BgL_cbz00_1325, 
(int)(((long)1)), BgL_callbackz00_36); 
PROCEDURE_SET(BgL_cbz00_1325, 
(int)(((long)2)), BgL_bufz00_32); 
{ /* Llib/net.scm 179 */
 int BgL_rz00_775;
BgL_rz00_775 = 
bgl_uv_write2(
((BgL_uvhandlez00_bglt)BgL_oz00_31), 
BSTRING_TO_STRING(BgL_bufz00_32), BgL_offsetz00_33, BgL_lenz00_34, BgL_handlez00_35, BgL_cbz00_1325, 
((BgL_uvloopz00_bglt)BgL_loopz00_37)); 
if(
(
(long)(BgL_rz00_775)==((long)0)))
{ /* Llib/net.scm 180 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 181 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_cbz00_1325, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 181 */
{ /* Llib/net.scm 181 */
 obj_t BgL_arg1869z00_782; obj_t BgL_arg1870z00_783;
BgL_arg1869z00_782 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_783 = 
MAKE_YOUNG_PAIR(BgL_cbz00_1325, BNIL); 
{ /* Llib/net.scm 181 */
 obj_t BgL_tmpz00_1943;
BgL_tmpz00_1943 = 
((obj_t)BgL_arg1869z00_782); 
SET_CDR(BgL_tmpz00_1943, BgL_arg1870z00_783); } } 
{ 
 obj_t BgL_auxz00_1946;
{ /* Llib/net.scm 181 */
 obj_t BgL_pairz00_786;
BgL_pairz00_786 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_1946 = 
CDR(BgL_pairz00_786); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_31)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_1946),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 180 */BFALSE; } 
return 
BINT(BgL_rz00_775);} } } 

}



/* &cb1876 */
obj_t BGl_z62cb1876z62zz__libuv_netz00(obj_t BgL_envz00_1326, obj_t BgL_statusz00_1330)
{
{ /* Llib/net.scm 173 */
{ /* Llib/net.scm 176 */
 BgL_uvstreamz00_bglt BgL_oz00_1327; obj_t BgL_callbackz00_1328; obj_t BgL_bufz00_1329;
BgL_oz00_1327 = 
((BgL_uvstreamz00_bglt)
PROCEDURE_REF(BgL_envz00_1326, 
(int)(((long)0)))); 
BgL_callbackz00_1328 = 
PROCEDURE_REF(BgL_envz00_1326, 
(int)(((long)1))); 
BgL_bufz00_1329 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1326, 
(int)(((long)2)))); 
if(
(BgL_bufz00_1329==BgL_envz00_1326))
{ /* Llib/net.scm 176 */
return BFALSE;}  else 
{ /* Llib/net.scm 176 */
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_oz00_1327), BgL_envz00_1326); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_callbackz00_1328))(BgL_callbackz00_1328, BgL_statusz00_1330, BEOA);} } } 

}



/* _uv-stream-read-start */
obj_t BGl__uvzd2streamzd2readzd2startzd2zz__libuv_netz00(obj_t BgL_env1190z00_45, obj_t BgL_opt1189z00_44)
{
{ /* Llib/net.scm 187 */
{ /* Llib/net.scm 187 */
 obj_t BgL_g1203z00_266;
BgL_g1203z00_266 = 
VECTOR_REF(BgL_opt1189z00_44,((long)0)); 
{ /* Llib/net.scm 187 */
 obj_t BgL_callbackz00_267;
BgL_callbackz00_267 = BFALSE; 
{ /* Llib/net.scm 187 */
 obj_t BgL_loopz00_268;
BgL_loopz00_268 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 187 */
 obj_t BgL_onallocz00_269;
BgL_onallocz00_269 = BFALSE; 
{ /* Llib/net.scm 187 */

{ /* Llib/net.scm 187 */
 long BgL_index1195z00_270;
{ 
 long BgL_iz00_793;
BgL_iz00_793 = ((long)1); 
BgL_search1192z00_792:
if(
(BgL_iz00_793==
VECTOR_LENGTH(BgL_opt1189z00_44)))
{ /* Llib/net.scm 187 */
BgL_index1195z00_270 = ((long)-1); }  else 
{ /* Llib/net.scm 187 */
 obj_t BgL_vz00_797;
BgL_vz00_797 = 
VECTOR_REF(BgL_opt1189z00_44,BgL_iz00_793); 
if(
(BgL_vz00_797==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 187 */
BgL_index1195z00_270 = 
(BgL_iz00_793+((long)1)); }  else 
{ 
 long BgL_iz00_1980;
BgL_iz00_1980 = 
(BgL_iz00_793+((long)2)); 
BgL_iz00_793 = BgL_iz00_1980; 
goto BgL_search1192z00_792;} } } 
if(
(BgL_index1195z00_270>=((long)0)))
{ /* Llib/net.scm 187 */
BgL_callbackz00_267 = 
VECTOR_REF(BgL_opt1189z00_44,BgL_index1195z00_270); }  else 
{ /* Llib/net.scm 187 */BFALSE; } } 
{ /* Llib/net.scm 187 */
 long BgL_index1196z00_272;
{ 
 long BgL_iz00_803;
BgL_iz00_803 = ((long)1); 
BgL_search1192z00_802:
if(
(BgL_iz00_803==
VECTOR_LENGTH(BgL_opt1189z00_44)))
{ /* Llib/net.scm 187 */
BgL_index1196z00_272 = ((long)-1); }  else 
{ /* Llib/net.scm 187 */
 obj_t BgL_vz00_807;
BgL_vz00_807 = 
VECTOR_REF(BgL_opt1189z00_44,BgL_iz00_803); 
if(
(BgL_vz00_807==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 187 */
BgL_index1196z00_272 = 
(BgL_iz00_803+((long)1)); }  else 
{ 
 long BgL_iz00_1993;
BgL_iz00_1993 = 
(BgL_iz00_803+((long)2)); 
BgL_iz00_803 = BgL_iz00_1993; 
goto BgL_search1192z00_802;} } } 
if(
(BgL_index1196z00_272>=((long)0)))
{ /* Llib/net.scm 187 */
BgL_loopz00_268 = 
VECTOR_REF(BgL_opt1189z00_44,BgL_index1196z00_272); }  else 
{ /* Llib/net.scm 187 */BFALSE; } } 
{ /* Llib/net.scm 187 */
 long BgL_index1197z00_274;
{ 
 long BgL_iz00_813;
BgL_iz00_813 = ((long)1); 
BgL_search1192z00_812:
if(
(BgL_iz00_813==
VECTOR_LENGTH(BgL_opt1189z00_44)))
{ /* Llib/net.scm 187 */
BgL_index1197z00_274 = ((long)-1); }  else 
{ /* Llib/net.scm 187 */
 obj_t BgL_vz00_817;
BgL_vz00_817 = 
VECTOR_REF(BgL_opt1189z00_44,BgL_iz00_813); 
if(
(BgL_vz00_817==
CNST_TABLE_REF(((long)4))))
{ /* Llib/net.scm 187 */
BgL_index1197z00_274 = 
(BgL_iz00_813+((long)1)); }  else 
{ 
 long BgL_iz00_2006;
BgL_iz00_2006 = 
(BgL_iz00_813+((long)2)); 
BgL_iz00_813 = BgL_iz00_2006; 
goto BgL_search1192z00_812;} } } 
if(
(BgL_index1197z00_274>=((long)0)))
{ /* Llib/net.scm 187 */
BgL_onallocz00_269 = 
VECTOR_REF(BgL_opt1189z00_44,BgL_index1197z00_274); }  else 
{ /* Llib/net.scm 187 */BFALSE; } } 
{ /* Llib/net.scm 187 */
 obj_t BgL_arg1584z00_276;
BgL_arg1584z00_276 = 
VECTOR_REF(BgL_opt1189z00_44,((long)0)); 
{ /* Llib/net.scm 187 */
 obj_t BgL_callbackz00_277;
BgL_callbackz00_277 = BgL_callbackz00_267; 
{ /* Llib/net.scm 187 */
 obj_t BgL_loopz00_278;
BgL_loopz00_278 = BgL_loopz00_268; 
{ /* Llib/net.scm 187 */
 obj_t BgL_onallocz00_279;
BgL_onallocz00_279 = BgL_onallocz00_269; 
{ /* Llib/net.scm 188 */
 int BgL_rz00_823;
BgL_rz00_823 = 
bgl_uv_read_start(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1584z00_276)), BgL_onallocz00_279, BgL_callbackz00_277, 
((BgL_uvloopz00_bglt)BgL_loopz00_278)); 
if(
(
(long)(BgL_rz00_823)==((long)0)))
{ /* Llib/net.scm 189 */
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_arg1584z00_276)))->BgL_z52callbackz52)=((obj_t)BgL_callbackz00_277),BUNSPEC); 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_278)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 192 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_278)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1584z00_276)), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_278)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_278)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 192 */
{ /* Llib/net.scm 192 */
 obj_t BgL_arg1869z00_831; obj_t BgL_arg1870z00_832;
BgL_arg1869z00_831 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_278)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_832 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1584z00_276)), BNIL); 
{ /* Llib/net.scm 192 */
 obj_t BgL_tmpz00_2039;
BgL_tmpz00_2039 = 
((obj_t)BgL_arg1869z00_831); 
SET_CDR(BgL_tmpz00_2039, BgL_arg1870z00_832); } } 
{ 
 obj_t BgL_auxz00_2042;
{ /* Llib/net.scm 192 */
 obj_t BgL_pairz00_835;
BgL_pairz00_835 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_278)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2042 = 
CDR(BgL_pairz00_835); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_278)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2042),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 189 */BFALSE; } 
return 
BINT(BgL_rz00_823);} } } } } } } } } } } 

}



/* uv-stream-read-start */
BGL_EXPORTED_DEF obj_t BGl_uvzd2streamzd2readzd2startzd2zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_oz00_40, obj_t BgL_callbackz00_41, obj_t BgL_loopz00_42, obj_t BgL_onallocz00_43)
{
{ /* Llib/net.scm 187 */
{ /* Llib/net.scm 188 */
 int BgL_rz00_836;
BgL_rz00_836 = 
bgl_uv_read_start(
((BgL_uvhandlez00_bglt)BgL_oz00_40), BgL_onallocz00_43, BgL_callbackz00_41, 
((BgL_uvloopz00_bglt)BgL_loopz00_42)); 
if(
(
(long)(BgL_rz00_836)==((long)0)))
{ /* Llib/net.scm 189 */
((((BgL_uvstreamz00_bglt)COBJECT(BgL_oz00_40))->BgL_z52callbackz52)=((obj_t)BgL_callbackz00_41),BUNSPEC); 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 192 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_40), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 192 */
{ /* Llib/net.scm 192 */
 obj_t BgL_arg1869z00_844; obj_t BgL_arg1870z00_845;
BgL_arg1869z00_844 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_845 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_40), BNIL); 
{ /* Llib/net.scm 192 */
 obj_t BgL_tmpz00_2072;
BgL_tmpz00_2072 = 
((obj_t)BgL_arg1869z00_844); 
SET_CDR(BgL_tmpz00_2072, BgL_arg1870z00_845); } } 
{ 
 obj_t BgL_auxz00_2075;
{ /* Llib/net.scm 192 */
 obj_t BgL_pairz00_848;
BgL_pairz00_848 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2075 = 
CDR(BgL_pairz00_848); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_42)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2075),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 189 */BFALSE; } 
return 
BINT(BgL_rz00_836);} } 

}



/* uv-stream-read-stop */
BGL_EXPORTED_DEF obj_t BGl_uvzd2streamzd2readzd2stopzd2zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_oz00_46)
{
{ /* Llib/net.scm 198 */
((((BgL_uvstreamz00_bglt)COBJECT(BgL_oz00_46))->BgL_z52callbackz52)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/net.scm 202 */
 BgL_uvloopz00_bglt BgL_arg1588z00_288;
BgL_arg1588z00_288 = 
(((BgL_uvstreamz00_bglt)COBJECT(BgL_oz00_46))->BgL_loopz00); 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_arg1588z00_288), 
((obj_t)BgL_oz00_46)); } 
{ /* Llib/net.scm 203 */
 uv_stream_t * BgL_arg1601z00_289;
{ /* Llib/net.scm 203 */
 uv_handle_t * BgL_arg1603z00_290;
BgL_arg1603z00_290 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_46)))->BgL_z42builtinz42); 
BgL_arg1601z00_289 = 
(uv_stream_t *)(BgL_arg1603z00_290); } 
return 
BINT(
uv_read_stop(BgL_arg1601z00_289));} } 

}



/* &uv-stream-read-stop */
obj_t BGl_z62uvzd2streamzd2readzd2stopzb0zz__libuv_netz00(obj_t BgL_envz00_1331, obj_t BgL_oz00_1332)
{
{ /* Llib/net.scm 198 */
return 
BGl_uvzd2streamzd2readzd2stopzd2zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_oz00_1332));} 

}



/* _uv-stream-shutdown */
obj_t BGl__uvzd2streamzd2shutdownz00zz__libuv_netz00(obj_t BgL_env1205z00_51, obj_t BgL_opt1204z00_50)
{
{ /* Llib/net.scm 208 */
{ /* Llib/net.scm 208 */
 obj_t BgL_g1212z00_295;
BgL_g1212z00_295 = 
VECTOR_REF(BgL_opt1204z00_50,((long)0)); 
{ /* Llib/net.scm 208 */
 obj_t BgL_callbackz00_296;
BgL_callbackz00_296 = BFALSE; 
{ /* Llib/net.scm 208 */
 obj_t BgL_loopz00_297;
BgL_loopz00_297 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 208 */

{ /* Llib/net.scm 208 */
 long BgL_index1210z00_298;
{ 
 long BgL_iz00_855;
BgL_iz00_855 = ((long)1); 
BgL_search1207z00_854:
if(
(BgL_iz00_855==
VECTOR_LENGTH(BgL_opt1204z00_50)))
{ /* Llib/net.scm 208 */
BgL_index1210z00_298 = ((long)-1); }  else 
{ /* Llib/net.scm 208 */
 obj_t BgL_vz00_859;
BgL_vz00_859 = 
VECTOR_REF(BgL_opt1204z00_50,BgL_iz00_855); 
if(
(BgL_vz00_859==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 208 */
BgL_index1210z00_298 = 
(BgL_iz00_855+((long)1)); }  else 
{ 
 long BgL_iz00_2105;
BgL_iz00_2105 = 
(BgL_iz00_855+((long)2)); 
BgL_iz00_855 = BgL_iz00_2105; 
goto BgL_search1207z00_854;} } } 
if(
(BgL_index1210z00_298>=((long)0)))
{ /* Llib/net.scm 208 */
BgL_callbackz00_296 = 
VECTOR_REF(BgL_opt1204z00_50,BgL_index1210z00_298); }  else 
{ /* Llib/net.scm 208 */BFALSE; } } 
{ /* Llib/net.scm 208 */
 long BgL_index1211z00_300;
{ 
 long BgL_iz00_865;
BgL_iz00_865 = ((long)1); 
BgL_search1207z00_864:
if(
(BgL_iz00_865==
VECTOR_LENGTH(BgL_opt1204z00_50)))
{ /* Llib/net.scm 208 */
BgL_index1211z00_300 = ((long)-1); }  else 
{ /* Llib/net.scm 208 */
 obj_t BgL_vz00_869;
BgL_vz00_869 = 
VECTOR_REF(BgL_opt1204z00_50,BgL_iz00_865); 
if(
(BgL_vz00_869==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 208 */
BgL_index1211z00_300 = 
(BgL_iz00_865+((long)1)); }  else 
{ 
 long BgL_iz00_2118;
BgL_iz00_2118 = 
(BgL_iz00_865+((long)2)); 
BgL_iz00_865 = BgL_iz00_2118; 
goto BgL_search1207z00_864;} } } 
if(
(BgL_index1211z00_300>=((long)0)))
{ /* Llib/net.scm 208 */
BgL_loopz00_297 = 
VECTOR_REF(BgL_opt1204z00_50,BgL_index1211z00_300); }  else 
{ /* Llib/net.scm 208 */BFALSE; } } 
{ /* Llib/net.scm 208 */
 obj_t BgL_arg1617z00_302;
BgL_arg1617z00_302 = 
VECTOR_REF(BgL_opt1204z00_50,((long)0)); 
{ /* Llib/net.scm 208 */
 obj_t BgL_callbackz00_303;
BgL_callbackz00_303 = BgL_callbackz00_296; 
{ /* Llib/net.scm 208 */
 obj_t BgL_loopz00_304;
BgL_loopz00_304 = BgL_loopz00_297; 
{ /* Llib/net.scm 209 */
 int BgL_rz00_875;
BgL_rz00_875 = 
bgl_uv_shutdown(
((BgL_uvstreamz00_bglt)BgL_arg1617z00_302), BgL_callbackz00_303, 
((BgL_uvloopz00_bglt)BgL_loopz00_304)); 
if(
(
(long)(BgL_rz00_875)==((long)0)))
{ /* Llib/net.scm 210 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1617z00_302))))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 211 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1617z00_302))))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_callbackz00_303, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1617z00_302))))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1617z00_302))))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 211 */
{ /* Llib/net.scm 211 */
 obj_t BgL_arg1869z00_882; obj_t BgL_arg1870z00_883;
BgL_arg1869z00_882 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1617z00_302))))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_883 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_303, BNIL); 
{ /* Llib/net.scm 211 */
 obj_t BgL_tmpz00_2149;
BgL_tmpz00_2149 = 
((obj_t)BgL_arg1869z00_882); 
SET_CDR(BgL_tmpz00_2149, BgL_arg1870z00_883); } } 
{ 
 obj_t BgL_auxz00_2152;
{ /* Llib/net.scm 211 */
 obj_t BgL_pairz00_886;
BgL_pairz00_886 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1617z00_302))))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2152 = 
CDR(BgL_pairz00_886); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1617z00_302))))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2152),BUNSPEC); } } BUNSPEC; 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_304)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 212 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_304)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1617z00_302)), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_304)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_304)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 212 */
{ /* Llib/net.scm 212 */
 obj_t BgL_arg1869z00_891; obj_t BgL_arg1870z00_892;
BgL_arg1869z00_891 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_304)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_892 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1617z00_302)), BNIL); 
{ /* Llib/net.scm 212 */
 obj_t BgL_tmpz00_2178;
BgL_tmpz00_2178 = 
((obj_t)BgL_arg1869z00_891); 
SET_CDR(BgL_tmpz00_2178, BgL_arg1870z00_892); } } 
{ 
 obj_t BgL_auxz00_2181;
{ /* Llib/net.scm 212 */
 obj_t BgL_pairz00_895;
BgL_pairz00_895 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_304)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2181 = 
CDR(BgL_pairz00_895); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_304)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2181),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 210 */BFALSE; } 
return 
BINT(BgL_rz00_875);} } } } } } } } } 

}



/* uv-stream-shutdown */
BGL_EXPORTED_DEF obj_t BGl_uvzd2streamzd2shutdownz00zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_handlez00_47, obj_t BgL_callbackz00_48, obj_t BgL_loopz00_49)
{
{ /* Llib/net.scm 208 */
{ /* Llib/net.scm 209 */
 int BgL_rz00_896;
BgL_rz00_896 = 
bgl_uv_shutdown(BgL_handlez00_47, BgL_callbackz00_48, 
((BgL_uvloopz00_bglt)BgL_loopz00_49)); 
if(
(
(long)(BgL_rz00_896)==((long)0)))
{ /* Llib/net.scm 210 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 211 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_callbackz00_48, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 211 */
{ /* Llib/net.scm 211 */
 obj_t BgL_arg1869z00_903; obj_t BgL_arg1870z00_904;
BgL_arg1869z00_903 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_904 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_48, BNIL); 
{ /* Llib/net.scm 211 */
 obj_t BgL_tmpz00_2207;
BgL_tmpz00_2207 = 
((obj_t)BgL_arg1869z00_903); 
SET_CDR(BgL_tmpz00_2207, BgL_arg1870z00_904); } } 
{ 
 obj_t BgL_auxz00_2210;
{ /* Llib/net.scm 211 */
 obj_t BgL_pairz00_907;
BgL_pairz00_907 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2210 = 
CDR(BgL_pairz00_907); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_47)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2210),BUNSPEC); } } BUNSPEC; 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 212 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_47), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 212 */
{ /* Llib/net.scm 212 */
 obj_t BgL_arg1869z00_912; obj_t BgL_arg1870z00_913;
BgL_arg1869z00_912 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_913 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_47), BNIL); 
{ /* Llib/net.scm 212 */
 obj_t BgL_tmpz00_2232;
BgL_tmpz00_2232 = 
((obj_t)BgL_arg1869z00_912); 
SET_CDR(BgL_tmpz00_2232, BgL_arg1870z00_913); } } 
{ 
 obj_t BgL_auxz00_2235;
{ /* Llib/net.scm 212 */
 obj_t BgL_pairz00_916;
BgL_pairz00_916 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2235 = 
CDR(BgL_pairz00_916); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_49)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2235),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 210 */BFALSE; } 
return 
BINT(BgL_rz00_896);} } 

}



/* _uv-listen */
obj_t BGl__uvzd2listenzd2zz__libuv_netz00(obj_t BgL_env1214z00_57, obj_t BgL_opt1213z00_56)
{
{ /* Llib/net.scm 218 */
{ /* Llib/net.scm 218 */
 obj_t BgL_g1222z00_314; obj_t BgL_g1223z00_315;
BgL_g1222z00_314 = 
VECTOR_REF(BgL_opt1213z00_56,((long)0)); 
BgL_g1223z00_315 = 
VECTOR_REF(BgL_opt1213z00_56,((long)1)); 
{ /* Llib/net.scm 218 */
 obj_t BgL_callbackz00_316;
BgL_callbackz00_316 = BFALSE; 
{ /* Llib/net.scm 218 */
 obj_t BgL_loopz00_317;
BgL_loopz00_317 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 218 */

{ /* Llib/net.scm 218 */
 long BgL_index1219z00_318;
{ 
 long BgL_iz00_923;
BgL_iz00_923 = ((long)2); 
BgL_search1216z00_922:
if(
(BgL_iz00_923==
VECTOR_LENGTH(BgL_opt1213z00_56)))
{ /* Llib/net.scm 218 */
BgL_index1219z00_318 = ((long)-1); }  else 
{ /* Llib/net.scm 218 */
 obj_t BgL_vz00_927;
BgL_vz00_927 = 
VECTOR_REF(BgL_opt1213z00_56,BgL_iz00_923); 
if(
(BgL_vz00_927==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 218 */
BgL_index1219z00_318 = 
(BgL_iz00_923+((long)1)); }  else 
{ 
 long BgL_iz00_2254;
BgL_iz00_2254 = 
(BgL_iz00_923+((long)2)); 
BgL_iz00_923 = BgL_iz00_2254; 
goto BgL_search1216z00_922;} } } 
if(
(BgL_index1219z00_318>=((long)0)))
{ /* Llib/net.scm 218 */
BgL_callbackz00_316 = 
VECTOR_REF(BgL_opt1213z00_56,BgL_index1219z00_318); }  else 
{ /* Llib/net.scm 218 */BFALSE; } } 
{ /* Llib/net.scm 218 */
 long BgL_index1220z00_320;
{ 
 long BgL_iz00_933;
BgL_iz00_933 = ((long)2); 
BgL_search1216z00_932:
if(
(BgL_iz00_933==
VECTOR_LENGTH(BgL_opt1213z00_56)))
{ /* Llib/net.scm 218 */
BgL_index1220z00_320 = ((long)-1); }  else 
{ /* Llib/net.scm 218 */
 obj_t BgL_vz00_937;
BgL_vz00_937 = 
VECTOR_REF(BgL_opt1213z00_56,BgL_iz00_933); 
if(
(BgL_vz00_937==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 218 */
BgL_index1220z00_320 = 
(BgL_iz00_933+((long)1)); }  else 
{ 
 long BgL_iz00_2267;
BgL_iz00_2267 = 
(BgL_iz00_933+((long)2)); 
BgL_iz00_933 = BgL_iz00_2267; 
goto BgL_search1216z00_932;} } } 
if(
(BgL_index1220z00_320>=((long)0)))
{ /* Llib/net.scm 218 */
BgL_loopz00_317 = 
VECTOR_REF(BgL_opt1213z00_56,BgL_index1220z00_320); }  else 
{ /* Llib/net.scm 218 */BFALSE; } } 
{ /* Llib/net.scm 218 */
 obj_t BgL_arg1629z00_322; obj_t BgL_arg1631z00_323;
BgL_arg1629z00_322 = 
VECTOR_REF(BgL_opt1213z00_56,((long)0)); 
BgL_arg1631z00_323 = 
VECTOR_REF(BgL_opt1213z00_56,((long)1)); 
{ /* Llib/net.scm 218 */
 obj_t BgL_callbackz00_324;
BgL_callbackz00_324 = BgL_callbackz00_316; 
{ /* Llib/net.scm 218 */
 obj_t BgL_loopz00_325;
BgL_loopz00_325 = BgL_loopz00_317; 
{ /* Llib/net.scm 218 */
 int BgL_backlogz00_943;
BgL_backlogz00_943 = 
CINT(BgL_arg1631z00_323); 
{ /* Llib/net.scm 219 */
 int BgL_rz00_944;
BgL_rz00_944 = 
bgl_uv_listen(
((BgL_uvstreamz00_bglt)BgL_arg1629z00_322), BgL_backlogz00_943, BgL_callbackz00_324, 
((BgL_uvloopz00_bglt)BgL_loopz00_325)); 
if(
(
(long)(BgL_rz00_944)==((long)0)))
{ /* Llib/net.scm 220 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1629z00_322))))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 221 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1629z00_322))))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_callbackz00_324, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1629z00_322))))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1629z00_322))))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 221 */
{ /* Llib/net.scm 221 */
 obj_t BgL_arg1869z00_951; obj_t BgL_arg1870z00_952;
BgL_arg1869z00_951 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1629z00_322))))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_952 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_324, BNIL); 
{ /* Llib/net.scm 221 */
 obj_t BgL_tmpz00_2300;
BgL_tmpz00_2300 = 
((obj_t)BgL_arg1869z00_951); 
SET_CDR(BgL_tmpz00_2300, BgL_arg1870z00_952); } } 
{ 
 obj_t BgL_auxz00_2303;
{ /* Llib/net.scm 221 */
 obj_t BgL_pairz00_955;
BgL_pairz00_955 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1629z00_322))))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2303 = 
CDR(BgL_pairz00_955); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_arg1629z00_322))))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2303),BUNSPEC); } } BUNSPEC; 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_325)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 222 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_325)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1629z00_322)), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_325)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_325)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 222 */
{ /* Llib/net.scm 222 */
 obj_t BgL_arg1869z00_960; obj_t BgL_arg1870z00_961;
BgL_arg1869z00_960 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_325)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_961 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvstreamz00_bglt)BgL_arg1629z00_322)), BNIL); 
{ /* Llib/net.scm 222 */
 obj_t BgL_tmpz00_2329;
BgL_tmpz00_2329 = 
((obj_t)BgL_arg1869z00_960); 
SET_CDR(BgL_tmpz00_2329, BgL_arg1870z00_961); } } 
{ 
 obj_t BgL_auxz00_2332;
{ /* Llib/net.scm 222 */
 obj_t BgL_pairz00_964;
BgL_pairz00_964 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_325)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2332 = 
CDR(BgL_pairz00_964); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_325)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2332),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 220 */BFALSE; } 
return 
BINT(BgL_rz00_944);} } } } } } } } } } 

}



/* uv-listen */
BGL_EXPORTED_DEF obj_t BGl_uvzd2listenzd2zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_handlez00_52, int BgL_backlogz00_53, obj_t BgL_callbackz00_54, obj_t BgL_loopz00_55)
{
{ /* Llib/net.scm 218 */
{ /* Llib/net.scm 219 */
 int BgL_rz00_965;
BgL_rz00_965 = 
bgl_uv_listen(BgL_handlez00_52, BgL_backlogz00_53, BgL_callbackz00_54, 
((BgL_uvloopz00_bglt)BgL_loopz00_55)); 
if(
(
(long)(BgL_rz00_965)==((long)0)))
{ /* Llib/net.scm 220 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 221 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_callbackz00_54, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 221 */
{ /* Llib/net.scm 221 */
 obj_t BgL_arg1869z00_972; obj_t BgL_arg1870z00_973;
BgL_arg1869z00_972 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_973 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_54, BNIL); 
{ /* Llib/net.scm 221 */
 obj_t BgL_tmpz00_2358;
BgL_tmpz00_2358 = 
((obj_t)BgL_arg1869z00_972); 
SET_CDR(BgL_tmpz00_2358, BgL_arg1870z00_973); } } 
{ 
 obj_t BgL_auxz00_2361;
{ /* Llib/net.scm 221 */
 obj_t BgL_pairz00_976;
BgL_pairz00_976 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2361 = 
CDR(BgL_pairz00_976); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_52)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2361),BUNSPEC); } } BUNSPEC; 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 222 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_52), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 222 */
{ /* Llib/net.scm 222 */
 obj_t BgL_arg1869z00_981; obj_t BgL_arg1870z00_982;
BgL_arg1869z00_981 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_982 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_52), BNIL); 
{ /* Llib/net.scm 222 */
 obj_t BgL_tmpz00_2383;
BgL_tmpz00_2383 = 
((obj_t)BgL_arg1869z00_981); 
SET_CDR(BgL_tmpz00_2383, BgL_arg1870z00_982); } } 
{ 
 obj_t BgL_auxz00_2386;
{ /* Llib/net.scm 222 */
 obj_t BgL_pairz00_985;
BgL_pairz00_985 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2386 = 
CDR(BgL_pairz00_985); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_55)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2386),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 220 */BFALSE; } 
return 
BINT(BgL_rz00_965);} } 

}



/* uv-accept */
BGL_EXPORTED_DEF obj_t BGl_uvzd2acceptzd2zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_serverz00_58, BgL_uvstreamz00_bglt BgL_clientz00_59)
{
{ /* Llib/net.scm 228 */
{ /* Llib/net.scm 231 */
 uv_stream_t * BgL_arg1662z00_988; uv_stream_t * BgL_arg1664z00_989;
{ /* Llib/net.scm 231 */
 uv_handle_t * BgL_arg1665z00_990;
BgL_arg1665z00_990 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_serverz00_58)))->BgL_z42builtinz42); 
BgL_arg1662z00_988 = 
(uv_stream_t *)(BgL_arg1665z00_990); } 
{ /* Llib/net.scm 231 */
 uv_handle_t * BgL_arg1670z00_991;
BgL_arg1670z00_991 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_clientz00_59)))->BgL_z42builtinz42); 
BgL_arg1664z00_989 = 
(uv_stream_t *)(BgL_arg1670z00_991); } 
return 
BINT(
uv_accept(BgL_arg1662z00_988, BgL_arg1664z00_989));} } 

}



/* &uv-accept */
obj_t BGl_z62uvzd2acceptzb0zz__libuv_netz00(obj_t BgL_envz00_1333, obj_t BgL_serverz00_1334, obj_t BgL_clientz00_1335)
{
{ /* Llib/net.scm 228 */
return 
BGl_uvzd2acceptzd2zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_serverz00_1334), 
((BgL_uvstreamz00_bglt)BgL_clientz00_1335));} 

}



/* uv-closing? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2closingzf3z21zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_handlez00_60)
{
{ /* Llib/net.scm 236 */
{ /* Llib/net.scm 238 */
 uv_handle_t * BgL_arg1679z00_993;
BgL_arg1679z00_993 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_60)))->BgL_z42builtinz42); 
{ /* Llib/net.scm 238 */
 int BgL_xz00_1424;
BgL_xz00_1424 = 
uv_is_closing(BgL_arg1679z00_993); 
return ((bool_t)1);} } } 

}



/* &uv-closing? */
obj_t BGl_z62uvzd2closingzf3z43zz__libuv_netz00(obj_t BgL_envz00_1336, obj_t BgL_handlez00_1337)
{
{ /* Llib/net.scm 236 */
return 
BBOOL(
BGl_uvzd2closingzf3z21zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_handlez00_1337)));} 

}



/* uv-writable? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2writablezf3z21zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_handlez00_61)
{
{ /* Llib/net.scm 243 */
{ /* Llib/net.scm 245 */
 uv_stream_t * BgL_arg1691z00_995;
{ /* Llib/net.scm 245 */
 uv_handle_t * BgL_arg1694z00_996;
BgL_arg1694z00_996 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_61)))->BgL_z42builtinz42); 
BgL_arg1691z00_995 = 
(uv_stream_t *)(BgL_arg1694z00_996); } 
{ /* Llib/net.scm 245 */
 int BgL_xz00_1425;
BgL_xz00_1425 = 
uv_is_writable(BgL_arg1691z00_995); 
return ((bool_t)1);} } } 

}



/* &uv-writable? */
obj_t BGl_z62uvzd2writablezf3z43zz__libuv_netz00(obj_t BgL_envz00_1338, obj_t BgL_handlez00_1339)
{
{ /* Llib/net.scm 243 */
return 
BBOOL(
BGl_uvzd2writablezf3z21zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_handlez00_1339)));} 

}



/* uv-readable? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2readablezf3z21zz__libuv_netz00(BgL_uvstreamz00_bglt BgL_handlez00_62)
{
{ /* Llib/net.scm 250 */
{ /* Llib/net.scm 252 */
 uv_stream_t * BgL_arg1702z00_998;
{ /* Llib/net.scm 252 */
 uv_handle_t * BgL_arg1703z00_999;
BgL_arg1703z00_999 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_62)))->BgL_z42builtinz42); 
BgL_arg1702z00_998 = 
(uv_stream_t *)(BgL_arg1703z00_999); } 
{ /* Llib/net.scm 252 */
 int BgL_xz00_1426;
BgL_xz00_1426 = 
uv_is_readable(BgL_arg1702z00_998); 
return ((bool_t)1);} } } 

}



/* &uv-readable? */
obj_t BGl_z62uvzd2readablezf3z43zz__libuv_netz00(obj_t BgL_envz00_1340, obj_t BgL_handlez00_1341)
{
{ /* Llib/net.scm 250 */
return 
BBOOL(
BGl_uvzd2readablezf3z21zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_handlez00_1341)));} 

}



/* _uv-tcp-connect */
obj_t BGl__uvzd2tcpzd2connectz00zz__libuv_netz00(obj_t BgL_env1225z00_70, obj_t BgL_opt1224z00_69)
{
{ /* Llib/net.scm 257 */
{ /* Llib/net.scm 257 */
 obj_t BgL_g1233z00_349; obj_t BgL_g1234z00_350; obj_t BgL_g1235z00_351;
BgL_g1233z00_349 = 
VECTOR_REF(BgL_opt1224z00_69,((long)0)); 
BgL_g1234z00_350 = 
VECTOR_REF(BgL_opt1224z00_69,((long)1)); 
BgL_g1235z00_351 = 
VECTOR_REF(BgL_opt1224z00_69,((long)2)); 
{ /* Llib/net.scm 257 */
 obj_t BgL_callbackz00_352;
BgL_callbackz00_352 = BFALSE; 
{ /* Llib/net.scm 257 */
 int BgL_familyz00_353;
BgL_familyz00_353 = 
(int)(((long)4)); 
{ /* Llib/net.scm 257 */
 obj_t BgL_loopz00_354;
BgL_loopz00_354 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 257 */

{ /* Llib/net.scm 257 */
 long BgL_index1230z00_355;
{ 
 long BgL_iz00_1006;
BgL_iz00_1006 = ((long)3); 
BgL_search1227z00_1005:
if(
(BgL_iz00_1006==
VECTOR_LENGTH(BgL_opt1224z00_69)))
{ /* Llib/net.scm 257 */
BgL_index1230z00_355 = ((long)-1); }  else 
{ /* Llib/net.scm 257 */
 obj_t BgL_vz00_1010;
BgL_vz00_1010 = 
VECTOR_REF(BgL_opt1224z00_69,BgL_iz00_1006); 
if(
(BgL_vz00_1010==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 257 */
BgL_index1230z00_355 = 
(BgL_iz00_1006+((long)1)); }  else 
{ 
 long BgL_iz00_2438;
BgL_iz00_2438 = 
(BgL_iz00_1006+((long)2)); 
BgL_iz00_1006 = BgL_iz00_2438; 
goto BgL_search1227z00_1005;} } } 
if(
(BgL_index1230z00_355>=((long)0)))
{ /* Llib/net.scm 257 */
BgL_callbackz00_352 = 
VECTOR_REF(BgL_opt1224z00_69,BgL_index1230z00_355); }  else 
{ /* Llib/net.scm 257 */BFALSE; } } 
{ /* Llib/net.scm 257 */
 long BgL_index1231z00_357;
{ 
 long BgL_iz00_1016;
BgL_iz00_1016 = ((long)3); 
BgL_search1227z00_1015:
if(
(BgL_iz00_1016==
VECTOR_LENGTH(BgL_opt1224z00_69)))
{ /* Llib/net.scm 257 */
BgL_index1231z00_357 = ((long)-1); }  else 
{ /* Llib/net.scm 257 */
 obj_t BgL_vz00_1020;
BgL_vz00_1020 = 
VECTOR_REF(BgL_opt1224z00_69,BgL_iz00_1016); 
if(
(BgL_vz00_1020==
CNST_TABLE_REF(((long)2))))
{ /* Llib/net.scm 257 */
BgL_index1231z00_357 = 
(BgL_iz00_1016+((long)1)); }  else 
{ 
 long BgL_iz00_2451;
BgL_iz00_2451 = 
(BgL_iz00_1016+((long)2)); 
BgL_iz00_1016 = BgL_iz00_2451; 
goto BgL_search1227z00_1015;} } } 
if(
(BgL_index1231z00_357>=((long)0)))
{ /* Llib/net.scm 257 */
BgL_familyz00_353 = 
CINT(
VECTOR_REF(BgL_opt1224z00_69,BgL_index1231z00_357)); }  else 
{ /* Llib/net.scm 257 */BFALSE; } } 
{ /* Llib/net.scm 257 */
 long BgL_index1232z00_359;
{ 
 long BgL_iz00_1026;
BgL_iz00_1026 = ((long)3); 
BgL_search1227z00_1025:
if(
(BgL_iz00_1026==
VECTOR_LENGTH(BgL_opt1224z00_69)))
{ /* Llib/net.scm 257 */
BgL_index1232z00_359 = ((long)-1); }  else 
{ /* Llib/net.scm 257 */
 obj_t BgL_vz00_1030;
BgL_vz00_1030 = 
VECTOR_REF(BgL_opt1224z00_69,BgL_iz00_1026); 
if(
(BgL_vz00_1030==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 257 */
BgL_index1232z00_359 = 
(BgL_iz00_1026+((long)1)); }  else 
{ 
 long BgL_iz00_2465;
BgL_iz00_2465 = 
(BgL_iz00_1026+((long)2)); 
BgL_iz00_1026 = BgL_iz00_2465; 
goto BgL_search1227z00_1025;} } } 
if(
(BgL_index1232z00_359>=((long)0)))
{ /* Llib/net.scm 257 */
BgL_loopz00_354 = 
VECTOR_REF(BgL_opt1224z00_69,BgL_index1232z00_359); }  else 
{ /* Llib/net.scm 257 */BFALSE; } } 
{ /* Llib/net.scm 257 */
 obj_t BgL_arg1708z00_361; obj_t BgL_arg1709z00_362; obj_t BgL_arg1711z00_363;
BgL_arg1708z00_361 = 
VECTOR_REF(BgL_opt1224z00_69,((long)0)); 
BgL_arg1709z00_362 = 
VECTOR_REF(BgL_opt1224z00_69,((long)1)); 
BgL_arg1711z00_363 = 
VECTOR_REF(BgL_opt1224z00_69,((long)2)); 
{ /* Llib/net.scm 257 */
 obj_t BgL_callbackz00_364;
BgL_callbackz00_364 = BgL_callbackz00_352; 
{ /* Llib/net.scm 257 */
 int BgL_familyz00_365;
BgL_familyz00_365 = BgL_familyz00_353; 
{ /* Llib/net.scm 257 */
 obj_t BgL_loopz00_366;
BgL_loopz00_366 = BgL_loopz00_354; 
{ /* Llib/net.scm 257 */
 int BgL_portz00_1037;
BgL_portz00_1037 = 
CINT(BgL_arg1711z00_363); 
{ /* Llib/net.scm 258 */
 int BgL_rz00_1039;
BgL_rz00_1039 = 
bgl_uv_tcp_connect(
((BgL_uvtcpz00_bglt)BgL_arg1708z00_361), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1709z00_362)), BgL_portz00_1037, BgL_familyz00_365, BgL_callbackz00_364, 
((BgL_uvloopz00_bglt)BgL_loopz00_366)); 
if(
(
(long)(BgL_rz00_1039)==((long)0)))
{ /* Llib/net.scm 259 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1708z00_361))))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 260 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1708z00_361))))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_callbackz00_364, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1708z00_361))))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1708z00_361))))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 260 */
{ /* Llib/net.scm 260 */
 obj_t BgL_arg1869z00_1046; obj_t BgL_arg1870z00_1047;
BgL_arg1869z00_1046 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1708z00_361))))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_1047 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_364, BNIL); 
{ /* Llib/net.scm 260 */
 obj_t BgL_tmpz00_2501;
BgL_tmpz00_2501 = 
((obj_t)BgL_arg1869z00_1046); 
SET_CDR(BgL_tmpz00_2501, BgL_arg1870z00_1047); } } 
{ 
 obj_t BgL_auxz00_2504;
{ /* Llib/net.scm 260 */
 obj_t BgL_pairz00_1050;
BgL_pairz00_1050 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1708z00_361))))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2504 = 
CDR(BgL_pairz00_1050); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1708z00_361))))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2504),BUNSPEC); } } BUNSPEC; 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_366)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 261 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_366)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvtcpz00_bglt)BgL_arg1708z00_361)), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_366)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_366)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 261 */
{ /* Llib/net.scm 261 */
 obj_t BgL_arg1869z00_1055; obj_t BgL_arg1870z00_1056;
BgL_arg1869z00_1055 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_366)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_1056 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvtcpz00_bglt)BgL_arg1708z00_361)), BNIL); 
{ /* Llib/net.scm 261 */
 obj_t BgL_tmpz00_2530;
BgL_tmpz00_2530 = 
((obj_t)BgL_arg1869z00_1055); 
SET_CDR(BgL_tmpz00_2530, BgL_arg1870z00_1056); } } 
{ 
 obj_t BgL_auxz00_2533;
{ /* Llib/net.scm 261 */
 obj_t BgL_pairz00_1059;
BgL_pairz00_1059 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_366)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2533 = 
CDR(BgL_pairz00_1059); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_366)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2533),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 259 */BFALSE; } 
return 
BINT(BgL_rz00_1039);} } } } } } } } } } } } 

}



/* uv-tcp-connect */
BGL_EXPORTED_DEF obj_t BGl_uvzd2tcpzd2connectz00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_63, obj_t BgL_hostz00_64, int BgL_portz00_65, obj_t BgL_callbackz00_66, int BgL_familyz00_67, obj_t BgL_loopz00_68)
{
{ /* Llib/net.scm 257 */
{ /* Llib/net.scm 258 */
 int BgL_rz00_1060;
BgL_rz00_1060 = 
bgl_uv_tcp_connect(BgL_handlez00_63, 
BSTRING_TO_STRING(BgL_hostz00_64), BgL_portz00_65, BgL_familyz00_67, BgL_callbackz00_66, 
((BgL_uvloopz00_bglt)BgL_loopz00_68)); 
if(
(
(long)(BgL_rz00_1060)==((long)0)))
{ /* Llib/net.scm 259 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 260 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_callbackz00_66, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 260 */
{ /* Llib/net.scm 260 */
 obj_t BgL_arg1869z00_1067; obj_t BgL_arg1870z00_1068;
BgL_arg1869z00_1067 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_1068 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_66, BNIL); 
{ /* Llib/net.scm 260 */
 obj_t BgL_tmpz00_2560;
BgL_tmpz00_2560 = 
((obj_t)BgL_arg1869z00_1067); 
SET_CDR(BgL_tmpz00_2560, BgL_arg1870z00_1068); } } 
{ 
 obj_t BgL_auxz00_2563;
{ /* Llib/net.scm 260 */
 obj_t BgL_pairz00_1071;
BgL_pairz00_1071 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2563 = 
CDR(BgL_pairz00_1071); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_63)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2563),BUNSPEC); } } BUNSPEC; 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 261 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_63), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 261 */
{ /* Llib/net.scm 261 */
 obj_t BgL_arg1869z00_1076; obj_t BgL_arg1870z00_1077;
BgL_arg1869z00_1076 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_1077 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_63), BNIL); 
{ /* Llib/net.scm 261 */
 obj_t BgL_tmpz00_2585;
BgL_tmpz00_2585 = 
((obj_t)BgL_arg1869z00_1076); 
SET_CDR(BgL_tmpz00_2585, BgL_arg1870z00_1077); } } 
{ 
 obj_t BgL_auxz00_2588;
{ /* Llib/net.scm 261 */
 obj_t BgL_pairz00_1080;
BgL_pairz00_1080 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2588 = 
CDR(BgL_pairz00_1080); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_68)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2588),BUNSPEC); } } BUNSPEC; }  else 
{ /* Llib/net.scm 259 */BFALSE; } 
return 
BINT(BgL_rz00_1060);} } 

}



/* uv-tcp-open */
BGL_EXPORTED_DEF int BGl_uvzd2tcpzd2openz00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_75, int BgL_fdz00_76)
{
{ /* Llib/net.scm 288 */
{ /* Llib/net.scm 290 */
 uv_tcp_t * BgL_arg1724z00_1082;
{ /* Llib/net.scm 290 */
 uv_handle_t * BgL_arg1725z00_1083;
BgL_arg1725z00_1083 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_75)))->BgL_z42builtinz42); 
BgL_arg1724z00_1082 = 
(uv_tcp_t *)(BgL_arg1725z00_1083); } 
return 
uv_tcp_open(BgL_arg1724z00_1082, BgL_fdz00_76);} } 

}



/* &uv-tcp-open */
obj_t BGl_z62uvzd2tcpzd2openz62zz__libuv_netz00(obj_t BgL_envz00_1342, obj_t BgL_handlez00_1343, obj_t BgL_fdz00_1344)
{
{ /* Llib/net.scm 288 */
return 
BINT(
BGl_uvzd2tcpzd2openz00zz__libuv_netz00(
((BgL_uvtcpz00_bglt)BgL_handlez00_1343), 
CINT(BgL_fdz00_1344)));} 

}



/* _uv-tcp-bind */
obj_t BGl__uvzd2tcpzd2bindz00zz__libuv_netz00(obj_t BgL_env1239z00_82, obj_t BgL_opt1238z00_81)
{
{ /* Llib/net.scm 295 */
{ /* Llib/net.scm 295 */
 obj_t BgL_g1245z00_379; obj_t BgL_g1246z00_380; obj_t BgL_g1247z00_381;
BgL_g1245z00_379 = 
VECTOR_REF(BgL_opt1238z00_81,((long)0)); 
BgL_g1246z00_380 = 
VECTOR_REF(BgL_opt1238z00_81,((long)1)); 
BgL_g1247z00_381 = 
VECTOR_REF(BgL_opt1238z00_81,((long)2)); 
{ /* Llib/net.scm 295 */
 int BgL_familyz00_382;
BgL_familyz00_382 = 
(int)(((long)4)); 
{ /* Llib/net.scm 295 */

{ /* Llib/net.scm 295 */
 long BgL_index1244z00_383;
{ 
 long BgL_iz00_1090;
BgL_iz00_1090 = ((long)3); 
BgL_search1241z00_1089:
if(
(BgL_iz00_1090==
VECTOR_LENGTH(BgL_opt1238z00_81)))
{ /* Llib/net.scm 295 */
BgL_index1244z00_383 = ((long)-1); }  else 
{ /* Llib/net.scm 295 */
 obj_t BgL_vz00_1094;
BgL_vz00_1094 = 
VECTOR_REF(BgL_opt1238z00_81,BgL_iz00_1090); 
if(
(BgL_vz00_1094==
CNST_TABLE_REF(((long)2))))
{ /* Llib/net.scm 295 */
BgL_index1244z00_383 = 
(BgL_iz00_1090+((long)1)); }  else 
{ 
 long BgL_iz00_2615;
BgL_iz00_2615 = 
(BgL_iz00_1090+((long)2)); 
BgL_iz00_1090 = BgL_iz00_2615; 
goto BgL_search1241z00_1089;} } } 
if(
(BgL_index1244z00_383>=((long)0)))
{ /* Llib/net.scm 295 */
BgL_familyz00_382 = 
CINT(
VECTOR_REF(BgL_opt1238z00_81,BgL_index1244z00_383)); }  else 
{ /* Llib/net.scm 295 */BFALSE; } } 
{ /* Llib/net.scm 295 */
 obj_t BgL_arg1727z00_385; obj_t BgL_arg1728z00_386; obj_t BgL_arg1729z00_387;
BgL_arg1727z00_385 = 
VECTOR_REF(BgL_opt1238z00_81,((long)0)); 
BgL_arg1728z00_386 = 
VECTOR_REF(BgL_opt1238z00_81,((long)1)); 
BgL_arg1729z00_387 = 
VECTOR_REF(BgL_opt1238z00_81,((long)2)); 
{ /* Llib/net.scm 295 */
 int BgL_familyz00_388;
BgL_familyz00_388 = BgL_familyz00_382; 
{ /* Llib/net.scm 295 */
 int BgL_portz00_1101;
BgL_portz00_1101 = 
CINT(BgL_arg1729z00_387); 
BGL_MUTEX_LOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); 
{ /* Llib/net.scm 296 */
 obj_t BgL_tmp2110z00_2625;
BgL_tmp2110z00_2625 = ( 
BGl_tcpzd2serverszd2zz__libuv_netz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvtcpz00_bglt)BgL_arg1727z00_385)), BGl_tcpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); BgL_tmp2110z00_2625; } 
{ /* Llib/net.scm 299 */
 uv_tcp_t * BgL_arg1732z00_1104;
{ /* Llib/net.scm 299 */
 uv_handle_t * BgL_arg1738z00_1105;
BgL_arg1738z00_1105 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_arg1727z00_385))))->BgL_z42builtinz42); 
BgL_arg1732z00_1104 = 
(uv_tcp_t *)(BgL_arg1738z00_1105); } 
return 
BINT(
bgl_uv_tcp_bind(BgL_arg1732z00_1104, 
BSTRING_TO_STRING(
((obj_t)BgL_arg1728z00_386)), BgL_portz00_1101, BgL_familyz00_388));} } } } } } } } 

}



/* uv-tcp-bind */
BGL_EXPORTED_DEF obj_t BGl_uvzd2tcpzd2bindz00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_77, obj_t BgL_hostz00_78, int BgL_portz00_79, int BgL_familyz00_80)
{
{ /* Llib/net.scm 295 */
BGL_MUTEX_LOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); 
{ /* Llib/net.scm 296 */
 obj_t BgL_tmp2111z00_2639;
BgL_tmp2111z00_2639 = ( 
BGl_tcpzd2serverszd2zz__libuv_netz00 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_77), BGl_tcpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); BgL_tmp2111z00_2639; } 
{ /* Llib/net.scm 299 */
 uv_tcp_t * BgL_arg1732z00_1107;
{ /* Llib/net.scm 299 */
 uv_handle_t * BgL_arg1738z00_1108;
BgL_arg1738z00_1108 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_77)))->BgL_z42builtinz42); 
BgL_arg1732z00_1107 = 
(uv_tcp_t *)(BgL_arg1738z00_1108); } 
return 
BINT(
bgl_uv_tcp_bind(BgL_arg1732z00_1107, 
BSTRING_TO_STRING(BgL_hostz00_78), BgL_portz00_79, BgL_familyz00_80));} } 

}



/* uv-tcp-nodelay */
BGL_EXPORTED_DEF int BGl_uvzd2tcpzd2nodelayz00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_83, bool_t BgL_enablez00_84)
{
{ /* Llib/net.scm 304 */
{ /* Llib/net.scm 306 */
 uv_tcp_t * BgL_arg1740z00_1110;
{ /* Llib/net.scm 306 */
 uv_handle_t * BgL_arg1741z00_1111;
BgL_arg1741z00_1111 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_83)))->BgL_z42builtinz42); 
BgL_arg1740z00_1110 = 
(uv_tcp_t *)(BgL_arg1741z00_1111); } 
return 
uv_tcp_nodelay(BgL_arg1740z00_1110, BgL_enablez00_84);} } 

}



/* &uv-tcp-nodelay */
obj_t BGl_z62uvzd2tcpzd2nodelayz62zz__libuv_netz00(obj_t BgL_envz00_1345, obj_t BgL_handlez00_1346, obj_t BgL_enablez00_1347)
{
{ /* Llib/net.scm 304 */
return 
BINT(
BGl_uvzd2tcpzd2nodelayz00zz__libuv_netz00(
((BgL_uvtcpz00_bglt)BgL_handlez00_1346), 
CBOOL(BgL_enablez00_1347)));} 

}



/* uv-tcp-keepalive */
BGL_EXPORTED_DEF int BGl_uvzd2tcpzd2keepalivez00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_85, bool_t BgL_enablez00_86, int BgL_delayz00_87)
{
{ /* Llib/net.scm 311 */
{ /* Llib/net.scm 313 */
 uv_tcp_t * BgL_arg1742z00_1113;
{ /* Llib/net.scm 313 */
 uv_handle_t * BgL_arg1743z00_1114;
BgL_arg1743z00_1114 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_85)))->BgL_z42builtinz42); 
BgL_arg1742z00_1113 = 
(uv_tcp_t *)(BgL_arg1743z00_1114); } 
{ /* Llib/net.scm 313 */
 unsigned int BgL_tmpz00_2661;
BgL_tmpz00_2661 = 
(unsigned int)(BgL_delayz00_87); 
return 
uv_tcp_keepalive(BgL_arg1742z00_1113, BgL_enablez00_86, BgL_tmpz00_2661);} } } 

}



/* &uv-tcp-keepalive */
obj_t BGl_z62uvzd2tcpzd2keepalivez62zz__libuv_netz00(obj_t BgL_envz00_1348, obj_t BgL_handlez00_1349, obj_t BgL_enablez00_1350, obj_t BgL_delayz00_1351)
{
{ /* Llib/net.scm 311 */
return 
BINT(
BGl_uvzd2tcpzd2keepalivez00zz__libuv_netz00(
((BgL_uvtcpz00_bglt)BgL_handlez00_1349), 
CBOOL(BgL_enablez00_1350), 
CINT(BgL_delayz00_1351)));} 

}



/* uv-tcp-simultaneous-accepts */
BGL_EXPORTED_DEF int BGl_uvzd2tcpzd2simultaneouszd2acceptszd2zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_88, bool_t BgL_enablez00_89)
{
{ /* Llib/net.scm 318 */
{ /* Llib/net.scm 320 */
 uv_tcp_t * BgL_arg1744z00_1116;
{ /* Llib/net.scm 320 */
 uv_handle_t * BgL_arg1745z00_1117;
BgL_arg1745z00_1117 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_88)))->BgL_z42builtinz42); 
BgL_arg1744z00_1116 = 
(uv_tcp_t *)(BgL_arg1745z00_1117); } 
return 
uv_tcp_simultaneous_accepts(BgL_arg1744z00_1116, BgL_enablez00_89);} } 

}



/* &uv-tcp-simultaneous-accepts */
obj_t BGl_z62uvzd2tcpzd2simultaneouszd2acceptszb0zz__libuv_netz00(obj_t BgL_envz00_1352, obj_t BgL_handlez00_1353, obj_t BgL_enablez00_1354)
{
{ /* Llib/net.scm 318 */
return 
BINT(
BGl_uvzd2tcpzd2simultaneouszd2acceptszd2zz__libuv_netz00(
((BgL_uvtcpz00_bglt)BgL_handlez00_1353), 
CBOOL(BgL_enablez00_1354)));} 

}



/* uv-tcp-getsockname */
BGL_EXPORTED_DEF obj_t BGl_uvzd2tcpzd2getsocknamez00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_90)
{
{ /* Llib/net.scm 325 */
{ /* Llib/net.scm 327 */
 uv_tcp_t * BgL_arg1746z00_1119;
{ /* Llib/net.scm 327 */
 uv_handle_t * BgL_arg1747z00_1120;
BgL_arg1747z00_1120 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_90)))->BgL_z42builtinz42); 
BgL_arg1746z00_1119 = 
(uv_tcp_t *)(BgL_arg1747z00_1120); } 
return 
bgl_uv_tcp_getsockname(BgL_arg1746z00_1119);} } 

}



/* &uv-tcp-getsockname */
obj_t BGl_z62uvzd2tcpzd2getsocknamez62zz__libuv_netz00(obj_t BgL_envz00_1355, obj_t BgL_handlez00_1356)
{
{ /* Llib/net.scm 325 */
return 
BGl_uvzd2tcpzd2getsocknamez00zz__libuv_netz00(
((BgL_uvtcpz00_bglt)BgL_handlez00_1356));} 

}



/* uv-tcp-getpeername */
BGL_EXPORTED_DEF obj_t BGl_uvzd2tcpzd2getpeernamez00zz__libuv_netz00(BgL_uvtcpz00_bglt BgL_handlez00_91)
{
{ /* Llib/net.scm 332 */
{ /* Llib/net.scm 334 */
 uv_tcp_t * BgL_arg1754z00_1122;
{ /* Llib/net.scm 334 */
 uv_handle_t * BgL_arg1755z00_1123;
BgL_arg1755z00_1123 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_91)))->BgL_z42builtinz42); 
BgL_arg1754z00_1122 = 
(uv_tcp_t *)(BgL_arg1755z00_1123); } 
return 
bgl_uv_tcp_getpeername(BgL_arg1754z00_1122);} } 

}



/* &uv-tcp-getpeername */
obj_t BGl_z62uvzd2tcpzd2getpeernamez62zz__libuv_netz00(obj_t BgL_envz00_1357, obj_t BgL_handlez00_1358)
{
{ /* Llib/net.scm 332 */
return 
BGl_uvzd2tcpzd2getpeernamez00zz__libuv_netz00(
((BgL_uvtcpz00_bglt)BgL_handlez00_1358));} 

}



/* _uv-udp-bind */
obj_t BGl__uvzd2udpzd2bindz00zz__libuv_netz00(obj_t BgL_env1251z00_102, obj_t BgL_opt1250z00_101)
{
{ /* Llib/net.scm 360 */
{ /* Llib/net.scm 360 */
 obj_t BgL_g1258z00_414; obj_t BgL_g1259z00_415; obj_t BgL_g1260z00_416;
BgL_g1258z00_414 = 
VECTOR_REF(BgL_opt1250z00_101,((long)0)); 
BgL_g1259z00_415 = 
VECTOR_REF(BgL_opt1250z00_101,((long)1)); 
BgL_g1260z00_416 = 
VECTOR_REF(BgL_opt1250z00_101,((long)2)); 
{ /* Llib/net.scm 360 */
 int BgL_familyz00_417;
BgL_familyz00_417 = 
(int)(((long)4)); 
{ /* Llib/net.scm 360 */
 int BgL_flagsz00_418;
BgL_flagsz00_418 = 
(int)(((long)0)); 
{ /* Llib/net.scm 360 */

{ /* Llib/net.scm 360 */
 long BgL_index1256z00_419;
{ 
 long BgL_iz00_1130;
BgL_iz00_1130 = ((long)3); 
BgL_search1253z00_1129:
if(
(BgL_iz00_1130==
VECTOR_LENGTH(BgL_opt1250z00_101)))
{ /* Llib/net.scm 360 */
BgL_index1256z00_419 = ((long)-1); }  else 
{ /* Llib/net.scm 360 */
 obj_t BgL_vz00_1134;
BgL_vz00_1134 = 
VECTOR_REF(BgL_opt1250z00_101,BgL_iz00_1130); 
if(
(BgL_vz00_1134==
CNST_TABLE_REF(((long)2))))
{ /* Llib/net.scm 360 */
BgL_index1256z00_419 = 
(BgL_iz00_1130+((long)1)); }  else 
{ 
 long BgL_iz00_2702;
BgL_iz00_2702 = 
(BgL_iz00_1130+((long)2)); 
BgL_iz00_1130 = BgL_iz00_2702; 
goto BgL_search1253z00_1129;} } } 
if(
(BgL_index1256z00_419>=((long)0)))
{ /* Llib/net.scm 360 */
BgL_familyz00_417 = 
CINT(
VECTOR_REF(BgL_opt1250z00_101,BgL_index1256z00_419)); }  else 
{ /* Llib/net.scm 360 */BFALSE; } } 
{ /* Llib/net.scm 360 */
 long BgL_index1257z00_421;
{ 
 long BgL_iz00_1140;
BgL_iz00_1140 = ((long)3); 
BgL_search1253z00_1139:
if(
(BgL_iz00_1140==
VECTOR_LENGTH(BgL_opt1250z00_101)))
{ /* Llib/net.scm 360 */
BgL_index1257z00_421 = ((long)-1); }  else 
{ /* Llib/net.scm 360 */
 obj_t BgL_vz00_1144;
BgL_vz00_1144 = 
VECTOR_REF(BgL_opt1250z00_101,BgL_iz00_1140); 
if(
(BgL_vz00_1144==
CNST_TABLE_REF(((long)5))))
{ /* Llib/net.scm 360 */
BgL_index1257z00_421 = 
(BgL_iz00_1140+((long)1)); }  else 
{ 
 long BgL_iz00_2716;
BgL_iz00_2716 = 
(BgL_iz00_1140+((long)2)); 
BgL_iz00_1140 = BgL_iz00_2716; 
goto BgL_search1253z00_1139;} } } 
if(
(BgL_index1257z00_421>=((long)0)))
{ /* Llib/net.scm 360 */
BgL_flagsz00_418 = 
CINT(
VECTOR_REF(BgL_opt1250z00_101,BgL_index1257z00_421)); }  else 
{ /* Llib/net.scm 360 */BFALSE; } } 
{ /* Llib/net.scm 360 */
 obj_t BgL_arg1758z00_423; obj_t BgL_arg1762z00_424; obj_t BgL_arg1765z00_425;
BgL_arg1758z00_423 = 
VECTOR_REF(BgL_opt1250z00_101,((long)0)); 
BgL_arg1762z00_424 = 
VECTOR_REF(BgL_opt1250z00_101,((long)1)); 
BgL_arg1765z00_425 = 
VECTOR_REF(BgL_opt1250z00_101,((long)2)); 
{ /* Llib/net.scm 360 */
 int BgL_familyz00_426;
BgL_familyz00_426 = BgL_familyz00_417; 
{ /* Llib/net.scm 360 */
 int BgL_flagsz00_427;
BgL_flagsz00_427 = BgL_flagsz00_418; 
{ /* Llib/net.scm 360 */
 int BgL_portz00_1151;
BgL_portz00_1151 = 
CINT(BgL_arg1765z00_425); 
BGL_MUTEX_LOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); 
{ /* Llib/net.scm 361 */
 obj_t BgL_tmp2118z00_2726;
BgL_tmp2118z00_2726 = ( 
BGl_udpzd2serverszd2zz__libuv_netz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvudpz00_bglt)BgL_arg1758z00_423)), BGl_udpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); BgL_tmp2118z00_2726; } 
{ /* Llib/net.scm 364 */
 uv_udp_t * BgL_arg1786z00_1155;
{ /* Llib/net.scm 364 */
 uv_handle_t * BgL_arg1787z00_1156;
BgL_arg1787z00_1156 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_arg1758z00_423))))->BgL_z42builtinz42); 
BgL_arg1786z00_1155 = 
(uv_udp_t *)(BgL_arg1787z00_1156); } 
return 
BINT(
bgl_uv_udp_bind(BgL_arg1786z00_1155, 
BSTRING_TO_STRING(
((obj_t)BgL_arg1762z00_424)), BgL_portz00_1151, BgL_familyz00_426, BgL_flagsz00_427));} } } } } } } } } } 

}



/* uv-udp-bind */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2bindz00zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_96, obj_t BgL_hostz00_97, int BgL_portz00_98, int BgL_familyz00_99, int BgL_flagsz00_100)
{
{ /* Llib/net.scm 360 */
BGL_MUTEX_LOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); 
{ /* Llib/net.scm 361 */
 obj_t BgL_tmp2119z00_2740;
BgL_tmp2119z00_2740 = ( 
BGl_udpzd2serverszd2zz__libuv_netz00 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_handlez00_96), BGl_udpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); BgL_tmp2119z00_2740; } 
{ /* Llib/net.scm 364 */
 uv_udp_t * BgL_arg1786z00_1158;
{ /* Llib/net.scm 364 */
 uv_handle_t * BgL_arg1787z00_1159;
BgL_arg1787z00_1159 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_96)))->BgL_z42builtinz42); 
BgL_arg1786z00_1158 = 
(uv_udp_t *)(BgL_arg1787z00_1159); } 
return 
BINT(
bgl_uv_udp_bind(BgL_arg1786z00_1158, 
BSTRING_TO_STRING(BgL_hostz00_97), BgL_portz00_98, BgL_familyz00_99, BgL_flagsz00_100));} } 

}



/* _uv-udp-recv-start */
obj_t BGl__uvzd2udpzd2recvzd2startzd2zz__libuv_netz00(obj_t BgL_env1262z00_108, obj_t BgL_opt1261z00_107)
{
{ /* Llib/net.scm 369 */
{ /* Llib/net.scm 369 */
 obj_t BgL_g1270z00_438;
BgL_g1270z00_438 = 
VECTOR_REF(BgL_opt1261z00_107,((long)0)); 
{ /* Llib/net.scm 369 */
 obj_t BgL_callbackz00_439;
BgL_callbackz00_439 = BFALSE; 
{ /* Llib/net.scm 369 */
 obj_t BgL_loopz00_440;
BgL_loopz00_440 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 369 */
 obj_t BgL_onallocz00_441;
BgL_onallocz00_441 = BFALSE; 
{ /* Llib/net.scm 369 */

{ /* Llib/net.scm 369 */
 long BgL_index1267z00_442;
{ 
 long BgL_iz00_1166;
BgL_iz00_1166 = ((long)1); 
BgL_search1264z00_1165:
if(
(BgL_iz00_1166==
VECTOR_LENGTH(BgL_opt1261z00_107)))
{ /* Llib/net.scm 369 */
BgL_index1267z00_442 = ((long)-1); }  else 
{ /* Llib/net.scm 369 */
 obj_t BgL_vz00_1170;
BgL_vz00_1170 = 
VECTOR_REF(BgL_opt1261z00_107,BgL_iz00_1166); 
if(
(BgL_vz00_1170==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 369 */
BgL_index1267z00_442 = 
(BgL_iz00_1166+((long)1)); }  else 
{ 
 long BgL_iz00_2762;
BgL_iz00_2762 = 
(BgL_iz00_1166+((long)2)); 
BgL_iz00_1166 = BgL_iz00_2762; 
goto BgL_search1264z00_1165;} } } 
if(
(BgL_index1267z00_442>=((long)0)))
{ /* Llib/net.scm 369 */
BgL_callbackz00_439 = 
VECTOR_REF(BgL_opt1261z00_107,BgL_index1267z00_442); }  else 
{ /* Llib/net.scm 369 */BFALSE; } } 
{ /* Llib/net.scm 369 */
 long BgL_index1268z00_444;
{ 
 long BgL_iz00_1176;
BgL_iz00_1176 = ((long)1); 
BgL_search1264z00_1175:
if(
(BgL_iz00_1176==
VECTOR_LENGTH(BgL_opt1261z00_107)))
{ /* Llib/net.scm 369 */
BgL_index1268z00_444 = ((long)-1); }  else 
{ /* Llib/net.scm 369 */
 obj_t BgL_vz00_1180;
BgL_vz00_1180 = 
VECTOR_REF(BgL_opt1261z00_107,BgL_iz00_1176); 
if(
(BgL_vz00_1180==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 369 */
BgL_index1268z00_444 = 
(BgL_iz00_1176+((long)1)); }  else 
{ 
 long BgL_iz00_2775;
BgL_iz00_2775 = 
(BgL_iz00_1176+((long)2)); 
BgL_iz00_1176 = BgL_iz00_2775; 
goto BgL_search1264z00_1175;} } } 
if(
(BgL_index1268z00_444>=((long)0)))
{ /* Llib/net.scm 369 */
BgL_loopz00_440 = 
VECTOR_REF(BgL_opt1261z00_107,BgL_index1268z00_444); }  else 
{ /* Llib/net.scm 369 */BFALSE; } } 
{ /* Llib/net.scm 369 */
 long BgL_index1269z00_446;
{ 
 long BgL_iz00_1186;
BgL_iz00_1186 = ((long)1); 
BgL_search1264z00_1185:
if(
(BgL_iz00_1186==
VECTOR_LENGTH(BgL_opt1261z00_107)))
{ /* Llib/net.scm 369 */
BgL_index1269z00_446 = ((long)-1); }  else 
{ /* Llib/net.scm 369 */
 obj_t BgL_vz00_1190;
BgL_vz00_1190 = 
VECTOR_REF(BgL_opt1261z00_107,BgL_iz00_1186); 
if(
(BgL_vz00_1190==
CNST_TABLE_REF(((long)4))))
{ /* Llib/net.scm 369 */
BgL_index1269z00_446 = 
(BgL_iz00_1186+((long)1)); }  else 
{ 
 long BgL_iz00_2788;
BgL_iz00_2788 = 
(BgL_iz00_1186+((long)2)); 
BgL_iz00_1186 = BgL_iz00_2788; 
goto BgL_search1264z00_1185;} } } 
if(
(BgL_index1269z00_446>=((long)0)))
{ /* Llib/net.scm 369 */
BgL_onallocz00_441 = 
VECTOR_REF(BgL_opt1261z00_107,BgL_index1269z00_446); }  else 
{ /* Llib/net.scm 369 */BFALSE; } } 
{ /* Llib/net.scm 369 */
 obj_t BgL_arg1792z00_448;
BgL_arg1792z00_448 = 
VECTOR_REF(BgL_opt1261z00_107,((long)0)); 
{ /* Llib/net.scm 369 */
 obj_t BgL_callbackz00_449;
BgL_callbackz00_449 = BgL_callbackz00_439; 
{ /* Llib/net.scm 369 */
 obj_t BgL_loopz00_450;
BgL_loopz00_450 = BgL_loopz00_440; 
{ /* Llib/net.scm 369 */
 obj_t BgL_onallocz00_451;
BgL_onallocz00_451 = BgL_onallocz00_441; 
{ 
 obj_t BgL_auxz00_2794;
{ /* Llib/net.scm 371 */
 obj_t BgL_arg1805z00_1197;
BgL_arg1805z00_1197 = 
(((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_arg1792z00_448)))->BgL_z52procmz52); 
BgL_auxz00_2794 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_449, BgL_arg1805z00_1197); } 
((((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_arg1792z00_448)))->BgL_z52procmz52)=((obj_t)BgL_auxz00_2794),BUNSPEC); } 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_450)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 372 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_450)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvudpz00_bglt)BgL_arg1792z00_448)), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_450)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_450)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 372 */
{ /* Llib/net.scm 372 */
 obj_t BgL_arg1869z00_1202; obj_t BgL_arg1870z00_1203;
BgL_arg1869z00_1202 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_450)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_1203 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_uvudpz00_bglt)BgL_arg1792z00_448)), BNIL); 
{ /* Llib/net.scm 372 */
 obj_t BgL_tmpz00_2818;
BgL_tmpz00_2818 = 
((obj_t)BgL_arg1869z00_1202); 
SET_CDR(BgL_tmpz00_2818, BgL_arg1870z00_1203); } } 
{ 
 obj_t BgL_auxz00_2821;
{ /* Llib/net.scm 372 */
 obj_t BgL_pairz00_1206;
BgL_pairz00_1206 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_450)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2821 = 
CDR(BgL_pairz00_1206); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_450)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2821),BUNSPEC); } } BUNSPEC; 
return 
BINT(
bgl_uv_udp_recv_start(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_arg1792z00_448)), BgL_onallocz00_451, BgL_callbackz00_449, 
((BgL_uvloopz00_bglt)BgL_loopz00_450)));} } } } } } } } } } 

}



/* uv-udp-recv-start */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2recvzd2startzd2zz__libuv_netz00(BgL_uvudpz00_bglt BgL_oz00_103, obj_t BgL_callbackz00_104, obj_t BgL_loopz00_105, obj_t BgL_onallocz00_106)
{
{ /* Llib/net.scm 369 */
{ 
 obj_t BgL_auxz00_2832;
{ /* Llib/net.scm 371 */
 obj_t BgL_arg1805z00_1208;
BgL_arg1805z00_1208 = 
(((BgL_uvudpz00_bglt)COBJECT(BgL_oz00_103))->BgL_z52procmz52); 
BgL_auxz00_2832 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_104, BgL_arg1805z00_1208); } 
((((BgL_uvudpz00_bglt)COBJECT(BgL_oz00_103))->BgL_z52procmz52)=((obj_t)BgL_auxz00_2832),BUNSPEC); } 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarkstailz52)))
{ /* Llib/net.scm 372 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_103), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/net.scm 372 */
{ /* Llib/net.scm 372 */
 obj_t BgL_arg1869z00_1213; obj_t BgL_arg1870z00_1214;
BgL_arg1869z00_1213 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarkstailz52); 
BgL_arg1870z00_1214 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_103), BNIL); 
{ /* Llib/net.scm 372 */
 obj_t BgL_tmpz00_2852;
BgL_tmpz00_2852 = 
((obj_t)BgL_arg1869z00_1213); 
SET_CDR(BgL_tmpz00_2852, BgL_arg1870z00_1214); } } 
{ 
 obj_t BgL_auxz00_2855;
{ /* Llib/net.scm 372 */
 obj_t BgL_pairz00_1217;
BgL_pairz00_1217 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2855 = 
CDR(BgL_pairz00_1217); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_105)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2855),BUNSPEC); } } BUNSPEC; 
return 
BINT(
bgl_uv_udp_recv_start(
((BgL_uvhandlez00_bglt)BgL_oz00_103), BgL_onallocz00_106, BgL_callbackz00_104, 
((BgL_uvloopz00_bglt)BgL_loopz00_105)));} 

}



/* uv-udp-recv-stop */
BGL_EXPORTED_DEF int BGl_uvzd2udpzd2recvzd2stopzd2zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_109)
{
{ /* Llib/net.scm 378 */
((((BgL_uvudpz00_bglt)COBJECT(BgL_handlez00_109))->BgL_z52procmz52)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/net.scm 381 */
 BgL_uvloopz00_bglt BgL_arg1807z00_458;
BgL_arg1807z00_458 = 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_handlez00_109)))->BgL_loopz00); 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_arg1807z00_458), 
((obj_t)BgL_handlez00_109)); } 
{ /* Llib/net.scm 382 */
 uv_udp_t * BgL_arg1808z00_459;
{ /* Llib/net.scm 382 */
 uv_handle_t * BgL_arg1814z00_460;
BgL_arg1814z00_460 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_109)))->BgL_z42builtinz42); 
BgL_arg1808z00_459 = 
(uv_udp_t *)(BgL_arg1814z00_460); } 
return 
uv_udp_recv_stop(BgL_arg1808z00_459);} } 

}



/* &uv-udp-recv-stop */
obj_t BGl_z62uvzd2udpzd2recvzd2stopzb0zz__libuv_netz00(obj_t BgL_envz00_1359, obj_t BgL_handlez00_1360)
{
{ /* Llib/net.scm 378 */
return 
BINT(
BGl_uvzd2udpzd2recvzd2stopzd2zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1360)));} 

}



/* uv-udp-getsockname */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2getsocknamez00zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_110)
{
{ /* Llib/net.scm 387 */
{ /* Llib/net.scm 389 */
 uv_udp_t * BgL_arg1815z00_1219;
{ /* Llib/net.scm 389 */
 uv_handle_t * BgL_arg1816z00_1220;
BgL_arg1816z00_1220 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_110)))->BgL_z42builtinz42); 
BgL_arg1815z00_1219 = 
(uv_udp_t *)(BgL_arg1816z00_1220); } 
return 
bgl_uv_udp_getsockname(BgL_arg1815z00_1219);} } 

}



/* &uv-udp-getsockname */
obj_t BGl_z62uvzd2udpzd2getsocknamez62zz__libuv_netz00(obj_t BgL_envz00_1361, obj_t BgL_handlez00_1362)
{
{ /* Llib/net.scm 387 */
return 
BGl_uvzd2udpzd2getsocknamez00zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1362));} 

}



/* _uv-udp-send */
obj_t BGl__uvzd2udpzd2sendz00zz__libuv_netz00(obj_t BgL_env1272z00_121, obj_t BgL_opt1271z00_120)
{
{ /* Llib/net.scm 394 */
{ /* Llib/net.scm 394 */
 obj_t BgL_g1281z00_468; obj_t BgL_g1282z00_469; obj_t BgL_g1283z00_470; obj_t BgL_g1284z00_471; obj_t BgL_g1285z00_472; obj_t BgL_g1286z00_473;
BgL_g1281z00_468 = 
VECTOR_REF(BgL_opt1271z00_120,((long)0)); 
BgL_g1282z00_469 = 
VECTOR_REF(BgL_opt1271z00_120,((long)1)); 
BgL_g1283z00_470 = 
VECTOR_REF(BgL_opt1271z00_120,((long)2)); 
BgL_g1284z00_471 = 
VECTOR_REF(BgL_opt1271z00_120,((long)3)); 
BgL_g1285z00_472 = 
VECTOR_REF(BgL_opt1271z00_120,((long)4)); 
BgL_g1286z00_473 = 
VECTOR_REF(BgL_opt1271z00_120,((long)5)); 
{ /* Llib/net.scm 394 */
 obj_t BgL_callbackz00_474;
BgL_callbackz00_474 = BFALSE; 
{ /* Llib/net.scm 394 */
 obj_t BgL_familyz00_475;
BgL_familyz00_475 = 
BINT(((long)4)); 
{ /* Llib/net.scm 394 */
 obj_t BgL_loopz00_476;
BgL_loopz00_476 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/net.scm 394 */

{ /* Llib/net.scm 394 */
 long BgL_index1277z00_477;
{ 
 long BgL_iz00_1227;
BgL_iz00_1227 = ((long)6); 
BgL_search1274z00_1226:
if(
(BgL_iz00_1227==
VECTOR_LENGTH(BgL_opt1271z00_120)))
{ /* Llib/net.scm 394 */
BgL_index1277z00_477 = ((long)-1); }  else 
{ /* Llib/net.scm 394 */
 obj_t BgL_vz00_1231;
BgL_vz00_1231 = 
VECTOR_REF(BgL_opt1271z00_120,BgL_iz00_1227); 
if(
(BgL_vz00_1231==
CNST_TABLE_REF(((long)1))))
{ /* Llib/net.scm 394 */
BgL_index1277z00_477 = 
(BgL_iz00_1227+((long)1)); }  else 
{ 
 long BgL_iz00_2901;
BgL_iz00_2901 = 
(BgL_iz00_1227+((long)2)); 
BgL_iz00_1227 = BgL_iz00_2901; 
goto BgL_search1274z00_1226;} } } 
if(
(BgL_index1277z00_477>=((long)0)))
{ /* Llib/net.scm 394 */
BgL_callbackz00_474 = 
VECTOR_REF(BgL_opt1271z00_120,BgL_index1277z00_477); }  else 
{ /* Llib/net.scm 394 */BFALSE; } } 
{ /* Llib/net.scm 394 */
 long BgL_index1278z00_479;
{ 
 long BgL_iz00_1237;
BgL_iz00_1237 = ((long)6); 
BgL_search1274z00_1236:
if(
(BgL_iz00_1237==
VECTOR_LENGTH(BgL_opt1271z00_120)))
{ /* Llib/net.scm 394 */
BgL_index1278z00_479 = ((long)-1); }  else 
{ /* Llib/net.scm 394 */
 obj_t BgL_vz00_1241;
BgL_vz00_1241 = 
VECTOR_REF(BgL_opt1271z00_120,BgL_iz00_1237); 
if(
(BgL_vz00_1241==
CNST_TABLE_REF(((long)2))))
{ /* Llib/net.scm 394 */
BgL_index1278z00_479 = 
(BgL_iz00_1237+((long)1)); }  else 
{ 
 long BgL_iz00_2914;
BgL_iz00_2914 = 
(BgL_iz00_1237+((long)2)); 
BgL_iz00_1237 = BgL_iz00_2914; 
goto BgL_search1274z00_1236;} } } 
if(
(BgL_index1278z00_479>=((long)0)))
{ /* Llib/net.scm 394 */
BgL_familyz00_475 = 
VECTOR_REF(BgL_opt1271z00_120,BgL_index1278z00_479); }  else 
{ /* Llib/net.scm 394 */BFALSE; } } 
{ /* Llib/net.scm 394 */
 long BgL_index1279z00_481;
{ 
 long BgL_iz00_1247;
BgL_iz00_1247 = ((long)6); 
BgL_search1274z00_1246:
if(
(BgL_iz00_1247==
VECTOR_LENGTH(BgL_opt1271z00_120)))
{ /* Llib/net.scm 394 */
BgL_index1279z00_481 = ((long)-1); }  else 
{ /* Llib/net.scm 394 */
 obj_t BgL_vz00_1251;
BgL_vz00_1251 = 
VECTOR_REF(BgL_opt1271z00_120,BgL_iz00_1247); 
if(
(BgL_vz00_1251==
CNST_TABLE_REF(((long)3))))
{ /* Llib/net.scm 394 */
BgL_index1279z00_481 = 
(BgL_iz00_1247+((long)1)); }  else 
{ 
 long BgL_iz00_2927;
BgL_iz00_2927 = 
(BgL_iz00_1247+((long)2)); 
BgL_iz00_1247 = BgL_iz00_2927; 
goto BgL_search1274z00_1246;} } } 
if(
(BgL_index1279z00_481>=((long)0)))
{ /* Llib/net.scm 394 */
BgL_loopz00_476 = 
VECTOR_REF(BgL_opt1271z00_120,BgL_index1279z00_481); }  else 
{ /* Llib/net.scm 394 */BFALSE; } } 
{ /* Llib/net.scm 394 */
 obj_t BgL_arg1820z00_483; obj_t BgL_arg1821z00_484; obj_t BgL_arg1822z00_485; obj_t BgL_arg1823z00_486; obj_t BgL_arg1824z00_487; obj_t BgL_arg1825z00_488;
BgL_arg1820z00_483 = 
VECTOR_REF(BgL_opt1271z00_120,((long)0)); 
BgL_arg1821z00_484 = 
VECTOR_REF(BgL_opt1271z00_120,((long)1)); 
BgL_arg1822z00_485 = 
VECTOR_REF(BgL_opt1271z00_120,((long)2)); 
BgL_arg1823z00_486 = 
VECTOR_REF(BgL_opt1271z00_120,((long)3)); 
BgL_arg1824z00_487 = 
VECTOR_REF(BgL_opt1271z00_120,((long)4)); 
BgL_arg1825z00_488 = 
VECTOR_REF(BgL_opt1271z00_120,((long)5)); 
{ /* Llib/net.scm 394 */
 obj_t BgL_callbackz00_489;
BgL_callbackz00_489 = BgL_callbackz00_474; 
{ /* Llib/net.scm 394 */
 obj_t BgL_familyz00_490;
BgL_familyz00_490 = BgL_familyz00_475; 
{ /* Llib/net.scm 394 */
 obj_t BgL_loopz00_491;
BgL_loopz00_491 = BgL_loopz00_476; 
{ /* Llib/net.scm 394 */
 long BgL_offsetz00_1258; long BgL_lenz00_1259; long BgL_portz00_1260;
BgL_offsetz00_1258 = 
(long)CINT(BgL_arg1822z00_485); 
BgL_lenz00_1259 = 
(long)CINT(BgL_arg1823z00_486); 
BgL_portz00_1260 = 
(long)CINT(BgL_arg1824z00_487); 
{ /* Llib/net.scm 396 */
 uv_udp_t * BgL_arg1828z00_1263;
{ /* Llib/net.scm 396 */
 uv_handle_t * BgL_arg1829z00_1264;
BgL_arg1829z00_1264 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_arg1820z00_483))))->BgL_z42builtinz42); 
BgL_arg1828z00_1263 = 
(uv_udp_t *)(BgL_arg1829z00_1264); } 
return 
BINT(
bgl_uv_udp_send(BgL_arg1828z00_1263, 
((obj_t)BgL_arg1821z00_484), BgL_offsetz00_1258, BgL_lenz00_1259, BgL_portz00_1260, 
BSTRING_TO_STRING(
((obj_t)BgL_arg1825z00_488)), 
CINT(BgL_familyz00_490), BgL_callbackz00_489, 
((BgL_uvloopz00_bglt)BgL_loopz00_491)));} } } } } } } } } } } } 

}



/* uv-udp-send */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2sendz00zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_111, obj_t BgL_bufz00_112, long BgL_offsetz00_113, long BgL_lenz00_114, long BgL_portz00_115, obj_t BgL_addressz00_116, obj_t BgL_callbackz00_117, obj_t BgL_familyz00_118, obj_t BgL_loopz00_119)
{
{ /* Llib/net.scm 394 */
{ /* Llib/net.scm 396 */
 uv_udp_t * BgL_arg1828z00_1266;
{ /* Llib/net.scm 396 */
 uv_handle_t * BgL_arg1829z00_1267;
BgL_arg1829z00_1267 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_111)))->BgL_z42builtinz42); 
BgL_arg1828z00_1266 = 
(uv_udp_t *)(BgL_arg1829z00_1267); } 
return 
BINT(
bgl_uv_udp_send(BgL_arg1828z00_1266, BgL_bufz00_112, BgL_offsetz00_113, BgL_lenz00_114, BgL_portz00_115, 
BSTRING_TO_STRING(BgL_addressz00_116), 
CINT(BgL_familyz00_118), BgL_callbackz00_117, 
((BgL_uvloopz00_bglt)BgL_loopz00_119)));} } 

}



/* uv-udp-set-ttl */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2setzd2ttlzd2zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_122, int BgL_ttlz00_123)
{
{ /* Llib/net.scm 404 */
{ /* Llib/net.scm 406 */
 uv_udp_t * BgL_arg1830z00_1269;
{ /* Llib/net.scm 406 */
 uv_handle_t * BgL_arg1831z00_1270;
BgL_arg1831z00_1270 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_122)))->BgL_z42builtinz42); 
BgL_arg1830z00_1269 = 
(uv_udp_t *)(BgL_arg1831z00_1270); } 
return 
BINT(
uv_udp_set_ttl(BgL_arg1830z00_1269, BgL_ttlz00_123));} } 

}



/* &uv-udp-set-ttl */
obj_t BGl_z62uvzd2udpzd2setzd2ttlzb0zz__libuv_netz00(obj_t BgL_envz00_1363, obj_t BgL_handlez00_1364, obj_t BgL_ttlz00_1365)
{
{ /* Llib/net.scm 404 */
return 
BGl_uvzd2udpzd2setzd2ttlzd2zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1364), 
CINT(BgL_ttlz00_1365));} 

}



/* uv-udp-set-multicast-ttl */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2setzd2multicastzd2ttlz00zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_124, int BgL_ttlz00_125)
{
{ /* Llib/net.scm 411 */
{ /* Llib/net.scm 413 */
 uv_udp_t * BgL_arg1832z00_1272;
{ /* Llib/net.scm 413 */
 uv_handle_t * BgL_arg1833z00_1273;
BgL_arg1833z00_1273 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_124)))->BgL_z42builtinz42); 
BgL_arg1832z00_1272 = 
(uv_udp_t *)(BgL_arg1833z00_1273); } 
return 
BINT(
uv_udp_set_multicast_ttl(BgL_arg1832z00_1272, BgL_ttlz00_125));} } 

}



/* &uv-udp-set-multicast-ttl */
obj_t BGl_z62uvzd2udpzd2setzd2multicastzd2ttlz62zz__libuv_netz00(obj_t BgL_envz00_1366, obj_t BgL_handlez00_1367, obj_t BgL_ttlz00_1368)
{
{ /* Llib/net.scm 411 */
return 
BGl_uvzd2udpzd2setzd2multicastzd2ttlz00zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1367), 
CINT(BgL_ttlz00_1368));} 

}



/* uv-udp-set-multicast-loop */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2setzd2multicastzd2loopz00zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_126, bool_t BgL_onz00_127)
{
{ /* Llib/net.scm 418 */
{ /* Llib/net.scm 420 */
 uv_udp_t * BgL_arg1834z00_1275;
{ /* Llib/net.scm 420 */
 uv_handle_t * BgL_arg1835z00_1276;
BgL_arg1835z00_1276 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_126)))->BgL_z42builtinz42); 
BgL_arg1834z00_1275 = 
(uv_udp_t *)(BgL_arg1835z00_1276); } 
return 
BINT(
uv_udp_set_multicast_loop(BgL_arg1834z00_1275, BgL_onz00_127));} } 

}



/* &uv-udp-set-multicast-loop */
obj_t BGl_z62uvzd2udpzd2setzd2multicastzd2loopz62zz__libuv_netz00(obj_t BgL_envz00_1369, obj_t BgL_handlez00_1370, obj_t BgL_onz00_1371)
{
{ /* Llib/net.scm 418 */
return 
BGl_uvzd2udpzd2setzd2multicastzd2loopz00zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1370), 
CBOOL(BgL_onz00_1371));} 

}



/* uv-udp-set-broadcast */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2setzd2broadcastzd2zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_128, bool_t BgL_onz00_129)
{
{ /* Llib/net.scm 425 */
{ /* Llib/net.scm 427 */
 uv_udp_t * BgL_arg1836z00_1278;
{ /* Llib/net.scm 427 */
 uv_handle_t * BgL_arg1837z00_1279;
BgL_arg1837z00_1279 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_128)))->BgL_z42builtinz42); 
BgL_arg1836z00_1278 = 
(uv_udp_t *)(BgL_arg1837z00_1279); } 
return 
BINT(
uv_udp_set_broadcast(BgL_arg1836z00_1278, BgL_onz00_129));} } 

}



/* &uv-udp-set-broadcast */
obj_t BGl_z62uvzd2udpzd2setzd2broadcastzb0zz__libuv_netz00(obj_t BgL_envz00_1372, obj_t BgL_handlez00_1373, obj_t BgL_onz00_1374)
{
{ /* Llib/net.scm 425 */
return 
BGl_uvzd2udpzd2setzd2broadcastzd2zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1373), 
CBOOL(BgL_onz00_1374));} 

}



/* uv-udp-set-membership */
BGL_EXPORTED_DEF obj_t BGl_uvzd2udpzd2setzd2membershipzd2zz__libuv_netz00(BgL_uvudpz00_bglt BgL_handlez00_130, obj_t BgL_addrz00_131, obj_t BgL_ifacez00_132, obj_t BgL_membershipz00_133)
{
{ /* Llib/net.scm 432 */
{ /* Llib/net.scm 434 */
 uv_membership BgL_actz00_1281;
if(
(BgL_membershipz00_133==
CNST_TABLE_REF(((long)6))))
{ /* Llib/net.scm 434 */
BgL_actz00_1281 = UV_JOIN_GROUP; }  else 
{ /* Llib/net.scm 434 */
BgL_actz00_1281 = UV_LEAVE_GROUP; } 
if(
STRINGP(BgL_ifacez00_132))
{ /* Llib/net.scm 438 */
 uv_udp_t * BgL_arg1839z00_1283;
{ /* Llib/net.scm 438 */
 uv_handle_t * BgL_arg1840z00_1284;
BgL_arg1840z00_1284 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_130)))->BgL_z42builtinz42); 
BgL_arg1839z00_1283 = 
(uv_udp_t *)(BgL_arg1840z00_1284); } 
{ /* Llib/net.scm 438 */
 int BgL_tmpz00_3000;
{ /* Llib/net.scm 438 */
 char * BgL_auxz00_3003; char * BgL_tmpz00_3001;
BgL_auxz00_3003 = 
BSTRING_TO_STRING(BgL_ifacez00_132); 
BgL_tmpz00_3001 = 
BSTRING_TO_STRING(BgL_addrz00_131); 
BgL_tmpz00_3000 = 
uv_udp_set_membership(BgL_arg1839z00_1283, BgL_tmpz00_3001, BgL_auxz00_3003, BgL_actz00_1281); } 
return 
BINT(BgL_tmpz00_3000);} }  else 
{ /* Llib/net.scm 439 */
 uv_udp_t * BgL_arg1842z00_1285;
{ /* Llib/net.scm 439 */
 uv_handle_t * BgL_arg1843z00_1286;
BgL_arg1843z00_1286 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_130)))->BgL_z42builtinz42); 
BgL_arg1842z00_1285 = 
(uv_udp_t *)(BgL_arg1843z00_1286); } 
{ /* Llib/net.scm 439 */
 int BgL_tmpz00_3010;
{ /* Llib/net.scm 439 */
 char * BgL_tmpz00_3011;
BgL_tmpz00_3011 = 
BSTRING_TO_STRING(BgL_addrz00_131); 
BgL_tmpz00_3010 = 
uv_udp_set_membership(BgL_arg1842z00_1285, BgL_tmpz00_3011, 0L, BgL_actz00_1281); } 
return 
BINT(BgL_tmpz00_3010);} } } } 

}



/* &uv-udp-set-membership */
obj_t BGl_z62uvzd2udpzd2setzd2membershipzb0zz__libuv_netz00(obj_t BgL_envz00_1375, obj_t BgL_handlez00_1376, obj_t BgL_addrz00_1377, obj_t BgL_ifacez00_1378, obj_t BgL_membershipz00_1379)
{
{ /* Llib/net.scm 432 */
return 
BGl_uvzd2udpzd2setzd2membershipzd2zz__libuv_netz00(
((BgL_uvudpz00_bglt)BgL_handlez00_1376), BgL_addrz00_1377, BgL_ifacez00_1378, BgL_membershipz00_1379);} 

}



/* uv-tty-mode-set! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2ttyzd2modezd2setz12zc0zz__libuv_netz00(BgL_uvttyz00_bglt BgL_handlez00_134, obj_t BgL_modez00_135)
{
{ /* Llib/net.scm 444 */
{ /* Llib/net.scm 453 */
 uv_tty_t * BgL_arg1844z00_518; obj_t BgL_arg1845z00_519;
{ /* Llib/net.scm 453 */
 uv_handle_t * BgL_arg1846z00_520;
BgL_arg1846z00_520 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_134)))->BgL_z42builtinz42); 
BgL_arg1844z00_518 = 
(uv_tty_t *)(BgL_arg1846z00_520); } 
if(
(BgL_modez00_135==
CNST_TABLE_REF(((long)7))))
{ /* Llib/net.scm 454 */
BgL_arg1845z00_519 = 
BINT(((long)0)); }  else 
{ /* Llib/net.scm 454 */
if(
(BgL_modez00_135==
CNST_TABLE_REF(((long)8))))
{ /* Llib/net.scm 454 */
BgL_arg1845z00_519 = 
BINT(((long)1)); }  else 
{ /* Llib/net.scm 454 */
BgL_arg1845z00_519 = 
BGl_errorz00zz__errorz00(BGl_string1949z00zz__libuv_netz00, BGl_string1950z00zz__libuv_netz00, BgL_modez00_135); } } 
{ /* Llib/net.scm 453 */
 int BgL_tmpz00_3029;
{ /* Llib/net.scm 453 */
 int BgL_tmpz00_3030;
BgL_tmpz00_3030 = 
CINT(BgL_arg1845z00_519); 
BgL_tmpz00_3029 = 
uv_tty_set_mode(BgL_arg1844z00_518, BgL_tmpz00_3030); } 
return 
BINT(BgL_tmpz00_3029);} } } 

}



/* &uv-tty-mode-set! */
obj_t BGl_z62uvzd2ttyzd2modezd2setz12za2zz__libuv_netz00(obj_t BgL_envz00_1380, obj_t BgL_handlez00_1381, obj_t BgL_modez00_1382)
{
{ /* Llib/net.scm 444 */
return 
BGl_uvzd2ttyzd2modezd2setz12zc0zz__libuv_netz00(
((BgL_uvttyz00_bglt)BgL_handlez00_1381), BgL_modez00_1382);} 

}



/* uv-tty-get-window-size */
BGL_EXPORTED_DEF obj_t BGl_uvzd2ttyzd2getzd2windowzd2siza7eza7zz__libuv_netz00(BgL_uvttyz00_bglt BgL_handlez00_136)
{
{ /* Llib/net.scm 462 */
{ /* Llib/net.scm 464 */
 uv_tty_t * BgL_arg1849z00_1290;
{ /* Llib/net.scm 464 */
 uv_handle_t * BgL_arg1850z00_1291;
BgL_arg1850z00_1291 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_handlez00_136)))->BgL_z42builtinz42); 
BgL_arg1849z00_1290 = 
(uv_tty_t *)(BgL_arg1850z00_1291); } 
return 
bgl_uv_tty_get_winsize(BgL_arg1849z00_1290);} } 

}



/* &uv-tty-get-window-size */
obj_t BGl_z62uvzd2ttyzd2getzd2windowzd2siza7ezc5zz__libuv_netz00(obj_t BgL_envz00_1383, obj_t BgL_handlez00_1384)
{
{ /* Llib/net.scm 462 */
return 
BGl_uvzd2ttyzd2getzd2windowzd2siza7eza7zz__libuv_netz00(
((BgL_uvttyz00_bglt)BgL_handlez00_1384));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_netz00(void)
{
{ /* Llib/net.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_netz00(void)
{
{ /* Llib/net.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_netz00(void)
{
{ /* Llib/net.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvTcpz00zz__libuv_typesz00, BGl_proc1951z00zz__libuv_netz00, BGl_string1952z00zz__libuv_netz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvUdpz00zz__libuv_typesz00, BGl_proc1953z00zz__libuv_netz00, BGl_string1952z00zz__libuv_netz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvTtyz00zz__libuv_typesz00, BGl_proc1954z00zz__libuv_netz00, BGl_string1952z00zz__libuv_netz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uvzd2closezd2envz00zz__libuv_handlez00, BGl_UvStreamz00zz__libuv_typesz00, BGl_proc1955z00zz__libuv_netz00, BGl_string1956z00zz__libuv_netz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uvzd2closezd2envz00zz__libuv_handlez00, BGl_UvTcpz00zz__libuv_typesz00, BGl_proc1957z00zz__libuv_netz00, BGl_string1956z00zz__libuv_netz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uvzd2closezd2envz00zz__libuv_handlez00, BGl_UvUdpz00zz__libuv_typesz00, BGl_proc1958z00zz__libuv_netz00, BGl_string1956z00zz__libuv_netz00);} 

}



/* &uv-close-UvUdp1249 */
obj_t BGl_z62uvzd2closezd2UvUdp1249z62zz__libuv_netz00(obj_t BgL_envz00_1397, obj_t BgL_oz00_1398, obj_t BgL_callbackz00_1399)
{
{ /* Llib/net.scm 345 */
{ /* Llib/net.scm 345 */
 obj_t BgL_callbackz00_1438;
BgL_callbackz00_1438 = BgL_callbackz00_1399; 
{ 

if(
PROCEDUREP(BgL_callbackz00_1438))
{ /* Llib/net.scm 347 */
 obj_t BgL_cbz00_1441;
BgL_cbz00_1441 = BgL_callbackz00_1438; 
{ /* Llib/net.scm 349 */
 obj_t BgL_zc3z04callbackza31866ze3z87_1442;
BgL_zc3z04callbackza31866ze3z87_1442 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04callbackza31866ze3ze5zz__libuv_netz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04callbackza31866ze3z87_1442, 
(int)(((long)0)), BgL_oz00_1398); 
PROCEDURE_SET(BgL_zc3z04callbackza31866ze3z87_1442, 
(int)(((long)1)), BgL_cbz00_1441); 
BgL_callbackz00_1438 = BgL_zc3z04callbackza31866ze3z87_1442; } }  else 
{ /* Llib/net.scm 353 */
 obj_t BgL_top2146z00_3058;
BgL_top2146z00_3058 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2146z00_3058, BGl_udpzd2mutexzd2zz__libuv_netz00); BUNSPEC; 
{ /* Llib/net.scm 353 */
 obj_t BgL_tmp2145z00_3057;
BgL_tmp2145z00_3057 = ( 
BGl_udpzd2serverszd2zz__libuv_netz00 = 
bgl_remq_bang(BgL_oz00_1398, BGl_udpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top2146z00_3058); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); BgL_tmp2145z00_3057; } } 
{ /* Llib/net.scm 345 */
 obj_t BgL_nextzd2method1248zd2_1440;
BgL_nextzd2method1248zd2_1440 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1398), BGl_uvzd2closezd2envz00zz__libuv_handlez00, BGl_UvUdpz00zz__libuv_typesz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1248zd2_1440))(BgL_nextzd2method1248zd2_1440, BgL_oz00_1398, BgL_callbackz00_1438, BEOA);} } } } 

}



/* &<@callback:1866> */
obj_t BGl_z62zc3z04callbackza31866ze3ze5zz__libuv_netz00(obj_t BgL_envz00_1400)
{
{ /* Llib/net.scm 349 */
{ /* Llib/net.scm 350 */
 obj_t BgL_oz00_1401; obj_t BgL_cbz00_1402;
BgL_oz00_1401 = 
PROCEDURE_REF(BgL_envz00_1400, 
(int)(((long)0))); 
BgL_cbz00_1402 = 
PROCEDURE_REF(BgL_envz00_1400, 
(int)(((long)1))); 
{ /* Llib/net.scm 350 */
 obj_t BgL_top2148z00_3077;
BgL_top2148z00_3077 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2148z00_3077, BGl_udpzd2mutexzd2zz__libuv_netz00); BUNSPEC; 
{ /* Llib/net.scm 350 */
 obj_t BgL_tmp2147z00_3076;
BgL_tmp2147z00_3076 = ( 
BGl_udpzd2serverszd2zz__libuv_netz00 = 
bgl_remq_bang(BgL_oz00_1401, BGl_udpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top2148z00_3077); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_udpzd2mutexzd2zz__libuv_netz00); BgL_tmp2147z00_3076; } } 
return 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_cbz00_1402))(BgL_cbz00_1402, BEOA);} } 

}



/* &uv-close-UvTcp1237 */
obj_t BGl_z62uvzd2closezd2UvTcp1237z62zz__libuv_netz00(obj_t BgL_envz00_1403, obj_t BgL_oz00_1404, obj_t BgL_callbackz00_1405)
{
{ /* Llib/net.scm 273 */
{ /* Llib/net.scm 273 */
 obj_t BgL_callbackz00_1443;
BgL_callbackz00_1443 = BgL_callbackz00_1405; 
{ 

if(
PROCEDUREP(BgL_callbackz00_1443))
{ /* Llib/net.scm 275 */
 obj_t BgL_cbz00_1446;
BgL_cbz00_1446 = BgL_callbackz00_1443; 
{ /* Llib/net.scm 277 */
 obj_t BgL_zc3z04callbackza31864ze3z87_1447;
BgL_zc3z04callbackza31864ze3z87_1447 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04callbackza31864ze3ze5zz__libuv_netz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04callbackza31864ze3z87_1447, 
(int)(((long)0)), BgL_oz00_1404); 
PROCEDURE_SET(BgL_zc3z04callbackza31864ze3z87_1447, 
(int)(((long)1)), BgL_cbz00_1446); 
BgL_callbackz00_1443 = BgL_zc3z04callbackza31864ze3z87_1447; } }  else 
{ /* Llib/net.scm 281 */
 obj_t BgL_top2151z00_3097;
BgL_top2151z00_3097 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2151z00_3097, BGl_tcpzd2mutexzd2zz__libuv_netz00); BUNSPEC; 
{ /* Llib/net.scm 281 */
 obj_t BgL_tmp2150z00_3096;
BgL_tmp2150z00_3096 = ( 
BGl_tcpzd2serverszd2zz__libuv_netz00 = 
bgl_remq_bang(BgL_oz00_1404, BGl_tcpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top2151z00_3097); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); BgL_tmp2150z00_3096; } } 
{ /* Llib/net.scm 273 */
 obj_t BgL_nextzd2method1236zd2_1445;
BgL_nextzd2method1236zd2_1445 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1404), BGl_uvzd2closezd2envz00zz__libuv_handlez00, BGl_UvTcpz00zz__libuv_typesz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1236zd2_1445))(BgL_nextzd2method1236zd2_1445, BgL_oz00_1404, BgL_callbackz00_1443, BEOA);} } } } 

}



/* &<@callback:1864> */
obj_t BGl_z62zc3z04callbackza31864ze3ze5zz__libuv_netz00(obj_t BgL_envz00_1406)
{
{ /* Llib/net.scm 277 */
{ /* Llib/net.scm 278 */
 obj_t BgL_oz00_1407; obj_t BgL_cbz00_1408;
BgL_oz00_1407 = 
PROCEDURE_REF(BgL_envz00_1406, 
(int)(((long)0))); 
BgL_cbz00_1408 = 
PROCEDURE_REF(BgL_envz00_1406, 
(int)(((long)1))); 
{ /* Llib/net.scm 278 */
 obj_t BgL_top2153z00_3116;
BgL_top2153z00_3116 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2153z00_3116, BGl_tcpzd2mutexzd2zz__libuv_netz00); BUNSPEC; 
{ /* Llib/net.scm 278 */
 obj_t BgL_tmp2152z00_3115;
BgL_tmp2152z00_3115 = ( 
BGl_tcpzd2serverszd2zz__libuv_netz00 = 
bgl_remq_bang(BgL_oz00_1407, BGl_tcpzd2serverszd2zz__libuv_netz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top2153z00_3116); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_tcpzd2mutexzd2zz__libuv_netz00); BgL_tmp2152z00_3115; } } 
return 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_cbz00_1408))(BgL_cbz00_1408, BEOA);} } 

}



/* &uv-close-UvStream1144 */
obj_t BGl_z62uvzd2closezd2UvStream1144z62zz__libuv_netz00(obj_t BgL_envz00_1409, obj_t BgL_oz00_1410, obj_t BgL_callbackz00_1411)
{
{ /* Llib/net.scm 103 */
{ /* Llib/net.scm 103 */
 obj_t BgL_callbackz00_1448;
BgL_callbackz00_1448 = BgL_callbackz00_1411; 
{ 

if(
PROCEDUREP(BgL_callbackz00_1448))
{ /* Llib/net.scm 105 */
 obj_t BgL_cbz00_1451;
BgL_cbz00_1451 = BgL_callbackz00_1448; 
{ /* Llib/net.scm 107 */
 obj_t BgL_zc3z04callbackza31860ze3z87_1452;
BgL_zc3z04callbackza31860ze3z87_1452 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04callbackza31860ze3ze5zz__libuv_netz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04callbackza31860ze3z87_1452, 
(int)(((long)0)), BgL_oz00_1410); 
PROCEDURE_SET(BgL_zc3z04callbackza31860ze3z87_1452, 
(int)(((long)1)), BgL_cbz00_1451); 
BgL_callbackz00_1448 = BgL_zc3z04callbackza31860ze3z87_1452; } }  else 
{ /* Llib/net.scm 112 */
 BgL_uvloopz00_bglt BgL_arg1862z00_1453;
BgL_arg1862z00_1453 = 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_1410)))->BgL_loopz00); 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_arg1862z00_1453), BgL_oz00_1410); } 
{ /* Llib/net.scm 103 */
 obj_t BgL_nextzd2method1143zd2_1450;
BgL_nextzd2method1143zd2_1450 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1410), BGl_uvzd2closezd2envz00zz__libuv_handlez00, BGl_UvStreamz00zz__libuv_typesz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1143zd2_1450))(BgL_nextzd2method1143zd2_1450, BgL_oz00_1410, BgL_callbackz00_1448, BEOA);} } } } 

}



/* &<@callback:1860> */
obj_t BGl_z62zc3z04callbackza31860ze3ze5zz__libuv_netz00(obj_t BgL_envz00_1412)
{
{ /* Llib/net.scm 107 */
{ /* Llib/net.scm 108 */
 obj_t BgL_oz00_1413; obj_t BgL_cbz00_1414;
BgL_oz00_1413 = 
PROCEDURE_REF(BgL_envz00_1412, 
(int)(((long)0))); 
BgL_cbz00_1414 = 
PROCEDURE_REF(BgL_envz00_1412, 
(int)(((long)1))); 
{ /* Llib/net.scm 109 */
 BgL_uvloopz00_bglt BgL_arg1861z00_1454;
BgL_arg1861z00_1454 = 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_1413)))->BgL_loopz00); 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_arg1861z00_1454), BgL_oz00_1413); } 
return 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_cbz00_1414))(BgL_cbz00_1414, BEOA);} } 

}



/* &%uv-init-UvTty1142 */
obj_t BGl_z62z52uvzd2initzd2UvTty1142z30zz__libuv_netz00(obj_t BgL_envz00_1415, obj_t BgL_oz00_1416)
{
{ /* Llib/net.scm 94 */
{ /* Llib/net.scm 96 */
 BgL_uvloopz00_bglt BgL_i1071z00_1456;
BgL_i1071z00_1456 = 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_oz00_1416))))->BgL_loopz00); 
{ 
 uv_tty_t * BgL_auxz00_3160;
{ /* Llib/net.scm 97 */
 uv_loop_t * BgL_arg1855z00_1457; int BgL_arg1856z00_1458; bool_t BgL_arg1857z00_1459;
{ /* Llib/net.scm 97 */
 uv_handle_t * BgL_arg1858z00_1460;
BgL_arg1858z00_1460 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_i1071z00_1456)))->BgL_z42builtinz42); 
BgL_arg1855z00_1457 = 
(uv_loop_t *)(BgL_arg1858z00_1460); } 
BgL_arg1856z00_1458 = 
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_1416)))->BgL_fdz00); 
BgL_arg1857z00_1459 = 
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_1416)))->BgL_readablez00); 
BgL_auxz00_3160 = 
bgl_uv_tty_create(BgL_arg1855z00_1457, 
((obj_t)
((BgL_uvttyz00_bglt)BgL_oz00_1416)), BgL_arg1856z00_1458, BgL_arg1857z00_1459); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_oz00_1416))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_3160),BUNSPEC); } } 
return 
((obj_t)
((BgL_uvttyz00_bglt)BgL_oz00_1416));} 

}



/* &%uv-init-UvUdp1140 */
obj_t BGl_z62z52uvzd2initzd2UvUdp1140z30zz__libuv_netz00(obj_t BgL_envz00_1417, obj_t BgL_oz00_1418)
{
{ /* Llib/net.scm 85 */
{ /* Llib/net.scm 87 */
 BgL_uvloopz00_bglt BgL_i1069z00_1462;
BgL_i1069z00_1462 = 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_oz00_1418))))->BgL_loopz00); 
{ 
 uv_udp_t * BgL_auxz00_3179;
{ /* Llib/net.scm 88 */
 uv_loop_t * BgL_arg1853z00_1463;
{ /* Llib/net.scm 88 */
 uv_handle_t * BgL_arg1854z00_1464;
BgL_arg1854z00_1464 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_i1069z00_1462)))->BgL_z42builtinz42); 
BgL_arg1853z00_1463 = 
(uv_loop_t *)(BgL_arg1854z00_1464); } 
BgL_auxz00_3179 = 
bgl_uv_udp_create(BgL_arg1853z00_1463, 
((obj_t)
((BgL_uvudpz00_bglt)BgL_oz00_1418))); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_oz00_1418))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_3179),BUNSPEC); } } 
return 
((obj_t)
((BgL_uvudpz00_bglt)BgL_oz00_1418));} 

}



/* &%uv-init-UvTcp1138 */
obj_t BGl_z62z52uvzd2initzd2UvTcp1138z30zz__libuv_netz00(obj_t BgL_envz00_1419, obj_t BgL_oz00_1420)
{
{ /* Llib/net.scm 76 */
{ /* Llib/net.scm 78 */
 BgL_uvloopz00_bglt BgL_i1067z00_1466;
BgL_i1067z00_1466 = 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_oz00_1420))))->BgL_loopz00); 
{ 
 uv_tcp_t * BgL_auxz00_3194;
{ /* Llib/net.scm 79 */
 uv_loop_t * BgL_arg1851z00_1467;
{ /* Llib/net.scm 79 */
 uv_handle_t * BgL_arg1852z00_1468;
BgL_arg1852z00_1468 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_i1067z00_1466)))->BgL_z42builtinz42); 
BgL_arg1851z00_1467 = 
(uv_loop_t *)(BgL_arg1852z00_1468); } 
BgL_auxz00_3194 = 
bgl_uv_tcp_create(BgL_arg1851z00_1467, 
((obj_t)
((BgL_uvtcpz00_bglt)BgL_oz00_1420))); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_oz00_1420))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_3194),BUNSPEC); } 
return 
((obj_t)
((BgL_uvtcpz00_bglt)BgL_oz00_1420));} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_netz00(void)
{
{ /* Llib/net.scm 15 */
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(((long)204966563), 
BSTRING_TO_STRING(BGl_string1959z00zz__libuv_netz00)); 
BGl_modulezd2initializa7ationz75zz__libuv_loopz00(((long)325307223), 
BSTRING_TO_STRING(BGl_string1959z00zz__libuv_netz00)); 
return 
BGl_modulezd2initializa7ationz75zz__libuv_handlez00(((long)345107358), 
BSTRING_TO_STRING(BGl_string1959z00zz__libuv_netz00));} 

}

#ifdef __cplusplus
}
#endif
