/*===========================================================================*/
/*   (Llib/uvtypes.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/uvtypes.scm -o objs/uvtypes.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z52uvz52_bgl {
   header_t header;
   obj_t widening;
} *BgL_z52uvz52_bglt;

typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvwatcherz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvwatcherz00_bglt;

typedef struct BgL_uvstreamz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
} *BgL_uvstreamz00_bglt;

typedef struct BgL_uvtcpz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
} *BgL_uvtcpz00_bglt;

typedef struct BgL_uvudpz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
   obj_t BgL_z52procmz52;
} *BgL_uvudpz00_bglt;

typedef struct BgL_uvpipez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
   bool_t BgL_ipcz00;
} *BgL_uvpipez00_bglt;

typedef struct BgL_uvttyz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
   int BgL_fdz00;
   bool_t BgL_readablez00;
} *BgL_uvttyz00_bglt;

typedef struct BgL_uvtimerz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   uint64_t BgL_repeatz00;
   bool_t BgL_refz00;
} *BgL_uvtimerz00_bglt;

typedef struct BgL_uvidlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvidlez00_bglt;

typedef struct BgL_uvasyncz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvasyncz00_bglt;

typedef struct BgL_uvpollz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   int BgL_fdz00;
} *BgL_uvpollz00_bglt;

typedef struct BgL_uvfilez00_bgl {
   header_t header;
   obj_t widening;
   int BgL_fdz00;
   obj_t BgL_pathz00;
} *BgL_uvfilez00_bglt;

typedef struct BgL_uvfseventz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvfseventz00_bglt;

typedef struct BgL_uvfspollz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvfspollz00_bglt;

typedef struct BgL_uvcheckz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvcheckz00_bglt;

typedef struct BgL_uvprocessz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z42onexitz42;
} *BgL_uvprocessz00_bglt;

typedef struct BgL_uvprocessoptionsz00_bgl {
   header_t header;
   obj_t widening;
   uv_process_options_t * BgL_z42builtinz42;
} *BgL_uvprocessoptionsz00_bglt;

typedef struct BgL_uvworkz00_bgl {
   header_t header;
   obj_t widening;
   uv_work_t * BgL_z42builtinz42;
   obj_t BgL_z52workzd2cbz80;
   obj_t BgL_z52afterzd2cbz80;
} *BgL_uvworkz00_bglt;


static BgL_uvloopz00_bglt BGl_z62lambda1766z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1847z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1848z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1929z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2strerrorzb0zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_uv_pop_gcmark(BgL_uvhandlez00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1930z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1770z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62z52uvzd2initze2zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1853z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1854z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvttyz00_bglt BGl_z62lambda1936z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvttyz00_bglt BGl_z62lambda1939z62zz__libuv_typesz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31855ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1860z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1861z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1945z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1946z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1867z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1868z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL char * BGl_uvzd2versionzd2zz__libuv_typesz00(void);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_z62lambda1950z62zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_uv_handle_type_symbol(int);
static obj_t BGl_z62lambda1951z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_uv_guess_handle(int);
static obj_t BGl_z62lambda1874z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1875z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvtimerz00_bglt BGl_z62lambda1957z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2guesszd2handlez62zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62z52uvzd2init1337ze2zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvTtyz00zz__libuv_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31962ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvtimerz00_bglt BGl_z62lambda1960z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1883z62zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvFsPollz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1884z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1967z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1968z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2versionzb0zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvFsEventz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__libuv_typesz00(void);
static BgL_uvtcpz00_bglt BGl_z62lambda1891z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(BgL_uvhandlez00_bglt);
static obj_t BGl_z62lambda1974z62zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvtcpz00_bglt BGl_z62lambda1894z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1975z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32120ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvidlez00_bglt BGl_z62lambda1982z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvidlez00_bglt BGl_z62lambda1985z62zz__libuv_typesz00(obj_t);
static obj_t BGl_genericzd2initzd2zz__libuv_typesz00(void);
static obj_t BGl_z62zc3z04anonymousza32024ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__libuv_typesz00(void);
static obj_t BGl_z62zc3z04anonymousza31876ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31787ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2pushzd2gcmarkz12z12zz__libuv_typesz00(BgL_uvhandlez00_bglt, obj_t);
static obj_t BGl_z62uvzd2handlezd2typezd2symbolzb0zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvasyncz00_bglt BGl_z62lambda1993z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvasyncz00_bglt BGl_z62lambda1996z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62uvzd2pushzd2gcmarkz12z70zz__libuv_typesz00(obj_t, obj_t, obj_t);
extern void bgl_uv_process_options_args_set(uv_process_options_t *, obj_t);
static obj_t BGl_z62zc3z04anonymousza32130ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31869ze3ze5zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvIdlez00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32115ze3ze5zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2idzd2zz__libuv_typesz00(BgL_uvhandlez00_bglt);
static obj_t BGl_z62zc3z04anonymousza32140ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvFilez00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32124ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32108ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvHandlez00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31976ze3ze5zz__libuv_typesz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_EXPORTED_DEF obj_t BGl_UvAsyncz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32125ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32206ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52uvzd2initz80zz__libuv_typesz00(BgL_z52uvz52_bglt);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31896ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_typesz00(void);
BGL_EXPORTED_DEF obj_t BGl_UvLoopz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32150ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32134ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32045ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2namez00zz__objectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvPipez00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32232ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32135ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32216ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32119ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31987ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2idzb0zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32144ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32209ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
static BgL_uvpollz00_bglt BGl_z62lambda2004z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32145ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvpollz00_bglt BGl_z62lambda2007z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32056ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32129ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2013z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2014z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvWorkz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32219ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
static obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_nilzf3zf3zz__objectz00(BgL_objectz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_UvProcessz00zz__libuv_typesz00 = BUNSPEC;
static BgL_uvfilez00_bglt BGl_z62lambda2020z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvfilez00_bglt BGl_z62lambda2022z62zz__libuv_typesz00(obj_t);
static BgL_uvprocessoptionsz00_bglt BGl_z62lambda2103z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32090ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
extern obj_t bgl_uv_process_options_args_get(uv_process_options_t *);
static obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvprocessoptionsz00_bglt BGl_z62lambda2106z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32139ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2028z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2029z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvStreamz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_UvWatcherz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62uvzd2gcmarkszd2emptyzf3z91zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
extern obj_t bgl_uv_process_options_env_get(uv_process_options_t *);
static obj_t BGl_z62lambda2113z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2033z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2114z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2034z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32067ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvTcpz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_UvProcessOptionsz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31630ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvfseventz00_bglt BGl_z62lambda2040z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvfseventz00_bglt BGl_z62lambda2043z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32165ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32149ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static BgL_uvfspollz00_bglt BGl_z62lambda2051z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvfspollz00_bglt BGl_z62lambda2054z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32085ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32158ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32239ze3ze5zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvPollz00zz__libuv_typesz00 = BUNSPEC;
extern void bgl_uv_process_options_env_set(uv_process_options_t *, obj_t);
static obj_t BGl_z62zc3z04anonymousza31810ze3ze5zz__libuv_typesz00(obj_t);
BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static BgL_uvcheckz00_bglt BGl_z62lambda2062z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32094ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32175ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvcheckz00_bglt BGl_z62lambda2065z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32078ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvworkz00_bglt BGl_z62lambda2227z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvUdpz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31730ze3ze5zz__libuv_typesz00(obj_t);
static BgL_uvworkz00_bglt BGl_z62lambda2230z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31706ze3ze5zz__libuv_typesz00(obj_t);
static BgL_uvprocessz00_bglt BGl_z62lambda2073z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32168ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2237z62zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvprocessz00_bglt BGl_z62lambda2076z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda2238z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__libuv_typesz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_typesz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31820ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2errzd2namez00zz__libuv_typesz00(int);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_typesz00(void);
static obj_t BGl_z62lambda2243z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2244z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2083z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2084z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2248z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2249z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvTimerz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DECL BgL_uvfilez00_bglt bgl_uv_new_file(int, obj_t);
static obj_t BGl_z62zc3z04anonymousza32186ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32178ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32089ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2strerrorzd2zz__libuv_typesz00(int);
static obj_t BGl_z62objectzd2printzd2UvHandl1340z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31717ze3ze5zz__libuv_typesz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62zc3z04anonymousza31750ze3ze5zz__libuv_typesz00(obj_t);
static BgL_z52uvz52_bglt BGl_z62lambda1621z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1704z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1705z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32196ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2popzd2gcmarkz12z70zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31832ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31743ze3ze5zz__libuv_typesz00(obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62lambda1715z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1716z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32189ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31914ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1808z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1728z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1809z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1729z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31680ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31907ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32199ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvwatcherz00_bglt BGl_z62lambda1818z62zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvCheckz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_z52Uvz52zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31843ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvudpz00_bglt BGl_z62lambda1902z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1741z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1742z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1824z62zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvudpz00_bglt BGl_z62lambda1905z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1825z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvhandlez00_bglt BGl_z62lambda1665z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1748z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1749z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1830z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1831z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1912z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31925ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1913z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2errzd2namez62zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvhandlez00_bglt BGl_z62lambda1671z62zz__libuv_typesz00(obj_t);
static BgL_uvstreamz00_bglt BGl_z62lambda1838z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvpipez00_bglt BGl_z62lambda1920z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvstreamz00_bglt BGl_z62lambda1841z62zz__libuv_typesz00(obj_t);
static BgL_uvfilez00_bglt BGl_z62uvzd2newzd2filez62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvpipez00_bglt BGl_z62lambda1923z62zz__libuv_typesz00(obj_t);
static obj_t __cnst[ 71 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2guesszd2handlezd2envzd2zz__libuv_typesz00, BgL_bgl_za762uvza7d2guessza7d22447za7, BGl_z62uvzd2guesszd2handlez62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2strerrorzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2strerror2448z00, BGl_z62uvzd2strerrorzb0zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2300z00zz__libuv_typesz00, BgL_bgl_za762lambda1824za7622449z00, BGl_z62lambda1824z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2301z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2450za7, BGl_z62zc3z04anonymousza31832ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2302z00zz__libuv_typesz00, BgL_bgl_za762lambda1831za7622451z00, BGl_z62lambda1831z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2303z00zz__libuv_typesz00, BgL_bgl_za762lambda1830za7622452z00, BGl_z62lambda1830z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2304z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2453za7, BGl_z62zc3z04anonymousza31820ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2305z00zz__libuv_typesz00, BgL_bgl_za762lambda1818za7622454z00, BGl_z62lambda1818z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2306z00zz__libuv_typesz00, BgL_bgl_za762lambda1848za7622455z00, BGl_z62lambda1848z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2307z00zz__libuv_typesz00, BgL_bgl_za762lambda1847za7622456z00, BGl_z62lambda1847z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2308z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2457za7, BGl_z62zc3z04anonymousza31855ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2309z00zz__libuv_typesz00, BgL_bgl_za762lambda1854za7622458z00, BGl_z62lambda1854z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2310z00zz__libuv_typesz00, BgL_bgl_za762lambda1853za7622459z00, BGl_z62lambda1853z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2311z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2460za7, BGl_z62zc3z04anonymousza31862ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2312z00zz__libuv_typesz00, BgL_bgl_za762lambda1861za7622461z00, BGl_z62lambda1861z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2313z00zz__libuv_typesz00, BgL_bgl_za762lambda1860za7622462z00, BGl_z62lambda1860z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2314z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2463za7, BGl_z62zc3z04anonymousza31869ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2315z00zz__libuv_typesz00, BgL_bgl_za762lambda1868za7622464z00, BGl_z62lambda1868z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2316z00zz__libuv_typesz00, BgL_bgl_za762lambda1867za7622465z00, BGl_z62lambda1867z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2317z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2466za7, BGl_z62zc3z04anonymousza31876ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2318z00zz__libuv_typesz00, BgL_bgl_za762lambda1875za7622467z00, BGl_z62lambda1875z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2319z00zz__libuv_typesz00, BgL_bgl_za762lambda1874za7622468z00, BGl_z62lambda1874z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2469za7, BGl_z62zc3z04anonymousza32129ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2401z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2470za7, BGl_z62zc3z04anonymousza32135ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2320z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2471za7, BGl_z62zc3z04anonymousza31885ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2402z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2472za7, BGl_z62zc3z04anonymousza32134ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2321z00zz__libuv_typesz00, BgL_bgl_za762lambda1884za7622473z00, BGl_z62lambda1884z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2403z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2474za7, BGl_z62zc3z04anonymousza32140ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2322z00zz__libuv_typesz00, BgL_bgl_za762lambda1883za7622475z00, BGl_z62lambda1883z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2404z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2476za7, BGl_z62zc3z04anonymousza32139ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2323z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2477za7, BGl_z62zc3z04anonymousza31843ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2478za7, BGl_z62zc3z04anonymousza32145ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__libuv_typesz00, BgL_bgl_za762lambda1841za7622479z00, BGl_z62lambda1841z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2406z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2480za7, BGl_z62zc3z04anonymousza32144ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2325z00zz__libuv_typesz00, BgL_bgl_za762lambda1838za7622481z00, BGl_z62lambda1838z62zz__libuv_typesz00, 0L, BUNSPEC, 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2407z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2482za7, BGl_z62zc3z04anonymousza32150ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2326z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2483za7, BGl_z62zc3z04anonymousza31896ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2408z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2484za7, BGl_z62zc3z04anonymousza32149ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2327z00zz__libuv_typesz00, BgL_bgl_za762lambda1894za7622485z00, BGl_z62lambda1894z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2486za7, BGl_z62zc3z04anonymousza32155ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2328z00zz__libuv_typesz00, BgL_bgl_za762lambda1891za7622487z00, BGl_z62lambda1891z62zz__libuv_typesz00, 0L, BUNSPEC, 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2329z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2488za7, BGl_z62zc3z04anonymousza31914ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2410z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2489za7, BGl_z62zc3z04anonymousza32158ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2411z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2490za7, BGl_z62zc3z04anonymousza32165ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2330z00zz__libuv_typesz00, BgL_bgl_za762lambda1913za7622491z00, BGl_z62lambda1913z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2412z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2492za7, BGl_z62zc3z04anonymousza32168ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__libuv_typesz00, BgL_bgl_za762lambda1912za7622493z00, BGl_z62lambda1912z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2413z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2494za7, BGl_z62zc3z04anonymousza32175ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2332z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2495za7, BGl_z62zc3z04anonymousza31907ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2414z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2496za7, BGl_z62zc3z04anonymousza32178ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2333z00zz__libuv_typesz00, BgL_bgl_za762lambda1905za7622497z00, BGl_z62lambda1905z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2415z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2498za7, BGl_z62zc3z04anonymousza32186ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2334z00zz__libuv_typesz00, BgL_bgl_za762lambda1902za7622499z00, BGl_z62lambda1902z62zz__libuv_typesz00, 0L, BUNSPEC, 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2416z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2500za7, BGl_z62zc3z04anonymousza32189ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2335z00zz__libuv_typesz00, BgL_bgl_za762lambda1930za7622501z00, BGl_z62lambda1930z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2417z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2502za7, BGl_z62zc3z04anonymousza32196ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2336z00zz__libuv_typesz00, BgL_bgl_za762lambda1929za7622503z00, BGl_z62lambda1929z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2418z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2504za7, BGl_z62zc3z04anonymousza32199ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2337z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2505za7, BGl_z62zc3z04anonymousza31925ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2419z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2506za7, BGl_z62zc3z04anonymousza32206ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2338z00zz__libuv_typesz00, BgL_bgl_za762lambda1923za7622507z00, BGl_z62lambda1923z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2339z00zz__libuv_typesz00, BgL_bgl_za762lambda1920za7622508z00, BGl_z62lambda1920z62zz__libuv_typesz00, 0L, BUNSPEC, 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2420z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2509za7, BGl_z62zc3z04anonymousza32209ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2421z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2510za7, BGl_z62zc3z04anonymousza32216ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2340z00zz__libuv_typesz00, BgL_bgl_za762lambda1946za7622511z00, BGl_z62lambda1946z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2422z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2512za7, BGl_z62zc3z04anonymousza32219ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2341z00zz__libuv_typesz00, BgL_bgl_za762lambda1945za7622513z00, BGl_z62lambda1945z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2423z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2514za7, BGl_z62zc3z04anonymousza32108ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__libuv_typesz00, BgL_bgl_za762lambda1951za7622515z00, BGl_z62lambda1951z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2424z00zz__libuv_typesz00, BgL_bgl_za762lambda2106za7622516z00, BGl_z62lambda2106z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2343z00zz__libuv_typesz00, BgL_bgl_za762lambda1950za7622517z00, BGl_z62lambda1950z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2popzd2gcmarkz12zd2envzc0zz__libuv_typesz00, BgL_bgl_za762uvza7d2popza7d2gc2518za7, BGl_z62uvzd2popzd2gcmarkz12z70zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2425z00zz__libuv_typesz00, BgL_bgl_za762lambda2103za7622519z00, BGl_z62lambda2103z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2344z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2520za7, BGl_z62zc3z04anonymousza31941ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2426z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2521za7, BGl_z62zc3z04anonymousza32239ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2345z00zz__libuv_typesz00, BgL_bgl_za762lambda1939za7622522z00, BGl_z62lambda1939z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2427z00zz__libuv_typesz00, BgL_bgl_za762lambda2238za7622523z00, BGl_z62lambda2238z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2346z00zz__libuv_typesz00, BgL_bgl_za762lambda1936za7622524z00, BGl_z62lambda1936z62zz__libuv_typesz00, 0L, BUNSPEC, 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2428z00zz__libuv_typesz00, BgL_bgl_za762lambda2237za7622525z00, BGl_z62lambda2237z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2347z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2526za7, BGl_z62zc3z04anonymousza31969ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2272z00zz__libuv_typesz00, BgL_bgl_string2272za700za7za7_2527za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2429z00zz__libuv_typesz00, BgL_bgl_za762lambda2244za7622528z00, BGl_z62lambda2244z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2348z00zz__libuv_typesz00, BgL_bgl_za762lambda1968za7622529z00, BGl_z62lambda1968z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2349z00zz__libuv_typesz00, BgL_bgl_za762lambda1967za7622530z00, BGl_z62lambda1967z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2437z00zz__libuv_typesz00, BgL_bgl_string2437za700za7za7_2531za7, "%uv-init1337", 12 );
DEFINE_STRING( BGl_string2439z00zz__libuv_typesz00, BgL_bgl_string2439za700za7za7_2532za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2430z00zz__libuv_typesz00, BgL_bgl_za762lambda2243za7622533z00, BGl_z62lambda2243z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2431z00zz__libuv_typesz00, BgL_bgl_za762lambda2249za7622534z00, BGl_z62lambda2249z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2350z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2535za7, BGl_z62zc3z04anonymousza31976ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2432z00zz__libuv_typesz00, BgL_bgl_za762lambda2248za7622536z00, BGl_z62lambda2248z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2351z00zz__libuv_typesz00, BgL_bgl_za762lambda1975za7622537z00, BGl_z62lambda1975z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2433z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2538za7, BGl_z62zc3z04anonymousza32232ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2352z00zz__libuv_typesz00, BgL_bgl_za762lambda1974za7622539z00, BGl_z62lambda1974z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2440z00zz__libuv_typesz00, BgL_bgl_string2440za700za7za7_2540za7, " [", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2434z00zz__libuv_typesz00, BgL_bgl_za762lambda2230za7622541z00, BGl_z62lambda2230z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2353z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2542za7, BGl_z62zc3z04anonymousza31962ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2441z00zz__libuv_typesz00, BgL_bgl_string2441za700za7za7_2543za7, "#|", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__libuv_typesz00, BgL_bgl_za762lambda2227za7622544z00, BGl_z62lambda2227z62zz__libuv_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2354z00zz__libuv_typesz00, BgL_bgl_za762lambda1960za7622545z00, BGl_z62lambda1960z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2273z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2546za7, BGl_z62zc3z04anonymousza31630ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2442z00zz__libuv_typesz00, BgL_bgl_string2442za700za7za7_2547za7, " (0x", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2436z00zz__libuv_typesz00, BgL_bgl_za762za752uvza7d2init12548za7, BGl_z62z52uvzd2init1337ze2zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2355z00zz__libuv_typesz00, BgL_bgl_za762lambda1957za7622549z00, BGl_z62lambda1957z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2274z00zz__libuv_typesz00, BgL_bgl_za762lambda1621za7622550z00, BGl_z62lambda1621z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2443z00zz__libuv_typesz00, BgL_bgl_string2443za700za7za7_2551za7, ")", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2356z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2552za7, BGl_z62zc3z04anonymousza31987ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2275z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2553za7, BGl_z62zc3z04anonymousza31706ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2444z00zz__libuv_typesz00, BgL_bgl_string2444za700za7za7_2554za7, " nil|", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2438z00zz__libuv_typesz00, BgL_bgl_za762objectza7d2prin2555z00, BGl_z62objectzd2printzd2UvHandl1340z62zz__libuv_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2357z00zz__libuv_typesz00, BgL_bgl_za762lambda1985za7622556z00, BGl_z62lambda1985z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2276z00zz__libuv_typesz00, BgL_bgl_za762lambda1705za7622557z00, BGl_z62lambda1705z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2445z00zz__libuv_typesz00, BgL_bgl_string2445za700za7za7_2558za7, "(#\\$ #\\%) UvWork %after-cb %work-cb $uv_work_t UvProcessOptions gid uid flags cwd env args file $uv_process_options_t UvProcess pid $onexit UvCheck UvFsPoll UvFsEvent UvFile bstring path UvPoll UvAsync UvIdle UvTimer ref uint64 repeat UvTty readable int fd UvPipe ipc UvUdp %procm UvTcp UvStream %callback %procc %proca %offset %alloc UvWatcher procedure cb loop UvLoop mutex %mutex UvHandle bool closed %gcmarkstail pair-nil %gcmarkshead obj %onclose $uv_handle_t $builtin __libuv_types %Uv UNDEFINED UNKNOWN FILE PIPE UDP TTY TCP ", 532 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2358z00zz__libuv_typesz00, BgL_bgl_za762lambda1982za7622559z00, BGl_z62lambda1982z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2277z00zz__libuv_typesz00, BgL_bgl_za762lambda1704za7622560z00, BGl_z62lambda1704z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2359z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2561za7, BGl_z62zc3z04anonymousza31998ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2278z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2562za7, BGl_z62zc3z04anonymousza31717ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2279z00zz__libuv_typesz00, BgL_bgl_za762lambda1716za7622563z00, BGl_z62lambda1716z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2360z00zz__libuv_typesz00, BgL_bgl_za762lambda1996za7622564z00, BGl_z62lambda1996z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2361z00zz__libuv_typesz00, BgL_bgl_za762lambda1993za7622565z00, BGl_z62lambda1993z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2280z00zz__libuv_typesz00, BgL_bgl_za762lambda1715za7622566z00, BGl_z62lambda1715z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2362z00zz__libuv_typesz00, BgL_bgl_za762lambda2014za7622567z00, BGl_z62lambda2014z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2281z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2568za7, BGl_z62zc3z04anonymousza31730ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2363z00zz__libuv_typesz00, BgL_bgl_za762lambda2013za7622569z00, BGl_z62lambda2013z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2282z00zz__libuv_typesz00, BgL_bgl_za762lambda1729za7622570z00, BGl_z62lambda1729z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2364z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2571za7, BGl_z62zc3z04anonymousza32009ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2283z00zz__libuv_typesz00, BgL_bgl_za762lambda1728za7622572z00, BGl_z62lambda1728z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2365z00zz__libuv_typesz00, BgL_bgl_za762lambda2007za7622573z00, BGl_z62lambda2007z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2284z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2574za7, BGl_z62zc3z04anonymousza31743ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2366z00zz__libuv_typesz00, BgL_bgl_za762lambda2004za7622575z00, BGl_z62lambda2004z62zz__libuv_typesz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2285z00zz__libuv_typesz00, BgL_bgl_za762lambda1742za7622576z00, BGl_z62lambda1742z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2367z00zz__libuv_typesz00, BgL_bgl_za762lambda2029za7622577z00, BGl_z62lambda2029z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2286z00zz__libuv_typesz00, BgL_bgl_za762lambda1741za7622578z00, BGl_z62lambda1741z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2368z00zz__libuv_typesz00, BgL_bgl_za762lambda2028za7622579z00, BGl_z62lambda2028z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2287z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2580za7, BGl_z62zc3z04anonymousza31750ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2369z00zz__libuv_typesz00, BgL_bgl_za762lambda2034za7622581z00, BGl_z62lambda2034z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2288z00zz__libuv_typesz00, BgL_bgl_za762lambda1749za7622582z00, BGl_z62lambda1749z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2289z00zz__libuv_typesz00, BgL_bgl_za762lambda1748za7622583z00, BGl_z62lambda1748z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2370z00zz__libuv_typesz00, BgL_bgl_za762lambda2033za7622584z00, BGl_z62lambda2033z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2371z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2585za7, BGl_z62zc3z04anonymousza32024ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2290z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2586za7, BGl_z62zc3z04anonymousza31680ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2372z00zz__libuv_typesz00, BgL_bgl_za762lambda2022za7622587z00, BGl_z62lambda2022z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2291z00zz__libuv_typesz00, BgL_bgl_za762lambda1671za7622588z00, BGl_z62lambda1671z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2373z00zz__libuv_typesz00, BgL_bgl_za762lambda2020za7622589z00, BGl_z62lambda2020z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2292z00zz__libuv_typesz00, BgL_bgl_za762lambda1665za7622590z00, BGl_z62lambda1665z62zz__libuv_typesz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2374z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2591za7, BGl_z62zc3z04anonymousza32045ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2293z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2592za7, BGl_z62zc3z04anonymousza31810ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2375z00zz__libuv_typesz00, BgL_bgl_za762lambda2043za7622593z00, BGl_z62lambda2043z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2294z00zz__libuv_typesz00, BgL_bgl_za762lambda1809za7622594z00, BGl_z62lambda1809z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2376z00zz__libuv_typesz00, BgL_bgl_za762lambda2040za7622595z00, BGl_z62lambda2040z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2295z00zz__libuv_typesz00, BgL_bgl_za762lambda1808za7622596z00, BGl_z62lambda1808z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2377z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2597za7, BGl_z62zc3z04anonymousza32056ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2296z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2598za7, BGl_z62zc3z04anonymousza31787ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2378z00zz__libuv_typesz00, BgL_bgl_za762lambda2054za7622599z00, BGl_z62lambda2054z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2297z00zz__libuv_typesz00, BgL_bgl_za762lambda1770za7622600z00, BGl_z62lambda1770z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2379z00zz__libuv_typesz00, BgL_bgl_za762lambda2051za7622601z00, BGl_z62lambda2051z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2298z00zz__libuv_typesz00, BgL_bgl_za762lambda1766za7622602z00, BGl_z62lambda1766z62zz__libuv_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2299z00zz__libuv_typesz00, BgL_bgl_za762lambda1825za7622603z00, BGl_z62lambda1825z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2380z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2604za7, BGl_z62zc3z04anonymousza32067ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2381z00zz__libuv_typesz00, BgL_bgl_za762lambda2065za7622605z00, BGl_z62lambda2065z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2382z00zz__libuv_typesz00, BgL_bgl_za762lambda2062za7622606z00, BGl_z62lambda2062z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2383z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2607za7, BGl_z62zc3z04anonymousza32085ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2384z00zz__libuv_typesz00, BgL_bgl_za762lambda2084za7622608z00, BGl_z62lambda2084z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2385z00zz__libuv_typesz00, BgL_bgl_za762lambda2083za7622609z00, BGl_z62lambda2083z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2386z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2610za7, BGl_z62zc3z04anonymousza32090ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2387z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2611za7, BGl_z62zc3z04anonymousza32089ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2388z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2612za7, BGl_z62zc3z04anonymousza32094ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2389z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2613za7, BGl_z62zc3z04anonymousza32078ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2390z00zz__libuv_typesz00, BgL_bgl_za762lambda2076za7622614z00, BGl_z62lambda2076z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__libuv_typesz00, BgL_bgl_za762lambda2073za7622615z00, BGl_z62lambda2073z62zz__libuv_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2392z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2616za7, BGl_z62zc3z04anonymousza32115ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2393z00zz__libuv_typesz00, BgL_bgl_za762lambda2114za7622617z00, BGl_z62lambda2114z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2394z00zz__libuv_typesz00, BgL_bgl_za762lambda2113za7622618z00, BGl_z62lambda2113z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2619za7, BGl_z62zc3z04anonymousza32120ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2396z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2620za7, BGl_z62zc3z04anonymousza32119ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2397z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2621za7, BGl_z62zc3z04anonymousza32125ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2398z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2622za7, BGl_z62zc3z04anonymousza32124ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2399z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2623za7, BGl_z62zc3z04anonymousza32130ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BgL_bgl_za762za752uvza7d2initza72624z00, BGl_z62z52uvzd2initze2zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2gcmarkszd2emptyzf3zd2envz21zz__libuv_typesz00, BgL_bgl_za762uvza7d2gcmarksza72625za7, BGl_z62uvzd2gcmarkszd2emptyzf3z91zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2errzd2namezd2envzd2zz__libuv_typesz00, BgL_bgl_za762uvza7d2errza7d2na2626za7, BGl_z62uvzd2errzd2namez62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2pushzd2gcmarkz12zd2envzc0zz__libuv_typesz00, BgL_bgl_za762uvza7d2pushza7d2g2627za7, BGl_z62uvzd2pushzd2gcmarkz12z70zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2newzd2filezd2envzd2zz__libuv_typesz00, BgL_bgl_za762uvza7d2newza7d2fi2628za7, BGl_z62uvzd2newzd2filez62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2versionzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2versionza72629za7, BGl_z62uvzd2versionzb0zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2handlezd2typezd2symbolzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2handleza7d2630za7, BGl_z62uvzd2handlezd2typezd2symbolzb0zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2idzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2idza7b0za7za7_2631za7, BGl_z62uvzd2idzb0zz__libuv_typesz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvTtyz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvFsPollz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvFsEventz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvIdlez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvFilez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvHandlez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvAsyncz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvLoopz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvPipez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvWorkz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvProcessz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvStreamz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvWatcherz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvTcpz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvProcessOptionsz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvPollz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvUdpz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvTimerz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvCheckz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_z52Uvz52zz__libuv_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long BgL_checksumz00_2677, char * BgL_fromz00_2678)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_typesz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_typesz00(); 
BGl_cnstzd2initzd2zz__libuv_typesz00(); 
BGl_objectzd2initzd2zz__libuv_typesz00(); 
BGl_genericzd2initzd2zz__libuv_typesz00(); 
BGl_methodzd2initzd2zz__libuv_typesz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__libuv_types"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_cportz00_2299;
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_stringz00_2306;
BgL_stringz00_2306 = BGl_string2445z00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_startz00_2307;
BgL_startz00_2307 = 
BINT(((long)0)); 
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_endz00_2308;
BgL_endz00_2308 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2306))); 
{ /* Llib/uvtypes.scm 15 */

BgL_cportz00_2299 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2306, BgL_startz00_2307, BgL_endz00_2308); } } } } 
{ 
 long BgL_iz00_2300;
BgL_iz00_2300 = ((long)70); 
BgL_loopz00_2301:
if(
(BgL_iz00_2300==((long)-1)))
{ /* Llib/uvtypes.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/uvtypes.scm 15 */
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_arg2446z00_2302;
{ /* Llib/uvtypes.scm 15 */

{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_locationz00_2304;
BgL_locationz00_2304 = 
BBOOL(((bool_t)0)); 
{ /* Llib/uvtypes.scm 15 */

BgL_arg2446z00_2302 = 
BGl_readz00zz__readerz00(BgL_cportz00_2299, BgL_locationz00_2304); } } } 
{ /* Llib/uvtypes.scm 15 */
 int BgL_tmpz00_2709;
BgL_tmpz00_2709 = 
(int)(BgL_iz00_2300); 
CNST_TABLE_SET(BgL_tmpz00_2709, BgL_arg2446z00_2302); } } 
{ /* Llib/uvtypes.scm 15 */
 int BgL_auxz00_2305;
BgL_auxz00_2305 = 
(int)(
(BgL_iz00_2300-((long)1))); 
{ 
 long BgL_iz00_2714;
BgL_iz00_2714 = 
(long)(BgL_auxz00_2305); 
BgL_iz00_2300 = BgL_iz00_2714; 
goto BgL_loopz00_2301;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
return BUNSPEC;} 

}



/* uv-version */
BGL_EXPORTED_DEF char * BGl_uvzd2versionzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 174 */
return 
(char *)uv_version_string();} 

}



/* &uv-version */
obj_t BGl_z62uvzd2versionzb0zz__libuv_typesz00(obj_t BgL_envz00_1648)
{
{ /* Llib/uvtypes.scm 174 */
return 
string_to_bstring(
BGl_uvzd2versionzd2zz__libuv_typesz00());} 

}



/* uv-id */
BGL_EXPORTED_DEF int BGl_uvzd2idzd2zz__libuv_typesz00(BgL_uvhandlez00_bglt BgL_oz00_3)
{
{ /* Llib/uvtypes.scm 180 */
{ /* Llib/uvtypes.scm 182 */
 uv_handle_t * BgL_arg1345z00_1233;
BgL_arg1345z00_1233 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_3))->BgL_z42builtinz42); 
return 
(int)(
(long)(BgL_arg1345z00_1233));} } 

}



/* &uv-id */
obj_t BGl_z62uvzd2idzb0zz__libuv_typesz00(obj_t BgL_envz00_1649, obj_t BgL_oz00_1650)
{
{ /* Llib/uvtypes.scm 180 */
return 
BINT(
BGl_uvzd2idzd2zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_oz00_1650)));} 

}



/* uv-new-file */
BGL_EXPORTED_DEF BgL_uvfilez00_bglt bgl_uv_new_file(int BgL_fdz00_8, obj_t BgL_pathz00_9)
{
{ /* Llib/uvtypes.scm 228 */
{ /* Llib/uvtypes.scm 229 */
 BgL_uvfilez00_bglt BgL_new1242z00_1234;
{ /* Llib/uvtypes.scm 230 */
 BgL_uvfilez00_bglt BgL_new1241z00_1235;
BgL_new1241z00_1235 = 
((BgL_uvfilez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfilez00_bgl) ))); 
{ /* Llib/uvtypes.scm 230 */
 long BgL_arg1351z00_1236;
BgL_arg1351z00_1236 = 
BGL_CLASS_NUM(BGl_UvFilez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1241z00_1235), BgL_arg1351z00_1236); } 
BgL_new1242z00_1234 = BgL_new1241z00_1235; } 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1242z00_1234))->BgL_fdz00)=((int)BgL_fdz00_8),BUNSPEC); 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1242z00_1234))->BgL_pathz00)=((obj_t)BgL_pathz00_9),BUNSPEC); 
return BgL_new1242z00_1234;} } 

}



/* &uv-new-file */
BgL_uvfilez00_bglt BGl_z62uvzd2newzd2filez62zz__libuv_typesz00(obj_t BgL_envz00_1651, obj_t BgL_fdz00_1652, obj_t BgL_pathz00_1653)
{
{ /* Llib/uvtypes.scm 228 */
return 
bgl_uv_new_file(
CINT(BgL_fdz00_1652), BgL_pathz00_1653);} 

}



/* uv-strerror */
BGL_EXPORTED_DEF obj_t BGl_uvzd2strerrorzd2zz__libuv_typesz00(int BgL_errnoz00_10)
{
{ /* Llib/uvtypes.scm 236 */
{ /* Llib/uvtypes.scm 237 */
 char * BgL_sz00_1240;
BgL_sz00_1240 = 
(char *)uv_strerror(BgL_errnoz00_10); 
if(
((char *)0L) ==(BgL_sz00_1240))
{ /* Llib/uvtypes.scm 238 */
return BGl_string2272z00zz__libuv_typesz00;}  else 
{ /* Llib/uvtypes.scm 238 */
return 
string_to_bstring(BgL_sz00_1240);} } } 

}



/* &uv-strerror */
obj_t BGl_z62uvzd2strerrorzb0zz__libuv_typesz00(obj_t BgL_envz00_1654, obj_t BgL_errnoz00_1655)
{
{ /* Llib/uvtypes.scm 236 */
return 
BGl_uvzd2strerrorzd2zz__libuv_typesz00(
CINT(BgL_errnoz00_1655));} 

}



/* uv-err-name */
BGL_EXPORTED_DEF obj_t BGl_uvzd2errzd2namez00zz__libuv_typesz00(int BgL_errnoz00_11)
{
{ /* Llib/uvtypes.scm 245 */
{ /* Llib/uvtypes.scm 246 */
 char * BgL_sz00_1242;
BgL_sz00_1242 = 
(char *)uv_err_name(BgL_errnoz00_11); 
if(
((char *)0L) ==(BgL_sz00_1242))
{ /* Llib/uvtypes.scm 247 */
return BGl_string2272z00zz__libuv_typesz00;}  else 
{ /* Llib/uvtypes.scm 247 */
return 
string_to_bstring(BgL_sz00_1242);} } } 

}



/* &uv-err-name */
obj_t BGl_z62uvzd2errzd2namez62zz__libuv_typesz00(obj_t BgL_envz00_1656, obj_t BgL_errnoz00_1657)
{
{ /* Llib/uvtypes.scm 245 */
return 
BGl_uvzd2errzd2namez00zz__libuv_typesz00(
CINT(BgL_errnoz00_1657));} 

}



/* uv-guess-handle */
BGL_EXPORTED_DEF obj_t bgl_uv_guess_handle(int BgL_fdz00_12)
{
{ /* Llib/uvtypes.scm 254 */
{ /* Llib/uvtypes.scm 255 */
 int BgL_arg1355z00_1244;
BgL_arg1355z00_1244 = 
uv_guess_handle(BgL_fdz00_12); 
BGL_TAIL return 
bgl_uv_handle_type_symbol(BgL_arg1355z00_1244);} } 

}



/* &uv-guess-handle */
obj_t BGl_z62uvzd2guesszd2handlez62zz__libuv_typesz00(obj_t BgL_envz00_1658, obj_t BgL_fdz00_1659)
{
{ /* Llib/uvtypes.scm 254 */
return 
bgl_uv_guess_handle(
CINT(BgL_fdz00_1659));} 

}



/* uv-handle-type-symbol */
BGL_EXPORTED_DEF obj_t bgl_uv_handle_type_symbol(int BgL_rz00_13)
{
{ /* Llib/uvtypes.scm 260 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_TCP)))
{ /* Llib/uvtypes.scm 262 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Llib/uvtypes.scm 262 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_TTY)))
{ /* Llib/uvtypes.scm 263 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Llib/uvtypes.scm 263 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_UDP)))
{ /* Llib/uvtypes.scm 264 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Llib/uvtypes.scm 264 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_NAMED_PIPE)))
{ /* Llib/uvtypes.scm 265 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Llib/uvtypes.scm 265 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_FILE)))
{ /* Llib/uvtypes.scm 266 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Llib/uvtypes.scm 266 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_UNKNOWN_HANDLE)))
{ /* Llib/uvtypes.scm 267 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Llib/uvtypes.scm 267 */
return 
CNST_TABLE_REF(((long)6));} } } } } } } 

}



/* &uv-handle-type-symbol */
obj_t BGl_z62uvzd2handlezd2typezd2symbolzb0zz__libuv_typesz00(obj_t BgL_envz00_1660, obj_t BgL_rz00_1661)
{
{ /* Llib/uvtypes.scm 260 */
return 
bgl_uv_handle_type_symbol(
CINT(BgL_rz00_1661));} 

}



/* uv-push-gcmark! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2pushzd2gcmarkz12z12zz__libuv_typesz00(BgL_uvhandlez00_bglt BgL_oz00_14, obj_t BgL_valz00_15)
{
{ /* Llib/uvtypes.scm 273 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52)))
{ /* Llib/uvtypes.scm 275 */
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_valz00_15, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/uvtypes.scm 275 */
{ /* Llib/uvtypes.scm 280 */
 obj_t BgL_arg1377z00_2310; obj_t BgL_arg1380z00_2311;
BgL_arg1377z00_2310 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52); 
BgL_arg1380z00_2311 = 
MAKE_YOUNG_PAIR(BgL_valz00_15, BNIL); 
{ /* Llib/uvtypes.scm 280 */
 obj_t BgL_tmpz00_2792;
BgL_tmpz00_2792 = 
((obj_t)BgL_arg1377z00_2310); 
SET_CDR(BgL_tmpz00_2792, BgL_arg1380z00_2311); } } 
{ 
 obj_t BgL_auxz00_2795;
{ /* Llib/uvtypes.scm 281 */
 obj_t BgL_pairz00_2312;
BgL_pairz00_2312 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2795 = 
CDR(BgL_pairz00_2312); } 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2795),BUNSPEC); } } 
return BUNSPEC;} 

}



/* &uv-push-gcmark! */
obj_t BGl_z62uvzd2pushzd2gcmarkz12z70zz__libuv_typesz00(obj_t BgL_envz00_1662, obj_t BgL_oz00_1663, obj_t BgL_valz00_1664)
{
{ /* Llib/uvtypes.scm 273 */
return 
BGl_uvzd2pushzd2gcmarkz12z12zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_oz00_1663), BgL_valz00_1664);} 

}



/* uv-pop-gcmark! */
BGL_EXPORTED_DEF obj_t bgl_uv_pop_gcmark(BgL_uvhandlez00_bglt BgL_oz00_16, obj_t BgL_valz00_17)
{
{ /* Llib/uvtypes.scm 287 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52)))
{ /* Llib/uvtypes.scm 289 */
return BFALSE;}  else 
{ /* Llib/uvtypes.scm 289 */
if(
(BgL_valz00_17==
CAR(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52))))
{ /* Llib/uvtypes.scm 290 */
if(
(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52)==
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarkstailz52)))
{ /* Llib/uvtypes.scm 291 */
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
return 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC);}  else 
{ 
 obj_t BgL_auxz00_2814;
{ /* Llib/uvtypes.scm 295 */
 obj_t BgL_pairz00_1266;
BgL_pairz00_1266 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52); 
BgL_auxz00_2814 = 
CDR(BgL_pairz00_1266); } 
return 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52)=((obj_t)BgL_auxz00_2814),BUNSPEC);} }  else 
{ 
 obj_t BgL_pz00_64;
BgL_pz00_64 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52); 
BgL_zc3z04anonymousza31569ze3z87_65:
{ /* Llib/uvtypes.scm 297 */
 obj_t BgL_nz00_66;
BgL_nz00_66 = 
CDR(
((obj_t)BgL_pz00_64)); 
if(
PAIRP(BgL_nz00_66))
{ /* Llib/uvtypes.scm 298 */
if(
(
CAR(BgL_nz00_66)==BgL_valz00_17))
{ /* Llib/uvtypes.scm 299 */
if(
(BgL_nz00_66==
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarkstailz52)))
{ /* Llib/uvtypes.scm 301 */
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarkstailz52)=((obj_t)BgL_pz00_64),BUNSPEC); }  else 
{ /* Llib/uvtypes.scm 301 */BFALSE; } 
{ /* Llib/uvtypes.scm 303 */
 obj_t BgL_arg1587z00_73;
BgL_arg1587z00_73 = 
CDR(BgL_nz00_66); 
{ /* Llib/uvtypes.scm 303 */
 obj_t BgL_tmpz00_2830;
BgL_tmpz00_2830 = 
((obj_t)BgL_pz00_64); 
return 
SET_CDR(BgL_tmpz00_2830, BgL_arg1587z00_73);} } }  else 
{ 
 obj_t BgL_pz00_2833;
BgL_pz00_2833 = BgL_nz00_66; 
BgL_pz00_64 = BgL_pz00_2833; 
goto BgL_zc3z04anonymousza31569ze3z87_65;} }  else 
{ /* Llib/uvtypes.scm 298 */
return BFALSE;} } } } } 

}



/* &uv-pop-gcmark! */
obj_t BGl_z62uvzd2popzd2gcmarkz12z70zz__libuv_typesz00(obj_t BgL_envz00_1665, obj_t BgL_oz00_1666, obj_t BgL_valz00_1667)
{
{ /* Llib/uvtypes.scm 287 */
return 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_oz00_1666), BgL_valz00_1667);} 

}



/* uv-gcmarks-empty? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(BgL_uvhandlez00_bglt BgL_oz00_18)
{
{ /* Llib/uvtypes.scm 309 */
return 
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_18))->BgL_z52gcmarksheadz52));} 

}



/* &uv-gcmarks-empty? */
obj_t BGl_z62uvzd2gcmarkszd2emptyzf3z91zz__libuv_typesz00(obj_t BgL_envz00_1668, obj_t BgL_oz00_1669)
{
{ /* Llib/uvtypes.scm 309 */
return 
BBOOL(
BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_oz00_1669)));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
{ /* Llib/uvtypes.scm 23 */
 obj_t BgL_arg1619z00_83; obj_t BgL_arg1620z00_84;
{ /* Llib/uvtypes.scm 23 */
 obj_t BgL_v1297z00_90;
BgL_v1297z00_90 = 
create_vector(((long)0)); 
BgL_arg1619z00_83 = BgL_v1297z00_90; } 
{ /* Llib/uvtypes.scm 23 */
 obj_t BgL_v1298z00_91;
BgL_v1298z00_91 = 
create_vector(((long)0)); 
BgL_arg1620z00_84 = BgL_v1298z00_91; } 
BGl_z52Uvz52zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)7)), 
CNST_TABLE_REF(((long)8)), BGl_objectz00zz__objectz00, ((long)23285), BFALSE, BGl_proc2274z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2273z00zz__libuv_typesz00, BFALSE, BgL_arg1619z00_83, BgL_arg1620z00_84); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1662z00_97; obj_t BgL_arg1664z00_98;
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_v1299z00_114;
BgL_v1299z00_114 = 
create_vector(((long)5)); 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1691z00_115;
BgL_arg1691z00_115 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2277z00zz__libuv_typesz00, BGl_proc2276z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2275z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1299z00_114,((long)0),BgL_arg1691z00_115); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1708z00_128;
BgL_arg1708z00_128 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc2280z00zz__libuv_typesz00, BGl_proc2279z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2278z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1299z00_114,((long)1),BgL_arg1708z00_128); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1724z00_141;
BgL_arg1724z00_141 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc2283z00zz__libuv_typesz00, BGl_proc2282z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2281z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1299z00_114,((long)2),BgL_arg1724z00_141); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1731z00_154;
BgL_arg1731z00_154 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc2286z00zz__libuv_typesz00, BGl_proc2285z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2284z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1299z00_114,((long)3),BgL_arg1731z00_154); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1744z00_167;
BgL_arg1744z00_167 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2289z00zz__libuv_typesz00, BGl_proc2288z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2287z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1299z00_114,((long)4),BgL_arg1744z00_167); } 
BgL_arg1662z00_97 = BgL_v1299z00_114; } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_v1300z00_180;
BgL_v1300z00_180 = 
create_vector(((long)0)); 
BgL_arg1664z00_98 = BgL_v1300z00_180; } 
BGl_UvHandlez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)18)), 
CNST_TABLE_REF(((long)8)), BGl_z52Uvz52zz__libuv_typesz00, ((long)36343), BGl_proc2292z00zz__libuv_typesz00, BGl_proc2291z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2290z00zz__libuv_typesz00, BFALSE, BgL_arg1662z00_97, BgL_arg1664z00_98); } 
{ /* Llib/uvtypes.scm 33 */
 obj_t BgL_arg1762z00_187; obj_t BgL_arg1765z00_188;
{ /* Llib/uvtypes.scm 33 */
 obj_t BgL_v1301z00_205;
BgL_v1301z00_205 = 
create_vector(((long)1)); 
{ /* Llib/uvtypes.scm 33 */
 obj_t BgL_arg1792z00_206;
BgL_arg1792z00_206 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc2295z00zz__libuv_typesz00, BGl_proc2294z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2293z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1301z00_205,((long)0),BgL_arg1792z00_206); } 
BgL_arg1762z00_187 = BgL_v1301z00_205; } 
{ /* Llib/uvtypes.scm 33 */
 obj_t BgL_v1302z00_220;
BgL_v1302z00_220 = 
create_vector(((long)0)); 
BgL_arg1765z00_188 = BgL_v1302z00_220; } 
BGl_UvLoopz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)21)), 
CNST_TABLE_REF(((long)8)), BGl_UvHandlez00zz__libuv_typesz00, ((long)33046), BGl_proc2298z00zz__libuv_typesz00, BGl_proc2297z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2296z00zz__libuv_typesz00, BFALSE, BgL_arg1762z00_187, BgL_arg1765z00_188); } 
{ /* Llib/uvtypes.scm 36 */
 obj_t BgL_arg1816z00_226; obj_t BgL_arg1817z00_227;
{ /* Llib/uvtypes.scm 36 */
 obj_t BgL_v1303z00_233;
BgL_v1303z00_233 = 
create_vector(((long)2)); 
{ /* Llib/uvtypes.scm 36 */
 obj_t BgL_arg1821z00_234;
BgL_arg1821z00_234 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc2300z00zz__libuv_typesz00, BGl_proc2299z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_UvLoopz00zz__libuv_typesz00); 
VECTOR_SET(BgL_v1303z00_233,((long)0),BgL_arg1821z00_234); } 
{ /* Llib/uvtypes.scm 36 */
 obj_t BgL_arg1826z00_244;
BgL_arg1826z00_244 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc2303z00zz__libuv_typesz00, BGl_proc2302z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2301z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1303z00_233,((long)1),BgL_arg1826z00_244); } 
BgL_arg1816z00_226 = BgL_v1303z00_233; } 
{ /* Llib/uvtypes.scm 36 */
 obj_t BgL_v1304z00_257;
BgL_v1304z00_257 = 
create_vector(((long)0)); 
BgL_arg1817z00_227 = BgL_v1304z00_257; } 
BGl_UvWatcherz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)25)), 
CNST_TABLE_REF(((long)8)), BGl_UvHandlez00zz__libuv_typesz00, ((long)54967), BFALSE, BGl_proc2305z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2304z00zz__libuv_typesz00, BFALSE, BgL_arg1816z00_226, BgL_arg1817z00_227); } 
{ /* Llib/uvtypes.scm 40 */
 obj_t BgL_arg1836z00_263; obj_t BgL_arg1837z00_264;
{ /* Llib/uvtypes.scm 40 */
 obj_t BgL_v1305z00_286;
BgL_v1305z00_286 = 
create_vector(((long)6)); 
{ /* Llib/uvtypes.scm 40 */
 obj_t BgL_arg1844z00_287;
BgL_arg1844z00_287 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc2307z00zz__libuv_typesz00, BGl_proc2306z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_UvLoopz00zz__libuv_typesz00); 
VECTOR_SET(BgL_v1305z00_286,((long)0),BgL_arg1844z00_287); } 
{ /* Llib/uvtypes.scm 40 */
 obj_t BgL_arg1849z00_297;
BgL_arg1849z00_297 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc2310z00zz__libuv_typesz00, BGl_proc2309z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2308z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1305z00_286,((long)1),BgL_arg1849z00_297); } 
{ /* Llib/uvtypes.scm 40 */
 obj_t BgL_arg1856z00_310;
BgL_arg1856z00_310 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc2313z00zz__libuv_typesz00, BGl_proc2312z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2311z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1305z00_286,((long)2),BgL_arg1856z00_310); } 
{ /* Llib/uvtypes.scm 40 */
 obj_t BgL_arg1863z00_323;
BgL_arg1863z00_323 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc2316z00zz__libuv_typesz00, BGl_proc2315z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2314z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1305z00_286,((long)3),BgL_arg1863z00_323); } 
{ /* Llib/uvtypes.scm 40 */
 obj_t BgL_arg1870z00_336;
BgL_arg1870z00_336 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc2319z00zz__libuv_typesz00, BGl_proc2318z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2317z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1305z00_286,((long)4),BgL_arg1870z00_336); } 
{ /* Llib/uvtypes.scm 40 */
 obj_t BgL_arg1878z00_349;
BgL_arg1878z00_349 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc2322z00zz__libuv_typesz00, BGl_proc2321z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2320z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1305z00_286,((long)5),BgL_arg1878z00_349); } 
BgL_arg1836z00_263 = BgL_v1305z00_286; } 
{ /* Llib/uvtypes.scm 40 */
 obj_t BgL_v1306z00_362;
BgL_v1306z00_362 = 
create_vector(((long)0)); 
BgL_arg1837z00_264 = BgL_v1306z00_362; } 
BGl_UvStreamz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)31)), 
CNST_TABLE_REF(((long)8)), BGl_UvHandlez00zz__libuv_typesz00, ((long)11232), BGl_proc2325z00zz__libuv_typesz00, BGl_proc2324z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2323z00zz__libuv_typesz00, BFALSE, BgL_arg1836z00_263, BgL_arg1837z00_264); } 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_arg1889z00_369; obj_t BgL_arg1890z00_370;
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_v1307z00_392;
BgL_v1307z00_392 = 
create_vector(((long)0)); 
BgL_arg1889z00_369 = BgL_v1307z00_392; } 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_v1308z00_393;
BgL_v1308z00_393 = 
create_vector(((long)0)); 
BgL_arg1890z00_370 = BgL_v1308z00_393; } 
BGl_UvTcpz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)32)), 
CNST_TABLE_REF(((long)8)), BGl_UvStreamz00zz__libuv_typesz00, ((long)12982), BGl_proc2328z00zz__libuv_typesz00, BGl_proc2327z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2326z00zz__libuv_typesz00, BFALSE, BgL_arg1889z00_369, BgL_arg1890z00_370); } 
{ /* Llib/uvtypes.scm 50 */
 obj_t BgL_arg1900z00_400; obj_t BgL_arg1901z00_401;
{ /* Llib/uvtypes.scm 50 */
 obj_t BgL_v1309z00_424;
BgL_v1309z00_424 = 
create_vector(((long)1)); 
{ /* Llib/uvtypes.scm 50 */
 obj_t BgL_arg1908z00_425;
BgL_arg1908z00_425 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc2331z00zz__libuv_typesz00, BGl_proc2330z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2329z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1309z00_424,((long)0),BgL_arg1908z00_425); } 
BgL_arg1900z00_400 = BgL_v1309z00_424; } 
{ /* Llib/uvtypes.scm 50 */
 obj_t BgL_v1310z00_438;
BgL_v1310z00_438 = 
create_vector(((long)0)); 
BgL_arg1901z00_401 = BgL_v1310z00_438; } 
BGl_UvUdpz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)34)), 
CNST_TABLE_REF(((long)8)), BGl_UvStreamz00zz__libuv_typesz00, ((long)61053), BGl_proc2334z00zz__libuv_typesz00, BGl_proc2333z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2332z00zz__libuv_typesz00, BFALSE, BgL_arg1900z00_400, BgL_arg1901z00_401); } 
{ /* Llib/uvtypes.scm 53 */
 obj_t BgL_arg1918z00_445; obj_t BgL_arg1919z00_446;
{ /* Llib/uvtypes.scm 53 */
 obj_t BgL_v1311z00_469;
BgL_v1311z00_469 = 
create_vector(((long)1)); 
{ /* Llib/uvtypes.scm 53 */
 obj_t BgL_arg1926z00_470;
BgL_arg1926z00_470 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc2336z00zz__libuv_typesz00, BGl_proc2335z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1311z00_469,((long)0),BgL_arg1926z00_470); } 
BgL_arg1918z00_445 = BgL_v1311z00_469; } 
{ /* Llib/uvtypes.scm 53 */
 obj_t BgL_v1312z00_480;
BgL_v1312z00_480 = 
create_vector(((long)0)); 
BgL_arg1919z00_446 = BgL_v1312z00_480; } 
BGl_UvPipez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)36)), 
CNST_TABLE_REF(((long)8)), BGl_UvStreamz00zz__libuv_typesz00, ((long)59138), BGl_proc2339z00zz__libuv_typesz00, BGl_proc2338z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2337z00zz__libuv_typesz00, BFALSE, BgL_arg1918z00_445, BgL_arg1919z00_446); } 
{ /* Llib/uvtypes.scm 56 */
 obj_t BgL_arg1934z00_487; obj_t BgL_arg1935z00_488;
{ /* Llib/uvtypes.scm 56 */
 obj_t BgL_v1313z00_512;
BgL_v1313z00_512 = 
create_vector(((long)2)); 
{ /* Llib/uvtypes.scm 56 */
 obj_t BgL_arg1942z00_513;
BgL_arg1942z00_513 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc2341z00zz__libuv_typesz00, BGl_proc2340z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1313z00_512,((long)0),BgL_arg1942z00_513); } 
{ /* Llib/uvtypes.scm 56 */
 obj_t BgL_arg1947z00_523;
BgL_arg1947z00_523 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)39)), BGl_proc2343z00zz__libuv_typesz00, BGl_proc2342z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1313z00_512,((long)1),BgL_arg1947z00_523); } 
BgL_arg1934z00_487 = BgL_v1313z00_512; } 
{ /* Llib/uvtypes.scm 56 */
 obj_t BgL_v1314z00_533;
BgL_v1314z00_533 = 
create_vector(((long)0)); 
BgL_arg1935z00_488 = BgL_v1314z00_533; } 
BGl_UvTtyz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)40)), 
CNST_TABLE_REF(((long)8)), BGl_UvStreamz00zz__libuv_typesz00, ((long)33681), BGl_proc2346z00zz__libuv_typesz00, BGl_proc2345z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2344z00zz__libuv_typesz00, BFALSE, BgL_arg1934z00_487, BgL_arg1935z00_488); } 
{ /* Llib/uvtypes.scm 60 */
 obj_t BgL_arg1955z00_540; obj_t BgL_arg1956z00_541;
{ /* Llib/uvtypes.scm 60 */
 obj_t BgL_v1315z00_561;
BgL_v1315z00_561 = 
create_vector(((long)2)); 
{ /* Llib/uvtypes.scm 60 */
 obj_t BgL_arg1963z00_562;
BgL_arg1963z00_562 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_proc2349z00zz__libuv_typesz00, BGl_proc2348z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2347z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)42))); 
VECTOR_SET(BgL_v1315z00_561,((long)0),BgL_arg1963z00_562); } 
{ /* Llib/uvtypes.scm 60 */
 obj_t BgL_arg1970z00_575;
BgL_arg1970z00_575 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc2352z00zz__libuv_typesz00, BGl_proc2351z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2350z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1315z00_561,((long)1),BgL_arg1970z00_575); } 
BgL_arg1955z00_540 = BgL_v1315z00_561; } 
{ /* Llib/uvtypes.scm 60 */
 obj_t BgL_v1316z00_588;
BgL_v1316z00_588 = 
create_vector(((long)0)); 
BgL_arg1956z00_541 = BgL_v1316z00_588; } 
BGl_UvTimerz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)44)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)64284), BGl_proc2355z00zz__libuv_typesz00, BGl_proc2354z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2353z00zz__libuv_typesz00, BFALSE, BgL_arg1955z00_540, BgL_arg1956z00_541); } 
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_arg1980z00_595; obj_t BgL_arg1981z00_596;
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_v1317z00_614;
BgL_v1317z00_614 = 
create_vector(((long)0)); 
BgL_arg1980z00_595 = BgL_v1317z00_614; } 
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_v1318z00_615;
BgL_v1318z00_615 = 
create_vector(((long)0)); 
BgL_arg1981z00_596 = BgL_v1318z00_615; } 
BGl_UvIdlez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)45)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)3465), BGl_proc2358z00zz__libuv_typesz00, BGl_proc2357z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2356z00zz__libuv_typesz00, BFALSE, BgL_arg1980z00_595, BgL_arg1981z00_596); } 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_arg1991z00_622; obj_t BgL_arg1992z00_623;
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_v1319z00_641;
BgL_v1319z00_641 = 
create_vector(((long)0)); 
BgL_arg1991z00_622 = BgL_v1319z00_641; } 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_v1320z00_642;
BgL_v1320z00_642 = 
create_vector(((long)0)); 
BgL_arg1992z00_623 = BgL_v1320z00_642; } 
BGl_UvAsyncz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)46)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)42569), BGl_proc2361z00zz__libuv_typesz00, BGl_proc2360z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2359z00zz__libuv_typesz00, BFALSE, BgL_arg1991z00_622, BgL_arg1992z00_623); } 
{ /* Llib/uvtypes.scm 68 */
 obj_t BgL_arg2002z00_649; obj_t BgL_arg2003z00_650;
{ /* Llib/uvtypes.scm 68 */
 obj_t BgL_v1321z00_669;
BgL_v1321z00_669 = 
create_vector(((long)1)); 
{ /* Llib/uvtypes.scm 68 */
 obj_t BgL_arg2010z00_670;
BgL_arg2010z00_670 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc2363z00zz__libuv_typesz00, BGl_proc2362z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1321z00_669,((long)0),BgL_arg2010z00_670); } 
BgL_arg2002z00_649 = BgL_v1321z00_669; } 
{ /* Llib/uvtypes.scm 68 */
 obj_t BgL_v1322z00_680;
BgL_v1322z00_680 = 
create_vector(((long)0)); 
BgL_arg2003z00_650 = BgL_v1322z00_680; } 
BGl_UvPollz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)47)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)5968), BGl_proc2366z00zz__libuv_typesz00, BGl_proc2365z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2364z00zz__libuv_typesz00, BFALSE, BgL_arg2002z00_649, BgL_arg2003z00_650); } 
{ /* Llib/uvtypes.scm 71 */
 obj_t BgL_arg2018z00_687; obj_t BgL_arg2019z00_688;
{ /* Llib/uvtypes.scm 71 */
 obj_t BgL_v1323z00_700;
BgL_v1323z00_700 = 
create_vector(((long)2)); 
{ /* Llib/uvtypes.scm 71 */
 obj_t BgL_arg2025z00_701;
BgL_arg2025z00_701 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc2368z00zz__libuv_typesz00, BGl_proc2367z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1323z00_700,((long)0),BgL_arg2025z00_701); } 
{ /* Llib/uvtypes.scm 71 */
 obj_t BgL_arg2030z00_711;
BgL_arg2030z00_711 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)48)), BGl_proc2370z00zz__libuv_typesz00, BGl_proc2369z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)49))); 
VECTOR_SET(BgL_v1323z00_700,((long)1),BgL_arg2030z00_711); } 
BgL_arg2018z00_687 = BgL_v1323z00_700; } 
{ /* Llib/uvtypes.scm 71 */
 obj_t BgL_v1324z00_721;
BgL_v1324z00_721 = 
create_vector(((long)0)); 
BgL_arg2019z00_688 = BgL_v1324z00_721; } 
BGl_UvFilez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)50)), 
CNST_TABLE_REF(((long)8)), BGl_objectz00zz__objectz00, ((long)50283), BGl_proc2373z00zz__libuv_typesz00, BGl_proc2372z00zz__libuv_typesz00, BFALSE, BGl_proc2371z00zz__libuv_typesz00, BFALSE, BgL_arg2018z00_687, BgL_arg2019z00_688); } 
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_arg2038z00_728; obj_t BgL_arg2039z00_729;
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_v1325z00_747;
BgL_v1325z00_747 = 
create_vector(((long)0)); 
BgL_arg2038z00_728 = BgL_v1325z00_747; } 
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_v1326z00_748;
BgL_v1326z00_748 = 
create_vector(((long)0)); 
BgL_arg2039z00_729 = BgL_v1326z00_748; } 
BGl_UvFsEventz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)51)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)49452), BGl_proc2376z00zz__libuv_typesz00, BGl_proc2375z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2374z00zz__libuv_typesz00, BFALSE, BgL_arg2038z00_728, BgL_arg2039z00_729); } 
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_arg2049z00_755; obj_t BgL_arg2050z00_756;
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_v1327z00_774;
BgL_v1327z00_774 = 
create_vector(((long)0)); 
BgL_arg2049z00_755 = BgL_v1327z00_774; } 
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_v1328z00_775;
BgL_v1328z00_775 = 
create_vector(((long)0)); 
BgL_arg2050z00_756 = BgL_v1328z00_775; } 
BGl_UvFsPollz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)52)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)33371), BGl_proc2379z00zz__libuv_typesz00, BGl_proc2378z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2377z00zz__libuv_typesz00, BFALSE, BgL_arg2049z00_755, BgL_arg2050z00_756); } 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_arg2060z00_782; obj_t BgL_arg2061z00_783;
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_v1329z00_801;
BgL_v1329z00_801 = 
create_vector(((long)0)); 
BgL_arg2060z00_782 = BgL_v1329z00_801; } 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_v1330z00_802;
BgL_v1330z00_802 = 
create_vector(((long)0)); 
BgL_arg2061z00_783 = BgL_v1330z00_802; } 
BGl_UvCheckz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)52457), BGl_proc2382z00zz__libuv_typesz00, BGl_proc2381z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2380z00zz__libuv_typesz00, BFALSE, BgL_arg2060z00_782, BgL_arg2061z00_783); } 
{ /* Llib/uvtypes.scm 81 */
 obj_t BgL_arg2071z00_809; obj_t BgL_arg2072z00_810;
{ /* Llib/uvtypes.scm 81 */
 obj_t BgL_v1331z00_827;
BgL_v1331z00_827 = 
create_vector(((long)2)); 
{ /* Llib/uvtypes.scm 81 */
 obj_t BgL_arg2079z00_828;
BgL_arg2079z00_828 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)54)), BGl_proc2385z00zz__libuv_typesz00, BGl_proc2384z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2383z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1331z00_827,((long)0),BgL_arg2079z00_828); } 
{ /* Llib/uvtypes.scm 81 */
 obj_t BgL_arg2086z00_841;
BgL_arg2086z00_841 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc2387z00zz__libuv_typesz00, BGl_proc2386z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1331z00_827,((long)1),BgL_arg2086z00_841); } 
BgL_arg2071z00_809 = BgL_v1331z00_827; } 
{ /* Llib/uvtypes.scm 81 */
 obj_t BgL_v1332z00_851;
BgL_v1332z00_851 = 
create_vector(((long)1)); 
{ /* Llib/uvtypes.scm 85 */
 obj_t BgL_arg2091z00_852;
{ /* Llib/uvtypes.scm 85 */
 obj_t BgL_arg2092z00_853;
BgL_arg2092z00_853 = 
MAKE_YOUNG_PAIR(BGl_proc2388z00zz__libuv_typesz00, BFALSE); 
BgL_arg2091z00_852 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg2092z00_853); } 
VECTOR_SET(BgL_v1332z00_851,((long)0),BgL_arg2091z00_852); } 
BgL_arg2072z00_810 = BgL_v1332z00_851; } 
BGl_UvProcessz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)56)), 
CNST_TABLE_REF(((long)8)), BGl_UvHandlez00zz__libuv_typesz00, ((long)11647), BGl_proc2391z00zz__libuv_typesz00, BGl_proc2390z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2389z00zz__libuv_typesz00, BFALSE, BgL_arg2071z00_809, BgL_arg2072z00_810); } 
{ /* Llib/uvtypes.scm 89 */
 obj_t BgL_arg2101z00_871; obj_t BgL_arg2102z00_872;
{ /* Llib/uvtypes.scm 89 */
 obj_t BgL_v1333z00_884;
BgL_v1333z00_884 = 
create_vector(((long)8)); 
{ /* Llib/uvtypes.scm 89 */
 obj_t BgL_arg2109z00_885;
BgL_arg2109z00_885 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2394z00zz__libuv_typesz00, BGl_proc2393z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2392z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1333z00_884,((long)0),BgL_arg2109z00_885); } 
{ /* Llib/uvtypes.scm 89 */
 obj_t BgL_arg2116z00_898;
BgL_arg2116z00_898 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc2396z00zz__libuv_typesz00, BGl_proc2395z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)1),BgL_arg2116z00_898); } 
{ /* Llib/uvtypes.scm 89 */
 obj_t BgL_arg2121z00_908;
BgL_arg2121z00_908 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2398z00zz__libuv_typesz00, BGl_proc2397z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)2),BgL_arg2121z00_908); } 
{ /* Llib/uvtypes.scm 89 */
 obj_t BgL_arg2126z00_918;
BgL_arg2126z00_918 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc2400z00zz__libuv_typesz00, BGl_proc2399z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)3),BgL_arg2126z00_918); } 
{ /* Llib/uvtypes.scm 89 */
 obj_t BgL_arg2131z00_928;
BgL_arg2131z00_928 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)61)), BGl_proc2402z00zz__libuv_typesz00, BGl_proc2401z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)4),BgL_arg2131z00_928); } 
{ /* Llib/uvtypes.scm 89 */
 obj_t BgL_arg2136z00_938;
BgL_arg2136z00_938 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)62)), BGl_proc2404z00zz__libuv_typesz00, BGl_proc2403z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)5),BgL_arg2136z00_938); } 
{ /* Llib/uvtypes.scm 89 */
 obj_t BgL_arg2141z00_948;
BgL_arg2141z00_948 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc2406z00zz__libuv_typesz00, BGl_proc2405z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)6),BgL_arg2141z00_948); } 
{ /* Llib/uvtypes.scm 89 */
 obj_t BgL_arg2146z00_958;
BgL_arg2146z00_958 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc2408z00zz__libuv_typesz00, BGl_proc2407z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)7),BgL_arg2146z00_958); } 
BgL_arg2101z00_871 = BgL_v1333z00_884; } 
{ /* Llib/uvtypes.scm 89 */
 obj_t BgL_v1334z00_968;
BgL_v1334z00_968 = 
create_vector(((long)7)); 
{ /* Llib/uvtypes.scm 94 */
 obj_t BgL_arg2151z00_969;
{ /* Llib/uvtypes.scm 94 */
 obj_t BgL_arg2152z00_970;
BgL_arg2152z00_970 = 
MAKE_YOUNG_PAIR(BGl_proc2409z00zz__libuv_typesz00, BGl_proc2410z00zz__libuv_typesz00); 
BgL_arg2151z00_969 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg2152z00_970); } 
VECTOR_SET(BgL_v1334z00_968,((long)0),BgL_arg2151z00_969); } 
{ /* Llib/uvtypes.scm 102 */
 obj_t BgL_arg2161z00_993;
{ /* Llib/uvtypes.scm 102 */
 obj_t BgL_arg2162z00_994;
BgL_arg2162z00_994 = 
MAKE_YOUNG_PAIR(BGl_proc2411z00zz__libuv_typesz00, BGl_proc2412z00zz__libuv_typesz00); 
BgL_arg2161z00_993 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg2162z00_994); } 
VECTOR_SET(BgL_v1334z00_968,((long)1),BgL_arg2161z00_993); } 
{ /* Llib/uvtypes.scm 110 */
 obj_t BgL_arg2171z00_1017;
{ /* Llib/uvtypes.scm 110 */
 obj_t BgL_arg2172z00_1018;
BgL_arg2172z00_1018 = 
MAKE_YOUNG_PAIR(BGl_proc2413z00zz__libuv_typesz00, BGl_proc2414z00zz__libuv_typesz00); 
BgL_arg2171z00_1017 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg2172z00_1018); } 
VECTOR_SET(BgL_v1334z00_968,((long)2),BgL_arg2171z00_1017); } 
{ /* Llib/uvtypes.scm 118 */
 obj_t BgL_arg2181z00_1041;
{ /* Llib/uvtypes.scm 118 */
 obj_t BgL_arg2183z00_1042;
BgL_arg2183z00_1042 = 
MAKE_YOUNG_PAIR(BGl_proc2415z00zz__libuv_typesz00, BGl_proc2416z00zz__libuv_typesz00); 
BgL_arg2181z00_1041 = 
MAKE_YOUNG_PAIR(
BINT(((long)3)), BgL_arg2183z00_1042); } 
VECTOR_SET(BgL_v1334z00_968,((long)3),BgL_arg2181z00_1041); } 
{ /* Llib/uvtypes.scm 126 */
 obj_t BgL_arg2192z00_1065;
{ /* Llib/uvtypes.scm 126 */
 obj_t BgL_arg2193z00_1066;
BgL_arg2193z00_1066 = 
MAKE_YOUNG_PAIR(BGl_proc2417z00zz__libuv_typesz00, BGl_proc2418z00zz__libuv_typesz00); 
BgL_arg2192z00_1065 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg2193z00_1066); } 
VECTOR_SET(BgL_v1334z00_968,((long)4),BgL_arg2192z00_1065); } 
{ /* Llib/uvtypes.scm 134 */
 obj_t BgL_arg2202z00_1089;
{ /* Llib/uvtypes.scm 134 */
 obj_t BgL_arg2203z00_1090;
BgL_arg2203z00_1090 = 
MAKE_YOUNG_PAIR(BGl_proc2419z00zz__libuv_typesz00, BGl_proc2420z00zz__libuv_typesz00); 
BgL_arg2202z00_1089 = 
MAKE_YOUNG_PAIR(
BINT(((long)5)), BgL_arg2203z00_1090); } 
VECTOR_SET(BgL_v1334z00_968,((long)5),BgL_arg2202z00_1089); } 
{ /* Llib/uvtypes.scm 142 */
 obj_t BgL_arg2212z00_1113;
{ /* Llib/uvtypes.scm 142 */
 obj_t BgL_arg2213z00_1114;
BgL_arg2213z00_1114 = 
MAKE_YOUNG_PAIR(BGl_proc2421z00zz__libuv_typesz00, BGl_proc2422z00zz__libuv_typesz00); 
BgL_arg2212z00_1113 = 
MAKE_YOUNG_PAIR(
BINT(((long)6)), BgL_arg2213z00_1114); } 
VECTOR_SET(BgL_v1334z00_968,((long)6),BgL_arg2212z00_1113); } 
BgL_arg2102z00_872 = BgL_v1334z00_968; } 
BGl_UvProcessOptionsz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)65)), 
CNST_TABLE_REF(((long)8)), BGl_z52Uvz52zz__libuv_typesz00, ((long)34792), BGl_proc2425z00zz__libuv_typesz00, BGl_proc2424z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2423z00zz__libuv_typesz00, BFALSE, BgL_arg2101z00_871, BgL_arg2102z00_872); } 
{ /* Llib/uvtypes.scm 149 */
 obj_t BgL_arg2225z00_1143; obj_t BgL_arg2226z00_1144;
{ /* Llib/uvtypes.scm 149 */
 obj_t BgL_v1335z00_1158;
BgL_v1335z00_1158 = 
create_vector(((long)3)); 
{ /* Llib/uvtypes.scm 149 */
 obj_t BgL_arg2233z00_1159;
BgL_arg2233z00_1159 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2428z00zz__libuv_typesz00, BGl_proc2427z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2426z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)66))); 
VECTOR_SET(BgL_v1335z00_1158,((long)0),BgL_arg2233z00_1159); } 
{ /* Llib/uvtypes.scm 149 */
 obj_t BgL_arg2240z00_1172;
BgL_arg2240z00_1172 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc2430z00zz__libuv_typesz00, BGl_proc2429z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1335z00_1158,((long)1),BgL_arg2240z00_1172); } 
{ /* Llib/uvtypes.scm 149 */
 obj_t BgL_arg2245z00_1182;
BgL_arg2245z00_1182 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2432z00zz__libuv_typesz00, BGl_proc2431z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1335z00_1158,((long)2),BgL_arg2245z00_1182); } 
BgL_arg2225z00_1143 = BgL_v1335z00_1158; } 
{ /* Llib/uvtypes.scm 149 */
 obj_t BgL_v1336z00_1192;
BgL_v1336z00_1192 = 
create_vector(((long)0)); 
BgL_arg2226z00_1144 = BgL_v1336z00_1192; } 
return ( 
BGl_UvWorkz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)69)), 
CNST_TABLE_REF(((long)8)), BGl_z52Uvz52zz__libuv_typesz00, ((long)37721), BGl_proc2435z00zz__libuv_typesz00, BGl_proc2434z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2433z00zz__libuv_typesz00, BFALSE, BgL_arg2225z00_1143, BgL_arg2226z00_1144), BUNSPEC) ;} } 

}



/* &<@anonymous:2232> */
obj_t BGl_z62zc3z04anonymousza32232ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1838, obj_t BgL_new1239z00_1839)
{
{ /* Llib/uvtypes.scm 149 */
{ 
 BgL_uvworkz00_bglt BgL_auxz00_3116;
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_new1239z00_1839)))->BgL_z42builtinz42)=((uv_work_t *)
0L),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_new1239z00_1839)))->BgL_z52workzd2cbz80)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_new1239z00_1839)))->BgL_z52afterzd2cbz80)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3116 = 
((BgL_uvworkz00_bglt)BgL_new1239z00_1839); 
return 
((obj_t)BgL_auxz00_3116);} } 

}



/* &lambda2230 */
BgL_uvworkz00_bglt BGl_z62lambda2230z62zz__libuv_typesz00(obj_t BgL_envz00_1840)
{
{ /* Llib/uvtypes.scm 149 */
{ /* Llib/uvtypes.scm 149 */
 BgL_uvworkz00_bglt BgL_new1238z00_2314;
BgL_new1238z00_2314 = 
((BgL_uvworkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvworkz00_bgl) ))); 
{ /* Llib/uvtypes.scm 149 */
 long BgL_arg2231z00_2315;
BgL_arg2231z00_2315 = 
BGL_CLASS_NUM(BGl_UvWorkz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1238z00_2314), BgL_arg2231z00_2315); } 
return BgL_new1238z00_2314;} } 

}



/* &lambda2227 */
BgL_uvworkz00_bglt BGl_z62lambda2227z62zz__libuv_typesz00(obj_t BgL_envz00_1841, obj_t BgL_z42builtin1235z42_1842, obj_t BgL_z52workzd2cb1236z80_1843, obj_t BgL_z52afterzd2cb1237z80_1844)
{
{ /* Llib/uvtypes.scm 149 */
{ /* Llib/uvtypes.scm 149 */
 uv_work_t * BgL_z42builtin1235z42_2316;
BgL_z42builtin1235z42_2316 = 
FOREIGN_TO_COBJ(BgL_z42builtin1235z42_1842); 
{ /* Llib/uvtypes.scm 149 */
 BgL_uvworkz00_bglt BgL_new1296z00_2319;
{ /* Llib/uvtypes.scm 149 */
 BgL_uvworkz00_bglt BgL_new1295z00_2320;
BgL_new1295z00_2320 = 
((BgL_uvworkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvworkz00_bgl) ))); 
{ /* Llib/uvtypes.scm 149 */
 long BgL_arg2229z00_2321;
BgL_arg2229z00_2321 = 
BGL_CLASS_NUM(BGl_UvWorkz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1295z00_2320), BgL_arg2229z00_2321); } 
BgL_new1296z00_2319 = BgL_new1295z00_2320; } 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1296z00_2319))->BgL_z42builtinz42)=((uv_work_t *)BgL_z42builtin1235z42_2316),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1296z00_2319))->BgL_z52workzd2cbz80)=((obj_t)
((obj_t)BgL_z52workzd2cb1236z80_1843)),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1296z00_2319))->BgL_z52afterzd2cbz80)=((obj_t)
((obj_t)BgL_z52afterzd2cb1237z80_1844)),BUNSPEC); 
{ /* Llib/uvtypes.scm 149 */
 obj_t BgL_fun2228z00_2322;
BgL_fun2228z00_2322 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvWorkz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2228z00_2322))(BgL_fun2228z00_2322, 
((obj_t)BgL_new1296z00_2319), BEOA); } 
return BgL_new1296z00_2319;} } } 

}



/* &lambda2249 */
obj_t BGl_z62lambda2249z62zz__libuv_typesz00(obj_t BgL_envz00_1845, obj_t BgL_oz00_1846, obj_t BgL_vz00_1847)
{
{ /* Llib/uvtypes.scm 149 */
return 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1846)))->BgL_z52afterzd2cbz80)=((obj_t)
((obj_t)BgL_vz00_1847)),BUNSPEC);} 

}



/* &lambda2248 */
obj_t BGl_z62lambda2248z62zz__libuv_typesz00(obj_t BgL_envz00_1848, obj_t BgL_oz00_1849)
{
{ /* Llib/uvtypes.scm 149 */
return 
(((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1849)))->BgL_z52afterzd2cbz80);} 

}



/* &lambda2244 */
obj_t BGl_z62lambda2244z62zz__libuv_typesz00(obj_t BgL_envz00_1850, obj_t BgL_oz00_1851, obj_t BgL_vz00_1852)
{
{ /* Llib/uvtypes.scm 149 */
return 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1851)))->BgL_z52workzd2cbz80)=((obj_t)
((obj_t)BgL_vz00_1852)),BUNSPEC);} 

}



/* &lambda2243 */
obj_t BGl_z62lambda2243z62zz__libuv_typesz00(obj_t BgL_envz00_1853, obj_t BgL_oz00_1854)
{
{ /* Llib/uvtypes.scm 149 */
return 
(((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1854)))->BgL_z52workzd2cbz80);} 

}



/* &<@anonymous:2239> */
obj_t BGl_z62zc3z04anonymousza32239ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1855)
{
{ /* Llib/uvtypes.scm 149 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2238 */
obj_t BGl_z62lambda2238z62zz__libuv_typesz00(obj_t BgL_envz00_1856, obj_t BgL_oz00_1857, obj_t BgL_vz00_1858)
{
{ /* Llib/uvtypes.scm 149 */
{ /* Llib/uvtypes.scm 149 */
 uv_work_t * BgL_vz00_2330;
BgL_vz00_2330 = 
FOREIGN_TO_COBJ(BgL_vz00_1858); 
return 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1857)))->BgL_z42builtinz42)=((uv_work_t *)BgL_vz00_2330),BUNSPEC);} } 

}



/* &lambda2237 */
obj_t BGl_z62lambda2237z62zz__libuv_typesz00(obj_t BgL_envz00_1859, obj_t BgL_oz00_1860)
{
{ /* Llib/uvtypes.scm 149 */
return 
void_star_to_obj(
(((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1860)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2108> */
obj_t BGl_z62zc3z04anonymousza32108ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1861, obj_t BgL_new1233z00_1862)
{
{ /* Llib/uvtypes.scm 89 */
{ 
 BgL_uvprocessoptionsz00_bglt BgL_auxz00_3163;
((((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_new1233z00_1862)))->BgL_z42builtinz42)=((uv_process_options_t *)
0L),BUNSPEC); 
BgL_auxz00_3163 = 
((BgL_uvprocessoptionsz00_bglt)BgL_new1233z00_1862); 
return 
((obj_t)BgL_auxz00_3163);} } 

}



/* &lambda2106 */
BgL_uvprocessoptionsz00_bglt BGl_z62lambda2106z62zz__libuv_typesz00(obj_t BgL_envz00_1863)
{
{ /* Llib/uvtypes.scm 89 */
{ /* Llib/uvtypes.scm 89 */
 BgL_uvprocessoptionsz00_bglt BgL_new1232z00_2333;
BgL_new1232z00_2333 = 
((BgL_uvprocessoptionsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessoptionsz00_bgl) ))); 
{ /* Llib/uvtypes.scm 89 */
 long BgL_arg2107z00_2334;
BgL_arg2107z00_2334 = 
BGL_CLASS_NUM(BGl_UvProcessOptionsz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1232z00_2333), BgL_arg2107z00_2334); } 
return BgL_new1232z00_2333;} } 

}



/* &lambda2103 */
BgL_uvprocessoptionsz00_bglt BGl_z62lambda2103z62zz__libuv_typesz00(obj_t BgL_envz00_1864, obj_t BgL_z42builtin1231z42_1865)
{
{ /* Llib/uvtypes.scm 89 */
{ /* Llib/uvtypes.scm 89 */
 uv_process_options_t * BgL_z42builtin1231z42_2335;
BgL_z42builtin1231z42_2335 = 
FOREIGN_TO_COBJ(BgL_z42builtin1231z42_1865); 
{ /* Llib/uvtypes.scm 89 */
 BgL_uvprocessoptionsz00_bglt BgL_new1280z00_2336;
{ /* Llib/uvtypes.scm 89 */
 BgL_uvprocessoptionsz00_bglt BgL_new1279z00_2337;
BgL_new1279z00_2337 = 
((BgL_uvprocessoptionsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessoptionsz00_bgl) ))); 
{ /* Llib/uvtypes.scm 89 */
 long BgL_arg2105z00_2338;
BgL_arg2105z00_2338 = 
BGL_CLASS_NUM(BGl_UvProcessOptionsz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1279z00_2337), BgL_arg2105z00_2338); } 
BgL_new1280z00_2336 = BgL_new1279z00_2337; } 
((((BgL_uvprocessoptionsz00_bglt)COBJECT(BgL_new1280z00_2336))->BgL_z42builtinz42)=((uv_process_options_t *)BgL_z42builtin1231z42_2335),BUNSPEC); 
{ /* Llib/uvtypes.scm 89 */
 obj_t BgL_fun2104z00_2339;
BgL_fun2104z00_2339 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvProcessOptionsz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2104z00_2339))(BgL_fun2104z00_2339, 
((obj_t)BgL_new1280z00_2336), BEOA); } 
return BgL_new1280z00_2336;} } } 

}



/* &<@anonymous:2219> */
obj_t BGl_z62zc3z04anonymousza32219ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1866, obj_t BgL_oz00_1867, obj_t BgL_vz00_1868)
{
{ /* Llib/uvtypes.scm 140 */
{ /* Llib/uvtypes.scm 146 */
 uv_process_options_t * BgL_arg2220z00_2340;
BgL_arg2220z00_2340 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1867)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 146 */
 int BgL_tmpz00_3187;
BgL_tmpz00_3187 = 
CINT(BgL_vz00_1868); 
BGL_UV_PROCESS_OPTIONS_GID_SET(BgL_arg2220z00_2340, BgL_tmpz00_3187); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2216> */
obj_t BGl_z62zc3z04anonymousza32216ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1869, obj_t BgL_oz00_1870)
{
{ /* Llib/uvtypes.scm 140 */
{ /* Llib/uvtypes.scm 142 */
 int BgL_tmpz00_3190;
{ /* Llib/uvtypes.scm 143 */
 uv_process_options_t * BgL_arg2217z00_2341;
BgL_arg2217z00_2341 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1870)))->BgL_z42builtinz42); 
BgL_tmpz00_3190 = 
BGL_UV_PROCESS_OPTIONS_GID_GET(BgL_arg2217z00_2341); } 
return 
BINT(BgL_tmpz00_3190);} } 

}



/* &<@anonymous:2209> */
obj_t BGl_z62zc3z04anonymousza32209ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1871, obj_t BgL_oz00_1872, obj_t BgL_vz00_1873)
{
{ /* Llib/uvtypes.scm 132 */
{ /* Llib/uvtypes.scm 138 */
 uv_process_options_t * BgL_arg2210z00_2342;
BgL_arg2210z00_2342 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1872)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 138 */
 int BgL_tmpz00_3197;
BgL_tmpz00_3197 = 
CINT(BgL_vz00_1873); 
BGL_UV_PROCESS_OPTIONS_UID_SET(BgL_arg2210z00_2342, BgL_tmpz00_3197); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2206> */
obj_t BGl_z62zc3z04anonymousza32206ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1874, obj_t BgL_oz00_1875)
{
{ /* Llib/uvtypes.scm 132 */
{ /* Llib/uvtypes.scm 134 */
 int BgL_tmpz00_3200;
{ /* Llib/uvtypes.scm 135 */
 uv_process_options_t * BgL_arg2207z00_2343;
BgL_arg2207z00_2343 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1875)))->BgL_z42builtinz42); 
BgL_tmpz00_3200 = 
BGL_UV_PROCESS_OPTIONS_UID_GET(BgL_arg2207z00_2343); } 
return 
BINT(BgL_tmpz00_3200);} } 

}



/* &<@anonymous:2199> */
obj_t BGl_z62zc3z04anonymousza32199ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1876, obj_t BgL_oz00_1877, obj_t BgL_vz00_1878)
{
{ /* Llib/uvtypes.scm 124 */
{ /* Llib/uvtypes.scm 130 */
 uv_process_options_t * BgL_arg2200z00_2344;
BgL_arg2200z00_2344 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1877)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 130 */
 int BgL_tmpz00_3207;
BgL_tmpz00_3207 = 
CINT(BgL_vz00_1878); 
BGL_UV_PROCESS_OPTIONS_FLAGS_SET(BgL_arg2200z00_2344, BgL_tmpz00_3207); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2196> */
obj_t BGl_z62zc3z04anonymousza32196ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1879, obj_t BgL_oz00_1880)
{
{ /* Llib/uvtypes.scm 124 */
{ /* Llib/uvtypes.scm 126 */
 int BgL_tmpz00_3210;
{ /* Llib/uvtypes.scm 127 */
 uv_process_options_t * BgL_arg2197z00_2345;
BgL_arg2197z00_2345 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1880)))->BgL_z42builtinz42); 
BgL_tmpz00_3210 = 
BGL_UV_PROCESS_OPTIONS_FLAGS_GET(BgL_arg2197z00_2345); } 
return 
BINT(BgL_tmpz00_3210);} } 

}



/* &<@anonymous:2189> */
obj_t BGl_z62zc3z04anonymousza32189ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1881, obj_t BgL_oz00_1882, obj_t BgL_vz00_1883)
{
{ /* Llib/uvtypes.scm 116 */
{ /* Llib/uvtypes.scm 122 */
 uv_process_options_t * BgL_arg2190z00_2346;
BgL_arg2190z00_2346 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1882)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 122 */
 char * BgL_tmpz00_3217;
BgL_tmpz00_3217 = 
BSTRING_TO_STRING(BgL_vz00_1883); 
BGL_UV_PROCESS_OPTIONS_CWD_SET(BgL_arg2190z00_2346, BgL_tmpz00_3217); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2186> */
obj_t BGl_z62zc3z04anonymousza32186ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1884, obj_t BgL_oz00_1885)
{
{ /* Llib/uvtypes.scm 116 */
{ /* Llib/uvtypes.scm 118 */
 char * BgL_tmpz00_3220;
{ /* Llib/uvtypes.scm 119 */
 uv_process_options_t * BgL_arg2187z00_2347;
BgL_arg2187z00_2347 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1885)))->BgL_z42builtinz42); 
BgL_tmpz00_3220 = 
BGL_UV_PROCESS_OPTIONS_CWD_GET(BgL_arg2187z00_2347); } 
return 
string_to_bstring(BgL_tmpz00_3220);} } 

}



/* &<@anonymous:2178> */
obj_t BGl_z62zc3z04anonymousza32178ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1886, obj_t BgL_oz00_1887, obj_t BgL_vz00_1888)
{
{ /* Llib/uvtypes.scm 108 */
{ /* Llib/uvtypes.scm 114 */
 uv_process_options_t * BgL_arg2179z00_2348;
BgL_arg2179z00_2348 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1887)))->BgL_z42builtinz42); 
bgl_uv_process_options_env_set(BgL_arg2179z00_2348, BgL_vz00_1888); BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2175> */
obj_t BGl_z62zc3z04anonymousza32175ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1889, obj_t BgL_oz00_1890)
{
{ /* Llib/uvtypes.scm 108 */
{ /* Llib/uvtypes.scm 111 */
 uv_process_options_t * BgL_arg2176z00_2349;
BgL_arg2176z00_2349 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1890)))->BgL_z42builtinz42); 
return 
bgl_uv_process_options_env_get(BgL_arg2176z00_2349);} } 

}



/* &<@anonymous:2168> */
obj_t BGl_z62zc3z04anonymousza32168ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1891, obj_t BgL_oz00_1892, obj_t BgL_vz00_1893)
{
{ /* Llib/uvtypes.scm 100 */
{ /* Llib/uvtypes.scm 106 */
 uv_process_options_t * BgL_arg2169z00_2350;
BgL_arg2169z00_2350 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1892)))->BgL_z42builtinz42); 
bgl_uv_process_options_args_set(BgL_arg2169z00_2350, BgL_vz00_1893); BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2165> */
obj_t BGl_z62zc3z04anonymousza32165ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1894, obj_t BgL_oz00_1895)
{
{ /* Llib/uvtypes.scm 100 */
{ /* Llib/uvtypes.scm 103 */
 uv_process_options_t * BgL_arg2166z00_2351;
BgL_arg2166z00_2351 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1895)))->BgL_z42builtinz42); 
return 
bgl_uv_process_options_args_get(BgL_arg2166z00_2351);} } 

}



/* &<@anonymous:2158> */
obj_t BGl_z62zc3z04anonymousza32158ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1896, obj_t BgL_oz00_1897, obj_t BgL_vz00_1898)
{
{ /* Llib/uvtypes.scm 92 */
{ /* Llib/uvtypes.scm 98 */
 uv_process_options_t * BgL_arg2159z00_2352;
BgL_arg2159z00_2352 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1897)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 98 */
 char * BgL_tmpz00_3239;
BgL_tmpz00_3239 = 
BSTRING_TO_STRING(BgL_vz00_1898); 
BGL_UV_PROCESS_OPTIONS_FILE_SET(BgL_arg2159z00_2352, BgL_tmpz00_3239); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2155> */
obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1899, obj_t BgL_oz00_1900)
{
{ /* Llib/uvtypes.scm 92 */
{ /* Llib/uvtypes.scm 94 */
 char * BgL_tmpz00_3242;
{ /* Llib/uvtypes.scm 95 */
 uv_process_options_t * BgL_arg2156z00_2353;
BgL_arg2156z00_2353 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1900)))->BgL_z42builtinz42); 
BgL_tmpz00_3242 = 
BGL_UV_PROCESS_OPTIONS_FILE_GET(BgL_arg2156z00_2353); } 
return 
string_to_bstring(BgL_tmpz00_3242);} } 

}



/* &<@anonymous:2150> */
obj_t BGl_z62zc3z04anonymousza32150ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1901, obj_t BgL_oz00_1902, obj_t BgL_vz00_1903)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1902), 
(int)(((long)6)), BgL_vz00_1903);} 

}



/* &<@anonymous:2149> */
obj_t BGl_z62zc3z04anonymousza32149ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1904, obj_t BgL_oz00_1905)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1905), 
(int)(((long)6)));} 

}



/* &<@anonymous:2145> */
obj_t BGl_z62zc3z04anonymousza32145ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1906, obj_t BgL_oz00_1907, obj_t BgL_vz00_1908)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1907), 
(int)(((long)5)), BgL_vz00_1908);} 

}



/* &<@anonymous:2144> */
obj_t BGl_z62zc3z04anonymousza32144ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1909, obj_t BgL_oz00_1910)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1910), 
(int)(((long)5)));} 

}



/* &<@anonymous:2140> */
obj_t BGl_z62zc3z04anonymousza32140ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1911, obj_t BgL_oz00_1912, obj_t BgL_vz00_1913)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1912), 
(int)(((long)4)), BgL_vz00_1913);} 

}



/* &<@anonymous:2139> */
obj_t BGl_z62zc3z04anonymousza32139ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1914, obj_t BgL_oz00_1915)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1915), 
(int)(((long)4)));} 

}



/* &<@anonymous:2135> */
obj_t BGl_z62zc3z04anonymousza32135ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1916, obj_t BgL_oz00_1917, obj_t BgL_vz00_1918)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1917), 
(int)(((long)3)), BgL_vz00_1918);} 

}



/* &<@anonymous:2134> */
obj_t BGl_z62zc3z04anonymousza32134ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1919, obj_t BgL_oz00_1920)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1920), 
(int)(((long)3)));} 

}



/* &<@anonymous:2130> */
obj_t BGl_z62zc3z04anonymousza32130ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1921, obj_t BgL_oz00_1922, obj_t BgL_vz00_1923)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1922), 
(int)(((long)2)), BgL_vz00_1923);} 

}



/* &<@anonymous:2129> */
obj_t BGl_z62zc3z04anonymousza32129ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1924, obj_t BgL_oz00_1925)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1925), 
(int)(((long)2)));} 

}



/* &<@anonymous:2125> */
obj_t BGl_z62zc3z04anonymousza32125ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1926, obj_t BgL_oz00_1927, obj_t BgL_vz00_1928)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1927), 
(int)(((long)1)), BgL_vz00_1928);} 

}



/* &<@anonymous:2124> */
obj_t BGl_z62zc3z04anonymousza32124ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1929, obj_t BgL_oz00_1930)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1930), 
(int)(((long)1)));} 

}



/* &<@anonymous:2120> */
obj_t BGl_z62zc3z04anonymousza32120ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1931, obj_t BgL_oz00_1932, obj_t BgL_vz00_1933)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1932), 
(int)(((long)0)), BgL_vz00_1933);} 

}



/* &<@anonymous:2119> */
obj_t BGl_z62zc3z04anonymousza32119ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1934, obj_t BgL_oz00_1935)
{
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1935), 
(int)(((long)0)));} 

}



/* &<@anonymous:2115> */
obj_t BGl_z62zc3z04anonymousza32115ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1936)
{
{ /* Llib/uvtypes.scm 89 */
return 
void_star_to_obj(
((uv_process_options_t *)GC_MALLOC( sizeof( uv_process_options_t ) )));} 

}



/* &lambda2114 */
obj_t BGl_z62lambda2114z62zz__libuv_typesz00(obj_t BgL_envz00_1937, obj_t BgL_oz00_1938, obj_t BgL_vz00_1939)
{
{ /* Llib/uvtypes.scm 89 */
{ /* Llib/uvtypes.scm 89 */
 uv_process_options_t * BgL_vz00_2355;
BgL_vz00_2355 = 
FOREIGN_TO_COBJ(BgL_vz00_1939); 
return 
((((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1938)))->BgL_z42builtinz42)=((uv_process_options_t *)BgL_vz00_2355),BUNSPEC);} } 

}



/* &lambda2113 */
obj_t BGl_z62lambda2113z62zz__libuv_typesz00(obj_t BgL_envz00_1940, obj_t BgL_oz00_1941)
{
{ /* Llib/uvtypes.scm 89 */
return 
void_star_to_obj(
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1941)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2078> */
obj_t BGl_z62zc3z04anonymousza32078ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1942, obj_t BgL_new1229z00_1943)
{
{ /* Llib/uvtypes.scm 81 */
{ 
 BgL_uvprocessz00_bglt BgL_auxz00_3297;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1229z00_1943))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1229z00_1943))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1229z00_1943))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1229z00_1943))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1229z00_1943))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_uvprocessz00_bglt)COBJECT(
((BgL_uvprocessz00_bglt)BgL_new1229z00_1943)))->BgL_z42onexitz42)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_3297 = 
((BgL_uvprocessz00_bglt)BgL_new1229z00_1943); 
return 
((obj_t)BgL_auxz00_3297);} } 

}



/* &lambda2076 */
BgL_uvprocessz00_bglt BGl_z62lambda2076z62zz__libuv_typesz00(obj_t BgL_envz00_1944)
{
{ /* Llib/uvtypes.scm 81 */
{ /* Llib/uvtypes.scm 81 */
 BgL_uvprocessz00_bglt BgL_new1228z00_2358;
BgL_new1228z00_2358 = 
((BgL_uvprocessz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessz00_bgl) ))); 
{ /* Llib/uvtypes.scm 81 */
 long BgL_arg2077z00_2359;
BgL_arg2077z00_2359 = 
BGL_CLASS_NUM(BGl_UvProcessz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1228z00_2358), BgL_arg2077z00_2359); } 
return BgL_new1228z00_2358;} } 

}



/* &lambda2073 */
BgL_uvprocessz00_bglt BGl_z62lambda2073z62zz__libuv_typesz00(obj_t BgL_envz00_1945, obj_t BgL_z42builtin1222z42_1946, obj_t BgL_z52onclose1223z52_1947, obj_t BgL_z52gcmarkshead1224z52_1948, obj_t BgL_z52gcmarkstail1225z52_1949, obj_t BgL_closed1226z00_1950, obj_t BgL_z42onexit1227z42_1951)
{
{ /* Llib/uvtypes.scm 81 */
{ /* Llib/uvtypes.scm 81 */
 uv_handle_t * BgL_z42builtin1222z42_2360; bool_t BgL_closed1226z00_2363;
BgL_z42builtin1222z42_2360 = 
FOREIGN_TO_COBJ(BgL_z42builtin1222z42_1946); 
BgL_closed1226z00_2363 = 
CBOOL(BgL_closed1226z00_1950); 
{ /* Llib/uvtypes.scm 81 */
 BgL_uvprocessz00_bglt BgL_new1277z00_2364;
{ /* Llib/uvtypes.scm 81 */
 BgL_uvprocessz00_bglt BgL_new1276z00_2365;
BgL_new1276z00_2365 = 
((BgL_uvprocessz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessz00_bgl) ))); 
{ /* Llib/uvtypes.scm 81 */
 long BgL_arg2075z00_2366;
BgL_arg2075z00_2366 = 
BGL_CLASS_NUM(BGl_UvProcessz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1276z00_2365), BgL_arg2075z00_2366); } 
BgL_new1277z00_2364 = BgL_new1276z00_2365; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1277z00_2364)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1222z42_2360),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1277z00_2364)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1223z52_1947),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1277z00_2364)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1224z52_1948)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1277z00_2364)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1225z52_1949)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1277z00_2364)))->BgL_closedz00)=((bool_t)BgL_closed1226z00_2363),BUNSPEC); 
((((BgL_uvprocessz00_bglt)COBJECT(BgL_new1277z00_2364))->BgL_z42onexitz42)=((obj_t)BgL_z42onexit1227z42_1951),BUNSPEC); 
{ /* Llib/uvtypes.scm 81 */
 obj_t BgL_fun2074z00_2367;
BgL_fun2074z00_2367 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvProcessz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2074z00_2367))(BgL_fun2074z00_2367, 
((obj_t)BgL_new1277z00_2364), BEOA); } 
return BgL_new1277z00_2364;} } } 

}



/* &<@anonymous:2094> */
obj_t BGl_z62zc3z04anonymousza32094ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1952, obj_t BgL_oz00_1953)
{
{ /* Llib/uvtypes.scm 83 */
{ /* Llib/uvtypes.scm 85 */
 int BgL_tmpz00_3347;
{ /* Llib/uvtypes.scm 86 */
 uv_process_t * BgL_arg2095z00_2368;
{ /* Llib/uvtypes.scm 86 */
 uv_handle_t * BgL_arg2096z00_2369;
BgL_arg2096z00_2369 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_oz00_1953))))->BgL_z42builtinz42); 
BgL_arg2095z00_2368 = 
(uv_process_t *)(BgL_arg2096z00_2369); } 
BgL_tmpz00_3347 = 
(BgL_arg2095z00_2368->pid); } 
return 
BINT(BgL_tmpz00_3347);} } 

}



/* &<@anonymous:2090> */
obj_t BGl_z62zc3z04anonymousza32090ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1954, obj_t BgL_oz00_1955, obj_t BgL_vz00_1956)
{
{ /* Llib/uvtypes.scm 81 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1955), 
(int)(((long)0)), BgL_vz00_1956);} 

}



/* &<@anonymous:2089> */
obj_t BGl_z62zc3z04anonymousza32089ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1957, obj_t BgL_oz00_1958)
{
{ /* Llib/uvtypes.scm 81 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1958), 
(int)(((long)0)));} 

}



/* &<@anonymous:2085> */
obj_t BGl_z62zc3z04anonymousza32085ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1959)
{
{ /* Llib/uvtypes.scm 81 */
return BUNSPEC;} 

}



/* &lambda2084 */
obj_t BGl_z62lambda2084z62zz__libuv_typesz00(obj_t BgL_envz00_1960, obj_t BgL_oz00_1961, obj_t BgL_vz00_1962)
{
{ /* Llib/uvtypes.scm 81 */
return 
((((BgL_uvprocessz00_bglt)COBJECT(
((BgL_uvprocessz00_bglt)BgL_oz00_1961)))->BgL_z42onexitz42)=((obj_t)BgL_vz00_1962),BUNSPEC);} 

}



/* &lambda2083 */
obj_t BGl_z62lambda2083z62zz__libuv_typesz00(obj_t BgL_envz00_1963, obj_t BgL_oz00_1964)
{
{ /* Llib/uvtypes.scm 81 */
return 
(((BgL_uvprocessz00_bglt)COBJECT(
((BgL_uvprocessz00_bglt)BgL_oz00_1964)))->BgL_z42onexitz42);} 

}



/* &<@anonymous:2067> */
obj_t BGl_z62zc3z04anonymousza32067ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1965, obj_t BgL_new1220z00_1966)
{
{ /* Llib/uvtypes.scm 79 */
{ 
 BgL_uvcheckz00_bglt BgL_auxz00_3364;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_1966))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_1966))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_1966))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_1966))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_1966))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3381;
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_classz00_2373;
BgL_classz00_2373 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL__ortest_1112z00_2374;
BgL__ortest_1112z00_2374 = 
BGL_CLASS_NIL(BgL_classz00_2373); 
if(
CBOOL(BgL__ortest_1112z00_2374))
{ /* Llib/uvtypes.scm 79 */
BgL_auxz00_3381 = 
((BgL_uvloopz00_bglt)BgL__ortest_1112z00_2374)
; }  else 
{ /* Llib/uvtypes.scm 79 */
BgL_auxz00_3381 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2373))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_1966))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3381),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_1966))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3364 = 
((BgL_uvcheckz00_bglt)BgL_new1220z00_1966); 
return 
((obj_t)BgL_auxz00_3364);} } 

}



/* &lambda2065 */
BgL_uvcheckz00_bglt BGl_z62lambda2065z62zz__libuv_typesz00(obj_t BgL_envz00_1967)
{
{ /* Llib/uvtypes.scm 79 */
{ /* Llib/uvtypes.scm 79 */
 BgL_uvcheckz00_bglt BgL_new1219z00_2375;
BgL_new1219z00_2375 = 
((BgL_uvcheckz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvcheckz00_bgl) ))); 
{ /* Llib/uvtypes.scm 79 */
 long BgL_arg2066z00_2376;
BgL_arg2066z00_2376 = 
BGL_CLASS_NUM(BGl_UvCheckz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_2375), BgL_arg2066z00_2376); } 
return BgL_new1219z00_2375;} } 

}



/* &lambda2062 */
BgL_uvcheckz00_bglt BGl_z62lambda2062z62zz__libuv_typesz00(obj_t BgL_envz00_1968, obj_t BgL_z42builtin1212z42_1969, obj_t BgL_z52onclose1213z52_1970, obj_t BgL_z52gcmarkshead1214z52_1971, obj_t BgL_z52gcmarkstail1215z52_1972, obj_t BgL_closed1216z00_1973, obj_t BgL_loop1217z00_1974, obj_t BgL_cb1218z00_1975)
{
{ /* Llib/uvtypes.scm 79 */
{ /* Llib/uvtypes.scm 79 */
 uv_handle_t * BgL_z42builtin1212z42_2377; bool_t BgL_closed1216z00_2380;
BgL_z42builtin1212z42_2377 = 
FOREIGN_TO_COBJ(BgL_z42builtin1212z42_1969); 
BgL_closed1216z00_2380 = 
CBOOL(BgL_closed1216z00_1973); 
{ /* Llib/uvtypes.scm 79 */
 BgL_uvcheckz00_bglt BgL_new1275z00_2383;
{ /* Llib/uvtypes.scm 79 */
 BgL_uvcheckz00_bglt BgL_new1274z00_2384;
BgL_new1274z00_2384 = 
((BgL_uvcheckz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvcheckz00_bgl) ))); 
{ /* Llib/uvtypes.scm 79 */
 long BgL_arg2064z00_2385;
BgL_arg2064z00_2385 = 
BGL_CLASS_NUM(BGl_UvCheckz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1274z00_2384), BgL_arg2064z00_2385); } 
BgL_new1275z00_2383 = BgL_new1274z00_2384; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1275z00_2383)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1212z42_2377),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1275z00_2383)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1213z52_1970),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1275z00_2383)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1214z52_1971)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1275z00_2383)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1215z52_1972)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1275z00_2383)))->BgL_closedz00)=((bool_t)BgL_closed1216z00_2380),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1275z00_2383)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1217z00_1974)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1275z00_2383)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1218z00_1975)),BUNSPEC); 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_fun2063z00_2386;
BgL_fun2063z00_2386 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvCheckz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2063z00_2386))(BgL_fun2063z00_2386, 
((obj_t)BgL_new1275z00_2383), BEOA); } 
return BgL_new1275z00_2383;} } } 

}



/* &<@anonymous:2056> */
obj_t BGl_z62zc3z04anonymousza32056ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1976, obj_t BgL_new1210z00_1977)
{
{ /* Llib/uvtypes.scm 77 */
{ 
 BgL_uvfspollz00_bglt BgL_auxz00_3430;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1977))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1977))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1977))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1977))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1977))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3447;
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_classz00_2388;
BgL_classz00_2388 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL__ortest_1112z00_2389;
BgL__ortest_1112z00_2389 = 
BGL_CLASS_NIL(BgL_classz00_2388); 
if(
CBOOL(BgL__ortest_1112z00_2389))
{ /* Llib/uvtypes.scm 77 */
BgL_auxz00_3447 = 
((BgL_uvloopz00_bglt)BgL__ortest_1112z00_2389)
; }  else 
{ /* Llib/uvtypes.scm 77 */
BgL_auxz00_3447 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2388))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1977))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3447),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1977))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3430 = 
((BgL_uvfspollz00_bglt)BgL_new1210z00_1977); 
return 
((obj_t)BgL_auxz00_3430);} } 

}



/* &lambda2054 */
BgL_uvfspollz00_bglt BGl_z62lambda2054z62zz__libuv_typesz00(obj_t BgL_envz00_1978)
{
{ /* Llib/uvtypes.scm 77 */
{ /* Llib/uvtypes.scm 77 */
 BgL_uvfspollz00_bglt BgL_new1209z00_2390;
BgL_new1209z00_2390 = 
((BgL_uvfspollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfspollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 77 */
 long BgL_arg2055z00_2391;
BgL_arg2055z00_2391 = 
BGL_CLASS_NUM(BGl_UvFsPollz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_2390), BgL_arg2055z00_2391); } 
return BgL_new1209z00_2390;} } 

}



/* &lambda2051 */
BgL_uvfspollz00_bglt BGl_z62lambda2051z62zz__libuv_typesz00(obj_t BgL_envz00_1979, obj_t BgL_z42builtin1202z42_1980, obj_t BgL_z52onclose1203z52_1981, obj_t BgL_z52gcmarkshead1204z52_1982, obj_t BgL_z52gcmarkstail1205z52_1983, obj_t BgL_closed1206z00_1984, obj_t BgL_loop1207z00_1985, obj_t BgL_cb1208z00_1986)
{
{ /* Llib/uvtypes.scm 77 */
{ /* Llib/uvtypes.scm 77 */
 uv_handle_t * BgL_z42builtin1202z42_2392; bool_t BgL_closed1206z00_2395;
BgL_z42builtin1202z42_2392 = 
FOREIGN_TO_COBJ(BgL_z42builtin1202z42_1980); 
BgL_closed1206z00_2395 = 
CBOOL(BgL_closed1206z00_1984); 
{ /* Llib/uvtypes.scm 77 */
 BgL_uvfspollz00_bglt BgL_new1273z00_2398;
{ /* Llib/uvtypes.scm 77 */
 BgL_uvfspollz00_bglt BgL_new1272z00_2399;
BgL_new1272z00_2399 = 
((BgL_uvfspollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfspollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 77 */
 long BgL_arg2053z00_2400;
BgL_arg2053z00_2400 = 
BGL_CLASS_NUM(BGl_UvFsPollz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1272z00_2399), BgL_arg2053z00_2400); } 
BgL_new1273z00_2398 = BgL_new1272z00_2399; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1273z00_2398)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1202z42_2392),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1273z00_2398)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1203z52_1981),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1273z00_2398)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1204z52_1982)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1273z00_2398)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1205z52_1983)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1273z00_2398)))->BgL_closedz00)=((bool_t)BgL_closed1206z00_2395),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1273z00_2398)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1207z00_1985)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1273z00_2398)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1208z00_1986)),BUNSPEC); 
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_fun2052z00_2401;
BgL_fun2052z00_2401 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvFsPollz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2052z00_2401))(BgL_fun2052z00_2401, 
((obj_t)BgL_new1273z00_2398), BEOA); } 
return BgL_new1273z00_2398;} } } 

}



/* &<@anonymous:2045> */
obj_t BGl_z62zc3z04anonymousza32045ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1987, obj_t BgL_new1200z00_1988)
{
{ /* Llib/uvtypes.scm 75 */
{ 
 BgL_uvfseventz00_bglt BgL_auxz00_3496;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_1988))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_1988))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_1988))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_1988))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_1988))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3513;
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_classz00_2403;
BgL_classz00_2403 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL__ortest_1112z00_2404;
BgL__ortest_1112z00_2404 = 
BGL_CLASS_NIL(BgL_classz00_2403); 
if(
CBOOL(BgL__ortest_1112z00_2404))
{ /* Llib/uvtypes.scm 75 */
BgL_auxz00_3513 = 
((BgL_uvloopz00_bglt)BgL__ortest_1112z00_2404)
; }  else 
{ /* Llib/uvtypes.scm 75 */
BgL_auxz00_3513 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2403))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_1988))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3513),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_1988))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3496 = 
((BgL_uvfseventz00_bglt)BgL_new1200z00_1988); 
return 
((obj_t)BgL_auxz00_3496);} } 

}



/* &lambda2043 */
BgL_uvfseventz00_bglt BGl_z62lambda2043z62zz__libuv_typesz00(obj_t BgL_envz00_1989)
{
{ /* Llib/uvtypes.scm 75 */
{ /* Llib/uvtypes.scm 75 */
 BgL_uvfseventz00_bglt BgL_new1199z00_2405;
BgL_new1199z00_2405 = 
((BgL_uvfseventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfseventz00_bgl) ))); 
{ /* Llib/uvtypes.scm 75 */
 long BgL_arg2044z00_2406;
BgL_arg2044z00_2406 = 
BGL_CLASS_NUM(BGl_UvFsEventz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1199z00_2405), BgL_arg2044z00_2406); } 
return BgL_new1199z00_2405;} } 

}



/* &lambda2040 */
BgL_uvfseventz00_bglt BGl_z62lambda2040z62zz__libuv_typesz00(obj_t BgL_envz00_1990, obj_t BgL_z42builtin1192z42_1991, obj_t BgL_z52onclose1193z52_1992, obj_t BgL_z52gcmarkshead1194z52_1993, obj_t BgL_z52gcmarkstail1195z52_1994, obj_t BgL_closed1196z00_1995, obj_t BgL_loop1197z00_1996, obj_t BgL_cb1198z00_1997)
{
{ /* Llib/uvtypes.scm 75 */
{ /* Llib/uvtypes.scm 75 */
 uv_handle_t * BgL_z42builtin1192z42_2407; bool_t BgL_closed1196z00_2410;
BgL_z42builtin1192z42_2407 = 
FOREIGN_TO_COBJ(BgL_z42builtin1192z42_1991); 
BgL_closed1196z00_2410 = 
CBOOL(BgL_closed1196z00_1995); 
{ /* Llib/uvtypes.scm 75 */
 BgL_uvfseventz00_bglt BgL_new1271z00_2413;
{ /* Llib/uvtypes.scm 75 */
 BgL_uvfseventz00_bglt BgL_new1270z00_2414;
BgL_new1270z00_2414 = 
((BgL_uvfseventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfseventz00_bgl) ))); 
{ /* Llib/uvtypes.scm 75 */
 long BgL_arg2042z00_2415;
BgL_arg2042z00_2415 = 
BGL_CLASS_NUM(BGl_UvFsEventz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1270z00_2414), BgL_arg2042z00_2415); } 
BgL_new1271z00_2413 = BgL_new1270z00_2414; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1271z00_2413)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1192z42_2407),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1271z00_2413)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1193z52_1992),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1271z00_2413)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1194z52_1993)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1271z00_2413)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1195z52_1994)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1271z00_2413)))->BgL_closedz00)=((bool_t)BgL_closed1196z00_2410),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1271z00_2413)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1197z00_1996)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1271z00_2413)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1198z00_1997)),BUNSPEC); 
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_fun2041z00_2416;
BgL_fun2041z00_2416 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvFsEventz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2041z00_2416))(BgL_fun2041z00_2416, 
((obj_t)BgL_new1271z00_2413), BEOA); } 
return BgL_new1271z00_2413;} } } 

}



/* &<@anonymous:2024> */
obj_t BGl_z62zc3z04anonymousza32024ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1998, obj_t BgL_new1190z00_1999)
{
{ /* Llib/uvtypes.scm 71 */
{ 
 BgL_uvfilez00_bglt BgL_auxz00_3562;
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_new1190z00_1999)))->BgL_fdz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_new1190z00_1999)))->BgL_pathz00)=((obj_t)BGl_string2272z00zz__libuv_typesz00),BUNSPEC); 
BgL_auxz00_3562 = 
((BgL_uvfilez00_bglt)BgL_new1190z00_1999); 
return 
((obj_t)BgL_auxz00_3562);} } 

}



/* &lambda2022 */
BgL_uvfilez00_bglt BGl_z62lambda2022z62zz__libuv_typesz00(obj_t BgL_envz00_2000)
{
{ /* Llib/uvtypes.scm 71 */
{ /* Llib/uvtypes.scm 71 */
 BgL_uvfilez00_bglt BgL_new1189z00_2418;
BgL_new1189z00_2418 = 
((BgL_uvfilez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfilez00_bgl) ))); 
{ /* Llib/uvtypes.scm 71 */
 long BgL_arg2023z00_2419;
BgL_arg2023z00_2419 = 
BGL_CLASS_NUM(BGl_UvFilez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1189z00_2418), BgL_arg2023z00_2419); } 
return BgL_new1189z00_2418;} } 

}



/* &lambda2020 */
BgL_uvfilez00_bglt BGl_z62lambda2020z62zz__libuv_typesz00(obj_t BgL_envz00_2001, obj_t BgL_fd1187z00_2002, obj_t BgL_path1188z00_2003)
{
{ /* Llib/uvtypes.scm 71 */
{ /* Llib/uvtypes.scm 71 */
 int BgL_fd1187z00_2420;
BgL_fd1187z00_2420 = 
CINT(BgL_fd1187z00_2002); 
{ /* Llib/uvtypes.scm 71 */
 BgL_uvfilez00_bglt BgL_new1269z00_2422;
{ /* Llib/uvtypes.scm 71 */
 BgL_uvfilez00_bglt BgL_new1268z00_2423;
BgL_new1268z00_2423 = 
((BgL_uvfilez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfilez00_bgl) ))); 
{ /* Llib/uvtypes.scm 71 */
 long BgL_arg2021z00_2424;
BgL_arg2021z00_2424 = 
BGL_CLASS_NUM(BGl_UvFilez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1268z00_2423), BgL_arg2021z00_2424); } 
BgL_new1269z00_2422 = BgL_new1268z00_2423; } 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1269z00_2422))->BgL_fdz00)=((int)BgL_fd1187z00_2420),BUNSPEC); 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1269z00_2422))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1188z00_2003)),BUNSPEC); 
return BgL_new1269z00_2422;} } } 

}



/* &lambda2034 */
obj_t BGl_z62lambda2034z62zz__libuv_typesz00(obj_t BgL_envz00_2004, obj_t BgL_oz00_2005, obj_t BgL_vz00_2006)
{
{ /* Llib/uvtypes.scm 71 */
return 
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_2005)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_vz00_2006)),BUNSPEC);} 

}



/* &lambda2033 */
obj_t BGl_z62lambda2033z62zz__libuv_typesz00(obj_t BgL_envz00_2007, obj_t BgL_oz00_2008)
{
{ /* Llib/uvtypes.scm 71 */
return 
(((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_2008)))->BgL_pathz00);} 

}



/* &lambda2029 */
obj_t BGl_z62lambda2029z62zz__libuv_typesz00(obj_t BgL_envz00_2009, obj_t BgL_oz00_2010, obj_t BgL_vz00_2011)
{
{ /* Llib/uvtypes.scm 71 */
{ /* Llib/uvtypes.scm 71 */
 int BgL_vz00_2429;
BgL_vz00_2429 = 
CINT(BgL_vz00_2011); 
return 
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_2010)))->BgL_fdz00)=((int)BgL_vz00_2429),BUNSPEC);} } 

}



/* &lambda2028 */
obj_t BGl_z62lambda2028z62zz__libuv_typesz00(obj_t BgL_envz00_2012, obj_t BgL_oz00_2013)
{
{ /* Llib/uvtypes.scm 71 */
return 
BINT(
(((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_2013)))->BgL_fdz00));} 

}



/* &<@anonymous:2009> */
obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2014, obj_t BgL_new1185z00_2015)
{
{ /* Llib/uvtypes.scm 68 */
{ 
 BgL_uvpollz00_bglt BgL_auxz00_3593;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2015))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2015))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2015))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2015))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2015))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3610;
{ /* Llib/uvtypes.scm 68 */
 obj_t BgL_classz00_2432;
BgL_classz00_2432 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 68 */
 obj_t BgL__ortest_1112z00_2433;
BgL__ortest_1112z00_2433 = 
BGL_CLASS_NIL(BgL_classz00_2432); 
if(
CBOOL(BgL__ortest_1112z00_2433))
{ /* Llib/uvtypes.scm 68 */
BgL_auxz00_3610 = 
((BgL_uvloopz00_bglt)BgL__ortest_1112z00_2433)
; }  else 
{ /* Llib/uvtypes.scm 68 */
BgL_auxz00_3610 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2432))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2015))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3610),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2015))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvpollz00_bglt)COBJECT(
((BgL_uvpollz00_bglt)BgL_new1185z00_2015)))->BgL_fdz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_3593 = 
((BgL_uvpollz00_bglt)BgL_new1185z00_2015); 
return 
((obj_t)BgL_auxz00_3593);} } 

}



/* &lambda2007 */
BgL_uvpollz00_bglt BGl_z62lambda2007z62zz__libuv_typesz00(obj_t BgL_envz00_2016)
{
{ /* Llib/uvtypes.scm 68 */
{ /* Llib/uvtypes.scm 68 */
 BgL_uvpollz00_bglt BgL_new1184z00_2434;
BgL_new1184z00_2434 = 
((BgL_uvpollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 68 */
 long BgL_arg2008z00_2435;
BgL_arg2008z00_2435 = 
BGL_CLASS_NUM(BGl_UvPollz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1184z00_2434), BgL_arg2008z00_2435); } 
return BgL_new1184z00_2434;} } 

}



/* &lambda2004 */
BgL_uvpollz00_bglt BGl_z62lambda2004z62zz__libuv_typesz00(obj_t BgL_envz00_2017, obj_t BgL_z42builtin1176z42_2018, obj_t BgL_z52onclose1177z52_2019, obj_t BgL_z52gcmarkshead1178z52_2020, obj_t BgL_z52gcmarkstail1179z52_2021, obj_t BgL_closed1180z00_2022, obj_t BgL_loop1181z00_2023, obj_t BgL_cb1182z00_2024, obj_t BgL_fd1183z00_2025)
{
{ /* Llib/uvtypes.scm 68 */
{ /* Llib/uvtypes.scm 68 */
 uv_handle_t * BgL_z42builtin1176z42_2436; bool_t BgL_closed1180z00_2439; int BgL_fd1183z00_2442;
BgL_z42builtin1176z42_2436 = 
FOREIGN_TO_COBJ(BgL_z42builtin1176z42_2018); 
BgL_closed1180z00_2439 = 
CBOOL(BgL_closed1180z00_2022); 
BgL_fd1183z00_2442 = 
CINT(BgL_fd1183z00_2025); 
{ /* Llib/uvtypes.scm 68 */
 BgL_uvpollz00_bglt BgL_new1267z00_2443;
{ /* Llib/uvtypes.scm 68 */
 BgL_uvpollz00_bglt BgL_new1266z00_2444;
BgL_new1266z00_2444 = 
((BgL_uvpollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 68 */
 long BgL_arg2006z00_2445;
BgL_arg2006z00_2445 = 
BGL_CLASS_NUM(BGl_UvPollz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1266z00_2444), BgL_arg2006z00_2445); } 
BgL_new1267z00_2443 = BgL_new1266z00_2444; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1267z00_2443)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1176z42_2436),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1267z00_2443)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1177z52_2019),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1267z00_2443)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1178z52_2020)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1267z00_2443)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1179z52_2021)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1267z00_2443)))->BgL_closedz00)=((bool_t)BgL_closed1180z00_2439),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1267z00_2443)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1181z00_2023)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1267z00_2443)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1182z00_2024)),BUNSPEC); 
((((BgL_uvpollz00_bglt)COBJECT(BgL_new1267z00_2443))->BgL_fdz00)=((int)BgL_fd1183z00_2442),BUNSPEC); 
{ /* Llib/uvtypes.scm 68 */
 obj_t BgL_fun2005z00_2446;
BgL_fun2005z00_2446 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvPollz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2005z00_2446))(BgL_fun2005z00_2446, 
((obj_t)BgL_new1267z00_2443), BEOA); } 
return BgL_new1267z00_2443;} } } 

}



/* &lambda2014 */
obj_t BGl_z62lambda2014z62zz__libuv_typesz00(obj_t BgL_envz00_2026, obj_t BgL_oz00_2027, obj_t BgL_vz00_2028)
{
{ /* Llib/uvtypes.scm 68 */
{ /* Llib/uvtypes.scm 68 */
 int BgL_vz00_2448;
BgL_vz00_2448 = 
CINT(BgL_vz00_2028); 
return 
((((BgL_uvpollz00_bglt)COBJECT(
((BgL_uvpollz00_bglt)BgL_oz00_2027)))->BgL_fdz00)=((int)BgL_vz00_2448),BUNSPEC);} } 

}



/* &lambda2013 */
obj_t BGl_z62lambda2013z62zz__libuv_typesz00(obj_t BgL_envz00_2029, obj_t BgL_oz00_2030)
{
{ /* Llib/uvtypes.scm 68 */
return 
BINT(
(((BgL_uvpollz00_bglt)COBJECT(
((BgL_uvpollz00_bglt)BgL_oz00_2030)))->BgL_fdz00));} 

}



/* &<@anonymous:1998> */
obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2031, obj_t BgL_new1174z00_2032)
{
{ /* Llib/uvtypes.scm 66 */
{ 
 BgL_uvasyncz00_bglt BgL_auxz00_3670;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2032))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2032))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2032))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2032))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2032))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3687;
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_classz00_2451;
BgL_classz00_2451 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL__ortest_1112z00_2452;
BgL__ortest_1112z00_2452 = 
BGL_CLASS_NIL(BgL_classz00_2451); 
if(
CBOOL(BgL__ortest_1112z00_2452))
{ /* Llib/uvtypes.scm 66 */
BgL_auxz00_3687 = 
((BgL_uvloopz00_bglt)BgL__ortest_1112z00_2452)
; }  else 
{ /* Llib/uvtypes.scm 66 */
BgL_auxz00_3687 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2451))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2032))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3687),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2032))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3670 = 
((BgL_uvasyncz00_bglt)BgL_new1174z00_2032); 
return 
((obj_t)BgL_auxz00_3670);} } 

}



/* &lambda1996 */
BgL_uvasyncz00_bglt BGl_z62lambda1996z62zz__libuv_typesz00(obj_t BgL_envz00_2033)
{
{ /* Llib/uvtypes.scm 66 */
{ /* Llib/uvtypes.scm 66 */
 BgL_uvasyncz00_bglt BgL_new1173z00_2453;
BgL_new1173z00_2453 = 
((BgL_uvasyncz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvasyncz00_bgl) ))); 
{ /* Llib/uvtypes.scm 66 */
 long BgL_arg1997z00_2454;
BgL_arg1997z00_2454 = 
BGL_CLASS_NUM(BGl_UvAsyncz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1173z00_2453), BgL_arg1997z00_2454); } 
return BgL_new1173z00_2453;} } 

}



/* &lambda1993 */
BgL_uvasyncz00_bglt BGl_z62lambda1993z62zz__libuv_typesz00(obj_t BgL_envz00_2034, obj_t BgL_z42builtin1166z42_2035, obj_t BgL_z52onclose1167z52_2036, obj_t BgL_z52gcmarkshead1168z52_2037, obj_t BgL_z52gcmarkstail1169z52_2038, obj_t BgL_closed1170z00_2039, obj_t BgL_loop1171z00_2040, obj_t BgL_cb1172z00_2041)
{
{ /* Llib/uvtypes.scm 66 */
{ /* Llib/uvtypes.scm 66 */
 uv_handle_t * BgL_z42builtin1166z42_2455; bool_t BgL_closed1170z00_2458;
BgL_z42builtin1166z42_2455 = 
FOREIGN_TO_COBJ(BgL_z42builtin1166z42_2035); 
BgL_closed1170z00_2458 = 
CBOOL(BgL_closed1170z00_2039); 
{ /* Llib/uvtypes.scm 66 */
 BgL_uvasyncz00_bglt BgL_new1265z00_2461;
{ /* Llib/uvtypes.scm 66 */
 BgL_uvasyncz00_bglt BgL_new1264z00_2462;
BgL_new1264z00_2462 = 
((BgL_uvasyncz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvasyncz00_bgl) ))); 
{ /* Llib/uvtypes.scm 66 */
 long BgL_arg1995z00_2463;
BgL_arg1995z00_2463 = 
BGL_CLASS_NUM(BGl_UvAsyncz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1264z00_2462), BgL_arg1995z00_2463); } 
BgL_new1265z00_2461 = BgL_new1264z00_2462; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1265z00_2461)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1166z42_2455),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1265z00_2461)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1167z52_2036),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1265z00_2461)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1168z52_2037)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1265z00_2461)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1169z52_2038)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1265z00_2461)))->BgL_closedz00)=((bool_t)BgL_closed1170z00_2458),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1265z00_2461)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1171z00_2040)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1265z00_2461)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1172z00_2041)),BUNSPEC); 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_fun1994z00_2464;
BgL_fun1994z00_2464 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvAsyncz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1994z00_2464))(BgL_fun1994z00_2464, 
((obj_t)BgL_new1265z00_2461), BEOA); } 
return BgL_new1265z00_2461;} } } 

}



/* &<@anonymous:1987> */
obj_t BGl_z62zc3z04anonymousza31987ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2042, obj_t BgL_new1164z00_2043)
{
{ /* Llib/uvtypes.scm 64 */
{ 
 BgL_uvidlez00_bglt BgL_auxz00_3736;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2043))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2043))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2043))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2043))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2043))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3753;
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_classz00_2466;
BgL_classz00_2466 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL__ortest_1112z00_2467;
BgL__ortest_1112z00_2467 = 
BGL_CLASS_NIL(BgL_classz00_2466); 
if(
CBOOL(BgL__ortest_1112z00_2467))
{ /* Llib/uvtypes.scm 64 */
BgL_auxz00_3753 = 
((BgL_uvloopz00_bglt)BgL__ortest_1112z00_2467)
; }  else 
{ /* Llib/uvtypes.scm 64 */
BgL_auxz00_3753 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2466))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2043))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3753),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2043))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3736 = 
((BgL_uvidlez00_bglt)BgL_new1164z00_2043); 
return 
((obj_t)BgL_auxz00_3736);} } 

}



/* &lambda1985 */
BgL_uvidlez00_bglt BGl_z62lambda1985z62zz__libuv_typesz00(obj_t BgL_envz00_2044)
{
{ /* Llib/uvtypes.scm 64 */
{ /* Llib/uvtypes.scm 64 */
 BgL_uvidlez00_bglt BgL_new1163z00_2468;
BgL_new1163z00_2468 = 
((BgL_uvidlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvidlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 64 */
 long BgL_arg1986z00_2469;
BgL_arg1986z00_2469 = 
BGL_CLASS_NUM(BGl_UvIdlez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1163z00_2468), BgL_arg1986z00_2469); } 
return BgL_new1163z00_2468;} } 

}



/* &lambda1982 */
BgL_uvidlez00_bglt BGl_z62lambda1982z62zz__libuv_typesz00(obj_t BgL_envz00_2045, obj_t BgL_z42builtin1156z42_2046, obj_t BgL_z52onclose1157z52_2047, obj_t BgL_z52gcmarkshead1158z52_2048, obj_t BgL_z52gcmarkstail1159z52_2049, obj_t BgL_closed1160z00_2050, obj_t BgL_loop1161z00_2051, obj_t BgL_cb1162z00_2052)
{
{ /* Llib/uvtypes.scm 64 */
{ /* Llib/uvtypes.scm 64 */
 uv_handle_t * BgL_z42builtin1156z42_2470; bool_t BgL_closed1160z00_2473;
BgL_z42builtin1156z42_2470 = 
FOREIGN_TO_COBJ(BgL_z42builtin1156z42_2046); 
BgL_closed1160z00_2473 = 
CBOOL(BgL_closed1160z00_2050); 
{ /* Llib/uvtypes.scm 64 */
 BgL_uvidlez00_bglt BgL_new1263z00_2476;
{ /* Llib/uvtypes.scm 64 */
 BgL_uvidlez00_bglt BgL_new1262z00_2477;
BgL_new1262z00_2477 = 
((BgL_uvidlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvidlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 64 */
 long BgL_arg1984z00_2478;
BgL_arg1984z00_2478 = 
BGL_CLASS_NUM(BGl_UvIdlez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1262z00_2477), BgL_arg1984z00_2478); } 
BgL_new1263z00_2476 = BgL_new1262z00_2477; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1263z00_2476)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1156z42_2470),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1263z00_2476)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1157z52_2047),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1263z00_2476)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1158z52_2048)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1263z00_2476)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1159z52_2049)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1263z00_2476)))->BgL_closedz00)=((bool_t)BgL_closed1160z00_2473),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1263z00_2476)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1161z00_2051)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1263z00_2476)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1162z00_2052)),BUNSPEC); 
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_fun1983z00_2479;
BgL_fun1983z00_2479 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvIdlez00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1983z00_2479))(BgL_fun1983z00_2479, 
((obj_t)BgL_new1263z00_2476), BEOA); } 
return BgL_new1263z00_2476;} } } 

}



/* &<@anonymous:1962> */
obj_t BGl_z62zc3z04anonymousza31962ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2053, obj_t BgL_new1154z00_2054)
{
{ /* Llib/uvtypes.scm 60 */
{ 
 BgL_uvtimerz00_bglt BgL_auxz00_3802;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2054))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2054))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2054))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2054))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2054))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3819;
{ /* Llib/uvtypes.scm 60 */
 obj_t BgL_classz00_2481;
BgL_classz00_2481 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 60 */
 obj_t BgL__ortest_1112z00_2482;
BgL__ortest_1112z00_2482 = 
BGL_CLASS_NIL(BgL_classz00_2481); 
if(
CBOOL(BgL__ortest_1112z00_2482))
{ /* Llib/uvtypes.scm 60 */
BgL_auxz00_3819 = 
((BgL_uvloopz00_bglt)BgL__ortest_1112z00_2482)
; }  else 
{ /* Llib/uvtypes.scm 60 */
BgL_auxz00_3819 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2481))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2054))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3819),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2054))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_new1154z00_2054)))->BgL_repeatz00)=((uint64_t)
0L),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_new1154z00_2054)))->BgL_refz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_3802 = 
((BgL_uvtimerz00_bglt)BgL_new1154z00_2054); 
return 
((obj_t)BgL_auxz00_3802);} } 

}



/* &lambda1960 */
BgL_uvtimerz00_bglt BGl_z62lambda1960z62zz__libuv_typesz00(obj_t BgL_envz00_2055)
{
{ /* Llib/uvtypes.scm 60 */
{ /* Llib/uvtypes.scm 60 */
 BgL_uvtimerz00_bglt BgL_new1153z00_2483;
BgL_new1153z00_2483 = 
((BgL_uvtimerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtimerz00_bgl) ))); 
{ /* Llib/uvtypes.scm 60 */
 long BgL_arg1961z00_2484;
BgL_arg1961z00_2484 = 
BGL_CLASS_NUM(BGl_UvTimerz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1153z00_2483), BgL_arg1961z00_2484); } 
return BgL_new1153z00_2483;} } 

}



/* &lambda1957 */
BgL_uvtimerz00_bglt BGl_z62lambda1957z62zz__libuv_typesz00(obj_t BgL_envz00_2056, obj_t BgL_z42builtin1144z42_2057, obj_t BgL_z52onclose1145z52_2058, obj_t BgL_z52gcmarkshead1146z52_2059, obj_t BgL_z52gcmarkstail1147z52_2060, obj_t BgL_closed1148z00_2061, obj_t BgL_loop1149z00_2062, obj_t BgL_cb1150z00_2063, obj_t BgL_repeat1151z00_2064, obj_t BgL_ref1152z00_2065)
{
{ /* Llib/uvtypes.scm 60 */
{ /* Llib/uvtypes.scm 60 */
 uv_handle_t * BgL_z42builtin1144z42_2485; bool_t BgL_closed1148z00_2488; uint64_t BgL_repeat1151z00_2491; bool_t BgL_ref1152z00_2492;
BgL_z42builtin1144z42_2485 = 
FOREIGN_TO_COBJ(BgL_z42builtin1144z42_2057); 
BgL_closed1148z00_2488 = 
CBOOL(BgL_closed1148z00_2061); 
BgL_repeat1151z00_2491 = 
BGL_BINT64_TO_INT64(BgL_repeat1151z00_2064); 
BgL_ref1152z00_2492 = 
CBOOL(BgL_ref1152z00_2065); 
{ /* Llib/uvtypes.scm 60 */
 BgL_uvtimerz00_bglt BgL_new1261z00_2493;
{ /* Llib/uvtypes.scm 60 */
 BgL_uvtimerz00_bglt BgL_new1260z00_2494;
BgL_new1260z00_2494 = 
((BgL_uvtimerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtimerz00_bgl) ))); 
{ /* Llib/uvtypes.scm 60 */
 long BgL_arg1959z00_2495;
BgL_arg1959z00_2495 = 
BGL_CLASS_NUM(BGl_UvTimerz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1260z00_2494), BgL_arg1959z00_2495); } 
BgL_new1261z00_2493 = BgL_new1260z00_2494; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1261z00_2493)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1144z42_2485),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1261z00_2493)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1145z52_2058),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1261z00_2493)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1146z52_2059)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1261z00_2493)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1147z52_2060)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1261z00_2493)))->BgL_closedz00)=((bool_t)BgL_closed1148z00_2488),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1261z00_2493)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1149z00_2062)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1261z00_2493)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1150z00_2063)),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(BgL_new1261z00_2493))->BgL_repeatz00)=((uint64_t)BgL_repeat1151z00_2491),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(BgL_new1261z00_2493))->BgL_refz00)=((bool_t)BgL_ref1152z00_2492),BUNSPEC); 
{ /* Llib/uvtypes.scm 60 */
 obj_t BgL_fun1958z00_2496;
BgL_fun1958z00_2496 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvTimerz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1958z00_2496))(BgL_fun1958z00_2496, 
((obj_t)BgL_new1261z00_2493), BEOA); } 
return BgL_new1261z00_2493;} } } 

}



/* &<@anonymous:1976> */
obj_t BGl_z62zc3z04anonymousza31976ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2066)
{
{ /* Llib/uvtypes.scm 60 */
return 
BBOOL(((bool_t)1));} 

}



/* &lambda1975 */
obj_t BGl_z62lambda1975z62zz__libuv_typesz00(obj_t BgL_envz00_2067, obj_t BgL_oz00_2068, obj_t BgL_vz00_2069)
{
{ /* Llib/uvtypes.scm 60 */
{ /* Llib/uvtypes.scm 60 */
 bool_t BgL_vz00_2498;
BgL_vz00_2498 = 
CBOOL(BgL_vz00_2069); 
return 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2068)))->BgL_refz00)=((bool_t)BgL_vz00_2498),BUNSPEC);} } 

}



/* &lambda1974 */
obj_t BGl_z62lambda1974z62zz__libuv_typesz00(obj_t BgL_envz00_2070, obj_t BgL_oz00_2071)
{
{ /* Llib/uvtypes.scm 60 */
return 
BBOOL(
(((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2071)))->BgL_refz00));} 

}



/* &<@anonymous:1969> */
obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2072)
{
{ /* Llib/uvtypes.scm 60 */
return 
BGL_UINT64_TO_BUINT64((uint64_t)(0));} 

}



/* &lambda1968 */
obj_t BGl_z62lambda1968z62zz__libuv_typesz00(obj_t BgL_envz00_2073, obj_t BgL_oz00_2074, obj_t BgL_vz00_2075)
{
{ /* Llib/uvtypes.scm 60 */
{ /* Llib/uvtypes.scm 60 */
 uint64_t BgL_vz00_2501;
BgL_vz00_2501 = 
BGL_BINT64_TO_INT64(BgL_vz00_2075); 
return 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2074)))->BgL_repeatz00)=((uint64_t)BgL_vz00_2501),BUNSPEC);} } 

}



/* &lambda1967 */
obj_t BGl_z62lambda1967z62zz__libuv_typesz00(obj_t BgL_envz00_2076, obj_t BgL_oz00_2077)
{
{ /* Llib/uvtypes.scm 60 */
{ /* Llib/uvtypes.scm 60 */
 uint64_t BgL_tmpz00_3888;
BgL_tmpz00_3888 = 
(((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2077)))->BgL_repeatz00); 
return 
BGL_UINT64_TO_BUINT64(BgL_tmpz00_3888);} } 

}



/* &<@anonymous:1941> */
obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2078, obj_t BgL_new1142z00_2079)
{
{ /* Llib/uvtypes.scm 56 */
{ 
 BgL_uvttyz00_bglt BgL_auxz00_3892;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2079))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2079))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2079))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2079))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2079))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3909;
{ /* Llib/uvtypes.scm 56 */
 obj_t BgL_classz00_2504;
BgL_classz00_2504 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 56 */
 obj_t BgL__ortest_1112z00_2505;
BgL__ortest_1112z00_2505 = 
BGL_CLASS_NIL(BgL_classz00_2504); 
if(
CBOOL(BgL__ortest_1112z00_2505))
{ /* Llib/uvtypes.scm 56 */
BgL_auxz00_3909 = 
((BgL_uvloopz00_bglt)BgL__ortest_1112z00_2505)
; }  else 
{ /* Llib/uvtypes.scm 56 */
BgL_auxz00_3909 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2504))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2079))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3909),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2079))))->BgL_z52allocz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2079))))->BgL_z52offsetz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2079))))->BgL_z52procaz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2079))))->BgL_z52proccz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2079))))->BgL_z52callbackz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_new1142z00_2079)))->BgL_fdz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_new1142z00_2079)))->BgL_readablez00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_3892 = 
((BgL_uvttyz00_bglt)BgL_new1142z00_2079); 
return 
((obj_t)BgL_auxz00_3892);} } 

}



/* &lambda1939 */
BgL_uvttyz00_bglt BGl_z62lambda1939z62zz__libuv_typesz00(obj_t BgL_envz00_2080)
{
{ /* Llib/uvtypes.scm 56 */
{ /* Llib/uvtypes.scm 56 */
 BgL_uvttyz00_bglt BgL_new1141z00_2506;
BgL_new1141z00_2506 = 
((BgL_uvttyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvttyz00_bgl) ))); 
{ /* Llib/uvtypes.scm 56 */
 long BgL_arg1940z00_2507;
BgL_arg1940z00_2507 = 
BGL_CLASS_NUM(BGl_UvTtyz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2506), BgL_arg1940z00_2507); } 
return BgL_new1141z00_2506;} } 

}



/* &lambda1936 */
BgL_uvttyz00_bglt BGl_z62lambda1936z62zz__libuv_typesz00(obj_t BgL_envz00_2081, obj_t BgL_z42builtin1128z42_2082, obj_t BgL_z52onclose1129z52_2083, obj_t BgL_z52gcmarkshead1130z52_2084, obj_t BgL_z52gcmarkstail1131z52_2085, obj_t BgL_closed1132z00_2086, obj_t BgL_loop1133z00_2087, obj_t BgL_z52alloc1134z52_2088, obj_t BgL_z52offset1135z52_2089, obj_t BgL_z52proca1136z52_2090, obj_t BgL_z52procc1137z52_2091, obj_t BgL_z52callback1138z52_2092, obj_t BgL_fd1139z00_2093, obj_t BgL_readable1140z00_2094)
{
{ /* Llib/uvtypes.scm 56 */
{ /* Llib/uvtypes.scm 56 */
 uv_handle_t * BgL_z42builtin1128z42_2508; bool_t BgL_closed1132z00_2511; int BgL_fd1139z00_2513; bool_t BgL_readable1140z00_2514;
BgL_z42builtin1128z42_2508 = 
FOREIGN_TO_COBJ(BgL_z42builtin1128z42_2082); 
BgL_closed1132z00_2511 = 
CBOOL(BgL_closed1132z00_2086); 
BgL_fd1139z00_2513 = 
CINT(BgL_fd1139z00_2093); 
BgL_readable1140z00_2514 = 
CBOOL(BgL_readable1140z00_2094); 
{ /* Llib/uvtypes.scm 56 */
 BgL_uvttyz00_bglt BgL_new1259z00_2515;
{ /* Llib/uvtypes.scm 56 */
 BgL_uvttyz00_bglt BgL_new1258z00_2516;
BgL_new1258z00_2516 = 
((BgL_uvttyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvttyz00_bgl) ))); 
{ /* Llib/uvtypes.scm 56 */
 long BgL_arg1938z00_2517;
BgL_arg1938z00_2517 = 
BGL_CLASS_NUM(BGl_UvTtyz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1258z00_2516), BgL_arg1938z00_2517); } 
BgL_new1259z00_2515 = BgL_new1258z00_2516; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1259z00_2515)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1128z42_2508),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1259z00_2515)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1129z52_2083),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1259z00_2515)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1130z52_2084)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1259z00_2515)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1131z52_2085)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1259z00_2515)))->BgL_closedz00)=((bool_t)BgL_closed1132z00_2511),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1259z00_2515)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1133z00_2087)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1259z00_2515)))->BgL_z52allocz52)=((obj_t)BgL_z52alloc1134z52_2088),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1259z00_2515)))->BgL_z52offsetz52)=((obj_t)BgL_z52offset1135z52_2089),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1259z00_2515)))->BgL_z52procaz52)=((obj_t)BgL_z52proca1136z52_2090),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1259z00_2515)))->BgL_z52proccz52)=((obj_t)BgL_z52procc1137z52_2091),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1259z00_2515)))->BgL_z52callbackz52)=((obj_t)BgL_z52callback1138z52_2092),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(BgL_new1259z00_2515))->BgL_fdz00)=((int)BgL_fd1139z00_2513),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(BgL_new1259z00_2515))->BgL_readablez00)=((bool_t)BgL_readable1140z00_2514),BUNSPEC); 
{ /* Llib/uvtypes.scm 56 */
 obj_t BgL_fun1937z00_2518;
BgL_fun1937z00_2518 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvTtyz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1937z00_2518))(BgL_fun1937z00_2518, 
((obj_t)BgL_new1259z00_2515), BEOA); } 
return BgL_new1259z00_2515;} } } 

}



/* &lambda1951 */
obj_t BGl_z62lambda1951z62zz__libuv_typesz00(obj_t BgL_envz00_2095, obj_t BgL_oz00_2096, obj_t BgL_vz00_2097)
{
{ /* Llib/uvtypes.scm 56 */
{ /* Llib/uvtypes.scm 56 */
 bool_t BgL_vz00_2520;
BgL_vz00_2520 = 
CBOOL(BgL_vz00_2097); 
return 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2096)))->BgL_readablez00)=((bool_t)BgL_vz00_2520),BUNSPEC);} } 

}



/* &lambda1950 */
obj_t BGl_z62lambda1950z62zz__libuv_typesz00(obj_t BgL_envz00_2098, obj_t BgL_oz00_2099)
{
{ /* Llib/uvtypes.scm 56 */
return 
BBOOL(
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2099)))->BgL_readablez00));} 

}



/* &lambda1946 */
obj_t BGl_z62lambda1946z62zz__libuv_typesz00(obj_t BgL_envz00_2100, obj_t BgL_oz00_2101, obj_t BgL_vz00_2102)
{
{ /* Llib/uvtypes.scm 56 */
{ /* Llib/uvtypes.scm 56 */
 int BgL_vz00_2523;
BgL_vz00_2523 = 
CINT(BgL_vz00_2102); 
return 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2101)))->BgL_fdz00)=((int)BgL_vz00_2523),BUNSPEC);} } 

}



/* &lambda1945 */
obj_t BGl_z62lambda1945z62zz__libuv_typesz00(obj_t BgL_envz00_2103, obj_t BgL_oz00_2104)
{
{ /* Llib/uvtypes.scm 56 */
return 
BINT(
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2104)))->BgL_fdz00));} 

}



/* &<@anonymous:1925> */
obj_t BGl_z62zc3z04anonymousza31925ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2105, obj_t BgL_new1126z00_2106)
{
{ /* Llib/uvtypes.scm 53 */
{ 
 BgL_uvpipez00_bglt BgL_auxz00_3998;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2106))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2106))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2106))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2106))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2106))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4015;
{ /* Llib/uvtypes.scm 53 */
 obj_t BgL_classz00_2526;
BgL_classz00_2526 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 53 */
 obj_t BgL__ortest_1112z00_2527;
BgL__ortest_1112z00_2527 = 
BGL_CLASS_NIL(BgL_classz00_2526); 
if(
CBOOL(BgL__ortest_1112z00_2527))
{ /* Llib/uvtypes.scm 53 */
BgL_auxz00_4015 = 
((BgL_uvloopz00_bglt)BgL__ortest_1112z00_2527)
; }  else 
{ /* Llib/uvtypes.scm 53 */
BgL_auxz00_4015 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2526))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2106))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4015),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2106))))->BgL_z52allocz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2106))))->BgL_z52offsetz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2106))))->BgL_z52procaz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2106))))->BgL_z52proccz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2106))))->BgL_z52callbackz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvpipez00_bglt)COBJECT(
((BgL_uvpipez00_bglt)BgL_new1126z00_2106)))->BgL_ipcz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_3998 = 
((BgL_uvpipez00_bglt)BgL_new1126z00_2106); 
return 
((obj_t)BgL_auxz00_3998);} } 

}



/* &lambda1923 */
BgL_uvpipez00_bglt BGl_z62lambda1923z62zz__libuv_typesz00(obj_t BgL_envz00_2107)
{
{ /* Llib/uvtypes.scm 53 */
{ /* Llib/uvtypes.scm 53 */
 BgL_uvpipez00_bglt BgL_new1125z00_2528;
BgL_new1125z00_2528 = 
((BgL_uvpipez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpipez00_bgl) ))); 
{ /* Llib/uvtypes.scm 53 */
 long BgL_arg1924z00_2529;
BgL_arg1924z00_2529 = 
BGL_CLASS_NUM(BGl_UvPipez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_2528), BgL_arg1924z00_2529); } 
return BgL_new1125z00_2528;} } 

}



/* &lambda1920 */
BgL_uvpipez00_bglt BGl_z62lambda1920z62zz__libuv_typesz00(obj_t BgL_envz00_2108, obj_t BgL_z42builtin1113z42_2109, obj_t BgL_z52onclose1114z52_2110, obj_t BgL_z52gcmarkshead1115z52_2111, obj_t BgL_z52gcmarkstail1116z52_2112, obj_t BgL_closed1117z00_2113, obj_t BgL_loop1118z00_2114, obj_t BgL_z52alloc1119z52_2115, obj_t BgL_z52offset1120z52_2116, obj_t BgL_z52proca1121z52_2117, obj_t BgL_z52procc1122z52_2118, obj_t BgL_z52callback1123z52_2119, obj_t BgL_ipc1124z00_2120)
{
{ /* Llib/uvtypes.scm 53 */
{ /* Llib/uvtypes.scm 53 */
 uv_handle_t * BgL_z42builtin1113z42_2530; bool_t BgL_closed1117z00_2533; bool_t BgL_ipc1124z00_2535;
BgL_z42builtin1113z42_2530 = 
FOREIGN_TO_COBJ(BgL_z42builtin1113z42_2109); 
BgL_closed1117z00_2533 = 
CBOOL(BgL_closed1117z00_2113); 
BgL_ipc1124z00_2535 = 
CBOOL(BgL_ipc1124z00_2120); 
{ /* Llib/uvtypes.scm 53 */
 BgL_uvpipez00_bglt BgL_new1257z00_2536;
{ /* Llib/uvtypes.scm 53 */
 BgL_uvpipez00_bglt BgL_new1256z00_2537;
BgL_new1256z00_2537 = 
((BgL_uvpipez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpipez00_bgl) ))); 
{ /* Llib/uvtypes.scm 53 */
 long BgL_arg1922z00_2538;
BgL_arg1922z00_2538 = 
BGL_CLASS_NUM(BGl_UvPipez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1256z00_2537), BgL_arg1922z00_2538); } 
BgL_new1257z00_2536 = BgL_new1256z00_2537; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1257z00_2536)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1113z42_2530),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1257z00_2536)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1114z52_2110),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1257z00_2536)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1115z52_2111)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1257z00_2536)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1116z52_2112)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1257z00_2536)))->BgL_closedz00)=((bool_t)BgL_closed1117z00_2533),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1257z00_2536)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1118z00_2114)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1257z00_2536)))->BgL_z52allocz52)=((obj_t)BgL_z52alloc1119z52_2115),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1257z00_2536)))->BgL_z52offsetz52)=((obj_t)BgL_z52offset1120z52_2116),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1257z00_2536)))->BgL_z52procaz52)=((obj_t)BgL_z52proca1121z52_2117),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1257z00_2536)))->BgL_z52proccz52)=((obj_t)BgL_z52procc1122z52_2118),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1257z00_2536)))->BgL_z52callbackz52)=((obj_t)BgL_z52callback1123z52_2119),BUNSPEC); 
((((BgL_uvpipez00_bglt)COBJECT(BgL_new1257z00_2536))->BgL_ipcz00)=((bool_t)BgL_ipc1124z00_2535),BUNSPEC); 
{ /* Llib/uvtypes.scm 53 */
 obj_t BgL_fun1921z00_2539;
BgL_fun1921z00_2539 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvPipez00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1921z00_2539))(BgL_fun1921z00_2539, 
((obj_t)BgL_new1257z00_2536), BEOA); } 
return BgL_new1257z00_2536;} } } 

}



/* &lambda1930 */
obj_t BGl_z62lambda1930z62zz__libuv_typesz00(obj_t BgL_envz00_2121, obj_t BgL_oz00_2122, obj_t BgL_vz00_2123)
{
{ /* Llib/uvtypes.scm 53 */
{ /* Llib/uvtypes.scm 53 */
 bool_t BgL_vz00_2541;
BgL_vz00_2541 = 
CBOOL(BgL_vz00_2123); 
return 
((((BgL_uvpipez00_bglt)COBJECT(
((BgL_uvpipez00_bglt)BgL_oz00_2122)))->BgL_ipcz00)=((bool_t)BgL_vz00_2541),BUNSPEC);} } 

}



/* &lambda1929 */
obj_t BGl_z62lambda1929z62zz__libuv_typesz00(obj_t BgL_envz00_2124, obj_t BgL_oz00_2125)
{
{ /* Llib/uvtypes.scm 53 */
return 
BBOOL(
(((BgL_uvpipez00_bglt)COBJECT(
((BgL_uvpipez00_bglt)BgL_oz00_2125)))->BgL_ipcz00));} 

}



/* &<@anonymous:1907> */
obj_t BGl_z62zc3z04anonymousza31907ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2126, obj_t BgL_new1111z00_2127)
{
{ /* Llib/uvtypes.scm 50 */
{ 
 BgL_uvudpz00_bglt BgL_auxz00_4093;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2127))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2127))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2127))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2127))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2127))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4110;
{ /* Llib/uvtypes.scm 50 */
 obj_t BgL_classz00_2544;
BgL_classz00_2544 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 50 */
 obj_t BgL__ortest_1112z00_2545;
BgL__ortest_1112z00_2545 = 
BGL_CLASS_NIL(BgL_classz00_2544); 
if(
CBOOL(BgL__ortest_1112z00_2545))
{ /* Llib/uvtypes.scm 50 */
BgL_auxz00_4110 = 
((BgL_uvloopz00_bglt)BgL__ortest_1112z00_2545)
; }  else 
{ /* Llib/uvtypes.scm 50 */
BgL_auxz00_4110 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2544))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2127))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4110),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2127))))->BgL_z52allocz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2127))))->BgL_z52offsetz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2127))))->BgL_z52procaz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2127))))->BgL_z52proccz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2127))))->BgL_z52callbackz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_new1111z00_2127)))->BgL_z52procmz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4093 = 
((BgL_uvudpz00_bglt)BgL_new1111z00_2127); 
return 
((obj_t)BgL_auxz00_4093);} } 

}



/* &lambda1905 */
BgL_uvudpz00_bglt BGl_z62lambda1905z62zz__libuv_typesz00(obj_t BgL_envz00_2128)
{
{ /* Llib/uvtypes.scm 50 */
{ /* Llib/uvtypes.scm 50 */
 BgL_uvudpz00_bglt BgL_new1110z00_2546;
BgL_new1110z00_2546 = 
((BgL_uvudpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvudpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 50 */
 long BgL_arg1906z00_2547;
BgL_arg1906z00_2547 = 
BGL_CLASS_NUM(BGl_UvUdpz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_2546), BgL_arg1906z00_2547); } 
return BgL_new1110z00_2546;} } 

}



/* &lambda1902 */
BgL_uvudpz00_bglt BGl_z62lambda1902z62zz__libuv_typesz00(obj_t BgL_envz00_2129, obj_t BgL_z42builtin1098z42_2130, obj_t BgL_z52onclose1099z52_2131, obj_t BgL_z52gcmarkshead1100z52_2132, obj_t BgL_z52gcmarkstail1101z52_2133, obj_t BgL_closed1102z00_2134, obj_t BgL_loop1103z00_2135, obj_t BgL_z52alloc1104z52_2136, obj_t BgL_z52offset1105z52_2137, obj_t BgL_z52proca1106z52_2138, obj_t BgL_z52procc1107z52_2139, obj_t BgL_z52callback1108z52_2140, obj_t BgL_z52procm1109z52_2141)
{
{ /* Llib/uvtypes.scm 50 */
{ /* Llib/uvtypes.scm 50 */
 uv_handle_t * BgL_z42builtin1098z42_2548; bool_t BgL_closed1102z00_2551;
BgL_z42builtin1098z42_2548 = 
FOREIGN_TO_COBJ(BgL_z42builtin1098z42_2130); 
BgL_closed1102z00_2551 = 
CBOOL(BgL_closed1102z00_2134); 
{ /* Llib/uvtypes.scm 50 */
 BgL_uvudpz00_bglt BgL_new1255z00_2554;
{ /* Llib/uvtypes.scm 50 */
 BgL_uvudpz00_bglt BgL_new1254z00_2555;
BgL_new1254z00_2555 = 
((BgL_uvudpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvudpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 50 */
 long BgL_arg1904z00_2556;
BgL_arg1904z00_2556 = 
BGL_CLASS_NUM(BGl_UvUdpz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1254z00_2555), BgL_arg1904z00_2556); } 
BgL_new1255z00_2554 = BgL_new1254z00_2555; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1255z00_2554)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1098z42_2548),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1255z00_2554)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1099z52_2131),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1255z00_2554)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1100z52_2132)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1255z00_2554)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1101z52_2133)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1255z00_2554)))->BgL_closedz00)=((bool_t)BgL_closed1102z00_2551),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1255z00_2554)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1103z00_2135)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1255z00_2554)))->BgL_z52allocz52)=((obj_t)BgL_z52alloc1104z52_2136),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1255z00_2554)))->BgL_z52offsetz52)=((obj_t)BgL_z52offset1105z52_2137),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1255z00_2554)))->BgL_z52procaz52)=((obj_t)BgL_z52proca1106z52_2138),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1255z00_2554)))->BgL_z52proccz52)=((obj_t)BgL_z52procc1107z52_2139),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1255z00_2554)))->BgL_z52callbackz52)=((obj_t)BgL_z52callback1108z52_2140),BUNSPEC); 
((((BgL_uvudpz00_bglt)COBJECT(BgL_new1255z00_2554))->BgL_z52procmz52)=((obj_t)
((obj_t)BgL_z52procm1109z52_2141)),BUNSPEC); 
{ /* Llib/uvtypes.scm 50 */
 obj_t BgL_fun1903z00_2557;
BgL_fun1903z00_2557 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvUdpz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1903z00_2557))(BgL_fun1903z00_2557, 
((obj_t)BgL_new1255z00_2554), BEOA); } 
return BgL_new1255z00_2554;} } } 

}



/* &<@anonymous:1914> */
obj_t BGl_z62zc3z04anonymousza31914ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2142)
{
{ /* Llib/uvtypes.scm 50 */
return BNIL;} 

}



/* &lambda1913 */
obj_t BGl_z62lambda1913z62zz__libuv_typesz00(obj_t BgL_envz00_2143, obj_t BgL_oz00_2144, obj_t BgL_vz00_2145)
{
{ /* Llib/uvtypes.scm 50 */
return 
((((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_oz00_2144)))->BgL_z52procmz52)=((obj_t)
((obj_t)BgL_vz00_2145)),BUNSPEC);} 

}



/* &lambda1912 */
obj_t BGl_z62lambda1912z62zz__libuv_typesz00(obj_t BgL_envz00_2146, obj_t BgL_oz00_2147)
{
{ /* Llib/uvtypes.scm 50 */
return 
(((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_oz00_2147)))->BgL_z52procmz52);} 

}



/* &<@anonymous:1896> */
obj_t BGl_z62zc3z04anonymousza31896ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2148, obj_t BgL_new1096z00_2149)
{
{ /* Llib/uvtypes.scm 48 */
{ 
 BgL_uvtcpz00_bglt BgL_auxz00_4187;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2149))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2149))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2149))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2149))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2149))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4204;
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_classz00_2562;
BgL_classz00_2562 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL__ortest_1112z00_2563;
BgL__ortest_1112z00_2563 = 
BGL_CLASS_NIL(BgL_classz00_2562); 
if(
CBOOL(BgL__ortest_1112z00_2563))
{ /* Llib/uvtypes.scm 48 */
BgL_auxz00_4204 = 
((BgL_uvloopz00_bglt)BgL__ortest_1112z00_2563)
; }  else 
{ /* Llib/uvtypes.scm 48 */
BgL_auxz00_4204 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2562))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2149))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4204),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2149))))->BgL_z52allocz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2149))))->BgL_z52offsetz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2149))))->BgL_z52procaz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2149))))->BgL_z52proccz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2149))))->BgL_z52callbackz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4187 = 
((BgL_uvtcpz00_bglt)BgL_new1096z00_2149); 
return 
((obj_t)BgL_auxz00_4187);} } 

}



/* &lambda1894 */
BgL_uvtcpz00_bglt BGl_z62lambda1894z62zz__libuv_typesz00(obj_t BgL_envz00_2150)
{
{ /* Llib/uvtypes.scm 48 */
{ /* Llib/uvtypes.scm 48 */
 BgL_uvtcpz00_bglt BgL_new1095z00_2564;
BgL_new1095z00_2564 = 
((BgL_uvtcpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtcpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 48 */
 long BgL_arg1895z00_2565;
BgL_arg1895z00_2565 = 
BGL_CLASS_NUM(BGl_UvTcpz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1095z00_2564), BgL_arg1895z00_2565); } 
return BgL_new1095z00_2564;} } 

}



/* &lambda1891 */
BgL_uvtcpz00_bglt BGl_z62lambda1891z62zz__libuv_typesz00(obj_t BgL_envz00_2151, obj_t BgL_z42builtin1084z42_2152, obj_t BgL_z52onclose1085z52_2153, obj_t BgL_z52gcmarkshead1086z52_2154, obj_t BgL_z52gcmarkstail1087z52_2155, obj_t BgL_closed1088z00_2156, obj_t BgL_loop1089z00_2157, obj_t BgL_z52alloc1090z52_2158, obj_t BgL_z52offset1091z52_2159, obj_t BgL_z52proca1092z52_2160, obj_t BgL_z52procc1093z52_2161, obj_t BgL_z52callback1094z52_2162)
{
{ /* Llib/uvtypes.scm 48 */
{ /* Llib/uvtypes.scm 48 */
 uv_handle_t * BgL_z42builtin1084z42_2566; bool_t BgL_closed1088z00_2569;
BgL_z42builtin1084z42_2566 = 
FOREIGN_TO_COBJ(BgL_z42builtin1084z42_2152); 
BgL_closed1088z00_2569 = 
CBOOL(BgL_closed1088z00_2156); 
{ /* Llib/uvtypes.scm 48 */
 BgL_uvtcpz00_bglt BgL_new1253z00_2571;
{ /* Llib/uvtypes.scm 48 */
 BgL_uvtcpz00_bglt BgL_new1252z00_2572;
BgL_new1252z00_2572 = 
((BgL_uvtcpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtcpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 48 */
 long BgL_arg1893z00_2573;
BgL_arg1893z00_2573 = 
BGL_CLASS_NUM(BGl_UvTcpz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1252z00_2572), BgL_arg1893z00_2573); } 
BgL_new1253z00_2571 = BgL_new1252z00_2572; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1253z00_2571)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1084z42_2566),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1253z00_2571)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1085z52_2153),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1253z00_2571)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1086z52_2154)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1253z00_2571)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1087z52_2155)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1253z00_2571)))->BgL_closedz00)=((bool_t)BgL_closed1088z00_2569),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1253z00_2571)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1089z00_2157)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1253z00_2571)))->BgL_z52allocz52)=((obj_t)BgL_z52alloc1090z52_2158),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1253z00_2571)))->BgL_z52offsetz52)=((obj_t)BgL_z52offset1091z52_2159),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1253z00_2571)))->BgL_z52procaz52)=((obj_t)BgL_z52proca1092z52_2160),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1253z00_2571)))->BgL_z52proccz52)=((obj_t)BgL_z52procc1093z52_2161),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1253z00_2571)))->BgL_z52callbackz52)=((obj_t)BgL_z52callback1094z52_2162),BUNSPEC); 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_fun1892z00_2574;
BgL_fun1892z00_2574 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvTcpz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1892z00_2574))(BgL_fun1892z00_2574, 
((obj_t)BgL_new1253z00_2571), BEOA); } 
return BgL_new1253z00_2571;} } } 

}



/* &<@anonymous:1843> */
obj_t BGl_z62zc3z04anonymousza31843ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2163, obj_t BgL_new1082z00_2164)
{
{ /* Llib/uvtypes.scm 40 */
{ 
 BgL_uvstreamz00_bglt BgL_auxz00_4272;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1082z00_2164))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1082z00_2164))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1082z00_2164))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1082z00_2164))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1082z00_2164))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4289;
{ /* Llib/uvtypes.scm 40 */
 obj_t BgL_classz00_2576;
BgL_classz00_2576 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 40 */
 obj_t BgL__ortest_1112z00_2577;
BgL__ortest_1112z00_2577 = 
BGL_CLASS_NIL(BgL_classz00_2576); 
if(
CBOOL(BgL__ortest_1112z00_2577))
{ /* Llib/uvtypes.scm 40 */
BgL_auxz00_4289 = 
((BgL_uvloopz00_bglt)BgL__ortest_1112z00_2577)
; }  else 
{ /* Llib/uvtypes.scm 40 */
BgL_auxz00_4289 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2576))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1082z00_2164)))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4289),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1082z00_2164)))->BgL_z52allocz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1082z00_2164)))->BgL_z52offsetz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1082z00_2164)))->BgL_z52procaz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1082z00_2164)))->BgL_z52proccz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1082z00_2164)))->BgL_z52callbackz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4272 = 
((BgL_uvstreamz00_bglt)BgL_new1082z00_2164); 
return 
((obj_t)BgL_auxz00_4272);} } 

}



/* &lambda1841 */
BgL_uvstreamz00_bglt BGl_z62lambda1841z62zz__libuv_typesz00(obj_t BgL_envz00_2165)
{
{ /* Llib/uvtypes.scm 40 */
{ /* Llib/uvtypes.scm 40 */
 BgL_uvstreamz00_bglt BgL_new1081z00_2578;
BgL_new1081z00_2578 = 
((BgL_uvstreamz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvstreamz00_bgl) ))); 
{ /* Llib/uvtypes.scm 40 */
 long BgL_arg1842z00_2579;
BgL_arg1842z00_2579 = 
BGL_CLASS_NUM(BGl_UvStreamz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_2578), BgL_arg1842z00_2579); } 
return BgL_new1081z00_2578;} } 

}



/* &lambda1838 */
BgL_uvstreamz00_bglt BGl_z62lambda1838z62zz__libuv_typesz00(obj_t BgL_envz00_2166, obj_t BgL_z42builtin1070z42_2167, obj_t BgL_z52onclose1071z52_2168, obj_t BgL_z52gcmarkshead1072z52_2169, obj_t BgL_z52gcmarkstail1073z52_2170, obj_t BgL_closed1074z00_2171, obj_t BgL_loop1075z00_2172, obj_t BgL_z52alloc1076z52_2173, obj_t BgL_z52offset1077z52_2174, obj_t BgL_z52proca1078z52_2175, obj_t BgL_z52procc1079z52_2176, obj_t BgL_z52callback1080z52_2177)
{
{ /* Llib/uvtypes.scm 40 */
{ /* Llib/uvtypes.scm 40 */
 uv_handle_t * BgL_z42builtin1070z42_2580; bool_t BgL_closed1074z00_2583;
BgL_z42builtin1070z42_2580 = 
FOREIGN_TO_COBJ(BgL_z42builtin1070z42_2167); 
BgL_closed1074z00_2583 = 
CBOOL(BgL_closed1074z00_2171); 
{ /* Llib/uvtypes.scm 40 */
 BgL_uvstreamz00_bglt BgL_new1251z00_2585;
{ /* Llib/uvtypes.scm 40 */
 BgL_uvstreamz00_bglt BgL_new1250z00_2586;
BgL_new1250z00_2586 = 
((BgL_uvstreamz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvstreamz00_bgl) ))); 
{ /* Llib/uvtypes.scm 40 */
 long BgL_arg1840z00_2587;
BgL_arg1840z00_2587 = 
BGL_CLASS_NUM(BGl_UvStreamz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1250z00_2586), BgL_arg1840z00_2587); } 
BgL_new1251z00_2585 = BgL_new1250z00_2586; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1251z00_2585)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1070z42_2580),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1251z00_2585)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1071z52_2168),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1251z00_2585)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1072z52_2169)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1251z00_2585)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1073z52_2170)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1251z00_2585)))->BgL_closedz00)=((bool_t)BgL_closed1074z00_2583),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1251z00_2585))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1075z00_2172)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1251z00_2585))->BgL_z52allocz52)=((obj_t)BgL_z52alloc1076z52_2173),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1251z00_2585))->BgL_z52offsetz52)=((obj_t)BgL_z52offset1077z52_2174),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1251z00_2585))->BgL_z52procaz52)=((obj_t)BgL_z52proca1078z52_2175),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1251z00_2585))->BgL_z52proccz52)=((obj_t)BgL_z52procc1079z52_2176),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1251z00_2585))->BgL_z52callbackz52)=((obj_t)BgL_z52callback1080z52_2177),BUNSPEC); 
{ /* Llib/uvtypes.scm 40 */
 obj_t BgL_fun1839z00_2588;
BgL_fun1839z00_2588 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvStreamz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1839z00_2588))(BgL_fun1839z00_2588, 
((obj_t)BgL_new1251z00_2585), BEOA); } 
return BgL_new1251z00_2585;} } } 

}



/* &<@anonymous:1885> */
obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2178)
{
{ /* Llib/uvtypes.scm 40 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1884 */
obj_t BGl_z62lambda1884z62zz__libuv_typesz00(obj_t BgL_envz00_2179, obj_t BgL_oz00_2180, obj_t BgL_vz00_2181)
{
{ /* Llib/uvtypes.scm 40 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2180)))->BgL_z52callbackz52)=((obj_t)BgL_vz00_2181),BUNSPEC);} 

}



/* &lambda1883 */
obj_t BGl_z62lambda1883z62zz__libuv_typesz00(obj_t BgL_envz00_2182, obj_t BgL_oz00_2183)
{
{ /* Llib/uvtypes.scm 40 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2183)))->BgL_z52callbackz52);} 

}



/* &<@anonymous:1876> */
obj_t BGl_z62zc3z04anonymousza31876ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2184)
{
{ /* Llib/uvtypes.scm 40 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1875 */
obj_t BGl_z62lambda1875z62zz__libuv_typesz00(obj_t BgL_envz00_2185, obj_t BgL_oz00_2186, obj_t BgL_vz00_2187)
{
{ /* Llib/uvtypes.scm 40 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2186)))->BgL_z52proccz52)=((obj_t)BgL_vz00_2187),BUNSPEC);} 

}



/* &lambda1874 */
obj_t BGl_z62lambda1874z62zz__libuv_typesz00(obj_t BgL_envz00_2188, obj_t BgL_oz00_2189)
{
{ /* Llib/uvtypes.scm 40 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2189)))->BgL_z52proccz52);} 

}



/* &<@anonymous:1869> */
obj_t BGl_z62zc3z04anonymousza31869ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2190)
{
{ /* Llib/uvtypes.scm 40 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1868 */
obj_t BGl_z62lambda1868z62zz__libuv_typesz00(obj_t BgL_envz00_2191, obj_t BgL_oz00_2192, obj_t BgL_vz00_2193)
{
{ /* Llib/uvtypes.scm 40 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2192)))->BgL_z52procaz52)=((obj_t)BgL_vz00_2193),BUNSPEC);} 

}



/* &lambda1867 */
obj_t BGl_z62lambda1867z62zz__libuv_typesz00(obj_t BgL_envz00_2194, obj_t BgL_oz00_2195)
{
{ /* Llib/uvtypes.scm 40 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2195)))->BgL_z52procaz52);} 

}



/* &<@anonymous:1862> */
obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2196)
{
{ /* Llib/uvtypes.scm 40 */
return 
BINT(((long)0));} 

}



/* &lambda1861 */
obj_t BGl_z62lambda1861z62zz__libuv_typesz00(obj_t BgL_envz00_2197, obj_t BgL_oz00_2198, obj_t BgL_vz00_2199)
{
{ /* Llib/uvtypes.scm 40 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2198)))->BgL_z52offsetz52)=((obj_t)BgL_vz00_2199),BUNSPEC);} 

}



/* &lambda1860 */
obj_t BGl_z62lambda1860z62zz__libuv_typesz00(obj_t BgL_envz00_2200, obj_t BgL_oz00_2201)
{
{ /* Llib/uvtypes.scm 40 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2201)))->BgL_z52offsetz52);} 

}



/* &<@anonymous:1855> */
obj_t BGl_z62zc3z04anonymousza31855ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2202)
{
{ /* Llib/uvtypes.scm 40 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1854 */
obj_t BGl_z62lambda1854z62zz__libuv_typesz00(obj_t BgL_envz00_2203, obj_t BgL_oz00_2204, obj_t BgL_vz00_2205)
{
{ /* Llib/uvtypes.scm 40 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2204)))->BgL_z52allocz52)=((obj_t)BgL_vz00_2205),BUNSPEC);} 

}



/* &lambda1853 */
obj_t BGl_z62lambda1853z62zz__libuv_typesz00(obj_t BgL_envz00_2206, obj_t BgL_oz00_2207)
{
{ /* Llib/uvtypes.scm 40 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2207)))->BgL_z52allocz52);} 

}



/* &lambda1848 */
obj_t BGl_z62lambda1848z62zz__libuv_typesz00(obj_t BgL_envz00_2208, obj_t BgL_oz00_2209, obj_t BgL_vz00_2210)
{
{ /* Llib/uvtypes.scm 40 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2209)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_vz00_2210)),BUNSPEC);} 

}



/* &lambda1847 */
BgL_uvloopz00_bglt BGl_z62lambda1847z62zz__libuv_typesz00(obj_t BgL_envz00_2211, obj_t BgL_oz00_2212)
{
{ /* Llib/uvtypes.scm 40 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2212)))->BgL_loopz00);} 

}



/* &<@anonymous:1820> */
obj_t BGl_z62zc3z04anonymousza31820ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2213, obj_t BgL_new1068z00_2214)
{
{ /* Llib/uvtypes.scm 36 */
{ 
 BgL_uvwatcherz00_bglt BgL_auxz00_4375;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2214))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2214))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2214))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2214))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2214))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4392;
{ /* Llib/uvtypes.scm 36 */
 obj_t BgL_classz00_2603;
BgL_classz00_2603 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 36 */
 obj_t BgL__ortest_1112z00_2604;
BgL__ortest_1112z00_2604 = 
BGL_CLASS_NIL(BgL_classz00_2603); 
if(
CBOOL(BgL__ortest_1112z00_2604))
{ /* Llib/uvtypes.scm 36 */
BgL_auxz00_4392 = 
((BgL_uvloopz00_bglt)BgL__ortest_1112z00_2604)
; }  else 
{ /* Llib/uvtypes.scm 36 */
BgL_auxz00_4392 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2603))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2214)))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4392),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2214)))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_4375 = 
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2214); 
return 
((obj_t)BgL_auxz00_4375);} } 

}



/* &lambda1818 */
BgL_uvwatcherz00_bglt BGl_z62lambda1818z62zz__libuv_typesz00(obj_t BgL_envz00_2215)
{
{ /* Llib/uvtypes.scm 36 */
{ /* Llib/uvtypes.scm 36 */
 BgL_uvwatcherz00_bglt BgL_new1067z00_2605;
BgL_new1067z00_2605 = 
((BgL_uvwatcherz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvwatcherz00_bgl) ))); 
{ /* Llib/uvtypes.scm 36 */
 long BgL_arg1819z00_2606;
BgL_arg1819z00_2606 = 
BGL_CLASS_NUM(BGl_UvWatcherz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1067z00_2605), BgL_arg1819z00_2606); } 
return BgL_new1067z00_2605;} } 

}



/* &<@anonymous:1832> */
obj_t BGl_z62zc3z04anonymousza31832ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2216)
{
{ /* Llib/uvtypes.scm 36 */
return BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;} 

}



/* &lambda1831 */
obj_t BGl_z62lambda1831z62zz__libuv_typesz00(obj_t BgL_envz00_2217, obj_t BgL_oz00_2218, obj_t BgL_vz00_2219)
{
{ /* Llib/uvtypes.scm 36 */
return 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2218)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_vz00_2219)),BUNSPEC);} 

}



/* &lambda1830 */
obj_t BGl_z62lambda1830z62zz__libuv_typesz00(obj_t BgL_envz00_2220, obj_t BgL_oz00_2221)
{
{ /* Llib/uvtypes.scm 36 */
return 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2221)))->BgL_cbz00);} 

}



/* &lambda1825 */
obj_t BGl_z62lambda1825z62zz__libuv_typesz00(obj_t BgL_envz00_2222, obj_t BgL_oz00_2223, obj_t BgL_vz00_2224)
{
{ /* Llib/uvtypes.scm 36 */
return 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2223)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_vz00_2224)),BUNSPEC);} 

}



/* &lambda1824 */
BgL_uvloopz00_bglt BGl_z62lambda1824z62zz__libuv_typesz00(obj_t BgL_envz00_2225, obj_t BgL_oz00_2226)
{
{ /* Llib/uvtypes.scm 36 */
return 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2226)))->BgL_loopz00);} 

}



/* &<@anonymous:1787> */
obj_t BGl_z62zc3z04anonymousza31787ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2227, obj_t BgL_new1065z00_2228)
{
{ /* Llib/uvtypes.scm 33 */
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4419;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1065z00_2228))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1065z00_2228))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1065z00_2228))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1065z00_2228))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1065z00_2228))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_uvloopz00_bglt)COBJECT(
((BgL_uvloopz00_bglt)BgL_new1065z00_2228)))->BgL_z52mutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
BgL_auxz00_4419 = 
((BgL_uvloopz00_bglt)BgL_new1065z00_2228); 
return 
((obj_t)BgL_auxz00_4419);} } 

}



/* &lambda1770 */
BgL_uvloopz00_bglt BGl_z62lambda1770z62zz__libuv_typesz00(obj_t BgL_envz00_2229)
{
{ /* Llib/uvtypes.scm 33 */
{ /* Llib/uvtypes.scm 33 */
 BgL_uvloopz00_bglt BgL_new1064z00_2614;
BgL_new1064z00_2614 = 
((BgL_uvloopz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvloopz00_bgl) ))); 
{ /* Llib/uvtypes.scm 33 */
 long BgL_arg1786z00_2615;
BgL_arg1786z00_2615 = 
BGL_CLASS_NUM(BGl_UvLoopz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_2614), BgL_arg1786z00_2615); } 
return BgL_new1064z00_2614;} } 

}



/* &lambda1766 */
BgL_uvloopz00_bglt BGl_z62lambda1766z62zz__libuv_typesz00(obj_t BgL_envz00_2230, obj_t BgL_z42builtin1058z42_2231, obj_t BgL_z52onclose1059z52_2232, obj_t BgL_z52gcmarkshead1060z52_2233, obj_t BgL_z52gcmarkstail1061z52_2234, obj_t BgL_closed1062z00_2235, obj_t BgL_z52mutex1063z52_2236)
{
{ /* Llib/uvtypes.scm 33 */
{ /* Llib/uvtypes.scm 33 */
 uv_handle_t * BgL_z42builtin1058z42_2616; bool_t BgL_closed1062z00_2619;
BgL_z42builtin1058z42_2616 = 
FOREIGN_TO_COBJ(BgL_z42builtin1058z42_2231); 
BgL_closed1062z00_2619 = 
CBOOL(BgL_closed1062z00_2235); 
{ /* Llib/uvtypes.scm 33 */
 BgL_uvloopz00_bglt BgL_new1249z00_2621;
{ /* Llib/uvtypes.scm 33 */
 BgL_uvloopz00_bglt BgL_new1248z00_2622;
BgL_new1248z00_2622 = 
((BgL_uvloopz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvloopz00_bgl) ))); 
{ /* Llib/uvtypes.scm 33 */
 long BgL_arg1769z00_2623;
BgL_arg1769z00_2623 = 
BGL_CLASS_NUM(BGl_UvLoopz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1248z00_2622), BgL_arg1769z00_2623); } 
BgL_new1249z00_2621 = BgL_new1248z00_2622; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1249z00_2621)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1058z42_2616),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1249z00_2621)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1059z52_2232),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1249z00_2621)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1060z52_2233)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1249z00_2621)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1061z52_2234)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1249z00_2621)))->BgL_closedz00)=((bool_t)BgL_closed1062z00_2619),BUNSPEC); 
((((BgL_uvloopz00_bglt)COBJECT(BgL_new1249z00_2621))->BgL_z52mutexz52)=((obj_t)
((obj_t)BgL_z52mutex1063z52_2236)),BUNSPEC); 
{ /* Llib/uvtypes.scm 33 */
 obj_t BgL_fun1767z00_2624;
BgL_fun1767z00_2624 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvLoopz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1767z00_2624))(BgL_fun1767z00_2624, 
((obj_t)BgL_new1249z00_2621), BEOA); } 
return BgL_new1249z00_2621;} } } 

}



/* &<@anonymous:1810> */
obj_t BGl_z62zc3z04anonymousza31810ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2237)
{
{ /* Llib/uvtypes.scm 33 */
{ /* Llib/uvtypes.scm 34 */

{ /* Llib/uvtypes.scm 34 */
 obj_t BgL_namez00_2625;
BgL_namez00_2625 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)20))); 
{ /* Llib/uvtypes.scm 34 */

return 
bgl_make_mutex(BgL_namez00_2625);} } } } 

}



/* &lambda1809 */
obj_t BGl_z62lambda1809z62zz__libuv_typesz00(obj_t BgL_envz00_2238, obj_t BgL_oz00_2239, obj_t BgL_vz00_2240)
{
{ /* Llib/uvtypes.scm 33 */
return 
((((BgL_uvloopz00_bglt)COBJECT(
((BgL_uvloopz00_bglt)BgL_oz00_2239)))->BgL_z52mutexz52)=((obj_t)
((obj_t)BgL_vz00_2240)),BUNSPEC);} 

}



/* &lambda1808 */
obj_t BGl_z62lambda1808z62zz__libuv_typesz00(obj_t BgL_envz00_2241, obj_t BgL_oz00_2242)
{
{ /* Llib/uvtypes.scm 33 */
return 
(((BgL_uvloopz00_bglt)COBJECT(
((BgL_uvloopz00_bglt)BgL_oz00_2242)))->BgL_z52mutexz52);} 

}



/* &<@anonymous:1680> */
obj_t BGl_z62zc3z04anonymousza31680ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2243, obj_t BgL_new1056z00_2244)
{
{ /* Llib/uvtypes.scm 26 */
{ 
 BgL_uvhandlez00_bglt BgL_auxz00_4479;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1056z00_2244)))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1056z00_2244)))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1056z00_2244)))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1056z00_2244)))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1056z00_2244)))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4479 = 
((BgL_uvhandlez00_bglt)BgL_new1056z00_2244); 
return 
((obj_t)BgL_auxz00_4479);} } 

}



/* &lambda1671 */
BgL_uvhandlez00_bglt BGl_z62lambda1671z62zz__libuv_typesz00(obj_t BgL_envz00_2245)
{
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
 BgL_uvhandlez00_bglt BgL_new1055z00_2630;
BgL_new1055z00_2630 = 
((BgL_uvhandlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvhandlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 26 */
 long BgL_arg1679z00_2631;
BgL_arg1679z00_2631 = 
BGL_CLASS_NUM(BGl_UvHandlez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_2630), BgL_arg1679z00_2631); } 
return BgL_new1055z00_2630;} } 

}



/* &lambda1665 */
BgL_uvhandlez00_bglt BGl_z62lambda1665z62zz__libuv_typesz00(obj_t BgL_envz00_2246, obj_t BgL_z42builtin1050z42_2247, obj_t BgL_z52onclose1051z52_2248, obj_t BgL_z52gcmarkshead1052z52_2249, obj_t BgL_z52gcmarkstail1053z52_2250, obj_t BgL_closed1054z00_2251)
{
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
 uv_handle_t * BgL_z42builtin1050z42_2632; bool_t BgL_closed1054z00_2635;
BgL_z42builtin1050z42_2632 = 
FOREIGN_TO_COBJ(BgL_z42builtin1050z42_2247); 
BgL_closed1054z00_2635 = 
CBOOL(BgL_closed1054z00_2251); 
{ /* Llib/uvtypes.scm 26 */
 BgL_uvhandlez00_bglt BgL_new1247z00_2636;
{ /* Llib/uvtypes.scm 26 */
 BgL_uvhandlez00_bglt BgL_new1246z00_2637;
BgL_new1246z00_2637 = 
((BgL_uvhandlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvhandlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 26 */
 long BgL_arg1670z00_2638;
BgL_arg1670z00_2638 = 
BGL_CLASS_NUM(BGl_UvHandlez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1246z00_2637), BgL_arg1670z00_2638); } 
BgL_new1247z00_2636 = BgL_new1246z00_2637; } 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1247z00_2636))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1050z42_2632),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1247z00_2636))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1051z52_2248),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1247z00_2636))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1052z52_2249)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1247z00_2636))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1053z52_2250)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1247z00_2636))->BgL_closedz00)=((bool_t)BgL_closed1054z00_2635),BUNSPEC); 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_fun1666z00_2639;
BgL_fun1666z00_2639 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvHandlez00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1666z00_2639))(BgL_fun1666z00_2639, 
((obj_t)BgL_new1247z00_2636), BEOA); } 
return BgL_new1247z00_2636;} } } 

}



/* &<@anonymous:1750> */
obj_t BGl_z62zc3z04anonymousza31750ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2252)
{
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1749 */
obj_t BGl_z62lambda1749z62zz__libuv_typesz00(obj_t BgL_envz00_2253, obj_t BgL_oz00_2254, obj_t BgL_vz00_2255)
{
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
 bool_t BgL_vz00_2641;
BgL_vz00_2641 = 
CBOOL(BgL_vz00_2255); 
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2254)))->BgL_closedz00)=((bool_t)BgL_vz00_2641),BUNSPEC);} } 

}



/* &lambda1748 */
obj_t BGl_z62lambda1748z62zz__libuv_typesz00(obj_t BgL_envz00_2256, obj_t BgL_oz00_2257)
{
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2257)))->BgL_closedz00));} 

}



/* &<@anonymous:1743> */
obj_t BGl_z62zc3z04anonymousza31743ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2258)
{
{ /* Llib/uvtypes.scm 26 */
return BNIL;} 

}



/* &lambda1742 */
obj_t BGl_z62lambda1742z62zz__libuv_typesz00(obj_t BgL_envz00_2259, obj_t BgL_oz00_2260, obj_t BgL_vz00_2261)
{
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2260)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_vz00_2261)),BUNSPEC);} 

}



/* &lambda1741 */
obj_t BGl_z62lambda1741z62zz__libuv_typesz00(obj_t BgL_envz00_2262, obj_t BgL_oz00_2263)
{
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2263)))->BgL_z52gcmarkstailz52);} 

}



/* &<@anonymous:1730> */
obj_t BGl_z62zc3z04anonymousza31730ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2264)
{
{ /* Llib/uvtypes.scm 26 */
return BNIL;} 

}



/* &lambda1729 */
obj_t BGl_z62lambda1729z62zz__libuv_typesz00(obj_t BgL_envz00_2265, obj_t BgL_oz00_2266, obj_t BgL_vz00_2267)
{
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2266)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_vz00_2267)),BUNSPEC);} 

}



/* &lambda1728 */
obj_t BGl_z62lambda1728z62zz__libuv_typesz00(obj_t BgL_envz00_2268, obj_t BgL_oz00_2269)
{
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2269)))->BgL_z52gcmarksheadz52);} 

}



/* &<@anonymous:1717> */
obj_t BGl_z62zc3z04anonymousza31717ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2270)
{
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1716 */
obj_t BGl_z62lambda1716z62zz__libuv_typesz00(obj_t BgL_envz00_2271, obj_t BgL_oz00_2272, obj_t BgL_vz00_2273)
{
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2272)))->BgL_z52onclosez52)=((obj_t)BgL_vz00_2273),BUNSPEC);} 

}



/* &lambda1715 */
obj_t BGl_z62lambda1715z62zz__libuv_typesz00(obj_t BgL_envz00_2274, obj_t BgL_oz00_2275)
{
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2275)))->BgL_z52onclosez52);} 

}



/* &<@anonymous:1706> */
obj_t BGl_z62zc3z04anonymousza31706ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2276)
{
{ /* Llib/uvtypes.scm 26 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1705 */
obj_t BGl_z62lambda1705z62zz__libuv_typesz00(obj_t BgL_envz00_2277, obj_t BgL_oz00_2278, obj_t BgL_vz00_2279)
{
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
 uv_handle_t * BgL_vz00_2652;
BgL_vz00_2652 = 
FOREIGN_TO_COBJ(BgL_vz00_2279); 
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2278)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_vz00_2652),BUNSPEC);} } 

}



/* &lambda1704 */
obj_t BGl_z62lambda1704z62zz__libuv_typesz00(obj_t BgL_envz00_2280, obj_t BgL_oz00_2281)
{
{ /* Llib/uvtypes.scm 26 */
return 
void_star_to_obj(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2281)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1630> */
obj_t BGl_z62zc3z04anonymousza31630ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2282, obj_t BgL_new1048z00_2283)
{
{ /* Llib/uvtypes.scm 23 */
return 
((obj_t)
((BgL_z52uvz52_bglt)BgL_new1048z00_2283));} 

}



/* &lambda1621 */
BgL_z52uvz52_bglt BGl_z62lambda1621z62zz__libuv_typesz00(obj_t BgL_envz00_2284)
{
{ /* Llib/uvtypes.scm 23 */
{ /* Llib/uvtypes.scm 23 */
 BgL_z52uvz52_bglt BgL_new1047z00_2655;
BgL_new1047z00_2655 = 
((BgL_z52uvz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52uvz52_bgl) ))); 
{ /* Llib/uvtypes.scm 23 */
 long BgL_arg1629z00_2656;
BgL_arg1629z00_2656 = 
BGL_CLASS_NUM(BGl_z52Uvz52zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1047z00_2655), BgL_arg1629z00_2656); } 
return BgL_new1047z00_2655;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2436z00zz__libuv_typesz00, BGl_z52Uvz52zz__libuv_typesz00, BGl_string2437z00zz__libuv_typesz00);} 

}



/* &%uv-init1337 */
obj_t BGl_z62z52uvzd2init1337ze2zz__libuv_typesz00(obj_t BgL_envz00_2288, obj_t BgL_oz00_2289)
{
{ /* Llib/uvtypes.scm 187 */
return 
((obj_t)
((BgL_z52uvz52_bglt)BgL_oz00_2289));} 

}



/* %uv-init */
BGL_EXPORTED_DEF obj_t BGl_z52uvzd2initz80zz__libuv_typesz00(BgL_z52uvz52_bglt BgL_oz00_4)
{
{ /* Llib/uvtypes.scm 187 */
{ /* Llib/uvtypes.scm 187 */
 obj_t BgL_method1338z00_1200;
{ /* Llib/uvtypes.scm 187 */
 obj_t BgL_res2267z00_1608;
{ /* Llib/uvtypes.scm 187 */
 long BgL_objzd2classzd2numz00_1579;
BgL_objzd2classzd2numz00_1579 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_4)); 
{ /* Llib/uvtypes.scm 187 */
 obj_t BgL_arg1798z00_1580;
BgL_arg1798z00_1580 = 
PROCEDURE_REF(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, 
(int)(((long)1))); 
{ /* Llib/uvtypes.scm 187 */
 int BgL_offsetz00_1583;
BgL_offsetz00_1583 = 
(int)(BgL_objzd2classzd2numz00_1579); 
{ /* Llib/uvtypes.scm 187 */
 long BgL_offsetz00_1584;
BgL_offsetz00_1584 = 
(
(long)(BgL_offsetz00_1583)-OBJECT_TYPE); 
{ /* Llib/uvtypes.scm 187 */
 long BgL_modz00_1585;
BgL_modz00_1585 = 
(BgL_offsetz00_1584 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/uvtypes.scm 187 */
 long BgL_restz00_1587;
BgL_restz00_1587 = 
(BgL_offsetz00_1584 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/uvtypes.scm 187 */

{ /* Llib/uvtypes.scm 187 */
 obj_t BgL_bucketz00_1589;
BgL_bucketz00_1589 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_1580),BgL_modz00_1585); 
BgL_res2267z00_1608 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1589),BgL_restz00_1587); } } } } } } } } 
BgL_method1338z00_1200 = BgL_res2267z00_1608; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1338z00_1200))(BgL_method1338z00_1200, 
((obj_t)BgL_oz00_4), BEOA);} } 

}



/* &%uv-init */
obj_t BGl_z62z52uvzd2initze2zz__libuv_typesz00(obj_t BgL_envz00_2285, obj_t BgL_oz00_2286)
{
{ /* Llib/uvtypes.scm 187 */
return 
BGl_z52uvzd2initz80zz__libuv_typesz00(
((BgL_z52uvz52_bglt)BgL_oz00_2286));} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_UvHandlez00zz__libuv_typesz00, BGl_proc2438z00zz__libuv_typesz00, BGl_string2439z00zz__libuv_typesz00);} 

}



/* &object-print-UvHandl1340 */
obj_t BGl_z62objectzd2printzd2UvHandl1340z62zz__libuv_typesz00(obj_t BgL_envz00_2291, obj_t BgL_objz00_2292, obj_t BgL_portz00_2293, obj_t BgL_printzd2slotzd2_2294)
{
{ /* Llib/uvtypes.scm 193 */
{ 
 obj_t BgL_fieldz00_2661;
{ /* Llib/uvtypes.scm 207 */
 obj_t BgL_classz00_2666;
{ /* Llib/uvtypes.scm 207 */
 long BgL_arg1801z00_2667;
{ /* Llib/uvtypes.scm 207 */
 long BgL_arg1802z00_2668;
BgL_arg1802z00_2668 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_uvhandlez00_bglt)BgL_objz00_2292))); 
BgL_arg1801z00_2667 = 
(BgL_arg1802z00_2668-OBJECT_TYPE); } 
BgL_classz00_2666 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_2667); } 
{ /* Llib/uvtypes.scm 207 */
 obj_t BgL_classzd2namezd2_2669;
BgL_classzd2namezd2_2669 = 
BGl_classzd2namezd2zz__objectz00(BgL_classz00_2666); 
{ /* Llib/uvtypes.scm 208 */
 obj_t BgL_fieldsz00_2670;
{ /* Llib/uvtypes.scm 209 */
 obj_t BgL_tmpz00_4593;
BgL_tmpz00_4593 = 
((obj_t)BgL_classz00_2666); 
BgL_fieldsz00_2670 = 
BGL_CLASS_ALL_FIELDS(BgL_tmpz00_4593); } 
{ /* Llib/uvtypes.scm 210 */

{ /* Llib/uvtypes.scm 211 */
 obj_t BgL_tmpz00_4596;
BgL_tmpz00_4596 = 
((obj_t)BgL_portz00_2293); 
bgl_display_string(BGl_string2441z00zz__libuv_typesz00, BgL_tmpz00_4596); } 
bgl_display_obj(BgL_classzd2namezd2_2669, BgL_portz00_2293); 
{ /* Llib/uvtypes.scm 213 */
 obj_t BgL_tmpz00_4600;
BgL_tmpz00_4600 = 
((obj_t)BgL_portz00_2293); 
bgl_display_string(BGl_string2442z00zz__libuv_typesz00, BgL_tmpz00_4600); } 
{ /* Llib/uvtypes.scm 214 */
 obj_t BgL_arg2251z00_2671;
{ /* Llib/uvtypes.scm 214 */
 int BgL_arg2252z00_2672;
{ /* Llib/uvtypes.scm 214 */
 int BgL_res2268z00_2673;
{ /* Llib/uvtypes.scm 182 */
 uv_handle_t * BgL_arg1345z00_2674;
BgL_arg1345z00_2674 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_objz00_2292)))->BgL_z42builtinz42); 
BgL_res2268z00_2673 = 
(int)(
(long)(BgL_arg1345z00_2674)); } 
BgL_arg2252z00_2672 = BgL_res2268z00_2673; } 
BgL_arg2251z00_2671 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg2252z00_2672), ((long)16)); } 
bgl_display_obj(BgL_arg2251z00_2671, BgL_portz00_2293); } 
{ /* Llib/uvtypes.scm 215 */
 obj_t BgL_tmpz00_4610;
BgL_tmpz00_4610 = 
((obj_t)BgL_portz00_2293); 
bgl_display_string(BGl_string2443z00zz__libuv_typesz00, BgL_tmpz00_4610); } 
if(
BGl_nilzf3zf3zz__objectz00(
((BgL_objectz00_bglt)
((BgL_uvhandlez00_bglt)BgL_objz00_2292))))
{ /* Llib/uvtypes.scm 217 */
 obj_t BgL_tmpz00_4617;
BgL_tmpz00_4617 = 
((obj_t)BgL_portz00_2293); 
return 
bgl_display_string(BGl_string2444z00zz__libuv_typesz00, BgL_tmpz00_4617);}  else 
{ 
 long BgL_iz00_2676;
BgL_iz00_2676 = ((long)0); 
BgL_loopz00_2675:
if(
(BgL_iz00_2676==
VECTOR_LENGTH(BgL_fieldsz00_2670)))
{ /* Llib/uvtypes.scm 220 */
 obj_t BgL_tmpz00_4623;
BgL_tmpz00_4623 = 
((obj_t)BgL_portz00_2293); 
return 
bgl_display_char(((unsigned char)'|'), BgL_tmpz00_4623);}  else 
{ /* Llib/uvtypes.scm 219 */
BgL_fieldz00_2661 = 
VECTOR_REF(BgL_fieldsz00_2670,BgL_iz00_2676); 
{ /* Llib/uvtypes.scm 196 */
 obj_t BgL_namez00_2662;
BgL_namez00_2662 = 
BGl_classzd2fieldzd2namez00zz__objectz00(BgL_fieldz00_2661); 
{ /* Llib/uvtypes.scm 196 */
 obj_t BgL_getzd2valuezd2_2663;
BgL_getzd2valuezd2_2663 = 
BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_2661); 
{ /* Llib/uvtypes.scm 197 */
 obj_t BgL_sz00_2664;
BgL_sz00_2664 = 
SYMBOL_TO_STRING(BgL_namez00_2662); 
{ /* Llib/uvtypes.scm 198 */

if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
BCHAR(
STRING_REF(BgL_sz00_2664, ((long)0))), 
CNST_TABLE_REF(((long)70)))))
{ /* Llib/uvtypes.scm 199 */BFALSE; }  else 
{ /* Llib/uvtypes.scm 199 */
{ /* Llib/uvtypes.scm 200 */
 obj_t BgL_tmpz00_4635;
BgL_tmpz00_4635 = 
((obj_t)BgL_portz00_2293); 
bgl_display_string(BGl_string2440z00zz__libuv_typesz00, BgL_tmpz00_4635); } 
bgl_display_obj(BgL_namez00_2662, BgL_portz00_2293); 
{ /* Llib/uvtypes.scm 202 */
 obj_t BgL_tmpz00_4639;
BgL_tmpz00_4639 = 
((obj_t)BgL_portz00_2293); 
bgl_display_char(((unsigned char)':'), BgL_tmpz00_4639); } 
{ /* Llib/uvtypes.scm 203 */
 obj_t BgL_tmpz00_4642;
BgL_tmpz00_4642 = 
((obj_t)BgL_portz00_2293); 
bgl_display_char(((unsigned char)' '), BgL_tmpz00_4642); } 
{ /* Llib/uvtypes.scm 204 */
 obj_t BgL_arg2261z00_2665;
BgL_arg2261z00_2665 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_getzd2valuezd2_2663))(BgL_getzd2valuezd2_2663, 
((obj_t)
((BgL_uvhandlez00_bglt)BgL_objz00_2292)), BEOA); 
{ /* Llib/uvtypes.scm 204 */
 obj_t BgL_tmpfunz00_4656;
BgL_tmpfunz00_4656 = 
((obj_t)BgL_printzd2slotzd2_2294); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_tmpfunz00_4656))(
((obj_t)BgL_printzd2slotzd2_2294), BgL_arg2261z00_2665, BgL_portz00_2293, BEOA); } } 
{ /* Llib/uvtypes.scm 205 */
 obj_t BgL_tmpz00_4658;
BgL_tmpz00_4658 = 
((obj_t)BgL_portz00_2293); 
bgl_display_char(((unsigned char)']'), BgL_tmpz00_4658); } } } } } } 
{ 
 long BgL_iz00_4662;
BgL_iz00_4662 = 
(BgL_iz00_2676+((long)1)); 
BgL_iz00_2676 = BgL_iz00_4662; 
goto BgL_loopz00_2675;} } } } } } } } } 

}

#ifdef __cplusplus
}
#endif
