/*===========================================================================*/
/*   (Llib/midi.scm)                                                         */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IUnix Llib/midi.scm -o objs/midi.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_midiscorez00_bgl {
   header_t header;
   obj_t widening;
   long BgL_formatz00;
   long BgL_tempoz00;
   long BgL_ppqz00;
   obj_t BgL_tracksz00;
} *BgL_midiscorez00_bglt;

typedef struct BgL_miditrackz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z52streamz52;
   struct BgL_midireaderz00_bgl * BgL_z52readerz52;
   obj_t BgL_z52closez52;
   bool_t BgL_z52eotz52;
   uint32_t BgL_z52wtickz52;
   long BgL_z52statusz52;
   int32_t BgL_lenz00;
   long BgL_tempoz00;
   obj_t BgL_ipz00;
   long BgL_startz00;
   long BgL_datastartz00;
   uint32_t BgL_wtickz00;
   long BgL_statusz00;
   bool_t BgL_eotz00;
} *BgL_miditrackz00_bglt;

typedef struct BgL_midireaderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_peekzd2bytezd2;
   obj_t BgL_readzd2bytezd2;
   obj_t BgL_readzd2int16zd2;
   obj_t BgL_readzd2int32zd2;
   obj_t BgL_readzd2intzd2;
   obj_t BgL_readzd2vlqzd2;
   obj_t BgL_readzd2charszd2;
} *BgL_midireaderz00_bglt;

typedef struct BgL_midiplayerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_errz00;
   obj_t BgL_cdelayz00;
   obj_t BgL_noteoffz00;
   obj_t BgL_noteonz00;
   obj_t BgL_aftertouchz00;
   obj_t BgL_ctrlchangez00;
   obj_t BgL_prgmchangez00;
   obj_t BgL_afterzd2touchzd2;
   obj_t BgL_pitchz00;
   obj_t BgL_sysexz00;
   obj_t BgL_metazd2seqnumzd2;
   obj_t BgL_metazd2textzd2;
   obj_t BgL_metazd2copyrightzd2;
   obj_t BgL_metazd2trackzd2;
   obj_t BgL_metazd2instrumentzd2;
   obj_t BgL_metazd2lyriczd2;
   obj_t BgL_metazd2markerzd2;
   obj_t BgL_metazd2cuezd2;
   obj_t BgL_metazd2prgmnamezd2;
   obj_t BgL_metazd2devnamezd2;
   obj_t BgL_metazd2channprefzd2;
   obj_t BgL_metazd2midiportzd2;
   obj_t BgL_metazd2eotzd2;
   obj_t BgL_metazd2tempozd2;
   obj_t BgL_metazd2smtpezd2;
   obj_t BgL_metazd2timesigzd2;
   obj_t BgL_metazd2keysigzd2;
   obj_t BgL_metazd2seqspeczd2;
} *BgL_midiplayerz00_bglt;

typedef struct BgL_midisinkz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_streamz00;
   obj_t BgL_usleepz00;
   obj_t BgL_writezd2bytezd2;
   obj_t BgL_writezd2stringzd2;
   obj_t BgL_flushz00;
} *BgL_midisinkz00_bglt;


static obj_t BGl_z62lambda2494z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2576z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2577z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(obj_t);
static long BGl_readzd2intzd2zz__multimediazd2midizd2(long, obj_t);
static obj_t BGl_z62zc3z04anonymousza32397ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_midisinkz00_bglt);
static obj_t BGl_z62lambda2584z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2585z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midisinkz00_bglt BGl_midisinkzd2nullzd2zz__multimediazd2midizd2;
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, BgL_miditrackz00_bglt, long, long, long);
static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32495ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2592z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2593z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcicmp(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62zc3z04anonymousza32488ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32594ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32586ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32578ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long);
BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_midiscorez00zz__multimediazd2midizd2 = BUNSPEC;
static BgL_miditrackz00_bglt BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
static obj_t BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2midizd2(void);
BGL_EXPORTED_DEF obj_t BGl_midiplayerz00zz__multimediazd2midizd2 = BUNSPEC;
static BgL_midiscorez00_bglt BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32587ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32579ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(obj_t, long);
static obj_t BGl_midizd2programzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(obj_t, long, obj_t);
static obj_t BGl_genericzd2initzd2zz__multimediazd2midizd2(void);
BGL_EXPORTED_DECL obj_t BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2programzd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_objectzd2initzd2zz__multimediazd2midizd2(void);
static int32_t BGl_readzd2int16zd2zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_midireaderz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
static obj_t BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, BGL_LONGLONG_T);
static obj_t BGl_z62zc3z04anonymousza32204ze3ze5zz__multimediazd2midizd2(obj_t);
static int32_t BGl_readzd2int32zd2zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62readzd2int16zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long);
static obj_t BGl_z62zc3z04anonymousza32221ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32302ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_miditrackz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midireaderzd2init1235zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL BgL_midiscorez00_bglt BGl_midiscorezd2filezd2zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62readzd2int32zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2midizd2(void);
BGL_IMPORT obj_t BGl_readzd2charzd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31251ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31252ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
static bool_t BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_midisinkz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2filezd2zz__multimediazd2midizd2(obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32411ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long);
static obj_t BGl_z62zc3z04anonymousza32242ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32404ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31254ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62readzd2vlqzb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32502ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32235ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31255ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_microseconds(void);
static obj_t BGl_z62zc3z04anonymousza32171ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32228ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31256ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt);
static obj_t BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_midiplayerz00_bglt BGl_midiplayerzd2readzd2zz__multimediazd2midizd2;
static obj_t BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2init1237zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62midiscorezd2init1231zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31257ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_midireaderz00_bglt);
static obj_t BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2202z62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2203z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32270ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32432ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static BgL_midireaderz00_bglt BGl_z62lambda2208z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31258ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2209z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2midizd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
static obj_t BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2213z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2214z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32263ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32425ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31259ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2219z62zz__multimediazd2midizd2(obj_t, obj_t);
static long BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(obj_t, long);
static BgL_midireaderz00_bglt BGl_z62lambda2300z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2220z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32531ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32523ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32256ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2306z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32418ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2226z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2307z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32159ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2227z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t create_struct(obj_t, int);
static obj_t BGl_z62midisinkzd2init1239zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2311z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2312z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32532ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32524ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31390ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2233z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32516ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2234z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midiscorez00_bglt BGl_z62lambda2154z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2316z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32249ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2317z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midiscorez00_bglt BGl_z62lambda2157z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_cnstzd2initzd2zz__multimediazd2midizd2(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2240z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2321z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2402z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32460ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2midizd2(void);
static obj_t BGl_z62lambda2241z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2322z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2403z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31391ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32355ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2163z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32509ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31375ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2164z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2326z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2327z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2247z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2409z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2248z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2169z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62readzd2intzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2410z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2331z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2170z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32291ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2332z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32453ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31392ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62zc3z04anonymousza32186ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2254z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2416z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32348ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31376ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32178ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2255z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2336z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2417z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2337z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2176z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2177z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62miditrackzd2init1233zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2500z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2501z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2261z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2423z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2262z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32284ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2424z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32446ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_midiplayerz00_bglt BGl_z62lambda2343z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2507z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2184z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2508z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midiplayerz00_bglt BGl_z62lambda2346z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_midizd2textzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62lambda2185z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2268z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, obj_t);
static obj_t BGl_z62lambda2269z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda2430z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32390ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2431z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2514z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2353z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2515z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32277ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_miditrackz00_bglt BGl_z62lambda2192z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2354z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32439ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2275z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2437z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2276z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62lambda2195z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2438z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62lambda2521z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2360z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2522z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2361z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_midireaderz00_bglt BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2;
static obj_t BGl_z62lambda2282z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2444z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2283z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32197ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2445z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2367z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2529z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2368z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2charszd2zz__r4_input_6_10_2z00(obj_t, obj_t);
static obj_t BGl_z62lambda2289z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt);
BGL_IMPORT obj_t BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62lambda2530z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32481ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31671ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2451z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2290z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2452z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32546ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32376ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62lambda2374z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2375z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2537z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2538z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2458z62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_z62lambda2297z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2459z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2;
static obj_t BGl_midizd2notezd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32571ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31672ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32474ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2381z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2382z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32539ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2544z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32369ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2545z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2465z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31389ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2466z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2388z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2389z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32564ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_midisinkz00_bglt BGl_z62lambda2552z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32467ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2472z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2473z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midisinkz00_bglt BGl_z62lambda2555z62zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_miditrackz00_bglt);
static obj_t BGl_z62lambda2395z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2396z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(obj_t, long);
static obj_t BGl_z62lambda2479z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2ignorezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, obj_t);
static obj_t BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2480z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2562z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32557ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2563z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2486z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2487z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2569z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2notezd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_z62lambda2570z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2493z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t __cnst[ 76 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3003z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3057za7, BGl_z62zc3z04anonymousza32594ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3004z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2593za7623058z00, BGl_z62lambda2593z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2filezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2f3059z00, BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3005z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2592za7623060z00, BGl_z62lambda2592z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_peekzd2bytezd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3006z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3061za7, BGl_z62zc3z04anonymousza32557ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3007z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2555za7623062z00, BGl_z62lambda2555z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3014z00zz__multimediazd2midizd2, BgL_bgl_string3014za700za7za7_3063za7, "midiscore-init1231", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3008z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2552za7623064z00, BGl_z62lambda2552z62zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3009z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3065za7, BGl_z62zc3z04anonymousza32587ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3016z00zz__multimediazd2midizd2, BgL_bgl_string3016za700za7za7_3066za7, "miditrack-init1233", 18 );
DEFINE_STRING( BGl_string3018z00zz__multimediazd2midizd2, BgL_bgl_string3018za700za7za7_3067za7, "midireader-init1235", 19 );
DEFINE_EXPORT_BGL_GENERIC( BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3068z00, BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23069z00, BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3010z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3070za7, BGl_z62zc3z04anonymousza32579ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3011z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3071za7, BGl_z62zc3z04anonymousza32532ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3012z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3072za7, BGl_z62zc3z04anonymousza32524ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3013z00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2i3073z00, BGl_z62midiscorezd2init1231zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3020z00zz__multimediazd2midizd2, BgL_bgl_string3020za700za7za7_3074za7, "midiplayer-init1237", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3015z00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3075z00, BGl_z62miditrackzd2init1233zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3022z00zz__multimediazd2midizd2, BgL_bgl_string3022za700za7za7_3076za7, "midisink-init1239", 17 );
DEFINE_STRING( BGl_string3023z00zz__multimediazd2midizd2, BgL_bgl_string3023za700za7za7_3077za7, "&midiscore-init", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3017z00zz__multimediazd2midizd2, BgL_bgl_za762midireaderza7d23078z00, BGl_z62midireaderzd2init1235zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3024z00zz__multimediazd2midizd2, BgL_bgl_string3024za700za7za7_3079za7, "&miditrack-init", 15 );
DEFINE_STRING( BGl_string3025z00zz__multimediazd2midizd2, BgL_bgl_string3025za700za7za7_3080za7, "&midireader-init", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3019z00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23081z00, BGl_z62midiplayerzd2init1237zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3026z00zz__multimediazd2midizd2, BgL_bgl_string3026za700za7za7_3082za7, "midireader", 10 );
DEFINE_STRING( BGl_string3027z00zz__multimediazd2midizd2, BgL_bgl_string3027za700za7za7_3083za7, "&midiplayer-init", 16 );
DEFINE_STRING( BGl_string3028z00zz__multimediazd2midizd2, BgL_bgl_string3028za700za7za7_3084za7, "&midisink-init", 14 );
DEFINE_STRING( BGl_string3029z00zz__multimediazd2midizd2, BgL_bgl_string3029za700za7za7_3085za7, "#() midisink flush write-string write-byte usleep stream midiplayer meta-seqspec meta-keysig meta-timesig meta-smtpe meta-tempo meta-eot meta-midiport meta-channpref meta-devname meta-prgmname meta-cue meta-marker meta-lyric meta-instrument meta-track meta-copyright meta-text meta-seqnum sysex pitch after-touch prgmchange ctrlchange aftertouch noteon noteoff cdelay err midireader read-chars read-vlq read-int read-int32 read-int16 read-byte peek-byte miditrack eot status wtick datastart start ip int32 len %status uint32 %wtick bool %eot procedure %close %reader obj %stream __multimedia-midi midiscore vector tracks ppq tempo long format string-stream #(\"C\" \"C#\" \"D\" \"D#\" \"E\" \"F\" \"F#\" \"G\" \"G#\" \"A\" \"A#\" \"B\") #(\"\" \"Acoustic Grand Piano\" \"Bright Acoustic Piano\" \"Electric Grand Piano\" \"Honky-tonk Piano\" \"Electric Piano 1\" \"Electric Piano 2\" \"Harpsichord\" \"Clavinet\" \"Celesta\" \"Glockenspiel\" \"Music Box\" \"Vibraphone\" \"Marimba\" \"Xylophone\" \"Tubular Bells\" \"Dulcimer"
"\" \"Drawbar Organ\" \"Percussive Organ\" \"Rock Organ\" \"Church Organ\" \"Reed Organ\" \"Accordion\" \"Harmonica\" \"Tango Accordion\" \"Acoustic Guitar (nylon)\" \"Acoustic Guitar (steel)\" \"Electric Guitar (jazz)\" \"Electric Guitar (clean)\" \"Electric Guitar (muted)\" \"Overdriven Guitar\" \"Distortion Guitar\" \"Guitar harmonics\" \"Acoustic Bass\" \"Electric Bass (finger)\" \"Electric Bass (pick)\" \"Fretless Bass\" \"Slap Bass 1\" \"Slap Bass 2\" \"Synth Bass 1\" \"Synth Bass 2\" \"Violin\" \"Viola\" \"Cello\" \"Contrabass\" \"Tremolo Strings\" \"Pizzicato Strings\" \"Orchestral Harp\" \"Timpani\" \"String Ensemble 1\" \"String Ensemble 2\" \"Synth Strings 1\" \"Synth Strings 2\" \"Choir Aahs\" \"Voice Oohs\" \"Synth Voice\" \"Orchestra Hit\" \"Trumpet\" \"Trombone\" \"Tuba\" \"Muted Trumpet\" \"French Horn\" \"Brass Section\" \"Synth Brass 1\" \"Synth Brass 2\" \"Soprano Sax\" \"Alto Sax\" \"Tenor Sax\" \"Baritone Sax\" \"Oboe\" \"English Horn\" \"Bassoon\" \"Clarinet\" \"Piccolo\" \"Flute\" \"Reco"
"rder\" \"Pan Flute\" \"Blown Bottle\" \"Shakuhachi\" \"Whistle\" \"Ocarina\" \"Lead 1 (square)\" \"Lead 2 (sawtooth)\" \"Lead 3 (calliope)\" \"Lead 4 (chiff)\" \"Lead 5 (charang)\" \"Lead 6 (voice)\" \"Lead 7 (fifths)\" \"Lead 8 (bass + lead)\" \"Pad 1 (new age)\" \"Pad 2 (warm)\" \"Pad 3 (polysynth)\" \"Pad 4 (choir)\" \"Pad 5 (bowed)\" \"Pad 6 (metallic)\" \"Pad 7 (halo)\" \"Pad 8 (sweep)\" \"FX 1 (rain)\" \"FX 2 (soundtrack)\" \"FX 3 (crystal)\" \"FX 4 (atmosphere)\" \"FX 5 (brightness)\" \"FX 6 (goblins)\" \"FX 7 (echoes)\" \"FX 8 (sci-fi)\" \"Sitar\" \"Banjo\" \"Shamisen\" \"Koto\" \"Kalimba\" \"Bag pipe\" \"Fiddle\" \"Shanai\" \"Tinkle Bell\" \"Agogo\" \"Steel Drums\" \"Woodblock\" \"Taiko Drum\" \"Melodic Tom\" \"Synth Drum\" \"Reverse Cymbal\" \"Guitar Fret Noise\" \"Breath Noise\" \"Seashore\" \"Bird Tweet\" \"Telephone Ring\" \"Helicopter\" \"Applause\" \"Gunshot\") #(\"Bank Select\" \"Modulation Wheel or Lever\" \"Breath Controller\" \"Undefined\" \"Foot Controller\" \"Portamento Time\" \"Data Entr"
"y MSB\" \"Channel Volume\" \"Balance\" \"Undefined\" \"Pan\" \"Expression Controller\" \"Effect Control 1\" \"Effect Control 2\" \"Undefined\" \"Undefined\" \"General Purpose Controller 1\" \"General Purpose Controller 2\" \"General Purpose Controller 3\" \"General Purpose Controller 4\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"LSB for Control 0\" \"LSB for Control 1\" \"LSB for Control 2\" \"LSB for Control 3\" \"LSB for Control 4\" \"LSB for Control 5\" \"LSB for Control 6\" \"LSB for Control 7\" \"LSB for Control 8\" \"LSB for Control 9\" \"LSB for Control 10\" \"LSB for Control 11\" \"LSB for Control 12\" \"LSB for Control 13\" \"LSB for Control 14\" \"LSB for Control 15\" \"LSB for Control 16\" \"LSB for Control 17\" \"LSB for Control 18\" \"LSB for Control 19\" \"LSB for Control 20\" \"LSB for Control 21\" \"LSB for Control 22\" \"LSB for Control 23\" \"LSB for Control 24\" \""
"LSB for Control 25\" \"LSB for Control 26\" \"LSB for Control 27\" \"LSB for Control 28\" \"LSB for Control 29\" \"LSB for Control 30\" \"LSB for Control 31\" \"Damper Pedal on/off (Sustain)\" \"Portamento On/Off\" \"Sostenuto On/Off\" \"Soft Pedal On/Off\" \"Legato Footswitch\" \"Hold 2\" \"Sound Controller 1 (default: Sound Variation)\" \"Sound Controller 2 (default: Timbre/Harmonic Intens.)\" \"Sound Controller 3 (default: Release Time)\" \"Sound Controller 4 (default: Attack Time)\" \"Sound Controller 5 (default: Brightness)\" \"Sound Controller 6 (default: Decay Time - see MMA RP-021)\" \"Sound Controller 7 (default: Vibrato Rate - see MMA RP-021)\" \"Sound Controller 8 (default: Vibrato Depth - see MMA RP-021)\" \"Sound Controller 9 (default: Vibrato Delay - see MMA RP-021)\" \"Sound Controller 10 (default undefined - see MMA RP-021)\" \"General Purpose Controller 5\" \"General Purpose Controller 6\" \"General Purpose Controller 7\" \"General Purpose Controller 8\" \"Portamento Control\" \"Undefined\" "
"\"Undefined\" \"Undefined\" \"High Resolution Velocity Prefix\" \"Undefined\" \"Undefined\" \"Effects 1 Depth\" \"Effects 2 Depth\" \"Effects 3 Depth\" \"Effects 4 Depth\" \"Effects 5 Depth\" \"Data Increment\" \"Data Decrement\" \"Non-Registered Parameter Number (NRPN)\" \"Non-Registered Parameter Number (NRPN)\" \"Registered Parameter Number (RPN)\" \"Registered Parameter Number (RPN)\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"[Channel Mode Message] All Sound Off\" \"[Channel Mode Message] Reset All Controllers\" \"[Channel Mode Message] Local Control On/Off\" \"[Channel Mode Message] All Notes Off\" \"[Channel Mode Message] Omni Mode Off (+ all notes off)\" \"[Channel Mode Message] Omni Mode On (+ all notes off)\" \"[Channel Mode Message] Mono Mode On (+ poly off, + all notes off)\" \"[Channel Mod"
"e Message] Poly Mode On (+ mono off, +all notes off)\") #(\"\" \"text\" \"copyright\" \"track\" \"instrument\" \"lyric\" \"marker\" \"cue\") ", 5730 );
BGL_IMPORT obj_t BGl_readzd2charszd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3021z00zz__multimediazd2midizd2, BgL_bgl_za762midisinkza7d2in3086z00, BGl_z62midisinkzd2init1239zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midisinkza7d2in3087z00, BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2ctrlchangezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23088z00, BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2prgmchangezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23089z00, BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2controllerzd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2contro3090z00, BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2int32zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3091z00, BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2vlqzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2vlqza7b03092za7, BGl_z62readzd2vlqzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2afterzd2touchzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23093z00, BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2vlqzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3094z00, BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiscorezd2playzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2p3095z00, BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2int32zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2int32za73096za7, BGl_z62readzd2int32zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2800z00zz__multimediazd2midizd2, BgL_bgl_string2800za700za7za7_3097za7, "invalid number of SMPTE frames per second", 41 );
DEFINE_STRING( BGl_string2801z00zz__multimediazd2midizd2, BgL_bgl_string2801za700za7za7_3098za7, "Bad header", 10 );
DEFINE_STRING( BGl_string2802z00zz__multimediazd2midizd2, BgL_bgl_string2802za700za7za7_3099za7, "MTrk", 4 );
DEFINE_STRING( BGl_string2803z00zz__multimediazd2midizd2, BgL_bgl_string2803za700za7za7_3100za7, "read-midi-mtrk", 14 );
DEFINE_STRING( BGl_string2804z00zz__multimediazd2midizd2, BgL_bgl_string2804za700za7za7_3101za7, "&read-int", 9 );
DEFINE_STRING( BGl_string2805z00zz__multimediazd2midizd2, BgL_bgl_string2805za700za7za7_3102za7, "&string-stream-peek-byte", 24 );
DEFINE_STRING( BGl_string2806z00zz__multimediazd2midizd2, BgL_bgl_string2806za700za7za7_3103za7, "struct", 6 );
DEFINE_STRING( BGl_string2807z00zz__multimediazd2midizd2, BgL_bgl_string2807za700za7za7_3104za7, "&string-stream-read-byte", 24 );
DEFINE_STRING( BGl_string2808z00zz__multimediazd2midizd2, BgL_bgl_string2808za700za7za7_3105za7, "&string-stream-read-int16", 25 );
DEFINE_STRING( BGl_string2809z00zz__multimediazd2midizd2, BgL_bgl_string2809za700za7za7_3106za7, "&string-stream-read-int32", 25 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midireaderza7d23107z00, BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2stringzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2s3108z00, BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2810z00zz__multimediazd2midizd2, BgL_bgl_string2810za700za7za7_3109za7, "&string-stream-read-int", 23 );
DEFINE_STRING( BGl_string2811z00zz__multimediazd2midizd2, BgL_bgl_string2811za700za7za7_3110za7, "&string-stream-read-chars", 25 );
DEFINE_STRING( BGl_string2812z00zz__multimediazd2midizd2, BgL_bgl_string2812za700za7za7_3111za7, "&midiplayer-cdelay", 18 );
DEFINE_STRING( BGl_string2813z00zz__multimediazd2midizd2, BgL_bgl_string2813za700za7za7_3112za7, "miditrack", 9 );
DEFINE_STRING( BGl_string2814z00zz__multimediazd2midizd2, BgL_bgl_string2814za700za7za7_3113za7, "&midiplayer-ignore", 18 );
DEFINE_STRING( BGl_string2815z00zz__multimediazd2midizd2, BgL_bgl_string2815za700za7za7_3114za7, "&midiplayer-noteoff", 19 );
DEFINE_STRING( BGl_string2816z00zz__multimediazd2midizd2, BgL_bgl_string2816za700za7za7_3115za7, "&midiplayer-noteon", 18 );
DEFINE_STRING( BGl_string2817z00zz__multimediazd2midizd2, BgL_bgl_string2817za700za7za7_3116za7, "&midiplayer-aftertouch", 22 );
DEFINE_STRING( BGl_string2818z00zz__multimediazd2midizd2, BgL_bgl_string2818za700za7za7_3117za7, "&midiplayer-ctrlchange", 22 );
DEFINE_STRING( BGl_string2819z00zz__multimediazd2midizd2, BgL_bgl_string2819za700za7za7_3118za7, "&midiplayer-prgmchange", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2int16zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3119z00, BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2820z00zz__multimediazd2midizd2, BgL_bgl_string2820za700za7za7_3120za7, "&midiplayer-after-touch", 23 );
DEFINE_STRING( BGl_string2821z00zz__multimediazd2midizd2, BgL_bgl_string2821za700za7za7_3121za7, "&midiplayer-pitch", 17 );
DEFINE_STRING( BGl_string2822z00zz__multimediazd2midizd2, BgL_bgl_string2822za700za7za7_3122za7, "&midiplayer-sysex", 17 );
DEFINE_STRING( BGl_string2823z00zz__multimediazd2midizd2, BgL_bgl_string2823za700za7za7_3123za7, "~a[~a]", 6 );
DEFINE_STRING( BGl_string2824z00zz__multimediazd2midizd2, BgL_bgl_string2824za700za7za7_3124za7, "&midi-note-name", 15 );
DEFINE_STRING( BGl_string2825z00zz__multimediazd2midizd2, BgL_bgl_string2825za700za7za7_3125za7, "unknown controller", 18 );
DEFINE_STRING( BGl_string2826z00zz__multimediazd2midizd2, BgL_bgl_string2826za700za7za7_3126za7, "&midi-controller-name", 21 );
DEFINE_STRING( BGl_string2827z00zz__multimediazd2midizd2, BgL_bgl_string2827za700za7za7_3127za7, "unknown program", 15 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2notezd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2noteza7d3128za7, BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2828z00zz__multimediazd2midizd2, BgL_bgl_string2828za700za7za7_3129za7, "&midi-program-name", 18 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2pitchzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23130z00, BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string2829z00zz__multimediazd2midizd2, BgL_bgl_string2829za700za7za7_3131za7, "&midi-program-index", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2inputzd2portzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3132z00, BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2900z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2336za7623133z00, BGl_z62lambda2336z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2901z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3134za7, BGl_z62zc3z04anonymousza32302ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2902z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2300za7623135z00, BGl_z62lambda2300z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2903z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2297za7623136z00, BGl_z62lambda2297z62zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2904z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3137za7, BGl_z62zc3z04anonymousza32355ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2905z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2354za7623138z00, BGl_z62lambda2354z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2906z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2353za7623139z00, BGl_z62lambda2353z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2907z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3140za7, BGl_z62zc3z04anonymousza32362ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2908z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2361za7623141z00, BGl_z62lambda2361z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2909z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2360za7623142z00, BGl_z62lambda2360z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2intzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2intza7b03143za7, BGl_z62readzd2intzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2bytezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3144z00, BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2910z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3145za7, BGl_z62zc3z04anonymousza32369ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2911z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2368za7623146z00, BGl_z62lambda2368z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2830z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2164za7623147z00, BGl_z62lambda2164z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2912z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2367za7623148z00, BGl_z62lambda2367z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2831z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2163za7623149z00, BGl_z62lambda2163z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2913z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3150za7, BGl_z62zc3z04anonymousza32376ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2832z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3151za7, BGl_z62zc3z04anonymousza32171ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2914z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2375za7623152z00, BGl_z62lambda2375z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2833z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2170za7623153z00, BGl_z62lambda2170z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2915z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2374za7623154z00, BGl_z62lambda2374z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2834z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2169za7623155z00, BGl_z62lambda2169z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2916z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3156za7, BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2835z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3157za7, BGl_z62zc3z04anonymousza32178ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2917z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2382za7623158z00, BGl_z62lambda2382z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2836z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2177za7623159z00, BGl_z62lambda2177z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2918z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2381za7623160z00, BGl_z62lambda2381z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2837z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2176za7623161z00, BGl_z62lambda2176z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2919z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3162za7, BGl_z62zc3z04anonymousza32390ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2838z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3163za7, BGl_z62zc3z04anonymousza32186ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2839z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2185za7623164z00, BGl_z62lambda2185z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_readzd2bytezd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2920z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2389za7623165z00, BGl_z62lambda2389z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2921z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2388za7623166z00, BGl_z62lambda2388z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2840z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2184za7623167z00, BGl_z62lambda2184z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2922z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3168za7, BGl_z62zc3z04anonymousza32397ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2841z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3169za7, BGl_z62zc3z04anonymousza32159ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2923z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2396za7623170z00, BGl_z62lambda2396z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2842z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2157za7623171z00, BGl_z62lambda2157z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2761z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3172za7, BGl_z62zc3z04anonymousza31251ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2924z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2395za7623173z00, BGl_z62lambda2395z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2843z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2154za7623174z00, BGl_z62lambda2154z62zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2762z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3175za7, BGl_z62zc3z04anonymousza31252ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2925z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3176za7, BGl_z62zc3z04anonymousza32404ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2844z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3177za7, BGl_z62zc3z04anonymousza32204ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2763z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3178za7, BGl_z62zc3z04anonymousza31253ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2noteonzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23179z00, BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2926z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2403za7623180z00, BGl_z62lambda2403z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2845z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2203za7623181z00, BGl_z62lambda2203z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2764z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3182za7, BGl_z62zc3z04anonymousza31254ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2intzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3183z00, BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2927z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2402za7623184z00, BGl_z62lambda2402z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2846z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2202za7623185z00, BGl_z62lambda2202z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2765z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3186za7, BGl_z62zc3z04anonymousza31255ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2928z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3187za7, BGl_z62zc3z04anonymousza32411ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2847z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2209za7623188z00, BGl_z62lambda2209z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2766z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3189za7, BGl_z62zc3z04anonymousza31256ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2929z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2410za7623190z00, BGl_z62lambda2410z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2848z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2208za7623191z00, BGl_z62lambda2208z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2767z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3192za7, BGl_z62zc3z04anonymousza31257ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2849z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2214za7623193z00, BGl_z62lambda2214z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2768z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3194za7, BGl_z62zc3z04anonymousza31258ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2769z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3195za7, BGl_z62zc3z04anonymousza31259ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2776z00zz__multimediazd2midizd2, BgL_bgl_string2776za700za7za7_3196za7, "midiscore-file", 14 );
DEFINE_STRING( BGl_string2777z00zz__multimediazd2midizd2, BgL_bgl_string2777za700za7za7_3197za7, "format not supported", 20 );
DEFINE_STRING( BGl_string2778z00zz__multimediazd2midizd2, BgL_bgl_string2778za700za7za7_3198za7, "midiplayer-file", 15 );
DEFINE_STRING( BGl_string2779z00zz__multimediazd2midizd2, BgL_bgl_string2779za700za7za7_3199za7, "bad midi format", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2int16zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2int16za73200za7, BGl_z62readzd2int16zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2930z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2409za7623201z00, BGl_z62lambda2409z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2931z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3202za7, BGl_z62zc3z04anonymousza32418ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2850z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2213za7623203z00, BGl_z62lambda2213z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2932z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2417za7623204z00, BGl_z62lambda2417z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2851z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3205za7, BGl_z62zc3z04anonymousza32221ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2770z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3206za7, BGl_z62zc3z04anonymousza31375ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2933z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2416za7623207z00, BGl_z62lambda2416z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2852z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2220za7623208z00, BGl_z62lambda2220z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2771z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3209za7, BGl_z62zc3z04anonymousza31376ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2934z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3210za7, BGl_z62zc3z04anonymousza32425ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2853z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2219za7623211z00, BGl_z62lambda2219z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2772z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3212za7, BGl_z62zc3z04anonymousza31389ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2935z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2424za7623213z00, BGl_z62lambda2424z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2854z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3214za7, BGl_z62zc3z04anonymousza32228ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2773z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3215za7, BGl_z62zc3z04anonymousza31390ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2936z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2423za7623216z00, BGl_z62lambda2423z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2855z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2227za7623217z00, BGl_z62lambda2227z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2780z00zz__multimediazd2midizd2, BgL_bgl_string2780za700za7za7_3218za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/multimedia/src/Llib/midi.scm", 68 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2774z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3219za7, BGl_z62zc3z04anonymousza31391ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2937z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3220za7, BGl_z62zc3z04anonymousza32432ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2856z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2226za7623221z00, BGl_z62lambda2226z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2781z00zz__multimediazd2midizd2, BgL_bgl_string2781za700za7za7_3222za7, "&midiscore-file", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2775z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3223za7, BGl_z62zc3z04anonymousza31392ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2938z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2431za7623224z00, BGl_z62lambda2431z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2857z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3225za7, BGl_z62zc3z04anonymousza32235ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2782z00zz__multimediazd2midizd2, BgL_bgl_string2782za700za7za7_3226za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2939z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2430za7623227z00, BGl_z62lambda2430z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2858z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2234za7623228z00, BGl_z62lambda2234z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2783z00zz__multimediazd2midizd2, BgL_bgl_string2783za700za7za7_3229za7, "&miditrack-input-port", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2859z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2233za7623230z00, BGl_z62lambda2233z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2784z00zz__multimediazd2midizd2, BgL_bgl_string2784za700za7za7_3231za7, "input-port", 10 );
DEFINE_STRING( BGl_string2785z00zz__multimediazd2midizd2, BgL_bgl_string2785za700za7za7_3232za7, "bint", 4 );
DEFINE_STRING( BGl_string2786z00zz__multimediazd2midizd2, BgL_bgl_string2786za700za7za7_3233za7, "&miditrack-file", 15 );
DEFINE_STRING( BGl_string2788z00zz__multimediazd2midizd2, BgL_bgl_string2788za700za7za7_3234za7, "&miditrack-string", 17 );
DEFINE_STRING( BGl_string2789z00zz__multimediazd2midizd2, BgL_bgl_string2789za700za7za7_3235za7, "midiscore-play", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2940z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3236za7, BGl_z62zc3z04anonymousza32439ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2941z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2438za7623237z00, BGl_z62lambda2438z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2860z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3238za7, BGl_z62zc3z04anonymousza32242ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2942z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2437za7623239z00, BGl_z62lambda2437z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2861z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2241za7623240z00, BGl_z62lambda2241z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2943z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3241za7, BGl_z62zc3z04anonymousza32446ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2862z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2240za7623242z00, BGl_z62lambda2240z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2944z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2445za7623243z00, BGl_z62lambda2445z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2863z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3244za7, BGl_z62zc3z04anonymousza32249ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23245z00, BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2945z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2444za7623246z00, BGl_z62lambda2444z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2864z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2248za7623247z00, BGl_z62lambda2248z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2946z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3248za7, BGl_z62zc3z04anonymousza32453ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2865z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2247za7623249z00, BGl_z62lambda2247z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2790z00zz__multimediazd2midizd2, BgL_bgl_string2790za700za7za7_3250za7, "&midiscore-play", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2947z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2452za7623251z00, BGl_z62lambda2452z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2866z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3252za7, BGl_z62zc3z04anonymousza32256ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2791z00zz__multimediazd2midizd2, BgL_bgl_string2791za700za7za7_3253za7, "midiscore", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2948z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2451za7623254z00, BGl_z62lambda2451z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2867z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2255za7623255z00, BGl_z62lambda2255z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2792z00zz__multimediazd2midizd2, BgL_bgl_string2792za700za7za7_3256za7, "midiplayer", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2949z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3257za7, BGl_z62zc3z04anonymousza32460ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2868z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2254za7623258z00, BGl_z62lambda2254z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2793z00zz__multimediazd2midizd2, BgL_bgl_string2793za700za7za7_3259za7, "midisink", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2787z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3260za7, BGl_z62zc3z04anonymousza31672ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2869z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3261za7, BGl_z62zc3z04anonymousza32263ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2794z00zz__multimediazd2midizd2, BgL_bgl_string2794za700za7za7_3262za7, "~x:~x", 5 );
DEFINE_STRING( BGl_string2795z00zz__multimediazd2midizd2, BgL_bgl_string2795za700za7za7_3263za7, "midiplay", 8 );
DEFINE_STRING( BGl_string2796z00zz__multimediazd2midizd2, BgL_bgl_string2796za700za7za7_3264za7, "illegal meta-event", 18 );
BGL_IMPORT obj_t BGl_sleepzd2envzd2zz__osz00;
DEFINE_STRING( BGl_string2797z00zz__multimediazd2midizd2, BgL_bgl_string2797za700za7za7_3265za7, "illegal event", 13 );
DEFINE_STRING( BGl_string2798z00zz__multimediazd2midizd2, BgL_bgl_string2798za700za7za7_3266za7, "MThd", 4 );
DEFINE_STRING( BGl_string2799z00zz__multimediazd2midizd2, BgL_bgl_string2799za700za7za7_3267za7, "read-midi-mthd", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2950z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2459za7623268z00, BGl_z62lambda2459z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2951z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2458za7623269z00, BGl_z62lambda2458z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2870z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2262za7623270z00, BGl_z62lambda2262z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2952z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3271za7, BGl_z62zc3z04anonymousza32467ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2871z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2261za7623272z00, BGl_z62lambda2261z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2953z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2466za7623273z00, BGl_z62lambda2466z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2872z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3274za7, BGl_z62zc3z04anonymousza32270ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2954z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2465za7623275z00, BGl_z62lambda2465z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2873z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2269za7623276z00, BGl_z62lambda2269z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_flushzd2outputzd2portzd2envzd2zz__r4_ports_6_10_1z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2955z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3277za7, BGl_z62zc3z04anonymousza32474ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2874z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2268za7623278z00, BGl_z62lambda2268z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2956z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2473za7623279z00, BGl_z62lambda2473z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2875z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3280za7, BGl_z62zc3z04anonymousza32277ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2957z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2472za7623281z00, BGl_z62lambda2472z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2876z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2276za7623282z00, BGl_z62lambda2276z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2958z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3283za7, BGl_z62zc3z04anonymousza32481ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2877z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2275za7623284z00, BGl_z62lambda2275z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2959z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2480za7623285z00, BGl_z62lambda2480z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2878z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3286za7, BGl_z62zc3z04anonymousza32284ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2879z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2283za7623287z00, BGl_z62lambda2283z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2960z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2479za7623288z00, BGl_z62lambda2479z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2961z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3289za7, BGl_z62zc3z04anonymousza32488ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2880z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2282za7623290z00, BGl_z62lambda2282z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2962z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2487za7623291z00, BGl_z62lambda2487z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2881z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3292za7, BGl_z62zc3z04anonymousza32291ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2963z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2486za7623293z00, BGl_z62lambda2486z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2882z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2290za7623294z00, BGl_z62lambda2290z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2964z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3295za7, BGl_z62zc3z04anonymousza32495ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2883z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2289za7623296z00, BGl_z62lambda2289z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2965z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2494za7623297z00, BGl_z62lambda2494z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2884z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3298za7, BGl_z62zc3z04anonymousza32197ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2966z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2493za7623299z00, BGl_z62lambda2493z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2885z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2195za7623300z00, BGl_z62lambda2195z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2967z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3301za7, BGl_z62zc3z04anonymousza32502ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2886z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2192za7623302z00, BGl_z62lambda2192z62zz__multimediazd2midizd2, 0L, BUNSPEC, 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2968z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2501za7623303z00, BGl_z62lambda2501z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2887z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2307za7623304z00, BGl_z62lambda2307z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2969z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2500za7623305z00, BGl_z62lambda2500z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2888z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2306za7623306z00, BGl_z62lambda2306z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2889z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2312za7623307z00, BGl_z62lambda2312z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_errorzd2envzd2zz__errorz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2970z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3308za7, BGl_z62zc3z04anonymousza32509ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2971z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2508za7623309z00, BGl_z62lambda2508z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2890z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2311za7623310z00, BGl_z62lambda2311z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2972z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2507za7623311z00, BGl_z62lambda2507z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2891z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2317za7623312z00, BGl_z62lambda2317z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2973z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3313za7, BGl_z62zc3z04anonymousza32516ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2892z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2316za7623314z00, BGl_z62lambda2316z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2974z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2515za7623315z00, BGl_z62lambda2515z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2893z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2322za7623316z00, BGl_z62lambda2322z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2975z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2514za7623317z00, BGl_z62lambda2514z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2894z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2321za7623318z00, BGl_z62lambda2321z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2976z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3319za7, BGl_z62zc3z04anonymousza32523ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2895z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2327za7623320z00, BGl_z62lambda2327z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2977z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2522za7623321z00, BGl_z62lambda2522z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2896z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2326za7623322z00, BGl_z62lambda2326z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2978z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2521za7623323z00, BGl_z62lambda2521z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2897z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2332za7623324z00, BGl_z62lambda2332z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2979z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3325za7, BGl_z62zc3z04anonymousza32531ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2898z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2331za7623326z00, BGl_z62lambda2331z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2899z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2337za7623327z00, BGl_z62lambda2337z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2980z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2530za7623328z00, BGl_z62lambda2530z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2981z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2529za7623329z00, BGl_z62lambda2529z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2982z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3330za7, BGl_z62zc3z04anonymousza32539ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2983z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2538za7623331z00, BGl_z62lambda2538z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2984z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2537za7623332z00, BGl_z62lambda2537z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2985z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3333za7, BGl_z62zc3z04anonymousza32546ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2986z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2545za7623334z00, BGl_z62lambda2545z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2987z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2544za7623335z00, BGl_z62lambda2544z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2988z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3336za7, BGl_z62zc3z04anonymousza32348ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2989z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2346za7623337z00, BGl_z62lambda2346z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2990z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2343za7623338z00, BGl_z62lambda2343z62zz__multimediazd2midizd2, 0L, BUNSPEC, 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2991z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3339za7, BGl_z62zc3z04anonymousza32564ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2992z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2563za7623340z00, BGl_z62lambda2563z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2993z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2562za7623341z00, BGl_z62lambda2562z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2994z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3342za7, BGl_z62zc3z04anonymousza32571ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2995z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2570za7623343z00, BGl_z62lambda2570z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2996z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2569za7623344z00, BGl_z62lambda2569z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2997z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3345za7, BGl_z62zc3z04anonymousza32578ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2998z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2577za7623346z00, BGl_z62lambda2577z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2999z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2576za7623347z00, BGl_z62lambda2576z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiscorezd2filezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2f3348z00, BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2programzd2indexzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2progra3349z00, BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2noteoffzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23350z00, BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2i3351z00, BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_closezd2inputzd2portzd2envzd2zz__r4_ports_6_10_1z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2sysexzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23352z00, BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2cdelayzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23353z00, BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2programzd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2progra3354z00, BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2charszd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3355z00, BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2aftertouchzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23356z00, BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2peekzd2bytezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3357z00, BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3000z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3358za7, BGl_z62zc3z04anonymousza32586ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3001z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2585za7623359z00, BGl_z62lambda2585z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3002z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2584za7623360z00, BGl_z62lambda2584z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_midisinkzd2nullzd2zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiscorez00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiplayerz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2programzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_miditrackz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midisinkz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiplayerzd2readzd2zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2textzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2notezd2namesz00zz__multimediazd2midizd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2midizd2(long BgL_checksumz00_5127, char * BgL_fromz00_5128)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2midizd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2(); 
BGl_cnstzd2initzd2zz__multimediazd2midizd2(); 
BGl_objectzd2initzd2zz__multimediazd2midizd2(); 
BGl_genericzd2initzd2zz__multimediazd2midizd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2midizd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2(void)
{
{ /* Llib/midi.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__multimedia-midi"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2midizd2(void)
{
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 15 */
 obj_t BgL_cportz00_3814;
{ /* Llib/midi.scm 15 */
 obj_t BgL_stringz00_3821;
BgL_stringz00_3821 = BGl_string3029z00zz__multimediazd2midizd2; 
{ /* Llib/midi.scm 15 */
 obj_t BgL_startz00_3822;
BgL_startz00_3822 = 
BINT(((long)0)); 
{ /* Llib/midi.scm 15 */
 obj_t BgL_endz00_3823;
BgL_endz00_3823 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_3821))); 
{ /* Llib/midi.scm 15 */

BgL_cportz00_3814 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_3821, BgL_startz00_3822, BgL_endz00_3823); } } } } 
{ 
 long BgL_iz00_3815;
BgL_iz00_3815 = ((long)75); 
BgL_loopz00_3816:
if(
(BgL_iz00_3815==((long)-1)))
{ /* Llib/midi.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 15 */
 obj_t BgL_arg3030z00_3817;
{ /* Llib/midi.scm 15 */

{ /* Llib/midi.scm 15 */
 obj_t BgL_locationz00_3819;
BgL_locationz00_3819 = 
BBOOL(((bool_t)0)); 
{ /* Llib/midi.scm 15 */

BgL_arg3030z00_3817 = 
BGl_readz00zz__readerz00(BgL_cportz00_3814, BgL_locationz00_3819); } } } 
{ /* Llib/midi.scm 15 */
 int BgL_tmpz00_5166;
BgL_tmpz00_5166 = 
(int)(BgL_iz00_3815); 
CNST_TABLE_SET(BgL_tmpz00_5166, BgL_arg3030z00_3817); } } 
{ /* Llib/midi.scm 15 */
 int BgL_auxz00_3820;
BgL_auxz00_3820 = 
(int)(
(BgL_iz00_3815-((long)1))); 
{ 
 long BgL_iz00_5171;
BgL_iz00_5171 = 
(long)(BgL_auxz00_3820); 
BgL_iz00_3815 = BgL_iz00_5171; 
goto BgL_loopz00_3816;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2midizd2(void)
{
{ /* Llib/midi.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2midizd2(void)
{
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 133 */
 BgL_midireaderz00_bglt BgL_new1120z00_143;
{ /* Llib/midi.scm 134 */
 BgL_midireaderz00_bglt BgL_new1119z00_145;
BgL_new1119z00_145 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 134 */
 long BgL_arg1246z00_146;
BgL_arg1246z00_146 = 
BGL_CLASS_NUM(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_145), BgL_arg1246z00_146); } 
BgL_new1120z00_143 = BgL_new1119z00_145; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_peekzd2bytezd2)=((obj_t)BGl_peekzd2bytezd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_readzd2bytezd2)=((obj_t)BGl_readzd2bytezd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_readzd2int16zd2)=((obj_t)BGl_readzd2int16zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_readzd2int32zd2)=((obj_t)BGl_readzd2int32zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_readzd2intzd2)=((obj_t)BGl_readzd2intzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_readzd2vlqzd2)=((obj_t)BGl_readzd2vlqzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_readzd2charszd2)=((obj_t)BGl_readzd2charszd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
{ /* Llib/midi.scm 133 */
 obj_t BgL_fun1241z00_144;
BgL_fun1241z00_144 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1241z00_144))(BgL_fun1241z00_144, 
((obj_t)BgL_new1120z00_143), BEOA); } 
BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2 = BgL_new1120z00_143; } 
{ /* Llib/midi.scm 146 */
 BgL_midireaderz00_bglt BgL_new1122z00_147;
{ /* Llib/midi.scm 147 */
 BgL_midireaderz00_bglt BgL_new1121z00_149;
BgL_new1121z00_149 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 147 */
 long BgL_arg1248z00_150;
BgL_arg1248z00_150 = 
BGL_CLASS_NUM(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_149), BgL_arg1248z00_150); } 
BgL_new1122z00_147 = BgL_new1121z00_149; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_peekzd2bytezd2)=((obj_t)BGl_stringzd2streamzd2peekzd2bytezd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_readzd2bytezd2)=((obj_t)BGl_stringzd2streamzd2readzd2bytezd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_readzd2int16zd2)=((obj_t)BGl_stringzd2streamzd2readzd2int16zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_readzd2int32zd2)=((obj_t)BGl_stringzd2streamzd2readzd2int32zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_readzd2intzd2)=((obj_t)BGl_stringzd2streamzd2readzd2intzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_readzd2vlqzd2)=((obj_t)BGl_stringzd2streamzd2readzd2vlqzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_readzd2charszd2)=((obj_t)BGl_stringzd2streamzd2readzd2charszd2envz00zz__multimediazd2midizd2),BUNSPEC); 
{ /* Llib/midi.scm 146 */
 obj_t BgL_fun1247z00_148;
BgL_fun1247z00_148 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1247z00_148))(BgL_fun1247z00_148, 
((obj_t)BgL_new1122z00_147), BEOA); } 
BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2 = BgL_new1122z00_147; } 
{ /* Llib/midi.scm 159 */
 BgL_midiplayerz00_bglt BgL_new1124z00_151;
{ /* Llib/midi.scm 159 */
 BgL_midiplayerz00_bglt BgL_new1123z00_264;
BgL_new1123z00_264 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 159 */
 long BgL_arg1388z00_265;
BgL_arg1388z00_265 = 
BGL_CLASS_NUM(BGl_midiplayerz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1123z00_264), BgL_arg1388z00_265); } 
BgL_new1124z00_151 = BgL_new1123z00_264; } 
{ 
 obj_t BgL_auxz00_5212;
{ /* Llib/midi.scm 159 */
 obj_t BgL_arg1249z00_152;
{ /* Llib/midi.scm 159 */
 obj_t BgL_arg1250z00_153;
{ /* Llib/midi.scm 159 */
 obj_t BgL_classz00_1871;
BgL_classz00_1871 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1250z00_153 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1871); } 
BgL_arg1249z00_152 = 
VECTOR_REF(BgL_arg1250z00_153,((long)0)); } 
BgL_auxz00_5212 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1249z00_152); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_errz00)=((obj_t)BgL_auxz00_5212),BUNSPEC); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_cdelayz00)=((obj_t)BGl_proc2761z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_noteoffz00)=((obj_t)BGl_proc2762z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_noteonz00)=((obj_t)BGl_proc2763z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_aftertouchz00)=((obj_t)BGl_proc2764z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_ctrlchangez00)=((obj_t)BGl_proc2765z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_prgmchangez00)=((obj_t)BGl_proc2766z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_afterzd2touchzd2)=((obj_t)BGl_proc2767z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_pitchz00)=((obj_t)BGl_proc2768z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_sysexz00)=((obj_t)BGl_proc2769z00zz__multimediazd2midizd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5226;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1280z00_214;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1285z00_215;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1873;
BgL_classz00_1873 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1285z00_215 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1873); } 
BgL_arg1280z00_214 = 
VECTOR_REF(BgL_arg1285z00_215,((long)10)); } 
BgL_auxz00_5226 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1280z00_214); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2seqnumzd2)=((obj_t)BgL_auxz00_5226),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5231;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1288z00_216;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1289z00_217;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1875;
BgL_classz00_1875 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1289z00_217 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1875); } 
BgL_arg1288z00_216 = 
VECTOR_REF(BgL_arg1289z00_217,((long)11)); } 
BgL_auxz00_5231 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1288z00_216); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2textzd2)=((obj_t)BgL_auxz00_5231),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5236;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1330z00_218;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1331z00_219;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1877;
BgL_classz00_1877 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1331z00_219 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1877); } 
BgL_arg1330z00_218 = 
VECTOR_REF(BgL_arg1331z00_219,((long)12)); } 
BgL_auxz00_5236 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1330z00_218); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2copyrightzd2)=((obj_t)BgL_auxz00_5236),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5241;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1332z00_220;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1333z00_221;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1879;
BgL_classz00_1879 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1333z00_221 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1879); } 
BgL_arg1332z00_220 = 
VECTOR_REF(BgL_arg1333z00_221,((long)13)); } 
BgL_auxz00_5241 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1332z00_220); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2trackzd2)=((obj_t)BgL_auxz00_5241),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5246;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1336z00_222;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1337z00_223;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1881;
BgL_classz00_1881 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1337z00_223 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1881); } 
BgL_arg1336z00_222 = 
VECTOR_REF(BgL_arg1337z00_223,((long)14)); } 
BgL_auxz00_5246 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1336z00_222); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2instrumentzd2)=((obj_t)BgL_auxz00_5246),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5251;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1338z00_224;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1339z00_225;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1883;
BgL_classz00_1883 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1339z00_225 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1883); } 
BgL_arg1338z00_224 = 
VECTOR_REF(BgL_arg1339z00_225,((long)15)); } 
BgL_auxz00_5251 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1338z00_224); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2lyriczd2)=((obj_t)BgL_auxz00_5251),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5256;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1340z00_226;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1342z00_227;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1885;
BgL_classz00_1885 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1342z00_227 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1885); } 
BgL_arg1340z00_226 = 
VECTOR_REF(BgL_arg1342z00_227,((long)16)); } 
BgL_auxz00_5256 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1340z00_226); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2markerzd2)=((obj_t)BgL_auxz00_5256),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5261;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1344z00_228;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1345z00_229;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1887;
BgL_classz00_1887 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1345z00_229 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1887); } 
BgL_arg1344z00_228 = 
VECTOR_REF(BgL_arg1345z00_229,((long)17)); } 
BgL_auxz00_5261 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1344z00_228); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2cuezd2)=((obj_t)BgL_auxz00_5261),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5266;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1351z00_230;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1352z00_231;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1889;
BgL_classz00_1889 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1352z00_231 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1889); } 
BgL_arg1351z00_230 = 
VECTOR_REF(BgL_arg1352z00_231,((long)18)); } 
BgL_auxz00_5266 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1351z00_230); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2prgmnamezd2)=((obj_t)BgL_auxz00_5266),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5271;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1354z00_232;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1355z00_233;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1891;
BgL_classz00_1891 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1355z00_233 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1891); } 
BgL_arg1354z00_232 = 
VECTOR_REF(BgL_arg1355z00_233,((long)19)); } 
BgL_auxz00_5271 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1354z00_232); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2devnamezd2)=((obj_t)BgL_auxz00_5271),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5276;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1357z00_234;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1358z00_235;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1893;
BgL_classz00_1893 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1358z00_235 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1893); } 
BgL_arg1357z00_234 = 
VECTOR_REF(BgL_arg1358z00_235,((long)20)); } 
BgL_auxz00_5276 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1357z00_234); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2channprefzd2)=((obj_t)BgL_auxz00_5276),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5281;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1360z00_236;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1361z00_237;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1895;
BgL_classz00_1895 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1361z00_237 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1895); } 
BgL_arg1360z00_236 = 
VECTOR_REF(BgL_arg1361z00_237,((long)21)); } 
BgL_auxz00_5281 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1360z00_236); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2midiportzd2)=((obj_t)BgL_auxz00_5281),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5286;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1363z00_238;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1364z00_239;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1897;
BgL_classz00_1897 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1364z00_239 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1897); } 
BgL_arg1363z00_238 = 
VECTOR_REF(BgL_arg1364z00_239,((long)22)); } 
BgL_auxz00_5286 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1363z00_238); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2eotzd2)=((obj_t)BgL_auxz00_5286),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5291;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1365z00_240;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1374z00_241;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1899;
BgL_classz00_1899 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1374z00_241 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1899); } 
BgL_arg1365z00_240 = 
VECTOR_REF(BgL_arg1374z00_241,((long)23)); } 
BgL_auxz00_5291 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1365z00_240); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2tempozd2)=((obj_t)BgL_auxz00_5291),BUNSPEC); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2smtpezd2)=((obj_t)BGl_proc2770z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2timesigzd2)=((obj_t)BGl_proc2771z00zz__multimediazd2midizd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5298;
{ /* Llib/midi.scm 83 */
 obj_t BgL_arg1377z00_259;
{ /* Llib/midi.scm 83 */
 obj_t BgL_arg1380z00_260;
{ /* Llib/midi.scm 83 */
 obj_t BgL_classz00_1901;
BgL_classz00_1901 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1380z00_260 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1901); } 
BgL_arg1377z00_259 = 
VECTOR_REF(BgL_arg1380z00_260,((long)26)); } 
BgL_auxz00_5298 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1377z00_259); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2keysigzd2)=((obj_t)BgL_auxz00_5298),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5303;
{ /* Llib/midi.scm 83 */
 obj_t BgL_arg1384z00_261;
{ /* Llib/midi.scm 83 */
 obj_t BgL_arg1385z00_262;
{ /* Llib/midi.scm 83 */
 obj_t BgL_classz00_1903;
BgL_classz00_1903 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1385z00_262 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1903); } 
BgL_arg1384z00_261 = 
VECTOR_REF(BgL_arg1385z00_262,((long)27)); } 
BgL_auxz00_5303 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1384z00_261); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2seqspeczd2)=((obj_t)BgL_auxz00_5303),BUNSPEC); } 
{ /* Llib/midi.scm 159 */
 obj_t BgL_fun1386z00_263;
BgL_fun1386z00_263 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiplayerz00zz__multimediazd2midizd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1386z00_263))(BgL_fun1386z00_263, 
((obj_t)BgL_new1124z00_151), BEOA); } 
BGl_midiplayerzd2readzd2zz__multimediazd2midizd2 = BgL_new1124z00_151; } 
{ /* Llib/midi.scm 174 */
 BgL_midisinkz00_bglt BgL_new1126z00_266;
{ /* Llib/midi.scm 174 */
 BgL_midisinkz00_bglt BgL_new1125z00_278;
BgL_new1125z00_278 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 174 */
 long BgL_arg1419z00_279;
BgL_arg1419z00_279 = 
BGL_CLASS_NUM(BGl_midisinkz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_278), BgL_arg1419z00_279); } 
BgL_new1126z00_266 = BgL_new1125z00_278; } 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1126z00_266))->BgL_streamz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1126z00_266))->BgL_usleepz00)=((obj_t)BGl_proc2772z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1126z00_266))->BgL_writezd2bytezd2)=((obj_t)BGl_proc2773z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1126z00_266))->BgL_writezd2stringzd2)=((obj_t)BGl_proc2774z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1126z00_266))->BgL_flushz00)=((obj_t)BGl_proc2775z00zz__multimediazd2midizd2),BUNSPEC); 
{ /* Llib/midi.scm 174 */
 obj_t BgL_fun1393z00_277;
BgL_fun1393z00_277 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midisinkz00zz__multimediazd2midizd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1393z00_277))(BgL_fun1393z00_277, 
((obj_t)BgL_new1126z00_266), BEOA); } 
BGl_midisinkzd2nullzd2zz__multimediazd2midizd2 = BgL_new1126z00_266; } 
BGl_midizd2textzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)0)); 
BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)1)); 
BGl_midizd2programzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)2)); 
BGl_midizd2notezd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)3)); 
return BUNSPEC;} 

}



/* &<@anonymous:1392> */
obj_t BGl_z62zc3z04anonymousza31392ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2752, obj_t BgL_opz00_2753)
{
{ /* Llib/midi.scm 178 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1391> */
obj_t BGl_z62zc3z04anonymousza31391ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2754, obj_t BgL_opz00_2755, obj_t BgL_bz00_2756)
{
{ /* Llib/midi.scm 177 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1390> */
obj_t BGl_z62zc3z04anonymousza31390ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2757, obj_t BgL_opz00_2758, obj_t BgL_bz00_2759)
{
{ /* Llib/midi.scm 176 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1389> */
obj_t BGl_z62zc3z04anonymousza31389ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2760, obj_t BgL_sz00_2761)
{
{ /* Llib/midi.scm 175 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1376> */
obj_t BGl_z62zc3z04anonymousza31376ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2762, obj_t BgL_mpz00_2763, obj_t BgL_msz00_2764, obj_t BgL_tickz00_2765, obj_t BgL_nnz00_2766, obj_t BgL_ddz00_2767, obj_t BgL_ccz00_2768, obj_t BgL_bbz00_2769)
{
{ /* Llib/midi.scm 83 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1375> */
obj_t BGl_z62zc3z04anonymousza31375ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2770, obj_t BgL_mpz00_2771, obj_t BgL_msz00_2772, obj_t BgL_tickz00_2773, obj_t BgL_hrz00_2774, obj_t BgL_mmz00_2775, obj_t BgL_sez00_2776, obj_t BgL_frz00_2777, obj_t BgL_ffz00_2778)
{
{ /* Llib/midi.scm 82 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1259> */
obj_t BGl_z62zc3z04anonymousza31259ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2779, obj_t BgL_mpz00_2780, obj_t BgL_msz00_2781, obj_t BgL_tickz00_2782, obj_t BgL_sz00_2783)
{
{ /* Llib/midi.scm 168 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1258> */
obj_t BGl_z62zc3z04anonymousza31258ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2784, obj_t BgL_mpz00_2785, obj_t BgL_msz00_2786, obj_t BgL_tickz00_2787, obj_t BgL_xz00_2788, obj_t BgL_yz00_2789, obj_t BgL_za7za7_2790)
{
{ /* Llib/midi.scm 167 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1257> */
obj_t BGl_z62zc3z04anonymousza31257ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2791, obj_t BgL_mpz00_2792, obj_t BgL_msz00_2793, obj_t BgL_tickz00_2794, obj_t BgL_xz00_2795, obj_t BgL_yz00_2796)
{
{ /* Llib/midi.scm 166 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1256> */
obj_t BGl_z62zc3z04anonymousza31256ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2797, obj_t BgL_mpz00_2798, obj_t BgL_msz00_2799, obj_t BgL_tickz00_2800, obj_t BgL_xz00_2801, obj_t BgL_yz00_2802)
{
{ /* Llib/midi.scm 165 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1255> */
obj_t BGl_z62zc3z04anonymousza31255ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2803, obj_t BgL_mpz00_2804, obj_t BgL_msz00_2805, obj_t BgL_tickz00_2806, obj_t BgL_xz00_2807, obj_t BgL_yz00_2808, obj_t BgL_za7za7_2809)
{
{ /* Llib/midi.scm 164 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1254> */
obj_t BGl_z62zc3z04anonymousza31254ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2810, obj_t BgL_mpz00_2811, obj_t BgL_msz00_2812, obj_t BgL_tickz00_2813, obj_t BgL_xz00_2814, obj_t BgL_yz00_2815, obj_t BgL_za7za7_2816)
{
{ /* Llib/midi.scm 163 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1253> */
obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2817, obj_t BgL_mpz00_2818, obj_t BgL_msz00_2819, obj_t BgL_tickz00_2820, obj_t BgL_xz00_2821, obj_t BgL_yz00_2822, obj_t BgL_za7za7_2823)
{
{ /* Llib/midi.scm 162 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1252> */
obj_t BGl_z62zc3z04anonymousza31252ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2824, obj_t BgL_mpz00_2825, obj_t BgL_msz00_2826, obj_t BgL_tickz00_2827, obj_t BgL_xz00_2828, obj_t BgL_yz00_2829, obj_t BgL_za7za7_2830)
{
{ /* Llib/midi.scm 161 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1251> */
obj_t BGl_z62zc3z04anonymousza31251ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2831, obj_t BgL_mpz00_2832, obj_t BgL_msz00_2833, obj_t BgL_tickz00_2834, obj_t BgL_trackz00_2835, obj_t BgL_ppqz00_2836, obj_t BgL_dtz00_2837, obj_t BgL_usz00_2838)
{
{ /* Llib/midi.scm 160 */
return 
BBOOL(((bool_t)0));} 

}



/* midiscore-file */
BGL_EXPORTED_DEF BgL_midiscorez00_bglt BGl_midiscorezd2filezd2zz__multimediazd2midizd2(obj_t BgL_filenamez00_13)
{
{ /* Llib/midi.scm 183 */
{ /* Llib/midi.scm 184 */
 obj_t BgL_ipz00_299;
{ /* Llib/midi.scm 184 */

BgL_ipz00_299 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_13, BTRUE, 
BINT(((long)5000000))); } 
{ /* Llib/midi.scm 185 */
 obj_t BgL_sza7za7_300;
BgL_sza7za7_300 = 
BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(BgL_ipz00_299); 
{ /* Llib/midi.scm 186 */
 obj_t BgL_fmtz00_301; obj_t BgL_tckz00_302; obj_t BgL_tempoz00_303; obj_t BgL_ppqz00_304;
{ /* Llib/midi.scm 187 */
 obj_t BgL_tmpz00_1915;
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5351;
BgL_tmpz00_5351 = 
(int)(((long)1)); 
BgL_tmpz00_1915 = 
BGL_MVALUES_VAL(BgL_tmpz00_5351); } 
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5354;
BgL_tmpz00_5354 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5354, BUNSPEC); } 
BgL_fmtz00_301 = BgL_tmpz00_1915; } 
{ /* Llib/midi.scm 187 */
 obj_t BgL_tmpz00_1916;
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5357;
BgL_tmpz00_5357 = 
(int)(((long)2)); 
BgL_tmpz00_1916 = 
BGL_MVALUES_VAL(BgL_tmpz00_5357); } 
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5360;
BgL_tmpz00_5360 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5360, BUNSPEC); } 
BgL_tckz00_302 = BgL_tmpz00_1916; } 
{ /* Llib/midi.scm 187 */
 obj_t BgL_tmpz00_1917;
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5363;
BgL_tmpz00_5363 = 
(int)(((long)3)); 
BgL_tmpz00_1917 = 
BGL_MVALUES_VAL(BgL_tmpz00_5363); } 
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5366;
BgL_tmpz00_5366 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5366, BUNSPEC); } 
BgL_tempoz00_303 = BgL_tmpz00_1917; } 
{ /* Llib/midi.scm 187 */
 obj_t BgL_tmpz00_1918;
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5369;
BgL_tmpz00_5369 = 
(int)(((long)4)); 
BgL_tmpz00_1918 = 
BGL_MVALUES_VAL(BgL_tmpz00_5369); } 
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5372;
BgL_tmpz00_5372 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5372, BUNSPEC); } 
BgL_ppqz00_304 = BgL_tmpz00_1918; } 
{ /* Llib/midi.scm 187 */
 obj_t BgL_tracksz00_305;
if(
INTEGERP(BgL_fmtz00_301))
{ /* Llib/midi.scm 187 */
switch( 
(long)CINT(BgL_fmtz00_301)) { case ((long)0) : 

{ /* Llib/midi.scm 188 */
 obj_t BgL_v1185z00_312;
BgL_v1185z00_312 = 
create_vector(((long)1)); 
{ /* Llib/midi.scm 188 */
 BgL_miditrackz00_bglt BgL_arg1587z00_313;
BgL_arg1587z00_313 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_299, 
(long)CINT(BgL_tempoz00_303)); 
VECTOR_SET(BgL_v1185z00_312,((long)0),
((obj_t)BgL_arg1587z00_313)); } 
BgL_tracksz00_305 = BgL_v1185z00_312; } break;case ((long)1) : 

BgL_tracksz00_305 = 
BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_299, 
(long)CINT(BgL_tempoz00_303), BgL_tckz00_302); break;case ((long)2) : 

BgL_tracksz00_305 = 
BGl_errorz00zz__errorz00(BGl_string2776z00zz__multimediazd2midizd2, BGl_string2777z00zz__multimediazd2midizd2, BgL_fmtz00_301); break;
default: 
BgL_tracksz00_305 = 
BGl_errorz00zz__errorz00(BGl_string2778z00zz__multimediazd2midizd2, BGl_string2779z00zz__multimediazd2midizd2, BgL_fmtz00_301); } }  else 
{ /* Llib/midi.scm 187 */
BgL_tracksz00_305 = 
BGl_errorz00zz__errorz00(BGl_string2778z00zz__multimediazd2midizd2, BGl_string2779z00zz__multimediazd2midizd2, BgL_fmtz00_301); } 
{ /* Llib/midi.scm 192 */
 BgL_midiscorez00_bglt BgL_new1130z00_306;
{ /* Llib/midi.scm 193 */
 BgL_midiscorez00_bglt BgL_new1129z00_308;
BgL_new1129z00_308 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 193 */
 long BgL_arg1586z00_309;
BgL_arg1586z00_309 = 
BGL_CLASS_NUM(BGl_midiscorez00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_308), BgL_arg1586z00_309); } 
BgL_new1130z00_306 = BgL_new1129z00_308; } 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1130z00_306))->BgL_formatz00)=((long)
(long)CINT(BgL_fmtz00_301)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1130z00_306))->BgL_tempoz00)=((long)
(long)CINT(BgL_tempoz00_303)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1130z00_306))->BgL_ppqz00)=((long)
(long)CINT(BgL_ppqz00_304)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1130z00_306))->BgL_tracksz00)=((obj_t)BgL_tracksz00_305),BUNSPEC); 
{ /* Llib/midi.scm 192 */
 obj_t BgL_fun1585z00_307;
BgL_fun1585z00_307 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiscorez00zz__multimediazd2midizd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1585z00_307))(BgL_fun1585z00_307, 
((obj_t)BgL_new1130z00_306), BEOA); } 
return BgL_new1130z00_306;} } } } } } 

}



/* &midiscore-file */
BgL_midiscorez00_bglt BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2871, obj_t BgL_filenamez00_2872)
{
{ /* Llib/midi.scm 183 */
{ /* Llib/midi.scm 184 */
 obj_t BgL_auxz00_5406;
if(
STRINGP(BgL_filenamez00_2872))
{ /* Llib/midi.scm 184 */
BgL_auxz00_5406 = BgL_filenamez00_2872
; }  else 
{ 
 obj_t BgL_auxz00_5409;
BgL_auxz00_5409 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)8489)), BGl_string2781z00zz__multimediazd2midizd2, BGl_string2782z00zz__multimediazd2midizd2, BgL_filenamez00_2872); 
FAILURE(BgL_auxz00_5409,BFALSE,BFALSE);} 
return 
BGl_midiscorezd2filezd2zz__multimediazd2midizd2(BgL_auxz00_5406);} } 

}



/* miditrack-input-port */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(obj_t BgL_ipz00_15, long BgL_tempoz00_16)
{
{ /* Llib/midi.scm 211 */
{ /* Llib/midi.scm 212 */
 BgL_miditrackz00_bglt BgL_new1134z00_330;
{ /* Llib/midi.scm 213 */
 BgL_miditrackz00_bglt BgL_new1133z00_332;
BgL_new1133z00_332 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 213 */
 long BgL_arg1605z00_333;
BgL_arg1605z00_333 = 
BGL_CLASS_NUM(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_332), BgL_arg1605z00_333); } 
BgL_new1134z00_330 = BgL_new1133z00_332; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_z52streamz52)=((obj_t)BgL_ipz00_15),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_z52closez52)=((obj_t)BGl_closezd2inputzd2portzd2envzd2zz__r4_ports_6_10_1z00),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_z52wtickz52)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
{ 
 int32_t BgL_auxz00_5424;
{ /* Llib/midi.scm 216 */
 obj_t BgL_tmpz00_5425;
BgL_tmpz00_5425 = 
BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(BgL_ipz00_15); 
BgL_auxz00_5424 = 
BGL_BINT32_TO_INT32(BgL_tmpz00_5425); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_lenz00)=((int32_t)BgL_auxz00_5424),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_tempoz00)=((long)BgL_tempoz00_16),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_ipz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_wtickz00)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_statusz00)=((long)((long)-1)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_330))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/midi.scm 212 */
 obj_t BgL_fun1604z00_331;
BgL_fun1604z00_331 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1604z00_331))(BgL_fun1604z00_331, 
((obj_t)BgL_new1134z00_330), BEOA); } 
return BgL_new1134z00_330;} } 

}



/* &miditrack-input-port */
BgL_miditrackz00_bglt BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2(obj_t BgL_envz00_2873, obj_t BgL_ipz00_2874, obj_t BgL_tempoz00_2875)
{
{ /* Llib/midi.scm 211 */
{ /* Llib/midi.scm 212 */
 long BgL_auxz00_5449; obj_t BgL_auxz00_5442;
{ /* Llib/midi.scm 212 */
 obj_t BgL_tmpz00_5450;
if(
INTEGERP(BgL_tempoz00_2875))
{ /* Llib/midi.scm 212 */
BgL_tmpz00_5450 = BgL_tempoz00_2875
; }  else 
{ 
 obj_t BgL_auxz00_5453;
BgL_auxz00_5453 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)9695)), BGl_string2783z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_tempoz00_2875); 
FAILURE(BgL_auxz00_5453,BFALSE,BFALSE);} 
BgL_auxz00_5449 = 
(long)CINT(BgL_tmpz00_5450); } 
if(
INPUT_PORTP(BgL_ipz00_2874))
{ /* Llib/midi.scm 212 */
BgL_auxz00_5442 = BgL_ipz00_2874
; }  else 
{ 
 obj_t BgL_auxz00_5445;
BgL_auxz00_5445 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)9695)), BGl_string2783z00zz__multimediazd2midizd2, BGl_string2784z00zz__multimediazd2midizd2, BgL_ipz00_2874); 
FAILURE(BgL_auxz00_5445,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_auxz00_5442, BgL_auxz00_5449);} } 

}



/* miditracks-input-port */
obj_t BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(obj_t BgL_ipz00_17, long BgL_tempoz00_18, obj_t BgL_tnumz00_19)
{
{ /* Llib/midi.scm 222 */
{ 
 obj_t BgL_ipz00_360; long BgL_tempoz00_361;
{ /* Llib/midi.scm 241 */
 BgL_miditrackz00_bglt BgL_t0z00_336;
BgL_ipz00_360 = BgL_ipz00_17; 
BgL_tempoz00_361 = BgL_tempoz00_18; 
{ /* Llib/midi.scm 225 */
 BgL_miditrackz00_bglt BgL_trackz00_363;
BgL_trackz00_363 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_360, BgL_tempoz00_361); 
{ /* Llib/midi.scm 227 */
 BgL_midireaderz00_bglt BgL_i1136z00_365;
BgL_i1136z00_365 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_363))->BgL_z52readerz52); 
{ 

BgL_zc3z04anonymousza31664ze3z87_367:
{ /* Llib/midi.scm 229 */
 obj_t BgL_fun1666z00_368;
BgL_fun1666z00_368 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1136z00_365))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 229 */
 obj_t BgL_arg1665z00_369;
BgL_arg1665z00_369 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_363))->BgL_z52streamz52); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1666z00_368))(BgL_fun1666z00_368, BgL_arg1665z00_369, BEOA); } } 
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_trackz00_363, BGl_midiplayerzd2readzd2zz__multimediazd2midizd2, BGl_midisinkzd2nullzd2zz__multimediazd2midizd2, ((long)0), ((long)0), ((long)0), 
LONG_TO_LLONG(((long)0))); 
if(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_363))->BgL_z52eotz52))
{ /* Llib/midi.scm 232 */
BgL_t0z00_336 = BgL_trackz00_363; }  else 
{ /* Llib/midi.scm 232 */
goto BgL_zc3z04anonymousza31664ze3z87_367;} } } } 
{ /* Llib/midi.scm 243 */
 obj_t BgL_filez00_338;
BgL_filez00_338 = 
INPUT_PORT_NAME(BgL_ipz00_17); 
{ /* Llib/midi.scm 244 */
 long BgL_g1138z00_339;
BgL_g1138z00_339 = 
INPUT_PORT_FILEPOS(BgL_ipz00_17); 
{ 
 long BgL_iz00_342; long BgL_posz00_343; obj_t BgL_tksz00_344;
BgL_iz00_342 = ((long)1); 
BgL_posz00_343 = BgL_g1138z00_339; 
BgL_tksz00_344 = BNIL; 
BgL_zc3z04anonymousza31606ze3z87_345:
if(
(BgL_iz00_342==
(long)CINT(BgL_tnumz00_19)))
{ /* Llib/midi.scm 248 */
 obj_t BgL_arg1617z00_347;
{ /* Llib/midi.scm 248 */
 obj_t BgL_arg1618z00_348;
BgL_arg1618z00_348 = 
bgl_reverse_bang(BgL_tksz00_344); 
BgL_arg1617z00_347 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_t0z00_336), BgL_arg1618z00_348); } 
return 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg1617z00_347);}  else 
{ /* Llib/midi.scm 249 */
 obj_t BgL_ipz00_349;
{ /* Llib/midi.scm 237 */
 obj_t BgL_portz00_1934;
{ /* Llib/midi.scm 237 */

BgL_portz00_1934 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filez00_338, BTRUE, 
BINT(((long)5000000))); } 
BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(BgL_portz00_1934, BgL_posz00_343); 
BgL_ipz00_349 = BgL_portz00_1934; } 
{ /* Llib/midi.scm 249 */
 BgL_miditrackz00_bglt BgL_tz00_350;
BgL_tz00_350 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_349, 
(((BgL_miditrackz00_bglt)COBJECT(BgL_t0z00_336))->BgL_tempoz00)); 
{ /* Llib/midi.scm 250 */

{ /* Llib/midi.scm 252 */
 long BgL_arg1619z00_352; long BgL_arg1620z00_353; obj_t BgL_arg1629z00_354;
BgL_arg1619z00_352 = 
(BgL_iz00_342+((long)1)); 
{ /* Llib/midi.scm 253 */
 long BgL_arg1631z00_355; long BgL_arg1650z00_356;
{ /* Llib/midi.scm 253 */
 obj_t BgL_tmpz00_5486;
BgL_tmpz00_5486 = 
((obj_t)BgL_ipz00_349); 
BgL_arg1631z00_355 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_5486); } 
{ /* Llib/midi.scm 253 */
 int32_t BgL_arg1651z00_357;
BgL_arg1651z00_357 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_tz00_350))->BgL_lenz00); 
{ /* Llib/midi.scm 253 */
 long BgL_arg1454z00_1941;
BgL_arg1454z00_1941 = 
(long)(BgL_arg1651z00_357); 
BgL_arg1650z00_356 = 
(long)(BgL_arg1454z00_1941); } } 
BgL_arg1620z00_353 = 
(BgL_arg1631z00_355+BgL_arg1650z00_356); } 
BgL_arg1629z00_354 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_350), BgL_tksz00_344); 
{ 
 obj_t BgL_tksz00_5497; long BgL_posz00_5496; long BgL_iz00_5495;
BgL_iz00_5495 = BgL_arg1619z00_352; 
BgL_posz00_5496 = BgL_arg1620z00_353; 
BgL_tksz00_5497 = BgL_arg1629z00_354; 
BgL_tksz00_344 = BgL_tksz00_5497; 
BgL_posz00_343 = BgL_posz00_5496; 
BgL_iz00_342 = BgL_iz00_5495; 
goto BgL_zc3z04anonymousza31606ze3z87_345;} } } } } } } } } } } 

}



/* miditrack-file */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2filezd2zz__multimediazd2midizd2(obj_t BgL_filenamez00_20, long BgL_offsetz00_21, long BgL_tempoz00_22)
{
{ /* Llib/midi.scm 259 */
{ /* Llib/midi.scm 262 */
 obj_t BgL_zc3z04anonymousza31671ze3z87_2878;
BgL_zc3z04anonymousza31671ze3z87_2878 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31671ze3ze5zz__multimediazd2midizd2, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31671ze3z87_2878, 
(int)(((long)0)), 
BINT(BgL_offsetz00_21)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31671ze3z87_2878, 
(int)(((long)1)), 
BINT(BgL_tempoz00_22)); 
return 
((BgL_miditrackz00_bglt)
BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(BgL_filenamez00_20, BgL_zc3z04anonymousza31671ze3z87_2878));} } 

}



/* &miditrack-file */
BgL_miditrackz00_bglt BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2879, obj_t BgL_filenamez00_2880, obj_t BgL_offsetz00_2881, obj_t BgL_tempoz00_2882)
{
{ /* Llib/midi.scm 259 */
{ /* Llib/midi.scm 262 */
 long BgL_auxz00_5525; long BgL_auxz00_5516; obj_t BgL_auxz00_5509;
{ /* Llib/midi.scm 262 */
 obj_t BgL_tmpz00_5526;
if(
INTEGERP(BgL_tempoz00_2882))
{ /* Llib/midi.scm 262 */
BgL_tmpz00_5526 = BgL_tempoz00_2882
; }  else 
{ 
 obj_t BgL_auxz00_5529;
BgL_auxz00_5529 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string2786z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_tempoz00_2882); 
FAILURE(BgL_auxz00_5529,BFALSE,BFALSE);} 
BgL_auxz00_5525 = 
(long)CINT(BgL_tmpz00_5526); } 
{ /* Llib/midi.scm 262 */
 obj_t BgL_tmpz00_5517;
if(
INTEGERP(BgL_offsetz00_2881))
{ /* Llib/midi.scm 262 */
BgL_tmpz00_5517 = BgL_offsetz00_2881
; }  else 
{ 
 obj_t BgL_auxz00_5520;
BgL_auxz00_5520 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string2786z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_offsetz00_2881); 
FAILURE(BgL_auxz00_5520,BFALSE,BFALSE);} 
BgL_auxz00_5516 = 
(long)CINT(BgL_tmpz00_5517); } 
if(
STRINGP(BgL_filenamez00_2880))
{ /* Llib/midi.scm 262 */
BgL_auxz00_5509 = BgL_filenamez00_2880
; }  else 
{ 
 obj_t BgL_auxz00_5512;
BgL_auxz00_5512 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string2786z00zz__multimediazd2midizd2, BGl_string2782z00zz__multimediazd2midizd2, BgL_filenamez00_2880); 
FAILURE(BgL_auxz00_5512,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2filezd2zz__multimediazd2midizd2(BgL_auxz00_5509, BgL_auxz00_5516, BgL_auxz00_5525);} } 

}



/* &<@anonymous:1671> */
obj_t BGl_z62zc3z04anonymousza31671ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2883, obj_t BgL_ipz00_2886)
{
{ /* Llib/midi.scm 261 */
{ /* Llib/midi.scm 262 */
 long BgL_offsetz00_2884; long BgL_tempoz00_2885;
BgL_offsetz00_2884 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_2883, 
(int)(((long)0)))); 
BgL_tempoz00_2885 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_2883, 
(int)(((long)1)))); 
{ 
 BgL_miditrackz00_bglt BgL_auxz00_5541;
BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(BgL_ipz00_2886, BgL_offsetz00_2884); 
BgL_auxz00_5541 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_2886, BgL_tempoz00_2885); 
return 
((obj_t)BgL_auxz00_5541);} } } 

}



/* miditrack-string */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(obj_t BgL_stringz00_23, long BgL_tempoz00_24)
{
{ /* Llib/midi.scm 268 */
{ /* Llib/midi.scm 269 */
 BgL_miditrackz00_bglt BgL_new1142z00_385;
{ /* Llib/midi.scm 270 */
 BgL_miditrackz00_bglt BgL_new1141z00_389;
BgL_new1141z00_389 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 270 */
 long BgL_arg1679z00_390;
BgL_arg1679z00_390 = 
BGL_CLASS_NUM(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_389), BgL_arg1679z00_390); } 
BgL_new1142z00_385 = BgL_new1141z00_389; } 
{ 
 obj_t BgL_auxz00_5549;
{ /* Llib/midi.scm 127 */
 obj_t BgL_newz00_1950;
BgL_newz00_1950 = 
create_struct(
CNST_TABLE_REF(((long)4)), 
(int)(((long)2))); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_5555; int BgL_tmpz00_5553;
BgL_auxz00_5555 = 
BINT(((long)0)); 
BgL_tmpz00_5553 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1950, BgL_tmpz00_5553, BgL_auxz00_5555); } 
{ /* Llib/midi.scm 127 */
 int BgL_tmpz00_5558;
BgL_tmpz00_5558 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1950, BgL_tmpz00_5558, BgL_stringz00_23); } 
BgL_auxz00_5549 = BgL_newz00_1950; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_z52streamz52)=((obj_t)BgL_auxz00_5549),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_z52closez52)=((obj_t)BGl_proc2787z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_z52wtickz52)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
{ 
 int32_t BgL_auxz00_5567;
{ /* Llib/midi.scm 273 */
 long BgL_tmpz00_5568;
BgL_tmpz00_5568 = 
STRING_LENGTH(BgL_stringz00_23); 
BgL_auxz00_5567 = 
(int32_t)(BgL_tmpz00_5568); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_lenz00)=((int32_t)BgL_auxz00_5567),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_tempoz00)=((long)BgL_tempoz00_24),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_ipz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_wtickz00)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_statusz00)=((long)((long)-1)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_385))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/midi.scm 269 */
 obj_t BgL_fun1673z00_388;
BgL_fun1673z00_388 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1673z00_388))(BgL_fun1673z00_388, 
((obj_t)BgL_new1142z00_385), BEOA); } 
return BgL_new1142z00_385;} } 

}



/* &miditrack-string */
BgL_miditrackz00_bglt BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2888, obj_t BgL_stringz00_2889, obj_t BgL_tempoz00_2890)
{
{ /* Llib/midi.scm 268 */
{ /* Llib/midi.scm 269 */
 long BgL_auxz00_5592; obj_t BgL_auxz00_5585;
{ /* Llib/midi.scm 269 */
 obj_t BgL_tmpz00_5593;
if(
INTEGERP(BgL_tempoz00_2890))
{ /* Llib/midi.scm 269 */
BgL_tmpz00_5593 = BgL_tempoz00_2890
; }  else 
{ 
 obj_t BgL_auxz00_5596;
BgL_auxz00_5596 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)11847)), BGl_string2788z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_tempoz00_2890); 
FAILURE(BgL_auxz00_5596,BFALSE,BFALSE);} 
BgL_auxz00_5592 = 
(long)CINT(BgL_tmpz00_5593); } 
if(
STRINGP(BgL_stringz00_2889))
{ /* Llib/midi.scm 269 */
BgL_auxz00_5585 = BgL_stringz00_2889
; }  else 
{ 
 obj_t BgL_auxz00_5588;
BgL_auxz00_5588 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)11847)), BGl_string2788z00zz__multimediazd2midizd2, BGl_string2782z00zz__multimediazd2midizd2, BgL_stringz00_2889); 
FAILURE(BgL_auxz00_5588,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(BgL_auxz00_5585, BgL_auxz00_5592);} } 

}



/* &<@anonymous:1672> */
obj_t BGl_z62zc3z04anonymousza31672ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2891, obj_t BgL_sz00_2892)
{
{ /* Llib/midi.scm 272 */
return 
BBOOL(((bool_t)0));} 

}



/* midiscore-play */
BGL_EXPORTED_DEF obj_t BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_25, BgL_midiplayerz00_bglt BgL_mplayerz00_26, BgL_midisinkz00_bglt BgL_msinkz00_27)
{
{ /* Llib/midi.scm 279 */
{ 

{ /* Llib/midi.scm 281 */
 long BgL_aux1145z00_393;
BgL_aux1145z00_393 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_25))->BgL_formatz00); 
switch( BgL_aux1145z00_393) { case ((long)0) : 

return 
BBOOL(
BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_mscorez00_25, BgL_mplayerz00_26, BgL_msinkz00_27));break;case ((long)1) : 

return 
BBOOL(
BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_mscorez00_25, BgL_mplayerz00_26, BgL_msinkz00_27));break;
default: 
{ /* Llib/midi.scm 284 */
 long BgL_arg1691z00_394;
BgL_arg1691z00_394 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_25))->BgL_formatz00); 
return 
BGl_errorz00zz__errorz00(BGl_string2789z00zz__multimediazd2midizd2, BGl_string2779z00zz__multimediazd2midizd2, 
BINT(BgL_arg1691z00_394));} } } } } 

}



/* &midiscore-play */
obj_t BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2893, obj_t BgL_mscorez00_2894, obj_t BgL_mplayerz00_2895, obj_t BgL_msinkz00_2896)
{
{ /* Llib/midi.scm 279 */
{ /* Llib/midi.scm 280 */
 BgL_midisinkz00_bglt BgL_auxz00_5628; BgL_midiplayerz00_bglt BgL_auxz00_5620; BgL_midiscorez00_bglt BgL_auxz00_5612;
if(
BGl_isazf3zf3zz__objectz00(BgL_msinkz00_2896, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_5628 = 
((BgL_midisinkz00_bglt)BgL_msinkz00_2896)
; }  else 
{ 
 obj_t BgL_auxz00_5632;
BgL_auxz00_5632 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string2790z00zz__multimediazd2midizd2, BGl_string2793z00zz__multimediazd2midizd2, BgL_msinkz00_2896); 
FAILURE(BgL_auxz00_5632,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mplayerz00_2895, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_5620 = 
((BgL_midiplayerz00_bglt)BgL_mplayerz00_2895)
; }  else 
{ 
 obj_t BgL_auxz00_5624;
BgL_auxz00_5624 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string2790z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_mplayerz00_2895); 
FAILURE(BgL_auxz00_5624,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mscorez00_2894, BGl_midiscorez00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_5612 = 
((BgL_midiscorez00_bglt)BgL_mscorez00_2894)
; }  else 
{ 
 obj_t BgL_auxz00_5616;
BgL_auxz00_5616 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string2790z00zz__multimediazd2midizd2, BGl_string2791z00zz__multimediazd2midizd2, BgL_mscorez00_2894); 
FAILURE(BgL_auxz00_5616,BFALSE,BFALSE);} 
return 
BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_auxz00_5612, BgL_auxz00_5620, BgL_auxz00_5628);} } 

}



/* midiscore-play0 */
bool_t BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_28, BgL_midiplayerz00_bglt BgL_mplayerz00_29, BgL_midisinkz00_bglt BgL_msinkz00_30)
{
{ /* Llib/midi.scm 289 */
{ /* Llib/midi.scm 291 */
 obj_t BgL_trackz00_396;
BgL_trackz00_396 = 
VECTOR_REF(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_28))->BgL_tracksz00),((long)0)); 
{ /* Llib/midi.scm 293 */
 BgL_midireaderz00_bglt BgL_i1148z00_398;
BgL_i1148z00_398 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_396)))->BgL_z52readerz52); 
{ 
 uint32_t BgL_tickz00_400;
BgL_tickz00_400 = (uint32_t)(0); 
BgL_zc3z04anonymousza31692ze3z87_401:
{ /* Llib/midi.scm 295 */
 BGL_LONGLONG_T BgL_t0z00_402;
BgL_t0z00_402 = 
bgl_current_microseconds(); 
{ /* Llib/midi.scm 295 */
 obj_t BgL_dtz00_403;
{ /* Llib/midi.scm 296 */
 obj_t BgL_fun1710z00_408;
BgL_fun1710z00_408 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1148z00_398))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 296 */
 obj_t BgL_arg1709z00_409;
BgL_arg1709z00_409 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_396)))->BgL_z52streamz52); 
BgL_dtz00_403 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1710z00_408))(BgL_fun1710z00_408, BgL_arg1709z00_409, BEOA); } } 
{ /* Llib/midi.scm 296 */

{ /* Llib/midi.scm 298 */
 long BgL_arg1694z00_404; long BgL_arg1702z00_405;
BgL_arg1694z00_404 = 
(long)(BgL_tickz00_400); 
BgL_arg1702z00_405 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_28))->BgL_ppqz00); 
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(
((BgL_miditrackz00_bglt)BgL_trackz00_396), BgL_mplayerz00_29, BgL_msinkz00_30, BgL_arg1694z00_404, BgL_arg1702z00_405, 
(long)CINT(BgL_dtz00_403), BgL_t0z00_402); } 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_396)))->BgL_z52eotz52))
{ /* Llib/midi.scm 299 */
return ((bool_t)0);}  else 
{ /* Llib/midi.scm 300 */
 uint32_t BgL_arg1708z00_407;
BgL_arg1708z00_407 = 
(BgL_tickz00_400+
(uint32_t)(((long)1))); 
{ 
 uint32_t BgL_tickz00_5659;
BgL_tickz00_5659 = BgL_arg1708z00_407; 
BgL_tickz00_400 = BgL_tickz00_5659; 
goto BgL_zc3z04anonymousza31692ze3z87_401;} } } } } } } } } 

}



/* midiscore-play1 */
bool_t BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_31, BgL_midiplayerz00_bglt BgL_mplayerz00_32, BgL_midisinkz00_bglt BgL_msinkz00_33)
{
{ /* Llib/midi.scm 305 */
{ /* Llib/midi.scm 307 */
 obj_t BgL_v1191z00_413;
BgL_v1191z00_413 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00); 
{ /* Llib/midi.scm 307 */

{ 
 long BgL_i1190z00_416;
BgL_i1190z00_416 = ((long)0); 
BgL_zc3z04anonymousza31712ze3z87_417:
if(
(BgL_i1190z00_416<
VECTOR_LENGTH(BgL_v1191z00_413)))
{ /* Llib/midi.scm 307 */
{ /* Llib/midi.scm 308 */
 obj_t BgL_trackz00_419;
BgL_trackz00_419 = 
VECTOR_REF(BgL_v1191z00_413,BgL_i1190z00_416); 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_419)))->BgL_z52eotz52))
{ /* Llib/midi.scm 309 */BFALSE; }  else 
{ /* Llib/midi.scm 310 */
 BgL_midireaderz00_bglt BgL_i1151z00_422;
BgL_i1151z00_422 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_419)))->BgL_z52readerz52); 
{ /* Llib/midi.scm 311 */
 obj_t BgL_dtz00_423;
{ /* Llib/midi.scm 311 */
 obj_t BgL_fun1725z00_424;
BgL_fun1725z00_424 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1151z00_422))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 311 */
 obj_t BgL_arg1724z00_425;
BgL_arg1724z00_425 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_419)))->BgL_z52streamz52); 
BgL_dtz00_423 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1725z00_424))(BgL_fun1725z00_424, BgL_arg1724z00_425, BEOA); } } 
{ 
 uint32_t BgL_auxz00_5677;
{ /* Llib/midi.scm 312 */
 long BgL_xz00_1963;
BgL_xz00_1963 = 
(long)CINT(BgL_dtz00_423); 
{ /* Llib/midi.scm 312 */
 int32_t BgL_tmpz00_5680;
BgL_tmpz00_5680 = 
(int32_t)(BgL_xz00_1963); 
BgL_auxz00_5677 = 
(uint32_t)(BgL_tmpz00_5680); } } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_419)))->BgL_z52wtickz52)=((uint32_t)BgL_auxz00_5677),BUNSPEC); } } } } 
{ 
 long BgL_i1190z00_5684;
BgL_i1190z00_5684 = 
(BgL_i1190z00_416+((long)1)); 
BgL_i1190z00_416 = BgL_i1190z00_5684; 
goto BgL_zc3z04anonymousza31712ze3z87_417;} }  else 
{ /* Llib/midi.scm 307 */((bool_t)0); } } } } 
{ /* Llib/midi.scm 314 */
 long BgL_resz00_428;
{ /* Llib/midi.scm 314 */
 BgL_miditrackz00_bglt BgL_i1152z00_457;
{ /* Llib/midi.scm 314 */
 obj_t BgL_arg1758z00_460;
BgL_arg1758z00_460 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00); 
BgL_i1152z00_457 = 
((BgL_miditrackz00_bglt)
VECTOR_REF(BgL_arg1758z00_460,((long)0))); } 
BgL_resz00_428 = 
(
(((BgL_miditrackz00_bglt)COBJECT(BgL_i1152z00_457))->BgL_tempoz00)/
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_ppqz00)); } 
{ 
 uint32_t BgL_tickz00_430;
BgL_tickz00_430 = (uint32_t)(0); 
BgL_zc3z04anonymousza31727ze3z87_431:
{ /* Llib/midi.scm 317 */
 BGL_LONGLONG_T BgL_t0z00_432;
BgL_t0z00_432 = 
bgl_current_microseconds(); 
{ /* Llib/midi.scm 317 */
 bool_t BgL_eosz00_433;
BgL_eosz00_433 = ((bool_t)1); 
{ /* Llib/midi.scm 318 */

{ /* Llib/midi.scm 319 */
 long BgL_g1154z00_434;
{ /* Llib/midi.scm 319 */
 long BgL_arg1741z00_447;
BgL_arg1741z00_447 = 
VECTOR_LENGTH(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00)); 
BgL_g1154z00_434 = 
(BgL_arg1741z00_447-((long)1)); } 
{ 
 long BgL_iz00_436;
BgL_iz00_436 = BgL_g1154z00_434; 
BgL_zc3z04anonymousza31728ze3z87_437:
if(
(BgL_iz00_436>((long)0)))
{ /* Llib/midi.scm 320 */
{ /* Llib/midi.scm 321 */
 obj_t BgL_trackz00_439;
BgL_trackz00_439 = 
VECTOR_REF(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00),BgL_iz00_436); 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_439)))->BgL_z52eotz52))
{ /* Llib/midi.scm 323 */BFALSE; }  else 
{ /* Llib/midi.scm 323 */
{ /* Llib/midi.scm 325 */
 long BgL_arg1731z00_442;
BgL_arg1731z00_442 = 
(long)(BgL_tickz00_430); 
BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(
((BgL_miditrackz00_bglt)BgL_trackz00_439), BgL_mplayerz00_32, BgL_msinkz00_33, BgL_arg1731z00_442); } 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_439)))->BgL_z52eotz52))
{ /* Llib/midi.scm 326 */BFALSE; }  else 
{ /* Llib/midi.scm 326 */
BgL_eosz00_433 = ((bool_t)0); } } } 
{ 
 long BgL_iz00_5709;
BgL_iz00_5709 = 
(BgL_iz00_436-((long)1)); 
BgL_iz00_436 = BgL_iz00_5709; 
goto BgL_zc3z04anonymousza31728ze3z87_437;} }  else 
{ /* Llib/midi.scm 320 */((bool_t)0); } } } 
if(BgL_eosz00_433)
{ /* Llib/midi.scm 328 */
return ((bool_t)0);}  else 
{ /* Llib/midi.scm 329 */
 long BgL_usz00_449;
{ /* Llib/midi.scm 329 */
 BGL_LONGLONG_T BgL_tmpz00_5712;
BgL_tmpz00_5712 = 
(
bgl_current_microseconds()-BgL_t0z00_432); 
BgL_usz00_449 = 
LLONG_TO_LONG(BgL_tmpz00_5712); } 
{ /* Llib/midi.scm 331 */
 obj_t BgL_fun1744z00_451;
BgL_fun1744z00_451 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_33))->BgL_usleepz00); 
{ /* Llib/midi.scm 331 */
 long BgL_arg1743z00_452;
BgL_arg1743z00_452 = 
(BgL_resz00_428-BgL_usz00_449); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1744z00_451))(BgL_fun1744z00_451, 
BINT(BgL_arg1743z00_452), BEOA); } } 
{ 
 uint32_t BgL_tickz00_5723;
BgL_tickz00_5723 = 
(BgL_tickz00_430+(uint32_t)(1)); 
BgL_tickz00_430 = BgL_tickz00_5723; 
goto BgL_zc3z04anonymousza31727ze3z87_431;} } } } } } } } 

}



/* miditrack-wait-event */
obj_t BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_trackz00_34, BgL_midiplayerz00_bglt BgL_mplayerz00_35, BgL_midisinkz00_bglt BgL_msinkz00_36, long BgL_tickz00_37)
{
{ /* Llib/midi.scm 337 */
{ /* Llib/midi.scm 340 */
 BgL_midireaderz00_bglt BgL_i1158z00_462;
BgL_i1158z00_462 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52readerz52); 
{ /* Llib/midi.scm 341 */
 bool_t BgL_test3384z00_5726;
{ /* Llib/midi.scm 341 */
 uint32_t BgL_n2z00_1983;
BgL_n2z00_1983 = 
(uint32_t)(BgL_tickz00_37); 
BgL_test3384z00_5726 = 
(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52wtickz52)<=BgL_n2z00_1983); } 
if(BgL_test3384z00_5726)
{ 

BgL_zc3z04anonymousza31764ze3z87_466:
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_trackz00_34, BgL_mplayerz00_35, BgL_msinkz00_36, BgL_tickz00_37, ((long)0), ((long)0), ((BGL_LONGLONG_T)0)); 
if(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52eotz52))
{ /* Llib/midi.scm 344 */
return BFALSE;}  else 
{ /* Llib/midi.scm 345 */
 obj_t BgL_dtz00_468;
{ /* Llib/midi.scm 345 */
 obj_t BgL_fun1787z00_471;
BgL_fun1787z00_471 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1158z00_462))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 345 */
 obj_t BgL_arg1786z00_472;
BgL_arg1786z00_472 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52streamz52); 
BgL_dtz00_468 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1787z00_471))(BgL_fun1787z00_471, BgL_arg1786z00_472, BEOA); } } 
if(
(
(long)CINT(BgL_dtz00_468)==((long)0)))
{ /* Llib/midi.scm 346 */
goto BgL_zc3z04anonymousza31764ze3z87_466;}  else 
{ 
 uint32_t BgL_auxz00_5742;
{ /* Llib/midi.scm 348 */
 int32_t BgL_arg1769z00_470;
{ /* Llib/midi.scm 348 */
 long BgL_xz00_1985;
BgL_xz00_1985 = 
(long)CINT(BgL_dtz00_468); 
BgL_arg1769z00_470 = 
(int32_t)(BgL_xz00_1985); } 
{ /* Llib/midi.scm 348 */
 uint32_t BgL_za71za7_1986; uint32_t BgL_za72za7_1987;
BgL_za71za7_1986 = 
(uint32_t)(BgL_tickz00_37); 
BgL_za72za7_1987 = 
(uint32_t)(BgL_arg1769z00_470); 
BgL_auxz00_5742 = 
(BgL_za71za7_1986+BgL_za72za7_1987); } } 
return 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52wtickz52)=((uint32_t)BgL_auxz00_5742),BUNSPEC);} } }  else 
{ /* Llib/midi.scm 341 */
return BFALSE;} } } } 

}



/* miditrack-play-event */
obj_t BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_trackz00_38, BgL_midiplayerz00_bglt BgL_mplayerz00_39, BgL_midisinkz00_bglt BgL_msinkz00_40, long BgL_tickz00_41, long BgL_ppqz00_42, long BgL_dtz00_43, BGL_LONGLONG_T BgL_t0z00_44)
{
{ /* Llib/midi.scm 353 */
{ /* Llib/midi.scm 357 */
 BgL_midireaderz00_bglt BgL_i1160z00_476;
BgL_i1160z00_476 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52readerz52); 
{ /* Llib/midi.scm 372 */
 obj_t BgL_statusz00_478;
{ /* Llib/midi.scm 372 */
 bool_t BgL_test3387z00_5750;
{ /* Llib/midi.scm 372 */
 obj_t BgL_arg2015z00_711;
{ /* Llib/midi.scm 372 */
 obj_t BgL_fun2017z00_712;
BgL_fun2017z00_712 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_peekzd2bytezd2); 
{ /* Llib/midi.scm 372 */
 obj_t BgL_arg2016z00_713;
BgL_arg2016z00_713 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg2015z00_711 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2017z00_712))(BgL_fun2017z00_712, BgL_arg2016z00_713, BEOA); } } 
BgL_test3387z00_5750 = 
(
(long)CINT(BgL_arg2015z00_711)<((long)128)); } 
if(BgL_test3387z00_5750)
{ /* Llib/midi.scm 372 */
BgL_statusz00_478 = 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52statusz52)); }  else 
{ /* Llib/midi.scm 374 */
 obj_t BgL_sz00_708;
{ /* Llib/midi.scm 374 */
 obj_t BgL_fun2014z00_709;
BgL_fun2014z00_709 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 374 */
 obj_t BgL_arg2013z00_710;
BgL_arg2013z00_710 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_sz00_708 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2014z00_709))(BgL_fun2014z00_709, BgL_arg2013z00_710, BEOA); } } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52statusz52)=((long)
(long)CINT(BgL_sz00_708)),BUNSPEC); 
BgL_statusz00_478 = BgL_sz00_708; } } 
if(
(
(
(long)CINT(BgL_statusz00_478) >> 
(int)(((long)4)))==((long)8)))
{ /* Llib/midi.scm 380 */
 long BgL_kkz00_481;
{ /* Llib/midi.scm 380 */
 obj_t BgL_arg1820z00_492;
{ /* Llib/midi.scm 380 */
 obj_t BgL_fun1822z00_493;
BgL_fun1822z00_493 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 380 */
 obj_t BgL_arg1821z00_494;
BgL_arg1821z00_494 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1820z00_492 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1822z00_493))(BgL_fun1822z00_493, BgL_arg1821z00_494, BEOA); } } 
BgL_kkz00_481 = 
(((long)127) & 
(long)CINT(BgL_arg1820z00_492)); } 
{ /* Llib/midi.scm 380 */
 long BgL_vvz00_482;
{ /* Llib/midi.scm 381 */
 obj_t BgL_arg1816z00_489;
{ /* Llib/midi.scm 381 */
 obj_t BgL_fun1819z00_490;
BgL_fun1819z00_490 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 381 */
 obj_t BgL_arg1817z00_491;
BgL_arg1817z00_491 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1816z00_489 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1819z00_490))(BgL_fun1819z00_490, BgL_arg1817z00_491, BEOA); } } 
BgL_vvz00_482 = 
(((long)127) & 
(long)CINT(BgL_arg1816z00_489)); } 
{ /* Llib/midi.scm 381 */

{ /* Llib/midi.scm 382 */
 obj_t BgL_fun1806z00_483;
BgL_fun1806z00_483 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 383 */
 long BgL_arg1805z00_484;
{ /* Llib/midi.scm 383 */
 BGL_LONGLONG_T BgL_tmpz00_5791;
BgL_tmpz00_5791 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1805z00_484 = 
LLONG_TO_LONG(BgL_tmpz00_5791); } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1806z00_483))(BgL_fun1806z00_483, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1805z00_484), BEOA); } } 
{ /* Llib/midi.scm 384 */
 obj_t BgL_fun1815z00_487;
BgL_fun1815z00_487 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_noteoffz00); 
{ /* Llib/midi.scm 384 */
 long BgL_arg1814z00_488;
BgL_arg1814z00_488 = 
(
(long)CINT(BgL_statusz00_478) & ((long)15)); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1815z00_487))(BgL_fun1815z00_487, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1814z00_488), 
BINT(BgL_kkz00_481), 
BINT(BgL_vvz00_482), BEOA); } } } } }  else 
{ /* Llib/midi.scm 378 */
if(
(
(
(long)CINT(BgL_statusz00_478) >> 
(int)(((long)4)))==((long)9)))
{ /* Llib/midi.scm 387 */
 long BgL_kkz00_497;
{ /* Llib/midi.scm 387 */
 obj_t BgL_arg1834z00_508;
{ /* Llib/midi.scm 387 */
 obj_t BgL_fun1836z00_509;
BgL_fun1836z00_509 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 387 */
 obj_t BgL_arg1835z00_510;
BgL_arg1835z00_510 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1834z00_508 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1836z00_509))(BgL_fun1836z00_509, BgL_arg1835z00_510, BEOA); } } 
BgL_kkz00_497 = 
(((long)127) & 
(long)CINT(BgL_arg1834z00_508)); } 
{ /* Llib/midi.scm 387 */
 long BgL_vvz00_498;
{ /* Llib/midi.scm 388 */
 obj_t BgL_arg1831z00_505;
{ /* Llib/midi.scm 388 */
 obj_t BgL_fun1833z00_506;
BgL_fun1833z00_506 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 388 */
 obj_t BgL_arg1832z00_507;
BgL_arg1832z00_507 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1831z00_505 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1833z00_506))(BgL_fun1833z00_506, BgL_arg1832z00_507, BEOA); } } 
BgL_vvz00_498 = 
(((long)127) & 
(long)CINT(BgL_arg1831z00_505)); } 
{ /* Llib/midi.scm 388 */

{ /* Llib/midi.scm 389 */
 obj_t BgL_fun1826z00_499;
BgL_fun1826z00_499 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 390 */
 long BgL_arg1825z00_500;
{ /* Llib/midi.scm 390 */
 BGL_LONGLONG_T BgL_tmpz00_5852;
BgL_tmpz00_5852 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1825z00_500 = 
LLONG_TO_LONG(BgL_tmpz00_5852); } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1826z00_499))(BgL_fun1826z00_499, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1825z00_500), BEOA); } } 
{ /* Llib/midi.scm 391 */
 obj_t BgL_fun1830z00_503;
BgL_fun1830z00_503 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_noteonz00); 
{ /* Llib/midi.scm 391 */
 long BgL_arg1829z00_504;
BgL_arg1829z00_504 = 
(
(long)CINT(BgL_statusz00_478) & ((long)15)); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1830z00_503))(BgL_fun1830z00_503, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1829z00_504), 
BINT(BgL_kkz00_497), 
BINT(BgL_vvz00_498), BEOA); } } } } }  else 
{ /* Llib/midi.scm 385 */
if(
(
(
(long)CINT(BgL_statusz00_478) >> 
(int)(((long)4)))==((long)10)))
{ /* Llib/midi.scm 394 */
 long BgL_ccz00_513;
{ /* Llib/midi.scm 394 */
 obj_t BgL_arg1849z00_524;
{ /* Llib/midi.scm 394 */
 obj_t BgL_fun1851z00_525;
BgL_fun1851z00_525 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 394 */
 obj_t BgL_arg1850z00_526;
BgL_arg1850z00_526 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1849z00_524 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1851z00_525))(BgL_fun1851z00_525, BgL_arg1850z00_526, BEOA); } } 
BgL_ccz00_513 = 
(((long)127) & 
(long)CINT(BgL_arg1849z00_524)); } 
{ /* Llib/midi.scm 394 */
 long BgL_vvz00_514;
{ /* Llib/midi.scm 395 */
 obj_t BgL_arg1846z00_521;
{ /* Llib/midi.scm 395 */
 obj_t BgL_fun1848z00_522;
BgL_fun1848z00_522 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 395 */
 obj_t BgL_arg1847z00_523;
BgL_arg1847z00_523 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1846z00_521 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1848z00_522))(BgL_fun1848z00_522, BgL_arg1847z00_523, BEOA); } } 
BgL_vvz00_514 = 
(((long)127) & 
(long)CINT(BgL_arg1846z00_521)); } 
{ /* Llib/midi.scm 395 */

{ /* Llib/midi.scm 396 */
 obj_t BgL_fun1840z00_515;
BgL_fun1840z00_515 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 397 */
 long BgL_arg1839z00_516;
{ /* Llib/midi.scm 397 */
 BGL_LONGLONG_T BgL_tmpz00_5913;
BgL_tmpz00_5913 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1839z00_516 = 
LLONG_TO_LONG(BgL_tmpz00_5913); } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1840z00_515))(BgL_fun1840z00_515, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1839z00_516), BEOA); } } 
{ /* Llib/midi.scm 398 */
 obj_t BgL_fun1845z00_519;
BgL_fun1845z00_519 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_aftertouchz00); 
{ /* Llib/midi.scm 398 */
 long BgL_arg1844z00_520;
BgL_arg1844z00_520 = 
(
(long)CINT(BgL_statusz00_478) & ((long)15)); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1845z00_519))(BgL_fun1845z00_519, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1844z00_520), 
BINT(BgL_ccz00_513), 
BINT(BgL_vvz00_514), BEOA); } } } } }  else 
{ /* Llib/midi.scm 392 */
if(
(
(
(long)CINT(BgL_statusz00_478) >> 
(int)(((long)4)))==((long)11)))
{ /* Llib/midi.scm 401 */
 long BgL_ccz00_529;
{ /* Llib/midi.scm 401 */
 obj_t BgL_arg1863z00_540;
{ /* Llib/midi.scm 401 */
 obj_t BgL_fun1865z00_541;
BgL_fun1865z00_541 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 401 */
 obj_t BgL_arg1864z00_542;
BgL_arg1864z00_542 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1863z00_540 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1865z00_541))(BgL_fun1865z00_541, BgL_arg1864z00_542, BEOA); } } 
BgL_ccz00_529 = 
(((long)127) & 
(long)CINT(BgL_arg1863z00_540)); } 
{ /* Llib/midi.scm 401 */
 long BgL_nnz00_530;
{ /* Llib/midi.scm 402 */
 obj_t BgL_arg1860z00_537;
{ /* Llib/midi.scm 402 */
 obj_t BgL_fun1862z00_538;
BgL_fun1862z00_538 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 402 */
 obj_t BgL_arg1861z00_539;
BgL_arg1861z00_539 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1860z00_537 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1862z00_538))(BgL_fun1862z00_538, BgL_arg1861z00_539, BEOA); } } 
BgL_nnz00_530 = 
(((long)127) & 
(long)CINT(BgL_arg1860z00_537)); } 
{ /* Llib/midi.scm 402 */

{ /* Llib/midi.scm 403 */
 obj_t BgL_fun1855z00_531;
BgL_fun1855z00_531 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 404 */
 long BgL_arg1854z00_532;
{ /* Llib/midi.scm 404 */
 BGL_LONGLONG_T BgL_tmpz00_5974;
BgL_tmpz00_5974 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1854z00_532 = 
LLONG_TO_LONG(BgL_tmpz00_5974); } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1855z00_531))(BgL_fun1855z00_531, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1854z00_532), BEOA); } } 
{ /* Llib/midi.scm 405 */
 obj_t BgL_fun1859z00_535;
BgL_fun1859z00_535 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_ctrlchangez00); 
{ /* Llib/midi.scm 405 */
 long BgL_arg1858z00_536;
BgL_arg1858z00_536 = 
(
(long)CINT(BgL_statusz00_478) & ((long)15)); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1859z00_535))(BgL_fun1859z00_535, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1858z00_536), 
BINT(BgL_ccz00_529), 
BINT(BgL_nnz00_530), BEOA); } } } } }  else 
{ /* Llib/midi.scm 399 */
if(
(
(
(long)CINT(BgL_statusz00_478) >> 
(int)(((long)4)))==((long)12)))
{ /* Llib/midi.scm 408 */
 long BgL_ppz00_545;
{ /* Llib/midi.scm 408 */
 obj_t BgL_arg1874z00_552;
{ /* Llib/midi.scm 408 */
 obj_t BgL_fun1876z00_553;
BgL_fun1876z00_553 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 408 */
 obj_t BgL_arg1875z00_554;
BgL_arg1875z00_554 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1874z00_552 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1876z00_553))(BgL_fun1876z00_553, BgL_arg1875z00_554, BEOA); } } 
BgL_ppz00_545 = 
(((long)127) & 
(long)CINT(BgL_arg1874z00_552)); } 
{ /* Llib/midi.scm 409 */
 obj_t BgL_fun1869z00_546;
BgL_fun1869z00_546 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 410 */
 long BgL_arg1868z00_547;
{ /* Llib/midi.scm 410 */
 BGL_LONGLONG_T BgL_tmpz00_6027;
BgL_tmpz00_6027 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1868z00_547 = 
LLONG_TO_LONG(BgL_tmpz00_6027); } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1869z00_546))(BgL_fun1869z00_546, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1868z00_547), BEOA); } } 
{ /* Llib/midi.scm 411 */
 obj_t BgL_fun1873z00_550;
BgL_fun1873z00_550 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_prgmchangez00); 
{ /* Llib/midi.scm 411 */
 long BgL_arg1872z00_551;
BgL_arg1872z00_551 = 
(
(long)CINT(BgL_statusz00_478) & ((long)15)); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1873z00_550))(BgL_fun1873z00_550, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1872z00_551), 
BINT(BgL_ppz00_545), BEOA); } } }  else 
{ /* Llib/midi.scm 406 */
if(
(
(
(long)CINT(BgL_statusz00_478) >> 
(int)(((long)4)))==((long)13)))
{ /* Llib/midi.scm 414 */
 long BgL_ppz00_557;
{ /* Llib/midi.scm 414 */
 obj_t BgL_arg1886z00_564;
{ /* Llib/midi.scm 414 */
 obj_t BgL_fun1888z00_565;
BgL_fun1888z00_565 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 414 */
 obj_t BgL_arg1887z00_566;
BgL_arg1887z00_566 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1886z00_564 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1888z00_565))(BgL_fun1888z00_565, BgL_arg1887z00_566, BEOA); } } 
BgL_ppz00_557 = 
(((long)127) & 
(long)CINT(BgL_arg1886z00_564)); } 
{ /* Llib/midi.scm 415 */
 obj_t BgL_fun1881z00_558;
BgL_fun1881z00_558 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 416 */
 long BgL_arg1880z00_559;
{ /* Llib/midi.scm 416 */
 BGL_LONGLONG_T BgL_tmpz00_6078;
BgL_tmpz00_6078 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1880z00_559 = 
LLONG_TO_LONG(BgL_tmpz00_6078); } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1881z00_558))(BgL_fun1881z00_558, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1880z00_559), BEOA); } } 
{ /* Llib/midi.scm 417 */
 obj_t BgL_fun1885z00_562;
BgL_fun1885z00_562 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_afterzd2touchzd2); 
{ /* Llib/midi.scm 417 */
 long BgL_arg1884z00_563;
BgL_arg1884z00_563 = 
(
(long)CINT(BgL_statusz00_478) & ((long)15)); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1885z00_562))(BgL_fun1885z00_562, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1884z00_563), 
BINT(BgL_ppz00_557), BEOA); } } }  else 
{ /* Llib/midi.scm 412 */
if(
(
(
(long)CINT(BgL_statusz00_478) >> 
(int)(((long)4)))==((long)14)))
{ /* Llib/midi.scm 420 */
 long BgL_ccz00_569;
{ /* Llib/midi.scm 420 */
 obj_t BgL_arg1900z00_580;
{ /* Llib/midi.scm 420 */
 obj_t BgL_fun1902z00_581;
BgL_fun1902z00_581 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 420 */
 obj_t BgL_arg1901z00_582;
BgL_arg1901z00_582 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1900z00_580 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1902z00_581))(BgL_fun1902z00_581, BgL_arg1901z00_582, BEOA); } } 
BgL_ccz00_569 = 
(((long)127) & 
(long)CINT(BgL_arg1900z00_580)); } 
{ /* Llib/midi.scm 420 */
 long BgL_vvz00_570;
{ /* Llib/midi.scm 421 */
 obj_t BgL_arg1897z00_577;
{ /* Llib/midi.scm 421 */
 obj_t BgL_fun1899z00_578;
BgL_fun1899z00_578 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 421 */
 obj_t BgL_arg1898z00_579;
BgL_arg1898z00_579 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1897z00_577 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1899z00_578))(BgL_fun1899z00_578, BgL_arg1898z00_579, BEOA); } } 
BgL_vvz00_570 = 
(((long)127) & 
(long)CINT(BgL_arg1897z00_577)); } 
{ /* Llib/midi.scm 421 */

{ /* Llib/midi.scm 422 */
 obj_t BgL_fun1892z00_571;
BgL_fun1892z00_571 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 423 */
 long BgL_arg1891z00_572;
{ /* Llib/midi.scm 423 */
 BGL_LONGLONG_T BgL_tmpz00_6137;
BgL_tmpz00_6137 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1891z00_572 = 
LLONG_TO_LONG(BgL_tmpz00_6137); } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1892z00_571))(BgL_fun1892z00_571, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1891z00_572), BEOA); } } 
{ /* Llib/midi.scm 424 */
 obj_t BgL_fun1896z00_575;
BgL_fun1896z00_575 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_pitchz00); 
{ /* Llib/midi.scm 424 */
 long BgL_arg1895z00_576;
BgL_arg1895z00_576 = 
(
(long)CINT(BgL_statusz00_478) & ((long)15)); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1896z00_575))(BgL_fun1896z00_575, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1895z00_576), 
BINT(BgL_ccz00_569), 
BINT(BgL_vvz00_570), BEOA); } } } } }  else 
{ /* Llib/midi.scm 418 */
if(
(
(long)CINT(BgL_statusz00_478)==((long)255)))
{ /* Llib/midi.scm 427 */
 obj_t BgL_cz00_584;
{ /* Llib/midi.scm 427 */
 obj_t BgL_fun1988z00_680;
BgL_fun1988z00_680 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 427 */
 obj_t BgL_arg1987z00_681;
BgL_arg1987z00_681 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_cz00_584 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1988z00_680))(BgL_fun1988z00_680, BgL_arg1987z00_681, BEOA); } } 
{ /* Llib/midi.scm 427 */
 obj_t BgL_lz00_585;
{ /* Llib/midi.scm 428 */
 obj_t BgL_fun1986z00_678;
BgL_fun1986z00_678 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 428 */
 obj_t BgL_arg1985z00_679;
BgL_arg1985z00_679 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_lz00_585 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1986z00_678))(BgL_fun1986z00_678, BgL_arg1985z00_679, BEOA); } } 
{ /* Llib/midi.scm 428 */

{ 

if(
INTEGERP(BgL_cz00_584))
{ /* Llib/midi.scm 429 */
switch( 
(long)CINT(BgL_cz00_584)) { case ((long)0) : 

{ /* Llib/midi.scm 432 */
 obj_t BgL_fun1905z00_588;
BgL_fun1905z00_588 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2seqnumzd2); 
{ /* Llib/midi.scm 432 */
 int32_t BgL_arg1904z00_589;
BgL_arg1904z00_589 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1905z00_588))(BgL_fun1905z00_588, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BGL_INT32_TO_BINT32(BgL_arg1904z00_589), BEOA); } } break;case ((long)1) : 

{ /* Llib/midi.scm 435 */
 obj_t BgL_fun1908z00_591;
BgL_fun1908z00_591 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2textzd2); 
{ /* Llib/midi.scm 435 */
 obj_t BgL_arg1907z00_592;
{ /* Llib/midi.scm 435 */
 obj_t BgL_fun1910z00_593;
BgL_fun1910z00_593 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 435 */
 obj_t BgL_arg1909z00_594;
BgL_arg1909z00_594 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1907z00_592 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1910z00_593))(BgL_fun1910z00_593, BgL_lz00_585, BgL_arg1909z00_594, BEOA); } } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1908z00_591))(BgL_fun1908z00_591, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1907z00_592, BEOA); } } break;case ((long)2) : 

{ /* Llib/midi.scm 438 */
 obj_t BgL_fun1912z00_595;
BgL_fun1912z00_595 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2copyrightzd2); 
{ /* Llib/midi.scm 438 */
 obj_t BgL_arg1911z00_596;
{ /* Llib/midi.scm 438 */
 obj_t BgL_fun1914z00_597;
BgL_fun1914z00_597 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 438 */
 obj_t BgL_arg1913z00_598;
BgL_arg1913z00_598 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1911z00_596 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1914z00_597))(BgL_fun1914z00_597, BgL_lz00_585, BgL_arg1913z00_598, BEOA); } } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1912z00_595))(BgL_fun1912z00_595, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1911z00_596, BEOA); } } break;case ((long)3) : 

{ /* Llib/midi.scm 441 */
 obj_t BgL_fun1916z00_599;
BgL_fun1916z00_599 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2trackzd2); 
{ /* Llib/midi.scm 441 */
 obj_t BgL_arg1915z00_600;
{ /* Llib/midi.scm 441 */
 obj_t BgL_fun1918z00_601;
BgL_fun1918z00_601 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 441 */
 obj_t BgL_arg1917z00_602;
BgL_arg1917z00_602 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1915z00_600 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1918z00_601))(BgL_fun1918z00_601, BgL_lz00_585, BgL_arg1917z00_602, BEOA); } } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1916z00_599))(BgL_fun1916z00_599, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1915z00_600, BEOA); } } break;case ((long)4) : 

{ /* Llib/midi.scm 444 */
 obj_t BgL_fun1920z00_603;
BgL_fun1920z00_603 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2instrumentzd2); 
{ /* Llib/midi.scm 444 */
 obj_t BgL_arg1919z00_604;
{ /* Llib/midi.scm 444 */
 obj_t BgL_fun1922z00_605;
BgL_fun1922z00_605 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 444 */
 obj_t BgL_arg1921z00_606;
BgL_arg1921z00_606 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1919z00_604 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1922z00_605))(BgL_fun1922z00_605, BgL_lz00_585, BgL_arg1921z00_606, BEOA); } } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1920z00_603))(BgL_fun1920z00_603, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1919z00_604, BEOA); } } break;case ((long)5) : 

{ /* Llib/midi.scm 447 */
 obj_t BgL_fun1924z00_607;
BgL_fun1924z00_607 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2lyriczd2); 
{ /* Llib/midi.scm 447 */
 obj_t BgL_arg1923z00_608;
{ /* Llib/midi.scm 447 */
 obj_t BgL_fun1926z00_609;
BgL_fun1926z00_609 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 447 */
 obj_t BgL_arg1925z00_610;
BgL_arg1925z00_610 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1923z00_608 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1926z00_609))(BgL_fun1926z00_609, BgL_lz00_585, BgL_arg1925z00_610, BEOA); } } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1924z00_607))(BgL_fun1924z00_607, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1923z00_608, BEOA); } } break;case ((long)6) : 

{ /* Llib/midi.scm 450 */
 obj_t BgL_fun1928z00_611;
BgL_fun1928z00_611 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2markerzd2); 
{ /* Llib/midi.scm 450 */
 obj_t BgL_arg1927z00_612;
{ /* Llib/midi.scm 450 */
 obj_t BgL_fun1930z00_613;
BgL_fun1930z00_613 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 450 */
 obj_t BgL_arg1929z00_614;
BgL_arg1929z00_614 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1927z00_612 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1930z00_613))(BgL_fun1930z00_613, BgL_lz00_585, BgL_arg1929z00_614, BEOA); } } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1928z00_611))(BgL_fun1928z00_611, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1927z00_612, BEOA); } } break;case ((long)7) : 

{ /* Llib/midi.scm 453 */
 obj_t BgL_fun1932z00_615;
BgL_fun1932z00_615 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2cuezd2); 
{ /* Llib/midi.scm 453 */
 obj_t BgL_arg1931z00_616;
{ /* Llib/midi.scm 453 */
 obj_t BgL_fun1934z00_617;
BgL_fun1934z00_617 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 453 */
 obj_t BgL_arg1933z00_618;
BgL_arg1933z00_618 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1931z00_616 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1934z00_617))(BgL_fun1934z00_617, BgL_lz00_585, BgL_arg1933z00_618, BEOA); } } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1932z00_615))(BgL_fun1932z00_615, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1931z00_616, BEOA); } } break;case ((long)8) : 

{ /* Llib/midi.scm 456 */
 obj_t BgL_fun1936z00_619;
BgL_fun1936z00_619 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2prgmnamezd2); 
{ /* Llib/midi.scm 456 */
 obj_t BgL_arg1935z00_620;
{ /* Llib/midi.scm 456 */
 obj_t BgL_fun1938z00_621;
BgL_fun1938z00_621 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 456 */
 obj_t BgL_arg1937z00_622;
BgL_arg1937z00_622 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1935z00_620 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1938z00_621))(BgL_fun1938z00_621, BgL_lz00_585, BgL_arg1937z00_622, BEOA); } } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1936z00_619))(BgL_fun1936z00_619, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1935z00_620, BEOA); } } break;case ((long)9) : 

{ /* Llib/midi.scm 459 */
 obj_t BgL_fun1940z00_623;
BgL_fun1940z00_623 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2devnamezd2); 
{ /* Llib/midi.scm 459 */
 obj_t BgL_arg1939z00_624;
{ /* Llib/midi.scm 459 */
 obj_t BgL_fun1942z00_625;
BgL_fun1942z00_625 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 459 */
 obj_t BgL_arg1941z00_626;
BgL_arg1941z00_626 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1939z00_624 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1942z00_625))(BgL_fun1942z00_625, BgL_lz00_585, BgL_arg1941z00_626, BEOA); } } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1940z00_623))(BgL_fun1940z00_623, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1939z00_624, BEOA); } } break;case ((long)32) : 

{ /* Llib/midi.scm 462 */
 obj_t BgL_fun1944z00_627;
BgL_fun1944z00_627 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2channprefzd2); 
{ /* Llib/midi.scm 462 */
 obj_t BgL_arg1943z00_628;
{ /* Llib/midi.scm 462 */
 obj_t BgL_fun1946z00_629;
BgL_fun1946z00_629 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 462 */
 obj_t BgL_arg1945z00_630;
BgL_arg1945z00_630 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1943z00_628 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1946z00_629))(BgL_fun1946z00_629, BgL_arg1945z00_630, BEOA); } } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1944z00_627))(BgL_fun1944z00_627, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1943z00_628, BEOA); } } break;case ((long)33) : 

{ /* Llib/midi.scm 465 */
 obj_t BgL_fun1948z00_631;
BgL_fun1948z00_631 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2channprefzd2); 
{ /* Llib/midi.scm 465 */
 long BgL_arg1947z00_632;
BgL_arg1947z00_632 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_585), 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1948z00_631))(BgL_fun1948z00_631, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1947z00_632), BEOA); } } break;case ((long)47) : 

((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52eotz52)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/midi.scm 469 */
 obj_t BgL_fun1950z00_634;
BgL_fun1950z00_634 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2eotzd2); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1950z00_634))(BgL_fun1950z00_634, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BUNSPEC, BEOA); } break;case ((long)81) : 

{ 
 long BgL_auxz00_6413;
{ /* Llib/midi.scm 472 */
 obj_t BgL_arg1951z00_635;
BgL_arg1951z00_635 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_auxz00_6413 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_585), BgL_arg1951z00_635); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_tempoz00)=((long)BgL_auxz00_6413),BUNSPEC); } 
{ /* Llib/midi.scm 473 */
 obj_t BgL_fun1953z00_636;
BgL_fun1953z00_636 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2tempozd2); 
{ /* Llib/midi.scm 473 */
 long BgL_arg1952z00_637;
BgL_arg1952z00_637 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_tempoz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1953z00_636))(BgL_fun1953z00_636, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1952z00_637), BEOA); } } break;case ((long)84) : 

{ /* Llib/midi.scm 476 */
 obj_t BgL_hrz00_638;
{ /* Llib/midi.scm 476 */
 obj_t BgL_fun1964z00_652;
BgL_fun1964z00_652 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 476 */
 obj_t BgL_arg1963z00_653;
BgL_arg1963z00_653 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_hrz00_638 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1964z00_652))(BgL_fun1964z00_652, BgL_arg1963z00_653, BEOA); } } 
{ /* Llib/midi.scm 476 */
 obj_t BgL_mmz00_639;
{ /* Llib/midi.scm 477 */
 obj_t BgL_fun1962z00_650;
BgL_fun1962z00_650 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 477 */
 obj_t BgL_arg1961z00_651;
BgL_arg1961z00_651 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_mmz00_639 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1962z00_650))(BgL_fun1962z00_650, BgL_arg1961z00_651, BEOA); } } 
{ /* Llib/midi.scm 477 */
 obj_t BgL_sez00_640;
{ /* Llib/midi.scm 478 */
 obj_t BgL_fun1960z00_648;
BgL_fun1960z00_648 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 478 */
 obj_t BgL_arg1959z00_649;
BgL_arg1959z00_649 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_sez00_640 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1960z00_648))(BgL_fun1960z00_648, BgL_arg1959z00_649, BEOA); } } 
{ /* Llib/midi.scm 478 */
 obj_t BgL_frz00_641;
{ /* Llib/midi.scm 479 */
 obj_t BgL_fun1958z00_646;
BgL_fun1958z00_646 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 479 */
 obj_t BgL_arg1957z00_647;
BgL_arg1957z00_647 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_frz00_641 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1958z00_646))(BgL_fun1958z00_646, BgL_arg1957z00_647, BEOA); } } 
{ /* Llib/midi.scm 479 */
 obj_t BgL_ffz00_642;
{ /* Llib/midi.scm 480 */
 obj_t BgL_fun1956z00_644;
BgL_fun1956z00_644 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 480 */
 obj_t BgL_arg1955z00_645;
BgL_arg1955z00_645 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ffz00_642 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1956z00_644))(BgL_fun1956z00_644, BgL_arg1955z00_645, BEOA); } } 
{ /* Llib/midi.scm 480 */

{ /* Llib/midi.scm 481 */
 obj_t BgL_fun1954z00_643;
BgL_fun1954z00_643 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2smtpezd2); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1954z00_643))(BgL_fun1954z00_643, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_hrz00_638, BgL_mmz00_639, BgL_sez00_640, BgL_frz00_641, BgL_ffz00_642, BEOA); } } } } } } } break;case ((long)88) : 

{ /* Llib/midi.scm 484 */
 obj_t BgL_nnz00_654;
{ /* Llib/midi.scm 484 */
 obj_t BgL_fun1973z00_665;
BgL_fun1973z00_665 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 484 */
 obj_t BgL_arg1972z00_666;
BgL_arg1972z00_666 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_nnz00_654 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1973z00_665))(BgL_fun1973z00_665, BgL_arg1972z00_666, BEOA); } } 
{ /* Llib/midi.scm 484 */
 obj_t BgL_ddz00_655;
{ /* Llib/midi.scm 485 */
 obj_t BgL_fun1971z00_663;
BgL_fun1971z00_663 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 485 */
 obj_t BgL_arg1970z00_664;
BgL_arg1970z00_664 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ddz00_655 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1971z00_663))(BgL_fun1971z00_663, BgL_arg1970z00_664, BEOA); } } 
{ /* Llib/midi.scm 485 */
 obj_t BgL_ccz00_656;
{ /* Llib/midi.scm 486 */
 obj_t BgL_fun1969z00_661;
BgL_fun1969z00_661 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 486 */
 obj_t BgL_arg1968z00_662;
BgL_arg1968z00_662 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ccz00_656 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1969z00_661))(BgL_fun1969z00_661, BgL_arg1968z00_662, BEOA); } } 
{ /* Llib/midi.scm 486 */
 obj_t BgL_bbz00_657;
{ /* Llib/midi.scm 487 */
 obj_t BgL_fun1967z00_659;
BgL_fun1967z00_659 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 487 */
 obj_t BgL_arg1966z00_660;
BgL_arg1966z00_660 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_bbz00_657 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1967z00_659))(BgL_fun1967z00_659, BgL_arg1966z00_660, BEOA); } } 
{ /* Llib/midi.scm 487 */

{ /* Llib/midi.scm 488 */
 obj_t BgL_fun1965z00_658;
BgL_fun1965z00_658 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2timesigzd2); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1965z00_658))(BgL_fun1965z00_658, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_nnz00_654, BgL_ddz00_655, BgL_ccz00_656, BgL_bbz00_657, BEOA); } } } } } } break;case ((long)89) : 

{ /* Llib/midi.scm 491 */
 obj_t BgL_fun1975z00_667;
BgL_fun1975z00_667 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2keysigzd2); 
{ /* Llib/midi.scm 491 */
 long BgL_arg1974z00_668;
BgL_arg1974z00_668 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_585), 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1975z00_667))(BgL_fun1975z00_667, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1974z00_668), BEOA); } } break;case ((long)127) : 

{ /* Llib/midi.scm 494 */
 obj_t BgL_fun1978z00_670;
BgL_fun1978z00_670 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2seqspeczd2); 
{ /* Llib/midi.scm 494 */
 obj_t BgL_arg1977z00_671;
{ /* Llib/midi.scm 494 */
 obj_t BgL_fun1980z00_672;
BgL_fun1980z00_672 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 494 */
 obj_t BgL_arg1979z00_673;
BgL_arg1979z00_673 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1977z00_671 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1980z00_672))(BgL_fun1980z00_672, BgL_lz00_585, BgL_arg1979z00_673, BEOA); } } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1978z00_670))(BgL_fun1978z00_670, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1977z00_671, BEOA); } } break;
default: 
BgL_case_else1162z00_586:
{ /* Llib/midi.scm 496 */
 obj_t BgL_fun1982z00_674;
BgL_fun1982z00_674 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_errz00); 
{ /* Llib/midi.scm 497 */
 obj_t BgL_arg1981z00_675;
{ /* Llib/midi.scm 497 */
 obj_t BgL_list1983z00_676;
{ /* Llib/midi.scm 497 */
 obj_t BgL_arg1984z00_677;
BgL_arg1984z00_677 = 
MAKE_YOUNG_PAIR(BgL_cz00_584, BNIL); 
BgL_list1983z00_676 = 
MAKE_YOUNG_PAIR(BgL_statusz00_478, BgL_arg1984z00_677); } 
BgL_arg1981z00_675 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2794z00zz__multimediazd2midizd2, BgL_list1983z00_676); } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1982z00_674))(BgL_fun1982z00_674, BGl_string2795z00zz__multimediazd2midizd2, BGl_string2796z00zz__multimediazd2midizd2, BgL_arg1981z00_675, BEOA); } } } }  else 
{ /* Llib/midi.scm 429 */
goto BgL_case_else1162z00_586;} } } } }  else 
{ /* Llib/midi.scm 498 */
 bool_t BgL_test3397z00_6559;
if(
(
(long)CINT(BgL_statusz00_478)==((long)240)))
{ /* Llib/midi.scm 498 */
BgL_test3397z00_6559 = ((bool_t)1)
; }  else 
{ /* Llib/midi.scm 498 */
BgL_test3397z00_6559 = 
(
(long)CINT(BgL_statusz00_478)==((long)247))
; } 
if(BgL_test3397z00_6559)
{ /* Llib/midi.scm 500 */
 obj_t BgL_strz00_684;
{ /* Llib/midi.scm 500 */
 obj_t BgL_fun1998z00_690;
BgL_fun1998z00_690 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 500 */
 obj_t BgL_arg1996z00_691; obj_t BgL_arg1997z00_692;
{ /* Llib/midi.scm 500 */
 obj_t BgL_fun2000z00_693;
BgL_fun2000z00_693 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_476))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 500 */
 obj_t BgL_arg1999z00_694;
BgL_arg1999z00_694 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1996z00_691 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2000z00_693))(BgL_fun2000z00_693, BgL_arg1999z00_694, BEOA); } } 
BgL_arg1997z00_692 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_strz00_684 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1998z00_690))(BgL_fun1998z00_690, BgL_arg1996z00_691, BgL_arg1997z00_692, BEOA); } } 
{ /* Llib/midi.scm 501 */
 obj_t BgL_fun1992z00_685;
BgL_fun1992z00_685 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 502 */
 long BgL_arg1991z00_686;
{ /* Llib/midi.scm 502 */
 BGL_LONGLONG_T BgL_tmpz00_6579;
BgL_tmpz00_6579 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1991z00_686 = 
LLONG_TO_LONG(BgL_tmpz00_6579); } 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1992z00_685))(BgL_fun1992z00_685, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_dtz00_43), 
BINT(BgL_ppqz00_42), 
BINT(BgL_arg1991z00_686), BEOA); } } 
{ /* Llib/midi.scm 503 */
 obj_t BgL_fun1995z00_689;
BgL_fun1995z00_689 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_sysexz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1995z00_689))(BgL_fun1995z00_689, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_strz00_684, BEOA); } }  else 
{ /* Llib/midi.scm 505 */
 obj_t BgL_fun2001z00_695;
BgL_fun2001z00_695 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_errz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2001z00_695))(BgL_fun2001z00_695, BGl_string2795z00zz__multimediazd2midizd2, BGl_string2797z00zz__multimediazd2midizd2, BgL_statusz00_478, BEOA); } } } } } } } } } } 
{ /* Llib/midi.scm 507 */
 obj_t BgL_fun2019z00_715;
BgL_fun2019z00_715 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_40))->BgL_flushz00); 
{ /* Llib/midi.scm 507 */
 obj_t BgL_arg2018z00_716;
BgL_arg2018z00_716 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_40))->BgL_streamz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2019z00_715))(BgL_fun2019z00_715, BgL_arg2018z00_716, BEOA);} } } } 

}



/* midi-read-mthd */
obj_t BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(obj_t BgL_ipz00_45)
{
{ /* Llib/midi.scm 512 */
{ /* Llib/midi.scm 513 */
 obj_t BgL_tyz00_717;
BgL_tyz00_717 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)4)), BgL_ipz00_45); 
{ /* Llib/midi.scm 514 */
 bool_t BgL_test3399z00_6626;
{ /* Llib/midi.scm 514 */
 long BgL_l1z00_2063;
BgL_l1z00_2063 = 
STRING_LENGTH(
((obj_t)BgL_tyz00_717)); 
if(
(BgL_l1z00_2063==((long)4)))
{ /* Llib/midi.scm 514 */
 int BgL_arg1290z00_2066;
{ /* Llib/midi.scm 514 */
 char * BgL_auxz00_6634; char * BgL_tmpz00_6631;
BgL_auxz00_6634 = 
BSTRING_TO_STRING(BGl_string2798z00zz__multimediazd2midizd2); 
BgL_tmpz00_6631 = 
BSTRING_TO_STRING(
((obj_t)BgL_tyz00_717)); 
BgL_arg1290z00_2066 = 
memcmp(BgL_tmpz00_6631, BgL_auxz00_6634, BgL_l1z00_2063); } 
BgL_test3399z00_6626 = 
(
(long)(BgL_arg1290z00_2066)==((long)0)); }  else 
{ /* Llib/midi.scm 514 */
BgL_test3399z00_6626 = ((bool_t)0)
; } } 
if(BgL_test3399z00_6626)
{ /* Llib/midi.scm 516 */
 int32_t BgL_sza7za7_719;
BgL_sza7za7_719 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 516 */
 long BgL_fmtz00_720;
{ /* Llib/midi.scm 517 */
 int32_t BgL_arg2035z00_764;
BgL_arg2035z00_764 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 517 */
 long BgL_arg1454z00_2073;
BgL_arg1454z00_2073 = 
(long)(BgL_arg2035z00_764); 
BgL_fmtz00_720 = 
(long)(BgL_arg1454z00_2073); } } 
{ /* Llib/midi.scm 517 */
 long BgL_tckz00_721;
{ /* Llib/midi.scm 518 */
 int32_t BgL_arg2034z00_763;
BgL_arg2034z00_763 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 518 */
 long BgL_arg1454z00_2076;
BgL_arg1454z00_2076 = 
(long)(BgL_arg2034z00_763); 
BgL_tckz00_721 = 
(long)(BgL_arg1454z00_2076); } } 
{ /* Llib/midi.scm 518 */
 long BgL_divz00_722;
{ /* Llib/midi.scm 519 */
 int32_t BgL_arg2033z00_762;
BgL_arg2033z00_762 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 519 */
 long BgL_arg1454z00_2079;
BgL_arg1454z00_2079 = 
(long)(BgL_arg2033z00_762); 
BgL_divz00_722 = 
(long)(BgL_arg1454z00_2079); } } 
{ /* Llib/midi.scm 519 */

if(
(
(BgL_divz00_722 >> 
(int)(((long)15)))==((long)0)))
{ /* Llib/midi.scm 521 */
 long BgL_val4_1198z00_729;
BgL_val4_1198z00_729 = 
(BgL_divz00_722 & ((long)32767)); 
{ /* Llib/midi.scm 521 */
 int BgL_tmpz00_6654;
BgL_tmpz00_6654 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6654); } 
{ /* Llib/midi.scm 521 */
 obj_t BgL_auxz00_6659; int BgL_tmpz00_6657;
BgL_auxz00_6659 = 
BINT(BgL_fmtz00_720); 
BgL_tmpz00_6657 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6657, BgL_auxz00_6659); } 
{ /* Llib/midi.scm 521 */
 obj_t BgL_auxz00_6664; int BgL_tmpz00_6662;
BgL_auxz00_6664 = 
BINT(BgL_tckz00_721); 
BgL_tmpz00_6662 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6662, BgL_auxz00_6664); } 
{ /* Llib/midi.scm 521 */
 obj_t BgL_auxz00_6669; int BgL_tmpz00_6667;
BgL_auxz00_6669 = 
BINT(((long)500000)); 
BgL_tmpz00_6667 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6667, BgL_auxz00_6669); } 
{ /* Llib/midi.scm 521 */
 obj_t BgL_auxz00_6674; int BgL_tmpz00_6672;
BgL_auxz00_6674 = 
BINT(BgL_val4_1198z00_729); 
BgL_tmpz00_6672 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6672, BgL_auxz00_6674); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_719);}  else 
{ 

{ /* Llib/midi.scm 522 */
 long BgL_aux1166z00_731;
BgL_aux1166z00_731 = 
(((long)128)-
(
(BgL_divz00_722 >> 
(int)(((long)8))) & ((long)127))); 
switch( BgL_aux1166z00_731) { case ((long)24) : 

{ /* Llib/midi.scm 524 */
 long BgL_val4_1203z00_736;
BgL_val4_1203z00_736 = 
(((long)12)*
(BgL_divz00_722 & ((long)255))); 
{ /* Llib/midi.scm 524 */
 int BgL_tmpz00_6684;
BgL_tmpz00_6684 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6684); } 
{ /* Llib/midi.scm 524 */
 obj_t BgL_auxz00_6689; int BgL_tmpz00_6687;
BgL_auxz00_6689 = 
BINT(BgL_fmtz00_720); 
BgL_tmpz00_6687 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6687, BgL_auxz00_6689); } 
{ /* Llib/midi.scm 524 */
 obj_t BgL_auxz00_6694; int BgL_tmpz00_6692;
BgL_auxz00_6694 = 
BINT(BgL_tckz00_721); 
BgL_tmpz00_6692 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6692, BgL_auxz00_6694); } 
{ /* Llib/midi.scm 524 */
 obj_t BgL_auxz00_6699; int BgL_tmpz00_6697;
BgL_auxz00_6699 = 
BINT(((long)500000)); 
BgL_tmpz00_6697 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6697, BgL_auxz00_6699); } 
{ /* Llib/midi.scm 524 */
 obj_t BgL_auxz00_6704; int BgL_tmpz00_6702;
BgL_auxz00_6704 = 
BINT(BgL_val4_1203z00_736); 
BgL_tmpz00_6702 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6702, BgL_auxz00_6704); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_719);} break;case ((long)25) : 

{ /* Llib/midi.scm 526 */
 long BgL_val4_1208z00_742;
BgL_val4_1208z00_742 = 
(((long)10)*
(BgL_divz00_722 & ((long)255))); 
{ /* Llib/midi.scm 526 */
 int BgL_tmpz00_6710;
BgL_tmpz00_6710 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6710); } 
{ /* Llib/midi.scm 526 */
 obj_t BgL_auxz00_6715; int BgL_tmpz00_6713;
BgL_auxz00_6715 = 
BINT(BgL_fmtz00_720); 
BgL_tmpz00_6713 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6713, BgL_auxz00_6715); } 
{ /* Llib/midi.scm 526 */
 obj_t BgL_auxz00_6720; int BgL_tmpz00_6718;
BgL_auxz00_6720 = 
BINT(BgL_tckz00_721); 
BgL_tmpz00_6718 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6718, BgL_auxz00_6720); } 
{ /* Llib/midi.scm 526 */
 obj_t BgL_auxz00_6725; int BgL_tmpz00_6723;
BgL_auxz00_6725 = 
BINT(((long)400000)); 
BgL_tmpz00_6723 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6723, BgL_auxz00_6725); } 
{ /* Llib/midi.scm 526 */
 obj_t BgL_auxz00_6730; int BgL_tmpz00_6728;
BgL_auxz00_6730 = 
BINT(BgL_val4_1208z00_742); 
BgL_tmpz00_6728 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6728, BgL_auxz00_6730); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_719);} break;case ((long)29) : 

{ /* Llib/midi.scm 528 */
 long BgL_val4_1213z00_748;
BgL_val4_1213z00_748 = 
(((long)2997)*
(BgL_divz00_722 & ((long)255))); 
{ /* Llib/midi.scm 528 */
 int BgL_tmpz00_6736;
BgL_tmpz00_6736 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6736); } 
{ /* Llib/midi.scm 528 */
 obj_t BgL_auxz00_6741; int BgL_tmpz00_6739;
BgL_auxz00_6741 = 
BINT(BgL_fmtz00_720); 
BgL_tmpz00_6739 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6739, BgL_auxz00_6741); } 
{ /* Llib/midi.scm 528 */
 obj_t BgL_auxz00_6746; int BgL_tmpz00_6744;
BgL_auxz00_6746 = 
BINT(BgL_tckz00_721); 
BgL_tmpz00_6744 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6744, BgL_auxz00_6746); } 
{ /* Llib/midi.scm 528 */
 obj_t BgL_auxz00_6751; int BgL_tmpz00_6749;
BgL_auxz00_6751 = 
BINT(((long)100000000)); 
BgL_tmpz00_6749 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6749, BgL_auxz00_6751); } 
{ /* Llib/midi.scm 528 */
 obj_t BgL_auxz00_6756; int BgL_tmpz00_6754;
BgL_auxz00_6756 = 
BINT(BgL_val4_1213z00_748); 
BgL_tmpz00_6754 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6754, BgL_auxz00_6756); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_719);} break;case ((long)30) : 

{ /* Llib/midi.scm 530 */
 long BgL_val4_1218z00_754;
BgL_val4_1218z00_754 = 
(((long)15)*
(BgL_divz00_722 & ((long)255))); 
{ /* Llib/midi.scm 530 */
 int BgL_tmpz00_6762;
BgL_tmpz00_6762 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6762); } 
{ /* Llib/midi.scm 530 */
 obj_t BgL_auxz00_6767; int BgL_tmpz00_6765;
BgL_auxz00_6767 = 
BINT(BgL_fmtz00_720); 
BgL_tmpz00_6765 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6765, BgL_auxz00_6767); } 
{ /* Llib/midi.scm 530 */
 obj_t BgL_auxz00_6772; int BgL_tmpz00_6770;
BgL_auxz00_6772 = 
BINT(BgL_tckz00_721); 
BgL_tmpz00_6770 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6770, BgL_auxz00_6772); } 
{ /* Llib/midi.scm 530 */
 obj_t BgL_auxz00_6777; int BgL_tmpz00_6775;
BgL_auxz00_6777 = 
BINT(((long)500000)); 
BgL_tmpz00_6775 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6775, BgL_auxz00_6777); } 
{ /* Llib/midi.scm 530 */
 obj_t BgL_auxz00_6782; int BgL_tmpz00_6780;
BgL_auxz00_6782 = 
BINT(BgL_val4_1218z00_754); 
BgL_tmpz00_6780 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6780, BgL_auxz00_6782); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_719);} break;
default: 
{ /* Llib/midi.scm 534 */
 long BgL_arg2029z00_758;
BgL_arg2029z00_758 = 
(((long)128)-
(
(BgL_divz00_722 >> 
(int)(((long)8))) & ((long)127))); 
return 
BGl_errorz00zz__errorz00(BGl_string2799z00zz__multimediazd2midizd2, BGl_string2800z00zz__multimediazd2midizd2, 
BINT(BgL_arg2029z00_758));} } } } } } } } }  else 
{ /* Llib/midi.scm 514 */
return 
BGl_errorz00zz__errorz00(BGl_string2799z00zz__multimediazd2midizd2, BGl_string2801z00zz__multimediazd2midizd2, BgL_tyz00_717);} } } } 

}



/* midi-read-mtrk */
obj_t BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(obj_t BgL_ipz00_46)
{
{ /* Llib/midi.scm 539 */
{ /* Llib/midi.scm 540 */
 obj_t BgL_tyz00_765;
BgL_tyz00_765 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)4)), BgL_ipz00_46); 
{ /* Llib/midi.scm 541 */
 bool_t BgL_test3402z00_6796;
{ /* Llib/midi.scm 541 */
 long BgL_l1z00_2100;
BgL_l1z00_2100 = 
STRING_LENGTH(
((obj_t)BgL_tyz00_765)); 
if(
(BgL_l1z00_2100==((long)4)))
{ /* Llib/midi.scm 541 */
 int BgL_arg1290z00_2103;
{ /* Llib/midi.scm 541 */
 char * BgL_auxz00_6804; char * BgL_tmpz00_6801;
BgL_auxz00_6804 = 
BSTRING_TO_STRING(BGl_string2802z00zz__multimediazd2midizd2); 
BgL_tmpz00_6801 = 
BSTRING_TO_STRING(
((obj_t)BgL_tyz00_765)); 
BgL_arg1290z00_2103 = 
memcmp(BgL_tmpz00_6801, BgL_auxz00_6804, BgL_l1z00_2100); } 
BgL_test3402z00_6796 = 
(
(long)(BgL_arg1290z00_2103)==((long)0)); }  else 
{ /* Llib/midi.scm 541 */
BgL_test3402z00_6796 = ((bool_t)0)
; } } 
if(BgL_test3402z00_6796)
{ /* Llib/midi.scm 543 */
 int32_t BgL_tmpz00_6809;
BgL_tmpz00_6809 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_46); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6809);}  else 
{ /* Llib/midi.scm 541 */
return 
BGl_errorz00zz__errorz00(BGl_string2803z00zz__multimediazd2midizd2, BGl_string2801z00zz__multimediazd2midizd2, BgL_tyz00_765);} } } } 

}



/* read-int16 */
int32_t BGl_readzd2int16zd2zz__multimediazd2midizd2(obj_t BgL_ipz00_49)
{
{ /* Llib/midi.scm 560 */
{ /* Llib/midi.scm 561 */
 obj_t BgL_b1z00_768;
BgL_b1z00_768 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_49); 
{ /* Llib/midi.scm 561 */
 obj_t BgL_b0z00_769;
BgL_b0z00_769 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_49); 
{ /* Llib/midi.scm 562 */

{ /* Llib/midi.scm 563 */
 int32_t BgL_arg2038z00_770; int32_t BgL_arg2039z00_771;
{ /* Llib/midi.scm 563 */
 int32_t BgL_arg2040z00_772;
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6815;
BgL_tmpz00_6815 = 
(
CCHAR(BgL_b1z00_768)); 
BgL_arg2040z00_772 = 
(int32_t)(BgL_tmpz00_6815); } 
BgL_arg2038z00_770 = 
(BgL_arg2040z00_772 << 
(int)(((long)8))); } 
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6821;
BgL_tmpz00_6821 = 
(
CCHAR(BgL_b0z00_769)); 
BgL_arg2039z00_771 = 
(int32_t)(BgL_tmpz00_6821); } 
return 
(BgL_arg2038z00_770+BgL_arg2039z00_771);} } } } } 

}



/* &read-int16 */
obj_t BGl_z62readzd2int16zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2843, obj_t BgL_ipz00_2844)
{
{ /* Llib/midi.scm 560 */
{ /* Llib/midi.scm 561 */
 int32_t BgL_tmpz00_6826;
BgL_tmpz00_6826 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_2844); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6826);} } 

}



/* read-int32 */
int32_t BGl_readzd2int32zd2zz__multimediazd2midizd2(obj_t BgL_ipz00_50)
{
{ /* Llib/midi.scm 569 */
{ /* Llib/midi.scm 570 */
 obj_t BgL_b3z00_773;
BgL_b3z00_773 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 570 */
 obj_t BgL_b2z00_774;
BgL_b2z00_774 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 571 */
 obj_t BgL_b1z00_775;
BgL_b1z00_775 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 572 */
 obj_t BgL_b0z00_776;
BgL_b0z00_776 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 573 */

{ /* Llib/midi.scm 574 */
 int32_t BgL_arg2041z00_777; int32_t BgL_arg2042z00_778;
{ /* Llib/midi.scm 574 */
 int32_t BgL_arg2043z00_779;
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6833;
BgL_tmpz00_6833 = 
(
CCHAR(BgL_b3z00_773)); 
BgL_arg2043z00_779 = 
(int32_t)(BgL_tmpz00_6833); } 
BgL_arg2041z00_777 = 
(BgL_arg2043z00_779 << 
(int)(((long)24))); } 
{ /* Llib/midi.scm 575 */
 int32_t BgL_arg2044z00_780; int32_t BgL_arg2045z00_781;
{ /* Llib/midi.scm 575 */
 int32_t BgL_arg2046z00_782;
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6839;
BgL_tmpz00_6839 = 
(
CCHAR(BgL_b2z00_774)); 
BgL_arg2046z00_782 = 
(int32_t)(BgL_tmpz00_6839); } 
BgL_arg2044z00_780 = 
(BgL_arg2046z00_782 << 
(int)(((long)16))); } 
{ /* Llib/midi.scm 576 */
 int32_t BgL_arg2047z00_783; int32_t BgL_arg2048z00_784;
{ /* Llib/midi.scm 576 */
 int32_t BgL_arg2049z00_785;
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6845;
BgL_tmpz00_6845 = 
(
CCHAR(BgL_b1z00_775)); 
BgL_arg2049z00_785 = 
(int32_t)(BgL_tmpz00_6845); } 
BgL_arg2047z00_783 = 
(BgL_arg2049z00_785 << 
(int)(((long)8))); } 
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6851;
BgL_tmpz00_6851 = 
(
CCHAR(BgL_b0z00_776)); 
BgL_arg2048z00_784 = 
(int32_t)(BgL_tmpz00_6851); } 
BgL_arg2045z00_781 = 
(BgL_arg2047z00_783+BgL_arg2048z00_784); } 
BgL_arg2042z00_778 = 
(BgL_arg2044z00_780+BgL_arg2045z00_781); } 
return 
(BgL_arg2041z00_777+BgL_arg2042z00_778);} } } } } } } 

}



/* &read-int32 */
obj_t BGl_z62readzd2int32zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2845, obj_t BgL_ipz00_2846)
{
{ /* Llib/midi.scm 569 */
{ /* Llib/midi.scm 570 */
 int32_t BgL_tmpz00_6858;
BgL_tmpz00_6858 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_2846); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6858);} } 

}



/* read-int */
long BGl_readzd2intzd2zz__multimediazd2midizd2(long BgL_lenz00_51, obj_t BgL_ipz00_52)
{
{ /* Llib/midi.scm 582 */
{ /* Llib/midi.scm 583 */
 long BgL_g1167z00_786;
{ /* Llib/midi.scm 583 */
 obj_t BgL_arg2057z00_798;
BgL_arg2057z00_798 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_52); 
BgL_g1167z00_786 = 
(
CCHAR(BgL_arg2057z00_798)); } 
{ 
 long BgL_valz00_788; long BgL_lenz00_789;
BgL_valz00_788 = BgL_g1167z00_786; 
BgL_lenz00_789 = BgL_lenz00_51; 
BgL_zc3z04anonymousza32050ze3z87_790:
if(
(BgL_lenz00_789==((long)1)))
{ /* Llib/midi.scm 585 */
return BgL_valz00_788;}  else 
{ /* Llib/midi.scm 587 */
 long BgL_arg2052z00_792; long BgL_arg2053z00_793;
{ /* Llib/midi.scm 587 */
 long BgL_arg2054z00_794; long BgL_arg2055z00_795;
BgL_arg2054z00_794 = 
(BgL_valz00_788 << 
(int)(((long)8))); 
{ /* Llib/midi.scm 587 */
 obj_t BgL_arg2056z00_796;
BgL_arg2056z00_796 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_52); 
BgL_arg2055z00_795 = 
(
CCHAR(BgL_arg2056z00_796)); } 
BgL_arg2052z00_792 = 
(BgL_arg2054z00_794+BgL_arg2055z00_795); } 
BgL_arg2053z00_793 = 
(BgL_lenz00_789-((long)1)); 
{ 
 long BgL_lenz00_6874; long BgL_valz00_6873;
BgL_valz00_6873 = BgL_arg2052z00_792; 
BgL_lenz00_6874 = BgL_arg2053z00_793; 
BgL_lenz00_789 = BgL_lenz00_6874; 
BgL_valz00_788 = BgL_valz00_6873; 
goto BgL_zc3z04anonymousza32050ze3z87_790;} } } } } 

}



/* &read-int */
obj_t BGl_z62readzd2intzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2847, obj_t BgL_lenz00_2848, obj_t BgL_ipz00_2849)
{
{ /* Llib/midi.scm 582 */
{ /* Llib/midi.scm 583 */
 long BgL_tmpz00_6875;
{ /* Llib/midi.scm 583 */
 obj_t BgL_auxz00_6885; long BgL_auxz00_6876;
if(
INPUT_PORTP(BgL_ipz00_2849))
{ /* Llib/midi.scm 583 */
BgL_auxz00_6885 = BgL_ipz00_2849
; }  else 
{ 
 obj_t BgL_auxz00_6888;
BgL_auxz00_6888 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)24391)), BGl_string2804z00zz__multimediazd2midizd2, BGl_string2784z00zz__multimediazd2midizd2, BgL_ipz00_2849); 
FAILURE(BgL_auxz00_6888,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 583 */
 obj_t BgL_tmpz00_6877;
if(
INTEGERP(BgL_lenz00_2848))
{ /* Llib/midi.scm 583 */
BgL_tmpz00_6877 = BgL_lenz00_2848
; }  else 
{ 
 obj_t BgL_auxz00_6880;
BgL_auxz00_6880 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)24391)), BGl_string2804z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_lenz00_2848); 
FAILURE(BgL_auxz00_6880,BFALSE,BFALSE);} 
BgL_auxz00_6876 = 
(long)CINT(BgL_tmpz00_6877); } 
BgL_tmpz00_6875 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(BgL_auxz00_6876, BgL_auxz00_6885); } 
return 
BINT(BgL_tmpz00_6875);} } 

}



/* &read-vlq */
obj_t BGl_z62readzd2vlqzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2850, obj_t BgL_ipz00_2851)
{
{ /* Llib/midi.scm 593 */
{ /* Llib/midi.scm 595 */
 long BgL_tmpz00_6894;
{ 
 long BgL_accz00_3826;
BgL_accz00_3826 = ((long)0); 
BgL_loopz00_3825:
{ /* Llib/midi.scm 595 */
 long BgL_cz00_3827;
{ /* Llib/midi.scm 595 */
 obj_t BgL_arg2063z00_3828;
BgL_arg2063z00_3828 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_2851); 
BgL_cz00_3827 = 
(
CCHAR(BgL_arg2063z00_3828)); } 
if(
(BgL_cz00_3827<=((long)127)))
{ /* Llib/midi.scm 596 */
BgL_tmpz00_6894 = 
(BgL_cz00_3827+BgL_accz00_3826)
; }  else 
{ 
 long BgL_accz00_6901;
BgL_accz00_6901 = 
(
(BgL_accz00_3826+
(BgL_cz00_3827 & ((long)127))) << 
(int)(((long)7))); 
BgL_accz00_3826 = BgL_accz00_6901; 
goto BgL_loopz00_3825;} } } 
return 
BINT(BgL_tmpz00_6894);} } 

}



/* string-stream-peek-byte */
long BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(obj_t BgL_ipz00_54)
{
{ /* Llib/midi.scm 603 */
return 
(
STRING_REF(
STRUCT_REF(BgL_ipz00_54, 
(int)(((long)0))), 
(long)CINT(
STRUCT_REF(BgL_ipz00_54, 
(int)(((long)1))))));} 

}



/* &string-stream-peek-byte */
obj_t BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2855, obj_t BgL_ipz00_2856)
{
{ /* Llib/midi.scm 603 */
{ /* Llib/midi.scm 605 */
 long BgL_tmpz00_6914;
{ /* Llib/midi.scm 605 */
 obj_t BgL_auxz00_6915;
if(
STRUCTP(BgL_ipz00_2856))
{ /* Llib/midi.scm 605 */
BgL_auxz00_6915 = BgL_ipz00_2856
; }  else 
{ 
 obj_t BgL_auxz00_6918;
BgL_auxz00_6918 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)25284)), BGl_string2805z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_ipz00_2856); 
FAILURE(BgL_auxz00_6918,BFALSE,BFALSE);} 
BgL_tmpz00_6914 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_auxz00_6915); } 
return 
BINT(BgL_tmpz00_6914);} } 

}



/* &string-stream-read-byte */
obj_t BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2857, obj_t BgL_ipz00_2858)
{
{ /* Llib/midi.scm 610 */
{ /* Llib/midi.scm 611 */
 long BgL_tmpz00_6924;
{ /* Llib/midi.scm 611 */
 obj_t BgL_ipz00_3829;
if(
STRUCTP(BgL_ipz00_2858))
{ /* Llib/midi.scm 611 */
BgL_ipz00_3829 = BgL_ipz00_2858; }  else 
{ 
 obj_t BgL_auxz00_6927;
BgL_auxz00_6927 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)25609)), BGl_string2807z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_ipz00_2858); 
FAILURE(BgL_auxz00_6927,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3830;
BgL_bz00_3830 = 
(
STRING_REF(
STRUCT_REF(BgL_ipz00_3829, 
(int)(((long)0))), 
(long)CINT(
STRUCT_REF(BgL_ipz00_3829, 
(int)(((long)1)))))); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2067z00_3831;
BgL_arg2067z00_3831 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3829, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_6944; int BgL_tmpz00_6942;
BgL_auxz00_6944 = 
BINT(BgL_arg2067z00_3831); 
BgL_tmpz00_6942 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3829, BgL_tmpz00_6942, BgL_auxz00_6944); } } 
BgL_tmpz00_6924 = BgL_bz00_3830; } } 
return 
BINT(BgL_tmpz00_6924);} } 

}



/* &string-stream-read-int16 */
obj_t BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2859, obj_t BgL_ipz00_2860)
{
{ /* Llib/midi.scm 618 */
{ /* Llib/midi.scm 619 */
 int32_t BgL_tmpz00_6948;
{ /* Llib/midi.scm 619 */
 obj_t BgL_ipz00_3832;
if(
STRUCTP(BgL_ipz00_2860))
{ /* Llib/midi.scm 619 */
BgL_ipz00_3832 = BgL_ipz00_2860; }  else 
{ 
 obj_t BgL_auxz00_6951;
BgL_auxz00_6951 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)26000)), BGl_string2808z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_ipz00_2860); 
FAILURE(BgL_auxz00_6951,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 619 */
 long BgL_b1z00_3833;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3834;
BgL_bz00_3834 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3832); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2067z00_3835;
BgL_arg2067z00_3835 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3832, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_6962; int BgL_tmpz00_6960;
BgL_auxz00_6962 = 
BINT(BgL_arg2067z00_3835); 
BgL_tmpz00_6960 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3832, BgL_tmpz00_6960, BgL_auxz00_6962); } } 
BgL_b1z00_3833 = BgL_bz00_3834; } 
{ /* Llib/midi.scm 619 */
 long BgL_b0z00_3836;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3837;
BgL_bz00_3837 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3832); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2067z00_3838;
BgL_arg2067z00_3838 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3832, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_6972; int BgL_tmpz00_6970;
BgL_auxz00_6972 = 
BINT(BgL_arg2067z00_3838); 
BgL_tmpz00_6970 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3832, BgL_tmpz00_6970, BgL_auxz00_6972); } } 
BgL_b0z00_3836 = BgL_bz00_3837; } 
{ /* Llib/midi.scm 620 */

{ /* Llib/midi.scm 621 */
 int32_t BgL_arg2069z00_3839; int32_t BgL_arg2070z00_3840;
{ /* Llib/midi.scm 621 */
 int32_t BgL_arg2071z00_3841;
BgL_arg2071z00_3841 = 
(int32_t)(BgL_b1z00_3833); 
BgL_arg2069z00_3839 = 
(BgL_arg2071z00_3841 << 
(int)(((long)8))); } 
BgL_arg2070z00_3840 = 
(int32_t)(BgL_b0z00_3836); 
BgL_tmpz00_6948 = 
(BgL_arg2069z00_3839+BgL_arg2070z00_3840); } } } } } 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6948);} } 

}



/* &string-stream-read-int32 */
obj_t BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2861, obj_t BgL_ipz00_2862)
{
{ /* Llib/midi.scm 626 */
{ /* Llib/midi.scm 627 */
 int32_t BgL_tmpz00_6981;
{ /* Llib/midi.scm 627 */
 obj_t BgL_ipz00_3842;
if(
STRUCTP(BgL_ipz00_2862))
{ /* Llib/midi.scm 627 */
BgL_ipz00_3842 = BgL_ipz00_2862; }  else 
{ 
 obj_t BgL_auxz00_6984;
BgL_auxz00_6984 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)26419)), BGl_string2809z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_ipz00_2862); 
FAILURE(BgL_auxz00_6984,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 627 */
 long BgL_b3z00_3843;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3844;
BgL_bz00_3844 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3842); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2067z00_3845;
BgL_arg2067z00_3845 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3842, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_6995; int BgL_tmpz00_6993;
BgL_auxz00_6995 = 
BINT(BgL_arg2067z00_3845); 
BgL_tmpz00_6993 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3842, BgL_tmpz00_6993, BgL_auxz00_6995); } } 
BgL_b3z00_3843 = BgL_bz00_3844; } 
{ /* Llib/midi.scm 627 */
 long BgL_b2z00_3846;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3847;
BgL_bz00_3847 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3842); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2067z00_3848;
BgL_arg2067z00_3848 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3842, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7005; int BgL_tmpz00_7003;
BgL_auxz00_7005 = 
BINT(BgL_arg2067z00_3848); 
BgL_tmpz00_7003 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3842, BgL_tmpz00_7003, BgL_auxz00_7005); } } 
BgL_b2z00_3846 = BgL_bz00_3847; } 
{ /* Llib/midi.scm 628 */
 long BgL_b1z00_3849;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3850;
BgL_bz00_3850 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3842); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2067z00_3851;
BgL_arg2067z00_3851 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3842, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7015; int BgL_tmpz00_7013;
BgL_auxz00_7015 = 
BINT(BgL_arg2067z00_3851); 
BgL_tmpz00_7013 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3842, BgL_tmpz00_7013, BgL_auxz00_7015); } } 
BgL_b1z00_3849 = BgL_bz00_3850; } 
{ /* Llib/midi.scm 629 */
 long BgL_b0z00_3852;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3853;
BgL_bz00_3853 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3842); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2067z00_3854;
BgL_arg2067z00_3854 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3842, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7025; int BgL_tmpz00_7023;
BgL_auxz00_7025 = 
BINT(BgL_arg2067z00_3854); 
BgL_tmpz00_7023 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3842, BgL_tmpz00_7023, BgL_auxz00_7025); } } 
BgL_b0z00_3852 = BgL_bz00_3853; } 
{ /* Llib/midi.scm 630 */

{ /* Llib/midi.scm 631 */
 int32_t BgL_arg2072z00_3855; int32_t BgL_arg2073z00_3856;
{ /* Llib/midi.scm 631 */
 int32_t BgL_arg2074z00_3857;
BgL_arg2074z00_3857 = 
(int32_t)(BgL_b3z00_3843); 
BgL_arg2072z00_3855 = 
(BgL_arg2074z00_3857 << 
(int)(((long)24))); } 
{ /* Llib/midi.scm 632 */
 int32_t BgL_arg2075z00_3858; int32_t BgL_arg2076z00_3859;
{ /* Llib/midi.scm 632 */
 int32_t BgL_arg2077z00_3860;
BgL_arg2077z00_3860 = 
(int32_t)(BgL_b2z00_3846); 
BgL_arg2075z00_3858 = 
(BgL_arg2077z00_3860 << 
(int)(((long)16))); } 
{ /* Llib/midi.scm 633 */
 int32_t BgL_arg2078z00_3861; int32_t BgL_arg2079z00_3862;
{ /* Llib/midi.scm 633 */
 int32_t BgL_arg2080z00_3863;
BgL_arg2080z00_3863 = 
(int32_t)(BgL_b1z00_3849); 
BgL_arg2078z00_3861 = 
(BgL_arg2080z00_3863 << 
(int)(((long)8))); } 
BgL_arg2079z00_3862 = 
(int32_t)(BgL_b0z00_3852); 
BgL_arg2076z00_3859 = 
(BgL_arg2078z00_3861+BgL_arg2079z00_3862); } 
BgL_arg2073z00_3856 = 
(BgL_arg2075z00_3858+BgL_arg2076z00_3859); } 
BgL_tmpz00_6981 = 
(BgL_arg2072z00_3855+BgL_arg2073z00_3856); } } } } } } } 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6981);} } 

}



/* &string-stream-read-int */
obj_t BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2863, obj_t BgL_lenz00_2864, obj_t BgL_ipz00_2865)
{
{ /* Llib/midi.scm 639 */
{ /* Llib/midi.scm 640 */
 long BgL_tmpz00_7042;
{ /* Llib/midi.scm 640 */
 long BgL_lenz00_3864; obj_t BgL_ipz00_3865;
{ /* Llib/midi.scm 640 */
 obj_t BgL_tmpz00_7043;
if(
INTEGERP(BgL_lenz00_2864))
{ /* Llib/midi.scm 640 */
BgL_tmpz00_7043 = BgL_lenz00_2864
; }  else 
{ 
 obj_t BgL_auxz00_7046;
BgL_auxz00_7046 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)27019)), BGl_string2810z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_lenz00_2864); 
FAILURE(BgL_auxz00_7046,BFALSE,BFALSE);} 
BgL_lenz00_3864 = 
(long)CINT(BgL_tmpz00_7043); } 
if(
STRUCTP(BgL_ipz00_2865))
{ /* Llib/midi.scm 640 */
BgL_ipz00_3865 = BgL_ipz00_2865; }  else 
{ 
 obj_t BgL_auxz00_7053;
BgL_auxz00_7053 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)27019)), BGl_string2810z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_ipz00_2865); 
FAILURE(BgL_auxz00_7053,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 640 */
 long BgL_g1168z00_3866;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3867;
BgL_bz00_3867 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3865); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2067z00_3868;
BgL_arg2067z00_3868 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3865, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7064; int BgL_tmpz00_7062;
BgL_auxz00_7064 = 
BINT(BgL_arg2067z00_3868); 
BgL_tmpz00_7062 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3865, BgL_tmpz00_7062, BgL_auxz00_7064); } } 
BgL_g1168z00_3866 = BgL_bz00_3867; } 
{ 
 long BgL_valz00_3870; long BgL_lenz00_3871;
BgL_valz00_3870 = BgL_g1168z00_3866; 
BgL_lenz00_3871 = BgL_lenz00_3864; 
BgL_loopz00_3869:
if(
(BgL_lenz00_3871==((long)1)))
{ /* Llib/midi.scm 642 */
BgL_tmpz00_7042 = BgL_valz00_3870
; }  else 
{ /* Llib/midi.scm 644 */
 long BgL_arg2083z00_3872; long BgL_arg2084z00_3873;
{ /* Llib/midi.scm 644 */
 long BgL_arg2085z00_3874; long BgL_arg2086z00_3875;
BgL_arg2085z00_3874 = 
(BgL_valz00_3870 << 
(int)(((long)8))); 
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3876;
BgL_bz00_3876 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3865); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2067z00_3877;
BgL_arg2067z00_3877 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3865, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7078; int BgL_tmpz00_7076;
BgL_auxz00_7078 = 
BINT(BgL_arg2067z00_3877); 
BgL_tmpz00_7076 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3865, BgL_tmpz00_7076, BgL_auxz00_7078); } } 
BgL_arg2086z00_3875 = BgL_bz00_3876; } 
BgL_arg2083z00_3872 = 
(BgL_arg2085z00_3874+BgL_arg2086z00_3875); } 
BgL_arg2084z00_3873 = 
(BgL_lenz00_3871-((long)1)); 
{ 
 long BgL_lenz00_7084; long BgL_valz00_7083;
BgL_valz00_7083 = BgL_arg2083z00_3872; 
BgL_lenz00_7084 = BgL_arg2084z00_3873; 
BgL_lenz00_3871 = BgL_lenz00_7084; 
BgL_valz00_3870 = BgL_valz00_7083; 
goto BgL_loopz00_3869;} } } } } 
return 
BINT(BgL_tmpz00_7042);} } 

}



/* &string-stream-read-vlq */
obj_t BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2866, obj_t BgL_ipz00_2867)
{
{ /* Llib/midi.scm 650 */
{ /* Llib/midi.scm 652 */
 long BgL_tmpz00_7086;
{ 
 long BgL_accz00_3879;
BgL_accz00_3879 = ((long)0); 
BgL_loopz00_3878:
{ /* Llib/midi.scm 652 */
 long BgL_cz00_3880;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3881;
BgL_bz00_3881 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(
((obj_t)BgL_ipz00_2867)); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2067z00_3882;
BgL_arg2067z00_3882 = 
(
(long)CINT(
STRUCT_REF(
((obj_t)BgL_ipz00_2867), 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7098; int BgL_auxz00_7096; obj_t BgL_tmpz00_7094;
BgL_auxz00_7098 = 
BINT(BgL_arg2067z00_3882); 
BgL_auxz00_7096 = 
(int)(((long)1)); 
BgL_tmpz00_7094 = 
((obj_t)BgL_ipz00_2867); 
STRUCT_SET(BgL_tmpz00_7094, BgL_auxz00_7096, BgL_auxz00_7098); } } 
BgL_cz00_3880 = BgL_bz00_3881; } 
if(
(BgL_cz00_3880<=((long)127)))
{ /* Llib/midi.scm 653 */
BgL_tmpz00_7086 = 
(BgL_cz00_3880+BgL_accz00_3879)
; }  else 
{ 
 long BgL_accz00_7104;
BgL_accz00_7104 = 
(
(BgL_accz00_3879+
(BgL_cz00_3880 & ((long)127))) << 
(int)(((long)7))); 
BgL_accz00_3879 = BgL_accz00_7104; 
goto BgL_loopz00_3878;} } } 
return 
BINT(BgL_tmpz00_7086);} } 

}



/* &string-stream-read-chars */
obj_t BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2(obj_t BgL_envz00_2868, obj_t BgL_lenz00_2869, obj_t BgL_ipz00_2870)
{
{ /* Llib/midi.scm 660 */
{ /* Llib/midi.scm 661 */
 obj_t BgL_ipz00_3883;
if(
STRUCTP(BgL_ipz00_2870))
{ /* Llib/midi.scm 661 */
BgL_ipz00_3883 = BgL_ipz00_2870; }  else 
{ 
 obj_t BgL_auxz00_7112;
BgL_auxz00_7112 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)27893)), BGl_string2811z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_ipz00_2870); 
FAILURE(BgL_auxz00_7112,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 661 */
 obj_t BgL_sz00_3884;
{ /* Llib/midi.scm 661 */
 obj_t BgL_arg2094z00_3885; obj_t BgL_arg2095z00_3886; obj_t BgL_arg2096z00_3887;
BgL_arg2094z00_3885 = 
STRUCT_REF(BgL_ipz00_3883, 
(int)(((long)0))); 
BgL_arg2095z00_3886 = 
STRUCT_REF(BgL_ipz00_3883, 
(int)(((long)1))); 
{ /* Llib/midi.scm 662 */
 obj_t BgL_a1219z00_3888;
BgL_a1219z00_3888 = 
STRUCT_REF(BgL_ipz00_3883, 
(int)(((long)1))); 
{ /* Llib/midi.scm 662 */
 bool_t BgL_test3417z00_7122;
if(
INTEGERP(BgL_a1219z00_3888))
{ /* Llib/midi.scm 662 */
BgL_test3417z00_7122 = 
INTEGERP(BgL_lenz00_2869)
; }  else 
{ /* Llib/midi.scm 662 */
BgL_test3417z00_7122 = ((bool_t)0)
; } 
if(BgL_test3417z00_7122)
{ /* Llib/midi.scm 662 */
BgL_arg2096z00_3887 = 
ADDFX(BgL_a1219z00_3888, BgL_lenz00_2869); }  else 
{ /* Llib/midi.scm 662 */
BgL_arg2096z00_3887 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1219z00_3888, BgL_lenz00_2869); } } } 
{ /* Llib/midi.scm 661 */
 long BgL_startz00_3889; long BgL_endz00_3890;
BgL_startz00_3889 = 
(long)CINT(BgL_arg2095z00_3886); 
BgL_endz00_3890 = 
(long)CINT(BgL_arg2096z00_3887); 
BgL_sz00_3884 = 
c_substring(
((obj_t)BgL_arg2094z00_3885), BgL_startz00_3889, BgL_endz00_3890); } } 
{ /* Llib/midi.scm 663 */
 obj_t BgL_arg2092z00_3891;
{ /* Llib/midi.scm 663 */
 obj_t BgL_a1220z00_3892;
BgL_a1220z00_3892 = 
STRUCT_REF(BgL_ipz00_3883, 
(int)(((long)1))); 
{ /* Llib/midi.scm 663 */
 bool_t BgL_test3419z00_7134;
if(
INTEGERP(BgL_a1220z00_3892))
{ /* Llib/midi.scm 663 */
BgL_test3419z00_7134 = 
INTEGERP(BgL_lenz00_2869)
; }  else 
{ /* Llib/midi.scm 663 */
BgL_test3419z00_7134 = ((bool_t)0)
; } 
if(BgL_test3419z00_7134)
{ /* Llib/midi.scm 663 */
BgL_arg2092z00_3891 = 
ADDFX(BgL_a1220z00_3892, BgL_lenz00_2869); }  else 
{ /* Llib/midi.scm 663 */
BgL_arg2092z00_3891 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1220z00_3892, BgL_lenz00_2869); } } } 
{ /* Llib/midi.scm 127 */
 int BgL_tmpz00_7140;
BgL_tmpz00_7140 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3883, BgL_tmpz00_7140, BgL_arg2092z00_3891); } } 
return BgL_sz00_3884;} } } 

}



/* midiplayer-cdelay */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_68, BgL_midisinkz00_bglt BgL_msz00_69, long BgL_tickz00_70, BgL_miditrackz00_bglt BgL_trackz00_71, long BgL_ppqz00_72, long BgL_dtz00_73, long BgL_usz00_74)
{
{ /* Llib/midi.scm 993 */
if(
(BgL_dtz00_73>((long)0)))
{ /* Llib/midi.scm 998 */
 obj_t BgL_fun2100z00_2289;
BgL_fun2100z00_2289 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_69))->BgL_usleepz00); 
{ /* Llib/midi.scm 998 */
 long BgL_arg2099z00_2290;
BgL_arg2099z00_2290 = 
(
(
(BgL_dtz00_73*
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_71))->BgL_tempoz00))/BgL_ppqz00_72)-BgL_usz00_74); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2100z00_2289))(BgL_fun2100z00_2289, 
BINT(BgL_arg2099z00_2290), BEOA);} }  else 
{ /* Llib/midi.scm 997 */
return BFALSE;} } 

}



/* &midiplayer-cdelay */
obj_t BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2897, obj_t BgL_mpz00_2898, obj_t BgL_msz00_2899, obj_t BgL_tickz00_2900, obj_t BgL_trackz00_2901, obj_t BgL_ppqz00_2902, obj_t BgL_dtz00_2903, obj_t BgL_usz00_2904)
{
{ /* Llib/midi.scm 993 */
{ /* Llib/midi.scm 995 */
 long BgL_auxz00_7263; long BgL_auxz00_7254; long BgL_auxz00_7245; BgL_miditrackz00_bglt BgL_auxz00_7218; long BgL_auxz00_7209; BgL_midisinkz00_bglt BgL_auxz00_7182; BgL_midiplayerz00_bglt BgL_auxz00_7155;
{ /* Llib/midi.scm 995 */
 obj_t BgL_tmpz00_7264;
if(
INTEGERP(BgL_usz00_2904))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_7264 = BgL_usz00_2904
; }  else 
{ 
 obj_t BgL_auxz00_7267;
BgL_auxz00_7267 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)37738)), BGl_string2812z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_usz00_2904); 
FAILURE(BgL_auxz00_7267,BFALSE,BFALSE);} 
BgL_auxz00_7263 = 
(long)CINT(BgL_tmpz00_7264); } 
{ /* Llib/midi.scm 995 */
 obj_t BgL_tmpz00_7255;
if(
INTEGERP(BgL_dtz00_2903))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_7255 = BgL_dtz00_2903
; }  else 
{ 
 obj_t BgL_auxz00_7258;
BgL_auxz00_7258 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)37738)), BGl_string2812z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_dtz00_2903); 
FAILURE(BgL_auxz00_7258,BFALSE,BFALSE);} 
BgL_auxz00_7254 = 
(long)CINT(BgL_tmpz00_7255); } 
{ /* Llib/midi.scm 995 */
 obj_t BgL_tmpz00_7246;
if(
INTEGERP(BgL_ppqz00_2902))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_7246 = BgL_ppqz00_2902
; }  else 
{ 
 obj_t BgL_auxz00_7249;
BgL_auxz00_7249 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)37738)), BGl_string2812z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_ppqz00_2902); 
FAILURE(BgL_auxz00_7249,BFALSE,BFALSE);} 
BgL_auxz00_7245 = 
(long)CINT(BgL_tmpz00_7246); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_test3433z00_7219;
{ /* Llib/midi.scm 995 */
 obj_t BgL_classz00_3967;
BgL_classz00_3967 = BGl_miditrackz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_trackz00_2901))
{ /* Llib/midi.scm 995 */
 BgL_objectz00_bglt BgL_arg1796z00_3969; long BgL_arg1797z00_3970;
BgL_arg1796z00_3969 = 
(BgL_objectz00_bglt)(BgL_trackz00_2901); 
BgL_arg1797z00_3970 = 
BGL_CLASS_DEPTH(BgL_classz00_3967); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 995 */
 long BgL_idxz00_3978;
BgL_idxz00_3978 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_3969); 
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1788z00_3979;
{ /* Llib/midi.scm 995 */
 long BgL_arg1789z00_3980;
BgL_arg1789z00_3980 = 
(BgL_idxz00_3978+BgL_arg1797z00_3970); 
BgL_arg1788z00_3979 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_3980); } 
BgL_test3433z00_7219 = 
(BgL_arg1788z00_3979==BgL_classz00_3967); } }  else 
{ /* Llib/midi.scm 995 */
 bool_t BgL_res3033z00_4003;
{ /* Llib/midi.scm 995 */
 obj_t BgL_oclassz00_3988;
{ /* Llib/midi.scm 995 */
 long BgL_arg1801z00_3994;
{ /* Llib/midi.scm 995 */
 long BgL_arg1802z00_3995;
BgL_arg1802z00_3995 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_3969); 
BgL_arg1801z00_3994 = 
(BgL_arg1802z00_3995-OBJECT_TYPE); } 
BgL_oclassz00_3988 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_3994); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL__ortest_1110z00_3989;
BgL__ortest_1110z00_3989 = 
(BgL_classz00_3967==BgL_oclassz00_3988); 
if(BgL__ortest_1110z00_3989)
{ /* Llib/midi.scm 995 */
BgL_res3033z00_4003 = BgL__ortest_1110z00_3989; }  else 
{ /* Llib/midi.scm 995 */
 long BgL_odepthz00_3990;
BgL_odepthz00_3990 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3988); 
if(
(BgL_arg1797z00_3970<BgL_odepthz00_3990))
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1790z00_3992;
BgL_arg1790z00_3992 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3988, BgL_arg1797z00_3970); 
BgL_res3033z00_4003 = 
(BgL_arg1790z00_3992==BgL_classz00_3967); }  else 
{ /* Llib/midi.scm 995 */
BgL_res3033z00_4003 = ((bool_t)0); } } } } 
BgL_test3433z00_7219 = BgL_res3033z00_4003; } }  else 
{ /* Llib/midi.scm 995 */
BgL_test3433z00_7219 = ((bool_t)0)
; } } 
if(BgL_test3433z00_7219)
{ /* Llib/midi.scm 995 */
BgL_auxz00_7218 = 
((BgL_miditrackz00_bglt)BgL_trackz00_2901)
; }  else 
{ 
 obj_t BgL_auxz00_7241;
BgL_auxz00_7241 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)37738)), BGl_string2812z00zz__multimediazd2midizd2, BGl_string2813z00zz__multimediazd2midizd2, BgL_trackz00_2901); 
FAILURE(BgL_auxz00_7241,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 995 */
 obj_t BgL_tmpz00_7210;
if(
INTEGERP(BgL_tickz00_2900))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_7210 = BgL_tickz00_2900
; }  else 
{ 
 obj_t BgL_auxz00_7213;
BgL_auxz00_7213 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)37738)), BGl_string2812z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_tickz00_2900); 
FAILURE(BgL_auxz00_7213,BFALSE,BFALSE);} 
BgL_auxz00_7209 = 
(long)CINT(BgL_tmpz00_7210); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_test3427z00_7183;
{ /* Llib/midi.scm 995 */
 obj_t BgL_classz00_3930;
BgL_classz00_3930 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2899))
{ /* Llib/midi.scm 995 */
 BgL_objectz00_bglt BgL_arg1796z00_3932; long BgL_arg1797z00_3933;
BgL_arg1796z00_3932 = 
(BgL_objectz00_bglt)(BgL_msz00_2899); 
BgL_arg1797z00_3933 = 
BGL_CLASS_DEPTH(BgL_classz00_3930); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 995 */
 long BgL_idxz00_3941;
BgL_idxz00_3941 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_3932); 
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1788z00_3942;
{ /* Llib/midi.scm 995 */
 long BgL_arg1789z00_3943;
BgL_arg1789z00_3943 = 
(BgL_idxz00_3941+BgL_arg1797z00_3933); 
BgL_arg1788z00_3942 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_3943); } 
BgL_test3427z00_7183 = 
(BgL_arg1788z00_3942==BgL_classz00_3930); } }  else 
{ /* Llib/midi.scm 995 */
 bool_t BgL_res3032z00_3966;
{ /* Llib/midi.scm 995 */
 obj_t BgL_oclassz00_3951;
{ /* Llib/midi.scm 995 */
 long BgL_arg1801z00_3957;
{ /* Llib/midi.scm 995 */
 long BgL_arg1802z00_3958;
BgL_arg1802z00_3958 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_3932); 
BgL_arg1801z00_3957 = 
(BgL_arg1802z00_3958-OBJECT_TYPE); } 
BgL_oclassz00_3951 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_3957); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL__ortest_1110z00_3952;
BgL__ortest_1110z00_3952 = 
(BgL_classz00_3930==BgL_oclassz00_3951); 
if(BgL__ortest_1110z00_3952)
{ /* Llib/midi.scm 995 */
BgL_res3032z00_3966 = BgL__ortest_1110z00_3952; }  else 
{ /* Llib/midi.scm 995 */
 long BgL_odepthz00_3953;
BgL_odepthz00_3953 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3951); 
if(
(BgL_arg1797z00_3933<BgL_odepthz00_3953))
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1790z00_3955;
BgL_arg1790z00_3955 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3951, BgL_arg1797z00_3933); 
BgL_res3032z00_3966 = 
(BgL_arg1790z00_3955==BgL_classz00_3930); }  else 
{ /* Llib/midi.scm 995 */
BgL_res3032z00_3966 = ((bool_t)0); } } } } 
BgL_test3427z00_7183 = BgL_res3032z00_3966; } }  else 
{ /* Llib/midi.scm 995 */
BgL_test3427z00_7183 = ((bool_t)0)
; } } 
if(BgL_test3427z00_7183)
{ /* Llib/midi.scm 995 */
BgL_auxz00_7182 = 
((BgL_midisinkz00_bglt)BgL_msz00_2899)
; }  else 
{ 
 obj_t BgL_auxz00_7205;
BgL_auxz00_7205 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)37738)), BGl_string2812z00zz__multimediazd2midizd2, BGl_string2793z00zz__multimediazd2midizd2, BgL_msz00_2899); 
FAILURE(BgL_auxz00_7205,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_test3422z00_7156;
{ /* Llib/midi.scm 995 */
 obj_t BgL_classz00_3893;
BgL_classz00_3893 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2898))
{ /* Llib/midi.scm 995 */
 BgL_objectz00_bglt BgL_arg1796z00_3895; long BgL_arg1797z00_3896;
BgL_arg1796z00_3895 = 
(BgL_objectz00_bglt)(BgL_mpz00_2898); 
BgL_arg1797z00_3896 = 
BGL_CLASS_DEPTH(BgL_classz00_3893); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 995 */
 long BgL_idxz00_3904;
BgL_idxz00_3904 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_3895); 
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1788z00_3905;
{ /* Llib/midi.scm 995 */
 long BgL_arg1789z00_3906;
BgL_arg1789z00_3906 = 
(BgL_idxz00_3904+BgL_arg1797z00_3896); 
BgL_arg1788z00_3905 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_3906); } 
BgL_test3422z00_7156 = 
(BgL_arg1788z00_3905==BgL_classz00_3893); } }  else 
{ /* Llib/midi.scm 995 */
 bool_t BgL_res3031z00_3929;
{ /* Llib/midi.scm 995 */
 obj_t BgL_oclassz00_3914;
{ /* Llib/midi.scm 995 */
 long BgL_arg1801z00_3920;
{ /* Llib/midi.scm 995 */
 long BgL_arg1802z00_3921;
BgL_arg1802z00_3921 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_3895); 
BgL_arg1801z00_3920 = 
(BgL_arg1802z00_3921-OBJECT_TYPE); } 
BgL_oclassz00_3914 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_3920); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL__ortest_1110z00_3915;
BgL__ortest_1110z00_3915 = 
(BgL_classz00_3893==BgL_oclassz00_3914); 
if(BgL__ortest_1110z00_3915)
{ /* Llib/midi.scm 995 */
BgL_res3031z00_3929 = BgL__ortest_1110z00_3915; }  else 
{ /* Llib/midi.scm 995 */
 long BgL_odepthz00_3916;
BgL_odepthz00_3916 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3914); 
if(
(BgL_arg1797z00_3896<BgL_odepthz00_3916))
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1790z00_3918;
BgL_arg1790z00_3918 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3914, BgL_arg1797z00_3896); 
BgL_res3031z00_3929 = 
(BgL_arg1790z00_3918==BgL_classz00_3893); }  else 
{ /* Llib/midi.scm 995 */
BgL_res3031z00_3929 = ((bool_t)0); } } } } 
BgL_test3422z00_7156 = BgL_res3031z00_3929; } }  else 
{ /* Llib/midi.scm 995 */
BgL_test3422z00_7156 = ((bool_t)0)
; } } 
if(BgL_test3422z00_7156)
{ /* Llib/midi.scm 995 */
BgL_auxz00_7155 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2898)
; }  else 
{ 
 obj_t BgL_auxz00_7178;
BgL_auxz00_7178 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)37738)), BGl_string2812z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_mpz00_2898); 
FAILURE(BgL_auxz00_7178,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_auxz00_7155, BgL_auxz00_7182, BgL_auxz00_7209, BgL_auxz00_7218, BgL_auxz00_7245, BgL_auxz00_7254, BgL_auxz00_7263);} } 

}



/* midiplayer-ignore */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2ignorezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_75, BgL_midisinkz00_bglt BgL_msz00_76, long BgL_tickz00_77, obj_t BgL_objz00_78)
{
{ /* Llib/midi.scm 1003 */
return BUNSPEC;} 

}



/* &midiplayer-ignore */
obj_t BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2905, obj_t BgL_mpz00_2906, obj_t BgL_msz00_2907, obj_t BgL_tickz00_2908, obj_t BgL_objz00_2909)
{
{ /* Llib/midi.scm 1003 */
{ /* Llib/midi.scm 1003 */
 BgL_midiplayerz00_bglt BgL_mpz00_4078; BgL_midisinkz00_bglt BgL_msz00_4079; long BgL_tickz00_4080;
{ /* Llib/midi.scm 1003 */
 bool_t BgL_test3441z00_7273;
{ /* Llib/midi.scm 1003 */
 obj_t BgL_classz00_4004;
BgL_classz00_4004 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2906))
{ /* Llib/midi.scm 1003 */
 BgL_objectz00_bglt BgL_arg1796z00_4006; long BgL_arg1797z00_4007;
BgL_arg1796z00_4006 = 
(BgL_objectz00_bglt)(BgL_mpz00_2906); 
BgL_arg1797z00_4007 = 
BGL_CLASS_DEPTH(BgL_classz00_4004); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1003 */
 long BgL_idxz00_4015;
BgL_idxz00_4015 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4006); 
{ /* Llib/midi.scm 1003 */
 obj_t BgL_arg1788z00_4016;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1789z00_4017;
BgL_arg1789z00_4017 = 
(BgL_idxz00_4015+BgL_arg1797z00_4007); 
BgL_arg1788z00_4016 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4017); } 
BgL_test3441z00_7273 = 
(BgL_arg1788z00_4016==BgL_classz00_4004); } }  else 
{ /* Llib/midi.scm 1003 */
 bool_t BgL_res3034z00_4040;
{ /* Llib/midi.scm 1003 */
 obj_t BgL_oclassz00_4025;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1801z00_4031;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1802z00_4032;
BgL_arg1802z00_4032 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4006); 
BgL_arg1801z00_4031 = 
(BgL_arg1802z00_4032-OBJECT_TYPE); } 
BgL_oclassz00_4025 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4031); } 
{ /* Llib/midi.scm 1003 */
 bool_t BgL__ortest_1110z00_4026;
BgL__ortest_1110z00_4026 = 
(BgL_classz00_4004==BgL_oclassz00_4025); 
if(BgL__ortest_1110z00_4026)
{ /* Llib/midi.scm 1003 */
BgL_res3034z00_4040 = BgL__ortest_1110z00_4026; }  else 
{ /* Llib/midi.scm 1003 */
 long BgL_odepthz00_4027;
BgL_odepthz00_4027 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4025); 
if(
(BgL_arg1797z00_4007<BgL_odepthz00_4027))
{ /* Llib/midi.scm 1003 */
 obj_t BgL_arg1790z00_4029;
BgL_arg1790z00_4029 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4025, BgL_arg1797z00_4007); 
BgL_res3034z00_4040 = 
(BgL_arg1790z00_4029==BgL_classz00_4004); }  else 
{ /* Llib/midi.scm 1003 */
BgL_res3034z00_4040 = ((bool_t)0); } } } } 
BgL_test3441z00_7273 = BgL_res3034z00_4040; } }  else 
{ /* Llib/midi.scm 1003 */
BgL_test3441z00_7273 = ((bool_t)0)
; } } 
if(BgL_test3441z00_7273)
{ /* Llib/midi.scm 1003 */
BgL_mpz00_4078 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2906); }  else 
{ 
 obj_t BgL_auxz00_7295;
BgL_auxz00_7295 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)38116)), BGl_string2814z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_mpz00_2906); 
FAILURE(BgL_auxz00_7295,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1003 */
 bool_t BgL_test3446z00_7299;
{ /* Llib/midi.scm 1003 */
 obj_t BgL_classz00_4041;
BgL_classz00_4041 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2907))
{ /* Llib/midi.scm 1003 */
 BgL_objectz00_bglt BgL_arg1796z00_4043; long BgL_arg1797z00_4044;
BgL_arg1796z00_4043 = 
(BgL_objectz00_bglt)(BgL_msz00_2907); 
BgL_arg1797z00_4044 = 
BGL_CLASS_DEPTH(BgL_classz00_4041); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1003 */
 long BgL_idxz00_4052;
BgL_idxz00_4052 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4043); 
{ /* Llib/midi.scm 1003 */
 obj_t BgL_arg1788z00_4053;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1789z00_4054;
BgL_arg1789z00_4054 = 
(BgL_idxz00_4052+BgL_arg1797z00_4044); 
BgL_arg1788z00_4053 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4054); } 
BgL_test3446z00_7299 = 
(BgL_arg1788z00_4053==BgL_classz00_4041); } }  else 
{ /* Llib/midi.scm 1003 */
 bool_t BgL_res3035z00_4077;
{ /* Llib/midi.scm 1003 */
 obj_t BgL_oclassz00_4062;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1801z00_4068;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1802z00_4069;
BgL_arg1802z00_4069 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4043); 
BgL_arg1801z00_4068 = 
(BgL_arg1802z00_4069-OBJECT_TYPE); } 
BgL_oclassz00_4062 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4068); } 
{ /* Llib/midi.scm 1003 */
 bool_t BgL__ortest_1110z00_4063;
BgL__ortest_1110z00_4063 = 
(BgL_classz00_4041==BgL_oclassz00_4062); 
if(BgL__ortest_1110z00_4063)
{ /* Llib/midi.scm 1003 */
BgL_res3035z00_4077 = BgL__ortest_1110z00_4063; }  else 
{ /* Llib/midi.scm 1003 */
 long BgL_odepthz00_4064;
BgL_odepthz00_4064 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4062); 
if(
(BgL_arg1797z00_4044<BgL_odepthz00_4064))
{ /* Llib/midi.scm 1003 */
 obj_t BgL_arg1790z00_4066;
BgL_arg1790z00_4066 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4062, BgL_arg1797z00_4044); 
BgL_res3035z00_4077 = 
(BgL_arg1790z00_4066==BgL_classz00_4041); }  else 
{ /* Llib/midi.scm 1003 */
BgL_res3035z00_4077 = ((bool_t)0); } } } } 
BgL_test3446z00_7299 = BgL_res3035z00_4077; } }  else 
{ /* Llib/midi.scm 1003 */
BgL_test3446z00_7299 = ((bool_t)0)
; } } 
if(BgL_test3446z00_7299)
{ /* Llib/midi.scm 1003 */
BgL_msz00_4079 = 
((BgL_midisinkz00_bglt)BgL_msz00_2907); }  else 
{ 
 obj_t BgL_auxz00_7321;
BgL_auxz00_7321 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)38116)), BGl_string2814z00zz__multimediazd2midizd2, BGl_string2793z00zz__multimediazd2midizd2, BgL_msz00_2907); 
FAILURE(BgL_auxz00_7321,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1003 */
 obj_t BgL_tmpz00_7325;
if(
INTEGERP(BgL_tickz00_2908))
{ /* Llib/midi.scm 1003 */
BgL_tmpz00_7325 = BgL_tickz00_2908
; }  else 
{ 
 obj_t BgL_auxz00_7328;
BgL_auxz00_7328 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)38116)), BGl_string2814z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_tickz00_2908); 
FAILURE(BgL_auxz00_7328,BFALSE,BFALSE);} 
BgL_tickz00_4080 = 
(long)CINT(BgL_tmpz00_7325); } 
return BUNSPEC;} } 

}



/* midiplayer-noteoff */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_88, BgL_midisinkz00_bglt BgL_msz00_89, long BgL_tickz00_90, long BgL_nnz00_91, long BgL_kkz00_92, long BgL_vvz00_93)
{
{ /* Llib/midi.scm 1026 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2110z00_2324;
BgL_fun2110z00_2324 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2108z00_2325; long BgL_arg2109z00_2326;
BgL_arg2108z00_2325 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
BgL_arg2109z00_2326 = 
(((long)128) | BgL_nnz00_91); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2110z00_2324))(BgL_fun2110z00_2324, BgL_arg2108z00_2325, 
BINT(BgL_arg2109z00_2326), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2112z00_2327;
BgL_fun2112z00_2327 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2111z00_2328;
BgL_arg2111z00_2328 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2112z00_2327))(BgL_fun2112z00_2327, BgL_arg2111z00_2328, 
BINT(BgL_kkz00_92), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2114z00_2329;
BgL_fun2114z00_2329 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2113z00_2330;
BgL_arg2113z00_2330 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2114z00_2329))(BgL_fun2114z00_2329, BgL_arg2113z00_2330, 
BINT(BgL_vvz00_93), BEOA);} } } 

}



/* &midiplayer-noteoff */
obj_t BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2910, obj_t BgL_mpz00_2911, obj_t BgL_msz00_2912, obj_t BgL_tickz00_2913, obj_t BgL_nnz00_2914, obj_t BgL_kkz00_2915, obj_t BgL_vvz00_2916)
{
{ /* Llib/midi.scm 1026 */
{ /* Llib/midi.scm 1028 */
 long BgL_auxz00_7439; long BgL_auxz00_7430; long BgL_auxz00_7421; long BgL_auxz00_7412; BgL_midisinkz00_bglt BgL_auxz00_7385; BgL_midiplayerz00_bglt BgL_auxz00_7358;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_tmpz00_7440;
if(
INTEGERP(BgL_vvz00_2916))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_7440 = BgL_vvz00_2916
; }  else 
{ 
 obj_t BgL_auxz00_7443;
BgL_auxz00_7443 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)39391)), BGl_string2815z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_vvz00_2916); 
FAILURE(BgL_auxz00_7443,BFALSE,BFALSE);} 
BgL_auxz00_7439 = 
(long)CINT(BgL_tmpz00_7440); } 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_tmpz00_7431;
if(
INTEGERP(BgL_kkz00_2915))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_7431 = BgL_kkz00_2915
; }  else 
{ 
 obj_t BgL_auxz00_7434;
BgL_auxz00_7434 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)39391)), BGl_string2815z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_kkz00_2915); 
FAILURE(BgL_auxz00_7434,BFALSE,BFALSE);} 
BgL_auxz00_7430 = 
(long)CINT(BgL_tmpz00_7431); } 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_tmpz00_7422;
if(
INTEGERP(BgL_nnz00_2914))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_7422 = BgL_nnz00_2914
; }  else 
{ 
 obj_t BgL_auxz00_7425;
BgL_auxz00_7425 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)39391)), BGl_string2815z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_nnz00_2914); 
FAILURE(BgL_auxz00_7425,BFALSE,BFALSE);} 
BgL_auxz00_7421 = 
(long)CINT(BgL_tmpz00_7422); } 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_tmpz00_7413;
if(
INTEGERP(BgL_tickz00_2913))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_7413 = BgL_tickz00_2913
; }  else 
{ 
 obj_t BgL_auxz00_7416;
BgL_auxz00_7416 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)39391)), BGl_string2815z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_tickz00_2913); 
FAILURE(BgL_auxz00_7416,BFALSE,BFALSE);} 
BgL_auxz00_7412 = 
(long)CINT(BgL_tmpz00_7413); } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_test3457z00_7386;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_classz00_4118;
BgL_classz00_4118 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2912))
{ /* Llib/midi.scm 1028 */
 BgL_objectz00_bglt BgL_arg1796z00_4120; long BgL_arg1797z00_4121;
BgL_arg1796z00_4120 = 
(BgL_objectz00_bglt)(BgL_msz00_2912); 
BgL_arg1797z00_4121 = 
BGL_CLASS_DEPTH(BgL_classz00_4118); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1028 */
 long BgL_idxz00_4129;
BgL_idxz00_4129 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4120); 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_arg1788z00_4130;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1789z00_4131;
BgL_arg1789z00_4131 = 
(BgL_idxz00_4129+BgL_arg1797z00_4121); 
BgL_arg1788z00_4130 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4131); } 
BgL_test3457z00_7386 = 
(BgL_arg1788z00_4130==BgL_classz00_4118); } }  else 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_res3037z00_4154;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_oclassz00_4139;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1801z00_4145;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1802z00_4146;
BgL_arg1802z00_4146 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4120); 
BgL_arg1801z00_4145 = 
(BgL_arg1802z00_4146-OBJECT_TYPE); } 
BgL_oclassz00_4139 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4145); } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL__ortest_1110z00_4140;
BgL__ortest_1110z00_4140 = 
(BgL_classz00_4118==BgL_oclassz00_4139); 
if(BgL__ortest_1110z00_4140)
{ /* Llib/midi.scm 1028 */
BgL_res3037z00_4154 = BgL__ortest_1110z00_4140; }  else 
{ /* Llib/midi.scm 1028 */
 long BgL_odepthz00_4141;
BgL_odepthz00_4141 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4139); 
if(
(BgL_arg1797z00_4121<BgL_odepthz00_4141))
{ /* Llib/midi.scm 1028 */
 obj_t BgL_arg1790z00_4143;
BgL_arg1790z00_4143 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4139, BgL_arg1797z00_4121); 
BgL_res3037z00_4154 = 
(BgL_arg1790z00_4143==BgL_classz00_4118); }  else 
{ /* Llib/midi.scm 1028 */
BgL_res3037z00_4154 = ((bool_t)0); } } } } 
BgL_test3457z00_7386 = BgL_res3037z00_4154; } }  else 
{ /* Llib/midi.scm 1028 */
BgL_test3457z00_7386 = ((bool_t)0)
; } } 
if(BgL_test3457z00_7386)
{ /* Llib/midi.scm 1028 */
BgL_auxz00_7385 = 
((BgL_midisinkz00_bglt)BgL_msz00_2912)
; }  else 
{ 
 obj_t BgL_auxz00_7408;
BgL_auxz00_7408 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)39391)), BGl_string2815z00zz__multimediazd2midizd2, BGl_string2793z00zz__multimediazd2midizd2, BgL_msz00_2912); 
FAILURE(BgL_auxz00_7408,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_test3452z00_7359;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_classz00_4081;
BgL_classz00_4081 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2911))
{ /* Llib/midi.scm 1028 */
 BgL_objectz00_bglt BgL_arg1796z00_4083; long BgL_arg1797z00_4084;
BgL_arg1796z00_4083 = 
(BgL_objectz00_bglt)(BgL_mpz00_2911); 
BgL_arg1797z00_4084 = 
BGL_CLASS_DEPTH(BgL_classz00_4081); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1028 */
 long BgL_idxz00_4092;
BgL_idxz00_4092 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4083); 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_arg1788z00_4093;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1789z00_4094;
BgL_arg1789z00_4094 = 
(BgL_idxz00_4092+BgL_arg1797z00_4084); 
BgL_arg1788z00_4093 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4094); } 
BgL_test3452z00_7359 = 
(BgL_arg1788z00_4093==BgL_classz00_4081); } }  else 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_res3036z00_4117;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_oclassz00_4102;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1801z00_4108;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1802z00_4109;
BgL_arg1802z00_4109 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4083); 
BgL_arg1801z00_4108 = 
(BgL_arg1802z00_4109-OBJECT_TYPE); } 
BgL_oclassz00_4102 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4108); } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL__ortest_1110z00_4103;
BgL__ortest_1110z00_4103 = 
(BgL_classz00_4081==BgL_oclassz00_4102); 
if(BgL__ortest_1110z00_4103)
{ /* Llib/midi.scm 1028 */
BgL_res3036z00_4117 = BgL__ortest_1110z00_4103; }  else 
{ /* Llib/midi.scm 1028 */
 long BgL_odepthz00_4104;
BgL_odepthz00_4104 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4102); 
if(
(BgL_arg1797z00_4084<BgL_odepthz00_4104))
{ /* Llib/midi.scm 1028 */
 obj_t BgL_arg1790z00_4106;
BgL_arg1790z00_4106 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4102, BgL_arg1797z00_4084); 
BgL_res3036z00_4117 = 
(BgL_arg1790z00_4106==BgL_classz00_4081); }  else 
{ /* Llib/midi.scm 1028 */
BgL_res3036z00_4117 = ((bool_t)0); } } } } 
BgL_test3452z00_7359 = BgL_res3036z00_4117; } }  else 
{ /* Llib/midi.scm 1028 */
BgL_test3452z00_7359 = ((bool_t)0)
; } } 
if(BgL_test3452z00_7359)
{ /* Llib/midi.scm 1028 */
BgL_auxz00_7358 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2911)
; }  else 
{ 
 obj_t BgL_auxz00_7381;
BgL_auxz00_7381 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)39391)), BGl_string2815z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_mpz00_2911); 
FAILURE(BgL_auxz00_7381,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_auxz00_7358, BgL_auxz00_7385, BgL_auxz00_7412, BgL_auxz00_7421, BgL_auxz00_7430, BgL_auxz00_7439);} } 

}



/* midiplayer-noteon */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_94, BgL_midisinkz00_bglt BgL_msz00_95, long BgL_tickz00_96, long BgL_nnz00_97, long BgL_kkz00_98, long BgL_vvz00_99)
{
{ /* Llib/midi.scm 1033 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2110z00_2337;
BgL_fun2110z00_2337 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2108z00_2338; long BgL_arg2109z00_2339;
BgL_arg2108z00_2338 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
BgL_arg2109z00_2339 = 
(((long)144) | BgL_nnz00_97); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2110z00_2337))(BgL_fun2110z00_2337, BgL_arg2108z00_2338, 
BINT(BgL_arg2109z00_2339), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2112z00_2340;
BgL_fun2112z00_2340 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2111z00_2341;
BgL_arg2111z00_2341 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2112z00_2340))(BgL_fun2112z00_2340, BgL_arg2111z00_2341, 
BINT(BgL_kkz00_98), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2114z00_2342;
BgL_fun2114z00_2342 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2113z00_2343;
BgL_arg2113z00_2343 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2114z00_2342))(BgL_fun2114z00_2342, BgL_arg2113z00_2343, 
BINT(BgL_vvz00_99), BEOA);} } } 

}



/* &midiplayer-noteon */
obj_t BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2917, obj_t BgL_mpz00_2918, obj_t BgL_msz00_2919, obj_t BgL_tickz00_2920, obj_t BgL_nnz00_2921, obj_t BgL_kkz00_2922, obj_t BgL_vvz00_2923)
{
{ /* Llib/midi.scm 1033 */
{ /* Llib/midi.scm 1035 */
 long BgL_auxz00_7555; long BgL_auxz00_7546; long BgL_auxz00_7537; long BgL_auxz00_7528; BgL_midisinkz00_bglt BgL_auxz00_7501; BgL_midiplayerz00_bglt BgL_auxz00_7474;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_tmpz00_7556;
if(
INTEGERP(BgL_vvz00_2923))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_7556 = BgL_vvz00_2923
; }  else 
{ 
 obj_t BgL_auxz00_7559;
BgL_auxz00_7559 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)39751)), BGl_string2816z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_vvz00_2923); 
FAILURE(BgL_auxz00_7559,BFALSE,BFALSE);} 
BgL_auxz00_7555 = 
(long)CINT(BgL_tmpz00_7556); } 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_tmpz00_7547;
if(
INTEGERP(BgL_kkz00_2922))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_7547 = BgL_kkz00_2922
; }  else 
{ 
 obj_t BgL_auxz00_7550;
BgL_auxz00_7550 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)39751)), BGl_string2816z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_kkz00_2922); 
FAILURE(BgL_auxz00_7550,BFALSE,BFALSE);} 
BgL_auxz00_7546 = 
(long)CINT(BgL_tmpz00_7547); } 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_tmpz00_7538;
if(
INTEGERP(BgL_nnz00_2921))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_7538 = BgL_nnz00_2921
; }  else 
{ 
 obj_t BgL_auxz00_7541;
BgL_auxz00_7541 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)39751)), BGl_string2816z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_nnz00_2921); 
FAILURE(BgL_auxz00_7541,BFALSE,BFALSE);} 
BgL_auxz00_7537 = 
(long)CINT(BgL_tmpz00_7538); } 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_tmpz00_7529;
if(
INTEGERP(BgL_tickz00_2920))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_7529 = BgL_tickz00_2920
; }  else 
{ 
 obj_t BgL_auxz00_7532;
BgL_auxz00_7532 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)39751)), BGl_string2816z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_tickz00_2920); 
FAILURE(BgL_auxz00_7532,BFALSE,BFALSE);} 
BgL_auxz00_7528 = 
(long)CINT(BgL_tmpz00_7529); } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_test3471z00_7502;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_classz00_4192;
BgL_classz00_4192 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2919))
{ /* Llib/midi.scm 1035 */
 BgL_objectz00_bglt BgL_arg1796z00_4194; long BgL_arg1797z00_4195;
BgL_arg1796z00_4194 = 
(BgL_objectz00_bglt)(BgL_msz00_2919); 
BgL_arg1797z00_4195 = 
BGL_CLASS_DEPTH(BgL_classz00_4192); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1035 */
 long BgL_idxz00_4203;
BgL_idxz00_4203 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4194); 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_arg1788z00_4204;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1789z00_4205;
BgL_arg1789z00_4205 = 
(BgL_idxz00_4203+BgL_arg1797z00_4195); 
BgL_arg1788z00_4204 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4205); } 
BgL_test3471z00_7502 = 
(BgL_arg1788z00_4204==BgL_classz00_4192); } }  else 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_res3039z00_4228;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_oclassz00_4213;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1801z00_4219;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1802z00_4220;
BgL_arg1802z00_4220 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4194); 
BgL_arg1801z00_4219 = 
(BgL_arg1802z00_4220-OBJECT_TYPE); } 
BgL_oclassz00_4213 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4219); } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL__ortest_1110z00_4214;
BgL__ortest_1110z00_4214 = 
(BgL_classz00_4192==BgL_oclassz00_4213); 
if(BgL__ortest_1110z00_4214)
{ /* Llib/midi.scm 1035 */
BgL_res3039z00_4228 = BgL__ortest_1110z00_4214; }  else 
{ /* Llib/midi.scm 1035 */
 long BgL_odepthz00_4215;
BgL_odepthz00_4215 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4213); 
if(
(BgL_arg1797z00_4195<BgL_odepthz00_4215))
{ /* Llib/midi.scm 1035 */
 obj_t BgL_arg1790z00_4217;
BgL_arg1790z00_4217 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4213, BgL_arg1797z00_4195); 
BgL_res3039z00_4228 = 
(BgL_arg1790z00_4217==BgL_classz00_4192); }  else 
{ /* Llib/midi.scm 1035 */
BgL_res3039z00_4228 = ((bool_t)0); } } } } 
BgL_test3471z00_7502 = BgL_res3039z00_4228; } }  else 
{ /* Llib/midi.scm 1035 */
BgL_test3471z00_7502 = ((bool_t)0)
; } } 
if(BgL_test3471z00_7502)
{ /* Llib/midi.scm 1035 */
BgL_auxz00_7501 = 
((BgL_midisinkz00_bglt)BgL_msz00_2919)
; }  else 
{ 
 obj_t BgL_auxz00_7524;
BgL_auxz00_7524 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)39751)), BGl_string2816z00zz__multimediazd2midizd2, BGl_string2793z00zz__multimediazd2midizd2, BgL_msz00_2919); 
FAILURE(BgL_auxz00_7524,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_test3466z00_7475;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_classz00_4155;
BgL_classz00_4155 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2918))
{ /* Llib/midi.scm 1035 */
 BgL_objectz00_bglt BgL_arg1796z00_4157; long BgL_arg1797z00_4158;
BgL_arg1796z00_4157 = 
(BgL_objectz00_bglt)(BgL_mpz00_2918); 
BgL_arg1797z00_4158 = 
BGL_CLASS_DEPTH(BgL_classz00_4155); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1035 */
 long BgL_idxz00_4166;
BgL_idxz00_4166 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4157); 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_arg1788z00_4167;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1789z00_4168;
BgL_arg1789z00_4168 = 
(BgL_idxz00_4166+BgL_arg1797z00_4158); 
BgL_arg1788z00_4167 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4168); } 
BgL_test3466z00_7475 = 
(BgL_arg1788z00_4167==BgL_classz00_4155); } }  else 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_res3038z00_4191;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_oclassz00_4176;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1801z00_4182;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1802z00_4183;
BgL_arg1802z00_4183 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4157); 
BgL_arg1801z00_4182 = 
(BgL_arg1802z00_4183-OBJECT_TYPE); } 
BgL_oclassz00_4176 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4182); } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL__ortest_1110z00_4177;
BgL__ortest_1110z00_4177 = 
(BgL_classz00_4155==BgL_oclassz00_4176); 
if(BgL__ortest_1110z00_4177)
{ /* Llib/midi.scm 1035 */
BgL_res3038z00_4191 = BgL__ortest_1110z00_4177; }  else 
{ /* Llib/midi.scm 1035 */
 long BgL_odepthz00_4178;
BgL_odepthz00_4178 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4176); 
if(
(BgL_arg1797z00_4158<BgL_odepthz00_4178))
{ /* Llib/midi.scm 1035 */
 obj_t BgL_arg1790z00_4180;
BgL_arg1790z00_4180 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4176, BgL_arg1797z00_4158); 
BgL_res3038z00_4191 = 
(BgL_arg1790z00_4180==BgL_classz00_4155); }  else 
{ /* Llib/midi.scm 1035 */
BgL_res3038z00_4191 = ((bool_t)0); } } } } 
BgL_test3466z00_7475 = BgL_res3038z00_4191; } }  else 
{ /* Llib/midi.scm 1035 */
BgL_test3466z00_7475 = ((bool_t)0)
; } } 
if(BgL_test3466z00_7475)
{ /* Llib/midi.scm 1035 */
BgL_auxz00_7474 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2918)
; }  else 
{ 
 obj_t BgL_auxz00_7497;
BgL_auxz00_7497 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)39751)), BGl_string2816z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_mpz00_2918); 
FAILURE(BgL_auxz00_7497,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_auxz00_7474, BgL_auxz00_7501, BgL_auxz00_7528, BgL_auxz00_7537, BgL_auxz00_7546, BgL_auxz00_7555);} } 

}



/* midiplayer-aftertouch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_100, BgL_midisinkz00_bglt BgL_msz00_101, long BgL_tickz00_102, long BgL_nnz00_103, long BgL_kkz00_104, long BgL_vvz00_105)
{
{ /* Llib/midi.scm 1040 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2110z00_2350;
BgL_fun2110z00_2350 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2108z00_2351; long BgL_arg2109z00_2352;
BgL_arg2108z00_2351 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
BgL_arg2109z00_2352 = 
(((long)160) | BgL_nnz00_103); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2110z00_2350))(BgL_fun2110z00_2350, BgL_arg2108z00_2351, 
BINT(BgL_arg2109z00_2352), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2112z00_2353;
BgL_fun2112z00_2353 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2111z00_2354;
BgL_arg2111z00_2354 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2112z00_2353))(BgL_fun2112z00_2353, BgL_arg2111z00_2354, 
BINT(BgL_kkz00_104), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2114z00_2355;
BgL_fun2114z00_2355 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2113z00_2356;
BgL_arg2113z00_2356 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2114z00_2355))(BgL_fun2114z00_2355, BgL_arg2113z00_2356, 
BINT(BgL_vvz00_105), BEOA);} } } 

}



/* &midiplayer-aftertouch */
obj_t BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2924, obj_t BgL_mpz00_2925, obj_t BgL_msz00_2926, obj_t BgL_tickz00_2927, obj_t BgL_nnz00_2928, obj_t BgL_kkz00_2929, obj_t BgL_vvz00_2930)
{
{ /* Llib/midi.scm 1040 */
{ /* Llib/midi.scm 1042 */
 long BgL_auxz00_7671; long BgL_auxz00_7662; long BgL_auxz00_7653; long BgL_auxz00_7644; BgL_midisinkz00_bglt BgL_auxz00_7617; BgL_midiplayerz00_bglt BgL_auxz00_7590;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_tmpz00_7672;
if(
INTEGERP(BgL_vvz00_2930))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_7672 = BgL_vvz00_2930
; }  else 
{ 
 obj_t BgL_auxz00_7675;
BgL_auxz00_7675 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40115)), BGl_string2817z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_vvz00_2930); 
FAILURE(BgL_auxz00_7675,BFALSE,BFALSE);} 
BgL_auxz00_7671 = 
(long)CINT(BgL_tmpz00_7672); } 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_tmpz00_7663;
if(
INTEGERP(BgL_kkz00_2929))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_7663 = BgL_kkz00_2929
; }  else 
{ 
 obj_t BgL_auxz00_7666;
BgL_auxz00_7666 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40115)), BGl_string2817z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_kkz00_2929); 
FAILURE(BgL_auxz00_7666,BFALSE,BFALSE);} 
BgL_auxz00_7662 = 
(long)CINT(BgL_tmpz00_7663); } 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_tmpz00_7654;
if(
INTEGERP(BgL_nnz00_2928))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_7654 = BgL_nnz00_2928
; }  else 
{ 
 obj_t BgL_auxz00_7657;
BgL_auxz00_7657 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40115)), BGl_string2817z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_nnz00_2928); 
FAILURE(BgL_auxz00_7657,BFALSE,BFALSE);} 
BgL_auxz00_7653 = 
(long)CINT(BgL_tmpz00_7654); } 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_tmpz00_7645;
if(
INTEGERP(BgL_tickz00_2927))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_7645 = BgL_tickz00_2927
; }  else 
{ 
 obj_t BgL_auxz00_7648;
BgL_auxz00_7648 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40115)), BGl_string2817z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_tickz00_2927); 
FAILURE(BgL_auxz00_7648,BFALSE,BFALSE);} 
BgL_auxz00_7644 = 
(long)CINT(BgL_tmpz00_7645); } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_test3485z00_7618;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_classz00_4266;
BgL_classz00_4266 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2926))
{ /* Llib/midi.scm 1042 */
 BgL_objectz00_bglt BgL_arg1796z00_4268; long BgL_arg1797z00_4269;
BgL_arg1796z00_4268 = 
(BgL_objectz00_bglt)(BgL_msz00_2926); 
BgL_arg1797z00_4269 = 
BGL_CLASS_DEPTH(BgL_classz00_4266); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1042 */
 long BgL_idxz00_4277;
BgL_idxz00_4277 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4268); 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_arg1788z00_4278;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1789z00_4279;
BgL_arg1789z00_4279 = 
(BgL_idxz00_4277+BgL_arg1797z00_4269); 
BgL_arg1788z00_4278 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4279); } 
BgL_test3485z00_7618 = 
(BgL_arg1788z00_4278==BgL_classz00_4266); } }  else 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_res3041z00_4302;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_oclassz00_4287;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1801z00_4293;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1802z00_4294;
BgL_arg1802z00_4294 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4268); 
BgL_arg1801z00_4293 = 
(BgL_arg1802z00_4294-OBJECT_TYPE); } 
BgL_oclassz00_4287 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4293); } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL__ortest_1110z00_4288;
BgL__ortest_1110z00_4288 = 
(BgL_classz00_4266==BgL_oclassz00_4287); 
if(BgL__ortest_1110z00_4288)
{ /* Llib/midi.scm 1042 */
BgL_res3041z00_4302 = BgL__ortest_1110z00_4288; }  else 
{ /* Llib/midi.scm 1042 */
 long BgL_odepthz00_4289;
BgL_odepthz00_4289 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4287); 
if(
(BgL_arg1797z00_4269<BgL_odepthz00_4289))
{ /* Llib/midi.scm 1042 */
 obj_t BgL_arg1790z00_4291;
BgL_arg1790z00_4291 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4287, BgL_arg1797z00_4269); 
BgL_res3041z00_4302 = 
(BgL_arg1790z00_4291==BgL_classz00_4266); }  else 
{ /* Llib/midi.scm 1042 */
BgL_res3041z00_4302 = ((bool_t)0); } } } } 
BgL_test3485z00_7618 = BgL_res3041z00_4302; } }  else 
{ /* Llib/midi.scm 1042 */
BgL_test3485z00_7618 = ((bool_t)0)
; } } 
if(BgL_test3485z00_7618)
{ /* Llib/midi.scm 1042 */
BgL_auxz00_7617 = 
((BgL_midisinkz00_bglt)BgL_msz00_2926)
; }  else 
{ 
 obj_t BgL_auxz00_7640;
BgL_auxz00_7640 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40115)), BGl_string2817z00zz__multimediazd2midizd2, BGl_string2793z00zz__multimediazd2midizd2, BgL_msz00_2926); 
FAILURE(BgL_auxz00_7640,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_test3480z00_7591;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_classz00_4229;
BgL_classz00_4229 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2925))
{ /* Llib/midi.scm 1042 */
 BgL_objectz00_bglt BgL_arg1796z00_4231; long BgL_arg1797z00_4232;
BgL_arg1796z00_4231 = 
(BgL_objectz00_bglt)(BgL_mpz00_2925); 
BgL_arg1797z00_4232 = 
BGL_CLASS_DEPTH(BgL_classz00_4229); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1042 */
 long BgL_idxz00_4240;
BgL_idxz00_4240 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4231); 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_arg1788z00_4241;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1789z00_4242;
BgL_arg1789z00_4242 = 
(BgL_idxz00_4240+BgL_arg1797z00_4232); 
BgL_arg1788z00_4241 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4242); } 
BgL_test3480z00_7591 = 
(BgL_arg1788z00_4241==BgL_classz00_4229); } }  else 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_res3040z00_4265;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_oclassz00_4250;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1801z00_4256;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1802z00_4257;
BgL_arg1802z00_4257 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4231); 
BgL_arg1801z00_4256 = 
(BgL_arg1802z00_4257-OBJECT_TYPE); } 
BgL_oclassz00_4250 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4256); } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL__ortest_1110z00_4251;
BgL__ortest_1110z00_4251 = 
(BgL_classz00_4229==BgL_oclassz00_4250); 
if(BgL__ortest_1110z00_4251)
{ /* Llib/midi.scm 1042 */
BgL_res3040z00_4265 = BgL__ortest_1110z00_4251; }  else 
{ /* Llib/midi.scm 1042 */
 long BgL_odepthz00_4252;
BgL_odepthz00_4252 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4250); 
if(
(BgL_arg1797z00_4232<BgL_odepthz00_4252))
{ /* Llib/midi.scm 1042 */
 obj_t BgL_arg1790z00_4254;
BgL_arg1790z00_4254 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4250, BgL_arg1797z00_4232); 
BgL_res3040z00_4265 = 
(BgL_arg1790z00_4254==BgL_classz00_4229); }  else 
{ /* Llib/midi.scm 1042 */
BgL_res3040z00_4265 = ((bool_t)0); } } } } 
BgL_test3480z00_7591 = BgL_res3040z00_4265; } }  else 
{ /* Llib/midi.scm 1042 */
BgL_test3480z00_7591 = ((bool_t)0)
; } } 
if(BgL_test3480z00_7591)
{ /* Llib/midi.scm 1042 */
BgL_auxz00_7590 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2925)
; }  else 
{ 
 obj_t BgL_auxz00_7613;
BgL_auxz00_7613 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40115)), BGl_string2817z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_mpz00_2925); 
FAILURE(BgL_auxz00_7613,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_auxz00_7590, BgL_auxz00_7617, BgL_auxz00_7644, BgL_auxz00_7653, BgL_auxz00_7662, BgL_auxz00_7671);} } 

}



/* midiplayer-ctrlchange */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_106, BgL_midisinkz00_bglt BgL_msz00_107, long BgL_tickz00_108, long BgL_nnz00_109, long BgL_kkz00_110, long BgL_vvz00_111)
{
{ /* Llib/midi.scm 1047 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2110z00_2363;
BgL_fun2110z00_2363 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2108z00_2364; long BgL_arg2109z00_2365;
BgL_arg2108z00_2364 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
BgL_arg2109z00_2365 = 
(((long)176) | BgL_nnz00_109); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2110z00_2363))(BgL_fun2110z00_2363, BgL_arg2108z00_2364, 
BINT(BgL_arg2109z00_2365), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2112z00_2366;
BgL_fun2112z00_2366 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2111z00_2367;
BgL_arg2111z00_2367 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2112z00_2366))(BgL_fun2112z00_2366, BgL_arg2111z00_2367, 
BINT(BgL_kkz00_110), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2114z00_2368;
BgL_fun2114z00_2368 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2113z00_2369;
BgL_arg2113z00_2369 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2114z00_2368))(BgL_fun2114z00_2368, BgL_arg2113z00_2369, 
BINT(BgL_vvz00_111), BEOA);} } } 

}



/* &midiplayer-ctrlchange */
obj_t BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2931, obj_t BgL_mpz00_2932, obj_t BgL_msz00_2933, obj_t BgL_tickz00_2934, obj_t BgL_nnz00_2935, obj_t BgL_kkz00_2936, obj_t BgL_vvz00_2937)
{
{ /* Llib/midi.scm 1047 */
{ /* Llib/midi.scm 1049 */
 long BgL_auxz00_7787; long BgL_auxz00_7778; long BgL_auxz00_7769; long BgL_auxz00_7760; BgL_midisinkz00_bglt BgL_auxz00_7733; BgL_midiplayerz00_bglt BgL_auxz00_7706;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_tmpz00_7788;
if(
INTEGERP(BgL_vvz00_2937))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_7788 = BgL_vvz00_2937
; }  else 
{ 
 obj_t BgL_auxz00_7791;
BgL_auxz00_7791 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40479)), BGl_string2818z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_vvz00_2937); 
FAILURE(BgL_auxz00_7791,BFALSE,BFALSE);} 
BgL_auxz00_7787 = 
(long)CINT(BgL_tmpz00_7788); } 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_tmpz00_7779;
if(
INTEGERP(BgL_kkz00_2936))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_7779 = BgL_kkz00_2936
; }  else 
{ 
 obj_t BgL_auxz00_7782;
BgL_auxz00_7782 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40479)), BGl_string2818z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_kkz00_2936); 
FAILURE(BgL_auxz00_7782,BFALSE,BFALSE);} 
BgL_auxz00_7778 = 
(long)CINT(BgL_tmpz00_7779); } 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_tmpz00_7770;
if(
INTEGERP(BgL_nnz00_2935))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_7770 = BgL_nnz00_2935
; }  else 
{ 
 obj_t BgL_auxz00_7773;
BgL_auxz00_7773 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40479)), BGl_string2818z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_nnz00_2935); 
FAILURE(BgL_auxz00_7773,BFALSE,BFALSE);} 
BgL_auxz00_7769 = 
(long)CINT(BgL_tmpz00_7770); } 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_tmpz00_7761;
if(
INTEGERP(BgL_tickz00_2934))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_7761 = BgL_tickz00_2934
; }  else 
{ 
 obj_t BgL_auxz00_7764;
BgL_auxz00_7764 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40479)), BGl_string2818z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_tickz00_2934); 
FAILURE(BgL_auxz00_7764,BFALSE,BFALSE);} 
BgL_auxz00_7760 = 
(long)CINT(BgL_tmpz00_7761); } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_test3499z00_7734;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_classz00_4340;
BgL_classz00_4340 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2933))
{ /* Llib/midi.scm 1049 */
 BgL_objectz00_bglt BgL_arg1796z00_4342; long BgL_arg1797z00_4343;
BgL_arg1796z00_4342 = 
(BgL_objectz00_bglt)(BgL_msz00_2933); 
BgL_arg1797z00_4343 = 
BGL_CLASS_DEPTH(BgL_classz00_4340); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1049 */
 long BgL_idxz00_4351;
BgL_idxz00_4351 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4342); 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_arg1788z00_4352;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1789z00_4353;
BgL_arg1789z00_4353 = 
(BgL_idxz00_4351+BgL_arg1797z00_4343); 
BgL_arg1788z00_4352 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4353); } 
BgL_test3499z00_7734 = 
(BgL_arg1788z00_4352==BgL_classz00_4340); } }  else 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_res3043z00_4376;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_oclassz00_4361;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1801z00_4367;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1802z00_4368;
BgL_arg1802z00_4368 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4342); 
BgL_arg1801z00_4367 = 
(BgL_arg1802z00_4368-OBJECT_TYPE); } 
BgL_oclassz00_4361 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4367); } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL__ortest_1110z00_4362;
BgL__ortest_1110z00_4362 = 
(BgL_classz00_4340==BgL_oclassz00_4361); 
if(BgL__ortest_1110z00_4362)
{ /* Llib/midi.scm 1049 */
BgL_res3043z00_4376 = BgL__ortest_1110z00_4362; }  else 
{ /* Llib/midi.scm 1049 */
 long BgL_odepthz00_4363;
BgL_odepthz00_4363 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4361); 
if(
(BgL_arg1797z00_4343<BgL_odepthz00_4363))
{ /* Llib/midi.scm 1049 */
 obj_t BgL_arg1790z00_4365;
BgL_arg1790z00_4365 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4361, BgL_arg1797z00_4343); 
BgL_res3043z00_4376 = 
(BgL_arg1790z00_4365==BgL_classz00_4340); }  else 
{ /* Llib/midi.scm 1049 */
BgL_res3043z00_4376 = ((bool_t)0); } } } } 
BgL_test3499z00_7734 = BgL_res3043z00_4376; } }  else 
{ /* Llib/midi.scm 1049 */
BgL_test3499z00_7734 = ((bool_t)0)
; } } 
if(BgL_test3499z00_7734)
{ /* Llib/midi.scm 1049 */
BgL_auxz00_7733 = 
((BgL_midisinkz00_bglt)BgL_msz00_2933)
; }  else 
{ 
 obj_t BgL_auxz00_7756;
BgL_auxz00_7756 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40479)), BGl_string2818z00zz__multimediazd2midizd2, BGl_string2793z00zz__multimediazd2midizd2, BgL_msz00_2933); 
FAILURE(BgL_auxz00_7756,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_test3494z00_7707;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_classz00_4303;
BgL_classz00_4303 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2932))
{ /* Llib/midi.scm 1049 */
 BgL_objectz00_bglt BgL_arg1796z00_4305; long BgL_arg1797z00_4306;
BgL_arg1796z00_4305 = 
(BgL_objectz00_bglt)(BgL_mpz00_2932); 
BgL_arg1797z00_4306 = 
BGL_CLASS_DEPTH(BgL_classz00_4303); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1049 */
 long BgL_idxz00_4314;
BgL_idxz00_4314 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4305); 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_arg1788z00_4315;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1789z00_4316;
BgL_arg1789z00_4316 = 
(BgL_idxz00_4314+BgL_arg1797z00_4306); 
BgL_arg1788z00_4315 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4316); } 
BgL_test3494z00_7707 = 
(BgL_arg1788z00_4315==BgL_classz00_4303); } }  else 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_res3042z00_4339;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_oclassz00_4324;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1801z00_4330;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1802z00_4331;
BgL_arg1802z00_4331 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4305); 
BgL_arg1801z00_4330 = 
(BgL_arg1802z00_4331-OBJECT_TYPE); } 
BgL_oclassz00_4324 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4330); } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL__ortest_1110z00_4325;
BgL__ortest_1110z00_4325 = 
(BgL_classz00_4303==BgL_oclassz00_4324); 
if(BgL__ortest_1110z00_4325)
{ /* Llib/midi.scm 1049 */
BgL_res3042z00_4339 = BgL__ortest_1110z00_4325; }  else 
{ /* Llib/midi.scm 1049 */
 long BgL_odepthz00_4326;
BgL_odepthz00_4326 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4324); 
if(
(BgL_arg1797z00_4306<BgL_odepthz00_4326))
{ /* Llib/midi.scm 1049 */
 obj_t BgL_arg1790z00_4328;
BgL_arg1790z00_4328 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4324, BgL_arg1797z00_4306); 
BgL_res3042z00_4339 = 
(BgL_arg1790z00_4328==BgL_classz00_4303); }  else 
{ /* Llib/midi.scm 1049 */
BgL_res3042z00_4339 = ((bool_t)0); } } } } 
BgL_test3494z00_7707 = BgL_res3042z00_4339; } }  else 
{ /* Llib/midi.scm 1049 */
BgL_test3494z00_7707 = ((bool_t)0)
; } } 
if(BgL_test3494z00_7707)
{ /* Llib/midi.scm 1049 */
BgL_auxz00_7706 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2932)
; }  else 
{ 
 obj_t BgL_auxz00_7729;
BgL_auxz00_7729 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40479)), BGl_string2818z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_mpz00_2932); 
FAILURE(BgL_auxz00_7729,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_auxz00_7706, BgL_auxz00_7733, BgL_auxz00_7760, BgL_auxz00_7769, BgL_auxz00_7778, BgL_auxz00_7787);} } 

}



/* midiplayer-prgmchange */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_112, BgL_midisinkz00_bglt BgL_msz00_113, long BgL_tickz00_114, long BgL_nnz00_115, long BgL_ppz00_116)
{
{ /* Llib/midi.scm 1054 */
{ /* Llib/midi.scm 1011 */
 obj_t BgL_fun2105z00_2375;
BgL_fun2105z00_2375 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1011 */
 obj_t BgL_arg2103z00_2376; long BgL_arg2104z00_2377;
BgL_arg2103z00_2376 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_streamz00); 
BgL_arg2104z00_2377 = 
(((long)192) | BgL_nnz00_115); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2105z00_2375))(BgL_fun2105z00_2375, BgL_arg2103z00_2376, 
BINT(BgL_arg2104z00_2377), BEOA); } } 
{ /* Llib/midi.scm 1012 */
 obj_t BgL_fun2107z00_2378;
BgL_fun2107z00_2378 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1012 */
 obj_t BgL_arg2106z00_2379;
BgL_arg2106z00_2379 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_streamz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2107z00_2378))(BgL_fun2107z00_2378, BgL_arg2106z00_2379, 
BINT(BgL_ppz00_116), BEOA);} } } 

}



/* &midiplayer-prgmchange */
obj_t BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2938, obj_t BgL_mpz00_2939, obj_t BgL_msz00_2940, obj_t BgL_tickz00_2941, obj_t BgL_nnz00_2942, obj_t BgL_ppz00_2943)
{
{ /* Llib/midi.scm 1054 */
{ /* Llib/midi.scm 1056 */
 long BgL_auxz00_7886; long BgL_auxz00_7877; long BgL_auxz00_7868; BgL_midisinkz00_bglt BgL_auxz00_7841; BgL_midiplayerz00_bglt BgL_auxz00_7814;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_tmpz00_7887;
if(
INTEGERP(BgL_ppz00_2943))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_7887 = BgL_ppz00_2943
; }  else 
{ 
 obj_t BgL_auxz00_7890;
BgL_auxz00_7890 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40834)), BGl_string2819z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_ppz00_2943); 
FAILURE(BgL_auxz00_7890,BFALSE,BFALSE);} 
BgL_auxz00_7886 = 
(long)CINT(BgL_tmpz00_7887); } 
{ /* Llib/midi.scm 1056 */
 obj_t BgL_tmpz00_7878;
if(
INTEGERP(BgL_nnz00_2942))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_7878 = BgL_nnz00_2942
; }  else 
{ 
 obj_t BgL_auxz00_7881;
BgL_auxz00_7881 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40834)), BGl_string2819z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_nnz00_2942); 
FAILURE(BgL_auxz00_7881,BFALSE,BFALSE);} 
BgL_auxz00_7877 = 
(long)CINT(BgL_tmpz00_7878); } 
{ /* Llib/midi.scm 1056 */
 obj_t BgL_tmpz00_7869;
if(
INTEGERP(BgL_tickz00_2941))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_7869 = BgL_tickz00_2941
; }  else 
{ 
 obj_t BgL_auxz00_7872;
BgL_auxz00_7872 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40834)), BGl_string2819z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_tickz00_2941); 
FAILURE(BgL_auxz00_7872,BFALSE,BFALSE);} 
BgL_auxz00_7868 = 
(long)CINT(BgL_tmpz00_7869); } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_test3513z00_7842;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_classz00_4414;
BgL_classz00_4414 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2940))
{ /* Llib/midi.scm 1056 */
 BgL_objectz00_bglt BgL_arg1796z00_4416; long BgL_arg1797z00_4417;
BgL_arg1796z00_4416 = 
(BgL_objectz00_bglt)(BgL_msz00_2940); 
BgL_arg1797z00_4417 = 
BGL_CLASS_DEPTH(BgL_classz00_4414); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1056 */
 long BgL_idxz00_4425;
BgL_idxz00_4425 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4416); 
{ /* Llib/midi.scm 1056 */
 obj_t BgL_arg1788z00_4426;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1789z00_4427;
BgL_arg1789z00_4427 = 
(BgL_idxz00_4425+BgL_arg1797z00_4417); 
BgL_arg1788z00_4426 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4427); } 
BgL_test3513z00_7842 = 
(BgL_arg1788z00_4426==BgL_classz00_4414); } }  else 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_res3045z00_4450;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_oclassz00_4435;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1801z00_4441;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1802z00_4442;
BgL_arg1802z00_4442 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4416); 
BgL_arg1801z00_4441 = 
(BgL_arg1802z00_4442-OBJECT_TYPE); } 
BgL_oclassz00_4435 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4441); } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL__ortest_1110z00_4436;
BgL__ortest_1110z00_4436 = 
(BgL_classz00_4414==BgL_oclassz00_4435); 
if(BgL__ortest_1110z00_4436)
{ /* Llib/midi.scm 1056 */
BgL_res3045z00_4450 = BgL__ortest_1110z00_4436; }  else 
{ /* Llib/midi.scm 1056 */
 long BgL_odepthz00_4437;
BgL_odepthz00_4437 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4435); 
if(
(BgL_arg1797z00_4417<BgL_odepthz00_4437))
{ /* Llib/midi.scm 1056 */
 obj_t BgL_arg1790z00_4439;
BgL_arg1790z00_4439 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4435, BgL_arg1797z00_4417); 
BgL_res3045z00_4450 = 
(BgL_arg1790z00_4439==BgL_classz00_4414); }  else 
{ /* Llib/midi.scm 1056 */
BgL_res3045z00_4450 = ((bool_t)0); } } } } 
BgL_test3513z00_7842 = BgL_res3045z00_4450; } }  else 
{ /* Llib/midi.scm 1056 */
BgL_test3513z00_7842 = ((bool_t)0)
; } } 
if(BgL_test3513z00_7842)
{ /* Llib/midi.scm 1056 */
BgL_auxz00_7841 = 
((BgL_midisinkz00_bglt)BgL_msz00_2940)
; }  else 
{ 
 obj_t BgL_auxz00_7864;
BgL_auxz00_7864 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40834)), BGl_string2819z00zz__multimediazd2midizd2, BGl_string2793z00zz__multimediazd2midizd2, BgL_msz00_2940); 
FAILURE(BgL_auxz00_7864,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_test3508z00_7815;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_classz00_4377;
BgL_classz00_4377 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2939))
{ /* Llib/midi.scm 1056 */
 BgL_objectz00_bglt BgL_arg1796z00_4379; long BgL_arg1797z00_4380;
BgL_arg1796z00_4379 = 
(BgL_objectz00_bglt)(BgL_mpz00_2939); 
BgL_arg1797z00_4380 = 
BGL_CLASS_DEPTH(BgL_classz00_4377); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1056 */
 long BgL_idxz00_4388;
BgL_idxz00_4388 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4379); 
{ /* Llib/midi.scm 1056 */
 obj_t BgL_arg1788z00_4389;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1789z00_4390;
BgL_arg1789z00_4390 = 
(BgL_idxz00_4388+BgL_arg1797z00_4380); 
BgL_arg1788z00_4389 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4390); } 
BgL_test3508z00_7815 = 
(BgL_arg1788z00_4389==BgL_classz00_4377); } }  else 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_res3044z00_4413;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_oclassz00_4398;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1801z00_4404;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1802z00_4405;
BgL_arg1802z00_4405 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4379); 
BgL_arg1801z00_4404 = 
(BgL_arg1802z00_4405-OBJECT_TYPE); } 
BgL_oclassz00_4398 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4404); } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL__ortest_1110z00_4399;
BgL__ortest_1110z00_4399 = 
(BgL_classz00_4377==BgL_oclassz00_4398); 
if(BgL__ortest_1110z00_4399)
{ /* Llib/midi.scm 1056 */
BgL_res3044z00_4413 = BgL__ortest_1110z00_4399; }  else 
{ /* Llib/midi.scm 1056 */
 long BgL_odepthz00_4400;
BgL_odepthz00_4400 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4398); 
if(
(BgL_arg1797z00_4380<BgL_odepthz00_4400))
{ /* Llib/midi.scm 1056 */
 obj_t BgL_arg1790z00_4402;
BgL_arg1790z00_4402 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4398, BgL_arg1797z00_4380); 
BgL_res3044z00_4413 = 
(BgL_arg1790z00_4402==BgL_classz00_4377); }  else 
{ /* Llib/midi.scm 1056 */
BgL_res3044z00_4413 = ((bool_t)0); } } } } 
BgL_test3508z00_7815 = BgL_res3044z00_4413; } }  else 
{ /* Llib/midi.scm 1056 */
BgL_test3508z00_7815 = ((bool_t)0)
; } } 
if(BgL_test3508z00_7815)
{ /* Llib/midi.scm 1056 */
BgL_auxz00_7814 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2939)
; }  else 
{ 
 obj_t BgL_auxz00_7837;
BgL_auxz00_7837 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)40834)), BGl_string2819z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_mpz00_2939); 
FAILURE(BgL_auxz00_7837,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_auxz00_7814, BgL_auxz00_7841, BgL_auxz00_7868, BgL_auxz00_7877, BgL_auxz00_7886);} } 

}



/* midiplayer-after-touch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_117, BgL_midisinkz00_bglt BgL_msz00_118, long BgL_tickz00_119, long BgL_nnz00_120, long BgL_ppz00_121)
{
{ /* Llib/midi.scm 1061 */
{ /* Llib/midi.scm 1011 */
 obj_t BgL_fun2105z00_2385;
BgL_fun2105z00_2385 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1011 */
 obj_t BgL_arg2103z00_2386; long BgL_arg2104z00_2387;
BgL_arg2103z00_2386 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_streamz00); 
BgL_arg2104z00_2387 = 
(((long)208) | BgL_nnz00_120); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2105z00_2385))(BgL_fun2105z00_2385, BgL_arg2103z00_2386, 
BINT(BgL_arg2104z00_2387), BEOA); } } 
{ /* Llib/midi.scm 1012 */
 obj_t BgL_fun2107z00_2388;
BgL_fun2107z00_2388 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1012 */
 obj_t BgL_arg2106z00_2389;
BgL_arg2106z00_2389 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_streamz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2107z00_2388))(BgL_fun2107z00_2388, BgL_arg2106z00_2389, 
BINT(BgL_ppz00_121), BEOA);} } } 

}



/* &midiplayer-after-touch */
obj_t BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2(obj_t BgL_envz00_2944, obj_t BgL_mpz00_2945, obj_t BgL_msz00_2946, obj_t BgL_tickz00_2947, obj_t BgL_nnz00_2948, obj_t BgL_ppz00_2949)
{
{ /* Llib/midi.scm 1061 */
{ /* Llib/midi.scm 1063 */
 long BgL_auxz00_7985; long BgL_auxz00_7976; long BgL_auxz00_7967; BgL_midisinkz00_bglt BgL_auxz00_7940; BgL_midiplayerz00_bglt BgL_auxz00_7913;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_tmpz00_7986;
if(
INTEGERP(BgL_ppz00_2949))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_7986 = BgL_ppz00_2949
; }  else 
{ 
 obj_t BgL_auxz00_7989;
BgL_auxz00_7989 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41187)), BGl_string2820z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_ppz00_2949); 
FAILURE(BgL_auxz00_7989,BFALSE,BFALSE);} 
BgL_auxz00_7985 = 
(long)CINT(BgL_tmpz00_7986); } 
{ /* Llib/midi.scm 1063 */
 obj_t BgL_tmpz00_7977;
if(
INTEGERP(BgL_nnz00_2948))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_7977 = BgL_nnz00_2948
; }  else 
{ 
 obj_t BgL_auxz00_7980;
BgL_auxz00_7980 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41187)), BGl_string2820z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_nnz00_2948); 
FAILURE(BgL_auxz00_7980,BFALSE,BFALSE);} 
BgL_auxz00_7976 = 
(long)CINT(BgL_tmpz00_7977); } 
{ /* Llib/midi.scm 1063 */
 obj_t BgL_tmpz00_7968;
if(
INTEGERP(BgL_tickz00_2947))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_7968 = BgL_tickz00_2947
; }  else 
{ 
 obj_t BgL_auxz00_7971;
BgL_auxz00_7971 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41187)), BGl_string2820z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_tickz00_2947); 
FAILURE(BgL_auxz00_7971,BFALSE,BFALSE);} 
BgL_auxz00_7967 = 
(long)CINT(BgL_tmpz00_7968); } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_test3526z00_7941;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_classz00_4488;
BgL_classz00_4488 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2946))
{ /* Llib/midi.scm 1063 */
 BgL_objectz00_bglt BgL_arg1796z00_4490; long BgL_arg1797z00_4491;
BgL_arg1796z00_4490 = 
(BgL_objectz00_bglt)(BgL_msz00_2946); 
BgL_arg1797z00_4491 = 
BGL_CLASS_DEPTH(BgL_classz00_4488); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1063 */
 long BgL_idxz00_4499;
BgL_idxz00_4499 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4490); 
{ /* Llib/midi.scm 1063 */
 obj_t BgL_arg1788z00_4500;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1789z00_4501;
BgL_arg1789z00_4501 = 
(BgL_idxz00_4499+BgL_arg1797z00_4491); 
BgL_arg1788z00_4500 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4501); } 
BgL_test3526z00_7941 = 
(BgL_arg1788z00_4500==BgL_classz00_4488); } }  else 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_res3047z00_4524;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_oclassz00_4509;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1801z00_4515;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1802z00_4516;
BgL_arg1802z00_4516 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4490); 
BgL_arg1801z00_4515 = 
(BgL_arg1802z00_4516-OBJECT_TYPE); } 
BgL_oclassz00_4509 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4515); } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL__ortest_1110z00_4510;
BgL__ortest_1110z00_4510 = 
(BgL_classz00_4488==BgL_oclassz00_4509); 
if(BgL__ortest_1110z00_4510)
{ /* Llib/midi.scm 1063 */
BgL_res3047z00_4524 = BgL__ortest_1110z00_4510; }  else 
{ /* Llib/midi.scm 1063 */
 long BgL_odepthz00_4511;
BgL_odepthz00_4511 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4509); 
if(
(BgL_arg1797z00_4491<BgL_odepthz00_4511))
{ /* Llib/midi.scm 1063 */
 obj_t BgL_arg1790z00_4513;
BgL_arg1790z00_4513 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4509, BgL_arg1797z00_4491); 
BgL_res3047z00_4524 = 
(BgL_arg1790z00_4513==BgL_classz00_4488); }  else 
{ /* Llib/midi.scm 1063 */
BgL_res3047z00_4524 = ((bool_t)0); } } } } 
BgL_test3526z00_7941 = BgL_res3047z00_4524; } }  else 
{ /* Llib/midi.scm 1063 */
BgL_test3526z00_7941 = ((bool_t)0)
; } } 
if(BgL_test3526z00_7941)
{ /* Llib/midi.scm 1063 */
BgL_auxz00_7940 = 
((BgL_midisinkz00_bglt)BgL_msz00_2946)
; }  else 
{ 
 obj_t BgL_auxz00_7963;
BgL_auxz00_7963 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41187)), BGl_string2820z00zz__multimediazd2midizd2, BGl_string2793z00zz__multimediazd2midizd2, BgL_msz00_2946); 
FAILURE(BgL_auxz00_7963,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_test3521z00_7914;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_classz00_4451;
BgL_classz00_4451 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2945))
{ /* Llib/midi.scm 1063 */
 BgL_objectz00_bglt BgL_arg1796z00_4453; long BgL_arg1797z00_4454;
BgL_arg1796z00_4453 = 
(BgL_objectz00_bglt)(BgL_mpz00_2945); 
BgL_arg1797z00_4454 = 
BGL_CLASS_DEPTH(BgL_classz00_4451); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1063 */
 long BgL_idxz00_4462;
BgL_idxz00_4462 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4453); 
{ /* Llib/midi.scm 1063 */
 obj_t BgL_arg1788z00_4463;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1789z00_4464;
BgL_arg1789z00_4464 = 
(BgL_idxz00_4462+BgL_arg1797z00_4454); 
BgL_arg1788z00_4463 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4464); } 
BgL_test3521z00_7914 = 
(BgL_arg1788z00_4463==BgL_classz00_4451); } }  else 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_res3046z00_4487;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_oclassz00_4472;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1801z00_4478;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1802z00_4479;
BgL_arg1802z00_4479 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4453); 
BgL_arg1801z00_4478 = 
(BgL_arg1802z00_4479-OBJECT_TYPE); } 
BgL_oclassz00_4472 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4478); } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL__ortest_1110z00_4473;
BgL__ortest_1110z00_4473 = 
(BgL_classz00_4451==BgL_oclassz00_4472); 
if(BgL__ortest_1110z00_4473)
{ /* Llib/midi.scm 1063 */
BgL_res3046z00_4487 = BgL__ortest_1110z00_4473; }  else 
{ /* Llib/midi.scm 1063 */
 long BgL_odepthz00_4474;
BgL_odepthz00_4474 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4472); 
if(
(BgL_arg1797z00_4454<BgL_odepthz00_4474))
{ /* Llib/midi.scm 1063 */
 obj_t BgL_arg1790z00_4476;
BgL_arg1790z00_4476 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4472, BgL_arg1797z00_4454); 
BgL_res3046z00_4487 = 
(BgL_arg1790z00_4476==BgL_classz00_4451); }  else 
{ /* Llib/midi.scm 1063 */
BgL_res3046z00_4487 = ((bool_t)0); } } } } 
BgL_test3521z00_7914 = BgL_res3046z00_4487; } }  else 
{ /* Llib/midi.scm 1063 */
BgL_test3521z00_7914 = ((bool_t)0)
; } } 
if(BgL_test3521z00_7914)
{ /* Llib/midi.scm 1063 */
BgL_auxz00_7913 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2945)
; }  else 
{ 
 obj_t BgL_auxz00_7936;
BgL_auxz00_7936 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41187)), BGl_string2820z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_mpz00_2945); 
FAILURE(BgL_auxz00_7936,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_auxz00_7913, BgL_auxz00_7940, BgL_auxz00_7967, BgL_auxz00_7976, BgL_auxz00_7985);} } 

}



/* midiplayer-pitch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_122, BgL_midisinkz00_bglt BgL_msz00_123, long BgL_tickz00_124, long BgL_nnz00_125, long BgL_ccz00_126, long BgL_vvz00_127)
{
{ /* Llib/midi.scm 1068 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2110z00_2396;
BgL_fun2110z00_2396 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2108z00_2397; long BgL_arg2109z00_2398;
BgL_arg2108z00_2397 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
BgL_arg2109z00_2398 = 
(((long)224) | BgL_nnz00_125); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2110z00_2396))(BgL_fun2110z00_2396, BgL_arg2108z00_2397, 
BINT(BgL_arg2109z00_2398), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2112z00_2399;
BgL_fun2112z00_2399 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2111z00_2400;
BgL_arg2111z00_2400 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2112z00_2399))(BgL_fun2112z00_2399, BgL_arg2111z00_2400, 
BINT(BgL_ccz00_126), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2114z00_2401;
BgL_fun2114z00_2401 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2113z00_2402;
BgL_arg2113z00_2402 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2114z00_2401))(BgL_fun2114z00_2401, BgL_arg2113z00_2402, 
BINT(BgL_vvz00_127), BEOA);} } } 

}



/* &midiplayer-pitch */
obj_t BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2950, obj_t BgL_mpz00_2951, obj_t BgL_msz00_2952, obj_t BgL_tickz00_2953, obj_t BgL_nnz00_2954, obj_t BgL_ccz00_2955, obj_t BgL_vvz00_2956)
{
{ /* Llib/midi.scm 1068 */
{ /* Llib/midi.scm 1070 */
 long BgL_auxz00_8101; long BgL_auxz00_8092; long BgL_auxz00_8083; long BgL_auxz00_8074; BgL_midisinkz00_bglt BgL_auxz00_8047; BgL_midiplayerz00_bglt BgL_auxz00_8020;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_tmpz00_8102;
if(
INTEGERP(BgL_vvz00_2956))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_8102 = BgL_vvz00_2956
; }  else 
{ 
 obj_t BgL_auxz00_8105;
BgL_auxz00_8105 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41543)), BGl_string2821z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_vvz00_2956); 
FAILURE(BgL_auxz00_8105,BFALSE,BFALSE);} 
BgL_auxz00_8101 = 
(long)CINT(BgL_tmpz00_8102); } 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_tmpz00_8093;
if(
INTEGERP(BgL_ccz00_2955))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_8093 = BgL_ccz00_2955
; }  else 
{ 
 obj_t BgL_auxz00_8096;
BgL_auxz00_8096 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41543)), BGl_string2821z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_ccz00_2955); 
FAILURE(BgL_auxz00_8096,BFALSE,BFALSE);} 
BgL_auxz00_8092 = 
(long)CINT(BgL_tmpz00_8093); } 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_tmpz00_8084;
if(
INTEGERP(BgL_nnz00_2954))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_8084 = BgL_nnz00_2954
; }  else 
{ 
 obj_t BgL_auxz00_8087;
BgL_auxz00_8087 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41543)), BGl_string2821z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_nnz00_2954); 
FAILURE(BgL_auxz00_8087,BFALSE,BFALSE);} 
BgL_auxz00_8083 = 
(long)CINT(BgL_tmpz00_8084); } 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_tmpz00_8075;
if(
INTEGERP(BgL_tickz00_2953))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_8075 = BgL_tickz00_2953
; }  else 
{ 
 obj_t BgL_auxz00_8078;
BgL_auxz00_8078 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41543)), BGl_string2821z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_tickz00_2953); 
FAILURE(BgL_auxz00_8078,BFALSE,BFALSE);} 
BgL_auxz00_8074 = 
(long)CINT(BgL_tmpz00_8075); } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_test3539z00_8048;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_classz00_4562;
BgL_classz00_4562 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2952))
{ /* Llib/midi.scm 1070 */
 BgL_objectz00_bglt BgL_arg1796z00_4564; long BgL_arg1797z00_4565;
BgL_arg1796z00_4564 = 
(BgL_objectz00_bglt)(BgL_msz00_2952); 
BgL_arg1797z00_4565 = 
BGL_CLASS_DEPTH(BgL_classz00_4562); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1070 */
 long BgL_idxz00_4573;
BgL_idxz00_4573 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4564); 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_arg1788z00_4574;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1789z00_4575;
BgL_arg1789z00_4575 = 
(BgL_idxz00_4573+BgL_arg1797z00_4565); 
BgL_arg1788z00_4574 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4575); } 
BgL_test3539z00_8048 = 
(BgL_arg1788z00_4574==BgL_classz00_4562); } }  else 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_res3049z00_4598;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_oclassz00_4583;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1801z00_4589;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1802z00_4590;
BgL_arg1802z00_4590 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4564); 
BgL_arg1801z00_4589 = 
(BgL_arg1802z00_4590-OBJECT_TYPE); } 
BgL_oclassz00_4583 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4589); } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL__ortest_1110z00_4584;
BgL__ortest_1110z00_4584 = 
(BgL_classz00_4562==BgL_oclassz00_4583); 
if(BgL__ortest_1110z00_4584)
{ /* Llib/midi.scm 1070 */
BgL_res3049z00_4598 = BgL__ortest_1110z00_4584; }  else 
{ /* Llib/midi.scm 1070 */
 long BgL_odepthz00_4585;
BgL_odepthz00_4585 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4583); 
if(
(BgL_arg1797z00_4565<BgL_odepthz00_4585))
{ /* Llib/midi.scm 1070 */
 obj_t BgL_arg1790z00_4587;
BgL_arg1790z00_4587 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4583, BgL_arg1797z00_4565); 
BgL_res3049z00_4598 = 
(BgL_arg1790z00_4587==BgL_classz00_4562); }  else 
{ /* Llib/midi.scm 1070 */
BgL_res3049z00_4598 = ((bool_t)0); } } } } 
BgL_test3539z00_8048 = BgL_res3049z00_4598; } }  else 
{ /* Llib/midi.scm 1070 */
BgL_test3539z00_8048 = ((bool_t)0)
; } } 
if(BgL_test3539z00_8048)
{ /* Llib/midi.scm 1070 */
BgL_auxz00_8047 = 
((BgL_midisinkz00_bglt)BgL_msz00_2952)
; }  else 
{ 
 obj_t BgL_auxz00_8070;
BgL_auxz00_8070 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41543)), BGl_string2821z00zz__multimediazd2midizd2, BGl_string2793z00zz__multimediazd2midizd2, BgL_msz00_2952); 
FAILURE(BgL_auxz00_8070,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_test3534z00_8021;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_classz00_4525;
BgL_classz00_4525 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2951))
{ /* Llib/midi.scm 1070 */
 BgL_objectz00_bglt BgL_arg1796z00_4527; long BgL_arg1797z00_4528;
BgL_arg1796z00_4527 = 
(BgL_objectz00_bglt)(BgL_mpz00_2951); 
BgL_arg1797z00_4528 = 
BGL_CLASS_DEPTH(BgL_classz00_4525); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1070 */
 long BgL_idxz00_4536;
BgL_idxz00_4536 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4527); 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_arg1788z00_4537;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1789z00_4538;
BgL_arg1789z00_4538 = 
(BgL_idxz00_4536+BgL_arg1797z00_4528); 
BgL_arg1788z00_4537 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4538); } 
BgL_test3534z00_8021 = 
(BgL_arg1788z00_4537==BgL_classz00_4525); } }  else 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_res3048z00_4561;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_oclassz00_4546;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1801z00_4552;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1802z00_4553;
BgL_arg1802z00_4553 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4527); 
BgL_arg1801z00_4552 = 
(BgL_arg1802z00_4553-OBJECT_TYPE); } 
BgL_oclassz00_4546 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4552); } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL__ortest_1110z00_4547;
BgL__ortest_1110z00_4547 = 
(BgL_classz00_4525==BgL_oclassz00_4546); 
if(BgL__ortest_1110z00_4547)
{ /* Llib/midi.scm 1070 */
BgL_res3048z00_4561 = BgL__ortest_1110z00_4547; }  else 
{ /* Llib/midi.scm 1070 */
 long BgL_odepthz00_4548;
BgL_odepthz00_4548 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4546); 
if(
(BgL_arg1797z00_4528<BgL_odepthz00_4548))
{ /* Llib/midi.scm 1070 */
 obj_t BgL_arg1790z00_4550;
BgL_arg1790z00_4550 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4546, BgL_arg1797z00_4528); 
BgL_res3048z00_4561 = 
(BgL_arg1790z00_4550==BgL_classz00_4525); }  else 
{ /* Llib/midi.scm 1070 */
BgL_res3048z00_4561 = ((bool_t)0); } } } } 
BgL_test3534z00_8021 = BgL_res3048z00_4561; } }  else 
{ /* Llib/midi.scm 1070 */
BgL_test3534z00_8021 = ((bool_t)0)
; } } 
if(BgL_test3534z00_8021)
{ /* Llib/midi.scm 1070 */
BgL_auxz00_8020 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2951)
; }  else 
{ 
 obj_t BgL_auxz00_8043;
BgL_auxz00_8043 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41543)), BGl_string2821z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_mpz00_2951); 
FAILURE(BgL_auxz00_8043,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_auxz00_8020, BgL_auxz00_8047, BgL_auxz00_8074, BgL_auxz00_8083, BgL_auxz00_8092, BgL_auxz00_8101);} } 

}



/* midiplayer-sysex */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_128, BgL_midisinkz00_bglt BgL_msz00_129, long BgL_tickz00_130, obj_t BgL_dataz00_131)
{
{ /* Llib/midi.scm 1075 */
{ /* Llib/midi.scm 1077 */
 obj_t BgL_fun2116z00_2405;
BgL_fun2116z00_2405 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_129))->BgL_writezd2stringzd2); 
{ /* Llib/midi.scm 1077 */
 obj_t BgL_arg2115z00_2406;
BgL_arg2115z00_2406 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_129))->BgL_streamz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2116z00_2405))(BgL_fun2116z00_2405, BgL_arg2115z00_2406, BEOA);} } } 

}



/* &midiplayer-sysex */
obj_t BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2957, obj_t BgL_mpz00_2958, obj_t BgL_msz00_2959, obj_t BgL_tickz00_2960, obj_t BgL_dataz00_2961)
{
{ /* Llib/midi.scm 1075 */
{ /* Llib/midi.scm 1076 */
 obj_t BgL_auxz00_8180; long BgL_auxz00_8171; BgL_midisinkz00_bglt BgL_auxz00_8144; BgL_midiplayerz00_bglt BgL_auxz00_8117;
if(
STRINGP(BgL_dataz00_2961))
{ /* Llib/midi.scm 1076 */
BgL_auxz00_8180 = BgL_dataz00_2961
; }  else 
{ 
 obj_t BgL_auxz00_8183;
BgL_auxz00_8183 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41880)), BGl_string2822z00zz__multimediazd2midizd2, BGl_string2782z00zz__multimediazd2midizd2, BgL_dataz00_2961); 
FAILURE(BgL_auxz00_8183,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 1076 */
 obj_t BgL_tmpz00_8172;
if(
INTEGERP(BgL_tickz00_2960))
{ /* Llib/midi.scm 1076 */
BgL_tmpz00_8172 = BgL_tickz00_2960
; }  else 
{ 
 obj_t BgL_auxz00_8175;
BgL_auxz00_8175 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41880)), BGl_string2822z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_tickz00_2960); 
FAILURE(BgL_auxz00_8175,BFALSE,BFALSE);} 
BgL_auxz00_8171 = 
(long)CINT(BgL_tmpz00_8172); } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_test3553z00_8145;
{ /* Llib/midi.scm 1076 */
 obj_t BgL_classz00_4636;
BgL_classz00_4636 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2959))
{ /* Llib/midi.scm 1076 */
 BgL_objectz00_bglt BgL_arg1796z00_4638; long BgL_arg1797z00_4639;
BgL_arg1796z00_4638 = 
(BgL_objectz00_bglt)(BgL_msz00_2959); 
BgL_arg1797z00_4639 = 
BGL_CLASS_DEPTH(BgL_classz00_4636); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1076 */
 long BgL_idxz00_4647;
BgL_idxz00_4647 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4638); 
{ /* Llib/midi.scm 1076 */
 obj_t BgL_arg1788z00_4648;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1789z00_4649;
BgL_arg1789z00_4649 = 
(BgL_idxz00_4647+BgL_arg1797z00_4639); 
BgL_arg1788z00_4648 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4649); } 
BgL_test3553z00_8145 = 
(BgL_arg1788z00_4648==BgL_classz00_4636); } }  else 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_res3051z00_4672;
{ /* Llib/midi.scm 1076 */
 obj_t BgL_oclassz00_4657;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1801z00_4663;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1802z00_4664;
BgL_arg1802z00_4664 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4638); 
BgL_arg1801z00_4663 = 
(BgL_arg1802z00_4664-OBJECT_TYPE); } 
BgL_oclassz00_4657 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4663); } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL__ortest_1110z00_4658;
BgL__ortest_1110z00_4658 = 
(BgL_classz00_4636==BgL_oclassz00_4657); 
if(BgL__ortest_1110z00_4658)
{ /* Llib/midi.scm 1076 */
BgL_res3051z00_4672 = BgL__ortest_1110z00_4658; }  else 
{ /* Llib/midi.scm 1076 */
 long BgL_odepthz00_4659;
BgL_odepthz00_4659 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4657); 
if(
(BgL_arg1797z00_4639<BgL_odepthz00_4659))
{ /* Llib/midi.scm 1076 */
 obj_t BgL_arg1790z00_4661;
BgL_arg1790z00_4661 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4657, BgL_arg1797z00_4639); 
BgL_res3051z00_4672 = 
(BgL_arg1790z00_4661==BgL_classz00_4636); }  else 
{ /* Llib/midi.scm 1076 */
BgL_res3051z00_4672 = ((bool_t)0); } } } } 
BgL_test3553z00_8145 = BgL_res3051z00_4672; } }  else 
{ /* Llib/midi.scm 1076 */
BgL_test3553z00_8145 = ((bool_t)0)
; } } 
if(BgL_test3553z00_8145)
{ /* Llib/midi.scm 1076 */
BgL_auxz00_8144 = 
((BgL_midisinkz00_bglt)BgL_msz00_2959)
; }  else 
{ 
 obj_t BgL_auxz00_8167;
BgL_auxz00_8167 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41880)), BGl_string2822z00zz__multimediazd2midizd2, BGl_string2793z00zz__multimediazd2midizd2, BgL_msz00_2959); 
FAILURE(BgL_auxz00_8167,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_test3548z00_8118;
{ /* Llib/midi.scm 1076 */
 obj_t BgL_classz00_4599;
BgL_classz00_4599 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2958))
{ /* Llib/midi.scm 1076 */
 BgL_objectz00_bglt BgL_arg1796z00_4601; long BgL_arg1797z00_4602;
BgL_arg1796z00_4601 = 
(BgL_objectz00_bglt)(BgL_mpz00_2958); 
BgL_arg1797z00_4602 = 
BGL_CLASS_DEPTH(BgL_classz00_4599); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 1076 */
 long BgL_idxz00_4610;
BgL_idxz00_4610 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4601); 
{ /* Llib/midi.scm 1076 */
 obj_t BgL_arg1788z00_4611;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1789z00_4612;
BgL_arg1789z00_4612 = 
(BgL_idxz00_4610+BgL_arg1797z00_4602); 
BgL_arg1788z00_4611 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4612); } 
BgL_test3548z00_8118 = 
(BgL_arg1788z00_4611==BgL_classz00_4599); } }  else 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_res3050z00_4635;
{ /* Llib/midi.scm 1076 */
 obj_t BgL_oclassz00_4620;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1801z00_4626;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1802z00_4627;
BgL_arg1802z00_4627 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4601); 
BgL_arg1801z00_4626 = 
(BgL_arg1802z00_4627-OBJECT_TYPE); } 
BgL_oclassz00_4620 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4626); } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL__ortest_1110z00_4621;
BgL__ortest_1110z00_4621 = 
(BgL_classz00_4599==BgL_oclassz00_4620); 
if(BgL__ortest_1110z00_4621)
{ /* Llib/midi.scm 1076 */
BgL_res3050z00_4635 = BgL__ortest_1110z00_4621; }  else 
{ /* Llib/midi.scm 1076 */
 long BgL_odepthz00_4622;
BgL_odepthz00_4622 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4620); 
if(
(BgL_arg1797z00_4602<BgL_odepthz00_4622))
{ /* Llib/midi.scm 1076 */
 obj_t BgL_arg1790z00_4624;
BgL_arg1790z00_4624 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4620, BgL_arg1797z00_4602); 
BgL_res3050z00_4635 = 
(BgL_arg1790z00_4624==BgL_classz00_4599); }  else 
{ /* Llib/midi.scm 1076 */
BgL_res3050z00_4635 = ((bool_t)0); } } } } 
BgL_test3548z00_8118 = BgL_res3050z00_4635; } }  else 
{ /* Llib/midi.scm 1076 */
BgL_test3548z00_8118 = ((bool_t)0)
; } } 
if(BgL_test3548z00_8118)
{ /* Llib/midi.scm 1076 */
BgL_auxz00_8117 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2958)
; }  else 
{ 
 obj_t BgL_auxz00_8140;
BgL_auxz00_8140 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)41880)), BGl_string2822z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_mpz00_2958); 
FAILURE(BgL_auxz00_8140,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_auxz00_8117, BgL_auxz00_8144, BgL_auxz00_8171, BgL_auxz00_8180);} } 

}



/* midi-note-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2notezd2namez00zz__multimediazd2midizd2(long BgL_kkz00_132)
{
{ /* Llib/midi.scm 1082 */
{ /* Llib/midi.scm 1083 */
 long BgL_notez00_886; long BgL_octavez00_887;
{ /* Llib/midi.scm 1083 */
 long BgL_arg2120z00_891;
{ /* Llib/midi.scm 1083 */
 obj_t BgL_vectorz00_2407;
BgL_vectorz00_2407 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2120z00_891 = 
VECTOR_LENGTH(BgL_vectorz00_2407); } 
{ /* Llib/midi.scm 1083 */
 long BgL_n1z00_2408; long BgL_n2z00_2409;
BgL_n1z00_2408 = BgL_kkz00_132; 
BgL_n2z00_2409 = BgL_arg2120z00_891; 
{ /* Llib/midi.scm 1083 */
 bool_t BgL_test3560z00_8190;
{ /* Llib/midi.scm 1083 */
 long BgL_arg1350z00_2411;
BgL_arg1350z00_2411 = 
(((BgL_n1z00_2408) | (BgL_n2z00_2409)) & -2147483648); 
BgL_test3560z00_8190 = 
(BgL_arg1350z00_2411==((long)0)); } 
if(BgL_test3560z00_8190)
{ /* Llib/midi.scm 1083 */
 int32_t BgL_arg1346z00_2412;
{ /* Llib/midi.scm 1083 */
 int32_t BgL_arg1347z00_2413; int32_t BgL_arg1349z00_2414;
BgL_arg1347z00_2413 = 
(int32_t)(BgL_n1z00_2408); 
BgL_arg1349z00_2414 = 
(int32_t)(BgL_n2z00_2409); 
BgL_arg1346z00_2412 = 
(BgL_arg1347z00_2413%BgL_arg1349z00_2414); } 
{ /* Llib/midi.scm 1083 */
 long BgL_arg1454z00_2419;
BgL_arg1454z00_2419 = 
(long)(BgL_arg1346z00_2412); 
BgL_notez00_886 = 
(long)(BgL_arg1454z00_2419); } }  else 
{ /* Llib/midi.scm 1083 */
BgL_notez00_886 = 
(BgL_n1z00_2408%BgL_n2z00_2409); } } } } 
{ /* Llib/midi.scm 1084 */
 long BgL_arg2121z00_892;
{ /* Llib/midi.scm 1084 */
 obj_t BgL_vectorz00_2421;
BgL_vectorz00_2421 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2121z00_892 = 
VECTOR_LENGTH(BgL_vectorz00_2421); } 
BgL_octavez00_887 = 
(BgL_kkz00_132/BgL_arg2121z00_892); } 
{ /* Llib/midi.scm 1085 */
 obj_t BgL_arg2117z00_888;
{ /* Llib/midi.scm 1085 */
 obj_t BgL_vectorz00_2424;
BgL_vectorz00_2424 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2117z00_888 = 
VECTOR_REF(BgL_vectorz00_2424,BgL_notez00_886); } 
{ /* Llib/midi.scm 1085 */
 obj_t BgL_list2118z00_889;
{ /* Llib/midi.scm 1085 */
 obj_t BgL_arg2119z00_890;
BgL_arg2119z00_890 = 
MAKE_YOUNG_PAIR(
BINT(BgL_octavez00_887), BNIL); 
BgL_list2118z00_889 = 
MAKE_YOUNG_PAIR(BgL_arg2117z00_888, BgL_arg2119z00_890); } 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2823z00zz__multimediazd2midizd2, BgL_list2118z00_889);} } } } 

}



/* &midi-note-name */
obj_t BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_2962, obj_t BgL_kkz00_2963)
{
{ /* Llib/midi.scm 1082 */
{ /* Llib/midi.scm 1083 */
 long BgL_auxz00_8208;
{ /* Llib/midi.scm 1083 */
 obj_t BgL_tmpz00_8209;
if(
INTEGERP(BgL_kkz00_2963))
{ /* Llib/midi.scm 1083 */
BgL_tmpz00_8209 = BgL_kkz00_2963
; }  else 
{ 
 obj_t BgL_auxz00_8212;
BgL_auxz00_8212 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)42218)), BGl_string2824z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_kkz00_2963); 
FAILURE(BgL_auxz00_8212,BFALSE,BFALSE);} 
BgL_auxz00_8208 = 
(long)CINT(BgL_tmpz00_8209); } 
return 
BGl_midizd2notezd2namez00zz__multimediazd2midizd2(BgL_auxz00_8208);} } 

}



/* midi-controller-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(long BgL_ccz00_133)
{
{ /* Llib/midi.scm 1090 */
{ /* Llib/midi.scm 1091 */
 bool_t BgL_test3562z00_8218;
{ /* Llib/midi.scm 1091 */
 long BgL_arg2124z00_2427;
{ /* Llib/midi.scm 1091 */
 obj_t BgL_vectorz00_2428;
BgL_vectorz00_2428 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2124z00_2427 = 
VECTOR_LENGTH(BgL_vectorz00_2428); } 
BgL_test3562z00_8218 = 
(BgL_ccz00_133<BgL_arg2124z00_2427); } 
if(BgL_test3562z00_8218)
{ /* Llib/midi.scm 1092 */
 obj_t BgL_vectorz00_2431;
BgL_vectorz00_2431 = 
CNST_TABLE_REF(((long)1)); 
return 
VECTOR_REF(BgL_vectorz00_2431,BgL_ccz00_133);}  else 
{ /* Llib/midi.scm 1091 */
return BGl_string2825z00zz__multimediazd2midizd2;} } } 

}



/* &midi-controller-name */
obj_t BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_2964, obj_t BgL_ccz00_2965)
{
{ /* Llib/midi.scm 1090 */
{ /* Llib/midi.scm 1091 */
 long BgL_auxz00_8224;
{ /* Llib/midi.scm 1091 */
 obj_t BgL_tmpz00_8225;
if(
INTEGERP(BgL_ccz00_2965))
{ /* Llib/midi.scm 1091 */
BgL_tmpz00_8225 = BgL_ccz00_2965
; }  else 
{ 
 obj_t BgL_auxz00_8228;
BgL_auxz00_8228 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)42666)), BGl_string2826z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_ccz00_2965); 
FAILURE(BgL_auxz00_8228,BFALSE,BFALSE);} 
BgL_auxz00_8224 = 
(long)CINT(BgL_tmpz00_8225); } 
return 
BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(BgL_auxz00_8224);} } 

}



/* midi-program-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2programzd2namez00zz__multimediazd2midizd2(long BgL_ppz00_134)
{
{ /* Llib/midi.scm 1098 */
{ /* Llib/midi.scm 1099 */
 bool_t BgL_test3564z00_8234;
{ /* Llib/midi.scm 1099 */
 long BgL_arg2127z00_2434;
{ /* Llib/midi.scm 1099 */
 obj_t BgL_vectorz00_2435;
BgL_vectorz00_2435 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2127z00_2434 = 
VECTOR_LENGTH(BgL_vectorz00_2435); } 
BgL_test3564z00_8234 = 
(BgL_ppz00_134<BgL_arg2127z00_2434); } 
if(BgL_test3564z00_8234)
{ /* Llib/midi.scm 1100 */
 obj_t BgL_vectorz00_2438;
BgL_vectorz00_2438 = 
CNST_TABLE_REF(((long)2)); 
return 
VECTOR_REF(BgL_vectorz00_2438,BgL_ppz00_134);}  else 
{ /* Llib/midi.scm 1099 */
return BGl_string2827z00zz__multimediazd2midizd2;} } } 

}



/* &midi-program-name */
obj_t BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_2966, obj_t BgL_ppz00_2967)
{
{ /* Llib/midi.scm 1098 */
{ /* Llib/midi.scm 1099 */
 long BgL_auxz00_8240;
{ /* Llib/midi.scm 1099 */
 obj_t BgL_tmpz00_8241;
if(
INTEGERP(BgL_ppz00_2967))
{ /* Llib/midi.scm 1099 */
BgL_tmpz00_8241 = BgL_ppz00_2967
; }  else 
{ 
 obj_t BgL_auxz00_8244;
BgL_auxz00_8244 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)43055)), BGl_string2828z00zz__multimediazd2midizd2, BGl_string2785z00zz__multimediazd2midizd2, BgL_ppz00_2967); 
FAILURE(BgL_auxz00_8244,BFALSE,BFALSE);} 
BgL_auxz00_8240 = 
(long)CINT(BgL_tmpz00_8241); } 
return 
BGl_midizd2programzd2namez00zz__multimediazd2midizd2(BgL_auxz00_8240);} } 

}



/* midi-program-index */
BGL_EXPORTED_DEF obj_t BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(obj_t BgL_prgmz00_135)
{
{ /* Llib/midi.scm 1106 */
{ /* Llib/midi.scm 1107 */
 long BgL_g1174z00_899;
{ /* Llib/midi.scm 1107 */
 long BgL_arg2134z00_909;
{ /* Llib/midi.scm 1107 */
 obj_t BgL_vectorz00_2440;
BgL_vectorz00_2440 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2134z00_909 = 
VECTOR_LENGTH(BgL_vectorz00_2440); } 
BgL_g1174z00_899 = 
(BgL_arg2134z00_909-((long)1)); } 
{ 
 long BgL_iz00_901;
BgL_iz00_901 = BgL_g1174z00_899; 
BgL_zc3z04anonymousza32128ze3z87_902:
if(
(BgL_iz00_901>=((long)0)))
{ /* Llib/midi.scm 1109 */
 bool_t BgL_test3567z00_8255;
{ /* Llib/midi.scm 1109 */
 obj_t BgL_arg2133z00_907;
{ /* Llib/midi.scm 1109 */
 obj_t BgL_vectorz00_2443;
BgL_vectorz00_2443 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2133z00_907 = 
VECTOR_REF(BgL_vectorz00_2443,BgL_iz00_901); } 
BgL_test3567z00_8255 = 
bigloo_strcicmp(BgL_arg2133z00_907, BgL_prgmz00_135); } 
if(BgL_test3567z00_8255)
{ /* Llib/midi.scm 1109 */
return 
BINT(BgL_iz00_901);}  else 
{ 
 long BgL_iz00_8260;
BgL_iz00_8260 = 
(BgL_iz00_901-((long)1)); 
BgL_iz00_901 = BgL_iz00_8260; 
goto BgL_zc3z04anonymousza32128ze3z87_902;} }  else 
{ /* Llib/midi.scm 1108 */
return BFALSE;} } } } 

}



/* &midi-program-index */
obj_t BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2(obj_t BgL_envz00_2968, obj_t BgL_prgmz00_2969)
{
{ /* Llib/midi.scm 1106 */
{ /* Llib/midi.scm 1107 */
 obj_t BgL_auxz00_8262;
if(
STRINGP(BgL_prgmz00_2969))
{ /* Llib/midi.scm 1107 */
BgL_auxz00_8262 = BgL_prgmz00_2969
; }  else 
{ 
 obj_t BgL_auxz00_8265;
BgL_auxz00_8265 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)43432)), BGl_string2829z00zz__multimediazd2midizd2, BGl_string2782z00zz__multimediazd2midizd2, BgL_prgmz00_2969); 
FAILURE(BgL_auxz00_8265,BFALSE,BFALSE);} 
return 
BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(BgL_auxz00_8262);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2midizd2(void)
{
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2152z00_934; obj_t BgL_arg2153z00_935;
{ /* Llib/midi.scm 17 */
 obj_t BgL_v1221z00_950;
BgL_v1221z00_950 = 
create_vector(((long)4)); 
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2160z00_951;
BgL_arg2160z00_951 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc2831z00zz__multimediazd2midizd2, BGl_proc2830z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1221z00_950,((long)0),BgL_arg2160z00_951); } 
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2165z00_961;
BgL_arg2165z00_961 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2834z00zz__multimediazd2midizd2, BGl_proc2833z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2832z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1221z00_950,((long)1),BgL_arg2165z00_961); } 
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2172z00_974;
BgL_arg2172z00_974 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc2837z00zz__multimediazd2midizd2, BGl_proc2836z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2835z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1221z00_950,((long)2),BgL_arg2172z00_974); } 
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2179z00_987;
BgL_arg2179z00_987 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2840z00zz__multimediazd2midizd2, BGl_proc2839z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2838z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1221z00_950,((long)3),BgL_arg2179z00_987); } 
BgL_arg2152z00_934 = BgL_v1221z00_950; } 
{ /* Llib/midi.scm 17 */
 obj_t BgL_v1222z00_1000;
BgL_v1222z00_1000 = 
create_vector(((long)0)); 
BgL_arg2153z00_935 = BgL_v1222z00_1000; } 
BGl_midiscorez00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)54602), BGl_proc2843z00zz__multimediazd2midizd2, BGl_proc2842z00zz__multimediazd2midizd2, BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BGl_proc2841z00zz__multimediazd2midizd2, BFALSE, BgL_arg2152z00_934, BgL_arg2153z00_935); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2190z00_1007; obj_t BgL_arg2191z00_1008;
{ /* Llib/midi.scm 24 */
 obj_t BgL_v1223z00_1033;
BgL_v1223z00_1033 = 
create_vector(((long)14)); 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2198z00_1034;
BgL_arg2198z00_1034 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc2846z00zz__multimediazd2midizd2, BGl_proc2845z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2844z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1223z00_1033,((long)0),BgL_arg2198z00_1034); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2205z00_1047;
BgL_arg2205z00_1047 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc2848z00zz__multimediazd2midizd2, BGl_proc2847z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_midireaderz00zz__multimediazd2midizd2); 
VECTOR_SET(BgL_v1223z00_1033,((long)1),BgL_arg2205z00_1047); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2210z00_1057;
BgL_arg2210z00_1057 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2850z00zz__multimediazd2midizd2, BGl_proc2849z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1223z00_1033,((long)2),BgL_arg2210z00_1057); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2215z00_1067;
BgL_arg2215z00_1067 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc2853z00zz__multimediazd2midizd2, BGl_proc2852z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2851z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)19))); 
VECTOR_SET(BgL_v1223z00_1033,((long)3),BgL_arg2215z00_1067); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2222z00_1080;
BgL_arg2222z00_1080 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc2856z00zz__multimediazd2midizd2, BGl_proc2855z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2854z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1223z00_1033,((long)4),BgL_arg2222z00_1080); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2229z00_1093;
BgL_arg2229z00_1093 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc2859z00zz__multimediazd2midizd2, BGl_proc2858z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2857z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1223z00_1033,((long)5),BgL_arg2229z00_1093); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2236z00_1106;
BgL_arg2236z00_1106 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc2862z00zz__multimediazd2midizd2, BGl_proc2861z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2860z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1223z00_1033,((long)6),BgL_arg2236z00_1106); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2243z00_1119;
BgL_arg2243z00_1119 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2865z00zz__multimediazd2midizd2, BGl_proc2864z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2863z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1223z00_1033,((long)7),BgL_arg2243z00_1119); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2250z00_1132;
BgL_arg2250z00_1132 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc2868z00zz__multimediazd2midizd2, BGl_proc2867z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2866z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1223z00_1033,((long)8),BgL_arg2250z00_1132); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2257z00_1145;
BgL_arg2257z00_1145 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc2871z00zz__multimediazd2midizd2, BGl_proc2870z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2869z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1223z00_1033,((long)9),BgL_arg2257z00_1145); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2264z00_1158;
BgL_arg2264z00_1158 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc2874z00zz__multimediazd2midizd2, BGl_proc2873z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2872z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1223z00_1033,((long)10),BgL_arg2264z00_1158); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2271z00_1171;
BgL_arg2271z00_1171 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc2877z00zz__multimediazd2midizd2, BGl_proc2876z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2875z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1223z00_1033,((long)11),BgL_arg2271z00_1171); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2278z00_1184;
BgL_arg2278z00_1184 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc2880z00zz__multimediazd2midizd2, BGl_proc2879z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2878z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1223z00_1033,((long)12),BgL_arg2278z00_1184); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2285z00_1197;
BgL_arg2285z00_1197 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc2883z00zz__multimediazd2midizd2, BGl_proc2882z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2881z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)19))); 
VECTOR_SET(BgL_v1223z00_1033,((long)13),BgL_arg2285z00_1197); } 
BgL_arg2190z00_1007 = BgL_v1223z00_1033; } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_v1224z00_1210;
BgL_v1224z00_1210 = 
create_vector(((long)0)); 
BgL_arg2191z00_1008 = BgL_v1224z00_1210; } 
BGl_miditrackz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)31)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)26896), BGl_proc2886z00zz__multimediazd2midizd2, BGl_proc2885z00zz__multimediazd2midizd2, BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc2884z00zz__multimediazd2midizd2, BFALSE, BgL_arg2190z00_1007, BgL_arg2191z00_1008); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2295z00_1217; obj_t BgL_arg2296z00_1218;
{ /* Llib/midi.scm 42 */
 obj_t BgL_v1225z00_1236;
BgL_v1225z00_1236 = 
create_vector(((long)7)); 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2303z00_1237;
BgL_arg2303z00_1237 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)32)), BGl_proc2888z00zz__multimediazd2midizd2, BGl_proc2887z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1236,((long)0),BgL_arg2303z00_1237); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2308z00_1247;
BgL_arg2308z00_1247 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc2890z00zz__multimediazd2midizd2, BGl_proc2889z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1236,((long)1),BgL_arg2308z00_1247); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2313z00_1257;
BgL_arg2313z00_1257 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)34)), BGl_proc2892z00zz__multimediazd2midizd2, BGl_proc2891z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1236,((long)2),BgL_arg2313z00_1257); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2318z00_1267;
BgL_arg2318z00_1267 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc2894z00zz__multimediazd2midizd2, BGl_proc2893z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1236,((long)3),BgL_arg2318z00_1267); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2323z00_1277;
BgL_arg2323z00_1277 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)36)), BGl_proc2896z00zz__multimediazd2midizd2, BGl_proc2895z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1236,((long)4),BgL_arg2323z00_1277); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2328z00_1287;
BgL_arg2328z00_1287 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc2898z00zz__multimediazd2midizd2, BGl_proc2897z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1236,((long)5),BgL_arg2328z00_1287); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2333z00_1297;
BgL_arg2333z00_1297 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)38)), BGl_proc2900z00zz__multimediazd2midizd2, BGl_proc2899z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1236,((long)6),BgL_arg2333z00_1297); } 
BgL_arg2295z00_1217 = BgL_v1225z00_1236; } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_v1226z00_1307;
BgL_v1226z00_1307 = 
create_vector(((long)0)); 
BgL_arg2296z00_1218 = BgL_v1226z00_1307; } 
BGl_midireaderz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)53877), BGl_proc2903z00zz__multimediazd2midizd2, BGl_proc2902z00zz__multimediazd2midizd2, BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc2901z00zz__multimediazd2midizd2, BFALSE, BgL_arg2295z00_1217, BgL_arg2296z00_1218); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2341z00_1314; obj_t BgL_arg2342z00_1315;
{ /* Llib/midi.scm 52 */
 obj_t BgL_v1227z00_1354;
BgL_v1227z00_1354 = 
create_vector(((long)28)); 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2349z00_1355;
BgL_arg2349z00_1355 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc2906z00zz__multimediazd2midizd2, BGl_proc2905z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2904z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)0),BgL_arg2349z00_1355); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2356z00_1368;
BgL_arg2356z00_1368 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_proc2909z00zz__multimediazd2midizd2, BGl_proc2908z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2907z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)1),BgL_arg2356z00_1368); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2363z00_1381;
BgL_arg2363z00_1381 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc2912z00zz__multimediazd2midizd2, BGl_proc2911z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2910z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)2),BgL_arg2363z00_1381); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2370z00_1394;
BgL_arg2370z00_1394 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc2915z00zz__multimediazd2midizd2, BGl_proc2914z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2913z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)3),BgL_arg2370z00_1394); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2377z00_1407;
BgL_arg2377z00_1407 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)44)), BGl_proc2918z00zz__multimediazd2midizd2, BGl_proc2917z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2916z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)4),BgL_arg2377z00_1407); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2384z00_1420;
BgL_arg2384z00_1420 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2921z00zz__multimediazd2midizd2, BGl_proc2920z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2919z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)5),BgL_arg2384z00_1420); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2391z00_1433;
BgL_arg2391z00_1433 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)46)), BGl_proc2924z00zz__multimediazd2midizd2, BGl_proc2923z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2922z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)6),BgL_arg2391z00_1433); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2398z00_1446;
BgL_arg2398z00_1446 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc2927z00zz__multimediazd2midizd2, BGl_proc2926z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2925z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)7),BgL_arg2398z00_1446); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2405z00_1459;
BgL_arg2405z00_1459 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)48)), BGl_proc2930z00zz__multimediazd2midizd2, BGl_proc2929z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2928z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)8),BgL_arg2405z00_1459); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2412z00_1472;
BgL_arg2412z00_1472 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc2933z00zz__multimediazd2midizd2, BGl_proc2932z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2931z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)9),BgL_arg2412z00_1472); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2419z00_1485;
BgL_arg2419z00_1485 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc2936z00zz__multimediazd2midizd2, BGl_proc2935z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2934z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)10),BgL_arg2419z00_1485); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2426z00_1498;
BgL_arg2426z00_1498 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)51)), BGl_proc2939z00zz__multimediazd2midizd2, BGl_proc2938z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2937z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)11),BgL_arg2426z00_1498); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2433z00_1511;
BgL_arg2433z00_1511 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc2942z00zz__multimediazd2midizd2, BGl_proc2941z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2940z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)12),BgL_arg2433z00_1511); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2440z00_1524;
BgL_arg2440z00_1524 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)53)), BGl_proc2945z00zz__multimediazd2midizd2, BGl_proc2944z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2943z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)13),BgL_arg2440z00_1524); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2447z00_1537;
BgL_arg2447z00_1537 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)54)), BGl_proc2948z00zz__multimediazd2midizd2, BGl_proc2947z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2946z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)14),BgL_arg2447z00_1537); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2454z00_1550;
BgL_arg2454z00_1550 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc2951z00zz__multimediazd2midizd2, BGl_proc2950z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2949z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)15),BgL_arg2454z00_1550); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2461z00_1563;
BgL_arg2461z00_1563 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc2954z00zz__multimediazd2midizd2, BGl_proc2953z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2952z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)16),BgL_arg2461z00_1563); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2468z00_1576;
BgL_arg2468z00_1576 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc2957z00zz__multimediazd2midizd2, BGl_proc2956z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2955z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)17),BgL_arg2468z00_1576); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2475z00_1589;
BgL_arg2475z00_1589 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc2960z00zz__multimediazd2midizd2, BGl_proc2959z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2958z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)18),BgL_arg2475z00_1589); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2482z00_1602;
BgL_arg2482z00_1602 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2963z00zz__multimediazd2midizd2, BGl_proc2962z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2961z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)19),BgL_arg2482z00_1602); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2489z00_1615;
BgL_arg2489z00_1615 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc2966z00zz__multimediazd2midizd2, BGl_proc2965z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2964z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)20),BgL_arg2489z00_1615); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2496z00_1628;
BgL_arg2496z00_1628 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)61)), BGl_proc2969z00zz__multimediazd2midizd2, BGl_proc2968z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2967z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)21),BgL_arg2496z00_1628); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2503z00_1641;
BgL_arg2503z00_1641 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)62)), BGl_proc2972z00zz__multimediazd2midizd2, BGl_proc2971z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2970z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)22),BgL_arg2503z00_1641); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2510z00_1654;
BgL_arg2510z00_1654 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc2975z00zz__multimediazd2midizd2, BGl_proc2974z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2973z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)23),BgL_arg2510z00_1654); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2517z00_1667;
BgL_arg2517z00_1667 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc2978z00zz__multimediazd2midizd2, BGl_proc2977z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2976z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)24),BgL_arg2517z00_1667); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2525z00_1689;
BgL_arg2525z00_1689 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)65)), BGl_proc2981z00zz__multimediazd2midizd2, BGl_proc2980z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2979z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)25),BgL_arg2525z00_1689); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2533z00_1710;
BgL_arg2533z00_1710 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc2984z00zz__multimediazd2midizd2, BGl_proc2983z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2982z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)26),BgL_arg2533z00_1710); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2540z00_1723;
BgL_arg2540z00_1723 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc2987z00zz__multimediazd2midizd2, BGl_proc2986z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2985z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1354,((long)27),BgL_arg2540z00_1723); } 
BgL_arg2341z00_1314 = BgL_v1227z00_1354; } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_v1228z00_1736;
BgL_v1228z00_1736 = 
create_vector(((long)0)); 
BgL_arg2342z00_1315 = BgL_v1228z00_1736; } 
BGl_midiplayerz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)68)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)52705), BGl_proc2990z00zz__multimediazd2midizd2, BGl_proc2989z00zz__multimediazd2midizd2, BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc2988z00zz__multimediazd2midizd2, BFALSE, BgL_arg2341z00_1314, BgL_arg2342z00_1315); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2550z00_1743; obj_t BgL_arg2551z00_1744;
{ /* Llib/midi.scm 87 */
 obj_t BgL_v1229z00_1760;
BgL_v1229z00_1760 = 
create_vector(((long)5)); 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2558z00_1761;
BgL_arg2558z00_1761 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)69)), BGl_proc2993z00zz__multimediazd2midizd2, BGl_proc2992z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2991z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1229z00_1760,((long)0),BgL_arg2558z00_1761); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2565z00_1774;
BgL_arg2565z00_1774 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc2996z00zz__multimediazd2midizd2, BGl_proc2995z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2994z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1229z00_1760,((long)1),BgL_arg2565z00_1774); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2572z00_1787;
BgL_arg2572z00_1787 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc2999z00zz__multimediazd2midizd2, BGl_proc2998z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2997z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1229z00_1760,((long)2),BgL_arg2572z00_1787); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2580z00_1803;
BgL_arg2580z00_1803 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc3002z00zz__multimediazd2midizd2, BGl_proc3001z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3000z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1229z00_1760,((long)3),BgL_arg2580z00_1803); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2588z00_1819;
BgL_arg2588z00_1819 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc3005z00zz__multimediazd2midizd2, BGl_proc3004z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3003z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1229z00_1760,((long)4),BgL_arg2588z00_1819); } 
BgL_arg2550z00_1743 = BgL_v1229z00_1760; } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_v1230z00_1832;
BgL_v1230z00_1832 = 
create_vector(((long)0)); 
BgL_arg2551z00_1744 = BgL_v1230z00_1832; } 
return ( 
BGl_midisinkz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)74)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)13783), BGl_proc3008z00zz__multimediazd2midizd2, BGl_proc3007z00zz__multimediazd2midizd2, BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3006z00zz__multimediazd2midizd2, BFALSE, BgL_arg2550z00_1743, BgL_arg2551z00_1744), BUNSPEC) ;} } 

}



/* &<@anonymous:2557> */
obj_t BGl_z62zc3z04anonymousza32557ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3164, obj_t BgL_new1118z00_3165)
{
{ /* Llib/midi.scm 87 */
{ 
 BgL_midisinkz00_bglt BgL_auxz00_8526;
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1118z00_3165)))->BgL_streamz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1118z00_3165)))->BgL_usleepz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1118z00_3165)))->BgL_writezd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1118z00_3165)))->BgL_writezd2stringzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1118z00_3165)))->BgL_flushz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_8526 = 
((BgL_midisinkz00_bglt)BgL_new1118z00_3165); 
return 
((obj_t)BgL_auxz00_8526);} } 

}



/* &lambda2555 */
BgL_midisinkz00_bglt BGl_z62lambda2555z62zz__multimediazd2midizd2(obj_t BgL_envz00_3166)
{
{ /* Llib/midi.scm 87 */
{ /* Llib/midi.scm 87 */
 BgL_midisinkz00_bglt BgL_new1117z00_4674;
BgL_new1117z00_4674 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 87 */
 long BgL_arg2556z00_4675;
BgL_arg2556z00_4675 = 
BGL_CLASS_NUM(BGl_midisinkz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_4674), BgL_arg2556z00_4675); } 
return BgL_new1117z00_4674;} } 

}



/* &lambda2552 */
BgL_midisinkz00_bglt BGl_z62lambda2552z62zz__multimediazd2midizd2(obj_t BgL_envz00_3167, obj_t BgL_stream1112z00_3168, obj_t BgL_usleep1113z00_3169, obj_t BgL_writezd2byte1114zd2_3170, obj_t BgL_writezd2string1115zd2_3171, obj_t BgL_flush1116z00_3172)
{
{ /* Llib/midi.scm 87 */
{ /* Llib/midi.scm 87 */
 BgL_midisinkz00_bglt BgL_new1184z00_4680;
{ /* Llib/midi.scm 87 */
 BgL_midisinkz00_bglt BgL_new1183z00_4681;
BgL_new1183z00_4681 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 87 */
 long BgL_arg2554z00_4682;
BgL_arg2554z00_4682 = 
BGL_CLASS_NUM(BGl_midisinkz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1183z00_4681), BgL_arg2554z00_4682); } 
BgL_new1184z00_4680 = BgL_new1183z00_4681; } 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1184z00_4680))->BgL_streamz00)=((obj_t)BgL_stream1112z00_3168),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1184z00_4680))->BgL_usleepz00)=((obj_t)
((obj_t)BgL_usleep1113z00_3169)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1184z00_4680))->BgL_writezd2bytezd2)=((obj_t)
((obj_t)BgL_writezd2byte1114zd2_3170)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1184z00_4680))->BgL_writezd2stringzd2)=((obj_t)
((obj_t)BgL_writezd2string1115zd2_3171)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1184z00_4680))->BgL_flushz00)=((obj_t)
((obj_t)BgL_flush1116z00_3172)),BUNSPEC); 
{ /* Llib/midi.scm 87 */
 obj_t BgL_fun2553z00_4683;
BgL_fun2553z00_4683 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midisinkz00zz__multimediazd2midizd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2553z00_4683))(BgL_fun2553z00_4683, 
((obj_t)BgL_new1184z00_4680), BEOA); } 
return BgL_new1184z00_4680;} } 

}



/* &<@anonymous:2594> */
obj_t BGl_z62zc3z04anonymousza32594ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3173)
{
{ /* Llib/midi.scm 87 */
return BGl_flushzd2outputzd2portzd2envzd2zz__r4_ports_6_10_1z00;} 

}



/* &lambda2593 */
obj_t BGl_z62lambda2593z62zz__multimediazd2midizd2(obj_t BgL_envz00_3174, obj_t BgL_oz00_3175, obj_t BgL_vz00_3176)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3175)))->BgL_flushz00)=((obj_t)
((obj_t)BgL_vz00_3176)),BUNSPEC);} 

}



/* &lambda2592 */
obj_t BGl_z62lambda2592z62zz__multimediazd2midizd2(obj_t BgL_envz00_3177, obj_t BgL_oz00_3178)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3178)))->BgL_flushz00);} 

}



/* &<@anonymous:2586> */
obj_t BGl_z62zc3z04anonymousza32586ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3179)
{
{ /* Llib/midi.scm 87 */
return BGl_proc3009z00zz__multimediazd2midizd2;} 

}



/* &lambda2585 */
obj_t BGl_z62lambda2585z62zz__multimediazd2midizd2(obj_t BgL_envz00_3180, obj_t BgL_oz00_3181, obj_t BgL_vz00_3182)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3181)))->BgL_writezd2stringzd2)=((obj_t)
((obj_t)BgL_vz00_3182)),BUNSPEC);} 

}



/* &lambda2584 */
obj_t BGl_z62lambda2584z62zz__multimediazd2midizd2(obj_t BgL_envz00_3183, obj_t BgL_oz00_3184)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3184)))->BgL_writezd2stringzd2);} 

}



/* &<@anonymous:2587> */
obj_t BGl_z62zc3z04anonymousza32587ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3185, obj_t BgL_opz00_3186, obj_t BgL_sz00_3187)
{
{ /* Llib/midi.scm 92 */
return 
BGl_writezd2stringzd2zz__r4_output_6_10_3z00(BgL_sz00_3187, BgL_opz00_3186);} 

}



/* &<@anonymous:2578> */
obj_t BGl_z62zc3z04anonymousza32578ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3188)
{
{ /* Llib/midi.scm 87 */
return BGl_proc3010z00zz__multimediazd2midizd2;} 

}



/* &lambda2577 */
obj_t BGl_z62lambda2577z62zz__multimediazd2midizd2(obj_t BgL_envz00_3189, obj_t BgL_oz00_3190, obj_t BgL_vz00_3191)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3190)))->BgL_writezd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3191)),BUNSPEC);} 

}



/* &lambda2576 */
obj_t BGl_z62lambda2576z62zz__multimediazd2midizd2(obj_t BgL_envz00_3192, obj_t BgL_oz00_3193)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3193)))->BgL_writezd2bytezd2);} 

}



/* &<@anonymous:2579> */
obj_t BGl_z62zc3z04anonymousza32579ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3194, obj_t BgL_opz00_3195, obj_t BgL_bz00_3196)
{
{ /* Llib/midi.scm 91 */
{ /* Llib/midi.scm 91 */
 unsigned char BgL_bytez00_4693;
BgL_bytez00_4693 = 
(unsigned char)CINT(BgL_bz00_3196); 
{ /* Llib/midi.scm 91 */
 obj_t BgL_tmpz00_8579;
BgL_tmpz00_8579 = 
((obj_t)BgL_opz00_3195); 
return 
bgl_display_char(BgL_bytez00_4693, BgL_tmpz00_8579);} } } 

}



/* &<@anonymous:2571> */
obj_t BGl_z62zc3z04anonymousza32571ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3197)
{
{ /* Llib/midi.scm 87 */
return BGl_sleepzd2envzd2zz__osz00;} 

}



/* &lambda2570 */
obj_t BGl_z62lambda2570z62zz__multimediazd2midizd2(obj_t BgL_envz00_3198, obj_t BgL_oz00_3199, obj_t BgL_vz00_3200)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3199)))->BgL_usleepz00)=((obj_t)
((obj_t)BgL_vz00_3200)),BUNSPEC);} 

}



/* &lambda2569 */
obj_t BGl_z62lambda2569z62zz__multimediazd2midizd2(obj_t BgL_envz00_3201, obj_t BgL_oz00_3202)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3202)))->BgL_usleepz00);} 

}



/* &<@anonymous:2564> */
obj_t BGl_z62zc3z04anonymousza32564ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3203)
{
{ /* Llib/midi.scm 87 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2563 */
obj_t BGl_z62lambda2563z62zz__multimediazd2midizd2(obj_t BgL_envz00_3204, obj_t BgL_oz00_3205, obj_t BgL_vz00_3206)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3205)))->BgL_streamz00)=((obj_t)BgL_vz00_3206),BUNSPEC);} 

}



/* &lambda2562 */
obj_t BGl_z62lambda2562z62zz__multimediazd2midizd2(obj_t BgL_envz00_3207, obj_t BgL_oz00_3208)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3208)))->BgL_streamz00);} 

}



/* &<@anonymous:2348> */
obj_t BGl_z62zc3z04anonymousza32348ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3209, obj_t BgL_new1110z00_3210)
{
{ /* Llib/midi.scm 52 */
{ 
 BgL_midiplayerz00_bglt BgL_auxz00_8592;
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_errz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_cdelayz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_noteoffz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_noteonz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_aftertouchz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_ctrlchangez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_prgmchangez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_afterzd2touchzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_pitchz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_sysexz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2seqnumzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2textzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2copyrightzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2trackzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2instrumentzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2lyriczd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2markerzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2cuezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2prgmnamezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2devnamezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2channprefzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2midiportzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2eotzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2tempozd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2smtpezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2timesigzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2keysigzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210)))->BgL_metazd2seqspeczd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_8592 = 
((BgL_midiplayerz00_bglt)BgL_new1110z00_3210); 
return 
((obj_t)BgL_auxz00_8592);} } 

}



/* &lambda2346 */
BgL_midiplayerz00_bglt BGl_z62lambda2346z62zz__multimediazd2midizd2(obj_t BgL_envz00_3211)
{
{ /* Llib/midi.scm 52 */
{ /* Llib/midi.scm 52 */
 BgL_midiplayerz00_bglt BgL_new1109z00_4700;
BgL_new1109z00_4700 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 52 */
 long BgL_arg2347z00_4701;
BgL_arg2347z00_4701 = 
BGL_CLASS_NUM(BGl_midiplayerz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_4700), BgL_arg2347z00_4701); } 
return BgL_new1109z00_4700;} } 

}



/* &lambda2343 */
BgL_midiplayerz00_bglt BGl_z62lambda2343z62zz__multimediazd2midizd2(obj_t BgL_envz00_3212, obj_t BgL_err1081z00_3213, obj_t BgL_cdelay1082z00_3214, obj_t BgL_noteoff1083z00_3215, obj_t BgL_noteon1084z00_3216, obj_t BgL_aftertouch1085z00_3217, obj_t BgL_ctrlchange1086z00_3218, obj_t BgL_prgmchange1087z00_3219, obj_t BgL_afterzd2touch1088zd2_3220, obj_t BgL_pitch1089z00_3221, obj_t BgL_sysex1090z00_3222, obj_t BgL_metazd2seqnum1091zd2_3223, obj_t BgL_metazd2text1092zd2_3224, obj_t BgL_metazd2copyright1093zd2_3225, obj_t BgL_metazd2track1094zd2_3226, obj_t BgL_metazd2instrument1095zd2_3227, obj_t BgL_metazd2lyric1096zd2_3228, obj_t BgL_metazd2marker1097zd2_3229, obj_t BgL_metazd2cue1098zd2_3230, obj_t BgL_metazd2prgmname1099zd2_3231, obj_t BgL_metazd2devname1100zd2_3232, obj_t BgL_metazd2channpref1101zd2_3233, obj_t BgL_metazd2midiport1102zd2_3234, obj_t BgL_metazd2eot1103zd2_3235, obj_t BgL_metazd2tempo1104zd2_3236, obj_t BgL_metazd2smtpe1105zd2_3237, obj_t BgL_metazd2timesig1106zd2_3238, obj_t BgL_metazd2keysig1107zd2_3239, obj_t BgL_metazd2seqspec1108zd2_3240)
{
{ /* Llib/midi.scm 52 */
{ /* Llib/midi.scm 52 */
 BgL_midiplayerz00_bglt BgL_new1182z00_4730;
{ /* Llib/midi.scm 52 */
 BgL_midiplayerz00_bglt BgL_new1181z00_4731;
BgL_new1181z00_4731 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 52 */
 long BgL_arg2345z00_4732;
BgL_arg2345z00_4732 = 
BGL_CLASS_NUM(BGl_midiplayerz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1181z00_4731), BgL_arg2345z00_4732); } 
BgL_new1182z00_4730 = BgL_new1181z00_4731; } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_errz00)=((obj_t)
((obj_t)BgL_err1081z00_3213)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_cdelayz00)=((obj_t)
((obj_t)BgL_cdelay1082z00_3214)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_noteoffz00)=((obj_t)
((obj_t)BgL_noteoff1083z00_3215)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_noteonz00)=((obj_t)
((obj_t)BgL_noteon1084z00_3216)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_aftertouchz00)=((obj_t)
((obj_t)BgL_aftertouch1085z00_3217)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_ctrlchangez00)=((obj_t)
((obj_t)BgL_ctrlchange1086z00_3218)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_prgmchangez00)=((obj_t)
((obj_t)BgL_prgmchange1087z00_3219)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_afterzd2touchzd2)=((obj_t)
((obj_t)BgL_afterzd2touch1088zd2_3220)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_pitchz00)=((obj_t)
((obj_t)BgL_pitch1089z00_3221)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_sysexz00)=((obj_t)
((obj_t)BgL_sysex1090z00_3222)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2seqnumzd2)=((obj_t)
((obj_t)BgL_metazd2seqnum1091zd2_3223)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2textzd2)=((obj_t)
((obj_t)BgL_metazd2text1092zd2_3224)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2copyrightzd2)=((obj_t)
((obj_t)BgL_metazd2copyright1093zd2_3225)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2trackzd2)=((obj_t)
((obj_t)BgL_metazd2track1094zd2_3226)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2instrumentzd2)=((obj_t)
((obj_t)BgL_metazd2instrument1095zd2_3227)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2lyriczd2)=((obj_t)
((obj_t)BgL_metazd2lyric1096zd2_3228)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2markerzd2)=((obj_t)
((obj_t)BgL_metazd2marker1097zd2_3229)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2cuezd2)=((obj_t)
((obj_t)BgL_metazd2cue1098zd2_3230)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2prgmnamezd2)=((obj_t)
((obj_t)BgL_metazd2prgmname1099zd2_3231)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2devnamezd2)=((obj_t)
((obj_t)BgL_metazd2devname1100zd2_3232)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2channprefzd2)=((obj_t)
((obj_t)BgL_metazd2channpref1101zd2_3233)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2midiportzd2)=((obj_t)
((obj_t)BgL_metazd2midiport1102zd2_3234)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2eotzd2)=((obj_t)
((obj_t)BgL_metazd2eot1103zd2_3235)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2tempozd2)=((obj_t)
((obj_t)BgL_metazd2tempo1104zd2_3236)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2smtpezd2)=((obj_t)
((obj_t)BgL_metazd2smtpe1105zd2_3237)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2timesigzd2)=((obj_t)
((obj_t)BgL_metazd2timesig1106zd2_3238)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2keysigzd2)=((obj_t)
((obj_t)BgL_metazd2keysig1107zd2_3239)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4730))->BgL_metazd2seqspeczd2)=((obj_t)
((obj_t)BgL_metazd2seqspec1108zd2_3240)),BUNSPEC); 
{ /* Llib/midi.scm 52 */
 obj_t BgL_fun2344z00_4733;
BgL_fun2344z00_4733 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiplayerz00zz__multimediazd2midizd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2344z00_4733))(BgL_fun2344z00_4733, 
((obj_t)BgL_new1182z00_4730), BEOA); } 
return BgL_new1182z00_4730;} } 

}



/* &<@anonymous:2546> */
obj_t BGl_z62zc3z04anonymousza32546ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3241)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2545 */
obj_t BGl_z62lambda2545z62zz__multimediazd2midizd2(obj_t BgL_envz00_3242, obj_t BgL_oz00_3243, obj_t BgL_vz00_3244)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3243)))->BgL_metazd2seqspeczd2)=((obj_t)
((obj_t)BgL_vz00_3244)),BUNSPEC);} 

}



/* &lambda2544 */
obj_t BGl_z62lambda2544z62zz__multimediazd2midizd2(obj_t BgL_envz00_3245, obj_t BgL_oz00_3246)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3246)))->BgL_metazd2seqspeczd2);} 

}



/* &<@anonymous:2539> */
obj_t BGl_z62zc3z04anonymousza32539ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3247)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2538 */
obj_t BGl_z62lambda2538z62zz__multimediazd2midizd2(obj_t BgL_envz00_3248, obj_t BgL_oz00_3249, obj_t BgL_vz00_3250)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3249)))->BgL_metazd2keysigzd2)=((obj_t)
((obj_t)BgL_vz00_3250)),BUNSPEC);} 

}



/* &lambda2537 */
obj_t BGl_z62lambda2537z62zz__multimediazd2midizd2(obj_t BgL_envz00_3251, obj_t BgL_oz00_3252)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3252)))->BgL_metazd2keysigzd2);} 

}



/* &<@anonymous:2531> */
obj_t BGl_z62zc3z04anonymousza32531ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3253)
{
{ /* Llib/midi.scm 52 */
return BGl_proc3011z00zz__multimediazd2midizd2;} 

}



/* &lambda2530 */
obj_t BGl_z62lambda2530z62zz__multimediazd2midizd2(obj_t BgL_envz00_3254, obj_t BgL_oz00_3255, obj_t BgL_vz00_3256)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3255)))->BgL_metazd2timesigzd2)=((obj_t)
((obj_t)BgL_vz00_3256)),BUNSPEC);} 

}



/* &lambda2529 */
obj_t BGl_z62lambda2529z62zz__multimediazd2midizd2(obj_t BgL_envz00_3257, obj_t BgL_oz00_3258)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3258)))->BgL_metazd2timesigzd2);} 

}



/* &<@anonymous:2532> */
obj_t BGl_z62zc3z04anonymousza32532ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3259, obj_t BgL_mpz00_3260, obj_t BgL_msz00_3261, obj_t BgL_tickz00_3262, obj_t BgL_nnz00_3263, obj_t BgL_ddz00_3264, obj_t BgL_ccz00_3265, obj_t BgL_bbz00_3266)
{
{ /* Llib/midi.scm 83 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:2523> */
obj_t BGl_z62zc3z04anonymousza32523ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3267)
{
{ /* Llib/midi.scm 52 */
return BGl_proc3012z00zz__multimediazd2midizd2;} 

}



/* &lambda2522 */
obj_t BGl_z62lambda2522z62zz__multimediazd2midizd2(obj_t BgL_envz00_3268, obj_t BgL_oz00_3269, obj_t BgL_vz00_3270)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3269)))->BgL_metazd2smtpezd2)=((obj_t)
((obj_t)BgL_vz00_3270)),BUNSPEC);} 

}



/* &lambda2521 */
obj_t BGl_z62lambda2521z62zz__multimediazd2midizd2(obj_t BgL_envz00_3271, obj_t BgL_oz00_3272)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3272)))->BgL_metazd2smtpezd2);} 

}



/* &<@anonymous:2524> */
obj_t BGl_z62zc3z04anonymousza32524ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3273, obj_t BgL_mpz00_3274, obj_t BgL_msz00_3275, obj_t BgL_tickz00_3276, obj_t BgL_hrz00_3277, obj_t BgL_mmz00_3278, obj_t BgL_sez00_3279, obj_t BgL_frz00_3280, obj_t BgL_ffz00_3281)
{
{ /* Llib/midi.scm 82 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:2516> */
obj_t BGl_z62zc3z04anonymousza32516ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3282)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2515 */
obj_t BGl_z62lambda2515z62zz__multimediazd2midizd2(obj_t BgL_envz00_3283, obj_t BgL_oz00_3284, obj_t BgL_vz00_3285)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3284)))->BgL_metazd2tempozd2)=((obj_t)
((obj_t)BgL_vz00_3285)),BUNSPEC);} 

}



/* &lambda2514 */
obj_t BGl_z62lambda2514z62zz__multimediazd2midizd2(obj_t BgL_envz00_3286, obj_t BgL_oz00_3287)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3287)))->BgL_metazd2tempozd2);} 

}



/* &<@anonymous:2509> */
obj_t BGl_z62zc3z04anonymousza32509ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3288)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2508 */
obj_t BGl_z62lambda2508z62zz__multimediazd2midizd2(obj_t BgL_envz00_3289, obj_t BgL_oz00_3290, obj_t BgL_vz00_3291)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3290)))->BgL_metazd2eotzd2)=((obj_t)
((obj_t)BgL_vz00_3291)),BUNSPEC);} 

}



/* &lambda2507 */
obj_t BGl_z62lambda2507z62zz__multimediazd2midizd2(obj_t BgL_envz00_3292, obj_t BgL_oz00_3293)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3293)))->BgL_metazd2eotzd2);} 

}



/* &<@anonymous:2502> */
obj_t BGl_z62zc3z04anonymousza32502ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3294)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2501 */
obj_t BGl_z62lambda2501z62zz__multimediazd2midizd2(obj_t BgL_envz00_3295, obj_t BgL_oz00_3296, obj_t BgL_vz00_3297)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3296)))->BgL_metazd2midiportzd2)=((obj_t)
((obj_t)BgL_vz00_3297)),BUNSPEC);} 

}



/* &lambda2500 */
obj_t BGl_z62lambda2500z62zz__multimediazd2midizd2(obj_t BgL_envz00_3298, obj_t BgL_oz00_3299)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3299)))->BgL_metazd2midiportzd2);} 

}



/* &<@anonymous:2495> */
obj_t BGl_z62zc3z04anonymousza32495ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3300)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2494 */
obj_t BGl_z62lambda2494z62zz__multimediazd2midizd2(obj_t BgL_envz00_3301, obj_t BgL_oz00_3302, obj_t BgL_vz00_3303)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3302)))->BgL_metazd2channprefzd2)=((obj_t)
((obj_t)BgL_vz00_3303)),BUNSPEC);} 

}



/* &lambda2493 */
obj_t BGl_z62lambda2493z62zz__multimediazd2midizd2(obj_t BgL_envz00_3304, obj_t BgL_oz00_3305)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3305)))->BgL_metazd2channprefzd2);} 

}



/* &<@anonymous:2488> */
obj_t BGl_z62zc3z04anonymousza32488ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3306)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2487 */
obj_t BGl_z62lambda2487z62zz__multimediazd2midizd2(obj_t BgL_envz00_3307, obj_t BgL_oz00_3308, obj_t BgL_vz00_3309)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3308)))->BgL_metazd2devnamezd2)=((obj_t)
((obj_t)BgL_vz00_3309)),BUNSPEC);} 

}



/* &lambda2486 */
obj_t BGl_z62lambda2486z62zz__multimediazd2midizd2(obj_t BgL_envz00_3310, obj_t BgL_oz00_3311)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3311)))->BgL_metazd2devnamezd2);} 

}



/* &<@anonymous:2481> */
obj_t BGl_z62zc3z04anonymousza32481ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3312)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2480 */
obj_t BGl_z62lambda2480z62zz__multimediazd2midizd2(obj_t BgL_envz00_3313, obj_t BgL_oz00_3314, obj_t BgL_vz00_3315)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3314)))->BgL_metazd2prgmnamezd2)=((obj_t)
((obj_t)BgL_vz00_3315)),BUNSPEC);} 

}



/* &lambda2479 */
obj_t BGl_z62lambda2479z62zz__multimediazd2midizd2(obj_t BgL_envz00_3316, obj_t BgL_oz00_3317)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3317)))->BgL_metazd2prgmnamezd2);} 

}



/* &<@anonymous:2474> */
obj_t BGl_z62zc3z04anonymousza32474ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3318)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2473 */
obj_t BGl_z62lambda2473z62zz__multimediazd2midizd2(obj_t BgL_envz00_3319, obj_t BgL_oz00_3320, obj_t BgL_vz00_3321)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3320)))->BgL_metazd2cuezd2)=((obj_t)
((obj_t)BgL_vz00_3321)),BUNSPEC);} 

}



/* &lambda2472 */
obj_t BGl_z62lambda2472z62zz__multimediazd2midizd2(obj_t BgL_envz00_3322, obj_t BgL_oz00_3323)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3323)))->BgL_metazd2cuezd2);} 

}



/* &<@anonymous:2467> */
obj_t BGl_z62zc3z04anonymousza32467ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3324)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2466 */
obj_t BGl_z62lambda2466z62zz__multimediazd2midizd2(obj_t BgL_envz00_3325, obj_t BgL_oz00_3326, obj_t BgL_vz00_3327)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3326)))->BgL_metazd2markerzd2)=((obj_t)
((obj_t)BgL_vz00_3327)),BUNSPEC);} 

}



/* &lambda2465 */
obj_t BGl_z62lambda2465z62zz__multimediazd2midizd2(obj_t BgL_envz00_3328, obj_t BgL_oz00_3329)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3329)))->BgL_metazd2markerzd2);} 

}



/* &<@anonymous:2460> */
obj_t BGl_z62zc3z04anonymousza32460ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3330)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2459 */
obj_t BGl_z62lambda2459z62zz__multimediazd2midizd2(obj_t BgL_envz00_3331, obj_t BgL_oz00_3332, obj_t BgL_vz00_3333)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3332)))->BgL_metazd2lyriczd2)=((obj_t)
((obj_t)BgL_vz00_3333)),BUNSPEC);} 

}



/* &lambda2458 */
obj_t BGl_z62lambda2458z62zz__multimediazd2midizd2(obj_t BgL_envz00_3334, obj_t BgL_oz00_3335)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3335)))->BgL_metazd2lyriczd2);} 

}



/* &<@anonymous:2453> */
obj_t BGl_z62zc3z04anonymousza32453ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3336)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2452 */
obj_t BGl_z62lambda2452z62zz__multimediazd2midizd2(obj_t BgL_envz00_3337, obj_t BgL_oz00_3338, obj_t BgL_vz00_3339)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3338)))->BgL_metazd2instrumentzd2)=((obj_t)
((obj_t)BgL_vz00_3339)),BUNSPEC);} 

}



/* &lambda2451 */
obj_t BGl_z62lambda2451z62zz__multimediazd2midizd2(obj_t BgL_envz00_3340, obj_t BgL_oz00_3341)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3341)))->BgL_metazd2instrumentzd2);} 

}



/* &<@anonymous:2446> */
obj_t BGl_z62zc3z04anonymousza32446ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3342)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2445 */
obj_t BGl_z62lambda2445z62zz__multimediazd2midizd2(obj_t BgL_envz00_3343, obj_t BgL_oz00_3344, obj_t BgL_vz00_3345)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3344)))->BgL_metazd2trackzd2)=((obj_t)
((obj_t)BgL_vz00_3345)),BUNSPEC);} 

}



/* &lambda2444 */
obj_t BGl_z62lambda2444z62zz__multimediazd2midizd2(obj_t BgL_envz00_3346, obj_t BgL_oz00_3347)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3347)))->BgL_metazd2trackzd2);} 

}



/* &<@anonymous:2439> */
obj_t BGl_z62zc3z04anonymousza32439ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3348)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2438 */
obj_t BGl_z62lambda2438z62zz__multimediazd2midizd2(obj_t BgL_envz00_3349, obj_t BgL_oz00_3350, obj_t BgL_vz00_3351)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3350)))->BgL_metazd2copyrightzd2)=((obj_t)
((obj_t)BgL_vz00_3351)),BUNSPEC);} 

}



/* &lambda2437 */
obj_t BGl_z62lambda2437z62zz__multimediazd2midizd2(obj_t BgL_envz00_3352, obj_t BgL_oz00_3353)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3353)))->BgL_metazd2copyrightzd2);} 

}



/* &<@anonymous:2432> */
obj_t BGl_z62zc3z04anonymousza32432ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3354)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2431 */
obj_t BGl_z62lambda2431z62zz__multimediazd2midizd2(obj_t BgL_envz00_3355, obj_t BgL_oz00_3356, obj_t BgL_vz00_3357)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3356)))->BgL_metazd2textzd2)=((obj_t)
((obj_t)BgL_vz00_3357)),BUNSPEC);} 

}



/* &lambda2430 */
obj_t BGl_z62lambda2430z62zz__multimediazd2midizd2(obj_t BgL_envz00_3358, obj_t BgL_oz00_3359)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3359)))->BgL_metazd2textzd2);} 

}



/* &<@anonymous:2425> */
obj_t BGl_z62zc3z04anonymousza32425ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3360)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2424 */
obj_t BGl_z62lambda2424z62zz__multimediazd2midizd2(obj_t BgL_envz00_3361, obj_t BgL_oz00_3362, obj_t BgL_vz00_3363)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3362)))->BgL_metazd2seqnumzd2)=((obj_t)
((obj_t)BgL_vz00_3363)),BUNSPEC);} 

}



/* &lambda2423 */
obj_t BGl_z62lambda2423z62zz__multimediazd2midizd2(obj_t BgL_envz00_3364, obj_t BgL_oz00_3365)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3365)))->BgL_metazd2seqnumzd2);} 

}



/* &<@anonymous:2418> */
obj_t BGl_z62zc3z04anonymousza32418ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3366)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2sysexzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2417 */
obj_t BGl_z62lambda2417z62zz__multimediazd2midizd2(obj_t BgL_envz00_3367, obj_t BgL_oz00_3368, obj_t BgL_vz00_3369)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3368)))->BgL_sysexz00)=((obj_t)
((obj_t)BgL_vz00_3369)),BUNSPEC);} 

}



/* &lambda2416 */
obj_t BGl_z62lambda2416z62zz__multimediazd2midizd2(obj_t BgL_envz00_3370, obj_t BgL_oz00_3371)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3371)))->BgL_sysexz00);} 

}



/* &<@anonymous:2411> */
obj_t BGl_z62zc3z04anonymousza32411ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3372)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2pitchzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2410 */
obj_t BGl_z62lambda2410z62zz__multimediazd2midizd2(obj_t BgL_envz00_3373, obj_t BgL_oz00_3374, obj_t BgL_vz00_3375)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3374)))->BgL_pitchz00)=((obj_t)
((obj_t)BgL_vz00_3375)),BUNSPEC);} 

}



/* &lambda2409 */
obj_t BGl_z62lambda2409z62zz__multimediazd2midizd2(obj_t BgL_envz00_3376, obj_t BgL_oz00_3377)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3377)))->BgL_pitchz00);} 

}



/* &<@anonymous:2404> */
obj_t BGl_z62zc3z04anonymousza32404ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3378)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2afterzd2touchzd2envzd2zz__multimediazd2midizd2;} 

}



/* &lambda2403 */
obj_t BGl_z62lambda2403z62zz__multimediazd2midizd2(obj_t BgL_envz00_3379, obj_t BgL_oz00_3380, obj_t BgL_vz00_3381)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3380)))->BgL_afterzd2touchzd2)=((obj_t)
((obj_t)BgL_vz00_3381)),BUNSPEC);} 

}



/* &lambda2402 */
obj_t BGl_z62lambda2402z62zz__multimediazd2midizd2(obj_t BgL_envz00_3382, obj_t BgL_oz00_3383)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3383)))->BgL_afterzd2touchzd2);} 

}



/* &<@anonymous:2397> */
obj_t BGl_z62zc3z04anonymousza32397ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3384)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2prgmchangezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2396 */
obj_t BGl_z62lambda2396z62zz__multimediazd2midizd2(obj_t BgL_envz00_3385, obj_t BgL_oz00_3386, obj_t BgL_vz00_3387)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3386)))->BgL_prgmchangez00)=((obj_t)
((obj_t)BgL_vz00_3387)),BUNSPEC);} 

}



/* &lambda2395 */
obj_t BGl_z62lambda2395z62zz__multimediazd2midizd2(obj_t BgL_envz00_3388, obj_t BgL_oz00_3389)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3389)))->BgL_prgmchangez00);} 

}



/* &<@anonymous:2390> */
obj_t BGl_z62zc3z04anonymousza32390ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3390)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ctrlchangezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2389 */
obj_t BGl_z62lambda2389z62zz__multimediazd2midizd2(obj_t BgL_envz00_3391, obj_t BgL_oz00_3392, obj_t BgL_vz00_3393)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3392)))->BgL_ctrlchangez00)=((obj_t)
((obj_t)BgL_vz00_3393)),BUNSPEC);} 

}



/* &lambda2388 */
obj_t BGl_z62lambda2388z62zz__multimediazd2midizd2(obj_t BgL_envz00_3394, obj_t BgL_oz00_3395)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3395)))->BgL_ctrlchangez00);} 

}



/* &<@anonymous:2383> */
obj_t BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3396)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2aftertouchzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2382 */
obj_t BGl_z62lambda2382z62zz__multimediazd2midizd2(obj_t BgL_envz00_3397, obj_t BgL_oz00_3398, obj_t BgL_vz00_3399)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3398)))->BgL_aftertouchz00)=((obj_t)
((obj_t)BgL_vz00_3399)),BUNSPEC);} 

}



/* &lambda2381 */
obj_t BGl_z62lambda2381z62zz__multimediazd2midizd2(obj_t BgL_envz00_3400, obj_t BgL_oz00_3401)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3401)))->BgL_aftertouchz00);} 

}



/* &<@anonymous:2376> */
obj_t BGl_z62zc3z04anonymousza32376ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3402)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2noteonzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2375 */
obj_t BGl_z62lambda2375z62zz__multimediazd2midizd2(obj_t BgL_envz00_3403, obj_t BgL_oz00_3404, obj_t BgL_vz00_3405)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3404)))->BgL_noteonz00)=((obj_t)
((obj_t)BgL_vz00_3405)),BUNSPEC);} 

}



/* &lambda2374 */
obj_t BGl_z62lambda2374z62zz__multimediazd2midizd2(obj_t BgL_envz00_3406, obj_t BgL_oz00_3407)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3407)))->BgL_noteonz00);} 

}



/* &<@anonymous:2369> */
obj_t BGl_z62zc3z04anonymousza32369ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3408)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2noteoffzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2368 */
obj_t BGl_z62lambda2368z62zz__multimediazd2midizd2(obj_t BgL_envz00_3409, obj_t BgL_oz00_3410, obj_t BgL_vz00_3411)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3410)))->BgL_noteoffz00)=((obj_t)
((obj_t)BgL_vz00_3411)),BUNSPEC);} 

}



/* &lambda2367 */
obj_t BGl_z62lambda2367z62zz__multimediazd2midizd2(obj_t BgL_envz00_3412, obj_t BgL_oz00_3413)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3413)))->BgL_noteoffz00);} 

}



/* &<@anonymous:2362> */
obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3414)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2cdelayzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2361 */
obj_t BGl_z62lambda2361z62zz__multimediazd2midizd2(obj_t BgL_envz00_3415, obj_t BgL_oz00_3416, obj_t BgL_vz00_3417)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3416)))->BgL_cdelayz00)=((obj_t)
((obj_t)BgL_vz00_3417)),BUNSPEC);} 

}



/* &lambda2360 */
obj_t BGl_z62lambda2360z62zz__multimediazd2midizd2(obj_t BgL_envz00_3418, obj_t BgL_oz00_3419)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3419)))->BgL_cdelayz00);} 

}



/* &<@anonymous:2355> */
obj_t BGl_z62zc3z04anonymousza32355ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3420)
{
{ /* Llib/midi.scm 52 */
return BGl_errorzd2envzd2zz__errorz00;} 

}



/* &lambda2354 */
obj_t BGl_z62lambda2354z62zz__multimediazd2midizd2(obj_t BgL_envz00_3421, obj_t BgL_oz00_3422, obj_t BgL_vz00_3423)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3422)))->BgL_errz00)=((obj_t)
((obj_t)BgL_vz00_3423)),BUNSPEC);} 

}



/* &lambda2353 */
obj_t BGl_z62lambda2353z62zz__multimediazd2midizd2(obj_t BgL_envz00_3424, obj_t BgL_oz00_3425)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3425)))->BgL_errz00);} 

}



/* &<@anonymous:2302> */
obj_t BGl_z62zc3z04anonymousza32302ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3426, obj_t BgL_new1079z00_3427)
{
{ /* Llib/midi.scm 42 */
{ 
 BgL_midireaderz00_bglt BgL_auxz00_8863;
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3427)))->BgL_peekzd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3427)))->BgL_readzd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3427)))->BgL_readzd2int16zd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3427)))->BgL_readzd2int32zd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3427)))->BgL_readzd2intzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3427)))->BgL_readzd2vlqzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3427)))->BgL_readzd2charszd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_8863 = 
((BgL_midireaderz00_bglt)BgL_new1079z00_3427); 
return 
((obj_t)BgL_auxz00_8863);} } 

}



/* &lambda2300 */
BgL_midireaderz00_bglt BGl_z62lambda2300z62zz__multimediazd2midizd2(obj_t BgL_envz00_3428)
{
{ /* Llib/midi.scm 42 */
{ /* Llib/midi.scm 42 */
 BgL_midireaderz00_bglt BgL_new1078z00_4819;
BgL_new1078z00_4819 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 42 */
 long BgL_arg2301z00_4820;
BgL_arg2301z00_4820 = 
BGL_CLASS_NUM(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_4819), BgL_arg2301z00_4820); } 
return BgL_new1078z00_4819;} } 

}



/* &lambda2297 */
BgL_midireaderz00_bglt BGl_z62lambda2297z62zz__multimediazd2midizd2(obj_t BgL_envz00_3429, obj_t BgL_peekzd2byte1071zd2_3430, obj_t BgL_readzd2byte1072zd2_3431, obj_t BgL_readzd2int161073zd2_3432, obj_t BgL_readzd2int321074zd2_3433, obj_t BgL_readzd2int1075zd2_3434, obj_t BgL_readzd2vlq1076zd2_3435, obj_t BgL_readzd2chars1077zd2_3436)
{
{ /* Llib/midi.scm 42 */
{ /* Llib/midi.scm 42 */
 BgL_midireaderz00_bglt BgL_new1180z00_4828;
{ /* Llib/midi.scm 42 */
 BgL_midireaderz00_bglt BgL_new1179z00_4829;
BgL_new1179z00_4829 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 42 */
 long BgL_arg2299z00_4830;
BgL_arg2299z00_4830 = 
BGL_CLASS_NUM(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1179z00_4829), BgL_arg2299z00_4830); } 
BgL_new1180z00_4828 = BgL_new1179z00_4829; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4828))->BgL_peekzd2bytezd2)=((obj_t)
((obj_t)BgL_peekzd2byte1071zd2_3430)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4828))->BgL_readzd2bytezd2)=((obj_t)
((obj_t)BgL_readzd2byte1072zd2_3431)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4828))->BgL_readzd2int16zd2)=((obj_t)
((obj_t)BgL_readzd2int161073zd2_3432)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4828))->BgL_readzd2int32zd2)=((obj_t)
((obj_t)BgL_readzd2int321074zd2_3433)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4828))->BgL_readzd2intzd2)=((obj_t)
((obj_t)BgL_readzd2int1075zd2_3434)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4828))->BgL_readzd2vlqzd2)=((obj_t)
((obj_t)BgL_readzd2vlq1076zd2_3435)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4828))->BgL_readzd2charszd2)=((obj_t)
((obj_t)BgL_readzd2chars1077zd2_3436)),BUNSPEC); 
{ /* Llib/midi.scm 42 */
 obj_t BgL_fun2298z00_4831;
BgL_fun2298z00_4831 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2298z00_4831))(BgL_fun2298z00_4831, 
((obj_t)BgL_new1180z00_4828), BEOA); } 
return BgL_new1180z00_4828;} } 

}



/* &lambda2337 */
obj_t BGl_z62lambda2337z62zz__multimediazd2midizd2(obj_t BgL_envz00_3437, obj_t BgL_oz00_3438, obj_t BgL_vz00_3439)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3438)))->BgL_readzd2charszd2)=((obj_t)
((obj_t)BgL_vz00_3439)),BUNSPEC);} 

}



/* &lambda2336 */
obj_t BGl_z62lambda2336z62zz__multimediazd2midizd2(obj_t BgL_envz00_3440, obj_t BgL_oz00_3441)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3441)))->BgL_readzd2charszd2);} 

}



/* &lambda2332 */
obj_t BGl_z62lambda2332z62zz__multimediazd2midizd2(obj_t BgL_envz00_3442, obj_t BgL_oz00_3443, obj_t BgL_vz00_3444)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3443)))->BgL_readzd2vlqzd2)=((obj_t)
((obj_t)BgL_vz00_3444)),BUNSPEC);} 

}



/* &lambda2331 */
obj_t BGl_z62lambda2331z62zz__multimediazd2midizd2(obj_t BgL_envz00_3445, obj_t BgL_oz00_3446)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3446)))->BgL_readzd2vlqzd2);} 

}



/* &lambda2327 */
obj_t BGl_z62lambda2327z62zz__multimediazd2midizd2(obj_t BgL_envz00_3447, obj_t BgL_oz00_3448, obj_t BgL_vz00_3449)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3448)))->BgL_readzd2intzd2)=((obj_t)
((obj_t)BgL_vz00_3449)),BUNSPEC);} 

}



/* &lambda2326 */
obj_t BGl_z62lambda2326z62zz__multimediazd2midizd2(obj_t BgL_envz00_3450, obj_t BgL_oz00_3451)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3451)))->BgL_readzd2intzd2);} 

}



/* &lambda2322 */
obj_t BGl_z62lambda2322z62zz__multimediazd2midizd2(obj_t BgL_envz00_3452, obj_t BgL_oz00_3453, obj_t BgL_vz00_3454)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3453)))->BgL_readzd2int32zd2)=((obj_t)
((obj_t)BgL_vz00_3454)),BUNSPEC);} 

}



/* &lambda2321 */
obj_t BGl_z62lambda2321z62zz__multimediazd2midizd2(obj_t BgL_envz00_3455, obj_t BgL_oz00_3456)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3456)))->BgL_readzd2int32zd2);} 

}



/* &lambda2317 */
obj_t BGl_z62lambda2317z62zz__multimediazd2midizd2(obj_t BgL_envz00_3457, obj_t BgL_oz00_3458, obj_t BgL_vz00_3459)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3458)))->BgL_readzd2int16zd2)=((obj_t)
((obj_t)BgL_vz00_3459)),BUNSPEC);} 

}



/* &lambda2316 */
obj_t BGl_z62lambda2316z62zz__multimediazd2midizd2(obj_t BgL_envz00_3460, obj_t BgL_oz00_3461)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3461)))->BgL_readzd2int16zd2);} 

}



/* &lambda2312 */
obj_t BGl_z62lambda2312z62zz__multimediazd2midizd2(obj_t BgL_envz00_3462, obj_t BgL_oz00_3463, obj_t BgL_vz00_3464)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3463)))->BgL_readzd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3464)),BUNSPEC);} 

}



/* &lambda2311 */
obj_t BGl_z62lambda2311z62zz__multimediazd2midizd2(obj_t BgL_envz00_3465, obj_t BgL_oz00_3466)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3466)))->BgL_readzd2bytezd2);} 

}



/* &lambda2307 */
obj_t BGl_z62lambda2307z62zz__multimediazd2midizd2(obj_t BgL_envz00_3467, obj_t BgL_oz00_3468, obj_t BgL_vz00_3469)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3468)))->BgL_peekzd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3469)),BUNSPEC);} 

}



/* &lambda2306 */
obj_t BGl_z62lambda2306z62zz__multimediazd2midizd2(obj_t BgL_envz00_3470, obj_t BgL_oz00_3471)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3471)))->BgL_peekzd2bytezd2);} 

}



/* &<@anonymous:2197> */
obj_t BGl_z62zc3z04anonymousza32197ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3472, obj_t BgL_new1069z00_3473)
{
{ /* Llib/midi.scm 24 */
{ 
 BgL_miditrackz00_bglt BgL_auxz00_8943;
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_z52streamz52)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_midireaderz00_bglt BgL_auxz00_8946;
{ /* Llib/midi.scm 24 */
 obj_t BgL_classz00_4854;
BgL_classz00_4854 = BGl_midireaderz00zz__multimediazd2midizd2; 
{ /* Llib/midi.scm 24 */
 obj_t BgL__ortest_1112z00_4855;
BgL__ortest_1112z00_4855 = 
BGL_CLASS_NIL(BgL_classz00_4854); 
if(
CBOOL(BgL__ortest_1112z00_4855))
{ /* Llib/midi.scm 24 */
BgL_auxz00_8946 = 
((BgL_midireaderz00_bglt)BgL__ortest_1112z00_4855)
; }  else 
{ /* Llib/midi.scm 24 */
BgL_auxz00_8946 = 
((BgL_midireaderz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4854))
; } } } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BgL_auxz00_8946),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_z52closez52)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_z52wtickz52)=((uint32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_lenz00)=((int32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_tempoz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_ipz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_wtickz00)=((uint32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_statusz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3473)))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_8943 = 
((BgL_miditrackz00_bglt)BgL_new1069z00_3473); 
return 
((obj_t)BgL_auxz00_8943);} } 

}



/* &lambda2195 */
BgL_miditrackz00_bglt BGl_z62lambda2195z62zz__multimediazd2midizd2(obj_t BgL_envz00_3474)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 BgL_miditrackz00_bglt BgL_new1068z00_4856;
BgL_new1068z00_4856 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 24 */
 long BgL_arg2196z00_4857;
BgL_arg2196z00_4857 = 
BGL_CLASS_NUM(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1068z00_4856), BgL_arg2196z00_4857); } 
return BgL_new1068z00_4856;} } 

}



/* &lambda2192 */
BgL_miditrackz00_bglt BGl_z62lambda2192z62zz__multimediazd2midizd2(obj_t BgL_envz00_3475, obj_t BgL_z52stream1054z52_3476, obj_t BgL_z52reader1055z52_3477, obj_t BgL_z52close1056z52_3478, obj_t BgL_z52eot1057z52_3479, obj_t BgL_z52wtick1058z52_3480, obj_t BgL_z52status1059z52_3481, obj_t BgL_len1060z00_3482, obj_t BgL_tempo1061z00_3483, obj_t BgL_ip1062z00_3484, obj_t BgL_start1063z00_3485, obj_t BgL_datastart1064z00_3486, obj_t BgL_wtick1065z00_3487, obj_t BgL_status1066z00_3488, obj_t BgL_eot1067z00_3489)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 bool_t BgL_z52eot1057z52_4860; uint32_t BgL_z52wtick1058z52_4861; long BgL_z52status1059z52_4862; int32_t BgL_len1060z00_4863; long BgL_tempo1061z00_4864; long BgL_start1063z00_4865; long BgL_datastart1064z00_4866; uint32_t BgL_wtick1065z00_4867; long BgL_status1066z00_4868; bool_t BgL_eot1067z00_4869;
BgL_z52eot1057z52_4860 = 
CBOOL(BgL_z52eot1057z52_3479); 
BgL_z52wtick1058z52_4861 = 
BGL_BUINT32_TO_UINT32(BgL_z52wtick1058z52_3480); 
BgL_z52status1059z52_4862 = 
(long)CINT(BgL_z52status1059z52_3481); 
BgL_len1060z00_4863 = 
BGL_BINT32_TO_INT32(BgL_len1060z00_3482); 
BgL_tempo1061z00_4864 = 
(long)CINT(BgL_tempo1061z00_3483); 
BgL_start1063z00_4865 = 
(long)CINT(BgL_start1063z00_3485); 
BgL_datastart1064z00_4866 = 
(long)CINT(BgL_datastart1064z00_3486); 
BgL_wtick1065z00_4867 = 
BGL_BUINT32_TO_UINT32(BgL_wtick1065z00_3487); 
BgL_status1066z00_4868 = 
(long)CINT(BgL_status1066z00_3488); 
BgL_eot1067z00_4869 = 
CBOOL(BgL_eot1067z00_3489); 
{ /* Llib/midi.scm 24 */
 BgL_miditrackz00_bglt BgL_new1178z00_4870;
{ /* Llib/midi.scm 24 */
 BgL_miditrackz00_bglt BgL_new1177z00_4871;
BgL_new1177z00_4871 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 24 */
 long BgL_arg2194z00_4872;
BgL_arg2194z00_4872 = 
BGL_CLASS_NUM(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_4871), BgL_arg2194z00_4872); } 
BgL_new1178z00_4870 = BgL_new1177z00_4871; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_z52streamz52)=((obj_t)BgL_z52stream1054z52_3476),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)
((BgL_midireaderz00_bglt)BgL_z52reader1055z52_3477)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_z52closez52)=((obj_t)
((obj_t)BgL_z52close1056z52_3478)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_z52eotz52)=((bool_t)BgL_z52eot1057z52_4860),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_z52wtickz52)=((uint32_t)BgL_z52wtick1058z52_4861),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_z52statusz52)=((long)BgL_z52status1059z52_4862),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_lenz00)=((int32_t)BgL_len1060z00_4863),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_tempoz00)=((long)BgL_tempo1061z00_4864),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_ipz00)=((obj_t)BgL_ip1062z00_3484),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_startz00)=((long)BgL_start1063z00_4865),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_datastartz00)=((long)BgL_datastart1064z00_4866),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_wtickz00)=((uint32_t)BgL_wtick1065z00_4867),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_statusz00)=((long)BgL_status1066z00_4868),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4870))->BgL_eotz00)=((bool_t)BgL_eot1067z00_4869),BUNSPEC); 
{ /* Llib/midi.scm 24 */
 obj_t BgL_fun2193z00_4873;
BgL_fun2193z00_4873 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2193z00_4873))(BgL_fun2193z00_4873, 
((obj_t)BgL_new1178z00_4870), BEOA); } 
return BgL_new1178z00_4870;} } } 

}



/* &<@anonymous:2291> */
obj_t BGl_z62zc3z04anonymousza32291ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3490)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2290 */
obj_t BGl_z62lambda2290z62zz__multimediazd2midizd2(obj_t BgL_envz00_3491, obj_t BgL_oz00_3492, obj_t BgL_vz00_3493)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 bool_t BgL_vz00_4875;
BgL_vz00_4875 = 
CBOOL(BgL_vz00_3493); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3492)))->BgL_eotz00)=((bool_t)BgL_vz00_4875),BUNSPEC);} } 

}



/* &lambda2289 */
obj_t BGl_z62lambda2289z62zz__multimediazd2midizd2(obj_t BgL_envz00_3494, obj_t BgL_oz00_3495)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3495)))->BgL_eotz00));} 

}



/* &<@anonymous:2284> */
obj_t BGl_z62zc3z04anonymousza32284ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3496)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)-1));} 

}



/* &lambda2283 */
obj_t BGl_z62lambda2283z62zz__multimediazd2midizd2(obj_t BgL_envz00_3497, obj_t BgL_oz00_3498, obj_t BgL_vz00_3499)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4878;
BgL_vz00_4878 = 
(long)CINT(BgL_vz00_3499); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3498)))->BgL_statusz00)=((long)BgL_vz00_4878),BUNSPEC);} } 

}



/* &lambda2282 */
obj_t BGl_z62lambda2282z62zz__multimediazd2midizd2(obj_t BgL_envz00_3500, obj_t BgL_oz00_3501)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3501)))->BgL_statusz00));} 

}



/* &<@anonymous:2277> */
obj_t BGl_z62zc3z04anonymousza32277ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3502)
{
{ /* Llib/midi.scm 24 */
return 
BGL_UINT32_TO_BUINT32((uint32_t)(0));} 

}



/* &lambda2276 */
obj_t BGl_z62lambda2276z62zz__multimediazd2midizd2(obj_t BgL_envz00_3503, obj_t BgL_oz00_3504, obj_t BgL_vz00_3505)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 uint32_t BgL_vz00_4881;
BgL_vz00_4881 = 
BGL_BUINT32_TO_UINT32(BgL_vz00_3505); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3504)))->BgL_wtickz00)=((uint32_t)BgL_vz00_4881),BUNSPEC);} } 

}



/* &lambda2275 */
obj_t BGl_z62lambda2275z62zz__multimediazd2midizd2(obj_t BgL_envz00_3506, obj_t BgL_oz00_3507)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 uint32_t BgL_tmpz00_9042;
BgL_tmpz00_9042 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3507)))->BgL_wtickz00); 
return 
BGL_UINT32_TO_BUINT32(BgL_tmpz00_9042);} } 

}



/* &<@anonymous:2270> */
obj_t BGl_z62zc3z04anonymousza32270ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3508)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2269 */
obj_t BGl_z62lambda2269z62zz__multimediazd2midizd2(obj_t BgL_envz00_3509, obj_t BgL_oz00_3510, obj_t BgL_vz00_3511)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4884;
BgL_vz00_4884 = 
(long)CINT(BgL_vz00_3511); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3510)))->BgL_datastartz00)=((long)BgL_vz00_4884),BUNSPEC);} } 

}



/* &lambda2268 */
obj_t BGl_z62lambda2268z62zz__multimediazd2midizd2(obj_t BgL_envz00_3512, obj_t BgL_oz00_3513)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3513)))->BgL_datastartz00));} 

}



/* &<@anonymous:2263> */
obj_t BGl_z62zc3z04anonymousza32263ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3514)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2262 */
obj_t BGl_z62lambda2262z62zz__multimediazd2midizd2(obj_t BgL_envz00_3515, obj_t BgL_oz00_3516, obj_t BgL_vz00_3517)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4887;
BgL_vz00_4887 = 
(long)CINT(BgL_vz00_3517); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3516)))->BgL_startz00)=((long)BgL_vz00_4887),BUNSPEC);} } 

}



/* &lambda2261 */
obj_t BGl_z62lambda2261z62zz__multimediazd2midizd2(obj_t BgL_envz00_3518, obj_t BgL_oz00_3519)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3519)))->BgL_startz00));} 

}



/* &<@anonymous:2256> */
obj_t BGl_z62zc3z04anonymousza32256ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3520)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2255 */
obj_t BGl_z62lambda2255z62zz__multimediazd2midizd2(obj_t BgL_envz00_3521, obj_t BgL_oz00_3522, obj_t BgL_vz00_3523)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3522)))->BgL_ipz00)=((obj_t)BgL_vz00_3523),BUNSPEC);} 

}



/* &lambda2254 */
obj_t BGl_z62lambda2254z62zz__multimediazd2midizd2(obj_t BgL_envz00_3524, obj_t BgL_oz00_3525)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3525)))->BgL_ipz00);} 

}



/* &<@anonymous:2249> */
obj_t BGl_z62zc3z04anonymousza32249ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3526)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)500000));} 

}



/* &lambda2248 */
obj_t BGl_z62lambda2248z62zz__multimediazd2midizd2(obj_t BgL_envz00_3527, obj_t BgL_oz00_3528, obj_t BgL_vz00_3529)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4892;
BgL_vz00_4892 = 
(long)CINT(BgL_vz00_3529); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3528)))->BgL_tempoz00)=((long)BgL_vz00_4892),BUNSPEC);} } 

}



/* &lambda2247 */
obj_t BGl_z62lambda2247z62zz__multimediazd2midizd2(obj_t BgL_envz00_3530, obj_t BgL_oz00_3531)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3531)))->BgL_tempoz00));} 

}



/* &<@anonymous:2242> */
obj_t BGl_z62zc3z04anonymousza32242ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3532)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2241 */
obj_t BGl_z62lambda2241z62zz__multimediazd2midizd2(obj_t BgL_envz00_3533, obj_t BgL_oz00_3534, obj_t BgL_vz00_3535)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 int32_t BgL_vz00_4895;
BgL_vz00_4895 = 
BGL_BINT32_TO_INT32(BgL_vz00_3535); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3534)))->BgL_lenz00)=((int32_t)BgL_vz00_4895),BUNSPEC);} } 

}



/* &lambda2240 */
obj_t BGl_z62lambda2240z62zz__multimediazd2midizd2(obj_t BgL_envz00_3536, obj_t BgL_oz00_3537)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 int32_t BgL_tmpz00_9076;
BgL_tmpz00_9076 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3537)))->BgL_lenz00); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_9076);} } 

}



/* &<@anonymous:2235> */
obj_t BGl_z62zc3z04anonymousza32235ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3538)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2234 */
obj_t BGl_z62lambda2234z62zz__multimediazd2midizd2(obj_t BgL_envz00_3539, obj_t BgL_oz00_3540, obj_t BgL_vz00_3541)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4898;
BgL_vz00_4898 = 
(long)CINT(BgL_vz00_3541); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3540)))->BgL_z52statusz52)=((long)BgL_vz00_4898),BUNSPEC);} } 

}



/* &lambda2233 */
obj_t BGl_z62lambda2233z62zz__multimediazd2midizd2(obj_t BgL_envz00_3542, obj_t BgL_oz00_3543)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3543)))->BgL_z52statusz52));} 

}



/* &<@anonymous:2228> */
obj_t BGl_z62zc3z04anonymousza32228ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3544)
{
{ /* Llib/midi.scm 24 */
return 
BGL_UINT32_TO_BUINT32((uint32_t)(0));} 

}



/* &lambda2227 */
obj_t BGl_z62lambda2227z62zz__multimediazd2midizd2(obj_t BgL_envz00_3545, obj_t BgL_oz00_3546, obj_t BgL_vz00_3547)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 uint32_t BgL_vz00_4901;
BgL_vz00_4901 = 
BGL_BUINT32_TO_UINT32(BgL_vz00_3547); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3546)))->BgL_z52wtickz52)=((uint32_t)BgL_vz00_4901),BUNSPEC);} } 

}



/* &lambda2226 */
obj_t BGl_z62lambda2226z62zz__multimediazd2midizd2(obj_t BgL_envz00_3548, obj_t BgL_oz00_3549)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 uint32_t BgL_tmpz00_9091;
BgL_tmpz00_9091 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3549)))->BgL_z52wtickz52); 
return 
BGL_UINT32_TO_BUINT32(BgL_tmpz00_9091);} } 

}



/* &<@anonymous:2221> */
obj_t BGl_z62zc3z04anonymousza32221ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3550)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2220 */
obj_t BGl_z62lambda2220z62zz__multimediazd2midizd2(obj_t BgL_envz00_3551, obj_t BgL_oz00_3552, obj_t BgL_vz00_3553)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 bool_t BgL_vz00_4904;
BgL_vz00_4904 = 
CBOOL(BgL_vz00_3553); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3552)))->BgL_z52eotz52)=((bool_t)BgL_vz00_4904),BUNSPEC);} } 

}



/* &lambda2219 */
obj_t BGl_z62lambda2219z62zz__multimediazd2midizd2(obj_t BgL_envz00_3554, obj_t BgL_oz00_3555)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3555)))->BgL_z52eotz52));} 

}



/* &lambda2214 */
obj_t BGl_z62lambda2214z62zz__multimediazd2midizd2(obj_t BgL_envz00_3556, obj_t BgL_oz00_3557, obj_t BgL_vz00_3558)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3557)))->BgL_z52closez52)=((obj_t)
((obj_t)BgL_vz00_3558)),BUNSPEC);} 

}



/* &lambda2213 */
obj_t BGl_z62lambda2213z62zz__multimediazd2midizd2(obj_t BgL_envz00_3559, obj_t BgL_oz00_3560)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3560)))->BgL_z52closez52);} 

}



/* &lambda2209 */
obj_t BGl_z62lambda2209z62zz__multimediazd2midizd2(obj_t BgL_envz00_3561, obj_t BgL_oz00_3562, obj_t BgL_vz00_3563)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3562)))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)
((BgL_midireaderz00_bglt)BgL_vz00_3563)),BUNSPEC);} 

}



/* &lambda2208 */
BgL_midireaderz00_bglt BGl_z62lambda2208z62zz__multimediazd2midizd2(obj_t BgL_envz00_3564, obj_t BgL_oz00_3565)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3565)))->BgL_z52readerz52);} 

}



/* &<@anonymous:2204> */
obj_t BGl_z62zc3z04anonymousza32204ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3566)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2203 */
obj_t BGl_z62lambda2203z62zz__multimediazd2midizd2(obj_t BgL_envz00_3567, obj_t BgL_oz00_3568, obj_t BgL_vz00_3569)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3568)))->BgL_z52streamz52)=((obj_t)BgL_vz00_3569),BUNSPEC);} 

}



/* &lambda2202 */
obj_t BGl_z62lambda2202z62zz__multimediazd2midizd2(obj_t BgL_envz00_3570, obj_t BgL_oz00_3571)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3571)))->BgL_z52streamz52);} 

}



/* &<@anonymous:2159> */
obj_t BGl_z62zc3z04anonymousza32159ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3572, obj_t BgL_new1052z00_3573)
{
{ /* Llib/midi.scm 17 */
{ 
 BgL_midiscorez00_bglt BgL_auxz00_9117;
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1052z00_3573)))->BgL_formatz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1052z00_3573)))->BgL_tempoz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1052z00_3573)))->BgL_ppqz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1052z00_3573)))->BgL_tracksz00)=((obj_t)
CNST_TABLE_REF(((long)75))),BUNSPEC); 
BgL_auxz00_9117 = 
((BgL_midiscorez00_bglt)BgL_new1052z00_3573); 
return 
((obj_t)BgL_auxz00_9117);} } 

}



/* &lambda2157 */
BgL_midiscorez00_bglt BGl_z62lambda2157z62zz__multimediazd2midizd2(obj_t BgL_envz00_3574)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 BgL_midiscorez00_bglt BgL_new1051z00_4915;
BgL_new1051z00_4915 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 17 */
 long BgL_arg2158z00_4916;
BgL_arg2158z00_4916 = 
BGL_CLASS_NUM(BGl_midiscorez00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_4915), BgL_arg2158z00_4916); } 
return BgL_new1051z00_4915;} } 

}



/* &lambda2154 */
BgL_midiscorez00_bglt BGl_z62lambda2154z62zz__multimediazd2midizd2(obj_t BgL_envz00_3575, obj_t BgL_format1047z00_3576, obj_t BgL_tempo1048z00_3577, obj_t BgL_ppq1049z00_3578, obj_t BgL_tracks1050z00_3579)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 long BgL_format1047z00_4917; long BgL_tempo1048z00_4918; long BgL_ppq1049z00_4919;
BgL_format1047z00_4917 = 
(long)CINT(BgL_format1047z00_3576); 
BgL_tempo1048z00_4918 = 
(long)CINT(BgL_tempo1048z00_3577); 
BgL_ppq1049z00_4919 = 
(long)CINT(BgL_ppq1049z00_3578); 
{ /* Llib/midi.scm 17 */
 BgL_midiscorez00_bglt BgL_new1176z00_4921;
{ /* Llib/midi.scm 17 */
 BgL_midiscorez00_bglt BgL_new1175z00_4922;
BgL_new1175z00_4922 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 17 */
 long BgL_arg2156z00_4923;
BgL_arg2156z00_4923 = 
BGL_CLASS_NUM(BGl_midiscorez00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_4922), BgL_arg2156z00_4923); } 
BgL_new1176z00_4921 = BgL_new1175z00_4922; } 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1176z00_4921))->BgL_formatz00)=((long)BgL_format1047z00_4917),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1176z00_4921))->BgL_tempoz00)=((long)BgL_tempo1048z00_4918),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1176z00_4921))->BgL_ppqz00)=((long)BgL_ppq1049z00_4919),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1176z00_4921))->BgL_tracksz00)=((obj_t)
((obj_t)BgL_tracks1050z00_3579)),BUNSPEC); 
{ /* Llib/midi.scm 17 */
 obj_t BgL_fun2155z00_4924;
BgL_fun2155z00_4924 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiscorez00zz__multimediazd2midizd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2155z00_4924))(BgL_fun2155z00_4924, 
((obj_t)BgL_new1176z00_4921), BEOA); } 
return BgL_new1176z00_4921;} } } 

}



/* &<@anonymous:2186> */
obj_t BGl_z62zc3z04anonymousza32186ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3580)
{
{ /* Llib/midi.scm 17 */
return 
CNST_TABLE_REF(((long)75));} 

}



/* &lambda2185 */
obj_t BGl_z62lambda2185z62zz__multimediazd2midizd2(obj_t BgL_envz00_3581, obj_t BgL_oz00_3582, obj_t BgL_vz00_3583)
{
{ /* Llib/midi.scm 17 */
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3582)))->BgL_tracksz00)=((obj_t)
((obj_t)BgL_vz00_3583)),BUNSPEC);} 

}



/* &lambda2184 */
obj_t BGl_z62lambda2184z62zz__multimediazd2midizd2(obj_t BgL_envz00_3584, obj_t BgL_oz00_3585)
{
{ /* Llib/midi.scm 17 */
return 
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3585)))->BgL_tracksz00);} 

}



/* &<@anonymous:2178> */
obj_t BGl_z62zc3z04anonymousza32178ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3586)
{
{ /* Llib/midi.scm 17 */
return 
BINT(((long)96));} 

}



/* &lambda2177 */
obj_t BGl_z62lambda2177z62zz__multimediazd2midizd2(obj_t BgL_envz00_3587, obj_t BgL_oz00_3588, obj_t BgL_vz00_3589)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 long BgL_vz00_4929;
BgL_vz00_4929 = 
(long)CINT(BgL_vz00_3589); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3588)))->BgL_ppqz00)=((long)BgL_vz00_4929),BUNSPEC);} } 

}



/* &lambda2176 */
obj_t BGl_z62lambda2176z62zz__multimediazd2midizd2(obj_t BgL_envz00_3590, obj_t BgL_oz00_3591)
{
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3591)))->BgL_ppqz00));} 

}



/* &<@anonymous:2171> */
obj_t BGl_z62zc3z04anonymousza32171ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3592)
{
{ /* Llib/midi.scm 17 */
return 
BINT(((long)500000));} 

}



/* &lambda2170 */
obj_t BGl_z62lambda2170z62zz__multimediazd2midizd2(obj_t BgL_envz00_3593, obj_t BgL_oz00_3594, obj_t BgL_vz00_3595)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 long BgL_vz00_4932;
BgL_vz00_4932 = 
(long)CINT(BgL_vz00_3595); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3594)))->BgL_tempoz00)=((long)BgL_vz00_4932),BUNSPEC);} } 

}



/* &lambda2169 */
obj_t BGl_z62lambda2169z62zz__multimediazd2midizd2(obj_t BgL_envz00_3596, obj_t BgL_oz00_3597)
{
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3597)))->BgL_tempoz00));} 

}



/* &lambda2164 */
obj_t BGl_z62lambda2164z62zz__multimediazd2midizd2(obj_t BgL_envz00_3598, obj_t BgL_oz00_3599, obj_t BgL_vz00_3600)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 long BgL_vz00_4935;
BgL_vz00_4935 = 
(long)CINT(BgL_vz00_3600); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3599)))->BgL_formatz00)=((long)BgL_vz00_4935),BUNSPEC);} } 

}



/* &lambda2163 */
obj_t BGl_z62lambda2163z62zz__multimediazd2midizd2(obj_t BgL_envz00_3601, obj_t BgL_oz00_3602)
{
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3602)))->BgL_formatz00));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2midizd2(void)
{
{ /* Llib/midi.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3013z00zz__multimediazd2midizd2, BGl_midiscorez00zz__multimediazd2midizd2, BGl_string3014z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3015z00zz__multimediazd2midizd2, BGl_miditrackz00zz__multimediazd2midizd2, BGl_string3016z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3017z00zz__multimediazd2midizd2, BGl_midireaderz00zz__multimediazd2midizd2, BGl_string3018z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3019z00zz__multimediazd2midizd2, BGl_midiplayerz00zz__multimediazd2midizd2, BGl_string3020z00zz__multimediazd2midizd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3021z00zz__multimediazd2midizd2, BGl_midisinkz00zz__multimediazd2midizd2, BGl_string3022z00zz__multimediazd2midizd2);} 

}



/* &midisink-init1239 */
obj_t BGl_z62midisinkzd2init1239zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3618, obj_t BgL_msinkz00_3619)
{
{ /* Llib/midi.scm 987 */
return 
((obj_t)
((BgL_midisinkz00_bglt)BgL_msinkz00_3619));} 

}



/* &midiplayer-init1237 */
obj_t BGl_z62midiplayerzd2init1237zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3620, obj_t BgL_mplayerz00_3621)
{
{ /* Llib/midi.scm 981 */
return 
((obj_t)
((BgL_midiplayerz00_bglt)BgL_mplayerz00_3621));} 

}



/* &midireader-init1235 */
obj_t BGl_z62midireaderzd2init1235zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3622, obj_t BgL_mreaderz00_3623)
{
{ /* Llib/midi.scm 975 */
return 
((obj_t)
((BgL_midireaderz00_bglt)BgL_mreaderz00_3623));} 

}



/* &miditrack-init1233 */
obj_t BGl_z62miditrackzd2init1233zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3624, obj_t BgL_mtrackz00_3625)
{
{ /* Llib/midi.scm 969 */
return 
((obj_t)
((BgL_miditrackz00_bglt)BgL_mtrackz00_3625));} 

}



/* &midiscore-init1231 */
obj_t BGl_z62midiscorezd2init1231zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3626, obj_t BgL_mscorez00_3627)
{
{ /* Llib/midi.scm 963 */
return 
((obj_t)
((BgL_midiscorez00_bglt)BgL_mscorez00_3627));} 

}



/* midiscore-init */
BGL_EXPORTED_DEF obj_t BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_63)
{
{ /* Llib/midi.scm 963 */
{ /* Llib/midi.scm 963 */
 obj_t BgL_method1232z00_1856;
{ /* Llib/midi.scm 963 */
 obj_t BgL_res2605z00_2612;
{ /* Llib/midi.scm 963 */
 long BgL_objzd2classzd2numz00_2583;
BgL_objzd2classzd2numz00_2583 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mscorez00_63)); 
{ /* Llib/midi.scm 963 */
 obj_t BgL_arg1798z00_2584;
BgL_arg1798z00_2584 = 
PROCEDURE_REF(BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 963 */
 int BgL_offsetz00_2587;
BgL_offsetz00_2587 = 
(int)(BgL_objzd2classzd2numz00_2583); 
{ /* Llib/midi.scm 963 */
 long BgL_offsetz00_2588;
BgL_offsetz00_2588 = 
(
(long)(BgL_offsetz00_2587)-OBJECT_TYPE); 
{ /* Llib/midi.scm 963 */
 long BgL_modz00_2589;
BgL_modz00_2589 = 
(BgL_offsetz00_2588 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 963 */
 long BgL_restz00_2591;
BgL_restz00_2591 = 
(BgL_offsetz00_2588 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 963 */

{ /* Llib/midi.scm 963 */
 obj_t BgL_bucketz00_2593;
BgL_bucketz00_2593 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2584),BgL_modz00_2589); 
BgL_res2605z00_2612 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2593),BgL_restz00_2591); } } } } } } } } 
BgL_method1232z00_1856 = BgL_res2605z00_2612; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1232z00_1856))(BgL_method1232z00_1856, 
((obj_t)BgL_mscorez00_63), BEOA);} } 

}



/* &midiscore-init */
obj_t BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3603, obj_t BgL_mscorez00_3604)
{
{ /* Llib/midi.scm 963 */
{ /* Llib/midi.scm 963 */
 BgL_midiscorez00_bglt BgL_auxz00_9222;
{ /* Llib/midi.scm 963 */
 bool_t BgL_test3570z00_9223;
{ /* Llib/midi.scm 963 */
 obj_t BgL_classz00_4942;
BgL_classz00_4942 = BGl_midiscorez00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mscorez00_3604))
{ /* Llib/midi.scm 963 */
 BgL_objectz00_bglt BgL_arg1796z00_4944; long BgL_arg1797z00_4945;
BgL_arg1796z00_4944 = 
(BgL_objectz00_bglt)(BgL_mscorez00_3604); 
BgL_arg1797z00_4945 = 
BGL_CLASS_DEPTH(BgL_classz00_4942); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 963 */
 long BgL_idxz00_4953;
BgL_idxz00_4953 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4944); 
{ /* Llib/midi.scm 963 */
 obj_t BgL_arg1788z00_4954;
{ /* Llib/midi.scm 963 */
 long BgL_arg1789z00_4955;
BgL_arg1789z00_4955 = 
(BgL_idxz00_4953+BgL_arg1797z00_4945); 
BgL_arg1788z00_4954 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4955); } 
BgL_test3570z00_9223 = 
(BgL_arg1788z00_4954==BgL_classz00_4942); } }  else 
{ /* Llib/midi.scm 963 */
 bool_t BgL_res3052z00_4978;
{ /* Llib/midi.scm 963 */
 obj_t BgL_oclassz00_4963;
{ /* Llib/midi.scm 963 */
 long BgL_arg1801z00_4969;
{ /* Llib/midi.scm 963 */
 long BgL_arg1802z00_4970;
BgL_arg1802z00_4970 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4944); 
BgL_arg1801z00_4969 = 
(BgL_arg1802z00_4970-OBJECT_TYPE); } 
BgL_oclassz00_4963 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_4969); } 
{ /* Llib/midi.scm 963 */
 bool_t BgL__ortest_1110z00_4964;
BgL__ortest_1110z00_4964 = 
(BgL_classz00_4942==BgL_oclassz00_4963); 
if(BgL__ortest_1110z00_4964)
{ /* Llib/midi.scm 963 */
BgL_res3052z00_4978 = BgL__ortest_1110z00_4964; }  else 
{ /* Llib/midi.scm 963 */
 long BgL_odepthz00_4965;
BgL_odepthz00_4965 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4963); 
if(
(BgL_arg1797z00_4945<BgL_odepthz00_4965))
{ /* Llib/midi.scm 963 */
 obj_t BgL_arg1790z00_4967;
BgL_arg1790z00_4967 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4963, BgL_arg1797z00_4945); 
BgL_res3052z00_4978 = 
(BgL_arg1790z00_4967==BgL_classz00_4942); }  else 
{ /* Llib/midi.scm 963 */
BgL_res3052z00_4978 = ((bool_t)0); } } } } 
BgL_test3570z00_9223 = BgL_res3052z00_4978; } }  else 
{ /* Llib/midi.scm 963 */
BgL_test3570z00_9223 = ((bool_t)0)
; } } 
if(BgL_test3570z00_9223)
{ /* Llib/midi.scm 963 */
BgL_auxz00_9222 = 
((BgL_midiscorez00_bglt)BgL_mscorez00_3604)
; }  else 
{ 
 obj_t BgL_auxz00_9245;
BgL_auxz00_9245 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)36208)), BGl_string3023z00zz__multimediazd2midizd2, BGl_string2791z00zz__multimediazd2midizd2, BgL_mscorez00_3604); 
FAILURE(BgL_auxz00_9245,BFALSE,BFALSE);} } 
return 
BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9222);} } 

}



/* miditrack-init */
BGL_EXPORTED_DEF obj_t BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_mtrackz00_64)
{
{ /* Llib/midi.scm 969 */
{ /* Llib/midi.scm 969 */
 obj_t BgL_method1234z00_1857;
{ /* Llib/midi.scm 969 */
 obj_t BgL_res2610z00_2643;
{ /* Llib/midi.scm 969 */
 long BgL_objzd2classzd2numz00_2614;
BgL_objzd2classzd2numz00_2614 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mtrackz00_64)); 
{ /* Llib/midi.scm 969 */
 obj_t BgL_arg1798z00_2615;
BgL_arg1798z00_2615 = 
PROCEDURE_REF(BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 969 */
 int BgL_offsetz00_2618;
BgL_offsetz00_2618 = 
(int)(BgL_objzd2classzd2numz00_2614); 
{ /* Llib/midi.scm 969 */
 long BgL_offsetz00_2619;
BgL_offsetz00_2619 = 
(
(long)(BgL_offsetz00_2618)-OBJECT_TYPE); 
{ /* Llib/midi.scm 969 */
 long BgL_modz00_2620;
BgL_modz00_2620 = 
(BgL_offsetz00_2619 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 969 */
 long BgL_restz00_2622;
BgL_restz00_2622 = 
(BgL_offsetz00_2619 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 969 */

{ /* Llib/midi.scm 969 */
 obj_t BgL_bucketz00_2624;
BgL_bucketz00_2624 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2615),BgL_modz00_2620); 
BgL_res2610z00_2643 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2624),BgL_restz00_2622); } } } } } } } } 
BgL_method1234z00_1857 = BgL_res2610z00_2643; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1234z00_1857))(BgL_method1234z00_1857, 
((obj_t)BgL_mtrackz00_64), BEOA);} } 

}



/* &miditrack-init */
obj_t BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3605, obj_t BgL_mtrackz00_3606)
{
{ /* Llib/midi.scm 969 */
{ /* Llib/midi.scm 969 */
 BgL_miditrackz00_bglt BgL_auxz00_9280;
{ /* Llib/midi.scm 969 */
 bool_t BgL_test3575z00_9281;
{ /* Llib/midi.scm 969 */
 obj_t BgL_classz00_4979;
BgL_classz00_4979 = BGl_miditrackz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mtrackz00_3606))
{ /* Llib/midi.scm 969 */
 BgL_objectz00_bglt BgL_arg1796z00_4981; long BgL_arg1797z00_4982;
BgL_arg1796z00_4981 = 
(BgL_objectz00_bglt)(BgL_mtrackz00_3606); 
BgL_arg1797z00_4982 = 
BGL_CLASS_DEPTH(BgL_classz00_4979); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 969 */
 long BgL_idxz00_4990;
BgL_idxz00_4990 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_4981); 
{ /* Llib/midi.scm 969 */
 obj_t BgL_arg1788z00_4991;
{ /* Llib/midi.scm 969 */
 long BgL_arg1789z00_4992;
BgL_arg1789z00_4992 = 
(BgL_idxz00_4990+BgL_arg1797z00_4982); 
BgL_arg1788z00_4991 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_4992); } 
BgL_test3575z00_9281 = 
(BgL_arg1788z00_4991==BgL_classz00_4979); } }  else 
{ /* Llib/midi.scm 969 */
 bool_t BgL_res3053z00_5015;
{ /* Llib/midi.scm 969 */
 obj_t BgL_oclassz00_5000;
{ /* Llib/midi.scm 969 */
 long BgL_arg1801z00_5006;
{ /* Llib/midi.scm 969 */
 long BgL_arg1802z00_5007;
BgL_arg1802z00_5007 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_4981); 
BgL_arg1801z00_5006 = 
(BgL_arg1802z00_5007-OBJECT_TYPE); } 
BgL_oclassz00_5000 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5006); } 
{ /* Llib/midi.scm 969 */
 bool_t BgL__ortest_1110z00_5001;
BgL__ortest_1110z00_5001 = 
(BgL_classz00_4979==BgL_oclassz00_5000); 
if(BgL__ortest_1110z00_5001)
{ /* Llib/midi.scm 969 */
BgL_res3053z00_5015 = BgL__ortest_1110z00_5001; }  else 
{ /* Llib/midi.scm 969 */
 long BgL_odepthz00_5002;
BgL_odepthz00_5002 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5000); 
if(
(BgL_arg1797z00_4982<BgL_odepthz00_5002))
{ /* Llib/midi.scm 969 */
 obj_t BgL_arg1790z00_5004;
BgL_arg1790z00_5004 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5000, BgL_arg1797z00_4982); 
BgL_res3053z00_5015 = 
(BgL_arg1790z00_5004==BgL_classz00_4979); }  else 
{ /* Llib/midi.scm 969 */
BgL_res3053z00_5015 = ((bool_t)0); } } } } 
BgL_test3575z00_9281 = BgL_res3053z00_5015; } }  else 
{ /* Llib/midi.scm 969 */
BgL_test3575z00_9281 = ((bool_t)0)
; } } 
if(BgL_test3575z00_9281)
{ /* Llib/midi.scm 969 */
BgL_auxz00_9280 = 
((BgL_miditrackz00_bglt)BgL_mtrackz00_3606)
; }  else 
{ 
 obj_t BgL_auxz00_9303;
BgL_auxz00_9303 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)36493)), BGl_string3024z00zz__multimediazd2midizd2, BGl_string2813z00zz__multimediazd2midizd2, BgL_mtrackz00_3606); 
FAILURE(BgL_auxz00_9303,BFALSE,BFALSE);} } 
return 
BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9280);} } 

}



/* midireader-init */
BGL_EXPORTED_DEF obj_t BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_midireaderz00_bglt BgL_mreaderz00_65)
{
{ /* Llib/midi.scm 975 */
{ /* Llib/midi.scm 975 */
 obj_t BgL_method1236z00_1858;
{ /* Llib/midi.scm 975 */
 obj_t BgL_res2615z00_2674;
{ /* Llib/midi.scm 975 */
 long BgL_objzd2classzd2numz00_2645;
BgL_objzd2classzd2numz00_2645 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mreaderz00_65)); 
{ /* Llib/midi.scm 975 */
 obj_t BgL_arg1798z00_2646;
BgL_arg1798z00_2646 = 
PROCEDURE_REF(BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 975 */
 int BgL_offsetz00_2649;
BgL_offsetz00_2649 = 
(int)(BgL_objzd2classzd2numz00_2645); 
{ /* Llib/midi.scm 975 */
 long BgL_offsetz00_2650;
BgL_offsetz00_2650 = 
(
(long)(BgL_offsetz00_2649)-OBJECT_TYPE); 
{ /* Llib/midi.scm 975 */
 long BgL_modz00_2651;
BgL_modz00_2651 = 
(BgL_offsetz00_2650 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 975 */
 long BgL_restz00_2653;
BgL_restz00_2653 = 
(BgL_offsetz00_2650 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 975 */

{ /* Llib/midi.scm 975 */
 obj_t BgL_bucketz00_2655;
BgL_bucketz00_2655 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2646),BgL_modz00_2651); 
BgL_res2615z00_2674 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2655),BgL_restz00_2653); } } } } } } } } 
BgL_method1236z00_1858 = BgL_res2615z00_2674; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1236z00_1858))(BgL_method1236z00_1858, 
((obj_t)BgL_mreaderz00_65), BEOA);} } 

}



/* &midireader-init */
obj_t BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3607, obj_t BgL_mreaderz00_3608)
{
{ /* Llib/midi.scm 975 */
{ /* Llib/midi.scm 975 */
 BgL_midireaderz00_bglt BgL_auxz00_9338;
{ /* Llib/midi.scm 975 */
 bool_t BgL_test3580z00_9339;
{ /* Llib/midi.scm 975 */
 obj_t BgL_classz00_5016;
BgL_classz00_5016 = BGl_midireaderz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mreaderz00_3608))
{ /* Llib/midi.scm 975 */
 BgL_objectz00_bglt BgL_arg1796z00_5018; long BgL_arg1797z00_5019;
BgL_arg1796z00_5018 = 
(BgL_objectz00_bglt)(BgL_mreaderz00_3608); 
BgL_arg1797z00_5019 = 
BGL_CLASS_DEPTH(BgL_classz00_5016); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 975 */
 long BgL_idxz00_5027;
BgL_idxz00_5027 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5018); 
{ /* Llib/midi.scm 975 */
 obj_t BgL_arg1788z00_5028;
{ /* Llib/midi.scm 975 */
 long BgL_arg1789z00_5029;
BgL_arg1789z00_5029 = 
(BgL_idxz00_5027+BgL_arg1797z00_5019); 
BgL_arg1788z00_5028 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5029); } 
BgL_test3580z00_9339 = 
(BgL_arg1788z00_5028==BgL_classz00_5016); } }  else 
{ /* Llib/midi.scm 975 */
 bool_t BgL_res3054z00_5052;
{ /* Llib/midi.scm 975 */
 obj_t BgL_oclassz00_5037;
{ /* Llib/midi.scm 975 */
 long BgL_arg1801z00_5043;
{ /* Llib/midi.scm 975 */
 long BgL_arg1802z00_5044;
BgL_arg1802z00_5044 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5018); 
BgL_arg1801z00_5043 = 
(BgL_arg1802z00_5044-OBJECT_TYPE); } 
BgL_oclassz00_5037 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5043); } 
{ /* Llib/midi.scm 975 */
 bool_t BgL__ortest_1110z00_5038;
BgL__ortest_1110z00_5038 = 
(BgL_classz00_5016==BgL_oclassz00_5037); 
if(BgL__ortest_1110z00_5038)
{ /* Llib/midi.scm 975 */
BgL_res3054z00_5052 = BgL__ortest_1110z00_5038; }  else 
{ /* Llib/midi.scm 975 */
 long BgL_odepthz00_5039;
BgL_odepthz00_5039 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5037); 
if(
(BgL_arg1797z00_5019<BgL_odepthz00_5039))
{ /* Llib/midi.scm 975 */
 obj_t BgL_arg1790z00_5041;
BgL_arg1790z00_5041 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5037, BgL_arg1797z00_5019); 
BgL_res3054z00_5052 = 
(BgL_arg1790z00_5041==BgL_classz00_5016); }  else 
{ /* Llib/midi.scm 975 */
BgL_res3054z00_5052 = ((bool_t)0); } } } } 
BgL_test3580z00_9339 = BgL_res3054z00_5052; } }  else 
{ /* Llib/midi.scm 975 */
BgL_test3580z00_9339 = ((bool_t)0)
; } } 
if(BgL_test3580z00_9339)
{ /* Llib/midi.scm 975 */
BgL_auxz00_9338 = 
((BgL_midireaderz00_bglt)BgL_mreaderz00_3608)
; }  else 
{ 
 obj_t BgL_auxz00_9361;
BgL_auxz00_9361 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)36778)), BGl_string3025z00zz__multimediazd2midizd2, BGl_string3026z00zz__multimediazd2midizd2, BgL_mreaderz00_3608); 
FAILURE(BgL_auxz00_9361,BFALSE,BFALSE);} } 
return 
BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9338);} } 

}



/* midiplayer-init */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mplayerz00_66)
{
{ /* Llib/midi.scm 981 */
{ /* Llib/midi.scm 981 */
 obj_t BgL_method1238z00_1859;
{ /* Llib/midi.scm 981 */
 obj_t BgL_res2620z00_2705;
{ /* Llib/midi.scm 981 */
 long BgL_objzd2classzd2numz00_2676;
BgL_objzd2classzd2numz00_2676 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mplayerz00_66)); 
{ /* Llib/midi.scm 981 */
 obj_t BgL_arg1798z00_2677;
BgL_arg1798z00_2677 = 
PROCEDURE_REF(BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 981 */
 int BgL_offsetz00_2680;
BgL_offsetz00_2680 = 
(int)(BgL_objzd2classzd2numz00_2676); 
{ /* Llib/midi.scm 981 */
 long BgL_offsetz00_2681;
BgL_offsetz00_2681 = 
(
(long)(BgL_offsetz00_2680)-OBJECT_TYPE); 
{ /* Llib/midi.scm 981 */
 long BgL_modz00_2682;
BgL_modz00_2682 = 
(BgL_offsetz00_2681 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 981 */
 long BgL_restz00_2684;
BgL_restz00_2684 = 
(BgL_offsetz00_2681 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 981 */

{ /* Llib/midi.scm 981 */
 obj_t BgL_bucketz00_2686;
BgL_bucketz00_2686 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2677),BgL_modz00_2682); 
BgL_res2620z00_2705 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2686),BgL_restz00_2684); } } } } } } } } 
BgL_method1238z00_1859 = BgL_res2620z00_2705; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1238z00_1859))(BgL_method1238z00_1859, 
((obj_t)BgL_mplayerz00_66), BEOA);} } 

}



/* &midiplayer-init */
obj_t BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3609, obj_t BgL_mplayerz00_3610)
{
{ /* Llib/midi.scm 981 */
{ /* Llib/midi.scm 981 */
 BgL_midiplayerz00_bglt BgL_auxz00_9396;
{ /* Llib/midi.scm 981 */
 bool_t BgL_test3585z00_9397;
{ /* Llib/midi.scm 981 */
 obj_t BgL_classz00_5053;
BgL_classz00_5053 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mplayerz00_3610))
{ /* Llib/midi.scm 981 */
 BgL_objectz00_bglt BgL_arg1796z00_5055; long BgL_arg1797z00_5056;
BgL_arg1796z00_5055 = 
(BgL_objectz00_bglt)(BgL_mplayerz00_3610); 
BgL_arg1797z00_5056 = 
BGL_CLASS_DEPTH(BgL_classz00_5053); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 981 */
 long BgL_idxz00_5064;
BgL_idxz00_5064 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5055); 
{ /* Llib/midi.scm 981 */
 obj_t BgL_arg1788z00_5065;
{ /* Llib/midi.scm 981 */
 long BgL_arg1789z00_5066;
BgL_arg1789z00_5066 = 
(BgL_idxz00_5064+BgL_arg1797z00_5056); 
BgL_arg1788z00_5065 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5066); } 
BgL_test3585z00_9397 = 
(BgL_arg1788z00_5065==BgL_classz00_5053); } }  else 
{ /* Llib/midi.scm 981 */
 bool_t BgL_res3055z00_5089;
{ /* Llib/midi.scm 981 */
 obj_t BgL_oclassz00_5074;
{ /* Llib/midi.scm 981 */
 long BgL_arg1801z00_5080;
{ /* Llib/midi.scm 981 */
 long BgL_arg1802z00_5081;
BgL_arg1802z00_5081 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5055); 
BgL_arg1801z00_5080 = 
(BgL_arg1802z00_5081-OBJECT_TYPE); } 
BgL_oclassz00_5074 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5080); } 
{ /* Llib/midi.scm 981 */
 bool_t BgL__ortest_1110z00_5075;
BgL__ortest_1110z00_5075 = 
(BgL_classz00_5053==BgL_oclassz00_5074); 
if(BgL__ortest_1110z00_5075)
{ /* Llib/midi.scm 981 */
BgL_res3055z00_5089 = BgL__ortest_1110z00_5075; }  else 
{ /* Llib/midi.scm 981 */
 long BgL_odepthz00_5076;
BgL_odepthz00_5076 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5074); 
if(
(BgL_arg1797z00_5056<BgL_odepthz00_5076))
{ /* Llib/midi.scm 981 */
 obj_t BgL_arg1790z00_5078;
BgL_arg1790z00_5078 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5074, BgL_arg1797z00_5056); 
BgL_res3055z00_5089 = 
(BgL_arg1790z00_5078==BgL_classz00_5053); }  else 
{ /* Llib/midi.scm 981 */
BgL_res3055z00_5089 = ((bool_t)0); } } } } 
BgL_test3585z00_9397 = BgL_res3055z00_5089; } }  else 
{ /* Llib/midi.scm 981 */
BgL_test3585z00_9397 = ((bool_t)0)
; } } 
if(BgL_test3585z00_9397)
{ /* Llib/midi.scm 981 */
BgL_auxz00_9396 = 
((BgL_midiplayerz00_bglt)BgL_mplayerz00_3610)
; }  else 
{ 
 obj_t BgL_auxz00_9419;
BgL_auxz00_9419 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)37067)), BGl_string3027z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_mplayerz00_3610); 
FAILURE(BgL_auxz00_9419,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9396);} } 

}



/* midisink-init */
BGL_EXPORTED_DEF obj_t BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_midisinkz00_bglt BgL_msinkz00_67)
{
{ /* Llib/midi.scm 987 */
{ /* Llib/midi.scm 987 */
 obj_t BgL_method1240z00_1860;
{ /* Llib/midi.scm 987 */
 obj_t BgL_res2625z00_2736;
{ /* Llib/midi.scm 987 */
 long BgL_objzd2classzd2numz00_2707;
BgL_objzd2classzd2numz00_2707 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_msinkz00_67)); 
{ /* Llib/midi.scm 987 */
 obj_t BgL_arg1798z00_2708;
BgL_arg1798z00_2708 = 
PROCEDURE_REF(BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 987 */
 int BgL_offsetz00_2711;
BgL_offsetz00_2711 = 
(int)(BgL_objzd2classzd2numz00_2707); 
{ /* Llib/midi.scm 987 */
 long BgL_offsetz00_2712;
BgL_offsetz00_2712 = 
(
(long)(BgL_offsetz00_2711)-OBJECT_TYPE); 
{ /* Llib/midi.scm 987 */
 long BgL_modz00_2713;
BgL_modz00_2713 = 
(BgL_offsetz00_2712 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 987 */
 long BgL_restz00_2715;
BgL_restz00_2715 = 
(BgL_offsetz00_2712 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 987 */

{ /* Llib/midi.scm 987 */
 obj_t BgL_bucketz00_2717;
BgL_bucketz00_2717 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2708),BgL_modz00_2713); 
BgL_res2625z00_2736 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2717),BgL_restz00_2715); } } } } } } } } 
BgL_method1240z00_1860 = BgL_res2625z00_2736; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1240z00_1860))(BgL_method1240z00_1860, 
((obj_t)BgL_msinkz00_67), BEOA);} } 

}



/* &midisink-init */
obj_t BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3611, obj_t BgL_msinkz00_3612)
{
{ /* Llib/midi.scm 987 */
{ /* Llib/midi.scm 987 */
 BgL_midisinkz00_bglt BgL_auxz00_9454;
{ /* Llib/midi.scm 987 */
 bool_t BgL_test3590z00_9455;
{ /* Llib/midi.scm 987 */
 obj_t BgL_classz00_5090;
BgL_classz00_5090 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msinkz00_3612))
{ /* Llib/midi.scm 987 */
 BgL_objectz00_bglt BgL_arg1796z00_5092; long BgL_arg1797z00_5093;
BgL_arg1796z00_5092 = 
(BgL_objectz00_bglt)(BgL_msinkz00_3612); 
BgL_arg1797z00_5093 = 
BGL_CLASS_DEPTH(BgL_classz00_5090); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/midi.scm 987 */
 long BgL_idxz00_5101;
BgL_idxz00_5101 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5092); 
{ /* Llib/midi.scm 987 */
 obj_t BgL_arg1788z00_5102;
{ /* Llib/midi.scm 987 */
 long BgL_arg1789z00_5103;
BgL_arg1789z00_5103 = 
(BgL_idxz00_5101+BgL_arg1797z00_5093); 
BgL_arg1788z00_5102 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5103); } 
BgL_test3590z00_9455 = 
(BgL_arg1788z00_5102==BgL_classz00_5090); } }  else 
{ /* Llib/midi.scm 987 */
 bool_t BgL_res3056z00_5126;
{ /* Llib/midi.scm 987 */
 obj_t BgL_oclassz00_5111;
{ /* Llib/midi.scm 987 */
 long BgL_arg1801z00_5117;
{ /* Llib/midi.scm 987 */
 long BgL_arg1802z00_5118;
BgL_arg1802z00_5118 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5092); 
BgL_arg1801z00_5117 = 
(BgL_arg1802z00_5118-OBJECT_TYPE); } 
BgL_oclassz00_5111 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5117); } 
{ /* Llib/midi.scm 987 */
 bool_t BgL__ortest_1110z00_5112;
BgL__ortest_1110z00_5112 = 
(BgL_classz00_5090==BgL_oclassz00_5111); 
if(BgL__ortest_1110z00_5112)
{ /* Llib/midi.scm 987 */
BgL_res3056z00_5126 = BgL__ortest_1110z00_5112; }  else 
{ /* Llib/midi.scm 987 */
 long BgL_odepthz00_5113;
BgL_odepthz00_5113 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5111); 
if(
(BgL_arg1797z00_5093<BgL_odepthz00_5113))
{ /* Llib/midi.scm 987 */
 obj_t BgL_arg1790z00_5115;
BgL_arg1790z00_5115 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5111, BgL_arg1797z00_5093); 
BgL_res3056z00_5126 = 
(BgL_arg1790z00_5115==BgL_classz00_5090); }  else 
{ /* Llib/midi.scm 987 */
BgL_res3056z00_5126 = ((bool_t)0); } } } } 
BgL_test3590z00_9455 = BgL_res3056z00_5126; } }  else 
{ /* Llib/midi.scm 987 */
BgL_test3590z00_9455 = ((bool_t)0)
; } } 
if(BgL_test3590z00_9455)
{ /* Llib/midi.scm 987 */
BgL_auxz00_9454 = 
((BgL_midisinkz00_bglt)BgL_msinkz00_3612)
; }  else 
{ 
 obj_t BgL_auxz00_9477;
BgL_auxz00_9477 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2780z00zz__multimediazd2midizd2, 
BINT(((long)37356)), BGl_string3028z00zz__multimediazd2midizd2, BGl_string2793z00zz__multimediazd2midizd2, BgL_msinkz00_3612); 
FAILURE(BgL_auxz00_9477,BFALSE,BFALSE);} } 
return 
BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9454);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2midizd2(void)
{
{ /* Llib/midi.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
