/*===========================================================================*/
/*   (Llib/mpd.scm)                                                          */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IUnix Llib/mpd.scm -o objs/mpd.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musictagz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_titlez00;
   obj_t BgL_artistz00;
   obj_t BgL_interpretz00;
   obj_t BgL_albumz00;
   int BgL_trackz00;
   int BgL_yearz00;
   obj_t BgL_genrez00;
   obj_t BgL_commentz00;
   obj_t BgL_ufidz00;
   obj_t BgL_copyrightz00;
   obj_t BgL_picturez00;
} *BgL_musictagz00_bglt;

typedef struct BgL_musicinfoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   long BgL_sampleratez00;
   int BgL_channelsz00;
   int BgL_bpsz00;
   long BgL_durationz00;
} *BgL_musicinfoz00_bglt;

typedef struct BgL_mpdzd2databasezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_directoriesz00;
   obj_t BgL_suffixesz00;
   obj_t BgL_z52basez52;
   obj_t BgL_z52artistsz52;
   obj_t BgL_z52albumsz52;
   obj_t BgL_z52genresz52;
   obj_t BgL_z52nartistsz52;
   int BgL_z52nalbumsz52;
   int BgL_z52nsongsz52;
   obj_t BgL_z52uptimez52;
   obj_t BgL_z52dbzd2updatez80;
} *BgL_mpdzd2databasezd2_bglt;


static obj_t BGl_z62mpdzd2lsinfozb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = BUNSPEC;
static obj_t BGl_zc3z04exitza32077ze3ze70z60zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2volumezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getzd2albumzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
extern obj_t BGl_musiczd2playlistzd2addz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32389ze3ze5zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2killzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_directory_to_list(char *);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getgenrez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt);
extern obj_t BGl_musiczd2nextzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62mpdzd2databasezd2filezd2ze3pathz53zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2mpdzd2 = BUNSPEC;
static obj_t BGl_currentsongzd2infozd2zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, int, obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT obj_t BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(obj_t);
BGL_IMPORT bool_t BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2swapidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2lsinfoz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2listallzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcicmp(obj_t, obj_t);
static obj_t BGl_search1350ze70ze7zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2crossfadezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_z62mpdzd2notcommandszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_filezd2musicinfozd2zz__multimediazd2id3zd2(obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2playlistidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2repeatzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
BGL_IMPORT obj_t bgl_seconds_to_date(long);
static obj_t BGl_z62zc3z04anonymousza32200ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2deletezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2mpdzd2(void);
static obj_t BGl_z62mpdzd2listallinfozb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getartistalbumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getgenrez62zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_z62mpdzd2setvolzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2stopzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62mpdzd2databasezd2findzd2genrezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2updatezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2initz121364z70zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgen1376z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__multimediazd2mpdzd2(void);
static obj_t BGl_z62mpdzd2databasezd2listgen1378z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_mpdzd2databasezd2directorieszd2scanzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgenrez62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listallz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getarti1401z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getarti1405z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgen1380z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__multimediazd2mpdzd2(void);
static obj_t BGl_z62zc3z04anonymousza32678ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2skipzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2clearerrorzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_musiczd2closedzf3z21zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_hashtablezd2mapzd2zz__hashz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getgenreartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2artistzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
BGL_IMPORT obj_t BGl_stringzd2containszd2zz__r4_strings_6_7z00(obj_t, obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getgenr1403z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32123ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_mpdzd2ze3filez31zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(obj_t, long);
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2 = BUNSPEC;
static obj_t BGl_z62mpdzd2tagtypeszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza32205ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, bool_t);
static obj_t BGl_z62mpdzd2seekzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2passwordzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32133ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2swapzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getzd2albumzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listgenreartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2statuszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2addzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2statsz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdz00zz__multimediazd2mpdzd2(BgL_musicz00_bglt, obj_t, obj_t, BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2mpdzd2(void);
static obj_t BGl_z62mpdzd2playzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2pausezd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62mpdzd2currentsongzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2listzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2deleteidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2titlezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32410ze3ze5zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32232ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2ti1394zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2 = BUNSPEC;
static obj_t BGl_z62mpdzd2moveidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2searchzd2artistzd2titlez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2filezd2ze3p1366z53zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static bool_t BGl_filezd2systemzd2rootzf3zf3zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32403ze3ze5zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32160ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2albumzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listartistalbumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2plconangesposidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listalbumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2searchzd2artistzd2albumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2prevzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_IMPORT long bgl_current_seconds(void);
static obj_t BGl_z62mpdzd2nextzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getzd2alb1412zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, BgL_musicz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2shufflezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2playlistzd2deletez12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, int);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt);
BGL_IMPORT obj_t BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2previouszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32049ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2 = BUNSPEC;
static bool_t BGl_directoryzd2scanze70z35zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getgenr1398z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_mpdzd2listzd2beginz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, BgL_musicz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getgenreartistz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl__mpdz00zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
static long BGl_cmdnz00zz__multimediazd2mpdzd2;
BGL_IMPORT obj_t BGl_makezd2datezd2zz__datez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2ar1388zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2initz12z70zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62mpdzd2urlhandlerszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2filezd2ze3pathz31zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32601ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32334ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2lsinfo1384z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_musicstatusz00_bglt BGl_musiczd2statuszd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_string_lt(obj_t, obj_t);
static obj_t BGl_z62mpdzd2pingzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_directoryzd2imagezd2zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT obj_t bgl_list_ref(obj_t, long);
extern obj_t BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32424ze3ze5zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_search1358ze70ze7zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_filezd2namezd2ze3listze3zz__osz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
static obj_t BGl_z62mpdzd2stopzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mpdzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2id3zd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
static obj_t BGl_z62mpdzd2databasezd2searchzd2artistzd2titlez62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2savezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_getinfofilez00zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32417ze3ze5zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2findzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t fexists(char *);
static long BGl_currentsongzd2cachezd2numz00zz__multimediazd2mpdzd2;
extern obj_t BGl_musicz00zz__multimediazd2musiczd2;
static obj_t BGl_z62mpdzd2databasezd2searchzd2artistzd2albumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listalb1372z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32361ze3ze5zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2playlistinfozb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32082ze3ze70z60zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32354ze3ze5zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__multimediazd2mpdzd2(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpdzd2(void);
BGL_IMPORT obj_t BGl_stringzd2indexzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2volumezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
BGL_IMPORT long bgl_list_length(obj_t);
static obj_t BGl_z62mpdzd2databasezd2listartistz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2mpdzd2(void);
static bool_t BGl_findzd2genreze70z35zz__multimediazd2mpdzd2(obj_t, obj_t, BgL_mpdzd2databasezd2_bglt, obj_t);
extern obj_t BGl_musicinfoz00zz__multimediazd2id3zd2;
static obj_t BGl_z62lambda2401z62zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
static obj_t BGl_z62lambda2402z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static bool_t BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mpdzd2(void);
static obj_t BGl_z62zc3z04anonymousza32347ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2408z62zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62iozd2errorzb0zz__objectz00;
static obj_t BGl_z62lambda2409z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2filezd2pathz00zz__osz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2searchzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listgenrealbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda2415z62zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcmp_at(obj_t, obj_t, long);
static obj_t BGl_z62lambda2416z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62mpdzd2databasezd2findzd2al1386zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_filezd2musictagzd2zz__multimediazd2id3zd2(obj_t);
static obj_t BGl_z62lambda2422z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2423z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static BgL_mpdzd2databasezd2_bglt BGl_z62lambda2342z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2volumezd2getz00zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32195ze3ze5zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static BgL_mpdzd2databasezd2_bglt BGl_z62lambda2345z62zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2playidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgenreartistz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2clearzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musictagz00zz__multimediazd2id3zd2;
BGL_IMPORT obj_t BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62mpdzd2databasezd2getartistz62zz__multimediazd2mpdzd2(obj_t, obj_t);
static bool_t BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32382ze3ze5zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62lambda2352z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2353z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2randomzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2metazd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62mpdzd2outputszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bgl_directoryp(char *);
static obj_t BGl_z62lambda2359z62zz__multimediazd2mpdzd2(obj_t, obj_t);
extern int BGl_musiczd2songzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62mpdzd2commandszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2360z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32375ze3ze5zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = BUNSPEC;
static obj_t BGl_z62mpdzd2databasezd2stats1368z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2366z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2367z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2ge1396zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listart1374z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2seekidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2rmzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32368ze3ze5zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62lambda2373z62zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT long bgl_last_modification_time(char *);
static obj_t BGl_z62lambda2374z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listgenrez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_playlistinfoz00zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2searchzd21390zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listart1382z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_loopze70ze7zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2searchzd21392zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_loopze71ze7zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, BgL_mpdzd2databasezd2_bglt, obj_t);
static bool_t BGl_loopze72ze7zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_loopze73ze7zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, bool_t, obj_t);
static bool_t BGl_loopze74ze7zz__multimediazd2mpdzd2(obj_t, BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_loopze75ze7zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT long bgl_date_to_seconds(obj_t);
static obj_t BGl_z62lambda2380z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2381z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listall1370z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(obj_t, long);
extern obj_t BGl_musiczd2seekzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getartistalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62lambda2387z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2388z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2statszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2statsz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2movezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda2394z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2395z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2playzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2initz12z12zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt);
static obj_t BGl_z62mpdzd2playlistzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2plchangeszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2addidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2pausezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2playlistzd2clearz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static bool_t BGl_findzd2titleze70z35zz__multimediazd2mpdzd2(obj_t, obj_t, BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_getzd2linezd2commandz00zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT int BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2closezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgenrealbumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32396ze3ze5zz__multimediazd2mpdzd2(obj_t);
static obj_t __cnst[ 104 ] ;


DEFINE_STRING( BGl_string3010z00zz__multimediazd2mpdzd2, BgL_bgl_string3010za700za7za7_3158za7, "unknown search type \"~a\"", 24 );
DEFINE_STRING( BGl_string3012z00zz__multimediazd2mpdzd2, BgL_bgl_string3012za700za7za7_3159za7, "command: ", 9 );
DEFINE_STRING( BGl_string3015z00zz__multimediazd2mpdzd2, BgL_bgl_string3015za700za7za7_3160za7, "No such file", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2lsinfozd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2lsinfoza73161za7, BGl_z62mpdzd2lsinfozb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3011z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3162za7, BGl_z62zc3z04anonymousza32123ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3013z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3163za7, BGl_z62zc3z04anonymousza32133ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3101z00zz__multimediazd2mpdzd2, BgL_bgl_string3101za700za7za7_3164za7, "mpd-database-getarti1405", 24 );
DEFINE_STRING( BGl_string3020z00zz__multimediazd2mpdzd2, BgL_bgl_string3020za700za7za7_3165za7, "~a-~2,0d-~2,0dT~2,0d:~2,0d:~2,0dZ", 33 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3014z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3166za7, BGl_z62zc3z04anonymousza32160ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3021z00zz__multimediazd2mpdzd2, BgL_bgl_string3021za700za7za7_3167za7, "unknown", 7 );
DEFINE_STRING( BGl_string3103z00zz__multimediazd2mpdzd2, BgL_bgl_string3103za700za7za7_3168za7, "mpd-database-get-alb1412", 24 );
DEFINE_STRING( BGl_string3022z00zz__multimediazd2mpdzd2, BgL_bgl_string3022za700za7za7_3169za7, "Unknown Disc", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3016z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3170za7, BGl_z62zc3z04anonymousza32195ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3017z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3171za7, BGl_z62zc3z04anonymousza32200ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3105z00zz__multimediazd2mpdzd2, BgL_bgl_string3105za700za7za7_3172za7, "directory: ", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3018z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3173za7, BGl_z62zc3z04anonymousza32205ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3106z00zz__multimediazd2mpdzd2, BgL_bgl_string3106za700za7za7_3174za7, "lsinfo", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3019z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3175za7, BGl_z62zc3z04anonymousza32232ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3107z00zz__multimediazd2mpdzd2, BgL_bgl_string3107za700za7za7_3176za7, "Genre: ", 7 );
DEFINE_STRING( BGl_string3108z00zz__multimediazd2mpdzd2, BgL_bgl_string3108za700za7za7_3177za7, "artists: ~a\nalbums: ~a\nsongs: ~a\nuptime: ~a\nplaytime: ~a\ndb_playtime: 10000000\ndb_update: ~a\n", 93 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3100z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3178z00, BGl_z62mpdzd2databasezd2getarti1405z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3102z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3179z00, BGl_z62mpdzd2databasezd2getzd2alb1412zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3110z00zz__multimediazd2mpdzd2, BgL_bgl_string3110za700za7za7_3180za7, "&mpd-database-init!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3104z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3181za7, BGl_z62zc3z04anonymousza32601ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3023z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3182za7, BGl_z62zc3z04anonymousza32334ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3111z00zz__multimediazd2mpdzd2, BgL_bgl_string3111za700za7za7_3183za7, "&mpd-database-file->path", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3024z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3184za7, BGl_z62zc3z04anonymousza32354ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3112z00zz__multimediazd2mpdzd2, BgL_bgl_string3112za700za7za7_3185za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3025z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2353za7623186z00, BGl_z62lambda2353z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3113z00zz__multimediazd2mpdzd2, BgL_bgl_string3113za700za7za7_3187za7, "&mpd-database-stats", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3026z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2352za7623188z00, BGl_z62lambda2352z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3114z00zz__multimediazd2mpdzd2, BgL_bgl_string3114za700za7za7_3189za7, "&mpd-database-listall", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3027z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3190za7, BGl_z62zc3z04anonymousza32361ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3115z00zz__multimediazd2mpdzd2, BgL_bgl_string3115za700za7za7_3191za7, "&mpd-database-listalbum", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3028z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2360za7623192z00, BGl_z62lambda2360z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3116z00zz__multimediazd2mpdzd2, BgL_bgl_string3116za700za7za7_3193za7, "&mpd-database-listartistalbum", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3029z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2359za7623194z00, BGl_z62lambda2359z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3117z00zz__multimediazd2mpdzd2, BgL_bgl_string3117za700za7za7_3195za7, "&mpd-database-listgenrealbum", 28 );
DEFINE_STRING( BGl_string3118z00zz__multimediazd2mpdzd2, BgL_bgl_string3118za700za7za7_3196za7, "&mpd-database-listgenreartist", 29 );
DEFINE_STRING( BGl_string3119z00zz__multimediazd2mpdzd2, BgL_bgl_string3119za700za7za7_3197za7, "&mpd-database-listgenre", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3030z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3198za7, BGl_z62zc3z04anonymousza32368ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3031z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2367za7623199z00, BGl_z62lambda2367z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3032z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2366za7623200z00, BGl_z62lambda2366z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3120z00zz__multimediazd2mpdzd2, BgL_bgl_string3120za700za7za7_3201za7, "&mpd-database-listartist", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3033z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3202za7, BGl_z62zc3z04anonymousza32375ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3121z00zz__multimediazd2mpdzd2, BgL_bgl_string3121za700za7za7_3203za7, "&mpd-database-lsinfo", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3034z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2374za7623204z00, BGl_z62lambda2374z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3122z00zz__multimediazd2mpdzd2, BgL_bgl_string3122za700za7za7_3205za7, "&mpd-database-find-album", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3035z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2373za7623206z00, BGl_z62lambda2373z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3123z00zz__multimediazd2mpdzd2, BgL_bgl_string3123za700za7za7_3207za7, "&mpd-database-find-artist", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3036z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3208za7, BGl_z62zc3z04anonymousza32382ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3124z00zz__multimediazd2mpdzd2, BgL_bgl_string3124za700za7za7_3209za7, "&mpd-database-search-artist-album", 33 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3037z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2381za7623210z00, BGl_z62lambda2381z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3125z00zz__multimediazd2mpdzd2, BgL_bgl_string3125za700za7za7_3211za7, "&mpd-database-search-artist-title", 33 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3038z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2380za7623212z00, BGl_z62lambda2380z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3126z00zz__multimediazd2mpdzd2, BgL_bgl_string3126za700za7za7_3213za7, "&mpd-database-find-title", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3039z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3214za7, BGl_z62zc3z04anonymousza32389ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3127z00zz__multimediazd2mpdzd2, BgL_bgl_string3127za700za7za7_3215za7, "&mpd-database-find-genre", 24 );
DEFINE_STRING( BGl_string3128z00zz__multimediazd2mpdzd2, BgL_bgl_string3128za700za7za7_3216za7, "&mpd-database-getgenre", 22 );
DEFINE_STRING( BGl_string3129z00zz__multimediazd2mpdzd2, BgL_bgl_string3129za700za7za7_3217za7, "&mpd-database-getartist", 23 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getgenrezd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3218z00, BGl_z62mpdzd2databasezd2getgenrez62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2seekidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2seekidza73219za7, BGl_z62mpdzd2seekidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2searchzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2searchza73220za7, BGl_z62mpdzd2searchzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playza7b03221za7, BGl_z62mpdzd2playzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3040z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2388za7623222z00, BGl_z62lambda2388z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3041z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2387za7623223z00, BGl_z62lambda2387z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3042z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3224za7, BGl_z62zc3z04anonymousza32396ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3130z00zz__multimediazd2mpdzd2, BgL_bgl_string3130za700za7za7_3225za7, "&mpd-database-getgenreartist", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3043z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2395za7623226z00, BGl_z62lambda2395z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3131z00zz__multimediazd2mpdzd2, BgL_bgl_string3131za700za7za7_3227za7, "&mpd-database-getartistalbum", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3044z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2394za7623228z00, BGl_z62lambda2394z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3132z00zz__multimediazd2mpdzd2, BgL_bgl_string3132za700za7za7_3229za7, "&mpd-database-get-album", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3045z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3230za7, BGl_z62zc3z04anonymousza32403ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3133z00zz__multimediazd2mpdzd2, BgL_bgl_string3133za700za7za7_3231za7, "__multimedia-mpd", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3046z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2402za7623232z00, BGl_z62lambda2402z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3134z00zz__multimediazd2mpdzd2, BgL_bgl_string3134za700za7za7_3233za7, "(\"mp3\" \"flac\" \"ogg\" \"wav\") __multimedia-mpd mpd-database %db-update %uptime %nsongs int %nalbums obj %nartists %genres %albums %artists bstring %base suffixes pair-nil directories :Image :Time :Last-Modified :file :Genre :Date :Track :Album :Title :Artist (\"jpg\" \"JPG\" \"png\" \"gif\" \"GIF\") any genre disc album title artist :image :artist :album infofile (:album :artist :image) (\"Artist\" \"Album\" \"Title\" \"Track\" \"Name\" \"Genre\" \"Date\" \"Composer\" \"Performer\" \"Disc\") (\"http://\" \"file://\") :err :command mpd-err (:command :err) command_list_end command_list_ok_begin command_list_begin blank ok :log (:log) mpd outputs update swapid swap shuffle save rm repeat random password moveid move crossfade addid notcommands commands search find kill plconangesposid lsinfo listallinfo list listall stats close clearerror setvol volume previous next pause stop seekid seek playid play currentsong clear deleteid delete add plchanges playlistid playlistinfo playlist status tagtypes urlhandlers "
"ping ", 987 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3047z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2401za7623234z00, BGl_z62lambda2401z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3048z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3235za7, BGl_z62zc3z04anonymousza32410ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2rmzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2rmza7b0za7za73236za7, BGl_z62mpdzd2rmzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3049z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2409za7623237z00, BGl_z62lambda2409z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2findzd2artistzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3238z00, BGl_z62mpdzd2databasezd2findzd2artistzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2deletezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2deleteza73239za7, BGl_z62mpdzd2deletezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2listallzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2listall3240z00, BGl_z62mpdzd2listallzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3050z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2408za7623241z00, BGl_z62lambda2408z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3051z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3242za7, BGl_z62zc3z04anonymousza32417ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3052z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2416za7623243z00, BGl_z62lambda2416z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3053z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2415za7623244z00, BGl_z62lambda2415z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3054z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3245za7, BGl_z62zc3z04anonymousza32424ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3061z00zz__multimediazd2mpdzd2, BgL_bgl_string3061za700za7za7_3246za7, "mpd-database-init!1364", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3055z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2423za7623247z00, BGl_z62lambda2423z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3056z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2422za7623248z00, BGl_z62lambda2422z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3063z00zz__multimediazd2mpdzd2, BgL_bgl_string3063za700za7za7_3249za7, "mpd-database-file->p1366", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3057z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3za704anonymo3250za7, BGl_z62zc3z04anonymousza32347ze3ze5zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3058z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2345za7623251z00, BGl_z62lambda2345z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3065z00zz__multimediazd2mpdzd2, BgL_bgl_string3065za700za7za7_3252za7, "mpd-database-stats1368", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3059z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2342za7623253z00, BGl_z62lambda2342z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 11 );
DEFINE_STRING( BGl_string3067z00zz__multimediazd2mpdzd2, BgL_bgl_string3067za700za7za7_3254za7, "mpd-database-listall1370", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2notcommandszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2notcomm3255z00, BGl_z62mpdzd2notcommandszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3069z00zz__multimediazd2mpdzd2, BgL_bgl_string3069za700za7za7_3256za7, "mpd-database-listalb1372", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2statszd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3257z00, BGl_z62mpdzd2databasezd2statsz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3060z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3258z00, BGl_z62mpdzd2databasezd2initz121364z70zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3062z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3259z00, BGl_z62mpdzd2databasezd2filezd2ze3p1366z53zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3064z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3260z00, BGl_z62mpdzd2databasezd2stats1368z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3071z00zz__multimediazd2mpdzd2, BgL_bgl_string3071za700za7za7_3261za7, "mpd-database-listart1374", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3066z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3262z00, BGl_z62mpdzd2databasezd2listall1370z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3073z00zz__multimediazd2mpdzd2, BgL_bgl_string3073za700za7za7_3263za7, "mpd-database-listgen1376", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3068z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3264z00, BGl_z62mpdzd2databasezd2listalb1372z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3075z00zz__multimediazd2mpdzd2, BgL_bgl_string3075za700za7za7_3265za7, "mpd-database-listgen1378", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2updatezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2updateza73266za7, BGl_z62mpdzd2updatezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3077z00zz__multimediazd2mpdzd2, BgL_bgl_string3077za700za7za7_3267za7, "mpd-database-listgen1380", 24 );
DEFINE_STRING( BGl_string3079z00zz__multimediazd2mpdzd2, BgL_bgl_string3079za700za7za7_3268za7, "mpd-database-listart1382", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getgenreartistzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3269z00, BGl_z62mpdzd2databasezd2getgenreartistz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3070z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3270z00, BGl_z62mpdzd2databasezd2listart1374z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3072z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3271z00, BGl_z62mpdzd2databasezd2listgen1376z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3074z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3272z00, BGl_z62mpdzd2databasezd2listgen1378z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3081z00zz__multimediazd2mpdzd2, BgL_bgl_string3081za700za7za7_3273za7, "mpd-database-lsinfo1384", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3076z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3274z00, BGl_z62mpdzd2databasezd2listgen1380z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3083z00zz__multimediazd2mpdzd2, BgL_bgl_string3083za700za7za7_3275za7, "mpd-database-find-al1386", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3078z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3276z00, BGl_z62mpdzd2databasezd2listart1382z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3085z00zz__multimediazd2mpdzd2, BgL_bgl_string3085za700za7za7_3277za7, "mpd-database-find-ar1388", 24 );
DEFINE_LLONG( BGl_llong3109z00zz__multimediazd2mpdzd2, BgL_bgl_llong3109za700za7za7__3278za7, ((BGL_LONGLONG_T)0) );
DEFINE_STRING( BGl_string3087z00zz__multimediazd2mpdzd2, BgL_bgl_string3087za700za7za7_3279za7, "mpd-database-search-1390", 24 );
DEFINE_STRING( BGl_string3089z00zz__multimediazd2mpdzd2, BgL_bgl_string3089za700za7za7_3280za7, "mpd-database-search-1392", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2clearerrorzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2clearer3281z00, BGl_z62mpdzd2clearerrorzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3080z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3282z00, BGl_z62mpdzd2databasezd2lsinfo1384z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3082z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3283z00, BGl_z62mpdzd2databasezd2findzd2al1386zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3084z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3284z00, BGl_z62mpdzd2databasezd2findzd2ar1388zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3091z00zz__multimediazd2mpdzd2, BgL_bgl_string3091za700za7za7_3285za7, "mpd-database-find-ti1394", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3086z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3286z00, BGl_z62mpdzd2databasezd2searchzd21390zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3093z00zz__multimediazd2mpdzd2, BgL_bgl_string3093za700za7za7_3287za7, "mpd-database-find-ge1396", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3088z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3288z00, BGl_z62mpdzd2databasezd2searchzd21392zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3095z00zz__multimediazd2mpdzd2, BgL_bgl_string3095za700za7za7_3289za7, "mpd-database-getgenr1398", 24 );
DEFINE_STRING( BGl_string3097z00zz__multimediazd2mpdzd2, BgL_bgl_string3097za700za7za7_3290za7, "mpd-database-getarti1401", 24 );
DEFINE_STRING( BGl_string3099z00zz__multimediazd2mpdzd2, BgL_bgl_string3099za700za7za7_3291za7, "mpd-database-getgenr1403", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3090z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3292z00, BGl_z62mpdzd2databasezd2findzd2ti1394zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3092z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3293z00, BGl_z62mpdzd2databasezd2findzd2ge1396zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3094z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3294z00, BGl_z62mpdzd2databasezd2getgenr1398z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3096z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3295z00, BGl_z62mpdzd2databasezd2getarti1401z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3098z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3296z00, BGl_z62mpdzd2databasezd2getgenr1403z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getartistzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3297z00, BGl_z62mpdzd2databasezd2getartistz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2currentsongzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2current3298z00, BGl_z62mpdzd2currentsongzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2seekzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2seekza7b03299za7, BGl_z62mpdzd2seekzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2pingzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2pingza7b03300za7, BGl_z62mpdzd2pingzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2commandszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2command3301z00, BGl_z62mpdzd2commandszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2nextzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2nextza7b03302za7, BGl_z62mpdzd2nextzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2stopzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2stopza7b03303za7, BGl_z62mpdzd2stopzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2previouszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2previou3304z00, BGl_z62mpdzd2previouszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2searchzd2artistzd2albumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3305z00, BGl_z62mpdzd2databasezd2searchzd2artistzd2albumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2crossfadezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2crossfa3306z00, BGl_z62mpdzd2crossfadezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpdzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl__mpdza700za7za7__multi3307za7, opt_generic_entry, BGl__mpdz00zz__multimediazd2mpdzd2, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2setvolzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2setvolza73308za7, BGl_z62mpdzd2setvolzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listgenrealbumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3309z00, BGl_z62mpdzd2databasezd2listgenrealbumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listartistalbumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3310z00, BGl_z62mpdzd2databasezd2listartistalbumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listgenrezd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3311z00, BGl_z62mpdzd2databasezd2listgenrez62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playlistzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playlis3312z00, BGl_z62mpdzd2playlistzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2statuszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2statusza73313za7, BGl_z62mpdzd2statuszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2clearzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2clearza7b3314za7, BGl_z62mpdzd2clearzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2searchzd2artistzd2titlezd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3315z00, BGl_z62mpdzd2databasezd2searchzd2artistzd2titlez62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2savezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2saveza7b03316za7, BGl_z62mpdzd2savezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2filezd2ze3pathzd2envze3zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3317z00, BGl_z62mpdzd2databasezd2filezd2ze3pathz53zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2findzd2genrezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3318z00, BGl_z62mpdzd2databasezd2findzd2genrezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2plconangesposidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2plconan3319z00, BGl_z62mpdzd2plconangesposidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listartistzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3320z00, BGl_z62mpdzd2databasezd2listartistz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2addidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2addidza7b3321za7, BGl_z62mpdzd2addidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2initz12zd2envzc0zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3322z00, BGl_z62mpdzd2databasezd2initz12z70zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2pausezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2pauseza7b3323za7, BGl_z62mpdzd2pausezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2moveidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2moveidza73324za7, BGl_z62mpdzd2moveidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2killzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2killza7b03325za7, BGl_z62mpdzd2killzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2shufflezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2shuffle3326z00, BGl_z62mpdzd2shufflezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2closezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2closeza7b3327za7, BGl_z62mpdzd2closezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2randomzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2randomza73328za7, BGl_z62mpdzd2randomzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2950z00zz__multimediazd2mpdzd2, BgL_bgl_string2950za700za7za7_3329za7, "", 0 );
DEFINE_STRING( BGl_string2951z00zz__multimediazd2mpdzd2, BgL_bgl_string2951za700za7za7_3330za7, "wrong number of arguments: [4..5] expected, provided", 52 );
DEFINE_STRING( BGl_string2952z00zz__multimediazd2mpdzd2, BgL_bgl_string2952za700za7za7_3331za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string2953z00zz__multimediazd2mpdzd2, BgL_bgl_string2953za700za7za7_3332za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/multimedia/src/Llib/mpd.scm", 67 );
DEFINE_STRING( BGl_string2954z00zz__multimediazd2mpdzd2, BgL_bgl_string2954za700za7za7_3333za7, "_mpd", 4 );
DEFINE_STRING( BGl_string2955z00zz__multimediazd2mpdzd2, BgL_bgl_string2955za700za7za7_3334za7, "bint", 4 );
DEFINE_STRING( BGl_string2956z00zz__multimediazd2mpdzd2, BgL_bgl_string2956za700za7za7_3335za7, "music", 5 );
DEFINE_STRING( BGl_string2957z00zz__multimediazd2mpdzd2, BgL_bgl_string2957za700za7za7_3336za7, "input-port", 10 );
DEFINE_STRING( BGl_string2958z00zz__multimediazd2mpdzd2, BgL_bgl_string2958za700za7za7_3337za7, "output-port", 11 );
DEFINE_STRING( BGl_string2959z00zz__multimediazd2mpdzd2, BgL_bgl_string2959za700za7za7_3338za7, "mpd-database", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2statszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2statsza7b3339za7, BGl_z62mpdzd2statszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2deleteidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2deletei3340z00, BGl_z62mpdzd2deleteidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2960z00zz__multimediazd2mpdzd2, BgL_bgl_string2960za700za7za7_3341za7, "OK MPD 0.16.0", 13 );
DEFINE_STRING( BGl_string2961z00zz__multimediazd2mpdzd2, BgL_bgl_string2961za700za7za7_3342za7, "OK\n", 3 );
DEFINE_STRING( BGl_string2962z00zz__multimediazd2mpdzd2, BgL_bgl_string2962za700za7za7_3343za7, "ACK [", 5 );
DEFINE_STRING( BGl_string2963z00zz__multimediazd2mpdzd2, BgL_bgl_string2963za700za7za7_3344za7, "5@0", 3 );
DEFINE_STRING( BGl_string2964z00zz__multimediazd2mpdzd2, BgL_bgl_string2964za700za7za7_3345za7, "] {", 3 );
DEFINE_STRING( BGl_string2965z00zz__multimediazd2mpdzd2, BgL_bgl_string2965za700za7za7_3346za7, "} ", 2 );
DEFINE_STRING( BGl_string2966z00zz__multimediazd2mpdzd2, BgL_bgl_string2966za700za7za7_3347za7, "\n", 1 );
DEFINE_STRING( BGl_string2967z00zz__multimediazd2mpdzd2, BgL_bgl_string2967za700za7za7_3348za7, "unknown command \"~a\"", 20 );
DEFINE_STRING( BGl_string2968z00zz__multimediazd2mpdzd2, BgL_bgl_string2968za700za7za7_3349za7, "list_OK\n", 8 );
DEFINE_STRING( BGl_string2969z00zz__multimediazd2mpdzd2, BgL_bgl_string2969za700za7za7_3350za7, "wrong number of arguments: [2..4] expected, provided", 52 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2lsinfozd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3351z00, BGl_z62mpdzd2databasezd2lsinfoz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2plchangeszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2plchang3352z00, BGl_z62mpdzd2plchangeszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2volumezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2volumeza73353za7, BGl_z62mpdzd2volumezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2970z00zz__multimediazd2mpdzd2, BgL_bgl_string2970za700za7za7_3354za7, "handler: ", 9 );
DEFINE_STRING( BGl_string2971z00zz__multimediazd2mpdzd2, BgL_bgl_string2971za700za7za7_3355za7, "tagtype: ", 9 );
DEFINE_STRING( BGl_string2972z00zz__multimediazd2mpdzd2, BgL_bgl_string2972za700za7za7_3356za7, "volume: ", 8 );
DEFINE_STRING( BGl_string2973z00zz__multimediazd2mpdzd2, BgL_bgl_string2973za700za7za7_3357za7, "state: ", 7 );
DEFINE_STRING( BGl_string2974z00zz__multimediazd2mpdzd2, BgL_bgl_string2974za700za7za7_3358za7, "playlist: ", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2addzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2addza7b0za73359z00, BGl_z62mpdzd2addzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2975z00zz__multimediazd2mpdzd2, BgL_bgl_string2975za700za7za7_3360za7, "playlistlength: ", 16 );
DEFINE_STRING( BGl_string2976z00zz__multimediazd2mpdzd2, BgL_bgl_string2976za700za7za7_3361za7, "song: ", 6 );
DEFINE_STRING( BGl_string2977z00zz__multimediazd2mpdzd2, BgL_bgl_string2977za700za7za7_3362za7, "songid: ", 8 );
DEFINE_STRING( BGl_string2978z00zz__multimediazd2mpdzd2, BgL_bgl_string2978za700za7za7_3363za7, "bitrate: ", 9 );
DEFINE_STRING( BGl_string2979z00zz__multimediazd2mpdzd2, BgL_bgl_string2979za700za7za7_3364za7, "audio: ", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2tagtypeszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2tagtype3365z00, BGl_z62mpdzd2tagtypeszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2980z00zz__multimediazd2mpdzd2, BgL_bgl_string2980za700za7za7_3366za7, ":16:2\n", 6 );
DEFINE_STRING( BGl_string2981z00zz__multimediazd2mpdzd2, BgL_bgl_string2981za700za7za7_3367za7, "time: ", 6 );
DEFINE_STRING( BGl_string2982z00zz__multimediazd2mpdzd2, BgL_bgl_string2982za700za7za7_3368za7, ":", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2swapidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2swapidza73369za7, BGl_z62mpdzd2swapidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2983z00zz__multimediazd2mpdzd2, BgL_bgl_string2983za700za7za7_3370za7, "repeat: 1\n", 10 );
DEFINE_STRING( BGl_string2984z00zz__multimediazd2mpdzd2, BgL_bgl_string2984za700za7za7_3371za7, "repeat: 0\n", 10 );
DEFINE_STRING( BGl_string2985z00zz__multimediazd2mpdzd2, BgL_bgl_string2985za700za7za7_3372za7, "random: 1\n", 10 );
DEFINE_STRING( BGl_string2986z00zz__multimediazd2mpdzd2, BgL_bgl_string2986za700za7za7_3373za7, "random: 0\n", 10 );
DEFINE_STRING( BGl_string2987z00zz__multimediazd2mpdzd2, BgL_bgl_string2987za700za7za7_3374za7, "xfade: ", 7 );
DEFINE_STRING( BGl_string2988z00zz__multimediazd2mpdzd2, BgL_bgl_string2988za700za7za7_3375za7, ": ", 2 );
DEFINE_STRING( BGl_string2989z00zz__multimediazd2mpdzd2, BgL_bgl_string2989za700za7za7_3376za7, "wrong number of arguments: [3..6] expected, provided", 52 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listalbumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3377z00, BGl_z62mpdzd2databasezd2listalbumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2swapzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2swapza7b03378za7, BGl_z62mpdzd2swapzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getzd2albumzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3379z00, BGl_z62mpdzd2databasezd2getzd2albumzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2urlhandlerszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2urlhand3380z00, BGl_z62mpdzd2urlhandlerszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2990z00zz__multimediazd2mpdzd2, BgL_bgl_string2990za700za7za7_3381za7, "http://", 7 );
DEFINE_STRING( BGl_string2991z00zz__multimediazd2mpdzd2, BgL_bgl_string2991za700za7za7_3382za7, "add", 3 );
DEFINE_STRING( BGl_string2992z00zz__multimediazd2mpdzd2, BgL_bgl_string2992za700za7za7_3383za7, "illegal uri \"~a\"", 16 );
DEFINE_STRING( BGl_string2993z00zz__multimediazd2mpdzd2, BgL_bgl_string2993za700za7za7_3384za7, "file: ", 6 );
DEFINE_STRING( BGl_string2994z00zz__multimediazd2mpdzd2, BgL_bgl_string2994za700za7za7_3385za7, "Pos: ", 5 );
DEFINE_STRING( BGl_string2995z00zz__multimediazd2mpdzd2, BgL_bgl_string2995za700za7za7_3386za7, "Id: ", 4 );
DEFINE_STRING( BGl_string2996z00zz__multimediazd2mpdzd2, BgL_bgl_string2996za700za7za7_3387za7, "Artist: ", 8 );
DEFINE_STRING( BGl_string2997z00zz__multimediazd2mpdzd2, BgL_bgl_string2997za700za7za7_3388za7, "Title: ", 7 );
DEFINE_STRING( BGl_string2998z00zz__multimediazd2mpdzd2, BgL_bgl_string2998za700za7za7_3389za7, "Album: ", 7 );
DEFINE_STRING( BGl_string2999z00zz__multimediazd2mpdzd2, BgL_bgl_string2999za700za7za7_3390za7, "50@0", 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2findzd2albumzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3391z00, BGl_z62mpdzd2databasezd2findzd2albumzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2findzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2findza7b03392za7, BGl_z62mpdzd2findzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2outputszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2outputs3393z00, BGl_z62mpdzd2outputszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playidza73394za7, BGl_z62mpdzd2playidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listgenreartistzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3395z00, BGl_z62mpdzd2databasezd2listgenreartistz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2movezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2moveza7b03396za7, BGl_z62mpdzd2movezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2findzd2titlezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3397z00, BGl_z62mpdzd2databasezd2findzd2titlezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listallzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3398z00, BGl_z62mpdzd2databasezd2listallz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getartistalbumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3399z00, BGl_z62mpdzd2databasezd2getartistalbumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2listzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2listza7b03400za7, BGl_z62mpdzd2listzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playlistidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playlis3401z00, BGl_z62mpdzd2playlistidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2repeatzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2repeatza73402za7, BGl_z62mpdzd2repeatzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playlistinfozd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playlis3403z00, BGl_z62mpdzd2playlistinfozb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2passwordzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2passwor3404z00, BGl_z62mpdzd2passwordzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3000z00zz__multimediazd2mpdzd2, BgL_bgl_string3000za700za7za7_3405za7, "next", 4 );
DEFINE_STRING( BGl_string3001z00zz__multimediazd2mpdzd2, BgL_bgl_string3001za700za7za7_3406za7, "No more song", 12 );
DEFINE_STRING( BGl_string3002z00zz__multimediazd2mpdzd2, BgL_bgl_string3002za700za7za7_3407za7, "previous", 8 );
DEFINE_STRING( BGl_string3003z00zz__multimediazd2mpdzd2, BgL_bgl_string3003za700za7za7_3408za7, "No previous song", 16 );
DEFINE_STRING( BGl_string3004z00zz__multimediazd2mpdzd2, BgL_bgl_string3004za700za7za7_3409za7, "artist", 6 );
DEFINE_STRING( BGl_string3005z00zz__multimediazd2mpdzd2, BgL_bgl_string3005za700za7za7_3410za7, "genre", 5 );
DEFINE_STRING( BGl_string3006z00zz__multimediazd2mpdzd2, BgL_bgl_string3006za700za7za7_3411za7, "unknown list type \"~a\"", 22 );
DEFINE_STRING( BGl_string3007z00zz__multimediazd2mpdzd2, BgL_bgl_string3007za700za7za7_3412za7, "ACK [2@0] {list} too few arguments for \"list\"", 45 );
DEFINE_STRING( BGl_string3008z00zz__multimediazd2mpdzd2, BgL_bgl_string3008za700za7za7_3413za7, "cpos: ", 6 );
DEFINE_STRING( BGl_string3009z00zz__multimediazd2mpdzd2, BgL_bgl_string3009za700za7za7_3414za7, "unknown find type \"~a\"", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2listallinfozd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2listall3415z00, BGl_z62mpdzd2listallinfozb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mpdzd2(long BgL_checksumz00_6480, char * BgL_fromz00_6481)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2mpdzd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2mpdzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2mpdzd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpdzd2(); 
BGl_cnstzd2initzd2zz__multimediazd2mpdzd2(); 
BGl_importedzd2moduleszd2initz00zz__multimediazd2mpdzd2(); 
BGl_objectzd2initzd2zz__multimediazd2mpdzd2(); 
BGl_genericzd2initzd2zz__multimediazd2mpdzd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2mpdzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpdzd2(void)
{
{ /* Llib/mpd.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__multimedia-mpd"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2mpdzd2(void)
{
{ /* Llib/mpd.scm 15 */
{ /* Llib/mpd.scm 15 */
 obj_t BgL_cportz00_5145;
{ /* Llib/mpd.scm 15 */
 obj_t BgL_stringz00_5152;
BgL_stringz00_5152 = BGl_string3134z00zz__multimediazd2mpdzd2; 
{ /* Llib/mpd.scm 15 */
 obj_t BgL_startz00_5153;
BgL_startz00_5153 = 
BINT(((long)0)); 
{ /* Llib/mpd.scm 15 */
 obj_t BgL_endz00_5154;
BgL_endz00_5154 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_5152))); 
{ /* Llib/mpd.scm 15 */

BgL_cportz00_5145 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_5152, BgL_startz00_5153, BgL_endz00_5154); } } } } 
{ 
 long BgL_iz00_5146;
BgL_iz00_5146 = ((long)103); 
BgL_loopz00_5147:
if(
(BgL_iz00_5146==((long)-1)))
{ /* Llib/mpd.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mpd.scm 15 */
{ /* Llib/mpd.scm 15 */
 obj_t BgL_arg3135z00_5148;
{ /* Llib/mpd.scm 15 */

{ /* Llib/mpd.scm 15 */
 obj_t BgL_locationz00_5150;
BgL_locationz00_5150 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mpd.scm 15 */

BgL_arg3135z00_5148 = 
BGl_readz00zz__readerz00(BgL_cportz00_5145, BgL_locationz00_5150); } } } 
{ /* Llib/mpd.scm 15 */
 int BgL_tmpz00_6523;
BgL_tmpz00_6523 = 
(int)(BgL_iz00_5146); 
CNST_TABLE_SET(BgL_tmpz00_6523, BgL_arg3135z00_5148); } } 
{ /* Llib/mpd.scm 15 */
 int BgL_auxz00_5151;
BgL_auxz00_5151 = 
(int)(
(BgL_iz00_5146-((long)1))); 
{ 
 long BgL_iz00_6528;
BgL_iz00_6528 = 
(long)(BgL_auxz00_5151); 
BgL_iz00_5146 = BgL_iz00_6528; 
goto BgL_loopz00_5147;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mpdzd2(void)
{
{ /* Llib/mpd.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2mpdzd2(void)
{
{ /* Llib/mpd.scm 15 */
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = BNIL; 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = BNIL; 
BGl_cmdnz00zz__multimediazd2mpdzd2 = ((long)0); 
{ /* Llib/mpd.scm 338 */
 obj_t BgL_arg1419z00_419;
{ /* Llib/mpd.scm 338 */
 obj_t BgL_arg1420z00_420;
BgL_arg1420z00_420 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)0)), BGl_mpdzd2pingzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 338 */
 obj_t BgL_list1421z00_421;
BgL_list1421z00_421 = 
MAKE_YOUNG_PAIR(BgL_arg1420z00_420, BNIL); 
BgL_arg1419z00_419 = BgL_list1421z00_421; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1419z00_419); } 
{ /* Llib/mpd.scm 344 */
 obj_t BgL_arg1460z00_422;
{ /* Llib/mpd.scm 344 */
 obj_t BgL_arg1461z00_423;
BgL_arg1461z00_423 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)1)), BGl_mpdzd2urlhandlerszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 344 */
 obj_t BgL_list1462z00_424;
BgL_list1462z00_424 = 
MAKE_YOUNG_PAIR(BgL_arg1461z00_423, BNIL); 
BgL_arg1460z00_422 = BgL_list1462z00_424; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1460z00_422); } 
{ /* Llib/mpd.scm 354 */
 obj_t BgL_arg1547z00_425;
{ /* Llib/mpd.scm 354 */
 obj_t BgL_arg1548z00_426;
BgL_arg1548z00_426 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)2)), BGl_mpdzd2tagtypeszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 354 */
 obj_t BgL_list1549z00_427;
BgL_list1549z00_427 = 
MAKE_YOUNG_PAIR(BgL_arg1548z00_426, BNIL); 
BgL_arg1547z00_425 = BgL_list1549z00_427; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1547z00_425); } 
{ /* Llib/mpd.scm 371 */
 obj_t BgL_arg1567z00_428;
{ /* Llib/mpd.scm 371 */
 obj_t BgL_arg1568z00_429;
BgL_arg1568z00_429 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)3)), BGl_mpdzd2statuszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 371 */
 obj_t BgL_list1569z00_430;
BgL_list1569z00_430 = 
MAKE_YOUNG_PAIR(BgL_arg1568z00_429, BNIL); 
BgL_arg1567z00_428 = BgL_list1569z00_430; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1567z00_428); } 
{ /* Llib/mpd.scm 406 */
 obj_t BgL_arg1574z00_431;
{ /* Llib/mpd.scm 406 */
 obj_t BgL_arg1575z00_432;
BgL_arg1575z00_432 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)4)), BGl_mpdzd2playlistzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 406 */
 obj_t BgL_list1576z00_433;
BgL_list1576z00_433 = 
MAKE_YOUNG_PAIR(BgL_arg1575z00_432, BNIL); 
BgL_arg1574z00_431 = BgL_list1576z00_433; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1574z00_431); } 
{ /* Llib/mpd.scm 447 */
 obj_t BgL_arg1584z00_434;
{ /* Llib/mpd.scm 447 */
 obj_t BgL_arg1585z00_435;
BgL_arg1585z00_435 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)5)), BGl_mpdzd2playlistinfozd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 447 */
 obj_t BgL_list1586z00_436;
BgL_list1586z00_436 = 
MAKE_YOUNG_PAIR(BgL_arg1585z00_435, BNIL); 
BgL_arg1584z00_434 = BgL_list1586z00_436; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1584z00_434); } 
{ /* Llib/mpd.scm 453 */
 obj_t BgL_arg1587z00_437;
{ /* Llib/mpd.scm 453 */
 obj_t BgL_arg1588z00_438;
BgL_arg1588z00_438 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)6)), BGl_mpdzd2playlistidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 453 */
 obj_t BgL_list1589z00_439;
BgL_list1589z00_439 = 
MAKE_YOUNG_PAIR(BgL_arg1588z00_438, BNIL); 
BgL_arg1587z00_437 = BgL_list1589z00_439; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1587z00_437); } 
{ /* Llib/mpd.scm 459 */
 obj_t BgL_arg1601z00_440;
{ /* Llib/mpd.scm 459 */
 obj_t BgL_arg1603z00_441;
BgL_arg1603z00_441 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)7)), BGl_mpdzd2plchangeszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 459 */
 obj_t BgL_list1605z00_442;
BgL_list1605z00_442 = 
MAKE_YOUNG_PAIR(BgL_arg1603z00_441, BNIL); 
BgL_arg1601z00_440 = BgL_list1605z00_442; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1601z00_440); } 
{ /* Llib/mpd.scm 477 */
 obj_t BgL_arg1617z00_443;
{ /* Llib/mpd.scm 477 */
 obj_t BgL_arg1618z00_444;
BgL_arg1618z00_444 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)8)), BGl_mpdzd2addzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 477 */
 obj_t BgL_list1619z00_445;
BgL_list1619z00_445 = 
MAKE_YOUNG_PAIR(BgL_arg1618z00_444, BNIL); 
BgL_arg1617z00_443 = BgL_list1619z00_445; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1617z00_443); } 
{ /* Llib/mpd.scm 493 */
 obj_t BgL_arg1620z00_446;
{ /* Llib/mpd.scm 493 */
 obj_t BgL_arg1629z00_447;
BgL_arg1629z00_447 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)9)), BGl_mpdzd2deletezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 493 */
 obj_t BgL_list1630z00_448;
BgL_list1630z00_448 = 
MAKE_YOUNG_PAIR(BgL_arg1629z00_447, BNIL); 
BgL_arg1620z00_446 = BgL_list1630z00_448; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1620z00_446); } 
{ /* Llib/mpd.scm 500 */
 obj_t BgL_arg1631z00_449;
{ /* Llib/mpd.scm 500 */
 obj_t BgL_arg1650z00_450;
BgL_arg1650z00_450 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)10)), BGl_mpdzd2deleteidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 500 */
 obj_t BgL_list1651z00_451;
BgL_list1651z00_451 = 
MAKE_YOUNG_PAIR(BgL_arg1650z00_450, BNIL); 
BgL_arg1631z00_449 = BgL_list1651z00_451; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1631z00_449); } 
{ /* Llib/mpd.scm 507 */
 obj_t BgL_arg1662z00_452;
{ /* Llib/mpd.scm 507 */
 obj_t BgL_arg1664z00_453;
BgL_arg1664z00_453 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)11)), BGl_mpdzd2clearzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 507 */
 obj_t BgL_list1665z00_454;
BgL_list1665z00_454 = 
MAKE_YOUNG_PAIR(BgL_arg1664z00_453, BNIL); 
BgL_arg1662z00_452 = BgL_list1665z00_454; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1662z00_452); } 
BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2 = BFALSE; 
BGl_currentsongzd2cachezd2numz00zz__multimediazd2mpdzd2 = ((long)-1); 
BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2 = BGl_string2950z00zz__multimediazd2mpdzd2; 
{ /* Llib/mpd.scm 579 */
 obj_t BgL_arg1670z00_455;
{ /* Llib/mpd.scm 579 */
 obj_t BgL_arg1679z00_456;
BgL_arg1679z00_456 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)12)), BGl_mpdzd2currentsongzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 579 */
 obj_t BgL_list1680z00_457;
BgL_list1680z00_457 = 
MAKE_YOUNG_PAIR(BgL_arg1679z00_456, BNIL); 
BgL_arg1670z00_455 = BgL_list1680z00_457; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1670z00_455); } 
{ /* Llib/mpd.scm 589 */
 obj_t BgL_arg1691z00_458;
{ /* Llib/mpd.scm 589 */
 obj_t BgL_arg1694z00_459;
BgL_arg1694z00_459 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)13)), BGl_mpdzd2playzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 589 */
 obj_t BgL_list1695z00_460;
BgL_list1695z00_460 = 
MAKE_YOUNG_PAIR(BgL_arg1694z00_459, BNIL); 
BgL_arg1691z00_458 = BgL_list1695z00_460; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1691z00_458); } 
{ /* Llib/mpd.scm 598 */
 obj_t BgL_arg1702z00_461;
{ /* Llib/mpd.scm 598 */
 obj_t BgL_arg1703z00_462;
BgL_arg1703z00_462 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BGl_mpdzd2playidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 598 */
 obj_t BgL_list1704z00_463;
BgL_list1704z00_463 = 
MAKE_YOUNG_PAIR(BgL_arg1703z00_462, BNIL); 
BgL_arg1702z00_461 = BgL_list1704z00_463; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1702z00_461); } 
{ /* Llib/mpd.scm 607 */
 obj_t BgL_arg1708z00_464;
{ /* Llib/mpd.scm 607 */
 obj_t BgL_arg1709z00_465;
BgL_arg1709z00_465 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)15)), BGl_mpdzd2seekzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 607 */
 obj_t BgL_list1710z00_466;
BgL_list1710z00_466 = 
MAKE_YOUNG_PAIR(BgL_arg1709z00_465, BNIL); 
BgL_arg1708z00_464 = BgL_list1710z00_466; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1708z00_464); } 
{ /* Llib/mpd.scm 614 */
 obj_t BgL_arg1711z00_467;
{ /* Llib/mpd.scm 614 */
 obj_t BgL_arg1714z00_468;
BgL_arg1714z00_468 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)16)), BGl_mpdzd2seekidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 614 */
 obj_t BgL_list1715z00_469;
BgL_list1715z00_469 = 
MAKE_YOUNG_PAIR(BgL_arg1714z00_468, BNIL); 
BgL_arg1711z00_467 = BgL_list1715z00_469; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1711z00_467); } 
{ /* Llib/mpd.scm 621 */
 obj_t BgL_arg1724z00_470;
{ /* Llib/mpd.scm 621 */
 obj_t BgL_arg1725z00_471;
BgL_arg1725z00_471 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)17)), BGl_mpdzd2stopzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 621 */
 obj_t BgL_list1726z00_472;
BgL_list1726z00_472 = 
MAKE_YOUNG_PAIR(BgL_arg1725z00_471, BNIL); 
BgL_arg1724z00_470 = BgL_list1726z00_472; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1724z00_470); } 
{ /* Llib/mpd.scm 628 */
 obj_t BgL_arg1727z00_473;
{ /* Llib/mpd.scm 628 */
 obj_t BgL_arg1728z00_474;
BgL_arg1728z00_474 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)18)), BGl_mpdzd2pausezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 628 */
 obj_t BgL_list1729z00_475;
BgL_list1729z00_475 = 
MAKE_YOUNG_PAIR(BgL_arg1728z00_474, BNIL); 
BgL_arg1727z00_473 = BgL_list1729z00_475; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1727z00_473); } 
{ /* Llib/mpd.scm 635 */
 obj_t BgL_arg1730z00_476;
{ /* Llib/mpd.scm 635 */
 obj_t BgL_arg1731z00_477;
BgL_arg1731z00_477 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)19)), BGl_mpdzd2nextzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 635 */
 obj_t BgL_list1732z00_478;
BgL_list1732z00_478 = 
MAKE_YOUNG_PAIR(BgL_arg1731z00_477, BNIL); 
BgL_arg1730z00_476 = BgL_list1732z00_478; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1730z00_476); } 
{ /* Llib/mpd.scm 648 */
 obj_t BgL_arg1738z00_479;
{ /* Llib/mpd.scm 648 */
 obj_t BgL_arg1740z00_480;
BgL_arg1740z00_480 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)20)), BGl_mpdzd2previouszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 648 */
 obj_t BgL_list1741z00_481;
BgL_list1741z00_481 = 
MAKE_YOUNG_PAIR(BgL_arg1740z00_480, BNIL); 
BgL_arg1738z00_479 = BgL_list1741z00_481; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1738z00_479); } 
{ /* Llib/mpd.scm 661 */
 obj_t BgL_arg1742z00_482;
{ /* Llib/mpd.scm 661 */
 obj_t BgL_arg1743z00_483;
BgL_arg1743z00_483 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)21)), BGl_mpdzd2volumezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 661 */
 obj_t BgL_list1744z00_484;
BgL_list1744z00_484 = 
MAKE_YOUNG_PAIR(BgL_arg1743z00_483, BNIL); 
BgL_arg1742z00_482 = BgL_list1744z00_484; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1742z00_482); } 
{ /* Llib/mpd.scm 684 */
 obj_t BgL_arg1745z00_485;
{ /* Llib/mpd.scm 684 */
 obj_t BgL_arg1746z00_486;
BgL_arg1746z00_486 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)22)), BGl_mpdzd2setvolzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 684 */
 obj_t BgL_list1747z00_487;
BgL_list1747z00_487 = 
MAKE_YOUNG_PAIR(BgL_arg1746z00_486, BNIL); 
BgL_arg1745z00_485 = BgL_list1747z00_487; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1745z00_485); } 
{ /* Llib/mpd.scm 690 */
 obj_t BgL_arg1754z00_488;
{ /* Llib/mpd.scm 690 */
 obj_t BgL_arg1755z00_489;
BgL_arg1755z00_489 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)23)), BGl_mpdzd2clearerrorzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 690 */
 obj_t BgL_list1756z00_490;
BgL_list1756z00_490 = 
MAKE_YOUNG_PAIR(BgL_arg1755z00_489, BNIL); 
BgL_arg1754z00_488 = BgL_list1756z00_490; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1754z00_488); } 
{ /* Llib/mpd.scm 696 */
 obj_t BgL_arg1758z00_491;
{ /* Llib/mpd.scm 696 */
 obj_t BgL_arg1762z00_492;
BgL_arg1762z00_492 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)24)), BGl_mpdzd2closezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 696 */
 obj_t BgL_list1763z00_493;
BgL_list1763z00_493 = 
MAKE_YOUNG_PAIR(BgL_arg1762z00_492, BNIL); 
BgL_arg1758z00_491 = BgL_list1763z00_493; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1758z00_491); } 
{ /* Llib/mpd.scm 702 */
 obj_t BgL_arg1765z00_494;
{ /* Llib/mpd.scm 702 */
 obj_t BgL_arg1766z00_495;
BgL_arg1766z00_495 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)25)), BGl_mpdzd2statszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 702 */
 obj_t BgL_list1767z00_496;
BgL_list1767z00_496 = 
MAKE_YOUNG_PAIR(BgL_arg1766z00_495, BNIL); 
BgL_arg1765z00_494 = BgL_list1767z00_496; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1765z00_494); } 
{ /* Llib/mpd.scm 709 */
 obj_t BgL_arg1769z00_497;
{ /* Llib/mpd.scm 709 */
 obj_t BgL_arg1786z00_498;
BgL_arg1786z00_498 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)26)), BGl_mpdzd2listallzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 709 */
 obj_t BgL_list1787z00_499;
BgL_list1787z00_499 = 
MAKE_YOUNG_PAIR(BgL_arg1786z00_498, BNIL); 
BgL_arg1769z00_497 = BgL_list1787z00_499; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1769z00_497); } 
{ /* Llib/mpd.scm 716 */
 obj_t BgL_arg1792z00_500;
{ /* Llib/mpd.scm 716 */
 obj_t BgL_arg1794z00_501;
BgL_arg1794z00_501 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)27)), BGl_mpdzd2listzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 716 */
 obj_t BgL_list1795z00_502;
BgL_list1795z00_502 = 
MAKE_YOUNG_PAIR(BgL_arg1794z00_501, BNIL); 
BgL_arg1792z00_500 = BgL_list1795z00_502; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1792z00_500); } 
{ /* Llib/mpd.scm 745 */
 obj_t BgL_arg1805z00_503;
{ /* Llib/mpd.scm 745 */
 obj_t BgL_arg1807z00_504;
BgL_arg1807z00_504 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)28)), BGl_mpdzd2listallinfozd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 745 */
 obj_t BgL_list1808z00_505;
BgL_list1808z00_505 = 
MAKE_YOUNG_PAIR(BgL_arg1807z00_504, BNIL); 
BgL_arg1805z00_503 = BgL_list1808z00_505; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1805z00_503); } 
{ /* Llib/mpd.scm 752 */
 obj_t BgL_arg1814z00_506;
{ /* Llib/mpd.scm 752 */
 obj_t BgL_arg1815z00_507;
BgL_arg1815z00_507 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)29)), BGl_mpdzd2lsinfozd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 752 */
 obj_t BgL_list1816z00_508;
BgL_list1816z00_508 = 
MAKE_YOUNG_PAIR(BgL_arg1815z00_507, BNIL); 
BgL_arg1814z00_506 = BgL_list1816z00_508; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1814z00_506); } 
{ /* Llib/mpd.scm 759 */
 obj_t BgL_arg1817z00_509;
{ /* Llib/mpd.scm 759 */
 obj_t BgL_arg1818z00_510;
BgL_arg1818z00_510 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)30)), BGl_mpdzd2plconangesposidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 759 */
 obj_t BgL_list1819z00_511;
BgL_list1819z00_511 = 
MAKE_YOUNG_PAIR(BgL_arg1818z00_510, BNIL); 
BgL_arg1817z00_509 = BgL_list1819z00_511; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1817z00_509); } 
{ /* Llib/mpd.scm 771 */
 obj_t BgL_arg1820z00_512;
{ /* Llib/mpd.scm 771 */
 obj_t BgL_arg1821z00_513;
BgL_arg1821z00_513 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)31)), BGl_mpdzd2killzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 771 */
 obj_t BgL_list1822z00_514;
BgL_list1822z00_514 = 
MAKE_YOUNG_PAIR(BgL_arg1821z00_513, BNIL); 
BgL_arg1820z00_512 = BgL_list1822z00_514; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1820z00_512); } 
{ /* Llib/mpd.scm 777 */
 obj_t BgL_arg1823z00_515;
{ /* Llib/mpd.scm 777 */
 obj_t BgL_arg1824z00_516;
BgL_arg1824z00_516 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)32)), BGl_mpdzd2findzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 777 */
 obj_t BgL_list1825z00_517;
BgL_list1825z00_517 = 
MAKE_YOUNG_PAIR(BgL_arg1824z00_516, BNIL); 
BgL_arg1823z00_515 = BgL_list1825z00_517; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1823z00_515); } 
{ /* Llib/mpd.scm 797 */
 obj_t BgL_arg1826z00_518;
{ /* Llib/mpd.scm 797 */
 obj_t BgL_arg1827z00_519;
BgL_arg1827z00_519 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)33)), BGl_mpdzd2searchzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 797 */
 obj_t BgL_list1828z00_520;
BgL_list1828z00_520 = 
MAKE_YOUNG_PAIR(BgL_arg1827z00_519, BNIL); 
BgL_arg1826z00_518 = BgL_list1828z00_520; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1826z00_518); } 
{ /* Llib/mpd.scm 825 */
 obj_t BgL_arg1829z00_521;
{ /* Llib/mpd.scm 825 */
 obj_t BgL_arg1830z00_522;
BgL_arg1830z00_522 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)34)), BGl_mpdzd2commandszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 825 */
 obj_t BgL_list1831z00_523;
BgL_list1831z00_523 = 
MAKE_YOUNG_PAIR(BgL_arg1830z00_522, BNIL); 
BgL_arg1829z00_521 = BgL_list1831z00_523; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1829z00_521); } 
{ /* Llib/mpd.scm 839 */
 obj_t BgL_arg1832z00_524;
{ /* Llib/mpd.scm 839 */
 obj_t BgL_arg1833z00_525;
BgL_arg1833z00_525 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)35)), BGl_mpdzd2notcommandszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 839 */
 obj_t BgL_list1834z00_526;
BgL_list1834z00_526 = 
MAKE_YOUNG_PAIR(BgL_arg1833z00_525, BNIL); 
BgL_arg1832z00_524 = BgL_list1834z00_526; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1832z00_524); } 
{ /* Llib/mpd.scm 853 */
 obj_t BgL_arg1835z00_527;
{ /* Llib/mpd.scm 853 */
 obj_t BgL_arg1836z00_528;
BgL_arg1836z00_528 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)36)), BGl_mpdzd2addidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 853 */
 obj_t BgL_list1837z00_529;
BgL_list1837z00_529 = 
MAKE_YOUNG_PAIR(BgL_arg1836z00_528, BNIL); 
BgL_arg1835z00_527 = BgL_list1837z00_529; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1835z00_527); } 
{ /* Llib/mpd.scm 858 */
 obj_t BgL_arg1839z00_530;
{ /* Llib/mpd.scm 858 */
 obj_t BgL_arg1840z00_531;
BgL_arg1840z00_531 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)37)), BGl_mpdzd2crossfadezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 858 */
 obj_t BgL_list1841z00_532;
BgL_list1841z00_532 = 
MAKE_YOUNG_PAIR(BgL_arg1840z00_531, BNIL); 
BgL_arg1839z00_530 = BgL_list1841z00_532; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1839z00_530); } 
{ /* Llib/mpd.scm 863 */
 obj_t BgL_arg1842z00_533;
{ /* Llib/mpd.scm 863 */
 obj_t BgL_arg1843z00_534;
BgL_arg1843z00_534 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)38)), BGl_mpdzd2movezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 863 */
 obj_t BgL_list1844z00_535;
BgL_list1844z00_535 = 
MAKE_YOUNG_PAIR(BgL_arg1843z00_534, BNIL); 
BgL_arg1842z00_533 = BgL_list1844z00_535; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1842z00_533); } 
{ /* Llib/mpd.scm 868 */
 obj_t BgL_arg1845z00_536;
{ /* Llib/mpd.scm 868 */
 obj_t BgL_arg1846z00_537;
BgL_arg1846z00_537 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)39)), BGl_mpdzd2moveidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 868 */
 obj_t BgL_list1847z00_538;
BgL_list1847z00_538 = 
MAKE_YOUNG_PAIR(BgL_arg1846z00_537, BNIL); 
BgL_arg1845z00_536 = BgL_list1847z00_538; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1845z00_536); } 
{ /* Llib/mpd.scm 873 */
 obj_t BgL_arg1848z00_539;
{ /* Llib/mpd.scm 873 */
 obj_t BgL_arg1849z00_540;
BgL_arg1849z00_540 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)40)), BGl_mpdzd2passwordzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 873 */
 obj_t BgL_list1850z00_541;
BgL_list1850z00_541 = 
MAKE_YOUNG_PAIR(BgL_arg1849z00_540, BNIL); 
BgL_arg1848z00_539 = BgL_list1850z00_541; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1848z00_539); } 
{ /* Llib/mpd.scm 878 */
 obj_t BgL_arg1851z00_542;
{ /* Llib/mpd.scm 878 */
 obj_t BgL_arg1852z00_543;
BgL_arg1852z00_543 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)41)), BGl_mpdzd2randomzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 878 */
 obj_t BgL_list1853z00_544;
BgL_list1853z00_544 = 
MAKE_YOUNG_PAIR(BgL_arg1852z00_543, BNIL); 
BgL_arg1851z00_542 = BgL_list1853z00_544; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1851z00_542); } 
{ /* Llib/mpd.scm 883 */
 obj_t BgL_arg1854z00_545;
{ /* Llib/mpd.scm 883 */
 obj_t BgL_arg1855z00_546;
BgL_arg1855z00_546 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)42)), BGl_mpdzd2repeatzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 883 */
 obj_t BgL_list1856z00_547;
BgL_list1856z00_547 = 
MAKE_YOUNG_PAIR(BgL_arg1855z00_546, BNIL); 
BgL_arg1854z00_545 = BgL_list1856z00_547; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1854z00_545); } 
{ /* Llib/mpd.scm 888 */
 obj_t BgL_arg1857z00_548;
{ /* Llib/mpd.scm 888 */
 obj_t BgL_arg1858z00_549;
BgL_arg1858z00_549 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)43)), BGl_mpdzd2rmzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 888 */
 obj_t BgL_list1859z00_550;
BgL_list1859z00_550 = 
MAKE_YOUNG_PAIR(BgL_arg1858z00_549, BNIL); 
BgL_arg1857z00_548 = BgL_list1859z00_550; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1857z00_548); } 
{ /* Llib/mpd.scm 893 */
 obj_t BgL_arg1860z00_551;
{ /* Llib/mpd.scm 893 */
 obj_t BgL_arg1861z00_552;
BgL_arg1861z00_552 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)44)), BGl_mpdzd2savezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 893 */
 obj_t BgL_list1862z00_553;
BgL_list1862z00_553 = 
MAKE_YOUNG_PAIR(BgL_arg1861z00_552, BNIL); 
BgL_arg1860z00_551 = BgL_list1862z00_553; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1860z00_551); } 
{ /* Llib/mpd.scm 898 */
 obj_t BgL_arg1863z00_554;
{ /* Llib/mpd.scm 898 */
 obj_t BgL_arg1864z00_555;
BgL_arg1864z00_555 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)45)), BGl_mpdzd2shufflezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 898 */
 obj_t BgL_list1865z00_556;
BgL_list1865z00_556 = 
MAKE_YOUNG_PAIR(BgL_arg1864z00_555, BNIL); 
BgL_arg1863z00_554 = BgL_list1865z00_556; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1863z00_554); } 
{ /* Llib/mpd.scm 903 */
 obj_t BgL_arg1866z00_557;
{ /* Llib/mpd.scm 903 */
 obj_t BgL_arg1867z00_558;
BgL_arg1867z00_558 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)46)), BGl_mpdzd2swapzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 903 */
 obj_t BgL_list1868z00_559;
BgL_list1868z00_559 = 
MAKE_YOUNG_PAIR(BgL_arg1867z00_558, BNIL); 
BgL_arg1866z00_557 = BgL_list1868z00_559; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1866z00_557); } 
{ /* Llib/mpd.scm 908 */
 obj_t BgL_arg1869z00_560;
{ /* Llib/mpd.scm 908 */
 obj_t BgL_arg1870z00_561;
BgL_arg1870z00_561 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)47)), BGl_mpdzd2swapidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 908 */
 obj_t BgL_list1871z00_562;
BgL_list1871z00_562 = 
MAKE_YOUNG_PAIR(BgL_arg1870z00_561, BNIL); 
BgL_arg1869z00_560 = BgL_list1871z00_562; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1869z00_560); } 
{ /* Llib/mpd.scm 913 */
 obj_t BgL_arg1872z00_563;
{ /* Llib/mpd.scm 913 */
 obj_t BgL_arg1873z00_564;
BgL_arg1873z00_564 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)48)), BGl_mpdzd2updatezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 913 */
 obj_t BgL_list1874z00_565;
BgL_list1874z00_565 = 
MAKE_YOUNG_PAIR(BgL_arg1873z00_564, BNIL); 
BgL_arg1872z00_563 = BgL_list1874z00_565; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1872z00_563); } 
{ /* Llib/mpd.scm 918 */
 obj_t BgL_arg1875z00_566;
{ /* Llib/mpd.scm 918 */
 obj_t BgL_arg1876z00_567;
BgL_arg1876z00_567 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)49)), BGl_mpdzd2outputszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 918 */
 obj_t BgL_list1877z00_568;
BgL_list1877z00_568 = 
MAKE_YOUNG_PAIR(BgL_arg1876z00_567, BNIL); 
BgL_arg1875z00_566 = BgL_list1877z00_568; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1875z00_566); } 
return BUNSPEC;} 

}



/* get-line-command */
obj_t BGl_getzd2linezd2commandz00zz__multimediazd2mpdzd2(obj_t BgL_linez00_6)
{
{ /* Llib/mpd.scm 161 */
{ /* Llib/mpd.scm 162 */
 obj_t BgL_iz00_579;
BgL_iz00_579 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_6, 
BCHAR(((unsigned char)' ')), 
BINT(((long)0))); 
if(
CBOOL(BgL_iz00_579))
{ /* Llib/mpd.scm 164 */
 obj_t BgL_arg1882z00_580;
{ /* Llib/mpd.scm 164 */
 long BgL_endz00_2402;
BgL_endz00_2402 = 
(long)CINT(BgL_iz00_579); 
BgL_arg1882z00_580 = 
c_substring(
((obj_t)BgL_linez00_6), ((long)0), BgL_endz00_2402); } 
return 
bstring_to_symbol(BgL_arg1882z00_580);}  else 
{ /* Llib/mpd.scm 163 */
return 
bstring_to_symbol(
((obj_t)BgL_linez00_6));} } } 

}



/* get-line-arg-string-nth */
obj_t BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(obj_t BgL_linez00_7, long BgL_numz00_8)
{
{ /* Llib/mpd.scm 170 */
{ 
 obj_t BgL_iz00_594; long BgL_lenz00_595;
{ /* Llib/mpd.scm 182 */
 obj_t BgL_i0z00_582; long BgL_lenz00_583;
{ /* Llib/mpd.scm 155 */
 obj_t BgL_jz00_2426;
BgL_jz00_2426 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), 
BINT(((long)0))); 
if(
CBOOL(BgL_jz00_2426))
{ /* Llib/mpd.scm 156 */
 obj_t BgL__ortest_1078z00_2427;
BgL__ortest_1078z00_2427 = 
BGl_stringzd2skipzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), BgL_jz00_2426); 
if(
CBOOL(BgL__ortest_1078z00_2427))
{ /* Llib/mpd.scm 156 */
BgL_i0z00_582 = BgL__ortest_1078z00_2427; }  else 
{ /* Llib/mpd.scm 156 */
BgL_i0z00_582 = BgL_jz00_2426; } }  else 
{ /* Llib/mpd.scm 156 */
BgL_i0z00_582 = BFALSE; } } 
BgL_lenz00_583 = 
STRING_LENGTH(
((obj_t)BgL_linez00_7)); 
if(
CBOOL(BgL_i0z00_582))
{ /* Llib/mpd.scm 185 */
 long BgL_g1084z00_584;
BgL_g1084z00_584 = 
(BgL_numz00_8-((long)1)); 
{ 
 long BgL_nz00_586; obj_t BgL_iz00_587;
BgL_nz00_586 = BgL_g1084z00_584; 
BgL_iz00_587 = BgL_i0z00_582; 
BgL_zc3z04anonymousza31883ze3z87_588:
if(
CBOOL(BgL_iz00_587))
{ /* Llib/mpd.scm 188 */
if(
(BgL_nz00_586==((long)0)))
{ /* Llib/mpd.scm 190 */
if(
CBOOL(BgL_iz00_587))
{ /* Llib/mpd.scm 191 */
BgL_iz00_594 = BgL_iz00_587; 
BgL_lenz00_595 = BgL_lenz00_583; 
if(
(
(long)CINT(BgL_iz00_594)<BgL_lenz00_595))
{ /* Llib/mpd.scm 172 */
if(
(((unsigned char)'"')==
STRING_REF(
((obj_t)BgL_linez00_7), 
(long)CINT(BgL_iz00_594))))
{ /* Llib/mpd.scm 174 */
 obj_t BgL_jz00_600;
{ /* Llib/mpd.scm 174 */
 long BgL_arg1894z00_603;
BgL_arg1894z00_603 = 
(
(long)CINT(BgL_iz00_594)+((long)1)); 
BgL_jz00_600 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)'"')), 
BINT(BgL_arg1894z00_603)); } 
if(
CBOOL(BgL_jz00_600))
{ /* Llib/mpd.scm 176 */
 long BgL_arg1892z00_601;
BgL_arg1892z00_601 = 
(
(long)CINT(BgL_iz00_594)+((long)1)); 
{ /* Llib/mpd.scm 176 */
 long BgL_endz00_2415;
BgL_endz00_2415 = 
(long)CINT(BgL_jz00_600); 
return 
c_substring(
((obj_t)BgL_linez00_7), BgL_arg1892z00_601, BgL_endz00_2415);} }  else 
{ /* Llib/mpd.scm 177 */
 long BgL_arg1893z00_602;
BgL_arg1893z00_602 = 
(
(long)CINT(BgL_iz00_594)+((long)1)); 
return 
c_substring(
((obj_t)BgL_linez00_7), BgL_arg1893z00_602, BgL_lenz00_595);} }  else 
{ /* Llib/mpd.scm 178 */
 obj_t BgL_jz00_604;
BgL_jz00_604 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), BgL_iz00_594); 
if(
CBOOL(BgL_jz00_604))
{ /* Llib/mpd.scm 180 */
 long BgL_startz00_2421; long BgL_endz00_2422;
BgL_startz00_2421 = 
(long)CINT(BgL_iz00_594); 
BgL_endz00_2422 = 
(long)CINT(BgL_jz00_604); 
return 
c_substring(
((obj_t)BgL_linez00_7), BgL_startz00_2421, BgL_endz00_2422);}  else 
{ /* Llib/mpd.scm 181 */
 long BgL_startz00_2424;
BgL_startz00_2424 = 
(long)CINT(BgL_iz00_594); 
return 
c_substring(
((obj_t)BgL_linez00_7), BgL_startz00_2424, BgL_lenz00_595);} } }  else 
{ /* Llib/mpd.scm 172 */
return BFALSE;} }  else 
{ /* Llib/mpd.scm 191 */
return BFALSE;} }  else 
{ /* Llib/mpd.scm 190 */
if(
(
(long)CINT(BgL_iz00_587)<BgL_lenz00_583))
{ /* Llib/mpd.scm 193 */
 long BgL_arg1886z00_591; obj_t BgL_arg1887z00_592;
BgL_arg1886z00_591 = 
(BgL_nz00_586-((long)1)); 
{ /* Llib/mpd.scm 155 */
 obj_t BgL_jz00_2434;
BgL_jz00_2434 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), BgL_iz00_587); 
if(
CBOOL(BgL_jz00_2434))
{ /* Llib/mpd.scm 156 */
 obj_t BgL__ortest_1078z00_2435;
BgL__ortest_1078z00_2435 = 
BGl_stringzd2skipzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), BgL_jz00_2434); 
if(
CBOOL(BgL__ortest_1078z00_2435))
{ /* Llib/mpd.scm 156 */
BgL_arg1887z00_592 = BgL__ortest_1078z00_2435; }  else 
{ /* Llib/mpd.scm 156 */
BgL_arg1887z00_592 = BgL_jz00_2434; } }  else 
{ /* Llib/mpd.scm 156 */
BgL_arg1887z00_592 = BFALSE; } } 
{ 
 obj_t BgL_iz00_6810; long BgL_nz00_6809;
BgL_nz00_6809 = BgL_arg1886z00_591; 
BgL_iz00_6810 = BgL_arg1887z00_592; 
BgL_iz00_587 = BgL_iz00_6810; 
BgL_nz00_586 = BgL_nz00_6809; 
goto BgL_zc3z04anonymousza31883ze3z87_588;} }  else 
{ /* Llib/mpd.scm 192 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 188 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 184 */
return BFALSE;} } } } 

}



/* get-line-arg-symbol-nth */
obj_t BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(obj_t BgL_linez00_9, long BgL_numz00_10)
{
{ /* Llib/mpd.scm 198 */
{ 
 obj_t BgL_iz00_620; long BgL_lenz00_621;
{ /* Llib/mpd.scm 205 */
 obj_t BgL_i0z00_608; long BgL_lenz00_609;
{ /* Llib/mpd.scm 155 */
 obj_t BgL_jz00_2446;
BgL_jz00_2446 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), 
BINT(((long)0))); 
if(
CBOOL(BgL_jz00_2446))
{ /* Llib/mpd.scm 156 */
 obj_t BgL__ortest_1078z00_2447;
BgL__ortest_1078z00_2447 = 
BGl_stringzd2skipzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), BgL_jz00_2446); 
if(
CBOOL(BgL__ortest_1078z00_2447))
{ /* Llib/mpd.scm 156 */
BgL_i0z00_608 = BgL__ortest_1078z00_2447; }  else 
{ /* Llib/mpd.scm 156 */
BgL_i0z00_608 = BgL_jz00_2446; } }  else 
{ /* Llib/mpd.scm 156 */
BgL_i0z00_608 = BFALSE; } } 
BgL_lenz00_609 = 
STRING_LENGTH(
((obj_t)BgL_linez00_9)); 
if(
CBOOL(BgL_i0z00_608))
{ /* Llib/mpd.scm 208 */
 long BgL_g1085z00_610;
BgL_g1085z00_610 = 
(BgL_numz00_10-((long)1)); 
{ 
 long BgL_nz00_612; obj_t BgL_iz00_613;
BgL_nz00_612 = BgL_g1085z00_610; 
BgL_iz00_613 = BgL_i0z00_608; 
BgL_zc3z04anonymousza31896ze3z87_614:
if(
CBOOL(BgL_iz00_613))
{ /* Llib/mpd.scm 211 */
if(
(BgL_nz00_612==((long)0)))
{ /* Llib/mpd.scm 213 */
BgL_iz00_620 = BgL_iz00_613; 
BgL_lenz00_621 = BgL_lenz00_609; 
if(
(
(long)CINT(BgL_iz00_620)<BgL_lenz00_621))
{ /* Llib/mpd.scm 201 */
 obj_t BgL_jz00_624;
BgL_jz00_624 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), BgL_iz00_620); 
if(
CBOOL(BgL_jz00_624))
{ /* Llib/mpd.scm 203 */
 obj_t BgL_arg1903z00_625;
{ /* Llib/mpd.scm 203 */
 obj_t BgL_arg1904z00_626;
{ /* Llib/mpd.scm 203 */
 long BgL_startz00_2439; long BgL_endz00_2440;
BgL_startz00_2439 = 
(long)CINT(BgL_iz00_620); 
BgL_endz00_2440 = 
(long)CINT(BgL_jz00_624); 
BgL_arg1904z00_626 = 
c_substring(
((obj_t)BgL_linez00_9), BgL_startz00_2439, BgL_endz00_2440); } 
BgL_arg1903z00_625 = 
BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(BgL_arg1904z00_626); } 
return 
bstring_to_symbol(BgL_arg1903z00_625);}  else 
{ /* Llib/mpd.scm 204 */
 obj_t BgL_arg1905z00_627;
{ /* Llib/mpd.scm 204 */
 obj_t BgL_arg1906z00_628;
{ /* Llib/mpd.scm 204 */
 long BgL_startz00_2443;
BgL_startz00_2443 = 
(long)CINT(BgL_iz00_620); 
BgL_arg1906z00_628 = 
c_substring(
((obj_t)BgL_linez00_9), BgL_startz00_2443, BgL_lenz00_621); } 
BgL_arg1905z00_627 = 
BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(BgL_arg1906z00_628); } 
return 
bstring_to_symbol(BgL_arg1905z00_627);} }  else 
{ /* Llib/mpd.scm 200 */
return BFALSE;} }  else 
{ /* Llib/mpd.scm 213 */
if(
(
(long)CINT(BgL_iz00_613)<BgL_lenz00_609))
{ /* Llib/mpd.scm 216 */
 long BgL_arg1899z00_617; obj_t BgL_arg1900z00_618;
BgL_arg1899z00_617 = 
(BgL_nz00_612-((long)1)); 
{ /* Llib/mpd.scm 155 */
 obj_t BgL_jz00_2454;
BgL_jz00_2454 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), BgL_iz00_613); 
if(
CBOOL(BgL_jz00_2454))
{ /* Llib/mpd.scm 156 */
 obj_t BgL__ortest_1078z00_2455;
BgL__ortest_1078z00_2455 = 
BGl_stringzd2skipzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), BgL_jz00_2454); 
if(
CBOOL(BgL__ortest_1078z00_2455))
{ /* Llib/mpd.scm 156 */
BgL_arg1900z00_618 = BgL__ortest_1078z00_2455; }  else 
{ /* Llib/mpd.scm 156 */
BgL_arg1900z00_618 = BgL_jz00_2454; } }  else 
{ /* Llib/mpd.scm 156 */
BgL_arg1900z00_618 = BFALSE; } } 
{ 
 obj_t BgL_iz00_6860; long BgL_nz00_6859;
BgL_nz00_6859 = BgL_arg1899z00_617; 
BgL_iz00_6860 = BgL_arg1900z00_618; 
BgL_iz00_613 = BgL_iz00_6860; 
BgL_nz00_612 = BgL_nz00_6859; 
goto BgL_zc3z04anonymousza31896ze3z87_614;} }  else 
{ /* Llib/mpd.scm 215 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 211 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 207 */
return BFALSE;} } } } 

}



/* _mpd */
obj_t BGl__mpdz00zz__multimediazd2mpdzd2(obj_t BgL_env1337z00_19, obj_t BgL_opt1336z00_18)
{
{ /* Llib/mpd.scm 230 */
{ 
 obj_t BgL_k1z00_633; long BgL_iz00_634;
{ /* Llib/mpd.scm 230 */
 obj_t BgL_g1343z00_636; obj_t BgL_g1344z00_637; obj_t BgL_g1345z00_638; obj_t BgL_g1346z00_639;
BgL_g1343z00_636 = 
VECTOR_REF(BgL_opt1336z00_18,((long)0)); 
BgL_g1344z00_637 = 
VECTOR_REF(BgL_opt1336z00_18,((long)1)); 
BgL_g1345z00_638 = 
VECTOR_REF(BgL_opt1336z00_18,((long)2)); 
BgL_g1346z00_639 = 
VECTOR_REF(BgL_opt1336z00_18,((long)3)); 
{ /* Llib/mpd.scm 230 */
 obj_t BgL_logz00_640;
BgL_logz00_640 = BFALSE; 
{ /* Llib/mpd.scm 230 */

{ 
 long BgL_iz00_641;
BgL_iz00_641 = ((long)4); 
BgL_check1340z00_642:
if(
(BgL_iz00_641==
VECTOR_LENGTH(BgL_opt1336z00_18)))
{ /* Llib/mpd.scm 230 */BNIL; }  else 
{ /* Llib/mpd.scm 230 */
 bool_t BgL_test3443z00_6868;
{ /* Llib/mpd.scm 230 */
 obj_t BgL_arg1913z00_648;
BgL_arg1913z00_648 = 
VECTOR_REF(BgL_opt1336z00_18,BgL_iz00_641); 
BgL_test3443z00_6868 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1913z00_648, 
CNST_TABLE_REF(((long)51)))); } 
if(BgL_test3443z00_6868)
{ 
 long BgL_iz00_6873;
BgL_iz00_6873 = 
(BgL_iz00_641+((long)2)); 
BgL_iz00_641 = BgL_iz00_6873; 
goto BgL_check1340z00_642;}  else 
{ /* Llib/mpd.scm 230 */
 obj_t BgL_arg1912z00_647;
BgL_arg1912z00_647 = 
VECTOR_REF(BgL_opt1336z00_18,BgL_iz00_641); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)50)), BGl_string2952z00zz__multimediazd2mpdzd2, BgL_arg1912z00_647); } } } 
{ /* Llib/mpd.scm 230 */
 obj_t BgL_index1342z00_649;
BgL_k1z00_633 = 
CNST_TABLE_REF(((long)52)); 
BgL_iz00_634 = ((long)4); 
BgL_search1339z00_635:
if(
(BgL_iz00_634==
VECTOR_LENGTH(BgL_opt1336z00_18)))
{ /* Llib/mpd.scm 230 */
BgL_index1342z00_649 = 
BINT(((long)-1)); }  else 
{ /* Llib/mpd.scm 230 */
if(
(BgL_iz00_634==
(
VECTOR_LENGTH(BgL_opt1336z00_18)-((long)1))))
{ /* Llib/mpd.scm 230 */
BgL_index1342z00_649 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)50)), BGl_string2951z00zz__multimediazd2mpdzd2, 
BINT(
VECTOR_LENGTH(BgL_opt1336z00_18))); }  else 
{ /* Llib/mpd.scm 230 */
 obj_t BgL_vz00_660;
BgL_vz00_660 = 
VECTOR_REF(BgL_opt1336z00_18,BgL_iz00_634); 
if(
(BgL_vz00_660==BgL_k1z00_633))
{ /* Llib/mpd.scm 230 */
BgL_index1342z00_649 = 
BINT(
(BgL_iz00_634+((long)1))); }  else 
{ 
 long BgL_iz00_6895;
BgL_iz00_6895 = 
(BgL_iz00_634+((long)2)); 
BgL_iz00_634 = BgL_iz00_6895; 
goto BgL_search1339z00_635;} } } 
{ /* Llib/mpd.scm 230 */
 bool_t BgL_test3447z00_6898;
{ /* Llib/mpd.scm 230 */
 long BgL_n1z00_2473;
{ /* Llib/mpd.scm 230 */
 obj_t BgL_tmpz00_6899;
if(
INTEGERP(BgL_index1342z00_649))
{ /* Llib/mpd.scm 230 */
BgL_tmpz00_6899 = BgL_index1342z00_649
; }  else 
{ 
 obj_t BgL_auxz00_6902;
BgL_auxz00_6902 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string2954z00zz__multimediazd2mpdzd2, BGl_string2955z00zz__multimediazd2mpdzd2, BgL_index1342z00_649); 
FAILURE(BgL_auxz00_6902,BFALSE,BFALSE);} 
BgL_n1z00_2473 = 
(long)CINT(BgL_tmpz00_6899); } 
BgL_test3447z00_6898 = 
(BgL_n1z00_2473>=((long)0)); } 
if(BgL_test3447z00_6898)
{ 
 long BgL_auxz00_6908;
{ /* Llib/mpd.scm 230 */
 obj_t BgL_tmpz00_6909;
if(
INTEGERP(BgL_index1342z00_649))
{ /* Llib/mpd.scm 230 */
BgL_tmpz00_6909 = BgL_index1342z00_649
; }  else 
{ 
 obj_t BgL_auxz00_6912;
BgL_auxz00_6912 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string2954z00zz__multimediazd2mpdzd2, BGl_string2955z00zz__multimediazd2mpdzd2, BgL_index1342z00_649); 
FAILURE(BgL_auxz00_6912,BFALSE,BFALSE);} 
BgL_auxz00_6908 = 
(long)CINT(BgL_tmpz00_6909); } 
BgL_logz00_640 = 
VECTOR_REF(BgL_opt1336z00_18,BgL_auxz00_6908); }  else 
{ /* Llib/mpd.scm 230 */BFALSE; } } } 
{ /* Llib/mpd.scm 230 */
 obj_t BgL_arg1915z00_651; obj_t BgL_arg1916z00_652; obj_t BgL_arg1917z00_653; obj_t BgL_arg1918z00_654;
BgL_arg1915z00_651 = 
VECTOR_REF(BgL_opt1336z00_18,((long)0)); 
BgL_arg1916z00_652 = 
VECTOR_REF(BgL_opt1336z00_18,((long)1)); 
BgL_arg1917z00_653 = 
VECTOR_REF(BgL_opt1336z00_18,((long)2)); 
BgL_arg1918z00_654 = 
VECTOR_REF(BgL_opt1336z00_18,((long)3)); 
{ /* Llib/mpd.scm 230 */
 obj_t BgL_logz00_655;
BgL_logz00_655 = BgL_logz00_640; 
{ /* Llib/mpd.scm 230 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_6944; obj_t BgL_auxz00_6937; obj_t BgL_auxz00_6930; BgL_musicz00_bglt BgL_auxz00_6922;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1918z00_654, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 230 */
BgL_auxz00_6944 = 
((BgL_mpdzd2databasezd2_bglt)BgL_arg1918z00_654)
; }  else 
{ 
 obj_t BgL_auxz00_6948;
BgL_auxz00_6948 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string2954z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_arg1918z00_654); 
FAILURE(BgL_auxz00_6948,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_arg1917z00_653))
{ /* Llib/mpd.scm 230 */
BgL_auxz00_6937 = BgL_arg1917z00_653
; }  else 
{ 
 obj_t BgL_auxz00_6940;
BgL_auxz00_6940 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string2954z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_arg1917z00_653); 
FAILURE(BgL_auxz00_6940,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg1916z00_652))
{ /* Llib/mpd.scm 230 */
BgL_auxz00_6930 = BgL_arg1916z00_652
; }  else 
{ 
 obj_t BgL_auxz00_6933;
BgL_auxz00_6933 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string2954z00zz__multimediazd2mpdzd2, BGl_string2957z00zz__multimediazd2mpdzd2, BgL_arg1916z00_652); 
FAILURE(BgL_auxz00_6933,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1915z00_651, BGl_musicz00zz__multimediazd2musiczd2))
{ /* Llib/mpd.scm 230 */
BgL_auxz00_6922 = 
((BgL_musicz00_bglt)BgL_arg1915z00_651)
; }  else 
{ 
 obj_t BgL_auxz00_6926;
BgL_auxz00_6926 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string2954z00zz__multimediazd2mpdzd2, BGl_string2956z00zz__multimediazd2mpdzd2, BgL_arg1915z00_651); 
FAILURE(BgL_auxz00_6926,BFALSE,BFALSE);} 
return 
BGl_mpdz00zz__multimediazd2mpdzd2(BgL_auxz00_6922, BgL_auxz00_6930, BgL_auxz00_6937, BgL_auxz00_6944, BgL_logz00_655);} } } } } } } } 

}



/* mpd */
BGL_EXPORTED_DEF obj_t BGl_mpdz00zz__multimediazd2mpdzd2(BgL_musicz00_bglt BgL_backendz00_13, obj_t BgL_ipz00_14, obj_t BgL_opz00_15, BgL_mpdzd2databasezd2_bglt BgL_dbz00_16, obj_t BgL_logz00_17)
{
{ /* Llib/mpd.scm 230 */
bgl_display_obj(BGl_string2960z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_char(((unsigned char)10), BgL_opz00_15); 
bgl_flush_output_port(BgL_opz00_15); 
{ 

BgL_zc3z04anonymousza31926ze3z87_665:
if(
BGl_musiczd2closedzf3z21zz__multimediazd2musiczd2(BgL_backendz00_13))
{ /* Llib/mpd.scm 237 */
return BFALSE;}  else 
{ /* Llib/mpd.scm 238 */
 obj_t BgL_linez00_667;
BgL_linez00_667 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_ipz00_14); 
BGl_cmdnz00zz__multimediazd2mpdzd2 = 
(((long)1)+BGl_cmdnz00zz__multimediazd2mpdzd2); 
if(
CBOOL(BgL_logz00_17))
{ /* Llib/mpd.scm 240 */
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_logz00_17))(BgL_logz00_17, BgL_linez00_667, BEOA); }  else 
{ /* Llib/mpd.scm 240 */BFALSE; } 
if(
EOF_OBJECTP(BgL_linez00_667))
{ /* Llib/mpd.scm 241 */
return BFALSE;}  else 
{ /* Llib/mpd.scm 242 */
 obj_t BgL_vz00_669;
BgL_vz00_669 = 
BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_dbz00_16, BgL_backendz00_13, BgL_ipz00_14, BgL_opz00_15, BgL_linez00_667); 
if(
(BgL_vz00_669==
CNST_TABLE_REF(((long)53))))
{ /* Llib/mpd.scm 243 */
bgl_display_string(BGl_string2961z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_flush_output_port(BgL_opz00_15); 
bgl_flush_output_port(BgL_opz00_15); 
goto BgL_zc3z04anonymousza31926ze3z87_665;}  else 
{ /* Llib/mpd.scm 243 */
 bool_t BgL_test3458z00_6975;
{ /* Llib/mpd.scm 243 */
 bool_t BgL__ortest_1087z00_677;
BgL__ortest_1087z00_677 = 
(BgL_vz00_669==
CNST_TABLE_REF(((long)24))); 
if(BgL__ortest_1087z00_677)
{ /* Llib/mpd.scm 243 */
BgL_test3458z00_6975 = BgL__ortest_1087z00_677
; }  else 
{ /* Llib/mpd.scm 243 */
BgL_test3458z00_6975 = 
(BgL_vz00_669==
CNST_TABLE_REF(((long)31)))
; } } 
if(BgL_test3458z00_6975)
{ /* Llib/mpd.scm 243 */
return 
bgl_flush_output_port(BgL_opz00_15);}  else 
{ /* Llib/mpd.scm 243 */
if(
(BgL_vz00_669==
CNST_TABLE_REF(((long)54))))
{ /* Llib/mpd.scm 243 */
goto BgL_zc3z04anonymousza31926ze3z87_665;}  else 
{ /* Llib/mpd.scm 243 */
bgl_display_string(BGl_string2962z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_obj(BGl_string2963z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_string(BGl_string2964z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_obj(BGl_string2950z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_string(BGl_string2965z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_obj(BgL_vz00_669, BgL_opz00_15); 
bgl_display_string(BGl_string2966z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_flush_output_port(BgL_opz00_15); 
CNST_TABLE_REF(((long)54)); 
goto BgL_zc3z04anonymousza31926ze3z87_665;} } } } } } } 

}



/* execute-command */
obj_t BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_20, BgL_musicz00_bglt BgL_backendz00_21, obj_t BgL_ipz00_22, obj_t BgL_opz00_23, obj_t BgL_linez00_24)
{
{ /* Llib/mpd.scm 259 */
{ /* Llib/mpd.scm 260 */
 obj_t BgL_cmdz00_679;
BgL_cmdz00_679 = 
BGl_getzd2linezd2commandz00zz__multimediazd2mpdzd2(BgL_linez00_24); 
{ /* Llib/mpd.scm 262 */
 bool_t BgL_test3461z00_6995;
if(
(BgL_cmdz00_679==
CNST_TABLE_REF(((long)55))))
{ /* Llib/mpd.scm 262 */
BgL_test3461z00_6995 = ((bool_t)1)
; }  else 
{ /* Llib/mpd.scm 262 */
BgL_test3461z00_6995 = 
(BgL_cmdz00_679==
CNST_TABLE_REF(((long)56)))
; } 
if(BgL_test3461z00_6995)
{ /* Llib/mpd.scm 262 */
return 
BGl_mpdzd2listzd2beginz00zz__multimediazd2mpdzd2(BgL_dbz00_20, BgL_backendz00_21, BgL_ipz00_22, BgL_opz00_23, BgL_cmdz00_679);}  else 
{ /* Llib/mpd.scm 265 */
 obj_t BgL_g1088z00_681;
BgL_g1088z00_681 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_cmdz00_679, BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2); 
if(
CBOOL(BgL_g1088z00_681))
{ /* Llib/mpd.scm 267 */
 obj_t BgL_fun1933z00_684;
BgL_fun1933z00_684 = 
CDR(
((obj_t)BgL_g1088z00_681)); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1933z00_684))(BgL_fun1933z00_684, 
((obj_t)BgL_dbz00_20), 
((obj_t)BgL_backendz00_21), BgL_linez00_24, BgL_ipz00_22, BgL_opz00_23, BEOA);}  else 
{ /* Llib/mpd.scm 268 */
 obj_t BgL_g1091z00_685;
BgL_g1091z00_685 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_cmdz00_679, BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2); 
if(
CBOOL(BgL_g1091z00_685))
{ /* Llib/mpd.scm 270 */
 obj_t BgL_fun1934z00_688;
BgL_fun1934z00_688 = 
CDR(
((obj_t)BgL_g1091z00_685)); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1934z00_688))(BgL_fun1934z00_688, 
((obj_t)BgL_dbz00_20), 
((obj_t)BgL_backendz00_21), BgL_linez00_24, BgL_ipz00_22, BgL_opz00_23, BEOA);}  else 
{ /* Llib/mpd.scm 268 */
if(
(
STRING_LENGTH(BgL_linez00_24)>((long)0)))
{ /* Llib/mpd.scm 273 */
 obj_t BgL_list1937z00_691;
BgL_list1937z00_691 = 
MAKE_YOUNG_PAIR(BgL_linez00_24, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2967z00zz__multimediazd2mpdzd2, BgL_list1937z00_691);}  else 
{ /* Llib/mpd.scm 272 */
return 
CNST_TABLE_REF(((long)54));} } } } } } } 

}



/* mpd-list-begin */
obj_t BGl_mpdzd2listzd2beginz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_25, BgL_musicz00_bglt BgL_backendz00_26, obj_t BgL_ipz00_27, obj_t BgL_opz00_28, obj_t BgL_cmdz00_29)
{
{ /* Llib/mpd.scm 279 */
{ 
 obj_t BgL_linesz00_695;
BgL_linesz00_695 = BNIL; 
BgL_zc3z04anonymousza31939ze3z87_696:
{ /* Llib/mpd.scm 281 */
 obj_t BgL_linez00_697;
BgL_linez00_697 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_ipz00_27); 
if(
EOF_OBJECTP(BgL_linez00_697))
{ /* Llib/mpd.scm 282 */
return BFALSE;}  else 
{ /* Llib/mpd.scm 283 */
 obj_t BgL_cz00_699;
BgL_cz00_699 = 
BGl_getzd2linezd2commandz00zz__multimediazd2mpdzd2(BgL_linez00_697); 
if(
(BgL_cz00_699==
CNST_TABLE_REF(((long)57))))
{ /* Llib/mpd.scm 284 */
if(
(BgL_cmdz00_29==
CNST_TABLE_REF(((long)55))))
{ /* Llib/mpd.scm 287 */
 obj_t BgL_g1094z00_700;
BgL_g1094z00_700 = 
bgl_reverse_bang(BgL_linesz00_695); 
{ 
 obj_t BgL_lsz00_702;
BgL_lsz00_702 = BgL_g1094z00_700; 
BgL_zc3z04anonymousza31941ze3z87_703:
if(
NULLP(BgL_lsz00_702))
{ /* Llib/mpd.scm 288 */
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 290 */
 obj_t BgL_lz00_705;
BgL_lz00_705 = 
CAR(
((obj_t)BgL_lsz00_702)); 
{ /* Llib/mpd.scm 290 */
 obj_t BgL_vz00_706;
BgL_vz00_706 = 
BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_dbz00_25, BgL_backendz00_26, BgL_ipz00_27, BgL_opz00_28, BgL_lz00_705); 
{ /* Llib/mpd.scm 291 */

if(
(BgL_vz00_706==
CNST_TABLE_REF(((long)53))))
{ /* Llib/mpd.scm 293 */
 obj_t BgL_arg1943z00_707;
BgL_arg1943z00_707 = 
CDR(
((obj_t)BgL_lsz00_702)); 
{ 
 obj_t BgL_lsz00_7060;
BgL_lsz00_7060 = BgL_arg1943z00_707; 
BgL_lsz00_702 = BgL_lsz00_7060; 
goto BgL_zc3z04anonymousza31941ze3z87_703;} }  else 
{ /* Llib/mpd.scm 292 */
return BgL_vz00_706;} } } } } }  else 
{ /* Llib/mpd.scm 286 */
if(
(BgL_cmdz00_29==
CNST_TABLE_REF(((long)56))))
{ /* Llib/mpd.scm 296 */
 obj_t BgL_g1095z00_709;
BgL_g1095z00_709 = 
bgl_reverse_bang(BgL_linesz00_695); 
{ 
 obj_t BgL_lsz00_711;
BgL_lsz00_711 = BgL_g1095z00_709; 
BgL_zc3z04anonymousza31944ze3z87_712:
if(
NULLP(BgL_lsz00_711))
{ /* Llib/mpd.scm 297 */
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 299 */
 obj_t BgL_lz00_714;
BgL_lz00_714 = 
CAR(
((obj_t)BgL_lsz00_711)); 
{ /* Llib/mpd.scm 299 */
 obj_t BgL_vz00_715;
BgL_vz00_715 = 
BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_dbz00_25, BgL_backendz00_26, BgL_ipz00_27, BgL_opz00_28, BgL_lz00_714); 
{ /* Llib/mpd.scm 300 */

if(
(BgL_vz00_715==
CNST_TABLE_REF(((long)53))))
{ /* Llib/mpd.scm 301 */
bgl_display_string(BGl_string2968z00zz__multimediazd2mpdzd2, BgL_opz00_28); 
{ /* Llib/mpd.scm 304 */
 obj_t BgL_arg1946z00_716;
BgL_arg1946z00_716 = 
CDR(
((obj_t)BgL_lsz00_711)); 
{ 
 obj_t BgL_lsz00_7077;
BgL_lsz00_7077 = BgL_arg1946z00_716; 
BgL_lsz00_711 = BgL_lsz00_7077; 
goto BgL_zc3z04anonymousza31944ze3z87_712;} } }  else 
{ /* Llib/mpd.scm 301 */
return BgL_vz00_715;} } } } } }  else 
{ /* Llib/mpd.scm 295 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 306 */
 obj_t BgL_arg1947z00_718;
BgL_arg1947z00_718 = 
MAKE_YOUNG_PAIR(BgL_linez00_697, BgL_linesz00_695); 
{ 
 obj_t BgL_linesz00_7079;
BgL_linesz00_7079 = BgL_arg1947z00_718; 
BgL_linesz00_695 = BgL_linesz00_7079; 
goto BgL_zc3z04anonymousza31939ze3z87_696;} } } } } } 

}



/* search1350~0 */
obj_t BGl_search1350ze70ze7zz__multimediazd2mpdzd2(obj_t BgL_l1349z00_5009, obj_t BgL_opt1347z00_5008, obj_t BgL_k1z00_721, obj_t BgL_iz00_722)
{
{ /* Llib/mpd.scm 324 */
BGl_search1350ze70ze7zz__multimediazd2mpdzd2:
if(
(
(long)CINT(BgL_iz00_722)==
(long)CINT(BgL_l1349z00_5009)))
{ /* Llib/mpd.scm 324 */
return 
BINT(((long)-1));}  else 
{ /* Llib/mpd.scm 324 */
if(
(
(long)CINT(BgL_iz00_722)==
(long)CINT(
SUBFX(BgL_l1349z00_5009, 
BINT(((long)1))))))
{ /* Llib/mpd.scm 324 */
 obj_t BgL_arg1961z00_747;
BgL_arg1961z00_747 = 
BINT(
VECTOR_LENGTH(BgL_opt1347z00_5008)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)59)), BGl_string2969z00zz__multimediazd2mpdzd2, BgL_arg1961z00_747);}  else 
{ /* Llib/mpd.scm 324 */
 obj_t BgL_vz00_748;
BgL_vz00_748 = 
VECTOR_REF(BgL_opt1347z00_5008,
(long)CINT(BgL_iz00_722)); 
if(
(BgL_vz00_748==BgL_k1z00_721))
{ /* Llib/mpd.scm 324 */
return 
ADDFX(BgL_iz00_722, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_7101;
BgL_iz00_7101 = 
ADDFX(BgL_iz00_722, 
BINT(((long)2))); 
BgL_iz00_722 = BgL_iz00_7101; 
goto BGl_search1350ze70ze7zz__multimediazd2mpdzd2;} } } } 

}



/* &mpd-ping */
obj_t BGl_z62mpdzd2pingzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4322, obj_t BgL_dbz00_4323, obj_t BgL_backendz00_4324, obj_t BgL_linez00_4325, obj_t BgL_ipz00_4326, obj_t BgL_opz00_4327)
{
{ /* Llib/mpd.scm 338 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-urlhandlers */
obj_t BGl_z62mpdzd2urlhandlerszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4328, obj_t BgL_dbz00_4329, obj_t BgL_backendz00_4330, obj_t BgL_linez00_4331, obj_t BgL_ipz00_4332, obj_t BgL_opz00_4333)
{
{ /* Llib/mpd.scm 344 */
{ /* Llib/mpd.scm 345 */
 bool_t BgL_tmpz00_7105;
{ /* Llib/mpd.scm 345 */
 obj_t BgL_g1188z00_5156;
BgL_g1188z00_5156 = 
CNST_TABLE_REF(((long)62)); 
{ 
 obj_t BgL_l1186z00_5158;
BgL_l1186z00_5158 = BgL_g1188z00_5156; 
BgL_zc3z04anonymousza31964ze3z87_5157:
if(
PAIRP(BgL_l1186z00_5158))
{ /* Llib/mpd.scm 349 */
{ /* Llib/mpd.scm 346 */
 obj_t BgL_handlerz00_5159;
BgL_handlerz00_5159 = 
CAR(BgL_l1186z00_5158); 
{ /* Llib/mpd.scm 346 */
 obj_t BgL_tmpz00_7110;
BgL_tmpz00_7110 = 
((obj_t)BgL_opz00_4333); 
bgl_display_string(BGl_string2970z00zz__multimediazd2mpdzd2, BgL_tmpz00_7110); } 
bgl_display_obj(BgL_handlerz00_5159, BgL_opz00_4333); 
{ /* Llib/mpd.scm 348 */
 obj_t BgL_tmpz00_7114;
BgL_tmpz00_7114 = 
((obj_t)BgL_opz00_4333); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7114); } } 
{ 
 obj_t BgL_l1186z00_7117;
BgL_l1186z00_7117 = 
CDR(BgL_l1186z00_5158); 
BgL_l1186z00_5158 = BgL_l1186z00_7117; 
goto BgL_zc3z04anonymousza31964ze3z87_5157;} }  else 
{ /* Llib/mpd.scm 349 */
BgL_tmpz00_7105 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_7105);} } 

}



/* &mpd-tagtypes */
obj_t BGl_z62mpdzd2tagtypeszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4334, obj_t BgL_dbz00_4335, obj_t BgL_backendz00_4336, obj_t BgL_linez00_4337, obj_t BgL_ipz00_4338, obj_t BgL_opz00_4339)
{
{ /* Llib/mpd.scm 354 */
{ /* Llib/mpd.scm 355 */
 bool_t BgL_tmpz00_7120;
{ /* Llib/mpd.scm 355 */
 obj_t BgL_g1191z00_5160;
BgL_g1191z00_5160 = 
CNST_TABLE_REF(((long)63)); 
{ 
 obj_t BgL_l1189z00_5162;
BgL_l1189z00_5162 = BgL_g1191z00_5160; 
BgL_zc3z04anonymousza31967ze3z87_5161:
if(
PAIRP(BgL_l1189z00_5162))
{ /* Llib/mpd.scm 359 */
{ /* Llib/mpd.scm 356 */
 obj_t BgL_tagz00_5163;
BgL_tagz00_5163 = 
CAR(BgL_l1189z00_5162); 
{ /* Llib/mpd.scm 356 */
 obj_t BgL_tmpz00_7125;
BgL_tmpz00_7125 = 
((obj_t)BgL_opz00_4339); 
bgl_display_string(BGl_string2971z00zz__multimediazd2mpdzd2, BgL_tmpz00_7125); } 
bgl_display_obj(BgL_tagz00_5163, BgL_opz00_4339); 
{ /* Llib/mpd.scm 358 */
 obj_t BgL_tmpz00_7129;
BgL_tmpz00_7129 = 
((obj_t)BgL_opz00_4339); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7129); } } 
{ 
 obj_t BgL_l1189z00_7132;
BgL_l1189z00_7132 = 
CDR(BgL_l1189z00_5162); 
BgL_l1189z00_5162 = BgL_l1189z00_7132; 
goto BgL_zc3z04anonymousza31967ze3z87_5161;} }  else 
{ /* Llib/mpd.scm 359 */
BgL_tmpz00_7120 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_7120);} } 

}



/* &mpd-status */
obj_t BGl_z62mpdzd2statuszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4340, obj_t BgL_dbz00_4341, obj_t BgL_backendz00_4342, obj_t BgL_linez00_4343, obj_t BgL_ipz00_4344, obj_t BgL_opz00_4345)
{
{ /* Llib/mpd.scm 371 */
{ /* Llib/mpd.scm 372 */
 BgL_musicstatusz00_bglt BgL_statusz00_5164;
BgL_statusz00_5164 = 
BGl_musiczd2statuszd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4342)); 
{ /* Llib/mpd.scm 376 */
 obj_t BgL_volz00_5165;
{ /* Llib/mpd.scm 376 */
 bool_t BgL_test3479z00_7137;
{ /* Llib/mpd.scm 376 */
 obj_t BgL_tmpz00_7138;
BgL_tmpz00_7138 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_volumez00); 
BgL_test3479z00_7137 = 
VECTORP(BgL_tmpz00_7138); } 
if(BgL_test3479z00_7137)
{ /* Llib/mpd.scm 376 */
 obj_t BgL_arg1972z00_5166;
BgL_arg1972z00_5166 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_volumez00); 
BgL_volz00_5165 = 
VECTOR_REF(
((obj_t)BgL_arg1972z00_5166),((long)0)); }  else 
{ /* Llib/mpd.scm 376 */
BgL_volz00_5165 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_volumez00); } } 
{ /* Llib/mpd.scm 377 */
 obj_t BgL_tmpz00_7145;
BgL_tmpz00_7145 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2972z00zz__multimediazd2mpdzd2, BgL_tmpz00_7145); } 
bgl_display_obj(BgL_volz00_5165, BgL_opz00_4345); 
{ /* Llib/mpd.scm 377 */
 obj_t BgL_tmpz00_7149;
BgL_tmpz00_7149 = 
((obj_t)BgL_opz00_4345); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7149); } } 
{ /* Llib/mpd.scm 378 */
 obj_t BgL_tmpz00_7152;
BgL_tmpz00_7152 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2973z00zz__multimediazd2mpdzd2, BgL_tmpz00_7152); } 
bgl_display_obj(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_statez00), BgL_opz00_4345); 
{ /* Llib/mpd.scm 378 */
 obj_t BgL_tmpz00_7157;
BgL_tmpz00_7157 = 
((obj_t)BgL_opz00_4345); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7157); } 
{ /* Llib/mpd.scm 379 */
 obj_t BgL_tmpz00_7160;
BgL_tmpz00_7160 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2974z00zz__multimediazd2mpdzd2, BgL_tmpz00_7160); } 
{ /* Llib/mpd.scm 379 */
 int BgL_arg1975z00_5167;
BgL_arg1975z00_5167 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_playlistidz00); 
bgl_display_obj(
BINT(BgL_arg1975z00_5167), BgL_opz00_4345); } 
{ /* Llib/mpd.scm 379 */
 obj_t BgL_tmpz00_7166;
BgL_tmpz00_7166 = 
((obj_t)BgL_opz00_4345); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7166); } 
{ /* Llib/mpd.scm 380 */
 obj_t BgL_tmpz00_7169;
BgL_tmpz00_7169 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2975z00zz__multimediazd2mpdzd2, BgL_tmpz00_7169); } 
{ /* Llib/mpd.scm 380 */
 int BgL_arg1976z00_5168;
BgL_arg1976z00_5168 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_playlistlengthz00); 
bgl_display_obj(
BINT(BgL_arg1976z00_5168), BgL_opz00_4345); } 
{ /* Llib/mpd.scm 380 */
 obj_t BgL_tmpz00_7175;
BgL_tmpz00_7175 = 
((obj_t)BgL_opz00_4345); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7175); } 
if(
(
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_songz00))>=((long)0)))
{ /* Llib/mpd.scm 381 */
{ /* Llib/mpd.scm 382 */
 obj_t BgL_tmpz00_7182;
BgL_tmpz00_7182 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2976z00zz__multimediazd2mpdzd2, BgL_tmpz00_7182); } 
{ /* Llib/mpd.scm 382 */
 int BgL_arg1979z00_5169;
BgL_arg1979z00_5169 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_songz00); 
bgl_display_obj(
BINT(BgL_arg1979z00_5169), BgL_opz00_4345); } 
{ /* Llib/mpd.scm 382 */
 obj_t BgL_tmpz00_7188;
BgL_tmpz00_7188 = 
((obj_t)BgL_opz00_4345); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7188); } 
{ /* Llib/mpd.scm 383 */
 obj_t BgL_tmpz00_7191;
BgL_tmpz00_7191 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2977z00zz__multimediazd2mpdzd2, BgL_tmpz00_7191); } 
{ /* Llib/mpd.scm 383 */
 int BgL_arg1980z00_5170;
BgL_arg1980z00_5170 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_songidz00); 
bgl_display_obj(
BINT(BgL_arg1980z00_5170), BgL_opz00_4345); } 
{ /* Llib/mpd.scm 383 */
 obj_t BgL_tmpz00_7197;
BgL_tmpz00_7197 = 
((obj_t)BgL_opz00_4345); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7197); } 
{ /* Llib/mpd.scm 384 */
 obj_t BgL_tmpz00_7200;
BgL_tmpz00_7200 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2978z00zz__multimediazd2mpdzd2, BgL_tmpz00_7200); } 
{ /* Llib/mpd.scm 384 */
 int BgL_arg1981z00_5171;
BgL_arg1981z00_5171 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_bitratez00); 
bgl_display_obj(
BINT(BgL_arg1981z00_5171), BgL_opz00_4345); } 
{ /* Llib/mpd.scm 384 */
 obj_t BgL_tmpz00_7206;
BgL_tmpz00_7206 = 
((obj_t)BgL_opz00_4345); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7206); } 
{ /* Llib/mpd.scm 385 */
 obj_t BgL_tmpz00_7209;
BgL_tmpz00_7209 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2979z00zz__multimediazd2mpdzd2, BgL_tmpz00_7209); } 
{ /* Llib/mpd.scm 386 */
 int BgL_arg1982z00_5172;
BgL_arg1982z00_5172 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_khza7za7); 
bgl_display_obj(
BINT(BgL_arg1982z00_5172), BgL_opz00_4345); } 
{ /* Llib/mpd.scm 387 */
 obj_t BgL_tmpz00_7215;
BgL_tmpz00_7215 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2980z00zz__multimediazd2mpdzd2, BgL_tmpz00_7215); } }  else 
{ /* Llib/mpd.scm 381 */BFALSE; } 
{ /* Llib/mpd.scm 388 */
 bool_t BgL_test3481z00_7218;
if(
(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_statez00)==
CNST_TABLE_REF(((long)13))))
{ /* Llib/mpd.scm 388 */
BgL_test3481z00_7218 = ((bool_t)1)
; }  else 
{ /* Llib/mpd.scm 388 */
BgL_test3481z00_7218 = 
(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_statez00)==
CNST_TABLE_REF(((long)18)))
; } 
if(BgL_test3481z00_7218)
{ /* Llib/mpd.scm 388 */
{ /* Llib/mpd.scm 389 */
 obj_t BgL_tmpz00_7226;
BgL_tmpz00_7226 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2981z00zz__multimediazd2mpdzd2, BgL_tmpz00_7226); } 
bgl_display_obj(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_songposz00), BgL_opz00_4345); 
{ /* Llib/mpd.scm 391 */
 obj_t BgL_tmpz00_7231;
BgL_tmpz00_7231 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2982z00zz__multimediazd2mpdzd2, BgL_tmpz00_7231); } 
{ /* Llib/mpd.scm 392 */
 int BgL_arg1990z00_5173;
BgL_arg1990z00_5173 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_songlengthz00); 
bgl_display_obj(
BINT(BgL_arg1990z00_5173), BgL_opz00_4345); } 
{ /* Llib/mpd.scm 393 */
 obj_t BgL_tmpz00_7237;
BgL_tmpz00_7237 = 
((obj_t)BgL_opz00_4345); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7237); } }  else 
{ /* Llib/mpd.scm 388 */BFALSE; } } 
if(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_repeatz00))
{ /* Llib/mpd.scm 395 */
 obj_t BgL_tmpz00_7242;
BgL_tmpz00_7242 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2983z00zz__multimediazd2mpdzd2, BgL_tmpz00_7242); }  else 
{ /* Llib/mpd.scm 396 */
 obj_t BgL_tmpz00_7245;
BgL_tmpz00_7245 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2984z00zz__multimediazd2mpdzd2, BgL_tmpz00_7245); } 
if(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_randomz00))
{ /* Llib/mpd.scm 398 */
 obj_t BgL_tmpz00_7250;
BgL_tmpz00_7250 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2985z00zz__multimediazd2mpdzd2, BgL_tmpz00_7250); }  else 
{ /* Llib/mpd.scm 399 */
 obj_t BgL_tmpz00_7253;
BgL_tmpz00_7253 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2986z00zz__multimediazd2mpdzd2, BgL_tmpz00_7253); } 
{ /* Llib/mpd.scm 400 */
 obj_t BgL_tmpz00_7256;
BgL_tmpz00_7256 = 
((obj_t)BgL_opz00_4345); 
bgl_display_string(BGl_string2987z00zz__multimediazd2mpdzd2, BgL_tmpz00_7256); } 
{ /* Llib/mpd.scm 400 */
 int BgL_arg1995z00_5174;
BgL_arg1995z00_5174 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5164))->BgL_xfadez00); 
bgl_display_obj(
BINT(BgL_arg1995z00_5174), BgL_opz00_4345); } 
{ /* Llib/mpd.scm 400 */
 obj_t BgL_tmpz00_7262;
BgL_tmpz00_7262 = 
((obj_t)BgL_opz00_4345); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7262); } } 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-playlist */
obj_t BGl_z62mpdzd2playlistzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4346, obj_t BgL_dbz00_4347, obj_t BgL_backendz00_4348, obj_t BgL_linez00_4349, obj_t BgL_ipz00_4350, obj_t BgL_opz00_4351)
{
{ /* Llib/mpd.scm 406 */
{ /* Llib/mpd.scm 407 */
 obj_t BgL_g1101z00_5175;
BgL_g1101z00_5175 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4348)); 
{ 
 obj_t BgL_plistz00_5177; long BgL_numz00_5178;
BgL_plistz00_5177 = BgL_g1101z00_5175; 
BgL_numz00_5178 = ((long)0); 
BgL_loopz00_5176:
if(
PAIRP(BgL_plistz00_5177))
{ /* Llib/mpd.scm 409 */
bgl_display_obj(
BINT(BgL_numz00_5178), BgL_opz00_4351); 
{ /* Llib/mpd.scm 411 */
 obj_t BgL_tmpz00_7272;
BgL_tmpz00_7272 = 
((obj_t)BgL_opz00_4351); 
bgl_display_string(BGl_string2982z00zz__multimediazd2mpdzd2, BgL_tmpz00_7272); } 
bgl_display_obj(
CAR(BgL_plistz00_5177), BgL_opz00_4351); 
{ /* Llib/mpd.scm 413 */
 obj_t BgL_tmpz00_7277;
BgL_tmpz00_7277 = 
((obj_t)BgL_opz00_4351); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7277); } 
{ 
 long BgL_numz00_7282; obj_t BgL_plistz00_7280;
BgL_plistz00_7280 = 
CDR(BgL_plistz00_5177); 
BgL_numz00_7282 = 
(((long)1)+BgL_numz00_5178); 
BgL_numz00_5178 = BgL_numz00_7282; 
BgL_plistz00_5177 = BgL_plistz00_7280; 
goto BgL_loopz00_5176;} }  else 
{ /* Llib/mpd.scm 409 */((bool_t)0); } } } 
return 
CNST_TABLE_REF(((long)53));} 

}



/* search1358~0 */
obj_t BGl_search1358ze70ze7zz__multimediazd2mpdzd2(obj_t BgL_l1357z00_5007, obj_t BgL_opt1355z00_5006, obj_t BgL_k1z00_808, obj_t BgL_iz00_809)
{
{ /* Llib/mpd.scm 420 */
BGl_search1358ze70ze7zz__multimediazd2mpdzd2:
if(
(
(long)CINT(BgL_iz00_809)==
(long)CINT(BgL_l1357z00_5007)))
{ /* Llib/mpd.scm 420 */
return 
BINT(((long)-1));}  else 
{ /* Llib/mpd.scm 420 */
if(
(
(long)CINT(BgL_iz00_809)==
(long)CINT(
SUBFX(BgL_l1357z00_5007, 
BINT(((long)1))))))
{ /* Llib/mpd.scm 420 */
 obj_t BgL_arg2016z00_840;
BgL_arg2016z00_840 = 
BINT(
VECTOR_LENGTH(BgL_opt1355z00_5006)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)65)), BGl_string2989z00zz__multimediazd2mpdzd2, BgL_arg2016z00_840);}  else 
{ /* Llib/mpd.scm 420 */
 obj_t BgL_vz00_841;
BgL_vz00_841 = 
VECTOR_REF(BgL_opt1355z00_5006,
(long)CINT(BgL_iz00_809)); 
if(
(BgL_vz00_841==BgL_k1z00_808))
{ /* Llib/mpd.scm 420 */
return 
ADDFX(BgL_iz00_809, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_7306;
BgL_iz00_7306 = 
ADDFX(BgL_iz00_809, 
BINT(((long)2))); 
BgL_iz00_809 = BgL_iz00_7306; 
goto BGl_search1358ze70ze7zz__multimediazd2mpdzd2;} } } } 

}



/* playlistinfo */
obj_t BGl_playlistinfoz00zz__multimediazd2mpdzd2(obj_t BgL_dbz00_71, obj_t BgL_backendz00_72, obj_t BgL_linez00_73, obj_t BgL_ipz00_74, obj_t BgL_opz00_75, int BgL_numz00_76)
{
{ /* Llib/mpd.scm 432 */
{ /* Llib/mpd.scm 434 */
 obj_t BgL_plistz00_857;
BgL_plistz00_857 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_72)); 
{ /* Llib/mpd.scm 435 */
 bool_t BgL_test3489z00_7311;
if(
(
(long)(BgL_numz00_76)>=((long)0)))
{ /* Llib/mpd.scm 435 */
BgL_test3489z00_7311 = 
(
(long)(BgL_numz00_76)<
bgl_list_length(BgL_plistz00_857))
; }  else 
{ /* Llib/mpd.scm 435 */
BgL_test3489z00_7311 = ((bool_t)0)
; } 
if(BgL_test3489z00_7311)
{ /* Llib/mpd.scm 436 */
 obj_t BgL_arg2028z00_861;
BgL_arg2028z00_861 = 
bgl_list_ref(BgL_plistz00_857, 
(long)(BgL_numz00_76)); 
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1195z00_2681;
BgL_g1195z00_2681 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(BgL_dbz00_71, BgL_arg2028z00_861, BFALSE, BFALSE, BFALSE); 
{ 
 obj_t BgL_l1193z00_2683;
BgL_l1193z00_2683 = BgL_g1195z00_2681; 
BgL_zc3z04anonymousza32019ze3z87_2682:
if(
PAIRP(BgL_l1193z00_2683))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_2685;
BgL_kz00_2685 = 
CAR(BgL_l1193z00_2683); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2021z00_2686;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2022z00_2687;
BgL_arg2022z00_2687 = 
CAR(
((obj_t)BgL_kz00_2685)); 
BgL_arg2021z00_2686 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2022z00_2687)); } 
bgl_display_obj(BgL_arg2021z00_2686, BgL_opz00_75); } 
{ /* Llib/mpd.scm 424 */
 obj_t BgL_tmpz00_7329;
BgL_tmpz00_7329 = 
((obj_t)BgL_opz00_75); 
bgl_display_string(BGl_string2988z00zz__multimediazd2mpdzd2, BgL_tmpz00_7329); } 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2023z00_2688;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_2698;
BgL_pairz00_2698 = 
CDR(
((obj_t)BgL_kz00_2685)); 
BgL_arg2023z00_2688 = 
CAR(BgL_pairz00_2698); } 
bgl_display_obj(BgL_arg2023z00_2688, BgL_opz00_75); } 
{ /* Llib/mpd.scm 426 */
 obj_t BgL_tmpz00_7336;
BgL_tmpz00_7336 = 
((obj_t)BgL_opz00_75); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7336); } } 
{ 
 obj_t BgL_l1193z00_7339;
BgL_l1193z00_7339 = 
CDR(BgL_l1193z00_2683); 
BgL_l1193z00_2683 = BgL_l1193z00_7339; 
goto BgL_zc3z04anonymousza32019ze3z87_2682;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } } }  else 
{ 
 obj_t BgL_plistz00_866; long BgL_numz00_867;
BgL_plistz00_866 = BgL_plistz00_857; 
BgL_numz00_867 = ((long)0); 
BgL_zc3z04anonymousza32029ze3z87_868:
if(
PAIRP(BgL_plistz00_866))
{ /* Llib/mpd.scm 439 */
{ /* Llib/mpd.scm 440 */
 obj_t BgL_arg2031z00_870;
BgL_arg2031z00_870 = 
CAR(BgL_plistz00_866); 
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1195z00_2702;
BgL_g1195z00_2702 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(BgL_dbz00_71, BgL_arg2031z00_870, BFALSE, BFALSE, BFALSE); 
{ 
 obj_t BgL_l1193z00_2704;
BgL_l1193z00_2704 = BgL_g1195z00_2702; 
BgL_zc3z04anonymousza32019ze3z87_2703:
if(
PAIRP(BgL_l1193z00_2704))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_2706;
BgL_kz00_2706 = 
CAR(BgL_l1193z00_2704); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2021z00_2707;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2022z00_2708;
BgL_arg2022z00_2708 = 
CAR(
((obj_t)BgL_kz00_2706)); 
BgL_arg2021z00_2707 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2022z00_2708)); } 
bgl_display_obj(BgL_arg2021z00_2707, BgL_opz00_75); } 
{ /* Llib/mpd.scm 424 */
 obj_t BgL_tmpz00_7353;
BgL_tmpz00_7353 = 
((obj_t)BgL_opz00_75); 
bgl_display_string(BGl_string2988z00zz__multimediazd2mpdzd2, BgL_tmpz00_7353); } 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2023z00_2709;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_2719;
BgL_pairz00_2719 = 
CDR(
((obj_t)BgL_kz00_2706)); 
BgL_arg2023z00_2709 = 
CAR(BgL_pairz00_2719); } 
bgl_display_obj(BgL_arg2023z00_2709, BgL_opz00_75); } 
{ /* Llib/mpd.scm 426 */
 obj_t BgL_tmpz00_7360;
BgL_tmpz00_7360 = 
((obj_t)BgL_opz00_75); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7360); } } 
{ 
 obj_t BgL_l1193z00_7363;
BgL_l1193z00_7363 = 
CDR(BgL_l1193z00_2704); 
BgL_l1193z00_2704 = BgL_l1193z00_7363; 
goto BgL_zc3z04anonymousza32019ze3z87_2703;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } } } 
{ 
 long BgL_numz00_7367; obj_t BgL_plistz00_7365;
BgL_plistz00_7365 = 
CDR(BgL_plistz00_866); 
BgL_numz00_7367 = 
(((long)1)+BgL_numz00_867); 
BgL_numz00_867 = BgL_numz00_7367; 
BgL_plistz00_866 = BgL_plistz00_7365; 
goto BgL_zc3z04anonymousza32029ze3z87_868;} }  else 
{ /* Llib/mpd.scm 439 */((bool_t)0); } } } } 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-playlistinfo */
obj_t BGl_z62mpdzd2playlistinfozb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4352, obj_t BgL_dbz00_4353, obj_t BgL_backendz00_4354, obj_t BgL_linez00_4355, obj_t BgL_ipz00_4356, obj_t BgL_opz00_4357)
{
{ /* Llib/mpd.scm 447 */
{ /* Llib/mpd.scm 447 */
 obj_t BgL_numz00_5179;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5180;
BgL_strz00_5180 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4355, ((long)1)); 
if(
STRINGP(BgL_strz00_5180))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7373;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7374;
BgL_tmpz00_7374 = 
BSTRING_TO_STRING(BgL_strz00_5180); 
BgL_tmpz00_7373 = 
BGL_STRTOL(BgL_tmpz00_7374, ((long)0), ((long)10)); } 
BgL_numz00_5179 = 
BINT(BgL_tmpz00_7373); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5179 = BFALSE; } } 
{ /* Llib/mpd.scm 448 */
 obj_t BgL_arg2035z00_5181;
if(
CBOOL(BgL_numz00_5179))
{ /* Llib/mpd.scm 448 */
BgL_arg2035z00_5181 = BgL_numz00_5179; }  else 
{ /* Llib/mpd.scm 448 */
BgL_arg2035z00_5181 = 
BINT(((long)0)); } 
return 
BGl_playlistinfoz00zz__multimediazd2mpdzd2(BgL_dbz00_4353, BgL_backendz00_4354, BgL_linez00_4355, BgL_ipz00_4356, BgL_opz00_4357, 
CINT(BgL_arg2035z00_5181));} } } 

}



/* &mpd-playlistid */
obj_t BGl_z62mpdzd2playlistidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4358, obj_t BgL_dbz00_4359, obj_t BgL_backendz00_4360, obj_t BgL_linez00_4361, obj_t BgL_ipz00_4362, obj_t BgL_opz00_4363)
{
{ /* Llib/mpd.scm 453 */
{ /* Llib/mpd.scm 453 */
 obj_t BgL_numz00_5182;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5183;
BgL_strz00_5183 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4361, ((long)1)); 
if(
STRINGP(BgL_strz00_5183))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7386;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7387;
BgL_tmpz00_7387 = 
BSTRING_TO_STRING(BgL_strz00_5183); 
BgL_tmpz00_7386 = 
BGL_STRTOL(BgL_tmpz00_7387, ((long)0), ((long)10)); } 
BgL_numz00_5182 = 
BINT(BgL_tmpz00_7386); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5182 = BFALSE; } } 
{ /* Llib/mpd.scm 454 */
 obj_t BgL_arg2036z00_5184;
if(
CBOOL(BgL_numz00_5182))
{ /* Llib/mpd.scm 454 */
BgL_arg2036z00_5184 = BgL_numz00_5182; }  else 
{ /* Llib/mpd.scm 454 */
BgL_arg2036z00_5184 = 
BINT(((long)0)); } 
return 
BGl_playlistinfoz00zz__multimediazd2mpdzd2(BgL_dbz00_4359, BgL_backendz00_4360, BgL_linez00_4361, BgL_ipz00_4362, BgL_opz00_4363, 
CINT(BgL_arg2036z00_5184));} } } 

}



/* &mpd-plchanges */
obj_t BGl_z62mpdzd2plchangeszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4364, obj_t BgL_dbz00_4365, obj_t BgL_backendz00_4366, obj_t BgL_linez00_4367, obj_t BgL_ipz00_4368, obj_t BgL_opz00_4369)
{
{ /* Llib/mpd.scm 459 */
{ /* Llib/mpd.scm 459 */
 obj_t BgL_numz00_5185;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5186;
BgL_strz00_5186 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4367, ((long)1)); 
if(
STRINGP(BgL_strz00_5186))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7399;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7400;
BgL_tmpz00_7400 = 
BSTRING_TO_STRING(BgL_strz00_5186); 
BgL_tmpz00_7399 = 
BGL_STRTOL(BgL_tmpz00_7400, ((long)0), ((long)10)); } 
BgL_numz00_5185 = 
BINT(BgL_tmpz00_7399); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5185 = BFALSE; } } 
{ /* Llib/mpd.scm 460 */
 BgL_musicstatusz00_bglt BgL_statusz00_5187;
BgL_statusz00_5187 = 
BGl_musiczd2statuszd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4366)); 
if(
(
(long)CINT(BgL_numz00_5185)<
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5187))->BgL_playlistidz00))))
{ /* Llib/mpd.scm 462 */
return 
BGl_playlistinfoz00zz__multimediazd2mpdzd2(BgL_dbz00_4365, BgL_backendz00_4366, BgL_linez00_4367, BgL_ipz00_4368, BgL_opz00_4369, 
(int)(((long)0)));}  else 
{ /* Llib/mpd.scm 462 */
return 
CNST_TABLE_REF(((long)53));} } } } 

}



/* &mpd-add */
obj_t BGl_z62mpdzd2addzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4370, obj_t BgL_dbz00_4371, obj_t BgL_backendz00_4372, obj_t BgL_linez00_4373, obj_t BgL_ipz00_4374, obj_t BgL_opz00_4375)
{
{ /* Llib/mpd.scm 477 */
{ /* Llib/mpd.scm 477 */
 obj_t BgL_uriz00_5188;
BgL_uriz00_5188 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4373, ((long)1)); 
if(
CBOOL(BgL_uriz00_5188))
{ /* Llib/mpd.scm 479 */
 obj_t BgL_pathz00_5189;
if(
bigloo_strcmp_at(BgL_uriz00_5188, BGl_string2990z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 470 */
BgL_pathz00_5189 = BgL_uriz00_5188; }  else 
{ /* Llib/mpd.scm 470 */
BgL_pathz00_5189 = 
BGl_mpdzd2ze3filez31zz__multimediazd2mpdzd2(BgL_uriz00_5188, BgL_dbz00_4371, BgL_opz00_4375, BGl_string2991z00zz__multimediazd2mpdzd2); } 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pathz00_5189)))
{ /* Llib/mpd.scm 481 */
 obj_t BgL_g1203z00_5190;
BgL_g1203z00_5190 = 
BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(BgL_pathz00_5189); 
{ 
 obj_t BgL_l1196z00_5192;
{ /* Llib/mpd.scm 485 */
 bool_t BgL_tmpz00_7424;
BgL_l1196z00_5192 = BgL_g1203z00_5190; 
BgL_zc3z04anonymousza32042ze3z87_5191:
if(
PAIRP(BgL_l1196z00_5192))
{ /* Llib/mpd.scm 485 */
{ /* Llib/mpd.scm 482 */
 obj_t BgL_fz00_5193;
BgL_fz00_5193 = 
CAR(BgL_l1196z00_5192); 
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_fz00_5193, BgL_dbz00_4371))
{ /* Llib/mpd.scm 484 */
 obj_t BgL_arg2045z00_5194;
BgL_arg2045z00_5194 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_pathz00_5189, BgL_fz00_5193); 
BGl_musiczd2playlistzd2addz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4372), BgL_arg2045z00_5194); }  else 
{ /* Llib/mpd.scm 482 */BFALSE; } } 
{ 
 obj_t BgL_l1196z00_7433;
BgL_l1196z00_7433 = 
CDR(BgL_l1196z00_5192); 
BgL_l1196z00_5192 = BgL_l1196z00_7433; 
goto BgL_zc3z04anonymousza32042ze3z87_5191;} }  else 
{ /* Llib/mpd.scm 485 */
BgL_tmpz00_7424 = ((bool_t)1)
; } 
BBOOL(BgL_tmpz00_7424); } } }  else 
{ /* Llib/mpd.scm 480 */
BGl_musiczd2playlistzd2addz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4372), BgL_pathz00_5189); } 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 488 */
 obj_t BgL_list2047z00_5195;
BgL_list2047z00_5195 = 
MAKE_YOUNG_PAIR(BgL_uriz00_5188, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2992z00zz__multimediazd2mpdzd2, BgL_list2047z00_5195);} } } 

}



/* &mpd-delete */
obj_t BGl_z62mpdzd2deletezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4376, obj_t BgL_dbz00_4377, obj_t BgL_backendz00_4378, obj_t BgL_linez00_4379, obj_t BgL_ipz00_4380, obj_t BgL_opz00_4381)
{
{ /* Llib/mpd.scm 493 */
{ /* Llib/mpd.scm 493 */
 obj_t BgL_numz00_5196;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5197;
BgL_strz00_5197 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4379, ((long)1)); 
if(
STRINGP(BgL_strz00_5197))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7444;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7445;
BgL_tmpz00_7445 = 
BSTRING_TO_STRING(BgL_strz00_5197); 
BgL_tmpz00_7444 = 
BGL_STRTOL(BgL_tmpz00_7445, ((long)0), ((long)10)); } 
BgL_numz00_5196 = 
BINT(BgL_tmpz00_7444); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5196 = BFALSE; } } 
BGl_musiczd2playlistzd2deletez12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4378), 
CINT(BgL_numz00_5196)); 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-deleteid */
obj_t BGl_z62mpdzd2deleteidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4382, obj_t BgL_dbz00_4383, obj_t BgL_backendz00_4384, obj_t BgL_linez00_4385, obj_t BgL_ipz00_4386, obj_t BgL_opz00_4387)
{
{ /* Llib/mpd.scm 500 */
{ /* Llib/mpd.scm 500 */
 obj_t BgL_numz00_5198;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5199;
BgL_strz00_5199 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4385, ((long)1)); 
if(
STRINGP(BgL_strz00_5199))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7456;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7457;
BgL_tmpz00_7457 = 
BSTRING_TO_STRING(BgL_strz00_5199); 
BgL_tmpz00_7456 = 
BGL_STRTOL(BgL_tmpz00_7457, ((long)0), ((long)10)); } 
BgL_numz00_5198 = 
BINT(BgL_tmpz00_7456); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5198 = BFALSE; } } 
BGl_musiczd2playlistzd2deletez12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4384), 
CINT(BgL_numz00_5198)); 
{ /* Llib/mpd.scm 312 */
 obj_t BgL_tmpz00_7464;
BgL_tmpz00_7464 = 
((obj_t)BgL_opz00_4387); 
bgl_display_string(BGl_string2961z00zz__multimediazd2mpdzd2, BgL_tmpz00_7464); } 
{ /* Llib/mpd.scm 313 */
 obj_t BgL_tmpz00_7467;
BgL_tmpz00_7467 = 
((obj_t)BgL_opz00_4387); 
return 
bgl_flush_output_port(BgL_tmpz00_7467);} } } 

}



/* &mpd-clear */
obj_t BGl_z62mpdzd2clearzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4388, obj_t BgL_dbz00_4389, obj_t BgL_backendz00_4390, obj_t BgL_linez00_4391, obj_t BgL_ipz00_4392, obj_t BgL_opz00_4393)
{
{ /* Llib/mpd.scm 507 */
BGl_musiczd2playlistzd2clearz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4390)); 
return 
CNST_TABLE_REF(((long)53));} 

}



/* currentsong-info */
obj_t BGl_currentsongzd2infozd2zz__multimediazd2mpdzd2(obj_t BgL_dbz00_116, obj_t BgL_backendz00_117, obj_t BgL_plistz00_118, int BgL_numz00_119, obj_t BgL_linez00_120, obj_t BgL_ipz00_121)
{
{ /* Llib/mpd.scm 514 */
{ /* Llib/mpd.scm 549 */
 obj_t BgL_filez00_909;
BgL_filez00_909 = 
bgl_list_ref(BgL_plistz00_118, 
(long)(BgL_numz00_119)); 
{ /* Llib/mpd.scm 549 */
 obj_t BgL_pathz00_910;
if(
bigloo_strcmp_at(BgL_filez00_909, BGl_string2990z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 1021 */
BgL_pathz00_910 = BgL_filez00_909; }  else 
{ /* Llib/mpd.scm 1021 */
BgL_pathz00_910 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_filez00_909, BgL_dbz00_116); } 
{ /* Llib/mpd.scm 550 */

{ /* Llib/mpd.scm 553 */
 obj_t BgL_zc3z04anonymousza32049ze3z87_4622;
BgL_zc3z04anonymousza32049ze3z87_4622 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32049ze3ze5zz__multimediazd2mpdzd2, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32049ze3z87_4622, 
(int)(((long)0)), BgL_backendz00_117); 
PROCEDURE_SET(BgL_zc3z04anonymousza32049ze3z87_4622, 
(int)(((long)1)), BgL_dbz00_116); 
PROCEDURE_SET(BgL_zc3z04anonymousza32049ze3z87_4622, 
(int)(((long)2)), BgL_linez00_120); 
PROCEDURE_SET(BgL_zc3z04anonymousza32049ze3z87_4622, 
(int)(((long)3)), BgL_ipz00_121); 
PROCEDURE_SET(BgL_zc3z04anonymousza32049ze3z87_4622, 
(int)(((long)4)), BgL_filez00_909); 
PROCEDURE_SET(BgL_zc3z04anonymousza32049ze3z87_4622, 
(int)(((long)5)), BgL_pathz00_910); 
return 
BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza32049ze3z87_4622);} } } } } 

}



/* &<@anonymous:2049> */
obj_t BGl_z62zc3z04anonymousza32049ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4623, obj_t BgL_opz00_4630)
{
{ /* Llib/mpd.scm 552 */
{ /* Llib/mpd.scm 553 */
 obj_t BgL_backendz00_4624; obj_t BgL_dbz00_4625; obj_t BgL_linez00_4626; obj_t BgL_ipz00_4627; obj_t BgL_filez00_4628; obj_t BgL_pathz00_4629;
BgL_backendz00_4624 = 
PROCEDURE_REF(BgL_envz00_4623, 
(int)(((long)0))); 
BgL_dbz00_4625 = 
PROCEDURE_REF(BgL_envz00_4623, 
(int)(((long)1))); 
BgL_linez00_4626 = 
PROCEDURE_REF(BgL_envz00_4623, 
(int)(((long)2))); 
BgL_ipz00_4627 = 
PROCEDURE_REF(BgL_envz00_4623, 
(int)(((long)3))); 
BgL_filez00_4628 = 
PROCEDURE_REF(BgL_envz00_4623, 
(int)(((long)4))); 
BgL_pathz00_4629 = 
PROCEDURE_REF(BgL_envz00_4623, 
(int)(((long)5))); 
{ 
 obj_t BgL_opz00_5201; obj_t BgL_filez00_5202; obj_t BgL_pathz00_5203;
if(
fexists(
BSTRING_TO_STRING(BgL_filez00_4628)))
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1195z00_5214;
BgL_g1195z00_5214 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(BgL_dbz00_4625, BgL_filez00_4628, BFALSE, BFALSE, BFALSE); 
{ 
 obj_t BgL_l1193z00_5216;
{ /* Llib/mpd.scm 427 */
 bool_t BgL_tmpz00_7510;
BgL_l1193z00_5216 = BgL_g1195z00_5214; 
BgL_zc3z04anonymousza32019ze3z87_5215:
if(
PAIRP(BgL_l1193z00_5216))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_5217;
BgL_kz00_5217 = 
CAR(BgL_l1193z00_5216); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2021z00_5218;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2022z00_5219;
BgL_arg2022z00_5219 = 
CAR(
((obj_t)BgL_kz00_5217)); 
BgL_arg2021z00_5218 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2022z00_5219)); } 
bgl_display_obj(BgL_arg2021z00_5218, BgL_opz00_4630); } 
{ /* Llib/mpd.scm 424 */
 obj_t BgL_tmpz00_7519;
BgL_tmpz00_7519 = 
((obj_t)BgL_opz00_4630); 
bgl_display_string(BGl_string2988z00zz__multimediazd2mpdzd2, BgL_tmpz00_7519); } 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2023z00_5220;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_5221;
BgL_pairz00_5221 = 
CDR(
((obj_t)BgL_kz00_5217)); 
BgL_arg2023z00_5220 = 
CAR(BgL_pairz00_5221); } 
bgl_display_obj(BgL_arg2023z00_5220, BgL_opz00_4630); } 
{ /* Llib/mpd.scm 426 */
 obj_t BgL_tmpz00_7526;
BgL_tmpz00_7526 = 
((obj_t)BgL_opz00_4630); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7526); } } 
{ 
 obj_t BgL_l1193z00_7529;
BgL_l1193z00_7529 = 
CDR(BgL_l1193z00_5216); 
BgL_l1193z00_5216 = BgL_l1193z00_7529; 
goto BgL_zc3z04anonymousza32019ze3z87_5215;} }  else 
{ /* Llib/mpd.scm 427 */
BgL_tmpz00_7510 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_7510);} } }  else 
{ /* Llib/mpd.scm 553 */
BgL_opz00_5201 = BgL_opz00_4630; 
BgL_filez00_5202 = BgL_filez00_4628; 
BgL_pathz00_5203 = BgL_pathz00_4629; 
{ /* Llib/mpd.scm 518 */
 obj_t BgL_metaz00_5204;
BgL_metaz00_5204 = 
BGl_musiczd2metazd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4624)); 
if(
NULLP(BgL_metaz00_5204))
{ /* Llib/mpd.scm 520 */
 int BgL_arg2053z00_5205;
BgL_arg2053z00_5205 = 
BGl_musiczd2songzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4624)); 
return 
BGl_playlistinfoz00zz__multimediazd2mpdzd2(BgL_dbz00_4625, BgL_backendz00_4624, BgL_linez00_4626, BgL_ipz00_4627, BgL_opz00_5201, BgL_arg2053z00_5205);}  else 
{ /* Llib/mpd.scm 521 */
 int BgL_numz00_5206; obj_t BgL_dirz00_5207;
BgL_numz00_5206 = 
BGl_musiczd2songzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4624)); 
BgL_dirz00_5207 = 
BGl_dirnamez00zz__osz00(BgL_filez00_5202); 
{ /* Llib/mpd.scm 523 */
 obj_t BgL_tmpz00_7542;
BgL_tmpz00_7542 = 
((obj_t)BgL_opz00_5201); 
bgl_display_string(BGl_string2993z00zz__multimediazd2mpdzd2, BgL_tmpz00_7542); } 
bgl_display_obj(BgL_pathz00_5203, BgL_opz00_5201); 
{ /* Llib/mpd.scm 525 */
 obj_t BgL_tmpz00_7546;
BgL_tmpz00_7546 = 
((obj_t)BgL_opz00_5201); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7546); } 
{ /* Llib/mpd.scm 527 */
 obj_t BgL_tmpz00_7549;
BgL_tmpz00_7549 = 
((obj_t)BgL_opz00_5201); 
bgl_display_string(BGl_string2994z00zz__multimediazd2mpdzd2, BgL_tmpz00_7549); } 
bgl_display_obj(
BINT(BgL_numz00_5206), BgL_opz00_5201); 
{ /* Llib/mpd.scm 529 */
 obj_t BgL_tmpz00_7554;
BgL_tmpz00_7554 = 
((obj_t)BgL_opz00_5201); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7554); } 
{ /* Llib/mpd.scm 530 */
 obj_t BgL_tmpz00_7557;
BgL_tmpz00_7557 = 
((obj_t)BgL_opz00_5201); 
bgl_display_string(BGl_string2995z00zz__multimediazd2mpdzd2, BgL_tmpz00_7557); } 
bgl_display_obj(
BINT(BgL_numz00_5206), BgL_opz00_5201); 
{ /* Llib/mpd.scm 532 */
 obj_t BgL_tmpz00_7562;
BgL_tmpz00_7562 = 
((obj_t)BgL_opz00_5201); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7562); } 
{ /* Llib/mpd.scm 533 */
 obj_t BgL_caz00_5208;
BgL_caz00_5208 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)69)), BgL_metaz00_5204); 
{ /* Llib/mpd.scm 533 */
 obj_t BgL_ctz00_5209;
BgL_ctz00_5209 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)70)), BgL_metaz00_5204); 
{ /* Llib/mpd.scm 534 */
 obj_t BgL_cbz00_5210;
BgL_cbz00_5210 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)71)), BgL_metaz00_5204); 
{ /* Llib/mpd.scm 535 */
 obj_t BgL_az00_5211;
if(
PAIRP(BgL_caz00_5208))
{ /* Llib/mpd.scm 536 */
BgL_az00_5211 = 
CDR(BgL_caz00_5208); }  else 
{ /* Llib/mpd.scm 536 */
BgL_az00_5211 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_5207))); } 
{ /* Llib/mpd.scm 536 */
 obj_t BgL_tz00_5212;
if(
PAIRP(BgL_ctz00_5209))
{ /* Llib/mpd.scm 539 */
BgL_tz00_5212 = 
CDR(BgL_ctz00_5209); }  else 
{ /* Llib/mpd.scm 539 */
BgL_tz00_5212 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(BgL_filez00_5202)); } 
{ /* Llib/mpd.scm 539 */
 obj_t BgL_bz00_5213;
if(
PAIRP(BgL_cbz00_5210))
{ /* Llib/mpd.scm 542 */
BgL_bz00_5213 = 
CDR(BgL_cbz00_5210); }  else 
{ /* Llib/mpd.scm 542 */
BgL_bz00_5213 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(BgL_dirz00_5207)); } 
{ /* Llib/mpd.scm 542 */

{ /* Llib/mpd.scm 545 */
 obj_t BgL_tmpz00_7587;
BgL_tmpz00_7587 = 
((obj_t)BgL_opz00_5201); 
bgl_display_string(BGl_string2996z00zz__multimediazd2mpdzd2, BgL_tmpz00_7587); } 
bgl_display_obj(BgL_az00_5211, BgL_opz00_5201); 
{ /* Llib/mpd.scm 545 */
 obj_t BgL_tmpz00_7591;
BgL_tmpz00_7591 = 
((obj_t)BgL_opz00_5201); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7591); } 
{ /* Llib/mpd.scm 546 */
 obj_t BgL_tmpz00_7594;
BgL_tmpz00_7594 = 
((obj_t)BgL_opz00_5201); 
bgl_display_string(BGl_string2997z00zz__multimediazd2mpdzd2, BgL_tmpz00_7594); } 
bgl_display_obj(BgL_tz00_5212, BgL_opz00_5201); 
{ /* Llib/mpd.scm 546 */
 obj_t BgL_tmpz00_7598;
BgL_tmpz00_7598 = 
((obj_t)BgL_opz00_5201); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7598); } 
{ /* Llib/mpd.scm 547 */
 obj_t BgL_tmpz00_7601;
BgL_tmpz00_7601 = 
((obj_t)BgL_opz00_5201); 
bgl_display_string(BGl_string2998z00zz__multimediazd2mpdzd2, BgL_tmpz00_7601); } 
bgl_display_obj(BgL_bz00_5213, BgL_opz00_5201); 
{ /* Llib/mpd.scm 547 */
 obj_t BgL_tmpz00_7605;
BgL_tmpz00_7605 = 
((obj_t)BgL_opz00_5201); 
return 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7605);} } } } } } } } } } } } } } 

}



/* &mpd-currentsong */
obj_t BGl_z62mpdzd2currentsongzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4394, obj_t BgL_dbz00_4395, obj_t BgL_backendz00_4396, obj_t BgL_linez00_4397, obj_t BgL_ipz00_4398, obj_t BgL_opz00_4399)
{
{ /* Llib/mpd.scm 579 */
{ /* Llib/mpd.scm 580 */
 obj_t BgL_plistz00_5222; int BgL_numz00_5223;
BgL_plistz00_5222 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4396)); 
BgL_numz00_5223 = 
BGl_musiczd2songzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4396)); 
{ /* Llib/mpd.scm 582 */
 bool_t BgL_test3514z00_7612;
if(
(
(long)(BgL_numz00_5223)>=((long)0)))
{ /* Llib/mpd.scm 582 */
BgL_test3514z00_7612 = 
(
(long)(BgL_numz00_5223)<
bgl_list_length(BgL_plistz00_5222))
; }  else 
{ /* Llib/mpd.scm 582 */
BgL_test3514z00_7612 = ((bool_t)0)
; } 
if(BgL_test3514z00_7612)
{ /* Llib/mpd.scm 568 */
 bool_t BgL_test3516z00_7619;
if(
(BgL_plistz00_5222==BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 568 */
BgL_test3516z00_7619 = 
(BGl_currentsongzd2cachezd2numz00zz__multimediazd2mpdzd2==
(long)(BgL_numz00_5223))
; }  else 
{ /* Llib/mpd.scm 568 */
BgL_test3516z00_7619 = ((bool_t)0)
; } 
if(BgL_test3516z00_7619)
{ /* Llib/mpd.scm 568 */
bgl_display_obj(BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2, BgL_opz00_4399); }  else 
{ /* Llib/mpd.scm 570 */
 obj_t BgL_infoz00_5224;
BgL_infoz00_5224 = 
BGl_currentsongzd2infozd2zz__multimediazd2mpdzd2(BgL_dbz00_4395, BgL_backendz00_4396, BgL_plistz00_5222, BgL_numz00_5223, BgL_linez00_4397, BgL_ipz00_4398); 
BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2 = BgL_plistz00_5222; 
BGl_currentsongzd2cachezd2numz00zz__multimediazd2mpdzd2 = 
(long)(BgL_numz00_5223); 
BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2 = BgL_infoz00_5224; 
bgl_display_obj(BgL_infoz00_5224, BgL_opz00_4399); } }  else 
{ /* Llib/mpd.scm 582 */BFALSE; } } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-play */
obj_t BGl_z62mpdzd2playzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4400, obj_t BgL_dbz00_4401, obj_t BgL_backendz00_4402, obj_t BgL_linez00_4403, obj_t BgL_ipz00_4404, obj_t BgL_opz00_4405)
{
{ /* Llib/mpd.scm 589 */
{ /* Llib/mpd.scm 589 */
 obj_t BgL_numz00_5225;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5226;
BgL_strz00_5226 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4403, ((long)1)); 
if(
STRINGP(BgL_strz00_5226))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7632;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7633;
BgL_tmpz00_7633 = 
BSTRING_TO_STRING(BgL_strz00_5226); 
BgL_tmpz00_7632 = 
BGL_STRTOL(BgL_tmpz00_7633, ((long)0), ((long)10)); } 
BgL_numz00_5225 = 
BINT(BgL_tmpz00_7632); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5225 = BFALSE; } } 
{ /* Llib/mpd.scm 590 */
 bool_t BgL_test3519z00_7637;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_numz00_5225))
{ /* Llib/mpd.scm 590 */
BgL_test3519z00_7637 = 
(
(long)CINT(BgL_numz00_5225)>=((long)0))
; }  else 
{ /* Llib/mpd.scm 590 */
BgL_test3519z00_7637 = ((bool_t)0)
; } 
if(BgL_test3519z00_7637)
{ /* Llib/mpd.scm 591 */
 obj_t BgL_list2068z00_5227;
BgL_list2068z00_5227 = 
MAKE_YOUNG_PAIR(BgL_numz00_5225, BNIL); 
BGl_musiczd2playzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4402), BgL_list2068z00_5227); }  else 
{ /* Llib/mpd.scm 590 */
BGl_musiczd2playzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4402), BNIL); } } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-playid */
obj_t BGl_z62mpdzd2playidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4406, obj_t BgL_dbz00_4407, obj_t BgL_backendz00_4408, obj_t BgL_linez00_4409, obj_t BgL_ipz00_4410, obj_t BgL_opz00_4411)
{
{ /* Llib/mpd.scm 598 */
{ /* Llib/mpd.scm 598 */
 obj_t BgL_numz00_5228;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5229;
BgL_strz00_5229 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4409, ((long)1)); 
if(
STRINGP(BgL_strz00_5229))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7651;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7652;
BgL_tmpz00_7652 = 
BSTRING_TO_STRING(BgL_strz00_5229); 
BgL_tmpz00_7651 = 
BGL_STRTOL(BgL_tmpz00_7652, ((long)0), ((long)10)); } 
BgL_numz00_5228 = 
BINT(BgL_tmpz00_7651); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5228 = BFALSE; } } 
{ /* Llib/mpd.scm 599 */
 bool_t BgL_test3522z00_7656;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_numz00_5228))
{ /* Llib/mpd.scm 599 */
BgL_test3522z00_7656 = 
(
(long)CINT(BgL_numz00_5228)>=((long)0))
; }  else 
{ /* Llib/mpd.scm 599 */
BgL_test3522z00_7656 = ((bool_t)0)
; } 
if(BgL_test3522z00_7656)
{ /* Llib/mpd.scm 600 */
 obj_t BgL_list2072z00_5230;
BgL_list2072z00_5230 = 
MAKE_YOUNG_PAIR(BgL_numz00_5228, BNIL); 
BGl_musiczd2playzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4408), BgL_list2072z00_5230); }  else 
{ /* Llib/mpd.scm 599 */
BGl_musiczd2playzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4408), BNIL); } } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-seek */
obj_t BGl_z62mpdzd2seekzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4412, obj_t BgL_dbz00_4413, obj_t BgL_backendz00_4414, obj_t BgL_linez00_4415, obj_t BgL_ipz00_4416, obj_t BgL_opz00_4417)
{
{ /* Llib/mpd.scm 607 */
{ /* Llib/mpd.scm 607 */
 obj_t BgL_num1z00_5231; obj_t BgL_num2z00_5232;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5233;
BgL_strz00_5233 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4415, ((long)1)); 
if(
STRINGP(BgL_strz00_5233))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7670;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7671;
BgL_tmpz00_7671 = 
BSTRING_TO_STRING(BgL_strz00_5233); 
BgL_tmpz00_7670 = 
BGL_STRTOL(BgL_tmpz00_7671, ((long)0), ((long)10)); } 
BgL_num1z00_5231 = 
BINT(BgL_tmpz00_7670); }  else 
{ /* Llib/mpd.scm 223 */
BgL_num1z00_5231 = BFALSE; } } 
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5234;
BgL_strz00_5234 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4415, ((long)2)); 
if(
STRINGP(BgL_strz00_5234))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7678;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7679;
BgL_tmpz00_7679 = 
BSTRING_TO_STRING(BgL_strz00_5234); 
BgL_tmpz00_7678 = 
BGL_STRTOL(BgL_tmpz00_7679, ((long)0), ((long)10)); } 
BgL_num2z00_5232 = 
BINT(BgL_tmpz00_7678); }  else 
{ /* Llib/mpd.scm 223 */
BgL_num2z00_5232 = BFALSE; } } 
{ /* Llib/mpd.scm 608 */
 obj_t BgL_list2074z00_5235;
BgL_list2074z00_5235 = 
MAKE_YOUNG_PAIR(BgL_num1z00_5231, BNIL); 
BGl_musiczd2seekzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4414), BgL_num2z00_5232, BgL_list2074z00_5235); } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-seekid */
obj_t BGl_z62mpdzd2seekidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4418, obj_t BgL_dbz00_4419, obj_t BgL_backendz00_4420, obj_t BgL_linez00_4421, obj_t BgL_ipz00_4422, obj_t BgL_opz00_4423)
{
{ /* Llib/mpd.scm 614 */
{ /* Llib/mpd.scm 614 */
 obj_t BgL_num1z00_5236; obj_t BgL_num2z00_5237;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5238;
BgL_strz00_5238 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4421, ((long)1)); 
if(
STRINGP(BgL_strz00_5238))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7690;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7691;
BgL_tmpz00_7691 = 
BSTRING_TO_STRING(BgL_strz00_5238); 
BgL_tmpz00_7690 = 
BGL_STRTOL(BgL_tmpz00_7691, ((long)0), ((long)10)); } 
BgL_num1z00_5236 = 
BINT(BgL_tmpz00_7690); }  else 
{ /* Llib/mpd.scm 223 */
BgL_num1z00_5236 = BFALSE; } } 
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5239;
BgL_strz00_5239 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4421, ((long)2)); 
if(
STRINGP(BgL_strz00_5239))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7698;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7699;
BgL_tmpz00_7699 = 
BSTRING_TO_STRING(BgL_strz00_5239); 
BgL_tmpz00_7698 = 
BGL_STRTOL(BgL_tmpz00_7699, ((long)0), ((long)10)); } 
BgL_num2z00_5237 = 
BINT(BgL_tmpz00_7698); }  else 
{ /* Llib/mpd.scm 223 */
BgL_num2z00_5237 = BFALSE; } } 
{ /* Llib/mpd.scm 615 */
 obj_t BgL_list2075z00_5240;
BgL_list2075z00_5240 = 
MAKE_YOUNG_PAIR(BgL_num1z00_5236, BNIL); 
BGl_musiczd2seekzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4420), BgL_num2z00_5237, BgL_list2075z00_5240); } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-stop */
obj_t BGl_z62mpdzd2stopzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4424, obj_t BgL_dbz00_4425, obj_t BgL_backendz00_4426, obj_t BgL_linez00_4427, obj_t BgL_ipz00_4428, obj_t BgL_opz00_4429)
{
{ /* Llib/mpd.scm 621 */
BGl_musiczd2stopzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4426)); 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-pause */
obj_t BGl_z62mpdzd2pausezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4430, obj_t BgL_dbz00_4431, obj_t BgL_backendz00_4432, obj_t BgL_linez00_4433, obj_t BgL_ipz00_4434, obj_t BgL_opz00_4435)
{
{ /* Llib/mpd.scm 628 */
BGl_musiczd2pausezd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4432)); 
return 
CNST_TABLE_REF(((long)53));} 

}



/* <@exit:2077>~0 */
obj_t BGl_zc3z04exitza32077ze3ze70z60zz__multimediazd2mpdzd2(obj_t BgL_backendz00_5005, obj_t BgL_cell1111z00_5004, obj_t BgL_env1116z00_5003)
{
{ /* Llib/mpd.scm 636 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1120z00_978;
if( SET_EXIT(BgL_an_exit1120z00_978 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1120z00_978 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1116z00_5003, BgL_an_exit1120z00_978, ((long)1)); 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_escape1112z00_979;
BgL_escape1112z00_979 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1116z00_5003); 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_res1123z00_980;
{ /* Llib/mpd.scm 636 */
 obj_t BgL_ohs1108z00_981;
BgL_ohs1108z00_981 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1116z00_5003); 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_hds1109z00_982;
BgL_hds1109z00_982 = 
MAKE_STACK_PAIR(BgL_escape1112z00_979, BgL_cell1111z00_5004); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1116z00_5003, BgL_hds1109z00_982); BUNSPEC; 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_exitd1117z00_983;
BgL_exitd1117z00_983 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1116z00_5003); 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_tmp1119z00_984;
{ /* Llib/mpd.scm 636 */
 obj_t BgL_arg2078z00_986;
BgL_arg2078z00_986 = 
BGL_EXITD_PROTECT(BgL_exitd1117z00_983); 
BgL_tmp1119z00_984 = 
MAKE_YOUNG_PAIR(BgL_ohs1108z00_981, BgL_arg2078z00_986); } 
{ /* Llib/mpd.scm 636 */

BGL_EXITD_PROTECT_SET(BgL_exitd1117z00_983, BgL_tmp1119z00_984); BUNSPEC; 
{ /* Llib/mpd.scm 642 */
 obj_t BgL_tmp1118z00_985;
BGl_musiczd2nextzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_5005)); 
BgL_tmp1118z00_985 = 
CNST_TABLE_REF(((long)53)); 
{ /* Llib/mpd.scm 636 */
 bool_t BgL_test3528z00_7727;
{ /* Llib/mpd.scm 636 */
 obj_t BgL_arg1811z00_2887;
BgL_arg1811z00_2887 = 
BGL_EXITD_PROTECT(BgL_exitd1117z00_983); 
BgL_test3528z00_7727 = 
PAIRP(BgL_arg1811z00_2887); } 
if(BgL_test3528z00_7727)
{ /* Llib/mpd.scm 636 */
 obj_t BgL_arg1809z00_2888;
{ /* Llib/mpd.scm 636 */
 obj_t BgL_arg1810z00_2889;
BgL_arg1810z00_2889 = 
BGL_EXITD_PROTECT(BgL_exitd1117z00_983); 
BgL_arg1809z00_2888 = 
CDR(
((obj_t)BgL_arg1810z00_2889)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1117z00_983, BgL_arg1809z00_2888); BUNSPEC; }  else 
{ /* Llib/mpd.scm 636 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1116z00_5003, BgL_ohs1108z00_981); BUNSPEC; 
BgL_res1123z00_980 = BgL_tmp1118z00_985; } } } } } } 
POP_ENV_EXIT(BgL_env1116z00_5003); 
return BgL_res1123z00_980;} } 
}} 

}



/* &mpd-next */
obj_t BGl_z62mpdzd2nextzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4436, obj_t BgL_dbz00_4437, obj_t BgL_backendz00_4438, obj_t BgL_linez00_4439, obj_t BgL_ipz00_4440, obj_t BgL_opz00_4441)
{
{ /* Llib/mpd.scm 635 */
{ /* Llib/mpd.scm 636 */
 obj_t BgL_env1116z00_5241;
BgL_env1116z00_5241 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_5243;
{ /* Llib/mpd.scm 636 */
 obj_t BgL_cell1111z00_5256;
BgL_cell1111z00_5256 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_val1115z00_5257;
BgL_val1115z00_5257 = 
BGl_zc3z04exitza32077ze3ze70z60zz__multimediazd2mpdzd2(BgL_backendz00_4438, BgL_cell1111z00_5256, BgL_env1116z00_5241); 
if(
(BgL_val1115z00_5257==BgL_cell1111z00_5256))
{ /* Llib/mpd.scm 636 */
{ /* Llib/mpd.scm 636 */
 int BgL_tmpz00_7741;
BgL_tmpz00_7741 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_7741); } 
{ /* Llib/mpd.scm 636 */
 obj_t BgL_arg2076z00_5258;
BgL_arg2076z00_5258 = 
CELL_REF(
((obj_t)BgL_val1115z00_5257)); 
BgL_ez00_5243 = BgL_arg2076z00_5258; 
{ /* Llib/mpd.scm 638 */
 bool_t BgL_test3530z00_7746;
{ /* Llib/mpd.scm 638 */
 obj_t BgL_classz00_5244;
BgL_classz00_5244 = BGl_z62iozd2errorzb0zz__objectz00; 
if(
BGL_OBJECTP(BgL_ez00_5243))
{ /* Llib/mpd.scm 638 */
 BgL_objectz00_bglt BgL_arg1793z00_5245;
BgL_arg1793z00_5245 = 
(BgL_objectz00_bglt)(BgL_ez00_5243); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 638 */
 long BgL_idxz00_5246;
BgL_idxz00_5246 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_5245); 
BgL_test3530z00_7746 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_5246+((long)4)))==BgL_classz00_5244); }  else 
{ /* Llib/mpd.scm 638 */
 bool_t BgL_res2747z00_5249;
{ /* Llib/mpd.scm 638 */
 obj_t BgL_oclassz00_5250;
{ /* Llib/mpd.scm 638 */
 long BgL_arg1801z00_5251;
{ /* Llib/mpd.scm 638 */
 long BgL_arg1802z00_5252;
BgL_arg1802z00_5252 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_5245); 
BgL_arg1801z00_5251 = 
(BgL_arg1802z00_5252-OBJECT_TYPE); } 
BgL_oclassz00_5250 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5251); } 
{ /* Llib/mpd.scm 638 */
 bool_t BgL__ortest_1110z00_5253;
BgL__ortest_1110z00_5253 = 
(BgL_classz00_5244==BgL_oclassz00_5250); 
if(BgL__ortest_1110z00_5253)
{ /* Llib/mpd.scm 638 */
BgL_res2747z00_5249 = BgL__ortest_1110z00_5253; }  else 
{ /* Llib/mpd.scm 638 */
 long BgL_odepthz00_5254;
BgL_odepthz00_5254 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5250); 
if(
(((long)4)<BgL_odepthz00_5254))
{ /* Llib/mpd.scm 638 */
 obj_t BgL_arg1790z00_5255;
BgL_arg1790z00_5255 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5250, ((long)4)); 
BgL_res2747z00_5249 = 
(BgL_arg1790z00_5255==BgL_classz00_5244); }  else 
{ /* Llib/mpd.scm 638 */
BgL_res2747z00_5249 = ((bool_t)0); } } } } 
BgL_test3530z00_7746 = BgL_res2747z00_5249; } }  else 
{ /* Llib/mpd.scm 638 */
BgL_test3530z00_7746 = ((bool_t)0)
; } } 
if(BgL_test3530z00_7746)
{ /* Llib/mpd.scm 638 */
{ /* Llib/mpd.scm 325 */
 obj_t BgL_tmpz00_7766;
BgL_tmpz00_7766 = 
((obj_t)BgL_opz00_4441); 
bgl_display_string(BGl_string2962z00zz__multimediazd2mpdzd2, BgL_tmpz00_7766); } 
bgl_display_obj(BGl_string2999z00zz__multimediazd2mpdzd2, BgL_opz00_4441); 
{ /* Llib/mpd.scm 327 */
 obj_t BgL_tmpz00_7770;
BgL_tmpz00_7770 = 
((obj_t)BgL_opz00_4441); 
bgl_display_string(BGl_string2964z00zz__multimediazd2mpdzd2, BgL_tmpz00_7770); } 
bgl_display_obj(BGl_string3000z00zz__multimediazd2mpdzd2, BgL_opz00_4441); 
{ /* Llib/mpd.scm 329 */
 obj_t BgL_tmpz00_7774;
BgL_tmpz00_7774 = 
((obj_t)BgL_opz00_4441); 
bgl_display_string(BGl_string2965z00zz__multimediazd2mpdzd2, BgL_tmpz00_7774); } 
bgl_display_obj(BGl_string3001z00zz__multimediazd2mpdzd2, BgL_opz00_4441); 
{ /* Llib/mpd.scm 331 */
 obj_t BgL_tmpz00_7778;
BgL_tmpz00_7778 = 
((obj_t)BgL_opz00_4441); 
bgl_display_string(BGl_string2966z00zz__multimediazd2mpdzd2, BgL_tmpz00_7778); } 
{ /* Llib/mpd.scm 332 */
 obj_t BgL_tmpz00_7781;
BgL_tmpz00_7781 = 
((obj_t)BgL_opz00_4441); 
bgl_flush_output_port(BgL_tmpz00_7781); } 
return 
CNST_TABLE_REF(((long)54));}  else 
{ /* Llib/mpd.scm 638 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_5243);} } } }  else 
{ /* Llib/mpd.scm 636 */
return BgL_val1115z00_5257;} } } } } } 

}



/* <@exit:2082>~0 */
obj_t BGl_zc3z04exitza32082ze3ze70z60zz__multimediazd2mpdzd2(obj_t BgL_backendz00_5002, obj_t BgL_cell1128z00_5001, obj_t BgL_env1133z00_5000)
{
{ /* Llib/mpd.scm 649 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1137z00_999;
if( SET_EXIT(BgL_an_exit1137z00_999 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1137z00_999 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1133z00_5000, BgL_an_exit1137z00_999, ((long)1)); 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_escape1129z00_1000;
BgL_escape1129z00_1000 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1133z00_5000); 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_res1140z00_1001;
{ /* Llib/mpd.scm 649 */
 obj_t BgL_ohs1125z00_1002;
BgL_ohs1125z00_1002 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1133z00_5000); 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_hds1126z00_1003;
BgL_hds1126z00_1003 = 
MAKE_STACK_PAIR(BgL_escape1129z00_1000, BgL_cell1128z00_5001); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1133z00_5000, BgL_hds1126z00_1003); BUNSPEC; 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_exitd1134z00_1004;
BgL_exitd1134z00_1004 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1133z00_5000); 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_tmp1136z00_1005;
{ /* Llib/mpd.scm 649 */
 obj_t BgL_arg2083z00_1007;
BgL_arg2083z00_1007 = 
BGL_EXITD_PROTECT(BgL_exitd1134z00_1004); 
BgL_tmp1136z00_1005 = 
MAKE_YOUNG_PAIR(BgL_ohs1125z00_1002, BgL_arg2083z00_1007); } 
{ /* Llib/mpd.scm 649 */

BGL_EXITD_PROTECT_SET(BgL_exitd1134z00_1004, BgL_tmp1136z00_1005); BUNSPEC; 
{ /* Llib/mpd.scm 655 */
 obj_t BgL_tmp1135z00_1006;
BGl_musiczd2prevzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_5002)); 
BgL_tmp1135z00_1006 = 
CNST_TABLE_REF(((long)53)); 
{ /* Llib/mpd.scm 649 */
 bool_t BgL_test3535z00_7800;
{ /* Llib/mpd.scm 649 */
 obj_t BgL_arg1811z00_2933;
BgL_arg1811z00_2933 = 
BGL_EXITD_PROTECT(BgL_exitd1134z00_1004); 
BgL_test3535z00_7800 = 
PAIRP(BgL_arg1811z00_2933); } 
if(BgL_test3535z00_7800)
{ /* Llib/mpd.scm 649 */
 obj_t BgL_arg1809z00_2934;
{ /* Llib/mpd.scm 649 */
 obj_t BgL_arg1810z00_2935;
BgL_arg1810z00_2935 = 
BGL_EXITD_PROTECT(BgL_exitd1134z00_1004); 
BgL_arg1809z00_2934 = 
CDR(
((obj_t)BgL_arg1810z00_2935)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1134z00_1004, BgL_arg1809z00_2934); BUNSPEC; }  else 
{ /* Llib/mpd.scm 649 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1133z00_5000, BgL_ohs1125z00_1002); BUNSPEC; 
BgL_res1140z00_1001 = BgL_tmp1135z00_1006; } } } } } } 
POP_ENV_EXIT(BgL_env1133z00_5000); 
return BgL_res1140z00_1001;} } 
}} 

}



/* &mpd-previous */
obj_t BGl_z62mpdzd2previouszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4442, obj_t BgL_dbz00_4443, obj_t BgL_backendz00_4444, obj_t BgL_linez00_4445, obj_t BgL_ipz00_4446, obj_t BgL_opz00_4447)
{
{ /* Llib/mpd.scm 648 */
{ /* Llib/mpd.scm 649 */
 obj_t BgL_env1133z00_5259;
BgL_env1133z00_5259 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_5261;
{ /* Llib/mpd.scm 649 */
 obj_t BgL_cell1128z00_5274;
BgL_cell1128z00_5274 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_val1132z00_5275;
BgL_val1132z00_5275 = 
BGl_zc3z04exitza32082ze3ze70z60zz__multimediazd2mpdzd2(BgL_backendz00_4444, BgL_cell1128z00_5274, BgL_env1133z00_5259); 
if(
(BgL_val1132z00_5275==BgL_cell1128z00_5274))
{ /* Llib/mpd.scm 649 */
{ /* Llib/mpd.scm 649 */
 int BgL_tmpz00_7814;
BgL_tmpz00_7814 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_7814); } 
{ /* Llib/mpd.scm 649 */
 obj_t BgL_arg2081z00_5276;
BgL_arg2081z00_5276 = 
CELL_REF(
((obj_t)BgL_val1132z00_5275)); 
BgL_ez00_5261 = BgL_arg2081z00_5276; 
{ /* Llib/mpd.scm 651 */
 bool_t BgL_test3537z00_7819;
{ /* Llib/mpd.scm 651 */
 obj_t BgL_classz00_5262;
BgL_classz00_5262 = BGl_z62iozd2errorzb0zz__objectz00; 
if(
BGL_OBJECTP(BgL_ez00_5261))
{ /* Llib/mpd.scm 651 */
 BgL_objectz00_bglt BgL_arg1793z00_5263;
BgL_arg1793z00_5263 = 
(BgL_objectz00_bglt)(BgL_ez00_5261); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 651 */
 long BgL_idxz00_5264;
BgL_idxz00_5264 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_5263); 
BgL_test3537z00_7819 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_5264+((long)4)))==BgL_classz00_5262); }  else 
{ /* Llib/mpd.scm 651 */
 bool_t BgL_res2748z00_5267;
{ /* Llib/mpd.scm 651 */
 obj_t BgL_oclassz00_5268;
{ /* Llib/mpd.scm 651 */
 long BgL_arg1801z00_5269;
{ /* Llib/mpd.scm 651 */
 long BgL_arg1802z00_5270;
BgL_arg1802z00_5270 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_5263); 
BgL_arg1801z00_5269 = 
(BgL_arg1802z00_5270-OBJECT_TYPE); } 
BgL_oclassz00_5268 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5269); } 
{ /* Llib/mpd.scm 651 */
 bool_t BgL__ortest_1110z00_5271;
BgL__ortest_1110z00_5271 = 
(BgL_classz00_5262==BgL_oclassz00_5268); 
if(BgL__ortest_1110z00_5271)
{ /* Llib/mpd.scm 651 */
BgL_res2748z00_5267 = BgL__ortest_1110z00_5271; }  else 
{ /* Llib/mpd.scm 651 */
 long BgL_odepthz00_5272;
BgL_odepthz00_5272 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5268); 
if(
(((long)4)<BgL_odepthz00_5272))
{ /* Llib/mpd.scm 651 */
 obj_t BgL_arg1790z00_5273;
BgL_arg1790z00_5273 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5268, ((long)4)); 
BgL_res2748z00_5267 = 
(BgL_arg1790z00_5273==BgL_classz00_5262); }  else 
{ /* Llib/mpd.scm 651 */
BgL_res2748z00_5267 = ((bool_t)0); } } } } 
BgL_test3537z00_7819 = BgL_res2748z00_5267; } }  else 
{ /* Llib/mpd.scm 651 */
BgL_test3537z00_7819 = ((bool_t)0)
; } } 
if(BgL_test3537z00_7819)
{ /* Llib/mpd.scm 651 */
{ /* Llib/mpd.scm 325 */
 obj_t BgL_tmpz00_7839;
BgL_tmpz00_7839 = 
((obj_t)BgL_opz00_4447); 
bgl_display_string(BGl_string2962z00zz__multimediazd2mpdzd2, BgL_tmpz00_7839); } 
bgl_display_obj(BGl_string2999z00zz__multimediazd2mpdzd2, BgL_opz00_4447); 
{ /* Llib/mpd.scm 327 */
 obj_t BgL_tmpz00_7843;
BgL_tmpz00_7843 = 
((obj_t)BgL_opz00_4447); 
bgl_display_string(BGl_string2964z00zz__multimediazd2mpdzd2, BgL_tmpz00_7843); } 
bgl_display_obj(BGl_string3002z00zz__multimediazd2mpdzd2, BgL_opz00_4447); 
{ /* Llib/mpd.scm 329 */
 obj_t BgL_tmpz00_7847;
BgL_tmpz00_7847 = 
((obj_t)BgL_opz00_4447); 
bgl_display_string(BGl_string2965z00zz__multimediazd2mpdzd2, BgL_tmpz00_7847); } 
bgl_display_obj(BGl_string3003z00zz__multimediazd2mpdzd2, BgL_opz00_4447); 
{ /* Llib/mpd.scm 331 */
 obj_t BgL_tmpz00_7851;
BgL_tmpz00_7851 = 
((obj_t)BgL_opz00_4447); 
bgl_display_string(BGl_string2966z00zz__multimediazd2mpdzd2, BgL_tmpz00_7851); } 
{ /* Llib/mpd.scm 332 */
 obj_t BgL_tmpz00_7854;
BgL_tmpz00_7854 = 
((obj_t)BgL_opz00_4447); 
bgl_flush_output_port(BgL_tmpz00_7854); } 
return 
CNST_TABLE_REF(((long)54));}  else 
{ /* Llib/mpd.scm 651 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_5261);} } } }  else 
{ /* Llib/mpd.scm 649 */
return BgL_val1132z00_5275;} } } } } } 

}



/* &mpd-volume */
obj_t BGl_z62mpdzd2volumezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4448, obj_t BgL_dbz00_4449, obj_t BgL_backendz00_4450, obj_t BgL_linez00_4451, obj_t BgL_ipz00_4452, obj_t BgL_opz00_4453)
{
{ /* Llib/mpd.scm 661 */
{ /* Llib/mpd.scm 661 */
 obj_t BgL_intz00_5277;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5278;
BgL_strz00_5278 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4451, ((long)1)); 
if(
STRINGP(BgL_strz00_5278))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7862;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7863;
BgL_tmpz00_7863 = 
BSTRING_TO_STRING(BgL_strz00_5278); 
BgL_tmpz00_7862 = 
BGL_STRTOL(BgL_tmpz00_7863, ((long)0), ((long)10)); } 
BgL_intz00_5277 = 
BINT(BgL_tmpz00_7862); }  else 
{ /* Llib/mpd.scm 223 */
BgL_intz00_5277 = BFALSE; } } 
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_intz00_5277))
{ /* Llib/mpd.scm 662 */
BGl_musiczd2volumezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4450), BgL_intz00_5277); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 662 */
{ /* Llib/mpd.scm 670 */
 obj_t BgL_arg2087z00_5279;
BgL_arg2087z00_5279 = 
BGl_musiczd2volumezd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4450)); 
bgl_display_obj(BgL_arg2087z00_5279, BgL_opz00_4453); } 
{ /* Llib/mpd.scm 671 */
 obj_t BgL_tmpz00_7875;
BgL_tmpz00_7875 = 
((obj_t)BgL_opz00_4453); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7875); } 
return 
CNST_TABLE_REF(((long)53));} } } 

}



/* &mpd-setvol */
obj_t BGl_z62mpdzd2setvolzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4454, obj_t BgL_dbz00_4455, obj_t BgL_backendz00_4456, obj_t BgL_linez00_4457, obj_t BgL_ipz00_4458, obj_t BgL_opz00_4459)
{
{ /* Llib/mpd.scm 684 */
{ /* Llib/mpd.scm 684 */
 obj_t BgL_intz00_5280;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5281;
BgL_strz00_5281 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4457, ((long)1)); 
if(
STRINGP(BgL_strz00_5281))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7882;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7883;
BgL_tmpz00_7883 = 
BSTRING_TO_STRING(BgL_strz00_5281); 
BgL_tmpz00_7882 = 
BGL_STRTOL(BgL_tmpz00_7883, ((long)0), ((long)10)); } 
BgL_intz00_5280 = 
BINT(BgL_tmpz00_7882); }  else 
{ /* Llib/mpd.scm 223 */
BgL_intz00_5280 = BFALSE; } } 
BGl_musiczd2volumezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4456), BgL_intz00_5280); 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-clearerror */
obj_t BGl_z62mpdzd2clearerrorzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4460, obj_t BgL_dbz00_4461, obj_t BgL_backendz00_4462, obj_t BgL_linez00_4463, obj_t BgL_ipz00_4464, obj_t BgL_opz00_4465)
{
{ /* Llib/mpd.scm 690 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-close */
obj_t BGl_z62mpdzd2closezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4466, obj_t BgL_dbz00_4467, obj_t BgL_backendz00_4468, obj_t BgL_linez00_4469, obj_t BgL_ipz00_4470, obj_t BgL_opz00_4471)
{
{ /* Llib/mpd.scm 696 */
return 
CNST_TABLE_REF(((long)24));} 

}



/* &mpd-stats */
obj_t BGl_z62mpdzd2statszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4472, obj_t BgL_dbz00_4473, obj_t BgL_backendz00_4474, obj_t BgL_linez00_4475, obj_t BgL_ipz00_4476, obj_t BgL_opz00_4477)
{
{ /* Llib/mpd.scm 702 */
BGl_mpdzd2databasezd2statsz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4473), BgL_backendz00_4474, BgL_opz00_4477); 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-listall */
obj_t BGl_z62mpdzd2listallzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4478, obj_t BgL_dbz00_4479, obj_t BgL_backendz00_4480, obj_t BgL_linez00_4481, obj_t BgL_ipz00_4482, obj_t BgL_opz00_4483)
{
{ /* Llib/mpd.scm 709 */
BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4479), BgL_opz00_4483); 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-list */
obj_t BGl_z62mpdzd2listzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4484, obj_t BgL_dbz00_4485, obj_t BgL_backendz00_4486, obj_t BgL_linez00_4487, obj_t BgL_ipz00_4488, obj_t BgL_opz00_4489)
{
{ /* Llib/mpd.scm 716 */
{ /* Llib/mpd.scm 716 */
 obj_t BgL_symz00_5282; obj_t BgL_string2z00_5283; obj_t BgL_string3z00_5284;
BgL_symz00_5282 = 
BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4487, ((long)1)); 
BgL_string2z00_5283 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4487, ((long)2)); 
BgL_string3z00_5284 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4487, ((long)3)); 
if(
(BgL_symz00_5282==
CNST_TABLE_REF(((long)71))))
{ /* Llib/mpd.scm 717 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_string2z00_5283, BGl_string3004z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 720 */
BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4485), BgL_opz00_4489, BgL_string3z00_5284); }  else 
{ /* Llib/mpd.scm 720 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_string2z00_5283, BGl_string3005z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 722 */
BGl_mpdzd2databasezd2listgenrealbumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4485), BgL_opz00_4489, BgL_string3z00_5284); }  else 
{ /* Llib/mpd.scm 722 */
BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4485), BgL_opz00_4489, BgL_string2z00_5283); } } 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 717 */
if(
(BgL_symz00_5282==
CNST_TABLE_REF(((long)69))))
{ /* Llib/mpd.scm 717 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_string2z00_5283, BGl_string3005z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 728 */
BGl_mpdzd2databasezd2listgenreartistz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4485), BgL_opz00_4489, BgL_string3z00_5284); }  else 
{ /* Llib/mpd.scm 728 */
BGl_mpdzd2databasezd2listartistz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4485), BgL_opz00_4489); } 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 717 */
if(
(BgL_symz00_5282==
CNST_TABLE_REF(((long)72))))
{ /* Llib/mpd.scm 717 */
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 717 */
if(
(BgL_symz00_5282==
CNST_TABLE_REF(((long)73))))
{ /* Llib/mpd.scm 717 */
BGl_mpdzd2databasezd2listgenrez00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4485), BgL_opz00_4489); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 717 */
if(
CBOOL(BgL_symz00_5282))
{ /* Llib/mpd.scm 740 */
 obj_t BgL_list2095z00_5285;
BgL_list2095z00_5285 = 
MAKE_YOUNG_PAIR(BgL_symz00_5282, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3006z00zz__multimediazd2mpdzd2, BgL_list2095z00_5285);}  else 
{ /* Llib/mpd.scm 738 */
return BGl_string3007z00zz__multimediazd2mpdzd2;} } } } } } } 

}



/* &mpd-listallinfo */
obj_t BGl_z62mpdzd2listallinfozb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4490, obj_t BgL_dbz00_4491, obj_t BgL_backendz00_4492, obj_t BgL_linez00_4493, obj_t BgL_ipz00_4494, obj_t BgL_opz00_4495)
{
{ /* Llib/mpd.scm 745 */
{ /* Llib/mpd.scm 745 */
 obj_t BgL_dirz00_5286;
BgL_dirz00_5286 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4493, ((long)1)); 
{ /* Llib/mpd.scm 746 */
 obj_t BgL_arg2096z00_5287;
if(
CBOOL(BgL_dirz00_5286))
{ /* Llib/mpd.scm 746 */
BgL_arg2096z00_5287 = BgL_dirz00_5286; }  else 
{ /* Llib/mpd.scm 746 */
 obj_t BgL_list2098z00_5288;
BgL_list2098z00_5288 = 
MAKE_YOUNG_PAIR(
BCHAR(FILE_SEPARATOR), BNIL); 
BgL_arg2096z00_5287 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list2098z00_5288); } 
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4491), BgL_opz00_4495, BgL_arg2096z00_5287, ((bool_t)1)); } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-lsinfo */
obj_t BGl_z62mpdzd2lsinfozb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4496, obj_t BgL_dbz00_4497, obj_t BgL_backendz00_4498, obj_t BgL_linez00_4499, obj_t BgL_ipz00_4500, obj_t BgL_opz00_4501)
{
{ /* Llib/mpd.scm 752 */
{ /* Llib/mpd.scm 752 */
 obj_t BgL_dirz00_5289;
BgL_dirz00_5289 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4499, ((long)1)); 
{ /* Llib/mpd.scm 753 */
 obj_t BgL_arg2099z00_5290;
if(
CBOOL(BgL_dirz00_5289))
{ /* Llib/mpd.scm 753 */
BgL_arg2099z00_5290 = BgL_dirz00_5289; }  else 
{ /* Llib/mpd.scm 753 */
 obj_t BgL_list2101z00_5291;
BgL_list2101z00_5291 = 
MAKE_YOUNG_PAIR(
BCHAR(FILE_SEPARATOR), BNIL); 
BgL_arg2099z00_5290 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list2101z00_5291); } 
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4497), BgL_opz00_4501, BgL_arg2099z00_5290, ((bool_t)0)); } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-plconangesposid */
obj_t BGl_z62mpdzd2plconangesposidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4502, obj_t BgL_dbz00_4503, obj_t BgL_backendz00_4504, obj_t BgL_linez00_4505, obj_t BgL_ipz00_4506, obj_t BgL_opz00_4507)
{
{ /* Llib/mpd.scm 759 */
{ /* Llib/mpd.scm 759 */
 obj_t BgL_intz00_5292;
{ /* Llib/mpd.scm 222 */
 obj_t BgL_strz00_5293;
BgL_strz00_5293 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4505, ((long)1)); 
if(
STRINGP(BgL_strz00_5293))
{ /* Llib/mpd.scm 224 */
 long BgL_tmpz00_7960;
{ /* Llib/mpd.scm 224 */
 char * BgL_tmpz00_7961;
BgL_tmpz00_7961 = 
BSTRING_TO_STRING(BgL_strz00_5293); 
BgL_tmpz00_7960 = 
BGL_STRTOL(BgL_tmpz00_7961, ((long)0), ((long)10)); } 
BgL_intz00_5292 = 
BINT(BgL_tmpz00_7960); }  else 
{ /* Llib/mpd.scm 223 */
BgL_intz00_5292 = BFALSE; } } 
{ /* Llib/mpd.scm 760 */
 long BgL_numz00_5294;
BgL_numz00_5294 = ((long)0); 
{ /* Llib/mpd.scm 761 */
 obj_t BgL_g1211z00_5295;
BgL_g1211z00_5295 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4504)); 
{ 
 obj_t BgL_l1209z00_5297;
BgL_l1209z00_5297 = BgL_g1211z00_5295; 
BgL_zc3z04anonymousza32102ze3z87_5296:
if(
PAIRP(BgL_l1209z00_5297))
{ /* Llib/mpd.scm 765 */
{ /* Llib/mpd.scm 762 */
 obj_t BgL_tmpz00_7969;
BgL_tmpz00_7969 = 
((obj_t)BgL_opz00_4507); 
bgl_display_string(BGl_string3008z00zz__multimediazd2mpdzd2, BgL_tmpz00_7969); } 
bgl_display_obj(
BINT(BgL_numz00_5294), BgL_opz00_4507); 
{ /* Llib/mpd.scm 762 */
 obj_t BgL_tmpz00_7974;
BgL_tmpz00_7974 = 
((obj_t)BgL_opz00_4507); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7974); } 
{ /* Llib/mpd.scm 763 */
 obj_t BgL_tmpz00_7977;
BgL_tmpz00_7977 = 
((obj_t)BgL_opz00_4507); 
bgl_display_string(BGl_string2995z00zz__multimediazd2mpdzd2, BgL_tmpz00_7977); } 
bgl_display_obj(
BINT(BgL_numz00_5294), BgL_opz00_4507); 
{ /* Llib/mpd.scm 763 */
 obj_t BgL_tmpz00_7982;
BgL_tmpz00_7982 = 
((obj_t)BgL_opz00_4507); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7982); } 
BgL_numz00_5294 = 
(BgL_numz00_5294+((long)1)); 
{ 
 obj_t BgL_l1209z00_7986;
BgL_l1209z00_7986 = 
CDR(BgL_l1209z00_5297); 
BgL_l1209z00_5297 = BgL_l1209z00_7986; 
goto BgL_zc3z04anonymousza32102ze3z87_5296;} }  else 
{ /* Llib/mpd.scm 765 */((bool_t)1); } } } } 
return 
CNST_TABLE_REF(((long)53));} } 

}



/* &mpd-kill */
obj_t BGl_z62mpdzd2killzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4508, obj_t BgL_dbz00_4509, obj_t BgL_backendz00_4510, obj_t BgL_linez00_4511, obj_t BgL_ipz00_4512, obj_t BgL_opz00_4513)
{
{ /* Llib/mpd.scm 771 */
return 
CNST_TABLE_REF(((long)31));} 

}



/* &mpd-find */
obj_t BGl_z62mpdzd2findzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4514, obj_t BgL_dbz00_4515, obj_t BgL_backendz00_4516, obj_t BgL_linez00_4517, obj_t BgL_ipz00_4518, obj_t BgL_opz00_4519)
{
{ /* Llib/mpd.scm 777 */
{ /* Llib/mpd.scm 777 */
 obj_t BgL_symbolz00_5298; obj_t BgL_string2z00_5299;
BgL_symbolz00_5298 = 
BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4517, ((long)1)); 
BgL_string2z00_5299 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4517, ((long)2)); 
if(
(BgL_symbolz00_5298==
CNST_TABLE_REF(((long)71))))
{ /* Llib/mpd.scm 778 */
BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4515), BgL_opz00_4519, BgL_string2z00_5299); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 778 */
if(
(BgL_symbolz00_5298==
CNST_TABLE_REF(((long)69))))
{ /* Llib/mpd.scm 778 */
BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4515), BgL_opz00_4519, BgL_string2z00_5299); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 778 */
if(
(BgL_symbolz00_5298==
CNST_TABLE_REF(((long)70))))
{ /* Llib/mpd.scm 778 */
BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4515), BgL_opz00_4519, BgL_string2z00_5299); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 778 */
if(
(BgL_symbolz00_5298==
CNST_TABLE_REF(((long)73))))
{ /* Llib/mpd.scm 778 */
BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4515), BgL_opz00_4519, BgL_string2z00_5299); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 792 */
 obj_t BgL_list2109z00_5300;
BgL_list2109z00_5300 = 
MAKE_YOUNG_PAIR(BgL_symbolz00_5298, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3009z00zz__multimediazd2mpdzd2, BgL_list2109z00_5300);} } } } } } 

}



/* &mpd-search */
obj_t BGl_z62mpdzd2searchzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4520, obj_t BgL_dbz00_4521, obj_t BgL_backendz00_4522, obj_t BgL_linez00_4523, obj_t BgL_ipz00_4524, obj_t BgL_opz00_4525)
{
{ /* Llib/mpd.scm 797 */
{ /* Llib/mpd.scm 797 */
 obj_t BgL_symbol1z00_5301; obj_t BgL_string2z00_5302; obj_t BgL_symbol3z00_5303; obj_t BgL_string4z00_5304;
BgL_symbol1z00_5301 = 
BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4523, ((long)1)); 
BgL_string2z00_5302 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4523, ((long)2)); 
BgL_symbol3z00_5303 = 
BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4523, ((long)3)); 
BgL_string4z00_5304 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4523, ((long)4)); 
if(
(BgL_symbol1z00_5301==
CNST_TABLE_REF(((long)71))))
{ /* Llib/mpd.scm 798 */
BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4521), BgL_opz00_4525, BgL_string2z00_5302); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol1z00_5301==
CNST_TABLE_REF(((long)69))))
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol3z00_5303==
CNST_TABLE_REF(((long)71))))
{ /* Llib/mpd.scm 803 */
BGl_mpdzd2databasezd2searchzd2artistzd2albumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4521), BgL_opz00_4525, BgL_string2z00_5302, BgL_string4z00_5304); }  else 
{ /* Llib/mpd.scm 803 */
if(
(BgL_symbol3z00_5303==
CNST_TABLE_REF(((long)70))))
{ /* Llib/mpd.scm 803 */
BGl_mpdzd2databasezd2searchzd2artistzd2titlez00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4521), BgL_opz00_4525, BgL_string2z00_5302, BgL_string4z00_5304); }  else 
{ /* Llib/mpd.scm 803 */
BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4521), BgL_opz00_4525, BgL_string2z00_5302); } } 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol1z00_5301==
CNST_TABLE_REF(((long)70))))
{ /* Llib/mpd.scm 798 */
BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4521), BgL_opz00_4525, BgL_string2z00_5302); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol1z00_5301==
CNST_TABLE_REF(((long)73))))
{ /* Llib/mpd.scm 798 */
BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4521), BgL_opz00_4525, BgL_string2z00_5302); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol1z00_5301==
CNST_TABLE_REF(((long)74))))
{ /* Llib/mpd.scm 798 */
BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4521), BgL_opz00_4525); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 820 */
 obj_t BgL_list2117z00_5305;
BgL_list2117z00_5305 = 
MAKE_YOUNG_PAIR(BgL_symbol1z00_5301, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3010z00zz__multimediazd2mpdzd2, BgL_list2117z00_5305);} } } } } } } 

}



/* &mpd-commands */
obj_t BGl_z62mpdzd2commandszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4526, obj_t BgL_dbz00_4527, obj_t BgL_backendz00_4528, obj_t BgL_linez00_4529, obj_t BgL_ipz00_4530, obj_t BgL_opz00_4531)
{
{ /* Llib/mpd.scm 825 */
{ /* Llib/mpd.scm 826 */
 obj_t BgL_g1214z00_5306;
BgL_g1214z00_5306 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3011z00zz__multimediazd2mpdzd2, BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2); 
{ 
 obj_t BgL_l1212z00_5309;
BgL_l1212z00_5309 = BgL_g1214z00_5306; 
BgL_zc3z04anonymousza32118ze3z87_5308:
if(
PAIRP(BgL_l1212z00_5309))
{ /* Llib/mpd.scm 830 */
{ /* Llib/mpd.scm 827 */
 obj_t BgL_cz00_5310;
BgL_cz00_5310 = 
CAR(BgL_l1212z00_5309); 
{ /* Llib/mpd.scm 827 */
 obj_t BgL_tmpz00_8068;
BgL_tmpz00_8068 = 
((obj_t)BgL_opz00_4531); 
bgl_display_string(BGl_string3012z00zz__multimediazd2mpdzd2, BgL_tmpz00_8068); } 
{ /* Llib/mpd.scm 828 */
 obj_t BgL_arg2120z00_5311;
BgL_arg2120z00_5311 = 
CAR(
((obj_t)BgL_cz00_5310)); 
bgl_display_obj(BgL_arg2120z00_5311, BgL_opz00_4531); } 
{ /* Llib/mpd.scm 829 */
 obj_t BgL_tmpz00_8074;
BgL_tmpz00_8074 = 
((obj_t)BgL_opz00_4531); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8074); } } 
{ 
 obj_t BgL_l1212z00_8077;
BgL_l1212z00_8077 = 
CDR(BgL_l1212z00_5309); 
BgL_l1212z00_5309 = BgL_l1212z00_8077; 
goto BgL_zc3z04anonymousza32118ze3z87_5308;} }  else 
{ /* Llib/mpd.scm 830 */((bool_t)1); } } } 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &<@anonymous:2123> */
obj_t BGl_z62zc3z04anonymousza32123ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4632, obj_t BgL_c1z00_4633, obj_t BgL_c2z00_4634)
{
{ /* Llib/mpd.scm 830 */
{ /* Llib/mpd.scm 831 */
 bool_t BgL_tmpz00_8080;
{ /* Llib/mpd.scm 831 */
 obj_t BgL_arg2124z00_5312; obj_t BgL_arg2125z00_5313;
{ /* Llib/mpd.scm 831 */
 obj_t BgL_arg2126z00_5314;
BgL_arg2126z00_5314 = 
CAR(
((obj_t)BgL_c1z00_4633)); 
{ /* Llib/mpd.scm 831 */
 obj_t BgL_arg1462z00_5315;
BgL_arg1462z00_5315 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg2126z00_5314)); 
BgL_arg2124z00_5312 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1462z00_5315); } } 
{ /* Llib/mpd.scm 832 */
 obj_t BgL_arg2127z00_5316;
BgL_arg2127z00_5316 = 
CAR(
((obj_t)BgL_c2z00_4634)); 
{ /* Llib/mpd.scm 832 */
 obj_t BgL_arg1462z00_5317;
BgL_arg1462z00_5317 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg2127z00_5316)); 
BgL_arg2125z00_5313 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1462z00_5317); } } 
BgL_tmpz00_8080 = 
bigloo_string_lt(BgL_arg2124z00_5312, BgL_arg2125z00_5313); } 
return 
BBOOL(BgL_tmpz00_8080);} } 

}



/* &mpd-notcommands */
obj_t BGl_z62mpdzd2notcommandszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4532, obj_t BgL_dbz00_4533, obj_t BgL_backendz00_4534, obj_t BgL_linez00_4535, obj_t BgL_ipz00_4536, obj_t BgL_opz00_4537)
{
{ /* Llib/mpd.scm 839 */
{ /* Llib/mpd.scm 840 */
 obj_t BgL_g1217z00_5318;
BgL_g1217z00_5318 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3013z00zz__multimediazd2mpdzd2, BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2); 
{ 
 obj_t BgL_l1215z00_5321;
BgL_l1215z00_5321 = BgL_g1217z00_5318; 
BgL_zc3z04anonymousza32128ze3z87_5320:
if(
PAIRP(BgL_l1215z00_5321))
{ /* Llib/mpd.scm 844 */
{ /* Llib/mpd.scm 841 */
 obj_t BgL_cz00_5322;
BgL_cz00_5322 = 
CAR(BgL_l1215z00_5321); 
{ /* Llib/mpd.scm 841 */
 obj_t BgL_tmpz00_8097;
BgL_tmpz00_8097 = 
((obj_t)BgL_opz00_4537); 
bgl_display_string(BGl_string3012z00zz__multimediazd2mpdzd2, BgL_tmpz00_8097); } 
{ /* Llib/mpd.scm 842 */
 obj_t BgL_arg2130z00_5323;
BgL_arg2130z00_5323 = 
CAR(
((obj_t)BgL_cz00_5322)); 
bgl_display_obj(BgL_arg2130z00_5323, BgL_opz00_4537); } 
{ /* Llib/mpd.scm 843 */
 obj_t BgL_tmpz00_8103;
BgL_tmpz00_8103 = 
((obj_t)BgL_opz00_4537); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8103); } } 
{ 
 obj_t BgL_l1215z00_8106;
BgL_l1215z00_8106 = 
CDR(BgL_l1215z00_5321); 
BgL_l1215z00_5321 = BgL_l1215z00_8106; 
goto BgL_zc3z04anonymousza32128ze3z87_5320;} }  else 
{ /* Llib/mpd.scm 844 */((bool_t)1); } } } 
return 
CNST_TABLE_REF(((long)53));} 

}



/* &<@anonymous:2133> */
obj_t BGl_z62zc3z04anonymousza32133ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4636, obj_t BgL_c1z00_4637, obj_t BgL_c2z00_4638)
{
{ /* Llib/mpd.scm 844 */
{ /* Llib/mpd.scm 845 */
 bool_t BgL_tmpz00_8109;
{ /* Llib/mpd.scm 845 */
 obj_t BgL_arg2134z00_5324; obj_t BgL_arg2135z00_5325;
{ /* Llib/mpd.scm 845 */
 obj_t BgL_arg2136z00_5326;
BgL_arg2136z00_5326 = 
CAR(
((obj_t)BgL_c1z00_4637)); 
{ /* Llib/mpd.scm 845 */
 obj_t BgL_arg1462z00_5327;
BgL_arg1462z00_5327 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg2136z00_5326)); 
BgL_arg2134z00_5324 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1462z00_5327); } } 
{ /* Llib/mpd.scm 846 */
 obj_t BgL_arg2137z00_5328;
BgL_arg2137z00_5328 = 
CAR(
((obj_t)BgL_c2z00_4638)); 
{ /* Llib/mpd.scm 846 */
 obj_t BgL_arg1462z00_5329;
BgL_arg1462z00_5329 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg2137z00_5328)); 
BgL_arg2135z00_5325 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1462z00_5329); } } 
BgL_tmpz00_8109 = 
bigloo_string_lt(BgL_arg2134z00_5324, BgL_arg2135z00_5325); } 
return 
BBOOL(BgL_tmpz00_8109);} } 

}



/* &mpd-addid */
obj_t BGl_z62mpdzd2addidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4538, obj_t BgL_dbz00_4539, obj_t BgL_backendz00_4540, obj_t BgL_linez00_4541, obj_t BgL_ipz00_4542, obj_t BgL_opz00_4543)
{
{ /* Llib/mpd.scm 853 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-crossfade */
obj_t BGl_z62mpdzd2crossfadezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4544, obj_t BgL_dbz00_4545, obj_t BgL_backendz00_4546, obj_t BgL_linez00_4547, obj_t BgL_ipz00_4548, obj_t BgL_opz00_4549)
{
{ /* Llib/mpd.scm 858 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-move */
obj_t BGl_z62mpdzd2movezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4550, obj_t BgL_dbz00_4551, obj_t BgL_backendz00_4552, obj_t BgL_linez00_4553, obj_t BgL_ipz00_4554, obj_t BgL_opz00_4555)
{
{ /* Llib/mpd.scm 863 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-moveid */
obj_t BGl_z62mpdzd2moveidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4556, obj_t BgL_dbz00_4557, obj_t BgL_backendz00_4558, obj_t BgL_linez00_4559, obj_t BgL_ipz00_4560, obj_t BgL_opz00_4561)
{
{ /* Llib/mpd.scm 868 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-password */
obj_t BGl_z62mpdzd2passwordzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4562, obj_t BgL_dbz00_4563, obj_t BgL_backendz00_4564, obj_t BgL_linez00_4565, obj_t BgL_ipz00_4566, obj_t BgL_opz00_4567)
{
{ /* Llib/mpd.scm 873 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-random */
obj_t BGl_z62mpdzd2randomzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4568, obj_t BgL_dbz00_4569, obj_t BgL_backendz00_4570, obj_t BgL_linez00_4571, obj_t BgL_ipz00_4572, obj_t BgL_opz00_4573)
{
{ /* Llib/mpd.scm 878 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-repeat */
obj_t BGl_z62mpdzd2repeatzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4574, obj_t BgL_dbz00_4575, obj_t BgL_backendz00_4576, obj_t BgL_linez00_4577, obj_t BgL_ipz00_4578, obj_t BgL_opz00_4579)
{
{ /* Llib/mpd.scm 883 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-rm */
obj_t BGl_z62mpdzd2rmzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4580, obj_t BgL_dbz00_4581, obj_t BgL_backendz00_4582, obj_t BgL_linez00_4583, obj_t BgL_ipz00_4584, obj_t BgL_opz00_4585)
{
{ /* Llib/mpd.scm 888 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-save */
obj_t BGl_z62mpdzd2savezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4586, obj_t BgL_dbz00_4587, obj_t BgL_backendz00_4588, obj_t BgL_linez00_4589, obj_t BgL_ipz00_4590, obj_t BgL_opz00_4591)
{
{ /* Llib/mpd.scm 893 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-shuffle */
obj_t BGl_z62mpdzd2shufflezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4592, obj_t BgL_dbz00_4593, obj_t BgL_backendz00_4594, obj_t BgL_linez00_4595, obj_t BgL_ipz00_4596, obj_t BgL_opz00_4597)
{
{ /* Llib/mpd.scm 898 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-swap */
obj_t BGl_z62mpdzd2swapzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4598, obj_t BgL_dbz00_4599, obj_t BgL_backendz00_4600, obj_t BgL_linez00_4601, obj_t BgL_ipz00_4602, obj_t BgL_opz00_4603)
{
{ /* Llib/mpd.scm 903 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-swapid */
obj_t BGl_z62mpdzd2swapidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4604, obj_t BgL_dbz00_4605, obj_t BgL_backendz00_4606, obj_t BgL_linez00_4607, obj_t BgL_ipz00_4608, obj_t BgL_opz00_4609)
{
{ /* Llib/mpd.scm 908 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-update */
obj_t BGl_z62mpdzd2updatezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4610, obj_t BgL_dbz00_4611, obj_t BgL_backendz00_4612, obj_t BgL_linez00_4613, obj_t BgL_ipz00_4614, obj_t BgL_opz00_4615)
{
{ /* Llib/mpd.scm 913 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* &mpd-outputs */
obj_t BGl_z62mpdzd2outputszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4616, obj_t BgL_dbz00_4617, obj_t BgL_backendz00_4618, obj_t BgL_linez00_4619, obj_t BgL_ipz00_4620, obj_t BgL_opz00_4621)
{
{ /* Llib/mpd.scm 918 */
return 
CNST_TABLE_REF(((long)53));} 

}



/* loop~5 */
obj_t BGl_loopze75ze7zz__multimediazd2mpdzd2(obj_t BgL_l1z00_1111, obj_t BgL_l2z00_1112)
{
{ /* Llib/mpd.scm 924 */
{ /* Llib/mpd.scm 927 */
 bool_t BgL_test3570z00_8136;
if(
NULLP(BgL_l1z00_1111))
{ /* Llib/mpd.scm 927 */
BgL_test3570z00_8136 = ((bool_t)1)
; }  else 
{ /* Llib/mpd.scm 927 */
BgL_test3570z00_8136 = 
NULLP(BgL_l2z00_1112)
; } 
if(BgL_test3570z00_8136)
{ /* Llib/mpd.scm 927 */
return BNIL;}  else 
{ /* Llib/mpd.scm 929 */
 bool_t BgL_test3572z00_8140;
{ /* Llib/mpd.scm 929 */
 obj_t BgL_arg2148z00_1123; obj_t BgL_arg2149z00_1124;
BgL_arg2148z00_1123 = 
CAR(
((obj_t)BgL_l1z00_1111)); 
BgL_arg2149z00_1124 = 
CAR(
((obj_t)BgL_l2z00_1112)); 
{ /* Llib/mpd.scm 929 */
 long BgL_l1z00_3025;
BgL_l1z00_3025 = 
STRING_LENGTH(
((obj_t)BgL_arg2148z00_1123)); 
if(
(BgL_l1z00_3025==
STRING_LENGTH(
((obj_t)BgL_arg2149z00_1124))))
{ /* Llib/mpd.scm 929 */
 int BgL_arg1290z00_3028;
{ /* Llib/mpd.scm 929 */
 char * BgL_auxz00_8154; char * BgL_tmpz00_8151;
BgL_auxz00_8154 = 
BSTRING_TO_STRING(
((obj_t)BgL_arg2149z00_1124)); 
BgL_tmpz00_8151 = 
BSTRING_TO_STRING(
((obj_t)BgL_arg2148z00_1123)); 
BgL_arg1290z00_3028 = 
memcmp(BgL_tmpz00_8151, BgL_auxz00_8154, BgL_l1z00_3025); } 
BgL_test3572z00_8140 = 
(
(long)(BgL_arg1290z00_3028)==((long)0)); }  else 
{ /* Llib/mpd.scm 929 */
BgL_test3572z00_8140 = ((bool_t)0)
; } } } 
if(BgL_test3572z00_8140)
{ /* Llib/mpd.scm 930 */
 obj_t BgL_arg2144z00_1119; obj_t BgL_arg2145z00_1120;
BgL_arg2144z00_1119 = 
CAR(
((obj_t)BgL_l1z00_1111)); 
{ /* Llib/mpd.scm 930 */
 obj_t BgL_arg2146z00_1121; obj_t BgL_arg2147z00_1122;
BgL_arg2146z00_1121 = 
CDR(
((obj_t)BgL_l1z00_1111)); 
BgL_arg2147z00_1122 = 
CDR(
((obj_t)BgL_l2z00_1112)); 
BgL_arg2145z00_1120 = 
BGl_loopze75ze7zz__multimediazd2mpdzd2(BgL_arg2146z00_1121, BgL_arg2147z00_1122); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2144z00_1119, BgL_arg2145z00_1120);}  else 
{ /* Llib/mpd.scm 929 */
return BNIL;} } } } 

}



/* file-system-root? */
bool_t BGl_filezd2systemzd2rootzf3zf3zz__multimediazd2mpdzd2(obj_t BgL_dirz00_330)
{
{ /* Llib/mpd.scm 949 */
if(
(
STRING_LENGTH(BgL_dirz00_330)==((long)1)))
{ /* Llib/mpd.scm 950 */
return 
(
STRING_REF(BgL_dirz00_330, ((long)0))==
(unsigned char)(FILE_SEPARATOR));}  else 
{ /* Llib/mpd.scm 950 */
return ((bool_t)0);} } 

}



/* directory->sort-list */
obj_t BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(obj_t BgL_dirz00_332)
{
{ /* Llib/mpd.scm 988 */
return 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3014z00zz__multimediazd2mpdzd2, 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_332)));} 

}



/* &<@anonymous:2160> */
obj_t BGl_z62zc3z04anonymousza32160ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4640, obj_t BgL_s1z00_4641, obj_t BgL_s2z00_4642)
{
{ /* Llib/mpd.scm 989 */
{ /* Llib/mpd.scm 990 */
 bool_t BgL_tmpz00_8177;
{ /* Llib/mpd.scm 990 */
 int BgL_arg2161z00_5330;
{ /* Llib/mpd.scm 990 */

BgL_arg2161z00_5330 = 
BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(BgL_s1z00_4641, BgL_s2z00_4642, 
BINT(((long)0)), 
BINT(((long)0))); } 
BgL_tmpz00_8177 = 
(
(long)(BgL_arg2161z00_5330)<((long)0)); } 
return 
BBOOL(BgL_tmpz00_8177);} } 

}



/* mpd->file */
obj_t BGl_mpdzd2ze3filez31zz__multimediazd2mpdzd2(obj_t BgL_filez00_333, obj_t BgL_dbz00_334, obj_t BgL_opz00_335, obj_t BgL_cmdz00_336)
{
{ /* Llib/mpd.scm 996 */
{ /* Llib/mpd.scm 998 */
 obj_t BgL_fz00_1164;
{ /* Llib/mpd.scm 998 */
 obj_t BgL_g1224z00_1168;
BgL_g1224z00_1168 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_334)))->BgL_directoriesz00); 
{ 
 obj_t BgL_l1222z00_1170;
BgL_l1222z00_1170 = BgL_g1224z00_1168; 
BgL_zc3z04anonymousza32163ze3z87_1171:
if(
NULLP(BgL_l1222z00_1170))
{ /* Llib/mpd.scm 998 */
BgL_fz00_1164 = BFALSE; }  else 
{ /* Llib/mpd.scm 999 */
 obj_t BgL__ortest_1225z00_1173;
{ /* Llib/mpd.scm 999 */
 obj_t BgL_dirz00_1175;
BgL_dirz00_1175 = 
CAR(
((obj_t)BgL_l1222z00_1170)); 
{ /* Llib/mpd.scm 999 */
 obj_t BgL_pz00_1176;
BgL_pz00_1176 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_1175, BgL_filez00_333); 
if(
fexists(
BSTRING_TO_STRING(BgL_pz00_1176)))
{ /* Llib/mpd.scm 1000 */
BgL__ortest_1225z00_1173 = BgL_pz00_1176; }  else 
{ /* Llib/mpd.scm 1000 */
BgL__ortest_1225z00_1173 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1225z00_1173))
{ /* Llib/mpd.scm 998 */
BgL_fz00_1164 = BgL__ortest_1225z00_1173; }  else 
{ /* Llib/mpd.scm 998 */
 obj_t BgL_arg2165z00_1174;
BgL_arg2165z00_1174 = 
CDR(
((obj_t)BgL_l1222z00_1170)); 
{ 
 obj_t BgL_l1222z00_8198;
BgL_l1222z00_8198 = BgL_arg2165z00_1174; 
BgL_l1222z00_1170 = BgL_l1222z00_8198; 
goto BgL_zc3z04anonymousza32163ze3z87_1171;} } } } } 
if(
STRINGP(BgL_fz00_1164))
{ /* Llib/mpd.scm 1003 */
return BgL_fz00_1164;}  else 
{ /* Llib/mpd.scm 1003 */
{ /* Llib/mpd.scm 325 */
 obj_t BgL_tmpz00_8201;
BgL_tmpz00_8201 = 
((obj_t)BgL_opz00_335); 
bgl_display_string(BGl_string2962z00zz__multimediazd2mpdzd2, BgL_tmpz00_8201); } 
bgl_display_obj(BGl_string2999z00zz__multimediazd2mpdzd2, BgL_opz00_335); 
{ /* Llib/mpd.scm 327 */
 obj_t BgL_tmpz00_8205;
BgL_tmpz00_8205 = 
((obj_t)BgL_opz00_335); 
bgl_display_string(BGl_string2964z00zz__multimediazd2mpdzd2, BgL_tmpz00_8205); } 
bgl_display_obj(BgL_cmdz00_336, BgL_opz00_335); 
{ /* Llib/mpd.scm 329 */
 obj_t BgL_tmpz00_8209;
BgL_tmpz00_8209 = 
((obj_t)BgL_opz00_335); 
bgl_display_string(BGl_string2965z00zz__multimediazd2mpdzd2, BgL_tmpz00_8209); } 
bgl_display_obj(BGl_string3015z00zz__multimediazd2mpdzd2, BgL_opz00_335); 
{ /* Llib/mpd.scm 331 */
 obj_t BgL_tmpz00_8213;
BgL_tmpz00_8213 = 
((obj_t)BgL_opz00_335); 
bgl_display_string(BGl_string2966z00zz__multimediazd2mpdzd2, BgL_tmpz00_8213); } 
{ /* Llib/mpd.scm 332 */
 obj_t BgL_tmpz00_8216;
BgL_tmpz00_8216 = 
((obj_t)BgL_opz00_335); 
bgl_flush_output_port(BgL_tmpz00_8216); } 
return 
CNST_TABLE_REF(((long)54));} } } 

}



/* file->mpd */
obj_t BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(obj_t BgL_filez00_337, obj_t BgL_dbz00_338)
{
{ /* Llib/mpd.scm 1010 */
{ /* Llib/mpd.scm 1012 */
 long BgL_blenz00_1180;
BgL_blenz00_1180 = 
STRING_LENGTH(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_338)))->BgL_z52basez52)); 
if(
(
STRING_LENGTH(
((obj_t)BgL_filez00_337))>BgL_blenz00_1180))
{ /* Llib/mpd.scm 1014 */
 long BgL_arg2169z00_1183;
BgL_arg2169z00_1183 = 
(BgL_blenz00_1180+((long)1)); 
{ /* Llib/mpd.scm 1014 */
 long BgL_endz00_1186;
BgL_endz00_1186 = 
STRING_LENGTH(
((obj_t)BgL_filez00_337)); 
{ /* Llib/mpd.scm 1014 */

return 
BGl_substringz00zz__r4_strings_6_7z00(BgL_filez00_337, BgL_arg2169z00_1183, BgL_endz00_1186);} } }  else 
{ /* Llib/mpd.scm 1013 */
return BGl_string2950z00zz__multimediazd2mpdzd2;} } } 

}



/* image-file? */
bool_t BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(obj_t BgL_fz00_341)
{
{ /* Llib/mpd.scm 1028 */
{ 
 obj_t BgL_l1226z00_1192;
BgL_l1226z00_1192 = 
CNST_TABLE_REF(((long)75)); 
BgL_zc3z04anonymousza32173ze3z87_1193:
if(
NULLP(BgL_l1226z00_1192))
{ /* Llib/mpd.scm 1029 */
return ((bool_t)0);}  else 
{ /* Llib/mpd.scm 1029 */
 bool_t BgL__ortest_1229z00_1195;
{ /* Llib/mpd.scm 1029 */

BgL__ortest_1229z00_1195 = 
BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(
CAR(
((obj_t)BgL_l1226z00_1192)), BgL_fz00_341, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL__ortest_1229z00_1195)
{ /* Llib/mpd.scm 1029 */
return BgL__ortest_1229z00_1195;}  else 
{ 
 obj_t BgL_l1226z00_8237;
BgL_l1226z00_8237 = 
CDR(
((obj_t)BgL_l1226z00_1192)); 
BgL_l1226z00_1192 = BgL_l1226z00_8237; 
goto BgL_zc3z04anonymousza32173ze3z87_1193;} } } } 

}



/* directory-image */
obj_t BGl_directoryzd2imagezd2zz__multimediazd2mpdzd2(obj_t BgL_dirz00_342)
{
{ /* Llib/mpd.scm 1034 */
{ /* Llib/mpd.scm 1035 */
 obj_t BgL_fz00_1205;
{ /* Llib/mpd.scm 1035 */
 obj_t BgL_g1232z00_1207;
BgL_g1232z00_1207 = 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_342)); 
{ 
 obj_t BgL_list1231z00_1209;
BgL_list1231z00_1209 = BgL_g1232z00_1207; 
BgL_zc3z04anonymousza32177ze3z87_1210:
if(
PAIRP(BgL_list1231z00_1209))
{ /* Llib/mpd.scm 1035 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1231z00_1209)))
{ /* Llib/mpd.scm 1035 */
BgL_fz00_1205 = 
CAR(BgL_list1231z00_1209); }  else 
{ 
 obj_t BgL_list1231z00_8249;
BgL_list1231z00_8249 = 
CDR(BgL_list1231z00_1209); 
BgL_list1231z00_1209 = BgL_list1231z00_8249; 
goto BgL_zc3z04anonymousza32177ze3z87_1210;} }  else 
{ /* Llib/mpd.scm 1035 */
BgL_fz00_1205 = BFALSE; } } } 
if(
STRINGP(BgL_fz00_1205))
{ /* Llib/mpd.scm 1036 */
return 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_342, BgL_fz00_1205);}  else 
{ /* Llib/mpd.scm 1036 */
return BFALSE;} } } 

}



/* music-file? */
bool_t BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(obj_t BgL_fz00_343, obj_t BgL_dbz00_344)
{
{ /* Llib/mpd.scm 1042 */
{ 
 obj_t BgL_l1233z00_1220;
BgL_l1233z00_1220 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_344)))->BgL_suffixesz00); 
BgL_zc3z04anonymousza32184ze3z87_1221:
if(
NULLP(BgL_l1233z00_1220))
{ /* Llib/mpd.scm 1044 */
return ((bool_t)0);}  else 
{ /* Llib/mpd.scm 1044 */
 bool_t BgL__ortest_1236z00_1223;
{ /* Llib/mpd.scm 1044 */

BgL__ortest_1236z00_1223 = 
BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(
CAR(
((obj_t)BgL_l1233z00_1220)), BgL_fz00_343, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL__ortest_1236z00_1223)
{ /* Llib/mpd.scm 1044 */
return BgL__ortest_1236z00_1223;}  else 
{ 
 obj_t BgL_l1233z00_8260;
BgL_l1233z00_8260 = 
CDR(
((obj_t)BgL_l1233z00_1220)); 
BgL_l1233z00_1220 = BgL_l1233z00_8260; 
goto BgL_zc3z04anonymousza32184ze3z87_1221;} } } } 

}



/* mpd-database-directories-scan */
obj_t BGl_mpdzd2databasezd2directorieszd2scanzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_347, obj_t BgL_directoriesz00_348)
{
{ /* Llib/mpd.scm 1055 */
{ /* Llib/mpd.scm 1055 */
struct bgl_cell BgL_box3587_4998z00; 
 obj_t BgL_nsongsz00_4998;
BgL_nsongsz00_4998 = 
MAKE_CELL_STACK(
BINT(((long)0)),BgL_box3587_4998z00); 
{ /* Llib/mpd.scm 1057 */
 obj_t BgL_artistsz00_1239;
BgL_artistsz00_1239 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
{ /* Llib/mpd.scm 1058 */
 obj_t BgL_albumsz00_1240;
BgL_albumsz00_1240 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
{ /* Llib/mpd.scm 1059 */
 obj_t BgL_genresz00_1241;
BgL_genresz00_1241 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
{ 
 obj_t BgL_l1240z00_1244;
BgL_l1240z00_1244 = BgL_directoriesz00_348; 
BgL_zc3z04anonymousza32190ze3z87_1245:
if(
PAIRP(BgL_l1240z00_1244))
{ /* Llib/mpd.scm 1082 */
{ /* Llib/mpd.scm 1082 */
 obj_t BgL_dz00_1247;
BgL_dz00_1247 = 
CAR(BgL_l1240z00_1244); 
BGl_directoryzd2scanze70z35zz__multimediazd2mpdzd2(BgL_dbz00_347, BgL_genresz00_1241, BgL_albumsz00_1240, BgL_artistsz00_1239, BgL_nsongsz00_4998, BgL_dz00_1247, BgL_dz00_1247); } 
{ 
 obj_t BgL_l1240z00_8273;
BgL_l1240z00_8273 = 
CDR(BgL_l1240z00_1244); 
BgL_l1240z00_1244 = BgL_l1240z00_8273; 
goto BgL_zc3z04anonymousza32190ze3z87_1245;} }  else 
{ /* Llib/mpd.scm 1082 */((bool_t)1); } } 
{ /* Llib/mpd.scm 1084 */
 obj_t BgL_val0_1242z00_1250; obj_t BgL_val1_1243z00_1251; obj_t BgL_val2_1244z00_1252; long BgL_val3_1245z00_1253;
BgL_val0_1242z00_1250 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3016z00zz__multimediazd2mpdzd2, 
BGl_hashtablezd2mapzd2zz__hashz00(BgL_artistsz00_1239, BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00)); 
BgL_val1_1243z00_1251 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3017z00zz__multimediazd2mpdzd2, 
BGl_hashtablezd2mapzd2zz__hashz00(BgL_albumsz00_1240, BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00)); 
BgL_val2_1244z00_1252 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3018z00zz__multimediazd2mpdzd2, 
BGl_hashtablezd2mapzd2zz__hashz00(BgL_genresz00_1241, BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00)); 
BgL_val3_1245z00_1253 = 
(long)CINT(
CELL_REF(BgL_nsongsz00_4998)); 
{ /* Llib/mpd.scm 1084 */
 int BgL_tmpz00_8282;
BgL_tmpz00_8282 = 
(int)(((long)4)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8282); } 
{ /* Llib/mpd.scm 1084 */
 int BgL_tmpz00_8285;
BgL_tmpz00_8285 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_8285, BgL_val1_1243z00_1251); } 
{ /* Llib/mpd.scm 1084 */
 int BgL_tmpz00_8288;
BgL_tmpz00_8288 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_8288, BgL_val2_1244z00_1252); } 
{ /* Llib/mpd.scm 1084 */
 obj_t BgL_auxz00_8293; int BgL_tmpz00_8291;
BgL_auxz00_8293 = 
BINT(BgL_val3_1245z00_1253); 
BgL_tmpz00_8291 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_8291, BgL_auxz00_8293); } 
return BgL_val0_1242z00_1250;} } } } } } 

}



/* directory-scan~0 */
bool_t BGl_directoryzd2scanze70z35zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_4996, obj_t BgL_genresz00_4995, obj_t BgL_albumsz00_4994, obj_t BgL_artistsz00_4993, obj_t BgL_nsongsz00_4992, obj_t BgL_dirz00_1278, obj_t BgL_repoz00_1279)
{
{ /* Llib/mpd.scm 1080 */
{ /* Llib/mpd.scm 1063 */
 obj_t BgL_albumz00_1281;
BgL_albumz00_1281 = 
BGl_basenamez00zz__osz00(BgL_dirz00_1278); 
{ /* Llib/mpd.scm 1063 */
 obj_t BgL_dir2z00_1282;
BgL_dir2z00_1282 = 
BGl_dirnamez00zz__osz00(BgL_dirz00_1278); 
{ /* Llib/mpd.scm 1064 */
 obj_t BgL_artistz00_1283;
BgL_artistz00_1283 = 
BGl_basenamez00zz__osz00(BgL_dir2z00_1282); 
{ /* Llib/mpd.scm 1065 */
 obj_t BgL_dir3z00_1284;
BgL_dir3z00_1284 = 
BGl_dirnamez00zz__osz00(BgL_dir2z00_1282); 
{ /* Llib/mpd.scm 1066 */
 obj_t BgL_genrez00_1285;
BgL_genrez00_1285 = 
BGl_basenamez00zz__osz00(BgL_dir3z00_1284); 
{ /* Llib/mpd.scm 1067 */
 bool_t BgL_addz00_1286;
BgL_addz00_1286 = ((bool_t)0); 
{ /* Llib/mpd.scm 1068 */

{ /* Llib/mpd.scm 1069 */
 obj_t BgL_g1239z00_1287;
BgL_g1239z00_1287 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_1278); 
{ 
 obj_t BgL_l1237z00_1289;
BgL_l1237z00_1289 = BgL_g1239z00_1287; 
BgL_zc3z04anonymousza32209ze3z87_1290:
if(
PAIRP(BgL_l1237z00_1289))
{ /* Llib/mpd.scm 1080 */
{ /* Llib/mpd.scm 1071 */
 obj_t BgL_pz00_1292;
BgL_pz00_1292 = 
CAR(BgL_l1237z00_1289); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_1292)))
{ /* Llib/mpd.scm 1071 */
BBOOL(
BGl_directoryzd2scanze70z35zz__multimediazd2mpdzd2(BgL_dbz00_4996, BgL_genresz00_4995, BgL_albumsz00_4994, BgL_artistsz00_4993, BgL_nsongsz00_4992, BgL_pz00_1292, BgL_repoz00_1279)); }  else 
{ /* Llib/mpd.scm 1071 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_1292, 
((obj_t)BgL_dbz00_4996)))
{ /* Llib/mpd.scm 1073 */
{ /* Llib/mpd.scm 1074 */
 obj_t BgL_auxz00_4997;
BgL_auxz00_4997 = 
ADDFX(
CELL_REF(BgL_nsongsz00_4992), 
BINT(((long)1))); 
CELL_SET(BgL_nsongsz00_4992, BgL_auxz00_4997); } 
if(BgL_addz00_1286)
{ /* Llib/mpd.scm 1075 */BFALSE; }  else 
{ /* Llib/mpd.scm 1075 */
BgL_addz00_1286 = ((bool_t)1); 
BGl_hashtablezd2putz12zc0zz__hashz00(BgL_artistsz00_4993, BgL_artistz00_1283, BgL_dir2z00_1282); 
BGl_hashtablezd2putz12zc0zz__hashz00(BgL_albumsz00_4994, BgL_albumz00_1281, BgL_dirz00_1278); 
BGl_hashtablezd2putz12zc0zz__hashz00(BgL_genresz00_4995, BgL_genrez00_1285, BgL_dir3z00_1284); } }  else 
{ /* Llib/mpd.scm 1073 */BFALSE; } } } 
{ 
 obj_t BgL_l1237z00_8319;
BgL_l1237z00_8319 = 
CDR(BgL_l1237z00_1289); 
BgL_l1237z00_1289 = BgL_l1237z00_8319; 
goto BgL_zc3z04anonymousza32209ze3z87_1290;} }  else 
{ /* Llib/mpd.scm 1080 */
return ((bool_t)1);} } } } } } } } } } } 

}



/* &<@anonymous:2205> */
obj_t BGl_z62zc3z04anonymousza32205ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4646, obj_t BgL_e1z00_4647, obj_t BgL_e2z00_4648)
{
{ /* Llib/mpd.scm 1088 */
{ /* Llib/mpd.scm 1088 */
 bool_t BgL_tmpz00_8321;
{ /* Llib/mpd.scm 1088 */
 obj_t BgL_string1z00_5331; obj_t BgL_string2z00_5332;
BgL_string1z00_5331 = 
CAR(
((obj_t)BgL_e1z00_4647)); 
BgL_string2z00_5332 = 
CAR(
((obj_t)BgL_e2z00_4648)); 
BgL_tmpz00_8321 = 
bigloo_string_lt(BgL_string1z00_5331, BgL_string2z00_5332); } 
return 
BBOOL(BgL_tmpz00_8321);} } 

}



/* &<@anonymous:2200> */
obj_t BGl_z62zc3z04anonymousza32200ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4649, obj_t BgL_e1z00_4650, obj_t BgL_e2z00_4651)
{
{ /* Llib/mpd.scm 1086 */
{ /* Llib/mpd.scm 1086 */
 bool_t BgL_tmpz00_8328;
{ /* Llib/mpd.scm 1086 */
 obj_t BgL_string1z00_5333; obj_t BgL_string2z00_5334;
BgL_string1z00_5333 = 
CAR(
((obj_t)BgL_e1z00_4650)); 
BgL_string2z00_5334 = 
CAR(
((obj_t)BgL_e2z00_4651)); 
BgL_tmpz00_8328 = 
bigloo_string_lt(BgL_string1z00_5333, BgL_string2z00_5334); } 
return 
BBOOL(BgL_tmpz00_8328);} } 

}



/* &<@anonymous:2195> */
obj_t BGl_z62zc3z04anonymousza32195ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4652, obj_t BgL_e1z00_4653, obj_t BgL_e2z00_4654)
{
{ /* Llib/mpd.scm 1084 */
{ /* Llib/mpd.scm 1084 */
 bool_t BgL_tmpz00_8335;
{ /* Llib/mpd.scm 1084 */
 obj_t BgL_string1z00_5335; obj_t BgL_string2z00_5336;
BgL_string1z00_5335 = 
CAR(
((obj_t)BgL_e1z00_4653)); 
BgL_string2z00_5336 = 
CAR(
((obj_t)BgL_e2z00_4654)); 
BgL_tmpz00_8335 = 
bigloo_string_lt(BgL_string1z00_5335, BgL_string2z00_5336); } 
return 
BBOOL(BgL_tmpz00_8335);} } 

}



/* loop~4 */
bool_t BGl_loopze74ze7zz__multimediazd2mpdzd2(obj_t BgL_opz00_4991, BgL_mpdzd2databasezd2_bglt BgL_dbz00_4990, obj_t BgL_albumz00_4989, obj_t BgL_artistz00_4988, obj_t BgL_dirz00_1302)
{
{ /* Llib/mpd.scm 1270 */
{ /* Llib/mpd.scm 1271 */
 obj_t BgL_artistz00_1304;
if(
CBOOL(BgL_artistz00_4988))
{ /* Llib/mpd.scm 1271 */
BgL_artistz00_1304 = BgL_artistz00_4988; }  else 
{ /* Llib/mpd.scm 1271 */
BgL_artistz00_1304 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_1302)); } 
{ /* Llib/mpd.scm 1271 */
 obj_t BgL_albumz00_1305;
if(
CBOOL(BgL_albumz00_4989))
{ /* Llib/mpd.scm 1272 */
BgL_albumz00_1305 = BgL_albumz00_4989; }  else 
{ /* Llib/mpd.scm 1272 */
BgL_albumz00_1305 = 
BGl_basenamez00zz__osz00(BgL_dirz00_1302); } 
{ /* Llib/mpd.scm 1272 */
 obj_t BgL_filesz00_1306;
BgL_filesz00_1306 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3019z00zz__multimediazd2mpdzd2, 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_1302))); 
{ /* Llib/mpd.scm 1273 */
 obj_t BgL_imgz00_1307;
{ /* Llib/mpd.scm 1276 */
 obj_t BgL_fz00_1321;
{ 
 obj_t BgL_list1287z00_1324;
BgL_list1287z00_1324 = BgL_filesz00_1306; 
BgL_zc3z04anonymousza32224ze3z87_1325:
if(
PAIRP(BgL_list1287z00_1324))
{ /* Llib/mpd.scm 1276 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1287z00_1324)))
{ /* Llib/mpd.scm 1276 */
BgL_fz00_1321 = 
CAR(BgL_list1287z00_1324); }  else 
{ 
 obj_t BgL_list1287z00_8358;
BgL_list1287z00_8358 = 
CDR(BgL_list1287z00_1324); 
BgL_list1287z00_1324 = BgL_list1287z00_8358; 
goto BgL_zc3z04anonymousza32224ze3z87_1325;} }  else 
{ /* Llib/mpd.scm 1276 */
BgL_fz00_1321 = BFALSE; } } 
if(
STRINGP(BgL_fz00_1321))
{ /* Llib/mpd.scm 1277 */
BgL_imgz00_1307 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_1302, BgL_fz00_1321); }  else 
{ /* Llib/mpd.scm 1277 */
BgL_imgz00_1307 = BFALSE; } } 
{ /* Llib/mpd.scm 1276 */

{ 
 obj_t BgL_l1288z00_1309;
BgL_l1288z00_1309 = BgL_filesz00_1306; 
BgL_zc3z04anonymousza32218ze3z87_1310:
if(
PAIRP(BgL_l1288z00_1309))
{ /* Llib/mpd.scm 1279 */
{ /* Llib/mpd.scm 1280 */
 obj_t BgL_fz00_1312;
BgL_fz00_1312 = 
CAR(BgL_l1288z00_1309); 
{ /* Llib/mpd.scm 1280 */
 obj_t BgL_pz00_1313;
BgL_pz00_1313 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_1302, BgL_fz00_1312); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_1313)))
{ /* Llib/mpd.scm 1282 */
BGl_loopze74ze7zz__multimediazd2mpdzd2(BgL_opz00_4991, BgL_dbz00_4990, BgL_albumz00_4989, BgL_artistz00_4988, BgL_pz00_1313); }  else 
{ /* Llib/mpd.scm 1282 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_1313, 
((obj_t)BgL_dbz00_4990)))
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1195z00_3112;
BgL_g1195z00_3112 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_dbz00_4990), BgL_pz00_1313, BgL_artistz00_1304, BgL_albumz00_1305, BgL_imgz00_1307); 
{ 
 obj_t BgL_l1193z00_3114;
BgL_l1193z00_3114 = BgL_g1195z00_3112; 
BgL_zc3z04anonymousza32019ze3z87_3113:
if(
PAIRP(BgL_l1193z00_3114))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_3116;
BgL_kz00_3116 = 
CAR(BgL_l1193z00_3114); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2021z00_3117;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2022z00_3118;
BgL_arg2022z00_3118 = 
CAR(
((obj_t)BgL_kz00_3116)); 
BgL_arg2021z00_3117 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2022z00_3118)); } 
bgl_display_obj(BgL_arg2021z00_3117, BgL_opz00_4991); } 
bgl_display_string(BGl_string2988z00zz__multimediazd2mpdzd2, BgL_opz00_4991); 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2023z00_3119;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_3129;
BgL_pairz00_3129 = 
CDR(
((obj_t)BgL_kz00_3116)); 
BgL_arg2023z00_3119 = 
CAR(BgL_pairz00_3129); } 
bgl_display_obj(BgL_arg2023z00_3119, BgL_opz00_4991); } 
bgl_display_char(((unsigned char)10), BgL_opz00_4991); } 
{ 
 obj_t BgL_l1193z00_8390;
BgL_l1193z00_8390 = 
CDR(BgL_l1193z00_3114); 
BgL_l1193z00_3114 = BgL_l1193z00_8390; 
goto BgL_zc3z04anonymousza32019ze3z87_3113;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } }  else 
{ /* Llib/mpd.scm 1284 */((bool_t)0); } } } } 
{ 
 obj_t BgL_l1288z00_8392;
BgL_l1288z00_8392 = 
CDR(BgL_l1288z00_1309); 
BgL_l1288z00_1309 = BgL_l1288z00_8392; 
goto BgL_zc3z04anonymousza32218ze3z87_1310;} }  else 
{ /* Llib/mpd.scm 1279 */
return ((bool_t)1);} } } } } } } } 

}



/* &<@anonymous:2232> */
obj_t BGl_z62zc3z04anonymousza32232ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4659, obj_t BgL_s1z00_4660, obj_t BgL_s2z00_4661)
{
{ /* Llib/mpd.scm 1273 */
{ /* Llib/mpd.scm 1274 */
 bool_t BgL_tmpz00_8394;
{ /* Llib/mpd.scm 1274 */
 int BgL_arg2233z00_5337;
{ /* Llib/mpd.scm 1274 */

BgL_arg2233z00_5337 = 
BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(BgL_s1z00_4660, BgL_s2z00_4661, 
BINT(((long)0)), 
BINT(((long)0))); } 
BgL_tmpz00_8394 = 
(
(long)(BgL_arg2233z00_5337)<((long)0)); } 
return 
BBOOL(BgL_tmpz00_8394);} } 

}



/* getinfofile */
obj_t BGl_getinfofilez00zz__multimediazd2mpdzd2(obj_t BgL_dbz00_406, obj_t BgL_filez00_407, obj_t BgL_artistz00_408, obj_t BgL_albumz00_409, obj_t BgL_imagez00_410)
{
{ /* Llib/mpd.scm 1444 */
{ 
 obj_t BgL_filez00_1435; obj_t BgL_tagz00_1436; obj_t BgL_filez00_1415; obj_t BgL_dtz00_1401;
{ /* Llib/mpd.scm 1477 */
 bool_t BgL_test3602z00_8401;
if(
fexists(
BSTRING_TO_STRING(BgL_filez00_407)))
{ /* Llib/mpd.scm 1477 */
BgL_test3602z00_8401 = 
bgl_directoryp(
BSTRING_TO_STRING(BgL_filez00_407))
; }  else 
{ /* Llib/mpd.scm 1477 */
BgL_test3602z00_8401 = ((bool_t)1)
; } 
if(BgL_test3602z00_8401)
{ /* Llib/mpd.scm 1478 */
 obj_t BgL_arg2237z00_1368;
{ /* Llib/mpd.scm 1478 */
 obj_t BgL_arg2238z00_1369;
{ /* Llib/mpd.scm 1478 */
 obj_t BgL_arg2239z00_1370;
if(
bigloo_strcmp_at(BgL_filez00_407, BGl_string2990z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 1021 */
BgL_arg2239z00_1370 = BgL_filez00_407; }  else 
{ /* Llib/mpd.scm 1021 */
BgL_arg2239z00_1370 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_filez00_407, BgL_dbz00_406); } 
BgL_arg2238z00_1369 = 
MAKE_YOUNG_PAIR(BgL_arg2239z00_1370, BNIL); } 
BgL_arg2237z00_1368 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)82)), BgL_arg2238z00_1369); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2237z00_1368, BNIL);}  else 
{ /* Llib/mpd.scm 1479 */
 obj_t BgL_tagz00_1371; obj_t BgL_infoz00_1372; obj_t BgL_dtz00_1373; obj_t BgL_imgz00_1374;
BgL_tagz00_1371 = 
BGl_filezd2musictagzd2zz__multimediazd2id3zd2(BgL_filez00_407); 
BgL_infoz00_1372 = 
BGl_filezd2musicinfozd2zz__multimediazd2id3zd2(BgL_filez00_407); 
BgL_dtz00_1373 = 
bgl_seconds_to_date(
bgl_last_modification_time(
BSTRING_TO_STRING(BgL_filez00_407))); 
if(
STRINGP(BgL_imagez00_410))
{ /* Llib/mpd.scm 1482 */
BgL_imgz00_1374 = 
BGl_directoryzd2imagezd2zz__multimediazd2mpdzd2(
BGl_dirnamez00zz__osz00(BgL_filez00_407)); }  else 
{ /* Llib/mpd.scm 1482 */
BgL_imgz00_1374 = BFALSE; } 
{ /* Llib/mpd.scm 1483 */
 obj_t BgL_arg2240z00_1375; obj_t BgL_arg2241z00_1376;
{ /* Llib/mpd.scm 1483 */
 obj_t BgL_arg2242z00_1377;
{ /* Llib/mpd.scm 1483 */
 obj_t BgL_arg2243z00_1378;
if(
bigloo_strcmp_at(BgL_filez00_407, BGl_string2990z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 1021 */
BgL_arg2243z00_1378 = BgL_filez00_407; }  else 
{ /* Llib/mpd.scm 1021 */
BgL_arg2243z00_1378 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_filez00_407, BgL_dbz00_406); } 
BgL_arg2242z00_1377 = 
MAKE_YOUNG_PAIR(BgL_arg2243z00_1378, BNIL); } 
BgL_arg2240z00_1375 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)82)), BgL_arg2242z00_1377); } 
{ /* Llib/mpd.scm 1484 */
 obj_t BgL_arg2244z00_1379; obj_t BgL_arg2245z00_1380;
{ /* Llib/mpd.scm 1484 */
 obj_t BgL_arg2246z00_1381;
{ /* Llib/mpd.scm 1484 */
 obj_t BgL_tmpz00_8429;
BgL_dtz00_1401 = BgL_dtz00_1373; 
{ /* Llib/mpd.scm 1448 */
 int BgL_arg2265z00_1403; int BgL_arg2266z00_1404; int BgL_arg2267z00_1405; int BgL_arg2268z00_1406; int BgL_arg2269z00_1407; int BgL_arg2270z00_1408;
BgL_arg2265z00_1403 = 
BGL_DATE_YEAR(BgL_dtz00_1401); 
BgL_arg2266z00_1404 = 
BGL_DATE_MONTH(BgL_dtz00_1401); 
BgL_arg2267z00_1405 = 
BGL_DATE_DAY(BgL_dtz00_1401); 
BgL_arg2268z00_1406 = 
BGL_DATE_HOUR(BgL_dtz00_1401); 
BgL_arg2269z00_1407 = 
BGL_DATE_MINUTE(BgL_dtz00_1401); 
BgL_arg2270z00_1408 = 
BGL_DATE_SECOND(BgL_dtz00_1401); 
{ /* Llib/mpd.scm 1447 */
 obj_t BgL_list2271z00_1409;
{ /* Llib/mpd.scm 1447 */
 obj_t BgL_arg2272z00_1410;
{ /* Llib/mpd.scm 1447 */
 obj_t BgL_arg2273z00_1411;
{ /* Llib/mpd.scm 1447 */
 obj_t BgL_arg2274z00_1412;
{ /* Llib/mpd.scm 1447 */
 obj_t BgL_arg2275z00_1413;
{ /* Llib/mpd.scm 1447 */
 obj_t BgL_arg2276z00_1414;
BgL_arg2276z00_1414 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2270z00_1408), BNIL); 
BgL_arg2275z00_1413 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2269z00_1407), BgL_arg2276z00_1414); } 
BgL_arg2274z00_1412 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2268z00_1406), BgL_arg2275z00_1413); } 
BgL_arg2273z00_1411 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2267z00_1405), BgL_arg2274z00_1412); } 
BgL_arg2272z00_1410 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2266z00_1404), BgL_arg2273z00_1411); } 
BgL_list2271z00_1409 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2265z00_1403), BgL_arg2272z00_1410); } 
BgL_tmpz00_8429 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3020z00zz__multimediazd2mpdzd2, BgL_list2271z00_1409); } } 
BgL_arg2246z00_1381 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_8429, BNIL); } 
BgL_arg2244z00_1379 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)83)), BgL_arg2246z00_1381); } 
{ /* Llib/mpd.scm 1485 */
 obj_t BgL_arg2248z00_1383; obj_t BgL_arg2249z00_1384;
{ /* Llib/mpd.scm 1485 */
 bool_t BgL_test3607z00_8452;
{ /* Llib/mpd.scm 1485 */
 obj_t BgL_classz00_3149;
BgL_classz00_3149 = BGl_musicinfoz00zz__multimediazd2id3zd2; 
if(
BGL_OBJECTP(BgL_infoz00_1372))
{ /* Llib/mpd.scm 1485 */
 BgL_objectz00_bglt BgL_arg1793z00_3151;
BgL_arg1793z00_3151 = 
(BgL_objectz00_bglt)(BgL_infoz00_1372); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1485 */
 long BgL_idxz00_3157;
BgL_idxz00_3157 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_3151); 
BgL_test3607z00_8452 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3157+((long)1)))==BgL_classz00_3149); }  else 
{ /* Llib/mpd.scm 1485 */
 bool_t BgL_res2749z00_3179;
{ /* Llib/mpd.scm 1485 */
 obj_t BgL_oclassz00_3165;
{ /* Llib/mpd.scm 1485 */
 long BgL_arg1801z00_3171;
{ /* Llib/mpd.scm 1485 */
 long BgL_arg1802z00_3172;
BgL_arg1802z00_3172 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_3151); 
BgL_arg1801z00_3171 = 
(BgL_arg1802z00_3172-OBJECT_TYPE); } 
BgL_oclassz00_3165 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_3171); } 
{ /* Llib/mpd.scm 1485 */
 bool_t BgL__ortest_1110z00_3166;
BgL__ortest_1110z00_3166 = 
(BgL_classz00_3149==BgL_oclassz00_3165); 
if(BgL__ortest_1110z00_3166)
{ /* Llib/mpd.scm 1485 */
BgL_res2749z00_3179 = BgL__ortest_1110z00_3166; }  else 
{ /* Llib/mpd.scm 1485 */
 long BgL_odepthz00_3167;
BgL_odepthz00_3167 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3165); 
if(
(((long)1)<BgL_odepthz00_3167))
{ /* Llib/mpd.scm 1485 */
 obj_t BgL_arg1790z00_3169;
BgL_arg1790z00_3169 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3165, ((long)1)); 
BgL_res2749z00_3179 = 
(BgL_arg1790z00_3169==BgL_classz00_3149); }  else 
{ /* Llib/mpd.scm 1485 */
BgL_res2749z00_3179 = ((bool_t)0); } } } } 
BgL_test3607z00_8452 = BgL_res2749z00_3179; } }  else 
{ /* Llib/mpd.scm 1485 */
BgL_test3607z00_8452 = ((bool_t)0)
; } } 
if(BgL_test3607z00_8452)
{ /* Llib/mpd.scm 1487 */
 obj_t BgL_arg2251z00_1387;
{ /* Llib/mpd.scm 1487 */
 obj_t BgL_arg2252z00_1388;
{ /* Llib/mpd.scm 1487 */
 long BgL_arg2253z00_1389;
BgL_arg2253z00_1389 = 
(((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_infoz00_1372)))->BgL_durationz00); 
BgL_arg2252z00_1388 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2253z00_1389), BNIL); } 
BgL_arg2251z00_1387 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)84)), BgL_arg2252z00_1388); } 
BgL_arg2248z00_1383 = 
MAKE_YOUNG_PAIR(BgL_arg2251z00_1387, BNIL); }  else 
{ /* Llib/mpd.scm 1485 */
BgL_arg2248z00_1383 = BNIL; } } 
{ /* Llib/mpd.scm 1489 */
 obj_t BgL_arg2254z00_1390; obj_t BgL_arg2255z00_1391;
{ /* Llib/mpd.scm 1489 */
 bool_t BgL_test3612z00_8479;
{ /* Llib/mpd.scm 1489 */
 obj_t BgL_classz00_3180;
BgL_classz00_3180 = BGl_musictagz00zz__multimediazd2id3zd2; 
if(
BGL_OBJECTP(BgL_tagz00_1371))
{ /* Llib/mpd.scm 1489 */
 BgL_objectz00_bglt BgL_arg1793z00_3182;
BgL_arg1793z00_3182 = 
(BgL_objectz00_bglt)(BgL_tagz00_1371); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1489 */
 long BgL_idxz00_3188;
BgL_idxz00_3188 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_3182); 
BgL_test3612z00_8479 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3188+((long)1)))==BgL_classz00_3180); }  else 
{ /* Llib/mpd.scm 1489 */
 bool_t BgL_res2750z00_3210;
{ /* Llib/mpd.scm 1489 */
 obj_t BgL_oclassz00_3196;
{ /* Llib/mpd.scm 1489 */
 long BgL_arg1801z00_3202;
{ /* Llib/mpd.scm 1489 */
 long BgL_arg1802z00_3203;
BgL_arg1802z00_3203 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_3182); 
BgL_arg1801z00_3202 = 
(BgL_arg1802z00_3203-OBJECT_TYPE); } 
BgL_oclassz00_3196 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_3202); } 
{ /* Llib/mpd.scm 1489 */
 bool_t BgL__ortest_1110z00_3197;
BgL__ortest_1110z00_3197 = 
(BgL_classz00_3180==BgL_oclassz00_3196); 
if(BgL__ortest_1110z00_3197)
{ /* Llib/mpd.scm 1489 */
BgL_res2750z00_3210 = BgL__ortest_1110z00_3197; }  else 
{ /* Llib/mpd.scm 1489 */
 long BgL_odepthz00_3198;
BgL_odepthz00_3198 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3196); 
if(
(((long)1)<BgL_odepthz00_3198))
{ /* Llib/mpd.scm 1489 */
 obj_t BgL_arg1790z00_3200;
BgL_arg1790z00_3200 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3196, ((long)1)); 
BgL_res2750z00_3210 = 
(BgL_arg1790z00_3200==BgL_classz00_3180); }  else 
{ /* Llib/mpd.scm 1489 */
BgL_res2750z00_3210 = ((bool_t)0); } } } } 
BgL_test3612z00_8479 = BgL_res2750z00_3210; } }  else 
{ /* Llib/mpd.scm 1489 */
BgL_test3612z00_8479 = ((bool_t)0)
; } } 
if(BgL_test3612z00_8479)
{ /* Llib/mpd.scm 1489 */
BgL_filez00_1435 = BgL_filez00_407; 
BgL_tagz00_1436 = BgL_tagz00_1371; 
{ /* Llib/mpd.scm 1461 */
 obj_t BgL_dirz00_1439;
BgL_dirz00_1439 = 
BGl_dirnamez00zz__osz00(BgL_filez00_1435); 
{ /* Llib/mpd.scm 1461 */
 obj_t BgL_atz00_1440;
if(
CBOOL(BgL_artistz00_408))
{ /* Llib/mpd.scm 1462 */
BgL_atz00_1440 = BgL_artistz00_408; }  else 
{ /* Llib/mpd.scm 1462 */
if(
bigloo_strcicmp(
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1436)))->BgL_artistz00), BGl_string3021z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1463 */
BgL_atz00_1440 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_1439))); }  else 
{ /* Llib/mpd.scm 1463 */
BgL_atz00_1440 = 
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1436)))->BgL_artistz00); } } 
{ /* Llib/mpd.scm 1462 */
 obj_t BgL_alz00_1441;
if(
CBOOL(BgL_albumz00_409))
{ /* Llib/mpd.scm 1466 */
BgL_alz00_1441 = BgL_albumz00_409; }  else 
{ /* Llib/mpd.scm 1466 */
if(
bigloo_strcicmp(
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1436)))->BgL_albumz00), BGl_string3022z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1467 */
BgL_alz00_1441 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(BgL_dirz00_1439)); }  else 
{ /* Llib/mpd.scm 1467 */
BgL_alz00_1441 = 
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1436)))->BgL_albumz00); } } 
{ /* Llib/mpd.scm 1466 */

{ /* Llib/mpd.scm 1470 */
 obj_t BgL_arg2294z00_1442; obj_t BgL_arg2295z00_1443;
{ /* Llib/mpd.scm 1470 */
 obj_t BgL_arg2296z00_1444;
BgL_arg2296z00_1444 = 
MAKE_YOUNG_PAIR(BgL_atz00_1440, BNIL); 
BgL_arg2294z00_1442 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)76)), BgL_arg2296z00_1444); } 
{ /* Llib/mpd.scm 1471 */
 obj_t BgL_arg2297z00_1445; obj_t BgL_arg2298z00_1446;
{ /* Llib/mpd.scm 1471 */
 obj_t BgL_arg2299z00_1447;
{ /* Llib/mpd.scm 1471 */
 obj_t BgL_arg2300z00_1448;
BgL_arg2300z00_1448 = 
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1436)))->BgL_titlez00); 
BgL_arg2299z00_1447 = 
MAKE_YOUNG_PAIR(BgL_arg2300z00_1448, BNIL); } 
BgL_arg2297z00_1445 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)77)), BgL_arg2299z00_1447); } 
{ /* Llib/mpd.scm 1472 */
 obj_t BgL_arg2301z00_1449; obj_t BgL_arg2302z00_1450;
{ /* Llib/mpd.scm 1472 */
 obj_t BgL_arg2303z00_1451;
BgL_arg2303z00_1451 = 
MAKE_YOUNG_PAIR(BgL_alz00_1441, BNIL); 
BgL_arg2301z00_1449 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)78)), BgL_arg2303z00_1451); } 
{ /* Llib/mpd.scm 1473 */
 obj_t BgL_arg2304z00_1452; obj_t BgL_arg2305z00_1453;
{ /* Llib/mpd.scm 1473 */
 obj_t BgL_arg2306z00_1454;
{ /* Llib/mpd.scm 1473 */
 int BgL_arg2307z00_1455;
BgL_arg2307z00_1455 = 
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1436)))->BgL_trackz00); 
BgL_arg2306z00_1454 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2307z00_1455), BNIL); } 
BgL_arg2304z00_1452 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)79)), BgL_arg2306z00_1454); } 
{ /* Llib/mpd.scm 1474 */
 obj_t BgL_arg2308z00_1456; obj_t BgL_arg2309z00_1457;
{ /* Llib/mpd.scm 1474 */
 obj_t BgL_arg2310z00_1458;
{ /* Llib/mpd.scm 1474 */
 int BgL_arg2311z00_1459;
BgL_arg2311z00_1459 = 
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1436)))->BgL_yearz00); 
BgL_arg2310z00_1458 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2311z00_1459), BNIL); } 
BgL_arg2308z00_1456 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)80)), BgL_arg2310z00_1458); } 
{ /* Llib/mpd.scm 1475 */
 obj_t BgL_arg2312z00_1460;
{ /* Llib/mpd.scm 1475 */
 obj_t BgL_arg2313z00_1461;
{ /* Llib/mpd.scm 1475 */
 obj_t BgL_arg2314z00_1462;
BgL_arg2314z00_1462 = 
(((BgL_musictagz00_bglt)COBJECT(
((BgL_musictagz00_bglt)BgL_tagz00_1436)))->BgL_genrez00); 
BgL_arg2313z00_1461 = 
MAKE_YOUNG_PAIR(BgL_arg2314z00_1462, BNIL); } 
BgL_arg2312z00_1460 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)81)), BgL_arg2313z00_1461); } 
BgL_arg2309z00_1457 = 
MAKE_YOUNG_PAIR(BgL_arg2312z00_1460, BNIL); } 
BgL_arg2305z00_1453 = 
MAKE_YOUNG_PAIR(BgL_arg2308z00_1456, BgL_arg2309z00_1457); } 
BgL_arg2302z00_1450 = 
MAKE_YOUNG_PAIR(BgL_arg2304z00_1452, BgL_arg2305z00_1453); } 
BgL_arg2298z00_1446 = 
MAKE_YOUNG_PAIR(BgL_arg2301z00_1449, BgL_arg2302z00_1450); } 
BgL_arg2295z00_1443 = 
MAKE_YOUNG_PAIR(BgL_arg2297z00_1445, BgL_arg2298z00_1446); } 
BgL_arg2254z00_1390 = 
MAKE_YOUNG_PAIR(BgL_arg2294z00_1442, BgL_arg2295z00_1443); } } } } } }  else 
{ /* Llib/mpd.scm 1489 */
BgL_filez00_1415 = BgL_filez00_407; 
{ /* Llib/mpd.scm 1452 */
 obj_t BgL_dirz00_1417;
BgL_dirz00_1417 = 
BGl_dirnamez00zz__osz00(BgL_filez00_1415); 
{ /* Llib/mpd.scm 1453 */
 obj_t BgL_arg2278z00_1418; obj_t BgL_arg2279z00_1419;
{ /* Llib/mpd.scm 1453 */
 obj_t BgL_arg2280z00_1420;
{ /* Llib/mpd.scm 1453 */
 obj_t BgL_arg2281z00_1421;
if(
CBOOL(BgL_artistz00_408))
{ /* Llib/mpd.scm 1453 */
BgL_arg2281z00_1421 = BgL_artistz00_408; }  else 
{ /* Llib/mpd.scm 1453 */
BgL_arg2281z00_1421 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_1417))); } 
BgL_arg2280z00_1420 = 
MAKE_YOUNG_PAIR(BgL_arg2281z00_1421, BNIL); } 
BgL_arg2278z00_1418 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)76)), BgL_arg2280z00_1420); } 
{ /* Llib/mpd.scm 1454 */
 obj_t BgL_arg2284z00_1425; obj_t BgL_arg2285z00_1426;
{ /* Llib/mpd.scm 1454 */
 obj_t BgL_arg2286z00_1427;
BgL_arg2286z00_1427 = 
MAKE_YOUNG_PAIR(
BGl_prefixz00zz__osz00(
BGl_basenamez00zz__osz00(BgL_filez00_1415)), BNIL); 
BgL_arg2284z00_1425 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)77)), BgL_arg2286z00_1427); } 
{ /* Llib/mpd.scm 1455 */
 obj_t BgL_arg2289z00_1430;
{ /* Llib/mpd.scm 1455 */
 obj_t BgL_arg2290z00_1431;
{ /* Llib/mpd.scm 1455 */
 obj_t BgL_arg2291z00_1432;
if(
CBOOL(BgL_albumz00_409))
{ /* Llib/mpd.scm 1455 */
BgL_arg2291z00_1432 = BgL_albumz00_409; }  else 
{ /* Llib/mpd.scm 1455 */
BgL_arg2291z00_1432 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(BgL_dirz00_1417)); } 
BgL_arg2290z00_1431 = 
MAKE_YOUNG_PAIR(BgL_arg2291z00_1432, BNIL); } 
BgL_arg2289z00_1430 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)78)), BgL_arg2290z00_1431); } 
BgL_arg2285z00_1426 = 
MAKE_YOUNG_PAIR(BgL_arg2289z00_1430, BNIL); } 
BgL_arg2279z00_1419 = 
MAKE_YOUNG_PAIR(BgL_arg2284z00_1425, BgL_arg2285z00_1426); } 
BgL_arg2254z00_1390 = 
MAKE_YOUNG_PAIR(BgL_arg2278z00_1418, BgL_arg2279z00_1419); } } } } 
{ /* Llib/mpd.scm 1492 */
 obj_t BgL_arg2257z00_1393;
if(
STRINGP(BgL_imgz00_1374))
{ /* Llib/mpd.scm 1493 */
 obj_t BgL_arg2259z00_1395;
{ /* Llib/mpd.scm 1493 */
 obj_t BgL_arg2260z00_1396;
BgL_arg2260z00_1396 = 
MAKE_YOUNG_PAIR(BgL_imgz00_1374, BNIL); 
BgL_arg2259z00_1395 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)85)), BgL_arg2260z00_1396); } 
BgL_arg2257z00_1393 = 
MAKE_YOUNG_PAIR(BgL_arg2259z00_1395, BNIL); }  else 
{ /* Llib/mpd.scm 1492 */
BgL_arg2257z00_1393 = BNIL; } 
BgL_arg2255z00_1391 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2257z00_1393, BNIL); } 
BgL_arg2249z00_1384 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2254z00_1390, BgL_arg2255z00_1391); } 
BgL_arg2245z00_1380 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2248z00_1383, BgL_arg2249z00_1384); } 
BgL_arg2241z00_1376 = 
MAKE_YOUNG_PAIR(BgL_arg2244z00_1379, BgL_arg2245z00_1380); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2240z00_1375, BgL_arg2241z00_1376);} } } } } 

}



/* loop~3 */
obj_t BGl_loopze73ze7zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_4987, obj_t BgL_albumz00_4986, bool_t BgL_artistz00_4985, obj_t BgL_dirz00_1478)
{
{ /* Llib/mpd.scm 1500 */
{ /* Llib/mpd.scm 1501 */
 obj_t BgL_artistz00_1480; obj_t BgL_albumz00_1481;
if(BgL_artistz00_4985)
{ /* Llib/mpd.scm 1501 */
BgL_artistz00_1480 = 
BBOOL(BgL_artistz00_4985); }  else 
{ /* Llib/mpd.scm 1501 */
BgL_artistz00_1480 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_1478)); } 
if(
CBOOL(BgL_albumz00_4986))
{ /* Llib/mpd.scm 1502 */
BgL_albumz00_1481 = BgL_albumz00_4986; }  else 
{ /* Llib/mpd.scm 1502 */
BgL_albumz00_1481 = 
BGl_basenamez00zz__osz00(BgL_dirz00_1478); } 
{ /* Llib/mpd.scm 1503 */
 obj_t BgL_l1329z00_1482;
BgL_l1329z00_1482 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3023z00zz__multimediazd2mpdzd2, 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_1478))); 
if(
NULLP(BgL_l1329z00_1482))
{ /* Llib/mpd.scm 1503 */
return BNIL;}  else 
{ /* Llib/mpd.scm 1503 */
 obj_t BgL_head1331z00_1484;
BgL_head1331z00_1484 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1329z00_1486; obj_t BgL_tail1332z00_1487;
BgL_l1329z00_1486 = BgL_l1329z00_1482; 
BgL_tail1332z00_1487 = BgL_head1331z00_1484; 
BgL_zc3z04anonymousza32326ze3z87_1488:
if(
NULLP(BgL_l1329z00_1486))
{ /* Llib/mpd.scm 1503 */
return 
CDR(BgL_head1331z00_1484);}  else 
{ /* Llib/mpd.scm 1503 */
 obj_t BgL_newtail1333z00_1490;
{ /* Llib/mpd.scm 1503 */
 obj_t BgL_arg2329z00_1492;
{ /* Llib/mpd.scm 1503 */
 obj_t BgL_fz00_1493;
BgL_fz00_1493 = 
CAR(
((obj_t)BgL_l1329z00_1486)); 
{ /* Llib/mpd.scm 1504 */
 obj_t BgL_pz00_1494;
BgL_pz00_1494 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_1478, BgL_fz00_1493); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_1494)))
{ /* Llib/mpd.scm 1506 */
BgL_arg2329z00_1492 = 
BGl_loopze73ze7zz__multimediazd2mpdzd2(BgL_dbz00_4987, BgL_albumz00_4986, BgL_artistz00_4985, BgL_pz00_1494); }  else 
{ /* Llib/mpd.scm 1506 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_1494, 
((obj_t)BgL_dbz00_4987)))
{ /* Llib/mpd.scm 1509 */

BgL_arg2329z00_1492 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_dbz00_4987), BgL_pz00_1494, BgL_artistz00_1480, BgL_albumz00_1481, BFALSE); }  else 
{ /* Llib/mpd.scm 1508 */
BgL_arg2329z00_1492 = BFALSE; } } } } 
BgL_newtail1333z00_1490 = 
MAKE_YOUNG_PAIR(BgL_arg2329z00_1492, BNIL); } 
SET_CDR(BgL_tail1332z00_1487, BgL_newtail1333z00_1490); 
{ /* Llib/mpd.scm 1503 */
 obj_t BgL_arg2328z00_1491;
BgL_arg2328z00_1491 = 
CDR(
((obj_t)BgL_l1329z00_1486)); 
{ 
 obj_t BgL_tail1332z00_8623; obj_t BgL_l1329z00_8622;
BgL_l1329z00_8622 = BgL_arg2328z00_1491; 
BgL_tail1332z00_8623 = BgL_newtail1333z00_1490; 
BgL_tail1332z00_1487 = BgL_tail1332z00_8623; 
BgL_l1329z00_1486 = BgL_l1329z00_8622; 
goto BgL_zc3z04anonymousza32326ze3z87_1488;} } } } } } } } 

}



/* &<@anonymous:2334> */
obj_t BGl_z62zc3z04anonymousza32334ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4663, obj_t BgL_s1z00_4664, obj_t BgL_s2z00_4665)
{
{ /* Llib/mpd.scm 1510 */
{ /* Llib/mpd.scm 1511 */
 bool_t BgL_tmpz00_8624;
{ /* Llib/mpd.scm 1511 */
 int BgL_arg2335z00_5338;
{ /* Llib/mpd.scm 1511 */

BgL_arg2335z00_5338 = 
BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(BgL_s1z00_4664, BgL_s2z00_4665, 
BINT(((long)0)), 
BINT(((long)0))); } 
BgL_tmpz00_8624 = 
(
(long)(BgL_arg2335z00_5338)<((long)0)); } 
return 
BBOOL(BgL_tmpz00_8624);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2mpdzd2(void)
{
{ /* Llib/mpd.scm 15 */
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2340z00_1521; obj_t BgL_arg2341z00_1522;
{ /* Llib/mpd.scm 20 */
 obj_t BgL_v1334z00_1544;
BgL_v1334z00_1544 = 
create_vector(((long)11)); 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2348z00_1545;
BgL_arg2348z00_1545 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)86)), BGl_proc3026z00zz__multimediazd2mpdzd2, BGl_proc3025z00zz__multimediazd2mpdzd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3024z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1334z00_1544,((long)0),BgL_arg2348z00_1545); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2355z00_1558;
BgL_arg2355z00_1558 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)88)), BGl_proc3029z00zz__multimediazd2mpdzd2, BGl_proc3028z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3027z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1334z00_1544,((long)1),BgL_arg2355z00_1558); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2362z00_1571;
BgL_arg2362z00_1571 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)89)), BGl_proc3032z00zz__multimediazd2mpdzd2, BGl_proc3031z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3030z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)90))); 
VECTOR_SET(BgL_v1334z00_1544,((long)2),BgL_arg2362z00_1571); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2369z00_1584;
BgL_arg2369z00_1584 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)91)), BGl_proc3035z00zz__multimediazd2mpdzd2, BGl_proc3034z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3033z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1334z00_1544,((long)3),BgL_arg2369z00_1584); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2376z00_1597;
BgL_arg2376z00_1597 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)92)), BGl_proc3038z00zz__multimediazd2mpdzd2, BGl_proc3037z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3036z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1334z00_1544,((long)4),BgL_arg2376z00_1597); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2383z00_1610;
BgL_arg2383z00_1610 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)93)), BGl_proc3041z00zz__multimediazd2mpdzd2, BGl_proc3040z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3039z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1334z00_1544,((long)5),BgL_arg2383z00_1610); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2390z00_1623;
BgL_arg2390z00_1623 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)94)), BGl_proc3044z00zz__multimediazd2mpdzd2, BGl_proc3043z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3042z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)95))); 
VECTOR_SET(BgL_v1334z00_1544,((long)6),BgL_arg2390z00_1623); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2397z00_1636;
BgL_arg2397z00_1636 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)96)), BGl_proc3047z00zz__multimediazd2mpdzd2, BGl_proc3046z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3045z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)97))); 
VECTOR_SET(BgL_v1334z00_1544,((long)7),BgL_arg2397z00_1636); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2404z00_1649;
BgL_arg2404z00_1649 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)98)), BGl_proc3050z00zz__multimediazd2mpdzd2, BGl_proc3049z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3048z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)97))); 
VECTOR_SET(BgL_v1334z00_1544,((long)8),BgL_arg2404z00_1649); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2411z00_1662;
BgL_arg2411z00_1662 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)99)), BGl_proc3053z00zz__multimediazd2mpdzd2, BGl_proc3052z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3051z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)95))); 
VECTOR_SET(BgL_v1334z00_1544,((long)9),BgL_arg2411z00_1662); } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_arg2418z00_1675;
BgL_arg2418z00_1675 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)100)), BGl_proc3056z00zz__multimediazd2mpdzd2, BGl_proc3055z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3054z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)95))); 
VECTOR_SET(BgL_v1334z00_1544,((long)10),BgL_arg2418z00_1675); } 
BgL_arg2340z00_1521 = BgL_v1334z00_1544; } 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_v1335z00_1688;
BgL_v1335z00_1688 = 
create_vector(((long)0)); 
BgL_arg2341z00_1522 = BgL_v1335z00_1688; } 
return ( 
BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)101)), 
CNST_TABLE_REF(((long)102)), BGl_objectz00zz__objectz00, ((long)35653), BGl_proc3059z00zz__multimediazd2mpdzd2, BGl_proc3058z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2initz12zd2envzc0zz__multimediazd2mpdzd2, BGl_proc3057z00zz__multimediazd2mpdzd2, BFALSE, BgL_arg2340z00_1521, BgL_arg2341z00_1522), BUNSPEC) ;} } 

}



/* &<@anonymous:2347> */
obj_t BGl_z62zc3z04anonymousza32347ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4702, obj_t BgL_new1065z00_4703)
{
{ /* Llib/mpd.scm 20 */
{ 
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_8680;
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4703)))->BgL_directoriesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4703)))->BgL_suffixesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4703)))->BgL_z52basez52)=((obj_t)BGl_string2950z00zz__multimediazd2mpdzd2),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4703)))->BgL_z52artistsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4703)))->BgL_z52albumsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4703)))->BgL_z52genresz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4703)))->BgL_z52nartistsz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4703)))->BgL_z52nalbumsz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4703)))->BgL_z52nsongsz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4703)))->BgL_z52uptimez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4703)))->BgL_z52dbzd2updatez80)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_8680 = 
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4703); 
return 
((obj_t)BgL_auxz00_8680);} } 

}



/* &lambda2345 */
BgL_mpdzd2databasezd2_bglt BGl_z62lambda2345z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4704)
{
{ /* Llib/mpd.scm 20 */
{ /* Llib/mpd.scm 20 */
 BgL_mpdzd2databasezd2_bglt BgL_new1064z00_5340;
BgL_new1064z00_5340 = 
((BgL_mpdzd2databasezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpdzd2databasezd2_bgl) ))); 
{ /* Llib/mpd.scm 20 */
 long BgL_arg2346z00_5341;
BgL_arg2346z00_5341 = 
BGL_CLASS_NUM(BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_5340), BgL_arg2346z00_5341); } 
return BgL_new1064z00_5340;} } 

}



/* &lambda2342 */
BgL_mpdzd2databasezd2_bglt BGl_z62lambda2342z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4705, obj_t BgL_directories1053z00_4706, obj_t BgL_suffixes1054z00_4707, obj_t BgL_z52base1055z52_4708, obj_t BgL_z52artists1056z52_4709, obj_t BgL_z52albums1057z52_4710, obj_t BgL_z52genres1058z52_4711, obj_t BgL_z52nartists1059z52_4712, obj_t BgL_z52nalbums1060z52_4713, obj_t BgL_z52nsongs1061z52_4714, obj_t BgL_z52uptime1062z52_4715, obj_t BgL_z52dbzd2update1063z80_4716)
{
{ /* Llib/mpd.scm 20 */
{ /* Llib/mpd.scm 20 */
 int BgL_z52nalbums1060z52_5348; int BgL_z52nsongs1061z52_5349;
BgL_z52nalbums1060z52_5348 = 
CINT(BgL_z52nalbums1060z52_4713); 
BgL_z52nsongs1061z52_5349 = 
CINT(BgL_z52nsongs1061z52_4714); 
{ /* Llib/mpd.scm 20 */
 BgL_mpdzd2databasezd2_bglt BgL_new1183z00_5350;
{ /* Llib/mpd.scm 20 */
 BgL_mpdzd2databasezd2_bglt BgL_new1182z00_5351;
BgL_new1182z00_5351 = 
((BgL_mpdzd2databasezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpdzd2databasezd2_bgl) ))); 
{ /* Llib/mpd.scm 20 */
 long BgL_arg2344z00_5352;
BgL_arg2344z00_5352 = 
BGL_CLASS_NUM(BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1182z00_5351), BgL_arg2344z00_5352); } 
BgL_new1183z00_5350 = BgL_new1182z00_5351; } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1183z00_5350))->BgL_directoriesz00)=((obj_t)
((obj_t)BgL_directories1053z00_4706)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1183z00_5350))->BgL_suffixesz00)=((obj_t)
((obj_t)BgL_suffixes1054z00_4707)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1183z00_5350))->BgL_z52basez52)=((obj_t)
((obj_t)BgL_z52base1055z52_4708)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1183z00_5350))->BgL_z52artistsz52)=((obj_t)
((obj_t)BgL_z52artists1056z52_4709)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1183z00_5350))->BgL_z52albumsz52)=((obj_t)
((obj_t)BgL_z52albums1057z52_4710)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1183z00_5350))->BgL_z52genresz52)=((obj_t)
((obj_t)BgL_z52genres1058z52_4711)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1183z00_5350))->BgL_z52nartistsz52)=((obj_t)BgL_z52nartists1059z52_4712),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1183z00_5350))->BgL_z52nalbumsz52)=((int)BgL_z52nalbums1060z52_5348),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1183z00_5350))->BgL_z52nsongsz52)=((int)BgL_z52nsongs1061z52_5349),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1183z00_5350))->BgL_z52uptimez52)=((obj_t)BgL_z52uptime1062z52_4715),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1183z00_5350))->BgL_z52dbzd2updatez80)=((obj_t)BgL_z52dbzd2update1063z80_4716),BUNSPEC); 
{ /* Llib/mpd.scm 20 */
 obj_t BgL_fun2343z00_5353;
BgL_fun2343z00_5353 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2343z00_5353))(BgL_fun2343z00_5353, 
((obj_t)BgL_new1183z00_5350), BEOA); } 
return BgL_new1183z00_5350;} } } 

}



/* &<@anonymous:2424> */
obj_t BGl_z62zc3z04anonymousza32424ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4717)
{
{ /* Llib/mpd.scm 20 */
return BUNSPEC;} 

}



/* &lambda2423 */
obj_t BGl_z62lambda2423z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4718, obj_t BgL_oz00_4719, obj_t BgL_vz00_4720)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4719)))->BgL_z52dbzd2updatez80)=((obj_t)BgL_vz00_4720),BUNSPEC);} 

}



/* &lambda2422 */
obj_t BGl_z62lambda2422z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4721, obj_t BgL_oz00_4722)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4722)))->BgL_z52dbzd2updatez80);} 

}



/* &<@anonymous:2417> */
obj_t BGl_z62zc3z04anonymousza32417ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4723)
{
{ /* Llib/mpd.scm 20 */
return BUNSPEC;} 

}



/* &lambda2416 */
obj_t BGl_z62lambda2416z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4724, obj_t BgL_oz00_4725, obj_t BgL_vz00_4726)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4725)))->BgL_z52uptimez52)=((obj_t)BgL_vz00_4726),BUNSPEC);} 

}



/* &lambda2415 */
obj_t BGl_z62lambda2415z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4727, obj_t BgL_oz00_4728)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4728)))->BgL_z52uptimez52);} 

}



/* &<@anonymous:2410> */
obj_t BGl_z62zc3z04anonymousza32410ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4729)
{
{ /* Llib/mpd.scm 20 */
return 
BINT(((long)0));} 

}



/* &lambda2409 */
obj_t BGl_z62lambda2409z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4730, obj_t BgL_oz00_4731, obj_t BgL_vz00_4732)
{
{ /* Llib/mpd.scm 20 */
{ /* Llib/mpd.scm 20 */
 int BgL_vz00_5359;
BgL_vz00_5359 = 
CINT(BgL_vz00_4732); 
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4731)))->BgL_z52nsongsz52)=((int)BgL_vz00_5359),BUNSPEC);} } 

}



/* &lambda2408 */
obj_t BGl_z62lambda2408z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4733, obj_t BgL_oz00_4734)
{
{ /* Llib/mpd.scm 20 */
return 
BINT(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4734)))->BgL_z52nsongsz52));} 

}



/* &<@anonymous:2403> */
obj_t BGl_z62zc3z04anonymousza32403ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4735)
{
{ /* Llib/mpd.scm 20 */
return 
BINT(((long)0));} 

}



/* &lambda2402 */
obj_t BGl_z62lambda2402z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4736, obj_t BgL_oz00_4737, obj_t BgL_vz00_4738)
{
{ /* Llib/mpd.scm 20 */
{ /* Llib/mpd.scm 20 */
 int BgL_vz00_5362;
BgL_vz00_5362 = 
CINT(BgL_vz00_4738); 
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4737)))->BgL_z52nalbumsz52)=((int)BgL_vz00_5362),BUNSPEC);} } 

}



/* &lambda2401 */
obj_t BGl_z62lambda2401z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4739, obj_t BgL_oz00_4740)
{
{ /* Llib/mpd.scm 20 */
return 
BINT(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4740)))->BgL_z52nalbumsz52));} 

}



/* &<@anonymous:2396> */
obj_t BGl_z62zc3z04anonymousza32396ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4741)
{
{ /* Llib/mpd.scm 20 */
return 
BINT(((long)0));} 

}



/* &lambda2395 */
obj_t BGl_z62lambda2395z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4742, obj_t BgL_oz00_4743, obj_t BgL_vz00_4744)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4743)))->BgL_z52nartistsz52)=((obj_t)BgL_vz00_4744),BUNSPEC);} 

}



/* &lambda2394 */
obj_t BGl_z62lambda2394z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4745, obj_t BgL_oz00_4746)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4746)))->BgL_z52nartistsz52);} 

}



/* &<@anonymous:2389> */
obj_t BGl_z62zc3z04anonymousza32389ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4747)
{
{ /* Llib/mpd.scm 20 */
return BNIL;} 

}



/* &lambda2388 */
obj_t BGl_z62lambda2388z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4748, obj_t BgL_oz00_4749, obj_t BgL_vz00_4750)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4749)))->BgL_z52genresz52)=((obj_t)
((obj_t)BgL_vz00_4750)),BUNSPEC);} 

}



/* &lambda2387 */
obj_t BGl_z62lambda2387z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4751, obj_t BgL_oz00_4752)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4752)))->BgL_z52genresz52);} 

}



/* &<@anonymous:2382> */
obj_t BGl_z62zc3z04anonymousza32382ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4753)
{
{ /* Llib/mpd.scm 20 */
return BNIL;} 

}



/* &lambda2381 */
obj_t BGl_z62lambda2381z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4754, obj_t BgL_oz00_4755, obj_t BgL_vz00_4756)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4755)))->BgL_z52albumsz52)=((obj_t)
((obj_t)BgL_vz00_4756)),BUNSPEC);} 

}



/* &lambda2380 */
obj_t BGl_z62lambda2380z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4757, obj_t BgL_oz00_4758)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4758)))->BgL_z52albumsz52);} 

}



/* &<@anonymous:2375> */
obj_t BGl_z62zc3z04anonymousza32375ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4759)
{
{ /* Llib/mpd.scm 20 */
return BNIL;} 

}



/* &lambda2374 */
obj_t BGl_z62lambda2374z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4760, obj_t BgL_oz00_4761, obj_t BgL_vz00_4762)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4761)))->BgL_z52artistsz52)=((obj_t)
((obj_t)BgL_vz00_4762)),BUNSPEC);} 

}



/* &lambda2373 */
obj_t BGl_z62lambda2373z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4763, obj_t BgL_oz00_4764)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4764)))->BgL_z52artistsz52);} 

}



/* &<@anonymous:2368> */
obj_t BGl_z62zc3z04anonymousza32368ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4765)
{
{ /* Llib/mpd.scm 20 */
return BGl_string2956z00zz__multimediazd2mpdzd2;} 

}



/* &lambda2367 */
obj_t BGl_z62lambda2367z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4766, obj_t BgL_oz00_4767, obj_t BgL_vz00_4768)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4767)))->BgL_z52basez52)=((obj_t)
((obj_t)BgL_vz00_4768)),BUNSPEC);} 

}



/* &lambda2366 */
obj_t BGl_z62lambda2366z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4769, obj_t BgL_oz00_4770)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4770)))->BgL_z52basez52);} 

}



/* &<@anonymous:2361> */
obj_t BGl_z62zc3z04anonymousza32361ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4771)
{
{ /* Llib/mpd.scm 20 */
return 
CNST_TABLE_REF(((long)103));} 

}



/* &lambda2360 */
obj_t BGl_z62lambda2360z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4772, obj_t BgL_oz00_4773, obj_t BgL_vz00_4774)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4773)))->BgL_suffixesz00)=((obj_t)
((obj_t)BgL_vz00_4774)),BUNSPEC);} 

}



/* &lambda2359 */
obj_t BGl_z62lambda2359z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4775, obj_t BgL_oz00_4776)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4776)))->BgL_suffixesz00);} 

}



/* &<@anonymous:2354> */
obj_t BGl_z62zc3z04anonymousza32354ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4777)
{
{ /* Llib/mpd.scm 20 */
return BNIL;} 

}



/* &lambda2353 */
obj_t BGl_z62lambda2353z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4778, obj_t BgL_oz00_4779, obj_t BgL_vz00_4780)
{
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4779)))->BgL_directoriesz00)=((obj_t)
((obj_t)BgL_vz00_4780)),BUNSPEC);} 

}



/* &lambda2352 */
obj_t BGl_z62lambda2352z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4781, obj_t BgL_oz00_4782)
{
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4782)))->BgL_directoriesz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2mpdzd2(void)
{
{ /* Llib/mpd.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2initz12zd2envzc0zz__multimediazd2mpdzd2, BGl_proc3060z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3061z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2filezd2ze3pathzd2envze3zz__multimediazd2mpdzd2, BGl_proc3062z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3063z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2statszd2envzd2zz__multimediazd2mpdzd2, BGl_proc3064z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3065z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listallzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3066z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3067z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listalbumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3068z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3069z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listartistalbumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3070z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3071z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listgenrealbumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3072z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3073z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listgenreartistzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3074z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3075z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listgenrezd2envzd2zz__multimediazd2mpdzd2, BGl_proc3076z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3077z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listartistzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3078z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3079z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2lsinfozd2envzd2zz__multimediazd2mpdzd2, BGl_proc3080z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3081z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2findzd2albumzd2envz00zz__multimediazd2mpdzd2, BGl_proc3082z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3083z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2findzd2artistzd2envz00zz__multimediazd2mpdzd2, BGl_proc3084z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3085z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2searchzd2artistzd2albumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3086z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3087z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2searchzd2artistzd2titlezd2envzd2zz__multimediazd2mpdzd2, BGl_proc3088z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3089z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2findzd2titlezd2envz00zz__multimediazd2mpdzd2, BGl_proc3090z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3091z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2findzd2genrezd2envz00zz__multimediazd2mpdzd2, BGl_proc3092z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3093z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getgenrezd2envzd2zz__multimediazd2mpdzd2, BGl_proc3094z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3095z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getartistzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3096z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3097z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getgenreartistzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3098z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3099z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getartistalbumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3100z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3101z00zz__multimediazd2mpdzd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getzd2albumzd2envz00zz__multimediazd2mpdzd2, BGl_proc3102z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3103z00zz__multimediazd2mpdzd2);} 

}



/* &mpd-database-get-alb1412 */
obj_t BGl_z62mpdzd2databasezd2getzd2alb1412zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4809, obj_t BgL_oz00_4810, obj_t BgL_albumz00_4811)
{
{ /* Llib/mpd.scm 1517 */
{ /* Llib/mpd.scm 1519 */
 obj_t BgL_cz00_5388;
BgL_cz00_5388 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_albumz00_4811, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4810)))->BgL_z52albumsz52)); 
if(
PAIRP(BgL_cz00_5388))
{ /* Llib/mpd.scm 1521 */
 obj_t BgL_dirz00_5390;
BgL_dirz00_5390 = 
CDR(BgL_cz00_5388); 
return 
BGl_loopze73ze7zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4810), BgL_albumz00_4811, ((bool_t)0), BgL_dirz00_5390);}  else 
{ /* Llib/mpd.scm 1520 */
return BFALSE;} } } 

}



/* &mpd-database-getarti1405 */
obj_t BGl_z62mpdzd2databasezd2getarti1405z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4812, obj_t BgL_oz00_4813, obj_t BgL_artistz00_4814)
{
{ /* Llib/mpd.scm 1431 */
if(
STRINGP(BgL_artistz00_4814))
{ /* Llib/mpd.scm 1434 */
 obj_t BgL_arg2676z00_5393;
BgL_arg2676z00_5393 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4813)))->BgL_z52albumsz52); 
{ /* Llib/mpd.scm 1435 */
 obj_t BgL_zc3z04anonymousza32678ze3z87_5394;
BgL_zc3z04anonymousza32678ze3z87_5394 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32678ze3ze5zz__multimediazd2mpdzd2, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32678ze3z87_5394, 
(int)(((long)0)), BgL_artistz00_4814); 
{ /* Llib/mpd.scm 1434 */
 obj_t BgL_list2677z00_5395;
BgL_list2677z00_5395 = 
MAKE_YOUNG_PAIR(BgL_arg2676z00_5393, BNIL); 
return 
BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(BgL_zc3z04anonymousza32678ze3z87_5394, BgL_list2677z00_5395);} } }  else 
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_l1323z00_5396;
BgL_l1323z00_5396 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4813)))->BgL_z52albumsz52); 
if(
NULLP(BgL_l1323z00_5396))
{ /* Llib/mpd.scm 1439 */
return BNIL;}  else 
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_head1325z00_5397;
BgL_head1325z00_5397 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1323z00_5399; obj_t BgL_tail1326z00_5400;
BgL_l1323z00_5399 = BgL_l1323z00_5396; 
BgL_tail1326z00_5400 = BgL_head1325z00_5397; 
BgL_zc3z04anonymousza32687ze3z87_5398:
if(
NULLP(BgL_l1323z00_5399))
{ /* Llib/mpd.scm 1439 */
return 
CDR(BgL_head1325z00_5397);}  else 
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_newtail1327z00_5401;
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_arg2690z00_5402;
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_az00_5403;
BgL_az00_5403 = 
CAR(
((obj_t)BgL_l1323z00_5399)); 
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_arg2691z00_5404;
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_arg2692z00_5405;
BgL_arg2692z00_5405 = 
CAR(
((obj_t)BgL_az00_5403)); 
BgL_arg2691z00_5404 = 
MAKE_YOUNG_PAIR(BgL_arg2692z00_5405, BNIL); } 
BgL_arg2690z00_5402 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)66)), BgL_arg2691z00_5404); } } 
BgL_newtail1327z00_5401 = 
MAKE_YOUNG_PAIR(BgL_arg2690z00_5402, BNIL); } 
SET_CDR(BgL_tail1326z00_5400, BgL_newtail1327z00_5401); 
{ /* Llib/mpd.scm 1439 */
 obj_t BgL_arg2689z00_5406;
BgL_arg2689z00_5406 = 
CDR(
((obj_t)BgL_l1323z00_5399)); 
{ 
 obj_t BgL_tail1326z00_8859; obj_t BgL_l1323z00_8858;
BgL_l1323z00_8858 = BgL_arg2689z00_5406; 
BgL_tail1326z00_8859 = BgL_newtail1327z00_5401; 
BgL_tail1326z00_5400 = BgL_tail1326z00_8859; 
BgL_l1323z00_5399 = BgL_l1323z00_8858; 
goto BgL_zc3z04anonymousza32687ze3z87_5398;} } } } } } } 

}



/* &<@anonymous:2678> */
obj_t BGl_z62zc3z04anonymousza32678ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4815, obj_t BgL_cz00_4817)
{
{ /* Llib/mpd.scm 1434 */
{ /* Llib/mpd.scm 1435 */
 obj_t BgL_artistz00_4816;
BgL_artistz00_4816 = 
PROCEDURE_REF(BgL_envz00_4815, 
(int)(((long)0))); 
{ /* Llib/mpd.scm 1435 */
 obj_t BgL_dirz00_5407;
BgL_dirz00_5407 = 
CDR(
((obj_t)BgL_cz00_4817)); 
{ /* Llib/mpd.scm 1436 */
 bool_t BgL_test3634z00_8864;
{ /* Llib/mpd.scm 1436 */
 obj_t BgL_arg2684z00_5408;
BgL_arg2684z00_5408 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_5407)); 
{ /* Llib/mpd.scm 1436 */
 long BgL_l1z00_5409;
BgL_l1z00_5409 = 
STRING_LENGTH(BgL_arg2684z00_5408); 
if(
(BgL_l1z00_5409==
STRING_LENGTH(
((obj_t)BgL_artistz00_4816))))
{ /* Llib/mpd.scm 1436 */
 int BgL_arg1290z00_5410;
{ /* Llib/mpd.scm 1436 */
 char * BgL_auxz00_8874; char * BgL_tmpz00_8872;
BgL_auxz00_8874 = 
BSTRING_TO_STRING(
((obj_t)BgL_artistz00_4816)); 
BgL_tmpz00_8872 = 
BSTRING_TO_STRING(BgL_arg2684z00_5408); 
BgL_arg1290z00_5410 = 
memcmp(BgL_tmpz00_8872, BgL_auxz00_8874, BgL_l1z00_5409); } 
BgL_test3634z00_8864 = 
(
(long)(BgL_arg1290z00_5410)==((long)0)); }  else 
{ /* Llib/mpd.scm 1436 */
BgL_test3634z00_8864 = ((bool_t)0)
; } } } 
if(BgL_test3634z00_8864)
{ /* Llib/mpd.scm 1437 */
 obj_t BgL_arg2682z00_5411;
{ /* Llib/mpd.scm 1437 */
 obj_t BgL_arg2683z00_5412;
BgL_arg2683z00_5412 = 
CAR(
((obj_t)BgL_cz00_4817)); 
BgL_arg2682z00_5411 = 
MAKE_YOUNG_PAIR(BgL_arg2683z00_5412, BNIL); } 
return 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)66)), BgL_arg2682z00_5411);}  else 
{ /* Llib/mpd.scm 1436 */
return BFALSE;} } } } } 

}



/* &mpd-database-getgenr1403 */
obj_t BGl_z62mpdzd2databasezd2getgenr1403z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4818, obj_t BgL_oz00_4819, obj_t BgL_genrez00_4820)
{
{ /* Llib/mpd.scm 1421 */
{ /* Llib/mpd.scm 1423 */
 obj_t BgL_hook1321z00_5414;
BgL_hook1321z00_5414 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ /* Llib/mpd.scm 1423 */
 obj_t BgL_g1322z00_5415;
BgL_g1322z00_5415 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4819)))->BgL_z52artistsz52); 
{ 
 obj_t BgL_l1318z00_5417; obj_t BgL_h1319z00_5418;
BgL_l1318z00_5417 = BgL_g1322z00_5415; 
BgL_h1319z00_5418 = BgL_hook1321z00_5414; 
BgL_zc3z04anonymousza32663ze3z87_5416:
if(
NULLP(BgL_l1318z00_5417))
{ /* Llib/mpd.scm 1423 */
return 
CDR(BgL_hook1321z00_5414);}  else 
{ /* Llib/mpd.scm 1423 */
 bool_t BgL_test3637z00_8891;
{ /* Llib/mpd.scm 1424 */
 obj_t BgL_cz00_5419;
BgL_cz00_5419 = 
CAR(
((obj_t)BgL_l1318z00_5417)); 
{ /* Llib/mpd.scm 1424 */
 obj_t BgL_dirz00_5420;
BgL_dirz00_5420 = 
CDR(
((obj_t)BgL_cz00_5419)); 
{ /* Llib/mpd.scm 1425 */
 obj_t BgL_arg2671z00_5421;
BgL_arg2671z00_5421 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_5420)); 
{ /* Llib/mpd.scm 1425 */
 long BgL_l1z00_5422;
BgL_l1z00_5422 = 
STRING_LENGTH(BgL_arg2671z00_5421); 
if(
(BgL_l1z00_5422==
STRING_LENGTH(
((obj_t)BgL_genrez00_4820))))
{ /* Llib/mpd.scm 1425 */
 int BgL_arg1290z00_5423;
{ /* Llib/mpd.scm 1425 */
 char * BgL_auxz00_8905; char * BgL_tmpz00_8903;
BgL_auxz00_8905 = 
BSTRING_TO_STRING(
((obj_t)BgL_genrez00_4820)); 
BgL_tmpz00_8903 = 
BSTRING_TO_STRING(BgL_arg2671z00_5421); 
BgL_arg1290z00_5423 = 
memcmp(BgL_tmpz00_8903, BgL_auxz00_8905, BgL_l1z00_5422); } 
BgL_test3637z00_8891 = 
(
(long)(BgL_arg1290z00_5423)==((long)0)); }  else 
{ /* Llib/mpd.scm 1425 */
BgL_test3637z00_8891 = ((bool_t)0)
; } } } } } 
if(BgL_test3637z00_8891)
{ /* Llib/mpd.scm 1423 */
 obj_t BgL_nh1320z00_5424;
{ /* Llib/mpd.scm 1423 */
 obj_t BgL_arg2669z00_5425;
BgL_arg2669z00_5425 = 
CAR(
((obj_t)BgL_l1318z00_5417)); 
BgL_nh1320z00_5424 = 
MAKE_YOUNG_PAIR(BgL_arg2669z00_5425, BNIL); } 
SET_CDR(BgL_h1319z00_5418, BgL_nh1320z00_5424); 
{ /* Llib/mpd.scm 1423 */
 obj_t BgL_arg2668z00_5426;
BgL_arg2668z00_5426 = 
CDR(
((obj_t)BgL_l1318z00_5417)); 
{ 
 obj_t BgL_h1319z00_8918; obj_t BgL_l1318z00_8917;
BgL_l1318z00_8917 = BgL_arg2668z00_5426; 
BgL_h1319z00_8918 = BgL_nh1320z00_5424; 
BgL_h1319z00_5418 = BgL_h1319z00_8918; 
BgL_l1318z00_5417 = BgL_l1318z00_8917; 
goto BgL_zc3z04anonymousza32663ze3z87_5416;} } }  else 
{ /* Llib/mpd.scm 1423 */
 obj_t BgL_arg2670z00_5427;
BgL_arg2670z00_5427 = 
CDR(
((obj_t)BgL_l1318z00_5417)); 
{ 
 obj_t BgL_l1318z00_8921;
BgL_l1318z00_8921 = BgL_arg2670z00_5427; 
BgL_l1318z00_5417 = BgL_l1318z00_8921; 
goto BgL_zc3z04anonymousza32663ze3z87_5416;} } } } } } } 

}



/* &mpd-database-getarti1401 */
obj_t BGl_z62mpdzd2databasezd2getarti1401z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4821, obj_t BgL_oz00_4822)
{
{ /* Llib/mpd.scm 1414 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4822)))->BgL_z52artistsz52);} 

}



/* &mpd-database-getgenr1398 */
obj_t BGl_z62mpdzd2databasezd2getgenr1398z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4823, obj_t BgL_oz00_4824)
{
{ /* Llib/mpd.scm 1407 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4824)))->BgL_z52genresz52);} 

}



/* &mpd-database-find-ge1396 */
obj_t BGl_z62mpdzd2databasezd2findzd2ge1396zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4825, obj_t BgL_oz00_4826, obj_t BgL_opz00_4827, obj_t BgL_genrez00_4828)
{
{ /* Llib/mpd.scm 1389 */
{ /* Llib/mpd.scm 1393 */
 bool_t BgL_tmpz00_8926;
{ /* Llib/mpd.scm 1402 */
 obj_t BgL_g1315z00_5432;
BgL_g1315z00_5432 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4826)))->BgL_directoriesz00); 
{ 
 obj_t BgL_l1313z00_5434;
BgL_l1313z00_5434 = BgL_g1315z00_5432; 
BgL_zc3z04anonymousza32645ze3z87_5433:
if(
NULLP(BgL_l1313z00_5434))
{ /* Llib/mpd.scm 1402 */
BgL_tmpz00_8926 = ((bool_t)0)
; }  else 
{ /* Llib/mpd.scm 1402 */
 bool_t BgL__ortest_1316z00_5435;
{ /* Llib/mpd.scm 1402 */
 obj_t BgL_arg2648z00_5436;
BgL_arg2648z00_5436 = 
CAR(
((obj_t)BgL_l1313z00_5434)); 
BgL__ortest_1316z00_5435 = 
BGl_findzd2genreze70z35zz__multimediazd2mpdzd2(BgL_genrez00_4828, 
((obj_t)BgL_opz00_4827), 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4826), BgL_arg2648z00_5436); } 
if(BgL__ortest_1316z00_5435)
{ /* Llib/mpd.scm 1402 */
BgL_tmpz00_8926 = BgL__ortest_1316z00_5435
; }  else 
{ /* Llib/mpd.scm 1402 */
 obj_t BgL_arg2647z00_5437;
BgL_arg2647z00_5437 = 
CDR(
((obj_t)BgL_l1313z00_5434)); 
{ 
 obj_t BgL_l1313z00_8939;
BgL_l1313z00_8939 = BgL_arg2647z00_5437; 
BgL_l1313z00_5434 = BgL_l1313z00_8939; 
goto BgL_zc3z04anonymousza32645ze3z87_5433;} } } } } 
return 
BBOOL(BgL_tmpz00_8926);} } 

}



/* find-genre~0 */
bool_t BGl_findzd2genreze70z35zz__multimediazd2mpdzd2(obj_t BgL_genrez00_4984, obj_t BgL_opz00_4983, BgL_mpdzd2databasezd2_bglt BgL_oz00_4982, obj_t BgL_dirz00_2222)
{
{ /* Llib/mpd.scm 1399 */
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_dirz00_2222)))
{ /* Llib/mpd.scm 1394 */
 obj_t BgL_g1311z00_2225;
BgL_g1311z00_2225 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_2222); 
{ 
 obj_t BgL_l1309z00_2227;
BgL_l1309z00_2227 = BgL_g1311z00_2225; 
BgL_zc3z04anonymousza32651ze3z87_2228:
if(
NULLP(BgL_l1309z00_2227))
{ /* Llib/mpd.scm 1394 */
return ((bool_t)0);}  else 
{ /* Llib/mpd.scm 1394 */
 bool_t BgL__ortest_1312z00_2230;
{ /* Llib/mpd.scm 1394 */
 obj_t BgL_arg2654z00_2232;
BgL_arg2654z00_2232 = 
CAR(
((obj_t)BgL_l1309z00_2227)); 
BgL__ortest_1312z00_2230 = 
BGl_findzd2genreze70z35zz__multimediazd2mpdzd2(BgL_genrez00_4984, BgL_opz00_4983, BgL_oz00_4982, BgL_arg2654z00_2232); } 
if(BgL__ortest_1312z00_2230)
{ /* Llib/mpd.scm 1394 */
return BgL__ortest_1312z00_2230;}  else 
{ /* Llib/mpd.scm 1394 */
 obj_t BgL_arg2653z00_2231;
BgL_arg2653z00_2231 = 
CDR(
((obj_t)BgL_l1309z00_2227)); 
{ 
 obj_t BgL_l1309z00_8953;
BgL_l1309z00_8953 = BgL_arg2653z00_2231; 
BgL_l1309z00_2227 = BgL_l1309z00_8953; 
goto BgL_zc3z04anonymousza32651ze3z87_2228;} } } } }  else 
{ /* Llib/mpd.scm 1395 */
 bool_t BgL_test3644z00_8954;
{ /* Llib/mpd.scm 1395 */
 obj_t BgL_arg2658z00_2240;
BgL_arg2658z00_2240 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_2222)); 
{ /* Llib/mpd.scm 1395 */
 long BgL_l1z00_3570;
BgL_l1z00_3570 = 
STRING_LENGTH(BgL_arg2658z00_2240); 
if(
(BgL_l1z00_3570==
STRING_LENGTH(
((obj_t)BgL_genrez00_4984))))
{ /* Llib/mpd.scm 1395 */
 int BgL_arg1290z00_3573;
{ /* Llib/mpd.scm 1395 */
 char * BgL_auxz00_8964; char * BgL_tmpz00_8962;
BgL_auxz00_8964 = 
BSTRING_TO_STRING(
((obj_t)BgL_genrez00_4984)); 
BgL_tmpz00_8962 = 
BSTRING_TO_STRING(BgL_arg2658z00_2240); 
BgL_arg1290z00_3573 = 
memcmp(BgL_tmpz00_8962, BgL_auxz00_8964, BgL_l1z00_3570); } 
BgL_test3644z00_8954 = 
(
(long)(BgL_arg1290z00_3573)==((long)0)); }  else 
{ /* Llib/mpd.scm 1395 */
BgL_test3644z00_8954 = ((bool_t)0)
; } } } 
if(BgL_test3644z00_8954)
{ /* Llib/mpd.scm 1395 */
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1195z00_3579;
BgL_g1195z00_3579 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_oz00_4982), BgL_dirz00_2222, BFALSE, BFALSE, BFALSE); 
{ 
 obj_t BgL_l1193z00_3581;
BgL_l1193z00_3581 = BgL_g1195z00_3579; 
BgL_zc3z04anonymousza32019ze3z87_3580:
if(
PAIRP(BgL_l1193z00_3581))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_3583;
BgL_kz00_3583 = 
CAR(BgL_l1193z00_3581); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2021z00_3584;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2022z00_3585;
BgL_arg2022z00_3585 = 
CAR(
((obj_t)BgL_kz00_3583)); 
BgL_arg2021z00_3584 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2022z00_3585)); } 
bgl_display_obj(BgL_arg2021z00_3584, BgL_opz00_4983); } 
bgl_display_string(BGl_string2988z00zz__multimediazd2mpdzd2, BgL_opz00_4983); 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2023z00_3586;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_3596;
BgL_pairz00_3596 = 
CDR(
((obj_t)BgL_kz00_3583)); 
BgL_arg2023z00_3586 = 
CAR(BgL_pairz00_3596); } 
bgl_display_obj(BgL_arg2023z00_3586, BgL_opz00_4983); } 
bgl_display_char(((unsigned char)10), BgL_opz00_4983); } 
{ 
 obj_t BgL_l1193z00_8986;
BgL_l1193z00_8986 = 
CDR(BgL_l1193z00_3581); 
BgL_l1193z00_3581 = BgL_l1193z00_8986; 
goto BgL_zc3z04anonymousza32019ze3z87_3580;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } } 
return ((bool_t)1);}  else 
{ /* Llib/mpd.scm 1395 */
return ((bool_t)0);} } } 

}



/* &mpd-database-find-ti1394 */
obj_t BGl_z62mpdzd2databasezd2findzd2ti1394zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4829, obj_t BgL_oz00_4830, obj_t BgL_opz00_4831, obj_t BgL_titlez00_4832)
{
{ /* Llib/mpd.scm 1371 */
{ /* Llib/mpd.scm 1375 */
 bool_t BgL_tmpz00_8988;
{ /* Llib/mpd.scm 1384 */
 obj_t BgL_g1307z00_5440;
BgL_g1307z00_5440 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4830)))->BgL_directoriesz00); 
{ 
 obj_t BgL_l1305z00_5442;
BgL_l1305z00_5442 = BgL_g1307z00_5440; 
BgL_zc3z04anonymousza32629ze3z87_5441:
if(
NULLP(BgL_l1305z00_5442))
{ /* Llib/mpd.scm 1384 */
BgL_tmpz00_8988 = ((bool_t)0)
; }  else 
{ /* Llib/mpd.scm 1384 */
 bool_t BgL__ortest_1308z00_5443;
{ /* Llib/mpd.scm 1384 */
 obj_t BgL_arg2632z00_5444;
BgL_arg2632z00_5444 = 
CAR(
((obj_t)BgL_l1305z00_5442)); 
BgL__ortest_1308z00_5443 = 
BGl_findzd2titleze70z35zz__multimediazd2mpdzd2(BgL_titlez00_4832, 
((obj_t)BgL_opz00_4831), 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4830), BgL_arg2632z00_5444); } 
if(BgL__ortest_1308z00_5443)
{ /* Llib/mpd.scm 1384 */
BgL_tmpz00_8988 = BgL__ortest_1308z00_5443
; }  else 
{ /* Llib/mpd.scm 1384 */
 obj_t BgL_arg2631z00_5445;
BgL_arg2631z00_5445 = 
CDR(
((obj_t)BgL_l1305z00_5442)); 
{ 
 obj_t BgL_l1305z00_9001;
BgL_l1305z00_9001 = BgL_arg2631z00_5445; 
BgL_l1305z00_5442 = BgL_l1305z00_9001; 
goto BgL_zc3z04anonymousza32629ze3z87_5441;} } } } } 
return 
BBOOL(BgL_tmpz00_8988);} } 

}



/* find-title~0 */
bool_t BGl_findzd2titleze70z35zz__multimediazd2mpdzd2(obj_t BgL_titlez00_4981, obj_t BgL_opz00_4980, BgL_mpdzd2databasezd2_bglt BgL_oz00_4979, obj_t BgL_dirz00_2184)
{
{ /* Llib/mpd.scm 1381 */
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_dirz00_2184)))
{ /* Llib/mpd.scm 1376 */
 obj_t BgL_g1303z00_2187;
BgL_g1303z00_2187 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_2184); 
{ 
 obj_t BgL_l1301z00_2189;
BgL_l1301z00_2189 = BgL_g1303z00_2187; 
BgL_zc3z04anonymousza32635ze3z87_2190:
if(
NULLP(BgL_l1301z00_2189))
{ /* Llib/mpd.scm 1376 */
return ((bool_t)0);}  else 
{ /* Llib/mpd.scm 1376 */
 bool_t BgL__ortest_1304z00_2192;
{ /* Llib/mpd.scm 1376 */
 obj_t BgL_arg2638z00_2194;
BgL_arg2638z00_2194 = 
CAR(
((obj_t)BgL_l1301z00_2189)); 
BgL__ortest_1304z00_2192 = 
BGl_findzd2titleze70z35zz__multimediazd2mpdzd2(BgL_titlez00_4981, BgL_opz00_4980, BgL_oz00_4979, BgL_arg2638z00_2194); } 
if(BgL__ortest_1304z00_2192)
{ /* Llib/mpd.scm 1376 */
return BgL__ortest_1304z00_2192;}  else 
{ /* Llib/mpd.scm 1376 */
 obj_t BgL_arg2637z00_2193;
BgL_arg2637z00_2193 = 
CDR(
((obj_t)BgL_l1301z00_2189)); 
{ 
 obj_t BgL_l1301z00_9015;
BgL_l1301z00_9015 = BgL_arg2637z00_2193; 
BgL_l1301z00_2189 = BgL_l1301z00_9015; 
goto BgL_zc3z04anonymousza32635ze3z87_2190;} } } } }  else 
{ /* Llib/mpd.scm 1377 */
 bool_t BgL_test3652z00_9016;
{ /* Llib/mpd.scm 1377 */
 obj_t BgL_arg2642z00_2202;
BgL_arg2642z00_2202 = 
BGl_prefixz00zz__osz00(
BGl_basenamez00zz__osz00(BgL_dirz00_2184)); 
{ /* Llib/mpd.scm 1377 */
 long BgL_l1z00_3534;
BgL_l1z00_3534 = 
STRING_LENGTH(BgL_arg2642z00_2202); 
if(
(BgL_l1z00_3534==
STRING_LENGTH(
((obj_t)BgL_titlez00_4981))))
{ /* Llib/mpd.scm 1377 */
 int BgL_arg1290z00_3537;
{ /* Llib/mpd.scm 1377 */
 char * BgL_auxz00_9026; char * BgL_tmpz00_9024;
BgL_auxz00_9026 = 
BSTRING_TO_STRING(
((obj_t)BgL_titlez00_4981)); 
BgL_tmpz00_9024 = 
BSTRING_TO_STRING(BgL_arg2642z00_2202); 
BgL_arg1290z00_3537 = 
memcmp(BgL_tmpz00_9024, BgL_auxz00_9026, BgL_l1z00_3534); } 
BgL_test3652z00_9016 = 
(
(long)(BgL_arg1290z00_3537)==((long)0)); }  else 
{ /* Llib/mpd.scm 1377 */
BgL_test3652z00_9016 = ((bool_t)0)
; } } } 
if(BgL_test3652z00_9016)
{ /* Llib/mpd.scm 1377 */
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1195z00_3543;
BgL_g1195z00_3543 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_oz00_4979), BgL_dirz00_2184, BFALSE, BFALSE, BFALSE); 
{ 
 obj_t BgL_l1193z00_3545;
BgL_l1193z00_3545 = BgL_g1195z00_3543; 
BgL_zc3z04anonymousza32019ze3z87_3544:
if(
PAIRP(BgL_l1193z00_3545))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_3547;
BgL_kz00_3547 = 
CAR(BgL_l1193z00_3545); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2021z00_3548;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2022z00_3549;
BgL_arg2022z00_3549 = 
CAR(
((obj_t)BgL_kz00_3547)); 
BgL_arg2021z00_3548 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2022z00_3549)); } 
bgl_display_obj(BgL_arg2021z00_3548, BgL_opz00_4980); } 
bgl_display_string(BGl_string2988z00zz__multimediazd2mpdzd2, BgL_opz00_4980); 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2023z00_3550;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_3560;
BgL_pairz00_3560 = 
CDR(
((obj_t)BgL_kz00_3547)); 
BgL_arg2023z00_3550 = 
CAR(BgL_pairz00_3560); } 
bgl_display_obj(BgL_arg2023z00_3550, BgL_opz00_4980); } 
bgl_display_char(((unsigned char)10), BgL_opz00_4980); } 
{ 
 obj_t BgL_l1193z00_9048;
BgL_l1193z00_9048 = 
CDR(BgL_l1193z00_3545); 
BgL_l1193z00_3545 = BgL_l1193z00_9048; 
goto BgL_zc3z04anonymousza32019ze3z87_3544;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } } 
return ((bool_t)1);}  else 
{ /* Llib/mpd.scm 1377 */
return ((bool_t)0);} } } 

}



/* &mpd-database-search-1392 */
obj_t BGl_z62mpdzd2databasezd2searchzd21392zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4833, obj_t BgL_oz00_4834, obj_t BgL_opz00_4835, obj_t BgL_artistz00_4836, obj_t BgL_titlez00_4837)
{
{ /* Llib/mpd.scm 1345 */
{ /* Llib/mpd.scm 1349 */
 bool_t BgL_tmpz00_9050;
{ 
 BgL_mpdzd2databasezd2_bglt BgL_dbz00_5449; obj_t BgL_dirz00_5450; obj_t BgL_opz00_5451;
{ /* Llib/mpd.scm 1364 */
 obj_t BgL_cz00_5452;
BgL_cz00_5452 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_artistz00_4836, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4834)))->BgL_z52artistsz52)); 
if(
PAIRP(BgL_cz00_5452))
{ /* Llib/mpd.scm 1365 */
BgL_dbz00_5449 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4834); 
BgL_dirz00_5450 = 
CDR(BgL_cz00_5452); 
BgL_opz00_5451 = 
((obj_t)BgL_opz00_4835); 
BgL_tmpz00_9050 = 
BGl_loopze72ze7zz__multimediazd2mpdzd2(BgL_opz00_5451, BgL_titlez00_4837, BgL_artistz00_4836, BgL_dbz00_5449, BgL_dirz00_5450); }  else 
{ /* Llib/mpd.scm 1365 */
BgL_tmpz00_9050 = ((bool_t)0)
; } } } 
return 
BBOOL(BgL_tmpz00_9050);} } 

}



/* loop~2 */
bool_t BGl_loopze72ze7zz__multimediazd2mpdzd2(obj_t BgL_opz00_4978, obj_t BgL_titlez00_4977, obj_t BgL_artistz00_4976, BgL_mpdzd2databasezd2_bglt BgL_dbz00_4975, obj_t BgL_dirz00_2135)
{
{ /* Llib/mpd.scm 1348 */
{ /* Llib/mpd.scm 1349 */
 obj_t BgL_filesz00_2137;
BgL_filesz00_2137 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_2135); 
{ /* Llib/mpd.scm 1349 */
 obj_t BgL_imgz00_2138;
{ 
 obj_t BgL_list1298z00_2157;
BgL_list1298z00_2157 = BgL_filesz00_2137; 
BgL_zc3z04anonymousza32622ze3z87_2158:
if(
PAIRP(BgL_list1298z00_2157))
{ /* Llib/mpd.scm 1350 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1298z00_2157)))
{ /* Llib/mpd.scm 1350 */
BgL_imgz00_2138 = 
CAR(BgL_list1298z00_2157); }  else 
{ 
 obj_t BgL_list1298z00_9068;
BgL_list1298z00_9068 = 
CDR(BgL_list1298z00_2157); 
BgL_list1298z00_2157 = BgL_list1298z00_9068; 
goto BgL_zc3z04anonymousza32622ze3z87_2158;} }  else 
{ /* Llib/mpd.scm 1350 */
BgL_imgz00_2138 = BFALSE; } } 
{ /* Llib/mpd.scm 1350 */

{ 
 obj_t BgL_l1299z00_2140;
BgL_l1299z00_2140 = BgL_filesz00_2137; 
BgL_zc3z04anonymousza32614ze3z87_2141:
if(
PAIRP(BgL_l1299z00_2140))
{ /* Llib/mpd.scm 1351 */
{ /* Llib/mpd.scm 1352 */
 obj_t BgL_fz00_2143;
BgL_fz00_2143 = 
CAR(BgL_l1299z00_2140); 
{ /* Llib/mpd.scm 1352 */
 obj_t BgL_pz00_2144;
BgL_pz00_2144 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_2135, BgL_fz00_2143); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_2144)))
{ /* Llib/mpd.scm 1354 */
BGl_loopze72ze7zz__multimediazd2mpdzd2(BgL_opz00_4978, BgL_titlez00_4977, BgL_artistz00_4976, BgL_dbz00_4975, BgL_pz00_2144); }  else 
{ /* Llib/mpd.scm 1356 */
 bool_t BgL_test3660z00_9078;
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_2144, 
((obj_t)BgL_dbz00_4975)))
{ /* Llib/mpd.scm 1356 */
 obj_t BgL_arg2620z00_2153;
BgL_arg2620z00_2153 = 
BGl_prefixz00zz__osz00(BgL_fz00_2143); 
{ /* Llib/mpd.scm 1356 */
 long BgL_l1z00_3498;
BgL_l1z00_3498 = 
STRING_LENGTH(
((obj_t)BgL_titlez00_4977)); 
if(
(BgL_l1z00_3498==
STRING_LENGTH(BgL_arg2620z00_2153)))
{ /* Llib/mpd.scm 1356 */
 int BgL_arg1290z00_3501;
{ /* Llib/mpd.scm 1356 */
 char * BgL_auxz00_9091; char * BgL_tmpz00_9088;
BgL_auxz00_9091 = 
BSTRING_TO_STRING(BgL_arg2620z00_2153); 
BgL_tmpz00_9088 = 
BSTRING_TO_STRING(
((obj_t)BgL_titlez00_4977)); 
BgL_arg1290z00_3501 = 
memcmp(BgL_tmpz00_9088, BgL_auxz00_9091, BgL_l1z00_3498); } 
BgL_test3660z00_9078 = 
(
(long)(BgL_arg1290z00_3501)==((long)0)); }  else 
{ /* Llib/mpd.scm 1356 */
BgL_test3660z00_9078 = ((bool_t)0)
; } } }  else 
{ /* Llib/mpd.scm 1356 */
BgL_test3660z00_9078 = ((bool_t)0)
; } 
if(BgL_test3660z00_9078)
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1195z00_3507;
BgL_g1195z00_3507 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_dbz00_4975), BgL_pz00_2144, BgL_artistz00_4976, BgL_titlez00_4977, BgL_imgz00_2138); 
{ 
 obj_t BgL_l1193z00_3509;
BgL_l1193z00_3509 = BgL_g1195z00_3507; 
BgL_zc3z04anonymousza32019ze3z87_3508:
if(
PAIRP(BgL_l1193z00_3509))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_3511;
BgL_kz00_3511 = 
CAR(BgL_l1193z00_3509); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2021z00_3512;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2022z00_3513;
BgL_arg2022z00_3513 = 
CAR(
((obj_t)BgL_kz00_3511)); 
BgL_arg2021z00_3512 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2022z00_3513)); } 
bgl_display_obj(BgL_arg2021z00_3512, BgL_opz00_4978); } 
bgl_display_string(BGl_string2988z00zz__multimediazd2mpdzd2, BgL_opz00_4978); 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2023z00_3514;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_3524;
BgL_pairz00_3524 = 
CDR(
((obj_t)BgL_kz00_3511)); 
BgL_arg2023z00_3514 = 
CAR(BgL_pairz00_3524); } 
bgl_display_obj(BgL_arg2023z00_3514, BgL_opz00_4978); } 
bgl_display_char(((unsigned char)10), BgL_opz00_4978); } 
{ 
 obj_t BgL_l1193z00_9112;
BgL_l1193z00_9112 = 
CDR(BgL_l1193z00_3509); 
BgL_l1193z00_3509 = BgL_l1193z00_9112; 
goto BgL_zc3z04anonymousza32019ze3z87_3508;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } }  else 
{ /* Llib/mpd.scm 1356 */((bool_t)0); } } } } 
{ 
 obj_t BgL_l1299z00_9114;
BgL_l1299z00_9114 = 
CDR(BgL_l1299z00_2140); 
BgL_l1299z00_2140 = BgL_l1299z00_9114; 
goto BgL_zc3z04anonymousza32614ze3z87_2141;} }  else 
{ /* Llib/mpd.scm 1351 */
return ((bool_t)1);} } } } } } 

}



/* &mpd-database-search-1390 */
obj_t BGl_z62mpdzd2databasezd2searchzd21390zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4838, obj_t BgL_oz00_4839, obj_t BgL_opz00_4840, obj_t BgL_artistz00_4841, obj_t BgL_albumz00_4842)
{
{ /* Llib/mpd.scm 1312 */
{ /* Llib/mpd.scm 1315 */
 bool_t BgL_tmpz00_9116;
{ 
 BgL_mpdzd2databasezd2_bglt BgL_dbz00_5456; obj_t BgL_dirz00_5457; obj_t BgL_opz00_5458;
{ /* Llib/mpd.scm 1338 */
 obj_t BgL_cz00_5459;
BgL_cz00_5459 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_artistz00_4841, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4839)))->BgL_z52artistsz52)); 
if(
PAIRP(BgL_cz00_5459))
{ /* Llib/mpd.scm 1339 */
BgL_dbz00_5456 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4839); 
BgL_dirz00_5457 = 
CDR(BgL_cz00_5459); 
BgL_opz00_5458 = 
((obj_t)BgL_opz00_4840); 
BgL_tmpz00_9116 = 
BGl_loopze71ze7zz__multimediazd2mpdzd2(BgL_opz00_5458, BgL_albumz00_4842, BgL_artistz00_4841, BgL_dbz00_5456, BgL_dirz00_5457); }  else 
{ /* Llib/mpd.scm 1339 */
BgL_tmpz00_9116 = ((bool_t)0)
; } } } 
return 
BBOOL(BgL_tmpz00_9116);} } 

}



/* loop~1 */
bool_t BGl_loopze71ze7zz__multimediazd2mpdzd2(obj_t BgL_opz00_4974, obj_t BgL_albumz00_4973, obj_t BgL_artistz00_4972, BgL_mpdzd2databasezd2_bglt BgL_dbz00_4971, obj_t BgL_dirz00_2064)
{
{ /* Llib/mpd.scm 1314 */
{ /* Llib/mpd.scm 1315 */
 bool_t BgL_test3665z00_9127;
{ /* Llib/mpd.scm 1315 */
 obj_t BgL_arg2607z00_2114;
BgL_arg2607z00_2114 = 
BGl_basenamez00zz__osz00(BgL_dirz00_2064); 
{ /* Llib/mpd.scm 1315 */
 long BgL_l1z00_3445;
BgL_l1z00_3445 = 
STRING_LENGTH(BgL_arg2607z00_2114); 
if(
(BgL_l1z00_3445==
STRING_LENGTH(
((obj_t)BgL_albumz00_4973))))
{ /* Llib/mpd.scm 1315 */
 int BgL_arg1290z00_3448;
{ /* Llib/mpd.scm 1315 */
 char * BgL_auxz00_9136; char * BgL_tmpz00_9134;
BgL_auxz00_9136 = 
BSTRING_TO_STRING(
((obj_t)BgL_albumz00_4973)); 
BgL_tmpz00_9134 = 
BSTRING_TO_STRING(BgL_arg2607z00_2114); 
BgL_arg1290z00_3448 = 
memcmp(BgL_tmpz00_9134, BgL_auxz00_9136, BgL_l1z00_3445); } 
BgL_test3665z00_9127 = 
(
(long)(BgL_arg1290z00_3448)==((long)0)); }  else 
{ /* Llib/mpd.scm 1315 */
BgL_test3665z00_9127 = ((bool_t)0)
; } } } 
if(BgL_test3665z00_9127)
{ /* Llib/mpd.scm 1316 */
 obj_t BgL_filesz00_2068;
BgL_filesz00_2068 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3104z00zz__multimediazd2mpdzd2, 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_2064))); 
{ /* Llib/mpd.scm 1316 */
 obj_t BgL_imgz00_2069;
{ /* Llib/mpd.scm 1319 */
 obj_t BgL_fz00_2083;
{ 
 obj_t BgL_list1291z00_2086;
BgL_list1291z00_2086 = BgL_filesz00_2068; 
BgL_zc3z04anonymousza32593ze3z87_2087:
if(
PAIRP(BgL_list1291z00_2086))
{ /* Llib/mpd.scm 1319 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1291z00_2086)))
{ /* Llib/mpd.scm 1319 */
BgL_fz00_2083 = 
CAR(BgL_list1291z00_2086); }  else 
{ 
 obj_t BgL_list1291z00_9151;
BgL_list1291z00_9151 = 
CDR(BgL_list1291z00_2086); 
BgL_list1291z00_2086 = BgL_list1291z00_9151; 
goto BgL_zc3z04anonymousza32593ze3z87_2087;} }  else 
{ /* Llib/mpd.scm 1319 */
BgL_fz00_2083 = BFALSE; } } 
if(
STRINGP(BgL_fz00_2083))
{ /* Llib/mpd.scm 1320 */
BgL_imgz00_2069 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_2064, BgL_fz00_2083); }  else 
{ /* Llib/mpd.scm 1320 */
BgL_imgz00_2069 = BFALSE; } } 
{ /* Llib/mpd.scm 1319 */

{ 
 obj_t BgL_l1292z00_2071;
BgL_l1292z00_2071 = BgL_filesz00_2068; 
BgL_zc3z04anonymousza32587ze3z87_2072:
if(
PAIRP(BgL_l1292z00_2071))
{ /* Llib/mpd.scm 1322 */
{ /* Llib/mpd.scm 1323 */
 obj_t BgL_fz00_2074;
BgL_fz00_2074 = 
CAR(BgL_l1292z00_2071); 
{ /* Llib/mpd.scm 1323 */
 obj_t BgL_pz00_2075;
BgL_pz00_2075 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_2064, BgL_fz00_2074); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_2075)))
{ /* Llib/mpd.scm 1325 */
BGl_loopze71ze7zz__multimediazd2mpdzd2(BgL_opz00_4974, BgL_albumz00_4973, BgL_artistz00_4972, BgL_dbz00_4971, BgL_pz00_2075); }  else 
{ /* Llib/mpd.scm 1325 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_2075, 
((obj_t)BgL_dbz00_4971)))
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1195z00_3466;
BgL_g1195z00_3466 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_dbz00_4971), BgL_pz00_2075, BgL_artistz00_4972, BgL_albumz00_4973, BgL_imgz00_2069); 
{ 
 obj_t BgL_l1193z00_3468;
BgL_l1193z00_3468 = BgL_g1195z00_3466; 
BgL_zc3z04anonymousza32019ze3z87_3467:
if(
PAIRP(BgL_l1193z00_3468))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_3470;
BgL_kz00_3470 = 
CAR(BgL_l1193z00_3468); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2021z00_3471;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2022z00_3472;
BgL_arg2022z00_3472 = 
CAR(
((obj_t)BgL_kz00_3470)); 
BgL_arg2021z00_3471 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2022z00_3472)); } 
bgl_display_obj(BgL_arg2021z00_3471, BgL_opz00_4974); } 
bgl_display_string(BGl_string2988z00zz__multimediazd2mpdzd2, BgL_opz00_4974); 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2023z00_3473;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_3483;
BgL_pairz00_3483 = 
CDR(
((obj_t)BgL_kz00_3470)); 
BgL_arg2023z00_3473 = 
CAR(BgL_pairz00_3483); } 
bgl_display_obj(BgL_arg2023z00_3473, BgL_opz00_4974); } 
bgl_display_char(((unsigned char)10), BgL_opz00_4974); } 
{ 
 obj_t BgL_l1193z00_9183;
BgL_l1193z00_9183 = 
CDR(BgL_l1193z00_3468); 
BgL_l1193z00_3468 = BgL_l1193z00_9183; 
goto BgL_zc3z04anonymousza32019ze3z87_3467;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } }  else 
{ /* Llib/mpd.scm 1327 */((bool_t)0); } } } } 
{ 
 obj_t BgL_l1292z00_9185;
BgL_l1292z00_9185 = 
CDR(BgL_l1292z00_2071); 
BgL_l1292z00_2071 = BgL_l1292z00_9185; 
goto BgL_zc3z04anonymousza32587ze3z87_2072;} }  else 
{ /* Llib/mpd.scm 1322 */
return ((bool_t)1);} } } } }  else 
{ /* Llib/mpd.scm 1333 */
 obj_t BgL_g1296z00_2105;
BgL_g1296z00_2105 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_2064); 
{ 
 obj_t BgL_l1294z00_2107;
BgL_l1294z00_2107 = BgL_g1296z00_2105; 
BgL_zc3z04anonymousza32603ze3z87_2108:
if(
PAIRP(BgL_l1294z00_2107))
{ /* Llib/mpd.scm 1336 */
{ /* Llib/mpd.scm 1334 */
 obj_t BgL_pz00_2110;
BgL_pz00_2110 = 
CAR(BgL_l1294z00_2107); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_2110)))
{ /* Llib/mpd.scm 1334 */
BGl_loopze71ze7zz__multimediazd2mpdzd2(BgL_opz00_4974, BgL_albumz00_4973, BgL_artistz00_4972, BgL_dbz00_4971, BgL_pz00_2110); }  else 
{ /* Llib/mpd.scm 1334 */((bool_t)0); } } 
{ 
 obj_t BgL_l1294z00_9195;
BgL_l1294z00_9195 = 
CDR(BgL_l1294z00_2107); 
BgL_l1294z00_2107 = BgL_l1294z00_9195; 
goto BgL_zc3z04anonymousza32603ze3z87_2108;} }  else 
{ /* Llib/mpd.scm 1336 */
return ((bool_t)1);} } } } } 

}



/* &<@anonymous:2601> */
obj_t BGl_z62zc3z04anonymousza32601ze3ze5zz__multimediazd2mpdzd2(obj_t BgL_envz00_4843, obj_t BgL_s1z00_4844, obj_t BgL_s2z00_4845)
{
{ /* Llib/mpd.scm 1316 */
{ /* Llib/mpd.scm 1317 */
 bool_t BgL_tmpz00_9197;
{ /* Llib/mpd.scm 1317 */
 int BgL_arg2602z00_5460;
{ /* Llib/mpd.scm 1317 */

BgL_arg2602z00_5460 = 
BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(BgL_s1z00_4844, BgL_s2z00_4845, 
BINT(((long)0)), 
BINT(((long)0))); } 
BgL_tmpz00_9197 = 
(
(long)(BgL_arg2602z00_5460)<((long)0)); } 
return 
BBOOL(BgL_tmpz00_9197);} } 

}



/* &mpd-database-find-ar1388 */
obj_t BGl_z62mpdzd2databasezd2findzd2ar1388zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4846, obj_t BgL_oz00_4847, obj_t BgL_opz00_4848, obj_t BgL_artistz00_4849)
{
{ /* Llib/mpd.scm 1303 */
{ /* Llib/mpd.scm 1304 */
 bool_t BgL_tmpz00_9204;
{ /* Llib/mpd.scm 1305 */
 obj_t BgL_cz00_5466;
BgL_cz00_5466 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_artistz00_4849, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4847)))->BgL_z52artistsz52)); 
if(
PAIRP(BgL_cz00_5466))
{ /* Llib/mpd.scm 1307 */
 obj_t BgL_dirz00_5468;
BgL_dirz00_5468 = 
CDR(BgL_cz00_5466); 
BgL_tmpz00_9204 = 
BGl_loopze74ze7zz__multimediazd2mpdzd2(
((obj_t)BgL_opz00_4848), 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4847), BFALSE, BgL_artistz00_4849, BgL_dirz00_5468); }  else 
{ /* Llib/mpd.scm 1306 */
BgL_tmpz00_9204 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_9204);} } 

}



/* &mpd-database-find-al1386 */
obj_t BGl_z62mpdzd2databasezd2findzd2al1386zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4850, obj_t BgL_oz00_4851, obj_t BgL_opz00_4852, obj_t BgL_albumz00_4853)
{
{ /* Llib/mpd.scm 1294 */
{ /* Llib/mpd.scm 1295 */
 bool_t BgL_tmpz00_9215;
{ /* Llib/mpd.scm 1296 */
 obj_t BgL_cz00_5475;
BgL_cz00_5475 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_albumz00_4853, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4851)))->BgL_z52albumsz52)); 
if(
PAIRP(BgL_cz00_5475))
{ /* Llib/mpd.scm 1298 */
 obj_t BgL_dirz00_5477;
BgL_dirz00_5477 = 
CDR(BgL_cz00_5475); 
BgL_tmpz00_9215 = 
BGl_loopze74ze7zz__multimediazd2mpdzd2(
((obj_t)BgL_opz00_4852), 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4851), BgL_albumz00_4853, BFALSE, BgL_dirz00_5477); }  else 
{ /* Llib/mpd.scm 1297 */
BgL_tmpz00_9215 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_9215);} } 

}



/* &mpd-database-lsinfo1384 */
obj_t BGl_z62mpdzd2databasezd2lsinfo1384z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4854, obj_t BgL_oz00_4855, obj_t BgL_opz00_4856, obj_t BgL_dirz00_4857, obj_t BgL_recz00_4858)
{
{ /* Llib/mpd.scm 1233 */
{ /* Llib/mpd.scm 1234 */
 bool_t BgL_tmpz00_9226;
{ /* Llib/mpd.scm 1234 */
 bool_t BgL_recz00_5482;
BgL_recz00_5482 = 
CBOOL(BgL_recz00_4858); 
{ /* Llib/mpd.scm 1235 */
 bool_t BgL_test3678z00_9228;
if(
BGl_filezd2systemzd2rootzf3zf3zz__multimediazd2mpdzd2(
((obj_t)BgL_dirz00_4857)))
{ /* Llib/mpd.scm 1235 */
BgL_test3678z00_9228 = ((bool_t)1)
; }  else 
{ /* Llib/mpd.scm 1235 */
 obj_t BgL_arg2570z00_5483;
BgL_arg2570z00_5483 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4855)))->BgL_z52basez52); 
{ /* Llib/mpd.scm 1235 */
 long BgL_l1z00_5484;
BgL_l1z00_5484 = 
STRING_LENGTH(
((obj_t)BgL_dirz00_4857)); 
if(
(BgL_l1z00_5484==
STRING_LENGTH(BgL_arg2570z00_5483)))
{ /* Llib/mpd.scm 1235 */
 int BgL_arg1290z00_5485;
{ /* Llib/mpd.scm 1235 */
 char * BgL_auxz00_9242; char * BgL_tmpz00_9239;
BgL_auxz00_9242 = 
BSTRING_TO_STRING(BgL_arg2570z00_5483); 
BgL_tmpz00_9239 = 
BSTRING_TO_STRING(
((obj_t)BgL_dirz00_4857)); 
BgL_arg1290z00_5485 = 
memcmp(BgL_tmpz00_9239, BgL_auxz00_9242, BgL_l1z00_5484); } 
BgL_test3678z00_9228 = 
(
(long)(BgL_arg1290z00_5485)==((long)0)); }  else 
{ /* Llib/mpd.scm 1235 */
BgL_test3678z00_9228 = ((bool_t)0)
; } } } 
if(BgL_test3678z00_9228)
{ /* Llib/mpd.scm 1236 */
 obj_t BgL_g1281z00_5486;
BgL_g1281z00_5486 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4855)))->BgL_directoriesz00); 
{ 
 obj_t BgL_l1279z00_5488;
BgL_l1279z00_5488 = BgL_g1281z00_5486; 
BgL_zc3z04anonymousza32551ze3z87_5487:
if(
PAIRP(BgL_l1279z00_5488))
{ /* Llib/mpd.scm 1236 */
{ /* Llib/mpd.scm 1237 */
 obj_t BgL_dirz00_5489;
BgL_dirz00_5489 = 
CAR(BgL_l1279z00_5488); 
{ /* Llib/mpd.scm 1237 */
 obj_t BgL_g1278z00_5490;
BgL_g1278z00_5490 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_5489); 
{ 
 obj_t BgL_l1276z00_5492;
BgL_l1276z00_5492 = BgL_g1278z00_5490; 
BgL_zc3z04anonymousza32553ze3z87_5491:
if(
PAIRP(BgL_l1276z00_5492))
{ /* Llib/mpd.scm 1244 */
{ /* Llib/mpd.scm 1238 */
 obj_t BgL_dirz00_5493;
BgL_dirz00_5493 = 
CAR(BgL_l1276z00_5492); 
{ /* Llib/mpd.scm 1238 */
 obj_t BgL_mdz00_5494;
BgL_mdz00_5494 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_dirz00_5493, 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4855))); 
{ /* Llib/mpd.scm 1239 */
 obj_t BgL_tmpz00_9259;
BgL_tmpz00_9259 = 
((obj_t)BgL_opz00_4856); 
bgl_display_string(BGl_string3105z00zz__multimediazd2mpdzd2, BgL_tmpz00_9259); } 
bgl_display_obj(BgL_mdz00_5494, 
((obj_t)BgL_opz00_4856)); 
{ /* Llib/mpd.scm 1241 */
 obj_t BgL_tmpz00_9264;
BgL_tmpz00_9264 = 
((obj_t)BgL_opz00_4856); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9264); } 
if(BgL_recz00_5482)
{ /* Llib/mpd.scm 1242 */
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4855), 
((obj_t)BgL_opz00_4856), BgL_mdz00_5494, BgL_recz00_5482); }  else 
{ /* Llib/mpd.scm 1242 */BFALSE; } } } 
{ 
 obj_t BgL_l1276z00_9271;
BgL_l1276z00_9271 = 
CDR(BgL_l1276z00_5492); 
BgL_l1276z00_5492 = BgL_l1276z00_9271; 
goto BgL_zc3z04anonymousza32553ze3z87_5491;} }  else 
{ /* Llib/mpd.scm 1244 */((bool_t)1); } } } } 
{ 
 obj_t BgL_l1279z00_9273;
BgL_l1279z00_9273 = 
CDR(BgL_l1279z00_5488); 
BgL_l1279z00_5488 = BgL_l1279z00_9273; 
goto BgL_zc3z04anonymousza32551ze3z87_5487;} }  else 
{ /* Llib/mpd.scm 1236 */
BgL_tmpz00_9226 = ((bool_t)1)
; } } }  else 
{ /* Llib/mpd.scm 1246 */
 obj_t BgL_pathz00_5495;
BgL_pathz00_5495 = 
BGl_mpdzd2ze3filez31zz__multimediazd2mpdzd2(
((obj_t)BgL_dirz00_4857), 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4855)), 
((obj_t)BgL_opz00_4856), BGl_string3106z00zz__multimediazd2mpdzd2); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pathz00_5495)))
{ /* Llib/mpd.scm 1248 */
 obj_t BgL_filesz00_5496;
BgL_filesz00_5496 = 
BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(BgL_pathz00_5495); 
{ /* Llib/mpd.scm 1248 */
 obj_t BgL_imgz00_5497;
{ /* Llib/mpd.scm 1249 */
 obj_t BgL_fz00_5498;
{ 
 obj_t BgL_list1283z00_5500;
BgL_list1283z00_5500 = BgL_filesz00_5496; 
BgL_zc3z04anonymousza32564ze3z87_5499:
if(
PAIRP(BgL_list1283z00_5500))
{ /* Llib/mpd.scm 1249 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1283z00_5500)))
{ /* Llib/mpd.scm 1249 */
BgL_fz00_5498 = 
CAR(BgL_list1283z00_5500); }  else 
{ 
 obj_t BgL_list1283z00_9290;
BgL_list1283z00_9290 = 
CDR(BgL_list1283z00_5500); 
BgL_list1283z00_5500 = BgL_list1283z00_9290; 
goto BgL_zc3z04anonymousza32564ze3z87_5499;} }  else 
{ /* Llib/mpd.scm 1249 */
BgL_fz00_5498 = BFALSE; } } 
if(
STRINGP(BgL_fz00_5498))
{ /* Llib/mpd.scm 1250 */
BgL_imgz00_5497 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_pathz00_5495, BgL_fz00_5498); }  else 
{ /* Llib/mpd.scm 1250 */
BgL_imgz00_5497 = BFALSE; } } 
{ /* Llib/mpd.scm 1249 */

{ 
 obj_t BgL_l1284z00_5502;
BgL_l1284z00_5502 = BgL_filesz00_5496; 
BgL_zc3z04anonymousza32558ze3z87_5501:
if(
PAIRP(BgL_l1284z00_5502))
{ /* Llib/mpd.scm 1252 */
{ /* Llib/mpd.scm 1253 */
 obj_t BgL_fz00_5503;
BgL_fz00_5503 = 
CAR(BgL_l1284z00_5502); 
{ /* Llib/mpd.scm 1253 */
 obj_t BgL_pz00_5504;
BgL_pz00_5504 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_pathz00_5495, BgL_fz00_5503); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_5504)))
{ /* Llib/mpd.scm 1256 */
 obj_t BgL_mdz00_5505;
BgL_mdz00_5505 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_pz00_5504, 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4855))); 
{ /* Llib/mpd.scm 1257 */
 obj_t BgL_tmpz00_9305;
BgL_tmpz00_9305 = 
((obj_t)BgL_opz00_4856); 
bgl_display_string(BGl_string3105z00zz__multimediazd2mpdzd2, BgL_tmpz00_9305); } 
bgl_display_obj(BgL_mdz00_5505, 
((obj_t)BgL_opz00_4856)); 
{ /* Llib/mpd.scm 1259 */
 obj_t BgL_tmpz00_9310;
BgL_tmpz00_9310 = 
((obj_t)BgL_opz00_4856); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9310); } 
if(BgL_recz00_5482)
{ /* Llib/mpd.scm 1260 */
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4855), 
((obj_t)BgL_opz00_4856), BgL_mdz00_5505, BgL_recz00_5482); }  else 
{ /* Llib/mpd.scm 1260 */BFALSE; } }  else 
{ /* Llib/mpd.scm 1255 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_fz00_5503, 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4855))))
{ /* Llib/mpd.scm 422 */
 obj_t BgL_g1195z00_5506;
BgL_g1195z00_5506 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4855)), BgL_pz00_5504, BFALSE, BFALSE, BgL_imgz00_5497); 
{ 
 obj_t BgL_l1193z00_5508;
{ /* Llib/mpd.scm 427 */
 bool_t BgL_tmpz00_9324;
BgL_l1193z00_5508 = BgL_g1195z00_5506; 
BgL_zc3z04anonymousza32019ze3z87_5507:
if(
PAIRP(BgL_l1193z00_5508))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
 obj_t BgL_kz00_5509;
BgL_kz00_5509 = 
CAR(BgL_l1193z00_5508); 
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2021z00_5510;
{ /* Llib/mpd.scm 423 */
 obj_t BgL_arg2022z00_5511;
BgL_arg2022z00_5511 = 
CAR(
((obj_t)BgL_kz00_5509)); 
BgL_arg2021z00_5510 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg2022z00_5511)); } 
bgl_display_obj(BgL_arg2021z00_5510, 
((obj_t)BgL_opz00_4856)); } 
{ /* Llib/mpd.scm 424 */
 obj_t BgL_tmpz00_9334;
BgL_tmpz00_9334 = 
((obj_t)BgL_opz00_4856); 
bgl_display_string(BGl_string2988z00zz__multimediazd2mpdzd2, BgL_tmpz00_9334); } 
{ /* Llib/mpd.scm 425 */
 obj_t BgL_arg2023z00_5512;
{ /* Llib/mpd.scm 425 */
 obj_t BgL_pairz00_5513;
BgL_pairz00_5513 = 
CDR(
((obj_t)BgL_kz00_5509)); 
BgL_arg2023z00_5512 = 
CAR(BgL_pairz00_5513); } 
bgl_display_obj(BgL_arg2023z00_5512, 
((obj_t)BgL_opz00_4856)); } 
{ /* Llib/mpd.scm 426 */
 obj_t BgL_tmpz00_9342;
BgL_tmpz00_9342 = 
((obj_t)BgL_opz00_4856); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9342); } } 
{ 
 obj_t BgL_l1193z00_9345;
BgL_l1193z00_9345 = 
CDR(BgL_l1193z00_5508); 
BgL_l1193z00_5508 = BgL_l1193z00_9345; 
goto BgL_zc3z04anonymousza32019ze3z87_5507;} }  else 
{ /* Llib/mpd.scm 427 */
BgL_tmpz00_9324 = ((bool_t)1)
; } 
BBOOL(BgL_tmpz00_9324); } } }  else 
{ /* Llib/mpd.scm 1262 */BFALSE; } } } } 
{ 
 obj_t BgL_l1284z00_9348;
BgL_l1284z00_9348 = 
CDR(BgL_l1284z00_5502); 
BgL_l1284z00_5502 = BgL_l1284z00_9348; 
goto BgL_zc3z04anonymousza32558ze3z87_5501;} }  else 
{ /* Llib/mpd.scm 1252 */
BgL_tmpz00_9226 = ((bool_t)1)
; } } } } }  else 
{ /* Llib/mpd.scm 1247 */
BgL_tmpz00_9226 = ((bool_t)0)
; } } } } 
return 
BBOOL(BgL_tmpz00_9226);} } 

}



/* &mpd-database-listart1382 */
obj_t BGl_z62mpdzd2databasezd2listart1382z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4859, obj_t BgL_oz00_4860, obj_t BgL_opz00_4861)
{
{ /* Llib/mpd.scm 1223 */
{ /* Llib/mpd.scm 1224 */
 bool_t BgL_tmpz00_9351;
{ /* Llib/mpd.scm 1224 */
 obj_t BgL_g1275z00_5516;
BgL_g1275z00_5516 = 
BGl_mpdzd2databasezd2getartistz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4860)); 
{ 
 obj_t BgL_l1273z00_5518;
BgL_l1273z00_5518 = BgL_g1275z00_5516; 
BgL_zc3z04anonymousza32543ze3z87_5517:
if(
PAIRP(BgL_l1273z00_5518))
{ /* Llib/mpd.scm 1228 */
{ /* Llib/mpd.scm 1225 */
 obj_t BgL_az00_5519;
BgL_az00_5519 = 
CAR(BgL_l1273z00_5518); 
{ /* Llib/mpd.scm 1225 */
 obj_t BgL_tmpz00_9357;
BgL_tmpz00_9357 = 
((obj_t)BgL_opz00_4861); 
bgl_display_string(BGl_string2996z00zz__multimediazd2mpdzd2, BgL_tmpz00_9357); } 
{ /* Llib/mpd.scm 1226 */
 obj_t BgL_arg2545z00_5520;
BgL_arg2545z00_5520 = 
CAR(
((obj_t)BgL_az00_5519)); 
bgl_display_obj(BgL_arg2545z00_5520, 
((obj_t)BgL_opz00_4861)); } 
{ /* Llib/mpd.scm 1227 */
 obj_t BgL_tmpz00_9364;
BgL_tmpz00_9364 = 
((obj_t)BgL_opz00_4861); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9364); } } 
{ 
 obj_t BgL_l1273z00_9367;
BgL_l1273z00_9367 = 
CDR(BgL_l1273z00_5518); 
BgL_l1273z00_5518 = BgL_l1273z00_9367; 
goto BgL_zc3z04anonymousza32543ze3z87_5517;} }  else 
{ /* Llib/mpd.scm 1228 */
BgL_tmpz00_9351 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9351);} } 

}



/* &mpd-database-listgen1380 */
obj_t BGl_z62mpdzd2databasezd2listgen1380z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4862, obj_t BgL_oz00_4863, obj_t BgL_opz00_4864)
{
{ /* Llib/mpd.scm 1213 */
{ /* Llib/mpd.scm 1214 */
 bool_t BgL_tmpz00_9370;
{ /* Llib/mpd.scm 1214 */
 obj_t BgL_g1272z00_5523;
BgL_g1272z00_5523 = 
BGl_mpdzd2databasezd2getgenrez00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4863)); 
{ 
 obj_t BgL_l1270z00_5525;
BgL_l1270z00_5525 = BgL_g1272z00_5523; 
BgL_zc3z04anonymousza32538ze3z87_5524:
if(
PAIRP(BgL_l1270z00_5525))
{ /* Llib/mpd.scm 1218 */
{ /* Llib/mpd.scm 1215 */
 obj_t BgL_az00_5526;
BgL_az00_5526 = 
CAR(BgL_l1270z00_5525); 
{ /* Llib/mpd.scm 1215 */
 obj_t BgL_tmpz00_9376;
BgL_tmpz00_9376 = 
((obj_t)BgL_opz00_4864); 
bgl_display_string(BGl_string3107z00zz__multimediazd2mpdzd2, BgL_tmpz00_9376); } 
{ /* Llib/mpd.scm 1216 */
 obj_t BgL_arg2540z00_5527;
BgL_arg2540z00_5527 = 
CAR(
((obj_t)BgL_az00_5526)); 
bgl_display_obj(BgL_arg2540z00_5527, 
((obj_t)BgL_opz00_4864)); } 
{ /* Llib/mpd.scm 1217 */
 obj_t BgL_tmpz00_9383;
BgL_tmpz00_9383 = 
((obj_t)BgL_opz00_4864); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9383); } } 
{ 
 obj_t BgL_l1270z00_9386;
BgL_l1270z00_9386 = 
CDR(BgL_l1270z00_5525); 
BgL_l1270z00_5525 = BgL_l1270z00_9386; 
goto BgL_zc3z04anonymousza32538ze3z87_5524;} }  else 
{ /* Llib/mpd.scm 1218 */
BgL_tmpz00_9370 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9370);} } 

}



/* &mpd-database-listgen1378 */
obj_t BGl_z62mpdzd2databasezd2listgen1378z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4865, obj_t BgL_oz00_4866, obj_t BgL_opz00_4867, obj_t BgL_genrez00_4868)
{
{ /* Llib/mpd.scm 1203 */
{ /* Llib/mpd.scm 1204 */
 bool_t BgL_tmpz00_9389;
{ /* Llib/mpd.scm 1204 */
 obj_t BgL_g1269z00_5530;
BgL_g1269z00_5530 = 
BGl_mpdzd2databasezd2getgenreartistz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4866), BgL_genrez00_4868); 
{ 
 obj_t BgL_l1267z00_5532;
BgL_l1267z00_5532 = BgL_g1269z00_5530; 
BgL_zc3z04anonymousza32533ze3z87_5531:
if(
PAIRP(BgL_l1267z00_5532))
{ /* Llib/mpd.scm 1208 */
{ /* Llib/mpd.scm 1205 */
 obj_t BgL_az00_5533;
BgL_az00_5533 = 
CAR(BgL_l1267z00_5532); 
{ /* Llib/mpd.scm 1205 */
 obj_t BgL_tmpz00_9395;
BgL_tmpz00_9395 = 
((obj_t)BgL_opz00_4867); 
bgl_display_string(BGl_string2996z00zz__multimediazd2mpdzd2, BgL_tmpz00_9395); } 
{ /* Llib/mpd.scm 1206 */
 obj_t BgL_arg2535z00_5534;
BgL_arg2535z00_5534 = 
CAR(
((obj_t)BgL_az00_5533)); 
bgl_display_obj(BgL_arg2535z00_5534, 
((obj_t)BgL_opz00_4867)); } 
{ /* Llib/mpd.scm 1207 */
 obj_t BgL_tmpz00_9402;
BgL_tmpz00_9402 = 
((obj_t)BgL_opz00_4867); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9402); } } 
{ 
 obj_t BgL_l1267z00_9405;
BgL_l1267z00_9405 = 
CDR(BgL_l1267z00_5532); 
BgL_l1267z00_5532 = BgL_l1267z00_9405; 
goto BgL_zc3z04anonymousza32533ze3z87_5531;} }  else 
{ /* Llib/mpd.scm 1208 */
BgL_tmpz00_9389 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9389);} } 

}



/* &mpd-database-listgen1376 */
obj_t BGl_z62mpdzd2databasezd2listgen1376z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4869, obj_t BgL_oz00_4870, obj_t BgL_opz00_4871, obj_t BgL_genrez00_4872)
{
{ /* Llib/mpd.scm 1189 */
{ /* Llib/mpd.scm 1190 */
 bool_t BgL_tmpz00_9408;
{ /* Llib/mpd.scm 1190 */
 obj_t BgL_g1266z00_5537;
{ /* Llib/mpd.scm 1194 */
 obj_t BgL_hook1262z00_5538;
BgL_hook1262z00_5538 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ /* Llib/mpd.scm 1197 */
 obj_t BgL_g1263z00_5539;
BgL_g1263z00_5539 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4870)))->BgL_z52albumsz52); 
{ 
 obj_t BgL_l1259z00_5541; obj_t BgL_h1260z00_5542;
BgL_l1259z00_5541 = BgL_g1263z00_5539; 
BgL_h1260z00_5542 = BgL_hook1262z00_5538; 
BgL_zc3z04anonymousza32520ze3z87_5540:
if(
NULLP(BgL_l1259z00_5541))
{ /* Llib/mpd.scm 1197 */
BgL_g1266z00_5537 = 
CDR(BgL_hook1262z00_5538); }  else 
{ /* Llib/mpd.scm 1197 */
 bool_t BgL_test3697z00_9415;
{ /* Llib/mpd.scm 1195 */
 obj_t BgL_cz00_5543;
BgL_cz00_5543 = 
CAR(
((obj_t)BgL_l1259z00_5541)); 
{ /* Llib/mpd.scm 1195 */
 obj_t BgL_dirz00_5544;
BgL_dirz00_5544 = 
CDR(
((obj_t)BgL_cz00_5543)); 
{ /* Llib/mpd.scm 1196 */
 obj_t BgL_arg2529z00_5545;
BgL_arg2529z00_5545 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_5544))); 
{ /* Llib/mpd.scm 1196 */
 long BgL_l1z00_5546;
BgL_l1z00_5546 = 
STRING_LENGTH(BgL_arg2529z00_5545); 
if(
(BgL_l1z00_5546==
STRING_LENGTH(
((obj_t)BgL_genrez00_4872))))
{ /* Llib/mpd.scm 1196 */
 int BgL_arg1290z00_5547;
{ /* Llib/mpd.scm 1196 */
 char * BgL_auxz00_9430; char * BgL_tmpz00_9428;
BgL_auxz00_9430 = 
BSTRING_TO_STRING(
((obj_t)BgL_genrez00_4872)); 
BgL_tmpz00_9428 = 
BSTRING_TO_STRING(BgL_arg2529z00_5545); 
BgL_arg1290z00_5547 = 
memcmp(BgL_tmpz00_9428, BgL_auxz00_9430, BgL_l1z00_5546); } 
BgL_test3697z00_9415 = 
(
(long)(BgL_arg1290z00_5547)==((long)0)); }  else 
{ /* Llib/mpd.scm 1196 */
BgL_test3697z00_9415 = ((bool_t)0)
; } } } } } 
if(BgL_test3697z00_9415)
{ /* Llib/mpd.scm 1197 */
 obj_t BgL_nh1261z00_5548;
{ /* Llib/mpd.scm 1197 */
 obj_t BgL_arg2527z00_5549;
BgL_arg2527z00_5549 = 
CAR(
((obj_t)BgL_l1259z00_5541)); 
BgL_nh1261z00_5548 = 
MAKE_YOUNG_PAIR(BgL_arg2527z00_5549, BNIL); } 
SET_CDR(BgL_h1260z00_5542, BgL_nh1261z00_5548); 
{ /* Llib/mpd.scm 1197 */
 obj_t BgL_arg2526z00_5550;
BgL_arg2526z00_5550 = 
CDR(
((obj_t)BgL_l1259z00_5541)); 
{ 
 obj_t BgL_h1260z00_9443; obj_t BgL_l1259z00_9442;
BgL_l1259z00_9442 = BgL_arg2526z00_5550; 
BgL_h1260z00_9443 = BgL_nh1261z00_5548; 
BgL_h1260z00_5542 = BgL_h1260z00_9443; 
BgL_l1259z00_5541 = BgL_l1259z00_9442; 
goto BgL_zc3z04anonymousza32520ze3z87_5540;} } }  else 
{ /* Llib/mpd.scm 1197 */
 obj_t BgL_arg2528z00_5551;
BgL_arg2528z00_5551 = 
CDR(
((obj_t)BgL_l1259z00_5541)); 
{ 
 obj_t BgL_l1259z00_9446;
BgL_l1259z00_9446 = BgL_arg2528z00_5551; 
BgL_l1259z00_5541 = BgL_l1259z00_9446; 
goto BgL_zc3z04anonymousza32520ze3z87_5540;} } } } } } 
{ 
 obj_t BgL_l1264z00_5553;
BgL_l1264z00_5553 = BgL_g1266z00_5537; 
BgL_zc3z04anonymousza32516ze3z87_5552:
if(
PAIRP(BgL_l1264z00_5553))
{ /* Llib/mpd.scm 1194 */
{ /* Llib/mpd.scm 1191 */
 obj_t BgL_az00_5554;
BgL_az00_5554 = 
CAR(BgL_l1264z00_5553); 
{ /* Llib/mpd.scm 1191 */
 obj_t BgL_tmpz00_9450;
BgL_tmpz00_9450 = 
((obj_t)BgL_opz00_4871); 
bgl_display_string(BGl_string2998z00zz__multimediazd2mpdzd2, BgL_tmpz00_9450); } 
{ /* Llib/mpd.scm 1192 */
 obj_t BgL_arg2518z00_5555;
BgL_arg2518z00_5555 = 
CAR(
((obj_t)BgL_az00_5554)); 
bgl_display_obj(BgL_arg2518z00_5555, 
((obj_t)BgL_opz00_4871)); } 
{ /* Llib/mpd.scm 1193 */
 obj_t BgL_tmpz00_9457;
BgL_tmpz00_9457 = 
((obj_t)BgL_opz00_4871); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9457); } } 
{ 
 obj_t BgL_l1264z00_9460;
BgL_l1264z00_9460 = 
CDR(BgL_l1264z00_5553); 
BgL_l1264z00_5553 = BgL_l1264z00_9460; 
goto BgL_zc3z04anonymousza32516ze3z87_5552;} }  else 
{ /* Llib/mpd.scm 1194 */
BgL_tmpz00_9408 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9408);} } 

}



/* &mpd-database-listart1374 */
obj_t BGl_z62mpdzd2databasezd2listart1374z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4873, obj_t BgL_oz00_4874, obj_t BgL_opz00_4875, obj_t BgL_artistz00_4876)
{
{ /* Llib/mpd.scm 1179 */
{ /* Llib/mpd.scm 1180 */
 bool_t BgL_tmpz00_9463;
{ /* Llib/mpd.scm 1180 */
 obj_t BgL_g1257z00_5558;
BgL_g1257z00_5558 = 
BGl_mpdzd2databasezd2getartistalbumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4874), BgL_artistz00_4876); 
{ 
 obj_t BgL_l1255z00_5560;
BgL_l1255z00_5560 = BgL_g1257z00_5558; 
BgL_zc3z04anonymousza32511ze3z87_5559:
if(
PAIRP(BgL_l1255z00_5560))
{ /* Llib/mpd.scm 1184 */
{ /* Llib/mpd.scm 1181 */
 obj_t BgL_az00_5561;
BgL_az00_5561 = 
CAR(BgL_l1255z00_5560); 
{ /* Llib/mpd.scm 1181 */
 obj_t BgL_tmpz00_9469;
BgL_tmpz00_9469 = 
((obj_t)BgL_opz00_4875); 
bgl_display_string(BGl_string2998z00zz__multimediazd2mpdzd2, BgL_tmpz00_9469); } 
{ /* Llib/mpd.scm 1182 */
 obj_t BgL_arg2513z00_5562;
{ /* Llib/mpd.scm 1182 */
 obj_t BgL_pairz00_5563;
BgL_pairz00_5563 = 
CDR(
((obj_t)BgL_az00_5561)); 
BgL_arg2513z00_5562 = 
CAR(BgL_pairz00_5563); } 
bgl_display_obj(BgL_arg2513z00_5562, 
((obj_t)BgL_opz00_4875)); } 
{ /* Llib/mpd.scm 1183 */
 obj_t BgL_tmpz00_9477;
BgL_tmpz00_9477 = 
((obj_t)BgL_opz00_4875); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9477); } } 
{ 
 obj_t BgL_l1255z00_9480;
BgL_l1255z00_9480 = 
CDR(BgL_l1255z00_5560); 
BgL_l1255z00_5560 = BgL_l1255z00_9480; 
goto BgL_zc3z04anonymousza32511ze3z87_5559;} }  else 
{ /* Llib/mpd.scm 1184 */
BgL_tmpz00_9463 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9463);} } 

}



/* &mpd-database-listalb1372 */
obj_t BGl_z62mpdzd2databasezd2listalb1372z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4877, obj_t BgL_oz00_4878, obj_t BgL_opz00_4879)
{
{ /* Llib/mpd.scm 1168 */
{ /* Llib/mpd.scm 1169 */
 bool_t BgL_tmpz00_9483;
{ /* Llib/mpd.scm 1169 */
 obj_t BgL_g1254z00_5566;
BgL_g1254z00_5566 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4878)))->BgL_z52albumsz52); 
{ 
 obj_t BgL_l1252z00_5568;
BgL_l1252z00_5568 = BgL_g1254z00_5566; 
BgL_zc3z04anonymousza32506ze3z87_5567:
if(
PAIRP(BgL_l1252z00_5568))
{ /* Llib/mpd.scm 1173 */
{ /* Llib/mpd.scm 1170 */
 obj_t BgL_az00_5569;
BgL_az00_5569 = 
CAR(BgL_l1252z00_5568); 
{ /* Llib/mpd.scm 1170 */
 obj_t BgL_tmpz00_9489;
BgL_tmpz00_9489 = 
((obj_t)BgL_opz00_4879); 
bgl_display_string(BGl_string2998z00zz__multimediazd2mpdzd2, BgL_tmpz00_9489); } 
{ /* Llib/mpd.scm 1171 */
 obj_t BgL_arg2508z00_5570;
BgL_arg2508z00_5570 = 
CAR(
((obj_t)BgL_az00_5569)); 
bgl_display_obj(BgL_arg2508z00_5570, 
((obj_t)BgL_opz00_4879)); } 
{ /* Llib/mpd.scm 1172 */
 obj_t BgL_tmpz00_9496;
BgL_tmpz00_9496 = 
((obj_t)BgL_opz00_4879); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9496); } } 
{ 
 obj_t BgL_l1252z00_9499;
BgL_l1252z00_9499 = 
CDR(BgL_l1252z00_5568); 
BgL_l1252z00_5568 = BgL_l1252z00_9499; 
goto BgL_zc3z04anonymousza32506ze3z87_5567;} }  else 
{ /* Llib/mpd.scm 1173 */
BgL_tmpz00_9483 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9483);} } 

}



/* &mpd-database-listall1370 */
obj_t BGl_z62mpdzd2databasezd2listall1370z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4880, obj_t BgL_oz00_4881, obj_t BgL_opz00_4882)
{
{ /* Llib/mpd.scm 1142 */
{ /* Llib/mpd.scm 1146 */
 bool_t BgL_tmpz00_9502;
{ /* Llib/mpd.scm 1160 */
 obj_t BgL_tmpz00_9503;
BgL_tmpz00_9503 = 
((obj_t)BgL_opz00_4882); 
bgl_display_string(BGl_string3105z00zz__multimediazd2mpdzd2, BgL_tmpz00_9503); } 
bgl_display_obj(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4881)))->BgL_z52basez52), 
((obj_t)BgL_opz00_4882)); 
{ /* Llib/mpd.scm 1162 */
 obj_t BgL_tmpz00_9510;
BgL_tmpz00_9510 = 
((obj_t)BgL_opz00_4882); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_9510); } 
{ /* Llib/mpd.scm 1163 */
 obj_t BgL_g1251z00_5576;
BgL_g1251z00_5576 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4881)))->BgL_directoriesz00); 
{ 
 obj_t BgL_l1249z00_5578;
BgL_l1249z00_5578 = BgL_g1251z00_5576; 
BgL_zc3z04anonymousza32492ze3z87_5577:
if(
PAIRP(BgL_l1249z00_5578))
{ /* Llib/mpd.scm 1163 */
{ /* Llib/mpd.scm 1163 */
 obj_t BgL_pathz00_5581;
BgL_pathz00_5581 = 
CAR(BgL_l1249z00_5578); 
BGl_loopze70ze7zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4881), 
((obj_t)BgL_opz00_4882), BgL_pathz00_5581); } 
{ 
 obj_t BgL_l1249z00_9521;
BgL_l1249z00_9521 = 
CDR(BgL_l1249z00_5578); 
BgL_l1249z00_5578 = BgL_l1249z00_9521; 
goto BgL_zc3z04anonymousza32492ze3z87_5577;} }  else 
{ /* Llib/mpd.scm 1163 */
BgL_tmpz00_9502 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_9502);} } 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_4968, obj_t BgL_opz00_4967, obj_t BgL_pathz00_1837)
{
{ /* Llib/mpd.scm 1145 */
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pathz00_1837)))
{ /* Llib/mpd.scm 1146 */
bgl_display_string(BGl_string3105z00zz__multimediazd2mpdzd2, BgL_opz00_4967); 
{ /* Llib/mpd.scm 1149 */
 obj_t BgL_arg2499z00_1840;
BgL_arg2499z00_1840 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_pathz00_1837, 
((obj_t)BgL_oz00_4968)); 
bgl_display_obj(BgL_arg2499z00_1840, BgL_opz00_4967); } 
bgl_display_char(((unsigned char)10), BgL_opz00_4967); 
{ /* Llib/mpd.scm 1151 */
 obj_t BgL_g1248z00_1841;
BgL_g1248z00_1841 = 
BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(BgL_pathz00_1837); 
{ 
 obj_t BgL_l1246z00_1843;
{ /* Llib/mpd.scm 1153 */
 bool_t BgL_tmpz00_9533;
BgL_l1246z00_1843 = BgL_g1248z00_1841; 
BgL_zc3z04anonymousza32500ze3z87_1844:
if(
PAIRP(BgL_l1246z00_1843))
{ /* Llib/mpd.scm 1153 */
{ /* Llib/mpd.scm 1152 */
 obj_t BgL_fz00_1846;
BgL_fz00_1846 = 
CAR(BgL_l1246z00_1843); 
BGl_loopze70ze7zz__multimediazd2mpdzd2(BgL_oz00_4968, BgL_opz00_4967, 
BGl_makezd2filezd2namez00zz__osz00(BgL_pathz00_1837, BgL_fz00_1846)); } 
{ 
 obj_t BgL_l1246z00_9539;
BgL_l1246z00_9539 = 
CDR(BgL_l1246z00_1843); 
BgL_l1246z00_1843 = BgL_l1246z00_9539; 
goto BgL_zc3z04anonymousza32500ze3z87_1844;} }  else 
{ /* Llib/mpd.scm 1153 */
BgL_tmpz00_9533 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_9533);} } } }  else 
{ /* Llib/mpd.scm 1146 */
bgl_display_string(BGl_string2993z00zz__multimediazd2mpdzd2, BgL_opz00_4967); 
{ /* Llib/mpd.scm 1156 */
 obj_t BgL_arg2504z00_1850;
BgL_arg2504z00_1850 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_pathz00_1837, 
((obj_t)BgL_oz00_4968)); 
bgl_display_obj(BgL_arg2504z00_1850, BgL_opz00_4967); } 
return 
bgl_display_char(((unsigned char)10), BgL_opz00_4967);} } 

}



/* &mpd-database-stats1368 */
obj_t BGl_z62mpdzd2databasezd2stats1368z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4883, obj_t BgL_oz00_4884, obj_t BgL_backendz00_4885, obj_t BgL_opz00_4886)
{
{ /* Llib/mpd.scm 1108 */
{ 

{ /* Llib/mpd.scm 1125 */
 obj_t BgL_arg2465z00_5601; int BgL_arg2466z00_5602; int BgL_arg2467z00_5603; long BgL_arg2468z00_5604; obj_t BgL_arg2469z00_5605; long BgL_arg2470z00_5606;
BgL_arg2465z00_5601 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4884)))->BgL_z52nartistsz52); 
BgL_arg2466z00_5602 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4884)))->BgL_z52nalbumsz52); 
BgL_arg2467z00_5603 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4884)))->BgL_z52nsongsz52); 
{ /* Llib/mpd.scm 1135 */
 long BgL_arg2477z00_5607;
{ /* Llib/mpd.scm 1135 */
 long BgL_arg2478z00_5608; obj_t BgL_arg2479z00_5609;
BgL_arg2478z00_5608 = 
bgl_current_seconds(); 
BgL_arg2479z00_5609 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4884)))->BgL_z52uptimez52); 
{ /* Llib/mpd.scm 1135 */
 long BgL_res2752z00_5610;
{ /* Llib/mpd.scm 1135 */
 long BgL_za72za7_5611;
BgL_za72za7_5611 = 
BELONG_TO_LONG(BgL_arg2479z00_5609); 
{ /* Llib/mpd.scm 1135 */
 long BgL_tmpz00_9557;
BgL_tmpz00_9557 = 
(BgL_arg2478z00_5608-BgL_za72za7_5611); 
BgL_res2752z00_5610 = 
(long)(BgL_tmpz00_9557); } } 
BgL_arg2477z00_5607 = BgL_res2752z00_5610; } } 
BgL_arg2468z00_5604 = 
(long)(BgL_arg2477z00_5607); } 
{ /* Llib/mpd.scm 1111 */
 obj_t BgL_plistz00_5584; int BgL_numz00_5585;
BgL_plistz00_5584 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4885)); 
BgL_numz00_5585 = 
BGl_musiczd2songzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4885)); 
{ /* Llib/mpd.scm 1113 */
 bool_t BgL_test3705z00_9565;
if(
(
(long)(BgL_numz00_5585)>=((long)0)))
{ /* Llib/mpd.scm 1113 */
BgL_test3705z00_9565 = 
(
(long)(BgL_numz00_5585)<
bgl_list_length(BgL_plistz00_5584))
; }  else 
{ /* Llib/mpd.scm 1113 */
BgL_test3705z00_9565 = ((bool_t)0)
; } 
if(BgL_test3705z00_9565)
{ /* Llib/mpd.scm 1114 */
 obj_t BgL_filez00_5586;
BgL_filez00_5586 = 
bgl_list_ref(BgL_plistz00_5584, 
(long)(BgL_numz00_5585)); 
{ /* Llib/mpd.scm 1114 */
 obj_t BgL_pathz00_5587;
if(
bigloo_strcmp_at(BgL_filez00_5586, BGl_string2990z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 1021 */
BgL_pathz00_5587 = BgL_filez00_5586; }  else 
{ /* Llib/mpd.scm 1021 */
BgL_pathz00_5587 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_filez00_5586, 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4884))); } 
{ /* Llib/mpd.scm 1115 */

if(
fexists(
BSTRING_TO_STRING(BgL_filez00_5586)))
{ /* Llib/mpd.scm 1117 */
 obj_t BgL_infoz00_5588;
BgL_infoz00_5588 = 
BGl_filezd2musicinfozd2zz__multimediazd2id3zd2(BgL_filez00_5586); 
{ /* Llib/mpd.scm 1118 */
 bool_t BgL_test3709z00_9583;
{ /* Llib/mpd.scm 1118 */
 obj_t BgL_classz00_5589;
BgL_classz00_5589 = BGl_musicinfoz00zz__multimediazd2id3zd2; 
if(
BGL_OBJECTP(BgL_infoz00_5588))
{ /* Llib/mpd.scm 1118 */
 BgL_objectz00_bglt BgL_arg1793z00_5590;
BgL_arg1793z00_5590 = 
(BgL_objectz00_bglt)(BgL_infoz00_5588); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1118 */
 long BgL_idxz00_5591;
BgL_idxz00_5591 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_5590); 
BgL_test3709z00_9583 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_5591+((long)1)))==BgL_classz00_5589); }  else 
{ /* Llib/mpd.scm 1118 */
 bool_t BgL_res2751z00_5594;
{ /* Llib/mpd.scm 1118 */
 obj_t BgL_oclassz00_5595;
{ /* Llib/mpd.scm 1118 */
 long BgL_arg1801z00_5596;
{ /* Llib/mpd.scm 1118 */
 long BgL_arg1802z00_5597;
BgL_arg1802z00_5597 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_5590); 
BgL_arg1801z00_5596 = 
(BgL_arg1802z00_5597-OBJECT_TYPE); } 
BgL_oclassz00_5595 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5596); } 
{ /* Llib/mpd.scm 1118 */
 bool_t BgL__ortest_1110z00_5598;
BgL__ortest_1110z00_5598 = 
(BgL_classz00_5589==BgL_oclassz00_5595); 
if(BgL__ortest_1110z00_5598)
{ /* Llib/mpd.scm 1118 */
BgL_res2751z00_5594 = BgL__ortest_1110z00_5598; }  else 
{ /* Llib/mpd.scm 1118 */
 long BgL_odepthz00_5599;
BgL_odepthz00_5599 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5595); 
if(
(((long)1)<BgL_odepthz00_5599))
{ /* Llib/mpd.scm 1118 */
 obj_t BgL_arg1790z00_5600;
BgL_arg1790z00_5600 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5595, ((long)1)); 
BgL_res2751z00_5594 = 
(BgL_arg1790z00_5600==BgL_classz00_5589); }  else 
{ /* Llib/mpd.scm 1118 */
BgL_res2751z00_5594 = ((bool_t)0); } } } } 
BgL_test3709z00_9583 = BgL_res2751z00_5594; } }  else 
{ /* Llib/mpd.scm 1118 */
BgL_test3709z00_9583 = ((bool_t)0)
; } } 
if(BgL_test3709z00_9583)
{ /* Llib/mpd.scm 1118 */
BgL_arg2469z00_5605 = 
BINT(
(((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_infoz00_5588)))->BgL_durationz00)); }  else 
{ /* Llib/mpd.scm 1118 */
BgL_arg2469z00_5605 = 
BINT(((long)1000000)); } } }  else 
{ /* Llib/mpd.scm 1116 */
BgL_arg2469z00_5605 = 
BINT(((long)1000000)); } } } }  else 
{ /* Llib/mpd.scm 1113 */
BgL_arg2469z00_5605 = BFALSE; } } } 
{ /* Llib/mpd.scm 1137 */
 long BgL_arg2480z00_5612;
{ /* Llib/mpd.scm 1137 */
 long BgL_arg2481z00_5613; obj_t BgL_arg2482z00_5614;
BgL_arg2481z00_5613 = 
bgl_current_seconds(); 
BgL_arg2482z00_5614 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4884)))->BgL_z52dbzd2updatez80); 
{ /* Llib/mpd.scm 1137 */
 long BgL_res2753z00_5615;
{ /* Llib/mpd.scm 1137 */
 long BgL_za72za7_5616;
BgL_za72za7_5616 = 
BELONG_TO_LONG(BgL_arg2482z00_5614); 
{ /* Llib/mpd.scm 1137 */
 long BgL_tmpz00_9612;
BgL_tmpz00_9612 = 
(BgL_arg2481z00_5613-BgL_za72za7_5616); 
BgL_res2753z00_5615 = 
(long)(BgL_tmpz00_9612); } } 
BgL_arg2480z00_5612 = BgL_res2753z00_5615; } } 
BgL_arg2470z00_5606 = 
(long)(BgL_arg2480z00_5612); } 
{ /* Llib/mpd.scm 1125 */
 obj_t BgL_list2471z00_5617;
{ /* Llib/mpd.scm 1125 */
 obj_t BgL_arg2472z00_5618;
{ /* Llib/mpd.scm 1125 */
 obj_t BgL_arg2473z00_5619;
{ /* Llib/mpd.scm 1125 */
 obj_t BgL_arg2474z00_5620;
{ /* Llib/mpd.scm 1125 */
 obj_t BgL_arg2475z00_5621;
{ /* Llib/mpd.scm 1125 */
 obj_t BgL_arg2476z00_5622;
BgL_arg2476z00_5622 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2470z00_5606), BNIL); 
BgL_arg2475z00_5621 = 
MAKE_YOUNG_PAIR(BgL_arg2469z00_5605, BgL_arg2476z00_5622); } 
BgL_arg2474z00_5620 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2468z00_5604), BgL_arg2475z00_5621); } 
BgL_arg2473z00_5619 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2467z00_5603), BgL_arg2474z00_5620); } 
BgL_arg2472z00_5618 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2466z00_5602), BgL_arg2473z00_5619); } 
BgL_list2471z00_5617 = 
MAKE_YOUNG_PAIR(BgL_arg2465z00_5601, BgL_arg2472z00_5618); } 
return 
BGl_fprintfz00zz__r4_output_6_10_3z00(BgL_opz00_4886, BGl_string3108z00zz__multimediazd2mpdzd2, BgL_list2471z00_5617);} } } } 

}



/* &mpd-database-file->p1366 */
obj_t BGl_z62mpdzd2databasezd2filezd2ze3p1366z53zz__multimediazd2mpdzd2(obj_t BgL_envz00_4887, obj_t BgL_oz00_4888, obj_t BgL_filez00_4889)
{
{ /* Llib/mpd.scm 1095 */
if(
NULLP(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4888)))->BgL_directoriesz00)))
{ /* Llib/mpd.scm 1097 */
return 
((obj_t)BgL_filez00_4889);}  else 
{ /* Llib/mpd.scm 1099 */
 obj_t BgL_dirz00_5625;
{ /* Llib/mpd.scm 1099 */
 obj_t BgL_arg2462z00_5626;
BgL_arg2462z00_5626 = 
BGl_filezd2namezd2ze3listze3zz__osz00(
((obj_t)BgL_filez00_4889)); 
BgL_dirz00_5625 = 
CAR(
((obj_t)BgL_arg2462z00_5626)); } 
{ /* Llib/mpd.scm 1099 */
 obj_t BgL_nz00_5627;
{ /* Llib/mpd.scm 1100 */
 obj_t BgL_arg2460z00_5628;
BgL_arg2460z00_5628 = 
CAR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4888)))->BgL_directoriesz00)); 
{ /* Llib/mpd.scm 1100 */

BgL_nz00_5627 = 
BGl_stringzd2containszd2zz__r4_strings_6_7z00(BgL_arg2460z00_5628, BgL_dirz00_5625, 
(int)(((long)0))); } } 
{ /* Llib/mpd.scm 1100 */

if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_nz00_5627))
{ /* Llib/mpd.scm 1102 */
 obj_t BgL_arg2457z00_5629;
{ /* Llib/mpd.scm 1102 */
 obj_t BgL_arg2458z00_5630;
BgL_arg2458z00_5630 = 
CAR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4888)))->BgL_directoriesz00)); 
{ /* Llib/mpd.scm 1102 */
 long BgL_endz00_5631;
BgL_endz00_5631 = 
(long)CINT(BgL_nz00_5627); 
BgL_arg2457z00_5629 = 
c_substring(
((obj_t)BgL_arg2458z00_5630), ((long)0), BgL_endz00_5631); } } 
return 
string_append(BgL_arg2457z00_5629, 
((obj_t)BgL_filez00_4889));}  else 
{ /* Llib/mpd.scm 1101 */
return 
((obj_t)BgL_filez00_4889);} } } } } 

}



/* &mpd-database-init!1364 */
obj_t BGl_z62mpdzd2databasezd2initz121364z70zz__multimediazd2mpdzd2(obj_t BgL_envz00_4890, obj_t BgL_oz00_4891)
{
{ /* Llib/mpd.scm 956 */
{ 
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_9652;
if(
NULLP(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_directoriesz00)))
{ /* Llib/mpd.scm 962 */BFALSE; }  else 
{ /* Llib/mpd.scm 962 */
if(
NULLP(
CDR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_directoriesz00))))
{ 
 obj_t BgL_auxz00_9662;
{ /* Llib/mpd.scm 964 */
 obj_t BgL_pairz00_5635;
BgL_pairz00_5635 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_directoriesz00); 
BgL_auxz00_9662 = 
CAR(BgL_pairz00_5635); } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_z52basez52)=((obj_t)BgL_auxz00_9662),BUNSPEC); }  else 
{ /* Llib/mpd.scm 965 */
 obj_t BgL_g1148z00_5636; obj_t BgL_g1149z00_5637;
BgL_g1148z00_5636 = 
CDR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_directoriesz00)); 
BgL_g1149z00_5637 = 
BGl_filezd2namezd2ze3listze3zz__osz00(
CAR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_directoriesz00))); 
{ 
 obj_t BgL_dirsz00_5639; obj_t BgL_lz00_5640;
BgL_dirsz00_5639 = BgL_g1148z00_5636; 
BgL_lz00_5640 = BgL_g1149z00_5637; 
BgL_loopz00_5638:
if(
NULLP(BgL_dirsz00_5639))
{ 
 obj_t BgL_auxz00_9677;
{ /* Llib/mpd.scm 968 */
 obj_t BgL_runner2436z00_5641;
BgL_runner2436z00_5641 = BgL_lz00_5640; 
{ /* Llib/mpd.scm 968 */
 obj_t BgL_aux2434z00_5642;
{ /* Llib/mpd.scm 968 */
 obj_t BgL_pairz00_5643;
BgL_pairz00_5643 = BgL_runner2436z00_5641; 
BgL_aux2434z00_5642 = 
CAR(BgL_pairz00_5643); } 
{ /* Llib/mpd.scm 968 */
 obj_t BgL_pairz00_5644;
BgL_pairz00_5644 = BgL_runner2436z00_5641; 
BgL_runner2436z00_5641 = 
CDR(BgL_pairz00_5644); } 
{ /* Llib/mpd.scm 968 */
 obj_t BgL_aux2435z00_5645;
{ /* Llib/mpd.scm 968 */
 obj_t BgL_pairz00_5646;
BgL_pairz00_5646 = BgL_runner2436z00_5641; 
BgL_aux2435z00_5645 = 
CAR(BgL_pairz00_5646); } 
{ /* Llib/mpd.scm 968 */
 obj_t BgL_pairz00_5647;
BgL_pairz00_5647 = BgL_runner2436z00_5641; 
BgL_runner2436z00_5641 = 
CDR(BgL_pairz00_5647); } 
BgL_auxz00_9677 = 
BGl_makezd2filezd2pathz00zz__osz00(BgL_aux2434z00_5642, BgL_aux2435z00_5645, BgL_runner2436z00_5641); } } } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_z52basez52)=((obj_t)BgL_auxz00_9677),BUNSPEC); }  else 
{ /* Llib/mpd.scm 969 */
 obj_t BgL_nlz00_5648;
BgL_nlz00_5648 = 
BGl_filezd2namezd2ze3listze3zz__osz00(
BGl_dirnamez00zz__osz00(
CAR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_directoriesz00)))); 
{ /* Llib/mpd.scm 970 */
 obj_t BgL_arg2437z00_5649; obj_t BgL_arg2438z00_5650;
BgL_arg2437z00_5649 = 
CDR(
((obj_t)BgL_dirsz00_5639)); 
BgL_arg2438z00_5650 = 
BGl_loopze75ze7zz__multimediazd2mpdzd2(BgL_lz00_5640, BgL_nlz00_5648); 
{ 
 obj_t BgL_lz00_9694; obj_t BgL_dirsz00_9693;
BgL_dirsz00_9693 = BgL_arg2437z00_5649; 
BgL_lz00_9694 = BgL_arg2438z00_5650; 
BgL_lz00_5640 = BgL_lz00_9694; 
BgL_dirsz00_5639 = BgL_dirsz00_9693; 
goto BgL_loopz00_5638;} } } } } } 
{ 
 obj_t BgL_auxz00_9695;
{ /* Llib/mpd.scm 972 */
 long BgL_a1218z00_5653;
BgL_a1218z00_5653 = 
bgl_current_seconds(); 
{ /* Llib/mpd.scm 972 */
 long BgL_b1219z00_5654;
{ /* Llib/mpd.scm 972 */
 obj_t BgL_arg2449z00_5655;
BgL_arg2449z00_5655 = 
BGl_makezd2datezd2zz__datez00(
BINT(((long)1)), 
BINT(((long)-1)), 
BINT(((long)0)), 
BINT(((long)0)), 
BINT(((long)1)), BGl_llong3109z00zz__multimediazd2mpdzd2, 
BINT(((long)0)), BFALSE, 
BINT(((long)1970))); 
BgL_b1219z00_5654 = 
bgl_date_to_seconds(
((obj_t)BgL_arg2449z00_5655)); } 
{ /* Llib/mpd.scm 972 */

BgL_auxz00_9695 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
make_belong(BgL_a1218z00_5653), 
make_belong(BgL_b1219z00_5654)); } } } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_z52dbzd2updatez80)=((obj_t)BgL_auxz00_9695),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_9712;
{ /* Llib/mpd.scm 973 */
 long BgL_a1220z00_5656;
BgL_a1220z00_5656 = 
bgl_current_seconds(); 
{ /* Llib/mpd.scm 973 */
 long BgL_b1221z00_5657;
{ /* Llib/mpd.scm 973 */
 obj_t BgL_arg2451z00_5658;
BgL_arg2451z00_5658 = 
BGl_makezd2datezd2zz__datez00(
BINT(((long)1)), 
BINT(((long)-1)), 
BINT(((long)0)), 
BINT(((long)0)), 
BINT(((long)1)), BGl_llong3109z00zz__multimediazd2mpdzd2, 
BINT(((long)0)), BFALSE, 
BINT(((long)1970))); 
BgL_b1221z00_5657 = 
bgl_date_to_seconds(
((obj_t)BgL_arg2451z00_5658)); } 
{ /* Llib/mpd.scm 973 */

BgL_auxz00_9712 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
make_belong(BgL_a1220z00_5656), 
make_belong(BgL_b1221z00_5657)); } } } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_z52uptimez52)=((obj_t)BgL_auxz00_9712),BUNSPEC); } 
{ /* Llib/mpd.scm 975 */
 obj_t BgL_artistsz00_5659;
BgL_artistsz00_5659 = 
BGl_mpdzd2databasezd2directorieszd2scanzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891), 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_directoriesz00)); 
{ /* Llib/mpd.scm 976 */
 obj_t BgL_albumsz00_5660; obj_t BgL_genresz00_5661; obj_t BgL_nsongz00_5662;
{ /* Llib/mpd.scm 977 */
 obj_t BgL_tmpz00_5663;
{ /* Llib/mpd.scm 977 */
 int BgL_tmpz00_9733;
BgL_tmpz00_9733 = 
(int)(((long)1)); 
BgL_tmpz00_5663 = 
BGL_MVALUES_VAL(BgL_tmpz00_9733); } 
{ /* Llib/mpd.scm 977 */
 int BgL_tmpz00_9736;
BgL_tmpz00_9736 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_9736, BUNSPEC); } 
BgL_albumsz00_5660 = BgL_tmpz00_5663; } 
{ /* Llib/mpd.scm 977 */
 obj_t BgL_tmpz00_5664;
{ /* Llib/mpd.scm 977 */
 int BgL_tmpz00_9739;
BgL_tmpz00_9739 = 
(int)(((long)2)); 
BgL_tmpz00_5664 = 
BGL_MVALUES_VAL(BgL_tmpz00_9739); } 
{ /* Llib/mpd.scm 977 */
 int BgL_tmpz00_9742;
BgL_tmpz00_9742 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_9742, BUNSPEC); } 
BgL_genresz00_5661 = BgL_tmpz00_5664; } 
{ /* Llib/mpd.scm 977 */
 obj_t BgL_tmpz00_5665;
{ /* Llib/mpd.scm 977 */
 int BgL_tmpz00_9745;
BgL_tmpz00_9745 = 
(int)(((long)3)); 
BgL_tmpz00_5665 = 
BGL_MVALUES_VAL(BgL_tmpz00_9745); } 
{ /* Llib/mpd.scm 977 */
 int BgL_tmpz00_9748;
BgL_tmpz00_9748 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_9748, BUNSPEC); } 
BgL_nsongz00_5662 = BgL_tmpz00_5665; } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_z52artistsz52)=((obj_t)BgL_artistsz00_5659),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_z52nartistsz52)=((obj_t)
BINT(
bgl_list_length(BgL_artistsz00_5659))),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_z52albumsz52)=((obj_t)BgL_albumsz00_5660),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_z52genresz52)=((obj_t)BgL_genresz00_5661),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_z52nalbumsz52)=((int)
(int)(
bgl_list_length(BgL_albumsz00_5660))),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891)))->BgL_z52nsongsz52)=((int)
CINT(BgL_nsongz00_5662)),BUNSPEC); } } 
BgL_auxz00_9652 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4891); 
return 
((obj_t)BgL_auxz00_9652);} } 

}



/* mpd-database-init! */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2initz12z12zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_331)
{
{ /* Llib/mpd.scm 956 */
{ /* Llib/mpd.scm 956 */
 obj_t BgL_method1365z00_2327;
{ /* Llib/mpd.scm 956 */
 obj_t BgL_res2758z00_3670;
{ /* Llib/mpd.scm 956 */
 long BgL_objzd2classzd2numz00_3641;
BgL_objzd2classzd2numz00_3641 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_331)); 
{ /* Llib/mpd.scm 956 */
 obj_t BgL_arg1798z00_3642;
BgL_arg1798z00_3642 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2initz12zd2envzc0zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 956 */
 int BgL_offsetz00_3645;
BgL_offsetz00_3645 = 
(int)(BgL_objzd2classzd2numz00_3641); 
{ /* Llib/mpd.scm 956 */
 long BgL_offsetz00_3646;
BgL_offsetz00_3646 = 
(
(long)(BgL_offsetz00_3645)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 956 */
 long BgL_modz00_3647;
BgL_modz00_3647 = 
(BgL_offsetz00_3646 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 956 */
 long BgL_restz00_3649;
BgL_restz00_3649 = 
(BgL_offsetz00_3646 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 956 */

{ /* Llib/mpd.scm 956 */
 obj_t BgL_bucketz00_3651;
BgL_bucketz00_3651 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3642),BgL_modz00_3647); 
BgL_res2758z00_3670 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3651),BgL_restz00_3649); } } } } } } } } 
BgL_method1365z00_2327 = BgL_res2758z00_3670; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1365z00_2327))(BgL_method1365z00_2327, 
((obj_t)BgL_oz00_331), BEOA);} } 

}



/* &mpd-database-init! */
obj_t BGl_z62mpdzd2databasezd2initz12z70zz__multimediazd2mpdzd2(obj_t BgL_envz00_4783, obj_t BgL_oz00_4784)
{
{ /* Llib/mpd.scm 956 */
{ /* Llib/mpd.scm 956 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_9800;
{ /* Llib/mpd.scm 956 */
 bool_t BgL_test3719z00_9801;
{ /* Llib/mpd.scm 956 */
 obj_t BgL_classz00_5666;
BgL_classz00_5666 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4784))
{ /* Llib/mpd.scm 956 */
 BgL_objectz00_bglt BgL_arg1796z00_5668; long BgL_arg1797z00_5669;
BgL_arg1796z00_5668 = 
(BgL_objectz00_bglt)(BgL_oz00_4784); 
BgL_arg1797z00_5669 = 
BGL_CLASS_DEPTH(BgL_classz00_5666); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 956 */
 long BgL_idxz00_5677;
BgL_idxz00_5677 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5668); 
{ /* Llib/mpd.scm 956 */
 obj_t BgL_arg1788z00_5678;
{ /* Llib/mpd.scm 956 */
 long BgL_arg1789z00_5679;
BgL_arg1789z00_5679 = 
(BgL_idxz00_5677+BgL_arg1797z00_5669); 
BgL_arg1788z00_5678 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5679); } 
BgL_test3719z00_9801 = 
(BgL_arg1788z00_5678==BgL_classz00_5666); } }  else 
{ /* Llib/mpd.scm 956 */
 bool_t BgL_res3136z00_5702;
{ /* Llib/mpd.scm 956 */
 obj_t BgL_oclassz00_5687;
{ /* Llib/mpd.scm 956 */
 long BgL_arg1801z00_5693;
{ /* Llib/mpd.scm 956 */
 long BgL_arg1802z00_5694;
BgL_arg1802z00_5694 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5668); 
BgL_arg1801z00_5693 = 
(BgL_arg1802z00_5694-OBJECT_TYPE); } 
BgL_oclassz00_5687 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5693); } 
{ /* Llib/mpd.scm 956 */
 bool_t BgL__ortest_1110z00_5688;
BgL__ortest_1110z00_5688 = 
(BgL_classz00_5666==BgL_oclassz00_5687); 
if(BgL__ortest_1110z00_5688)
{ /* Llib/mpd.scm 956 */
BgL_res3136z00_5702 = BgL__ortest_1110z00_5688; }  else 
{ /* Llib/mpd.scm 956 */
 long BgL_odepthz00_5689;
BgL_odepthz00_5689 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5687); 
if(
(BgL_arg1797z00_5669<BgL_odepthz00_5689))
{ /* Llib/mpd.scm 956 */
 obj_t BgL_arg1790z00_5691;
BgL_arg1790z00_5691 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5687, BgL_arg1797z00_5669); 
BgL_res3136z00_5702 = 
(BgL_arg1790z00_5691==BgL_classz00_5666); }  else 
{ /* Llib/mpd.scm 956 */
BgL_res3136z00_5702 = ((bool_t)0); } } } } 
BgL_test3719z00_9801 = BgL_res3136z00_5702; } }  else 
{ /* Llib/mpd.scm 956 */
BgL_test3719z00_9801 = ((bool_t)0)
; } } 
if(BgL_test3719z00_9801)
{ /* Llib/mpd.scm 956 */
BgL_auxz00_9800 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4784)
; }  else 
{ 
 obj_t BgL_auxz00_9823;
BgL_auxz00_9823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)37998)), BGl_string3110z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4784); 
FAILURE(BgL_auxz00_9823,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2initz12z12zz__multimediazd2mpdzd2(BgL_auxz00_9800);} } 

}



/* mpd-database-file->path */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2filezd2ze3pathz31zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_349, obj_t BgL_filez00_350)
{
{ /* Llib/mpd.scm 1095 */
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_method1367z00_2328;
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_res2763z00_3701;
{ /* Llib/mpd.scm 1095 */
 long BgL_objzd2classzd2numz00_3672;
BgL_objzd2classzd2numz00_3672 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_349)); 
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_arg1798z00_3673;
BgL_arg1798z00_3673 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2filezd2ze3pathzd2envze3zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1095 */
 int BgL_offsetz00_3676;
BgL_offsetz00_3676 = 
(int)(BgL_objzd2classzd2numz00_3672); 
{ /* Llib/mpd.scm 1095 */
 long BgL_offsetz00_3677;
BgL_offsetz00_3677 = 
(
(long)(BgL_offsetz00_3676)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1095 */
 long BgL_modz00_3678;
BgL_modz00_3678 = 
(BgL_offsetz00_3677 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1095 */
 long BgL_restz00_3680;
BgL_restz00_3680 = 
(BgL_offsetz00_3677 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1095 */

{ /* Llib/mpd.scm 1095 */
 obj_t BgL_bucketz00_3682;
BgL_bucketz00_3682 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3673),BgL_modz00_3678); 
BgL_res2763z00_3701 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3682),BgL_restz00_3680); } } } } } } } } 
BgL_method1367z00_2328 = BgL_res2763z00_3701; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1367z00_2328))(BgL_method1367z00_2328, 
((obj_t)BgL_oz00_349), BgL_filez00_350, BEOA);} } 

}



/* &mpd-database-file->path */
obj_t BGl_z62mpdzd2databasezd2filezd2ze3pathz53zz__multimediazd2mpdzd2(obj_t BgL_envz00_4892, obj_t BgL_oz00_4893, obj_t BgL_filez00_4894)
{
{ /* Llib/mpd.scm 1095 */
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_auxz00_9886; BgL_mpdzd2databasezd2_bglt BgL_auxz00_9859;
if(
STRINGP(BgL_filez00_4894))
{ /* Llib/mpd.scm 1095 */
BgL_auxz00_9886 = BgL_filez00_4894
; }  else 
{ 
 obj_t BgL_auxz00_9889;
BgL_auxz00_9889 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)43641)), BGl_string3111z00zz__multimediazd2mpdzd2, BGl_string3112z00zz__multimediazd2mpdzd2, BgL_filez00_4894); 
FAILURE(BgL_auxz00_9889,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1095 */
 bool_t BgL_test3724z00_9860;
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_classz00_5703;
BgL_classz00_5703 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4893))
{ /* Llib/mpd.scm 1095 */
 BgL_objectz00_bglt BgL_arg1796z00_5705; long BgL_arg1797z00_5706;
BgL_arg1796z00_5705 = 
(BgL_objectz00_bglt)(BgL_oz00_4893); 
BgL_arg1797z00_5706 = 
BGL_CLASS_DEPTH(BgL_classz00_5703); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1095 */
 long BgL_idxz00_5714;
BgL_idxz00_5714 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5705); 
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_arg1788z00_5715;
{ /* Llib/mpd.scm 1095 */
 long BgL_arg1789z00_5716;
BgL_arg1789z00_5716 = 
(BgL_idxz00_5714+BgL_arg1797z00_5706); 
BgL_arg1788z00_5715 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5716); } 
BgL_test3724z00_9860 = 
(BgL_arg1788z00_5715==BgL_classz00_5703); } }  else 
{ /* Llib/mpd.scm 1095 */
 bool_t BgL_res3137z00_5739;
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_oclassz00_5724;
{ /* Llib/mpd.scm 1095 */
 long BgL_arg1801z00_5730;
{ /* Llib/mpd.scm 1095 */
 long BgL_arg1802z00_5731;
BgL_arg1802z00_5731 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5705); 
BgL_arg1801z00_5730 = 
(BgL_arg1802z00_5731-OBJECT_TYPE); } 
BgL_oclassz00_5724 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5730); } 
{ /* Llib/mpd.scm 1095 */
 bool_t BgL__ortest_1110z00_5725;
BgL__ortest_1110z00_5725 = 
(BgL_classz00_5703==BgL_oclassz00_5724); 
if(BgL__ortest_1110z00_5725)
{ /* Llib/mpd.scm 1095 */
BgL_res3137z00_5739 = BgL__ortest_1110z00_5725; }  else 
{ /* Llib/mpd.scm 1095 */
 long BgL_odepthz00_5726;
BgL_odepthz00_5726 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5724); 
if(
(BgL_arg1797z00_5706<BgL_odepthz00_5726))
{ /* Llib/mpd.scm 1095 */
 obj_t BgL_arg1790z00_5728;
BgL_arg1790z00_5728 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5724, BgL_arg1797z00_5706); 
BgL_res3137z00_5739 = 
(BgL_arg1790z00_5728==BgL_classz00_5703); }  else 
{ /* Llib/mpd.scm 1095 */
BgL_res3137z00_5739 = ((bool_t)0); } } } } 
BgL_test3724z00_9860 = BgL_res3137z00_5739; } }  else 
{ /* Llib/mpd.scm 1095 */
BgL_test3724z00_9860 = ((bool_t)0)
; } } 
if(BgL_test3724z00_9860)
{ /* Llib/mpd.scm 1095 */
BgL_auxz00_9859 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4893)
; }  else 
{ 
 obj_t BgL_auxz00_9882;
BgL_auxz00_9882 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)43641)), BGl_string3111z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4893); 
FAILURE(BgL_auxz00_9882,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2filezd2ze3pathz31zz__multimediazd2mpdzd2(BgL_auxz00_9859, BgL_auxz00_9886);} } 

}



/* mpd-database-stats */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2statsz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_351, obj_t BgL_backendz00_352, obj_t BgL_opz00_353)
{
{ /* Llib/mpd.scm 1108 */
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_method1369z00_2329;
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_res2768z00_3732;
{ /* Llib/mpd.scm 1108 */
 long BgL_objzd2classzd2numz00_3703;
BgL_objzd2classzd2numz00_3703 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_351)); 
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_arg1798z00_3704;
BgL_arg1798z00_3704 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2statszd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1108 */
 int BgL_offsetz00_3707;
BgL_offsetz00_3707 = 
(int)(BgL_objzd2classzd2numz00_3703); 
{ /* Llib/mpd.scm 1108 */
 long BgL_offsetz00_3708;
BgL_offsetz00_3708 = 
(
(long)(BgL_offsetz00_3707)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1108 */
 long BgL_modz00_3709;
BgL_modz00_3709 = 
(BgL_offsetz00_3708 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1108 */
 long BgL_restz00_3711;
BgL_restz00_3711 = 
(BgL_offsetz00_3708 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1108 */

{ /* Llib/mpd.scm 1108 */
 obj_t BgL_bucketz00_3713;
BgL_bucketz00_3713 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3704),BgL_modz00_3709); 
BgL_res2768z00_3732 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3713),BgL_restz00_3711); } } } } } } } } 
BgL_method1369z00_2329 = BgL_res2768z00_3732; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1369z00_2329))(BgL_method1369z00_2329, 
((obj_t)BgL_oz00_351), BgL_backendz00_352, BgL_opz00_353, BEOA);} } 

}



/* &mpd-database-stats */
obj_t BGl_z62mpdzd2databasezd2statsz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4895, obj_t BgL_oz00_4896, obj_t BgL_backendz00_4897, obj_t BgL_opz00_4898)
{
{ /* Llib/mpd.scm 1108 */
{ /* Llib/mpd.scm 1108 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_9926;
{ /* Llib/mpd.scm 1108 */
 bool_t BgL_test3730z00_9927;
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_classz00_5740;
BgL_classz00_5740 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4896))
{ /* Llib/mpd.scm 1108 */
 BgL_objectz00_bglt BgL_arg1796z00_5742; long BgL_arg1797z00_5743;
BgL_arg1796z00_5742 = 
(BgL_objectz00_bglt)(BgL_oz00_4896); 
BgL_arg1797z00_5743 = 
BGL_CLASS_DEPTH(BgL_classz00_5740); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1108 */
 long BgL_idxz00_5751;
BgL_idxz00_5751 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5742); 
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_arg1788z00_5752;
{ /* Llib/mpd.scm 1108 */
 long BgL_arg1789z00_5753;
BgL_arg1789z00_5753 = 
(BgL_idxz00_5751+BgL_arg1797z00_5743); 
BgL_arg1788z00_5752 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5753); } 
BgL_test3730z00_9927 = 
(BgL_arg1788z00_5752==BgL_classz00_5740); } }  else 
{ /* Llib/mpd.scm 1108 */
 bool_t BgL_res3138z00_5776;
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_oclassz00_5761;
{ /* Llib/mpd.scm 1108 */
 long BgL_arg1801z00_5767;
{ /* Llib/mpd.scm 1108 */
 long BgL_arg1802z00_5768;
BgL_arg1802z00_5768 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5742); 
BgL_arg1801z00_5767 = 
(BgL_arg1802z00_5768-OBJECT_TYPE); } 
BgL_oclassz00_5761 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5767); } 
{ /* Llib/mpd.scm 1108 */
 bool_t BgL__ortest_1110z00_5762;
BgL__ortest_1110z00_5762 = 
(BgL_classz00_5740==BgL_oclassz00_5761); 
if(BgL__ortest_1110z00_5762)
{ /* Llib/mpd.scm 1108 */
BgL_res3138z00_5776 = BgL__ortest_1110z00_5762; }  else 
{ /* Llib/mpd.scm 1108 */
 long BgL_odepthz00_5763;
BgL_odepthz00_5763 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5761); 
if(
(BgL_arg1797z00_5743<BgL_odepthz00_5763))
{ /* Llib/mpd.scm 1108 */
 obj_t BgL_arg1790z00_5765;
BgL_arg1790z00_5765 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5761, BgL_arg1797z00_5743); 
BgL_res3138z00_5776 = 
(BgL_arg1790z00_5765==BgL_classz00_5740); }  else 
{ /* Llib/mpd.scm 1108 */
BgL_res3138z00_5776 = ((bool_t)0); } } } } 
BgL_test3730z00_9927 = BgL_res3138z00_5776; } }  else 
{ /* Llib/mpd.scm 1108 */
BgL_test3730z00_9927 = ((bool_t)0)
; } } 
if(BgL_test3730z00_9927)
{ /* Llib/mpd.scm 1108 */
BgL_auxz00_9926 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4896)
; }  else 
{ 
 obj_t BgL_auxz00_9949;
BgL_auxz00_9949 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)44204)), BGl_string3113z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4896); 
FAILURE(BgL_auxz00_9949,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2statsz00zz__multimediazd2mpdzd2(BgL_auxz00_9926, BgL_backendz00_4897, BgL_opz00_4898);} } 

}



/* mpd-database-listall */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_354, obj_t BgL_opz00_355)
{
{ /* Llib/mpd.scm 1142 */
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_method1371z00_2330;
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_res2773z00_3763;
{ /* Llib/mpd.scm 1142 */
 long BgL_objzd2classzd2numz00_3734;
BgL_objzd2classzd2numz00_3734 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_354)); 
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_arg1798z00_3735;
BgL_arg1798z00_3735 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listallzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1142 */
 int BgL_offsetz00_3738;
BgL_offsetz00_3738 = 
(int)(BgL_objzd2classzd2numz00_3734); 
{ /* Llib/mpd.scm 1142 */
 long BgL_offsetz00_3739;
BgL_offsetz00_3739 = 
(
(long)(BgL_offsetz00_3738)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1142 */
 long BgL_modz00_3740;
BgL_modz00_3740 = 
(BgL_offsetz00_3739 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1142 */
 long BgL_restz00_3742;
BgL_restz00_3742 = 
(BgL_offsetz00_3739 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1142 */

{ /* Llib/mpd.scm 1142 */
 obj_t BgL_bucketz00_3744;
BgL_bucketz00_3744 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3735),BgL_modz00_3740); 
BgL_res2773z00_3763 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3744),BgL_restz00_3742); } } } } } } } } 
BgL_method1371z00_2330 = BgL_res2773z00_3763; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1371z00_2330))(BgL_method1371z00_2330, 
((obj_t)BgL_oz00_354), BgL_opz00_355, BEOA);} } 

}



/* &mpd-database-listall */
obj_t BGl_z62mpdzd2databasezd2listallz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4899, obj_t BgL_oz00_4900, obj_t BgL_opz00_4901)
{
{ /* Llib/mpd.scm 1142 */
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_auxz00_10012; BgL_mpdzd2databasezd2_bglt BgL_auxz00_9985;
if(
OUTPUT_PORTP(BgL_opz00_4901))
{ /* Llib/mpd.scm 1142 */
BgL_auxz00_10012 = BgL_opz00_4901
; }  else 
{ 
 obj_t BgL_auxz00_10015;
BgL_auxz00_10015 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)45279)), BGl_string3114z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4901); 
FAILURE(BgL_auxz00_10015,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1142 */
 bool_t BgL_test3735z00_9986;
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_classz00_5777;
BgL_classz00_5777 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4900))
{ /* Llib/mpd.scm 1142 */
 BgL_objectz00_bglt BgL_arg1796z00_5779; long BgL_arg1797z00_5780;
BgL_arg1796z00_5779 = 
(BgL_objectz00_bglt)(BgL_oz00_4900); 
BgL_arg1797z00_5780 = 
BGL_CLASS_DEPTH(BgL_classz00_5777); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1142 */
 long BgL_idxz00_5788;
BgL_idxz00_5788 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5779); 
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_arg1788z00_5789;
{ /* Llib/mpd.scm 1142 */
 long BgL_arg1789z00_5790;
BgL_arg1789z00_5790 = 
(BgL_idxz00_5788+BgL_arg1797z00_5780); 
BgL_arg1788z00_5789 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5790); } 
BgL_test3735z00_9986 = 
(BgL_arg1788z00_5789==BgL_classz00_5777); } }  else 
{ /* Llib/mpd.scm 1142 */
 bool_t BgL_res3139z00_5813;
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_oclassz00_5798;
{ /* Llib/mpd.scm 1142 */
 long BgL_arg1801z00_5804;
{ /* Llib/mpd.scm 1142 */
 long BgL_arg1802z00_5805;
BgL_arg1802z00_5805 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5779); 
BgL_arg1801z00_5804 = 
(BgL_arg1802z00_5805-OBJECT_TYPE); } 
BgL_oclassz00_5798 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5804); } 
{ /* Llib/mpd.scm 1142 */
 bool_t BgL__ortest_1110z00_5799;
BgL__ortest_1110z00_5799 = 
(BgL_classz00_5777==BgL_oclassz00_5798); 
if(BgL__ortest_1110z00_5799)
{ /* Llib/mpd.scm 1142 */
BgL_res3139z00_5813 = BgL__ortest_1110z00_5799; }  else 
{ /* Llib/mpd.scm 1142 */
 long BgL_odepthz00_5800;
BgL_odepthz00_5800 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5798); 
if(
(BgL_arg1797z00_5780<BgL_odepthz00_5800))
{ /* Llib/mpd.scm 1142 */
 obj_t BgL_arg1790z00_5802;
BgL_arg1790z00_5802 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5798, BgL_arg1797z00_5780); 
BgL_res3139z00_5813 = 
(BgL_arg1790z00_5802==BgL_classz00_5777); }  else 
{ /* Llib/mpd.scm 1142 */
BgL_res3139z00_5813 = ((bool_t)0); } } } } 
BgL_test3735z00_9986 = BgL_res3139z00_5813; } }  else 
{ /* Llib/mpd.scm 1142 */
BgL_test3735z00_9986 = ((bool_t)0)
; } } 
if(BgL_test3735z00_9986)
{ /* Llib/mpd.scm 1142 */
BgL_auxz00_9985 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4900)
; }  else 
{ 
 obj_t BgL_auxz00_10008;
BgL_auxz00_10008 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)45279)), BGl_string3114z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4900); 
FAILURE(BgL_auxz00_10008,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(BgL_auxz00_9985, BgL_auxz00_10012);} } 

}



/* mpd-database-listalbum */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_356, obj_t BgL_opz00_357)
{
{ /* Llib/mpd.scm 1168 */
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_method1373z00_2331;
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_res2778z00_3794;
{ /* Llib/mpd.scm 1168 */
 long BgL_objzd2classzd2numz00_3765;
BgL_objzd2classzd2numz00_3765 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_356)); 
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_arg1798z00_3766;
BgL_arg1798z00_3766 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listalbumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1168 */
 int BgL_offsetz00_3769;
BgL_offsetz00_3769 = 
(int)(BgL_objzd2classzd2numz00_3765); 
{ /* Llib/mpd.scm 1168 */
 long BgL_offsetz00_3770;
BgL_offsetz00_3770 = 
(
(long)(BgL_offsetz00_3769)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1168 */
 long BgL_modz00_3771;
BgL_modz00_3771 = 
(BgL_offsetz00_3770 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1168 */
 long BgL_restz00_3773;
BgL_restz00_3773 = 
(BgL_offsetz00_3770 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1168 */

{ /* Llib/mpd.scm 1168 */
 obj_t BgL_bucketz00_3775;
BgL_bucketz00_3775 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3766),BgL_modz00_3771); 
BgL_res2778z00_3794 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3775),BgL_restz00_3773); } } } } } } } } 
BgL_method1373z00_2331 = BgL_res2778z00_3794; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1373z00_2331))(BgL_method1373z00_2331, 
((obj_t)BgL_oz00_356), BgL_opz00_357, BEOA);} } 

}



/* &mpd-database-listalbum */
obj_t BGl_z62mpdzd2databasezd2listalbumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4902, obj_t BgL_oz00_4903, obj_t BgL_opz00_4904)
{
{ /* Llib/mpd.scm 1168 */
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_auxz00_10078; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10051;
if(
OUTPUT_PORTP(BgL_opz00_4904))
{ /* Llib/mpd.scm 1168 */
BgL_auxz00_10078 = BgL_opz00_4904
; }  else 
{ 
 obj_t BgL_auxz00_10081;
BgL_auxz00_10081 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)46110)), BGl_string3115z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4904); 
FAILURE(BgL_auxz00_10081,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1168 */
 bool_t BgL_test3741z00_10052;
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_classz00_5814;
BgL_classz00_5814 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4903))
{ /* Llib/mpd.scm 1168 */
 BgL_objectz00_bglt BgL_arg1796z00_5816; long BgL_arg1797z00_5817;
BgL_arg1796z00_5816 = 
(BgL_objectz00_bglt)(BgL_oz00_4903); 
BgL_arg1797z00_5817 = 
BGL_CLASS_DEPTH(BgL_classz00_5814); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1168 */
 long BgL_idxz00_5825;
BgL_idxz00_5825 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5816); 
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_arg1788z00_5826;
{ /* Llib/mpd.scm 1168 */
 long BgL_arg1789z00_5827;
BgL_arg1789z00_5827 = 
(BgL_idxz00_5825+BgL_arg1797z00_5817); 
BgL_arg1788z00_5826 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5827); } 
BgL_test3741z00_10052 = 
(BgL_arg1788z00_5826==BgL_classz00_5814); } }  else 
{ /* Llib/mpd.scm 1168 */
 bool_t BgL_res3140z00_5850;
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_oclassz00_5835;
{ /* Llib/mpd.scm 1168 */
 long BgL_arg1801z00_5841;
{ /* Llib/mpd.scm 1168 */
 long BgL_arg1802z00_5842;
BgL_arg1802z00_5842 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5816); 
BgL_arg1801z00_5841 = 
(BgL_arg1802z00_5842-OBJECT_TYPE); } 
BgL_oclassz00_5835 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5841); } 
{ /* Llib/mpd.scm 1168 */
 bool_t BgL__ortest_1110z00_5836;
BgL__ortest_1110z00_5836 = 
(BgL_classz00_5814==BgL_oclassz00_5835); 
if(BgL__ortest_1110z00_5836)
{ /* Llib/mpd.scm 1168 */
BgL_res3140z00_5850 = BgL__ortest_1110z00_5836; }  else 
{ /* Llib/mpd.scm 1168 */
 long BgL_odepthz00_5837;
BgL_odepthz00_5837 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5835); 
if(
(BgL_arg1797z00_5817<BgL_odepthz00_5837))
{ /* Llib/mpd.scm 1168 */
 obj_t BgL_arg1790z00_5839;
BgL_arg1790z00_5839 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5835, BgL_arg1797z00_5817); 
BgL_res3140z00_5850 = 
(BgL_arg1790z00_5839==BgL_classz00_5814); }  else 
{ /* Llib/mpd.scm 1168 */
BgL_res3140z00_5850 = ((bool_t)0); } } } } 
BgL_test3741z00_10052 = BgL_res3140z00_5850; } }  else 
{ /* Llib/mpd.scm 1168 */
BgL_test3741z00_10052 = ((bool_t)0)
; } } 
if(BgL_test3741z00_10052)
{ /* Llib/mpd.scm 1168 */
BgL_auxz00_10051 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4903)
; }  else 
{ 
 obj_t BgL_auxz00_10074;
BgL_auxz00_10074 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)46110)), BGl_string3115z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4903); 
FAILURE(BgL_auxz00_10074,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listalbumz00zz__multimediazd2mpdzd2(BgL_auxz00_10051, BgL_auxz00_10078);} } 

}



/* mpd-database-listartistalbum */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_358, obj_t BgL_opz00_359, obj_t BgL_artistz00_360)
{
{ /* Llib/mpd.scm 1179 */
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_method1375z00_2332;
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_res2783z00_3825;
{ /* Llib/mpd.scm 1179 */
 long BgL_objzd2classzd2numz00_3796;
BgL_objzd2classzd2numz00_3796 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_358)); 
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_arg1798z00_3797;
BgL_arg1798z00_3797 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listartistalbumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1179 */
 int BgL_offsetz00_3800;
BgL_offsetz00_3800 = 
(int)(BgL_objzd2classzd2numz00_3796); 
{ /* Llib/mpd.scm 1179 */
 long BgL_offsetz00_3801;
BgL_offsetz00_3801 = 
(
(long)(BgL_offsetz00_3800)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1179 */
 long BgL_modz00_3802;
BgL_modz00_3802 = 
(BgL_offsetz00_3801 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1179 */
 long BgL_restz00_3804;
BgL_restz00_3804 = 
(BgL_offsetz00_3801 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1179 */

{ /* Llib/mpd.scm 1179 */
 obj_t BgL_bucketz00_3806;
BgL_bucketz00_3806 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3797),BgL_modz00_3802); 
BgL_res2783z00_3825 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3806),BgL_restz00_3804); } } } } } } } } 
BgL_method1375z00_2332 = BgL_res2783z00_3825; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1375z00_2332))(BgL_method1375z00_2332, 
((obj_t)BgL_oz00_358), BgL_opz00_359, BgL_artistz00_360, BEOA);} } 

}



/* &mpd-database-listartistalbum */
obj_t BGl_z62mpdzd2databasezd2listartistalbumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4905, obj_t BgL_oz00_4906, obj_t BgL_opz00_4907, obj_t BgL_artistz00_4908)
{
{ /* Llib/mpd.scm 1179 */
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_auxz00_10145; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10118;
if(
OUTPUT_PORTP(BgL_opz00_4907))
{ /* Llib/mpd.scm 1179 */
BgL_auxz00_10145 = BgL_opz00_4907
; }  else 
{ 
 obj_t BgL_auxz00_10148;
BgL_auxz00_10148 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)46540)), BGl_string3116z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4907); 
FAILURE(BgL_auxz00_10148,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1179 */
 bool_t BgL_test3747z00_10119;
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_classz00_5851;
BgL_classz00_5851 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4906))
{ /* Llib/mpd.scm 1179 */
 BgL_objectz00_bglt BgL_arg1796z00_5853; long BgL_arg1797z00_5854;
BgL_arg1796z00_5853 = 
(BgL_objectz00_bglt)(BgL_oz00_4906); 
BgL_arg1797z00_5854 = 
BGL_CLASS_DEPTH(BgL_classz00_5851); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1179 */
 long BgL_idxz00_5862;
BgL_idxz00_5862 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5853); 
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_arg1788z00_5863;
{ /* Llib/mpd.scm 1179 */
 long BgL_arg1789z00_5864;
BgL_arg1789z00_5864 = 
(BgL_idxz00_5862+BgL_arg1797z00_5854); 
BgL_arg1788z00_5863 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5864); } 
BgL_test3747z00_10119 = 
(BgL_arg1788z00_5863==BgL_classz00_5851); } }  else 
{ /* Llib/mpd.scm 1179 */
 bool_t BgL_res3141z00_5887;
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_oclassz00_5872;
{ /* Llib/mpd.scm 1179 */
 long BgL_arg1801z00_5878;
{ /* Llib/mpd.scm 1179 */
 long BgL_arg1802z00_5879;
BgL_arg1802z00_5879 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5853); 
BgL_arg1801z00_5878 = 
(BgL_arg1802z00_5879-OBJECT_TYPE); } 
BgL_oclassz00_5872 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5878); } 
{ /* Llib/mpd.scm 1179 */
 bool_t BgL__ortest_1110z00_5873;
BgL__ortest_1110z00_5873 = 
(BgL_classz00_5851==BgL_oclassz00_5872); 
if(BgL__ortest_1110z00_5873)
{ /* Llib/mpd.scm 1179 */
BgL_res3141z00_5887 = BgL__ortest_1110z00_5873; }  else 
{ /* Llib/mpd.scm 1179 */
 long BgL_odepthz00_5874;
BgL_odepthz00_5874 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5872); 
if(
(BgL_arg1797z00_5854<BgL_odepthz00_5874))
{ /* Llib/mpd.scm 1179 */
 obj_t BgL_arg1790z00_5876;
BgL_arg1790z00_5876 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5872, BgL_arg1797z00_5854); 
BgL_res3141z00_5887 = 
(BgL_arg1790z00_5876==BgL_classz00_5851); }  else 
{ /* Llib/mpd.scm 1179 */
BgL_res3141z00_5887 = ((bool_t)0); } } } } 
BgL_test3747z00_10119 = BgL_res3141z00_5887; } }  else 
{ /* Llib/mpd.scm 1179 */
BgL_test3747z00_10119 = ((bool_t)0)
; } } 
if(BgL_test3747z00_10119)
{ /* Llib/mpd.scm 1179 */
BgL_auxz00_10118 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4906)
; }  else 
{ 
 obj_t BgL_auxz00_10141;
BgL_auxz00_10141 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)46540)), BGl_string3116z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4906); 
FAILURE(BgL_auxz00_10141,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(BgL_auxz00_10118, BgL_auxz00_10145, BgL_artistz00_4908);} } 

}



/* mpd-database-listgenrealbum */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listgenrealbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_361, obj_t BgL_opz00_362, obj_t BgL_genrez00_363)
{
{ /* Llib/mpd.scm 1189 */
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_method1377z00_2333;
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_res2788z00_3856;
{ /* Llib/mpd.scm 1189 */
 long BgL_objzd2classzd2numz00_3827;
BgL_objzd2classzd2numz00_3827 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_361)); 
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_arg1798z00_3828;
BgL_arg1798z00_3828 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listgenrealbumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1189 */
 int BgL_offsetz00_3831;
BgL_offsetz00_3831 = 
(int)(BgL_objzd2classzd2numz00_3827); 
{ /* Llib/mpd.scm 1189 */
 long BgL_offsetz00_3832;
BgL_offsetz00_3832 = 
(
(long)(BgL_offsetz00_3831)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1189 */
 long BgL_modz00_3833;
BgL_modz00_3833 = 
(BgL_offsetz00_3832 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1189 */
 long BgL_restz00_3835;
BgL_restz00_3835 = 
(BgL_offsetz00_3832 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1189 */

{ /* Llib/mpd.scm 1189 */
 obj_t BgL_bucketz00_3837;
BgL_bucketz00_3837 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3828),BgL_modz00_3833); 
BgL_res2788z00_3856 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3837),BgL_restz00_3835); } } } } } } } } 
BgL_method1377z00_2333 = BgL_res2788z00_3856; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1377z00_2333))(BgL_method1377z00_2333, 
((obj_t)BgL_oz00_361), BgL_opz00_362, BgL_genrez00_363, BEOA);} } 

}



/* &mpd-database-listgenrealbum */
obj_t BGl_z62mpdzd2databasezd2listgenrealbumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4909, obj_t BgL_oz00_4910, obj_t BgL_opz00_4911, obj_t BgL_genrez00_4912)
{
{ /* Llib/mpd.scm 1189 */
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_auxz00_10212; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10185;
if(
OUTPUT_PORTP(BgL_opz00_4911))
{ /* Llib/mpd.scm 1189 */
BgL_auxz00_10212 = BgL_opz00_4911
; }  else 
{ 
 obj_t BgL_auxz00_10215;
BgL_auxz00_10215 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)46973)), BGl_string3117z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4911); 
FAILURE(BgL_auxz00_10215,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1189 */
 bool_t BgL_test3753z00_10186;
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_classz00_5888;
BgL_classz00_5888 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4910))
{ /* Llib/mpd.scm 1189 */
 BgL_objectz00_bglt BgL_arg1796z00_5890; long BgL_arg1797z00_5891;
BgL_arg1796z00_5890 = 
(BgL_objectz00_bglt)(BgL_oz00_4910); 
BgL_arg1797z00_5891 = 
BGL_CLASS_DEPTH(BgL_classz00_5888); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1189 */
 long BgL_idxz00_5899;
BgL_idxz00_5899 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5890); 
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_arg1788z00_5900;
{ /* Llib/mpd.scm 1189 */
 long BgL_arg1789z00_5901;
BgL_arg1789z00_5901 = 
(BgL_idxz00_5899+BgL_arg1797z00_5891); 
BgL_arg1788z00_5900 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5901); } 
BgL_test3753z00_10186 = 
(BgL_arg1788z00_5900==BgL_classz00_5888); } }  else 
{ /* Llib/mpd.scm 1189 */
 bool_t BgL_res3142z00_5924;
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_oclassz00_5909;
{ /* Llib/mpd.scm 1189 */
 long BgL_arg1801z00_5915;
{ /* Llib/mpd.scm 1189 */
 long BgL_arg1802z00_5916;
BgL_arg1802z00_5916 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5890); 
BgL_arg1801z00_5915 = 
(BgL_arg1802z00_5916-OBJECT_TYPE); } 
BgL_oclassz00_5909 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5915); } 
{ /* Llib/mpd.scm 1189 */
 bool_t BgL__ortest_1110z00_5910;
BgL__ortest_1110z00_5910 = 
(BgL_classz00_5888==BgL_oclassz00_5909); 
if(BgL__ortest_1110z00_5910)
{ /* Llib/mpd.scm 1189 */
BgL_res3142z00_5924 = BgL__ortest_1110z00_5910; }  else 
{ /* Llib/mpd.scm 1189 */
 long BgL_odepthz00_5911;
BgL_odepthz00_5911 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5909); 
if(
(BgL_arg1797z00_5891<BgL_odepthz00_5911))
{ /* Llib/mpd.scm 1189 */
 obj_t BgL_arg1790z00_5913;
BgL_arg1790z00_5913 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5909, BgL_arg1797z00_5891); 
BgL_res3142z00_5924 = 
(BgL_arg1790z00_5913==BgL_classz00_5888); }  else 
{ /* Llib/mpd.scm 1189 */
BgL_res3142z00_5924 = ((bool_t)0); } } } } 
BgL_test3753z00_10186 = BgL_res3142z00_5924; } }  else 
{ /* Llib/mpd.scm 1189 */
BgL_test3753z00_10186 = ((bool_t)0)
; } } 
if(BgL_test3753z00_10186)
{ /* Llib/mpd.scm 1189 */
BgL_auxz00_10185 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4910)
; }  else 
{ 
 obj_t BgL_auxz00_10208;
BgL_auxz00_10208 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)46973)), BGl_string3117z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4910); 
FAILURE(BgL_auxz00_10208,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listgenrealbumz00zz__multimediazd2mpdzd2(BgL_auxz00_10185, BgL_auxz00_10212, BgL_genrez00_4912);} } 

}



/* mpd-database-listgenreartist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listgenreartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_364, obj_t BgL_opz00_365, obj_t BgL_genrez00_366)
{
{ /* Llib/mpd.scm 1203 */
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_method1379z00_2334;
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_res2793z00_3887;
{ /* Llib/mpd.scm 1203 */
 long BgL_objzd2classzd2numz00_3858;
BgL_objzd2classzd2numz00_3858 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_364)); 
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_arg1798z00_3859;
BgL_arg1798z00_3859 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listgenreartistzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1203 */
 int BgL_offsetz00_3862;
BgL_offsetz00_3862 = 
(int)(BgL_objzd2classzd2numz00_3858); 
{ /* Llib/mpd.scm 1203 */
 long BgL_offsetz00_3863;
BgL_offsetz00_3863 = 
(
(long)(BgL_offsetz00_3862)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1203 */
 long BgL_modz00_3864;
BgL_modz00_3864 = 
(BgL_offsetz00_3863 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1203 */
 long BgL_restz00_3866;
BgL_restz00_3866 = 
(BgL_offsetz00_3863 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1203 */

{ /* Llib/mpd.scm 1203 */
 obj_t BgL_bucketz00_3868;
BgL_bucketz00_3868 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3859),BgL_modz00_3864); 
BgL_res2793z00_3887 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3868),BgL_restz00_3866); } } } } } } } } 
BgL_method1379z00_2334 = BgL_res2793z00_3887; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1379z00_2334))(BgL_method1379z00_2334, 
((obj_t)BgL_oz00_364), BgL_opz00_365, BgL_genrez00_366, BEOA);} } 

}



/* &mpd-database-listgenreartist */
obj_t BGl_z62mpdzd2databasezd2listgenreartistz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4913, obj_t BgL_oz00_4914, obj_t BgL_opz00_4915, obj_t BgL_genrez00_4916)
{
{ /* Llib/mpd.scm 1203 */
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_auxz00_10279; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10252;
if(
OUTPUT_PORTP(BgL_opz00_4915))
{ /* Llib/mpd.scm 1203 */
BgL_auxz00_10279 = BgL_opz00_4915
; }  else 
{ 
 obj_t BgL_auxz00_10282;
BgL_auxz00_10282 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)47524)), BGl_string3118z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4915); 
FAILURE(BgL_auxz00_10282,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1203 */
 bool_t BgL_test3759z00_10253;
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_classz00_5925;
BgL_classz00_5925 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4914))
{ /* Llib/mpd.scm 1203 */
 BgL_objectz00_bglt BgL_arg1796z00_5927; long BgL_arg1797z00_5928;
BgL_arg1796z00_5927 = 
(BgL_objectz00_bglt)(BgL_oz00_4914); 
BgL_arg1797z00_5928 = 
BGL_CLASS_DEPTH(BgL_classz00_5925); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1203 */
 long BgL_idxz00_5936;
BgL_idxz00_5936 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5927); 
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_arg1788z00_5937;
{ /* Llib/mpd.scm 1203 */
 long BgL_arg1789z00_5938;
BgL_arg1789z00_5938 = 
(BgL_idxz00_5936+BgL_arg1797z00_5928); 
BgL_arg1788z00_5937 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5938); } 
BgL_test3759z00_10253 = 
(BgL_arg1788z00_5937==BgL_classz00_5925); } }  else 
{ /* Llib/mpd.scm 1203 */
 bool_t BgL_res3143z00_5961;
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_oclassz00_5946;
{ /* Llib/mpd.scm 1203 */
 long BgL_arg1801z00_5952;
{ /* Llib/mpd.scm 1203 */
 long BgL_arg1802z00_5953;
BgL_arg1802z00_5953 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5927); 
BgL_arg1801z00_5952 = 
(BgL_arg1802z00_5953-OBJECT_TYPE); } 
BgL_oclassz00_5946 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5952); } 
{ /* Llib/mpd.scm 1203 */
 bool_t BgL__ortest_1110z00_5947;
BgL__ortest_1110z00_5947 = 
(BgL_classz00_5925==BgL_oclassz00_5946); 
if(BgL__ortest_1110z00_5947)
{ /* Llib/mpd.scm 1203 */
BgL_res3143z00_5961 = BgL__ortest_1110z00_5947; }  else 
{ /* Llib/mpd.scm 1203 */
 long BgL_odepthz00_5948;
BgL_odepthz00_5948 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5946); 
if(
(BgL_arg1797z00_5928<BgL_odepthz00_5948))
{ /* Llib/mpd.scm 1203 */
 obj_t BgL_arg1790z00_5950;
BgL_arg1790z00_5950 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5946, BgL_arg1797z00_5928); 
BgL_res3143z00_5961 = 
(BgL_arg1790z00_5950==BgL_classz00_5925); }  else 
{ /* Llib/mpd.scm 1203 */
BgL_res3143z00_5961 = ((bool_t)0); } } } } 
BgL_test3759z00_10253 = BgL_res3143z00_5961; } }  else 
{ /* Llib/mpd.scm 1203 */
BgL_test3759z00_10253 = ((bool_t)0)
; } } 
if(BgL_test3759z00_10253)
{ /* Llib/mpd.scm 1203 */
BgL_auxz00_10252 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4914)
; }  else 
{ 
 obj_t BgL_auxz00_10275;
BgL_auxz00_10275 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)47524)), BGl_string3118z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4914); 
FAILURE(BgL_auxz00_10275,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listgenreartistz00zz__multimediazd2mpdzd2(BgL_auxz00_10252, BgL_auxz00_10279, BgL_genrez00_4916);} } 

}



/* mpd-database-listgenre */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listgenrez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_367, obj_t BgL_opz00_368)
{
{ /* Llib/mpd.scm 1213 */
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_method1381z00_2335;
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_res2798z00_3918;
{ /* Llib/mpd.scm 1213 */
 long BgL_objzd2classzd2numz00_3889;
BgL_objzd2classzd2numz00_3889 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_367)); 
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_arg1798z00_3890;
BgL_arg1798z00_3890 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listgenrezd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1213 */
 int BgL_offsetz00_3893;
BgL_offsetz00_3893 = 
(int)(BgL_objzd2classzd2numz00_3889); 
{ /* Llib/mpd.scm 1213 */
 long BgL_offsetz00_3894;
BgL_offsetz00_3894 = 
(
(long)(BgL_offsetz00_3893)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1213 */
 long BgL_modz00_3895;
BgL_modz00_3895 = 
(BgL_offsetz00_3894 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1213 */
 long BgL_restz00_3897;
BgL_restz00_3897 = 
(BgL_offsetz00_3894 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1213 */

{ /* Llib/mpd.scm 1213 */
 obj_t BgL_bucketz00_3899;
BgL_bucketz00_3899 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3890),BgL_modz00_3895); 
BgL_res2798z00_3918 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3899),BgL_restz00_3897); } } } } } } } } 
BgL_method1381z00_2335 = BgL_res2798z00_3918; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1381z00_2335))(BgL_method1381z00_2335, 
((obj_t)BgL_oz00_367), BgL_opz00_368, BEOA);} } 

}



/* &mpd-database-listgenre */
obj_t BGl_z62mpdzd2databasezd2listgenrez62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4917, obj_t BgL_oz00_4918, obj_t BgL_opz00_4919)
{
{ /* Llib/mpd.scm 1213 */
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_auxz00_10345; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10318;
if(
OUTPUT_PORTP(BgL_opz00_4919))
{ /* Llib/mpd.scm 1213 */
BgL_auxz00_10345 = BgL_opz00_4919
; }  else 
{ 
 obj_t BgL_auxz00_10348;
BgL_auxz00_10348 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)47955)), BGl_string3119z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4919); 
FAILURE(BgL_auxz00_10348,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1213 */
 bool_t BgL_test3765z00_10319;
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_classz00_5962;
BgL_classz00_5962 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4918))
{ /* Llib/mpd.scm 1213 */
 BgL_objectz00_bglt BgL_arg1796z00_5964; long BgL_arg1797z00_5965;
BgL_arg1796z00_5964 = 
(BgL_objectz00_bglt)(BgL_oz00_4918); 
BgL_arg1797z00_5965 = 
BGL_CLASS_DEPTH(BgL_classz00_5962); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1213 */
 long BgL_idxz00_5973;
BgL_idxz00_5973 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5964); 
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_arg1788z00_5974;
{ /* Llib/mpd.scm 1213 */
 long BgL_arg1789z00_5975;
BgL_arg1789z00_5975 = 
(BgL_idxz00_5973+BgL_arg1797z00_5965); 
BgL_arg1788z00_5974 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5975); } 
BgL_test3765z00_10319 = 
(BgL_arg1788z00_5974==BgL_classz00_5962); } }  else 
{ /* Llib/mpd.scm 1213 */
 bool_t BgL_res3144z00_5998;
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_oclassz00_5983;
{ /* Llib/mpd.scm 1213 */
 long BgL_arg1801z00_5989;
{ /* Llib/mpd.scm 1213 */
 long BgL_arg1802z00_5990;
BgL_arg1802z00_5990 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5964); 
BgL_arg1801z00_5989 = 
(BgL_arg1802z00_5990-OBJECT_TYPE); } 
BgL_oclassz00_5983 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5989); } 
{ /* Llib/mpd.scm 1213 */
 bool_t BgL__ortest_1110z00_5984;
BgL__ortest_1110z00_5984 = 
(BgL_classz00_5962==BgL_oclassz00_5983); 
if(BgL__ortest_1110z00_5984)
{ /* Llib/mpd.scm 1213 */
BgL_res3144z00_5998 = BgL__ortest_1110z00_5984; }  else 
{ /* Llib/mpd.scm 1213 */
 long BgL_odepthz00_5985;
BgL_odepthz00_5985 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5983); 
if(
(BgL_arg1797z00_5965<BgL_odepthz00_5985))
{ /* Llib/mpd.scm 1213 */
 obj_t BgL_arg1790z00_5987;
BgL_arg1790z00_5987 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5983, BgL_arg1797z00_5965); 
BgL_res3144z00_5998 = 
(BgL_arg1790z00_5987==BgL_classz00_5962); }  else 
{ /* Llib/mpd.scm 1213 */
BgL_res3144z00_5998 = ((bool_t)0); } } } } 
BgL_test3765z00_10319 = BgL_res3144z00_5998; } }  else 
{ /* Llib/mpd.scm 1213 */
BgL_test3765z00_10319 = ((bool_t)0)
; } } 
if(BgL_test3765z00_10319)
{ /* Llib/mpd.scm 1213 */
BgL_auxz00_10318 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4918)
; }  else 
{ 
 obj_t BgL_auxz00_10341;
BgL_auxz00_10341 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)47955)), BGl_string3119z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4918); 
FAILURE(BgL_auxz00_10341,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listgenrez00zz__multimediazd2mpdzd2(BgL_auxz00_10318, BgL_auxz00_10345);} } 

}



/* mpd-database-listartist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_369, obj_t BgL_opz00_370)
{
{ /* Llib/mpd.scm 1223 */
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_method1383z00_2336;
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_res2803z00_3949;
{ /* Llib/mpd.scm 1223 */
 long BgL_objzd2classzd2numz00_3920;
BgL_objzd2classzd2numz00_3920 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_369)); 
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_arg1798z00_3921;
BgL_arg1798z00_3921 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listartistzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1223 */
 int BgL_offsetz00_3924;
BgL_offsetz00_3924 = 
(int)(BgL_objzd2classzd2numz00_3920); 
{ /* Llib/mpd.scm 1223 */
 long BgL_offsetz00_3925;
BgL_offsetz00_3925 = 
(
(long)(BgL_offsetz00_3924)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1223 */
 long BgL_modz00_3926;
BgL_modz00_3926 = 
(BgL_offsetz00_3925 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1223 */
 long BgL_restz00_3928;
BgL_restz00_3928 = 
(BgL_offsetz00_3925 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1223 */

{ /* Llib/mpd.scm 1223 */
 obj_t BgL_bucketz00_3930;
BgL_bucketz00_3930 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3921),BgL_modz00_3926); 
BgL_res2803z00_3949 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3930),BgL_restz00_3928); } } } } } } } } 
BgL_method1383z00_2336 = BgL_res2803z00_3949; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1383z00_2336))(BgL_method1383z00_2336, 
((obj_t)BgL_oz00_369), BgL_opz00_370, BEOA);} } 

}



/* &mpd-database-listartist */
obj_t BGl_z62mpdzd2databasezd2listartistz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4920, obj_t BgL_oz00_4921, obj_t BgL_opz00_4922)
{
{ /* Llib/mpd.scm 1223 */
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_auxz00_10411; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10384;
if(
OUTPUT_PORTP(BgL_opz00_4922))
{ /* Llib/mpd.scm 1223 */
BgL_auxz00_10411 = BgL_opz00_4922
; }  else 
{ 
 obj_t BgL_auxz00_10414;
BgL_auxz00_10414 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)48361)), BGl_string3120z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4922); 
FAILURE(BgL_auxz00_10414,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1223 */
 bool_t BgL_test3771z00_10385;
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_classz00_5999;
BgL_classz00_5999 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4921))
{ /* Llib/mpd.scm 1223 */
 BgL_objectz00_bglt BgL_arg1796z00_6001; long BgL_arg1797z00_6002;
BgL_arg1796z00_6001 = 
(BgL_objectz00_bglt)(BgL_oz00_4921); 
BgL_arg1797z00_6002 = 
BGL_CLASS_DEPTH(BgL_classz00_5999); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1223 */
 long BgL_idxz00_6010;
BgL_idxz00_6010 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6001); 
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_arg1788z00_6011;
{ /* Llib/mpd.scm 1223 */
 long BgL_arg1789z00_6012;
BgL_arg1789z00_6012 = 
(BgL_idxz00_6010+BgL_arg1797z00_6002); 
BgL_arg1788z00_6011 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6012); } 
BgL_test3771z00_10385 = 
(BgL_arg1788z00_6011==BgL_classz00_5999); } }  else 
{ /* Llib/mpd.scm 1223 */
 bool_t BgL_res3145z00_6035;
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_oclassz00_6020;
{ /* Llib/mpd.scm 1223 */
 long BgL_arg1801z00_6026;
{ /* Llib/mpd.scm 1223 */
 long BgL_arg1802z00_6027;
BgL_arg1802z00_6027 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6001); 
BgL_arg1801z00_6026 = 
(BgL_arg1802z00_6027-OBJECT_TYPE); } 
BgL_oclassz00_6020 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6026); } 
{ /* Llib/mpd.scm 1223 */
 bool_t BgL__ortest_1110z00_6021;
BgL__ortest_1110z00_6021 = 
(BgL_classz00_5999==BgL_oclassz00_6020); 
if(BgL__ortest_1110z00_6021)
{ /* Llib/mpd.scm 1223 */
BgL_res3145z00_6035 = BgL__ortest_1110z00_6021; }  else 
{ /* Llib/mpd.scm 1223 */
 long BgL_odepthz00_6022;
BgL_odepthz00_6022 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6020); 
if(
(BgL_arg1797z00_6002<BgL_odepthz00_6022))
{ /* Llib/mpd.scm 1223 */
 obj_t BgL_arg1790z00_6024;
BgL_arg1790z00_6024 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6020, BgL_arg1797z00_6002); 
BgL_res3145z00_6035 = 
(BgL_arg1790z00_6024==BgL_classz00_5999); }  else 
{ /* Llib/mpd.scm 1223 */
BgL_res3145z00_6035 = ((bool_t)0); } } } } 
BgL_test3771z00_10385 = BgL_res3145z00_6035; } }  else 
{ /* Llib/mpd.scm 1223 */
BgL_test3771z00_10385 = ((bool_t)0)
; } } 
if(BgL_test3771z00_10385)
{ /* Llib/mpd.scm 1223 */
BgL_auxz00_10384 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4921)
; }  else 
{ 
 obj_t BgL_auxz00_10407;
BgL_auxz00_10407 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)48361)), BGl_string3120z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4921); 
FAILURE(BgL_auxz00_10407,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2listartistz00zz__multimediazd2mpdzd2(BgL_auxz00_10384, BgL_auxz00_10411);} } 

}



/* mpd-database-lsinfo */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_371, obj_t BgL_opz00_372, obj_t BgL_dirz00_373, bool_t BgL_recz00_374)
{
{ /* Llib/mpd.scm 1233 */
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_method1385z00_2337;
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_res2808z00_3980;
{ /* Llib/mpd.scm 1233 */
 long BgL_objzd2classzd2numz00_3951;
BgL_objzd2classzd2numz00_3951 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_371)); 
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_arg1798z00_3952;
BgL_arg1798z00_3952 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2lsinfozd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1233 */
 int BgL_offsetz00_3955;
BgL_offsetz00_3955 = 
(int)(BgL_objzd2classzd2numz00_3951); 
{ /* Llib/mpd.scm 1233 */
 long BgL_offsetz00_3956;
BgL_offsetz00_3956 = 
(
(long)(BgL_offsetz00_3955)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1233 */
 long BgL_modz00_3957;
BgL_modz00_3957 = 
(BgL_offsetz00_3956 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1233 */
 long BgL_restz00_3959;
BgL_restz00_3959 = 
(BgL_offsetz00_3956 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1233 */

{ /* Llib/mpd.scm 1233 */
 obj_t BgL_bucketz00_3961;
BgL_bucketz00_3961 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3952),BgL_modz00_3957); 
BgL_res2808z00_3980 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3961),BgL_restz00_3959); } } } } } } } } 
BgL_method1385z00_2337 = BgL_res2808z00_3980; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1385z00_2337))(BgL_method1385z00_2337, 
((obj_t)BgL_oz00_371), BgL_opz00_372, BgL_dirz00_373, 
BBOOL(BgL_recz00_374), BEOA);} } 

}



/* &mpd-database-lsinfo */
obj_t BGl_z62mpdzd2databasezd2lsinfoz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4923, obj_t BgL_oz00_4924, obj_t BgL_opz00_4925, obj_t BgL_dirz00_4926, obj_t BgL_recz00_4927)
{
{ /* Llib/mpd.scm 1233 */
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_auxz00_10487; obj_t BgL_auxz00_10480; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10453;
if(
STRINGP(BgL_dirz00_4926))
{ /* Llib/mpd.scm 1233 */
BgL_auxz00_10487 = BgL_dirz00_4926
; }  else 
{ 
 obj_t BgL_auxz00_10490;
BgL_auxz00_10490 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)48770)), BGl_string3121z00zz__multimediazd2mpdzd2, BGl_string3112z00zz__multimediazd2mpdzd2, BgL_dirz00_4926); 
FAILURE(BgL_auxz00_10490,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_opz00_4925))
{ /* Llib/mpd.scm 1233 */
BgL_auxz00_10480 = BgL_opz00_4925
; }  else 
{ 
 obj_t BgL_auxz00_10483;
BgL_auxz00_10483 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)48770)), BGl_string3121z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4925); 
FAILURE(BgL_auxz00_10483,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1233 */
 bool_t BgL_test3777z00_10454;
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_classz00_6036;
BgL_classz00_6036 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4924))
{ /* Llib/mpd.scm 1233 */
 BgL_objectz00_bglt BgL_arg1796z00_6038; long BgL_arg1797z00_6039;
BgL_arg1796z00_6038 = 
(BgL_objectz00_bglt)(BgL_oz00_4924); 
BgL_arg1797z00_6039 = 
BGL_CLASS_DEPTH(BgL_classz00_6036); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1233 */
 long BgL_idxz00_6047;
BgL_idxz00_6047 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6038); 
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_arg1788z00_6048;
{ /* Llib/mpd.scm 1233 */
 long BgL_arg1789z00_6049;
BgL_arg1789z00_6049 = 
(BgL_idxz00_6047+BgL_arg1797z00_6039); 
BgL_arg1788z00_6048 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6049); } 
BgL_test3777z00_10454 = 
(BgL_arg1788z00_6048==BgL_classz00_6036); } }  else 
{ /* Llib/mpd.scm 1233 */
 bool_t BgL_res3146z00_6072;
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_oclassz00_6057;
{ /* Llib/mpd.scm 1233 */
 long BgL_arg1801z00_6063;
{ /* Llib/mpd.scm 1233 */
 long BgL_arg1802z00_6064;
BgL_arg1802z00_6064 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6038); 
BgL_arg1801z00_6063 = 
(BgL_arg1802z00_6064-OBJECT_TYPE); } 
BgL_oclassz00_6057 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6063); } 
{ /* Llib/mpd.scm 1233 */
 bool_t BgL__ortest_1110z00_6058;
BgL__ortest_1110z00_6058 = 
(BgL_classz00_6036==BgL_oclassz00_6057); 
if(BgL__ortest_1110z00_6058)
{ /* Llib/mpd.scm 1233 */
BgL_res3146z00_6072 = BgL__ortest_1110z00_6058; }  else 
{ /* Llib/mpd.scm 1233 */
 long BgL_odepthz00_6059;
BgL_odepthz00_6059 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6057); 
if(
(BgL_arg1797z00_6039<BgL_odepthz00_6059))
{ /* Llib/mpd.scm 1233 */
 obj_t BgL_arg1790z00_6061;
BgL_arg1790z00_6061 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6057, BgL_arg1797z00_6039); 
BgL_res3146z00_6072 = 
(BgL_arg1790z00_6061==BgL_classz00_6036); }  else 
{ /* Llib/mpd.scm 1233 */
BgL_res3146z00_6072 = ((bool_t)0); } } } } 
BgL_test3777z00_10454 = BgL_res3146z00_6072; } }  else 
{ /* Llib/mpd.scm 1233 */
BgL_test3777z00_10454 = ((bool_t)0)
; } } 
if(BgL_test3777z00_10454)
{ /* Llib/mpd.scm 1233 */
BgL_auxz00_10453 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4924)
; }  else 
{ 
 obj_t BgL_auxz00_10476;
BgL_auxz00_10476 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)48770)), BGl_string3121z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4924); 
FAILURE(BgL_auxz00_10476,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(BgL_auxz00_10453, BgL_auxz00_10480, BgL_auxz00_10487, 
CBOOL(BgL_recz00_4927));} } 

}



/* mpd-database-find-album */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_380, obj_t BgL_opz00_381, obj_t BgL_albumz00_382)
{
{ /* Llib/mpd.scm 1294 */
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_method1387z00_2338;
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_res2813z00_4011;
{ /* Llib/mpd.scm 1294 */
 long BgL_objzd2classzd2numz00_3982;
BgL_objzd2classzd2numz00_3982 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_380)); 
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_arg1798z00_3983;
BgL_arg1798z00_3983 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2findzd2albumzd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1294 */
 int BgL_offsetz00_3986;
BgL_offsetz00_3986 = 
(int)(BgL_objzd2classzd2numz00_3982); 
{ /* Llib/mpd.scm 1294 */
 long BgL_offsetz00_3987;
BgL_offsetz00_3987 = 
(
(long)(BgL_offsetz00_3986)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1294 */
 long BgL_modz00_3988;
BgL_modz00_3988 = 
(BgL_offsetz00_3987 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1294 */
 long BgL_restz00_3990;
BgL_restz00_3990 = 
(BgL_offsetz00_3987 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1294 */

{ /* Llib/mpd.scm 1294 */
 obj_t BgL_bucketz00_3992;
BgL_bucketz00_3992 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3983),BgL_modz00_3988); 
BgL_res2813z00_4011 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3992),BgL_restz00_3990); } } } } } } } } 
BgL_method1387z00_2338 = BgL_res2813z00_4011; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1387z00_2338))(BgL_method1387z00_2338, 
((obj_t)BgL_oz00_380), BgL_opz00_381, BgL_albumz00_382, BEOA);} } 

}



/* &mpd-database-find-album */
obj_t BGl_z62mpdzd2databasezd2findzd2albumzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4928, obj_t BgL_oz00_4929, obj_t BgL_opz00_4930, obj_t BgL_albumz00_4931)
{
{ /* Llib/mpd.scm 1294 */
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_auxz00_10555; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10528;
if(
OUTPUT_PORTP(BgL_opz00_4930))
{ /* Llib/mpd.scm 1294 */
BgL_auxz00_10555 = BgL_opz00_4930
; }  else 
{ 
 obj_t BgL_auxz00_10558;
BgL_auxz00_10558 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)50979)), BGl_string3122z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4930); 
FAILURE(BgL_auxz00_10558,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1294 */
 bool_t BgL_test3784z00_10529;
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_classz00_6073;
BgL_classz00_6073 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4929))
{ /* Llib/mpd.scm 1294 */
 BgL_objectz00_bglt BgL_arg1796z00_6075; long BgL_arg1797z00_6076;
BgL_arg1796z00_6075 = 
(BgL_objectz00_bglt)(BgL_oz00_4929); 
BgL_arg1797z00_6076 = 
BGL_CLASS_DEPTH(BgL_classz00_6073); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1294 */
 long BgL_idxz00_6084;
BgL_idxz00_6084 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6075); 
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_arg1788z00_6085;
{ /* Llib/mpd.scm 1294 */
 long BgL_arg1789z00_6086;
BgL_arg1789z00_6086 = 
(BgL_idxz00_6084+BgL_arg1797z00_6076); 
BgL_arg1788z00_6085 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6086); } 
BgL_test3784z00_10529 = 
(BgL_arg1788z00_6085==BgL_classz00_6073); } }  else 
{ /* Llib/mpd.scm 1294 */
 bool_t BgL_res3147z00_6109;
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_oclassz00_6094;
{ /* Llib/mpd.scm 1294 */
 long BgL_arg1801z00_6100;
{ /* Llib/mpd.scm 1294 */
 long BgL_arg1802z00_6101;
BgL_arg1802z00_6101 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6075); 
BgL_arg1801z00_6100 = 
(BgL_arg1802z00_6101-OBJECT_TYPE); } 
BgL_oclassz00_6094 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6100); } 
{ /* Llib/mpd.scm 1294 */
 bool_t BgL__ortest_1110z00_6095;
BgL__ortest_1110z00_6095 = 
(BgL_classz00_6073==BgL_oclassz00_6094); 
if(BgL__ortest_1110z00_6095)
{ /* Llib/mpd.scm 1294 */
BgL_res3147z00_6109 = BgL__ortest_1110z00_6095; }  else 
{ /* Llib/mpd.scm 1294 */
 long BgL_odepthz00_6096;
BgL_odepthz00_6096 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6094); 
if(
(BgL_arg1797z00_6076<BgL_odepthz00_6096))
{ /* Llib/mpd.scm 1294 */
 obj_t BgL_arg1790z00_6098;
BgL_arg1790z00_6098 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6094, BgL_arg1797z00_6076); 
BgL_res3147z00_6109 = 
(BgL_arg1790z00_6098==BgL_classz00_6073); }  else 
{ /* Llib/mpd.scm 1294 */
BgL_res3147z00_6109 = ((bool_t)0); } } } } 
BgL_test3784z00_10529 = BgL_res3147z00_6109; } }  else 
{ /* Llib/mpd.scm 1294 */
BgL_test3784z00_10529 = ((bool_t)0)
; } } 
if(BgL_test3784z00_10529)
{ /* Llib/mpd.scm 1294 */
BgL_auxz00_10528 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4929)
; }  else 
{ 
 obj_t BgL_auxz00_10551;
BgL_auxz00_10551 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)50979)), BGl_string3122z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4929); 
FAILURE(BgL_auxz00_10551,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(BgL_auxz00_10528, BgL_auxz00_10555, BgL_albumz00_4931);} } 

}



/* mpd-database-find-artist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_383, obj_t BgL_opz00_384, obj_t BgL_artistz00_385)
{
{ /* Llib/mpd.scm 1303 */
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_method1389z00_2339;
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_res2818z00_4042;
{ /* Llib/mpd.scm 1303 */
 long BgL_objzd2classzd2numz00_4013;
BgL_objzd2classzd2numz00_4013 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_383)); 
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_arg1798z00_4014;
BgL_arg1798z00_4014 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2findzd2artistzd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1303 */
 int BgL_offsetz00_4017;
BgL_offsetz00_4017 = 
(int)(BgL_objzd2classzd2numz00_4013); 
{ /* Llib/mpd.scm 1303 */
 long BgL_offsetz00_4018;
BgL_offsetz00_4018 = 
(
(long)(BgL_offsetz00_4017)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1303 */
 long BgL_modz00_4019;
BgL_modz00_4019 = 
(BgL_offsetz00_4018 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1303 */
 long BgL_restz00_4021;
BgL_restz00_4021 = 
(BgL_offsetz00_4018 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1303 */

{ /* Llib/mpd.scm 1303 */
 obj_t BgL_bucketz00_4023;
BgL_bucketz00_4023 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_4014),BgL_modz00_4019); 
BgL_res2818z00_4042 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4023),BgL_restz00_4021); } } } } } } } } 
BgL_method1389z00_2339 = BgL_res2818z00_4042; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1389z00_2339))(BgL_method1389z00_2339, 
((obj_t)BgL_oz00_383), BgL_opz00_384, BgL_artistz00_385, BEOA);} } 

}



/* &mpd-database-find-artist */
obj_t BGl_z62mpdzd2databasezd2findzd2artistzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4932, obj_t BgL_oz00_4933, obj_t BgL_opz00_4934, obj_t BgL_artistz00_4935)
{
{ /* Llib/mpd.scm 1303 */
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_auxz00_10622; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10595;
if(
OUTPUT_PORTP(BgL_opz00_4934))
{ /* Llib/mpd.scm 1303 */
BgL_auxz00_10622 = BgL_opz00_4934
; }  else 
{ 
 obj_t BgL_auxz00_10625;
BgL_auxz00_10625 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)51417)), BGl_string3123z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4934); 
FAILURE(BgL_auxz00_10625,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1303 */
 bool_t BgL_test3790z00_10596;
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_classz00_6110;
BgL_classz00_6110 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4933))
{ /* Llib/mpd.scm 1303 */
 BgL_objectz00_bglt BgL_arg1796z00_6112; long BgL_arg1797z00_6113;
BgL_arg1796z00_6112 = 
(BgL_objectz00_bglt)(BgL_oz00_4933); 
BgL_arg1797z00_6113 = 
BGL_CLASS_DEPTH(BgL_classz00_6110); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1303 */
 long BgL_idxz00_6121;
BgL_idxz00_6121 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6112); 
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_arg1788z00_6122;
{ /* Llib/mpd.scm 1303 */
 long BgL_arg1789z00_6123;
BgL_arg1789z00_6123 = 
(BgL_idxz00_6121+BgL_arg1797z00_6113); 
BgL_arg1788z00_6122 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6123); } 
BgL_test3790z00_10596 = 
(BgL_arg1788z00_6122==BgL_classz00_6110); } }  else 
{ /* Llib/mpd.scm 1303 */
 bool_t BgL_res3148z00_6146;
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_oclassz00_6131;
{ /* Llib/mpd.scm 1303 */
 long BgL_arg1801z00_6137;
{ /* Llib/mpd.scm 1303 */
 long BgL_arg1802z00_6138;
BgL_arg1802z00_6138 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6112); 
BgL_arg1801z00_6137 = 
(BgL_arg1802z00_6138-OBJECT_TYPE); } 
BgL_oclassz00_6131 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6137); } 
{ /* Llib/mpd.scm 1303 */
 bool_t BgL__ortest_1110z00_6132;
BgL__ortest_1110z00_6132 = 
(BgL_classz00_6110==BgL_oclassz00_6131); 
if(BgL__ortest_1110z00_6132)
{ /* Llib/mpd.scm 1303 */
BgL_res3148z00_6146 = BgL__ortest_1110z00_6132; }  else 
{ /* Llib/mpd.scm 1303 */
 long BgL_odepthz00_6133;
BgL_odepthz00_6133 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6131); 
if(
(BgL_arg1797z00_6113<BgL_odepthz00_6133))
{ /* Llib/mpd.scm 1303 */
 obj_t BgL_arg1790z00_6135;
BgL_arg1790z00_6135 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6131, BgL_arg1797z00_6113); 
BgL_res3148z00_6146 = 
(BgL_arg1790z00_6135==BgL_classz00_6110); }  else 
{ /* Llib/mpd.scm 1303 */
BgL_res3148z00_6146 = ((bool_t)0); } } } } 
BgL_test3790z00_10596 = BgL_res3148z00_6146; } }  else 
{ /* Llib/mpd.scm 1303 */
BgL_test3790z00_10596 = ((bool_t)0)
; } } 
if(BgL_test3790z00_10596)
{ /* Llib/mpd.scm 1303 */
BgL_auxz00_10595 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4933)
; }  else 
{ 
 obj_t BgL_auxz00_10618;
BgL_auxz00_10618 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)51417)), BGl_string3123z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4933); 
FAILURE(BgL_auxz00_10618,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(BgL_auxz00_10595, BgL_auxz00_10622, BgL_artistz00_4935);} } 

}



/* mpd-database-search-artist-album */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2searchzd2artistzd2albumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_386, obj_t BgL_opz00_387, obj_t BgL_artistz00_388, obj_t BgL_albumz00_389)
{
{ /* Llib/mpd.scm 1312 */
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_method1391z00_2340;
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_res2823z00_4073;
{ /* Llib/mpd.scm 1312 */
 long BgL_objzd2classzd2numz00_4044;
BgL_objzd2classzd2numz00_4044 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_386)); 
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_arg1798z00_4045;
BgL_arg1798z00_4045 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2searchzd2artistzd2albumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1312 */
 int BgL_offsetz00_4048;
BgL_offsetz00_4048 = 
(int)(BgL_objzd2classzd2numz00_4044); 
{ /* Llib/mpd.scm 1312 */
 long BgL_offsetz00_4049;
BgL_offsetz00_4049 = 
(
(long)(BgL_offsetz00_4048)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1312 */
 long BgL_modz00_4050;
BgL_modz00_4050 = 
(BgL_offsetz00_4049 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1312 */
 long BgL_restz00_4052;
BgL_restz00_4052 = 
(BgL_offsetz00_4049 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1312 */

{ /* Llib/mpd.scm 1312 */
 obj_t BgL_bucketz00_4054;
BgL_bucketz00_4054 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_4045),BgL_modz00_4050); 
BgL_res2823z00_4073 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4054),BgL_restz00_4052); } } } } } } } } 
BgL_method1391z00_2340 = BgL_res2823z00_4073; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1391z00_2340))(BgL_method1391z00_2340, 
((obj_t)BgL_oz00_386), BgL_opz00_387, BgL_artistz00_388, BgL_albumz00_389, BEOA);} } 

}



/* &mpd-database-search-artist-album */
obj_t BGl_z62mpdzd2databasezd2searchzd2artistzd2albumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4936, obj_t BgL_oz00_4937, obj_t BgL_opz00_4938, obj_t BgL_artistz00_4939, obj_t BgL_albumz00_4940)
{
{ /* Llib/mpd.scm 1312 */
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_auxz00_10690; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10663;
if(
OUTPUT_PORTP(BgL_opz00_4938))
{ /* Llib/mpd.scm 1312 */
BgL_auxz00_10690 = BgL_opz00_4938
; }  else 
{ 
 obj_t BgL_auxz00_10693;
BgL_auxz00_10693 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)51861)), BGl_string3124z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4938); 
FAILURE(BgL_auxz00_10693,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1312 */
 bool_t BgL_test3796z00_10664;
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_classz00_6147;
BgL_classz00_6147 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4937))
{ /* Llib/mpd.scm 1312 */
 BgL_objectz00_bglt BgL_arg1796z00_6149; long BgL_arg1797z00_6150;
BgL_arg1796z00_6149 = 
(BgL_objectz00_bglt)(BgL_oz00_4937); 
BgL_arg1797z00_6150 = 
BGL_CLASS_DEPTH(BgL_classz00_6147); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1312 */
 long BgL_idxz00_6158;
BgL_idxz00_6158 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6149); 
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_arg1788z00_6159;
{ /* Llib/mpd.scm 1312 */
 long BgL_arg1789z00_6160;
BgL_arg1789z00_6160 = 
(BgL_idxz00_6158+BgL_arg1797z00_6150); 
BgL_arg1788z00_6159 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6160); } 
BgL_test3796z00_10664 = 
(BgL_arg1788z00_6159==BgL_classz00_6147); } }  else 
{ /* Llib/mpd.scm 1312 */
 bool_t BgL_res3149z00_6183;
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_oclassz00_6168;
{ /* Llib/mpd.scm 1312 */
 long BgL_arg1801z00_6174;
{ /* Llib/mpd.scm 1312 */
 long BgL_arg1802z00_6175;
BgL_arg1802z00_6175 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6149); 
BgL_arg1801z00_6174 = 
(BgL_arg1802z00_6175-OBJECT_TYPE); } 
BgL_oclassz00_6168 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6174); } 
{ /* Llib/mpd.scm 1312 */
 bool_t BgL__ortest_1110z00_6169;
BgL__ortest_1110z00_6169 = 
(BgL_classz00_6147==BgL_oclassz00_6168); 
if(BgL__ortest_1110z00_6169)
{ /* Llib/mpd.scm 1312 */
BgL_res3149z00_6183 = BgL__ortest_1110z00_6169; }  else 
{ /* Llib/mpd.scm 1312 */
 long BgL_odepthz00_6170;
BgL_odepthz00_6170 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6168); 
if(
(BgL_arg1797z00_6150<BgL_odepthz00_6170))
{ /* Llib/mpd.scm 1312 */
 obj_t BgL_arg1790z00_6172;
BgL_arg1790z00_6172 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6168, BgL_arg1797z00_6150); 
BgL_res3149z00_6183 = 
(BgL_arg1790z00_6172==BgL_classz00_6147); }  else 
{ /* Llib/mpd.scm 1312 */
BgL_res3149z00_6183 = ((bool_t)0); } } } } 
BgL_test3796z00_10664 = BgL_res3149z00_6183; } }  else 
{ /* Llib/mpd.scm 1312 */
BgL_test3796z00_10664 = ((bool_t)0)
; } } 
if(BgL_test3796z00_10664)
{ /* Llib/mpd.scm 1312 */
BgL_auxz00_10663 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4937)
; }  else 
{ 
 obj_t BgL_auxz00_10686;
BgL_auxz00_10686 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)51861)), BGl_string3124z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4937); 
FAILURE(BgL_auxz00_10686,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2searchzd2artistzd2albumz00zz__multimediazd2mpdzd2(BgL_auxz00_10663, BgL_auxz00_10690, BgL_artistz00_4939, BgL_albumz00_4940);} } 

}



/* mpd-database-search-artist-title */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2searchzd2artistzd2titlez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_390, obj_t BgL_opz00_391, obj_t BgL_artistz00_392, obj_t BgL_titlez00_393)
{
{ /* Llib/mpd.scm 1345 */
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_method1393z00_2341;
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_res2828z00_4104;
{ /* Llib/mpd.scm 1345 */
 long BgL_objzd2classzd2numz00_4075;
BgL_objzd2classzd2numz00_4075 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_390)); 
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_arg1798z00_4076;
BgL_arg1798z00_4076 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2searchzd2artistzd2titlezd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1345 */
 int BgL_offsetz00_4079;
BgL_offsetz00_4079 = 
(int)(BgL_objzd2classzd2numz00_4075); 
{ /* Llib/mpd.scm 1345 */
 long BgL_offsetz00_4080;
BgL_offsetz00_4080 = 
(
(long)(BgL_offsetz00_4079)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1345 */
 long BgL_modz00_4081;
BgL_modz00_4081 = 
(BgL_offsetz00_4080 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1345 */
 long BgL_restz00_4083;
BgL_restz00_4083 = 
(BgL_offsetz00_4080 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1345 */

{ /* Llib/mpd.scm 1345 */
 obj_t BgL_bucketz00_4085;
BgL_bucketz00_4085 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_4076),BgL_modz00_4081); 
BgL_res2828z00_4104 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4085),BgL_restz00_4083); } } } } } } } } 
BgL_method1393z00_2341 = BgL_res2828z00_4104; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1393z00_2341))(BgL_method1393z00_2341, 
((obj_t)BgL_oz00_390), BgL_opz00_391, BgL_artistz00_392, BgL_titlez00_393, BEOA);} } 

}



/* &mpd-database-search-artist-title */
obj_t BGl_z62mpdzd2databasezd2searchzd2artistzd2titlez62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4941, obj_t BgL_oz00_4942, obj_t BgL_opz00_4943, obj_t BgL_artistz00_4944, obj_t BgL_titlez00_4945)
{
{ /* Llib/mpd.scm 1345 */
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_auxz00_10758; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10731;
if(
OUTPUT_PORTP(BgL_opz00_4943))
{ /* Llib/mpd.scm 1345 */
BgL_auxz00_10758 = BgL_opz00_4943
; }  else 
{ 
 obj_t BgL_auxz00_10761;
BgL_auxz00_10761 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)53036)), BGl_string3125z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4943); 
FAILURE(BgL_auxz00_10761,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1345 */
 bool_t BgL_test3802z00_10732;
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_classz00_6184;
BgL_classz00_6184 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4942))
{ /* Llib/mpd.scm 1345 */
 BgL_objectz00_bglt BgL_arg1796z00_6186; long BgL_arg1797z00_6187;
BgL_arg1796z00_6186 = 
(BgL_objectz00_bglt)(BgL_oz00_4942); 
BgL_arg1797z00_6187 = 
BGL_CLASS_DEPTH(BgL_classz00_6184); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1345 */
 long BgL_idxz00_6195;
BgL_idxz00_6195 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6186); 
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_arg1788z00_6196;
{ /* Llib/mpd.scm 1345 */
 long BgL_arg1789z00_6197;
BgL_arg1789z00_6197 = 
(BgL_idxz00_6195+BgL_arg1797z00_6187); 
BgL_arg1788z00_6196 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6197); } 
BgL_test3802z00_10732 = 
(BgL_arg1788z00_6196==BgL_classz00_6184); } }  else 
{ /* Llib/mpd.scm 1345 */
 bool_t BgL_res3150z00_6220;
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_oclassz00_6205;
{ /* Llib/mpd.scm 1345 */
 long BgL_arg1801z00_6211;
{ /* Llib/mpd.scm 1345 */
 long BgL_arg1802z00_6212;
BgL_arg1802z00_6212 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6186); 
BgL_arg1801z00_6211 = 
(BgL_arg1802z00_6212-OBJECT_TYPE); } 
BgL_oclassz00_6205 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6211); } 
{ /* Llib/mpd.scm 1345 */
 bool_t BgL__ortest_1110z00_6206;
BgL__ortest_1110z00_6206 = 
(BgL_classz00_6184==BgL_oclassz00_6205); 
if(BgL__ortest_1110z00_6206)
{ /* Llib/mpd.scm 1345 */
BgL_res3150z00_6220 = BgL__ortest_1110z00_6206; }  else 
{ /* Llib/mpd.scm 1345 */
 long BgL_odepthz00_6207;
BgL_odepthz00_6207 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6205); 
if(
(BgL_arg1797z00_6187<BgL_odepthz00_6207))
{ /* Llib/mpd.scm 1345 */
 obj_t BgL_arg1790z00_6209;
BgL_arg1790z00_6209 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6205, BgL_arg1797z00_6187); 
BgL_res3150z00_6220 = 
(BgL_arg1790z00_6209==BgL_classz00_6184); }  else 
{ /* Llib/mpd.scm 1345 */
BgL_res3150z00_6220 = ((bool_t)0); } } } } 
BgL_test3802z00_10732 = BgL_res3150z00_6220; } }  else 
{ /* Llib/mpd.scm 1345 */
BgL_test3802z00_10732 = ((bool_t)0)
; } } 
if(BgL_test3802z00_10732)
{ /* Llib/mpd.scm 1345 */
BgL_auxz00_10731 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4942)
; }  else 
{ 
 obj_t BgL_auxz00_10754;
BgL_auxz00_10754 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)53036)), BGl_string3125z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4942); 
FAILURE(BgL_auxz00_10754,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2searchzd2artistzd2titlez00zz__multimediazd2mpdzd2(BgL_auxz00_10731, BgL_auxz00_10758, BgL_artistz00_4944, BgL_titlez00_4945);} } 

}



/* mpd-database-find-title */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_394, obj_t BgL_opz00_395, obj_t BgL_titlez00_396)
{
{ /* Llib/mpd.scm 1371 */
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_method1395z00_2342;
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_res2833z00_4135;
{ /* Llib/mpd.scm 1371 */
 long BgL_objzd2classzd2numz00_4106;
BgL_objzd2classzd2numz00_4106 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_394)); 
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_arg1798z00_4107;
BgL_arg1798z00_4107 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2findzd2titlezd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1371 */
 int BgL_offsetz00_4110;
BgL_offsetz00_4110 = 
(int)(BgL_objzd2classzd2numz00_4106); 
{ /* Llib/mpd.scm 1371 */
 long BgL_offsetz00_4111;
BgL_offsetz00_4111 = 
(
(long)(BgL_offsetz00_4110)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1371 */
 long BgL_modz00_4112;
BgL_modz00_4112 = 
(BgL_offsetz00_4111 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1371 */
 long BgL_restz00_4114;
BgL_restz00_4114 = 
(BgL_offsetz00_4111 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1371 */

{ /* Llib/mpd.scm 1371 */
 obj_t BgL_bucketz00_4116;
BgL_bucketz00_4116 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_4107),BgL_modz00_4112); 
BgL_res2833z00_4135 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4116),BgL_restz00_4114); } } } } } } } } 
BgL_method1395z00_2342 = BgL_res2833z00_4135; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1395z00_2342))(BgL_method1395z00_2342, 
((obj_t)BgL_oz00_394), BgL_opz00_395, BgL_titlez00_396, BEOA);} } 

}



/* &mpd-database-find-title */
obj_t BGl_z62mpdzd2databasezd2findzd2titlezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4946, obj_t BgL_oz00_4947, obj_t BgL_opz00_4948, obj_t BgL_titlez00_4949)
{
{ /* Llib/mpd.scm 1371 */
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_auxz00_10825; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10798;
if(
OUTPUT_PORTP(BgL_opz00_4948))
{ /* Llib/mpd.scm 1371 */
BgL_auxz00_10825 = BgL_opz00_4948
; }  else 
{ 
 obj_t BgL_auxz00_10828;
BgL_auxz00_10828 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)53940)), BGl_string3126z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4948); 
FAILURE(BgL_auxz00_10828,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1371 */
 bool_t BgL_test3808z00_10799;
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_classz00_6221;
BgL_classz00_6221 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4947))
{ /* Llib/mpd.scm 1371 */
 BgL_objectz00_bglt BgL_arg1796z00_6223; long BgL_arg1797z00_6224;
BgL_arg1796z00_6223 = 
(BgL_objectz00_bglt)(BgL_oz00_4947); 
BgL_arg1797z00_6224 = 
BGL_CLASS_DEPTH(BgL_classz00_6221); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1371 */
 long BgL_idxz00_6232;
BgL_idxz00_6232 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6223); 
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_arg1788z00_6233;
{ /* Llib/mpd.scm 1371 */
 long BgL_arg1789z00_6234;
BgL_arg1789z00_6234 = 
(BgL_idxz00_6232+BgL_arg1797z00_6224); 
BgL_arg1788z00_6233 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6234); } 
BgL_test3808z00_10799 = 
(BgL_arg1788z00_6233==BgL_classz00_6221); } }  else 
{ /* Llib/mpd.scm 1371 */
 bool_t BgL_res3151z00_6257;
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_oclassz00_6242;
{ /* Llib/mpd.scm 1371 */
 long BgL_arg1801z00_6248;
{ /* Llib/mpd.scm 1371 */
 long BgL_arg1802z00_6249;
BgL_arg1802z00_6249 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6223); 
BgL_arg1801z00_6248 = 
(BgL_arg1802z00_6249-OBJECT_TYPE); } 
BgL_oclassz00_6242 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6248); } 
{ /* Llib/mpd.scm 1371 */
 bool_t BgL__ortest_1110z00_6243;
BgL__ortest_1110z00_6243 = 
(BgL_classz00_6221==BgL_oclassz00_6242); 
if(BgL__ortest_1110z00_6243)
{ /* Llib/mpd.scm 1371 */
BgL_res3151z00_6257 = BgL__ortest_1110z00_6243; }  else 
{ /* Llib/mpd.scm 1371 */
 long BgL_odepthz00_6244;
BgL_odepthz00_6244 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6242); 
if(
(BgL_arg1797z00_6224<BgL_odepthz00_6244))
{ /* Llib/mpd.scm 1371 */
 obj_t BgL_arg1790z00_6246;
BgL_arg1790z00_6246 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6242, BgL_arg1797z00_6224); 
BgL_res3151z00_6257 = 
(BgL_arg1790z00_6246==BgL_classz00_6221); }  else 
{ /* Llib/mpd.scm 1371 */
BgL_res3151z00_6257 = ((bool_t)0); } } } } 
BgL_test3808z00_10799 = BgL_res3151z00_6257; } }  else 
{ /* Llib/mpd.scm 1371 */
BgL_test3808z00_10799 = ((bool_t)0)
; } } 
if(BgL_test3808z00_10799)
{ /* Llib/mpd.scm 1371 */
BgL_auxz00_10798 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4947)
; }  else 
{ 
 obj_t BgL_auxz00_10821;
BgL_auxz00_10821 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)53940)), BGl_string3126z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4947); 
FAILURE(BgL_auxz00_10821,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(BgL_auxz00_10798, BgL_auxz00_10825, BgL_titlez00_4949);} } 

}



/* mpd-database-find-genre */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_397, obj_t BgL_opz00_398, obj_t BgL_genrez00_399)
{
{ /* Llib/mpd.scm 1389 */
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_method1397z00_2343;
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_res2838z00_4166;
{ /* Llib/mpd.scm 1389 */
 long BgL_objzd2classzd2numz00_4137;
BgL_objzd2classzd2numz00_4137 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_397)); 
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_arg1798z00_4138;
BgL_arg1798z00_4138 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2findzd2genrezd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1389 */
 int BgL_offsetz00_4141;
BgL_offsetz00_4141 = 
(int)(BgL_objzd2classzd2numz00_4137); 
{ /* Llib/mpd.scm 1389 */
 long BgL_offsetz00_4142;
BgL_offsetz00_4142 = 
(
(long)(BgL_offsetz00_4141)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1389 */
 long BgL_modz00_4143;
BgL_modz00_4143 = 
(BgL_offsetz00_4142 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1389 */
 long BgL_restz00_4145;
BgL_restz00_4145 = 
(BgL_offsetz00_4142 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1389 */

{ /* Llib/mpd.scm 1389 */
 obj_t BgL_bucketz00_4147;
BgL_bucketz00_4147 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_4138),BgL_modz00_4143); 
BgL_res2838z00_4166 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4147),BgL_restz00_4145); } } } } } } } } 
BgL_method1397z00_2343 = BgL_res2838z00_4166; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1397z00_2343))(BgL_method1397z00_2343, 
((obj_t)BgL_oz00_397), BgL_opz00_398, BgL_genrez00_399, BEOA);} } 

}



/* &mpd-database-find-genre */
obj_t BGl_z62mpdzd2databasezd2findzd2genrezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4950, obj_t BgL_oz00_4951, obj_t BgL_opz00_4952, obj_t BgL_genrez00_4953)
{
{ /* Llib/mpd.scm 1389 */
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_auxz00_10892; BgL_mpdzd2databasezd2_bglt BgL_auxz00_10865;
if(
OUTPUT_PORTP(BgL_opz00_4952))
{ /* Llib/mpd.scm 1389 */
BgL_auxz00_10892 = BgL_opz00_4952
; }  else 
{ 
 obj_t BgL_auxz00_10895;
BgL_auxz00_10895 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)54520)), BGl_string3127z00zz__multimediazd2mpdzd2, BGl_string2958z00zz__multimediazd2mpdzd2, BgL_opz00_4952); 
FAILURE(BgL_auxz00_10895,BFALSE,BFALSE);} 
{ /* Llib/mpd.scm 1389 */
 bool_t BgL_test3814z00_10866;
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_classz00_6258;
BgL_classz00_6258 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4951))
{ /* Llib/mpd.scm 1389 */
 BgL_objectz00_bglt BgL_arg1796z00_6260; long BgL_arg1797z00_6261;
BgL_arg1796z00_6260 = 
(BgL_objectz00_bglt)(BgL_oz00_4951); 
BgL_arg1797z00_6261 = 
BGL_CLASS_DEPTH(BgL_classz00_6258); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1389 */
 long BgL_idxz00_6269;
BgL_idxz00_6269 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6260); 
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_arg1788z00_6270;
{ /* Llib/mpd.scm 1389 */
 long BgL_arg1789z00_6271;
BgL_arg1789z00_6271 = 
(BgL_idxz00_6269+BgL_arg1797z00_6261); 
BgL_arg1788z00_6270 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6271); } 
BgL_test3814z00_10866 = 
(BgL_arg1788z00_6270==BgL_classz00_6258); } }  else 
{ /* Llib/mpd.scm 1389 */
 bool_t BgL_res3152z00_6294;
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_oclassz00_6279;
{ /* Llib/mpd.scm 1389 */
 long BgL_arg1801z00_6285;
{ /* Llib/mpd.scm 1389 */
 long BgL_arg1802z00_6286;
BgL_arg1802z00_6286 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6260); 
BgL_arg1801z00_6285 = 
(BgL_arg1802z00_6286-OBJECT_TYPE); } 
BgL_oclassz00_6279 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6285); } 
{ /* Llib/mpd.scm 1389 */
 bool_t BgL__ortest_1110z00_6280;
BgL__ortest_1110z00_6280 = 
(BgL_classz00_6258==BgL_oclassz00_6279); 
if(BgL__ortest_1110z00_6280)
{ /* Llib/mpd.scm 1389 */
BgL_res3152z00_6294 = BgL__ortest_1110z00_6280; }  else 
{ /* Llib/mpd.scm 1389 */
 long BgL_odepthz00_6281;
BgL_odepthz00_6281 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6279); 
if(
(BgL_arg1797z00_6261<BgL_odepthz00_6281))
{ /* Llib/mpd.scm 1389 */
 obj_t BgL_arg1790z00_6283;
BgL_arg1790z00_6283 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6279, BgL_arg1797z00_6261); 
BgL_res3152z00_6294 = 
(BgL_arg1790z00_6283==BgL_classz00_6258); }  else 
{ /* Llib/mpd.scm 1389 */
BgL_res3152z00_6294 = ((bool_t)0); } } } } 
BgL_test3814z00_10866 = BgL_res3152z00_6294; } }  else 
{ /* Llib/mpd.scm 1389 */
BgL_test3814z00_10866 = ((bool_t)0)
; } } 
if(BgL_test3814z00_10866)
{ /* Llib/mpd.scm 1389 */
BgL_auxz00_10865 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4951)
; }  else 
{ 
 obj_t BgL_auxz00_10888;
BgL_auxz00_10888 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)54520)), BGl_string3127z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4951); 
FAILURE(BgL_auxz00_10888,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(BgL_auxz00_10865, BgL_auxz00_10892, BgL_genrez00_4953);} } 

}



/* mpd-database-getgenre */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getgenrez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_400)
{
{ /* Llib/mpd.scm 1407 */
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_method1400z00_2344;
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_res2843z00_4197;
{ /* Llib/mpd.scm 1407 */
 long BgL_objzd2classzd2numz00_4168;
BgL_objzd2classzd2numz00_4168 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_400)); 
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_arg1798z00_4169;
BgL_arg1798z00_4169 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getgenrezd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1407 */
 int BgL_offsetz00_4172;
BgL_offsetz00_4172 = 
(int)(BgL_objzd2classzd2numz00_4168); 
{ /* Llib/mpd.scm 1407 */
 long BgL_offsetz00_4173;
BgL_offsetz00_4173 = 
(
(long)(BgL_offsetz00_4172)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1407 */
 long BgL_modz00_4174;
BgL_modz00_4174 = 
(BgL_offsetz00_4173 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1407 */
 long BgL_restz00_4176;
BgL_restz00_4176 = 
(BgL_offsetz00_4173 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1407 */

{ /* Llib/mpd.scm 1407 */
 obj_t BgL_bucketz00_4178;
BgL_bucketz00_4178 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_4169),BgL_modz00_4174); 
BgL_res2843z00_4197 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4178),BgL_restz00_4176); } } } } } } } } 
BgL_method1400z00_2344 = BgL_res2843z00_4197; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1400z00_2344))(BgL_method1400z00_2344, 
((obj_t)BgL_oz00_400), BEOA);} } 

}



/* &mpd-database-getgenre */
obj_t BGl_z62mpdzd2databasezd2getgenrez62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4954, obj_t BgL_oz00_4955)
{
{ /* Llib/mpd.scm 1407 */
{ /* Llib/mpd.scm 1407 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_10930;
{ /* Llib/mpd.scm 1407 */
 bool_t BgL_test3820z00_10931;
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_classz00_6295;
BgL_classz00_6295 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4955))
{ /* Llib/mpd.scm 1407 */
 BgL_objectz00_bglt BgL_arg1796z00_6297; long BgL_arg1797z00_6298;
BgL_arg1796z00_6297 = 
(BgL_objectz00_bglt)(BgL_oz00_4955); 
BgL_arg1797z00_6298 = 
BGL_CLASS_DEPTH(BgL_classz00_6295); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1407 */
 long BgL_idxz00_6306;
BgL_idxz00_6306 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6297); 
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_arg1788z00_6307;
{ /* Llib/mpd.scm 1407 */
 long BgL_arg1789z00_6308;
BgL_arg1789z00_6308 = 
(BgL_idxz00_6306+BgL_arg1797z00_6298); 
BgL_arg1788z00_6307 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6308); } 
BgL_test3820z00_10931 = 
(BgL_arg1788z00_6307==BgL_classz00_6295); } }  else 
{ /* Llib/mpd.scm 1407 */
 bool_t BgL_res3153z00_6331;
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_oclassz00_6316;
{ /* Llib/mpd.scm 1407 */
 long BgL_arg1801z00_6322;
{ /* Llib/mpd.scm 1407 */
 long BgL_arg1802z00_6323;
BgL_arg1802z00_6323 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6297); 
BgL_arg1801z00_6322 = 
(BgL_arg1802z00_6323-OBJECT_TYPE); } 
BgL_oclassz00_6316 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6322); } 
{ /* Llib/mpd.scm 1407 */
 bool_t BgL__ortest_1110z00_6317;
BgL__ortest_1110z00_6317 = 
(BgL_classz00_6295==BgL_oclassz00_6316); 
if(BgL__ortest_1110z00_6317)
{ /* Llib/mpd.scm 1407 */
BgL_res3153z00_6331 = BgL__ortest_1110z00_6317; }  else 
{ /* Llib/mpd.scm 1407 */
 long BgL_odepthz00_6318;
BgL_odepthz00_6318 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6316); 
if(
(BgL_arg1797z00_6298<BgL_odepthz00_6318))
{ /* Llib/mpd.scm 1407 */
 obj_t BgL_arg1790z00_6320;
BgL_arg1790z00_6320 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6316, BgL_arg1797z00_6298); 
BgL_res3153z00_6331 = 
(BgL_arg1790z00_6320==BgL_classz00_6295); }  else 
{ /* Llib/mpd.scm 1407 */
BgL_res3153z00_6331 = ((bool_t)0); } } } } 
BgL_test3820z00_10931 = BgL_res3153z00_6331; } }  else 
{ /* Llib/mpd.scm 1407 */
BgL_test3820z00_10931 = ((bool_t)0)
; } } 
if(BgL_test3820z00_10931)
{ /* Llib/mpd.scm 1407 */
BgL_auxz00_10930 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4955)
; }  else 
{ 
 obj_t BgL_auxz00_10953;
BgL_auxz00_10953 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)55101)), BGl_string3128z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4955); 
FAILURE(BgL_auxz00_10953,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2getgenrez00zz__multimediazd2mpdzd2(BgL_auxz00_10930);} } 

}



/* mpd-database-getartist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_401)
{
{ /* Llib/mpd.scm 1414 */
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_method1402z00_2345;
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_res2848z00_4228;
{ /* Llib/mpd.scm 1414 */
 long BgL_objzd2classzd2numz00_4199;
BgL_objzd2classzd2numz00_4199 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_401)); 
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_arg1798z00_4200;
BgL_arg1798z00_4200 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getartistzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1414 */
 int BgL_offsetz00_4203;
BgL_offsetz00_4203 = 
(int)(BgL_objzd2classzd2numz00_4199); 
{ /* Llib/mpd.scm 1414 */
 long BgL_offsetz00_4204;
BgL_offsetz00_4204 = 
(
(long)(BgL_offsetz00_4203)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1414 */
 long BgL_modz00_4205;
BgL_modz00_4205 = 
(BgL_offsetz00_4204 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1414 */
 long BgL_restz00_4207;
BgL_restz00_4207 = 
(BgL_offsetz00_4204 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1414 */

{ /* Llib/mpd.scm 1414 */
 obj_t BgL_bucketz00_4209;
BgL_bucketz00_4209 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_4200),BgL_modz00_4205); 
BgL_res2848z00_4228 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4209),BgL_restz00_4207); } } } } } } } } 
BgL_method1402z00_2345 = BgL_res2848z00_4228; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1402z00_2345))(BgL_method1402z00_2345, 
((obj_t)BgL_oz00_401), BEOA);} } 

}



/* &mpd-database-getartist */
obj_t BGl_z62mpdzd2databasezd2getartistz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4956, obj_t BgL_oz00_4957)
{
{ /* Llib/mpd.scm 1414 */
{ /* Llib/mpd.scm 1414 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_10988;
{ /* Llib/mpd.scm 1414 */
 bool_t BgL_test3825z00_10989;
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_classz00_6332;
BgL_classz00_6332 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4957))
{ /* Llib/mpd.scm 1414 */
 BgL_objectz00_bglt BgL_arg1796z00_6334; long BgL_arg1797z00_6335;
BgL_arg1796z00_6334 = 
(BgL_objectz00_bglt)(BgL_oz00_4957); 
BgL_arg1797z00_6335 = 
BGL_CLASS_DEPTH(BgL_classz00_6332); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1414 */
 long BgL_idxz00_6343;
BgL_idxz00_6343 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6334); 
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_arg1788z00_6344;
{ /* Llib/mpd.scm 1414 */
 long BgL_arg1789z00_6345;
BgL_arg1789z00_6345 = 
(BgL_idxz00_6343+BgL_arg1797z00_6335); 
BgL_arg1788z00_6344 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6345); } 
BgL_test3825z00_10989 = 
(BgL_arg1788z00_6344==BgL_classz00_6332); } }  else 
{ /* Llib/mpd.scm 1414 */
 bool_t BgL_res3154z00_6368;
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_oclassz00_6353;
{ /* Llib/mpd.scm 1414 */
 long BgL_arg1801z00_6359;
{ /* Llib/mpd.scm 1414 */
 long BgL_arg1802z00_6360;
BgL_arg1802z00_6360 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6334); 
BgL_arg1801z00_6359 = 
(BgL_arg1802z00_6360-OBJECT_TYPE); } 
BgL_oclassz00_6353 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6359); } 
{ /* Llib/mpd.scm 1414 */
 bool_t BgL__ortest_1110z00_6354;
BgL__ortest_1110z00_6354 = 
(BgL_classz00_6332==BgL_oclassz00_6353); 
if(BgL__ortest_1110z00_6354)
{ /* Llib/mpd.scm 1414 */
BgL_res3154z00_6368 = BgL__ortest_1110z00_6354; }  else 
{ /* Llib/mpd.scm 1414 */
 long BgL_odepthz00_6355;
BgL_odepthz00_6355 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6353); 
if(
(BgL_arg1797z00_6335<BgL_odepthz00_6355))
{ /* Llib/mpd.scm 1414 */
 obj_t BgL_arg1790z00_6357;
BgL_arg1790z00_6357 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6353, BgL_arg1797z00_6335); 
BgL_res3154z00_6368 = 
(BgL_arg1790z00_6357==BgL_classz00_6332); }  else 
{ /* Llib/mpd.scm 1414 */
BgL_res3154z00_6368 = ((bool_t)0); } } } } 
BgL_test3825z00_10989 = BgL_res3154z00_6368; } }  else 
{ /* Llib/mpd.scm 1414 */
BgL_test3825z00_10989 = ((bool_t)0)
; } } 
if(BgL_test3825z00_10989)
{ /* Llib/mpd.scm 1414 */
BgL_auxz00_10988 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4957)
; }  else 
{ 
 obj_t BgL_auxz00_11011;
BgL_auxz00_11011 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)55438)), BGl_string3129z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4957); 
FAILURE(BgL_auxz00_11011,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2getartistz00zz__multimediazd2mpdzd2(BgL_auxz00_10988);} } 

}



/* mpd-database-getgenreartist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getgenreartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_402, obj_t BgL_genrez00_403)
{
{ /* Llib/mpd.scm 1421 */
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_method1404z00_2346;
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_res2853z00_4259;
{ /* Llib/mpd.scm 1421 */
 long BgL_objzd2classzd2numz00_4230;
BgL_objzd2classzd2numz00_4230 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_402)); 
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_arg1798z00_4231;
BgL_arg1798z00_4231 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getgenreartistzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1421 */
 int BgL_offsetz00_4234;
BgL_offsetz00_4234 = 
(int)(BgL_objzd2classzd2numz00_4230); 
{ /* Llib/mpd.scm 1421 */
 long BgL_offsetz00_4235;
BgL_offsetz00_4235 = 
(
(long)(BgL_offsetz00_4234)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1421 */
 long BgL_modz00_4236;
BgL_modz00_4236 = 
(BgL_offsetz00_4235 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1421 */
 long BgL_restz00_4238;
BgL_restz00_4238 = 
(BgL_offsetz00_4235 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1421 */

{ /* Llib/mpd.scm 1421 */
 obj_t BgL_bucketz00_4240;
BgL_bucketz00_4240 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_4231),BgL_modz00_4236); 
BgL_res2853z00_4259 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4240),BgL_restz00_4238); } } } } } } } } 
BgL_method1404z00_2346 = BgL_res2853z00_4259; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1404z00_2346))(BgL_method1404z00_2346, 
((obj_t)BgL_oz00_402), BgL_genrez00_403, BEOA);} } 

}



/* &mpd-database-getgenreartist */
obj_t BGl_z62mpdzd2databasezd2getgenreartistz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4958, obj_t BgL_oz00_4959, obj_t BgL_genrez00_4960)
{
{ /* Llib/mpd.scm 1421 */
{ /* Llib/mpd.scm 1421 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_11047;
{ /* Llib/mpd.scm 1421 */
 bool_t BgL_test3830z00_11048;
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_classz00_6369;
BgL_classz00_6369 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4959))
{ /* Llib/mpd.scm 1421 */
 BgL_objectz00_bglt BgL_arg1796z00_6371; long BgL_arg1797z00_6372;
BgL_arg1796z00_6371 = 
(BgL_objectz00_bglt)(BgL_oz00_4959); 
BgL_arg1797z00_6372 = 
BGL_CLASS_DEPTH(BgL_classz00_6369); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1421 */
 long BgL_idxz00_6380;
BgL_idxz00_6380 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6371); 
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_arg1788z00_6381;
{ /* Llib/mpd.scm 1421 */
 long BgL_arg1789z00_6382;
BgL_arg1789z00_6382 = 
(BgL_idxz00_6380+BgL_arg1797z00_6372); 
BgL_arg1788z00_6381 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6382); } 
BgL_test3830z00_11048 = 
(BgL_arg1788z00_6381==BgL_classz00_6369); } }  else 
{ /* Llib/mpd.scm 1421 */
 bool_t BgL_res3155z00_6405;
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_oclassz00_6390;
{ /* Llib/mpd.scm 1421 */
 long BgL_arg1801z00_6396;
{ /* Llib/mpd.scm 1421 */
 long BgL_arg1802z00_6397;
BgL_arg1802z00_6397 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6371); 
BgL_arg1801z00_6396 = 
(BgL_arg1802z00_6397-OBJECT_TYPE); } 
BgL_oclassz00_6390 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6396); } 
{ /* Llib/mpd.scm 1421 */
 bool_t BgL__ortest_1110z00_6391;
BgL__ortest_1110z00_6391 = 
(BgL_classz00_6369==BgL_oclassz00_6390); 
if(BgL__ortest_1110z00_6391)
{ /* Llib/mpd.scm 1421 */
BgL_res3155z00_6405 = BgL__ortest_1110z00_6391; }  else 
{ /* Llib/mpd.scm 1421 */
 long BgL_odepthz00_6392;
BgL_odepthz00_6392 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6390); 
if(
(BgL_arg1797z00_6372<BgL_odepthz00_6392))
{ /* Llib/mpd.scm 1421 */
 obj_t BgL_arg1790z00_6394;
BgL_arg1790z00_6394 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6390, BgL_arg1797z00_6372); 
BgL_res3155z00_6405 = 
(BgL_arg1790z00_6394==BgL_classz00_6369); }  else 
{ /* Llib/mpd.scm 1421 */
BgL_res3155z00_6405 = ((bool_t)0); } } } } 
BgL_test3830z00_11048 = BgL_res3155z00_6405; } }  else 
{ /* Llib/mpd.scm 1421 */
BgL_test3830z00_11048 = ((bool_t)0)
; } } 
if(BgL_test3830z00_11048)
{ /* Llib/mpd.scm 1421 */
BgL_auxz00_11047 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4959)
; }  else 
{ 
 obj_t BgL_auxz00_11070;
BgL_auxz00_11070 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)55778)), BGl_string3130z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4959); 
FAILURE(BgL_auxz00_11070,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2getgenreartistz00zz__multimediazd2mpdzd2(BgL_auxz00_11047, BgL_genrez00_4960);} } 

}



/* mpd-database-getartistalbum */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getartistalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_404, obj_t BgL_artistz00_405)
{
{ /* Llib/mpd.scm 1431 */
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_method1407z00_2347;
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_res2858z00_4290;
{ /* Llib/mpd.scm 1431 */
 long BgL_objzd2classzd2numz00_4261;
BgL_objzd2classzd2numz00_4261 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_404)); 
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_arg1798z00_4262;
BgL_arg1798z00_4262 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getartistalbumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1431 */
 int BgL_offsetz00_4265;
BgL_offsetz00_4265 = 
(int)(BgL_objzd2classzd2numz00_4261); 
{ /* Llib/mpd.scm 1431 */
 long BgL_offsetz00_4266;
BgL_offsetz00_4266 = 
(
(long)(BgL_offsetz00_4265)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1431 */
 long BgL_modz00_4267;
BgL_modz00_4267 = 
(BgL_offsetz00_4266 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1431 */
 long BgL_restz00_4269;
BgL_restz00_4269 = 
(BgL_offsetz00_4266 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1431 */

{ /* Llib/mpd.scm 1431 */
 obj_t BgL_bucketz00_4271;
BgL_bucketz00_4271 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_4262),BgL_modz00_4267); 
BgL_res2858z00_4290 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4271),BgL_restz00_4269); } } } } } } } } 
BgL_method1407z00_2347 = BgL_res2858z00_4290; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1407z00_2347))(BgL_method1407z00_2347, 
((obj_t)BgL_oz00_404), BgL_artistz00_405, BEOA);} } 

}



/* &mpd-database-getartistalbum */
obj_t BGl_z62mpdzd2databasezd2getartistalbumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4961, obj_t BgL_oz00_4962, obj_t BgL_artistz00_4963)
{
{ /* Llib/mpd.scm 1431 */
{ /* Llib/mpd.scm 1431 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_11106;
{ /* Llib/mpd.scm 1431 */
 bool_t BgL_test3835z00_11107;
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_classz00_6406;
BgL_classz00_6406 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4962))
{ /* Llib/mpd.scm 1431 */
 BgL_objectz00_bglt BgL_arg1796z00_6408; long BgL_arg1797z00_6409;
BgL_arg1796z00_6408 = 
(BgL_objectz00_bglt)(BgL_oz00_4962); 
BgL_arg1797z00_6409 = 
BGL_CLASS_DEPTH(BgL_classz00_6406); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1431 */
 long BgL_idxz00_6417;
BgL_idxz00_6417 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6408); 
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_arg1788z00_6418;
{ /* Llib/mpd.scm 1431 */
 long BgL_arg1789z00_6419;
BgL_arg1789z00_6419 = 
(BgL_idxz00_6417+BgL_arg1797z00_6409); 
BgL_arg1788z00_6418 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6419); } 
BgL_test3835z00_11107 = 
(BgL_arg1788z00_6418==BgL_classz00_6406); } }  else 
{ /* Llib/mpd.scm 1431 */
 bool_t BgL_res3156z00_6442;
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_oclassz00_6427;
{ /* Llib/mpd.scm 1431 */
 long BgL_arg1801z00_6433;
{ /* Llib/mpd.scm 1431 */
 long BgL_arg1802z00_6434;
BgL_arg1802z00_6434 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6408); 
BgL_arg1801z00_6433 = 
(BgL_arg1802z00_6434-OBJECT_TYPE); } 
BgL_oclassz00_6427 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6433); } 
{ /* Llib/mpd.scm 1431 */
 bool_t BgL__ortest_1110z00_6428;
BgL__ortest_1110z00_6428 = 
(BgL_classz00_6406==BgL_oclassz00_6427); 
if(BgL__ortest_1110z00_6428)
{ /* Llib/mpd.scm 1431 */
BgL_res3156z00_6442 = BgL__ortest_1110z00_6428; }  else 
{ /* Llib/mpd.scm 1431 */
 long BgL_odepthz00_6429;
BgL_odepthz00_6429 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6427); 
if(
(BgL_arg1797z00_6409<BgL_odepthz00_6429))
{ /* Llib/mpd.scm 1431 */
 obj_t BgL_arg1790z00_6431;
BgL_arg1790z00_6431 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6427, BgL_arg1797z00_6409); 
BgL_res3156z00_6442 = 
(BgL_arg1790z00_6431==BgL_classz00_6406); }  else 
{ /* Llib/mpd.scm 1431 */
BgL_res3156z00_6442 = ((bool_t)0); } } } } 
BgL_test3835z00_11107 = BgL_res3156z00_6442; } }  else 
{ /* Llib/mpd.scm 1431 */
BgL_test3835z00_11107 = ((bool_t)0)
; } } 
if(BgL_test3835z00_11107)
{ /* Llib/mpd.scm 1431 */
BgL_auxz00_11106 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4962)
; }  else 
{ 
 obj_t BgL_auxz00_11129;
BgL_auxz00_11129 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)56226)), BGl_string3131z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4962); 
FAILURE(BgL_auxz00_11129,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2getartistalbumz00zz__multimediazd2mpdzd2(BgL_auxz00_11106, BgL_artistz00_4963);} } 

}



/* mpd-database-get-album */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getzd2albumzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_417, obj_t BgL_albumz00_418)
{
{ /* Llib/mpd.scm 1517 */
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_method1413z00_2348;
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_res2863z00_4321;
{ /* Llib/mpd.scm 1517 */
 long BgL_objzd2classzd2numz00_4292;
BgL_objzd2classzd2numz00_4292 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_417)); 
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_arg1798z00_4293;
BgL_arg1798z00_4293 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getzd2albumzd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1517 */
 int BgL_offsetz00_4296;
BgL_offsetz00_4296 = 
(int)(BgL_objzd2classzd2numz00_4292); 
{ /* Llib/mpd.scm 1517 */
 long BgL_offsetz00_4297;
BgL_offsetz00_4297 = 
(
(long)(BgL_offsetz00_4296)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1517 */
 long BgL_modz00_4298;
BgL_modz00_4298 = 
(BgL_offsetz00_4297 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mpd.scm 1517 */
 long BgL_restz00_4300;
BgL_restz00_4300 = 
(BgL_offsetz00_4297 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mpd.scm 1517 */

{ /* Llib/mpd.scm 1517 */
 obj_t BgL_bucketz00_4302;
BgL_bucketz00_4302 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_4293),BgL_modz00_4298); 
BgL_res2863z00_4321 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4302),BgL_restz00_4300); } } } } } } } } 
BgL_method1413z00_2348 = BgL_res2863z00_4321; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1413z00_2348))(BgL_method1413z00_2348, 
((obj_t)BgL_oz00_417), BgL_albumz00_418, BEOA);} } 

}



/* &mpd-database-get-album */
obj_t BGl_z62mpdzd2databasezd2getzd2albumzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4964, obj_t BgL_oz00_4965, obj_t BgL_albumz00_4966)
{
{ /* Llib/mpd.scm 1517 */
{ /* Llib/mpd.scm 1517 */
 BgL_mpdzd2databasezd2_bglt BgL_auxz00_11165;
{ /* Llib/mpd.scm 1517 */
 bool_t BgL_test3840z00_11166;
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_classz00_6443;
BgL_classz00_6443 = BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2; 
if(
BGL_OBJECTP(BgL_oz00_4965))
{ /* Llib/mpd.scm 1517 */
 BgL_objectz00_bglt BgL_arg1796z00_6445; long BgL_arg1797z00_6446;
BgL_arg1796z00_6445 = 
(BgL_objectz00_bglt)(BgL_oz00_4965); 
BgL_arg1797z00_6446 = 
BGL_CLASS_DEPTH(BgL_classz00_6443); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpd.scm 1517 */
 long BgL_idxz00_6454;
BgL_idxz00_6454 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6445); 
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_arg1788z00_6455;
{ /* Llib/mpd.scm 1517 */
 long BgL_arg1789z00_6456;
BgL_arg1789z00_6456 = 
(BgL_idxz00_6454+BgL_arg1797z00_6446); 
BgL_arg1788z00_6455 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6456); } 
BgL_test3840z00_11166 = 
(BgL_arg1788z00_6455==BgL_classz00_6443); } }  else 
{ /* Llib/mpd.scm 1517 */
 bool_t BgL_res3157z00_6479;
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_oclassz00_6464;
{ /* Llib/mpd.scm 1517 */
 long BgL_arg1801z00_6470;
{ /* Llib/mpd.scm 1517 */
 long BgL_arg1802z00_6471;
BgL_arg1802z00_6471 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6445); 
BgL_arg1801z00_6470 = 
(BgL_arg1802z00_6471-OBJECT_TYPE); } 
BgL_oclassz00_6464 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6470); } 
{ /* Llib/mpd.scm 1517 */
 bool_t BgL__ortest_1110z00_6465;
BgL__ortest_1110z00_6465 = 
(BgL_classz00_6443==BgL_oclassz00_6464); 
if(BgL__ortest_1110z00_6465)
{ /* Llib/mpd.scm 1517 */
BgL_res3157z00_6479 = BgL__ortest_1110z00_6465; }  else 
{ /* Llib/mpd.scm 1517 */
 long BgL_odepthz00_6466;
BgL_odepthz00_6466 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6464); 
if(
(BgL_arg1797z00_6446<BgL_odepthz00_6466))
{ /* Llib/mpd.scm 1517 */
 obj_t BgL_arg1790z00_6468;
BgL_arg1790z00_6468 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6464, BgL_arg1797z00_6446); 
BgL_res3157z00_6479 = 
(BgL_arg1790z00_6468==BgL_classz00_6443); }  else 
{ /* Llib/mpd.scm 1517 */
BgL_res3157z00_6479 = ((bool_t)0); } } } } 
BgL_test3840z00_11166 = BgL_res3157z00_6479; } }  else 
{ /* Llib/mpd.scm 1517 */
BgL_test3840z00_11166 = ((bool_t)0)
; } } 
if(BgL_test3840z00_11166)
{ /* Llib/mpd.scm 1517 */
BgL_auxz00_11165 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4965)
; }  else 
{ 
 obj_t BgL_auxz00_11188;
BgL_auxz00_11188 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2953z00zz__multimediazd2mpdzd2, 
BINT(((long)59323)), BGl_string3132z00zz__multimediazd2mpdzd2, BGl_string2959z00zz__multimediazd2mpdzd2, BgL_oz00_4965); 
FAILURE(BgL_auxz00_11188,BFALSE,BFALSE);} } 
return 
BGl_mpdzd2databasezd2getzd2albumzd2zz__multimediazd2mpdzd2(BgL_auxz00_11165, BgL_albumz00_4966);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2mpdzd2(void)
{
{ /* Llib/mpd.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2mpdzd2(void)
{
{ /* Llib/mpd.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)95358739), 
BSTRING_TO_STRING(BGl_string3133z00zz__multimediazd2mpdzd2)); 
return 
BGl_modulezd2initializa7ationz75zz__multimediazd2id3zd2(((long)299260312), 
BSTRING_TO_STRING(BGl_string3133z00zz__multimediazd2mpdzd2));} 

}

#ifdef __cplusplus
}
#endif
