/*===========================================================================*/
/*   (Llib/pgp_composition.scm)                                              */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Llib/pgp_composition.scm -o objs/pgp_composition.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_pgpzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2packetzd2_bglt;

typedef struct BgL_pgpzd2sigzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
} *BgL_pgpzd2sigzd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
} *BgL_pgpzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   bool_t BgL_containszd2nestedzd2sigzf3zf3;
} *BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2compressedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_packetsz00;
} *BgL_pgpzd2compressedzd2packetz00_bglt;

typedef struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt;

typedef struct BgL_pgpzd2literalzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   bool_t BgL_forzd2yourzd2eyeszd2onlyzf3z21;
   obj_t BgL_filezd2namezd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_dataz00;
} *BgL_pgpzd2literalzd2packetz00_bglt;

typedef struct BgL_pgpzd2idzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2idzd2packetz00_bglt;

typedef struct BgL_signedzd2idzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_pgpzd2idzd2packetz00_bgl * BgL_idz00;
   obj_t BgL_sigsz00;
} *BgL_signedzd2idzd2_bglt;

typedef struct BgL_pgpzd2subkeyzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_pgpzd2keyzd2packetz00_bgl * BgL_keyzd2packetzd2;
   obj_t BgL_sigsz00;
   obj_t BgL_revocationzd2sigszd2;
   struct BgL_pgpzd2keyzd2_bgl * BgL_pgpzd2keyzd2;
} *BgL_pgpzd2subkeyzd2_bglt;

typedef struct BgL_pgpzd2compositionzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2compositionzd2_bglt;

typedef struct BgL_pgpzd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_subkeysz00;
   obj_t BgL_userzd2idszd2;
} *BgL_pgpzd2keyzd2_bglt;

typedef struct BgL_pgpzd2messagezd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2messagezd2_bglt;

typedef struct BgL_pgpzd2encryptedzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_sessionzd2keyszd2;
   struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl * BgL_encryptedzd2datazd2;
} *BgL_pgpzd2encryptedzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_msgz00;
   obj_t BgL_sigsz00;
} *BgL_pgpzd2signaturezd2_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_msgz00;
   obj_t BgL_sigsz00;
   obj_t BgL_onezd2passzd2sigsz00;
} *BgL_pgpzd2onezd2passzd2signaturezd2_bglt;

typedef struct BgL_pgpzd2literalzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_pgpzd2literalzd2packetz00_bgl * BgL_literalz00;
} *BgL_pgpzd2literalzd2_bglt;


BGL_EXPORTED_DEF obj_t BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_encodezd2nativezd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt, obj_t);
static obj_t BGl_armoredzd2pipezd2portz00zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT bool_t BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_base64zd2encodezd2zz__base64z00(obj_t, obj_t);
static obj_t BGl_z62encodezd2pgp1320zb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31961ze3ze5zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza32102ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_z62encodezd2pgpzd2PGPzd2Encry1329zb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62parsezd2packetszb0zz__openpgpzd2compositionzd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2_bglt BGl_parsezd2signaturezd2zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2compositionzd2(void);
static BgL_signedzd2idzd2_bglt BGl_z62lambda1974z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_signedzd2idzd2_bglt BGl_z62lambda1976z62zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62encodezd2pgpzd2PGPzd2Key1323zb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda1982z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1983z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse(obj_t);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2compositionzd2(void);
static obj_t BGl_z62lambda1987z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1988z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_base64zd2decodezd2pipezd2portzd2zz__openpgpzd2portzd2utilz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__openpgpzd2compositionzd2(void);
static BgL_pgpzd2subkeyzd2_bglt BGl_z62lambda1994z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
static BgL_pgpzd2subkeyzd2_bglt BGl_z62lambda1996z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32025ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl__decodezd2pgpzd2zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31959ze3ze5zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32035ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2;
BGL_EXPORTED_DECL obj_t BGl_decodezd2pgpzd2zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_appendzd221009zd2zz__openpgpzd2compositionzd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_unreadzd2stringz12zc0zz__r4_input_6_10_2z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32052ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32117ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__openpgpzd2compositionzd2(void);
BGL_IMPORT obj_t BGl_readzd2charzd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_decodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(obj_t, obj_t);
static bool_t BGl_subkeyzd2sigzf3ze70zc6zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32062ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_encodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_crczd2stringzd2zz__crcz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2 = BUNSPEC;
static obj_t BGl_z62encodezd2nativezd2pgpz62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda2002z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2003z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2007z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2008z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_createzd2chksum64zd2zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2012z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2013z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2keyzd2_bglt BGl_z62lambda2017z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2018z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
static BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_z62lambda2100z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_safezd2readzd2lineze70ze7zz__openpgpzd2compositionzd2(obj_t);
static BgL_pgpzd2compositionzd2_bglt BGl_z62lambda2023z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32082ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2106z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2107z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
static BgL_pgpzd2keyzd2_bglt BGl_z62lambda2031z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2literalzd2_bglt BGl_z62lambda2113z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static BgL_pgpzd2keyzd2_bglt BGl_z62lambda2033z62zz__openpgpzd2compositionzd2(obj_t);
static BgL_pgpzd2literalzd2_bglt BGl_z62lambda2115z62zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2039z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2040z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2121z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2122z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2044z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2045z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2compositionzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2portzd2utilz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2decodezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__crcz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_parsezd2keyszd2zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_parsezd2onezd2passzd2signaturezd2zz__openpgpzd2compositionzd2(obj_t);
static BgL_pgpzd2messagezd2_bglt BGl_z62lambda2050z62zz__openpgpzd2compositionzd2(obj_t);
static BgL_pgpzd2encryptedzd2_bglt BGl_z62lambda2058z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2 = BUNSPEC;
static obj_t BGl_z62encodezd2pgpzd2PGPzd2Signa1327zb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2encryptedzd2_bglt BGl_z62lambda2060z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62lambda2066z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2067z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static bool_t BGl_revocationzd2signaturezf3ze70zc6zz__openpgpzd2compositionzd2(obj_t);
extern obj_t BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2;
static BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2071z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_z62lambda2072z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt, obj_t);
static BgL_pgpzd2signaturezd2_bglt BGl_z62lambda2078z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2compositionzd2(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2compositionzd2(void);
BGL_IMPORT obj_t BGl_stringzd2indexzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_IMPORT long bgl_list_length(obj_t);
extern obj_t BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2compositionzd2(void);
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2compositionzd2(void);
extern obj_t BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2_bglt BGl_z62lambda2080z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62lambda2086z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2087z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62lambda2091z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2092z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_z62lambda2098z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(obj_t, bool_t);
static obj_t BGl_parsezd2encryptedzd2messagez00zz__openpgpzd2compositionzd2(obj_t);
static BgL_pgpzd2literalzd2_bglt BGl_parsezd2literalzd2zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_parsezd2keyzd2zz__openpgpzd2compositionzd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_readzd2stringzd2zz__r4_input_6_10_2z00(obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_readzd2charszd2zz__r4_input_6_10_2z00(obj_t, obj_t);
static obj_t BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT bool_t BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2pgpzb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2armoredzd2pgpz62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2pgpzd2PGPzd2Onezd2P1325z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t __cnst[ 36 ] ;


DEFINE_STATIC_BGL_GENERIC( BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72348za7, BGl_z62encodezd2pgpzb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2300z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2349za7, BGl_z62zc3z04anonymousza32025ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2301z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2023za7622350z00, BGl_z62lambda2023z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2302z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2040za7622351z00, BGl_z62lambda2040z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2303z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2039za7622352z00, BGl_z62lambda2039z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2304z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2045za7622353z00, BGl_z62lambda2045z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2305z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2044za7622354z00, BGl_z62lambda2044z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2306z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2355za7, BGl_z62zc3z04anonymousza32035ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2307z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2033za7622356z00, BGl_z62lambda2033z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2308z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2031za7622357z00, BGl_z62lambda2031z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2309z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2358za7, BGl_z62zc3z04anonymousza32052ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2239z00zz__openpgpzd2compositionzd2, BgL_bgl_string2239za700za7za7_2359za7, "parse-packets", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2310z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2050za7622360z00, BGl_z62lambda2050z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2311z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2067za7622361z00, BGl_z62lambda2067z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2312z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2066za7622362z00, BGl_z62lambda2066z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2313z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2072za7622363z00, BGl_z62lambda2072z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2314z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2071za7622364z00, BGl_z62lambda2071z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2315z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2365za7, BGl_z62zc3z04anonymousza32062ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2240z00zz__openpgpzd2compositionzd2, BgL_bgl_string2240za700za7za7_2366za7, "no packet decoded", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2316z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2060za7622367z00, BGl_z62lambda2060z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2241z00zz__openpgpzd2compositionzd2, BgL_bgl_string2241za700za7za7_2368za7, "discarding packets", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2317z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2058za7622369z00, BGl_z62lambda2058z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2242z00zz__openpgpzd2compositionzd2, BgL_bgl_string2242za700za7za7_2370za7, "could not parse pgp-message", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2318z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2087za7622371z00, BGl_z62lambda2087z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2243z00zz__openpgpzd2compositionzd2, BgL_bgl_string2243za700za7za7_2372za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/openpgp/src/Llib/pgp_composition.scm", 76 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2319z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2086za7622373z00, BGl_z62lambda2086z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2244z00zz__openpgpzd2compositionzd2, BgL_bgl_string2244za700za7za7_2374za7, "&parse-packets", 14 );
DEFINE_STRING( BGl_string2245z00zz__openpgpzd2compositionzd2, BgL_bgl_string2245za700za7za7_2375za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string2246z00zz__openpgpzd2compositionzd2, BgL_bgl_string2246za700za7za7_2376za7, "parse-subkey", 12 );
DEFINE_STRING( BGl_string2247z00zz__openpgpzd2compositionzd2, BgL_bgl_string2247za700za7za7_2377za7, "Subkey not followed by subkey-binding Signature", 47 );
DEFINE_STRING( BGl_string2248z00zz__openpgpzd2compositionzd2, BgL_bgl_string2248za700za7za7_2378za7, "parse-key", 9 );
DEFINE_STRING( BGl_string2249z00zz__openpgpzd2compositionzd2, BgL_bgl_string2249za700za7za7_2379za7, "At least one user ID is required", 32 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2320z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2092za7622380z00, BGl_z62lambda2092z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2321z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2091za7622381z00, BGl_z62lambda2091z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2322z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2382za7, BGl_z62zc3z04anonymousza32082ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2323z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2080za7622383z00, BGl_z62lambda2080z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2078za7622384z00, BGl_z62lambda2078z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2325z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2107za7622385z00, BGl_z62lambda2107z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2250z00zz__openpgpzd2compositionzd2, BgL_bgl_string2250za700za7za7_2386za7, "parse-encrypted-message", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2326z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2106za7622387z00, BGl_z62lambda2106z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2251z00zz__openpgpzd2compositionzd2, BgL_bgl_string2251za700za7za7_2388za7, "missing encrypted data packet", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2327z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2389za7, BGl_z62zc3z04anonymousza32102ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2252z00zz__openpgpzd2compositionzd2, BgL_bgl_string2252za700za7za7_2390za7, "Packet after encrypted data discarded", 37 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2328z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2100za7622391z00, BGl_z62lambda2100z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2253z00zz__openpgpzd2compositionzd2, BgL_bgl_string2253za700za7za7_2392za7, "unexpected packet encountered and discarded", 43 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2329z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2098za7622393z00, BGl_z62lambda2098z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2254z00zz__openpgpzd2compositionzd2, BgL_bgl_string2254za700za7za7_2394za7, "discarding packets after signature message", 42 );
DEFINE_STRING( BGl_string2336z00zz__openpgpzd2compositionzd2, BgL_bgl_string2336za700za7za7_2395za7, "encode-pgp1320", 14 );
DEFINE_STRING( BGl_string2255z00zz__openpgpzd2compositionzd2, BgL_bgl_string2255za700za7za7_2396za7, "parse-signature", 15 );
DEFINE_STRING( BGl_string2337z00zz__openpgpzd2compositionzd2, BgL_bgl_string2337za700za7za7_2397za7, "Not yet implemented", 19 );
DEFINE_STRING( BGl_string2256z00zz__openpgpzd2compositionzd2, BgL_bgl_string2256za700za7za7_2398za7, "bad one-pass signature", 22 );
DEFINE_STRING( BGl_string2338z00zz__openpgpzd2compositionzd2, BgL_bgl_string2338za700za7za7_2399za7, "&encode-pgp", 11 );
DEFINE_STRING( BGl_string2257z00zz__openpgpzd2compositionzd2, BgL_bgl_string2257za700za7za7_2400za7, "bad one-pass-signature", 22 );
DEFINE_STRING( BGl_string2258z00zz__openpgpzd2compositionzd2, BgL_bgl_string2258za700za7za7_2401za7, "parse-literal", 13 );
DEFINE_STRING( BGl_string2259z00zz__openpgpzd2compositionzd2, BgL_bgl_string2259za700za7za7_2402za7, "bad Literal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2330z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2122za7622403z00, BGl_z62lambda2122z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2121za7622404z00, BGl_z62lambda2121z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2332z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2405za7, BGl_z62zc3z04anonymousza32117ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2333z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2115za7622406z00, BGl_z62lambda2115z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2340z00zz__openpgpzd2compositionzd2, BgL_bgl_string2340za700za7za7_2407za7, "encode-pgp", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2334z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2113za7622408z00, BGl_z62lambda2113z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2335z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgp12409z00, BGl_z62encodezd2pgp1320zb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2260z00zz__openpgpzd2compositionzd2, BgL_bgl_string2260za700za7za7_2410za7, "bad character `~s'", 18 );
DEFINE_STRING( BGl_string2261z00zz__openpgpzd2compositionzd2, BgL_bgl_string2261za700za7za7_2411za7, "read-armored", 12 );
DEFINE_STRING( BGl_string2262z00zz__openpgpzd2compositionzd2, BgL_bgl_string2262za700za7za7_2412za7, "bad checksum", 12 );
DEFINE_STRING( BGl_string2344z00zz__openpgpzd2compositionzd2, BgL_bgl_string2344za700za7za7_2413za7, "__openpgp-composition", 21 );
DEFINE_STRING( BGl_string2263z00zz__openpgpzd2compositionzd2, BgL_bgl_string2263za700za7za7_2414za7, "premature eof", 13 );
DEFINE_STRING( BGl_string2345z00zz__openpgpzd2compositionzd2, BgL_bgl_string2345za700za7za7_2415za7, "encode-pgp PGP-Literal literal PGP-One-Pass-Signature one-pass-sigs PGP-Signature obj msg PGP-Encrypted encrypted-data session-keys PGP-Message PGP-Key user-ids pair subkeys PGP-Composition PGP-Subkey pgp-key revocation-sigs key-packet __openpgp-composition Signed-ID pair-nil sigs id :ignore-bad-packet (:ignore-bad-packet) decode-pgp radix-64-24 subkey-binding key-revocation positive-certif casual-certif persona-certif generic-certif ", 438 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2339z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72416za7, BGl_z62encodezd2pgpzd2PGPzd2Key1323zb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2264z00zz__openpgpzd2compositionzd2, BgL_bgl_string2264za700za7za7_2417za7, "-----BEGIN", 10 );
DEFINE_STRING( BGl_string2265z00zz__openpgpzd2compositionzd2, BgL_bgl_string2265za700za7za7_2418za7, "-----", 5 );
DEFINE_STRING( BGl_string2266z00zz__openpgpzd2compositionzd2, BgL_bgl_string2266za700za7za7_2419za7, "not an armored file", 19 );
DEFINE_STRING( BGl_string2267z00zz__openpgpzd2compositionzd2, BgL_bgl_string2267za700za7za7_2420za7, "unexpected end of file", 22 );
DEFINE_STRING( BGl_string2268z00zz__openpgpzd2compositionzd2, BgL_bgl_string2268za700za7za7_2421za7, "wrong number of arguments: [1..2] expected, provided", 52 );
DEFINE_STRING( BGl_string2269z00zz__openpgpzd2compositionzd2, BgL_bgl_string2269za700za7za7_2422za7, "Illegal keyword argument", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2341z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72423za7, BGl_z62encodezd2pgpzd2PGPzd2Onezd2P1325z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72424za7, BGl_z62encodezd2pgpzd2PGPzd2Signa1327zb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2343z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72425za7, BGl_z62encodezd2pgpzd2PGPzd2Encry1329zb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2270z00zz__openpgpzd2compositionzd2, BgL_bgl_string2270za700za7za7_2426za7, "_decode-pgp", 11 );
DEFINE_STRING( BGl_string2271z00zz__openpgpzd2compositionzd2, BgL_bgl_string2271za700za7za7_2427za7, "bint", 4 );
DEFINE_STRING( BGl_string2272z00zz__openpgpzd2compositionzd2, BgL_bgl_string2272za700za7za7_2428za7, "input-port", 10 );
DEFINE_STRING( BGl_string2273z00zz__openpgpzd2compositionzd2, BgL_bgl_string2273za700za7za7_2429za7, "&encode-native-pgp", 18 );
DEFINE_STRING( BGl_string2274z00zz__openpgpzd2compositionzd2, BgL_bgl_string2274za700za7za7_2430za7, "PGP-Composition", 15 );
DEFINE_STRING( BGl_string2275z00zz__openpgpzd2compositionzd2, BgL_bgl_string2275za700za7za7_2431za7, "output-port", 11 );
DEFINE_STRING( BGl_string2276z00zz__openpgpzd2compositionzd2, BgL_bgl_string2276za700za7za7_2432za7, "&encode-armored-pgp", 19 );
DEFINE_STRING( BGl_string2277z00zz__openpgpzd2compositionzd2, BgL_bgl_string2277za700za7za7_2433za7, "bstring", 7 );
DEFINE_STRING( BGl_string2278z00zz__openpgpzd2compositionzd2, BgL_bgl_string2278za700za7za7_2434za7, "-----BEGIN ", 11 );
DEFINE_STRING( BGl_string2279z00zz__openpgpzd2compositionzd2, BgL_bgl_string2279za700za7za7_2435za7, ": ", 2 );
DEFINE_STRING( BGl_string2280z00zz__openpgpzd2compositionzd2, BgL_bgl_string2280za700za7za7_2436za7, "=", 1 );
DEFINE_STRING( BGl_string2281z00zz__openpgpzd2compositionzd2, BgL_bgl_string2281za700za7za7_2437za7, "-----END ", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BgL_bgl__decodeza7d2pgpza7d22438z00, opt_generic_entry, BGl__decodezd2pgpzd2zz__openpgpzd2compositionzd2, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2282z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1983za7622439z00, BGl_z62lambda1983z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2283z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1982za7622440z00, BGl_z62lambda1982z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2284z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1988za7622441z00, BGl_z62lambda1988z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2285z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1987za7622442z00, BGl_z62lambda1987z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2286z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2443za7, BGl_z62zc3z04anonymousza31978ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2287z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1976za7622444z00, BGl_z62lambda1976z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2288z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1974za7622445z00, BGl_z62lambda1974z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2289z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2003za7622446z00, BGl_z62lambda2003z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2290z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2002za7622447z00, BGl_z62lambda2002z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2291z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2008za7622448z00, BGl_z62lambda2008z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2292z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2007za7622449z00, BGl_z62lambda2007z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2293z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2013za7622450z00, BGl_z62lambda2013z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2294z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2012za7622451z00, BGl_z62lambda2012z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2295z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2018za7622452z00, BGl_z62lambda2018z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2296z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2017za7622453z00, BGl_z62lambda2017z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2297z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2454za7, BGl_z62zc3z04anonymousza31998ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2298z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1996za7622455z00, BGl_z62lambda1996z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2299z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1994za7622456z00, BGl_z62lambda1994z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2armoredzd2pgpzd2envzd2zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2armo2457z00, BGl_z62encodezd2armoredzd2pgpz62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2nativezd2pgpzd2envzd2zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2nati2458z00, BGl_z62encodezd2nativezd2pgpz62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_parsezd2packetszd2envz00zz__openpgpzd2compositionzd2, BgL_bgl_za762parseza7d2packe2459z00, BGl_z62parsezd2packetszb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2compositionzd2(long BgL_checksumz00_2771, char * BgL_fromz00_2772)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2compositionzd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2compositionzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2compositionzd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2compositionzd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2compositionzd2(); 
BGl_importedzd2moduleszd2initz00zz__openpgpzd2compositionzd2(); 
BGl_objectzd2initzd2zz__openpgpzd2compositionzd2(); 
BGl_genericzd2initzd2zz__openpgpzd2compositionzd2(); 
BGl_methodzd2initzd2zz__openpgpzd2compositionzd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2compositionzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2compositionzd2(void)
{
{ /* Llib/pgp_composition.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__base64z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__crcz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__openpgp-composition"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2compositionzd2(void)
{
{ /* Llib/pgp_composition.scm 15 */
{ /* Llib/pgp_composition.scm 15 */
 obj_t BgL_cportz00_2540;
{ /* Llib/pgp_composition.scm 15 */
 obj_t BgL_stringz00_2547;
BgL_stringz00_2547 = BGl_string2345z00zz__openpgpzd2compositionzd2; 
{ /* Llib/pgp_composition.scm 15 */
 obj_t BgL_startz00_2548;
BgL_startz00_2548 = 
BINT(((long)0)); 
{ /* Llib/pgp_composition.scm 15 */
 obj_t BgL_endz00_2549;
BgL_endz00_2549 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2547))); 
{ /* Llib/pgp_composition.scm 15 */

BgL_cportz00_2540 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2547, BgL_startz00_2548, BgL_endz00_2549); } } } } 
{ 
 long BgL_iz00_2541;
BgL_iz00_2541 = ((long)35); 
BgL_loopz00_2542:
if(
(BgL_iz00_2541==((long)-1)))
{ /* Llib/pgp_composition.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pgp_composition.scm 15 */
{ /* Llib/pgp_composition.scm 15 */
 obj_t BgL_arg2346z00_2543;
{ /* Llib/pgp_composition.scm 15 */

{ /* Llib/pgp_composition.scm 15 */
 obj_t BgL_locationz00_2545;
BgL_locationz00_2545 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pgp_composition.scm 15 */

BgL_arg2346z00_2543 = 
BGl_readz00zz__readerz00(BgL_cportz00_2540, BgL_locationz00_2545); } } } 
{ /* Llib/pgp_composition.scm 15 */
 int BgL_tmpz00_2810;
BgL_tmpz00_2810 = 
(int)(BgL_iz00_2541); 
CNST_TABLE_SET(BgL_tmpz00_2810, BgL_arg2346z00_2543); } } 
{ /* Llib/pgp_composition.scm 15 */
 int BgL_auxz00_2546;
BgL_auxz00_2546 = 
(int)(
(BgL_iz00_2541-((long)1))); 
{ 
 long BgL_iz00_2815;
BgL_iz00_2815 = 
(long)(BgL_auxz00_2546); 
BgL_iz00_2541 = BgL_iz00_2815; 
goto BgL_loopz00_2542;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2compositionzd2(void)
{
{ /* Llib/pgp_composition.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2compositionzd2(void)
{
{ /* Llib/pgp_composition.scm 15 */
return BUNSPEC;} 

}



/* append-21009 */
obj_t BGl_appendzd221009zd2zz__openpgpzd2compositionzd2(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_62;
BgL_headz00_62 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_63; obj_t BgL_tailz00_64;
BgL_prevz00_63 = BgL_headz00_62; 
BgL_tailz00_64 = BgL_l1z00_1; 
BgL_loopz00_65:
if(
PAIRP(BgL_tailz00_64))
{ 
 obj_t BgL_newzd2prevzd2_67;
BgL_newzd2prevzd2_67 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_64), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_63, BgL_newzd2prevzd2_67); 
{ 
 obj_t BgL_tailz00_2825; obj_t BgL_prevz00_2824;
BgL_prevz00_2824 = BgL_newzd2prevzd2_67; 
BgL_tailz00_2825 = 
CDR(BgL_tailz00_64); 
BgL_tailz00_64 = BgL_tailz00_2825; 
BgL_prevz00_63 = BgL_prevz00_2824; 
goto BgL_loopz00_65;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_62);} } } 

}



/* parse-packets */
BGL_EXPORTED_DEF obj_t BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_5)
{
{ /* Llib/pgp_composition.scm 72 */
BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2:
if(
NULLP(BgL_packetsz00_5))
{ /* Llib/pgp_composition.scm 75 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2239z00zz__openpgpzd2compositionzd2, BGl_string2240z00zz__openpgpzd2compositionzd2, BFALSE);}  else 
{ /* Llib/pgp_composition.scm 79 */
 bool_t BgL_test2464z00_2831;
{ /* Llib/pgp_composition.scm 79 */
 bool_t BgL_test2465z00_2832;
{ /* Llib/pgp_composition.scm 79 */
 obj_t BgL_arg1460z00_107;
BgL_arg1460z00_107 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 79 */
 obj_t BgL_classz00_1133;
BgL_classz00_1133 = BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1460z00_107))
{ /* Llib/pgp_composition.scm 79 */
 BgL_objectz00_bglt BgL_arg1793z00_1135;
BgL_arg1793z00_1135 = 
(BgL_objectz00_bglt)(BgL_arg1460z00_107); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 79 */
 long BgL_idxz00_1141;
BgL_idxz00_1141 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1135); 
BgL_test2465z00_2832 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1141+((long)2)))==BgL_classz00_1133); }  else 
{ /* Llib/pgp_composition.scm 79 */
 bool_t BgL_res2186z00_1163;
{ /* Llib/pgp_composition.scm 79 */
 obj_t BgL_oclassz00_1149;
{ /* Llib/pgp_composition.scm 79 */
 long BgL_arg1801z00_1155;
{ /* Llib/pgp_composition.scm 79 */
 long BgL_arg1802z00_1156;
BgL_arg1802z00_1156 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1135); 
BgL_arg1801z00_1155 = 
(BgL_arg1802z00_1156-OBJECT_TYPE); } 
BgL_oclassz00_1149 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1155); } 
{ /* Llib/pgp_composition.scm 79 */
 bool_t BgL__ortest_1110z00_1150;
BgL__ortest_1110z00_1150 = 
(BgL_classz00_1133==BgL_oclassz00_1149); 
if(BgL__ortest_1110z00_1150)
{ /* Llib/pgp_composition.scm 79 */
BgL_res2186z00_1163 = BgL__ortest_1110z00_1150; }  else 
{ /* Llib/pgp_composition.scm 79 */
 long BgL_odepthz00_1151;
BgL_odepthz00_1151 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1149); 
if(
(((long)2)<BgL_odepthz00_1151))
{ /* Llib/pgp_composition.scm 79 */
 obj_t BgL_arg1790z00_1153;
BgL_arg1790z00_1153 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1149, ((long)2)); 
BgL_res2186z00_1163 = 
(BgL_arg1790z00_1153==BgL_classz00_1133); }  else 
{ /* Llib/pgp_composition.scm 79 */
BgL_res2186z00_1163 = ((bool_t)0); } } } } 
BgL_test2465z00_2832 = BgL_res2186z00_1163; } }  else 
{ /* Llib/pgp_composition.scm 79 */
BgL_test2465z00_2832 = ((bool_t)0)
; } } } 
if(BgL_test2465z00_2832)
{ /* Llib/pgp_composition.scm 79 */
if(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
CAR(BgL_packetsz00_5))))->BgL_subkeyzf3zf3))
{ /* Llib/pgp_composition.scm 81 */
BgL_test2464z00_2831 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 81 */
BgL_test2464z00_2831 = ((bool_t)1)
; } }  else 
{ /* Llib/pgp_composition.scm 79 */
BgL_test2464z00_2831 = ((bool_t)0)
; } } 
if(BgL_test2464z00_2831)
{ /* Llib/pgp_composition.scm 79 */
return 
BGl_parsezd2keyszd2zz__openpgpzd2compositionzd2(BgL_packetsz00_5);}  else 
{ /* Llib/pgp_composition.scm 83 */
 bool_t BgL_test2471z00_2858;
{ /* Llib/pgp_composition.scm 83 */
 bool_t BgL_test2472z00_2859;
{ /* Llib/pgp_composition.scm 83 */
 obj_t BgL_arg1420z00_103;
BgL_arg1420z00_103 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 83 */
 obj_t BgL_classz00_1166;
BgL_classz00_1166 = BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1420z00_103))
{ /* Llib/pgp_composition.scm 83 */
 BgL_objectz00_bglt BgL_arg1793z00_1168;
BgL_arg1793z00_1168 = 
(BgL_objectz00_bglt)(BgL_arg1420z00_103); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 83 */
 long BgL_idxz00_1174;
BgL_idxz00_1174 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1168); 
BgL_test2472z00_2859 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1174+((long)2)))==BgL_classz00_1166); }  else 
{ /* Llib/pgp_composition.scm 83 */
 bool_t BgL_res2187z00_1196;
{ /* Llib/pgp_composition.scm 83 */
 obj_t BgL_oclassz00_1182;
{ /* Llib/pgp_composition.scm 83 */
 long BgL_arg1801z00_1188;
{ /* Llib/pgp_composition.scm 83 */
 long BgL_arg1802z00_1189;
BgL_arg1802z00_1189 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1168); 
BgL_arg1801z00_1188 = 
(BgL_arg1802z00_1189-OBJECT_TYPE); } 
BgL_oclassz00_1182 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1188); } 
{ /* Llib/pgp_composition.scm 83 */
 bool_t BgL__ortest_1110z00_1183;
BgL__ortest_1110z00_1183 = 
(BgL_classz00_1166==BgL_oclassz00_1182); 
if(BgL__ortest_1110z00_1183)
{ /* Llib/pgp_composition.scm 83 */
BgL_res2187z00_1196 = BgL__ortest_1110z00_1183; }  else 
{ /* Llib/pgp_composition.scm 83 */
 long BgL_odepthz00_1184;
BgL_odepthz00_1184 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1182); 
if(
(((long)2)<BgL_odepthz00_1184))
{ /* Llib/pgp_composition.scm 83 */
 obj_t BgL_arg1790z00_1186;
BgL_arg1790z00_1186 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1182, ((long)2)); 
BgL_res2187z00_1196 = 
(BgL_arg1790z00_1186==BgL_classz00_1166); }  else 
{ /* Llib/pgp_composition.scm 83 */
BgL_res2187z00_1196 = ((bool_t)0); } } } } 
BgL_test2472z00_2859 = BgL_res2187z00_1196; } }  else 
{ /* Llib/pgp_composition.scm 83 */
BgL_test2472z00_2859 = ((bool_t)0)
; } } } 
if(BgL_test2472z00_2859)
{ /* Llib/pgp_composition.scm 83 */
BgL_test2471z00_2858 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_composition.scm 84 */
 obj_t BgL_arg1419z00_102;
BgL_arg1419z00_102 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 84 */
 obj_t BgL_classz00_1198;
BgL_classz00_1198 = BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1419z00_102))
{ /* Llib/pgp_composition.scm 84 */
 BgL_objectz00_bglt BgL_arg1793z00_1200;
BgL_arg1793z00_1200 = 
(BgL_objectz00_bglt)(BgL_arg1419z00_102); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 84 */
 long BgL_idxz00_1206;
BgL_idxz00_1206 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1200); 
BgL_test2471z00_2858 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1206+((long)2)))==BgL_classz00_1198); }  else 
{ /* Llib/pgp_composition.scm 84 */
 bool_t BgL_res2188z00_1228;
{ /* Llib/pgp_composition.scm 84 */
 obj_t BgL_oclassz00_1214;
{ /* Llib/pgp_composition.scm 84 */
 long BgL_arg1801z00_1220;
{ /* Llib/pgp_composition.scm 84 */
 long BgL_arg1802z00_1221;
BgL_arg1802z00_1221 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1200); 
BgL_arg1801z00_1220 = 
(BgL_arg1802z00_1221-OBJECT_TYPE); } 
BgL_oclassz00_1214 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1220); } 
{ /* Llib/pgp_composition.scm 84 */
 bool_t BgL__ortest_1110z00_1215;
BgL__ortest_1110z00_1215 = 
(BgL_classz00_1198==BgL_oclassz00_1214); 
if(BgL__ortest_1110z00_1215)
{ /* Llib/pgp_composition.scm 84 */
BgL_res2188z00_1228 = BgL__ortest_1110z00_1215; }  else 
{ /* Llib/pgp_composition.scm 84 */
 long BgL_odepthz00_1216;
BgL_odepthz00_1216 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1214); 
if(
(((long)2)<BgL_odepthz00_1216))
{ /* Llib/pgp_composition.scm 84 */
 obj_t BgL_arg1790z00_1218;
BgL_arg1790z00_1218 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1214, ((long)2)); 
BgL_res2188z00_1228 = 
(BgL_arg1790z00_1218==BgL_classz00_1198); }  else 
{ /* Llib/pgp_composition.scm 84 */
BgL_res2188z00_1228 = ((bool_t)0); } } } } 
BgL_test2471z00_2858 = BgL_res2188z00_1228; } }  else 
{ /* Llib/pgp_composition.scm 84 */
BgL_test2471z00_2858 = ((bool_t)0)
; } } } } 
if(BgL_test2471z00_2858)
{ /* Llib/pgp_composition.scm 83 */
return 
BGl_parsezd2encryptedzd2messagez00zz__openpgpzd2compositionzd2(BgL_packetsz00_5);}  else 
{ /* Llib/pgp_composition.scm 86 */
 bool_t BgL_test2481z00_2901;
{ /* Llib/pgp_composition.scm 86 */
 obj_t BgL_arg1390z00_100;
BgL_arg1390z00_100 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 86 */
 obj_t BgL_classz00_1230;
BgL_classz00_1230 = BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1390z00_100))
{ /* Llib/pgp_composition.scm 86 */
 BgL_objectz00_bglt BgL_arg1793z00_1232;
BgL_arg1793z00_1232 = 
(BgL_objectz00_bglt)(BgL_arg1390z00_100); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 86 */
 long BgL_idxz00_1238;
BgL_idxz00_1238 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1232); 
BgL_test2481z00_2901 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1238+((long)3)))==BgL_classz00_1230); }  else 
{ /* Llib/pgp_composition.scm 86 */
 bool_t BgL_res2189z00_1260;
{ /* Llib/pgp_composition.scm 86 */
 obj_t BgL_oclassz00_1246;
{ /* Llib/pgp_composition.scm 86 */
 long BgL_arg1801z00_1252;
{ /* Llib/pgp_composition.scm 86 */
 long BgL_arg1802z00_1253;
BgL_arg1802z00_1253 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1232); 
BgL_arg1801z00_1252 = 
(BgL_arg1802z00_1253-OBJECT_TYPE); } 
BgL_oclassz00_1246 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1252); } 
{ /* Llib/pgp_composition.scm 86 */
 bool_t BgL__ortest_1110z00_1247;
BgL__ortest_1110z00_1247 = 
(BgL_classz00_1230==BgL_oclassz00_1246); 
if(BgL__ortest_1110z00_1247)
{ /* Llib/pgp_composition.scm 86 */
BgL_res2189z00_1260 = BgL__ortest_1110z00_1247; }  else 
{ /* Llib/pgp_composition.scm 86 */
 long BgL_odepthz00_1248;
BgL_odepthz00_1248 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1246); 
if(
(((long)3)<BgL_odepthz00_1248))
{ /* Llib/pgp_composition.scm 86 */
 obj_t BgL_arg1790z00_1250;
BgL_arg1790z00_1250 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1246, ((long)3)); 
BgL_res2189z00_1260 = 
(BgL_arg1790z00_1250==BgL_classz00_1230); }  else 
{ /* Llib/pgp_composition.scm 86 */
BgL_res2189z00_1260 = ((bool_t)0); } } } } 
BgL_test2481z00_2901 = BgL_res2189z00_1260; } }  else 
{ /* Llib/pgp_composition.scm 86 */
BgL_test2481z00_2901 = ((bool_t)0)
; } } } 
if(BgL_test2481z00_2901)
{ /* Llib/pgp_composition.scm 86 */
return 
((obj_t)
BGl_parsezd2signaturezd2zz__openpgpzd2compositionzd2(BgL_packetsz00_5));}  else 
{ /* Llib/pgp_composition.scm 88 */
 bool_t BgL_test2486z00_2924;
{ /* Llib/pgp_composition.scm 88 */
 obj_t BgL_arg1389z00_99;
BgL_arg1389z00_99 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 88 */
 obj_t BgL_classz00_1262;
BgL_classz00_1262 = BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1389z00_99))
{ /* Llib/pgp_composition.scm 88 */
 BgL_objectz00_bglt BgL_arg1793z00_1264;
BgL_arg1793z00_1264 = 
(BgL_objectz00_bglt)(BgL_arg1389z00_99); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 88 */
 long BgL_idxz00_1270;
BgL_idxz00_1270 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1264); 
BgL_test2486z00_2924 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1270+((long)3)))==BgL_classz00_1262); }  else 
{ /* Llib/pgp_composition.scm 88 */
 bool_t BgL_res2190z00_1292;
{ /* Llib/pgp_composition.scm 88 */
 obj_t BgL_oclassz00_1278;
{ /* Llib/pgp_composition.scm 88 */
 long BgL_arg1801z00_1284;
{ /* Llib/pgp_composition.scm 88 */
 long BgL_arg1802z00_1285;
BgL_arg1802z00_1285 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1264); 
BgL_arg1801z00_1284 = 
(BgL_arg1802z00_1285-OBJECT_TYPE); } 
BgL_oclassz00_1278 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1284); } 
{ /* Llib/pgp_composition.scm 88 */
 bool_t BgL__ortest_1110z00_1279;
BgL__ortest_1110z00_1279 = 
(BgL_classz00_1262==BgL_oclassz00_1278); 
if(BgL__ortest_1110z00_1279)
{ /* Llib/pgp_composition.scm 88 */
BgL_res2190z00_1292 = BgL__ortest_1110z00_1279; }  else 
{ /* Llib/pgp_composition.scm 88 */
 long BgL_odepthz00_1280;
BgL_odepthz00_1280 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1278); 
if(
(((long)3)<BgL_odepthz00_1280))
{ /* Llib/pgp_composition.scm 88 */
 obj_t BgL_arg1790z00_1282;
BgL_arg1790z00_1282 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1278, ((long)3)); 
BgL_res2190z00_1292 = 
(BgL_arg1790z00_1282==BgL_classz00_1262); }  else 
{ /* Llib/pgp_composition.scm 88 */
BgL_res2190z00_1292 = ((bool_t)0); } } } } 
BgL_test2486z00_2924 = BgL_res2190z00_1292; } }  else 
{ /* Llib/pgp_composition.scm 88 */
BgL_test2486z00_2924 = ((bool_t)0)
; } } } 
if(BgL_test2486z00_2924)
{ /* Llib/pgp_composition.scm 88 */
return 
BGl_parsezd2onezd2passzd2signaturezd2zz__openpgpzd2compositionzd2(BgL_packetsz00_5);}  else 
{ /* Llib/pgp_composition.scm 90 */
 bool_t BgL_test2491z00_2946;
{ /* Llib/pgp_composition.scm 90 */
 obj_t BgL_arg1388z00_98;
BgL_arg1388z00_98 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 90 */
 obj_t BgL_classz00_1294;
BgL_classz00_1294 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1388z00_98))
{ /* Llib/pgp_composition.scm 90 */
 BgL_objectz00_bglt BgL_arg1793z00_1296;
BgL_arg1793z00_1296 = 
(BgL_objectz00_bglt)(BgL_arg1388z00_98); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 90 */
 long BgL_idxz00_1302;
BgL_idxz00_1302 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1296); 
BgL_test2491z00_2946 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1302+((long)2)))==BgL_classz00_1294); }  else 
{ /* Llib/pgp_composition.scm 90 */
 bool_t BgL_res2191z00_1324;
{ /* Llib/pgp_composition.scm 90 */
 obj_t BgL_oclassz00_1310;
{ /* Llib/pgp_composition.scm 90 */
 long BgL_arg1801z00_1316;
{ /* Llib/pgp_composition.scm 90 */
 long BgL_arg1802z00_1317;
BgL_arg1802z00_1317 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1296); 
BgL_arg1801z00_1316 = 
(BgL_arg1802z00_1317-OBJECT_TYPE); } 
BgL_oclassz00_1310 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1316); } 
{ /* Llib/pgp_composition.scm 90 */
 bool_t BgL__ortest_1110z00_1311;
BgL__ortest_1110z00_1311 = 
(BgL_classz00_1294==BgL_oclassz00_1310); 
if(BgL__ortest_1110z00_1311)
{ /* Llib/pgp_composition.scm 90 */
BgL_res2191z00_1324 = BgL__ortest_1110z00_1311; }  else 
{ /* Llib/pgp_composition.scm 90 */
 long BgL_odepthz00_1312;
BgL_odepthz00_1312 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1310); 
if(
(((long)2)<BgL_odepthz00_1312))
{ /* Llib/pgp_composition.scm 90 */
 obj_t BgL_arg1790z00_1314;
BgL_arg1790z00_1314 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1310, ((long)2)); 
BgL_res2191z00_1324 = 
(BgL_arg1790z00_1314==BgL_classz00_1294); }  else 
{ /* Llib/pgp_composition.scm 90 */
BgL_res2191z00_1324 = ((bool_t)0); } } } } 
BgL_test2491z00_2946 = BgL_res2191z00_1324; } }  else 
{ /* Llib/pgp_composition.scm 90 */
BgL_test2491z00_2946 = ((bool_t)0)
; } } } 
if(BgL_test2491z00_2946)
{ /* Llib/pgp_composition.scm 90 */
return 
((obj_t)
BGl_parsezd2literalzd2zz__openpgpzd2compositionzd2(BgL_packetsz00_5));}  else 
{ /* Llib/pgp_composition.scm 92 */
 bool_t BgL_test2496z00_2969;
{ /* Llib/pgp_composition.scm 92 */
 obj_t BgL_arg1385z00_97;
BgL_arg1385z00_97 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 92 */
 obj_t BgL_classz00_1326;
BgL_classz00_1326 = BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1385z00_97))
{ /* Llib/pgp_composition.scm 92 */
 BgL_objectz00_bglt BgL_arg1793z00_1328;
BgL_arg1793z00_1328 = 
(BgL_objectz00_bglt)(BgL_arg1385z00_97); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 92 */
 long BgL_idxz00_1334;
BgL_idxz00_1334 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1328); 
BgL_test2496z00_2969 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1334+((long)2)))==BgL_classz00_1326); }  else 
{ /* Llib/pgp_composition.scm 92 */
 bool_t BgL_res2192z00_1356;
{ /* Llib/pgp_composition.scm 92 */
 obj_t BgL_oclassz00_1342;
{ /* Llib/pgp_composition.scm 92 */
 long BgL_arg1801z00_1348;
{ /* Llib/pgp_composition.scm 92 */
 long BgL_arg1802z00_1349;
BgL_arg1802z00_1349 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1328); 
BgL_arg1801z00_1348 = 
(BgL_arg1802z00_1349-OBJECT_TYPE); } 
BgL_oclassz00_1342 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1348); } 
{ /* Llib/pgp_composition.scm 92 */
 bool_t BgL__ortest_1110z00_1343;
BgL__ortest_1110z00_1343 = 
(BgL_classz00_1326==BgL_oclassz00_1342); 
if(BgL__ortest_1110z00_1343)
{ /* Llib/pgp_composition.scm 92 */
BgL_res2192z00_1356 = BgL__ortest_1110z00_1343; }  else 
{ /* Llib/pgp_composition.scm 92 */
 long BgL_odepthz00_1344;
BgL_odepthz00_1344 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1342); 
if(
(((long)2)<BgL_odepthz00_1344))
{ /* Llib/pgp_composition.scm 92 */
 obj_t BgL_arg1790z00_1346;
BgL_arg1790z00_1346 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1342, ((long)2)); 
BgL_res2192z00_1356 = 
(BgL_arg1790z00_1346==BgL_classz00_1326); }  else 
{ /* Llib/pgp_composition.scm 92 */
BgL_res2192z00_1356 = ((bool_t)0); } } } } 
BgL_test2496z00_2969 = BgL_res2192z00_1356; } }  else 
{ /* Llib/pgp_composition.scm 92 */
BgL_test2496z00_2969 = ((bool_t)0)
; } } } 
if(BgL_test2496z00_2969)
{ /* Llib/pgp_composition.scm 92 */
if(
NULLP(
CDR(BgL_packetsz00_5)))
{ /* Llib/pgp_composition.scm 94 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 95 */
 obj_t BgL_list1379z00_93;
BgL_list1379z00_93 = 
MAKE_YOUNG_PAIR(BGl_string2241z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1379z00_93); } 
{ /* Llib/pgp_composition.scm 96 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_i1138z00_95;
BgL_i1138z00_95 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)
CAR(BgL_packetsz00_5)); 
{ 
 obj_t BgL_packetsz00_2997;
BgL_packetsz00_2997 = 
(((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_i1138z00_95))->BgL_packetsz00); 
BgL_packetsz00_5 = BgL_packetsz00_2997; 
goto BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2;} } }  else 
{ /* Llib/pgp_composition.scm 92 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2239z00zz__openpgpzd2compositionzd2, BGl_string2242z00zz__openpgpzd2compositionzd2, BgL_packetsz00_5);} } } } } } } } 

}



/* &parse-packets */
obj_t BGl_z62parsezd2packetszb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2297, obj_t BgL_packetsz00_2298)
{
{ /* Llib/pgp_composition.scm 72 */
{ /* Llib/pgp_composition.scm 75 */
 obj_t BgL_auxz00_3000;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_packetsz00_2298))
{ /* Llib/pgp_composition.scm 75 */
BgL_auxz00_3000 = BgL_packetsz00_2298
; }  else 
{ 
 obj_t BgL_auxz00_3003;
BgL_auxz00_3003 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__openpgpzd2compositionzd2, 
BINT(((long)3613)), BGl_string2244z00zz__openpgpzd2compositionzd2, BGl_string2245z00zz__openpgpzd2compositionzd2, BgL_packetsz00_2298); 
FAILURE(BgL_auxz00_3003,BFALSE,BFALSE);} 
return 
BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(BgL_auxz00_3000);} } 

}



/* parse-keys */
obj_t BGl_parsezd2keyszd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_6)
{
{ /* Llib/pgp_composition.scm 108 */
{ 
 obj_t BgL_packetsz00_1376; obj_t BgL_keysz00_1377; obj_t BgL_userzd2idszd2_1378;
BgL_packetsz00_1376 = BgL_packetsz00_6; 
BgL_keysz00_1377 = BNIL; 
BgL_userzd2idszd2_1378 = BNIL; 
BgL_loopz00_1375:
if(
NULLP(BgL_packetsz00_1376))
{ /* Llib/pgp_composition.scm 113 */
return BgL_keysz00_1377;}  else 
{ /* Llib/pgp_composition.scm 115 */
 obj_t BgL_keyz00_1386;
BgL_keyz00_1386 = 
BGl_parsezd2keyzd2zz__openpgpzd2compositionzd2(BgL_packetsz00_1376, BgL_userzd2idszd2_1378); 
{ /* Llib/pgp_composition.scm 117 */
 obj_t BgL_remainingzd2packetszd2_1387; obj_t BgL_nuserzd2idszd2_1388;
{ /* Llib/pgp_composition.scm 117 */
 obj_t BgL_tmpz00_1391;
{ /* Llib/pgp_composition.scm 117 */
 int BgL_tmpz00_3011;
BgL_tmpz00_3011 = 
(int)(((long)1)); 
BgL_tmpz00_1391 = 
BGL_MVALUES_VAL(BgL_tmpz00_3011); } 
{ /* Llib/pgp_composition.scm 117 */
 int BgL_tmpz00_3014;
BgL_tmpz00_3014 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3014, BUNSPEC); } 
BgL_remainingzd2packetszd2_1387 = BgL_tmpz00_1391; } 
{ /* Llib/pgp_composition.scm 117 */
 obj_t BgL_tmpz00_1392;
{ /* Llib/pgp_composition.scm 117 */
 int BgL_tmpz00_3017;
BgL_tmpz00_3017 = 
(int)(((long)2)); 
BgL_tmpz00_1392 = 
BGL_MVALUES_VAL(BgL_tmpz00_3017); } 
{ /* Llib/pgp_composition.scm 117 */
 int BgL_tmpz00_3020;
BgL_tmpz00_3020 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3020, BUNSPEC); } 
BgL_nuserzd2idszd2_1388 = BgL_tmpz00_1392; } 
{ 
 obj_t BgL_userzd2idszd2_3026; obj_t BgL_keysz00_3024; obj_t BgL_packetsz00_3023;
BgL_packetsz00_3023 = BgL_remainingzd2packetszd2_1387; 
BgL_keysz00_3024 = 
BGl_appendzd221009zd2zz__openpgpzd2compositionzd2(BgL_keyz00_1386, BgL_keysz00_1377); 
BgL_userzd2idszd2_3026 = 
BGl_appendzd221009zd2zz__openpgpzd2compositionzd2(BgL_nuserzd2idszd2_1388, BgL_userzd2idszd2_1378); 
BgL_userzd2idszd2_1378 = BgL_userzd2idszd2_3026; 
BgL_keysz00_1377 = BgL_keysz00_3024; 
BgL_packetsz00_1376 = BgL_packetsz00_3023; 
goto BgL_loopz00_1375;} } } } } 

}



/* parse-key */
obj_t BGl_parsezd2keyzd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_7, obj_t BgL_userzd2idszd2_8)
{
{ /* Llib/pgp_composition.scm 124 */
{ 
 obj_t BgL_packetsz00_168; obj_t BgL_packetsz00_187; obj_t BgL_packetsz00_220; obj_t BgL_packetsz00_244;
{ /* Llib/pgp_composition.scm 221 */
 obj_t BgL_mainzd2keyzd2packetz00_127;
BgL_mainzd2keyzd2packetz00_127 = 
CAR(
((obj_t)BgL_packetsz00_7)); 
{ /* Llib/pgp_composition.scm 222 */
 obj_t BgL_revocationzd2sigszd2_128;
{ /* Llib/pgp_composition.scm 223 */
 obj_t BgL_arg1584z00_162;
BgL_arg1584z00_162 = 
CDR(
((obj_t)BgL_packetsz00_7)); 
BgL_packetsz00_168 = BgL_arg1584z00_162; 
{ 
 obj_t BgL_packetsz00_172; obj_t BgL_revocationsz00_173;
BgL_packetsz00_172 = BgL_packetsz00_168; 
BgL_revocationsz00_173 = BNIL; 
BgL_zc3z04anonymousza31588ze3z87_174:
if(
NULLP(BgL_packetsz00_172))
{ /* Llib/pgp_composition.scm 136 */
 obj_t BgL_val0_1224z00_176;
BgL_val0_1224z00_176 = 
bgl_reverse_bang(BgL_revocationsz00_173); 
{ /* Llib/pgp_composition.scm 136 */
 int BgL_tmpz00_3035;
BgL_tmpz00_3035 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3035); } 
{ /* Llib/pgp_composition.scm 136 */
 int BgL_tmpz00_3038;
BgL_tmpz00_3038 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3038, BNIL); } 
BgL_revocationzd2sigszd2_128 = BgL_val0_1224z00_176; }  else 
{ /* Llib/pgp_composition.scm 135 */
if(
BGl_revocationzd2signaturezf3ze70zc6zz__openpgpzd2compositionzd2(
CAR(
((obj_t)BgL_packetsz00_172))))
{ /* Llib/pgp_composition.scm 138 */
 obj_t BgL_arg1603z00_180; obj_t BgL_arg1604z00_181;
BgL_arg1603z00_180 = 
CDR(
((obj_t)BgL_packetsz00_172)); 
{ /* Llib/pgp_composition.scm 139 */
 obj_t BgL_arg1605z00_182;
BgL_arg1605z00_182 = 
CAR(
((obj_t)BgL_packetsz00_172)); 
BgL_arg1604z00_181 = 
MAKE_YOUNG_PAIR(BgL_arg1605z00_182, BgL_revocationsz00_173); } 
{ 
 obj_t BgL_revocationsz00_3051; obj_t BgL_packetsz00_3050;
BgL_packetsz00_3050 = BgL_arg1603z00_180; 
BgL_revocationsz00_3051 = BgL_arg1604z00_181; 
BgL_revocationsz00_173 = BgL_revocationsz00_3051; 
BgL_packetsz00_172 = BgL_packetsz00_3050; 
goto BgL_zc3z04anonymousza31588ze3z87_174;} }  else 
{ /* Llib/pgp_composition.scm 141 */
 obj_t BgL_val0_1226z00_183;
BgL_val0_1226z00_183 = 
bgl_reverse_bang(BgL_revocationsz00_173); 
{ /* Llib/pgp_composition.scm 141 */
 int BgL_tmpz00_3053;
BgL_tmpz00_3053 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3053); } 
{ /* Llib/pgp_composition.scm 141 */
 int BgL_tmpz00_3056;
BgL_tmpz00_3056 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3056, BgL_packetsz00_172); } 
BgL_revocationzd2sigszd2_128 = BgL_val0_1226z00_183; } } } } 
{ /* Llib/pgp_composition.scm 224 */
 obj_t BgL_remainingzd2packetszd2_129;
{ /* Llib/pgp_composition.scm 224 */
 obj_t BgL_tmpz00_1581;
{ /* Llib/pgp_composition.scm 224 */
 int BgL_tmpz00_3059;
BgL_tmpz00_3059 = 
(int)(((long)1)); 
BgL_tmpz00_1581 = 
BGL_MVALUES_VAL(BgL_tmpz00_3059); } 
{ /* Llib/pgp_composition.scm 224 */
 int BgL_tmpz00_3062;
BgL_tmpz00_3062 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3062, BUNSPEC); } 
BgL_remainingzd2packetszd2_129 = BgL_tmpz00_1581; } 
{ /* Llib/pgp_composition.scm 224 */
 obj_t BgL_nuserzd2idszd2_130;
BgL_packetsz00_220 = BgL_remainingzd2packetszd2_129; 
{ 
 obj_t BgL_packetsz00_224; obj_t BgL_userzd2idszd2_225;
BgL_packetsz00_224 = BgL_packetsz00_220; 
BgL_userzd2idszd2_225 = BNIL; 
BgL_zc3z04anonymousza31666ze3z87_226:
if(
NULLP(BgL_packetsz00_224))
{ /* Llib/pgp_composition.scm 168 */
 obj_t BgL_val0_1232z00_228;
BgL_val0_1232z00_228 = 
bgl_reverse_bang(BgL_userzd2idszd2_225); 
{ /* Llib/pgp_composition.scm 168 */
 int BgL_tmpz00_3068;
BgL_tmpz00_3068 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3068); } 
{ /* Llib/pgp_composition.scm 168 */
 int BgL_tmpz00_3071;
BgL_tmpz00_3071 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3071, BNIL); } 
BgL_nuserzd2idszd2_130 = BgL_val0_1232z00_228; }  else 
{ /* Llib/pgp_composition.scm 169 */
 bool_t BgL_test2507z00_3074;
{ /* Llib/pgp_composition.scm 169 */
 obj_t BgL_arg1703z00_242;
BgL_arg1703z00_242 = 
CAR(
((obj_t)BgL_packetsz00_224)); 
{ /* Llib/pgp_composition.scm 169 */
 obj_t BgL_classz00_1462;
BgL_classz00_1462 = BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1703z00_242))
{ /* Llib/pgp_composition.scm 169 */
 BgL_objectz00_bglt BgL_arg1793z00_1464;
BgL_arg1793z00_1464 = 
(BgL_objectz00_bglt)(BgL_arg1703z00_242); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 169 */
 long BgL_idxz00_1470;
BgL_idxz00_1470 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1464); 
BgL_test2507z00_3074 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1470+((long)2)))==BgL_classz00_1462); }  else 
{ /* Llib/pgp_composition.scm 169 */
 bool_t BgL_res2195z00_1492;
{ /* Llib/pgp_composition.scm 169 */
 obj_t BgL_oclassz00_1478;
{ /* Llib/pgp_composition.scm 169 */
 long BgL_arg1801z00_1484;
{ /* Llib/pgp_composition.scm 169 */
 long BgL_arg1802z00_1485;
BgL_arg1802z00_1485 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1464); 
BgL_arg1801z00_1484 = 
(BgL_arg1802z00_1485-OBJECT_TYPE); } 
BgL_oclassz00_1478 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1484); } 
{ /* Llib/pgp_composition.scm 169 */
 bool_t BgL__ortest_1110z00_1479;
BgL__ortest_1110z00_1479 = 
(BgL_classz00_1462==BgL_oclassz00_1478); 
if(BgL__ortest_1110z00_1479)
{ /* Llib/pgp_composition.scm 169 */
BgL_res2195z00_1492 = BgL__ortest_1110z00_1479; }  else 
{ /* Llib/pgp_composition.scm 169 */
 long BgL_odepthz00_1480;
BgL_odepthz00_1480 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1478); 
if(
(((long)2)<BgL_odepthz00_1480))
{ /* Llib/pgp_composition.scm 169 */
 obj_t BgL_arg1790z00_1482;
BgL_arg1790z00_1482 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1478, ((long)2)); 
BgL_res2195z00_1492 = 
(BgL_arg1790z00_1482==BgL_classz00_1462); }  else 
{ /* Llib/pgp_composition.scm 169 */
BgL_res2195z00_1492 = ((bool_t)0); } } } } 
BgL_test2507z00_3074 = BgL_res2195z00_1492; } }  else 
{ /* Llib/pgp_composition.scm 169 */
BgL_test2507z00_3074 = ((bool_t)0)
; } } } 
if(BgL_test2507z00_3074)
{ /* Llib/pgp_composition.scm 171 */
 obj_t BgL_sigsz00_232;
{ /* Llib/pgp_composition.scm 172 */
 obj_t BgL_arg1702z00_239;
BgL_arg1702z00_239 = 
CDR(
((obj_t)BgL_packetsz00_224)); 
BgL_packetsz00_187 = BgL_arg1702z00_239; 
{ 
 obj_t BgL_pktz00_207;
{ 
 obj_t BgL_packetsz00_192; obj_t BgL_sigsz00_193;
BgL_packetsz00_192 = BgL_packetsz00_187; 
BgL_sigsz00_193 = BNIL; 
BgL_zc3z04anonymousza31619ze3z87_194:
if(
NULLP(BgL_packetsz00_192))
{ /* Llib/pgp_composition.scm 155 */
 obj_t BgL_val0_1228z00_196;
BgL_val0_1228z00_196 = 
bgl_reverse_bang(BgL_sigsz00_193); 
{ /* Llib/pgp_composition.scm 155 */
 int BgL_tmpz00_3101;
BgL_tmpz00_3101 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3101); } 
{ /* Llib/pgp_composition.scm 155 */
 int BgL_tmpz00_3104;
BgL_tmpz00_3104 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3104, BNIL); } 
BgL_sigsz00_232 = BgL_val0_1228z00_196; }  else 
{ /* Llib/pgp_composition.scm 156 */
 bool_t BgL_test2513z00_3107;
BgL_pktz00_207 = 
CAR(
((obj_t)BgL_packetsz00_192)); 
{ /* Llib/pgp_composition.scm 145 */
 bool_t BgL_test2514z00_3108;
{ /* Llib/pgp_composition.scm 145 */
 obj_t BgL_classz00_1427;
BgL_classz00_1427 = BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pktz00_207))
{ /* Llib/pgp_composition.scm 145 */
 BgL_objectz00_bglt BgL_arg1793z00_1429;
BgL_arg1793z00_1429 = 
(BgL_objectz00_bglt)(BgL_pktz00_207); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 145 */
 long BgL_idxz00_1435;
BgL_idxz00_1435 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1429); 
BgL_test2514z00_3108 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1435+((long)3)))==BgL_classz00_1427); }  else 
{ /* Llib/pgp_composition.scm 145 */
 bool_t BgL_res2194z00_1457;
{ /* Llib/pgp_composition.scm 145 */
 obj_t BgL_oclassz00_1443;
{ /* Llib/pgp_composition.scm 145 */
 long BgL_arg1801z00_1449;
{ /* Llib/pgp_composition.scm 145 */
 long BgL_arg1802z00_1450;
BgL_arg1802z00_1450 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1429); 
BgL_arg1801z00_1449 = 
(BgL_arg1802z00_1450-OBJECT_TYPE); } 
BgL_oclassz00_1443 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1449); } 
{ /* Llib/pgp_composition.scm 145 */
 bool_t BgL__ortest_1110z00_1444;
BgL__ortest_1110z00_1444 = 
(BgL_classz00_1427==BgL_oclassz00_1443); 
if(BgL__ortest_1110z00_1444)
{ /* Llib/pgp_composition.scm 145 */
BgL_res2194z00_1457 = BgL__ortest_1110z00_1444; }  else 
{ /* Llib/pgp_composition.scm 145 */
 long BgL_odepthz00_1445;
BgL_odepthz00_1445 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1443); 
if(
(((long)3)<BgL_odepthz00_1445))
{ /* Llib/pgp_composition.scm 145 */
 obj_t BgL_arg1790z00_1447;
BgL_arg1790z00_1447 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1443, ((long)3)); 
BgL_res2194z00_1457 = 
(BgL_arg1790z00_1447==BgL_classz00_1427); }  else 
{ /* Llib/pgp_composition.scm 145 */
BgL_res2194z00_1457 = ((bool_t)0); } } } } 
BgL_test2514z00_3108 = BgL_res2194z00_1457; } }  else 
{ /* Llib/pgp_composition.scm 145 */
BgL_test2514z00_3108 = ((bool_t)0)
; } } 
if(BgL_test2514z00_3108)
{ /* Llib/pgp_composition.scm 147 */
 obj_t BgL_casezd2valuezd2_211;
BgL_casezd2valuezd2_211 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_207))))->BgL_signaturezd2typezd2); 
{ /* Llib/pgp_composition.scm 147 */
 bool_t BgL__ortest_1146z00_216;
BgL__ortest_1146z00_216 = 
(BgL_casezd2valuezd2_211==
CNST_TABLE_REF(((long)0))); 
if(BgL__ortest_1146z00_216)
{ /* Llib/pgp_composition.scm 147 */
BgL_test2513z00_3107 = BgL__ortest_1146z00_216
; }  else 
{ /* Llib/pgp_composition.scm 147 */
 bool_t BgL__ortest_1147z00_217;
BgL__ortest_1147z00_217 = 
(BgL_casezd2valuezd2_211==
CNST_TABLE_REF(((long)1))); 
if(BgL__ortest_1147z00_217)
{ /* Llib/pgp_composition.scm 147 */
BgL_test2513z00_3107 = BgL__ortest_1147z00_217
; }  else 
{ /* Llib/pgp_composition.scm 147 */
 bool_t BgL__ortest_1148z00_218;
BgL__ortest_1148z00_218 = 
(BgL_casezd2valuezd2_211==
CNST_TABLE_REF(((long)2))); 
if(BgL__ortest_1148z00_218)
{ /* Llib/pgp_composition.scm 147 */
BgL_test2513z00_3107 = BgL__ortest_1148z00_218
; }  else 
{ /* Llib/pgp_composition.scm 147 */
BgL_test2513z00_3107 = 
(BgL_casezd2valuezd2_211==
CNST_TABLE_REF(((long)3)))
; } } } } }  else 
{ /* Llib/pgp_composition.scm 145 */
BgL_test2513z00_3107 = ((bool_t)0)
; } } 
if(BgL_test2513z00_3107)
{ /* Llib/pgp_composition.scm 157 */
 obj_t BgL_arg1631z00_200; obj_t BgL_arg1650z00_201;
BgL_arg1631z00_200 = 
CDR(
((obj_t)BgL_packetsz00_192)); 
{ /* Llib/pgp_composition.scm 158 */
 obj_t BgL_arg1651z00_202;
BgL_arg1651z00_202 = 
CAR(
((obj_t)BgL_packetsz00_192)); 
BgL_arg1650z00_201 = 
MAKE_YOUNG_PAIR(BgL_arg1651z00_202, BgL_sigsz00_193); } 
{ 
 obj_t BgL_sigsz00_3150; obj_t BgL_packetsz00_3149;
BgL_packetsz00_3149 = BgL_arg1631z00_200; 
BgL_sigsz00_3150 = BgL_arg1650z00_201; 
BgL_sigsz00_193 = BgL_sigsz00_3150; 
BgL_packetsz00_192 = BgL_packetsz00_3149; 
goto BgL_zc3z04anonymousza31619ze3z87_194;} }  else 
{ /* Llib/pgp_composition.scm 160 */
 obj_t BgL_val0_1230z00_203;
BgL_val0_1230z00_203 = 
bgl_reverse_bang(BgL_sigsz00_193); 
{ /* Llib/pgp_composition.scm 160 */
 int BgL_tmpz00_3152;
BgL_tmpz00_3152 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3152); } 
{ /* Llib/pgp_composition.scm 160 */
 int BgL_tmpz00_3155;
BgL_tmpz00_3155 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3155, BgL_packetsz00_192); } 
BgL_sigsz00_232 = BgL_val0_1230z00_203; } } } } } 
{ /* Llib/pgp_composition.scm 173 */
 obj_t BgL_remainingzd2packetszd2_233;
{ /* Llib/pgp_composition.scm 173 */
 obj_t BgL_tmpz00_1494;
{ /* Llib/pgp_composition.scm 173 */
 int BgL_tmpz00_3158;
BgL_tmpz00_3158 = 
(int)(((long)1)); 
BgL_tmpz00_1494 = 
BGL_MVALUES_VAL(BgL_tmpz00_3158); } 
{ /* Llib/pgp_composition.scm 173 */
 int BgL_tmpz00_3161;
BgL_tmpz00_3161 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3161, BUNSPEC); } 
BgL_remainingzd2packetszd2_233 = BgL_tmpz00_1494; } 
{ /* Llib/pgp_composition.scm 174 */
 obj_t BgL_arg1679z00_234;
{ /* Llib/pgp_composition.scm 174 */
 BgL_signedzd2idzd2_bglt BgL_arg1691z00_235;
{ /* Llib/pgp_composition.scm 174 */
 BgL_signedzd2idzd2_bglt BgL_new1152z00_236;
{ /* Llib/pgp_composition.scm 176 */
 BgL_signedzd2idzd2_bglt BgL_new1151z00_237;
BgL_new1151z00_237 = 
((BgL_signedzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_signedzd2idzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 176 */
 long BgL_arg1694z00_238;
BgL_arg1694z00_238 = 
BGL_CLASS_NUM(BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1151z00_237), BgL_arg1694z00_238); } 
{ /* Llib/pgp_composition.scm 176 */
 BgL_objectz00_bglt BgL_tmpz00_3168;
BgL_tmpz00_3168 = 
((BgL_objectz00_bglt)BgL_new1151z00_237); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3168, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1151z00_237); 
BgL_new1152z00_236 = BgL_new1151z00_237; } 
((((BgL_signedzd2idzd2_bglt)COBJECT(BgL_new1152z00_236))->BgL_idz00)=((BgL_pgpzd2idzd2packetz00_bglt)
((BgL_pgpzd2idzd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_224)))),BUNSPEC); 
((((BgL_signedzd2idzd2_bglt)COBJECT(BgL_new1152z00_236))->BgL_sigsz00)=((obj_t)BgL_sigsz00_232),BUNSPEC); 
BgL_arg1691z00_235 = BgL_new1152z00_236; } 
BgL_arg1679z00_234 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1691z00_235), BgL_userzd2idszd2_225); } 
{ 
 obj_t BgL_userzd2idszd2_3180; obj_t BgL_packetsz00_3179;
BgL_packetsz00_3179 = BgL_remainingzd2packetszd2_233; 
BgL_userzd2idszd2_3180 = BgL_arg1679z00_234; 
BgL_userzd2idszd2_225 = BgL_userzd2idszd2_3180; 
BgL_packetsz00_224 = BgL_packetsz00_3179; 
goto BgL_zc3z04anonymousza31666ze3z87_226;} } } }  else 
{ /* Llib/pgp_composition.scm 179 */
 obj_t BgL_val0_1234z00_240;
BgL_val0_1234z00_240 = 
bgl_reverse_bang(BgL_userzd2idszd2_225); 
{ /* Llib/pgp_composition.scm 179 */
 int BgL_tmpz00_3182;
BgL_tmpz00_3182 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3182); } 
{ /* Llib/pgp_composition.scm 179 */
 int BgL_tmpz00_3185;
BgL_tmpz00_3185 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3185, BgL_packetsz00_224); } 
BgL_nuserzd2idszd2_130 = BgL_val0_1234z00_240; } } } 
{ /* Llib/pgp_composition.scm 229 */
 obj_t BgL_remainingzd2packetszd2_131;
{ /* Llib/pgp_composition.scm 229 */
 obj_t BgL_tmpz00_1582;
{ /* Llib/pgp_composition.scm 229 */
 int BgL_tmpz00_3188;
BgL_tmpz00_3188 = 
(int)(((long)1)); 
BgL_tmpz00_1582 = 
BGL_MVALUES_VAL(BgL_tmpz00_3188); } 
{ /* Llib/pgp_composition.scm 229 */
 int BgL_tmpz00_3191;
BgL_tmpz00_3191 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3191, BUNSPEC); } 
BgL_remainingzd2packetszd2_131 = BgL_tmpz00_1582; } 
{ /* Llib/pgp_composition.scm 226 */
 bool_t BgL_test2522z00_3194;
if(
NULLP(BgL_nuserzd2idszd2_130))
{ /* Llib/pgp_composition.scm 226 */
BgL_test2522z00_3194 = 
NULLP(BgL_userzd2idszd2_8)
; }  else 
{ /* Llib/pgp_composition.scm 226 */
BgL_test2522z00_3194 = ((bool_t)0)
; } 
if(BgL_test2522z00_3194)
{ /* Llib/pgp_composition.scm 226 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2248z00zz__openpgpzd2compositionzd2, BGl_string2249z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 226 */BFALSE; } } 
{ /* Llib/pgp_composition.scm 230 */
 obj_t BgL_subkeysz00_135;
BgL_packetsz00_244 = BgL_remainingzd2packetszd2_131; 
{ 
 obj_t BgL_packetsz00_249; obj_t BgL_subkeysz00_250;
BgL_packetsz00_249 = BgL_packetsz00_244; 
BgL_subkeysz00_250 = BNIL; 
BgL_zc3z04anonymousza31705ze3z87_251:
{ /* Llib/pgp_composition.scm 189 */
 bool_t BgL_test2524z00_3199;
if(
NULLP(BgL_packetsz00_249))
{ /* Llib/pgp_composition.scm 189 */
BgL_test2524z00_3199 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_composition.scm 189 */
BgL_test2524z00_3199 = 
NULLP(
CDR(
((obj_t)BgL_packetsz00_249)))
; } 
if(BgL_test2524z00_3199)
{ /* Llib/pgp_composition.scm 191 */
 obj_t BgL_val0_1236z00_255;
BgL_val0_1236z00_255 = 
bgl_reverse_bang(BgL_subkeysz00_250); 
{ /* Llib/pgp_composition.scm 191 */
 int BgL_tmpz00_3206;
BgL_tmpz00_3206 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3206); } 
{ /* Llib/pgp_composition.scm 191 */
 int BgL_tmpz00_3209;
BgL_tmpz00_3209 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3209, BNIL); } 
BgL_subkeysz00_135 = BgL_val0_1236z00_255; }  else 
{ /* Llib/pgp_composition.scm 192 */
 bool_t BgL_test2526z00_3212;
{ /* Llib/pgp_composition.scm 192 */
 obj_t BgL_arg1755z00_297;
BgL_arg1755z00_297 = 
CAR(
((obj_t)BgL_packetsz00_249)); 
{ /* Llib/pgp_composition.scm 192 */
 obj_t BgL_classz00_1533;
BgL_classz00_1533 = BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1755z00_297))
{ /* Llib/pgp_composition.scm 192 */
 BgL_objectz00_bglt BgL_arg1793z00_1535;
BgL_arg1793z00_1535 = 
(BgL_objectz00_bglt)(BgL_arg1755z00_297); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 192 */
 long BgL_idxz00_1541;
BgL_idxz00_1541 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1535); 
BgL_test2526z00_3212 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1541+((long)2)))==BgL_classz00_1533); }  else 
{ /* Llib/pgp_composition.scm 192 */
 bool_t BgL_res2197z00_1563;
{ /* Llib/pgp_composition.scm 192 */
 obj_t BgL_oclassz00_1549;
{ /* Llib/pgp_composition.scm 192 */
 long BgL_arg1801z00_1555;
{ /* Llib/pgp_composition.scm 192 */
 long BgL_arg1802z00_1556;
BgL_arg1802z00_1556 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1535); 
BgL_arg1801z00_1555 = 
(BgL_arg1802z00_1556-OBJECT_TYPE); } 
BgL_oclassz00_1549 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1555); } 
{ /* Llib/pgp_composition.scm 192 */
 bool_t BgL__ortest_1110z00_1550;
BgL__ortest_1110z00_1550 = 
(BgL_classz00_1533==BgL_oclassz00_1549); 
if(BgL__ortest_1110z00_1550)
{ /* Llib/pgp_composition.scm 192 */
BgL_res2197z00_1563 = BgL__ortest_1110z00_1550; }  else 
{ /* Llib/pgp_composition.scm 192 */
 long BgL_odepthz00_1551;
BgL_odepthz00_1551 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1549); 
if(
(((long)2)<BgL_odepthz00_1551))
{ /* Llib/pgp_composition.scm 192 */
 obj_t BgL_arg1790z00_1553;
BgL_arg1790z00_1553 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1549, ((long)2)); 
BgL_res2197z00_1563 = 
(BgL_arg1790z00_1553==BgL_classz00_1533); }  else 
{ /* Llib/pgp_composition.scm 192 */
BgL_res2197z00_1563 = ((bool_t)0); } } } } 
BgL_test2526z00_3212 = BgL_res2197z00_1563; } }  else 
{ /* Llib/pgp_composition.scm 192 */
BgL_test2526z00_3212 = ((bool_t)0)
; } } } 
if(BgL_test2526z00_3212)
{ /* Llib/pgp_composition.scm 193 */
 obj_t BgL_g1156z00_259;
BgL_g1156z00_259 = 
CDR(
((obj_t)BgL_packetsz00_249)); 
{ 
 obj_t BgL_pktsz00_263; obj_t BgL_subkeyzd2sigszd2_264; obj_t BgL_revoczd2sigszd2_265;
BgL_pktsz00_263 = BgL_g1156z00_259; 
BgL_subkeyzd2sigszd2_264 = BNIL; 
BgL_revoczd2sigszd2_265 = BNIL; 
BgL_zc3z04anonymousza31714ze3z87_266:
{ /* Llib/pgp_composition.scm 197 */
 bool_t BgL_test2531z00_3236;
if(
NULLP(BgL_pktsz00_263))
{ /* Llib/pgp_composition.scm 197 */
BgL_test2531z00_3236 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_composition.scm 197 */
if(
BGl_subkeyzd2sigzf3ze70zc6zz__openpgpzd2compositionzd2(
CAR(
((obj_t)BgL_pktsz00_263))))
{ /* Llib/pgp_composition.scm 198 */
BgL_test2531z00_3236 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 198 */
if(
BGl_revocationzd2signaturezf3ze70zc6zz__openpgpzd2compositionzd2(
CAR(
((obj_t)BgL_pktsz00_263))))
{ /* Llib/pgp_composition.scm 199 */
BgL_test2531z00_3236 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 199 */
BgL_test2531z00_3236 = ((bool_t)1)
; } } } 
if(BgL_test2531z00_3236)
{ /* Llib/pgp_composition.scm 197 */
if(
NULLP(BgL_subkeyzd2sigszd2_264))
{ /* Llib/pgp_composition.scm 200 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2246z00zz__openpgpzd2compositionzd2, BGl_string2247z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 200 */BFALSE; } 
{ /* Llib/pgp_composition.scm 205 */
 obj_t BgL_arg1730z00_275;
{ /* Llib/pgp_composition.scm 205 */
 BgL_pgpzd2subkeyzd2_bglt BgL_arg1731z00_276;
{ /* Llib/pgp_composition.scm 205 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1164z00_277;
{ /* Llib/pgp_composition.scm 209 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1163z00_278;
BgL_new1163z00_278 = 
((BgL_pgpzd2subkeyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2subkeyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 209 */
 long BgL_arg1732z00_279;
BgL_arg1732z00_279 = 
BGL_CLASS_NUM(BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1163z00_278), BgL_arg1732z00_279); } 
{ /* Llib/pgp_composition.scm 209 */
 BgL_objectz00_bglt BgL_tmpz00_3254;
BgL_tmpz00_3254 = 
((BgL_objectz00_bglt)BgL_new1163z00_278); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3254, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1163z00_278); 
BgL_new1164z00_277 = BgL_new1163z00_278; } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1164z00_277))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2keyzd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_249)))),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1164z00_277))->BgL_sigsz00)=((obj_t)BgL_subkeyzd2sigszd2_264),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1164z00_277))->BgL_revocationzd2sigszd2)=((obj_t)BgL_revoczd2sigszd2_265),BUNSPEC); 
{ 
 BgL_pgpzd2keyzd2_bglt BgL_auxz00_3264;
{ /* Llib/pgp_composition.scm 209 */
 obj_t BgL_classz00_1572;
BgL_classz00_1572 = BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2; 
{ /* Llib/pgp_composition.scm 209 */
 obj_t BgL__ortest_1112z00_1573;
BgL__ortest_1112z00_1573 = 
BGL_CLASS_NIL(BgL_classz00_1572); 
if(
CBOOL(BgL__ortest_1112z00_1573))
{ /* Llib/pgp_composition.scm 209 */
BgL_auxz00_3264 = 
((BgL_pgpzd2keyzd2_bglt)BgL__ortest_1112z00_1573)
; }  else 
{ /* Llib/pgp_composition.scm 209 */
BgL_auxz00_3264 = 
((BgL_pgpzd2keyzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1572))
; } } } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1164z00_277))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)BgL_auxz00_3264),BUNSPEC); } 
BgL_arg1731z00_276 = BgL_new1164z00_277; } 
BgL_arg1730z00_275 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1731z00_276), BgL_subkeysz00_250); } 
{ 
 obj_t BgL_subkeysz00_3275; obj_t BgL_packetsz00_3274;
BgL_packetsz00_3274 = BgL_pktsz00_263; 
BgL_subkeysz00_3275 = BgL_arg1730z00_275; 
BgL_subkeysz00_250 = BgL_subkeysz00_3275; 
BgL_packetsz00_249 = BgL_packetsz00_3274; 
goto BgL_zc3z04anonymousza31705ze3z87_251;} } }  else 
{ /* Llib/pgp_composition.scm 197 */
if(
BGl_subkeyzd2sigzf3ze70zc6zz__openpgpzd2compositionzd2(
CAR(
((obj_t)BgL_pktsz00_263))))
{ /* Llib/pgp_composition.scm 212 */
 obj_t BgL_arg1740z00_282; obj_t BgL_arg1741z00_283;
BgL_arg1740z00_282 = 
CDR(
((obj_t)BgL_pktsz00_263)); 
{ /* Llib/pgp_composition.scm 212 */
 obj_t BgL_arg1742z00_284;
BgL_arg1742z00_284 = 
CAR(
((obj_t)BgL_pktsz00_263)); 
BgL_arg1741z00_283 = 
MAKE_YOUNG_PAIR(BgL_arg1742z00_284, BgL_subkeyzd2sigszd2_264); } 
{ 
 obj_t BgL_subkeyzd2sigszd2_3286; obj_t BgL_pktsz00_3285;
BgL_pktsz00_3285 = BgL_arg1740z00_282; 
BgL_subkeyzd2sigszd2_3286 = BgL_arg1741z00_283; 
BgL_subkeyzd2sigszd2_264 = BgL_subkeyzd2sigszd2_3286; 
BgL_pktsz00_263 = BgL_pktsz00_3285; 
goto BgL_zc3z04anonymousza31714ze3z87_266;} }  else 
{ /* Llib/pgp_composition.scm 214 */
 obj_t BgL_arg1743z00_285; obj_t BgL_arg1744z00_286;
BgL_arg1743z00_285 = 
CDR(
((obj_t)BgL_pktsz00_263)); 
{ /* Llib/pgp_composition.scm 215 */
 obj_t BgL_arg1745z00_287;
BgL_arg1745z00_287 = 
CAR(
((obj_t)BgL_pktsz00_263)); 
BgL_arg1744z00_286 = 
MAKE_YOUNG_PAIR(BgL_arg1745z00_287, BgL_revoczd2sigszd2_265); } 
{ 
 obj_t BgL_revoczd2sigszd2_3293; obj_t BgL_pktsz00_3292;
BgL_pktsz00_3292 = BgL_arg1743z00_285; 
BgL_revoczd2sigszd2_3293 = BgL_arg1744z00_286; 
BgL_revoczd2sigszd2_265 = BgL_revoczd2sigszd2_3293; 
BgL_pktsz00_263 = BgL_pktsz00_3292; 
goto BgL_zc3z04anonymousza31714ze3z87_266;} } } } } }  else 
{ /* Llib/pgp_composition.scm 217 */
 obj_t BgL_val0_1238z00_295;
BgL_val0_1238z00_295 = 
bgl_reverse_bang(BgL_subkeysz00_250); 
{ /* Llib/pgp_composition.scm 217 */
 int BgL_tmpz00_3295;
BgL_tmpz00_3295 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3295); } 
{ /* Llib/pgp_composition.scm 217 */
 int BgL_tmpz00_3298;
BgL_tmpz00_3298 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3298, BgL_packetsz00_249); } 
BgL_subkeysz00_135 = BgL_val0_1238z00_295; } } } } 
{ /* Llib/pgp_composition.scm 232 */
 obj_t BgL_remainingzd2packetszd2_136;
{ /* Llib/pgp_composition.scm 232 */
 obj_t BgL_tmpz00_1583;
{ /* Llib/pgp_composition.scm 232 */
 int BgL_tmpz00_3301;
BgL_tmpz00_3301 = 
(int)(((long)1)); 
BgL_tmpz00_1583 = 
BGL_MVALUES_VAL(BgL_tmpz00_3301); } 
{ /* Llib/pgp_composition.scm 232 */
 int BgL_tmpz00_3304;
BgL_tmpz00_3304 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3304, BUNSPEC); } 
BgL_remainingzd2packetszd2_136 = BgL_tmpz00_1583; } 
{ /* Llib/pgp_composition.scm 232 */
 bool_t BgL_test2538z00_3307;
{ /* Llib/pgp_composition.scm 232 */
 obj_t BgL_classz00_1584;
BgL_classz00_1584 = BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_mainzd2keyzd2packetz00_127))
{ /* Llib/pgp_composition.scm 232 */
 BgL_objectz00_bglt BgL_arg1793z00_1586;
BgL_arg1793z00_1586 = 
(BgL_objectz00_bglt)(BgL_mainzd2keyzd2packetz00_127); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 232 */
 long BgL_idxz00_1592;
BgL_idxz00_1592 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1586); 
BgL_test2538z00_3307 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1592+((long)2)))==BgL_classz00_1584); }  else 
{ /* Llib/pgp_composition.scm 232 */
 bool_t BgL_res2198z00_1614;
{ /* Llib/pgp_composition.scm 232 */
 obj_t BgL_oclassz00_1600;
{ /* Llib/pgp_composition.scm 232 */
 long BgL_arg1801z00_1606;
{ /* Llib/pgp_composition.scm 232 */
 long BgL_arg1802z00_1607;
BgL_arg1802z00_1607 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1586); 
BgL_arg1801z00_1606 = 
(BgL_arg1802z00_1607-OBJECT_TYPE); } 
BgL_oclassz00_1600 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1606); } 
{ /* Llib/pgp_composition.scm 232 */
 bool_t BgL__ortest_1110z00_1601;
BgL__ortest_1110z00_1601 = 
(BgL_classz00_1584==BgL_oclassz00_1600); 
if(BgL__ortest_1110z00_1601)
{ /* Llib/pgp_composition.scm 232 */
BgL_res2198z00_1614 = BgL__ortest_1110z00_1601; }  else 
{ /* Llib/pgp_composition.scm 232 */
 long BgL_odepthz00_1602;
BgL_odepthz00_1602 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1600); 
if(
(((long)2)<BgL_odepthz00_1602))
{ /* Llib/pgp_composition.scm 232 */
 obj_t BgL_arg1790z00_1604;
BgL_arg1790z00_1604 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1600, ((long)2)); 
BgL_res2198z00_1614 = 
(BgL_arg1790z00_1604==BgL_classz00_1584); }  else 
{ /* Llib/pgp_composition.scm 232 */
BgL_res2198z00_1614 = ((bool_t)0); } } } } 
BgL_test2538z00_3307 = BgL_res2198z00_1614; } }  else 
{ /* Llib/pgp_composition.scm 232 */
BgL_test2538z00_3307 = ((bool_t)0)
; } } 
if(BgL_test2538z00_3307)
{ /* Llib/pgp_composition.scm 233 */
 BgL_pgpzd2subkeyzd2_bglt BgL_mainzd2keyzd2_138;
{ /* Llib/pgp_composition.scm 233 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1166z00_156;
{ /* Llib/pgp_composition.scm 234 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1165z00_157;
BgL_new1165z00_157 = 
((BgL_pgpzd2subkeyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2subkeyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 234 */
 long BgL_arg1575z00_158;
BgL_arg1575z00_158 = 
BGL_CLASS_NUM(BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1165z00_157), BgL_arg1575z00_158); } 
{ /* Llib/pgp_composition.scm 234 */
 BgL_objectz00_bglt BgL_tmpz00_3331;
BgL_tmpz00_3331 = 
((BgL_objectz00_bglt)BgL_new1165z00_157); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3331, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1165z00_157); 
BgL_new1166z00_156 = BgL_new1165z00_157; } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1166z00_156))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_mainzd2keyzd2packetz00_127)),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1166z00_156))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1166z00_156))->BgL_revocationzd2sigszd2)=((obj_t)BgL_revocationzd2sigszd2_128),BUNSPEC); 
{ 
 BgL_pgpzd2keyzd2_bglt BgL_auxz00_3339;
{ /* Llib/pgp_composition.scm 237 */
 obj_t BgL_classz00_1619;
BgL_classz00_1619 = BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2; 
{ /* Llib/pgp_composition.scm 237 */
 obj_t BgL__ortest_1112z00_1620;
BgL__ortest_1112z00_1620 = 
BGL_CLASS_NIL(BgL_classz00_1619); 
if(
CBOOL(BgL__ortest_1112z00_1620))
{ /* Llib/pgp_composition.scm 237 */
BgL_auxz00_3339 = 
((BgL_pgpzd2keyzd2_bglt)BgL__ortest_1112z00_1620)
; }  else 
{ /* Llib/pgp_composition.scm 237 */
BgL_auxz00_3339 = 
((BgL_pgpzd2keyzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1619))
; } } } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1166z00_156))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)BgL_auxz00_3339),BUNSPEC); } 
BgL_mainzd2keyzd2_138 = BgL_new1166z00_156; } 
{ /* Llib/pgp_composition.scm 233 */
 obj_t BgL_allzd2subkeyszd2_139;
BgL_allzd2subkeyszd2_139 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_mainzd2keyzd2_138), BgL_subkeysz00_135); 
{ /* Llib/pgp_composition.scm 238 */
 BgL_pgpzd2keyzd2_bglt BgL_reszd2keyzd2_140;
{ /* Llib/pgp_composition.scm 239 */
 BgL_pgpzd2keyzd2_bglt BgL_new1168z00_153;
{ /* Llib/pgp_composition.scm 241 */
 BgL_pgpzd2keyzd2_bglt BgL_new1167z00_154;
BgL_new1167z00_154 = 
((BgL_pgpzd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2keyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 241 */
 long BgL_arg1574z00_155;
BgL_arg1574z00_155 = 
BGL_CLASS_NUM(BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1167z00_154), BgL_arg1574z00_155); } 
{ /* Llib/pgp_composition.scm 241 */
 BgL_objectz00_bglt BgL_tmpz00_3353;
BgL_tmpz00_3353 = 
((BgL_objectz00_bglt)BgL_new1167z00_154); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3353, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1167z00_154); 
BgL_new1168z00_153 = BgL_new1167z00_154; } 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_new1168z00_153))->BgL_subkeysz00)=((obj_t)BgL_allzd2subkeyszd2_139),BUNSPEC); 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_new1168z00_153))->BgL_userzd2idszd2)=((obj_t)
BGl_appendzd221009zd2zz__openpgpzd2compositionzd2(BgL_nuserzd2idszd2_130, BgL_userzd2idszd2_8)),BUNSPEC); 
BgL_reszd2keyzd2_140 = BgL_new1168z00_153; } 
{ /* Llib/pgp_composition.scm 239 */

{ 
 obj_t BgL_l1240z00_142;
BgL_l1240z00_142 = BgL_allzd2subkeyszd2_139; 
BgL_zc3z04anonymousza31552ze3z87_143:
if(
PAIRP(BgL_l1240z00_142))
{ /* Llib/pgp_composition.scm 242 */
{ /* Llib/pgp_composition.scm 243 */
 obj_t BgL_skeyz00_145;
BgL_skeyz00_145 = 
CAR(BgL_l1240z00_142); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_skeyz00_145)))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)BgL_reszd2keyzd2_140),BUNSPEC); } 
{ 
 obj_t BgL_l1240z00_3365;
BgL_l1240z00_3365 = 
CDR(BgL_l1240z00_142); 
BgL_l1240z00_142 = BgL_l1240z00_3365; 
goto BgL_zc3z04anonymousza31552ze3z87_143;} }  else 
{ /* Llib/pgp_composition.scm 242 */((bool_t)1); } } 
{ /* Llib/pgp_composition.scm 246 */
 obj_t BgL_val0_1242z00_149;
{ /* Llib/pgp_composition.scm 246 */
 obj_t BgL_list1568z00_152;
BgL_list1568z00_152 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_reszd2keyzd2_140), BNIL); 
BgL_val0_1242z00_149 = BgL_list1568z00_152; } 
{ /* Llib/pgp_composition.scm 246 */
 int BgL_tmpz00_3369;
BgL_tmpz00_3369 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3369); } 
{ /* Llib/pgp_composition.scm 246 */
 int BgL_tmpz00_3372;
BgL_tmpz00_3372 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3372, BgL_remainingzd2packetszd2_136); } 
{ /* Llib/pgp_composition.scm 246 */
 int BgL_tmpz00_3375;
BgL_tmpz00_3375 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3375, BgL_nuserzd2idszd2_130); } 
return BgL_val0_1242z00_149;} } } } }  else 
{ /* Llib/pgp_composition.scm 232 */
{ /* Llib/pgp_composition.scm 247 */
 int BgL_tmpz00_3378;
BgL_tmpz00_3378 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3378); } 
{ /* Llib/pgp_composition.scm 247 */
 int BgL_tmpz00_3381;
BgL_tmpz00_3381 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3381, BgL_remainingzd2packetszd2_136); } 
{ /* Llib/pgp_composition.scm 247 */
 int BgL_tmpz00_3384;
BgL_tmpz00_3384 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3384, BgL_userzd2idszd2_8); } 
return BNIL;} } } } } } } } } } } 

}



/* revocation-signature?~0 */
bool_t BGl_revocationzd2signaturezf3ze70zc6zz__openpgpzd2compositionzd2(obj_t BgL_pktz00_163)
{
{ /* Llib/pgp_composition.scm 129 */
{ /* Llib/pgp_composition.scm 127 */
 bool_t BgL_test2545z00_3387;
{ /* Llib/pgp_composition.scm 127 */
 obj_t BgL_classz00_1393;
BgL_classz00_1393 = BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pktz00_163))
{ /* Llib/pgp_composition.scm 127 */
 BgL_objectz00_bglt BgL_arg1793z00_1395;
BgL_arg1793z00_1395 = 
(BgL_objectz00_bglt)(BgL_pktz00_163); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 127 */
 long BgL_idxz00_1401;
BgL_idxz00_1401 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1395); 
BgL_test2545z00_3387 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1401+((long)3)))==BgL_classz00_1393); }  else 
{ /* Llib/pgp_composition.scm 127 */
 bool_t BgL_res2193z00_1423;
{ /* Llib/pgp_composition.scm 127 */
 obj_t BgL_oclassz00_1409;
{ /* Llib/pgp_composition.scm 127 */
 long BgL_arg1801z00_1415;
{ /* Llib/pgp_composition.scm 127 */
 long BgL_arg1802z00_1416;
BgL_arg1802z00_1416 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1395); 
BgL_arg1801z00_1415 = 
(BgL_arg1802z00_1416-OBJECT_TYPE); } 
BgL_oclassz00_1409 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1415); } 
{ /* Llib/pgp_composition.scm 127 */
 bool_t BgL__ortest_1110z00_1410;
BgL__ortest_1110z00_1410 = 
(BgL_classz00_1393==BgL_oclassz00_1409); 
if(BgL__ortest_1110z00_1410)
{ /* Llib/pgp_composition.scm 127 */
BgL_res2193z00_1423 = BgL__ortest_1110z00_1410; }  else 
{ /* Llib/pgp_composition.scm 127 */
 long BgL_odepthz00_1411;
BgL_odepthz00_1411 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1409); 
if(
(((long)3)<BgL_odepthz00_1411))
{ /* Llib/pgp_composition.scm 127 */
 obj_t BgL_arg1790z00_1413;
BgL_arg1790z00_1413 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1409, ((long)3)); 
BgL_res2193z00_1423 = 
(BgL_arg1790z00_1413==BgL_classz00_1393); }  else 
{ /* Llib/pgp_composition.scm 127 */
BgL_res2193z00_1423 = ((bool_t)0); } } } } 
BgL_test2545z00_3387 = BgL_res2193z00_1423; } }  else 
{ /* Llib/pgp_composition.scm 127 */
BgL_test2545z00_3387 = ((bool_t)0)
; } } 
if(BgL_test2545z00_3387)
{ /* Llib/pgp_composition.scm 127 */
return 
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_163))))->BgL_signaturezd2typezd2)==
CNST_TABLE_REF(((long)4)));}  else 
{ /* Llib/pgp_composition.scm 127 */
return ((bool_t)0);} } } 

}



/* subkey-sig?~0 */
bool_t BGl_subkeyzd2sigzf3ze70zc6zz__openpgpzd2compositionzd2(obj_t BgL_pktz00_301)
{
{ /* Llib/pgp_composition.scm 185 */
{ /* Llib/pgp_composition.scm 183 */
 bool_t BgL_test2550z00_3412;
{ /* Llib/pgp_composition.scm 183 */
 obj_t BgL_classz00_1500;
BgL_classz00_1500 = BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pktz00_301))
{ /* Llib/pgp_composition.scm 183 */
 BgL_objectz00_bglt BgL_arg1793z00_1502;
BgL_arg1793z00_1502 = 
(BgL_objectz00_bglt)(BgL_pktz00_301); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 183 */
 long BgL_idxz00_1508;
BgL_idxz00_1508 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1502); 
BgL_test2550z00_3412 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1508+((long)3)))==BgL_classz00_1500); }  else 
{ /* Llib/pgp_composition.scm 183 */
 bool_t BgL_res2196z00_1530;
{ /* Llib/pgp_composition.scm 183 */
 obj_t BgL_oclassz00_1516;
{ /* Llib/pgp_composition.scm 183 */
 long BgL_arg1801z00_1522;
{ /* Llib/pgp_composition.scm 183 */
 long BgL_arg1802z00_1523;
BgL_arg1802z00_1523 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1502); 
BgL_arg1801z00_1522 = 
(BgL_arg1802z00_1523-OBJECT_TYPE); } 
BgL_oclassz00_1516 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1522); } 
{ /* Llib/pgp_composition.scm 183 */
 bool_t BgL__ortest_1110z00_1517;
BgL__ortest_1110z00_1517 = 
(BgL_classz00_1500==BgL_oclassz00_1516); 
if(BgL__ortest_1110z00_1517)
{ /* Llib/pgp_composition.scm 183 */
BgL_res2196z00_1530 = BgL__ortest_1110z00_1517; }  else 
{ /* Llib/pgp_composition.scm 183 */
 long BgL_odepthz00_1518;
BgL_odepthz00_1518 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1516); 
if(
(((long)3)<BgL_odepthz00_1518))
{ /* Llib/pgp_composition.scm 183 */
 obj_t BgL_arg1790z00_1520;
BgL_arg1790z00_1520 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1516, ((long)3)); 
BgL_res2196z00_1530 = 
(BgL_arg1790z00_1520==BgL_classz00_1500); }  else 
{ /* Llib/pgp_composition.scm 183 */
BgL_res2196z00_1530 = ((bool_t)0); } } } } 
BgL_test2550z00_3412 = BgL_res2196z00_1530; } }  else 
{ /* Llib/pgp_composition.scm 183 */
BgL_test2550z00_3412 = ((bool_t)0)
; } } 
if(BgL_test2550z00_3412)
{ /* Llib/pgp_composition.scm 183 */
return 
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_301))))->BgL_signaturezd2typezd2)==
CNST_TABLE_REF(((long)5)));}  else 
{ /* Llib/pgp_composition.scm 183 */
return ((bool_t)0);} } } 

}



/* parse-encrypted-message */
obj_t BGl_parsezd2encryptedzd2messagez00zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_9)
{
{ /* Llib/pgp_composition.scm 252 */
{ 
 obj_t BgL_packetsz00_314; obj_t BgL_sessionzd2keyszd2_315;
BgL_packetsz00_314 = BgL_packetsz00_9; 
BgL_sessionzd2keyszd2_315 = BNIL; 
BgL_zc3z04anonymousza31763ze3z87_316:
if(
NULLP(BgL_packetsz00_314))
{ /* Llib/pgp_composition.scm 257 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2250z00zz__openpgpzd2compositionzd2, BGl_string2251z00zz__openpgpzd2compositionzd2, BFALSE);}  else 
{ /* Llib/pgp_composition.scm 261 */
 bool_t BgL_test2556z00_3440;
{ /* Llib/pgp_composition.scm 261 */
 obj_t BgL_arg1823z00_347;
BgL_arg1823z00_347 = 
CAR(
((obj_t)BgL_packetsz00_314)); 
{ /* Llib/pgp_composition.scm 261 */
 obj_t BgL_classz00_1629;
BgL_classz00_1629 = BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1823z00_347))
{ /* Llib/pgp_composition.scm 261 */
 BgL_objectz00_bglt BgL_arg1793z00_1631;
BgL_arg1793z00_1631 = 
(BgL_objectz00_bglt)(BgL_arg1823z00_347); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 261 */
 long BgL_idxz00_1637;
BgL_idxz00_1637 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1631); 
BgL_test2556z00_3440 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1637+((long)2)))==BgL_classz00_1629); }  else 
{ /* Llib/pgp_composition.scm 261 */
 bool_t BgL_res2200z00_1659;
{ /* Llib/pgp_composition.scm 261 */
 obj_t BgL_oclassz00_1645;
{ /* Llib/pgp_composition.scm 261 */
 long BgL_arg1801z00_1651;
{ /* Llib/pgp_composition.scm 261 */
 long BgL_arg1802z00_1652;
BgL_arg1802z00_1652 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1631); 
BgL_arg1801z00_1651 = 
(BgL_arg1802z00_1652-OBJECT_TYPE); } 
BgL_oclassz00_1645 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1651); } 
{ /* Llib/pgp_composition.scm 261 */
 bool_t BgL__ortest_1110z00_1646;
BgL__ortest_1110z00_1646 = 
(BgL_classz00_1629==BgL_oclassz00_1645); 
if(BgL__ortest_1110z00_1646)
{ /* Llib/pgp_composition.scm 261 */
BgL_res2200z00_1659 = BgL__ortest_1110z00_1646; }  else 
{ /* Llib/pgp_composition.scm 261 */
 long BgL_odepthz00_1647;
BgL_odepthz00_1647 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1645); 
if(
(((long)2)<BgL_odepthz00_1647))
{ /* Llib/pgp_composition.scm 261 */
 obj_t BgL_arg1790z00_1649;
BgL_arg1790z00_1649 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1645, ((long)2)); 
BgL_res2200z00_1659 = 
(BgL_arg1790z00_1649==BgL_classz00_1629); }  else 
{ /* Llib/pgp_composition.scm 261 */
BgL_res2200z00_1659 = ((bool_t)0); } } } } 
BgL_test2556z00_3440 = BgL_res2200z00_1659; } }  else 
{ /* Llib/pgp_composition.scm 261 */
BgL_test2556z00_3440 = ((bool_t)0)
; } } } 
if(BgL_test2556z00_3440)
{ /* Llib/pgp_composition.scm 261 */
if(
NULLP(
CDR(
((obj_t)BgL_packetsz00_314))))
{ /* Llib/pgp_composition.scm 262 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 263 */
 obj_t BgL_list1771z00_322;
BgL_list1771z00_322 = 
MAKE_YOUNG_PAIR(BGl_string2252z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1771z00_322); } 
{ /* Llib/pgp_composition.scm 264 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1174z00_324;
{ /* Llib/pgp_composition.scm 265 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1173z00_325;
BgL_new1173z00_325 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 265 */
 long BgL_arg1787z00_326;
BgL_arg1787z00_326 = 
BGL_CLASS_NUM(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1173z00_325), BgL_arg1787z00_326); } 
{ /* Llib/pgp_composition.scm 265 */
 BgL_objectz00_bglt BgL_tmpz00_3472;
BgL_tmpz00_3472 = 
((BgL_objectz00_bglt)BgL_new1173z00_325); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3472, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1173z00_325); 
BgL_new1174z00_324 = BgL_new1173z00_325; } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1174z00_324))->BgL_sessionzd2keyszd2)=((obj_t)
bgl_reverse_bang(BgL_sessionzd2keyszd2_315)),BUNSPEC); 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1174z00_324))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
CAR(
((obj_t)BgL_packetsz00_314)))),BUNSPEC); 
return 
((obj_t)BgL_new1174z00_324);} }  else 
{ /* Llib/pgp_composition.scm 267 */
 bool_t BgL_test2562z00_3483;
{ /* Llib/pgp_composition.scm 267 */
 obj_t BgL_arg1822z00_346;
BgL_arg1822z00_346 = 
CAR(
((obj_t)BgL_packetsz00_314)); 
{ /* Llib/pgp_composition.scm 267 */
 obj_t BgL_classz00_1667;
BgL_classz00_1667 = BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1822z00_346))
{ /* Llib/pgp_composition.scm 267 */
 BgL_objectz00_bglt BgL_arg1793z00_1669;
BgL_arg1793z00_1669 = 
(BgL_objectz00_bglt)(BgL_arg1822z00_346); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 267 */
 long BgL_idxz00_1675;
BgL_idxz00_1675 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1669); 
BgL_test2562z00_3483 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1675+((long)3)))==BgL_classz00_1667); }  else 
{ /* Llib/pgp_composition.scm 267 */
 bool_t BgL_res2201z00_1697;
{ /* Llib/pgp_composition.scm 267 */
 obj_t BgL_oclassz00_1683;
{ /* Llib/pgp_composition.scm 267 */
 long BgL_arg1801z00_1689;
{ /* Llib/pgp_composition.scm 267 */
 long BgL_arg1802z00_1690;
BgL_arg1802z00_1690 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1669); 
BgL_arg1801z00_1689 = 
(BgL_arg1802z00_1690-OBJECT_TYPE); } 
BgL_oclassz00_1683 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1689); } 
{ /* Llib/pgp_composition.scm 267 */
 bool_t BgL__ortest_1110z00_1684;
BgL__ortest_1110z00_1684 = 
(BgL_classz00_1667==BgL_oclassz00_1683); 
if(BgL__ortest_1110z00_1684)
{ /* Llib/pgp_composition.scm 267 */
BgL_res2201z00_1697 = BgL__ortest_1110z00_1684; }  else 
{ /* Llib/pgp_composition.scm 267 */
 long BgL_odepthz00_1685;
BgL_odepthz00_1685 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1683); 
if(
(((long)3)<BgL_odepthz00_1685))
{ /* Llib/pgp_composition.scm 267 */
 obj_t BgL_arg1790z00_1687;
BgL_arg1790z00_1687 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1683, ((long)3)); 
BgL_res2201z00_1697 = 
(BgL_arg1790z00_1687==BgL_classz00_1667); }  else 
{ /* Llib/pgp_composition.scm 267 */
BgL_res2201z00_1697 = ((bool_t)0); } } } } 
BgL_test2562z00_3483 = BgL_res2201z00_1697; } }  else 
{ /* Llib/pgp_composition.scm 267 */
BgL_test2562z00_3483 = ((bool_t)0)
; } } } 
if(BgL_test2562z00_3483)
{ /* Llib/pgp_composition.scm 267 */
if(
NULLP(
CDR(
((obj_t)BgL_packetsz00_314))))
{ /* Llib/pgp_composition.scm 268 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 269 */
 obj_t BgL_list1796z00_331;
BgL_list1796z00_331 = 
MAKE_YOUNG_PAIR(BGl_string2252z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1796z00_331); } 
{ /* Llib/pgp_composition.scm 270 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1176z00_333;
{ /* Llib/pgp_composition.scm 271 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1175z00_334;
BgL_new1175z00_334 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 271 */
 long BgL_arg1807z00_335;
BgL_arg1807z00_335 = 
BGL_CLASS_NUM(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_334), BgL_arg1807z00_335); } 
{ /* Llib/pgp_composition.scm 271 */
 BgL_objectz00_bglt BgL_tmpz00_3515;
BgL_tmpz00_3515 = 
((BgL_objectz00_bglt)BgL_new1175z00_334); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3515, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1175z00_334); 
BgL_new1176z00_333 = BgL_new1175z00_334; } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1176z00_333))->BgL_sessionzd2keyszd2)=((obj_t)
bgl_reverse_bang(BgL_sessionzd2keyszd2_315)),BUNSPEC); 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1176z00_333))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
CAR(
((obj_t)BgL_packetsz00_314)))),BUNSPEC); 
return 
((obj_t)BgL_new1176z00_333);} }  else 
{ /* Llib/pgp_composition.scm 273 */
 bool_t BgL_test2568z00_3526;
{ /* Llib/pgp_composition.scm 273 */
 obj_t BgL_arg1821z00_345;
BgL_arg1821z00_345 = 
CAR(
((obj_t)BgL_packetsz00_314)); 
{ /* Llib/pgp_composition.scm 273 */
 obj_t BgL_classz00_1705;
BgL_classz00_1705 = BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1821z00_345))
{ /* Llib/pgp_composition.scm 273 */
 BgL_objectz00_bglt BgL_arg1793z00_1707;
BgL_arg1793z00_1707 = 
(BgL_objectz00_bglt)(BgL_arg1821z00_345); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 273 */
 long BgL_idxz00_1713;
BgL_idxz00_1713 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1707); 
BgL_test2568z00_3526 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1713+((long)2)))==BgL_classz00_1705); }  else 
{ /* Llib/pgp_composition.scm 273 */
 bool_t BgL_res2202z00_1735;
{ /* Llib/pgp_composition.scm 273 */
 obj_t BgL_oclassz00_1721;
{ /* Llib/pgp_composition.scm 273 */
 long BgL_arg1801z00_1727;
{ /* Llib/pgp_composition.scm 273 */
 long BgL_arg1802z00_1728;
BgL_arg1802z00_1728 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1707); 
BgL_arg1801z00_1727 = 
(BgL_arg1802z00_1728-OBJECT_TYPE); } 
BgL_oclassz00_1721 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1727); } 
{ /* Llib/pgp_composition.scm 273 */
 bool_t BgL__ortest_1110z00_1722;
BgL__ortest_1110z00_1722 = 
(BgL_classz00_1705==BgL_oclassz00_1721); 
if(BgL__ortest_1110z00_1722)
{ /* Llib/pgp_composition.scm 273 */
BgL_res2202z00_1735 = BgL__ortest_1110z00_1722; }  else 
{ /* Llib/pgp_composition.scm 273 */
 long BgL_odepthz00_1723;
BgL_odepthz00_1723 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1721); 
if(
(((long)2)<BgL_odepthz00_1723))
{ /* Llib/pgp_composition.scm 273 */
 obj_t BgL_arg1790z00_1725;
BgL_arg1790z00_1725 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1721, ((long)2)); 
BgL_res2202z00_1735 = 
(BgL_arg1790z00_1725==BgL_classz00_1705); }  else 
{ /* Llib/pgp_composition.scm 273 */
BgL_res2202z00_1735 = ((bool_t)0); } } } } 
BgL_test2568z00_3526 = BgL_res2202z00_1735; } }  else 
{ /* Llib/pgp_composition.scm 273 */
BgL_test2568z00_3526 = ((bool_t)0)
; } } } 
if(BgL_test2568z00_3526)
{ /* Llib/pgp_composition.scm 274 */
 obj_t BgL_arg1814z00_338; obj_t BgL_arg1815z00_339;
BgL_arg1814z00_338 = 
CDR(
((obj_t)BgL_packetsz00_314)); 
{ /* Llib/pgp_composition.scm 275 */
 obj_t BgL_arg1816z00_340;
BgL_arg1816z00_340 = 
CAR(
((obj_t)BgL_packetsz00_314)); 
BgL_arg1815z00_339 = 
MAKE_YOUNG_PAIR(BgL_arg1816z00_340, BgL_sessionzd2keyszd2_315); } 
{ 
 obj_t BgL_sessionzd2keyszd2_3554; obj_t BgL_packetsz00_3553;
BgL_packetsz00_3553 = BgL_arg1814z00_338; 
BgL_sessionzd2keyszd2_3554 = BgL_arg1815z00_339; 
BgL_sessionzd2keyszd2_315 = BgL_sessionzd2keyszd2_3554; 
BgL_packetsz00_314 = BgL_packetsz00_3553; 
goto BgL_zc3z04anonymousza31763ze3z87_316;} }  else 
{ /* Llib/pgp_composition.scm 273 */
{ /* Llib/pgp_composition.scm 278 */
 obj_t BgL_arg1817z00_341;
BgL_arg1817z00_341 = 
CAR(
((obj_t)BgL_packetsz00_314)); 
{ /* Llib/pgp_composition.scm 277 */
 obj_t BgL_list1818z00_342;
{ /* Llib/pgp_composition.scm 277 */
 obj_t BgL_arg1819z00_343;
BgL_arg1819z00_343 = 
MAKE_YOUNG_PAIR(BgL_arg1817z00_341, BNIL); 
BgL_list1818z00_342 = 
MAKE_YOUNG_PAIR(BGl_string2253z00zz__openpgpzd2compositionzd2, BgL_arg1819z00_343); } 
BGl_warningz00zz__errorz00(BgL_list1818z00_342); } } 
{ /* Llib/pgp_composition.scm 279 */
 obj_t BgL_arg1820z00_344;
BgL_arg1820z00_344 = 
CDR(
((obj_t)BgL_packetsz00_314)); 
{ 
 obj_t BgL_packetsz00_3562;
BgL_packetsz00_3562 = BgL_arg1820z00_344; 
BgL_packetsz00_314 = BgL_packetsz00_3562; 
goto BgL_zc3z04anonymousza31763ze3z87_316;} } } } } } } } 

}



/* parse-signature */
BgL_pgpzd2signaturezd2_bglt BGl_parsezd2signaturezd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_10)
{
{ /* Llib/pgp_composition.scm 284 */
{ 
 obj_t BgL_packetsz00_351; obj_t BgL_sigsz00_352;
BgL_packetsz00_351 = BgL_packetsz00_10; 
BgL_sigsz00_352 = BNIL; 
BgL_zc3z04anonymousza31824ze3z87_353:
if(
NULLP(BgL_packetsz00_351))
{ /* Llib/pgp_composition.scm 291 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1179z00_355;
{ /* Llib/pgp_composition.scm 292 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1178z00_356;
BgL_new1178z00_356 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 292 */
 long BgL_arg1826z00_357;
BgL_arg1826z00_357 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1178z00_356), BgL_arg1826z00_357); } 
BgL_new1179z00_355 = BgL_new1178z00_356; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1179z00_355))->BgL_msgz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1179z00_355))->BgL_sigsz00)=((obj_t)
bgl_reverse_bang(BgL_sigsz00_352)),BUNSPEC); 
return BgL_new1179z00_355;}  else 
{ /* Llib/pgp_composition.scm 294 */
 bool_t BgL_test2574z00_3572;
{ /* Llib/pgp_composition.scm 294 */
 obj_t BgL_arg1850z00_383;
BgL_arg1850z00_383 = 
CAR(
((obj_t)BgL_packetsz00_351)); 
{ /* Llib/pgp_composition.scm 294 */
 obj_t BgL_classz00_1744;
BgL_classz00_1744 = BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1850z00_383))
{ /* Llib/pgp_composition.scm 294 */
 BgL_objectz00_bglt BgL_arg1793z00_1746;
BgL_arg1793z00_1746 = 
(BgL_objectz00_bglt)(BgL_arg1850z00_383); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 294 */
 long BgL_idxz00_1752;
BgL_idxz00_1752 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1746); 
BgL_test2574z00_3572 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1752+((long)2)))==BgL_classz00_1744); }  else 
{ /* Llib/pgp_composition.scm 294 */
 bool_t BgL_res2203z00_1774;
{ /* Llib/pgp_composition.scm 294 */
 obj_t BgL_oclassz00_1760;
{ /* Llib/pgp_composition.scm 294 */
 long BgL_arg1801z00_1766;
{ /* Llib/pgp_composition.scm 294 */
 long BgL_arg1802z00_1767;
BgL_arg1802z00_1767 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1746); 
BgL_arg1801z00_1766 = 
(BgL_arg1802z00_1767-OBJECT_TYPE); } 
BgL_oclassz00_1760 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1766); } 
{ /* Llib/pgp_composition.scm 294 */
 bool_t BgL__ortest_1110z00_1761;
BgL__ortest_1110z00_1761 = 
(BgL_classz00_1744==BgL_oclassz00_1760); 
if(BgL__ortest_1110z00_1761)
{ /* Llib/pgp_composition.scm 294 */
BgL_res2203z00_1774 = BgL__ortest_1110z00_1761; }  else 
{ /* Llib/pgp_composition.scm 294 */
 long BgL_odepthz00_1762;
BgL_odepthz00_1762 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1760); 
if(
(((long)2)<BgL_odepthz00_1762))
{ /* Llib/pgp_composition.scm 294 */
 obj_t BgL_arg1790z00_1764;
BgL_arg1790z00_1764 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1760, ((long)2)); 
BgL_res2203z00_1774 = 
(BgL_arg1790z00_1764==BgL_classz00_1744); }  else 
{ /* Llib/pgp_composition.scm 294 */
BgL_res2203z00_1774 = ((bool_t)0); } } } } 
BgL_test2574z00_3572 = BgL_res2203z00_1774; } }  else 
{ /* Llib/pgp_composition.scm 294 */
BgL_test2574z00_3572 = ((bool_t)0)
; } } } 
if(BgL_test2574z00_3572)
{ /* Llib/pgp_composition.scm 295 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_i1180z00_360;
BgL_i1180z00_360 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_351))); 
{ 
 obj_t BgL_packetsz00_3597;
BgL_packetsz00_3597 = 
BGl_appendzd221009zd2zz__openpgpzd2compositionzd2(
(((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_i1180z00_360))->BgL_packetsz00), BgL_packetsz00_351); 
BgL_packetsz00_351 = BgL_packetsz00_3597; 
goto BgL_zc3z04anonymousza31824ze3z87_353;} }  else 
{ /* Llib/pgp_composition.scm 297 */
 bool_t BgL_test2579z00_3600;
{ /* Llib/pgp_composition.scm 297 */
 obj_t BgL_arg1849z00_382;
BgL_arg1849z00_382 = 
CAR(
((obj_t)BgL_packetsz00_351)); 
{ /* Llib/pgp_composition.scm 297 */
 obj_t BgL_classz00_1777;
BgL_classz00_1777 = BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1849z00_382))
{ /* Llib/pgp_composition.scm 297 */
 BgL_objectz00_bglt BgL_arg1793z00_1779;
BgL_arg1793z00_1779 = 
(BgL_objectz00_bglt)(BgL_arg1849z00_382); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 297 */
 long BgL_idxz00_1785;
BgL_idxz00_1785 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1779); 
BgL_test2579z00_3600 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1785+((long)3)))==BgL_classz00_1777); }  else 
{ /* Llib/pgp_composition.scm 297 */
 bool_t BgL_res2204z00_1807;
{ /* Llib/pgp_composition.scm 297 */
 obj_t BgL_oclassz00_1793;
{ /* Llib/pgp_composition.scm 297 */
 long BgL_arg1801z00_1799;
{ /* Llib/pgp_composition.scm 297 */
 long BgL_arg1802z00_1800;
BgL_arg1802z00_1800 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1779); 
BgL_arg1801z00_1799 = 
(BgL_arg1802z00_1800-OBJECT_TYPE); } 
BgL_oclassz00_1793 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1799); } 
{ /* Llib/pgp_composition.scm 297 */
 bool_t BgL__ortest_1110z00_1794;
BgL__ortest_1110z00_1794 = 
(BgL_classz00_1777==BgL_oclassz00_1793); 
if(BgL__ortest_1110z00_1794)
{ /* Llib/pgp_composition.scm 297 */
BgL_res2204z00_1807 = BgL__ortest_1110z00_1794; }  else 
{ /* Llib/pgp_composition.scm 297 */
 long BgL_odepthz00_1795;
BgL_odepthz00_1795 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1793); 
if(
(((long)3)<BgL_odepthz00_1795))
{ /* Llib/pgp_composition.scm 297 */
 obj_t BgL_arg1790z00_1797;
BgL_arg1790z00_1797 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1793, ((long)3)); 
BgL_res2204z00_1807 = 
(BgL_arg1790z00_1797==BgL_classz00_1777); }  else 
{ /* Llib/pgp_composition.scm 297 */
BgL_res2204z00_1807 = ((bool_t)0); } } } } 
BgL_test2579z00_3600 = BgL_res2204z00_1807; } }  else 
{ /* Llib/pgp_composition.scm 297 */
BgL_test2579z00_3600 = ((bool_t)0)
; } } } 
if(BgL_test2579z00_3600)
{ /* Llib/pgp_composition.scm 298 */
 obj_t BgL_arg1833z00_365; obj_t BgL_arg1834z00_366;
BgL_arg1833z00_365 = 
CDR(
((obj_t)BgL_packetsz00_351)); 
{ /* Llib/pgp_composition.scm 298 */
 obj_t BgL_arg1835z00_367;
BgL_arg1835z00_367 = 
CAR(
((obj_t)BgL_packetsz00_351)); 
BgL_arg1834z00_366 = 
MAKE_YOUNG_PAIR(BgL_arg1835z00_367, BgL_sigsz00_352); } 
{ 
 obj_t BgL_sigsz00_3628; obj_t BgL_packetsz00_3627;
BgL_packetsz00_3627 = BgL_arg1833z00_365; 
BgL_sigsz00_3628 = BgL_arg1834z00_366; 
BgL_sigsz00_352 = BgL_sigsz00_3628; 
BgL_packetsz00_351 = BgL_packetsz00_3627; 
goto BgL_zc3z04anonymousza31824ze3z87_353;} }  else 
{ /* Llib/pgp_composition.scm 299 */
 bool_t BgL_test2584z00_3629;
{ /* Llib/pgp_composition.scm 299 */
 obj_t BgL_arg1848z00_381;
BgL_arg1848z00_381 = 
CAR(
((obj_t)BgL_packetsz00_351)); 
{ /* Llib/pgp_composition.scm 299 */
 obj_t BgL_classz00_1811;
BgL_classz00_1811 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1848z00_381))
{ /* Llib/pgp_composition.scm 299 */
 BgL_objectz00_bglt BgL_arg1793z00_1813;
BgL_arg1793z00_1813 = 
(BgL_objectz00_bglt)(BgL_arg1848z00_381); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 299 */
 long BgL_idxz00_1819;
BgL_idxz00_1819 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1813); 
BgL_test2584z00_3629 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1819+((long)2)))==BgL_classz00_1811); }  else 
{ /* Llib/pgp_composition.scm 299 */
 bool_t BgL_res2205z00_1841;
{ /* Llib/pgp_composition.scm 299 */
 obj_t BgL_oclassz00_1827;
{ /* Llib/pgp_composition.scm 299 */
 long BgL_arg1801z00_1833;
{ /* Llib/pgp_composition.scm 299 */
 long BgL_arg1802z00_1834;
BgL_arg1802z00_1834 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1813); 
BgL_arg1801z00_1833 = 
(BgL_arg1802z00_1834-OBJECT_TYPE); } 
BgL_oclassz00_1827 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1833); } 
{ /* Llib/pgp_composition.scm 299 */
 bool_t BgL__ortest_1110z00_1828;
BgL__ortest_1110z00_1828 = 
(BgL_classz00_1811==BgL_oclassz00_1827); 
if(BgL__ortest_1110z00_1828)
{ /* Llib/pgp_composition.scm 299 */
BgL_res2205z00_1841 = BgL__ortest_1110z00_1828; }  else 
{ /* Llib/pgp_composition.scm 299 */
 long BgL_odepthz00_1829;
BgL_odepthz00_1829 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1827); 
if(
(((long)2)<BgL_odepthz00_1829))
{ /* Llib/pgp_composition.scm 299 */
 obj_t BgL_arg1790z00_1831;
BgL_arg1790z00_1831 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1827, ((long)2)); 
BgL_res2205z00_1841 = 
(BgL_arg1790z00_1831==BgL_classz00_1811); }  else 
{ /* Llib/pgp_composition.scm 299 */
BgL_res2205z00_1841 = ((bool_t)0); } } } } 
BgL_test2584z00_3629 = BgL_res2205z00_1841; } }  else 
{ /* Llib/pgp_composition.scm 299 */
BgL_test2584z00_3629 = ((bool_t)0)
; } } } 
if(BgL_test2584z00_3629)
{ /* Llib/pgp_composition.scm 299 */
if(
NULLP(
CDR(
((obj_t)BgL_packetsz00_351))))
{ /* Llib/pgp_composition.scm 300 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 301 */
 obj_t BgL_list1841z00_372;
BgL_list1841z00_372 = 
MAKE_YOUNG_PAIR(BGl_string2254z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1841z00_372); } 
{ /* Llib/pgp_composition.scm 302 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1182z00_374;
{ /* Llib/pgp_composition.scm 303 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1181z00_375;
BgL_new1181z00_375 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 303 */
 long BgL_arg1843z00_376;
BgL_arg1843z00_376 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1181z00_375), BgL_arg1843z00_376); } 
BgL_new1182z00_374 = BgL_new1181z00_375; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1182z00_374))->BgL_msgz00)=((obj_t)
CAR(
((obj_t)BgL_packetsz00_351))),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1182z00_374))->BgL_sigsz00)=((obj_t)
bgl_reverse_bang(BgL_sigsz00_352)),BUNSPEC); 
return BgL_new1182z00_374;} }  else 
{ /* Llib/pgp_composition.scm 299 */
{ /* Llib/pgp_composition.scm 307 */
 obj_t BgL_arg1844z00_377;
BgL_arg1844z00_377 = 
CAR(
((obj_t)BgL_packetsz00_351)); 
{ /* Llib/pgp_composition.scm 306 */
 obj_t BgL_list1845z00_378;
{ /* Llib/pgp_composition.scm 306 */
 obj_t BgL_arg1846z00_379;
BgL_arg1846z00_379 = 
MAKE_YOUNG_PAIR(BgL_arg1844z00_377, BNIL); 
BgL_list1845z00_378 = 
MAKE_YOUNG_PAIR(BGl_string2253z00zz__openpgpzd2compositionzd2, BgL_arg1846z00_379); } 
BGl_warningz00zz__errorz00(BgL_list1845z00_378); } } 
{ /* Llib/pgp_composition.scm 308 */
 obj_t BgL_arg1847z00_380;
BgL_arg1847z00_380 = 
CDR(
((obj_t)BgL_packetsz00_351)); 
{ 
 obj_t BgL_packetsz00_3673;
BgL_packetsz00_3673 = BgL_arg1847z00_380; 
BgL_packetsz00_351 = BgL_packetsz00_3673; 
goto BgL_zc3z04anonymousza31824ze3z87_353;} } } } } } } } 

}



/* parse-one-pass-signature */
obj_t BGl_parsezd2onezd2passzd2signaturezd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_11)
{
{ /* Llib/pgp_composition.scm 313 */
{ 
 obj_t BgL_opzd2pktzd2_442; obj_t BgL_pktz00_443;
{ 
 obj_t BgL_packetsz00_389; bool_t BgL_expectzd2onezd2passzf3zf3_390; obj_t BgL_onezd2passzd2sigsz00_391; obj_t BgL_msgz00_392; obj_t BgL_sigsz00_393;
BgL_packetsz00_389 = BgL_packetsz00_11; 
BgL_expectzd2onezd2passzf3zf3_390 = ((bool_t)1); 
BgL_onezd2passzd2sigsz00_391 = BNIL; 
BgL_msgz00_392 = BFALSE; 
BgL_sigsz00_393 = BNIL; 
BgL_zc3z04anonymousza31851ze3z87_394:
if(
NULLP(BgL_packetsz00_389))
{ /* Llib/pgp_composition.scm 337 */
 obj_t BgL_onezd2passzd2sigsz00_396;
BgL_onezd2passzd2sigsz00_396 = 
bgl_reverse_bang(BgL_onezd2passzd2sigsz00_391); 
if(
(
bgl_list_length(BgL_onezd2passzd2sigsz00_396)==
bgl_list_length(BgL_sigsz00_393)))
{ /* Llib/pgp_composition.scm 338 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 338 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2255z00zz__openpgpzd2compositionzd2, BGl_string2256z00zz__openpgpzd2compositionzd2, BFALSE); } 
{ 
 obj_t BgL_ll1248z00_403; obj_t BgL_ll1249z00_404;
BgL_ll1248z00_403 = BgL_onezd2passzd2sigsz00_396; 
BgL_ll1249z00_404 = BgL_sigsz00_393; 
BgL_zc3z04anonymousza31858ze3z87_405:
if(
NULLP(BgL_ll1248z00_403))
{ /* Llib/pgp_composition.scm 343 */((bool_t)1); }  else 
{ /* Llib/pgp_composition.scm 343 */
{ /* Llib/pgp_composition.scm 344 */
 obj_t BgL_opzd2pktzd2_407; obj_t BgL_sigzd2pktzd2_408;
BgL_opzd2pktzd2_407 = 
CAR(
((obj_t)BgL_ll1248z00_403)); 
BgL_sigzd2pktzd2_408 = 
CAR(
((obj_t)BgL_ll1249z00_404)); 
{ /* Llib/pgp_composition.scm 344 */
 bool_t BgL_test2593z00_3688;
BgL_opzd2pktzd2_442 = BgL_opzd2pktzd2_407; 
BgL_pktz00_443 = BgL_sigzd2pktzd2_408; 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_opzd2pktzd2_442))))->BgL_issuerz00), 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_443))))->BgL_issuerz00)))
{ /* Llib/pgp_composition.scm 324 */
if(
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_opzd2pktzd2_442))))->BgL_publiczd2keyzd2algoz00)==
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_443))))->BgL_publiczd2keyzd2algoz00)))
{ /* Llib/pgp_composition.scm 325 */
if(
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_opzd2pktzd2_442))))->BgL_hashzd2algozd2)==
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_443))))->BgL_hashzd2algozd2)))
{ /* Llib/pgp_composition.scm 326 */
BgL_test2593z00_3688 = 
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_opzd2pktzd2_442))))->BgL_signaturezd2typezd2)==
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_443))))->BgL_signaturezd2typezd2))
; }  else 
{ /* Llib/pgp_composition.scm 326 */
BgL_test2593z00_3688 = ((bool_t)0)
; } }  else 
{ /* Llib/pgp_composition.scm 325 */
BgL_test2593z00_3688 = ((bool_t)0)
; } }  else 
{ /* Llib/pgp_composition.scm 324 */
BgL_test2593z00_3688 = ((bool_t)0)
; } 
if(BgL_test2593z00_3688)
{ /* Llib/pgp_composition.scm 344 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 344 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2255z00zz__openpgpzd2compositionzd2, BGl_string2257z00zz__openpgpzd2compositionzd2, BFALSE); } } } 
{ /* Llib/pgp_composition.scm 343 */
 obj_t BgL_arg1861z00_410; obj_t BgL_arg1862z00_411;
BgL_arg1861z00_410 = 
CDR(
((obj_t)BgL_ll1248z00_403)); 
BgL_arg1862z00_411 = 
CDR(
((obj_t)BgL_ll1249z00_404)); 
{ 
 obj_t BgL_ll1249z00_3726; obj_t BgL_ll1248z00_3725;
BgL_ll1248z00_3725 = BgL_arg1861z00_410; 
BgL_ll1249z00_3726 = BgL_arg1862z00_411; 
BgL_ll1249z00_404 = BgL_ll1249z00_3726; 
BgL_ll1248z00_403 = BgL_ll1248z00_3725; 
goto BgL_zc3z04anonymousza31858ze3z87_405;} } } } 
{ /* Llib/pgp_composition.scm 350 */
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1191z00_413;
{ /* Llib/pgp_composition.scm 352 */
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1190z00_414;
BgL_new1190z00_414 = 
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 352 */
 long BgL_arg1863z00_415;
BgL_arg1863z00_415 = 
BGL_CLASS_NUM(BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1190z00_414), BgL_arg1863z00_415); } 
{ /* Llib/pgp_composition.scm 352 */
 BgL_objectz00_bglt BgL_tmpz00_3731;
BgL_tmpz00_3731 = 
((BgL_objectz00_bglt)BgL_new1190z00_414); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3731, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1190z00_414); 
BgL_new1191z00_413 = BgL_new1190z00_414; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1191z00_413)))->BgL_msgz00)=((obj_t)BgL_msgz00_392),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1191z00_413)))->BgL_sigsz00)=((obj_t)BgL_sigsz00_393),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(BgL_new1191z00_413))->BgL_onezd2passzd2sigsz00)=((obj_t)BgL_onezd2passzd2sigsz00_396),BUNSPEC); 
return 
((obj_t)BgL_new1191z00_413);} }  else 
{ /* Llib/pgp_composition.scm 354 */
 bool_t BgL_test2597z00_3741;
{ /* Llib/pgp_composition.scm 354 */
 obj_t BgL_arg1888z00_440;
BgL_arg1888z00_440 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
{ /* Llib/pgp_composition.scm 354 */
 obj_t BgL_classz00_1860;
BgL_classz00_1860 = BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1888z00_440))
{ /* Llib/pgp_composition.scm 354 */
 BgL_objectz00_bglt BgL_arg1793z00_1862;
BgL_arg1793z00_1862 = 
(BgL_objectz00_bglt)(BgL_arg1888z00_440); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 354 */
 long BgL_idxz00_1868;
BgL_idxz00_1868 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1862); 
BgL_test2597z00_3741 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1868+((long)2)))==BgL_classz00_1860); }  else 
{ /* Llib/pgp_composition.scm 354 */
 bool_t BgL_res2206z00_1890;
{ /* Llib/pgp_composition.scm 354 */
 obj_t BgL_oclassz00_1876;
{ /* Llib/pgp_composition.scm 354 */
 long BgL_arg1801z00_1882;
{ /* Llib/pgp_composition.scm 354 */
 long BgL_arg1802z00_1883;
BgL_arg1802z00_1883 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1862); 
BgL_arg1801z00_1882 = 
(BgL_arg1802z00_1883-OBJECT_TYPE); } 
BgL_oclassz00_1876 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1882); } 
{ /* Llib/pgp_composition.scm 354 */
 bool_t BgL__ortest_1110z00_1877;
BgL__ortest_1110z00_1877 = 
(BgL_classz00_1860==BgL_oclassz00_1876); 
if(BgL__ortest_1110z00_1877)
{ /* Llib/pgp_composition.scm 354 */
BgL_res2206z00_1890 = BgL__ortest_1110z00_1877; }  else 
{ /* Llib/pgp_composition.scm 354 */
 long BgL_odepthz00_1878;
BgL_odepthz00_1878 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1876); 
if(
(((long)2)<BgL_odepthz00_1878))
{ /* Llib/pgp_composition.scm 354 */
 obj_t BgL_arg1790z00_1880;
BgL_arg1790z00_1880 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1876, ((long)2)); 
BgL_res2206z00_1890 = 
(BgL_arg1790z00_1880==BgL_classz00_1860); }  else 
{ /* Llib/pgp_composition.scm 354 */
BgL_res2206z00_1890 = ((bool_t)0); } } } } 
BgL_test2597z00_3741 = BgL_res2206z00_1890; } }  else 
{ /* Llib/pgp_composition.scm 354 */
BgL_test2597z00_3741 = ((bool_t)0)
; } } } 
if(BgL_test2597z00_3741)
{ /* Llib/pgp_composition.scm 355 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_i1192z00_418;
BgL_i1192z00_418 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_389))); 
{ 
 obj_t BgL_packetsz00_3766;
BgL_packetsz00_3766 = 
BGl_appendzd221009zd2zz__openpgpzd2compositionzd2(
(((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_i1192z00_418))->BgL_packetsz00), BgL_packetsz00_389); 
BgL_packetsz00_389 = BgL_packetsz00_3766; 
goto BgL_zc3z04anonymousza31851ze3z87_394;} }  else 
{ /* Llib/pgp_composition.scm 358 */
 bool_t BgL_test2602z00_3769;
if(BgL_expectzd2onezd2passzf3zf3_390)
{ /* Llib/pgp_composition.scm 359 */
 obj_t BgL_arg1887z00_439;
BgL_arg1887z00_439 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
{ /* Llib/pgp_composition.scm 359 */
 obj_t BgL_classz00_1893;
BgL_classz00_1893 = BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1887z00_439))
{ /* Llib/pgp_composition.scm 359 */
 BgL_objectz00_bglt BgL_arg1793z00_1895;
BgL_arg1793z00_1895 = 
(BgL_objectz00_bglt)(BgL_arg1887z00_439); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 359 */
 long BgL_idxz00_1901;
BgL_idxz00_1901 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1895); 
BgL_test2602z00_3769 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1901+((long)3)))==BgL_classz00_1893); }  else 
{ /* Llib/pgp_composition.scm 359 */
 bool_t BgL_res2207z00_1923;
{ /* Llib/pgp_composition.scm 359 */
 obj_t BgL_oclassz00_1909;
{ /* Llib/pgp_composition.scm 359 */
 long BgL_arg1801z00_1915;
{ /* Llib/pgp_composition.scm 359 */
 long BgL_arg1802z00_1916;
BgL_arg1802z00_1916 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1895); 
BgL_arg1801z00_1915 = 
(BgL_arg1802z00_1916-OBJECT_TYPE); } 
BgL_oclassz00_1909 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1915); } 
{ /* Llib/pgp_composition.scm 359 */
 bool_t BgL__ortest_1110z00_1910;
BgL__ortest_1110z00_1910 = 
(BgL_classz00_1893==BgL_oclassz00_1909); 
if(BgL__ortest_1110z00_1910)
{ /* Llib/pgp_composition.scm 359 */
BgL_res2207z00_1923 = BgL__ortest_1110z00_1910; }  else 
{ /* Llib/pgp_composition.scm 359 */
 long BgL_odepthz00_1911;
BgL_odepthz00_1911 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1909); 
if(
(((long)3)<BgL_odepthz00_1911))
{ /* Llib/pgp_composition.scm 359 */
 obj_t BgL_arg1790z00_1913;
BgL_arg1790z00_1913 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1909, ((long)3)); 
BgL_res2207z00_1923 = 
(BgL_arg1790z00_1913==BgL_classz00_1893); }  else 
{ /* Llib/pgp_composition.scm 359 */
BgL_res2207z00_1923 = ((bool_t)0); } } } } 
BgL_test2602z00_3769 = BgL_res2207z00_1923; } }  else 
{ /* Llib/pgp_composition.scm 359 */
BgL_test2602z00_3769 = ((bool_t)0)
; } } }  else 
{ /* Llib/pgp_composition.scm 358 */
BgL_test2602z00_3769 = ((bool_t)0)
; } 
if(BgL_test2602z00_3769)
{ /* Llib/pgp_composition.scm 360 */
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_i1193z00_423;
BgL_i1193z00_423 = 
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_389))); 
{ /* Llib/pgp_composition.scm 362 */
 obj_t BgL_arg1870z00_424; bool_t BgL_arg1871z00_425; obj_t BgL_arg1872z00_426;
BgL_arg1870z00_424 = 
CDR(
((obj_t)BgL_packetsz00_389)); 
BgL_arg1871z00_425 = 
(((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(BgL_i1193z00_423))->BgL_containszd2nestedzd2sigzf3zf3); 
{ /* Llib/pgp_composition.scm 364 */
 obj_t BgL_arg1873z00_427;
BgL_arg1873z00_427 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
BgL_arg1872z00_426 = 
MAKE_YOUNG_PAIR(BgL_arg1873z00_427, BgL_onezd2passzd2sigsz00_391); } 
{ 
 obj_t BgL_onezd2passzd2sigsz00_3803; bool_t BgL_expectzd2onezd2passzf3zf3_3802; obj_t BgL_packetsz00_3801;
BgL_packetsz00_3801 = BgL_arg1870z00_424; 
BgL_expectzd2onezd2passzf3zf3_3802 = BgL_arg1871z00_425; 
BgL_onezd2passzd2sigsz00_3803 = BgL_arg1872z00_426; 
BgL_onezd2passzd2sigsz00_391 = BgL_onezd2passzd2sigsz00_3803; 
BgL_expectzd2onezd2passzf3zf3_390 = BgL_expectzd2onezd2passzf3zf3_3802; 
BgL_packetsz00_389 = BgL_packetsz00_3801; 
goto BgL_zc3z04anonymousza31851ze3z87_394;} } }  else 
{ /* Llib/pgp_composition.scm 358 */
if(BgL_expectzd2onezd2passzf3zf3_390)
{ /* Llib/pgp_composition.scm 367 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2255z00zz__openpgpzd2compositionzd2, BGl_string2256z00zz__openpgpzd2compositionzd2, BFALSE);}  else 
{ /* Llib/pgp_composition.scm 371 */
 bool_t BgL_test2609z00_3806;
if(
CBOOL(BgL_msgz00_392))
{ /* Llib/pgp_composition.scm 371 */
BgL_test2609z00_3806 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 371 */
 obj_t BgL_arg1886z00_438;
BgL_arg1886z00_438 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
{ /* Llib/pgp_composition.scm 371 */
 obj_t BgL_classz00_1928;
BgL_classz00_1928 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1886z00_438))
{ /* Llib/pgp_composition.scm 371 */
 BgL_objectz00_bglt BgL_arg1793z00_1930;
BgL_arg1793z00_1930 = 
(BgL_objectz00_bglt)(BgL_arg1886z00_438); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 371 */
 long BgL_idxz00_1936;
BgL_idxz00_1936 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1930); 
BgL_test2609z00_3806 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1936+((long)2)))==BgL_classz00_1928); }  else 
{ /* Llib/pgp_composition.scm 371 */
 bool_t BgL_res2208z00_1958;
{ /* Llib/pgp_composition.scm 371 */
 obj_t BgL_oclassz00_1944;
{ /* Llib/pgp_composition.scm 371 */
 long BgL_arg1801z00_1950;
{ /* Llib/pgp_composition.scm 371 */
 long BgL_arg1802z00_1951;
BgL_arg1802z00_1951 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1930); 
BgL_arg1801z00_1950 = 
(BgL_arg1802z00_1951-OBJECT_TYPE); } 
BgL_oclassz00_1944 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1950); } 
{ /* Llib/pgp_composition.scm 371 */
 bool_t BgL__ortest_1110z00_1945;
BgL__ortest_1110z00_1945 = 
(BgL_classz00_1928==BgL_oclassz00_1944); 
if(BgL__ortest_1110z00_1945)
{ /* Llib/pgp_composition.scm 371 */
BgL_res2208z00_1958 = BgL__ortest_1110z00_1945; }  else 
{ /* Llib/pgp_composition.scm 371 */
 long BgL_odepthz00_1946;
BgL_odepthz00_1946 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1944); 
if(
(((long)2)<BgL_odepthz00_1946))
{ /* Llib/pgp_composition.scm 371 */
 obj_t BgL_arg1790z00_1948;
BgL_arg1790z00_1948 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1944, ((long)2)); 
BgL_res2208z00_1958 = 
(BgL_arg1790z00_1948==BgL_classz00_1928); }  else 
{ /* Llib/pgp_composition.scm 371 */
BgL_res2208z00_1958 = ((bool_t)0); } } } } 
BgL_test2609z00_3806 = BgL_res2208z00_1958; } }  else 
{ /* Llib/pgp_composition.scm 371 */
BgL_test2609z00_3806 = ((bool_t)0)
; } } } 
if(BgL_test2609z00_3806)
{ /* Llib/pgp_composition.scm 372 */
 obj_t BgL_arg1876z00_430; obj_t BgL_arg1878z00_431;
BgL_arg1876z00_430 = 
CDR(
((obj_t)BgL_packetsz00_389)); 
BgL_arg1878z00_431 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
{ 
 obj_t BgL_msgz00_3836; bool_t BgL_expectzd2onezd2passzf3zf3_3835; obj_t BgL_packetsz00_3834;
BgL_packetsz00_3834 = BgL_arg1876z00_430; 
BgL_expectzd2onezd2passzf3zf3_3835 = ((bool_t)0); 
BgL_msgz00_3836 = BgL_arg1878z00_431; 
BgL_msgz00_392 = BgL_msgz00_3836; 
BgL_expectzd2onezd2passzf3zf3_390 = BgL_expectzd2onezd2passzf3zf3_3835; 
BgL_packetsz00_389 = BgL_packetsz00_3834; 
goto BgL_zc3z04anonymousza31851ze3z87_394;} }  else 
{ /* Llib/pgp_composition.scm 371 */
if(
CBOOL(BgL_msgz00_392))
{ /* Llib/pgp_composition.scm 377 */
 bool_t BgL_test2616z00_3839;
{ /* Llib/pgp_composition.scm 377 */
 obj_t BgL_arg1885z00_437;
BgL_arg1885z00_437 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
{ /* Llib/pgp_composition.scm 377 */
 obj_t BgL_classz00_1962;
BgL_classz00_1962 = BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1885z00_437))
{ /* Llib/pgp_composition.scm 377 */
 BgL_objectz00_bglt BgL_arg1793z00_1964;
BgL_arg1793z00_1964 = 
(BgL_objectz00_bglt)(BgL_arg1885z00_437); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 377 */
 long BgL_idxz00_1970;
BgL_idxz00_1970 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1964); 
BgL_test2616z00_3839 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1970+((long)3)))==BgL_classz00_1962); }  else 
{ /* Llib/pgp_composition.scm 377 */
 bool_t BgL_res2209z00_1992;
{ /* Llib/pgp_composition.scm 377 */
 obj_t BgL_oclassz00_1978;
{ /* Llib/pgp_composition.scm 377 */
 long BgL_arg1801z00_1984;
{ /* Llib/pgp_composition.scm 377 */
 long BgL_arg1802z00_1985;
BgL_arg1802z00_1985 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1964); 
BgL_arg1801z00_1984 = 
(BgL_arg1802z00_1985-OBJECT_TYPE); } 
BgL_oclassz00_1978 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1984); } 
{ /* Llib/pgp_composition.scm 377 */
 bool_t BgL__ortest_1110z00_1979;
BgL__ortest_1110z00_1979 = 
(BgL_classz00_1962==BgL_oclassz00_1978); 
if(BgL__ortest_1110z00_1979)
{ /* Llib/pgp_composition.scm 377 */
BgL_res2209z00_1992 = BgL__ortest_1110z00_1979; }  else 
{ /* Llib/pgp_composition.scm 377 */
 long BgL_odepthz00_1980;
BgL_odepthz00_1980 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1978); 
if(
(((long)3)<BgL_odepthz00_1980))
{ /* Llib/pgp_composition.scm 377 */
 obj_t BgL_arg1790z00_1982;
BgL_arg1790z00_1982 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1978, ((long)3)); 
BgL_res2209z00_1992 = 
(BgL_arg1790z00_1982==BgL_classz00_1962); }  else 
{ /* Llib/pgp_composition.scm 377 */
BgL_res2209z00_1992 = ((bool_t)0); } } } } 
BgL_test2616z00_3839 = BgL_res2209z00_1992; } }  else 
{ /* Llib/pgp_composition.scm 377 */
BgL_test2616z00_3839 = ((bool_t)0)
; } } } 
if(BgL_test2616z00_3839)
{ /* Llib/pgp_composition.scm 378 */
 obj_t BgL_arg1882z00_434; obj_t BgL_arg1883z00_435;
BgL_arg1882z00_434 = 
CDR(
((obj_t)BgL_packetsz00_389)); 
{ /* Llib/pgp_composition.scm 379 */
 obj_t BgL_arg1884z00_436;
BgL_arg1884z00_436 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
BgL_arg1883z00_435 = 
MAKE_YOUNG_PAIR(BgL_arg1884z00_436, BgL_sigsz00_393); } 
{ 
 obj_t BgL_sigsz00_3868; bool_t BgL_expectzd2onezd2passzf3zf3_3867; obj_t BgL_packetsz00_3866;
BgL_packetsz00_3866 = BgL_arg1882z00_434; 
BgL_expectzd2onezd2passzf3zf3_3867 = ((bool_t)0); 
BgL_sigsz00_3868 = BgL_arg1883z00_435; 
BgL_sigsz00_393 = BgL_sigsz00_3868; 
BgL_expectzd2onezd2passzf3zf3_390 = BgL_expectzd2onezd2passzf3zf3_3867; 
BgL_packetsz00_389 = BgL_packetsz00_3866; 
goto BgL_zc3z04anonymousza31851ze3z87_394;} }  else 
{ /* Llib/pgp_composition.scm 377 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2255z00zz__openpgpzd2compositionzd2, BGl_string2256z00zz__openpgpzd2compositionzd2, BFALSE);} }  else 
{ /* Llib/pgp_composition.scm 373 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2255z00zz__openpgpzd2compositionzd2, BGl_string2256z00zz__openpgpzd2compositionzd2, BFALSE);} } } } } } } } } 

}



/* parse-literal */
BgL_pgpzd2literalzd2_bglt BGl_parsezd2literalzd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_12)
{
{ /* Llib/pgp_composition.scm 388 */
if(
NULLP(
CDR(BgL_packetsz00_12)))
{ /* Llib/pgp_composition.scm 389 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 390 */
 obj_t BgL_list1900z00_461;
BgL_list1900z00_461 = 
MAKE_YOUNG_PAIR(BGl_string2241z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1900z00_461); } 
{ /* Llib/pgp_composition.scm 391 */
 bool_t BgL_test2622z00_3876;
{ /* Llib/pgp_composition.scm 392 */
 bool_t BgL_test2623z00_3877;
{ /* Llib/pgp_composition.scm 392 */
 obj_t BgL_arg1907z00_470;
BgL_arg1907z00_470 = 
CAR(BgL_packetsz00_12); 
{ /* Llib/pgp_composition.scm 392 */
 obj_t BgL_classz00_1997;
BgL_classz00_1997 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1907z00_470))
{ /* Llib/pgp_composition.scm 392 */
 BgL_objectz00_bglt BgL_arg1793z00_1999;
BgL_arg1793z00_1999 = 
(BgL_objectz00_bglt)(BgL_arg1907z00_470); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 392 */
 long BgL_idxz00_2005;
BgL_idxz00_2005 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1999); 
BgL_test2623z00_3877 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2005+((long)2)))==BgL_classz00_1997); }  else 
{ /* Llib/pgp_composition.scm 392 */
 bool_t BgL_res2210z00_2027;
{ /* Llib/pgp_composition.scm 392 */
 obj_t BgL_oclassz00_2013;
{ /* Llib/pgp_composition.scm 392 */
 long BgL_arg1801z00_2019;
{ /* Llib/pgp_composition.scm 392 */
 long BgL_arg1802z00_2020;
BgL_arg1802z00_2020 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1999); 
BgL_arg1801z00_2019 = 
(BgL_arg1802z00_2020-OBJECT_TYPE); } 
BgL_oclassz00_2013 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_2019); } 
{ /* Llib/pgp_composition.scm 392 */
 bool_t BgL__ortest_1110z00_2014;
BgL__ortest_1110z00_2014 = 
(BgL_classz00_1997==BgL_oclassz00_2013); 
if(BgL__ortest_1110z00_2014)
{ /* Llib/pgp_composition.scm 392 */
BgL_res2210z00_2027 = BgL__ortest_1110z00_2014; }  else 
{ /* Llib/pgp_composition.scm 392 */
 long BgL_odepthz00_2015;
BgL_odepthz00_2015 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2013); 
if(
(((long)2)<BgL_odepthz00_2015))
{ /* Llib/pgp_composition.scm 392 */
 obj_t BgL_arg1790z00_2017;
BgL_arg1790z00_2017 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2013, ((long)2)); 
BgL_res2210z00_2027 = 
(BgL_arg1790z00_2017==BgL_classz00_1997); }  else 
{ /* Llib/pgp_composition.scm 392 */
BgL_res2210z00_2027 = ((bool_t)0); } } } } 
BgL_test2623z00_3877 = BgL_res2210z00_2027; } }  else 
{ /* Llib/pgp_composition.scm 392 */
BgL_test2623z00_3877 = ((bool_t)0)
; } } } 
if(BgL_test2623z00_3877)
{ /* Llib/pgp_composition.scm 392 */
BgL_test2622z00_3876 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 392 */
BgL_test2622z00_3876 = ((bool_t)1)
; } } 
if(BgL_test2622z00_3876)
{ /* Llib/pgp_composition.scm 391 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2258z00zz__openpgpzd2compositionzd2, BGl_string2259z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 391 */BFALSE; } } 
{ /* Llib/pgp_composition.scm 396 */
 BgL_pgpzd2literalzd2_bglt BgL_new1195z00_471;
{ /* Llib/pgp_composition.scm 397 */
 BgL_pgpzd2literalzd2_bglt BgL_new1194z00_472;
BgL_new1194z00_472 = 
((BgL_pgpzd2literalzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 397 */
 long BgL_arg1908z00_473;
BgL_arg1908z00_473 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1194z00_472), BgL_arg1908z00_473); } 
{ /* Llib/pgp_composition.scm 397 */
 BgL_objectz00_bglt BgL_tmpz00_3903;
BgL_tmpz00_3903 = 
((BgL_objectz00_bglt)BgL_new1194z00_472); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3903, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1194z00_472); 
BgL_new1195z00_471 = BgL_new1194z00_472; } 
((((BgL_pgpzd2literalzd2_bglt)COBJECT(BgL_new1195z00_471))->BgL_literalz00)=((BgL_pgpzd2literalzd2packetz00_bglt)
((BgL_pgpzd2literalzd2packetz00_bglt)
CAR(BgL_packetsz00_12))),BUNSPEC); 
return BgL_new1195z00_471;} } 

}



/* create-chksum64 */
obj_t BGl_createzd2chksum64zd2zz__openpgpzd2compositionzd2(obj_t BgL_dataz00_13)
{
{ /* Llib/pgp_composition.scm 402 */
{ /* Llib/pgp_composition.scm 403 */
 obj_t BgL_computedzd2chksumzd2_474;
BgL_computedzd2chksumzd2_474 = 
BGl_crczd2stringzd2zz__crcz00(
CNST_TABLE_REF(((long)6)), BgL_dataz00_13, BTRUE, 
BINT(((long)0)), 
BINT(((long)11994318))); 
{ /* Llib/pgp_composition.scm 403 */
 long BgL_b1z00_475;
BgL_b1z00_475 = 
(
(
(long)CINT(BgL_computedzd2chksumzd2_474) & ((long)16711680)) >> 
(int)(((long)16))); 
{ /* Llib/pgp_composition.scm 405 */
 long BgL_b2z00_476;
BgL_b2z00_476 = 
(
(
(long)CINT(BgL_computedzd2chksumzd2_474) & ((long)65280)) >> 
(int)(((long)8))); 
{ /* Llib/pgp_composition.scm 406 */
 long BgL_b3z00_477;
BgL_b3z00_477 = 
(
(long)CINT(BgL_computedzd2chksumzd2_474) & ((long)255)); 
{ /* Llib/pgp_composition.scm 407 */

{ /* Llib/pgp_composition.scm 408 */
 obj_t BgL_arg1909z00_478;
{ /* Llib/pgp_composition.scm 408 */
 unsigned char BgL_arg1910z00_481; unsigned char BgL_arg1911z00_482; unsigned char BgL_arg1912z00_483;
BgL_arg1910z00_481 = 
(BgL_b1z00_475); 
BgL_arg1911z00_482 = 
(BgL_b2z00_476); 
BgL_arg1912z00_483 = 
(BgL_b3z00_477); 
{ /* Llib/pgp_composition.scm 408 */
 obj_t BgL_list1913z00_484;
{ /* Llib/pgp_composition.scm 408 */
 obj_t BgL_arg1914z00_485;
{ /* Llib/pgp_composition.scm 408 */
 obj_t BgL_arg1915z00_486;
BgL_arg1915z00_486 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg1912z00_483), BNIL); 
BgL_arg1914z00_485 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg1911z00_482), BgL_arg1915z00_486); } 
BgL_list1913z00_484 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg1910z00_481), BgL_arg1914z00_485); } 
BgL_arg1909z00_478 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list1913z00_484); } } 
{ /* Llib/pgp_composition.scm 408 */

return 
BGl_base64zd2encodezd2zz__base64z00(BgL_arg1909z00_478, 
BINT(((long)76)));} } } } } } } } 

}



/* armored-pipe-port */
obj_t BGl_armoredzd2pipezd2portz00zz__openpgpzd2compositionzd2(obj_t BgL_pz00_14)
{
{ /* Llib/pgp_composition.scm 415 */
{ 
 obj_t BgL_lz00_553; obj_t BgL_dataz00_566; obj_t BgL_pz00_567;
{ /* Llib/pgp_composition.scm 463 */
 obj_t BgL_lz00_495;
BgL_lz00_495 = 
BGl_safezd2readzd2lineze70ze7zz__openpgpzd2compositionzd2(BgL_pz00_14); 
{ /* Llib/pgp_composition.scm 464 */
 bool_t BgL_test2628z00_3937;
{ /* Llib/pgp_composition.scm 464 */
 bool_t BgL_test2629z00_3938;
{ /* Llib/pgp_composition.scm 464 */

BgL_test2629z00_3938 = 
BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(BGl_string2264z00zz__openpgpzd2compositionzd2, BgL_lz00_495, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL_test2629z00_3938)
{ /* Llib/pgp_composition.scm 465 */

BgL_test2628z00_3937 = 
BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(BGl_string2265z00zz__openpgpzd2compositionzd2, BgL_lz00_495, BFALSE, BFALSE, BFALSE, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 464 */
BgL_test2628z00_3937 = ((bool_t)0)
; } } 
if(BgL_test2628z00_3937)
{ /* Llib/pgp_composition.scm 464 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 464 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2261z00zz__openpgpzd2compositionzd2, BGl_string2266z00zz__openpgpzd2compositionzd2, BgL_lz00_495); } } 
{ /* Llib/pgp_composition.scm 468 */
 obj_t BgL_mainzd2headerzd2infoz00_529;
{ /* Llib/pgp_composition.scm 468 */
 long BgL_arg1923z00_547;
BgL_arg1923z00_547 = 
(
STRING_LENGTH(
((obj_t)BgL_lz00_495))-((long)5)); 
BgL_mainzd2headerzd2infoz00_529 = 
c_substring(
((obj_t)BgL_lz00_495), ((long)11), BgL_arg1923z00_547); } 
{ 
 obj_t BgL_headersz00_532;
BgL_headersz00_532 = BNIL; 
BgL_zc3z04anonymousza31920ze3z87_533:
{ /* Llib/pgp_composition.scm 470 */
 obj_t BgL_lz00_534;
BgL_lz00_534 = 
BGl_safezd2readzd2lineze70ze7zz__openpgpzd2compositionzd2(BgL_pz00_14); 
if(
(
STRING_LENGTH(
((obj_t)BgL_lz00_534))==((long)0)))
{ /* Llib/pgp_composition.scm 472 */
 obj_t BgL_val2_1253z00_538;
{ /* Llib/pgp_composition.scm 473 */
 obj_t BgL_p64z00_539;
BgL_p64z00_539 = 
BGl_base64zd2decodezd2pipezd2portzd2zz__openpgpzd2portzd2utilz00(BgL_pz00_14); 
{ /* Llib/pgp_composition.scm 473 */
 obj_t BgL_dataz00_540;
BgL_dataz00_540 = 
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_p64z00_539); 
{ /* Llib/pgp_composition.scm 474 */

BgL_dataz00_566 = BgL_dataz00_540; 
BgL_pz00_567 = BgL_pz00_14; 
{ /* Llib/pgp_composition.scm 450 */
 obj_t BgL_cz00_570;
BgL_cz00_570 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_567); 
if(
EOF_OBJECTP(BgL_cz00_570))
{ /* Llib/pgp_composition.scm 451 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 451 */
{ /* Llib/pgp_composition.scm 452 */
 bool_t BgL_test2632z00_3957;
if(
CHARP(BgL_cz00_570))
{ /* Llib/pgp_composition.scm 452 */
if(
(
CCHAR(BgL_cz00_570)==((unsigned char)'=')))
{ /* Llib/pgp_composition.scm 452 */
BgL_test2632z00_3957 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 452 */
BgL_test2632z00_3957 = ((bool_t)1)
; } }  else 
{ /* Llib/pgp_composition.scm 452 */
BgL_test2632z00_3957 = ((bool_t)1)
; } 
if(BgL_test2632z00_3957)
{ /* Llib/pgp_composition.scm 453 */
 obj_t BgL_arg1939z00_575;
{ /* Llib/pgp_composition.scm 453 */
 obj_t BgL_list1940z00_576;
BgL_list1940z00_576 = 
MAKE_YOUNG_PAIR(BgL_cz00_570, BNIL); 
BgL_arg1939z00_575 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2260z00zz__openpgpzd2compositionzd2, BgL_list1940z00_576); } 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2261z00zz__openpgpzd2compositionzd2, BGl_string2262z00zz__openpgpzd2compositionzd2, BgL_arg1939z00_575); }  else 
{ /* Llib/pgp_composition.scm 452 */BFALSE; } } 
{ /* Llib/pgp_composition.scm 454 */
 obj_t BgL_linez00_579; obj_t BgL_expectedz00_580;
BgL_linez00_579 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_pz00_567); 
BgL_expectedz00_580 = 
BGl_createzd2chksum64zd2zz__openpgpzd2compositionzd2(BgL_dataz00_566); 
if(
EOF_OBJECTP(BgL_linez00_579))
{ /* Llib/pgp_composition.scm 458 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2261z00zz__openpgpzd2compositionzd2, BGl_string2262z00zz__openpgpzd2compositionzd2, BGl_string2263z00zz__openpgpzd2compositionzd2); }  else 
{ /* Llib/pgp_composition.scm 458 */BFALSE; } 
{ /* Llib/pgp_composition.scm 459 */
 bool_t BgL_test2636z00_3971;
{ /* Llib/pgp_composition.scm 459 */
 long BgL_l1z00_2053;
BgL_l1z00_2053 = 
STRING_LENGTH(
((obj_t)BgL_linez00_579)); 
if(
(BgL_l1z00_2053==
STRING_LENGTH(BgL_expectedz00_580)))
{ /* Llib/pgp_composition.scm 459 */
 int BgL_arg1290z00_2056;
{ /* Llib/pgp_composition.scm 459 */
 char * BgL_auxz00_3980; char * BgL_tmpz00_3977;
BgL_auxz00_3980 = 
BSTRING_TO_STRING(BgL_expectedz00_580); 
BgL_tmpz00_3977 = 
BSTRING_TO_STRING(
((obj_t)BgL_linez00_579)); 
BgL_arg1290z00_2056 = 
memcmp(BgL_tmpz00_3977, BgL_auxz00_3980, BgL_l1z00_2053); } 
BgL_test2636z00_3971 = 
(
(long)(BgL_arg1290z00_2056)==((long)0)); }  else 
{ /* Llib/pgp_composition.scm 459 */
BgL_test2636z00_3971 = ((bool_t)0)
; } } 
if(BgL_test2636z00_3971)
{ /* Llib/pgp_composition.scm 459 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 459 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2261z00zz__openpgpzd2compositionzd2, BGl_string2262z00zz__openpgpzd2compositionzd2, BgL_linez00_579); } } } } } 
{ /* Llib/pgp_composition.scm 477 */
 long BgL_endz00_543;
BgL_endz00_543 = 
STRING_LENGTH(BgL_dataz00_540); 
{ /* Llib/pgp_composition.scm 477 */

BgL_val2_1253z00_538 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_dataz00_540, 
BINT(((long)0)), 
BINT(BgL_endz00_543)); } } } } } 
{ /* Llib/pgp_composition.scm 472 */
 int BgL_tmpz00_3990;
BgL_tmpz00_3990 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3990); } 
{ /* Llib/pgp_composition.scm 472 */
 int BgL_tmpz00_3993;
BgL_tmpz00_3993 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3993, BgL_headersz00_532); } 
{ /* Llib/pgp_composition.scm 472 */
 int BgL_tmpz00_3996;
BgL_tmpz00_3996 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3996, BgL_val2_1253z00_538); } 
return BgL_mainzd2headerzd2infoz00_529;}  else 
{ /* Llib/pgp_composition.scm 478 */
 obj_t BgL_headerz00_544;
BgL_lz00_553 = BgL_lz00_534; 
{ /* Llib/pgp_composition.scm 440 */
 obj_t BgL_posz00_555;
{ /* Llib/pgp_composition.scm 440 */

BgL_posz00_555 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_lz00_553, 
BCHAR(((unsigned char)':')), 
BINT(((long)0))); } 
if(
CBOOL(BgL_posz00_555))
{ /* Llib/pgp_composition.scm 442 */
 obj_t BgL_arg1928z00_557; obj_t BgL_arg1929z00_558;
{ /* Llib/pgp_composition.scm 442 */
 long BgL_endz00_2042;
BgL_endz00_2042 = 
(long)CINT(BgL_posz00_555); 
BgL_arg1928z00_557 = 
c_substring(
((obj_t)BgL_lz00_553), ((long)0), BgL_endz00_2042); } 
{ /* Llib/pgp_composition.scm 443 */
 long BgL_arg1932z00_561; long BgL_arg1933z00_562;
BgL_arg1932z00_561 = 
(
(long)CINT(BgL_posz00_555)+((long)1)); 
BgL_arg1933z00_562 = 
STRING_LENGTH(
((obj_t)BgL_lz00_553)); 
BgL_arg1929z00_558 = 
c_substring(
((obj_t)BgL_lz00_553), BgL_arg1932z00_561, BgL_arg1933z00_562); } 
{ /* Llib/pgp_composition.scm 442 */
 obj_t BgL_list1930z00_559;
{ /* Llib/pgp_composition.scm 442 */
 obj_t BgL_arg1931z00_560;
BgL_arg1931z00_560 = 
MAKE_YOUNG_PAIR(BgL_arg1929z00_558, BNIL); 
BgL_list1930z00_559 = 
MAKE_YOUNG_PAIR(BgL_arg1928z00_557, BgL_arg1931z00_560); } 
BgL_headerz00_544 = BgL_list1930z00_559; } }  else 
{ /* Llib/pgp_composition.scm 441 */
BgL_headerz00_544 = BFALSE; } } 
if(
CBOOL(BgL_headerz00_544))
{ /* Llib/pgp_composition.scm 480 */
 obj_t BgL_arg1922z00_545;
BgL_arg1922z00_545 = 
MAKE_YOUNG_PAIR(BgL_headerz00_544, BgL_headersz00_532); 
{ 
 obj_t BgL_headersz00_4018;
BgL_headersz00_4018 = BgL_arg1922z00_545; 
BgL_headersz00_532 = BgL_headersz00_4018; 
goto BgL_zc3z04anonymousza31920ze3z87_533;} }  else 
{ 

goto BgL_zc3z04anonymousza31920ze3z87_533;} } } } } } } } 

}



/* safe-read-line~0 */
obj_t BGl_safezd2readzd2lineze70ze7zz__openpgpzd2compositionzd2(obj_t BgL_pz00_549)
{
{ /* Llib/pgp_composition.scm 437 */
{ /* Llib/pgp_composition.scm 434 */
 obj_t BgL_lz00_551;
BgL_lz00_551 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_pz00_549); 
if(
EOF_OBJECTP(BgL_lz00_551))
{ /* Llib/pgp_composition.scm 435 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2261z00zz__openpgpzd2compositionzd2, BGl_string2267z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 435 */BFALSE; } 
return BgL_lz00_551;} } 

}



/* _decode-pgp */
obj_t BGl__decodezd2pgpzd2zz__openpgpzd2compositionzd2(obj_t BgL_env1314z00_18, obj_t BgL_opt1313z00_17)
{
{ /* Llib/pgp_composition.scm 486 */
{ 
 obj_t BgL_k1z00_590; long BgL_iz00_591;
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_pz00_593;
BgL_pz00_593 = 
VECTOR_REF(BgL_opt1313z00_17,((long)0)); 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_ignorezd2badzd2packetz00_594;
BgL_ignorezd2badzd2packetz00_594 = BFALSE; 
{ /* Llib/pgp_composition.scm 486 */

{ 
 long BgL_iz00_595;
BgL_iz00_595 = ((long)1); 
BgL_check1317z00_596:
if(
(BgL_iz00_595==
VECTOR_LENGTH(BgL_opt1313z00_17)))
{ /* Llib/pgp_composition.scm 486 */BNIL; }  else 
{ /* Llib/pgp_composition.scm 486 */
 bool_t BgL_test2642z00_4027;
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_arg1949z00_602;
BgL_arg1949z00_602 = 
VECTOR_REF(BgL_opt1313z00_17,BgL_iz00_595); 
BgL_test2642z00_4027 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1949z00_602, 
CNST_TABLE_REF(((long)8)))); } 
if(BgL_test2642z00_4027)
{ 
 long BgL_iz00_4032;
BgL_iz00_4032 = 
(BgL_iz00_595+((long)2)); 
BgL_iz00_595 = BgL_iz00_4032; 
goto BgL_check1317z00_596;}  else 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_arg1948z00_601;
BgL_arg1948z00_601 = 
VECTOR_REF(BgL_opt1313z00_17,BgL_iz00_595); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string2269z00zz__openpgpzd2compositionzd2, BgL_arg1948z00_601); } } } 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_index1319z00_603;
BgL_k1z00_590 = 
CNST_TABLE_REF(((long)9)); 
BgL_iz00_591 = ((long)1); 
BgL_search1316z00_592:
if(
(BgL_iz00_591==
VECTOR_LENGTH(BgL_opt1313z00_17)))
{ /* Llib/pgp_composition.scm 486 */
BgL_index1319z00_603 = 
BINT(((long)-1)); }  else 
{ /* Llib/pgp_composition.scm 486 */
if(
(BgL_iz00_591==
(
VECTOR_LENGTH(BgL_opt1313z00_17)-((long)1))))
{ /* Llib/pgp_composition.scm 486 */
BgL_index1319z00_603 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string2268z00zz__openpgpzd2compositionzd2, 
BINT(
VECTOR_LENGTH(BgL_opt1313z00_17))); }  else 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_vz00_611;
BgL_vz00_611 = 
VECTOR_REF(BgL_opt1313z00_17,BgL_iz00_591); 
if(
(BgL_vz00_611==BgL_k1z00_590))
{ /* Llib/pgp_composition.scm 486 */
BgL_index1319z00_603 = 
BINT(
(BgL_iz00_591+((long)1))); }  else 
{ 
 long BgL_iz00_4054;
BgL_iz00_4054 = 
(BgL_iz00_591+((long)2)); 
BgL_iz00_591 = BgL_iz00_4054; 
goto BgL_search1316z00_592;} } } 
{ /* Llib/pgp_composition.scm 486 */
 bool_t BgL_test2646z00_4057;
{ /* Llib/pgp_composition.scm 486 */
 long BgL_n1z00_2086;
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_tmpz00_4058;
if(
INTEGERP(BgL_index1319z00_603))
{ /* Llib/pgp_composition.scm 486 */
BgL_tmpz00_4058 = BgL_index1319z00_603
; }  else 
{ 
 obj_t BgL_auxz00_4061;
BgL_auxz00_4061 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__openpgpzd2compositionzd2, 
BINT(((long)18226)), BGl_string2270z00zz__openpgpzd2compositionzd2, BGl_string2271z00zz__openpgpzd2compositionzd2, BgL_index1319z00_603); 
FAILURE(BgL_auxz00_4061,BFALSE,BFALSE);} 
BgL_n1z00_2086 = 
(long)CINT(BgL_tmpz00_4058); } 
BgL_test2646z00_4057 = 
(BgL_n1z00_2086>=((long)0)); } 
if(BgL_test2646z00_4057)
{ 
 long BgL_auxz00_4067;
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_tmpz00_4068;
if(
INTEGERP(BgL_index1319z00_603))
{ /* Llib/pgp_composition.scm 486 */
BgL_tmpz00_4068 = BgL_index1319z00_603
; }  else 
{ 
 obj_t BgL_auxz00_4071;
BgL_auxz00_4071 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__openpgpzd2compositionzd2, 
BINT(((long)18226)), BGl_string2270z00zz__openpgpzd2compositionzd2, BGl_string2271z00zz__openpgpzd2compositionzd2, BgL_index1319z00_603); 
FAILURE(BgL_auxz00_4071,BFALSE,BFALSE);} 
BgL_auxz00_4067 = 
(long)CINT(BgL_tmpz00_4068); } 
BgL_ignorezd2badzd2packetz00_594 = 
VECTOR_REF(BgL_opt1313z00_17,BgL_auxz00_4067); }  else 
{ /* Llib/pgp_composition.scm 486 */BFALSE; } } } 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_arg1951z00_605;
BgL_arg1951z00_605 = 
VECTOR_REF(BgL_opt1313z00_17,((long)0)); 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_ignorezd2badzd2packetz00_606;
BgL_ignorezd2badzd2packetz00_606 = BgL_ignorezd2badzd2packetz00_594; 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_auxz00_4078;
if(
INPUT_PORTP(BgL_arg1951z00_605))
{ /* Llib/pgp_composition.scm 486 */
BgL_auxz00_4078 = BgL_arg1951z00_605
; }  else 
{ 
 obj_t BgL_auxz00_4081;
BgL_auxz00_4081 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__openpgpzd2compositionzd2, 
BINT(((long)18226)), BGl_string2270z00zz__openpgpzd2compositionzd2, BGl_string2272z00zz__openpgpzd2compositionzd2, BgL_arg1951z00_605); 
FAILURE(BgL_auxz00_4081,BFALSE,BFALSE);} 
return 
BGl_decodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_auxz00_4078, BgL_ignorezd2badzd2packetz00_606);} } } } } } } } 

}



/* decode-pgp */
BGL_EXPORTED_DEF obj_t BGl_decodezd2pgpzd2zz__openpgpzd2compositionzd2(obj_t BgL_pz00_15, obj_t BgL_ignorezd2badzd2packetz00_16)
{
{ /* Llib/pgp_composition.scm 486 */
{ /* Llib/pgp_composition.scm 489 */
 obj_t BgL_firstzd2charszd2_614;
BgL_firstzd2charszd2_614 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)10)), BgL_pz00_15); 
BGl_unreadzd2stringz12zc0zz__r4_input_6_10_2z00(BgL_firstzd2charszd2_614, BgL_pz00_15); 
{ /* Llib/pgp_composition.scm 492 */
 bool_t BgL_test2650z00_4089;
if(
(((long)10)==
STRING_LENGTH(
((obj_t)BgL_firstzd2charszd2_614))))
{ /* Llib/pgp_composition.scm 492 */
 int BgL_arg1290z00_2092;
{ /* Llib/pgp_composition.scm 492 */
 char * BgL_auxz00_4096; char * BgL_tmpz00_4094;
BgL_auxz00_4096 = 
BSTRING_TO_STRING(
((obj_t)BgL_firstzd2charszd2_614)); 
BgL_tmpz00_4094 = 
BSTRING_TO_STRING(BGl_string2264z00zz__openpgpzd2compositionzd2); 
BgL_arg1290z00_2092 = 
memcmp(BgL_tmpz00_4094, BgL_auxz00_4096, ((long)10)); } 
BgL_test2650z00_4089 = 
(
(long)(BgL_arg1290z00_2092)==((long)0)); }  else 
{ /* Llib/pgp_composition.scm 492 */
BgL_test2650z00_4089 = ((bool_t)0)
; } 
if(BgL_test2650z00_4089)
{ /* Llib/pgp_composition.scm 493 */
 obj_t BgL_mainzd2headerzd2infoz00_616;
BgL_mainzd2headerzd2infoz00_616 = 
BGl_decodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(BgL_pz00_15, BgL_ignorezd2badzd2packetz00_16); 
{ /* Llib/pgp_composition.scm 493 */
 obj_t BgL_headersz00_617; obj_t BgL_compositionz00_618;
{ /* Llib/pgp_composition.scm 493 */
 obj_t BgL_tmpz00_2098;
{ /* Llib/pgp_composition.scm 493 */
 int BgL_tmpz00_4103;
BgL_tmpz00_4103 = 
(int)(((long)1)); 
BgL_tmpz00_2098 = 
BGL_MVALUES_VAL(BgL_tmpz00_4103); } 
{ /* Llib/pgp_composition.scm 493 */
 int BgL_tmpz00_4106;
BgL_tmpz00_4106 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4106, BUNSPEC); } 
BgL_headersz00_617 = BgL_tmpz00_2098; } 
{ /* Llib/pgp_composition.scm 493 */
 obj_t BgL_tmpz00_2099;
{ /* Llib/pgp_composition.scm 493 */
 int BgL_tmpz00_4109;
BgL_tmpz00_4109 = 
(int)(((long)2)); 
BgL_tmpz00_2099 = 
BGL_MVALUES_VAL(BgL_tmpz00_4109); } 
{ /* Llib/pgp_composition.scm 493 */
 int BgL_tmpz00_4112;
BgL_tmpz00_4112 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4112, BUNSPEC); } 
BgL_compositionz00_618 = BgL_tmpz00_2099; } 
return BgL_compositionz00_618;} }  else 
{ /* Llib/pgp_composition.scm 492 */
return 
BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(
BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(BgL_pz00_15, 
CBOOL(BgL_ignorezd2badzd2packetz00_16)));} } } } 

}



/* decode-armored-pgp */
obj_t BGl_decodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(obj_t BgL_pz00_19, obj_t BgL_ignorezd2badzd2packetz00_20)
{
{ /* Llib/pgp_composition.scm 503 */
{ /* Llib/pgp_composition.scm 505 */
 obj_t BgL_mainzd2headerzd2infoz00_619;
BgL_mainzd2headerzd2infoz00_619 = 
BGl_armoredzd2pipezd2portz00zz__openpgpzd2compositionzd2(BgL_pz00_19); 
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_headersz00_620; obj_t BgL_ppz00_621;
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_tmpz00_2103;
{ /* Llib/pgp_composition.scm 507 */
 int BgL_tmpz00_4119;
BgL_tmpz00_4119 = 
(int)(((long)1)); 
BgL_tmpz00_2103 = 
BGL_MVALUES_VAL(BgL_tmpz00_4119); } 
{ /* Llib/pgp_composition.scm 507 */
 int BgL_tmpz00_4122;
BgL_tmpz00_4122 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4122, BUNSPEC); } 
BgL_headersz00_620 = BgL_tmpz00_2103; } 
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_tmpz00_2104;
{ /* Llib/pgp_composition.scm 507 */
 int BgL_tmpz00_4125;
BgL_tmpz00_4125 = 
(int)(((long)2)); 
BgL_tmpz00_2104 = 
BGL_MVALUES_VAL(BgL_tmpz00_4125); } 
{ /* Llib/pgp_composition.scm 507 */
 int BgL_tmpz00_4128;
BgL_tmpz00_4128 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4128, BUNSPEC); } 
BgL_ppz00_621 = BgL_tmpz00_2104; } 
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_exitd1199z00_622;
BgL_exitd1199z00_622 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/pgp_composition.scm 510 */
 obj_t BgL_zc3z04anonymousza31959ze3z87_2299;
BgL_zc3z04anonymousza31959ze3z87_2299 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31959ze3ze5zz__openpgpzd2compositionzd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31959ze3z87_2299, 
(int)(((long)0)), BgL_ppz00_621); 
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_arg1812z00_2106;
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_arg1813z00_2107;
BgL_arg1813z00_2107 = 
BGL_EXITD_PROTECT(BgL_exitd1199z00_622); 
BgL_arg1812z00_2106 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31959ze3z87_2299, BgL_arg1813z00_2107); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1199z00_622, BgL_arg1812z00_2106); BUNSPEC; } 
{ /* Llib/pgp_composition.scm 508 */
 obj_t BgL_tmp1201z00_624;
{ /* Llib/pgp_composition.scm 508 */
 obj_t BgL_val2_1257z00_627;
{ /* Llib/pgp_composition.scm 66 */
 obj_t BgL_packetsz00_2109;
BgL_packetsz00_2109 = 
BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(
((obj_t)BgL_ppz00_621), 
CBOOL(BgL_ignorezd2badzd2packetz00_20)); 
BgL_val2_1257z00_627 = 
BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(BgL_packetsz00_2109); } 
{ /* Llib/pgp_composition.scm 508 */
 int BgL_tmpz00_4144;
BgL_tmpz00_4144 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_4144); } 
{ /* Llib/pgp_composition.scm 508 */
 int BgL_tmpz00_4147;
BgL_tmpz00_4147 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4147, BgL_headersz00_620); } 
{ /* Llib/pgp_composition.scm 508 */
 int BgL_tmpz00_4150;
BgL_tmpz00_4150 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4150, BgL_val2_1257z00_627); } 
BgL_tmp1201z00_624 = BgL_mainzd2headerzd2infoz00_619; } 
{ /* Llib/pgp_composition.scm 507 */
 bool_t BgL_test2652z00_4153;
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_arg1811z00_2111;
BgL_arg1811z00_2111 = 
BGL_EXITD_PROTECT(BgL_exitd1199z00_622); 
BgL_test2652z00_4153 = 
PAIRP(BgL_arg1811z00_2111); } 
if(BgL_test2652z00_4153)
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_arg1809z00_2112;
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_arg1810z00_2113;
BgL_arg1810z00_2113 = 
BGL_EXITD_PROTECT(BgL_exitd1199z00_622); 
BgL_arg1809z00_2112 = 
CDR(
((obj_t)BgL_arg1810z00_2113)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1199z00_622, BgL_arg1809z00_2112); BUNSPEC; }  else 
{ /* Llib/pgp_composition.scm 507 */BFALSE; } } 
bgl_close_input_port(
((obj_t)BgL_ppz00_621)); 
return BgL_tmp1201z00_624;} } } } } } 

}



/* &<@anonymous:1959> */
obj_t BGl_z62zc3z04anonymousza31959ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2300)
{
{ /* Llib/pgp_composition.scm 507 */
{ /* Llib/pgp_composition.scm 510 */
 obj_t BgL_ppz00_2301;
BgL_ppz00_2301 = 
PROCEDURE_REF(BgL_envz00_2300, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_ppz00_2301));} } 

}



/* encode-native-pgp */
BGL_EXPORTED_DEF obj_t BGl_encodezd2nativezd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt BgL_pgpzd2compositionzd2_33, obj_t BgL_pz00_34)
{
{ /* Llib/pgp_composition.scm 593 */
BGL_TAIL return 
BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_33, BgL_pz00_34);} 

}



/* &encode-native-pgp */
obj_t BGl_z62encodezd2nativezd2pgpz62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2302, obj_t BgL_pgpzd2compositionzd2_2303, obj_t BgL_pz00_2304)
{
{ /* Llib/pgp_composition.scm 593 */
{ /* Llib/pgp_composition.scm 594 */
 obj_t BgL_auxz00_4175; BgL_pgpzd2compositionzd2_bglt BgL_auxz00_4167;
if(
OUTPUT_PORTP(BgL_pz00_2304))
{ /* Llib/pgp_composition.scm 594 */
BgL_auxz00_4175 = BgL_pz00_2304
; }  else 
{ 
 obj_t BgL_auxz00_4178;
BgL_auxz00_4178 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__openpgpzd2compositionzd2, 
BINT(((long)22933)), BGl_string2273z00zz__openpgpzd2compositionzd2, BGl_string2275z00zz__openpgpzd2compositionzd2, BgL_pz00_2304); 
FAILURE(BgL_auxz00_4178,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_pgpzd2compositionzd2_2303, BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_composition.scm 594 */
BgL_auxz00_4167 = 
((BgL_pgpzd2compositionzd2_bglt)BgL_pgpzd2compositionzd2_2303)
; }  else 
{ 
 obj_t BgL_auxz00_4171;
BgL_auxz00_4171 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__openpgpzd2compositionzd2, 
BINT(((long)22933)), BGl_string2273z00zz__openpgpzd2compositionzd2, BGl_string2274z00zz__openpgpzd2compositionzd2, BgL_pgpzd2compositionzd2_2303); 
FAILURE(BgL_auxz00_4171,BFALSE,BFALSE);} 
return 
BGl_encodezd2nativezd2pgpz00zz__openpgpzd2compositionzd2(BgL_auxz00_4167, BgL_auxz00_4175);} } 

}



/* encode-armored-pgp */
BGL_EXPORTED_DEF obj_t BGl_encodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt BgL_pgpzd2compositionzd2_35, obj_t BgL_mainzd2headerzd2infoz00_36, obj_t BgL_headersz00_37, obj_t BgL_pz00_38)
{
{ /* Llib/pgp_composition.scm 601 */
{ /* Llib/pgp_composition.scm 605 */
 obj_t BgL_pstrz00_630;
{ /* Llib/pgp_composition.scm 605 */

{ /* Llib/pgp_composition.scm 605 */

BgL_pstrz00_630 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_35, BgL_pstrz00_630); 
{ /* Llib/pgp_composition.scm 607 */
 obj_t BgL_strz00_631;
BgL_strz00_631 = 
bgl_close_output_port(BgL_pstrz00_630); 
{ /* Llib/pgp_composition.scm 607 */
 obj_t BgL_b64zd2encodedzd2_632;
{ /* Llib/pgp_composition.scm 608 */

BgL_b64zd2encodedzd2_632 = 
BGl_base64zd2encodezd2zz__base64z00(BgL_strz00_631, 
BINT(((long)76))); } 
{ /* Llib/pgp_composition.scm 608 */
 obj_t BgL_crczd2b64zd2_633;
BgL_crczd2b64zd2_633 = 
BGl_createzd2chksum64zd2zz__openpgpzd2compositionzd2(BgL_strz00_631); 
{ /* Llib/pgp_composition.scm 609 */

{ /* Llib/pgp_composition.scm 612 */
 obj_t BgL_zc3z04anonymousza31961ze3z87_2305;
BgL_zc3z04anonymousza31961ze3z87_2305 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31961ze3ze5zz__openpgpzd2compositionzd2, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31961ze3z87_2305, 
(int)(((long)0)), BgL_mainzd2headerzd2infoz00_36); 
PROCEDURE_SET(BgL_zc3z04anonymousza31961ze3z87_2305, 
(int)(((long)1)), BgL_headersz00_37); 
PROCEDURE_SET(BgL_zc3z04anonymousza31961ze3z87_2305, 
(int)(((long)2)), BgL_b64zd2encodedzd2_632); 
PROCEDURE_SET(BgL_zc3z04anonymousza31961ze3z87_2305, 
(int)(((long)3)), BgL_crczd2b64zd2_633); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_pz00_38, BgL_zc3z04anonymousza31961ze3z87_2305);} } } } } } } 

}



/* &encode-armored-pgp */
obj_t BGl_z62encodezd2armoredzd2pgpz62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2306, obj_t BgL_pgpzd2compositionzd2_2307, obj_t BgL_mainzd2headerzd2infoz00_2308, obj_t BgL_headersz00_2309, obj_t BgL_pz00_2310)
{
{ /* Llib/pgp_composition.scm 601 */
{ /* Llib/pgp_composition.scm 605 */
 obj_t BgL_auxz00_4223; obj_t BgL_auxz00_4216; obj_t BgL_auxz00_4209; BgL_pgpzd2compositionzd2_bglt BgL_auxz00_4201;
if(
OUTPUT_PORTP(BgL_pz00_2310))
{ /* Llib/pgp_composition.scm 605 */
BgL_auxz00_4223 = BgL_pz00_2310
; }  else 
{ 
 obj_t BgL_auxz00_4226;
BgL_auxz00_4226 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__openpgpzd2compositionzd2, 
BINT(((long)23481)), BGl_string2276z00zz__openpgpzd2compositionzd2, BGl_string2275z00zz__openpgpzd2compositionzd2, BgL_pz00_2310); 
FAILURE(BgL_auxz00_4226,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_headersz00_2309))
{ /* Llib/pgp_composition.scm 605 */
BgL_auxz00_4216 = BgL_headersz00_2309
; }  else 
{ 
 obj_t BgL_auxz00_4219;
BgL_auxz00_4219 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__openpgpzd2compositionzd2, 
BINT(((long)23481)), BGl_string2276z00zz__openpgpzd2compositionzd2, BGl_string2245z00zz__openpgpzd2compositionzd2, BgL_headersz00_2309); 
FAILURE(BgL_auxz00_4219,BFALSE,BFALSE);} 
if(
STRINGP(BgL_mainzd2headerzd2infoz00_2308))
{ /* Llib/pgp_composition.scm 605 */
BgL_auxz00_4209 = BgL_mainzd2headerzd2infoz00_2308
; }  else 
{ 
 obj_t BgL_auxz00_4212;
BgL_auxz00_4212 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__openpgpzd2compositionzd2, 
BINT(((long)23481)), BGl_string2276z00zz__openpgpzd2compositionzd2, BGl_string2277z00zz__openpgpzd2compositionzd2, BgL_mainzd2headerzd2infoz00_2308); 
FAILURE(BgL_auxz00_4212,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_pgpzd2compositionzd2_2307, BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_composition.scm 605 */
BgL_auxz00_4201 = 
((BgL_pgpzd2compositionzd2_bglt)BgL_pgpzd2compositionzd2_2307)
; }  else 
{ 
 obj_t BgL_auxz00_4205;
BgL_auxz00_4205 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__openpgpzd2compositionzd2, 
BINT(((long)23481)), BGl_string2276z00zz__openpgpzd2compositionzd2, BGl_string2274z00zz__openpgpzd2compositionzd2, BgL_pgpzd2compositionzd2_2307); 
FAILURE(BgL_auxz00_4205,BFALSE,BFALSE);} 
return 
BGl_encodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(BgL_auxz00_4201, BgL_auxz00_4209, BgL_auxz00_4216, BgL_auxz00_4223);} } 

}



/* &<@anonymous:1961> */
obj_t BGl_z62zc3z04anonymousza31961ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2311)
{
{ /* Llib/pgp_composition.scm 611 */
{ /* Llib/pgp_composition.scm 612 */
 obj_t BgL_mainzd2headerzd2infoz00_2312; obj_t BgL_headersz00_2313; obj_t BgL_b64zd2encodedzd2_2314; obj_t BgL_crczd2b64zd2_2315;
BgL_mainzd2headerzd2infoz00_2312 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2311, 
(int)(((long)0)))); 
BgL_headersz00_2313 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2311, 
(int)(((long)1)))); 
BgL_b64zd2encodedzd2_2314 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2311, 
(int)(((long)2)))); 
BgL_crczd2b64zd2_2315 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2311, 
(int)(((long)3)))); 
{ /* Llib/pgp_composition.scm 612 */
 obj_t BgL_port1288z00_2551;
{ /* Llib/pgp_composition.scm 612 */
 obj_t BgL_tmpz00_4243;
BgL_tmpz00_4243 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1288z00_2551 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4243); } 
bgl_display_string(BGl_string2278z00zz__openpgpzd2compositionzd2, BgL_port1288z00_2551); 
bgl_display_obj(BgL_mainzd2headerzd2infoz00_2312, BgL_port1288z00_2551); 
bgl_display_string(BGl_string2265z00zz__openpgpzd2compositionzd2, BgL_port1288z00_2551); 
bgl_display_char(((unsigned char)10), BgL_port1288z00_2551); } 
{ 
 obj_t BgL_l1290z00_2553;
BgL_l1290z00_2553 = BgL_headersz00_2313; 
BgL_zc3z04anonymousza31962ze3z87_2552:
if(
PAIRP(BgL_l1290z00_2553))
{ /* Llib/pgp_composition.scm 613 */
{ /* Llib/pgp_composition.scm 614 */
 obj_t BgL_headerz00_2554;
BgL_headerz00_2554 = 
CAR(BgL_l1290z00_2553); 
{ /* Llib/pgp_composition.scm 614 */
 obj_t BgL_port1289z00_2555;
{ /* Llib/pgp_composition.scm 614 */
 obj_t BgL_tmpz00_4253;
BgL_tmpz00_4253 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1289z00_2555 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4253); } 
{ /* Llib/pgp_composition.scm 614 */
 obj_t BgL_arg1964z00_2556;
BgL_arg1964z00_2556 = 
CAR(
((obj_t)BgL_headerz00_2554)); 
bgl_display_obj(BgL_arg1964z00_2556, BgL_port1289z00_2555); } 
bgl_display_string(BGl_string2279z00zz__openpgpzd2compositionzd2, BgL_port1289z00_2555); 
{ /* Llib/pgp_composition.scm 614 */
 obj_t BgL_arg1965z00_2557;
{ /* Llib/pgp_composition.scm 614 */
 obj_t BgL_pairz00_2558;
BgL_pairz00_2558 = 
CDR(
((obj_t)BgL_headerz00_2554)); 
BgL_arg1965z00_2557 = 
CAR(BgL_pairz00_2558); } 
bgl_display_obj(BgL_arg1965z00_2557, BgL_port1289z00_2555); } 
bgl_display_char(((unsigned char)10), BgL_port1289z00_2555); } } 
{ 
 obj_t BgL_l1290z00_4265;
BgL_l1290z00_4265 = 
CDR(BgL_l1290z00_2553); 
BgL_l1290z00_2553 = BgL_l1290z00_4265; 
goto BgL_zc3z04anonymousza31962ze3z87_2552;} }  else 
{ /* Llib/pgp_composition.scm 613 */((bool_t)1); } } 
{ /* Llib/pgp_composition.scm 616 */
 obj_t BgL_arg1967z00_2559;
{ /* Llib/pgp_composition.scm 616 */
 obj_t BgL_tmpz00_4267;
BgL_tmpz00_4267 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1967z00_2559 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4267); } 
bgl_display_char(((unsigned char)10), BgL_arg1967z00_2559); } 
{ /* Llib/pgp_composition.scm 617 */
 obj_t BgL_port1292z00_2560;
{ /* Llib/pgp_composition.scm 617 */
 obj_t BgL_tmpz00_4271;
BgL_tmpz00_4271 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1292z00_2560 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4271); } 
bgl_display_obj(BgL_b64zd2encodedzd2_2314, BgL_port1292z00_2560); 
bgl_display_char(((unsigned char)10), BgL_port1292z00_2560); } 
{ /* Llib/pgp_composition.scm 618 */
 obj_t BgL_arg1968z00_2561;
{ /* Llib/pgp_composition.scm 618 */
 obj_t BgL_tmpz00_4276;
BgL_tmpz00_4276 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1968z00_2561 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4276); } 
bgl_display_string(BGl_string2280z00zz__openpgpzd2compositionzd2, BgL_arg1968z00_2561); } 
{ /* Llib/pgp_composition.scm 619 */
 obj_t BgL_port1293z00_2562;
{ /* Llib/pgp_composition.scm 619 */
 obj_t BgL_tmpz00_4280;
BgL_tmpz00_4280 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1293z00_2562 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4280); } 
bgl_display_obj(BgL_crczd2b64zd2_2315, BgL_port1293z00_2562); 
bgl_display_char(((unsigned char)10), BgL_port1293z00_2562); } 
{ /* Llib/pgp_composition.scm 620 */
 obj_t BgL_port1294z00_2563;
{ /* Llib/pgp_composition.scm 620 */
 obj_t BgL_tmpz00_4285;
BgL_tmpz00_4285 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1294z00_2563 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4285); } 
bgl_display_string(BGl_string2281z00zz__openpgpzd2compositionzd2, BgL_port1294z00_2563); 
bgl_display_obj(BgL_mainzd2headerzd2infoz00_2312, BgL_port1294z00_2563); 
bgl_display_string(BGl_string2265z00zz__openpgpzd2compositionzd2, BgL_port1294z00_2563); 
return 
bgl_display_char(((unsigned char)10), BgL_port1294z00_2563);} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2compositionzd2(void)
{
{ /* Llib/pgp_composition.scm 15 */
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL_arg1972z00_659; obj_t BgL_arg1973z00_660;
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL_v1295z00_672;
BgL_v1295z00_672 = 
create_vector(((long)2)); 
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL_arg1979z00_673;
BgL_arg1979z00_673 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)10)), BGl_proc2283z00zz__openpgpzd2compositionzd2, BGl_proc2282z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2); 
VECTOR_SET(BgL_v1295z00_672,((long)0),BgL_arg1979z00_673); } 
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL_arg1984z00_683;
BgL_arg1984z00_683 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc2285z00zz__openpgpzd2compositionzd2, BGl_proc2284z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1295z00_672,((long)1),BgL_arg1984z00_683); } 
BgL_arg1972z00_659 = BgL_v1295z00_672; } 
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL_v1296z00_693;
BgL_v1296z00_693 = 
create_vector(((long)0)); 
BgL_arg1973z00_660 = BgL_v1296z00_693; } 
BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)13)), 
CNST_TABLE_REF(((long)14)), BGl_objectz00zz__objectz00, ((long)38657), BGl_proc2288z00zz__openpgpzd2compositionzd2, BGl_proc2287z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2286z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg1972z00_659, BgL_arg1973z00_660); } 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_arg1992z00_700; obj_t BgL_arg1993z00_701;
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_v1297z00_715;
BgL_v1297z00_715 = 
create_vector(((long)4)); 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_arg1999z00_716;
BgL_arg1999z00_716 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc2290z00zz__openpgpzd2compositionzd2, BGl_proc2289z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
VECTOR_SET(BgL_v1297z00_715,((long)0),BgL_arg1999z00_716); } 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_arg2004z00_726;
BgL_arg2004z00_726 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc2292z00zz__openpgpzd2compositionzd2, BGl_proc2291z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1297z00_715,((long)1),BgL_arg2004z00_726); } 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_arg2009z00_736;
BgL_arg2009z00_736 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2294z00zz__openpgpzd2compositionzd2, BGl_proc2293z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1297z00_715,((long)2),BgL_arg2009z00_736); } 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_arg2014z00_746;
BgL_arg2014z00_746 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc2296z00zz__openpgpzd2compositionzd2, BGl_proc2295z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2); 
VECTOR_SET(BgL_v1297z00_715,((long)3),BgL_arg2014z00_746); } 
BgL_arg1992z00_700 = BgL_v1297z00_715; } 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_v1298z00_756;
BgL_v1298z00_756 = 
create_vector(((long)0)); 
BgL_arg1993z00_701 = BgL_v1298z00_756; } 
BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)18)), 
CNST_TABLE_REF(((long)14)), BGl_objectz00zz__objectz00, ((long)25398), BGl_proc2299z00zz__openpgpzd2compositionzd2, BGl_proc2298z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2297z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg1992z00_700, BgL_arg1993z00_701); } 
{ /* Llib/pgp_composition.scm 39 */
 obj_t BgL_arg2021z00_762; obj_t BgL_arg2022z00_763;
{ /* Llib/pgp_composition.scm 39 */
 obj_t BgL_v1299z00_769;
BgL_v1299z00_769 = 
create_vector(((long)0)); 
BgL_arg2021z00_762 = BgL_v1299z00_769; } 
{ /* Llib/pgp_composition.scm 39 */
 obj_t BgL_v1300z00_770;
BgL_v1300z00_770 = 
create_vector(((long)0)); 
BgL_arg2022z00_763 = BgL_v1300z00_770; } 
BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)19)), 
CNST_TABLE_REF(((long)14)), BGl_objectz00zz__objectz00, ((long)55354), BFALSE, BGl_proc2301z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2300z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2021z00_762, BgL_arg2022z00_763); } 
{ /* Llib/pgp_composition.scm 40 */
 obj_t BgL_arg2029z00_776; obj_t BgL_arg2030z00_777;
{ /* Llib/pgp_composition.scm 40 */
 obj_t BgL_v1301z00_789;
BgL_v1301z00_789 = 
create_vector(((long)2)); 
{ /* Llib/pgp_composition.scm 40 */
 obj_t BgL_arg2036z00_790;
BgL_arg2036z00_790 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc2303z00zz__openpgpzd2compositionzd2, BGl_proc2302z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1301z00_789,((long)0),BgL_arg2036z00_790); } 
{ /* Llib/pgp_composition.scm 40 */
 obj_t BgL_arg2041z00_800;
BgL_arg2041z00_800 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc2305z00zz__openpgpzd2compositionzd2, BGl_proc2304z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1301z00_789,((long)1),BgL_arg2041z00_800); } 
BgL_arg2029z00_776 = BgL_v1301z00_789; } 
{ /* Llib/pgp_composition.scm 40 */
 obj_t BgL_v1302z00_810;
BgL_v1302z00_810 = 
create_vector(((long)0)); 
BgL_arg2030z00_777 = BgL_v1302z00_810; } 
BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)23)), 
CNST_TABLE_REF(((long)14)), BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2, ((long)57195), BGl_proc2308z00zz__openpgpzd2compositionzd2, BGl_proc2307z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2306z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2029z00_776, BgL_arg2030z00_777); } 
{ /* Llib/pgp_composition.scm 43 */
 obj_t BgL_arg2048z00_816; obj_t BgL_arg2049z00_817;
{ /* Llib/pgp_composition.scm 43 */
 obj_t BgL_v1303z00_823;
BgL_v1303z00_823 = 
create_vector(((long)0)); 
BgL_arg2048z00_816 = BgL_v1303z00_823; } 
{ /* Llib/pgp_composition.scm 43 */
 obj_t BgL_v1304z00_824;
BgL_v1304z00_824 = 
create_vector(((long)0)); 
BgL_arg2049z00_817 = BgL_v1304z00_824; } 
BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)24)), 
CNST_TABLE_REF(((long)14)), BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2, ((long)36943), BFALSE, BGl_proc2310z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2309z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2048z00_816, BgL_arg2049z00_817); } 
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL_arg2056z00_830; obj_t BgL_arg2057z00_831;
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL_v1305z00_843;
BgL_v1305z00_843 = 
create_vector(((long)2)); 
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL_arg2063z00_844;
BgL_arg2063z00_844 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc2312z00zz__openpgpzd2compositionzd2, BGl_proc2311z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1305z00_843,((long)0),BgL_arg2063z00_844); } 
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL_arg2068z00_854;
BgL_arg2068z00_854 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc2314z00zz__openpgpzd2compositionzd2, BGl_proc2313z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2); 
VECTOR_SET(BgL_v1305z00_843,((long)1),BgL_arg2068z00_854); } 
BgL_arg2056z00_830 = BgL_v1305z00_843; } 
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL_v1306z00_864;
BgL_v1306z00_864 = 
create_vector(((long)0)); 
BgL_arg2057z00_831 = BgL_v1306z00_864; } 
BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)27)), 
CNST_TABLE_REF(((long)14)), BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2, ((long)34910), BGl_proc2317z00zz__openpgpzd2compositionzd2, BGl_proc2316z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2315z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2056z00_830, BgL_arg2057z00_831); } 
{ /* Llib/pgp_composition.scm 48 */
 obj_t BgL_arg2076z00_871; obj_t BgL_arg2077z00_872;
{ /* Llib/pgp_composition.scm 48 */
 obj_t BgL_v1307z00_884;
BgL_v1307z00_884 = 
create_vector(((long)2)); 
{ /* Llib/pgp_composition.scm 48 */
 obj_t BgL_arg2083z00_885;
BgL_arg2083z00_885 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc2319z00zz__openpgpzd2compositionzd2, BGl_proc2318z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)29))); 
VECTOR_SET(BgL_v1307z00_884,((long)0),BgL_arg2083z00_885); } 
{ /* Llib/pgp_composition.scm 48 */
 obj_t BgL_arg2088z00_895;
BgL_arg2088z00_895 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc2321z00zz__openpgpzd2compositionzd2, BGl_proc2320z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1307z00_884,((long)1),BgL_arg2088z00_895); } 
BgL_arg2076z00_871 = BgL_v1307z00_884; } 
{ /* Llib/pgp_composition.scm 48 */
 obj_t BgL_v1308z00_905;
BgL_v1308z00_905 = 
create_vector(((long)0)); 
BgL_arg2077z00_872 = BgL_v1308z00_905; } 
BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)30)), 
CNST_TABLE_REF(((long)14)), BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2, ((long)53773), BGl_proc2324z00zz__openpgpzd2compositionzd2, BGl_proc2323z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2322z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2076z00_871, BgL_arg2077z00_872); } 
{ /* Llib/pgp_composition.scm 51 */
 obj_t BgL_arg2096z00_912; obj_t BgL_arg2097z00_913;
{ /* Llib/pgp_composition.scm 51 */
 obj_t BgL_v1309z00_926;
BgL_v1309z00_926 = 
create_vector(((long)1)); 
{ /* Llib/pgp_composition.scm 51 */
 obj_t BgL_arg2103z00_927;
BgL_arg2103z00_927 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)31)), BGl_proc2326z00zz__openpgpzd2compositionzd2, BGl_proc2325z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1309z00_926,((long)0),BgL_arg2103z00_927); } 
BgL_arg2096z00_912 = BgL_v1309z00_926; } 
{ /* Llib/pgp_composition.scm 51 */
 obj_t BgL_v1310z00_937;
BgL_v1310z00_937 = 
create_vector(((long)0)); 
BgL_arg2097z00_913 = BgL_v1310z00_937; } 
BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)32)), 
CNST_TABLE_REF(((long)14)), BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2, ((long)43858), BGl_proc2329z00zz__openpgpzd2compositionzd2, BGl_proc2328z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2327z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2096z00_912, BgL_arg2097z00_913); } 
{ /* Llib/pgp_composition.scm 53 */
 obj_t BgL_arg2111z00_944; obj_t BgL_arg2112z00_945;
{ /* Llib/pgp_composition.scm 53 */
 obj_t BgL_v1311z00_956;
BgL_v1311z00_956 = 
create_vector(((long)1)); 
{ /* Llib/pgp_composition.scm 53 */
 obj_t BgL_arg2118z00_957;
BgL_arg2118z00_957 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc2331z00zz__openpgpzd2compositionzd2, BGl_proc2330z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); 
VECTOR_SET(BgL_v1311z00_956,((long)0),BgL_arg2118z00_957); } 
BgL_arg2111z00_944 = BgL_v1311z00_956; } 
{ /* Llib/pgp_composition.scm 53 */
 obj_t BgL_v1312z00_967;
BgL_v1312z00_967 = 
create_vector(((long)0)); 
BgL_arg2112z00_945 = BgL_v1312z00_967; } 
return ( 
BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)34)), 
CNST_TABLE_REF(((long)14)), BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2, ((long)54317), BGl_proc2334z00zz__openpgpzd2compositionzd2, BGl_proc2333z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2332z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2111z00_944, BgL_arg2112z00_945), BUNSPEC) ;} } 

}



/* &<@anonymous:2117> */
obj_t BGl_z62zc3z04anonymousza32117ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2369, obj_t BgL_new1130z00_2370)
{
{ /* Llib/pgp_composition.scm 53 */
{ 
 BgL_pgpzd2literalzd2_bglt BgL_auxz00_4388;
{ 
 BgL_pgpzd2literalzd2packetz00_bglt BgL_auxz00_4389;
{ /* Llib/pgp_composition.scm 53 */
 obj_t BgL_classz00_2565;
BgL_classz00_2565 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_composition.scm 53 */
 obj_t BgL__ortest_1112z00_2566;
BgL__ortest_1112z00_2566 = 
BGL_CLASS_NIL(BgL_classz00_2565); 
if(
CBOOL(BgL__ortest_1112z00_2566))
{ /* Llib/pgp_composition.scm 53 */
BgL_auxz00_4389 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BgL__ortest_1112z00_2566)
; }  else 
{ /* Llib/pgp_composition.scm 53 */
BgL_auxz00_4389 = 
((BgL_pgpzd2literalzd2packetz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2565))
; } } } 
((((BgL_pgpzd2literalzd2_bglt)COBJECT(
((BgL_pgpzd2literalzd2_bglt)BgL_new1130z00_2370)))->BgL_literalz00)=((BgL_pgpzd2literalzd2packetz00_bglt)BgL_auxz00_4389),BUNSPEC); } 
BgL_auxz00_4388 = 
((BgL_pgpzd2literalzd2_bglt)BgL_new1130z00_2370); 
return 
((obj_t)BgL_auxz00_4388);} } 

}



/* &lambda2115 */
BgL_pgpzd2literalzd2_bglt BGl_z62lambda2115z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2371)
{
{ /* Llib/pgp_composition.scm 53 */
{ /* Llib/pgp_composition.scm 53 */
 BgL_pgpzd2literalzd2_bglt BgL_new1129z00_2567;
BgL_new1129z00_2567 = 
((BgL_pgpzd2literalzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 53 */
 long BgL_arg2116z00_2568;
BgL_arg2116z00_2568 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_2567), BgL_arg2116z00_2568); } 
{ /* Llib/pgp_composition.scm 53 */
 BgL_objectz00_bglt BgL_tmpz00_4404;
BgL_tmpz00_4404 = 
((BgL_objectz00_bglt)BgL_new1129z00_2567); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4404, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1129z00_2567); 
return BgL_new1129z00_2567;} } 

}



/* &lambda2113 */
BgL_pgpzd2literalzd2_bglt BGl_z62lambda2113z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2372, obj_t BgL_literal1128z00_2373)
{
{ /* Llib/pgp_composition.scm 53 */
{ /* Llib/pgp_composition.scm 53 */
 BgL_pgpzd2literalzd2_bglt BgL_new1223z00_2570;
{ /* Llib/pgp_composition.scm 53 */
 BgL_pgpzd2literalzd2_bglt BgL_new1222z00_2571;
BgL_new1222z00_2571 = 
((BgL_pgpzd2literalzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 53 */
 long BgL_arg2114z00_2572;
BgL_arg2114z00_2572 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1222z00_2571), BgL_arg2114z00_2572); } 
{ /* Llib/pgp_composition.scm 53 */
 BgL_objectz00_bglt BgL_tmpz00_4412;
BgL_tmpz00_4412 = 
((BgL_objectz00_bglt)BgL_new1222z00_2571); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4412, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1222z00_2571); 
BgL_new1223z00_2570 = BgL_new1222z00_2571; } 
((((BgL_pgpzd2literalzd2_bglt)COBJECT(BgL_new1223z00_2570))->BgL_literalz00)=((BgL_pgpzd2literalzd2packetz00_bglt)
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_literal1128z00_2373)),BUNSPEC); 
return BgL_new1223z00_2570;} } 

}



/* &lambda2122 */
obj_t BGl_z62lambda2122z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2374, obj_t BgL_oz00_2375, obj_t BgL_vz00_2376)
{
{ /* Llib/pgp_composition.scm 53 */
return 
((((BgL_pgpzd2literalzd2_bglt)COBJECT(
((BgL_pgpzd2literalzd2_bglt)BgL_oz00_2375)))->BgL_literalz00)=((BgL_pgpzd2literalzd2packetz00_bglt)
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_vz00_2376)),BUNSPEC);} 

}



/* &lambda2121 */
BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2121z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2377, obj_t BgL_oz00_2378)
{
{ /* Llib/pgp_composition.scm 53 */
return 
(((BgL_pgpzd2literalzd2_bglt)COBJECT(
((BgL_pgpzd2literalzd2_bglt)BgL_oz00_2378)))->BgL_literalz00);} 

}



/* &<@anonymous:2102> */
obj_t BGl_z62zc3z04anonymousza32102ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2379, obj_t BgL_new1126z00_2380)
{
{ /* Llib/pgp_composition.scm 51 */
{ 
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_auxz00_4423;
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_new1126z00_2380))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_new1126z00_2380))))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_new1126z00_2380)))->BgL_onezd2passzd2sigsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4423 = 
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_new1126z00_2380); 
return 
((obj_t)BgL_auxz00_4423);} } 

}



/* &lambda2100 */
BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_z62lambda2100z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2381)
{
{ /* Llib/pgp_composition.scm 51 */
{ /* Llib/pgp_composition.scm 51 */
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1125z00_2577;
BgL_new1125z00_2577 = 
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 51 */
 long BgL_arg2101z00_2578;
BgL_arg2101z00_2578 = 
BGL_CLASS_NUM(BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_2577), BgL_arg2101z00_2578); } 
{ /* Llib/pgp_composition.scm 51 */
 BgL_objectz00_bglt BgL_tmpz00_4438;
BgL_tmpz00_4438 = 
((BgL_objectz00_bglt)BgL_new1125z00_2577); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4438, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1125z00_2577); 
return BgL_new1125z00_2577;} } 

}



/* &lambda2098 */
BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_z62lambda2098z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2382, obj_t BgL_msg1122z00_2383, obj_t BgL_sigs1123z00_2384, obj_t BgL_onezd2passzd2sigs1124z00_2385)
{
{ /* Llib/pgp_composition.scm 51 */
{ /* Llib/pgp_composition.scm 51 */
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1221z00_2581;
{ /* Llib/pgp_composition.scm 51 */
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1220z00_2582;
BgL_new1220z00_2582 = 
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 51 */
 long BgL_arg2099z00_2583;
BgL_arg2099z00_2583 = 
BGL_CLASS_NUM(BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1220z00_2582), BgL_arg2099z00_2583); } 
{ /* Llib/pgp_composition.scm 51 */
 BgL_objectz00_bglt BgL_tmpz00_4446;
BgL_tmpz00_4446 = 
((BgL_objectz00_bglt)BgL_new1220z00_2582); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4446, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1220z00_2582); 
BgL_new1221z00_2581 = BgL_new1220z00_2582; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1221z00_2581)))->BgL_msgz00)=((obj_t)BgL_msg1122z00_2383),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1221z00_2581)))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_sigs1123z00_2384)),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(BgL_new1221z00_2581))->BgL_onezd2passzd2sigsz00)=((obj_t)
((obj_t)BgL_onezd2passzd2sigs1124z00_2385)),BUNSPEC); 
return BgL_new1221z00_2581;} } 

}



/* &lambda2107 */
obj_t BGl_z62lambda2107z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2386, obj_t BgL_oz00_2387, obj_t BgL_vz00_2388)
{
{ /* Llib/pgp_composition.scm 51 */
return 
((((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_oz00_2387)))->BgL_onezd2passzd2sigsz00)=((obj_t)
((obj_t)BgL_vz00_2388)),BUNSPEC);} 

}



/* &lambda2106 */
obj_t BGl_z62lambda2106z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2389, obj_t BgL_oz00_2390)
{
{ /* Llib/pgp_composition.scm 51 */
return 
(((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_oz00_2390)))->BgL_onezd2passzd2sigsz00);} 

}



/* &<@anonymous:2082> */
obj_t BGl_z62zc3z04anonymousza32082ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2391, obj_t BgL_new1120z00_2392)
{
{ /* Llib/pgp_composition.scm 48 */
{ 
 BgL_pgpzd2signaturezd2_bglt BgL_auxz00_4462;
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1120z00_2392)))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1120z00_2392)))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4462 = 
((BgL_pgpzd2signaturezd2_bglt)BgL_new1120z00_2392); 
return 
((obj_t)BgL_auxz00_4462);} } 

}



/* &lambda2080 */
BgL_pgpzd2signaturezd2_bglt BGl_z62lambda2080z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2393)
{
{ /* Llib/pgp_composition.scm 48 */
{ /* Llib/pgp_composition.scm 48 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1119z00_2588;
BgL_new1119z00_2588 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 48 */
 long BgL_arg2081z00_2589;
BgL_arg2081z00_2589 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_2588), BgL_arg2081z00_2589); } 
return BgL_new1119z00_2588;} } 

}



/* &lambda2078 */
BgL_pgpzd2signaturezd2_bglt BGl_z62lambda2078z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2394, obj_t BgL_msg1117z00_2395, obj_t BgL_sigs1118z00_2396)
{
{ /* Llib/pgp_composition.scm 48 */
{ /* Llib/pgp_composition.scm 48 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1219z00_2591;
{ /* Llib/pgp_composition.scm 48 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1218z00_2592;
BgL_new1218z00_2592 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 48 */
 long BgL_arg2079z00_2593;
BgL_arg2079z00_2593 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1218z00_2592), BgL_arg2079z00_2593); } 
BgL_new1219z00_2591 = BgL_new1218z00_2592; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1219z00_2591))->BgL_msgz00)=((obj_t)BgL_msg1117z00_2395),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1219z00_2591))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_sigs1118z00_2396)),BUNSPEC); 
return BgL_new1219z00_2591;} } 

}



/* &lambda2092 */
obj_t BGl_z62lambda2092z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2397, obj_t BgL_oz00_2398, obj_t BgL_vz00_2399)
{
{ /* Llib/pgp_composition.scm 48 */
return 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_oz00_2398)))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_vz00_2399)),BUNSPEC);} 

}



/* &lambda2091 */
obj_t BGl_z62lambda2091z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2400, obj_t BgL_oz00_2401)
{
{ /* Llib/pgp_composition.scm 48 */
return 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_oz00_2401)))->BgL_sigsz00);} 

}



/* &lambda2087 */
obj_t BGl_z62lambda2087z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2402, obj_t BgL_oz00_2403, obj_t BgL_vz00_2404)
{
{ /* Llib/pgp_composition.scm 48 */
return 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_oz00_2403)))->BgL_msgz00)=((obj_t)BgL_vz00_2404),BUNSPEC);} 

}



/* &lambda2086 */
obj_t BGl_z62lambda2086z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2405, obj_t BgL_oz00_2406)
{
{ /* Llib/pgp_composition.scm 48 */
return 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_oz00_2406)))->BgL_msgz00);} 

}



/* &<@anonymous:2062> */
obj_t BGl_z62zc3z04anonymousza32062ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2407, obj_t BgL_new1115z00_2408)
{
{ /* Llib/pgp_composition.scm 44 */
{ 
 BgL_pgpzd2encryptedzd2_bglt BgL_auxz00_4489;
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_new1115z00_2408)))->BgL_sessionzd2keyszd2)=((obj_t)BNIL),BUNSPEC); 
{ 
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_auxz00_4492;
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL_classz00_2600;
BgL_classz00_2600 = BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL__ortest_1112z00_2601;
BgL__ortest_1112z00_2601 = 
BGL_CLASS_NIL(BgL_classz00_2600); 
if(
CBOOL(BgL__ortest_1112z00_2601))
{ /* Llib/pgp_composition.scm 44 */
BgL_auxz00_4492 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL__ortest_1112z00_2601)
; }  else 
{ /* Llib/pgp_composition.scm 44 */
BgL_auxz00_4492 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2600))
; } } } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_new1115z00_2408)))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_auxz00_4492),BUNSPEC); } 
BgL_auxz00_4489 = 
((BgL_pgpzd2encryptedzd2_bglt)BgL_new1115z00_2408); 
return 
((obj_t)BgL_auxz00_4489);} } 

}



/* &lambda2060 */
BgL_pgpzd2encryptedzd2_bglt BGl_z62lambda2060z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2409)
{
{ /* Llib/pgp_composition.scm 44 */
{ /* Llib/pgp_composition.scm 44 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1114z00_2602;
BgL_new1114z00_2602 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 44 */
 long BgL_arg2061z00_2603;
BgL_arg2061z00_2603 = 
BGL_CLASS_NUM(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_2602), BgL_arg2061z00_2603); } 
{ /* Llib/pgp_composition.scm 44 */
 BgL_objectz00_bglt BgL_tmpz00_4507;
BgL_tmpz00_4507 = 
((BgL_objectz00_bglt)BgL_new1114z00_2602); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4507, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1114z00_2602); 
return BgL_new1114z00_2602;} } 

}



/* &lambda2058 */
BgL_pgpzd2encryptedzd2_bglt BGl_z62lambda2058z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2410, obj_t BgL_sessionzd2keys1112zd2_2411, obj_t BgL_encryptedzd2data1113zd2_2412)
{
{ /* Llib/pgp_composition.scm 44 */
{ /* Llib/pgp_composition.scm 44 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1217z00_2606;
{ /* Llib/pgp_composition.scm 44 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1216z00_2607;
BgL_new1216z00_2607 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 44 */
 long BgL_arg2059z00_2608;
BgL_arg2059z00_2608 = 
BGL_CLASS_NUM(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1216z00_2607), BgL_arg2059z00_2608); } 
{ /* Llib/pgp_composition.scm 44 */
 BgL_objectz00_bglt BgL_tmpz00_4515;
BgL_tmpz00_4515 = 
((BgL_objectz00_bglt)BgL_new1216z00_2607); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4515, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1216z00_2607); 
BgL_new1217z00_2606 = BgL_new1216z00_2607; } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1217z00_2606))->BgL_sessionzd2keyszd2)=((obj_t)
((obj_t)BgL_sessionzd2keys1112zd2_2411)),BUNSPEC); 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1217z00_2606))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_encryptedzd2data1113zd2_2412)),BUNSPEC); 
return BgL_new1217z00_2606;} } 

}



/* &lambda2072 */
obj_t BGl_z62lambda2072z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2413, obj_t BgL_oz00_2414, obj_t BgL_vz00_2415)
{
{ /* Llib/pgp_composition.scm 44 */
return 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_oz00_2414)))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_vz00_2415)),BUNSPEC);} 

}



/* &lambda2071 */
BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2071z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2416, obj_t BgL_oz00_2417)
{
{ /* Llib/pgp_composition.scm 44 */
return 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_oz00_2417)))->BgL_encryptedzd2datazd2);} 

}



/* &lambda2067 */
obj_t BGl_z62lambda2067z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2418, obj_t BgL_oz00_2419, obj_t BgL_vz00_2420)
{
{ /* Llib/pgp_composition.scm 44 */
return 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_oz00_2419)))->BgL_sessionzd2keyszd2)=((obj_t)
((obj_t)BgL_vz00_2420)),BUNSPEC);} 

}



/* &lambda2066 */
obj_t BGl_z62lambda2066z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2421, obj_t BgL_oz00_2422)
{
{ /* Llib/pgp_composition.scm 44 */
return 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_oz00_2422)))->BgL_sessionzd2keyszd2);} 

}



/* &<@anonymous:2052> */
obj_t BGl_z62zc3z04anonymousza32052ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2423, obj_t BgL_new1110z00_2424)
{
{ /* Llib/pgp_composition.scm 43 */
return 
((obj_t)
((BgL_pgpzd2messagezd2_bglt)BgL_new1110z00_2424));} 

}



/* &lambda2050 */
BgL_pgpzd2messagezd2_bglt BGl_z62lambda2050z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2425)
{
{ /* Llib/pgp_composition.scm 43 */
{ /* Llib/pgp_composition.scm 43 */
 BgL_pgpzd2messagezd2_bglt BgL_new1109z00_2616;
BgL_new1109z00_2616 = 
((BgL_pgpzd2messagezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2messagezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 43 */
 long BgL_arg2051z00_2617;
BgL_arg2051z00_2617 = 
BGL_CLASS_NUM(BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_2616), BgL_arg2051z00_2617); } 
return BgL_new1109z00_2616;} } 

}



/* &<@anonymous:2035> */
obj_t BGl_z62zc3z04anonymousza32035ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2426, obj_t BgL_new1107z00_2427)
{
{ /* Llib/pgp_composition.scm 40 */
{ 
 BgL_pgpzd2keyzd2_bglt BgL_auxz00_4539;
((((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_new1107z00_2427)))->BgL_subkeysz00)=((obj_t)
MAKE_YOUNG_PAIR(BFALSE, BFALSE)),BUNSPEC); 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_new1107z00_2427)))->BgL_userzd2idszd2)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4539 = 
((BgL_pgpzd2keyzd2_bglt)BgL_new1107z00_2427); 
return 
((obj_t)BgL_auxz00_4539);} } 

}



/* &lambda2033 */
BgL_pgpzd2keyzd2_bglt BGl_z62lambda2033z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2428)
{
{ /* Llib/pgp_composition.scm 40 */
{ /* Llib/pgp_composition.scm 40 */
 BgL_pgpzd2keyzd2_bglt BgL_new1106z00_2619;
BgL_new1106z00_2619 = 
((BgL_pgpzd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2keyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 40 */
 long BgL_arg2034z00_2620;
BgL_arg2034z00_2620 = 
BGL_CLASS_NUM(BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1106z00_2619), BgL_arg2034z00_2620); } 
{ /* Llib/pgp_composition.scm 40 */
 BgL_objectz00_bglt BgL_tmpz00_4551;
BgL_tmpz00_4551 = 
((BgL_objectz00_bglt)BgL_new1106z00_2619); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4551, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1106z00_2619); 
return BgL_new1106z00_2619;} } 

}



/* &lambda2031 */
BgL_pgpzd2keyzd2_bglt BGl_z62lambda2031z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2429, obj_t BgL_subkeys1104z00_2430, obj_t BgL_userzd2ids1105zd2_2431)
{
{ /* Llib/pgp_composition.scm 40 */
{ /* Llib/pgp_composition.scm 40 */
 BgL_pgpzd2keyzd2_bglt BgL_new1215z00_2623;
{ /* Llib/pgp_composition.scm 40 */
 BgL_pgpzd2keyzd2_bglt BgL_new1214z00_2624;
BgL_new1214z00_2624 = 
((BgL_pgpzd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2keyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 40 */
 long BgL_arg2032z00_2625;
BgL_arg2032z00_2625 = 
BGL_CLASS_NUM(BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_2624), BgL_arg2032z00_2625); } 
{ /* Llib/pgp_composition.scm 40 */
 BgL_objectz00_bglt BgL_tmpz00_4559;
BgL_tmpz00_4559 = 
((BgL_objectz00_bglt)BgL_new1214z00_2624); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4559, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1214z00_2624); 
BgL_new1215z00_2623 = BgL_new1214z00_2624; } 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_new1215z00_2623))->BgL_subkeysz00)=((obj_t)
((obj_t)BgL_subkeys1104z00_2430)),BUNSPEC); 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_new1215z00_2623))->BgL_userzd2idszd2)=((obj_t)
((obj_t)BgL_userzd2ids1105zd2_2431)),BUNSPEC); 
return BgL_new1215z00_2623;} } 

}



/* &lambda2045 */
obj_t BGl_z62lambda2045z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2432, obj_t BgL_oz00_2433, obj_t BgL_vz00_2434)
{
{ /* Llib/pgp_composition.scm 40 */
return 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_oz00_2433)))->BgL_userzd2idszd2)=((obj_t)
((obj_t)BgL_vz00_2434)),BUNSPEC);} 

}



/* &lambda2044 */
obj_t BGl_z62lambda2044z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2435, obj_t BgL_oz00_2436)
{
{ /* Llib/pgp_composition.scm 40 */
return 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_oz00_2436)))->BgL_userzd2idszd2);} 

}



/* &lambda2040 */
obj_t BGl_z62lambda2040z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2437, obj_t BgL_oz00_2438, obj_t BgL_vz00_2439)
{
{ /* Llib/pgp_composition.scm 40 */
return 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_oz00_2438)))->BgL_subkeysz00)=((obj_t)
((obj_t)BgL_vz00_2439)),BUNSPEC);} 

}



/* &lambda2039 */
obj_t BGl_z62lambda2039z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2440, obj_t BgL_oz00_2441)
{
{ /* Llib/pgp_composition.scm 40 */
return 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_oz00_2441)))->BgL_subkeysz00);} 

}



/* &<@anonymous:2025> */
obj_t BGl_z62zc3z04anonymousza32025ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2442, obj_t BgL_new1102z00_2443)
{
{ /* Llib/pgp_composition.scm 39 */
return 
((obj_t)
((BgL_pgpzd2compositionzd2_bglt)BgL_new1102z00_2443));} 

}



/* &lambda2023 */
BgL_pgpzd2compositionzd2_bglt BGl_z62lambda2023z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2444)
{
{ /* Llib/pgp_composition.scm 39 */
{ /* Llib/pgp_composition.scm 39 */
 BgL_pgpzd2compositionzd2_bglt BgL_new1101z00_2633;
BgL_new1101z00_2633 = 
((BgL_pgpzd2compositionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2compositionzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 39 */
 long BgL_arg2024z00_2634;
BgL_arg2024z00_2634 = 
BGL_CLASS_NUM(BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1101z00_2633), BgL_arg2024z00_2634); } 
return BgL_new1101z00_2633;} } 

}



/* &<@anonymous:1998> */
obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2445, obj_t BgL_new1099z00_2446)
{
{ /* Llib/pgp_composition.scm 34 */
{ 
 BgL_pgpzd2subkeyzd2_bglt BgL_auxz00_4583;
{ 
 BgL_pgpzd2keyzd2packetz00_bglt BgL_auxz00_4584;
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_classz00_2636;
BgL_classz00_2636 = BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL__ortest_1112z00_2637;
BgL__ortest_1112z00_2637 = 
BGL_CLASS_NIL(BgL_classz00_2636); 
if(
CBOOL(BgL__ortest_1112z00_2637))
{ /* Llib/pgp_composition.scm 34 */
BgL_auxz00_4584 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BgL__ortest_1112z00_2637)
; }  else 
{ /* Llib/pgp_composition.scm 34 */
BgL_auxz00_4584 = 
((BgL_pgpzd2keyzd2packetz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2636))
; } } } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1099z00_2446)))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)BgL_auxz00_4584),BUNSPEC); } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1099z00_2446)))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1099z00_2446)))->BgL_revocationzd2sigszd2)=((obj_t)BNIL),BUNSPEC); 
{ 
 BgL_pgpzd2keyzd2_bglt BgL_auxz00_4597;
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_classz00_2638;
BgL_classz00_2638 = BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2; 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL__ortest_1112z00_2639;
BgL__ortest_1112z00_2639 = 
BGL_CLASS_NIL(BgL_classz00_2638); 
if(
CBOOL(BgL__ortest_1112z00_2639))
{ /* Llib/pgp_composition.scm 34 */
BgL_auxz00_4597 = 
((BgL_pgpzd2keyzd2_bglt)BgL__ortest_1112z00_2639)
; }  else 
{ /* Llib/pgp_composition.scm 34 */
BgL_auxz00_4597 = 
((BgL_pgpzd2keyzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2638))
; } } } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1099z00_2446)))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)BgL_auxz00_4597),BUNSPEC); } 
BgL_auxz00_4583 = 
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1099z00_2446); 
return 
((obj_t)BgL_auxz00_4583);} } 

}



/* &lambda1996 */
BgL_pgpzd2subkeyzd2_bglt BGl_z62lambda1996z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2447)
{
{ /* Llib/pgp_composition.scm 34 */
{ /* Llib/pgp_composition.scm 34 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1098z00_2640;
BgL_new1098z00_2640 = 
((BgL_pgpzd2subkeyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2subkeyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 34 */
 long BgL_arg1997z00_2641;
BgL_arg1997z00_2641 = 
BGL_CLASS_NUM(BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_2640), BgL_arg1997z00_2641); } 
{ /* Llib/pgp_composition.scm 34 */
 BgL_objectz00_bglt BgL_tmpz00_4612;
BgL_tmpz00_4612 = 
((BgL_objectz00_bglt)BgL_new1098z00_2640); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4612, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1098z00_2640); 
return BgL_new1098z00_2640;} } 

}



/* &lambda1994 */
BgL_pgpzd2subkeyzd2_bglt BGl_z62lambda1994z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2448, obj_t BgL_keyzd2packet1094zd2_2449, obj_t BgL_sigs1095z00_2450, obj_t BgL_revocationzd2sigs1096zd2_2451, obj_t BgL_pgpzd2key1097zd2_2452)
{
{ /* Llib/pgp_composition.scm 34 */
{ /* Llib/pgp_composition.scm 34 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1213z00_2646;
{ /* Llib/pgp_composition.scm 34 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1212z00_2647;
BgL_new1212z00_2647 = 
((BgL_pgpzd2subkeyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2subkeyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 34 */
 long BgL_arg1995z00_2648;
BgL_arg1995z00_2648 = 
BGL_CLASS_NUM(BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1212z00_2647), BgL_arg1995z00_2648); } 
{ /* Llib/pgp_composition.scm 34 */
 BgL_objectz00_bglt BgL_tmpz00_4620;
BgL_tmpz00_4620 = 
((BgL_objectz00_bglt)BgL_new1212z00_2647); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4620, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1212z00_2647); 
BgL_new1213z00_2646 = BgL_new1212z00_2647; } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1213z00_2646))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_keyzd2packet1094zd2_2449)),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1213z00_2646))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_sigs1095z00_2450)),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1213z00_2646))->BgL_revocationzd2sigszd2)=((obj_t)
((obj_t)BgL_revocationzd2sigs1096zd2_2451)),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1213z00_2646))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)
((BgL_pgpzd2keyzd2_bglt)BgL_pgpzd2key1097zd2_2452)),BUNSPEC); 
return BgL_new1213z00_2646;} } 

}



/* &lambda2018 */
obj_t BGl_z62lambda2018z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2453, obj_t BgL_oz00_2454, obj_t BgL_vz00_2455)
{
{ /* Llib/pgp_composition.scm 34 */
return 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2454)))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)
((BgL_pgpzd2keyzd2_bglt)BgL_vz00_2455)),BUNSPEC);} 

}



/* &lambda2017 */
BgL_pgpzd2keyzd2_bglt BGl_z62lambda2017z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2456, obj_t BgL_oz00_2457)
{
{ /* Llib/pgp_composition.scm 34 */
return 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2457)))->BgL_pgpzd2keyzd2);} 

}



/* &lambda2013 */
obj_t BGl_z62lambda2013z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2458, obj_t BgL_oz00_2459, obj_t BgL_vz00_2460)
{
{ /* Llib/pgp_composition.scm 34 */
return 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2459)))->BgL_revocationzd2sigszd2)=((obj_t)
((obj_t)BgL_vz00_2460)),BUNSPEC);} 

}



/* &lambda2012 */
obj_t BGl_z62lambda2012z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2461, obj_t BgL_oz00_2462)
{
{ /* Llib/pgp_composition.scm 34 */
return 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2462)))->BgL_revocationzd2sigszd2);} 

}



/* &lambda2008 */
obj_t BGl_z62lambda2008z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2463, obj_t BgL_oz00_2464, obj_t BgL_vz00_2465)
{
{ /* Llib/pgp_composition.scm 34 */
return 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2464)))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_vz00_2465)),BUNSPEC);} 

}



/* &lambda2007 */
obj_t BGl_z62lambda2007z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2466, obj_t BgL_oz00_2467)
{
{ /* Llib/pgp_composition.scm 34 */
return 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2467)))->BgL_sigsz00);} 

}



/* &lambda2003 */
obj_t BGl_z62lambda2003z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2468, obj_t BgL_oz00_2469, obj_t BgL_vz00_2470)
{
{ /* Llib/pgp_composition.scm 34 */
return 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2469)))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_vz00_2470)),BUNSPEC);} 

}



/* &lambda2002 */
BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda2002z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2471, obj_t BgL_oz00_2472)
{
{ /* Llib/pgp_composition.scm 34 */
return 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2472)))->BgL_keyzd2packetzd2);} 

}



/* &<@anonymous:1978> */
obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2473, obj_t BgL_new1092z00_2474)
{
{ /* Llib/pgp_composition.scm 31 */
{ 
 BgL_signedzd2idzd2_bglt BgL_auxz00_4652;
{ 
 BgL_pgpzd2idzd2packetz00_bglt BgL_auxz00_4653;
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL_classz00_2662;
BgL_classz00_2662 = BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL__ortest_1112z00_2663;
BgL__ortest_1112z00_2663 = 
BGL_CLASS_NIL(BgL_classz00_2662); 
if(
CBOOL(BgL__ortest_1112z00_2663))
{ /* Llib/pgp_composition.scm 31 */
BgL_auxz00_4653 = 
((BgL_pgpzd2idzd2packetz00_bglt)BgL__ortest_1112z00_2663)
; }  else 
{ /* Llib/pgp_composition.scm 31 */
BgL_auxz00_4653 = 
((BgL_pgpzd2idzd2packetz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2662))
; } } } 
((((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_new1092z00_2474)))->BgL_idz00)=((BgL_pgpzd2idzd2packetz00_bglt)BgL_auxz00_4653),BUNSPEC); } 
((((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_new1092z00_2474)))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4652 = 
((BgL_signedzd2idzd2_bglt)BgL_new1092z00_2474); 
return 
((obj_t)BgL_auxz00_4652);} } 

}



/* &lambda1976 */
BgL_signedzd2idzd2_bglt BGl_z62lambda1976z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2475)
{
{ /* Llib/pgp_composition.scm 31 */
{ /* Llib/pgp_composition.scm 31 */
 BgL_signedzd2idzd2_bglt BgL_new1091z00_2664;
BgL_new1091z00_2664 = 
((BgL_signedzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_signedzd2idzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 31 */
 long BgL_arg1977z00_2665;
BgL_arg1977z00_2665 = 
BGL_CLASS_NUM(BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_2664), BgL_arg1977z00_2665); } 
{ /* Llib/pgp_composition.scm 31 */
 BgL_objectz00_bglt BgL_tmpz00_4670;
BgL_tmpz00_4670 = 
((BgL_objectz00_bglt)BgL_new1091z00_2664); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4670, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1091z00_2664); 
return BgL_new1091z00_2664;} } 

}



/* &lambda1974 */
BgL_signedzd2idzd2_bglt BGl_z62lambda1974z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2476, obj_t BgL_id1089z00_2477, obj_t BgL_sigs1090z00_2478)
{
{ /* Llib/pgp_composition.scm 31 */
{ /* Llib/pgp_composition.scm 31 */
 BgL_signedzd2idzd2_bglt BgL_new1211z00_2668;
{ /* Llib/pgp_composition.scm 31 */
 BgL_signedzd2idzd2_bglt BgL_new1210z00_2669;
BgL_new1210z00_2669 = 
((BgL_signedzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_signedzd2idzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 31 */
 long BgL_arg1975z00_2670;
BgL_arg1975z00_2670 = 
BGL_CLASS_NUM(BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1210z00_2669), BgL_arg1975z00_2670); } 
{ /* Llib/pgp_composition.scm 31 */
 BgL_objectz00_bglt BgL_tmpz00_4678;
BgL_tmpz00_4678 = 
((BgL_objectz00_bglt)BgL_new1210z00_2669); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4678, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1210z00_2669); 
BgL_new1211z00_2668 = BgL_new1210z00_2669; } 
((((BgL_signedzd2idzd2_bglt)COBJECT(BgL_new1211z00_2668))->BgL_idz00)=((BgL_pgpzd2idzd2packetz00_bglt)
((BgL_pgpzd2idzd2packetz00_bglt)BgL_id1089z00_2477)),BUNSPEC); 
((((BgL_signedzd2idzd2_bglt)COBJECT(BgL_new1211z00_2668))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_sigs1090z00_2478)),BUNSPEC); 
return BgL_new1211z00_2668;} } 

}



/* &lambda1988 */
obj_t BGl_z62lambda1988z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2479, obj_t BgL_oz00_2480, obj_t BgL_vz00_2481)
{
{ /* Llib/pgp_composition.scm 31 */
return 
((((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_oz00_2480)))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_vz00_2481)),BUNSPEC);} 

}



/* &lambda1987 */
obj_t BGl_z62lambda1987z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2482, obj_t BgL_oz00_2483)
{
{ /* Llib/pgp_composition.scm 31 */
return 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_oz00_2483)))->BgL_sigsz00);} 

}



/* &lambda1983 */
obj_t BGl_z62lambda1983z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2484, obj_t BgL_oz00_2485, obj_t BgL_vz00_2486)
{
{ /* Llib/pgp_composition.scm 31 */
return 
((((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_oz00_2485)))->BgL_idz00)=((BgL_pgpzd2idzd2packetz00_bglt)
((BgL_pgpzd2idzd2packetz00_bglt)BgL_vz00_2486)),BUNSPEC);} 

}



/* &lambda1982 */
BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda1982z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2487, obj_t BgL_oz00_2488)
{
{ /* Llib/pgp_composition.scm 31 */
return 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_oz00_2488)))->BgL_idz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2compositionzd2(void)
{
{ /* Llib/pgp_composition.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_proc2335z00zz__openpgpzd2compositionzd2, BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2, BGl_string2336z00zz__openpgpzd2compositionzd2);} 

}



/* &encode-pgp1320 */
obj_t BGl_z62encodezd2pgp1320zb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2490, obj_t BgL_thisz00_2491, obj_t BgL_pz00_2492)
{
{ /* Llib/pgp_composition.scm 522 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(
CNST_TABLE_REF(((long)35)), BGl_string2337z00zz__openpgpzd2compositionzd2, 
((obj_t)
((BgL_pgpzd2compositionzd2_bglt)BgL_thisz00_2491)));} 

}



/* encode-pgp */
obj_t BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt BgL_thisz00_23, obj_t BgL_pz00_24)
{
{ /* Llib/pgp_composition.scm 522 */
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_method1321z00_976;
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_res2216z00_2274;
{ /* Llib/pgp_composition.scm 522 */
 long BgL_objzd2classzd2numz00_2245;
BgL_objzd2classzd2numz00_2245 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_thisz00_23)); 
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_arg1798z00_2246;
BgL_arg1798z00_2246 = 
PROCEDURE_REF(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, 
(int)(((long)1))); 
{ /* Llib/pgp_composition.scm 522 */
 int BgL_offsetz00_2249;
BgL_offsetz00_2249 = 
(int)(BgL_objzd2classzd2numz00_2245); 
{ /* Llib/pgp_composition.scm 522 */
 long BgL_offsetz00_2250;
BgL_offsetz00_2250 = 
(
(long)(BgL_offsetz00_2249)-OBJECT_TYPE); 
{ /* Llib/pgp_composition.scm 522 */
 long BgL_modz00_2251;
BgL_modz00_2251 = 
(BgL_offsetz00_2250 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pgp_composition.scm 522 */
 long BgL_restz00_2253;
BgL_restz00_2253 = 
(BgL_offsetz00_2250 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pgp_composition.scm 522 */

{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_bucketz00_2255;
BgL_bucketz00_2255 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2246),BgL_modz00_2251); 
BgL_res2216z00_2274 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2255),BgL_restz00_2253); } } } } } } } } 
BgL_method1321z00_976 = BgL_res2216z00_2274; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1321z00_976))(BgL_method1321z00_976, 
((obj_t)BgL_thisz00_23), BgL_pz00_24, BEOA);} } 

}



/* &encode-pgp */
obj_t BGl_z62encodezd2pgpzb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2493, obj_t BgL_thisz00_2494, obj_t BgL_pz00_2495)
{
{ /* Llib/pgp_composition.scm 522 */
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_auxz00_4759; BgL_pgpzd2compositionzd2_bglt BgL_auxz00_4732;
if(
OUTPUT_PORTP(BgL_pz00_2495))
{ /* Llib/pgp_composition.scm 522 */
BgL_auxz00_4759 = BgL_pz00_2495
; }  else 
{ 
 obj_t BgL_auxz00_4762;
BgL_auxz00_4762 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__openpgpzd2compositionzd2, 
BINT(((long)19884)), BGl_string2338z00zz__openpgpzd2compositionzd2, BGl_string2275z00zz__openpgpzd2compositionzd2, BgL_pz00_2495); 
FAILURE(BgL_auxz00_4762,BFALSE,BFALSE);} 
{ /* Llib/pgp_composition.scm 522 */
 bool_t BgL_test2665z00_4733;
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_classz00_2679;
BgL_classz00_2679 = BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2; 
if(
BGL_OBJECTP(BgL_thisz00_2494))
{ /* Llib/pgp_composition.scm 522 */
 BgL_objectz00_bglt BgL_arg1796z00_2681; long BgL_arg1797z00_2682;
BgL_arg1796z00_2681 = 
(BgL_objectz00_bglt)(BgL_thisz00_2494); 
BgL_arg1797z00_2682 = 
BGL_CLASS_DEPTH(BgL_classz00_2679); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_composition.scm 522 */
 long BgL_idxz00_2690;
BgL_idxz00_2690 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_2681); 
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_arg1788z00_2691;
{ /* Llib/pgp_composition.scm 522 */
 long BgL_arg1789z00_2692;
BgL_arg1789z00_2692 = 
(BgL_idxz00_2690+BgL_arg1797z00_2682); 
BgL_arg1788z00_2691 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_2692); } 
BgL_test2665z00_4733 = 
(BgL_arg1788z00_2691==BgL_classz00_2679); } }  else 
{ /* Llib/pgp_composition.scm 522 */
 bool_t BgL_res2347z00_2715;
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_oclassz00_2700;
{ /* Llib/pgp_composition.scm 522 */
 long BgL_arg1801z00_2706;
{ /* Llib/pgp_composition.scm 522 */
 long BgL_arg1802z00_2707;
BgL_arg1802z00_2707 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_2681); 
BgL_arg1801z00_2706 = 
(BgL_arg1802z00_2707-OBJECT_TYPE); } 
BgL_oclassz00_2700 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_2706); } 
{ /* Llib/pgp_composition.scm 522 */
 bool_t BgL__ortest_1110z00_2701;
BgL__ortest_1110z00_2701 = 
(BgL_classz00_2679==BgL_oclassz00_2700); 
if(BgL__ortest_1110z00_2701)
{ /* Llib/pgp_composition.scm 522 */
BgL_res2347z00_2715 = BgL__ortest_1110z00_2701; }  else 
{ /* Llib/pgp_composition.scm 522 */
 long BgL_odepthz00_2702;
BgL_odepthz00_2702 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2700); 
if(
(BgL_arg1797z00_2682<BgL_odepthz00_2702))
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_arg1790z00_2704;
BgL_arg1790z00_2704 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2700, BgL_arg1797z00_2682); 
BgL_res2347z00_2715 = 
(BgL_arg1790z00_2704==BgL_classz00_2679); }  else 
{ /* Llib/pgp_composition.scm 522 */
BgL_res2347z00_2715 = ((bool_t)0); } } } } 
BgL_test2665z00_4733 = BgL_res2347z00_2715; } }  else 
{ /* Llib/pgp_composition.scm 522 */
BgL_test2665z00_4733 = ((bool_t)0)
; } } 
if(BgL_test2665z00_4733)
{ /* Llib/pgp_composition.scm 522 */
BgL_auxz00_4732 = 
((BgL_pgpzd2compositionzd2_bglt)BgL_thisz00_2494)
; }  else 
{ 
 obj_t BgL_auxz00_4755;
BgL_auxz00_4755 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__openpgpzd2compositionzd2, 
BINT(((long)19884)), BGl_string2338z00zz__openpgpzd2compositionzd2, BGl_string2274z00zz__openpgpzd2compositionzd2, BgL_thisz00_2494); 
FAILURE(BgL_auxz00_4755,BFALSE,BFALSE);} } 
return 
BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_auxz00_4732, BgL_auxz00_4759);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2compositionzd2(void)
{
{ /* Llib/pgp_composition.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2, BGl_proc2339z00zz__openpgpzd2compositionzd2, BGl_string2340z00zz__openpgpzd2compositionzd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2, BGl_proc2341z00zz__openpgpzd2compositionzd2, BGl_string2340z00zz__openpgpzd2compositionzd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2, BGl_proc2342z00zz__openpgpzd2compositionzd2, BGl_string2340z00zz__openpgpzd2compositionzd2); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2, BGl_proc2343z00zz__openpgpzd2compositionzd2, BGl_string2340z00zz__openpgpzd2compositionzd2);} 

}



/* &encode-pgp-PGP-Encry1329 */
obj_t BGl_z62encodezd2pgpzd2PGPzd2Encry1329zb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2500, obj_t BgL_thisz00_2501, obj_t BgL_pz00_2502)
{
{ /* Llib/pgp_composition.scm 583 */
{ /* Llib/pgp_composition.scm 585 */
 obj_t BgL_g1287z00_2718;
BgL_g1287z00_2718 = 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_thisz00_2501)))->BgL_sessionzd2keyszd2); 
{ 
 obj_t BgL_l1285z00_2720;
BgL_l1285z00_2720 = BgL_g1287z00_2718; 
BgL_zc3z04anonymousza32160ze3z87_2719:
if(
PAIRP(BgL_l1285z00_2720))
{ /* Llib/pgp_composition.scm 585 */
{ /* Llib/pgp_composition.scm 586 */
 obj_t BgL_sessionzd2keyzd2_2721;
BgL_sessionzd2keyzd2_2721 = 
CAR(BgL_l1285z00_2720); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sessionzd2keyzd2_2721), 
((obj_t)BgL_pz00_2502)); } 
{ 
 obj_t BgL_l1285z00_4779;
BgL_l1285z00_4779 = 
CDR(BgL_l1285z00_2720); 
BgL_l1285z00_2720 = BgL_l1285z00_4779; 
goto BgL_zc3z04anonymousza32160ze3z87_2719;} }  else 
{ /* Llib/pgp_composition.scm 585 */((bool_t)1); } } } 
{ /* Llib/pgp_composition.scm 588 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_arg2163z00_2722;
BgL_arg2163z00_2722 = 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_thisz00_2501)))->BgL_encryptedzd2datazd2); 
return 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2163z00_2722), 
((obj_t)BgL_pz00_2502));} } 

}



/* &encode-pgp-PGP-Signa1327 */
obj_t BGl_z62encodezd2pgpzd2PGPzd2Signa1327zb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2503, obj_t BgL_thisz00_2504, obj_t BgL_pz00_2505)
{
{ /* Llib/pgp_composition.scm 573 */
{ /* Llib/pgp_composition.scm 575 */
 obj_t BgL_g1284z00_2725;
BgL_g1284z00_2725 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_thisz00_2504)))->BgL_sigsz00); 
{ 
 obj_t BgL_l1282z00_2727;
BgL_l1282z00_2727 = BgL_g1284z00_2725; 
BgL_zc3z04anonymousza32155ze3z87_2726:
if(
PAIRP(BgL_l1282z00_2727))
{ /* Llib/pgp_composition.scm 575 */
{ /* Llib/pgp_composition.scm 576 */
 obj_t BgL_sigz00_2728;
BgL_sigz00_2728 = 
CAR(BgL_l1282z00_2727); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sigz00_2728), 
((obj_t)BgL_pz00_2505)); } 
{ 
 obj_t BgL_l1282z00_4794;
BgL_l1282z00_4794 = 
CDR(BgL_l1282z00_2727); 
BgL_l1282z00_2727 = BgL_l1282z00_4794; 
goto BgL_zc3z04anonymousza32155ze3z87_2726;} }  else 
{ /* Llib/pgp_composition.scm 575 */((bool_t)1); } } } 
if(
CBOOL(
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_thisz00_2504)))->BgL_msgz00)))
{ /* Llib/pgp_composition.scm 578 */
 obj_t BgL_arg2159z00_2729;
BgL_arg2159z00_2729 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_thisz00_2504)))->BgL_msgz00); 
return 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2159z00_2729), 
((obj_t)BgL_pz00_2505));}  else 
{ /* Llib/pgp_composition.scm 578 */
return BFALSE;} } 

}



/* &encode-pgp-PGP-One-P1325 */
obj_t BGl_z62encodezd2pgpzd2PGPzd2Onezd2P1325z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2506, obj_t BgL_thisz00_2507, obj_t BgL_pz00_2508)
{
{ /* Llib/pgp_composition.scm 560 */
{ /* Llib/pgp_composition.scm 561 */
 bool_t BgL_tmpz00_4805;
{ /* Llib/pgp_composition.scm 562 */
 obj_t BgL_g1277z00_2732;
BgL_g1277z00_2732 = 
bgl_reverse(
(((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_thisz00_2507)))->BgL_onezd2passzd2sigsz00)); 
{ 
 obj_t BgL_l1275z00_2734;
BgL_l1275z00_2734 = BgL_g1277z00_2732; 
BgL_zc3z04anonymousza32147ze3z87_2733:
if(
PAIRP(BgL_l1275z00_2734))
{ /* Llib/pgp_composition.scm 564 */
{ /* Llib/pgp_composition.scm 563 */
 obj_t BgL_opsz00_2735;
BgL_opsz00_2735 = 
CAR(BgL_l1275z00_2734); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_opsz00_2735), 
((obj_t)BgL_pz00_2508)); } 
{ 
 obj_t BgL_l1275z00_4815;
BgL_l1275z00_4815 = 
CDR(BgL_l1275z00_2734); 
BgL_l1275z00_2734 = BgL_l1275z00_4815; 
goto BgL_zc3z04anonymousza32147ze3z87_2733;} }  else 
{ /* Llib/pgp_composition.scm 564 */((bool_t)1); } } } 
{ /* Llib/pgp_composition.scm 565 */
 obj_t BgL_arg2151z00_2736;
BgL_arg2151z00_2736 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_thisz00_2507))))->BgL_msgz00); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2151z00_2736), 
((obj_t)BgL_pz00_2508)); } 
{ /* Llib/pgp_composition.scm 566 */
 obj_t BgL_g1281z00_2737;
BgL_g1281z00_2737 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_thisz00_2507))))->BgL_sigsz00); 
{ 
 obj_t BgL_l1278z00_2739;
BgL_l1278z00_2739 = BgL_g1281z00_2737; 
BgL_zc3z04anonymousza32152ze3z87_2738:
if(
PAIRP(BgL_l1278z00_2739))
{ /* Llib/pgp_composition.scm 566 */
{ /* Llib/pgp_composition.scm 567 */
 obj_t BgL_sigz00_2740;
BgL_sigz00_2740 = 
CAR(BgL_l1278z00_2739); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sigz00_2740), 
((obj_t)BgL_pz00_2508)); } 
{ 
 obj_t BgL_l1278z00_4832;
BgL_l1278z00_4832 = 
CDR(BgL_l1278z00_2739); 
BgL_l1278z00_2739 = BgL_l1278z00_4832; 
goto BgL_zc3z04anonymousza32152ze3z87_2738;} }  else 
{ /* Llib/pgp_composition.scm 566 */
BgL_tmpz00_4805 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_4805);} } 

}



/* &encode-pgp-PGP-Key1323 */
obj_t BGl_z62encodezd2pgpzd2PGPzd2Key1323zb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2509, obj_t BgL_thisz00_2510, obj_t BgL_pz00_2511)
{
{ /* Llib/pgp_composition.scm 530 */
{ /* Llib/pgp_composition.scm 531 */
 bool_t BgL_tmpz00_4835;
{ /* Llib/pgp_composition.scm 532 */
 obj_t BgL_mainzd2keyzd2_2743;
BgL_mainzd2keyzd2_2743 = 
CAR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_thisz00_2510)))->BgL_subkeysz00)); 
{ /* Llib/pgp_composition.scm 532 */
 obj_t BgL_otherzd2subkeyszd2_2744;
BgL_otherzd2subkeyszd2_2744 = 
CDR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_thisz00_2510)))->BgL_subkeysz00)); 
{ /* Llib/pgp_composition.scm 533 */

{ /* Llib/pgp_composition.scm 535 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2124z00_2745;
BgL_arg2124z00_2745 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_mainzd2keyzd2_2743)))->BgL_keyzd2packetzd2); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2124z00_2745), 
((obj_t)BgL_pz00_2511)); } 
{ /* Llib/pgp_composition.scm 536 */
 obj_t BgL_g1260z00_2746;
BgL_g1260z00_2746 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_mainzd2keyzd2_2743)))->BgL_revocationzd2sigszd2); 
{ 
 obj_t BgL_l1258z00_2748;
BgL_l1258z00_2748 = BgL_g1260z00_2746; 
BgL_zc3z04anonymousza32125ze3z87_2747:
if(
PAIRP(BgL_l1258z00_2748))
{ /* Llib/pgp_composition.scm 536 */
{ /* Llib/pgp_composition.scm 536 */
 obj_t BgL_revoczd2sigzd2_2749;
BgL_revoczd2sigzd2_2749 = 
CAR(BgL_l1258z00_2748); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_revoczd2sigzd2_2749), 
((obj_t)BgL_pz00_2511)); } 
{ 
 obj_t BgL_l1258z00_4855;
BgL_l1258z00_4855 = 
CDR(BgL_l1258z00_2748); 
BgL_l1258z00_2748 = BgL_l1258z00_4855; 
goto BgL_zc3z04anonymousza32125ze3z87_2747;} }  else 
{ /* Llib/pgp_composition.scm 536 */((bool_t)1); } } } 
{ /* Llib/pgp_composition.scm 538 */
 obj_t BgL_g1266z00_2750;
BgL_g1266z00_2750 = 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_thisz00_2510)))->BgL_userzd2idszd2); 
{ 
 obj_t BgL_l1264z00_2752;
BgL_l1264z00_2752 = BgL_g1266z00_2750; 
BgL_zc3z04anonymousza32128ze3z87_2751:
if(
PAIRP(BgL_l1264z00_2752))
{ /* Llib/pgp_composition.scm 538 */
{ /* Llib/pgp_composition.scm 539 */
 obj_t BgL_userzd2idzd2_2753;
BgL_userzd2idzd2_2753 = 
CAR(BgL_l1264z00_2752); 
{ /* Llib/pgp_composition.scm 540 */
 BgL_pgpzd2idzd2packetz00_bglt BgL_arg2130z00_2754;
BgL_arg2130z00_2754 = 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_userzd2idzd2_2753)))->BgL_idz00); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2130z00_2754), 
((obj_t)BgL_pz00_2511)); } 
{ /* Llib/pgp_composition.scm 541 */
 obj_t BgL_g1263z00_2755;
BgL_g1263z00_2755 = 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_userzd2idzd2_2753)))->BgL_sigsz00); 
{ 
 obj_t BgL_l1261z00_2757;
BgL_l1261z00_2757 = BgL_g1263z00_2755; 
BgL_zc3z04anonymousza32131ze3z87_2756:
if(
PAIRP(BgL_l1261z00_2757))
{ /* Llib/pgp_composition.scm 541 */
{ /* Llib/pgp_composition.scm 542 */
 obj_t BgL_sigz00_2758;
BgL_sigz00_2758 = 
CAR(BgL_l1261z00_2757); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sigz00_2758), 
((obj_t)BgL_pz00_2511)); } 
{ 
 obj_t BgL_l1261z00_4875;
BgL_l1261z00_4875 = 
CDR(BgL_l1261z00_2757); 
BgL_l1261z00_2757 = BgL_l1261z00_4875; 
goto BgL_zc3z04anonymousza32131ze3z87_2756;} }  else 
{ /* Llib/pgp_composition.scm 541 */((bool_t)1); } } } } 
{ 
 obj_t BgL_l1264z00_4877;
BgL_l1264z00_4877 = 
CDR(BgL_l1264z00_2752); 
BgL_l1264z00_2752 = BgL_l1264z00_4877; 
goto BgL_zc3z04anonymousza32128ze3z87_2751;} }  else 
{ /* Llib/pgp_composition.scm 538 */((bool_t)1); } } } 
{ 
 obj_t BgL_l1273z00_2760;
BgL_l1273z00_2760 = BgL_otherzd2subkeyszd2_2744; 
BgL_zc3z04anonymousza32135ze3z87_2759:
if(
PAIRP(BgL_l1273z00_2760))
{ /* Llib/pgp_composition.scm 545 */
{ /* Llib/pgp_composition.scm 546 */
 obj_t BgL_subkeyz00_2761;
BgL_subkeyz00_2761 = 
CAR(BgL_l1273z00_2760); 
{ /* Llib/pgp_composition.scm 548 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2137z00_2762;
BgL_arg2137z00_2762 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_2761)))->BgL_keyzd2packetzd2); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2137z00_2762), 
((obj_t)BgL_pz00_2511)); } 
{ /* Llib/pgp_composition.scm 549 */
 obj_t BgL_g1269z00_2763;
BgL_g1269z00_2763 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_2761)))->BgL_sigsz00); 
{ 
 obj_t BgL_l1267z00_2765;
BgL_l1267z00_2765 = BgL_g1269z00_2763; 
BgL_zc3z04anonymousza32138ze3z87_2764:
if(
PAIRP(BgL_l1267z00_2765))
{ /* Llib/pgp_composition.scm 549 */
{ /* Llib/pgp_composition.scm 550 */
 obj_t BgL_sigz00_2766;
BgL_sigz00_2766 = 
CAR(BgL_l1267z00_2765); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sigz00_2766), 
((obj_t)BgL_pz00_2511)); } 
{ 
 obj_t BgL_l1267z00_4895;
BgL_l1267z00_4895 = 
CDR(BgL_l1267z00_2765); 
BgL_l1267z00_2765 = BgL_l1267z00_4895; 
goto BgL_zc3z04anonymousza32138ze3z87_2764;} }  else 
{ /* Llib/pgp_composition.scm 549 */((bool_t)1); } } } 
{ /* Llib/pgp_composition.scm 552 */
 obj_t BgL_g1272z00_2767;
BgL_g1272z00_2767 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_2761)))->BgL_revocationzd2sigszd2); 
{ 
 obj_t BgL_l1270z00_2769;
BgL_l1270z00_2769 = BgL_g1272z00_2767; 
BgL_zc3z04anonymousza32141ze3z87_2768:
if(
PAIRP(BgL_l1270z00_2769))
{ /* Llib/pgp_composition.scm 552 */
{ /* Llib/pgp_composition.scm 553 */
 obj_t BgL_revoczd2sigzd2_2770;
BgL_revoczd2sigzd2_2770 = 
CAR(BgL_l1270z00_2769); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_revoczd2sigzd2_2770), 
((obj_t)BgL_pz00_2511)); } 
{ 
 obj_t BgL_l1270z00_4905;
BgL_l1270z00_4905 = 
CDR(BgL_l1270z00_2769); 
BgL_l1270z00_2769 = BgL_l1270z00_4905; 
goto BgL_zc3z04anonymousza32141ze3z87_2768;} }  else 
{ /* Llib/pgp_composition.scm 552 */((bool_t)1); } } } } 
{ 
 obj_t BgL_l1273z00_4907;
BgL_l1273z00_4907 = 
CDR(BgL_l1273z00_2760); 
BgL_l1273z00_2760 = BgL_l1273z00_4907; 
goto BgL_zc3z04anonymousza32135ze3z87_2759;} }  else 
{ /* Llib/pgp_composition.scm 545 */
BgL_tmpz00_4835 = ((bool_t)1)
; } } } } } 
return 
BBOOL(BgL_tmpz00_4835);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2compositionzd2(void)
{
{ /* Llib/pgp_composition.scm 15 */
BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(((long)486475050), 
BSTRING_TO_STRING(BGl_string2344z00zz__openpgpzd2compositionzd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(((long)485669724), 
BSTRING_TO_STRING(BGl_string2344z00zz__openpgpzd2compositionzd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2decodezd2(((long)275867649), 
BSTRING_TO_STRING(BGl_string2344z00zz__openpgpzd2compositionzd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(((long)466864889), 
BSTRING_TO_STRING(BGl_string2344z00zz__openpgpzd2compositionzd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2portzd2utilz00(((long)98035382), 
BSTRING_TO_STRING(BGl_string2344z00zz__openpgpzd2compositionzd2)); 
return 
BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(((long)364974745), 
BSTRING_TO_STRING(BGl_string2344z00zz__openpgpzd2compositionzd2));} 

}

#ifdef __cplusplus
}
#endif
