/*===========================================================================*/
/*   (Llib/pgp_encode.scm)                                                   */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Llib/pgp_encode.scm -o objs/pgp_encode.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_rsazd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_modulusz00;
   obj_t BgL_exponentz00;
} *BgL_rsazd2keyzd2_bglt;

typedef struct BgL_elgamalzd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pz00;
   obj_t BgL_gz00;
   obj_t BgL_yz00;
} *BgL_elgamalzd2keyzd2_bglt;

typedef struct BgL_dsazd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pz00;
   obj_t BgL_qz00;
   obj_t BgL_gz00;
   obj_t BgL_yz00;
} *BgL_dsazd2keyzd2_bglt;

typedef struct BgL_pgpzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2packetzd2_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_idz00;
   obj_t BgL_algoz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2sigzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
} *BgL_pgpzd2sigzd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
} *BgL_pgpzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2v4zd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
   obj_t BgL_securezd2subzd2packetsz00;
   obj_t BgL_insecurezd2subzd2packetsz00;
} *BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt;

typedef struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_algoz00;
   obj_t BgL_s2kz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   bool_t BgL_containszd2nestedzd2sigzf3zf3;
} *BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2publiczd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
   obj_t BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00;
} *BgL_pgpzd2secretzd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt;

typedef struct BgL_pgpzd2literalzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   bool_t BgL_forzd2yourzd2eyeszd2onlyzf3z21;
   obj_t BgL_filezd2namezd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_dataz00;
} *BgL_pgpzd2literalzd2packetz00_bglt;

typedef struct BgL_pgpzd2idzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2idzd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
   long BgL_versionz00;
} *BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_hashz00;
} *BgL_pgpzd2mdczd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
} *BgL_pgpzd2signaturezd2subzd2packetzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2genericzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_typez00;
   obj_t BgL_dataz00;
} *BgL_pgpzd2signaturezd2subzd2genericzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_creationzd2datezd2;
} *BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_expirationzd2datezd2;
} *BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2exportablezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_exportablezf3zf3;
} *BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2trustzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   int BgL_levelz00;
   int BgL_amountz00;
} *BgL_pgpzd2signaturezd2subzd2trustzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocablezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_revocablezf3zf3;
} *BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   long BgL_expirationzd2timezd2;
} *BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocationzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   char BgL_claza7za7z00;
   bool_t BgL_sensitivezf3zf3;
   char BgL_algidz00;
   obj_t BgL_fingerprintz00;
} *BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_keyzd2idzd2;
} *BgL_pgpzd2signaturezd2subzd2idzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2notationzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_valuez00;
} *BgL_pgpzd2signaturezd2subzd2notationzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_serverz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_primaryzf3zf3;
} *BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2policyzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_urlz00;
} *BgL_pgpzd2signaturezd2subzd2policyzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_idz00;
} *BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_codez00;
   obj_t BgL_reasonz00;
} *BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt;


static obj_t BGl_z62encodezd2subzd2packetzd2co1226zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1228zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2S1246zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_ElGamalzd2Keyzd2zz__cryptozd2elgamalzd2;
extern char BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1230zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1232zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2S1250zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1234zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1236zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static bool_t BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1238zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2;
static obj_t BGl_encodezd2insecurezd2subzd2packetszd2zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2encodezd2 = BUNSPEC;
static obj_t BGl_z62encodezd2subzd2packetzd2contentzb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
extern obj_t BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(long, long);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2;
static obj_t BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2;
extern int BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2(void);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2;
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2encodezd2(void);
static obj_t BGl_z62encodezd2contentzd2PGPzd2L1254zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2T1256zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_s2kzd2algozd2zz__openpgpzd2s2kzd2(obj_t);
extern char BGl_signaturezd2typezd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
static obj_t BGl_encodezd2subzd2packetzd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2signaturezd2subzd2packetzd2_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2encodezd2(void);
extern obj_t BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2;
static obj_t BGl_objectzd2initzd2zz__openpgpzd2encodezd2(void);
extern long BGl_iteratedzd2saltedzd2s2kzd2countzd2ze3octetze3zz__openpgpzd2s2kzd2(long);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62encodezd2contentzd2PGPzd2M1252zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2contentzd2PGPzd2M1260zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2M1262zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2packetzb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_appendzd221009zd2zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_encodezd2s2kzd2zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_s2kzd2saltzd2zz__openpgpzd2s2kzd2(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_encodezd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt, obj_t);
static obj_t BGl_methodzd2initzd2zz__openpgpzd2encodezd2(void);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2packetszb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2;
static obj_t BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(long, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2;
static obj_t BGl_z62packetzd2ze3contentzd2tag1168z81zz__openpgpzd2encodezd2(obj_t, obj_t);
extern long BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(obj_t);
extern char BGl_literalzd2formatzd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2contentzd2PGPzd2O1244zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62createzd2signedzd2packetzd2prefixzd2v4z62zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2;
extern obj_t BGl_s2kzd2hashzd2zz__openpgpzd2s2kzd2(obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_encodezd2packetszd2zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
extern char BGl_revocationzd2codezd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
extern obj_t BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2s2kzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2enumszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2conversionzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2dsazd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2elgamalzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern char BGl_contentzd2tagzd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
extern obj_t BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2;
extern char BGl_hashzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2P1248zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2publiczd2keyzd2contentzb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2;
static obj_t BGl_z62packetzd2ze3contentzd2tagz81zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
BGL_EXPORTED_DECL obj_t BGl_createzd2signedzd2packetzd2prefixzd2v4z00zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2encodezd2(void);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2;
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2encodezd2(void);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21171z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21173z53zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21175z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21177z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2encodezd2(void);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21179z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2encodezd2(void);
extern obj_t BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(obj_t, obj_t, obj_t);
static obj_t BGl_encodezd2lengthzd2v4z00zz__openpgpzd2encodezd2(long, obj_t);
extern obj_t BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2contentzd2PGPzd2P1199zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21181z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21183z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21185z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21187z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21189z53zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2;
BGL_EXPORTED_DECL obj_t BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2keyzd2packetz00_bglt, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21191z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21193z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21195z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2I1258zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern char BGl_s2kzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
extern obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_s2kzd2countzd2zz__openpgpzd2s2kzd2(obj_t);
extern obj_t BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2;
extern char BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_Dsazd2Keyzd2zz__cryptozd2dsazd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2;
static obj_t BGl_packetzd2ze3contentzd2tagze3zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt);
BGL_IMPORT long bgl_date_to_seconds(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2content1196zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1200zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1204zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1206zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1208zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1210zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1212zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1214zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1216zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1218zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern char BGl_symmetriczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2subzd2packetzd2co1220zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1222zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2S1240zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1224zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2S1242zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t __cnst[ 43 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2112z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72161za7, BGl_z62encodezd2subzd2packetzd2co1208zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2113z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72162za7, BGl_z62encodezd2subzd2packetzd2co1210zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2114z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72163za7, BGl_z62encodezd2subzd2packetzd2co1212zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2115z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72164za7, BGl_z62encodezd2subzd2packetzd2co1214zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2116z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72165za7, BGl_z62encodezd2subzd2packetzd2co1216zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2117z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72166za7, BGl_z62encodezd2subzd2packetzd2co1218zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2118z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72167za7, BGl_z62encodezd2subzd2packetzd2co1220zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2119z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72168za7, BGl_z62encodezd2subzd2packetzd2co1222zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2044z00zz__openpgpzd2encodezd2, BgL_bgl_string2044za700za7za7_2169za7, "Llib/pgp_encode.scm", 19 );
DEFINE_STRING( BGl_string2045z00zz__openpgpzd2encodezd2, BgL_bgl_string2045za700za7za7_2170za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/openpgp/src/Llib/pgp_encode.scm", 71 );
DEFINE_STRING( BGl_string2046z00zz__openpgpzd2encodezd2, BgL_bgl_string2046za700za7za7_2171za7, "&encode-packets", 15 );
DEFINE_STRING( BGl_string2047z00zz__openpgpzd2encodezd2, BgL_bgl_string2047za700za7za7_2172za7, "output-port", 11 );
DEFINE_STRING( BGl_string2048z00zz__openpgpzd2encodezd2, BgL_bgl_string2048za700za7za7_2173za7, "encode-octet", 12 );
DEFINE_STRING( BGl_string2049z00zz__openpgpzd2encodezd2, BgL_bgl_string2049za700za7za7_2174za7, "given number is too big", 23 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2packetzd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2pack2175z00, BGl_z62encodezd2packetzb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2120z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72176za7, BGl_z62encodezd2subzd2packetzd2co1224zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2121z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72177za7, BGl_z62encodezd2subzd2packetzd2co1226zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2122z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72178za7, BGl_z62encodezd2subzd2packetzd2co1228zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2123z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72179za7, BGl_z62encodezd2subzd2packetzd2co1230zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2124z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72180za7, BGl_z62encodezd2subzd2packetzd2co1232zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2125z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72181za7, BGl_z62encodezd2subzd2packetzd2co1234zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2050z00zz__openpgpzd2encodezd2, BgL_bgl_string2050za700za7za7_2182za7, "encode-pref", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2126z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72183za7, BGl_z62encodezd2subzd2packetzd2co1236zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2051z00zz__openpgpzd2encodezd2, BgL_bgl_string2051za700za7za7_2184za7, "Preferences must be integers", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2127z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72185za7, BGl_z62encodezd2subzd2packetzd2co1238zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2052z00zz__openpgpzd2encodezd2, BgL_bgl_string2052za700za7za7_2186za7, "encode-packet", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2128z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2187z00, BGl_z62encodezd2contentzd2PGPzd2S1240zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2053z00zz__openpgpzd2encodezd2, BgL_bgl_string2053za700za7za7_2188za7, "content-tag too big", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2129z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2189z00, BGl_z62encodezd2contentzd2PGPzd2S1242zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2054z00zz__openpgpzd2encodezd2, BgL_bgl_string2054za700za7za7_2190za7, "&encode-packet", 14 );
DEFINE_STRING( BGl_string2055z00zz__openpgpzd2encodezd2, BgL_bgl_string2055za700za7za7_2191za7, "PGP-Packet", 10 );
DEFINE_STRING( BGl_string2056z00zz__openpgpzd2encodezd2, BgL_bgl_string2056za700za7za7_2192za7, "create-signed-packet-prefix-v4", 30 );
DEFINE_STRING( BGl_string2057z00zz__openpgpzd2encodezd2, BgL_bgl_string2057za700za7za7_2193za7, "creation-date ist mandatory", 27 );
DEFINE_STRING( BGl_string2058z00zz__openpgpzd2encodezd2, BgL_bgl_string2058za700za7za7_2194za7, "Conflicting creation-dates", 26 );
DEFINE_STRING( BGl_string2059z00zz__openpgpzd2encodezd2, BgL_bgl_string2059za700za7za7_2195za7, "&create-signed-packet-prefix-v4", 31 );
DEFINE_STATIC_BGL_GENERIC( BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2196z00, BGl_z62encodezd2contentzb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2130z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2197z00, BGl_z62encodezd2contentzd2PGPzd2O1244zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2131z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2198z00, BGl_z62encodezd2contentzd2PGPzd2S1246zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2132z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2199z00, BGl_z62encodezd2contentzd2PGPzd2P1248zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2133z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2200z00, BGl_z62encodezd2contentzd2PGPzd2S1250zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2140z00zz__openpgpzd2encodezd2, BgL_bgl_string2140za700za7za7_2201za7, "encode-content-trust", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2134z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2202z00, BGl_z62encodezd2contentzd2PGPzd2M1252zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2141z00zz__openpgpzd2encodezd2, BgL_bgl_string2141za700za7za7_2203za7, "Trust Packet encoding not yet implemented", 41 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2135z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2204z00, BGl_z62encodezd2contentzd2PGPzd2L1254zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2060z00zz__openpgpzd2encodezd2, BgL_bgl_string2060za700za7za7_2205za7, "symbol", 6 );
DEFINE_STRING( BGl_string2142z00zz__openpgpzd2encodezd2, BgL_bgl_string2142za700za7za7_2206za7, "encode-content-literal", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2136z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2207z00, BGl_z62encodezd2contentzd2PGPzd2T1256zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2061z00zz__openpgpzd2encodezd2, BgL_bgl_string2061za700za7za7_2208za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string2143z00zz__openpgpzd2encodezd2, BgL_bgl_string2143za700za7za7_2209za7, "'for-your-eyes-only' excludes filename", 38 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2137z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2210z00, BGl_z62encodezd2contentzd2PGPzd2I1258zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2062z00zz__openpgpzd2encodezd2, BgL_bgl_string2062za700za7za7_2211za7, "encode-insecure-sub-packets", 27 );
DEFINE_STRING( BGl_string2144z00zz__openpgpzd2encodezd2, BgL_bgl_string2144za700za7za7_2212za7, "_CONSOLE", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2138z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2213z00, BGl_z62encodezd2contentzd2PGPzd2M1260zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2063z00zz__openpgpzd2encodezd2, BgL_bgl_string2063za700za7za7_2214za7, "Conflicting issuers", 19 );
DEFINE_STRING( BGl_string2145z00zz__openpgpzd2encodezd2, BgL_bgl_string2145za700za7za7_2215za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2139z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2216z00, BGl_z62encodezd2contentzd2PGPzd2M1262zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2064z00zz__openpgpzd2encodezd2, BgL_bgl_string2064za700za7za7_2217za7, "encode-s2k", 10 );
DEFINE_STRING( BGl_string2146z00zz__openpgpzd2encodezd2, BgL_bgl_string2146za700za7za7_2218za7, "Filename too long (>255)", 24 );
DEFINE_STRING( BGl_string2065z00zz__openpgpzd2encodezd2, BgL_bgl_string2065za700za7za7_2219za7, "expected string as salt", 23 );
DEFINE_STRING( BGl_string2147z00zz__openpgpzd2encodezd2, BgL_bgl_string2147za700za7za7_2220za7, "encode-Symmetric-Key-Encrypted-Session", 38 );
DEFINE_STRING( BGl_string2066z00zz__openpgpzd2encodezd2, BgL_bgl_string2066za700za7za7_2221za7, "encode-octets", 13 );
DEFINE_STRING( BGl_string2148z00zz__openpgpzd2encodezd2, BgL_bgl_string2148za700za7za7_2222za7, "Only encoding packets of version 4", 34 );
DEFINE_STRING( BGl_string2067z00zz__openpgpzd2encodezd2, BgL_bgl_string2067za700za7za7_2223za7, "given string has bad size", 25 );
DEFINE_STRING( BGl_string2149z00zz__openpgpzd2encodezd2, BgL_bgl_string2149za700za7za7_2224za7, "encode-PGP-Signature-v4-Packet", 30 );
DEFINE_STRING( BGl_string2068z00zz__openpgpzd2encodezd2, BgL_bgl_string2068za700za7za7_2225za7, "expected fixnum as count", 24 );
DEFINE_STRING( BGl_string2069z00zz__openpgpzd2encodezd2, BgL_bgl_string2069za700za7za7_2226za7, "unknown s2k algorithm", 21 );
DEFINE_STRING( BGl_string2150z00zz__openpgpzd2encodezd2, BgL_bgl_string2150za700za7za7_2227za7, "signature-data in DSA-mode must be a pair", 41 );
DEFINE_STRING( BGl_string2151z00zz__openpgpzd2encodezd2, BgL_bgl_string2151za700za7za7_2228za7, "signature-encoding not yet implemented", 38 );
DEFINE_STRING( BGl_string2070z00zz__openpgpzd2encodezd2, BgL_bgl_string2070za700za7za7_2229za7, "encode-public-key", 17 );
DEFINE_STRING( BGl_string2152z00zz__openpgpzd2encodezd2, BgL_bgl_string2152za700za7za7_2230za7, "encode-Public-key-encrypted-session-key-packet", 46 );
DEFINE_STRING( BGl_string2071z00zz__openpgpzd2encodezd2, BgL_bgl_string2071za700za7za7_2231za7, "v3 keys must have valid-days (as fixnum)", 40 );
DEFINE_STRING( BGl_string2153z00zz__openpgpzd2encodezd2, BgL_bgl_string2153za700za7za7_2232za7, "bad encrypted-session-key. ElGamal requires a pair", 50 );
DEFINE_STRING( BGl_string2072z00zz__openpgpzd2encodezd2, BgL_bgl_string2072za700za7za7_2233za7, "v3 keys must be RSA", 19 );
DEFINE_STRING( BGl_string2154z00zz__openpgpzd2encodezd2, BgL_bgl_string2154za700za7za7_2234za7, "Not yet implemented", 19 );
DEFINE_STRING( BGl_string2073z00zz__openpgpzd2encodezd2, BgL_bgl_string2073za700za7za7_2235za7, "encode-key", 10 );
DEFINE_STRING( BGl_string2155z00zz__openpgpzd2encodezd2, BgL_bgl_string2155za700za7za7_2236za7, "__openpgp-encode", 16 );
DEFINE_STRING( BGl_string2074z00zz__openpgpzd2encodezd2, BgL_bgl_string2074za700za7za7_2237za7, "invalid Rsa-Key", 15 );
DEFINE_STRING( BGl_string2156z00zz__openpgpzd2encodezd2, BgL_bgl_string2156za700za7za7_2238za7, "public-key-encrypted-session-key signature symmetric-key-encrypted-session-key one-pass-signature secret-subkey secret-key public-subkey public-key compressed symmetrically-encrypted mdc-symmetrically-encrypted marker literal ID creation-time expiration-time exportable? trust revocable? key-expiration-time preferred-symmetric revocation-key issuer-ID notation preferred-hash preferred-compression preferred-key-server primary-id? policy signer-ID revocation-reason do-nothing elgamal-encrypt/sign elgamal-encrypt dsa ok rsa-sign rsa-encrypt rsa-encrypt/sign iterated salted nothing-to-do simple ", 597 );
DEFINE_STRING( BGl_string2075z00zz__openpgpzd2encodezd2, BgL_bgl_string2075za700za7za7_2239za7, "invalid Dsa-Key", 15 );
DEFINE_STRING( BGl_string2076z00zz__openpgpzd2encodezd2, BgL_bgl_string2076za700za7za7_2240za7, "invalid ElGamal-key", 19 );
DEFINE_STRING( BGl_string2077z00zz__openpgpzd2encodezd2, BgL_bgl_string2077za700za7za7_2241za7, "unsupported public key algorithm", 32 );
DEFINE_STRING( BGl_string2078z00zz__openpgpzd2encodezd2, BgL_bgl_string2078za700za7za7_2242za7, "&encode-public-key-content", 26 );
DEFINE_STRING( BGl_string2079z00zz__openpgpzd2encodezd2, BgL_bgl_string2079za700za7za7_2243za7, "PGP-Key-Packet", 14 );
DEFINE_STRING( BGl_string2081z00zz__openpgpzd2encodezd2, BgL_bgl_string2081za700za7za7_2244za7, "packet->content-tag1168", 23 );
DEFINE_STRING( BGl_string2083z00zz__openpgpzd2encodezd2, BgL_bgl_string2083za700za7za7_2245za7, "encode-content1196", 18 );
DEFINE_STRING( BGl_string2085z00zz__openpgpzd2encodezd2, BgL_bgl_string2085za700za7za7_2246za7, "encode-sub-packet-co1200", 24 );
DEFINE_STRING( BGl_string2086z00zz__openpgpzd2encodezd2, BgL_bgl_string2086za700za7za7_2247za7, "encode-signature-sub-packet-content", 35 );
DEFINE_STRING( BGl_string2087z00zz__openpgpzd2encodezd2, BgL_bgl_string2087za700za7za7_2248za7, "not yet implemented", 19 );
DEFINE_STRING( BGl_string2088z00zz__openpgpzd2encodezd2, BgL_bgl_string2088za700za7za7_2249za7, "encode-content", 14 );
DEFINE_STRING( BGl_string2089z00zz__openpgpzd2encodezd2, BgL_bgl_string2089za700za7za7_2250za7, "packet->content-tag", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2080z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2251za7, BGl_z62packetzd2ze3contentzd2tag1168z81zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2082z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2252z00, BGl_z62encodezd2content1196zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2090z00zz__openpgpzd2encodezd2, BgL_bgl_string2090za700za7za7_2253za7, "internal error. forgot PGP-Packet type", 38 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2084z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72254za7, BGl_z62encodezd2subzd2packetzd2co1200zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2091z00zz__openpgpzd2encodezd2, BgL_bgl_string2091za700za7za7_2255za7, "&packet->content-tag", 20 );
DEFINE_STRING( BGl_string2092z00zz__openpgpzd2encodezd2, BgL_bgl_string2092za700za7za7_2256za7, "&encode-content", 15 );
DEFINE_STRING( BGl_string2093z00zz__openpgpzd2encodezd2, BgL_bgl_string2093za700za7za7_2257za7, "&encode-sub-packet-content", 26 );
DEFINE_STRING( BGl_string2094z00zz__openpgpzd2encodezd2, BgL_bgl_string2094za700za7za7_2258za7, "PGP-Signature-Sub-Packet", 24 );
extern obj_t BGl_symmetriczd2keyzd2algozd2ze3bytezd2envze3zz__openpgpzd2enumszd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2095z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2259za7, BGl_z62packetzd2ze3contentzd2tagzd21171z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2096z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2260za7, BGl_z62packetzd2ze3contentzd2tagzd21173z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2097z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2261za7, BGl_z62packetzd2ze3contentzd2tagzd21175z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2098z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2262za7, BGl_z62packetzd2ze3contentzd2tagzd21177z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2099z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2263za7, BGl_z62packetzd2ze3contentzd2tagzd21179z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_compressionzd2algozd2ze3bytezd2envz31zz__openpgpzd2enumszd2;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2packetszd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2pack2264z00, va_generic_entry, BGl_z62encodezd2packetszb0zz__openpgpzd2encodezd2, BUNSPEC, -2 );
DEFINE_STATIC_BGL_GENERIC( BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72265za7, BGl_z62encodezd2subzd2packetzd2contentzb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2publiczd2keyzd2contentzd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2publ2266z00, BGl_z62encodezd2publiczd2keyzd2contentzb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_GENERIC( BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2267za7, BGl_z62packetzd2ze3contentzd2tagz81zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_createzd2signedzd2packetzd2prefixzd2v4zd2envzd2zz__openpgpzd2encodezd2, BgL_bgl_za762createza7d2sign2268z00, BGl_z62createzd2signedzd2packetzd2prefixzd2v4z62zz__openpgpzd2encodezd2, 0L, BUNSPEC, 5 );
extern obj_t BGl_hashzd2algozd2ze3bytezd2envz31zz__openpgpzd2enumszd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2100z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2269za7, BGl_z62packetzd2ze3contentzd2tagzd21181z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2101z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2270za7, BGl_z62packetzd2ze3contentzd2tagzd21183z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2102z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2271za7, BGl_z62packetzd2ze3contentzd2tagzd21185z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2103z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2272za7, BGl_z62packetzd2ze3contentzd2tagzd21187z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2110z00zz__openpgpzd2encodezd2, BgL_bgl_string2110za700za7za7_2273za7, "encode-sub-packet-content", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2104z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2274za7, BGl_z62packetzd2ze3contentzd2tagzd21189z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2105z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2275za7, BGl_z62packetzd2ze3contentzd2tagzd21191z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2106z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2276za7, BGl_z62packetzd2ze3contentzd2tagzd21193z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2107z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2277za7, BGl_z62packetzd2ze3contentzd2tagzd21195z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2108z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2278z00, BGl_z62encodezd2contentzd2PGPzd2P1199zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2109z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72279za7, BGl_z62encodezd2subzd2packetzd2co1204zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2111z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72280za7, BGl_z62encodezd2subzd2packetzd2co1206zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2encodezd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(long BgL_checksumz00_2980, char * BgL_fromz00_2981)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2encodezd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2encodezd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2encodezd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2encodezd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2encodezd2(); 
BGl_importedzd2moduleszd2initz00zz__openpgpzd2encodezd2(); 
BGl_genericzd2initzd2zz__openpgpzd2encodezd2(); 
BGl_methodzd2initzd2zz__openpgpzd2encodezd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2encodezd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2encodezd2(void)
{
{ /* Llib/pgp_encode.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2elgamalzd2(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2dsazd2(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__openpgp-encode"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2encodezd2(void)
{
{ /* Llib/pgp_encode.scm 1 */
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_cportz00_2495;
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_stringz00_2502;
BgL_stringz00_2502 = BGl_string2156z00zz__openpgpzd2encodezd2; 
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_startz00_2503;
BgL_startz00_2503 = 
BINT(((long)0)); 
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_endz00_2504;
BgL_endz00_2504 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2502))); 
{ /* Llib/pgp_encode.scm 1 */

BgL_cportz00_2495 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2502, BgL_startz00_2503, BgL_endz00_2504); } } } } 
{ 
 long BgL_iz00_2496;
BgL_iz00_2496 = ((long)42); 
BgL_loopz00_2497:
if(
(BgL_iz00_2496==((long)-1)))
{ /* Llib/pgp_encode.scm 1 */
return BUNSPEC;}  else 
{ /* Llib/pgp_encode.scm 1 */
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_arg2157z00_2498;
{ /* Llib/pgp_encode.scm 1 */

{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_locationz00_2500;
BgL_locationz00_2500 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pgp_encode.scm 1 */

BgL_arg2157z00_2498 = 
BGl_readz00zz__readerz00(BgL_cportz00_2495, BgL_locationz00_2500); } } } 
{ /* Llib/pgp_encode.scm 1 */
 int BgL_tmpz00_3018;
BgL_tmpz00_3018 = 
(int)(BgL_iz00_2496); 
CNST_TABLE_SET(BgL_tmpz00_3018, BgL_arg2157z00_2498); } } 
{ /* Llib/pgp_encode.scm 1 */
 int BgL_auxz00_2501;
BgL_auxz00_2501 = 
(int)(
(BgL_iz00_2496-((long)1))); 
{ 
 long BgL_iz00_3023;
BgL_iz00_3023 = 
(long)(BgL_auxz00_2501); 
BgL_iz00_2496 = BgL_iz00_3023; 
goto BgL_loopz00_2497;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2encodezd2(void)
{
{ /* Llib/pgp_encode.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2encodezd2(void)
{
{ /* Llib/pgp_encode.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(((long)0), 
BSTRING_TO_STRING(BGl_string2044z00zz__openpgpzd2encodezd2)); 
return BUNSPEC;} 

}



/* append-21009 */
obj_t BGl_appendzd221009zd2zz__openpgpzd2encodezd2(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_145;
BgL_headz00_145 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_146; obj_t BgL_tailz00_147;
BgL_prevz00_146 = BgL_headz00_145; 
BgL_tailz00_147 = BgL_l1z00_1; 
BgL_loopz00_148:
if(
PAIRP(BgL_tailz00_147))
{ 
 obj_t BgL_newzd2prevzd2_150;
BgL_newzd2prevzd2_150 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_147), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_146, BgL_newzd2prevzd2_150); 
{ 
 obj_t BgL_tailz00_3035; obj_t BgL_prevz00_3034;
BgL_prevz00_3034 = BgL_newzd2prevzd2_150; 
BgL_tailz00_3035 = 
CDR(BgL_tailz00_147); 
BgL_tailz00_147 = BgL_tailz00_3035; 
BgL_prevz00_146 = BgL_prevz00_3034; 
goto BgL_loopz00_148;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_145);} } } 

}



/* encode-packets */
BGL_EXPORTED_DEF obj_t BGl_encodezd2packetszd2zz__openpgpzd2encodezd2(obj_t BgL_pz00_3, obj_t BgL_packetsz00_4)
{
{ /* Llib/pgp_encode.scm 19 */
{ 
 obj_t BgL_l1154z00_154;
{ /* Llib/pgp_encode.scm 20 */
 bool_t BgL_tmpz00_3038;
BgL_l1154z00_154 = BgL_packetsz00_4; 
BgL_zc3z04anonymousza31286ze3z87_155:
if(
PAIRP(BgL_l1154z00_154))
{ /* Llib/pgp_encode.scm 20 */
{ /* Llib/pgp_encode.scm 20 */
 obj_t BgL_packetz00_157;
BgL_packetz00_157 = 
CAR(BgL_l1154z00_154); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_packetz00_157), BgL_pz00_3); } 
{ 
 obj_t BgL_l1154z00_3044;
BgL_l1154z00_3044 = 
CDR(BgL_l1154z00_154); 
BgL_l1154z00_154 = BgL_l1154z00_3044; 
goto BgL_zc3z04anonymousza31286ze3z87_155;} }  else 
{ /* Llib/pgp_encode.scm 20 */
BgL_tmpz00_3038 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_3038);} } } 

}



/* &encode-packets */
obj_t BGl_z62encodezd2packetszb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2253, obj_t BgL_pz00_2254, obj_t BgL_packetsz00_2255)
{
{ /* Llib/pgp_encode.scm 19 */
{ /* Llib/pgp_encode.scm 20 */
 obj_t BgL_auxz00_3047;
if(
OUTPUT_PORTP(BgL_pz00_2254))
{ /* Llib/pgp_encode.scm 20 */
BgL_auxz00_3047 = BgL_pz00_2254
; }  else 
{ 
 obj_t BgL_auxz00_3050;
BgL_auxz00_3050 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)595)), BGl_string2046z00zz__openpgpzd2encodezd2, BGl_string2047z00zz__openpgpzd2encodezd2, BgL_pz00_2254); 
FAILURE(BgL_auxz00_3050,BFALSE,BFALSE);} 
return 
BGl_encodezd2packetszd2zz__openpgpzd2encodezd2(BgL_auxz00_3047, BgL_packetsz00_2255);} } 

}



/* encode-octet */
obj_t BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(long BgL_nz00_5, obj_t BgL_pz00_6)
{
{ /* Llib/pgp_encode.scm 22 */
if(
(BgL_nz00_5>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_5)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_800;
BgL_arg1330z00_800 = 
(BgL_nz00_5); 
return 
bgl_display_obj(
BCHAR(BgL_arg1330z00_800), BgL_pz00_6);} } 

}



/* encode-length-v4 */
obj_t BGl_encodezd2lengthzd2v4z00zz__openpgpzd2encodezd2(long BgL_lenz00_15, obj_t BgL_pz00_16)
{
{ /* Llib/pgp_encode.scm 47 */
if(
(BgL_lenz00_15<((long)192)))
{ /* Llib/pgp_encode.scm 49 */
if(
(BgL_lenz00_15>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_lenz00_15)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_845;
BgL_arg1330z00_845 = 
(BgL_lenz00_15); 
return 
bgl_display_obj(
BCHAR(BgL_arg1330z00_845), BgL_pz00_16);} }  else 
{ /* Llib/pgp_encode.scm 49 */
if(
(BgL_lenz00_15<=((long)8383)))
{ /* Llib/pgp_encode.scm 53 */
 long BgL_tz00_172;
BgL_tz00_172 = 
(BgL_lenz00_15-((long)192)); 
{ /* Llib/pgp_encode.scm 54 */
 long BgL_arg1342z00_173;
BgL_arg1342z00_173 = 
(((long)192)+
(BgL_tz00_172 >> 
(int)(((long)8)))); 
if(
(BgL_arg1342z00_173>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1342z00_173)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_855;
BgL_arg1330z00_855 = 
(BgL_arg1342z00_173); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_855), BgL_pz00_16); } } 
{ /* Llib/pgp_encode.scm 55 */
 long BgL_arg1345z00_175;
BgL_arg1345z00_175 = 
(BgL_tz00_172 & ((long)255)); 
if(
(BgL_arg1345z00_175>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1345z00_175)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_862;
BgL_arg1330z00_862 = 
(BgL_arg1345z00_175); 
return 
bgl_display_obj(
BCHAR(BgL_arg1330z00_862), BgL_pz00_16);} } }  else 
{ /* Llib/pgp_encode.scm 52 */
if(
(((long)255)>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(((long)255))); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_867;
BgL_arg1330z00_867 = 
(((long)255)); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_867), BgL_pz00_16); } 
return 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_lenz00_15, ((long)4)), BgL_pz00_16);} } } 

}



/* encode-prefs */
bool_t BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(obj_t BgL_prefsz00_19, obj_t BgL_converterz00_20, obj_t BgL_pz00_21)
{
{ /* Llib/pgp_encode.scm 63 */
{ 
 obj_t BgL_l1156z00_178;
BgL_l1156z00_178 = BgL_prefsz00_19; 
BgL_zc3z04anonymousza31352ze3z87_179:
if(
PAIRP(BgL_l1156z00_178))
{ /* Llib/pgp_encode.scm 64 */
{ /* Llib/pgp_encode.scm 68 */
 obj_t BgL_prefz00_181;
BgL_prefz00_181 = 
CAR(BgL_l1156z00_178); 
if(
INTEGERP(BgL_prefz00_181))
{ /* Llib/pgp_encode.scm 65 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 65 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2050z00zz__openpgpzd2encodezd2, BGl_string2051z00zz__openpgpzd2encodezd2, BgL_prefz00_181); } 
{ /* Llib/pgp_encode.scm 69 */
 obj_t BgL_arg1355z00_183;
BgL_arg1355z00_183 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_converterz00_20))(BgL_converterz00_20, BgL_prefz00_181, BEOA); 
{ /* Llib/pgp_encode.scm 69 */
 long BgL_nz00_877;
BgL_nz00_877 = 
(long)CINT(BgL_arg1355z00_183); 
if(
(BgL_nz00_877>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_877)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_880;
BgL_arg1330z00_880 = 
(BgL_nz00_877); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_880), BgL_pz00_21); } } } } 
{ 
 obj_t BgL_l1156z00_3119;
BgL_l1156z00_3119 = 
CDR(BgL_l1156z00_178); 
BgL_l1156z00_178 = BgL_l1156z00_3119; 
goto BgL_zc3z04anonymousza31352ze3z87_179;} }  else 
{ /* Llib/pgp_encode.scm 64 */
return ((bool_t)1);} } } 

}



/* encode-packet */
BGL_EXPORTED_DEF obj_t BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt BgL_packetz00_36, obj_t BgL_pz00_37)
{
{ /* Llib/pgp_encode.scm 111 */
{ /* Llib/pgp_encode.scm 112 */
 obj_t BgL_contentzd2tagzd2_186;
BgL_contentzd2tagzd2_186 = 
BGl_packetzd2ze3contentzd2tagze3zz__openpgpzd2encodezd2(BgL_packetz00_36); 
{ /* Llib/pgp_encode.scm 112 */
 char BgL_contentzd2tagzd2bytez00_187;
BgL_contentzd2tagzd2bytez00_187 = 
BGl_contentzd2tagzd2ze3byteze3zz__openpgpzd2enumszd2(BgL_contentzd2tagzd2_186); 
{ /* Llib/pgp_encode.scm 114 */
 obj_t BgL_strzd2pzd2_189;
{ /* Llib/pgp_encode.scm 116 */

{ /* Llib/pgp_encode.scm 116 */

BgL_strzd2pzd2_189 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ /* Llib/pgp_encode.scm 116 */
 obj_t BgL_contentz00_190;
BgL_contentz00_190 = 
BGl_encodezd2contentzd2zz__openpgpzd2encodezd2(BgL_packetz00_36, BgL_strzd2pzd2_189); 
{ /* Llib/pgp_encode.scm 117 */
 obj_t BgL_strz00_191;
BgL_strz00_191 = 
bgl_close_output_port(BgL_strzd2pzd2_189); 
{ /* Llib/pgp_encode.scm 118 */
 long BgL_lenz00_192;
BgL_lenz00_192 = 
STRING_LENGTH(
((obj_t)BgL_strz00_191)); 
{ /* Llib/pgp_encode.scm 119 */

if(
(
(long)(BgL_contentzd2tagzd2bytez00_187)>((long)31)))
{ /* Llib/pgp_encode.scm 120 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2052z00zz__openpgpzd2encodezd2, BGl_string2053z00zz__openpgpzd2encodezd2, BgL_contentzd2tagzd2_186); }  else 
{ /* Llib/pgp_encode.scm 120 */BFALSE; } 
{ /* Llib/pgp_encode.scm 125 */
 long BgL_arg1360z00_194;
BgL_arg1360z00_194 = 
(((long)128)+
(((long)64)+
(long)(BgL_contentzd2tagzd2bytez00_187))); 
if(
(BgL_arg1360z00_194>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1360z00_194)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_892;
BgL_arg1330z00_892 = 
(BgL_arg1360z00_194); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_892), BgL_pz00_37); } } 
BGl_encodezd2lengthzd2v4z00zz__openpgpzd2encodezd2(BgL_lenz00_192, BgL_pz00_37); 
return 
bgl_display_obj(BgL_strz00_191, BgL_pz00_37);} } } } } } } } 

}



/* &encode-packet */
obj_t BGl_z62encodezd2packetzb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2256, obj_t BgL_packetz00_2257, obj_t BgL_pz00_2258)
{
{ /* Llib/pgp_encode.scm 111 */
{ /* Llib/pgp_encode.scm 112 */
 obj_t BgL_auxz00_3152; BgL_pgpzd2packetzd2_bglt BgL_auxz00_3144;
if(
OUTPUT_PORTP(BgL_pz00_2258))
{ /* Llib/pgp_encode.scm 112 */
BgL_auxz00_3152 = BgL_pz00_2258
; }  else 
{ 
 obj_t BgL_auxz00_3155;
BgL_auxz00_3155 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)3754)), BGl_string2054z00zz__openpgpzd2encodezd2, BGl_string2047z00zz__openpgpzd2encodezd2, BgL_pz00_2258); 
FAILURE(BgL_auxz00_3155,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_packetz00_2257, BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2))
{ /* Llib/pgp_encode.scm 112 */
BgL_auxz00_3144 = 
((BgL_pgpzd2packetzd2_bglt)BgL_packetz00_2257)
; }  else 
{ 
 obj_t BgL_auxz00_3148;
BgL_auxz00_3148 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)3754)), BGl_string2054z00zz__openpgpzd2encodezd2, BGl_string2055z00zz__openpgpzd2encodezd2, BgL_packetz00_2257); 
FAILURE(BgL_auxz00_3148,BFALSE,BFALSE);} 
return 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(BgL_auxz00_3144, BgL_auxz00_3152);} } 

}



/* encode-sub-packets */
obj_t BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(obj_t BgL_packetsz00_85, obj_t BgL_pz00_86)
{
{ /* Llib/pgp_encode.scm 283 */
{ /* Llib/pgp_encode.scm 284 */
 obj_t BgL_strzd2pzd2_204;
{ /* Llib/pgp_encode.scm 284 */

{ /* Llib/pgp_encode.scm 284 */

BgL_strzd2pzd2_204 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ 
 obj_t BgL_l1158z00_206;
BgL_l1158z00_206 = BgL_packetsz00_85; 
BgL_zc3z04anonymousza31375ze3z87_207:
if(
PAIRP(BgL_l1158z00_206))
{ /* Llib/pgp_encode.scm 285 */
{ /* Llib/pgp_encode.scm 286 */
 obj_t BgL_spacketz00_209;
BgL_spacketz00_209 = 
CAR(BgL_l1158z00_206); 
{ /* Llib/pgp_encode.scm 164 */
 obj_t BgL_strzd2pzd2_920;
{ /* Llib/pgp_encode.scm 164 */

{ /* Llib/pgp_encode.scm 164 */

BgL_strzd2pzd2_920 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BGl_encodezd2subzd2packetzd2contentzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_spacketz00_209), BgL_strzd2pzd2_920); 
{ /* Llib/pgp_encode.scm 166 */
 obj_t BgL_strz00_922;
BgL_strz00_922 = 
bgl_close_output_port(BgL_strzd2pzd2_920); 
{ /* Llib/pgp_encode.scm 167 */
 long BgL_arg1363z00_923;
BgL_arg1363z00_923 = 
STRING_LENGTH(
((obj_t)BgL_strz00_922)); 
BGl_encodezd2lengthzd2v4z00zz__openpgpzd2encodezd2(BgL_arg1363z00_923, BgL_strzd2pzd2_204); } 
bgl_display_obj(BgL_strz00_922, BgL_strzd2pzd2_204); } } } 
{ 
 obj_t BgL_l1158z00_3172;
BgL_l1158z00_3172 = 
CDR(BgL_l1158z00_206); 
BgL_l1158z00_206 = BgL_l1158z00_3172; 
goto BgL_zc3z04anonymousza31375ze3z87_207;} }  else 
{ /* Llib/pgp_encode.scm 285 */((bool_t)1); } } 
{ /* Llib/pgp_encode.scm 288 */
 obj_t BgL_strz00_212;
BgL_strz00_212 = 
bgl_close_output_port(BgL_strzd2pzd2_204); 
{ /* Llib/pgp_encode.scm 289 */
 long BgL_arg1380z00_213;
BgL_arg1380z00_213 = 
STRING_LENGTH(
((obj_t)BgL_strz00_212)); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg1380z00_213, ((long)2)), BgL_pz00_86); } 
return 
bgl_display_obj(BgL_strz00_212, BgL_pz00_86);} } } 

}



/* create-signed-packet-prefix-v4 */
BGL_EXPORTED_DEF obj_t BGl_createzd2signedzd2packetzd2prefixzd2v4z00zz__openpgpzd2encodezd2(obj_t BgL_signaturezd2typezd2_89, obj_t BgL_publiczd2keyzd2algoz00_90, obj_t BgL_hashzd2algozd2_91, obj_t BgL_creationzd2datezd2_92, obj_t BgL_signedzd2subzd2packetsz00_93)
{
{ /* Llib/pgp_encode.scm 299 */
{ /* Llib/pgp_encode.scm 305 */
 obj_t BgL_strzd2pzd2_219; obj_t BgL_creationzd2timezd2packetz00_221; char BgL_publiczd2keyzd2algozd2bytezd2_222; char BgL_hashzd2algozd2bytez00_223; char BgL_signaturezd2typezd2bytez00_224;
{ /* Llib/pgp_encode.scm 305 */

{ /* Llib/pgp_encode.scm 305 */

BgL_strzd2pzd2_219 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ 
 obj_t BgL_l1160z00_247;
BgL_l1160z00_247 = BgL_signedzd2subzd2packetsz00_93; 
BgL_zc3z04anonymousza31548ze3z87_248:
if(
NULLP(BgL_l1160z00_247))
{ /* Llib/pgp_encode.scm 308 */
BgL_creationzd2timezd2packetz00_221 = BFALSE; }  else 
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL__ortest_1162z00_250;
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL_pz00_252;
BgL_pz00_252 = 
CAR(
((obj_t)BgL_l1160z00_247)); 
{ /* Llib/pgp_encode.scm 309 */
 bool_t BgL_test2302z00_3185;
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL_classz00_941;
BgL_classz00_941 = BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pz00_252))
{ /* Llib/pgp_encode.scm 309 */
 BgL_objectz00_bglt BgL_arg1793z00_943;
BgL_arg1793z00_943 = 
(BgL_objectz00_bglt)(BgL_pz00_252); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_encode.scm 309 */
 long BgL_idxz00_949;
BgL_idxz00_949 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_943); 
BgL_test2302z00_3185 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_949+((long)2)))==BgL_classz00_941); }  else 
{ /* Llib/pgp_encode.scm 309 */
 bool_t BgL_res1978z00_971;
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL_oclassz00_957;
{ /* Llib/pgp_encode.scm 309 */
 long BgL_arg1801z00_963;
{ /* Llib/pgp_encode.scm 309 */
 long BgL_arg1802z00_964;
BgL_arg1802z00_964 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_943); 
BgL_arg1801z00_963 = 
(BgL_arg1802z00_964-OBJECT_TYPE); } 
BgL_oclassz00_957 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_963); } 
{ /* Llib/pgp_encode.scm 309 */
 bool_t BgL__ortest_1110z00_958;
BgL__ortest_1110z00_958 = 
(BgL_classz00_941==BgL_oclassz00_957); 
if(BgL__ortest_1110z00_958)
{ /* Llib/pgp_encode.scm 309 */
BgL_res1978z00_971 = BgL__ortest_1110z00_958; }  else 
{ /* Llib/pgp_encode.scm 309 */
 long BgL_odepthz00_959;
BgL_odepthz00_959 = 
BGL_CLASS_DEPTH(BgL_oclassz00_957); 
if(
(((long)2)<BgL_odepthz00_959))
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL_arg1790z00_961;
BgL_arg1790z00_961 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_957, ((long)2)); 
BgL_res1978z00_971 = 
(BgL_arg1790z00_961==BgL_classz00_941); }  else 
{ /* Llib/pgp_encode.scm 309 */
BgL_res1978z00_971 = ((bool_t)0); } } } } 
BgL_test2302z00_3185 = BgL_res1978z00_971; } }  else 
{ /* Llib/pgp_encode.scm 309 */
BgL_test2302z00_3185 = ((bool_t)0)
; } } 
if(BgL_test2302z00_3185)
{ /* Llib/pgp_encode.scm 309 */
BgL__ortest_1162z00_250 = BgL_pz00_252; }  else 
{ /* Llib/pgp_encode.scm 309 */
BgL__ortest_1162z00_250 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1162z00_250))
{ /* Llib/pgp_encode.scm 308 */
BgL_creationzd2timezd2packetz00_221 = BgL__ortest_1162z00_250; }  else 
{ 
 obj_t BgL_l1160z00_3207;
BgL_l1160z00_3207 = 
CDR(
((obj_t)BgL_l1160z00_247)); 
BgL_l1160z00_247 = BgL_l1160z00_3207; 
goto BgL_zc3z04anonymousza31548ze3z87_248;} } } 
BgL_publiczd2keyzd2algozd2bytezd2_222 = 
BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(BgL_publiczd2keyzd2algoz00_90); 
BgL_hashzd2algozd2bytez00_223 = 
BGl_hashzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(BgL_hashzd2algozd2_91); 
BgL_signaturezd2typezd2bytez00_224 = 
BGl_signaturezd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_signaturezd2typezd2_89); 
if(
(((long)4)>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(((long)4))); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_976;
BgL_arg1330z00_976 = 
(((long)4)); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_976), BgL_strzd2pzd2_219); } 
{ /* Llib/pgp_encode.scm 323 */
 long BgL_nz00_979;
BgL_nz00_979 = 
(long)(BgL_signaturezd2typezd2bytez00_224); 
if(
(BgL_nz00_979>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_979)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_982;
BgL_arg1330z00_982 = 
(BgL_nz00_979); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_982), BgL_strzd2pzd2_219); } } 
{ /* Llib/pgp_encode.scm 324 */
 long BgL_nz00_985;
BgL_nz00_985 = 
(long)(BgL_publiczd2keyzd2algozd2bytezd2_222); 
if(
(BgL_nz00_985>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_985)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_988;
BgL_arg1330z00_988 = 
(BgL_nz00_985); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_988), BgL_strzd2pzd2_219); } } 
{ /* Llib/pgp_encode.scm 325 */
 long BgL_nz00_991;
BgL_nz00_991 = 
(long)(BgL_hashzd2algozd2bytez00_223); 
if(
(BgL_nz00_991>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_991)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_994;
BgL_arg1330z00_994 = 
(BgL_nz00_991); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_994), BgL_strzd2pzd2_219); } } 
{ /* Llib/pgp_encode.scm 327 */
 bool_t BgL_test2312z00_3244;
if(
BGL_DATEP(BgL_creationzd2datezd2_92))
{ /* Llib/pgp_encode.scm 327 */
BgL_test2312z00_3244 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_encode.scm 327 */
if(
CBOOL(BgL_creationzd2timezd2packetz00_221))
{ /* Llib/pgp_encode.scm 328 */
BgL_test2312z00_3244 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_encode.scm 328 */
BgL_test2312z00_3244 = ((bool_t)1)
; } } 
if(BgL_test2312z00_3244)
{ /* Llib/pgp_encode.scm 327 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2056z00zz__openpgpzd2encodezd2, BGl_string2057z00zz__openpgpzd2encodezd2, BFALSE); }  else 
{ /* Llib/pgp_encode.scm 332 */
 bool_t BgL_test2315z00_3250;
if(
BGL_DATEP(BgL_creationzd2datezd2_92))
{ /* Llib/pgp_encode.scm 332 */
if(
CBOOL(BgL_creationzd2timezd2packetz00_221))
{ /* Llib/pgp_encode.scm 336 */
 obj_t BgL_arg1547z00_242;
BgL_arg1547z00_242 = 
(((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_creationzd2timezd2packetz00_221)))->BgL_creationzd2datezd2); 
{ /* Llib/pgp_encode.scm 295 */
 long BgL_arg1384z00_999; long BgL_arg1385z00_1000;
BgL_arg1384z00_999 = 
bgl_date_to_seconds(BgL_creationzd2datezd2_92); 
BgL_arg1385z00_1000 = 
bgl_date_to_seconds(BgL_arg1547z00_242); 
{ /* Llib/pgp_encode.scm 295 */
 long BgL_n1z00_1003; long BgL_n2z00_1004;
BgL_n1z00_1003 = 
(long)(BgL_arg1384z00_999); 
BgL_n2z00_1004 = 
(long)(BgL_arg1385z00_1000); 
BgL_test2315z00_3250 = 
(BgL_n1z00_1003==BgL_n2z00_1004); } } }  else 
{ /* Llib/pgp_encode.scm 334 */
BgL_test2315z00_3250 = ((bool_t)0)
; } }  else 
{ /* Llib/pgp_encode.scm 332 */
BgL_test2315z00_3250 = ((bool_t)1)
; } 
if(BgL_test2315z00_3250)
{ /* Llib/pgp_encode.scm 332 */
BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(BgL_signedzd2subzd2packetsz00_93, BgL_strzd2pzd2_219); }  else 
{ /* Llib/pgp_encode.scm 340 */
 bool_t BgL_test2318z00_3263;
if(
BGL_DATEP(BgL_creationzd2datezd2_92))
{ /* Llib/pgp_encode.scm 340 */
BgL_test2318z00_3263 = 
CBOOL(BgL_creationzd2timezd2packetz00_221)
; }  else 
{ /* Llib/pgp_encode.scm 340 */
BgL_test2318z00_3263 = ((bool_t)0)
; } 
if(BgL_test2318z00_3263)
{ /* Llib/pgp_encode.scm 340 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2056z00zz__openpgpzd2encodezd2, BGl_string2058z00zz__openpgpzd2encodezd2, BgL_creationzd2datezd2_92); }  else 
{ /* Llib/pgp_encode.scm 346 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_packetz00_234;
{ /* Llib/pgp_encode.scm 346 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1130z00_236;
{ /* Llib/pgp_encode.scm 347 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1129z00_237;
BgL_new1129z00_237 = 
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl) ))); 
{ /* Llib/pgp_encode.scm 347 */
 long BgL_arg1461z00_238;
BgL_arg1461z00_238 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_237), BgL_arg1461z00_238); } 
{ /* Llib/pgp_encode.scm 347 */
 BgL_objectz00_bglt BgL_tmpz00_3272;
BgL_tmpz00_3272 = 
((BgL_objectz00_bglt)BgL_new1129z00_237); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3272, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1129z00_237); 
BgL_new1130z00_236 = BgL_new1129z00_237; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1130z00_236)))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(BgL_new1130z00_236))->BgL_creationzd2datezd2)=((obj_t)BgL_creationzd2datezd2_92),BUNSPEC); 
BgL_packetz00_234 = BgL_new1130z00_236; } 
{ /* Llib/pgp_encode.scm 349 */
 obj_t BgL_arg1460z00_235;
BgL_arg1460z00_235 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_packetz00_234), BgL_signedzd2subzd2packetsz00_93); 
BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(BgL_arg1460z00_235, BgL_strzd2pzd2_219); } } } } } 
return 
bgl_close_output_port(BgL_strzd2pzd2_219);} } 

}



/* &create-signed-packet-prefix-v4 */
obj_t BGl_z62createzd2signedzd2packetzd2prefixzd2v4z62zz__openpgpzd2encodezd2(obj_t BgL_envz00_2259, obj_t BgL_signaturezd2typezd2_2260, obj_t BgL_publiczd2keyzd2algoz00_2261, obj_t BgL_hashzd2algozd2_2262, obj_t BgL_creationzd2datezd2_2263, obj_t BgL_signedzd2subzd2packetsz00_2264)
{
{ /* Llib/pgp_encode.scm 299 */
{ /* Llib/pgp_encode.scm 305 */
 obj_t BgL_auxz00_3304; obj_t BgL_auxz00_3297; obj_t BgL_auxz00_3290; obj_t BgL_auxz00_3283;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_signedzd2subzd2packetsz00_2264))
{ /* Llib/pgp_encode.scm 305 */
BgL_auxz00_3304 = BgL_signedzd2subzd2packetsz00_2264
; }  else 
{ 
 obj_t BgL_auxz00_3307;
BgL_auxz00_3307 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)12396)), BGl_string2059z00zz__openpgpzd2encodezd2, BGl_string2061z00zz__openpgpzd2encodezd2, BgL_signedzd2subzd2packetsz00_2264); 
FAILURE(BgL_auxz00_3307,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_hashzd2algozd2_2262))
{ /* Llib/pgp_encode.scm 305 */
BgL_auxz00_3297 = BgL_hashzd2algozd2_2262
; }  else 
{ 
 obj_t BgL_auxz00_3300;
BgL_auxz00_3300 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)12396)), BGl_string2059z00zz__openpgpzd2encodezd2, BGl_string2060z00zz__openpgpzd2encodezd2, BgL_hashzd2algozd2_2262); 
FAILURE(BgL_auxz00_3300,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_publiczd2keyzd2algoz00_2261))
{ /* Llib/pgp_encode.scm 305 */
BgL_auxz00_3290 = BgL_publiczd2keyzd2algoz00_2261
; }  else 
{ 
 obj_t BgL_auxz00_3293;
BgL_auxz00_3293 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)12396)), BGl_string2059z00zz__openpgpzd2encodezd2, BGl_string2060z00zz__openpgpzd2encodezd2, BgL_publiczd2keyzd2algoz00_2261); 
FAILURE(BgL_auxz00_3293,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_signaturezd2typezd2_2260))
{ /* Llib/pgp_encode.scm 305 */
BgL_auxz00_3283 = BgL_signaturezd2typezd2_2260
; }  else 
{ 
 obj_t BgL_auxz00_3286;
BgL_auxz00_3286 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)12396)), BGl_string2059z00zz__openpgpzd2encodezd2, BGl_string2060z00zz__openpgpzd2encodezd2, BgL_signaturezd2typezd2_2260); 
FAILURE(BgL_auxz00_3286,BFALSE,BFALSE);} 
return 
BGl_createzd2signedzd2packetzd2prefixzd2v4z00zz__openpgpzd2encodezd2(BgL_auxz00_3283, BgL_auxz00_3290, BgL_auxz00_3297, BgL_creationzd2datezd2_2263, BgL_auxz00_3304);} } 

}



/* encode-insecure-sub-packets */
obj_t BGl_encodezd2insecurezd2subzd2packetszd2zz__openpgpzd2encodezd2(obj_t BgL_securezd2packetszd2_94, obj_t BgL_insecurezd2packetszd2_95, obj_t BgL_issuerz00_96, obj_t BgL_pz00_97)
{
{ /* Llib/pgp_encode.scm 353 */
{ /* Llib/pgp_encode.scm 356 */
 obj_t BgL_issuerzd2packetzd2_255;
{ /* Llib/pgp_encode.scm 356 */
 obj_t BgL_g1166z00_266;
BgL_g1166z00_266 = 
BGl_appendzd221009zd2zz__openpgpzd2encodezd2(BgL_insecurezd2packetszd2_95, BgL_securezd2packetszd2_94); 
{ 
 obj_t BgL_l1163z00_268;
BgL_l1163z00_268 = BgL_g1166z00_266; 
BgL_zc3z04anonymousza31585ze3z87_269:
if(
NULLP(BgL_l1163z00_268))
{ /* Llib/pgp_encode.scm 358 */
BgL_issuerzd2packetzd2_255 = BFALSE; }  else 
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL__ortest_1167z00_271;
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL_pz00_273;
BgL_pz00_273 = 
CAR(
((obj_t)BgL_l1163z00_268)); 
{ /* Llib/pgp_encode.scm 357 */
 bool_t BgL_test2325z00_3317;
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL_classz00_1011;
BgL_classz00_1011 = BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pz00_273))
{ /* Llib/pgp_encode.scm 357 */
 BgL_objectz00_bglt BgL_arg1793z00_1013;
BgL_arg1793z00_1013 = 
(BgL_objectz00_bglt)(BgL_pz00_273); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_encode.scm 357 */
 long BgL_idxz00_1019;
BgL_idxz00_1019 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1013); 
BgL_test2325z00_3317 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1019+((long)2)))==BgL_classz00_1011); }  else 
{ /* Llib/pgp_encode.scm 357 */
 bool_t BgL_res1979z00_1041;
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL_oclassz00_1027;
{ /* Llib/pgp_encode.scm 357 */
 long BgL_arg1801z00_1033;
{ /* Llib/pgp_encode.scm 357 */
 long BgL_arg1802z00_1034;
BgL_arg1802z00_1034 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1013); 
BgL_arg1801z00_1033 = 
(BgL_arg1802z00_1034-OBJECT_TYPE); } 
BgL_oclassz00_1027 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1033); } 
{ /* Llib/pgp_encode.scm 357 */
 bool_t BgL__ortest_1110z00_1028;
BgL__ortest_1110z00_1028 = 
(BgL_classz00_1011==BgL_oclassz00_1027); 
if(BgL__ortest_1110z00_1028)
{ /* Llib/pgp_encode.scm 357 */
BgL_res1979z00_1041 = BgL__ortest_1110z00_1028; }  else 
{ /* Llib/pgp_encode.scm 357 */
 long BgL_odepthz00_1029;
BgL_odepthz00_1029 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1027); 
if(
(((long)2)<BgL_odepthz00_1029))
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL_arg1790z00_1031;
BgL_arg1790z00_1031 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1027, ((long)2)); 
BgL_res1979z00_1041 = 
(BgL_arg1790z00_1031==BgL_classz00_1011); }  else 
{ /* Llib/pgp_encode.scm 357 */
BgL_res1979z00_1041 = ((bool_t)0); } } } } 
BgL_test2325z00_3317 = BgL_res1979z00_1041; } }  else 
{ /* Llib/pgp_encode.scm 357 */
BgL_test2325z00_3317 = ((bool_t)0)
; } } 
if(BgL_test2325z00_3317)
{ /* Llib/pgp_encode.scm 357 */
BgL__ortest_1167z00_271 = BgL_pz00_273; }  else 
{ /* Llib/pgp_encode.scm 357 */
BgL__ortest_1167z00_271 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1167z00_271))
{ /* Llib/pgp_encode.scm 358 */
BgL_issuerzd2packetzd2_255 = BgL__ortest_1167z00_271; }  else 
{ 
 obj_t BgL_l1163z00_3339;
BgL_l1163z00_3339 = 
CDR(
((obj_t)BgL_l1163z00_268)); 
BgL_l1163z00_268 = BgL_l1163z00_3339; 
goto BgL_zc3z04anonymousza31585ze3z87_269;} } } } 
if(
CBOOL(BgL_issuerzd2packetzd2_255))
{ /* Llib/pgp_encode.scm 365 */
 bool_t BgL_test2332z00_3344;
{ /* Llib/pgp_encode.scm 366 */
 obj_t BgL_arg1574z00_259;
BgL_arg1574z00_259 = 
(((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_issuerzd2packetzd2_255)))->BgL_keyzd2idzd2); 
{ /* Llib/pgp_encode.scm 365 */
 long BgL_l1z00_1045;
BgL_l1z00_1045 = 
STRING_LENGTH(
((obj_t)BgL_issuerz00_96)); 
if(
(BgL_l1z00_1045==
STRING_LENGTH(BgL_arg1574z00_259)))
{ /* Llib/pgp_encode.scm 365 */
 int BgL_arg1290z00_1048;
{ /* Llib/pgp_encode.scm 365 */
 char * BgL_auxz00_3355; char * BgL_tmpz00_3352;
BgL_auxz00_3355 = 
BSTRING_TO_STRING(BgL_arg1574z00_259); 
BgL_tmpz00_3352 = 
BSTRING_TO_STRING(
((obj_t)BgL_issuerz00_96)); 
BgL_arg1290z00_1048 = 
memcmp(BgL_tmpz00_3352, BgL_auxz00_3355, BgL_l1z00_1045); } 
BgL_test2332z00_3344 = 
(
(long)(BgL_arg1290z00_1048)==((long)0)); }  else 
{ /* Llib/pgp_encode.scm 365 */
BgL_test2332z00_3344 = ((bool_t)0)
; } } } 
if(BgL_test2332z00_3344)
{ /* Llib/pgp_encode.scm 365 */
return 
BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(BgL_insecurezd2packetszd2_95, BgL_pz00_97);}  else 
{ /* Llib/pgp_encode.scm 365 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2062z00zz__openpgpzd2encodezd2, BGl_string2063z00zz__openpgpzd2encodezd2, BgL_issuerz00_96);} }  else 
{ /* Llib/pgp_encode.scm 361 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_newzd2pzd2_261;
{ /* Llib/pgp_encode.scm 361 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1133z00_263;
{ /* Llib/pgp_encode.scm 362 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1132z00_264;
BgL_new1132z00_264 = 
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl) ))); 
{ /* Llib/pgp_encode.scm 362 */
 long BgL_arg1584z00_265;
BgL_arg1584z00_265 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1132z00_264), BgL_arg1584z00_265); } 
{ /* Llib/pgp_encode.scm 362 */
 BgL_objectz00_bglt BgL_tmpz00_3366;
BgL_tmpz00_3366 = 
((BgL_objectz00_bglt)BgL_new1132z00_264); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3366, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1132z00_264); 
BgL_new1133z00_263 = BgL_new1132z00_264; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1133z00_263)))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(BgL_new1133z00_263))->BgL_keyzd2idzd2)=((obj_t)BgL_issuerz00_96),BUNSPEC); 
BgL_newzd2pzd2_261 = BgL_new1133z00_263; } 
{ /* Llib/pgp_encode.scm 364 */
 obj_t BgL_arg1575z00_262;
BgL_arg1575z00_262 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_newzd2pzd2_261), BgL_insecurezd2packetszd2_95); 
return 
BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(BgL_arg1575z00_262, BgL_pz00_97);} } } } 

}



/* encode-s2k */
obj_t BGl_encodezd2s2kzd2zz__openpgpzd2encodezd2(obj_t BgL_s2kz00_100, obj_t BgL_pz00_101)
{
{ /* Llib/pgp_encode.scm 410 */
{ /* Llib/pgp_encode.scm 412 */
 obj_t BgL_algoz00_276;
BgL_algoz00_276 = 
BGl_s2kzd2algozd2zz__openpgpzd2s2kzd2(BgL_s2kz00_100); 
{ /* Llib/pgp_encode.scm 412 */
 char BgL_algozd2bytezd2_277;
BgL_algozd2bytezd2_277 = 
BGl_s2kzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(BgL_algoz00_276); 
{ /* Llib/pgp_encode.scm 413 */
 obj_t BgL_hashz00_278;
BgL_hashz00_278 = 
BGl_s2kzd2hashzd2zz__openpgpzd2s2kzd2(BgL_s2kz00_100); 
{ /* Llib/pgp_encode.scm 414 */
 char BgL_hashzd2bytezd2_279;
BgL_hashzd2bytezd2_279 = 
BGl_hashzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(BgL_hashz00_278); 
{ /* Llib/pgp_encode.scm 415 */
 obj_t BgL_saltz00_280;
BgL_saltz00_280 = 
BGl_s2kzd2saltzd2zz__openpgpzd2s2kzd2(BgL_s2kz00_100); 
{ /* Llib/pgp_encode.scm 416 */
 obj_t BgL_countz00_281;
BgL_countz00_281 = 
BGl_s2kzd2countzd2zz__openpgpzd2s2kzd2(BgL_s2kz00_100); 
{ /* Llib/pgp_encode.scm 417 */

{ /* Llib/pgp_encode.scm 421 */
 long BgL_nz00_1058;
BgL_nz00_1058 = 
(long)(BgL_algozd2bytezd2_277); 
if(
(BgL_nz00_1058>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_1058)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_1061;
BgL_arg1330z00_1061 = 
(BgL_nz00_1058); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_1061), BgL_pz00_101); } } 
{ /* Llib/pgp_encode.scm 422 */
 long BgL_nz00_1064;
BgL_nz00_1064 = 
(long)(BgL_hashzd2bytezd2_279); 
if(
(BgL_nz00_1064>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_1064)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_1067;
BgL_arg1330z00_1067 = 
(BgL_nz00_1064); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_1067), BgL_pz00_101); } } 
if(
(BgL_algoz00_276==
CNST_TABLE_REF(((long)0))))
{ /* Llib/pgp_encode.scm 423 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Llib/pgp_encode.scm 423 */
if(
(BgL_algoz00_276==
CNST_TABLE_REF(((long)2))))
{ /* Llib/pgp_encode.scm 423 */
if(
STRINGP(BgL_saltz00_280))
{ /* Llib/pgp_encode.scm 427 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 427 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2064z00zz__openpgpzd2encodezd2, BGl_string2065z00zz__openpgpzd2encodezd2, BgL_saltz00_280); } 
{ /* Llib/pgp_encode.scm 432 */
 int BgL_arg1601z00_286;
BgL_arg1601z00_286 = 
BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2(); 
{ /* Llib/pgp_encode.scm 432 */
 long BgL_lenz00_1073;
BgL_lenz00_1073 = 
(long)(BgL_arg1601z00_286); 
if(
(
STRING_LENGTH(
((obj_t)BgL_saltz00_280))==BgL_lenz00_1073))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1336z00_1077;
BgL_arg1336z00_1077 = 
MAKE_YOUNG_PAIR(
BINT(BgL_lenz00_1073), 
((obj_t)BgL_saltz00_280)); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2066z00zz__openpgpzd2encodezd2, BGl_string2067z00zz__openpgpzd2encodezd2, BgL_arg1336z00_1077); } 
BGL_TAIL return 
bgl_display_obj(
((obj_t)BgL_saltz00_280), BgL_pz00_101);} } }  else 
{ /* Llib/pgp_encode.scm 423 */
if(
(BgL_algoz00_276==
CNST_TABLE_REF(((long)3))))
{ /* Llib/pgp_encode.scm 423 */
if(
STRINGP(BgL_saltz00_280))
{ /* Llib/pgp_encode.scm 434 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 434 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2064z00zz__openpgpzd2encodezd2, BGl_string2065z00zz__openpgpzd2encodezd2, BgL_saltz00_280); } 
if(
INTEGERP(BgL_countz00_281))
{ /* Llib/pgp_encode.scm 438 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 438 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2064z00zz__openpgpzd2encodezd2, BGl_string2068z00zz__openpgpzd2encodezd2, BgL_countz00_281); } 
{ /* Llib/pgp_encode.scm 442 */
 long BgL_encodedzd2countzd2_290;
BgL_encodedzd2countzd2_290 = 
BGl_iteratedzd2saltedzd2s2kzd2countzd2ze3octetze3zz__openpgpzd2s2kzd2(
(long)CINT(BgL_countz00_281)); 
{ /* Llib/pgp_encode.scm 445 */
 int BgL_arg1617z00_291;
BgL_arg1617z00_291 = 
BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2(); 
{ /* Llib/pgp_encode.scm 445 */
 long BgL_lenz00_1083;
BgL_lenz00_1083 = 
(long)(BgL_arg1617z00_291); 
if(
(
STRING_LENGTH(
((obj_t)BgL_saltz00_280))==BgL_lenz00_1083))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1336z00_1087;
BgL_arg1336z00_1087 = 
MAKE_YOUNG_PAIR(
BINT(BgL_lenz00_1083), 
((obj_t)BgL_saltz00_280)); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2066z00zz__openpgpzd2encodezd2, BGl_string2067z00zz__openpgpzd2encodezd2, BgL_arg1336z00_1087); } 
bgl_display_obj(
((obj_t)BgL_saltz00_280), BgL_pz00_101); } } 
if(
(BgL_encodedzd2countzd2_290>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_encodedzd2countzd2_290)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_1094;
BgL_arg1330z00_1094 = 
(BgL_encodedzd2countzd2_290); 
BGL_TAIL return 
bgl_display_obj(
BCHAR(BgL_arg1330z00_1094), BgL_pz00_101);} } }  else 
{ /* Llib/pgp_encode.scm 423 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2064z00zz__openpgpzd2encodezd2, BGl_string2069z00zz__openpgpzd2encodezd2, BgL_algoz00_276);} } } } } } } } } } } 

}



/* encode-public-key-content */
BGL_EXPORTED_DEF obj_t BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2keyzd2packetz00_bglt BgL_packetz00_106, obj_t BgL_pz00_107)
{
{ /* Llib/pgp_encode.scm 500 */
{ /* Llib/pgp_encode.scm 504 */
 long BgL_arg1618z00_293;
BgL_arg1618z00_293 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00); 
if(
(BgL_arg1618z00_293>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1618z00_293)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_1100;
BgL_arg1330z00_1100 = 
(BgL_arg1618z00_293); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_1100), BgL_pz00_107); } } 
{ /* Llib/pgp_encode.scm 505 */
 obj_t BgL_arg1619z00_294;
BgL_arg1619z00_294 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_creationzd2datezd2); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_arg1351z00_1105;
BgL_arg1351z00_1105 = 
bgl_date_to_seconds(BgL_arg1619z00_294); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_nnz00_1107;
BgL_nnz00_1107 = 
(long)(BgL_arg1351z00_1105); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_1107, ((long)4)), BgL_pz00_107); } } } 
{ /* Llib/pgp_encode.scm 508 */
 bool_t BgL_test2346z00_3464;
if(
(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00)==((long)2)))
{ /* Llib/pgp_encode.scm 508 */
BgL_test2346z00_3464 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_encode.scm 508 */
BgL_test2346z00_3464 = 
(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00)==((long)3))
; } 
if(BgL_test2346z00_3464)
{ /* Llib/pgp_encode.scm 508 */
if(
INTEGERP(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_validzd2dayszd2)))
{ /* Llib/pgp_encode.scm 509 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 509 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2070z00zz__openpgpzd2encodezd2, BGl_string2071z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_validzd2dayszd2)); } 
{ /* Llib/pgp_encode.scm 513 */
 obj_t BgL_arg1665z00_304;
BgL_arg1665z00_304 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_validzd2dayszd2); 
{ /* Llib/pgp_encode.scm 513 */
 long BgL_nnz00_1112;
BgL_nnz00_1112 = 
(long)CINT(BgL_arg1665z00_304); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_1112, ((long)2)), BgL_pz00_107); } } }  else 
{ /* Llib/pgp_encode.scm 508 */BFALSE; } } 
{ /* Llib/pgp_encode.scm 514 */
 char BgL_arg1691z00_308;
BgL_arg1691z00_308 = 
BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00)); 
{ /* Llib/pgp_encode.scm 514 */
 long BgL_nz00_1115;
BgL_nz00_1115 = 
(long)(BgL_arg1691z00_308); 
if(
(BgL_nz00_1115>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_1115)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_1118;
BgL_arg1330z00_1118 = 
(BgL_nz00_1115); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_1118), BgL_pz00_107); } } } 
{ /* Llib/pgp_encode.scm 515 */
 bool_t BgL_test2350z00_3489;
if(
(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00)==((long)2)))
{ /* Llib/pgp_encode.scm 515 */
BgL_test2350z00_3489 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_encode.scm 515 */
BgL_test2350z00_3489 = 
(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00)==((long)3))
; } 
if(BgL_test2350z00_3489)
{ /* Llib/pgp_encode.scm 516 */
 obj_t BgL_casezd2valuezd2_315;
BgL_casezd2valuezd2_315 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00); 
{ /* Llib/pgp_encode.scm 516 */
 bool_t BgL_test2352z00_3496;
{ /* Llib/pgp_encode.scm 516 */
 bool_t BgL__ortest_1140z00_323;
BgL__ortest_1140z00_323 = 
(BgL_casezd2valuezd2_315==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1140z00_323)
{ /* Llib/pgp_encode.scm 516 */
BgL_test2352z00_3496 = BgL__ortest_1140z00_323
; }  else 
{ /* Llib/pgp_encode.scm 516 */
 bool_t BgL__ortest_1141z00_324;
BgL__ortest_1141z00_324 = 
(BgL_casezd2valuezd2_315==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1141z00_324)
{ /* Llib/pgp_encode.scm 516 */
BgL_test2352z00_3496 = BgL__ortest_1141z00_324
; }  else 
{ /* Llib/pgp_encode.scm 516 */
BgL_test2352z00_3496 = 
(BgL_casezd2valuezd2_315==
CNST_TABLE_REF(((long)6)))
; } } } 
if(BgL_test2352z00_3496)
{ /* Llib/pgp_encode.scm 516 */
CNST_TABLE_REF(((long)7)); }  else 
{ /* Llib/pgp_encode.scm 520 */
 obj_t BgL_arg1714z00_319;
BgL_arg1714z00_319 = 
MAKE_YOUNG_PAIR(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00), 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00))); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2070z00zz__openpgpzd2encodezd2, BGl_string2072z00zz__openpgpzd2encodezd2, BgL_arg1714z00_319); } } }  else 
{ /* Llib/pgp_encode.scm 515 */BFALSE; } } 
{ /* Llib/pgp_encode.scm 522 */
 obj_t BgL_casezd2valuezd2_328;
BgL_casezd2valuezd2_328 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00); 
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL_test2355z00_3512;
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL__ortest_1142z00_364;
BgL__ortest_1142z00_364 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1142z00_364)
{ /* Llib/pgp_encode.scm 522 */
BgL_test2355z00_3512 = BgL__ortest_1142z00_364
; }  else 
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL__ortest_1143z00_365;
BgL__ortest_1143z00_365 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1143z00_365)
{ /* Llib/pgp_encode.scm 522 */
BgL_test2355z00_3512 = BgL__ortest_1143z00_365
; }  else 
{ /* Llib/pgp_encode.scm 522 */
BgL_test2355z00_3512 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)6)))
; } } } 
if(BgL_test2355z00_3512)
{ /* Llib/pgp_encode.scm 522 */
{ /* Llib/pgp_encode.scm 524 */
 bool_t BgL_test2358z00_3521;
{ /* Llib/pgp_encode.scm 524 */
 obj_t BgL_arg1738z00_335;
BgL_arg1738z00_335 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00); 
{ /* Llib/pgp_encode.scm 524 */
 obj_t BgL_classz00_1123;
BgL_classz00_1123 = BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2; 
if(
BGL_OBJECTP(BgL_arg1738z00_335))
{ /* Llib/pgp_encode.scm 524 */
 BgL_objectz00_bglt BgL_arg1793z00_1125;
BgL_arg1793z00_1125 = 
(BgL_objectz00_bglt)(BgL_arg1738z00_335); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_encode.scm 524 */
 long BgL_idxz00_1131;
BgL_idxz00_1131 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1125); 
BgL_test2358z00_3521 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1131+((long)1)))==BgL_classz00_1123); }  else 
{ /* Llib/pgp_encode.scm 524 */
 bool_t BgL_res1980z00_1153;
{ /* Llib/pgp_encode.scm 524 */
 obj_t BgL_oclassz00_1139;
{ /* Llib/pgp_encode.scm 524 */
 long BgL_arg1801z00_1145;
{ /* Llib/pgp_encode.scm 524 */
 long BgL_arg1802z00_1146;
BgL_arg1802z00_1146 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1125); 
BgL_arg1801z00_1145 = 
(BgL_arg1802z00_1146-OBJECT_TYPE); } 
BgL_oclassz00_1139 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1145); } 
{ /* Llib/pgp_encode.scm 524 */
 bool_t BgL__ortest_1110z00_1140;
BgL__ortest_1110z00_1140 = 
(BgL_classz00_1123==BgL_oclassz00_1139); 
if(BgL__ortest_1110z00_1140)
{ /* Llib/pgp_encode.scm 524 */
BgL_res1980z00_1153 = BgL__ortest_1110z00_1140; }  else 
{ /* Llib/pgp_encode.scm 524 */
 long BgL_odepthz00_1141;
BgL_odepthz00_1141 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1139); 
if(
(((long)1)<BgL_odepthz00_1141))
{ /* Llib/pgp_encode.scm 524 */
 obj_t BgL_arg1790z00_1143;
BgL_arg1790z00_1143 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1139, ((long)1)); 
BgL_res1980z00_1153 = 
(BgL_arg1790z00_1143==BgL_classz00_1123); }  else 
{ /* Llib/pgp_encode.scm 524 */
BgL_res1980z00_1153 = ((bool_t)0); } } } } 
BgL_test2358z00_3521 = BgL_res1980z00_1153; } }  else 
{ /* Llib/pgp_encode.scm 524 */
BgL_test2358z00_3521 = ((bool_t)0)
; } } } 
if(BgL_test2358z00_3521)
{ /* Llib/pgp_encode.scm 524 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 524 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2073z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); } } 
{ /* Llib/pgp_encode.scm 528 */
 BgL_rsazd2keyzd2_bglt BgL_i1144z00_336;
BgL_i1144z00_336 = 
((BgL_rsazd2keyzd2_bglt)
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); 
{ /* Llib/pgp_encode.scm 529 */
 obj_t BgL_arg1740z00_337;
BgL_arg1740z00_337 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_i1144z00_336))->BgL_modulusz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1156;
BgL_bitzd2lenzd2_1156 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1740z00_337); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1157;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1981z00_1183;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1160; long BgL_rz00_1161;
BgL_qz00_1160 = 
(BgL_bitzd2lenzd2_1156/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1165; long BgL_n2z00_1166;
BgL_n1z00_1165 = BgL_bitzd2lenzd2_1156; 
BgL_n2z00_1166 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2363z00_3549;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_1168;
BgL_arg1350z00_1168 = 
(((BgL_n1z00_1165) | (BgL_n2z00_1166)) & -2147483648); 
BgL_test2363z00_3549 = 
(BgL_arg1350z00_1168==((long)0)); } 
if(BgL_test2363z00_3549)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_1169;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_1170; int32_t BgL_arg1349z00_1171;
BgL_arg1347z00_1170 = 
(int32_t)(BgL_n1z00_1165); 
BgL_arg1349z00_1171 = 
(int32_t)(BgL_n2z00_1166); 
BgL_arg1346z00_1169 = 
(BgL_arg1347z00_1170%BgL_arg1349z00_1171); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_1176;
BgL_arg1454z00_1176 = 
(long)(BgL_arg1346z00_1169); 
BgL_rz00_1161 = 
(long)(BgL_arg1454z00_1176); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1161 = 
(BgL_n1z00_1165%BgL_n2z00_1166); } } } 
if(
(BgL_rz00_1161==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1981z00_1183 = BgL_qz00_1160; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1161>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1981z00_1183 = 
(BgL_qz00_1160+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1981z00_1183 = 
(BgL_qz00_1160-((long)1)); } } } 
BgL_octetzd2lenzd2_1157 = BgL_res1981z00_1183; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1158;
BgL_strz00_1158 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1740z00_337, BgL_octetzd2lenzd2_1157); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1156, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1158, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 530 */
 obj_t BgL_arg1741z00_338;
BgL_arg1741z00_338 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_i1144z00_336))->BgL_exponentz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1189;
BgL_bitzd2lenzd2_1189 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1741z00_338); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1190;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1982z00_1216;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1193; long BgL_rz00_1194;
BgL_qz00_1193 = 
(BgL_bitzd2lenzd2_1189/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1198; long BgL_n2z00_1199;
BgL_n1z00_1198 = BgL_bitzd2lenzd2_1189; 
BgL_n2z00_1199 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2366z00_3571;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_1201;
BgL_arg1350z00_1201 = 
(((BgL_n1z00_1198) | (BgL_n2z00_1199)) & -2147483648); 
BgL_test2366z00_3571 = 
(BgL_arg1350z00_1201==((long)0)); } 
if(BgL_test2366z00_3571)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_1202;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_1203; int32_t BgL_arg1349z00_1204;
BgL_arg1347z00_1203 = 
(int32_t)(BgL_n1z00_1198); 
BgL_arg1349z00_1204 = 
(int32_t)(BgL_n2z00_1199); 
BgL_arg1346z00_1202 = 
(BgL_arg1347z00_1203%BgL_arg1349z00_1204); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_1209;
BgL_arg1454z00_1209 = 
(long)(BgL_arg1346z00_1202); 
BgL_rz00_1194 = 
(long)(BgL_arg1454z00_1209); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1194 = 
(BgL_n1z00_1198%BgL_n2z00_1199); } } } 
if(
(BgL_rz00_1194==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1982z00_1216 = BgL_qz00_1193; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1194>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1982z00_1216 = 
(BgL_qz00_1193+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1982z00_1216 = 
(BgL_qz00_1193-((long)1)); } } } 
BgL_octetzd2lenzd2_1190 = BgL_res1982z00_1216; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1191;
BgL_strz00_1191 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1741z00_338, BgL_octetzd2lenzd2_1190); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1189, ((long)2)), BgL_pz00_107); 
return 
bgl_display_obj(BgL_strz00_1191, BgL_pz00_107);} } } } } } }  else 
{ /* Llib/pgp_encode.scm 522 */
if(
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)8))))
{ /* Llib/pgp_encode.scm 522 */
{ /* Llib/pgp_encode.scm 532 */
 bool_t BgL_test2370z00_3593;
{ /* Llib/pgp_encode.scm 532 */
 obj_t BgL_arg1747z00_343;
BgL_arg1747z00_343 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00); 
{ /* Llib/pgp_encode.scm 532 */
 obj_t BgL_classz00_1221;
BgL_classz00_1221 = BGl_Dsazd2Keyzd2zz__cryptozd2dsazd2; 
if(
BGL_OBJECTP(BgL_arg1747z00_343))
{ /* Llib/pgp_encode.scm 532 */
 BgL_objectz00_bglt BgL_arg1793z00_1223;
BgL_arg1793z00_1223 = 
(BgL_objectz00_bglt)(BgL_arg1747z00_343); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_encode.scm 532 */
 long BgL_idxz00_1229;
BgL_idxz00_1229 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1223); 
BgL_test2370z00_3593 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1229+((long)1)))==BgL_classz00_1221); }  else 
{ /* Llib/pgp_encode.scm 532 */
 bool_t BgL_res1983z00_1251;
{ /* Llib/pgp_encode.scm 532 */
 obj_t BgL_oclassz00_1237;
{ /* Llib/pgp_encode.scm 532 */
 long BgL_arg1801z00_1243;
{ /* Llib/pgp_encode.scm 532 */
 long BgL_arg1802z00_1244;
BgL_arg1802z00_1244 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1223); 
BgL_arg1801z00_1243 = 
(BgL_arg1802z00_1244-OBJECT_TYPE); } 
BgL_oclassz00_1237 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1243); } 
{ /* Llib/pgp_encode.scm 532 */
 bool_t BgL__ortest_1110z00_1238;
BgL__ortest_1110z00_1238 = 
(BgL_classz00_1221==BgL_oclassz00_1237); 
if(BgL__ortest_1110z00_1238)
{ /* Llib/pgp_encode.scm 532 */
BgL_res1983z00_1251 = BgL__ortest_1110z00_1238; }  else 
{ /* Llib/pgp_encode.scm 532 */
 long BgL_odepthz00_1239;
BgL_odepthz00_1239 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1237); 
if(
(((long)1)<BgL_odepthz00_1239))
{ /* Llib/pgp_encode.scm 532 */
 obj_t BgL_arg1790z00_1241;
BgL_arg1790z00_1241 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1237, ((long)1)); 
BgL_res1983z00_1251 = 
(BgL_arg1790z00_1241==BgL_classz00_1221); }  else 
{ /* Llib/pgp_encode.scm 532 */
BgL_res1983z00_1251 = ((bool_t)0); } } } } 
BgL_test2370z00_3593 = BgL_res1983z00_1251; } }  else 
{ /* Llib/pgp_encode.scm 532 */
BgL_test2370z00_3593 = ((bool_t)0)
; } } } 
if(BgL_test2370z00_3593)
{ /* Llib/pgp_encode.scm 532 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 532 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2073z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); } } 
{ /* Llib/pgp_encode.scm 536 */
 BgL_dsazd2keyzd2_bglt BgL_i1145z00_344;
BgL_i1145z00_344 = 
((BgL_dsazd2keyzd2_bglt)
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); 
{ /* Llib/pgp_encode.scm 537 */
 obj_t BgL_arg1754z00_345;
BgL_arg1754z00_345 = 
(((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_i1145z00_344))->BgL_pz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1254;
BgL_bitzd2lenzd2_1254 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1754z00_345); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1255;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1984z00_1281;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1258; long BgL_rz00_1259;
BgL_qz00_1258 = 
(BgL_bitzd2lenzd2_1254/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1263; long BgL_n2z00_1264;
BgL_n1z00_1263 = BgL_bitzd2lenzd2_1254; 
BgL_n2z00_1264 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2375z00_3621;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_1266;
BgL_arg1350z00_1266 = 
(((BgL_n1z00_1263) | (BgL_n2z00_1264)) & -2147483648); 
BgL_test2375z00_3621 = 
(BgL_arg1350z00_1266==((long)0)); } 
if(BgL_test2375z00_3621)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_1267;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_1268; int32_t BgL_arg1349z00_1269;
BgL_arg1347z00_1268 = 
(int32_t)(BgL_n1z00_1263); 
BgL_arg1349z00_1269 = 
(int32_t)(BgL_n2z00_1264); 
BgL_arg1346z00_1267 = 
(BgL_arg1347z00_1268%BgL_arg1349z00_1269); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_1274;
BgL_arg1454z00_1274 = 
(long)(BgL_arg1346z00_1267); 
BgL_rz00_1259 = 
(long)(BgL_arg1454z00_1274); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1259 = 
(BgL_n1z00_1263%BgL_n2z00_1264); } } } 
if(
(BgL_rz00_1259==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1984z00_1281 = BgL_qz00_1258; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1259>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1984z00_1281 = 
(BgL_qz00_1258+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1984z00_1281 = 
(BgL_qz00_1258-((long)1)); } } } 
BgL_octetzd2lenzd2_1255 = BgL_res1984z00_1281; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1256;
BgL_strz00_1256 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1754z00_345, BgL_octetzd2lenzd2_1255); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1254, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1256, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 538 */
 obj_t BgL_arg1755z00_346;
BgL_arg1755z00_346 = 
(((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_i1145z00_344))->BgL_qz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1287;
BgL_bitzd2lenzd2_1287 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1755z00_346); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1288;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1985z00_1314;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1291; long BgL_rz00_1292;
BgL_qz00_1291 = 
(BgL_bitzd2lenzd2_1287/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1296; long BgL_n2z00_1297;
BgL_n1z00_1296 = BgL_bitzd2lenzd2_1287; 
BgL_n2z00_1297 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2378z00_3643;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_1299;
BgL_arg1350z00_1299 = 
(((BgL_n1z00_1296) | (BgL_n2z00_1297)) & -2147483648); 
BgL_test2378z00_3643 = 
(BgL_arg1350z00_1299==((long)0)); } 
if(BgL_test2378z00_3643)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_1300;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_1301; int32_t BgL_arg1349z00_1302;
BgL_arg1347z00_1301 = 
(int32_t)(BgL_n1z00_1296); 
BgL_arg1349z00_1302 = 
(int32_t)(BgL_n2z00_1297); 
BgL_arg1346z00_1300 = 
(BgL_arg1347z00_1301%BgL_arg1349z00_1302); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_1307;
BgL_arg1454z00_1307 = 
(long)(BgL_arg1346z00_1300); 
BgL_rz00_1292 = 
(long)(BgL_arg1454z00_1307); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1292 = 
(BgL_n1z00_1296%BgL_n2z00_1297); } } } 
if(
(BgL_rz00_1292==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1985z00_1314 = BgL_qz00_1291; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1292>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1985z00_1314 = 
(BgL_qz00_1291+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1985z00_1314 = 
(BgL_qz00_1291-((long)1)); } } } 
BgL_octetzd2lenzd2_1288 = BgL_res1985z00_1314; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1289;
BgL_strz00_1289 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1755z00_346, BgL_octetzd2lenzd2_1288); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1287, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1289, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 539 */
 obj_t BgL_arg1758z00_347;
BgL_arg1758z00_347 = 
(((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_i1145z00_344))->BgL_gz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1320;
BgL_bitzd2lenzd2_1320 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1758z00_347); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1321;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1986z00_1347;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1324; long BgL_rz00_1325;
BgL_qz00_1324 = 
(BgL_bitzd2lenzd2_1320/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1329; long BgL_n2z00_1330;
BgL_n1z00_1329 = BgL_bitzd2lenzd2_1320; 
BgL_n2z00_1330 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2381z00_3665;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_1332;
BgL_arg1350z00_1332 = 
(((BgL_n1z00_1329) | (BgL_n2z00_1330)) & -2147483648); 
BgL_test2381z00_3665 = 
(BgL_arg1350z00_1332==((long)0)); } 
if(BgL_test2381z00_3665)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_1333;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_1334; int32_t BgL_arg1349z00_1335;
BgL_arg1347z00_1334 = 
(int32_t)(BgL_n1z00_1329); 
BgL_arg1349z00_1335 = 
(int32_t)(BgL_n2z00_1330); 
BgL_arg1346z00_1333 = 
(BgL_arg1347z00_1334%BgL_arg1349z00_1335); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_1340;
BgL_arg1454z00_1340 = 
(long)(BgL_arg1346z00_1333); 
BgL_rz00_1325 = 
(long)(BgL_arg1454z00_1340); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1325 = 
(BgL_n1z00_1329%BgL_n2z00_1330); } } } 
if(
(BgL_rz00_1325==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1986z00_1347 = BgL_qz00_1324; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1325>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1986z00_1347 = 
(BgL_qz00_1324+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1986z00_1347 = 
(BgL_qz00_1324-((long)1)); } } } 
BgL_octetzd2lenzd2_1321 = BgL_res1986z00_1347; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1322;
BgL_strz00_1322 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1758z00_347, BgL_octetzd2lenzd2_1321); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1320, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1322, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 540 */
 obj_t BgL_arg1762z00_348;
BgL_arg1762z00_348 = 
(((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_i1145z00_344))->BgL_yz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1353;
BgL_bitzd2lenzd2_1353 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1762z00_348); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1354;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1987z00_1380;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1357; long BgL_rz00_1358;
BgL_qz00_1357 = 
(BgL_bitzd2lenzd2_1353/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1362; long BgL_n2z00_1363;
BgL_n1z00_1362 = BgL_bitzd2lenzd2_1353; 
BgL_n2z00_1363 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2384z00_3687;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_1365;
BgL_arg1350z00_1365 = 
(((BgL_n1z00_1362) | (BgL_n2z00_1363)) & -2147483648); 
BgL_test2384z00_3687 = 
(BgL_arg1350z00_1365==((long)0)); } 
if(BgL_test2384z00_3687)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_1366;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_1367; int32_t BgL_arg1349z00_1368;
BgL_arg1347z00_1367 = 
(int32_t)(BgL_n1z00_1362); 
BgL_arg1349z00_1368 = 
(int32_t)(BgL_n2z00_1363); 
BgL_arg1346z00_1366 = 
(BgL_arg1347z00_1367%BgL_arg1349z00_1368); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_1373;
BgL_arg1454z00_1373 = 
(long)(BgL_arg1346z00_1366); 
BgL_rz00_1358 = 
(long)(BgL_arg1454z00_1373); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1358 = 
(BgL_n1z00_1362%BgL_n2z00_1363); } } } 
if(
(BgL_rz00_1358==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1987z00_1380 = BgL_qz00_1357; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1358>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1987z00_1380 = 
(BgL_qz00_1357+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1987z00_1380 = 
(BgL_qz00_1357-((long)1)); } } } 
BgL_octetzd2lenzd2_1354 = BgL_res1987z00_1380; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1355;
BgL_strz00_1355 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1762z00_348, BgL_octetzd2lenzd2_1354); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1353, ((long)2)), BgL_pz00_107); 
return 
bgl_display_obj(BgL_strz00_1355, BgL_pz00_107);} } } } } } }  else 
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL_test2387z00_3706;
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL__ortest_1146z00_363;
BgL__ortest_1146z00_363 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1146z00_363)
{ /* Llib/pgp_encode.scm 522 */
BgL_test2387z00_3706 = BgL__ortest_1146z00_363
; }  else 
{ /* Llib/pgp_encode.scm 522 */
BgL_test2387z00_3706 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)10)))
; } } 
if(BgL_test2387z00_3706)
{ /* Llib/pgp_encode.scm 522 */
{ /* Llib/pgp_encode.scm 542 */
 bool_t BgL_test2389z00_3712;
{ /* Llib/pgp_encode.scm 542 */
 obj_t BgL_arg1786z00_354;
BgL_arg1786z00_354 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00); 
{ /* Llib/pgp_encode.scm 542 */
 obj_t BgL_classz00_1384;
BgL_classz00_1384 = BGl_ElGamalzd2Keyzd2zz__cryptozd2elgamalzd2; 
if(
BGL_OBJECTP(BgL_arg1786z00_354))
{ /* Llib/pgp_encode.scm 542 */
 BgL_objectz00_bglt BgL_arg1793z00_1386;
BgL_arg1793z00_1386 = 
(BgL_objectz00_bglt)(BgL_arg1786z00_354); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_encode.scm 542 */
 long BgL_idxz00_1392;
BgL_idxz00_1392 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1386); 
BgL_test2389z00_3712 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1392+((long)1)))==BgL_classz00_1384); }  else 
{ /* Llib/pgp_encode.scm 542 */
 bool_t BgL_res1988z00_1414;
{ /* Llib/pgp_encode.scm 542 */
 obj_t BgL_oclassz00_1400;
{ /* Llib/pgp_encode.scm 542 */
 long BgL_arg1801z00_1406;
{ /* Llib/pgp_encode.scm 542 */
 long BgL_arg1802z00_1407;
BgL_arg1802z00_1407 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1386); 
BgL_arg1801z00_1406 = 
(BgL_arg1802z00_1407-OBJECT_TYPE); } 
BgL_oclassz00_1400 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1406); } 
{ /* Llib/pgp_encode.scm 542 */
 bool_t BgL__ortest_1110z00_1401;
BgL__ortest_1110z00_1401 = 
(BgL_classz00_1384==BgL_oclassz00_1400); 
if(BgL__ortest_1110z00_1401)
{ /* Llib/pgp_encode.scm 542 */
BgL_res1988z00_1414 = BgL__ortest_1110z00_1401; }  else 
{ /* Llib/pgp_encode.scm 542 */
 long BgL_odepthz00_1402;
BgL_odepthz00_1402 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1400); 
if(
(((long)1)<BgL_odepthz00_1402))
{ /* Llib/pgp_encode.scm 542 */
 obj_t BgL_arg1790z00_1404;
BgL_arg1790z00_1404 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1400, ((long)1)); 
BgL_res1988z00_1414 = 
(BgL_arg1790z00_1404==BgL_classz00_1384); }  else 
{ /* Llib/pgp_encode.scm 542 */
BgL_res1988z00_1414 = ((bool_t)0); } } } } 
BgL_test2389z00_3712 = BgL_res1988z00_1414; } }  else 
{ /* Llib/pgp_encode.scm 542 */
BgL_test2389z00_3712 = ((bool_t)0)
; } } } 
if(BgL_test2389z00_3712)
{ /* Llib/pgp_encode.scm 542 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 542 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2073z00zz__openpgpzd2encodezd2, BGl_string2076z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); } } 
{ /* Llib/pgp_encode.scm 546 */
 BgL_elgamalzd2keyzd2_bglt BgL_i1147z00_355;
BgL_i1147z00_355 = 
((BgL_elgamalzd2keyzd2_bglt)
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); 
{ /* Llib/pgp_encode.scm 547 */
 obj_t BgL_arg1787z00_356;
BgL_arg1787z00_356 = 
(((BgL_elgamalzd2keyzd2_bglt)COBJECT(BgL_i1147z00_355))->BgL_pz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1417;
BgL_bitzd2lenzd2_1417 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1787z00_356); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1418;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1989z00_1444;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1421; long BgL_rz00_1422;
BgL_qz00_1421 = 
(BgL_bitzd2lenzd2_1417/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1426; long BgL_n2z00_1427;
BgL_n1z00_1426 = BgL_bitzd2lenzd2_1417; 
BgL_n2z00_1427 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2394z00_3740;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_1429;
BgL_arg1350z00_1429 = 
(((BgL_n1z00_1426) | (BgL_n2z00_1427)) & -2147483648); 
BgL_test2394z00_3740 = 
(BgL_arg1350z00_1429==((long)0)); } 
if(BgL_test2394z00_3740)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_1430;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_1431; int32_t BgL_arg1349z00_1432;
BgL_arg1347z00_1431 = 
(int32_t)(BgL_n1z00_1426); 
BgL_arg1349z00_1432 = 
(int32_t)(BgL_n2z00_1427); 
BgL_arg1346z00_1430 = 
(BgL_arg1347z00_1431%BgL_arg1349z00_1432); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_1437;
BgL_arg1454z00_1437 = 
(long)(BgL_arg1346z00_1430); 
BgL_rz00_1422 = 
(long)(BgL_arg1454z00_1437); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1422 = 
(BgL_n1z00_1426%BgL_n2z00_1427); } } } 
if(
(BgL_rz00_1422==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1989z00_1444 = BgL_qz00_1421; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1422>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1989z00_1444 = 
(BgL_qz00_1421+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1989z00_1444 = 
(BgL_qz00_1421-((long)1)); } } } 
BgL_octetzd2lenzd2_1418 = BgL_res1989z00_1444; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1419;
BgL_strz00_1419 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1787z00_356, BgL_octetzd2lenzd2_1418); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1417, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1419, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 548 */
 obj_t BgL_arg1792z00_357;
BgL_arg1792z00_357 = 
(((BgL_elgamalzd2keyzd2_bglt)COBJECT(BgL_i1147z00_355))->BgL_gz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1450;
BgL_bitzd2lenzd2_1450 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1792z00_357); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1451;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1990z00_1477;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1454; long BgL_rz00_1455;
BgL_qz00_1454 = 
(BgL_bitzd2lenzd2_1450/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1459; long BgL_n2z00_1460;
BgL_n1z00_1459 = BgL_bitzd2lenzd2_1450; 
BgL_n2z00_1460 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2397z00_3762;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_1462;
BgL_arg1350z00_1462 = 
(((BgL_n1z00_1459) | (BgL_n2z00_1460)) & -2147483648); 
BgL_test2397z00_3762 = 
(BgL_arg1350z00_1462==((long)0)); } 
if(BgL_test2397z00_3762)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_1463;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_1464; int32_t BgL_arg1349z00_1465;
BgL_arg1347z00_1464 = 
(int32_t)(BgL_n1z00_1459); 
BgL_arg1349z00_1465 = 
(int32_t)(BgL_n2z00_1460); 
BgL_arg1346z00_1463 = 
(BgL_arg1347z00_1464%BgL_arg1349z00_1465); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_1470;
BgL_arg1454z00_1470 = 
(long)(BgL_arg1346z00_1463); 
BgL_rz00_1455 = 
(long)(BgL_arg1454z00_1470); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1455 = 
(BgL_n1z00_1459%BgL_n2z00_1460); } } } 
if(
(BgL_rz00_1455==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1990z00_1477 = BgL_qz00_1454; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1455>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1990z00_1477 = 
(BgL_qz00_1454+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1990z00_1477 = 
(BgL_qz00_1454-((long)1)); } } } 
BgL_octetzd2lenzd2_1451 = BgL_res1990z00_1477; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1452;
BgL_strz00_1452 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1792z00_357, BgL_octetzd2lenzd2_1451); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1450, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1452, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 549 */
 obj_t BgL_arg1794z00_358;
BgL_arg1794z00_358 = 
(((BgL_elgamalzd2keyzd2_bglt)COBJECT(BgL_i1147z00_355))->BgL_yz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1483;
BgL_bitzd2lenzd2_1483 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1794z00_358); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1484;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1991z00_1510;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1487; long BgL_rz00_1488;
BgL_qz00_1487 = 
(BgL_bitzd2lenzd2_1483/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1492; long BgL_n2z00_1493;
BgL_n1z00_1492 = BgL_bitzd2lenzd2_1483; 
BgL_n2z00_1493 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2400z00_3784;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_1495;
BgL_arg1350z00_1495 = 
(((BgL_n1z00_1492) | (BgL_n2z00_1493)) & -2147483648); 
BgL_test2400z00_3784 = 
(BgL_arg1350z00_1495==((long)0)); } 
if(BgL_test2400z00_3784)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_1496;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_1497; int32_t BgL_arg1349z00_1498;
BgL_arg1347z00_1497 = 
(int32_t)(BgL_n1z00_1492); 
BgL_arg1349z00_1498 = 
(int32_t)(BgL_n2z00_1493); 
BgL_arg1346z00_1496 = 
(BgL_arg1347z00_1497%BgL_arg1349z00_1498); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_1503;
BgL_arg1454z00_1503 = 
(long)(BgL_arg1346z00_1496); 
BgL_rz00_1488 = 
(long)(BgL_arg1454z00_1503); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1488 = 
(BgL_n1z00_1492%BgL_n2z00_1493); } } } 
if(
(BgL_rz00_1488==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1991z00_1510 = BgL_qz00_1487; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1488>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1991z00_1510 = 
(BgL_qz00_1487+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1991z00_1510 = 
(BgL_qz00_1487-((long)1)); } } } 
BgL_octetzd2lenzd2_1484 = BgL_res1991z00_1510; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1485;
BgL_strz00_1485 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1794z00_358, BgL_octetzd2lenzd2_1484); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1483, ((long)2)), BgL_pz00_107); 
return 
bgl_display_obj(BgL_strz00_1485, BgL_pz00_107);} } } } } } }  else 
{ /* Llib/pgp_encode.scm 553 */
 obj_t BgL_arg1805z00_359;
BgL_arg1805z00_359 = 
MAKE_YOUNG_PAIR(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00), 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00))); 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2073z00zz__openpgpzd2encodezd2, BGl_string2077z00zz__openpgpzd2encodezd2, BgL_arg1805z00_359);} } } } } } 

}



/* &encode-public-key-content */
obj_t BGl_z62encodezd2publiczd2keyzd2contentzb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2265, obj_t BgL_packetz00_2266, obj_t BgL_pz00_2267)
{
{ /* Llib/pgp_encode.scm 500 */
{ /* Llib/pgp_encode.scm 502 */
 obj_t BgL_auxz00_3816; BgL_pgpzd2keyzd2packetz00_bglt BgL_auxz00_3808;
if(
OUTPUT_PORTP(BgL_pz00_2267))
{ /* Llib/pgp_encode.scm 502 */
BgL_auxz00_3816 = BgL_pz00_2267
; }  else 
{ 
 obj_t BgL_auxz00_3819;
BgL_auxz00_3819 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)19947)), BGl_string2078z00zz__openpgpzd2encodezd2, BGl_string2047z00zz__openpgpzd2encodezd2, BgL_pz00_2267); 
FAILURE(BgL_auxz00_3819,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_packetz00_2266, BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2))
{ /* Llib/pgp_encode.scm 502 */
BgL_auxz00_3808 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_packetz00_2266)
; }  else 
{ 
 obj_t BgL_auxz00_3812;
BgL_auxz00_3812 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)19947)), BGl_string2078z00zz__openpgpzd2encodezd2, BGl_string2079z00zz__openpgpzd2encodezd2, BgL_packetz00_2266); 
FAILURE(BgL_auxz00_3812,BFALSE,BFALSE);} 
return 
BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(BgL_auxz00_3808, BgL_auxz00_3816);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2encodezd2(void)
{
{ /* Llib/pgp_encode.scm 1 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2encodezd2(void)
{
{ /* Llib/pgp_encode.scm 1 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_proc2080z00zz__openpgpzd2encodezd2, BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, BGl_string2081z00zz__openpgpzd2encodezd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_proc2082z00zz__openpgpzd2encodezd2, BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_proc2084z00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, BGl_string2085z00zz__openpgpzd2encodezd2);} 

}



/* &encode-sub-packet-co1200 */
obj_t BGl_z62encodezd2subzd2packetzd2co1200zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2271, obj_t BgL_spz00_2272, obj_t BgL_pz00_2273)
{
{ /* Llib/pgp_encode.scm 170 */
{ /* Llib/pgp_encode.scm 174 */
 obj_t BgL_arg1822z00_2508;
{ /* Llib/pgp_encode.scm 174 */
 obj_t BgL_arg1823z00_2509;
{ /* Llib/pgp_encode.scm 174 */
 long BgL_arg1801z00_2510;
{ /* Llib/pgp_encode.scm 174 */
 long BgL_arg1802z00_2511;
BgL_arg1802z00_2511 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_spz00_2272))); 
BgL_arg1801z00_2510 = 
(BgL_arg1802z00_2511-OBJECT_TYPE); } 
BgL_arg1823z00_2509 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_2510); } 
BgL_arg1822z00_2508 = 
BGl_classzd2namezd2zz__objectz00(BgL_arg1823z00_2509); } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2086z00zz__openpgpzd2encodezd2, BGl_string2087z00zz__openpgpzd2encodezd2, BgL_arg1822z00_2508);} } 

}



/* &encode-content1196 */
obj_t BGl_z62encodezd2content1196zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2274, obj_t BgL_packetz00_2275, obj_t BgL_pz00_2276)
{
{ /* Llib/pgp_encode.scm 130 */
{ /* Llib/pgp_encode.scm 134 */
 obj_t BgL_arg1819z00_2514;
{ /* Llib/pgp_encode.scm 134 */
 obj_t BgL_arg1820z00_2515;
{ /* Llib/pgp_encode.scm 134 */
 long BgL_arg1801z00_2516;
{ /* Llib/pgp_encode.scm 134 */
 long BgL_arg1802z00_2517;
BgL_arg1802z00_2517 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_pgpzd2packetzd2_bglt)BgL_packetz00_2275))); 
BgL_arg1801z00_2516 = 
(BgL_arg1802z00_2517-OBJECT_TYPE); } 
BgL_arg1820z00_2515 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_2516); } 
BgL_arg1819z00_2514 = 
BGl_classzd2namezd2zz__objectz00(BgL_arg1820z00_2515); } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2088z00zz__openpgpzd2encodezd2, BGl_string2087z00zz__openpgpzd2encodezd2, BgL_arg1819z00_2514);} } 

}



/* &packet->content-tag1168 */
obj_t BGl_z62packetzd2ze3contentzd2tag1168z81zz__openpgpzd2encodezd2(obj_t BgL_envz00_2277, obj_t BgL_pz00_2278)
{
{ /* Llib/pgp_encode.scm 71 */
{ /* Llib/pgp_encode.scm 74 */
 obj_t BgL_arg1816z00_2519;
{ /* Llib/pgp_encode.scm 74 */
 obj_t BgL_arg1817z00_2520;
{ /* Llib/pgp_encode.scm 74 */
 long BgL_arg1801z00_2521;
{ /* Llib/pgp_encode.scm 74 */
 long BgL_arg1802z00_2522;
BgL_arg1802z00_2522 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_pgpzd2packetzd2_bglt)BgL_pz00_2278))); 
BgL_arg1801z00_2521 = 
(BgL_arg1802z00_2522-OBJECT_TYPE); } 
BgL_arg1817z00_2520 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_2521); } 
BgL_arg1816z00_2519 = 
BGl_classzd2namezd2zz__objectz00(BgL_arg1817z00_2520); } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2089z00zz__openpgpzd2encodezd2, BGl_string2090z00zz__openpgpzd2encodezd2, BgL_arg1816z00_2519);} } 

}



/* packet->content-tag */
obj_t BGl_packetzd2ze3contentzd2tagze3zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt BgL_pz00_22)
{
{ /* Llib/pgp_encode.scm 71 */
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_method1169z00_386;
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_res1996z00_1574;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_objzd2classzd2numz00_1545;
BgL_objzd2classzd2numz00_1545 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_pz00_22)); 
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_arg1798z00_1546;
BgL_arg1798z00_1546 = 
PROCEDURE_REF(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, 
(int)(((long)1))); 
{ /* Llib/pgp_encode.scm 71 */
 int BgL_offsetz00_1549;
BgL_offsetz00_1549 = 
(int)(BgL_objzd2classzd2numz00_1545); 
{ /* Llib/pgp_encode.scm 71 */
 long BgL_offsetz00_1550;
BgL_offsetz00_1550 = 
(
(long)(BgL_offsetz00_1549)-OBJECT_TYPE); 
{ /* Llib/pgp_encode.scm 71 */
 long BgL_modz00_1551;
BgL_modz00_1551 = 
(BgL_offsetz00_1550 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pgp_encode.scm 71 */
 long BgL_restz00_1553;
BgL_restz00_1553 = 
(BgL_offsetz00_1550 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pgp_encode.scm 71 */

{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_bucketz00_1555;
BgL_bucketz00_1555 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_1546),BgL_modz00_1551); 
BgL_res1996z00_1574 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1555),BgL_restz00_1553); } } } } } } } } 
BgL_method1169z00_386 = BgL_res1996z00_1574; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1169z00_386))(BgL_method1169z00_386, 
((obj_t)BgL_pz00_22), BEOA);} } 

}



/* &packet->content-tag */
obj_t BGl_z62packetzd2ze3contentzd2tagz81zz__openpgpzd2encodezd2(obj_t BgL_envz00_2279, obj_t BgL_pz00_2280)
{
{ /* Llib/pgp_encode.scm 71 */
{ /* Llib/pgp_encode.scm 71 */
 BgL_pgpzd2packetzd2_bglt BgL_auxz00_3878;
{ /* Llib/pgp_encode.scm 71 */
 bool_t BgL_test2405z00_3879;
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_classz00_2523;
BgL_classz00_2523 = BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pz00_2280))
{ /* Llib/pgp_encode.scm 71 */
 BgL_objectz00_bglt BgL_arg1796z00_2525; long BgL_arg1797z00_2526;
BgL_arg1796z00_2525 = 
(BgL_objectz00_bglt)(BgL_pz00_2280); 
BgL_arg1797z00_2526 = 
BGL_CLASS_DEPTH(BgL_classz00_2523); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_encode.scm 71 */
 long BgL_idxz00_2534;
BgL_idxz00_2534 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_2525); 
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_arg1788z00_2535;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_arg1789z00_2536;
BgL_arg1789z00_2536 = 
(BgL_idxz00_2534+BgL_arg1797z00_2526); 
BgL_arg1788z00_2535 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_2536); } 
BgL_test2405z00_3879 = 
(BgL_arg1788z00_2535==BgL_classz00_2523); } }  else 
{ /* Llib/pgp_encode.scm 71 */
 bool_t BgL_res2158z00_2559;
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_oclassz00_2544;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_arg1801z00_2550;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_arg1802z00_2551;
BgL_arg1802z00_2551 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_2525); 
BgL_arg1801z00_2550 = 
(BgL_arg1802z00_2551-OBJECT_TYPE); } 
BgL_oclassz00_2544 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_2550); } 
{ /* Llib/pgp_encode.scm 71 */
 bool_t BgL__ortest_1110z00_2545;
BgL__ortest_1110z00_2545 = 
(BgL_classz00_2523==BgL_oclassz00_2544); 
if(BgL__ortest_1110z00_2545)
{ /* Llib/pgp_encode.scm 71 */
BgL_res2158z00_2559 = BgL__ortest_1110z00_2545; }  else 
{ /* Llib/pgp_encode.scm 71 */
 long BgL_odepthz00_2546;
BgL_odepthz00_2546 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2544); 
if(
(BgL_arg1797z00_2526<BgL_odepthz00_2546))
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_arg1790z00_2548;
BgL_arg1790z00_2548 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2544, BgL_arg1797z00_2526); 
BgL_res2158z00_2559 = 
(BgL_arg1790z00_2548==BgL_classz00_2523); }  else 
{ /* Llib/pgp_encode.scm 71 */
BgL_res2158z00_2559 = ((bool_t)0); } } } } 
BgL_test2405z00_3879 = BgL_res2158z00_2559; } }  else 
{ /* Llib/pgp_encode.scm 71 */
BgL_test2405z00_3879 = ((bool_t)0)
; } } 
if(BgL_test2405z00_3879)
{ /* Llib/pgp_encode.scm 71 */
BgL_auxz00_3878 = 
((BgL_pgpzd2packetzd2_bglt)BgL_pz00_2280)
; }  else 
{ 
 obj_t BgL_auxz00_3901;
BgL_auxz00_3901 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)2203)), BGl_string2091z00zz__openpgpzd2encodezd2, BGl_string2055z00zz__openpgpzd2encodezd2, BgL_pz00_2280); 
FAILURE(BgL_auxz00_3901,BFALSE,BFALSE);} } 
return 
BGl_packetzd2ze3contentzd2tagze3zz__openpgpzd2encodezd2(BgL_auxz00_3878);} } 

}



/* encode-content */
obj_t BGl_encodezd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt BgL_packetz00_38, obj_t BgL_pz00_39)
{
{ /* Llib/pgp_encode.scm 130 */
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_method1197z00_387;
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_res2001z00_1605;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_objzd2classzd2numz00_1576;
BgL_objzd2classzd2numz00_1576 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_packetz00_38)); 
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_arg1798z00_1577;
BgL_arg1798z00_1577 = 
PROCEDURE_REF(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, 
(int)(((long)1))); 
{ /* Llib/pgp_encode.scm 130 */
 int BgL_offsetz00_1580;
BgL_offsetz00_1580 = 
(int)(BgL_objzd2classzd2numz00_1576); 
{ /* Llib/pgp_encode.scm 130 */
 long BgL_offsetz00_1581;
BgL_offsetz00_1581 = 
(
(long)(BgL_offsetz00_1580)-OBJECT_TYPE); 
{ /* Llib/pgp_encode.scm 130 */
 long BgL_modz00_1582;
BgL_modz00_1582 = 
(BgL_offsetz00_1581 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pgp_encode.scm 130 */
 long BgL_restz00_1584;
BgL_restz00_1584 = 
(BgL_offsetz00_1581 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pgp_encode.scm 130 */

{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_bucketz00_1586;
BgL_bucketz00_1586 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_1577),BgL_modz00_1582); 
BgL_res2001z00_1605 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1586),BgL_restz00_1584); } } } } } } } } 
BgL_method1197z00_387 = BgL_res2001z00_1605; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1197z00_387))(BgL_method1197z00_387, 
((obj_t)BgL_packetz00_38), BgL_pz00_39, BEOA);} } 

}



/* &encode-content */
obj_t BGl_z62encodezd2contentzb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2281, obj_t BgL_packetz00_2282, obj_t BgL_pz00_2283)
{
{ /* Llib/pgp_encode.scm 130 */
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_auxz00_3964; BgL_pgpzd2packetzd2_bglt BgL_auxz00_3937;
if(
OUTPUT_PORTP(BgL_pz00_2283))
{ /* Llib/pgp_encode.scm 130 */
BgL_auxz00_3964 = BgL_pz00_2283
; }  else 
{ 
 obj_t BgL_auxz00_3967;
BgL_auxz00_3967 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)4525)), BGl_string2092z00zz__openpgpzd2encodezd2, BGl_string2047z00zz__openpgpzd2encodezd2, BgL_pz00_2283); 
FAILURE(BgL_auxz00_3967,BFALSE,BFALSE);} 
{ /* Llib/pgp_encode.scm 130 */
 bool_t BgL_test2410z00_3938;
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_classz00_2560;
BgL_classz00_2560 = BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_packetz00_2282))
{ /* Llib/pgp_encode.scm 130 */
 BgL_objectz00_bglt BgL_arg1796z00_2562; long BgL_arg1797z00_2563;
BgL_arg1796z00_2562 = 
(BgL_objectz00_bglt)(BgL_packetz00_2282); 
BgL_arg1797z00_2563 = 
BGL_CLASS_DEPTH(BgL_classz00_2560); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_encode.scm 130 */
 long BgL_idxz00_2571;
BgL_idxz00_2571 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_2562); 
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_arg1788z00_2572;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_arg1789z00_2573;
BgL_arg1789z00_2573 = 
(BgL_idxz00_2571+BgL_arg1797z00_2563); 
BgL_arg1788z00_2572 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_2573); } 
BgL_test2410z00_3938 = 
(BgL_arg1788z00_2572==BgL_classz00_2560); } }  else 
{ /* Llib/pgp_encode.scm 130 */
 bool_t BgL_res2159z00_2596;
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_oclassz00_2581;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_arg1801z00_2587;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_arg1802z00_2588;
BgL_arg1802z00_2588 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_2562); 
BgL_arg1801z00_2587 = 
(BgL_arg1802z00_2588-OBJECT_TYPE); } 
BgL_oclassz00_2581 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_2587); } 
{ /* Llib/pgp_encode.scm 130 */
 bool_t BgL__ortest_1110z00_2582;
BgL__ortest_1110z00_2582 = 
(BgL_classz00_2560==BgL_oclassz00_2581); 
if(BgL__ortest_1110z00_2582)
{ /* Llib/pgp_encode.scm 130 */
BgL_res2159z00_2596 = BgL__ortest_1110z00_2582; }  else 
{ /* Llib/pgp_encode.scm 130 */
 long BgL_odepthz00_2583;
BgL_odepthz00_2583 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2581); 
if(
(BgL_arg1797z00_2563<BgL_odepthz00_2583))
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_arg1790z00_2585;
BgL_arg1790z00_2585 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2581, BgL_arg1797z00_2563); 
BgL_res2159z00_2596 = 
(BgL_arg1790z00_2585==BgL_classz00_2560); }  else 
{ /* Llib/pgp_encode.scm 130 */
BgL_res2159z00_2596 = ((bool_t)0); } } } } 
BgL_test2410z00_3938 = BgL_res2159z00_2596; } }  else 
{ /* Llib/pgp_encode.scm 130 */
BgL_test2410z00_3938 = ((bool_t)0)
; } } 
if(BgL_test2410z00_3938)
{ /* Llib/pgp_encode.scm 130 */
BgL_auxz00_3937 = 
((BgL_pgpzd2packetzd2_bglt)BgL_packetz00_2282)
; }  else 
{ 
 obj_t BgL_auxz00_3960;
BgL_auxz00_3960 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)4525)), BGl_string2092z00zz__openpgpzd2encodezd2, BGl_string2055z00zz__openpgpzd2encodezd2, BgL_packetz00_2282); 
FAILURE(BgL_auxz00_3960,BFALSE,BFALSE);} } 
return 
BGl_encodezd2contentzd2zz__openpgpzd2encodezd2(BgL_auxz00_3937, BgL_auxz00_3964);} } 

}



/* encode-sub-packet-content */
obj_t BGl_encodezd2subzd2packetzd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_spz00_44, obj_t BgL_pz00_45)
{
{ /* Llib/pgp_encode.scm 170 */
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_method1202z00_388;
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_res2006z00_1636;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_objzd2classzd2numz00_1607;
BgL_objzd2classzd2numz00_1607 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_spz00_44)); 
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_arg1798z00_1608;
BgL_arg1798z00_1608 = 
PROCEDURE_REF(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, 
(int)(((long)1))); 
{ /* Llib/pgp_encode.scm 170 */
 int BgL_offsetz00_1611;
BgL_offsetz00_1611 = 
(int)(BgL_objzd2classzd2numz00_1607); 
{ /* Llib/pgp_encode.scm 170 */
 long BgL_offsetz00_1612;
BgL_offsetz00_1612 = 
(
(long)(BgL_offsetz00_1611)-OBJECT_TYPE); 
{ /* Llib/pgp_encode.scm 170 */
 long BgL_modz00_1613;
BgL_modz00_1613 = 
(BgL_offsetz00_1612 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pgp_encode.scm 170 */
 long BgL_restz00_1615;
BgL_restz00_1615 = 
(BgL_offsetz00_1612 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pgp_encode.scm 170 */

{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_bucketz00_1617;
BgL_bucketz00_1617 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_1608),BgL_modz00_1613); 
BgL_res2006z00_1636 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1617),BgL_restz00_1615); } } } } } } } } 
BgL_method1202z00_388 = BgL_res2006z00_1636; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1202z00_388))(BgL_method1202z00_388, 
((obj_t)BgL_spz00_44), BgL_pz00_45, BEOA);} } 

}



/* &encode-sub-packet-content */
obj_t BGl_z62encodezd2subzd2packetzd2contentzb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2284, obj_t BgL_spz00_2285, obj_t BgL_pz00_2286)
{
{ /* Llib/pgp_encode.scm 170 */
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_auxz00_4030; BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_auxz00_4003;
if(
OUTPUT_PORTP(BgL_pz00_2286))
{ /* Llib/pgp_encode.scm 170 */
BgL_auxz00_4030 = BgL_pz00_2286
; }  else 
{ 
 obj_t BgL_auxz00_4033;
BgL_auxz00_4033 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)6077)), BGl_string2093z00zz__openpgpzd2encodezd2, BGl_string2047z00zz__openpgpzd2encodezd2, BgL_pz00_2286); 
FAILURE(BgL_auxz00_4033,BFALSE,BFALSE);} 
{ /* Llib/pgp_encode.scm 170 */
 bool_t BgL_test2416z00_4004;
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_classz00_2597;
BgL_classz00_2597 = BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_spz00_2285))
{ /* Llib/pgp_encode.scm 170 */
 BgL_objectz00_bglt BgL_arg1796z00_2599; long BgL_arg1797z00_2600;
BgL_arg1796z00_2599 = 
(BgL_objectz00_bglt)(BgL_spz00_2285); 
BgL_arg1797z00_2600 = 
BGL_CLASS_DEPTH(BgL_classz00_2597); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pgp_encode.scm 170 */
 long BgL_idxz00_2608;
BgL_idxz00_2608 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_2599); 
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_arg1788z00_2609;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_arg1789z00_2610;
BgL_arg1789z00_2610 = 
(BgL_idxz00_2608+BgL_arg1797z00_2600); 
BgL_arg1788z00_2609 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_2610); } 
BgL_test2416z00_4004 = 
(BgL_arg1788z00_2609==BgL_classz00_2597); } }  else 
{ /* Llib/pgp_encode.scm 170 */
 bool_t BgL_res2160z00_2633;
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_oclassz00_2618;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_arg1801z00_2624;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_arg1802z00_2625;
BgL_arg1802z00_2625 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_2599); 
BgL_arg1801z00_2624 = 
(BgL_arg1802z00_2625-OBJECT_TYPE); } 
BgL_oclassz00_2618 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_2624); } 
{ /* Llib/pgp_encode.scm 170 */
 bool_t BgL__ortest_1110z00_2619;
BgL__ortest_1110z00_2619 = 
(BgL_classz00_2597==BgL_oclassz00_2618); 
if(BgL__ortest_1110z00_2619)
{ /* Llib/pgp_encode.scm 170 */
BgL_res2160z00_2633 = BgL__ortest_1110z00_2619; }  else 
{ /* Llib/pgp_encode.scm 170 */
 long BgL_odepthz00_2620;
BgL_odepthz00_2620 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2618); 
if(
(BgL_arg1797z00_2600<BgL_odepthz00_2620))
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_arg1790z00_2622;
BgL_arg1790z00_2622 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2618, BgL_arg1797z00_2600); 
BgL_res2160z00_2633 = 
(BgL_arg1790z00_2622==BgL_classz00_2597); }  else 
{ /* Llib/pgp_encode.scm 170 */
BgL_res2160z00_2633 = ((bool_t)0); } } } } 
BgL_test2416z00_4004 = BgL_res2160z00_2633; } }  else 
{ /* Llib/pgp_encode.scm 170 */
BgL_test2416z00_4004 = ((bool_t)0)
; } } 
if(BgL_test2416z00_4004)
{ /* Llib/pgp_encode.scm 170 */
BgL_auxz00_4003 = 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_spz00_2285)
; }  else 
{ 
 obj_t BgL_auxz00_4026;
BgL_auxz00_4026 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2045z00zz__openpgpzd2encodezd2, 
BINT(((long)6077)), BGl_string2093z00zz__openpgpzd2encodezd2, BGl_string2094z00zz__openpgpzd2encodezd2, BgL_spz00_2285); 
FAILURE(BgL_auxz00_4026,BFALSE,BFALSE);} } 
return 
BGl_encodezd2subzd2packetzd2contentzd2zz__openpgpzd2encodezd2(BgL_auxz00_4003, BgL_auxz00_4030);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2encodezd2(void)
{
{ /* Llib/pgp_encode.scm 1 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2095z00zz__openpgpzd2encodezd2, BGl_string2089z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2096z00zz__openpgpzd2encodezd2, BGl_string2089z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2097z00zz__openpgpzd2encodezd2, BGl_string2089z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2098z00zz__openpgpzd2encodezd2, BGl_string2089z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2099z00zz__openpgpzd2encodezd2, BGl_string2089z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2100z00zz__openpgpzd2encodezd2, BGl_string2089z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2101z00zz__openpgpzd2encodezd2, BGl_string2089z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2102z00zz__openpgpzd2encodezd2, BGl_string2089z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2103z00zz__openpgpzd2encodezd2, BGl_string2089z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2104z00zz__openpgpzd2encodezd2, BGl_string2089z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2105z00zz__openpgpzd2encodezd2, BGl_string2089z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2106z00zz__openpgpzd2encodezd2, BGl_string2089z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2107z00zz__openpgpzd2encodezd2, BGl_string2089z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2108z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2, BGl_proc2109z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2, BGl_proc2111z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2, BGl_proc2112z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2, BGl_proc2113z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2, BGl_proc2114z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2, BGl_proc2115z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2, BGl_proc2116z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2, BGl_proc2117z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2, BGl_proc2118z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2, BGl_proc2119z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2, BGl_proc2120z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2, BGl_proc2121z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2, BGl_proc2122z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2, BGl_proc2123z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2, BGl_proc2124z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2, BGl_proc2125z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2, BGl_proc2126z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2, BGl_proc2127z00zz__openpgpzd2encodezd2, BGl_string2110z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2128z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2129z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2130z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2131z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2132z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2133z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2134z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2135z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2136z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2137z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2138z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2139z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2);} 

}



/* &encode-content-PGP-M1262 */
obj_t BGl_z62encodezd2contentzd2PGPzd2M1262zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2337, obj_t BgL_packetz00_2338, obj_t BgL_pz00_2339)
{
{ /* Llib/pgp_encode.scm 623 */
return 
bgl_display_obj(
(((BgL_pgpzd2mdczd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2packetz00_bglt)BgL_packetz00_2338)))->BgL_hashz00), 
((obj_t)BgL_pz00_2339));} 

}



/* &encode-content-PGP-M1260 */
obj_t BGl_z62encodezd2contentzd2PGPzd2M1260zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2340, obj_t BgL_packetz00_2341, obj_t BgL_pz00_2342)
{
{ /* Llib/pgp_encode.scm 617 */
{ /* Llib/pgp_encode.scm 620 */
 long BgL_arg1957z00_2638;
BgL_arg1957z00_2638 = 
(((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_packetz00_2341)))->BgL_versionz00); 
if(
(BgL_arg1957z00_2638>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1957z00_2638)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2639;
BgL_arg1330z00_2639 = 
(BgL_arg1957z00_2638); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2639), 
((obj_t)BgL_pz00_2342)); } } 
{ /* Llib/pgp_encode.scm 621 */
 obj_t BgL_arg1958z00_2640;
BgL_arg1958z00_2640 = 
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_packetz00_2341))))->BgL_dataz00); 
return 
bgl_display_obj(BgL_arg1958z00_2640, 
((obj_t)BgL_pz00_2342));} } 

}



/* &encode-content-PGP-I1258 */
obj_t BGl_z62encodezd2contentzd2PGPzd2I1258zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2343, obj_t BgL_packetz00_2344, obj_t BgL_pz00_2345)
{
{ /* Llib/pgp_encode.scm 612 */
return 
bgl_display_obj(
(((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2idzd2packetz00_bglt)BgL_packetz00_2344)))->BgL_dataz00), 
((obj_t)BgL_pz00_2345));} 

}



/* &encode-content-PGP-T1256 */
obj_t BGl_z62encodezd2contentzd2PGPzd2T1256zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2346, obj_t BgL_packetz00_2347, obj_t BgL_pz00_2348)
{
{ /* Llib/pgp_encode.scm 606 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2140z00zz__openpgpzd2encodezd2, BGl_string2141z00zz__openpgpzd2encodezd2, BFALSE);} 

}



/* &encode-content-PGP-L1254 */
obj_t BGl_z62encodezd2contentzd2PGPzd2L1254zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2349, obj_t BgL_packetz00_2350, obj_t BgL_pz00_2351)
{
{ /* Llib/pgp_encode.scm 577 */
{ /* Llib/pgp_encode.scm 581 */
 bool_t BgL_test2423z00_4106;
if(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2350)))->BgL_forzd2yourzd2eyeszd2onlyzf3z21))
{ /* Llib/pgp_encode.scm 581 */
BgL_test2423z00_4106 = 
CBOOL(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2350)))->BgL_filezd2namezd2))
; }  else 
{ /* Llib/pgp_encode.scm 581 */
BgL_test2423z00_4106 = ((bool_t)0)
; } 
if(BgL_test2423z00_4106)
{ /* Llib/pgp_encode.scm 581 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2142z00zz__openpgpzd2encodezd2, BGl_string2143z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2350)))->BgL_filezd2namezd2)); }  else 
{ /* Llib/pgp_encode.scm 581 */BFALSE; } } 
{ /* Llib/pgp_encode.scm 585 */
 obj_t BgL_filez00_2647;
if(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2350)))->BgL_forzd2yourzd2eyeszd2onlyzf3z21))
{ /* Llib/pgp_encode.scm 586 */
BgL_filez00_2647 = BGl_string2144z00zz__openpgpzd2encodezd2; }  else 
{ /* Llib/pgp_encode.scm 588 */
 bool_t BgL_test2426z00_4119;
{ /* Llib/pgp_encode.scm 588 */
 obj_t BgL_tmpz00_4120;
BgL_tmpz00_4120 = 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2350)))->BgL_filezd2namezd2); 
BgL_test2426z00_4119 = 
STRINGP(BgL_tmpz00_4120); } 
if(BgL_test2426z00_4119)
{ /* Llib/pgp_encode.scm 588 */
BgL_filez00_2647 = 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2350)))->BgL_filezd2namezd2); }  else 
{ /* Llib/pgp_encode.scm 588 */
BgL_filez00_2647 = BGl_string2145z00zz__openpgpzd2encodezd2; } } 
if(
(
STRING_LENGTH(
((obj_t)BgL_filez00_2647))>((long)255)))
{ /* Llib/pgp_encode.scm 592 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2142z00zz__openpgpzd2encodezd2, BGl_string2146z00zz__openpgpzd2encodezd2, BgL_filez00_2647); }  else 
{ /* Llib/pgp_encode.scm 592 */BFALSE; } 
{ /* Llib/pgp_encode.scm 600 */
 char BgL_arg1947z00_2648;
BgL_arg1947z00_2648 = 
BGl_literalzd2formatzd2ze3byteze3zz__openpgpzd2enumszd2(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2350)))->BgL_formatz00)); 
{ /* Llib/pgp_encode.scm 600 */
 long BgL_nz00_2649;
BgL_nz00_2649 = 
(long)(BgL_arg1947z00_2648); 
if(
(BgL_nz00_2649>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2649)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2650;
BgL_arg1330z00_2650 = 
(BgL_nz00_2649); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2650), 
((obj_t)BgL_pz00_2351)); } } } 
{ /* Llib/pgp_encode.scm 601 */
 long BgL_arg1949z00_2651;
BgL_arg1949z00_2651 = 
STRING_LENGTH(
((obj_t)BgL_filez00_2647)); 
if(
(BgL_arg1949z00_2651>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1949z00_2651)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2652;
BgL_arg1330z00_2652 = 
(BgL_arg1949z00_2651); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2652), 
((obj_t)BgL_pz00_2351)); } } 
bgl_display_obj(BgL_filez00_2647, 
((obj_t)BgL_pz00_2351)); 
{ /* Llib/pgp_encode.scm 603 */
 obj_t BgL_arg1950z00_2653;
BgL_arg1950z00_2653 = 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2350)))->BgL_creationzd2datezd2); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_arg1351z00_2654;
BgL_arg1351z00_2654 = 
bgl_date_to_seconds(BgL_arg1950z00_2653); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_nnz00_2655;
BgL_nnz00_2655 = 
(long)(BgL_arg1351z00_2654); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_2655, ((long)4)), 
((obj_t)BgL_pz00_2351)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2350)))->BgL_dataz00), 
((obj_t)BgL_pz00_2351));} } 

}



/* &encode-content-PGP-M1252 */
obj_t BGl_z62encodezd2contentzd2PGPzd2M1252zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2352, obj_t BgL_packetz00_2353, obj_t BgL_pz00_2354)
{
{ /* Llib/pgp_encode.scm 573 */
return 
CNST_TABLE_REF(((long)11));} 

}



/* &encode-content-PGP-S1250 */
obj_t BGl_z62encodezd2contentzd2PGPzd2S1250zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2355, obj_t BgL_packetz00_2356, obj_t BgL_pz00_2357)
{
{ /* Llib/pgp_encode.scm 567 */
return 
bgl_display_obj(
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_packetz00_2356)))->BgL_dataz00), 
((obj_t)BgL_pz00_2357));} 

}



/* &encode-content-PGP-P1248 */
obj_t BGl_z62encodezd2contentzd2PGPzd2P1248zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2358, obj_t BgL_packetz00_2359, obj_t BgL_pz00_2360)
{
{ /* Llib/pgp_encode.scm 563 */
return 
BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_packetz00_2359)), 
((obj_t)BgL_pz00_2360));} 

}



/* &encode-content-PGP-S1246 */
obj_t BGl_z62encodezd2contentzd2PGPzd2S1246zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2361, obj_t BgL_packetz00_2362, obj_t BgL_pz00_2363)
{
{ /* Llib/pgp_encode.scm 556 */
BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_packetz00_2362)), 
((obj_t)BgL_pz00_2363)); 
return 
bgl_display_obj(
(((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_packetz00_2362)))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00), 
((obj_t)BgL_pz00_2363));} 

}



/* &encode-content-PGP-O1244 */
obj_t BGl_z62encodezd2contentzd2PGPzd2O1244zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2364, obj_t BgL_packetz00_2365, obj_t BgL_pz00_2366)
{
{ /* Llib/pgp_encode.scm 475 */
{ /* Llib/pgp_encode.scm 489 */
 long BgL_arg1929z00_2666;
BgL_arg1929z00_2666 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2365))))->BgL_versionz00); 
if(
(BgL_arg1929z00_2666>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1929z00_2666)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2667;
BgL_arg1330z00_2667 = 
(BgL_arg1929z00_2666); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2667), 
((obj_t)BgL_pz00_2366)); } } 
{ /* Llib/pgp_encode.scm 490 */
 char BgL_arg1930z00_2668;
{ /* Llib/pgp_encode.scm 490 */
 obj_t BgL_arg1931z00_2669;
BgL_arg1931z00_2669 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2365))))->BgL_signaturezd2typezd2); 
BgL_arg1930z00_2668 = 
BGl_signaturezd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_arg1931z00_2669); } 
{ /* Llib/pgp_encode.scm 490 */
 long BgL_nz00_2670;
BgL_nz00_2670 = 
(long)(BgL_arg1930z00_2668); 
if(
(BgL_nz00_2670>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2670)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2671;
BgL_arg1330z00_2671 = 
(BgL_nz00_2670); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2671), 
((obj_t)BgL_pz00_2366)); } } } 
{ /* Llib/pgp_encode.scm 491 */
 char BgL_arg1932z00_2672;
{ /* Llib/pgp_encode.scm 491 */
 obj_t BgL_arg1933z00_2673;
BgL_arg1933z00_2673 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2365))))->BgL_hashzd2algozd2); 
BgL_arg1932z00_2672 = 
BGl_hashzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(BgL_arg1933z00_2673); } 
{ /* Llib/pgp_encode.scm 491 */
 long BgL_nz00_2674;
BgL_nz00_2674 = 
(long)(BgL_arg1932z00_2672); 
if(
(BgL_nz00_2674>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2674)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2675;
BgL_arg1330z00_2675 = 
(BgL_nz00_2674); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2675), 
((obj_t)BgL_pz00_2366)); } } } 
{ /* Llib/pgp_encode.scm 492 */
 char BgL_arg1934z00_2676;
{ /* Llib/pgp_encode.scm 492 */
 obj_t BgL_arg1935z00_2677;
BgL_arg1935z00_2677 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2365))))->BgL_publiczd2keyzd2algoz00); 
BgL_arg1934z00_2676 = 
BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(BgL_arg1935z00_2677); } 
{ /* Llib/pgp_encode.scm 492 */
 long BgL_nz00_2678;
BgL_nz00_2678 = 
(long)(BgL_arg1934z00_2676); 
if(
(BgL_nz00_2678>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2678)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2679;
BgL_arg1330z00_2679 = 
(BgL_nz00_2678); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2679), 
((obj_t)BgL_pz00_2366)); } } } 
{ /* Llib/pgp_encode.scm 493 */
 obj_t BgL_arg1936z00_2680;
BgL_arg1936z00_2680 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2365))))->BgL_issuerz00); 
if(
(
STRING_LENGTH(
((obj_t)BgL_arg1936z00_2680))==((long)8)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1336z00_2681;
BgL_arg1336z00_2681 = 
MAKE_YOUNG_PAIR(
BINT(((long)8)), 
((obj_t)BgL_arg1936z00_2680)); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2066z00zz__openpgpzd2encodezd2, BGl_string2067z00zz__openpgpzd2encodezd2, BgL_arg1336z00_2681); } 
bgl_display_obj(
((obj_t)BgL_arg1936z00_2680), 
((obj_t)BgL_pz00_2366)); } 
{ /* Llib/pgp_encode.scm 494 */
 long BgL_arg1937z00_2682;
if(
(((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2365)))->BgL_containszd2nestedzd2sigzf3zf3))
{ /* Llib/pgp_encode.scm 494 */
BgL_arg1937z00_2682 = ((long)0); }  else 
{ /* Llib/pgp_encode.scm 494 */
BgL_arg1937z00_2682 = ((long)1); } 
if(
(BgL_arg1937z00_2682>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1937z00_2682)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2683;
BgL_arg1330z00_2683 = 
(BgL_arg1937z00_2682); 
return 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2683), 
((obj_t)BgL_pz00_2366));} } } 

}



/* &encode-content-PGP-S1242 */
obj_t BGl_z62encodezd2contentzd2PGPzd2S1242zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2367, obj_t BgL_packetz00_2368, obj_t BgL_pz00_2369)
{
{ /* Llib/pgp_encode.scm 452 */
if(
(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2368)))->BgL_versionz00)==((long)4)))
{ /* Llib/pgp_encode.scm 458 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 459 */
 long BgL_arg1921z00_2686;
BgL_arg1921z00_2686 = 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2368)))->BgL_versionz00); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2147z00zz__openpgpzd2encodezd2, BGl_string2148z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1921z00_2686)); } 
{ /* Llib/pgp_encode.scm 465 */
 long BgL_arg1923z00_2687;
BgL_arg1923z00_2687 = 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2368)))->BgL_versionz00); 
if(
(BgL_arg1923z00_2687>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1923z00_2687)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2688;
BgL_arg1330z00_2688 = 
(BgL_arg1923z00_2687); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2688), 
((obj_t)BgL_pz00_2369)); } } 
{ /* Llib/pgp_encode.scm 466 */
 char BgL_arg1924z00_2689;
BgL_arg1924z00_2689 = 
BGl_symmetriczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2368)))->BgL_algoz00)); 
{ /* Llib/pgp_encode.scm 466 */
 long BgL_nz00_2690;
BgL_nz00_2690 = 
(long)(BgL_arg1924z00_2689); 
if(
(BgL_nz00_2690>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2690)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2691;
BgL_arg1330z00_2691 = 
(BgL_nz00_2690); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2691), 
((obj_t)BgL_pz00_2369)); } } } 
BGl_encodezd2s2kzd2zz__openpgpzd2encodezd2(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2368)))->BgL_s2kz00), 
((obj_t)BgL_pz00_2369)); 
if(
CBOOL(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2368)))->BgL_encryptedzd2sessionzd2keyz00)))
{ /* Llib/pgp_encode.scm 470 */
bgl_display_obj(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2368)))->BgL_encryptedzd2sessionzd2keyz00), 
((obj_t)BgL_pz00_2369)); 
return BUNSPEC;}  else 
{ /* Llib/pgp_encode.scm 470 */
return BFALSE;} } 

}



/* &encode-content-PGP-S1240 */
obj_t BGl_z62encodezd2contentzd2PGPzd2S1240zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2370, obj_t BgL_packetz00_2371, obj_t BgL_pz00_2372)
{
{ /* Llib/pgp_encode.scm 374 */
{ /* Llib/pgp_encode.scm 390 */
 obj_t BgL_arg1899z00_2694;
BgL_arg1899z00_2694 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2371))))->BgL_signedzd2packetzd2prefixz00); 
bgl_display_obj(BgL_arg1899z00_2694, 
((obj_t)BgL_pz00_2372)); } 
{ /* Llib/pgp_encode.scm 391 */
 obj_t BgL_arg1900z00_2695; obj_t BgL_arg1901z00_2696; obj_t BgL_arg1902z00_2697;
BgL_arg1900z00_2695 = 
(((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2371)))->BgL_securezd2subzd2packetsz00); 
BgL_arg1901z00_2696 = 
(((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2371)))->BgL_insecurezd2subzd2packetsz00); 
BgL_arg1902z00_2697 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2371))))->BgL_issuerz00); 
BGl_encodezd2insecurezd2subzd2packetszd2zz__openpgpzd2encodezd2(BgL_arg1900z00_2695, BgL_arg1901z00_2696, BgL_arg1902z00_2697, 
((obj_t)BgL_pz00_2372)); } 
{ /* Llib/pgp_encode.scm 393 */
 obj_t BgL_arg1903z00_2698;
BgL_arg1903z00_2698 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2371))))->BgL_leftzd2hashzd2); 
if(
(
STRING_LENGTH(BgL_arg1903z00_2698)==((long)2)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1336z00_2699;
BgL_arg1336z00_2699 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg1903z00_2698); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2066z00zz__openpgpzd2encodezd2, BGl_string2067z00zz__openpgpzd2encodezd2, BgL_arg1336z00_2699); } 
bgl_display_obj(BgL_arg1903z00_2698, 
((obj_t)BgL_pz00_2372)); } 
{ /* Llib/pgp_encode.scm 394 */
 obj_t BgL_casezd2valuezd2_2700;
BgL_casezd2valuezd2_2700 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2371))))->BgL_publiczd2keyzd2algoz00); 
{ /* Llib/pgp_encode.scm 394 */
 bool_t BgL_test2442z00_4328;
{ /* Llib/pgp_encode.scm 394 */
 bool_t BgL__ortest_1136z00_2701;
BgL__ortest_1136z00_2701 = 
(BgL_casezd2valuezd2_2700==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1136z00_2701)
{ /* Llib/pgp_encode.scm 394 */
BgL_test2442z00_4328 = BgL__ortest_1136z00_2701
; }  else 
{ /* Llib/pgp_encode.scm 394 */
BgL_test2442z00_4328 = 
(BgL_casezd2valuezd2_2700==
CNST_TABLE_REF(((long)6)))
; } } 
if(BgL_test2442z00_4328)
{ /* Llib/pgp_encode.scm 396 */
 obj_t BgL_arg1905z00_2702;
BgL_arg1905z00_2702 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2371))))->BgL_signaturez00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2703;
BgL_bitzd2lenzd2_2703 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1905z00_2702)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2704;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res2010z00_2705;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2706; long BgL_rz00_2707;
BgL_qz00_2706 = 
(BgL_bitzd2lenzd2_2703/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_2708; long BgL_n2z00_2709;
BgL_n1z00_2708 = BgL_bitzd2lenzd2_2703; 
BgL_n2z00_2709 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2444z00_4340;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_2710;
BgL_arg1350z00_2710 = 
(((BgL_n1z00_2708) | (BgL_n2z00_2709)) & -2147483648); 
BgL_test2444z00_4340 = 
(BgL_arg1350z00_2710==((long)0)); } 
if(BgL_test2444z00_4340)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_2711;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_2712; int32_t BgL_arg1349z00_2713;
BgL_arg1347z00_2712 = 
(int32_t)(BgL_n1z00_2708); 
BgL_arg1349z00_2713 = 
(int32_t)(BgL_n2z00_2709); 
BgL_arg1346z00_2711 = 
(BgL_arg1347z00_2712%BgL_arg1349z00_2713); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_2714;
BgL_arg1454z00_2714 = 
(long)(BgL_arg1346z00_2711); 
BgL_rz00_2707 = 
(long)(BgL_arg1454z00_2714); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_2707 = 
(BgL_n1z00_2708%BgL_n2z00_2709); } } } 
if(
(BgL_rz00_2707==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2010z00_2705 = BgL_qz00_2706; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2707>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2010z00_2705 = 
(BgL_qz00_2706+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res2010z00_2705 = 
(BgL_qz00_2706-((long)1)); } } } 
BgL_octetzd2lenzd2_2704 = BgL_res2010z00_2705; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2715;
BgL_strz00_2715 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1905z00_2702), BgL_octetzd2lenzd2_2704); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2703, ((long)2)), 
((obj_t)BgL_pz00_2372)); 
return 
bgl_display_obj(BgL_strz00_2715, 
((obj_t)BgL_pz00_2372));} } } } }  else 
{ /* Llib/pgp_encode.scm 394 */
if(
(BgL_casezd2valuezd2_2700==
CNST_TABLE_REF(((long)8))))
{ /* Llib/pgp_encode.scm 394 */
{ /* Llib/pgp_encode.scm 398 */
 bool_t BgL_test2448z00_4365;
{ /* Llib/pgp_encode.scm 398 */
 obj_t BgL_tmpz00_4366;
BgL_tmpz00_4366 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2371))))->BgL_signaturez00); 
BgL_test2448z00_4365 = 
PAIRP(BgL_tmpz00_4366); } 
if(BgL_test2448z00_4365)
{ /* Llib/pgp_encode.scm 398 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 399 */
 obj_t BgL_arg1909z00_2716;
BgL_arg1909z00_2716 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2371))))->BgL_signaturez00); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2149z00zz__openpgpzd2encodezd2, BGl_string2150z00zz__openpgpzd2encodezd2, BgL_arg1909z00_2716); } } 
{ /* Llib/pgp_encode.scm 402 */
 obj_t BgL_arg1911z00_2717;
{ /* Llib/pgp_encode.scm 402 */
 obj_t BgL_pairz00_2718;
BgL_pairz00_2718 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2371))))->BgL_signaturez00); 
BgL_arg1911z00_2717 = 
CAR(BgL_pairz00_2718); } 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2719;
BgL_bitzd2lenzd2_2719 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1911z00_2717)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2720;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res2011z00_2721;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2722; long BgL_rz00_2723;
BgL_qz00_2722 = 
(BgL_bitzd2lenzd2_2719/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_2724; long BgL_n2z00_2725;
BgL_n1z00_2724 = BgL_bitzd2lenzd2_2719; 
BgL_n2z00_2725 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2449z00_4382;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_2726;
BgL_arg1350z00_2726 = 
(((BgL_n1z00_2724) | (BgL_n2z00_2725)) & -2147483648); 
BgL_test2449z00_4382 = 
(BgL_arg1350z00_2726==((long)0)); } 
if(BgL_test2449z00_4382)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_2727;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_2728; int32_t BgL_arg1349z00_2729;
BgL_arg1347z00_2728 = 
(int32_t)(BgL_n1z00_2724); 
BgL_arg1349z00_2729 = 
(int32_t)(BgL_n2z00_2725); 
BgL_arg1346z00_2727 = 
(BgL_arg1347z00_2728%BgL_arg1349z00_2729); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_2730;
BgL_arg1454z00_2730 = 
(long)(BgL_arg1346z00_2727); 
BgL_rz00_2723 = 
(long)(BgL_arg1454z00_2730); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_2723 = 
(BgL_n1z00_2724%BgL_n2z00_2725); } } } 
if(
(BgL_rz00_2723==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2011z00_2721 = BgL_qz00_2722; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2723>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2011z00_2721 = 
(BgL_qz00_2722+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res2011z00_2721 = 
(BgL_qz00_2722-((long)1)); } } } 
BgL_octetzd2lenzd2_2720 = BgL_res2011z00_2721; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2731;
BgL_strz00_2731 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1911z00_2717), BgL_octetzd2lenzd2_2720); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2719, ((long)2)), 
((obj_t)BgL_pz00_2372)); 
bgl_display_obj(BgL_strz00_2731, 
((obj_t)BgL_pz00_2372)); } } } } } 
{ /* Llib/pgp_encode.scm 403 */
 obj_t BgL_arg1913z00_2732;
{ /* Llib/pgp_encode.scm 403 */
 obj_t BgL_pairz00_2733;
BgL_pairz00_2733 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2371))))->BgL_signaturez00); 
BgL_arg1913z00_2732 = 
CDR(BgL_pairz00_2733); } 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2734;
BgL_bitzd2lenzd2_2734 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1913z00_2732)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2735;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res2012z00_2736;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2737; long BgL_rz00_2738;
BgL_qz00_2737 = 
(BgL_bitzd2lenzd2_2734/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_2739; long BgL_n2z00_2740;
BgL_n1z00_2739 = BgL_bitzd2lenzd2_2734; 
BgL_n2z00_2740 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2452z00_4411;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_2741;
BgL_arg1350z00_2741 = 
(((BgL_n1z00_2739) | (BgL_n2z00_2740)) & -2147483648); 
BgL_test2452z00_4411 = 
(BgL_arg1350z00_2741==((long)0)); } 
if(BgL_test2452z00_4411)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_2742;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_2743; int32_t BgL_arg1349z00_2744;
BgL_arg1347z00_2743 = 
(int32_t)(BgL_n1z00_2739); 
BgL_arg1349z00_2744 = 
(int32_t)(BgL_n2z00_2740); 
BgL_arg1346z00_2742 = 
(BgL_arg1347z00_2743%BgL_arg1349z00_2744); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_2745;
BgL_arg1454z00_2745 = 
(long)(BgL_arg1346z00_2742); 
BgL_rz00_2738 = 
(long)(BgL_arg1454z00_2745); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_2738 = 
(BgL_n1z00_2739%BgL_n2z00_2740); } } } 
if(
(BgL_rz00_2738==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2012z00_2736 = BgL_qz00_2737; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2738>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2012z00_2736 = 
(BgL_qz00_2737+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res2012z00_2736 = 
(BgL_qz00_2737-((long)1)); } } } 
BgL_octetzd2lenzd2_2735 = BgL_res2012z00_2736; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2746;
BgL_strz00_2746 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1913z00_2732), BgL_octetzd2lenzd2_2735); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2734, ((long)2)), 
((obj_t)BgL_pz00_2372)); 
return 
bgl_display_obj(BgL_strz00_2746, 
((obj_t)BgL_pz00_2372));} } } } } }  else 
{ /* Llib/pgp_encode.scm 407 */
 obj_t BgL_arg1915z00_2747;
{ /* Llib/pgp_encode.scm 407 */
 obj_t BgL_arg1916z00_2748; obj_t BgL_arg1917z00_2749;
BgL_arg1916z00_2748 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2371))))->BgL_publiczd2keyzd2algoz00); 
{ /* Llib/pgp_encode.scm 408 */
 obj_t BgL_arg1918z00_2750;
BgL_arg1918z00_2750 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2371))))->BgL_publiczd2keyzd2algoz00); 
BgL_arg1917z00_2749 = 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_arg1918z00_2750); } 
BgL_arg1915z00_2747 = 
MAKE_YOUNG_PAIR(BgL_arg1916z00_2748, BgL_arg1917z00_2749); } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2149z00zz__openpgpzd2encodezd2, BGl_string2151z00zz__openpgpzd2encodezd2, BgL_arg1915z00_2747);} } } } } 

}



/* &encode-sub-packet-co1238 */
obj_t BGl_z62encodezd2subzd2packetzd2co1238zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2373, obj_t BgL_spz00_2374, obj_t BgL_pz00_2375)
{
{ /* Llib/pgp_encode.scm 276 */
{ /* Llib/pgp_encode.scm 279 */
 bool_t BgL_arg1894z00_2753;
BgL_arg1894z00_2753 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_spz00_2374))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 279 */
 obj_t BgL_typez00_2754;
BgL_typez00_2754 = 
CNST_TABLE_REF(((long)12)); 
if(BgL_arg1894z00_2753)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2755;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2756;
BgL_arg1365z00_2756 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2754); 
BgL_arg1364z00_2755 = 
(
(long)(BgL_arg1365z00_2756)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2755, 
((obj_t)BgL_pz00_2375)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2757;
BgL_arg1374z00_2757 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2754); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2757), 
((obj_t)BgL_pz00_2375)); } } } 
{ /* Llib/pgp_encode.scm 280 */
 char BgL_arg1895z00_2758;
BgL_arg1895z00_2758 = 
BGl_revocationzd2codezd2ze3byteze3zz__openpgpzd2enumszd2(
(((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_spz00_2374)))->BgL_codez00)); 
{ /* Llib/pgp_encode.scm 280 */
 long BgL_nz00_2759;
BgL_nz00_2759 = 
(long)(BgL_arg1895z00_2758); 
if(
(BgL_nz00_2759>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2759)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2760;
BgL_arg1330z00_2760 = 
(BgL_nz00_2759); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2760), 
((obj_t)BgL_pz00_2375)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_spz00_2374)))->BgL_reasonz00), 
((obj_t)BgL_pz00_2375));} 

}



/* &encode-sub-packet-co1236 */
obj_t BGl_z62encodezd2subzd2packetzd2co1236zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2376, obj_t BgL_spz00_2377, obj_t BgL_pz00_2378)
{
{ /* Llib/pgp_encode.scm 271 */
{ /* Llib/pgp_encode.scm 274 */
 bool_t BgL_arg1892z00_2763;
BgL_arg1892z00_2763 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_spz00_2377))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 274 */
 obj_t BgL_typez00_2764;
BgL_typez00_2764 = 
CNST_TABLE_REF(((long)13)); 
if(BgL_arg1892z00_2763)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2765;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2766;
BgL_arg1365z00_2766 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2764); 
BgL_arg1364z00_2765 = 
(
(long)(BgL_arg1365z00_2766)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2765, 
((obj_t)BgL_pz00_2378)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2767;
BgL_arg1374z00_2767 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2764); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2767), 
((obj_t)BgL_pz00_2378)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_spz00_2377)))->BgL_idz00), 
((obj_t)BgL_pz00_2378));} 

}



/* &encode-sub-packet-co1234 */
obj_t BGl_z62encodezd2subzd2packetzd2co1234zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2379, obj_t BgL_spz00_2380, obj_t BgL_pz00_2381)
{
{ /* Llib/pgp_encode.scm 266 */
{ /* Llib/pgp_encode.scm 269 */
 bool_t BgL_arg1890z00_2770;
BgL_arg1890z00_2770 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_spz00_2380))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 269 */
 obj_t BgL_typez00_2771;
BgL_typez00_2771 = 
CNST_TABLE_REF(((long)14)); 
if(BgL_arg1890z00_2770)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2772;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2773;
BgL_arg1365z00_2773 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2771); 
BgL_arg1364z00_2772 = 
(
(long)(BgL_arg1365z00_2773)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2772, 
((obj_t)BgL_pz00_2381)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2774;
BgL_arg1374z00_2774 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2771); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2774), 
((obj_t)BgL_pz00_2381)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_spz00_2380)))->BgL_urlz00), 
((obj_t)BgL_pz00_2381));} 

}



/* &encode-sub-packet-co1232 */
obj_t BGl_z62encodezd2subzd2packetzd2co1232zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2382, obj_t BgL_spz00_2383, obj_t BgL_pz00_2384)
{
{ /* Llib/pgp_encode.scm 261 */
{ /* Llib/pgp_encode.scm 264 */
 bool_t BgL_arg1887z00_2777;
BgL_arg1887z00_2777 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_spz00_2383))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 264 */
 obj_t BgL_typez00_2778;
BgL_typez00_2778 = 
CNST_TABLE_REF(((long)15)); 
if(BgL_arg1887z00_2777)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2779;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2780;
BgL_arg1365z00_2780 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2778); 
BgL_arg1364z00_2779 = 
(
(long)(BgL_arg1365z00_2780)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2779, 
((obj_t)BgL_pz00_2384)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2781;
BgL_arg1374z00_2781 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2778); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2781), 
((obj_t)BgL_pz00_2384)); } } } 
{ /* Llib/pgp_encode.scm 265 */
 long BgL_arg1888z00_2782;
if(
(((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_spz00_2383)))->BgL_primaryzf3zf3))
{ /* Llib/pgp_encode.scm 265 */
BgL_arg1888z00_2782 = ((long)1); }  else 
{ /* Llib/pgp_encode.scm 265 */
BgL_arg1888z00_2782 = ((long)0); } 
if(
(BgL_arg1888z00_2782>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1888z00_2782)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2783;
BgL_arg1330z00_2783 = 
(BgL_arg1888z00_2782); 
return 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2783), 
((obj_t)BgL_pz00_2384));} } } 

}



/* &encode-sub-packet-co1230 */
obj_t BGl_z62encodezd2subzd2packetzd2co1230zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2385, obj_t BgL_spz00_2386, obj_t BgL_pz00_2387)
{
{ /* Llib/pgp_encode.scm 256 */
{ /* Llib/pgp_encode.scm 259 */
 bool_t BgL_arg1885z00_2786;
BgL_arg1885z00_2786 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_spz00_2386))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 259 */
 obj_t BgL_typez00_2787;
BgL_typez00_2787 = 
CNST_TABLE_REF(((long)16)); 
if(BgL_arg1885z00_2786)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2788;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2789;
BgL_arg1365z00_2789 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2787); 
BgL_arg1364z00_2788 = 
(
(long)(BgL_arg1365z00_2789)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2788, 
((obj_t)BgL_pz00_2387)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2790;
BgL_arg1374z00_2790 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2787); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2790), 
((obj_t)BgL_pz00_2387)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_spz00_2386)))->BgL_serverz00), 
((obj_t)BgL_pz00_2387));} 

}



/* &encode-sub-packet-co1228 */
obj_t BGl_z62encodezd2subzd2packetzd2co1228zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2388, obj_t BgL_spz00_2389, obj_t BgL_pz00_2390)
{
{ /* Llib/pgp_encode.scm 251 */
{ /* Llib/pgp_encode.scm 253 */
 bool_t BgL_tmpz00_4551;
{ /* Llib/pgp_encode.scm 254 */
 bool_t BgL_arg1883z00_2793;
BgL_arg1883z00_2793 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_spz00_2389))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 254 */
 obj_t BgL_typez00_2794;
BgL_typez00_2794 = 
CNST_TABLE_REF(((long)17)); 
if(BgL_arg1883z00_2793)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2795;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2796;
BgL_arg1365z00_2796 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2794); 
BgL_arg1364z00_2795 = 
(
(long)(BgL_arg1365z00_2796)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2795, 
((obj_t)BgL_pz00_2390)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2797;
BgL_arg1374z00_2797 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2794); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2797), 
((obj_t)BgL_pz00_2390)); } } } 
BgL_tmpz00_4551 = 
BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(
(((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_spz00_2389)))->BgL_algosz00), BGl_compressionzd2algozd2ze3bytezd2envz31zz__openpgpzd2enumszd2, 
((obj_t)BgL_pz00_2390)); 
return 
BBOOL(BgL_tmpz00_4551);} } 

}



/* &encode-sub-packet-co1226 */
obj_t BGl_z62encodezd2subzd2packetzd2co1226zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2391, obj_t BgL_spz00_2392, obj_t BgL_pz00_2393)
{
{ /* Llib/pgp_encode.scm 246 */
{ /* Llib/pgp_encode.scm 248 */
 bool_t BgL_tmpz00_4571;
{ /* Llib/pgp_encode.scm 249 */
 bool_t BgL_arg1881z00_2800;
BgL_arg1881z00_2800 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_spz00_2392))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 249 */
 obj_t BgL_typez00_2801;
BgL_typez00_2801 = 
CNST_TABLE_REF(((long)18)); 
if(BgL_arg1881z00_2800)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2802;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2803;
BgL_arg1365z00_2803 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2801); 
BgL_arg1364z00_2802 = 
(
(long)(BgL_arg1365z00_2803)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2802, 
((obj_t)BgL_pz00_2393)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2804;
BgL_arg1374z00_2804 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2801); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2804), 
((obj_t)BgL_pz00_2393)); } } } 
BgL_tmpz00_4571 = 
BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(
(((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_spz00_2392)))->BgL_algosz00), BGl_hashzd2algozd2ze3bytezd2envz31zz__openpgpzd2enumszd2, 
((obj_t)BgL_pz00_2393)); 
return 
BBOOL(BgL_tmpz00_4571);} } 

}



/* &encode-sub-packet-co1224 */
obj_t BGl_z62encodezd2subzd2packetzd2co1224zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2394, obj_t BgL_spz00_2395, obj_t BgL_pz00_2396)
{
{ /* Llib/pgp_encode.scm 237 */
{ /* Llib/pgp_encode.scm 240 */
 bool_t BgL_arg1871z00_2807;
BgL_arg1871z00_2807 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2395))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 240 */
 obj_t BgL_typez00_2808;
BgL_typez00_2808 = 
CNST_TABLE_REF(((long)19)); 
if(BgL_arg1871z00_2807)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2809;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2810;
BgL_arg1365z00_2810 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2808); 
BgL_arg1364z00_2809 = 
(
(long)(BgL_arg1365z00_2810)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2809, 
((obj_t)BgL_pz00_2396)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2811;
BgL_arg1374z00_2811 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2808); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2811), 
((obj_t)BgL_pz00_2396)); } } } 
{ /* Llib/pgp_encode.scm 241 */
 obj_t BgL_arg1872z00_2812;
BgL_arg1872z00_2812 = 
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2395)))->BgL_flagsz00); 
if(
(
STRING_LENGTH(BgL_arg1872z00_2812)==((long)4)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1336z00_2813;
BgL_arg1336z00_2813 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg1872z00_2812); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2066z00zz__openpgpzd2encodezd2, BGl_string2067z00zz__openpgpzd2encodezd2, BgL_arg1336z00_2813); } 
bgl_display_obj(BgL_arg1872z00_2812, 
((obj_t)BgL_pz00_2396)); } 
{ /* Llib/pgp_encode.scm 242 */
 long BgL_arg1873z00_2814;
BgL_arg1873z00_2814 = 
STRING_LENGTH(
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2395)))->BgL_namez00)); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg1873z00_2814, ((long)2)), 
((obj_t)BgL_pz00_2396)); } 
{ /* Llib/pgp_encode.scm 243 */
 long BgL_arg1875z00_2815;
BgL_arg1875z00_2815 = 
STRING_LENGTH(
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2395)))->BgL_valuez00)); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg1875z00_2815, ((long)2)), 
((obj_t)BgL_pz00_2396)); } 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2395)))->BgL_namez00), 
((obj_t)BgL_pz00_2396)); 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2395)))->BgL_valuez00), 
((obj_t)BgL_pz00_2396));} 

}



/* &encode-sub-packet-co1222 */
obj_t BGl_z62encodezd2subzd2packetzd2co1222zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2397, obj_t BgL_spz00_2398, obj_t BgL_pz00_2399)
{
{ /* Llib/pgp_encode.scm 232 */
{ /* Llib/pgp_encode.scm 235 */
 bool_t BgL_arg1869z00_2818;
BgL_arg1869z00_2818 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_spz00_2398))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 235 */
 obj_t BgL_typez00_2819;
BgL_typez00_2819 = 
CNST_TABLE_REF(((long)20)); 
if(BgL_arg1869z00_2818)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2820;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2821;
BgL_arg1365z00_2821 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2819); 
BgL_arg1364z00_2820 = 
(
(long)(BgL_arg1365z00_2821)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2820, 
((obj_t)BgL_pz00_2399)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2822;
BgL_arg1374z00_2822 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2819); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2822), 
((obj_t)BgL_pz00_2399)); } } } 
{ /* Llib/pgp_encode.scm 236 */
 obj_t BgL_arg1870z00_2823;
BgL_arg1870z00_2823 = 
(((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_spz00_2398)))->BgL_keyzd2idzd2); 
if(
(
STRING_LENGTH(BgL_arg1870z00_2823)==((long)8)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1336z00_2824;
BgL_arg1336z00_2824 = 
MAKE_YOUNG_PAIR(
BINT(((long)8)), BgL_arg1870z00_2823); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2066z00zz__openpgpzd2encodezd2, BGl_string2067z00zz__openpgpzd2encodezd2, BgL_arg1336z00_2824); } 
return 
bgl_display_obj(BgL_arg1870z00_2823, 
((obj_t)BgL_pz00_2399));} } 

}



/* &encode-sub-packet-co1220 */
obj_t BGl_z62encodezd2subzd2packetzd2co1220zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2400, obj_t BgL_spz00_2401, obj_t BgL_pz00_2402)
{
{ /* Llib/pgp_encode.scm 224 */
{ /* Llib/pgp_encode.scm 228 */
 bool_t BgL_arg1865z00_2827;
BgL_arg1865z00_2827 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_spz00_2401))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 228 */
 obj_t BgL_typez00_2828;
BgL_typez00_2828 = 
CNST_TABLE_REF(((long)21)); 
if(BgL_arg1865z00_2827)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2829;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2830;
BgL_arg1365z00_2830 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2828); 
BgL_arg1364z00_2829 = 
(
(long)(BgL_arg1365z00_2830)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2829, 
((obj_t)BgL_pz00_2402)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2831;
BgL_arg1374z00_2831 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2828); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2831), 
((obj_t)BgL_pz00_2402)); } } } 
{ /* Llib/pgp_encode.scm 229 */
 char BgL_arg1866z00_2832;
BgL_arg1866z00_2832 = 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_spz00_2401)))->BgL_claza7za7z00); 
{ /* Llib/pgp_encode.scm 229 */
 long BgL_nz00_2833;
BgL_nz00_2833 = 
(long)(BgL_arg1866z00_2832); 
if(
(BgL_nz00_2833>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2833)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2834;
BgL_arg1330z00_2834 = 
(BgL_nz00_2833); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2834), 
((obj_t)BgL_pz00_2402)); } } } 
{ /* Llib/pgp_encode.scm 230 */
 char BgL_arg1867z00_2835;
BgL_arg1867z00_2835 = 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_spz00_2401)))->BgL_algidz00); 
{ /* Llib/pgp_encode.scm 230 */
 long BgL_nz00_2836;
BgL_nz00_2836 = 
(long)(BgL_arg1867z00_2835); 
if(
(BgL_nz00_2836>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2836)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2837;
BgL_arg1330z00_2837 = 
(BgL_nz00_2836); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2837), 
((obj_t)BgL_pz00_2402)); } } } 
{ /* Llib/pgp_encode.scm 231 */
 obj_t BgL_arg1868z00_2838;
BgL_arg1868z00_2838 = 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_spz00_2401)))->BgL_fingerprintz00); 
if(
(
STRING_LENGTH(BgL_arg1868z00_2838)==((long)20)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1336z00_2839;
BgL_arg1336z00_2839 = 
MAKE_YOUNG_PAIR(
BINT(((long)20)), BgL_arg1868z00_2838); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2066z00zz__openpgpzd2encodezd2, BGl_string2067z00zz__openpgpzd2encodezd2, BgL_arg1336z00_2839); } 
return 
bgl_display_obj(BgL_arg1868z00_2838, 
((obj_t)BgL_pz00_2402));} } 

}



/* &encode-sub-packet-co1218 */
obj_t BGl_z62encodezd2subzd2packetzd2co1218zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2403, obj_t BgL_spz00_2404, obj_t BgL_pz00_2405)
{
{ /* Llib/pgp_encode.scm 219 */
{ /* Llib/pgp_encode.scm 221 */
 bool_t BgL_tmpz00_4705;
{ /* Llib/pgp_encode.scm 222 */
 bool_t BgL_arg1863z00_2842;
BgL_arg1863z00_2842 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_spz00_2404))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 222 */
 obj_t BgL_typez00_2843;
BgL_typez00_2843 = 
CNST_TABLE_REF(((long)22)); 
if(BgL_arg1863z00_2842)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2844;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2845;
BgL_arg1365z00_2845 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2843); 
BgL_arg1364z00_2844 = 
(
(long)(BgL_arg1365z00_2845)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2844, 
((obj_t)BgL_pz00_2405)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2846;
BgL_arg1374z00_2846 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2843); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2846), 
((obj_t)BgL_pz00_2405)); } } } 
BgL_tmpz00_4705 = 
BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(
(((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_spz00_2404)))->BgL_algosz00), BGl_symmetriczd2keyzd2algozd2ze3bytezd2envze3zz__openpgpzd2enumszd2, 
((obj_t)BgL_pz00_2405)); 
return 
BBOOL(BgL_tmpz00_4705);} } 

}



/* &encode-sub-packet-co1216 */
obj_t BGl_z62encodezd2subzd2packetzd2co1216zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2406, obj_t BgL_spz00_2407, obj_t BgL_pz00_2408)
{
{ /* Llib/pgp_encode.scm 213 */
{ /* Llib/pgp_encode.scm 217 */
 bool_t BgL_arg1861z00_2849;
BgL_arg1861z00_2849 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_spz00_2407))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 217 */
 obj_t BgL_typez00_2850;
BgL_typez00_2850 = 
CNST_TABLE_REF(((long)23)); 
if(BgL_arg1861z00_2849)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2851;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2852;
BgL_arg1365z00_2852 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2850); 
BgL_arg1364z00_2851 = 
(
(long)(BgL_arg1365z00_2852)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2851, 
((obj_t)BgL_pz00_2408)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2853;
BgL_arg1374z00_2853 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2850); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2853), 
((obj_t)BgL_pz00_2408)); } } } 
{ /* Llib/pgp_encode.scm 218 */
 long BgL_arg1862z00_2854;
BgL_arg1862z00_2854 = 
(((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_spz00_2407)))->BgL_expirationzd2timezd2); 
return 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg1862z00_2854, ((long)4)), 
((obj_t)BgL_pz00_2408));} } 

}



/* &encode-sub-packet-co1214 */
obj_t BGl_z62encodezd2subzd2packetzd2co1214zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2409, obj_t BgL_spz00_2410, obj_t BgL_pz00_2411)
{
{ /* Llib/pgp_encode.scm 208 */
{ /* Llib/pgp_encode.scm 211 */
 bool_t BgL_arg1858z00_2857;
BgL_arg1858z00_2857 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_spz00_2410))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 211 */
 obj_t BgL_typez00_2858;
BgL_typez00_2858 = 
CNST_TABLE_REF(((long)24)); 
if(BgL_arg1858z00_2857)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2859;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2860;
BgL_arg1365z00_2860 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2858); 
BgL_arg1364z00_2859 = 
(
(long)(BgL_arg1365z00_2860)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2859, 
((obj_t)BgL_pz00_2411)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2861;
BgL_arg1374z00_2861 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2858); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2861), 
((obj_t)BgL_pz00_2411)); } } } 
{ /* Llib/pgp_encode.scm 212 */
 long BgL_arg1859z00_2862;
if(
(((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_spz00_2410)))->BgL_revocablezf3zf3))
{ /* Llib/pgp_encode.scm 212 */
BgL_arg1859z00_2862 = ((long)1); }  else 
{ /* Llib/pgp_encode.scm 212 */
BgL_arg1859z00_2862 = ((long)0); } 
if(
(BgL_arg1859z00_2862>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1859z00_2862)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2863;
BgL_arg1330z00_2863 = 
(BgL_arg1859z00_2862); 
return 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2863), 
((obj_t)BgL_pz00_2411));} } } 

}



/* &encode-sub-packet-co1212 */
obj_t BGl_z62encodezd2subzd2packetzd2co1212zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2412, obj_t BgL_spz00_2413, obj_t BgL_pz00_2414)
{
{ /* Llib/pgp_encode.scm 202 */
{ /* Llib/pgp_encode.scm 205 */
 bool_t BgL_arg1855z00_2866;
BgL_arg1855z00_2866 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_spz00_2413))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 205 */
 obj_t BgL_typez00_2867;
BgL_typez00_2867 = 
CNST_TABLE_REF(((long)25)); 
if(BgL_arg1855z00_2866)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2868;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2869;
BgL_arg1365z00_2869 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2867); 
BgL_arg1364z00_2868 = 
(
(long)(BgL_arg1365z00_2869)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2868, 
((obj_t)BgL_pz00_2414)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2870;
BgL_arg1374z00_2870 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2867); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2870), 
((obj_t)BgL_pz00_2414)); } } } 
{ /* Llib/pgp_encode.scm 206 */
 int BgL_arg1856z00_2871;
BgL_arg1856z00_2871 = 
(((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_spz00_2413)))->BgL_levelz00); 
{ /* Llib/pgp_encode.scm 206 */
 long BgL_nz00_2872;
BgL_nz00_2872 = 
(long)(BgL_arg1856z00_2871); 
if(
(BgL_nz00_2872>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2872)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2873;
BgL_arg1330z00_2873 = 
(BgL_nz00_2872); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2873), 
((obj_t)BgL_pz00_2414)); } } } 
{ /* Llib/pgp_encode.scm 207 */
 int BgL_arg1857z00_2874;
BgL_arg1857z00_2874 = 
(((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_spz00_2413)))->BgL_amountz00); 
{ /* Llib/pgp_encode.scm 207 */
 long BgL_nz00_2875;
BgL_nz00_2875 = 
(long)(BgL_arg1857z00_2874); 
if(
(BgL_nz00_2875>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2875)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2876;
BgL_arg1330z00_2876 = 
(BgL_nz00_2875); 
return 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2876), 
((obj_t)BgL_pz00_2414));} } } } 

}



/* &encode-sub-packet-co1210 */
obj_t BGl_z62encodezd2subzd2packetzd2co1210zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2415, obj_t BgL_spz00_2416, obj_t BgL_pz00_2417)
{
{ /* Llib/pgp_encode.scm 197 */
{ /* Llib/pgp_encode.scm 200 */
 bool_t BgL_arg1852z00_2879;
BgL_arg1852z00_2879 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_spz00_2416))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 200 */
 obj_t BgL_typez00_2880;
BgL_typez00_2880 = 
CNST_TABLE_REF(((long)26)); 
if(BgL_arg1852z00_2879)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2881;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2882;
BgL_arg1365z00_2882 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2880); 
BgL_arg1364z00_2881 = 
(
(long)(BgL_arg1365z00_2882)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2881, 
((obj_t)BgL_pz00_2417)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2883;
BgL_arg1374z00_2883 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2880); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2883), 
((obj_t)BgL_pz00_2417)); } } } 
{ /* Llib/pgp_encode.scm 201 */
 long BgL_arg1853z00_2884;
if(
(((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_spz00_2416)))->BgL_exportablezf3zf3))
{ /* Llib/pgp_encode.scm 201 */
BgL_arg1853z00_2884 = ((long)1); }  else 
{ /* Llib/pgp_encode.scm 201 */
BgL_arg1853z00_2884 = ((long)0); } 
if(
(BgL_arg1853z00_2884>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1853z00_2884)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2885;
BgL_arg1330z00_2885 = 
(BgL_arg1853z00_2884); 
return 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2885), 
((obj_t)BgL_pz00_2417));} } } 

}



/* &encode-sub-packet-co1208 */
obj_t BGl_z62encodezd2subzd2packetzd2co1208zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2418, obj_t BgL_spz00_2419, obj_t BgL_pz00_2420)
{
{ /* Llib/pgp_encode.scm 191 */
{ /* Llib/pgp_encode.scm 195 */
 bool_t BgL_arg1850z00_2888;
BgL_arg1850z00_2888 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_spz00_2419))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 195 */
 obj_t BgL_typez00_2889;
BgL_typez00_2889 = 
CNST_TABLE_REF(((long)27)); 
if(BgL_arg1850z00_2888)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2890;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2891;
BgL_arg1365z00_2891 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2889); 
BgL_arg1364z00_2890 = 
(
(long)(BgL_arg1365z00_2891)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2890, 
((obj_t)BgL_pz00_2420)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2892;
BgL_arg1374z00_2892 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2889); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2892), 
((obj_t)BgL_pz00_2420)); } } } 
{ /* Llib/pgp_encode.scm 196 */
 obj_t BgL_arg1851z00_2893;
BgL_arg1851z00_2893 = 
(((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_spz00_2419)))->BgL_expirationzd2datezd2); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_arg1351z00_2894;
BgL_arg1351z00_2894 = 
bgl_date_to_seconds(BgL_arg1851z00_2893); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_nnz00_2895;
BgL_nnz00_2895 = 
(long)(BgL_arg1351z00_2894); 
return 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_2895, ((long)4)), 
((obj_t)BgL_pz00_2420));} } } } 

}



/* &encode-sub-packet-co1206 */
obj_t BGl_z62encodezd2subzd2packetzd2co1206zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2421, obj_t BgL_spz00_2422, obj_t BgL_pz00_2423)
{
{ /* Llib/pgp_encode.scm 186 */
{ /* Llib/pgp_encode.scm 189 */
 bool_t BgL_arg1848z00_2898;
BgL_arg1848z00_2898 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_spz00_2422))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 189 */
 obj_t BgL_typez00_2899;
BgL_typez00_2899 = 
CNST_TABLE_REF(((long)28)); 
if(BgL_arg1848z00_2898)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2900;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2901;
BgL_arg1365z00_2901 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2899); 
BgL_arg1364z00_2900 = 
(
(long)(BgL_arg1365z00_2901)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2900, 
((obj_t)BgL_pz00_2423)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2902;
BgL_arg1374z00_2902 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2899); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2902), 
((obj_t)BgL_pz00_2423)); } } } 
{ /* Llib/pgp_encode.scm 190 */
 obj_t BgL_arg1849z00_2903;
BgL_arg1849z00_2903 = 
(((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_spz00_2422)))->BgL_creationzd2datezd2); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_arg1351z00_2904;
BgL_arg1351z00_2904 = 
bgl_date_to_seconds(BgL_arg1849z00_2903); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_nnz00_2905;
BgL_nnz00_2905 = 
(long)(BgL_arg1351z00_2904); 
return 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_2905, ((long)4)), 
((obj_t)BgL_pz00_2423));} } } } 

}



/* &encode-sub-packet-co1204 */
obj_t BGl_z62encodezd2subzd2packetzd2co1204zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2424, obj_t BgL_spz00_2425, obj_t BgL_pz00_2426)
{
{ /* Llib/pgp_encode.scm 181 */
{ /* Llib/pgp_encode.scm 184 */
 obj_t BgL_arg1845z00_2908; bool_t BgL_arg1846z00_2909;
BgL_arg1845z00_2908 = 
(((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_spz00_2425)))->BgL_typez00); 
BgL_arg1846z00_2909 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_spz00_2425))))->BgL_criticalzf3zf3); 
if(BgL_arg1846z00_2909)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1364z00_2910;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1365z00_2911;
BgL_arg1365z00_2911 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_arg1845z00_2908); 
BgL_arg1364z00_2910 = 
(
(long)(BgL_arg1365z00_2911)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1364z00_2910, 
((obj_t)BgL_pz00_2426)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1374z00_2912;
BgL_arg1374z00_2912 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_arg1845z00_2908); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1374z00_2912), 
((obj_t)BgL_pz00_2426)); } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_spz00_2425)))->BgL_dataz00), 
((obj_t)BgL_pz00_2426));} 

}



/* &encode-content-PGP-P1199 */
obj_t BGl_z62encodezd2contentzd2PGPzd2P1199zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2427, obj_t BgL_packetz00_2428, obj_t BgL_pz00_2429)
{
{ /* Llib/pgp_encode.scm 136 */
{ /* Llib/pgp_encode.scm 142 */
 long BgL_arg1826z00_2915;
BgL_arg1826z00_2915 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2428)))->BgL_versionz00); 
if(
(BgL_arg1826z00_2915>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1826z00_2915)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2916;
BgL_arg1330z00_2916 = 
(BgL_arg1826z00_2915); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2916), 
((obj_t)BgL_pz00_2429)); } } 
{ /* Llib/pgp_encode.scm 143 */
 obj_t BgL_arg1827z00_2917;
BgL_arg1827z00_2917 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2428)))->BgL_idz00); 
if(
(
STRING_LENGTH(BgL_arg1827z00_2917)==((long)8)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1336z00_2918;
BgL_arg1336z00_2918 = 
MAKE_YOUNG_PAIR(
BINT(((long)8)), BgL_arg1827z00_2917); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2066z00zz__openpgpzd2encodezd2, BGl_string2067z00zz__openpgpzd2encodezd2, BgL_arg1336z00_2918); } 
bgl_display_obj(BgL_arg1827z00_2917, 
((obj_t)BgL_pz00_2429)); } 
{ /* Llib/pgp_encode.scm 144 */
 char BgL_arg1828z00_2919;
BgL_arg1828z00_2919 = 
BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2428)))->BgL_algoz00)); 
{ /* Llib/pgp_encode.scm 144 */
 long BgL_nz00_2920;
BgL_nz00_2920 = 
(long)(BgL_arg1828z00_2919); 
if(
(BgL_nz00_2920>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2920)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1330z00_2921;
BgL_arg1330z00_2921 = 
(BgL_nz00_2920); 
bgl_display_obj(
BCHAR(BgL_arg1330z00_2921), 
((obj_t)BgL_pz00_2429)); } } } 
{ /* Llib/pgp_encode.scm 145 */
 obj_t BgL_casezd2valuezd2_2922;
BgL_casezd2valuezd2_2922 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2428)))->BgL_algoz00); 
{ /* Llib/pgp_encode.scm 145 */
 bool_t BgL_test2490z00_4925;
{ /* Llib/pgp_encode.scm 145 */
 bool_t BgL__ortest_1104z00_2923;
BgL__ortest_1104z00_2923 = 
(BgL_casezd2valuezd2_2922==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1104z00_2923)
{ /* Llib/pgp_encode.scm 145 */
BgL_test2490z00_4925 = BgL__ortest_1104z00_2923
; }  else 
{ /* Llib/pgp_encode.scm 145 */
BgL_test2490z00_4925 = 
(BgL_casezd2valuezd2_2922==
CNST_TABLE_REF(((long)5)))
; } } 
if(BgL_test2490z00_4925)
{ /* Llib/pgp_encode.scm 147 */
 obj_t BgL_arg1831z00_2924;
BgL_arg1831z00_2924 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2428)))->BgL_encryptedzd2sessionzd2keyz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2925;
BgL_bitzd2lenzd2_2925 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1831z00_2924)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2926;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res2007z00_2927;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2928; long BgL_rz00_2929;
BgL_qz00_2928 = 
(BgL_bitzd2lenzd2_2925/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_2930; long BgL_n2z00_2931;
BgL_n1z00_2930 = BgL_bitzd2lenzd2_2925; 
BgL_n2z00_2931 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2492z00_4936;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_2932;
BgL_arg1350z00_2932 = 
(((BgL_n1z00_2930) | (BgL_n2z00_2931)) & -2147483648); 
BgL_test2492z00_4936 = 
(BgL_arg1350z00_2932==((long)0)); } 
if(BgL_test2492z00_4936)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_2933;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_2934; int32_t BgL_arg1349z00_2935;
BgL_arg1347z00_2934 = 
(int32_t)(BgL_n1z00_2930); 
BgL_arg1349z00_2935 = 
(int32_t)(BgL_n2z00_2931); 
BgL_arg1346z00_2933 = 
(BgL_arg1347z00_2934%BgL_arg1349z00_2935); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_2936;
BgL_arg1454z00_2936 = 
(long)(BgL_arg1346z00_2933); 
BgL_rz00_2929 = 
(long)(BgL_arg1454z00_2936); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_2929 = 
(BgL_n1z00_2930%BgL_n2z00_2931); } } } 
if(
(BgL_rz00_2929==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2007z00_2927 = BgL_qz00_2928; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2929>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2007z00_2927 = 
(BgL_qz00_2928+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res2007z00_2927 = 
(BgL_qz00_2928-((long)1)); } } } 
BgL_octetzd2lenzd2_2926 = BgL_res2007z00_2927; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2937;
BgL_strz00_2937 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1831z00_2924), BgL_octetzd2lenzd2_2926); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2925, ((long)2)), 
((obj_t)BgL_pz00_2429)); 
return 
bgl_display_obj(BgL_strz00_2937, 
((obj_t)BgL_pz00_2429));} } } } }  else 
{ /* Llib/pgp_encode.scm 145 */
 bool_t BgL_test2495z00_4958;
{ /* Llib/pgp_encode.scm 145 */
 bool_t BgL__ortest_1105z00_2938;
BgL__ortest_1105z00_2938 = 
(BgL_casezd2valuezd2_2922==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1105z00_2938)
{ /* Llib/pgp_encode.scm 145 */
BgL_test2495z00_4958 = BgL__ortest_1105z00_2938
; }  else 
{ /* Llib/pgp_encode.scm 145 */
BgL_test2495z00_4958 = 
(BgL_casezd2valuezd2_2922==
CNST_TABLE_REF(((long)10)))
; } } 
if(BgL_test2495z00_4958)
{ /* Llib/pgp_encode.scm 145 */
{ /* Llib/pgp_encode.scm 149 */
 bool_t BgL_test2497z00_4964;
{ /* Llib/pgp_encode.scm 149 */
 obj_t BgL_tmpz00_4965;
BgL_tmpz00_4965 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2428)))->BgL_encryptedzd2sessionzd2keyz00); 
BgL_test2497z00_4964 = 
PAIRP(BgL_tmpz00_4965); } 
if(BgL_test2497z00_4964)
{ /* Llib/pgp_encode.scm 149 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 149 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2152z00zz__openpgpzd2encodezd2, BGl_string2153z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2428)))->BgL_encryptedzd2sessionzd2keyz00)); } } 
{ /* Llib/pgp_encode.scm 153 */
 obj_t BgL_arg1837z00_2939;
BgL_arg1837z00_2939 = 
CAR(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2428)))->BgL_encryptedzd2sessionzd2keyz00)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2940;
BgL_bitzd2lenzd2_2940 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1837z00_2939)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2941;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res2008z00_2942;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2943; long BgL_rz00_2944;
BgL_qz00_2943 = 
(BgL_bitzd2lenzd2_2940/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_2945; long BgL_n2z00_2946;
BgL_n1z00_2945 = BgL_bitzd2lenzd2_2940; 
BgL_n2z00_2946 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2498z00_4978;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_2947;
BgL_arg1350z00_2947 = 
(((BgL_n1z00_2945) | (BgL_n2z00_2946)) & -2147483648); 
BgL_test2498z00_4978 = 
(BgL_arg1350z00_2947==((long)0)); } 
if(BgL_test2498z00_4978)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_2948;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_2949; int32_t BgL_arg1349z00_2950;
BgL_arg1347z00_2949 = 
(int32_t)(BgL_n1z00_2945); 
BgL_arg1349z00_2950 = 
(int32_t)(BgL_n2z00_2946); 
BgL_arg1346z00_2948 = 
(BgL_arg1347z00_2949%BgL_arg1349z00_2950); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_2951;
BgL_arg1454z00_2951 = 
(long)(BgL_arg1346z00_2948); 
BgL_rz00_2944 = 
(long)(BgL_arg1454z00_2951); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_2944 = 
(BgL_n1z00_2945%BgL_n2z00_2946); } } } 
if(
(BgL_rz00_2944==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2008z00_2942 = BgL_qz00_2943; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2944>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2008z00_2942 = 
(BgL_qz00_2943+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res2008z00_2942 = 
(BgL_qz00_2943-((long)1)); } } } 
BgL_octetzd2lenzd2_2941 = BgL_res2008z00_2942; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2952;
BgL_strz00_2952 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1837z00_2939), BgL_octetzd2lenzd2_2941); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2940, ((long)2)), 
((obj_t)BgL_pz00_2429)); 
bgl_display_obj(BgL_strz00_2952, 
((obj_t)BgL_pz00_2429)); } } } } } 
{ /* Llib/pgp_encode.scm 154 */
 obj_t BgL_arg1840z00_2953;
BgL_arg1840z00_2953 = 
CDR(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2428)))->BgL_encryptedzd2sessionzd2keyz00)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2954;
BgL_bitzd2lenzd2_2954 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1840z00_2953)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2955;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res2009z00_2956;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2957; long BgL_rz00_2958;
BgL_qz00_2957 = 
(BgL_bitzd2lenzd2_2954/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_2959; long BgL_n2z00_2960;
BgL_n1z00_2959 = BgL_bitzd2lenzd2_2954; 
BgL_n2z00_2960 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2501z00_5006;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1350z00_2961;
BgL_arg1350z00_2961 = 
(((BgL_n1z00_2959) | (BgL_n2z00_2960)) & -2147483648); 
BgL_test2501z00_5006 = 
(BgL_arg1350z00_2961==((long)0)); } 
if(BgL_test2501z00_5006)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1346z00_2962;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1347z00_2963; int32_t BgL_arg1349z00_2964;
BgL_arg1347z00_2963 = 
(int32_t)(BgL_n1z00_2959); 
BgL_arg1349z00_2964 = 
(int32_t)(BgL_n2z00_2960); 
BgL_arg1346z00_2962 = 
(BgL_arg1347z00_2963%BgL_arg1349z00_2964); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1454z00_2965;
BgL_arg1454z00_2965 = 
(long)(BgL_arg1346z00_2962); 
BgL_rz00_2958 = 
(long)(BgL_arg1454z00_2965); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_2958 = 
(BgL_n1z00_2959%BgL_n2z00_2960); } } } 
if(
(BgL_rz00_2958==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2009z00_2956 = BgL_qz00_2957; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2958>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2009z00_2956 = 
(BgL_qz00_2957+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res2009z00_2956 = 
(BgL_qz00_2957-((long)1)); } } } 
BgL_octetzd2lenzd2_2955 = BgL_res2009z00_2956; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2966;
BgL_strz00_2966 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1840z00_2953), BgL_octetzd2lenzd2_2955); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2954, ((long)2)), 
((obj_t)BgL_pz00_2429)); 
return 
bgl_display_obj(BgL_strz00_2966, 
((obj_t)BgL_pz00_2429));} } } } } }  else 
{ /* Llib/pgp_encode.scm 145 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2152z00zz__openpgpzd2encodezd2, BGl_string2154z00zz__openpgpzd2encodezd2, 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2428)))->BgL_algoz00)));} } } } } 

}



/* &packet->content-tag-1195 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21195z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2430, obj_t BgL_pz00_2431)
{
{ /* Llib/pgp_encode.scm 107 */
return 
CNST_TABLE_REF(((long)29));} 

}



/* &packet->content-tag-1193 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21193z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2432, obj_t BgL_pz00_2433)
{
{ /* Llib/pgp_encode.scm 105 */
return 
CNST_TABLE_REF(((long)25));} 

}



/* &packet->content-tag-1191 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21191z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2434, obj_t BgL_pz00_2435)
{
{ /* Llib/pgp_encode.scm 103 */
return 
CNST_TABLE_REF(((long)30));} 

}



/* &packet->content-tag-1189 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21189z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2436, obj_t BgL_pz00_2437)
{
{ /* Llib/pgp_encode.scm 101 */
return 
CNST_TABLE_REF(((long)31));} 

}



/* &packet->content-tag-1187 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21187z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2438, obj_t BgL_pz00_2439)
{
{ /* Llib/pgp_encode.scm 99 */
return 
CNST_TABLE_REF(((long)32));} 

}



/* &packet->content-tag-1185 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21185z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2440, obj_t BgL_pz00_2441)
{
{ /* Llib/pgp_encode.scm 97 */
return 
CNST_TABLE_REF(((long)33));} 

}



/* &packet->content-tag-1183 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21183z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2442, obj_t BgL_pz00_2443)
{
{ /* Llib/pgp_encode.scm 95 */
return 
CNST_TABLE_REF(((long)34));} 

}



/* &packet->content-tag-1181 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21181z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2444, obj_t BgL_pz00_2445)
{
{ /* Llib/pgp_encode.scm 90 */
if(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_pz00_2445))))->BgL_subkeyzf3zf3))
{ /* Llib/pgp_encode.scm 92 */
return 
CNST_TABLE_REF(((long)35));}  else 
{ /* Llib/pgp_encode.scm 92 */
return 
CNST_TABLE_REF(((long)36));} } 

}



/* &packet->content-tag-1179 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21179z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2446, obj_t BgL_pz00_2447)
{
{ /* Llib/pgp_encode.scm 85 */
if(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_pz00_2447))))->BgL_subkeyzf3zf3))
{ /* Llib/pgp_encode.scm 87 */
return 
CNST_TABLE_REF(((long)37));}  else 
{ /* Llib/pgp_encode.scm 87 */
return 
CNST_TABLE_REF(((long)38));} } 

}



/* &packet->content-tag-1177 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21177z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2448, obj_t BgL_pz00_2449)
{
{ /* Llib/pgp_encode.scm 83 */
return 
CNST_TABLE_REF(((long)39));} 

}



/* &packet->content-tag-1175 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21175z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2450, obj_t BgL_pz00_2451)
{
{ /* Llib/pgp_encode.scm 80 */
return 
CNST_TABLE_REF(((long)40));} 

}



/* &packet->content-tag-1173 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21173z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2452, obj_t BgL_pz00_2453)
{
{ /* Llib/pgp_encode.scm 78 */
return 
CNST_TABLE_REF(((long)41));} 

}



/* &packet->content-tag-1171 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21171z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2454, obj_t BgL_pz00_2455)
{
{ /* Llib/pgp_encode.scm 75 */
return 
CNST_TABLE_REF(((long)42));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2encodezd2(void)
{
{ /* Llib/pgp_encode.scm 1 */
BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(((long)486475050), 
BSTRING_TO_STRING(BGl_string2155z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2conversionzd2(((long)103989188), 
BSTRING_TO_STRING(BGl_string2155z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(((long)485669724), 
BSTRING_TO_STRING(BGl_string2155z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(((long)524611842), 
BSTRING_TO_STRING(BGl_string2155z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2enumszd2(((long)520811633), 
BSTRING_TO_STRING(BGl_string2155z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2s2kzd2(((long)249755061), 
BSTRING_TO_STRING(BGl_string2155z00zz__openpgpzd2encodezd2)); 
return 
BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(((long)364974745), 
BSTRING_TO_STRING(BGl_string2155z00zz__openpgpzd2encodezd2));} 

}

#ifdef __cplusplus
}
#endif
