/*===========================================================================*/
/*   (Llib/pgp_packets.scm)                                                  */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Llib/pgp_packets.scm -o objs/pgp_packets.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_pgpzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2packetzd2_bglt;

typedef struct BgL_pgpzd2sessionzd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2sessionzd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_idz00;
   obj_t BgL_algoz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2sigzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
} *BgL_pgpzd2sigzd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
} *BgL_pgpzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2v3zd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
} *BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2v4zd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
   obj_t BgL_securezd2subzd2packetsz00;
   obj_t BgL_insecurezd2subzd2packetsz00;
} *BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt;

typedef struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_algoz00;
   obj_t BgL_s2kz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   bool_t BgL_containszd2nestedzd2sigzf3zf3;
} *BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2publiczd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
   obj_t BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00;
} *BgL_pgpzd2secretzd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bgl {
   obj_t BgL_secretzd2keyzd2;
} *BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt;

typedef struct BgL_pgpzd2compressedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_packetsz00;
} *BgL_pgpzd2compressedzd2packetz00_bglt;

typedef struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt;

typedef struct BgL_pgpzd2markerzd2packetz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2markerzd2packetz00_bglt;

typedef struct BgL_pgpzd2literalzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   bool_t BgL_forzd2yourzd2eyeszd2onlyzf3z21;
   obj_t BgL_filezd2namezd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_dataz00;
} *BgL_pgpzd2literalzd2packetz00_bglt;

typedef struct BgL_pgpzd2trustzd2packetz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2trustzd2packetz00_bglt;

typedef struct BgL_pgpzd2idzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2idzd2packetz00_bglt;

typedef struct BgL_pgpzd2attributezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2attributezd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
   long BgL_versionz00;
} *BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_hashz00;
} *BgL_pgpzd2mdczd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
} *BgL_pgpzd2signaturezd2subzd2packetzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2genericzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_typez00;
   obj_t BgL_dataz00;
} *BgL_pgpzd2signaturezd2subzd2genericzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_creationzd2datezd2;
} *BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_expirationzd2datezd2;
} *BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2exportablezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_exportablezf3zf3;
} *BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2trustzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   int BgL_levelz00;
   int BgL_amountz00;
} *BgL_pgpzd2signaturezd2subzd2trustzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocablezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_revocablezf3zf3;
} *BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   long BgL_expirationzd2timezd2;
} *BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocationzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   char BgL_claza7za7z00;
   bool_t BgL_sensitivezf3zf3;
   char BgL_algidz00;
   obj_t BgL_fingerprintz00;
} *BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_keyzd2idzd2;
} *BgL_pgpzd2signaturezd2subzd2idzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2notationzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_valuez00;
} *BgL_pgpzd2signaturezd2subzd2notationzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_serverz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_primaryzf3zf3;
} *BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2policyzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_urlz00;
} *BgL_pgpzd2signaturezd2subzd2policyzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_idz00;
} *BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_codez00;
   obj_t BgL_reasonz00;
} *BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt;


static obj_t BGl_z62lambda1766z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1767z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1848z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1849z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda1931z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31935ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda1933z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1692z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1693z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BGl_z62lambda1855z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BGl_z62lambda1857z62zz__openpgpzd2packetszd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda1940z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1941z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BGl_z62lambda1865z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1946z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1947z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BGl_z62lambda1867z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1788z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1789z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1952z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1953z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31589ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1873z62zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda1874z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1958z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1959z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1879z62zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31954ze3ze5zz__openpgpzd2packetszd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda1880z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1963z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1964z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1886z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1968z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1888z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1969z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2packetszd2(void);
static obj_t BGl_z62zc3z04anonymousza31890ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1973z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1974z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1894z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1895z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1899z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BGl_z62lambda1980z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31859ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BGl_z62lambda1982z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2packetszd2(void);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32105ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__openpgpzd2packetszd2(void);
static BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda1990z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda1992z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1998z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1999z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32130ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31869ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32115ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31984ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32060ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__openpgpzd2packetszd2(void);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32045ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2v3zd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32160ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32322ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32242ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda2006z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32145ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32307ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda2009z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda2012z62zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2019z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2020z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2trustzd2packetz00_bglt BGl_z62lambda2101z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2trustzd2packetz00_bglt BGl_z62lambda2103z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32422ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2compressedzd2packetz00_bglt BGl_z62lambda2026z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2compressedzd2packetz00_bglt BGl_z62lambda2028z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda2111z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda2113z62zz__openpgpzd2packetszd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda2034z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32407ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2035z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2119z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2120z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2201z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2202z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2041z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2043z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2attributezd2packetz00_bglt BGl_z62lambda2126z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BGl_z62lambda2208z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2attributezd2packetz00_bglt BGl_z62lambda2128z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2049z62zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t bgl_nanoseconds_to_date(BGL_LONGLONG_T);
static BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BGl_z62lambda2210z62zz__openpgpzd2packetszd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda2050z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32352ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32182ze3ze5zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2134z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2135z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2216z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2217z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2markerzd2packetz00_bglt BGl_z62lambda2056z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2markerzd2packetz00_bglt BGl_z62lambda2058z62zz__openpgpzd2packetszd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Attributezd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BGl_z62lambda2141z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BGl_z62lambda2303z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BGl_z62lambda2223z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BGl_z62lambda2143z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BGl_z62lambda2305z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32175ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BGl_z62lambda2225z62zz__openpgpzd2packetszd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2 = BUNSPEC;
static BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2066z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2068z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2149z62zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda2311z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2150z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2231z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2312z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2232z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32192ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32257ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2074z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2075z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2mdczd2packetz00_bglt BGl_z62lambda2156z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BGl_z62lambda2318z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BGl_z62lambda2238z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2mdczd2packetz00_bglt BGl_z62lambda2158z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2packetszd2(void);
static obj_t BGl_z62lambda2079z62zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2packetszd2(void);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BGl_z62lambda2320z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BGl_z62lambda2240z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2packetszd2(void);
static BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BGl_z62lambda2403z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32452ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2080z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BGl_z62lambda2405z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31618ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2164z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2326z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2084z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2165z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2246z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2327z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda2085z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2247z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2089z62zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda2411z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2331z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2412z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2332z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2090z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BGl_z62lambda2171z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BGl_z62lambda2253z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32437ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2sessionzd2keyzd2packetzd2_bglt BGl_z62lambda1606z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BGl_z62lambda2173z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BGl_z62lambda2255z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2336z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2094z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2337z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BGl_z62lambda2418z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2095z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BGl_z62lambda2420z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31741ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31822ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2341z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2180z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2261z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32292ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2342z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2181z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2262z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2426z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2427z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2266z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2267z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2idzd2_bglt BGl_z62lambda2348z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BGl_z62lambda2188z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31920ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2idzd2_bglt BGl_z62lambda2350z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1704z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BGl_z62lambda2190z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BGl_z62lambda2433z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1705z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BGl_z62lambda2273z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32277ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BGl_z62lambda2435z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BGl_z62lambda2275z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2356z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2357z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2196z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2197z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_nanoseconds(void);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda1712z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2441z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1713z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2442z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2281z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2282z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BGl_z62lambda2363z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32367ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BGl_z62lambda2365z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BGl_z62lambda2448z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BGl_z62lambda2288z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BGl_z62lambda2450z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32392ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BGl_z62lambda2290z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2371z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2372z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1806z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1726z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1807z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda1727z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2456z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2376z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2457z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2296z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2377z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2297z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32482ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1651z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2sigzd2packetz00_bglt BGl_z62lambda1733z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2381z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2382z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BGl_z62lambda2463z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BGl_z62lambda2465z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2packetz00_bglt BGl_z62lambda1818z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2 = BUNSPEC;
static BgL_pgpzd2sigzd2packetz00_bglt BGl_z62lambda1739z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BGl_z62lambda2388z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1900z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2packetz00_bglt BGl_z62lambda1820z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31665ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1904z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BGl_z62lambda2390z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2471z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1905z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2472z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32467ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1663z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1745z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1826z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1746z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1827z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2packetzd2_bglt BGl_z62lambda1585z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1909z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2396z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2packetzd2_bglt BGl_z62lambda1587z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2397z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BGl_z62lambda2478z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1910z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1831z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1832z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BGl_z62lambda2480z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BGl_z62lambda1916z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1836z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1756z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1837z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BGl_z62lambda1918z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1757z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2486z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2487z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31942ze3ze5zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1843z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1924z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2491z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1844z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1925z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2492z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t __cnst[ 102 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2500z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1705za7622758z00, BGl_z62lambda1705z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2501z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1704za7622759z00, BGl_z62lambda1704z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2502z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1713za7622760z00, BGl_z62lambda1713z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1712za7622761z00, BGl_z62lambda1712z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1727za7622762z00, BGl_z62lambda1727z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2505z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1726za7622763z00, BGl_z62lambda1726z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2506z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2764za7, BGl_z62zc3z04anonymousza31665ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1663za7622765z00, BGl_z62lambda1663z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1651za7622766z00, BGl_z62lambda1651z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1746za7622767z00, BGl_z62lambda1746z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1745za7622768z00, BGl_z62lambda1745z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2511z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1757za7622769z00, BGl_z62lambda1757z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2512z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1756za7622770z00, BGl_z62lambda1756z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1767za7622771z00, BGl_z62lambda1767z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1766za7622772z00, BGl_z62lambda1766z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1789za7622773z00, BGl_z62lambda1789z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1788za7622774z00, BGl_z62lambda1788z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1807za7622775z00, BGl_z62lambda1807z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2518z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1806za7622776z00, BGl_z62lambda1806z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2519z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2777za7, BGl_z62zc3z04anonymousza31741ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2049za7622778z00, BGl_z62lambda2049z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2779za7, BGl_z62zc3z04anonymousza32045ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1739za7622780z00, BGl_z62lambda1739z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2043za7622781z00, BGl_z62lambda2043z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1733za7622782z00, BGl_z62lambda1733z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2603z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2041za7622783z00, BGl_z62lambda2041z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1827za7622784z00, BGl_z62lambda1827z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2604z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2785za7, BGl_z62zc3z04anonymousza32060ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1826za7622786z00, BGl_z62lambda1826z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2605z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2058za7622787z00, BGl_z62lambda2058z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1832za7622788z00, BGl_z62lambda1832z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2056za7622789z00, BGl_z62lambda2056z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1831za7622790z00, BGl_z62lambda1831z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2075za7622791z00, BGl_z62lambda2075z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1837za7622792z00, BGl_z62lambda1837z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2608z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2074za7622793z00, BGl_z62lambda2074z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1836za7622794z00, BGl_z62lambda1836z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2080za7622795z00, BGl_z62lambda2080z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1844za7622796z00, BGl_z62lambda1844z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1843za7622797z00, BGl_z62lambda1843z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2610z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2079za7622798z00, BGl_z62lambda2079z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2085za7622799z00, BGl_z62lambda2085z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1849za7622800z00, BGl_z62lambda1849z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2084za7622801z00, BGl_z62lambda2084z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1848za7622802z00, BGl_z62lambda1848z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2613z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2090za7622803z00, BGl_z62lambda2090z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2532z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2804za7, BGl_z62zc3z04anonymousza31822ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2614z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2089za7622805z00, BGl_z62lambda2089z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2533z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1820za7622806z00, BGl_z62lambda1820z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2615z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2095za7622807z00, BGl_z62lambda2095z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1818za7622808z00, BGl_z62lambda1818z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2094za7622809z00, BGl_z62lambda2094z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2810za7, BGl_z62zc3z04anonymousza31859ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2811za7, BGl_z62zc3z04anonymousza32070ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1857za7622812z00, BGl_z62lambda1857z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2618z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2068za7622813z00, BGl_z62lambda2068z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2537z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1855za7622814z00, BGl_z62lambda1855z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2619z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2066za7622815z00, BGl_z62lambda2066z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1874za7622816z00, BGl_z62lambda1874z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1873za7622817z00, BGl_z62lambda1873z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2700z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2341za7622818z00, BGl_z62lambda2341z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2701z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2819za7, BGl_z62zc3z04anonymousza32322ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2620z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2820za7, BGl_z62zc3z04anonymousza32105ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2702z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2320za7622821z00, BGl_z62lambda2320z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2103za7622822z00, BGl_z62lambda2103z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1880za7622823z00, BGl_z62lambda1880z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2703z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2318za7622824z00, BGl_z62lambda2318z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2101za7622825z00, BGl_z62lambda2101z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1879za7622826z00, BGl_z62lambda1879z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2704z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2357za7622827z00, BGl_z62lambda2357z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2623z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2120za7622828z00, BGl_z62lambda2120z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2829za7, BGl_z62zc3z04anonymousza31869ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2705z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2356za7622830z00, BGl_z62lambda2356z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2624z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2119za7622831z00, BGl_z62lambda2119z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1867za7622832z00, BGl_z62lambda1867z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2706z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2833za7, BGl_z62zc3z04anonymousza32352ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2625z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2834za7, BGl_z62zc3z04anonymousza32115ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1865za7622835z00, BGl_z62lambda1865z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2707z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2350za7622836z00, BGl_z62lambda2350z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2626z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2113za7622837z00, BGl_z62lambda2113z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1895za7622838z00, BGl_z62lambda1895z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2708z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2348za7622839z00, BGl_z62lambda2348z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2111za7622840z00, BGl_z62lambda2111z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1894za7622841z00, BGl_z62lambda1894z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2709z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2372za7622842z00, BGl_z62lambda2372z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2135za7622843z00, BGl_z62lambda2135z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1900za7622844z00, BGl_z62lambda1900z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2629z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2134za7622845z00, BGl_z62lambda2134z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1899za7622846z00, BGl_z62lambda1899z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1905za7622847z00, BGl_z62lambda1905z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2710z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2371za7622848z00, BGl_z62lambda2371z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2711z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2377za7622849z00, BGl_z62lambda2377z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2630z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2850za7, BGl_z62zc3z04anonymousza32130ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2712z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2376za7622851z00, BGl_z62lambda2376z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2631z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2128za7622852z00, BGl_z62lambda2128z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2550z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1904za7622853z00, BGl_z62lambda1904z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2713z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2382za7622854z00, BGl_z62lambda2382z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2632z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2126za7622855z00, BGl_z62lambda2126z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2551z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1910za7622856z00, BGl_z62lambda1910z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2714z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2381za7622857z00, BGl_z62lambda2381z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2633z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2150za7622858z00, BGl_z62lambda2150z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1909za7622859z00, BGl_z62lambda1909z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2715z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2860za7, BGl_z62zc3z04anonymousza32367ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2634z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2149za7622861z00, BGl_z62lambda2149z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2862za7, BGl_z62zc3z04anonymousza31890ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2716z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2365za7622863z00, BGl_z62lambda2365z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2635z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2864za7, BGl_z62zc3z04anonymousza32145ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1888za7622865z00, BGl_z62lambda1888z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2717z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2363za7622866z00, BGl_z62lambda2363z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2636z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2143za7622867z00, BGl_z62lambda2143z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1886za7622868z00, BGl_z62lambda1886z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2718z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2397za7622869z00, BGl_z62lambda2397z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2141za7622870z00, BGl_z62lambda2141z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2556z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1925za7622871z00, BGl_z62lambda1925z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2719z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2396za7622872z00, BGl_z62lambda2396z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2638z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2165za7622873z00, BGl_z62lambda2165z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1924za7622874z00, BGl_z62lambda1924z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2639z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2164za7622875z00, BGl_z62lambda2164z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2876za7, BGl_z62zc3z04anonymousza31920ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1918za7622877z00, BGl_z62lambda1918z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2720z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2878za7, BGl_z62zc3z04anonymousza32392ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2721z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2390za7622879z00, BGl_z62lambda2390z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2640z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2880za7, BGl_z62zc3z04anonymousza32160ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2722z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2388za7622881z00, BGl_z62lambda2388z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2158za7622882z00, BGl_z62lambda2158z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1916za7622883z00, BGl_z62lambda1916z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2723z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2412za7622884z00, BGl_z62lambda2412z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2156za7622885z00, BGl_z62lambda2156z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2886za7, BGl_z62zc3z04anonymousza31942ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2724z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2411za7622887z00, BGl_z62lambda2411z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2643z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2888za7, BGl_z62zc3z04anonymousza32182ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1941za7622889z00, BGl_z62lambda1941z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2725z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2890za7, BGl_z62zc3z04anonymousza32407ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2644z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2181za7622891z00, BGl_z62lambda2181z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1940za7622892z00, BGl_z62lambda1940z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2726z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2405za7622893z00, BGl_z62lambda2405z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2645z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2180za7622894z00, BGl_z62lambda2180z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1947za7622895z00, BGl_z62lambda1947z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2727z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2403za7622896z00, BGl_z62lambda2403z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2646z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2897za7, BGl_z62zc3z04anonymousza32175ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2565z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1946za7622898z00, BGl_z62lambda1946z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2728z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2427za7622899z00, BGl_z62lambda2427z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2647z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2173za7622900z00, BGl_z62lambda2173z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2901za7, BGl_z62zc3z04anonymousza31954ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2729z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2426za7622902z00, BGl_z62lambda2426z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2648z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2171za7622903z00, BGl_z62lambda2171z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1953za7622904z00, BGl_z62lambda1953z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2649z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2197za7622905z00, BGl_z62lambda2197z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1952za7622906z00, BGl_z62lambda1952z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1959za7622907z00, BGl_z62lambda1959z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2730z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2908za7, BGl_z62zc3z04anonymousza32422ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2731z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2420za7622909z00, BGl_z62lambda2420z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2650z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2196za7622910z00, BGl_z62lambda2196z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2732z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2418za7622911z00, BGl_z62lambda2418z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2651z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2202za7622912z00, BGl_z62lambda2202z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1958za7622913z00, BGl_z62lambda1958z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2733z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2442za7622914z00, BGl_z62lambda2442z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2652z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2201za7622915z00, BGl_z62lambda2201z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2571z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1964za7622916z00, BGl_z62lambda1964z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2734z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2441za7622917z00, BGl_z62lambda2441z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2653z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2918za7, BGl_z62zc3z04anonymousza32192ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1963za7622919z00, BGl_z62lambda1963z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2735z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2920za7, BGl_z62zc3z04anonymousza32437ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2654z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2190za7622921z00, BGl_z62lambda2190z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1969za7622922z00, BGl_z62lambda1969z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2736z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2435za7622923z00, BGl_z62lambda2435z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2655z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2188za7622924z00, BGl_z62lambda2188z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1968za7622925z00, BGl_z62lambda1968z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2493z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2926za7, BGl_z62zc3z04anonymousza31589ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2737z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2433za7622927z00, BGl_z62lambda2433z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2656z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2217za7622928z00, BGl_z62lambda2217z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1974za7622929z00, BGl_z62lambda1974z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2494z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1587za7622930z00, BGl_z62lambda1587z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2738z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2457za7622931z00, BGl_z62lambda2457z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2657z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2216za7622932z00, BGl_z62lambda2216z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2576z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1973za7622933z00, BGl_z62lambda1973z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1585za7622934z00, BGl_z62lambda1585z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2739z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2456za7622935z00, BGl_z62lambda2456z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2658z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2936za7, BGl_z62zc3z04anonymousza32212ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2937za7, BGl_z62zc3z04anonymousza31935ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2496z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2938za7, BGl_z62zc3z04anonymousza31618ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2659z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2210za7622939z00, BGl_z62lambda2210z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1933za7622940z00, BGl_z62lambda1933z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2497z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1606za7622941z00, BGl_z62lambda1606z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1931za7622942z00, BGl_z62lambda1931z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1693za7622943z00, BGl_z62lambda1693z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1692za7622944z00, BGl_z62lambda1692z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2740z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2945za7, BGl_z62zc3z04anonymousza32452ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2741z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2450za7622946z00, BGl_z62lambda2450z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2660z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2208za7622947z00, BGl_z62lambda2208z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2742z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2448za7622948z00, BGl_z62lambda2448z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2661z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2232za7622949z00, BGl_z62lambda2232z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2580z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2950za7, BGl_z62zc3z04anonymousza31984ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2743z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2472za7622951z00, BGl_z62lambda2472z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2662z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2231za7622952z00, BGl_z62lambda2231z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1982za7622953z00, BGl_z62lambda1982z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2744z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2471za7622954z00, BGl_z62lambda2471z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2663z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2955za7, BGl_z62zc3z04anonymousza32227ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1980za7622956z00, BGl_z62lambda1980z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2745z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2957za7, BGl_z62zc3z04anonymousza32467ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2664z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2225za7622958z00, BGl_z62lambda2225z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1999za7622959z00, BGl_z62lambda1999z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2746z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2465za7622960z00, BGl_z62lambda2465z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2665z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2223za7622961z00, BGl_z62lambda2223z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1998za7622962z00, BGl_z62lambda1998z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2747z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2463za7622963z00, BGl_z62lambda2463z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2666z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2247za7622964z00, BGl_z62lambda2247z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2965za7, BGl_z62zc3z04anonymousza31994ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2748z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2487za7622966z00, BGl_z62lambda2487z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2667z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2246za7622967z00, BGl_z62lambda2246z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1992za7622968z00, BGl_z62lambda1992z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2755z00zz__openpgpzd2packetszd2, BgL_bgl_string2755za700za7za7_2969za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2749z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2486za7622970z00, BGl_z62lambda2486z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2668z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2971za7, BGl_z62zc3z04anonymousza32242ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1990za7622972z00, BGl_z62lambda1990z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 8 );
DEFINE_STRING( BGl_string2756z00zz__openpgpzd2packetszd2, BgL_bgl_string2756za700za7za7_2973za7, "_ PGP-Signature-Sub-Revocation-Reason reason code PGP-Signature-Sub-Signer-ID PGP-Signature-Sub-Policy url PGP-Signature-Sub-Primary-ID primary? PGP-Signature-Sub-Preferred-Key-Server server PGP-Signature-Sub-Preferred-Compression PGP-Signature-Sub-Preferred-Hash PGP-Signature-Sub-Notation value name flags PGP-Signature-Sub-ID key-id PGP-Signature-Sub-Revocation fingerprint algid sensitive? byte clazz PGP-Signature-Sub-Preferred-Symmetric algos PGP-Signature-Sub-Key-Expiration-Time expiration-time PGP-Signature-Sub-Revocable revocable? PGP-Signature-Sub-Trust amount int level PGP-Signature-Sub-Exportable exportable? PGP-Signature-Sub-Expiration-Time expiration-date PGP-Signature-Sub-Creation-Time PGP-Signature-Sub-Generic type PGP-Signature-Sub-Packet critical? PGP-MDC-Packet hash PGP-MDC-Symmetrically-Encrypted-Packet PGP-Attribute-Packet PGP-ID-Packet PGP-Trust-Packet PGP-Literal-Packet file-name for-your-eyes-only? format PGP-Marker-Packet PGP-Symmetrically-Encrypted-Packet data PGP-Compressed-Packet packe"
"ts PGP-Secret-Key-Decoded-Packet secret-key PGP-Secret-Key-Packet password-protected-secret-key-data PGP-Public-Key-Packet PGP-Key-Packet key valid-days subkey? PGP-One-Pass-Signature-Packet bool contains-nested-sig? PGP-Symmetric-Key-Encrypted-Session-Key-Packet s2k PGP-Signature-v4-Packet insecure-sub-packets pair-nil secure-sub-packets PGP-Signature-v3-Packet PGP-Signature-Packet left-hash hash-trailer signed-packet-prefix signature date creation-date PGP-Sig-Packet hash-algo public-key-algo issuer signature-type PGP-Public-Key-Encrypted-Session-Key-Packet obj encrypted-session-key symbol algo bstring id long version PGP-Session-Key-Packet __openpgp-packets PGP-Packet ", 1704 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2669z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2240za7622974z00, BGl_z62lambda2240z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2588z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2020za7622975z00, BGl_z62lambda2020z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2589z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2019za7622976z00, BGl_z62lambda2019z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2750z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2492za7622977z00, BGl_z62lambda2492z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2751z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2491za7622978z00, BGl_z62lambda2491z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2670z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2238za7622979z00, BGl_z62lambda2238z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2752z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2980za7, BGl_z62zc3z04anonymousza32482ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2671z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2262za7622981z00, BGl_z62lambda2262z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2590z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2012za7622982z00, BGl_z62lambda2012z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2753z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2480za7622983z00, BGl_z62lambda2480z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2672z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2261za7622984z00, BGl_z62lambda2261z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2985za7, BGl_z62zc3z04anonymousza32011ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2754z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2478za7622986z00, BGl_z62lambda2478z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2673z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2267za7622987z00, BGl_z62lambda2267z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2009za7622988z00, BGl_z62lambda2009z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2674z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2266za7622989z00, BGl_z62lambda2266z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2006za7622990z00, BGl_z62lambda2006z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2675z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2991za7, BGl_z62zc3z04anonymousza32257ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2035za7622992z00, BGl_z62lambda2035z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2676z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2255za7622993z00, BGl_z62lambda2255z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2034za7622994z00, BGl_z62lambda2034z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2677z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2253za7622995z00, BGl_z62lambda2253z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2996za7, BGl_z62zc3z04anonymousza32030ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2678z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2282za7622997z00, BGl_z62lambda2282z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2028za7622998z00, BGl_z62lambda2028z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2679z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2281za7622999z00, BGl_z62lambda2281z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2026za7623000z00, BGl_z62lambda2026z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2050za7623001z00, BGl_z62lambda2050z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2680z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo3002za7, BGl_z62zc3z04anonymousza32277ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2681z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2275za7623003z00, BGl_z62lambda2275z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2682z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2273za7623004z00, BGl_z62lambda2273z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2683z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2297za7623005z00, BGl_z62lambda2297z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2684z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2296za7623006z00, BGl_z62lambda2296z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2685z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo3007za7, BGl_z62zc3z04anonymousza32292ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2686z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2290za7623008z00, BGl_z62lambda2290z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2687z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2288za7623009z00, BGl_z62lambda2288z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2688z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2312za7623010z00, BGl_z62lambda2312z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2689z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2311za7623011z00, BGl_z62lambda2311z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2690z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo3012za7, BGl_z62zc3z04anonymousza32307ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2691z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2305za7623013z00, BGl_z62lambda2305z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2692z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2303za7623014z00, BGl_z62lambda2303z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2693z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2327za7623015z00, BGl_z62lambda2327z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2694z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2326za7623016z00, BGl_z62lambda2326z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2695z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2332za7623017z00, BGl_z62lambda2332z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2696z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2331za7623018z00, BGl_z62lambda2331z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2697z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2337za7623019z00, BGl_z62lambda2337z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2698z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2336za7623020z00, BGl_z62lambda2336z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2699z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2342za7623021z00, BGl_z62lambda2342z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2v3zd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Attributezd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(long BgL_checksumz00_3583, char * BgL_fromz00_3584)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2packetszd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2packetszd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2packetszd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2packetszd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2packetszd2(); 
BGl_objectzd2initzd2zz__openpgpzd2packetszd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2packetszd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2packetszd2(void)
{
{ /* Llib/pgp_packets.scm 1 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__openpgp-packets"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-packets"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__openpgp-packets"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-packets"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__openpgp-packets"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__openpgp-packets"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__openpgp-packets"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2packetszd2(void)
{
{ /* Llib/pgp_packets.scm 1 */
{ /* Llib/pgp_packets.scm 1 */
 obj_t BgL_cportz00_3001;
{ /* Llib/pgp_packets.scm 1 */
 obj_t BgL_stringz00_3008;
BgL_stringz00_3008 = BGl_string2756z00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_packets.scm 1 */
 obj_t BgL_startz00_3009;
BgL_startz00_3009 = 
BINT(((long)0)); 
{ /* Llib/pgp_packets.scm 1 */
 obj_t BgL_endz00_3010;
BgL_endz00_3010 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_3008))); 
{ /* Llib/pgp_packets.scm 1 */

BgL_cportz00_3001 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_3008, BgL_startz00_3009, BgL_endz00_3010); } } } } 
{ 
 long BgL_iz00_3002;
BgL_iz00_3002 = ((long)101); 
BgL_loopz00_3003:
if(
(BgL_iz00_3002==((long)-1)))
{ /* Llib/pgp_packets.scm 1 */
return BUNSPEC;}  else 
{ /* Llib/pgp_packets.scm 1 */
{ /* Llib/pgp_packets.scm 1 */
 obj_t BgL_arg2757z00_3004;
{ /* Llib/pgp_packets.scm 1 */

{ /* Llib/pgp_packets.scm 1 */
 obj_t BgL_locationz00_3006;
BgL_locationz00_3006 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pgp_packets.scm 1 */

BgL_arg2757z00_3004 = 
BGl_readz00zz__readerz00(BgL_cportz00_3001, BgL_locationz00_3006); } } } 
{ /* Llib/pgp_packets.scm 1 */
 int BgL_tmpz00_3609;
BgL_tmpz00_3609 = 
(int)(BgL_iz00_3002); 
CNST_TABLE_SET(BgL_tmpz00_3609, BgL_arg2757z00_3004); } } 
{ /* Llib/pgp_packets.scm 1 */
 int BgL_auxz00_3007;
BgL_auxz00_3007 = 
(int)(
(BgL_iz00_3002-((long)1))); 
{ 
 long BgL_iz00_3614;
BgL_iz00_3614 = 
(long)(BgL_auxz00_3007); 
BgL_iz00_3002 = BgL_iz00_3614; 
goto BgL_loopz00_3003;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2packetszd2(void)
{
{ /* Llib/pgp_packets.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2packetszd2(void)
{
{ /* Llib/pgp_packets.scm 1 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2packetszd2(void)
{
{ /* Llib/pgp_packets.scm 1 */
{ /* Llib/pgp_packets.scm 3 */
 obj_t BgL_arg1575z00_14; obj_t BgL_arg1584z00_15;
{ /* Llib/pgp_packets.scm 3 */
 obj_t BgL_v1394z00_25;
BgL_v1394z00_25 = 
create_vector(((long)0)); 
BgL_arg1575z00_14 = BgL_v1394z00_25; } 
{ /* Llib/pgp_packets.scm 3 */
 obj_t BgL_v1395z00_26;
BgL_v1395z00_26 = 
create_vector(((long)0)); 
BgL_arg1584z00_15 = BgL_v1395z00_26; } 
BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_objectz00zz__objectz00, ((long)34311), BGl_proc2495z00zz__openpgpzd2packetszd2, BGl_proc2494z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2493z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1575z00_14, BgL_arg1584z00_15); } 
{ /* Llib/pgp_packets.scm 4 */
 obj_t BgL_arg1604z00_32; obj_t BgL_arg1605z00_33;
{ /* Llib/pgp_packets.scm 4 */
 obj_t BgL_v1396z00_39;
BgL_v1396z00_39 = 
create_vector(((long)0)); 
BgL_arg1604z00_32 = BgL_v1396z00_39; } 
{ /* Llib/pgp_packets.scm 4 */
 obj_t BgL_v1397z00_40;
BgL_v1397z00_40 = 
create_vector(((long)0)); 
BgL_arg1605z00_33 = BgL_v1397z00_40; } 
BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)39181), BFALSE, BGl_proc2497z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2496z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1604z00_32, BgL_arg1605z00_33); } 
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_arg1631z00_46; obj_t BgL_arg1650z00_47;
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_v1398z00_61;
BgL_v1398z00_61 = 
create_vector(((long)4)); 
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_arg1670z00_62;
BgL_arg1670z00_62 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc2499z00zz__openpgpzd2packetszd2, BGl_proc2498z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1398z00_61,((long)0),BgL_arg1670z00_62); } 
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_arg1694z00_72;
BgL_arg1694z00_72 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc2501z00zz__openpgpzd2packetszd2, BGl_proc2500z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1398z00_61,((long)1),BgL_arg1694z00_72); } 
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_arg1708z00_82;
BgL_arg1708z00_82 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2503z00zz__openpgpzd2packetszd2, BGl_proc2502z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1398z00_61,((long)2),BgL_arg1708z00_82); } 
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_arg1714z00_92;
BgL_arg1714z00_92 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2505z00zz__openpgpzd2packetszd2, BGl_proc2504z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1398z00_61,((long)3),BgL_arg1714z00_92); } 
BgL_arg1631z00_46 = BgL_v1398z00_61; } 
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_v1399z00_102;
BgL_v1399z00_102 = 
create_vector(((long)0)); 
BgL_arg1650z00_47 = BgL_v1399z00_102; } 
BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, ((long)41951), BGl_proc2508z00zz__openpgpzd2packetszd2, BGl_proc2507z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2506z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1631z00_46, BgL_arg1650z00_47); } 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_arg1731z00_109; obj_t BgL_arg1732z00_110;
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_v1400z00_125;
BgL_v1400z00_125 = 
create_vector(((long)5)); 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_arg1742z00_126;
BgL_arg1742z00_126 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc2510z00zz__openpgpzd2packetszd2, BGl_proc2509z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1400z00_125,((long)0),BgL_arg1742z00_126); } 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_arg1747z00_136;
BgL_arg1747z00_136 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc2512z00zz__openpgpzd2packetszd2, BGl_proc2511z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1400z00_125,((long)1),BgL_arg1747z00_136); } 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_arg1758z00_146;
BgL_arg1758z00_146 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc2514z00zz__openpgpzd2packetszd2, BGl_proc2513z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1400z00_125,((long)2),BgL_arg1758z00_146); } 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_arg1769z00_156;
BgL_arg1769z00_156 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc2516z00zz__openpgpzd2packetszd2, BGl_proc2515z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1400z00_125,((long)3),BgL_arg1769z00_156); } 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_arg1792z00_166;
BgL_arg1792z00_166 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc2518z00zz__openpgpzd2packetszd2, BGl_proc2517z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1400z00_125,((long)4),BgL_arg1792z00_166); } 
BgL_arg1731z00_109 = BgL_v1400z00_125; } 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_v1401z00_176;
BgL_v1401z00_176 = 
create_vector(((long)0)); 
BgL_arg1732z00_110 = BgL_v1401z00_176; } 
BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)16)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)56552), BGl_proc2521z00zz__openpgpzd2packetszd2, BGl_proc2520z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2519z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1731z00_109, BgL_arg1732z00_110); } 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_arg1816z00_183; obj_t BgL_arg1817z00_184;
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_v1402z00_204;
BgL_v1402z00_204 = 
create_vector(((long)5)); 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_arg1823z00_205;
BgL_arg1823z00_205 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc2523z00zz__openpgpzd2packetszd2, BGl_proc2522z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1402z00_204,((long)0),BgL_arg1823z00_205); } 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_arg1828z00_215;
BgL_arg1828z00_215 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc2525z00zz__openpgpzd2packetszd2, BGl_proc2524z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1402z00_204,((long)1),BgL_arg1828z00_215); } 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_arg1833z00_225;
BgL_arg1833z00_225 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc2527z00zz__openpgpzd2packetszd2, BGl_proc2526z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1402z00_204,((long)2),BgL_arg1833z00_225); } 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_arg1839z00_235;
BgL_arg1839z00_235 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_proc2529z00zz__openpgpzd2packetszd2, BGl_proc2528z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1402z00_204,((long)3),BgL_arg1839z00_235); } 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_arg1845z00_245;
BgL_arg1845z00_245 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc2531z00zz__openpgpzd2packetszd2, BGl_proc2530z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1402z00_204,((long)4),BgL_arg1845z00_245); } 
BgL_arg1816z00_183 = BgL_v1402z00_204; } 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_v1403z00_255;
BgL_v1403z00_255 = 
create_vector(((long)0)); 
BgL_arg1817z00_184 = BgL_v1403z00_255; } 
BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)23)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2, ((long)10703), BGl_proc2534z00zz__openpgpzd2packetszd2, BGl_proc2533z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2532z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1816z00_183, BgL_arg1817z00_184); } 
{ /* Llib/pgp_packets.scm 27 */
 obj_t BgL_arg1853z00_262; obj_t BgL_arg1854z00_263;
{ /* Llib/pgp_packets.scm 27 */
 obj_t BgL_v1404z00_283;
BgL_v1404z00_283 = 
create_vector(((long)0)); 
BgL_arg1853z00_262 = BgL_v1404z00_283; } 
{ /* Llib/pgp_packets.scm 27 */
 obj_t BgL_v1405z00_284;
BgL_v1405z00_284 = 
create_vector(((long)0)); 
BgL_arg1854z00_263 = BgL_v1405z00_284; } 
BGl_PGPzd2Signaturezd2v3zd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)24)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2, ((long)284), BGl_proc2537z00zz__openpgpzd2packetszd2, BGl_proc2536z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2535z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1853z00_262, BgL_arg1854z00_263); } 
{ /* Llib/pgp_packets.scm 28 */
 obj_t BgL_arg1863z00_291; obj_t BgL_arg1864z00_292;
{ /* Llib/pgp_packets.scm 28 */
 obj_t BgL_v1406z00_314;
BgL_v1406z00_314 = 
create_vector(((long)2)); 
{ /* Llib/pgp_packets.scm 28 */
 obj_t BgL_arg1870z00_315;
BgL_arg1870z00_315 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc2539z00zz__openpgpzd2packetszd2, BGl_proc2538z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1406z00_314,((long)0),BgL_arg1870z00_315); } 
{ /* Llib/pgp_packets.scm 28 */
 obj_t BgL_arg1875z00_325;
BgL_arg1875z00_325 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc2541z00zz__openpgpzd2packetszd2, BGl_proc2540z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1406z00_314,((long)1),BgL_arg1875z00_325); } 
BgL_arg1863z00_291 = BgL_v1406z00_314; } 
{ /* Llib/pgp_packets.scm 28 */
 obj_t BgL_v1407z00_335;
BgL_v1407z00_335 = 
create_vector(((long)0)); 
BgL_arg1864z00_292 = BgL_v1407z00_335; } 
BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)28)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2, ((long)8690), BGl_proc2544z00zz__openpgpzd2packetszd2, BGl_proc2543z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2542z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1863z00_291, BgL_arg1864z00_292); } 
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_arg1884z00_342; obj_t BgL_arg1885z00_343;
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_v1408z00_357;
BgL_v1408z00_357 = 
create_vector(((long)4)); 
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_arg1891z00_358;
BgL_arg1891z00_358 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc2546z00zz__openpgpzd2packetszd2, BGl_proc2545z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1408z00_357,((long)0),BgL_arg1891z00_358); } 
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_arg1896z00_368;
BgL_arg1896z00_368 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2548z00zz__openpgpzd2packetszd2, BGl_proc2547z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1408z00_357,((long)1),BgL_arg1896z00_368); } 
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_arg1901z00_378;
BgL_arg1901z00_378 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc2550z00zz__openpgpzd2packetszd2, BGl_proc2549z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1408z00_357,((long)2),BgL_arg1901z00_378); } 
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_arg1906z00_388;
BgL_arg1906z00_388 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2552z00zz__openpgpzd2packetszd2, BGl_proc2551z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1408z00_357,((long)3),BgL_arg1906z00_388); } 
BgL_arg1884z00_342 = BgL_v1408z00_357; } 
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_v1409z00_398;
BgL_v1409z00_398 = 
create_vector(((long)0)); 
BgL_arg1885z00_343 = BgL_v1409z00_398; } 
BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)30)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, ((long)36207), BGl_proc2555z00zz__openpgpzd2packetszd2, BGl_proc2554z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2553z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1884z00_342, BgL_arg1885z00_343); } 
{ /* Llib/pgp_packets.scm 39 */
 obj_t BgL_arg1914z00_405; obj_t BgL_arg1915z00_406;
{ /* Llib/pgp_packets.scm 39 */
 obj_t BgL_v1410z00_422;
BgL_v1410z00_422 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 39 */
 obj_t BgL_arg1921z00_423;
BgL_arg1921z00_423 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)31)), BGl_proc2557z00zz__openpgpzd2packetszd2, BGl_proc2556z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1410z00_422,((long)0),BgL_arg1921z00_423); } 
BgL_arg1914z00_405 = BgL_v1410z00_422; } 
{ /* Llib/pgp_packets.scm 39 */
 obj_t BgL_v1411z00_433;
BgL_v1411z00_433 = 
create_vector(((long)0)); 
BgL_arg1915z00_406 = BgL_v1411z00_433; } 
BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)33)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2, ((long)64132), BGl_proc2560z00zz__openpgpzd2packetszd2, BGl_proc2559z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2558z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1914z00_405, BgL_arg1915z00_406); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1929z00_440; obj_t BgL_arg1930z00_441;
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_v1412z00_458;
BgL_v1412z00_458 = 
create_vector(((long)7)); 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1936z00_459;
BgL_arg1936z00_459 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc2563z00zz__openpgpzd2packetszd2, BGl_proc2562z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2561z00zz__openpgpzd2packetszd2, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1412z00_458,((long)0),BgL_arg1936z00_459); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1943z00_472;
BgL_arg1943z00_472 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc2565z00zz__openpgpzd2packetszd2, BGl_proc2564z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1412z00_458,((long)1),BgL_arg1943z00_472); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1948z00_482;
BgL_arg1948z00_482 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)34)), BGl_proc2568z00zz__openpgpzd2packetszd2, BGl_proc2567z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2566z00zz__openpgpzd2packetszd2, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1412z00_458,((long)2),BgL_arg1948z00_482); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1955z00_495;
BgL_arg1955z00_495 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2570z00zz__openpgpzd2packetszd2, BGl_proc2569z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1412z00_458,((long)3),BgL_arg1955z00_495); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1960z00_505;
BgL_arg1960z00_505 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc2572z00zz__openpgpzd2packetszd2, BGl_proc2571z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1412z00_458,((long)4),BgL_arg1960z00_505); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1965z00_515;
BgL_arg1965z00_515 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc2574z00zz__openpgpzd2packetszd2, BGl_proc2573z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1412z00_458,((long)5),BgL_arg1965z00_515); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1970z00_525;
BgL_arg1970z00_525 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)36)), BGl_proc2576z00zz__openpgpzd2packetszd2, BGl_proc2575z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1412z00_458,((long)6),BgL_arg1970z00_525); } 
BgL_arg1929z00_440 = BgL_v1412z00_458; } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_v1413z00_535;
BgL_v1413z00_535 = 
create_vector(((long)0)); 
BgL_arg1930z00_441 = BgL_v1413z00_535; } 
BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)37)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)23736), BGl_proc2579z00zz__openpgpzd2packetszd2, BGl_proc2578z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2577z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1929z00_440, BgL_arg1930z00_441); } 
{ /* Llib/pgp_packets.scm 49 */
 obj_t BgL_arg1978z00_542; obj_t BgL_arg1979z00_543;
{ /* Llib/pgp_packets.scm 49 */
 obj_t BgL_v1414z00_560;
BgL_v1414z00_560 = 
create_vector(((long)0)); 
BgL_arg1978z00_542 = BgL_v1414z00_560; } 
{ /* Llib/pgp_packets.scm 49 */
 obj_t BgL_v1415z00_561;
BgL_v1415z00_561 = 
create_vector(((long)0)); 
BgL_arg1979z00_543 = BgL_v1415z00_561; } 
BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)38)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, ((long)27376), BGl_proc2582z00zz__openpgpzd2packetszd2, BGl_proc2581z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2580z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1978z00_542, BgL_arg1979z00_543); } 
{ /* Llib/pgp_packets.scm 50 */
 obj_t BgL_arg1988z00_568; obj_t BgL_arg1989z00_569;
{ /* Llib/pgp_packets.scm 50 */
 obj_t BgL_v1416z00_587;
BgL_v1416z00_587 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 50 */
 obj_t BgL_arg1995z00_588;
BgL_arg1995z00_588 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)39)), BGl_proc2584z00zz__openpgpzd2packetszd2, BGl_proc2583z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1416z00_587,((long)0),BgL_arg1995z00_588); } 
BgL_arg1988z00_568 = BgL_v1416z00_587; } 
{ /* Llib/pgp_packets.scm 50 */
 obj_t BgL_v1417z00_598;
BgL_v1417z00_598 = 
create_vector(((long)0)); 
BgL_arg1989z00_569 = BgL_v1417z00_598; } 
BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)40)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, ((long)21832), BGl_proc2587z00zz__openpgpzd2packetszd2, BGl_proc2586z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2585z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1988z00_568, BgL_arg1989z00_569); } 
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_arg2004z00_606; obj_t BgL_arg2005z00_607;
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_v1418z00_637;
BgL_v1418z00_637 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_arg2016z00_638;
BgL_arg2016z00_638 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_proc2589z00zz__openpgpzd2packetszd2, BGl_proc2588z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1418z00_637,((long)0),BgL_arg2016z00_638); } 
BgL_arg2004z00_606 = BgL_v1418z00_637; } 
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_v1419z00_648;
BgL_v1419z00_648 = 
create_vector(((long)0)); 
BgL_arg2005z00_607 = BgL_v1419z00_648; } 
BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)42)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, ((long)13166), BGl_proc2593z00zz__openpgpzd2packetszd2, BGl_proc2592z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2591z00zz__openpgpzd2packetszd2, BGl_proc2590z00zz__openpgpzd2packetszd2, BgL_arg2004z00_606, BgL_arg2005z00_607); } 
{ /* Llib/pgp_packets.scm 54 */
 obj_t BgL_arg2024z00_656; obj_t BgL_arg2025z00_657;
{ /* Llib/pgp_packets.scm 54 */
 obj_t BgL_v1420z00_668;
BgL_v1420z00_668 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 54 */
 obj_t BgL_arg2031z00_669;
BgL_arg2031z00_669 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc2595z00zz__openpgpzd2packetszd2, BGl_proc2594z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1420z00_668,((long)0),BgL_arg2031z00_669); } 
BgL_arg2024z00_656 = BgL_v1420z00_668; } 
{ /* Llib/pgp_packets.scm 54 */
 obj_t BgL_v1421z00_679;
BgL_v1421z00_679 = 
create_vector(((long)0)); 
BgL_arg2025z00_657 = BgL_v1421z00_679; } 
BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)44)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)40673), BGl_proc2598z00zz__openpgpzd2packetszd2, BGl_proc2597z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2596z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2024z00_656, BgL_arg2025z00_657); } 
{ /* Llib/pgp_packets.scm 56 */
 obj_t BgL_arg2039z00_686; obj_t BgL_arg2040z00_687;
{ /* Llib/pgp_packets.scm 56 */
 obj_t BgL_v1422z00_698;
BgL_v1422z00_698 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 56 */
 obj_t BgL_arg2046z00_699;
BgL_arg2046z00_699 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2600z00zz__openpgpzd2packetszd2, BGl_proc2599z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1422z00_698,((long)0),BgL_arg2046z00_699); } 
BgL_arg2039z00_686 = BgL_v1422z00_698; } 
{ /* Llib/pgp_packets.scm 56 */
 obj_t BgL_v1423z00_709;
BgL_v1423z00_709 = 
create_vector(((long)0)); 
BgL_arg2040z00_687 = BgL_v1423z00_709; } 
BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)46)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)29215), BGl_proc2603z00zz__openpgpzd2packetszd2, BGl_proc2602z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2601z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2039z00_686, BgL_arg2040z00_687); } 
{ /* Llib/pgp_packets.scm 58 */
 obj_t BgL_arg2054z00_716; obj_t BgL_arg2055z00_717;
{ /* Llib/pgp_packets.scm 58 */
 obj_t BgL_v1424z00_727;
BgL_v1424z00_727 = 
create_vector(((long)0)); 
BgL_arg2054z00_716 = BgL_v1424z00_727; } 
{ /* Llib/pgp_packets.scm 58 */
 obj_t BgL_v1425z00_728;
BgL_v1425z00_728 = 
create_vector(((long)0)); 
BgL_arg2055z00_717 = BgL_v1425z00_728; } 
BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)47)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)31195), BGl_proc2606z00zz__openpgpzd2packetszd2, BGl_proc2605z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2604z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2054z00_716, BgL_arg2055z00_717); } 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_arg2064z00_735; obj_t BgL_arg2065z00_736;
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_v1426z00_751;
BgL_v1426z00_751 = 
create_vector(((long)5)); 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_arg2071z00_752;
BgL_arg2071z00_752 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)48)), BGl_proc2608z00zz__openpgpzd2packetszd2, BGl_proc2607z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1426z00_751,((long)0),BgL_arg2071z00_752); } 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_arg2076z00_762;
BgL_arg2076z00_762 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc2610z00zz__openpgpzd2packetszd2, BGl_proc2609z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1426z00_751,((long)1),BgL_arg2076z00_762); } 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_arg2081z00_772;
BgL_arg2081z00_772 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc2612z00zz__openpgpzd2packetszd2, BGl_proc2611z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1426z00_751,((long)2),BgL_arg2081z00_772); } 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_arg2086z00_782;
BgL_arg2086z00_782 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc2614z00zz__openpgpzd2packetszd2, BGl_proc2613z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1426z00_751,((long)3),BgL_arg2086z00_782); } 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_arg2091z00_792;
BgL_arg2091z00_792 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2616z00zz__openpgpzd2packetszd2, BGl_proc2615z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1426z00_751,((long)4),BgL_arg2091z00_792); } 
BgL_arg2064z00_735 = BgL_v1426z00_751; } 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_v1427z00_802;
BgL_v1427z00_802 = 
create_vector(((long)0)); 
BgL_arg2065z00_736 = BgL_v1427z00_802; } 
BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)51)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)26458), BGl_proc2619z00zz__openpgpzd2packetszd2, BGl_proc2618z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2617z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2064z00_735, BgL_arg2065z00_736); } 
{ /* Llib/pgp_packets.scm 65 */
 obj_t BgL_arg2099z00_809; obj_t BgL_arg2100z00_810;
{ /* Llib/pgp_packets.scm 65 */
 obj_t BgL_v1428z00_820;
BgL_v1428z00_820 = 
create_vector(((long)0)); 
BgL_arg2099z00_809 = BgL_v1428z00_820; } 
{ /* Llib/pgp_packets.scm 65 */
 obj_t BgL_v1429z00_821;
BgL_v1429z00_821 = 
create_vector(((long)0)); 
BgL_arg2100z00_810 = BgL_v1429z00_821; } 
BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)52)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)36763), BGl_proc2622z00zz__openpgpzd2packetszd2, BGl_proc2621z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2620z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2099z00_809, BgL_arg2100z00_810); } 
{ /* Llib/pgp_packets.scm 66 */
 obj_t BgL_arg2109z00_828; obj_t BgL_arg2110z00_829;
{ /* Llib/pgp_packets.scm 66 */
 obj_t BgL_v1430z00_840;
BgL_v1430z00_840 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 66 */
 obj_t BgL_arg2116z00_841;
BgL_arg2116z00_841 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2624z00zz__openpgpzd2packetszd2, BGl_proc2623z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1430z00_840,((long)0),BgL_arg2116z00_841); } 
BgL_arg2109z00_828 = BgL_v1430z00_840; } 
{ /* Llib/pgp_packets.scm 66 */
 obj_t BgL_v1431z00_851;
BgL_v1431z00_851 = 
create_vector(((long)0)); 
BgL_arg2110z00_829 = BgL_v1431z00_851; } 
BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)2773), BGl_proc2627z00zz__openpgpzd2packetszd2, BGl_proc2626z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2625z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2109z00_828, BgL_arg2110z00_829); } 
{ /* Llib/pgp_packets.scm 68 */
 obj_t BgL_arg2124z00_858; obj_t BgL_arg2125z00_859;
{ /* Llib/pgp_packets.scm 68 */
 obj_t BgL_v1432z00_870;
BgL_v1432z00_870 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 68 */
 obj_t BgL_arg2131z00_871;
BgL_arg2131z00_871 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2629z00zz__openpgpzd2packetszd2, BGl_proc2628z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1432z00_870,((long)0),BgL_arg2131z00_871); } 
BgL_arg2124z00_858 = BgL_v1432z00_870; } 
{ /* Llib/pgp_packets.scm 68 */
 obj_t BgL_v1433z00_881;
BgL_v1433z00_881 = 
create_vector(((long)0)); 
BgL_arg2125z00_859 = BgL_v1433z00_881; } 
BGl_PGPzd2Attributezd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)54)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)42122), BGl_proc2632z00zz__openpgpzd2packetszd2, BGl_proc2631z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2630z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2124z00_858, BgL_arg2125z00_859); } 
{ /* Llib/pgp_packets.scm 70 */
 obj_t BgL_arg2139z00_888; obj_t BgL_arg2140z00_889;
{ /* Llib/pgp_packets.scm 70 */
 obj_t BgL_v1434z00_901;
BgL_v1434z00_901 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 70 */
 obj_t BgL_arg2146z00_902;
BgL_arg2146z00_902 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc2634z00zz__openpgpzd2packetszd2, BGl_proc2633z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1434z00_901,((long)0),BgL_arg2146z00_902); } 
BgL_arg2139z00_888 = BgL_v1434z00_901; } 
{ /* Llib/pgp_packets.scm 70 */
 obj_t BgL_v1435z00_912;
BgL_v1435z00_912 = 
create_vector(((long)0)); 
BgL_arg2140z00_889 = BgL_v1435z00_912; } 
BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)55)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2, ((long)38853), BGl_proc2637z00zz__openpgpzd2packetszd2, BGl_proc2636z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2635z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2139z00_888, BgL_arg2140z00_889); } 
{ /* Llib/pgp_packets.scm 72 */
 obj_t BgL_arg2154z00_919; obj_t BgL_arg2155z00_920;
{ /* Llib/pgp_packets.scm 72 */
 obj_t BgL_v1436z00_931;
BgL_v1436z00_931 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 72 */
 obj_t BgL_arg2161z00_932;
BgL_arg2161z00_932 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc2639z00zz__openpgpzd2packetszd2, BGl_proc2638z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1436z00_931,((long)0),BgL_arg2161z00_932); } 
BgL_arg2154z00_919 = BgL_v1436z00_931; } 
{ /* Llib/pgp_packets.scm 72 */
 obj_t BgL_v1437z00_942;
BgL_v1437z00_942 = 
create_vector(((long)0)); 
BgL_arg2155z00_920 = BgL_v1437z00_942; } 
BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)57)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)20880), BGl_proc2642z00zz__openpgpzd2packetszd2, BGl_proc2641z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2640z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2154z00_919, BgL_arg2155z00_920); } 
{ /* Llib/pgp_packets.scm 75 */
 obj_t BgL_arg2169z00_949; obj_t BgL_arg2170z00_950;
{ /* Llib/pgp_packets.scm 75 */
 obj_t BgL_v1438z00_961;
BgL_v1438z00_961 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 75 */
 obj_t BgL_arg2176z00_962;
BgL_arg2176z00_962 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc2645z00zz__openpgpzd2packetszd2, BGl_proc2644z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2643z00zz__openpgpzd2packetszd2, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1438z00_961,((long)0),BgL_arg2176z00_962); } 
BgL_arg2169z00_949 = BgL_v1438z00_961; } 
{ /* Llib/pgp_packets.scm 75 */
 obj_t BgL_v1439z00_975;
BgL_v1439z00_975 = 
create_vector(((long)0)); 
BgL_arg2170z00_950 = BgL_v1439z00_975; } 
BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)59)), 
CNST_TABLE_REF(((long)1)), BGl_objectz00zz__objectz00, ((long)40149), BGl_proc2648z00zz__openpgpzd2packetszd2, BGl_proc2647z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2646z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2169z00_949, BgL_arg2170z00_950); } 
{ /* Llib/pgp_packets.scm 79 */
 obj_t BgL_arg2186z00_982; obj_t BgL_arg2187z00_983;
{ /* Llib/pgp_packets.scm 79 */
 obj_t BgL_v1440z00_996;
BgL_v1440z00_996 = 
create_vector(((long)2)); 
{ /* Llib/pgp_packets.scm 79 */
 obj_t BgL_arg2193z00_997;
BgL_arg2193z00_997 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc2650z00zz__openpgpzd2packetszd2, BGl_proc2649z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1440z00_996,((long)0),BgL_arg2193z00_997); } 
{ /* Llib/pgp_packets.scm 79 */
 obj_t BgL_arg2198z00_1007;
BgL_arg2198z00_1007 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2652z00zz__openpgpzd2packetszd2, BGl_proc2651z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1440z00_996,((long)1),BgL_arg2198z00_1007); } 
BgL_arg2186z00_982 = BgL_v1440z00_996; } 
{ /* Llib/pgp_packets.scm 79 */
 obj_t BgL_v1441z00_1017;
BgL_v1441z00_1017 = 
create_vector(((long)0)); 
BgL_arg2187z00_983 = BgL_v1441z00_1017; } 
BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)61)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)31878), BGl_proc2655z00zz__openpgpzd2packetszd2, BGl_proc2654z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2653z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2186z00_982, BgL_arg2187z00_983); } 
{ /* Llib/pgp_packets.scm 82 */
 obj_t BgL_arg2206z00_1024; obj_t BgL_arg2207z00_1025;
{ /* Llib/pgp_packets.scm 82 */
 obj_t BgL_v1442z00_1037;
BgL_v1442z00_1037 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 82 */
 obj_t BgL_arg2213z00_1038;
BgL_arg2213z00_1038 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc2657z00zz__openpgpzd2packetszd2, BGl_proc2656z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1442z00_1037,((long)0),BgL_arg2213z00_1038); } 
BgL_arg2206z00_1024 = BgL_v1442z00_1037; } 
{ /* Llib/pgp_packets.scm 82 */
 obj_t BgL_v1443z00_1048;
BgL_v1443z00_1048 = 
create_vector(((long)0)); 
BgL_arg2207z00_1025 = BgL_v1443z00_1048; } 
BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)62)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)33723), BGl_proc2660z00zz__openpgpzd2packetszd2, BGl_proc2659z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2658z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2206z00_1024, BgL_arg2207z00_1025); } 
{ /* Llib/pgp_packets.scm 84 */
 obj_t BgL_arg2221z00_1055; obj_t BgL_arg2222z00_1056;
{ /* Llib/pgp_packets.scm 84 */
 obj_t BgL_v1444z00_1068;
BgL_v1444z00_1068 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 84 */
 obj_t BgL_arg2228z00_1069;
BgL_arg2228z00_1069 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc2662z00zz__openpgpzd2packetszd2, BGl_proc2661z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1444z00_1068,((long)0),BgL_arg2228z00_1069); } 
BgL_arg2221z00_1055 = BgL_v1444z00_1068; } 
{ /* Llib/pgp_packets.scm 84 */
 obj_t BgL_v1445z00_1079;
BgL_v1445z00_1079 = 
create_vector(((long)0)); 
BgL_arg2222z00_1056 = BgL_v1445z00_1079; } 
BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)64)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)61111), BGl_proc2665z00zz__openpgpzd2packetszd2, BGl_proc2664z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2663z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2221z00_1055, BgL_arg2222z00_1056); } 
{ /* Llib/pgp_packets.scm 86 */
 obj_t BgL_arg2236z00_1086; obj_t BgL_arg2237z00_1087;
{ /* Llib/pgp_packets.scm 86 */
 obj_t BgL_v1446z00_1099;
BgL_v1446z00_1099 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 86 */
 obj_t BgL_arg2243z00_1100;
BgL_arg2243z00_1100 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)65)), BGl_proc2667z00zz__openpgpzd2packetszd2, BGl_proc2666z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1446z00_1099,((long)0),BgL_arg2243z00_1100); } 
BgL_arg2236z00_1086 = BgL_v1446z00_1099; } 
{ /* Llib/pgp_packets.scm 86 */
 obj_t BgL_v1447z00_1110;
BgL_v1447z00_1110 = 
create_vector(((long)0)); 
BgL_arg2237z00_1087 = BgL_v1447z00_1110; } 
BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)66)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)3155), BGl_proc2670z00zz__openpgpzd2packetszd2, BGl_proc2669z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2668z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2236z00_1086, BgL_arg2237z00_1087); } 
{ /* Llib/pgp_packets.scm 88 */
 obj_t BgL_arg2251z00_1117; obj_t BgL_arg2252z00_1118;
{ /* Llib/pgp_packets.scm 88 */
 obj_t BgL_v1448z00_1131;
BgL_v1448z00_1131 = 
create_vector(((long)2)); 
{ /* Llib/pgp_packets.scm 88 */
 obj_t BgL_arg2258z00_1132;
BgL_arg2258z00_1132 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc2672z00zz__openpgpzd2packetszd2, BGl_proc2671z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)68))); 
VECTOR_SET(BgL_v1448z00_1131,((long)0),BgL_arg2258z00_1132); } 
{ /* Llib/pgp_packets.scm 88 */
 obj_t BgL_arg2263z00_1142;
BgL_arg2263z00_1142 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)69)), BGl_proc2674z00zz__openpgpzd2packetszd2, BGl_proc2673z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)68))); 
VECTOR_SET(BgL_v1448z00_1131,((long)1),BgL_arg2263z00_1142); } 
BgL_arg2251z00_1117 = BgL_v1448z00_1131; } 
{ /* Llib/pgp_packets.scm 88 */
 obj_t BgL_v1449z00_1152;
BgL_v1449z00_1152 = 
create_vector(((long)0)); 
BgL_arg2252z00_1118 = BgL_v1449z00_1152; } 
BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)70)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)24246), BGl_proc2677z00zz__openpgpzd2packetszd2, BGl_proc2676z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2675z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2251z00_1117, BgL_arg2252z00_1118); } 
{ /* Llib/pgp_packets.scm 91 */
 obj_t BgL_arg2271z00_1159; obj_t BgL_arg2272z00_1160;
{ /* Llib/pgp_packets.scm 91 */
 obj_t BgL_v1450z00_1172;
BgL_v1450z00_1172 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 91 */
 obj_t BgL_arg2278z00_1173;
BgL_arg2278z00_1173 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc2679z00zz__openpgpzd2packetszd2, BGl_proc2678z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1450z00_1172,((long)0),BgL_arg2278z00_1173); } 
BgL_arg2271z00_1159 = BgL_v1450z00_1172; } 
{ /* Llib/pgp_packets.scm 91 */
 obj_t BgL_v1451z00_1183;
BgL_v1451z00_1183 = 
create_vector(((long)0)); 
BgL_arg2272z00_1160 = BgL_v1451z00_1183; } 
BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)72)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)15541), BGl_proc2682z00zz__openpgpzd2packetszd2, BGl_proc2681z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2680z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2271z00_1159, BgL_arg2272z00_1160); } 
{ /* Llib/pgp_packets.scm 93 */
 obj_t BgL_arg2286z00_1190; obj_t BgL_arg2287z00_1191;
{ /* Llib/pgp_packets.scm 93 */
 obj_t BgL_v1452z00_1203;
BgL_v1452z00_1203 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 93 */
 obj_t BgL_arg2293z00_1204;
BgL_arg2293z00_1204 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc2684z00zz__openpgpzd2packetszd2, BGl_proc2683z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1452z00_1203,((long)0),BgL_arg2293z00_1204); } 
BgL_arg2286z00_1190 = BgL_v1452z00_1203; } 
{ /* Llib/pgp_packets.scm 93 */
 obj_t BgL_v1453z00_1214;
BgL_v1453z00_1214 = 
create_vector(((long)0)); 
BgL_arg2287z00_1191 = BgL_v1453z00_1214; } 
BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)74)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)50790), BGl_proc2687z00zz__openpgpzd2packetszd2, BGl_proc2686z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2685z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2286z00_1190, BgL_arg2287z00_1191); } 
{ /* Llib/pgp_packets.scm 95 */
 obj_t BgL_arg2301z00_1221; obj_t BgL_arg2302z00_1222;
{ /* Llib/pgp_packets.scm 95 */
 obj_t BgL_v1454z00_1234;
BgL_v1454z00_1234 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 95 */
 obj_t BgL_arg2308z00_1235;
BgL_arg2308z00_1235 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc2689z00zz__openpgpzd2packetszd2, BGl_proc2688z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1454z00_1234,((long)0),BgL_arg2308z00_1235); } 
BgL_arg2301z00_1221 = BgL_v1454z00_1234; } 
{ /* Llib/pgp_packets.scm 95 */
 obj_t BgL_v1455z00_1245;
BgL_v1455z00_1245 = 
create_vector(((long)0)); 
BgL_arg2302z00_1222 = BgL_v1455z00_1245; } 
BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)76)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)983), BGl_proc2692z00zz__openpgpzd2packetszd2, BGl_proc2691z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2690z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2301z00_1221, BgL_arg2302z00_1222); } 
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_arg2316z00_1252; obj_t BgL_arg2317z00_1253;
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_v1456z00_1268;
BgL_v1456z00_1268 = 
create_vector(((long)4)); 
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_arg2323z00_1269;
BgL_arg2323z00_1269 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc2694z00zz__openpgpzd2packetszd2, BGl_proc2693z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)78))); 
VECTOR_SET(BgL_v1456z00_1268,((long)0),BgL_arg2323z00_1269); } 
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_arg2328z00_1279;
BgL_arg2328z00_1279 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)79)), BGl_proc2696z00zz__openpgpzd2packetszd2, BGl_proc2695z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1456z00_1268,((long)1),BgL_arg2328z00_1279); } 
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_arg2333z00_1289;
BgL_arg2333z00_1289 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)80)), BGl_proc2698z00zz__openpgpzd2packetszd2, BGl_proc2697z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)78))); 
VECTOR_SET(BgL_v1456z00_1268,((long)2),BgL_arg2333z00_1289); } 
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_arg2338z00_1299;
BgL_arg2338z00_1299 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2700z00zz__openpgpzd2packetszd2, BGl_proc2699z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1456z00_1268,((long)3),BgL_arg2338z00_1299); } 
BgL_arg2316z00_1252 = BgL_v1456z00_1268; } 
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_v1457z00_1309;
BgL_v1457z00_1309 = 
create_vector(((long)0)); 
BgL_arg2317z00_1253 = BgL_v1457z00_1309; } 
BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)82)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)49123), BGl_proc2703z00zz__openpgpzd2packetszd2, BGl_proc2702z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2701z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2316z00_1252, BgL_arg2317z00_1253); } 
{ /* Llib/pgp_packets.scm 102 */
 obj_t BgL_arg2346z00_1316; obj_t BgL_arg2347z00_1317;
{ /* Llib/pgp_packets.scm 102 */
 obj_t BgL_v1458z00_1329;
BgL_v1458z00_1329 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 102 */
 obj_t BgL_arg2353z00_1330;
BgL_arg2353z00_1330 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)83)), BGl_proc2705z00zz__openpgpzd2packetszd2, BGl_proc2704z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1458z00_1329,((long)0),BgL_arg2353z00_1330); } 
BgL_arg2346z00_1316 = BgL_v1458z00_1329; } 
{ /* Llib/pgp_packets.scm 102 */
 obj_t BgL_v1459z00_1340;
BgL_v1459z00_1340 = 
create_vector(((long)0)); 
BgL_arg2347z00_1317 = BgL_v1459z00_1340; } 
BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)84)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)31441), BGl_proc2708z00zz__openpgpzd2packetszd2, BGl_proc2707z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2706z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2346z00_1316, BgL_arg2347z00_1317); } 
{ /* Llib/pgp_packets.scm 104 */
 obj_t BgL_arg2361z00_1347; obj_t BgL_arg2362z00_1348;
{ /* Llib/pgp_packets.scm 104 */
 obj_t BgL_v1460z00_1362;
BgL_v1460z00_1362 = 
create_vector(((long)3)); 
{ /* Llib/pgp_packets.scm 104 */
 obj_t BgL_arg2368z00_1363;
BgL_arg2368z00_1363 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2710z00zz__openpgpzd2packetszd2, BGl_proc2709z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1460z00_1362,((long)0),BgL_arg2368z00_1363); } 
{ /* Llib/pgp_packets.scm 104 */
 obj_t BgL_arg2373z00_1373;
BgL_arg2373z00_1373 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)86)), BGl_proc2712z00zz__openpgpzd2packetszd2, BGl_proc2711z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1460z00_1362,((long)1),BgL_arg2373z00_1373); } 
{ /* Llib/pgp_packets.scm 104 */
 obj_t BgL_arg2378z00_1383;
BgL_arg2378z00_1383 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)87)), BGl_proc2714z00zz__openpgpzd2packetszd2, BGl_proc2713z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1460z00_1362,((long)2),BgL_arg2378z00_1383); } 
BgL_arg2361z00_1347 = BgL_v1460z00_1362; } 
{ /* Llib/pgp_packets.scm 104 */
 obj_t BgL_v1461z00_1393;
BgL_v1461z00_1393 = 
create_vector(((long)0)); 
BgL_arg2362z00_1348 = BgL_v1461z00_1393; } 
BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)88)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)11778), BGl_proc2717z00zz__openpgpzd2packetszd2, BGl_proc2716z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2715z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2361z00_1347, BgL_arg2362z00_1348); } 
{ /* Llib/pgp_packets.scm 107 */
 obj_t BgL_arg2386z00_1400; obj_t BgL_arg2387z00_1401;
{ /* Llib/pgp_packets.scm 107 */
 obj_t BgL_v1462z00_1413;
BgL_v1462z00_1413 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 107 */
 obj_t BgL_arg2393z00_1414;
BgL_arg2393z00_1414 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc2719z00zz__openpgpzd2packetszd2, BGl_proc2718z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1462z00_1413,((long)0),BgL_arg2393z00_1414); } 
BgL_arg2386z00_1400 = BgL_v1462z00_1413; } 
{ /* Llib/pgp_packets.scm 107 */
 obj_t BgL_v1463z00_1424;
BgL_v1463z00_1424 = 
create_vector(((long)0)); 
BgL_arg2387z00_1401 = BgL_v1463z00_1424; } 
BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)89)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)29934), BGl_proc2722z00zz__openpgpzd2packetszd2, BGl_proc2721z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2720z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2386z00_1400, BgL_arg2387z00_1401); } 
{ /* Llib/pgp_packets.scm 109 */
 obj_t BgL_arg2401z00_1431; obj_t BgL_arg2402z00_1432;
{ /* Llib/pgp_packets.scm 109 */
 obj_t BgL_v1464z00_1444;
BgL_v1464z00_1444 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 109 */
 obj_t BgL_arg2408z00_1445;
BgL_arg2408z00_1445 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc2724z00zz__openpgpzd2packetszd2, BGl_proc2723z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1464z00_1444,((long)0),BgL_arg2408z00_1445); } 
BgL_arg2401z00_1431 = BgL_v1464z00_1444; } 
{ /* Llib/pgp_packets.scm 109 */
 obj_t BgL_v1465z00_1455;
BgL_v1465z00_1455 = 
create_vector(((long)0)); 
BgL_arg2402z00_1432 = BgL_v1465z00_1455; } 
BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)90)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)47196), BGl_proc2727z00zz__openpgpzd2packetszd2, BGl_proc2726z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2725z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2401z00_1431, BgL_arg2402z00_1432); } 
{ /* Llib/pgp_packets.scm 111 */
 obj_t BgL_arg2416z00_1462; obj_t BgL_arg2417z00_1463;
{ /* Llib/pgp_packets.scm 111 */
 obj_t BgL_v1466z00_1475;
BgL_v1466z00_1475 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 111 */
 obj_t BgL_arg2423z00_1476;
BgL_arg2423z00_1476 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)91)), BGl_proc2729z00zz__openpgpzd2packetszd2, BGl_proc2728z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1466z00_1475,((long)0),BgL_arg2423z00_1476); } 
BgL_arg2416z00_1462 = BgL_v1466z00_1475; } 
{ /* Llib/pgp_packets.scm 111 */
 obj_t BgL_v1467z00_1486;
BgL_v1467z00_1486 = 
create_vector(((long)0)); 
BgL_arg2417z00_1463 = BgL_v1467z00_1486; } 
BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)92)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)10017), BGl_proc2732z00zz__openpgpzd2packetszd2, BGl_proc2731z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2730z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2416z00_1462, BgL_arg2417z00_1463); } 
{ /* Llib/pgp_packets.scm 113 */
 obj_t BgL_arg2431z00_1493; obj_t BgL_arg2432z00_1494;
{ /* Llib/pgp_packets.scm 113 */
 obj_t BgL_v1468z00_1506;
BgL_v1468z00_1506 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 113 */
 obj_t BgL_arg2438z00_1507;
BgL_arg2438z00_1507 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)93)), BGl_proc2734z00zz__openpgpzd2packetszd2, BGl_proc2733z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1468z00_1506,((long)0),BgL_arg2438z00_1507); } 
BgL_arg2431z00_1493 = BgL_v1468z00_1506; } 
{ /* Llib/pgp_packets.scm 113 */
 obj_t BgL_v1469z00_1517;
BgL_v1469z00_1517 = 
create_vector(((long)0)); 
BgL_arg2432z00_1494 = BgL_v1469z00_1517; } 
BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)94)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)4569), BGl_proc2737z00zz__openpgpzd2packetszd2, BGl_proc2736z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2735z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2431z00_1493, BgL_arg2432z00_1494); } 
{ /* Llib/pgp_packets.scm 115 */
 obj_t BgL_arg2446z00_1524; obj_t BgL_arg2447z00_1525;
{ /* Llib/pgp_packets.scm 115 */
 obj_t BgL_v1470z00_1537;
BgL_v1470z00_1537 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 115 */
 obj_t BgL_arg2453z00_1538;
BgL_arg2453z00_1538 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)95)), BGl_proc2739z00zz__openpgpzd2packetszd2, BGl_proc2738z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1470z00_1537,((long)0),BgL_arg2453z00_1538); } 
BgL_arg2446z00_1524 = BgL_v1470z00_1537; } 
{ /* Llib/pgp_packets.scm 115 */
 obj_t BgL_v1471z00_1548;
BgL_v1471z00_1548 = 
create_vector(((long)0)); 
BgL_arg2447z00_1525 = BgL_v1471z00_1548; } 
BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)96)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)38148), BGl_proc2742z00zz__openpgpzd2packetszd2, BGl_proc2741z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2740z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2446z00_1524, BgL_arg2447z00_1525); } 
{ /* Llib/pgp_packets.scm 117 */
 obj_t BgL_arg2461z00_1555; obj_t BgL_arg2462z00_1556;
{ /* Llib/pgp_packets.scm 117 */
 obj_t BgL_v1472z00_1568;
BgL_v1472z00_1568 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 117 */
 obj_t BgL_arg2468z00_1569;
BgL_arg2468z00_1569 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc2744z00zz__openpgpzd2packetszd2, BGl_proc2743z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1472z00_1568,((long)0),BgL_arg2468z00_1569); } 
BgL_arg2461z00_1555 = BgL_v1472z00_1568; } 
{ /* Llib/pgp_packets.scm 117 */
 obj_t BgL_v1473z00_1579;
BgL_v1473z00_1579 = 
create_vector(((long)0)); 
BgL_arg2462z00_1556 = BgL_v1473z00_1579; } 
BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)97)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)31644), BGl_proc2747z00zz__openpgpzd2packetszd2, BGl_proc2746z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2745z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2461z00_1555, BgL_arg2462z00_1556); } 
{ /* Llib/pgp_packets.scm 119 */
 obj_t BgL_arg2476z00_1586; obj_t BgL_arg2477z00_1587;
{ /* Llib/pgp_packets.scm 119 */
 obj_t BgL_v1474z00_1600;
BgL_v1474z00_1600 = 
create_vector(((long)2)); 
{ /* Llib/pgp_packets.scm 119 */
 obj_t BgL_arg2483z00_1601;
BgL_arg2483z00_1601 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)98)), BGl_proc2749z00zz__openpgpzd2packetszd2, BGl_proc2748z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1474z00_1600,((long)0),BgL_arg2483z00_1601); } 
{ /* Llib/pgp_packets.scm 119 */
 obj_t BgL_arg2488z00_1611;
BgL_arg2488z00_1611 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)99)), BGl_proc2751z00zz__openpgpzd2packetszd2, BGl_proc2750z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1474z00_1600,((long)1),BgL_arg2488z00_1611); } 
BgL_arg2476z00_1586 = BgL_v1474z00_1600; } 
{ /* Llib/pgp_packets.scm 119 */
 obj_t BgL_v1475z00_1621;
BgL_v1475z00_1621 = 
create_vector(((long)0)); 
BgL_arg2477z00_1587 = BgL_v1475z00_1621; } 
return ( 
BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)100)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)45119), BGl_proc2754z00zz__openpgpzd2packetszd2, BGl_proc2753z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2752z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2476z00_1586, BgL_arg2477z00_1587), BUNSPEC) ;} } 

}



/* &<@anonymous:2482> */
obj_t BGl_z62zc3z04anonymousza32482ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2353, obj_t BgL_new1310z00_2354)
{
{ /* Llib/pgp_packets.scm 119 */
{ 
 BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BgL_auxz00_4094;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_new1310z00_2354))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_new1310z00_2354)))->BgL_codez00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_new1310z00_2354)))->BgL_reasonz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4094 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_new1310z00_2354); 
return 
((obj_t)BgL_auxz00_4094);} } 

}



/* &lambda2480 */
BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BGl_z62lambda2480z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2355)
{
{ /* Llib/pgp_packets.scm 119 */
{ /* Llib/pgp_packets.scm 119 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BgL_new1309z00_3013;
BgL_new1309z00_3013 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 119 */
 long BgL_arg2481z00_3014;
BgL_arg2481z00_3014 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1309z00_3013), BgL_arg2481z00_3014); } 
{ /* Llib/pgp_packets.scm 119 */
 BgL_objectz00_bglt BgL_tmpz00_4109;
BgL_tmpz00_4109 = 
((BgL_objectz00_bglt)BgL_new1309z00_3013); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4109, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1309z00_3013); 
return BgL_new1309z00_3013;} } 

}



/* &lambda2478 */
BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BGl_z62lambda2478z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2356, obj_t BgL_criticalzf31306zf3_2357, obj_t BgL_code1307z00_2358, obj_t BgL_reason1308z00_2359)
{
{ /* Llib/pgp_packets.scm 119 */
{ /* Llib/pgp_packets.scm 119 */
 bool_t BgL_criticalzf31306zf3_3015;
BgL_criticalzf31306zf3_3015 = 
CBOOL(BgL_criticalzf31306zf3_2357); 
{ /* Llib/pgp_packets.scm 119 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BgL_new1393z00_3018;
{ /* Llib/pgp_packets.scm 119 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BgL_new1392z00_3019;
BgL_new1392z00_3019 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 119 */
 long BgL_arg2479z00_3020;
BgL_arg2479z00_3020 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1392z00_3019), BgL_arg2479z00_3020); } 
{ /* Llib/pgp_packets.scm 119 */
 BgL_objectz00_bglt BgL_tmpz00_4118;
BgL_tmpz00_4118 = 
((BgL_objectz00_bglt)BgL_new1392z00_3019); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4118, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1392z00_3019); 
BgL_new1393z00_3018 = BgL_new1392z00_3019; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1393z00_3018)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31306zf3_3015),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(BgL_new1393z00_3018))->BgL_codez00)=((obj_t)
((obj_t)BgL_code1307z00_2358)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(BgL_new1393z00_3018))->BgL_reasonz00)=((obj_t)
((obj_t)BgL_reason1308z00_2359)),BUNSPEC); 
return BgL_new1393z00_3018;} } } 

}



/* &lambda2492 */
obj_t BGl_z62lambda2492z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2360, obj_t BgL_oz00_2361, obj_t BgL_vz00_2362)
{
{ /* Llib/pgp_packets.scm 119 */
return 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_oz00_2361)))->BgL_reasonz00)=((obj_t)
((obj_t)BgL_vz00_2362)),BUNSPEC);} 

}



/* &lambda2491 */
obj_t BGl_z62lambda2491z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2363, obj_t BgL_oz00_2364)
{
{ /* Llib/pgp_packets.scm 119 */
return 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_oz00_2364)))->BgL_reasonz00);} 

}



/* &lambda2487 */
obj_t BGl_z62lambda2487z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2365, obj_t BgL_oz00_2366, obj_t BgL_vz00_2367)
{
{ /* Llib/pgp_packets.scm 119 */
return 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_oz00_2366)))->BgL_codez00)=((obj_t)
((obj_t)BgL_vz00_2367)),BUNSPEC);} 

}



/* &lambda2486 */
obj_t BGl_z62lambda2486z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2368, obj_t BgL_oz00_2369)
{
{ /* Llib/pgp_packets.scm 119 */
return 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_oz00_2369)))->BgL_codez00);} 

}



/* &<@anonymous:2467> */
obj_t BGl_z62zc3z04anonymousza32467ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2370, obj_t BgL_new1304z00_2371)
{
{ /* Llib/pgp_packets.scm 117 */
{ 
 BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BgL_auxz00_4138;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_new1304z00_2371))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_new1304z00_2371)))->BgL_idz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4138 = 
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_new1304z00_2371); 
return 
((obj_t)BgL_auxz00_4138);} } 

}



/* &lambda2465 */
BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BGl_z62lambda2465z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2372)
{
{ /* Llib/pgp_packets.scm 117 */
{ /* Llib/pgp_packets.scm 117 */
 BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BgL_new1303z00_3028;
BgL_new1303z00_3028 = 
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 117 */
 long BgL_arg2466z00_3029;
BgL_arg2466z00_3029 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1303z00_3028), BgL_arg2466z00_3029); } 
{ /* Llib/pgp_packets.scm 117 */
 BgL_objectz00_bglt BgL_tmpz00_4150;
BgL_tmpz00_4150 = 
((BgL_objectz00_bglt)BgL_new1303z00_3028); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4150, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1303z00_3028); 
return BgL_new1303z00_3028;} } 

}



/* &lambda2463 */
BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BGl_z62lambda2463z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2373, obj_t BgL_criticalzf31301zf3_2374, obj_t BgL_id1302z00_2375)
{
{ /* Llib/pgp_packets.scm 117 */
{ /* Llib/pgp_packets.scm 117 */
 bool_t BgL_criticalzf31301zf3_3030;
BgL_criticalzf31301zf3_3030 = 
CBOOL(BgL_criticalzf31301zf3_2374); 
{ /* Llib/pgp_packets.scm 117 */
 BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BgL_new1391z00_3032;
{ /* Llib/pgp_packets.scm 117 */
 BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BgL_new1390z00_3033;
BgL_new1390z00_3033 = 
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 117 */
 long BgL_arg2464z00_3034;
BgL_arg2464z00_3034 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1390z00_3033), BgL_arg2464z00_3034); } 
{ /* Llib/pgp_packets.scm 117 */
 BgL_objectz00_bglt BgL_tmpz00_4159;
BgL_tmpz00_4159 = 
((BgL_objectz00_bglt)BgL_new1390z00_3033); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4159, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1390z00_3033); 
BgL_new1391z00_3032 = BgL_new1390z00_3033; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1391z00_3032)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31301zf3_3030),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)COBJECT(BgL_new1391z00_3032))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1302z00_2375)),BUNSPEC); 
return BgL_new1391z00_3032;} } } 

}



/* &lambda2472 */
obj_t BGl_z62lambda2472z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2376, obj_t BgL_oz00_2377, obj_t BgL_vz00_2378)
{
{ /* Llib/pgp_packets.scm 117 */
return 
((((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_oz00_2377)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_2378)),BUNSPEC);} 

}



/* &lambda2471 */
obj_t BGl_z62lambda2471z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2379, obj_t BgL_oz00_2380)
{
{ /* Llib/pgp_packets.scm 117 */
return 
(((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_oz00_2380)))->BgL_idz00);} 

}



/* &<@anonymous:2452> */
obj_t BGl_z62zc3z04anonymousza32452ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2381, obj_t BgL_new1299z00_2382)
{
{ /* Llib/pgp_packets.scm 115 */
{ 
 BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BgL_auxz00_4172;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_new1299z00_2382))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_new1299z00_2382)))->BgL_urlz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4172 = 
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_new1299z00_2382); 
return 
((obj_t)BgL_auxz00_4172);} } 

}



/* &lambda2450 */
BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BGl_z62lambda2450z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2383)
{
{ /* Llib/pgp_packets.scm 115 */
{ /* Llib/pgp_packets.scm 115 */
 BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BgL_new1298z00_3039;
BgL_new1298z00_3039 = 
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2policyzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 115 */
 long BgL_arg2451z00_3040;
BgL_arg2451z00_3040 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1298z00_3039), BgL_arg2451z00_3040); } 
{ /* Llib/pgp_packets.scm 115 */
 BgL_objectz00_bglt BgL_tmpz00_4184;
BgL_tmpz00_4184 = 
((BgL_objectz00_bglt)BgL_new1298z00_3039); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4184, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1298z00_3039); 
return BgL_new1298z00_3039;} } 

}



/* &lambda2448 */
BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BGl_z62lambda2448z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2384, obj_t BgL_criticalzf31296zf3_2385, obj_t BgL_url1297z00_2386)
{
{ /* Llib/pgp_packets.scm 115 */
{ /* Llib/pgp_packets.scm 115 */
 bool_t BgL_criticalzf31296zf3_3041;
BgL_criticalzf31296zf3_3041 = 
CBOOL(BgL_criticalzf31296zf3_2385); 
{ /* Llib/pgp_packets.scm 115 */
 BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BgL_new1389z00_3043;
{ /* Llib/pgp_packets.scm 115 */
 BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BgL_new1388z00_3044;
BgL_new1388z00_3044 = 
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2policyzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 115 */
 long BgL_arg2449z00_3045;
BgL_arg2449z00_3045 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1388z00_3044), BgL_arg2449z00_3045); } 
{ /* Llib/pgp_packets.scm 115 */
 BgL_objectz00_bglt BgL_tmpz00_4193;
BgL_tmpz00_4193 = 
((BgL_objectz00_bglt)BgL_new1388z00_3044); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4193, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1388z00_3044); 
BgL_new1389z00_3043 = BgL_new1388z00_3044; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1389z00_3043)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31296zf3_3041),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)COBJECT(BgL_new1389z00_3043))->BgL_urlz00)=((obj_t)
((obj_t)BgL_url1297z00_2386)),BUNSPEC); 
return BgL_new1389z00_3043;} } } 

}



/* &lambda2457 */
obj_t BGl_z62lambda2457z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2387, obj_t BgL_oz00_2388, obj_t BgL_vz00_2389)
{
{ /* Llib/pgp_packets.scm 115 */
return 
((((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_oz00_2388)))->BgL_urlz00)=((obj_t)
((obj_t)BgL_vz00_2389)),BUNSPEC);} 

}



/* &lambda2456 */
obj_t BGl_z62lambda2456z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2390, obj_t BgL_oz00_2391)
{
{ /* Llib/pgp_packets.scm 115 */
return 
(((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_oz00_2391)))->BgL_urlz00);} 

}



/* &<@anonymous:2437> */
obj_t BGl_z62zc3z04anonymousza32437ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2392, obj_t BgL_new1294z00_2393)
{
{ /* Llib/pgp_packets.scm 113 */
{ 
 BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BgL_auxz00_4206;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_new1294z00_2393))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_new1294z00_2393)))->BgL_primaryzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4206 = 
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_new1294z00_2393); 
return 
((obj_t)BgL_auxz00_4206);} } 

}



/* &lambda2435 */
BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BGl_z62lambda2435z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2394)
{
{ /* Llib/pgp_packets.scm 113 */
{ /* Llib/pgp_packets.scm 113 */
 BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BgL_new1293z00_3050;
BgL_new1293z00_3050 = 
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 113 */
 long BgL_arg2436z00_3051;
BgL_arg2436z00_3051 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1293z00_3050), BgL_arg2436z00_3051); } 
{ /* Llib/pgp_packets.scm 113 */
 BgL_objectz00_bglt BgL_tmpz00_4218;
BgL_tmpz00_4218 = 
((BgL_objectz00_bglt)BgL_new1293z00_3050); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4218, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1293z00_3050); 
return BgL_new1293z00_3050;} } 

}



/* &lambda2433 */
BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BGl_z62lambda2433z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2395, obj_t BgL_criticalzf31291zf3_2396, obj_t BgL_primaryzf31292zf3_2397)
{
{ /* Llib/pgp_packets.scm 113 */
{ /* Llib/pgp_packets.scm 113 */
 bool_t BgL_criticalzf31291zf3_3052; bool_t BgL_primaryzf31292zf3_3053;
BgL_criticalzf31291zf3_3052 = 
CBOOL(BgL_criticalzf31291zf3_2396); 
BgL_primaryzf31292zf3_3053 = 
CBOOL(BgL_primaryzf31292zf3_2397); 
{ /* Llib/pgp_packets.scm 113 */
 BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BgL_new1387z00_3054;
{ /* Llib/pgp_packets.scm 113 */
 BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BgL_new1386z00_3055;
BgL_new1386z00_3055 = 
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 113 */
 long BgL_arg2434z00_3056;
BgL_arg2434z00_3056 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1386z00_3055), BgL_arg2434z00_3056); } 
{ /* Llib/pgp_packets.scm 113 */
 BgL_objectz00_bglt BgL_tmpz00_4228;
BgL_tmpz00_4228 = 
((BgL_objectz00_bglt)BgL_new1386z00_3055); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4228, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1386z00_3055); 
BgL_new1387z00_3054 = BgL_new1386z00_3055; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1387z00_3054)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31291zf3_3052),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)COBJECT(BgL_new1387z00_3054))->BgL_primaryzf3zf3)=((bool_t)BgL_primaryzf31292zf3_3053),BUNSPEC); 
return BgL_new1387z00_3054;} } } 

}



/* &lambda2442 */
obj_t BGl_z62lambda2442z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2398, obj_t BgL_oz00_2399, obj_t BgL_vz00_2400)
{
{ /* Llib/pgp_packets.scm 113 */
{ /* Llib/pgp_packets.scm 113 */
 bool_t BgL_vz00_3058;
BgL_vz00_3058 = 
CBOOL(BgL_vz00_2400); 
return 
((((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_oz00_2399)))->BgL_primaryzf3zf3)=((bool_t)BgL_vz00_3058),BUNSPEC);} } 

}



/* &lambda2441 */
obj_t BGl_z62lambda2441z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2401, obj_t BgL_oz00_2402)
{
{ /* Llib/pgp_packets.scm 113 */
return 
BBOOL(
(((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_oz00_2402)))->BgL_primaryzf3zf3));} 

}



/* &<@anonymous:2422> */
obj_t BGl_z62zc3z04anonymousza32422ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2403, obj_t BgL_new1289z00_2404)
{
{ /* Llib/pgp_packets.scm 111 */
{ 
 BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BgL_auxz00_4241;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_new1289z00_2404))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_new1289z00_2404)))->BgL_serverz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4241 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_new1289z00_2404); 
return 
((obj_t)BgL_auxz00_4241);} } 

}



/* &lambda2420 */
BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BGl_z62lambda2420z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2405)
{
{ /* Llib/pgp_packets.scm 111 */
{ /* Llib/pgp_packets.scm 111 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BgL_new1288z00_3061;
BgL_new1288z00_3061 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 111 */
 long BgL_arg2421z00_3062;
BgL_arg2421z00_3062 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1288z00_3061), BgL_arg2421z00_3062); } 
{ /* Llib/pgp_packets.scm 111 */
 BgL_objectz00_bglt BgL_tmpz00_4253;
BgL_tmpz00_4253 = 
((BgL_objectz00_bglt)BgL_new1288z00_3061); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4253, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1288z00_3061); 
return BgL_new1288z00_3061;} } 

}



/* &lambda2418 */
BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BGl_z62lambda2418z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2406, obj_t BgL_criticalzf31286zf3_2407, obj_t BgL_server1287z00_2408)
{
{ /* Llib/pgp_packets.scm 111 */
{ /* Llib/pgp_packets.scm 111 */
 bool_t BgL_criticalzf31286zf3_3063;
BgL_criticalzf31286zf3_3063 = 
CBOOL(BgL_criticalzf31286zf3_2407); 
{ /* Llib/pgp_packets.scm 111 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BgL_new1385z00_3065;
{ /* Llib/pgp_packets.scm 111 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BgL_new1384z00_3066;
BgL_new1384z00_3066 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 111 */
 long BgL_arg2419z00_3067;
BgL_arg2419z00_3067 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1384z00_3066), BgL_arg2419z00_3067); } 
{ /* Llib/pgp_packets.scm 111 */
 BgL_objectz00_bglt BgL_tmpz00_4262;
BgL_tmpz00_4262 = 
((BgL_objectz00_bglt)BgL_new1384z00_3066); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4262, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1384z00_3066); 
BgL_new1385z00_3065 = BgL_new1384z00_3066; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1385z00_3065)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31286zf3_3063),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)COBJECT(BgL_new1385z00_3065))->BgL_serverz00)=((obj_t)
((obj_t)BgL_server1287z00_2408)),BUNSPEC); 
return BgL_new1385z00_3065;} } } 

}



/* &lambda2427 */
obj_t BGl_z62lambda2427z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2409, obj_t BgL_oz00_2410, obj_t BgL_vz00_2411)
{
{ /* Llib/pgp_packets.scm 111 */
return 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_oz00_2410)))->BgL_serverz00)=((obj_t)
((obj_t)BgL_vz00_2411)),BUNSPEC);} 

}



/* &lambda2426 */
obj_t BGl_z62lambda2426z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2412, obj_t BgL_oz00_2413)
{
{ /* Llib/pgp_packets.scm 111 */
return 
(((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_oz00_2413)))->BgL_serverz00);} 

}



/* &<@anonymous:2407> */
obj_t BGl_z62zc3z04anonymousza32407ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2414, obj_t BgL_new1284z00_2415)
{
{ /* Llib/pgp_packets.scm 109 */
{ 
 BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BgL_auxz00_4275;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_new1284z00_2415))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_new1284z00_2415)))->BgL_algosz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4275 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_new1284z00_2415); 
return 
((obj_t)BgL_auxz00_4275);} } 

}



/* &lambda2405 */
BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BGl_z62lambda2405z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2416)
{
{ /* Llib/pgp_packets.scm 109 */
{ /* Llib/pgp_packets.scm 109 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BgL_new1283z00_3072;
BgL_new1283z00_3072 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 109 */
 long BgL_arg2406z00_3073;
BgL_arg2406z00_3073 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1283z00_3072), BgL_arg2406z00_3073); } 
{ /* Llib/pgp_packets.scm 109 */
 BgL_objectz00_bglt BgL_tmpz00_4287;
BgL_tmpz00_4287 = 
((BgL_objectz00_bglt)BgL_new1283z00_3072); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4287, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1283z00_3072); 
return BgL_new1283z00_3072;} } 

}



/* &lambda2403 */
BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BGl_z62lambda2403z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2417, obj_t BgL_criticalzf31281zf3_2418, obj_t BgL_algos1282z00_2419)
{
{ /* Llib/pgp_packets.scm 109 */
{ /* Llib/pgp_packets.scm 109 */
 bool_t BgL_criticalzf31281zf3_3074;
BgL_criticalzf31281zf3_3074 = 
CBOOL(BgL_criticalzf31281zf3_2418); 
{ /* Llib/pgp_packets.scm 109 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BgL_new1383z00_3076;
{ /* Llib/pgp_packets.scm 109 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BgL_new1382z00_3077;
BgL_new1382z00_3077 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 109 */
 long BgL_arg2404z00_3078;
BgL_arg2404z00_3078 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1382z00_3077), BgL_arg2404z00_3078); } 
{ /* Llib/pgp_packets.scm 109 */
 BgL_objectz00_bglt BgL_tmpz00_4296;
BgL_tmpz00_4296 = 
((BgL_objectz00_bglt)BgL_new1382z00_3077); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4296, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1382z00_3077); 
BgL_new1383z00_3076 = BgL_new1382z00_3077; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1383z00_3076)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31281zf3_3074),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)COBJECT(BgL_new1383z00_3076))->BgL_algosz00)=((obj_t)
((obj_t)BgL_algos1282z00_2419)),BUNSPEC); 
return BgL_new1383z00_3076;} } } 

}



/* &lambda2412 */
obj_t BGl_z62lambda2412z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2420, obj_t BgL_oz00_2421, obj_t BgL_vz00_2422)
{
{ /* Llib/pgp_packets.scm 109 */
return 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_oz00_2421)))->BgL_algosz00)=((obj_t)
((obj_t)BgL_vz00_2422)),BUNSPEC);} 

}



/* &lambda2411 */
obj_t BGl_z62lambda2411z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2423, obj_t BgL_oz00_2424)
{
{ /* Llib/pgp_packets.scm 109 */
return 
(((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_oz00_2424)))->BgL_algosz00);} 

}



/* &<@anonymous:2392> */
obj_t BGl_z62zc3z04anonymousza32392ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2425, obj_t BgL_new1279z00_2426)
{
{ /* Llib/pgp_packets.scm 107 */
{ 
 BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BgL_auxz00_4309;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_new1279z00_2426))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_new1279z00_2426)))->BgL_algosz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4309 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_new1279z00_2426); 
return 
((obj_t)BgL_auxz00_4309);} } 

}



/* &lambda2390 */
BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BGl_z62lambda2390z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2427)
{
{ /* Llib/pgp_packets.scm 107 */
{ /* Llib/pgp_packets.scm 107 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BgL_new1278z00_3083;
BgL_new1278z00_3083 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 107 */
 long BgL_arg2391z00_3084;
BgL_arg2391z00_3084 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1278z00_3083), BgL_arg2391z00_3084); } 
{ /* Llib/pgp_packets.scm 107 */
 BgL_objectz00_bglt BgL_tmpz00_4321;
BgL_tmpz00_4321 = 
((BgL_objectz00_bglt)BgL_new1278z00_3083); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4321, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1278z00_3083); 
return BgL_new1278z00_3083;} } 

}



/* &lambda2388 */
BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BGl_z62lambda2388z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2428, obj_t BgL_criticalzf31276zf3_2429, obj_t BgL_algos1277z00_2430)
{
{ /* Llib/pgp_packets.scm 107 */
{ /* Llib/pgp_packets.scm 107 */
 bool_t BgL_criticalzf31276zf3_3085;
BgL_criticalzf31276zf3_3085 = 
CBOOL(BgL_criticalzf31276zf3_2429); 
{ /* Llib/pgp_packets.scm 107 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BgL_new1381z00_3087;
{ /* Llib/pgp_packets.scm 107 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BgL_new1380z00_3088;
BgL_new1380z00_3088 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 107 */
 long BgL_arg2389z00_3089;
BgL_arg2389z00_3089 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1380z00_3088), BgL_arg2389z00_3089); } 
{ /* Llib/pgp_packets.scm 107 */
 BgL_objectz00_bglt BgL_tmpz00_4330;
BgL_tmpz00_4330 = 
((BgL_objectz00_bglt)BgL_new1380z00_3088); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4330, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1380z00_3088); 
BgL_new1381z00_3087 = BgL_new1380z00_3088; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1381z00_3087)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31276zf3_3085),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)COBJECT(BgL_new1381z00_3087))->BgL_algosz00)=((obj_t)
((obj_t)BgL_algos1277z00_2430)),BUNSPEC); 
return BgL_new1381z00_3087;} } } 

}



/* &lambda2397 */
obj_t BGl_z62lambda2397z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2431, obj_t BgL_oz00_2432, obj_t BgL_vz00_2433)
{
{ /* Llib/pgp_packets.scm 107 */
return 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_oz00_2432)))->BgL_algosz00)=((obj_t)
((obj_t)BgL_vz00_2433)),BUNSPEC);} 

}



/* &lambda2396 */
obj_t BGl_z62lambda2396z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2434, obj_t BgL_oz00_2435)
{
{ /* Llib/pgp_packets.scm 107 */
return 
(((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_oz00_2435)))->BgL_algosz00);} 

}



/* &<@anonymous:2367> */
obj_t BGl_z62zc3z04anonymousza32367ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2436, obj_t BgL_new1274z00_2437)
{
{ /* Llib/pgp_packets.scm 104 */
{ 
 BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BgL_auxz00_4343;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_new1274z00_2437))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_new1274z00_2437)))->BgL_flagsz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_new1274z00_2437)))->BgL_namez00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_new1274z00_2437)))->BgL_valuez00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4343 = 
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_new1274z00_2437); 
return 
((obj_t)BgL_auxz00_4343);} } 

}



/* &lambda2365 */
BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BGl_z62lambda2365z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2438)
{
{ /* Llib/pgp_packets.scm 104 */
{ /* Llib/pgp_packets.scm 104 */
 BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BgL_new1273z00_3094;
BgL_new1273z00_3094 = 
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2notationzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 104 */
 long BgL_arg2366z00_3095;
BgL_arg2366z00_3095 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1273z00_3094), BgL_arg2366z00_3095); } 
{ /* Llib/pgp_packets.scm 104 */
 BgL_objectz00_bglt BgL_tmpz00_4359;
BgL_tmpz00_4359 = 
((BgL_objectz00_bglt)BgL_new1273z00_3094); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4359, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1273z00_3094); 
return BgL_new1273z00_3094;} } 

}



/* &lambda2363 */
BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BGl_z62lambda2363z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2439, obj_t BgL_criticalzf31269zf3_2440, obj_t BgL_flags1270z00_2441, obj_t BgL_name1271z00_2442, obj_t BgL_value1272z00_2443)
{
{ /* Llib/pgp_packets.scm 104 */
{ /* Llib/pgp_packets.scm 104 */
 bool_t BgL_criticalzf31269zf3_3096;
BgL_criticalzf31269zf3_3096 = 
CBOOL(BgL_criticalzf31269zf3_2440); 
{ /* Llib/pgp_packets.scm 104 */
 BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BgL_new1379z00_3100;
{ /* Llib/pgp_packets.scm 104 */
 BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BgL_new1378z00_3101;
BgL_new1378z00_3101 = 
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2notationzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 104 */
 long BgL_arg2364z00_3102;
BgL_arg2364z00_3102 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1378z00_3101), BgL_arg2364z00_3102); } 
{ /* Llib/pgp_packets.scm 104 */
 BgL_objectz00_bglt BgL_tmpz00_4368;
BgL_tmpz00_4368 = 
((BgL_objectz00_bglt)BgL_new1378z00_3101); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4368, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1378z00_3101); 
BgL_new1379z00_3100 = BgL_new1378z00_3101; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1379z00_3100)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31269zf3_3096),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(BgL_new1379z00_3100))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_flags1270z00_2441)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(BgL_new1379z00_3100))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1271z00_2442)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(BgL_new1379z00_3100))->BgL_valuez00)=((obj_t)
((obj_t)BgL_value1272z00_2443)),BUNSPEC); 
return BgL_new1379z00_3100;} } } 

}



/* &lambda2382 */
obj_t BGl_z62lambda2382z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2444, obj_t BgL_oz00_2445, obj_t BgL_vz00_2446)
{
{ /* Llib/pgp_packets.scm 104 */
return 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_oz00_2445)))->BgL_valuez00)=((obj_t)
((obj_t)BgL_vz00_2446)),BUNSPEC);} 

}



/* &lambda2381 */
obj_t BGl_z62lambda2381z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2447, obj_t BgL_oz00_2448)
{
{ /* Llib/pgp_packets.scm 104 */
return 
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_oz00_2448)))->BgL_valuez00);} 

}



/* &lambda2377 */
obj_t BGl_z62lambda2377z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2449, obj_t BgL_oz00_2450, obj_t BgL_vz00_2451)
{
{ /* Llib/pgp_packets.scm 104 */
return 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_oz00_2450)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_2451)),BUNSPEC);} 

}



/* &lambda2376 */
obj_t BGl_z62lambda2376z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2452, obj_t BgL_oz00_2453)
{
{ /* Llib/pgp_packets.scm 104 */
return 
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_oz00_2453)))->BgL_namez00);} 

}



/* &lambda2372 */
obj_t BGl_z62lambda2372z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2454, obj_t BgL_oz00_2455, obj_t BgL_vz00_2456)
{
{ /* Llib/pgp_packets.scm 104 */
return 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_oz00_2455)))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_vz00_2456)),BUNSPEC);} 

}



/* &lambda2371 */
obj_t BGl_z62lambda2371z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2457, obj_t BgL_oz00_2458)
{
{ /* Llib/pgp_packets.scm 104 */
return 
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_oz00_2458)))->BgL_flagsz00);} 

}



/* &<@anonymous:2352> */
obj_t BGl_z62zc3z04anonymousza32352ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2459, obj_t BgL_new1267z00_2460)
{
{ /* Llib/pgp_packets.scm 102 */
{ 
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_auxz00_4395;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_new1267z00_2460))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_new1267z00_2460)))->BgL_keyzd2idzd2)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4395 = 
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_new1267z00_2460); 
return 
((obj_t)BgL_auxz00_4395);} } 

}



/* &lambda2350 */
BgL_pgpzd2signaturezd2subzd2idzd2_bglt BGl_z62lambda2350z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2461)
{
{ /* Llib/pgp_packets.scm 102 */
{ /* Llib/pgp_packets.scm 102 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1266z00_3113;
BgL_new1266z00_3113 = 
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 102 */
 long BgL_arg2351z00_3114;
BgL_arg2351z00_3114 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1266z00_3113), BgL_arg2351z00_3114); } 
{ /* Llib/pgp_packets.scm 102 */
 BgL_objectz00_bglt BgL_tmpz00_4407;
BgL_tmpz00_4407 = 
((BgL_objectz00_bglt)BgL_new1266z00_3113); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4407, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1266z00_3113); 
return BgL_new1266z00_3113;} } 

}



/* &lambda2348 */
BgL_pgpzd2signaturezd2subzd2idzd2_bglt BGl_z62lambda2348z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2462, obj_t BgL_criticalzf31264zf3_2463, obj_t BgL_keyzd2id1265zd2_2464)
{
{ /* Llib/pgp_packets.scm 102 */
{ /* Llib/pgp_packets.scm 102 */
 bool_t BgL_criticalzf31264zf3_3115;
BgL_criticalzf31264zf3_3115 = 
CBOOL(BgL_criticalzf31264zf3_2463); 
{ /* Llib/pgp_packets.scm 102 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1377z00_3117;
{ /* Llib/pgp_packets.scm 102 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1376z00_3118;
BgL_new1376z00_3118 = 
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 102 */
 long BgL_arg2349z00_3119;
BgL_arg2349z00_3119 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1376z00_3118), BgL_arg2349z00_3119); } 
{ /* Llib/pgp_packets.scm 102 */
 BgL_objectz00_bglt BgL_tmpz00_4416;
BgL_tmpz00_4416 = 
((BgL_objectz00_bglt)BgL_new1376z00_3118); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4416, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1376z00_3118); 
BgL_new1377z00_3117 = BgL_new1376z00_3118; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1377z00_3117)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31264zf3_3115),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(BgL_new1377z00_3117))->BgL_keyzd2idzd2)=((obj_t)
((obj_t)BgL_keyzd2id1265zd2_2464)),BUNSPEC); 
return BgL_new1377z00_3117;} } } 

}



/* &lambda2357 */
obj_t BGl_z62lambda2357z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2465, obj_t BgL_oz00_2466, obj_t BgL_vz00_2467)
{
{ /* Llib/pgp_packets.scm 102 */
return 
((((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_oz00_2466)))->BgL_keyzd2idzd2)=((obj_t)
((obj_t)BgL_vz00_2467)),BUNSPEC);} 

}



/* &lambda2356 */
obj_t BGl_z62lambda2356z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2468, obj_t BgL_oz00_2469)
{
{ /* Llib/pgp_packets.scm 102 */
return 
(((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_oz00_2469)))->BgL_keyzd2idzd2);} 

}



/* &<@anonymous:2322> */
obj_t BGl_z62zc3z04anonymousza32322ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2470, obj_t BgL_new1262z00_2471)
{
{ /* Llib/pgp_packets.scm 97 */
{ 
 BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BgL_auxz00_4429;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_new1262z00_2471))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_new1262z00_2471)))->BgL_claza7za7z00)=((char)
(signed char)(((long)0))),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_new1262z00_2471)))->BgL_sensitivezf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_new1262z00_2471)))->BgL_algidz00)=((char)
(signed char)(((long)0))),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_new1262z00_2471)))->BgL_fingerprintz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4429 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_new1262z00_2471); 
return 
((obj_t)BgL_auxz00_4429);} } 

}



/* &lambda2320 */
BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BGl_z62lambda2320z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2472)
{
{ /* Llib/pgp_packets.scm 97 */
{ /* Llib/pgp_packets.scm 97 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BgL_new1261z00_3124;
BgL_new1261z00_3124 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocationzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 97 */
 long BgL_arg2321z00_3125;
BgL_arg2321z00_3125 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1261z00_3124), BgL_arg2321z00_3125); } 
{ /* Llib/pgp_packets.scm 97 */
 BgL_objectz00_bglt BgL_tmpz00_4449;
BgL_tmpz00_4449 = 
((BgL_objectz00_bglt)BgL_new1261z00_3124); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4449, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1261z00_3124); 
return BgL_new1261z00_3124;} } 

}



/* &lambda2318 */
BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BGl_z62lambda2318z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2473, obj_t BgL_criticalzf31256zf3_2474, obj_t BgL_claza7za71257z00_2475, obj_t BgL_sensitivezf31258zf3_2476, obj_t BgL_algid1259z00_2477, obj_t BgL_fingerprint1260z00_2478)
{
{ /* Llib/pgp_packets.scm 97 */
{ /* Llib/pgp_packets.scm 97 */
 bool_t BgL_criticalzf31256zf3_3126; char BgL_claza7za71257z00_3127; bool_t BgL_sensitivezf31258zf3_3128; char BgL_algid1259z00_3129;
BgL_criticalzf31256zf3_3126 = 
CBOOL(BgL_criticalzf31256zf3_2474); 
BgL_claza7za71257z00_3127 = 
(signed char)CINT(BgL_claza7za71257z00_2475); 
BgL_sensitivezf31258zf3_3128 = 
CBOOL(BgL_sensitivezf31258zf3_2476); 
BgL_algid1259z00_3129 = 
(signed char)CINT(BgL_algid1259z00_2477); 
{ /* Llib/pgp_packets.scm 97 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BgL_new1375z00_3131;
{ /* Llib/pgp_packets.scm 97 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BgL_new1374z00_3132;
BgL_new1374z00_3132 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocationzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 97 */
 long BgL_arg2319z00_3133;
BgL_arg2319z00_3133 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1374z00_3132), BgL_arg2319z00_3133); } 
{ /* Llib/pgp_packets.scm 97 */
 BgL_objectz00_bglt BgL_tmpz00_4461;
BgL_tmpz00_4461 = 
((BgL_objectz00_bglt)BgL_new1374z00_3132); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4461, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1374z00_3132); 
BgL_new1375z00_3131 = BgL_new1374z00_3132; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1375z00_3131)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31256zf3_3126),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(BgL_new1375z00_3131))->BgL_claza7za7z00)=((char)BgL_claza7za71257z00_3127),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(BgL_new1375z00_3131))->BgL_sensitivezf3zf3)=((bool_t)BgL_sensitivezf31258zf3_3128),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(BgL_new1375z00_3131))->BgL_algidz00)=((char)BgL_algid1259z00_3129),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(BgL_new1375z00_3131))->BgL_fingerprintz00)=((obj_t)
((obj_t)BgL_fingerprint1260z00_2478)),BUNSPEC); 
return BgL_new1375z00_3131;} } } 

}



/* &lambda2342 */
obj_t BGl_z62lambda2342z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2479, obj_t BgL_oz00_2480, obj_t BgL_vz00_2481)
{
{ /* Llib/pgp_packets.scm 97 */
return 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2480)))->BgL_fingerprintz00)=((obj_t)
((obj_t)BgL_vz00_2481)),BUNSPEC);} 

}



/* &lambda2341 */
obj_t BGl_z62lambda2341z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2482, obj_t BgL_oz00_2483)
{
{ /* Llib/pgp_packets.scm 97 */
return 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2483)))->BgL_fingerprintz00);} 

}



/* &lambda2337 */
obj_t BGl_z62lambda2337z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2484, obj_t BgL_oz00_2485, obj_t BgL_vz00_2486)
{
{ /* Llib/pgp_packets.scm 97 */
{ /* Llib/pgp_packets.scm 97 */
 char BgL_vz00_3138;
BgL_vz00_3138 = 
(signed char)CINT(BgL_vz00_2486); 
return 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2485)))->BgL_algidz00)=((char)BgL_vz00_3138),BUNSPEC);} } 

}



/* &lambda2336 */
obj_t BGl_z62lambda2336z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2487, obj_t BgL_oz00_2488)
{
{ /* Llib/pgp_packets.scm 97 */
return 
BINT(
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2488)))->BgL_algidz00));} 

}



/* &lambda2332 */
obj_t BGl_z62lambda2332z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2489, obj_t BgL_oz00_2490, obj_t BgL_vz00_2491)
{
{ /* Llib/pgp_packets.scm 97 */
{ /* Llib/pgp_packets.scm 97 */
 bool_t BgL_vz00_3141;
BgL_vz00_3141 = 
CBOOL(BgL_vz00_2491); 
return 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2490)))->BgL_sensitivezf3zf3)=((bool_t)BgL_vz00_3141),BUNSPEC);} } 

}



/* &lambda2331 */
obj_t BGl_z62lambda2331z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2492, obj_t BgL_oz00_2493)
{
{ /* Llib/pgp_packets.scm 97 */
return 
BBOOL(
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2493)))->BgL_sensitivezf3zf3));} 

}



/* &lambda2327 */
obj_t BGl_z62lambda2327z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2494, obj_t BgL_oz00_2495, obj_t BgL_vz00_2496)
{
{ /* Llib/pgp_packets.scm 97 */
{ /* Llib/pgp_packets.scm 97 */
 char BgL_vz00_3144;
BgL_vz00_3144 = 
(signed char)CINT(BgL_vz00_2496); 
return 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2495)))->BgL_claza7za7z00)=((char)BgL_vz00_3144),BUNSPEC);} } 

}



/* &lambda2326 */
obj_t BGl_z62lambda2326z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2497, obj_t BgL_oz00_2498)
{
{ /* Llib/pgp_packets.scm 97 */
return 
BINT(
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2498)))->BgL_claza7za7z00));} 

}



/* &<@anonymous:2307> */
obj_t BGl_z62zc3z04anonymousza32307ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2499, obj_t BgL_new1254z00_2500)
{
{ /* Llib/pgp_packets.scm 95 */
{ 
 BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BgL_auxz00_4495;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_new1254z00_2500))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_new1254z00_2500)))->BgL_algosz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4495 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_new1254z00_2500); 
return 
((obj_t)BgL_auxz00_4495);} } 

}



/* &lambda2305 */
BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BGl_z62lambda2305z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2501)
{
{ /* Llib/pgp_packets.scm 95 */
{ /* Llib/pgp_packets.scm 95 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BgL_new1253z00_3147;
BgL_new1253z00_3147 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 95 */
 long BgL_arg2306z00_3148;
BgL_arg2306z00_3148 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1253z00_3147), BgL_arg2306z00_3148); } 
{ /* Llib/pgp_packets.scm 95 */
 BgL_objectz00_bglt BgL_tmpz00_4507;
BgL_tmpz00_4507 = 
((BgL_objectz00_bglt)BgL_new1253z00_3147); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4507, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1253z00_3147); 
return BgL_new1253z00_3147;} } 

}



/* &lambda2303 */
BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BGl_z62lambda2303z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2502, obj_t BgL_criticalzf31251zf3_2503, obj_t BgL_algos1252z00_2504)
{
{ /* Llib/pgp_packets.scm 95 */
{ /* Llib/pgp_packets.scm 95 */
 bool_t BgL_criticalzf31251zf3_3149;
BgL_criticalzf31251zf3_3149 = 
CBOOL(BgL_criticalzf31251zf3_2503); 
{ /* Llib/pgp_packets.scm 95 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BgL_new1373z00_3151;
{ /* Llib/pgp_packets.scm 95 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BgL_new1372z00_3152;
BgL_new1372z00_3152 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 95 */
 long BgL_arg2304z00_3153;
BgL_arg2304z00_3153 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1372z00_3152), BgL_arg2304z00_3153); } 
{ /* Llib/pgp_packets.scm 95 */
 BgL_objectz00_bglt BgL_tmpz00_4516;
BgL_tmpz00_4516 = 
((BgL_objectz00_bglt)BgL_new1372z00_3152); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4516, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1372z00_3152); 
BgL_new1373z00_3151 = BgL_new1372z00_3152; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1373z00_3151)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31251zf3_3149),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)COBJECT(BgL_new1373z00_3151))->BgL_algosz00)=((obj_t)
((obj_t)BgL_algos1252z00_2504)),BUNSPEC); 
return BgL_new1373z00_3151;} } } 

}



/* &lambda2312 */
obj_t BGl_z62lambda2312z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2505, obj_t BgL_oz00_2506, obj_t BgL_vz00_2507)
{
{ /* Llib/pgp_packets.scm 95 */
return 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_oz00_2506)))->BgL_algosz00)=((obj_t)
((obj_t)BgL_vz00_2507)),BUNSPEC);} 

}



/* &lambda2311 */
obj_t BGl_z62lambda2311z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2508, obj_t BgL_oz00_2509)
{
{ /* Llib/pgp_packets.scm 95 */
return 
(((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_oz00_2509)))->BgL_algosz00);} 

}



/* &<@anonymous:2292> */
obj_t BGl_z62zc3z04anonymousza32292ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2510, obj_t BgL_new1249z00_2511)
{
{ /* Llib/pgp_packets.scm 93 */
{ 
 BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BgL_auxz00_4529;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_new1249z00_2511))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_new1249z00_2511)))->BgL_expirationzd2timezd2)=((long)((long)0)),BUNSPEC); 
BgL_auxz00_4529 = 
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_new1249z00_2511); 
return 
((obj_t)BgL_auxz00_4529);} } 

}



/* &lambda2290 */
BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BGl_z62lambda2290z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2512)
{
{ /* Llib/pgp_packets.scm 93 */
{ /* Llib/pgp_packets.scm 93 */
 BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BgL_new1248z00_3158;
BgL_new1248z00_3158 = 
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 93 */
 long BgL_arg2291z00_3159;
BgL_arg2291z00_3159 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1248z00_3158), BgL_arg2291z00_3159); } 
{ /* Llib/pgp_packets.scm 93 */
 BgL_objectz00_bglt BgL_tmpz00_4541;
BgL_tmpz00_4541 = 
((BgL_objectz00_bglt)BgL_new1248z00_3158); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4541, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1248z00_3158); 
return BgL_new1248z00_3158;} } 

}



/* &lambda2288 */
BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BGl_z62lambda2288z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2513, obj_t BgL_criticalzf31246zf3_2514, obj_t BgL_expirationzd2time1247zd2_2515)
{
{ /* Llib/pgp_packets.scm 93 */
{ /* Llib/pgp_packets.scm 93 */
 bool_t BgL_criticalzf31246zf3_3160; long BgL_expirationzd2time1247zd2_3161;
BgL_criticalzf31246zf3_3160 = 
CBOOL(BgL_criticalzf31246zf3_2514); 
BgL_expirationzd2time1247zd2_3161 = 
(long)CINT(BgL_expirationzd2time1247zd2_2515); 
{ /* Llib/pgp_packets.scm 93 */
 BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BgL_new1371z00_3162;
{ /* Llib/pgp_packets.scm 93 */
 BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BgL_new1370z00_3163;
BgL_new1370z00_3163 = 
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 93 */
 long BgL_arg2289z00_3164;
BgL_arg2289z00_3164 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1370z00_3163), BgL_arg2289z00_3164); } 
{ /* Llib/pgp_packets.scm 93 */
 BgL_objectz00_bglt BgL_tmpz00_4551;
BgL_tmpz00_4551 = 
((BgL_objectz00_bglt)BgL_new1370z00_3163); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4551, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1370z00_3163); 
BgL_new1371z00_3162 = BgL_new1370z00_3163; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1371z00_3162)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31246zf3_3160),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)COBJECT(BgL_new1371z00_3162))->BgL_expirationzd2timezd2)=((long)BgL_expirationzd2time1247zd2_3161),BUNSPEC); 
return BgL_new1371z00_3162;} } } 

}



/* &lambda2297 */
obj_t BGl_z62lambda2297z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2516, obj_t BgL_oz00_2517, obj_t BgL_vz00_2518)
{
{ /* Llib/pgp_packets.scm 93 */
{ /* Llib/pgp_packets.scm 93 */
 long BgL_vz00_3166;
BgL_vz00_3166 = 
(long)CINT(BgL_vz00_2518); 
return 
((((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_oz00_2517)))->BgL_expirationzd2timezd2)=((long)BgL_vz00_3166),BUNSPEC);} } 

}



/* &lambda2296 */
obj_t BGl_z62lambda2296z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2519, obj_t BgL_oz00_2520)
{
{ /* Llib/pgp_packets.scm 93 */
return 
BINT(
(((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_oz00_2520)))->BgL_expirationzd2timezd2));} 

}



/* &<@anonymous:2277> */
obj_t BGl_z62zc3z04anonymousza32277ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2521, obj_t BgL_new1244z00_2522)
{
{ /* Llib/pgp_packets.scm 91 */
{ 
 BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BgL_auxz00_4564;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_new1244z00_2522))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_new1244z00_2522)))->BgL_revocablezf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4564 = 
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_new1244z00_2522); 
return 
((obj_t)BgL_auxz00_4564);} } 

}



/* &lambda2275 */
BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BGl_z62lambda2275z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2523)
{
{ /* Llib/pgp_packets.scm 91 */
{ /* Llib/pgp_packets.scm 91 */
 BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BgL_new1243z00_3169;
BgL_new1243z00_3169 = 
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocablezd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 91 */
 long BgL_arg2276z00_3170;
BgL_arg2276z00_3170 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1243z00_3169), BgL_arg2276z00_3170); } 
{ /* Llib/pgp_packets.scm 91 */
 BgL_objectz00_bglt BgL_tmpz00_4576;
BgL_tmpz00_4576 = 
((BgL_objectz00_bglt)BgL_new1243z00_3169); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4576, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1243z00_3169); 
return BgL_new1243z00_3169;} } 

}



/* &lambda2273 */
BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BGl_z62lambda2273z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2524, obj_t BgL_criticalzf31241zf3_2525, obj_t BgL_revocablezf31242zf3_2526)
{
{ /* Llib/pgp_packets.scm 91 */
{ /* Llib/pgp_packets.scm 91 */
 bool_t BgL_criticalzf31241zf3_3171; bool_t BgL_revocablezf31242zf3_3172;
BgL_criticalzf31241zf3_3171 = 
CBOOL(BgL_criticalzf31241zf3_2525); 
BgL_revocablezf31242zf3_3172 = 
CBOOL(BgL_revocablezf31242zf3_2526); 
{ /* Llib/pgp_packets.scm 91 */
 BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BgL_new1369z00_3173;
{ /* Llib/pgp_packets.scm 91 */
 BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BgL_new1368z00_3174;
BgL_new1368z00_3174 = 
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocablezd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 91 */
 long BgL_arg2274z00_3175;
BgL_arg2274z00_3175 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1368z00_3174), BgL_arg2274z00_3175); } 
{ /* Llib/pgp_packets.scm 91 */
 BgL_objectz00_bglt BgL_tmpz00_4586;
BgL_tmpz00_4586 = 
((BgL_objectz00_bglt)BgL_new1368z00_3174); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4586, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1368z00_3174); 
BgL_new1369z00_3173 = BgL_new1368z00_3174; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1369z00_3173)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31241zf3_3171),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)COBJECT(BgL_new1369z00_3173))->BgL_revocablezf3zf3)=((bool_t)BgL_revocablezf31242zf3_3172),BUNSPEC); 
return BgL_new1369z00_3173;} } } 

}



/* &lambda2282 */
obj_t BGl_z62lambda2282z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2527, obj_t BgL_oz00_2528, obj_t BgL_vz00_2529)
{
{ /* Llib/pgp_packets.scm 91 */
{ /* Llib/pgp_packets.scm 91 */
 bool_t BgL_vz00_3177;
BgL_vz00_3177 = 
CBOOL(BgL_vz00_2529); 
return 
((((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_oz00_2528)))->BgL_revocablezf3zf3)=((bool_t)BgL_vz00_3177),BUNSPEC);} } 

}



/* &lambda2281 */
obj_t BGl_z62lambda2281z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2530, obj_t BgL_oz00_2531)
{
{ /* Llib/pgp_packets.scm 91 */
return 
BBOOL(
(((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_oz00_2531)))->BgL_revocablezf3zf3));} 

}



/* &<@anonymous:2257> */
obj_t BGl_z62zc3z04anonymousza32257ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2532, obj_t BgL_new1239z00_2533)
{
{ /* Llib/pgp_packets.scm 88 */
{ 
 BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BgL_auxz00_4599;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_new1239z00_2533))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_new1239z00_2533)))->BgL_levelz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_new1239z00_2533)))->BgL_amountz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_4599 = 
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_new1239z00_2533); 
return 
((obj_t)BgL_auxz00_4599);} } 

}



/* &lambda2255 */
BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BGl_z62lambda2255z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2534)
{
{ /* Llib/pgp_packets.scm 88 */
{ /* Llib/pgp_packets.scm 88 */
 BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BgL_new1238z00_3180;
BgL_new1238z00_3180 = 
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2trustzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 88 */
 long BgL_arg2256z00_3181;
BgL_arg2256z00_3181 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1238z00_3180), BgL_arg2256z00_3181); } 
{ /* Llib/pgp_packets.scm 88 */
 BgL_objectz00_bglt BgL_tmpz00_4615;
BgL_tmpz00_4615 = 
((BgL_objectz00_bglt)BgL_new1238z00_3180); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4615, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1238z00_3180); 
return BgL_new1238z00_3180;} } 

}



/* &lambda2253 */
BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BGl_z62lambda2253z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2535, obj_t BgL_criticalzf31235zf3_2536, obj_t BgL_level1236z00_2537, obj_t BgL_amount1237z00_2538)
{
{ /* Llib/pgp_packets.scm 88 */
{ /* Llib/pgp_packets.scm 88 */
 bool_t BgL_criticalzf31235zf3_3182; int BgL_level1236z00_3183; int BgL_amount1237z00_3184;
BgL_criticalzf31235zf3_3182 = 
CBOOL(BgL_criticalzf31235zf3_2536); 
BgL_level1236z00_3183 = 
CINT(BgL_level1236z00_2537); 
BgL_amount1237z00_3184 = 
CINT(BgL_amount1237z00_2538); 
{ /* Llib/pgp_packets.scm 88 */
 BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BgL_new1367z00_3185;
{ /* Llib/pgp_packets.scm 88 */
 BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BgL_new1366z00_3186;
BgL_new1366z00_3186 = 
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2trustzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 88 */
 long BgL_arg2254z00_3187;
BgL_arg2254z00_3187 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1366z00_3186), BgL_arg2254z00_3187); } 
{ /* Llib/pgp_packets.scm 88 */
 BgL_objectz00_bglt BgL_tmpz00_4626;
BgL_tmpz00_4626 = 
((BgL_objectz00_bglt)BgL_new1366z00_3186); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4626, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1366z00_3186); 
BgL_new1367z00_3185 = BgL_new1366z00_3186; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1367z00_3185)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31235zf3_3182),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(BgL_new1367z00_3185))->BgL_levelz00)=((int)BgL_level1236z00_3183),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(BgL_new1367z00_3185))->BgL_amountz00)=((int)BgL_amount1237z00_3184),BUNSPEC); 
return BgL_new1367z00_3185;} } } 

}



/* &lambda2267 */
obj_t BGl_z62lambda2267z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2539, obj_t BgL_oz00_2540, obj_t BgL_vz00_2541)
{
{ /* Llib/pgp_packets.scm 88 */
{ /* Llib/pgp_packets.scm 88 */
 int BgL_vz00_3189;
BgL_vz00_3189 = 
CINT(BgL_vz00_2541); 
return 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_oz00_2540)))->BgL_amountz00)=((int)BgL_vz00_3189),BUNSPEC);} } 

}



/* &lambda2266 */
obj_t BGl_z62lambda2266z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2542, obj_t BgL_oz00_2543)
{
{ /* Llib/pgp_packets.scm 88 */
return 
BINT(
(((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_oz00_2543)))->BgL_amountz00));} 

}



/* &lambda2262 */
obj_t BGl_z62lambda2262z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2544, obj_t BgL_oz00_2545, obj_t BgL_vz00_2546)
{
{ /* Llib/pgp_packets.scm 88 */
{ /* Llib/pgp_packets.scm 88 */
 int BgL_vz00_3192;
BgL_vz00_3192 = 
CINT(BgL_vz00_2546); 
return 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_oz00_2545)))->BgL_levelz00)=((int)BgL_vz00_3192),BUNSPEC);} } 

}



/* &lambda2261 */
obj_t BGl_z62lambda2261z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2547, obj_t BgL_oz00_2548)
{
{ /* Llib/pgp_packets.scm 88 */
return 
BINT(
(((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_oz00_2548)))->BgL_levelz00));} 

}



/* &<@anonymous:2242> */
obj_t BGl_z62zc3z04anonymousza32242ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2549, obj_t BgL_new1233z00_2550)
{
{ /* Llib/pgp_packets.scm 86 */
{ 
 BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BgL_auxz00_4646;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_new1233z00_2550))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_new1233z00_2550)))->BgL_exportablezf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4646 = 
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_new1233z00_2550); 
return 
((obj_t)BgL_auxz00_4646);} } 

}



/* &lambda2240 */
BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BGl_z62lambda2240z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2551)
{
{ /* Llib/pgp_packets.scm 86 */
{ /* Llib/pgp_packets.scm 86 */
 BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BgL_new1232z00_3195;
BgL_new1232z00_3195 = 
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2exportablezd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 86 */
 long BgL_arg2241z00_3196;
BgL_arg2241z00_3196 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1232z00_3195), BgL_arg2241z00_3196); } 
{ /* Llib/pgp_packets.scm 86 */
 BgL_objectz00_bglt BgL_tmpz00_4658;
BgL_tmpz00_4658 = 
((BgL_objectz00_bglt)BgL_new1232z00_3195); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4658, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1232z00_3195); 
return BgL_new1232z00_3195;} } 

}



/* &lambda2238 */
BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BGl_z62lambda2238z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2552, obj_t BgL_criticalzf31230zf3_2553, obj_t BgL_exportablezf31231zf3_2554)
{
{ /* Llib/pgp_packets.scm 86 */
{ /* Llib/pgp_packets.scm 86 */
 bool_t BgL_criticalzf31230zf3_3197; bool_t BgL_exportablezf31231zf3_3198;
BgL_criticalzf31230zf3_3197 = 
CBOOL(BgL_criticalzf31230zf3_2553); 
BgL_exportablezf31231zf3_3198 = 
CBOOL(BgL_exportablezf31231zf3_2554); 
{ /* Llib/pgp_packets.scm 86 */
 BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BgL_new1365z00_3199;
{ /* Llib/pgp_packets.scm 86 */
 BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BgL_new1364z00_3200;
BgL_new1364z00_3200 = 
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2exportablezd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 86 */
 long BgL_arg2239z00_3201;
BgL_arg2239z00_3201 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1364z00_3200), BgL_arg2239z00_3201); } 
{ /* Llib/pgp_packets.scm 86 */
 BgL_objectz00_bglt BgL_tmpz00_4668;
BgL_tmpz00_4668 = 
((BgL_objectz00_bglt)BgL_new1364z00_3200); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4668, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1364z00_3200); 
BgL_new1365z00_3199 = BgL_new1364z00_3200; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1365z00_3199)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31230zf3_3197),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)COBJECT(BgL_new1365z00_3199))->BgL_exportablezf3zf3)=((bool_t)BgL_exportablezf31231zf3_3198),BUNSPEC); 
return BgL_new1365z00_3199;} } } 

}



/* &lambda2247 */
obj_t BGl_z62lambda2247z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2555, obj_t BgL_oz00_2556, obj_t BgL_vz00_2557)
{
{ /* Llib/pgp_packets.scm 86 */
{ /* Llib/pgp_packets.scm 86 */
 bool_t BgL_vz00_3203;
BgL_vz00_3203 = 
CBOOL(BgL_vz00_2557); 
return 
((((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_oz00_2556)))->BgL_exportablezf3zf3)=((bool_t)BgL_vz00_3203),BUNSPEC);} } 

}



/* &lambda2246 */
obj_t BGl_z62lambda2246z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2558, obj_t BgL_oz00_2559)
{
{ /* Llib/pgp_packets.scm 86 */
return 
BBOOL(
(((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_oz00_2559)))->BgL_exportablezf3zf3));} 

}



/* &<@anonymous:2227> */
obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2560, obj_t BgL_new1228z00_2561)
{
{ /* Llib/pgp_packets.scm 84 */
{ 
 BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BgL_auxz00_4681;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_new1228z00_2561))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4685;
{ /* Llib/pgp_packets.scm 84 */
 BGL_LONGLONG_T BgL_arg1706z00_3206;
BgL_arg1706z00_3206 = 
bgl_current_nanoseconds(); 
BgL_auxz00_4685 = 
bgl_nanoseconds_to_date(BgL_arg1706z00_3206); } 
((((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_new1228z00_2561)))->BgL_expirationzd2datezd2)=((obj_t)BgL_auxz00_4685),BUNSPEC); } 
BgL_auxz00_4681 = 
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_new1228z00_2561); 
return 
((obj_t)BgL_auxz00_4681);} } 

}



/* &lambda2225 */
BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BGl_z62lambda2225z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2562)
{
{ /* Llib/pgp_packets.scm 84 */
{ /* Llib/pgp_packets.scm 84 */
 BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BgL_new1227z00_3207;
BgL_new1227z00_3207 = 
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bgl) ))); 
{ /* Llib/pgp_packets.scm 84 */
 long BgL_arg2226z00_3208;
BgL_arg2226z00_3208 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1227z00_3207), BgL_arg2226z00_3208); } 
{ /* Llib/pgp_packets.scm 84 */
 BgL_objectz00_bglt BgL_tmpz00_4696;
BgL_tmpz00_4696 = 
((BgL_objectz00_bglt)BgL_new1227z00_3207); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4696, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1227z00_3207); 
return BgL_new1227z00_3207;} } 

}



/* &lambda2223 */
BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BGl_z62lambda2223z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2563, obj_t BgL_criticalzf31225zf3_2564, obj_t BgL_expirationzd2date1226zd2_2565)
{
{ /* Llib/pgp_packets.scm 84 */
{ /* Llib/pgp_packets.scm 84 */
 bool_t BgL_criticalzf31225zf3_3209;
BgL_criticalzf31225zf3_3209 = 
CBOOL(BgL_criticalzf31225zf3_2564); 
{ /* Llib/pgp_packets.scm 84 */
 BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BgL_new1363z00_3211;
{ /* Llib/pgp_packets.scm 84 */
 BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BgL_new1362z00_3212;
BgL_new1362z00_3212 = 
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bgl) ))); 
{ /* Llib/pgp_packets.scm 84 */
 long BgL_arg2224z00_3213;
BgL_arg2224z00_3213 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1362z00_3212), BgL_arg2224z00_3213); } 
{ /* Llib/pgp_packets.scm 84 */
 BgL_objectz00_bglt BgL_tmpz00_4705;
BgL_tmpz00_4705 = 
((BgL_objectz00_bglt)BgL_new1362z00_3212); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4705, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1362z00_3212); 
BgL_new1363z00_3211 = BgL_new1362z00_3212; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1363z00_3211)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31225zf3_3209),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)COBJECT(BgL_new1363z00_3211))->BgL_expirationzd2datezd2)=((obj_t)
((obj_t)BgL_expirationzd2date1226zd2_2565)),BUNSPEC); 
return BgL_new1363z00_3211;} } } 

}



/* &lambda2232 */
obj_t BGl_z62lambda2232z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2566, obj_t BgL_oz00_2567, obj_t BgL_vz00_2568)
{
{ /* Llib/pgp_packets.scm 84 */
return 
((((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_oz00_2567)))->BgL_expirationzd2datezd2)=((obj_t)
((obj_t)BgL_vz00_2568)),BUNSPEC);} 

}



/* &lambda2231 */
obj_t BGl_z62lambda2231z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2569, obj_t BgL_oz00_2570)
{
{ /* Llib/pgp_packets.scm 84 */
return 
(((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_oz00_2570)))->BgL_expirationzd2datezd2);} 

}



/* &<@anonymous:2212> */
obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2571, obj_t BgL_new1223z00_2572)
{
{ /* Llib/pgp_packets.scm 82 */
{ 
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_auxz00_4718;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_new1223z00_2572))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4722;
{ /* Llib/pgp_packets.scm 82 */
 BGL_LONGLONG_T BgL_arg1706z00_3218;
BgL_arg1706z00_3218 = 
bgl_current_nanoseconds(); 
BgL_auxz00_4722 = 
bgl_nanoseconds_to_date(BgL_arg1706z00_3218); } 
((((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_new1223z00_2572)))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_4722),BUNSPEC); } 
BgL_auxz00_4718 = 
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_new1223z00_2572); 
return 
((obj_t)BgL_auxz00_4718);} } 

}



/* &lambda2210 */
BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BGl_z62lambda2210z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2573)
{
{ /* Llib/pgp_packets.scm 82 */
{ /* Llib/pgp_packets.scm 82 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1222z00_3219;
BgL_new1222z00_3219 = 
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl) ))); 
{ /* Llib/pgp_packets.scm 82 */
 long BgL_arg2211z00_3220;
BgL_arg2211z00_3220 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1222z00_3219), BgL_arg2211z00_3220); } 
{ /* Llib/pgp_packets.scm 82 */
 BgL_objectz00_bglt BgL_tmpz00_4733;
BgL_tmpz00_4733 = 
((BgL_objectz00_bglt)BgL_new1222z00_3219); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4733, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1222z00_3219); 
return BgL_new1222z00_3219;} } 

}



/* &lambda2208 */
BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BGl_z62lambda2208z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2574, obj_t BgL_criticalzf31220zf3_2575, obj_t BgL_creationzd2date1221zd2_2576)
{
{ /* Llib/pgp_packets.scm 82 */
{ /* Llib/pgp_packets.scm 82 */
 bool_t BgL_criticalzf31220zf3_3221;
BgL_criticalzf31220zf3_3221 = 
CBOOL(BgL_criticalzf31220zf3_2575); 
{ /* Llib/pgp_packets.scm 82 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1361z00_3223;
{ /* Llib/pgp_packets.scm 82 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1360z00_3224;
BgL_new1360z00_3224 = 
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl) ))); 
{ /* Llib/pgp_packets.scm 82 */
 long BgL_arg2209z00_3225;
BgL_arg2209z00_3225 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1360z00_3224), BgL_arg2209z00_3225); } 
{ /* Llib/pgp_packets.scm 82 */
 BgL_objectz00_bglt BgL_tmpz00_4742;
BgL_tmpz00_4742 = 
((BgL_objectz00_bglt)BgL_new1360z00_3224); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4742, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1360z00_3224); 
BgL_new1361z00_3223 = BgL_new1360z00_3224; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1361z00_3223)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31220zf3_3221),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(BgL_new1361z00_3223))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1221zd2_2576)),BUNSPEC); 
return BgL_new1361z00_3223;} } } 

}



/* &lambda2217 */
obj_t BGl_z62lambda2217z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2577, obj_t BgL_oz00_2578, obj_t BgL_vz00_2579)
{
{ /* Llib/pgp_packets.scm 82 */
return 
((((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_oz00_2578)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_vz00_2579)),BUNSPEC);} 

}



/* &lambda2216 */
obj_t BGl_z62lambda2216z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2580, obj_t BgL_oz00_2581)
{
{ /* Llib/pgp_packets.scm 82 */
return 
(((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_oz00_2581)))->BgL_creationzd2datezd2);} 

}



/* &<@anonymous:2192> */
obj_t BGl_z62zc3z04anonymousza32192ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2582, obj_t BgL_new1218z00_2583)
{
{ /* Llib/pgp_packets.scm 79 */
{ 
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_auxz00_4755;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_new1218z00_2583))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_new1218z00_2583)))->BgL_typez00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_new1218z00_2583)))->BgL_dataz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4755 = 
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_new1218z00_2583); 
return 
((obj_t)BgL_auxz00_4755);} } 

}



/* &lambda2190 */
BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BGl_z62lambda2190z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2584)
{
{ /* Llib/pgp_packets.scm 79 */
{ /* Llib/pgp_packets.scm 79 */
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_new1217z00_3230;
BgL_new1217z00_3230 = 
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2genericzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 79 */
 long BgL_arg2191z00_3231;
BgL_arg2191z00_3231 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1217z00_3230), BgL_arg2191z00_3231); } 
{ /* Llib/pgp_packets.scm 79 */
 BgL_objectz00_bglt BgL_tmpz00_4770;
BgL_tmpz00_4770 = 
((BgL_objectz00_bglt)BgL_new1217z00_3230); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4770, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1217z00_3230); 
return BgL_new1217z00_3230;} } 

}



/* &lambda2188 */
BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BGl_z62lambda2188z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2585, obj_t BgL_criticalzf31214zf3_2586, obj_t BgL_type1215z00_2587, obj_t BgL_data1216z00_2588)
{
{ /* Llib/pgp_packets.scm 79 */
{ /* Llib/pgp_packets.scm 79 */
 bool_t BgL_criticalzf31214zf3_3232;
BgL_criticalzf31214zf3_3232 = 
CBOOL(BgL_criticalzf31214zf3_2586); 
{ /* Llib/pgp_packets.scm 79 */
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_new1359z00_3235;
{ /* Llib/pgp_packets.scm 79 */
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_new1358z00_3236;
BgL_new1358z00_3236 = 
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2genericzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 79 */
 long BgL_arg2189z00_3237;
BgL_arg2189z00_3237 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1358z00_3236), BgL_arg2189z00_3237); } 
{ /* Llib/pgp_packets.scm 79 */
 BgL_objectz00_bglt BgL_tmpz00_4779;
BgL_tmpz00_4779 = 
((BgL_objectz00_bglt)BgL_new1358z00_3236); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4779, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1358z00_3236); 
BgL_new1359z00_3235 = BgL_new1358z00_3236; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1359z00_3235)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31214zf3_3232),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(BgL_new1359z00_3235))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1215z00_2587)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(BgL_new1359z00_3235))->BgL_dataz00)=((obj_t)
((obj_t)BgL_data1216z00_2588)),BUNSPEC); 
return BgL_new1359z00_3235;} } } 

}



/* &lambda2202 */
obj_t BGl_z62lambda2202z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2589, obj_t BgL_oz00_2590, obj_t BgL_vz00_2591)
{
{ /* Llib/pgp_packets.scm 79 */
return 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_oz00_2590)))->BgL_dataz00)=((obj_t)
((obj_t)BgL_vz00_2591)),BUNSPEC);} 

}



/* &lambda2201 */
obj_t BGl_z62lambda2201z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2592, obj_t BgL_oz00_2593)
{
{ /* Llib/pgp_packets.scm 79 */
return 
(((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_oz00_2593)))->BgL_dataz00);} 

}



/* &lambda2197 */
obj_t BGl_z62lambda2197z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2594, obj_t BgL_oz00_2595, obj_t BgL_vz00_2596)
{
{ /* Llib/pgp_packets.scm 79 */
return 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_oz00_2595)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_2596)),BUNSPEC);} 

}



/* &lambda2196 */
obj_t BGl_z62lambda2196z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2597, obj_t BgL_oz00_2598)
{
{ /* Llib/pgp_packets.scm 79 */
return 
(((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_oz00_2598)))->BgL_typez00);} 

}



/* &<@anonymous:2175> */
obj_t BGl_z62zc3z04anonymousza32175ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2599, obj_t BgL_new1212z00_2600)
{
{ /* Llib/pgp_packets.scm 75 */
{ 
 BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_auxz00_4799;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1212z00_2600)))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4799 = 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1212z00_2600); 
return 
((obj_t)BgL_auxz00_4799);} } 

}



/* &lambda2173 */
BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BGl_z62lambda2173z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2601)
{
{ /* Llib/pgp_packets.scm 75 */
{ /* Llib/pgp_packets.scm 75 */
 BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_new1211z00_3245;
BgL_new1211z00_3245 = 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 75 */
 long BgL_arg2174z00_3246;
BgL_arg2174z00_3246 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1211z00_3245), BgL_arg2174z00_3246); } 
return BgL_new1211z00_3245;} } 

}



/* &lambda2171 */
BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BGl_z62lambda2171z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2602, obj_t BgL_criticalzf31210zf3_2603)
{
{ /* Llib/pgp_packets.scm 75 */
{ /* Llib/pgp_packets.scm 75 */
 bool_t BgL_criticalzf31210zf3_3247;
BgL_criticalzf31210zf3_3247 = 
CBOOL(BgL_criticalzf31210zf3_2603); 
{ /* Llib/pgp_packets.scm 75 */
 BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_new1357z00_3248;
{ /* Llib/pgp_packets.scm 75 */
 BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_new1356z00_3249;
BgL_new1356z00_3249 = 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 75 */
 long BgL_arg2172z00_3250;
BgL_arg2172z00_3250 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1356z00_3249), BgL_arg2172z00_3250); } 
BgL_new1357z00_3248 = BgL_new1356z00_3249; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(BgL_new1357z00_3248))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31210zf3_3247),BUNSPEC); 
return BgL_new1357z00_3248;} } } 

}



/* &<@anonymous:2182> */
obj_t BGl_z62zc3z04anonymousza32182ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2604)
{
{ /* Llib/pgp_packets.scm 75 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2181 */
obj_t BGl_z62lambda2181z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2605, obj_t BgL_oz00_2606, obj_t BgL_vz00_2607)
{
{ /* Llib/pgp_packets.scm 75 */
{ /* Llib/pgp_packets.scm 75 */
 bool_t BgL_vz00_3252;
BgL_vz00_3252 = 
CBOOL(BgL_vz00_2607); 
return 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_oz00_2606)))->BgL_criticalzf3zf3)=((bool_t)BgL_vz00_3252),BUNSPEC);} } 

}



/* &lambda2180 */
obj_t BGl_z62lambda2180z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2608, obj_t BgL_oz00_2609)
{
{ /* Llib/pgp_packets.scm 75 */
return 
BBOOL(
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_oz00_2609)))->BgL_criticalzf3zf3));} 

}



/* &<@anonymous:2160> */
obj_t BGl_z62zc3z04anonymousza32160ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2610, obj_t BgL_new1208z00_2611)
{
{ /* Llib/pgp_packets.scm 72 */
{ 
 BgL_pgpzd2mdczd2packetz00_bglt BgL_auxz00_4821;
((((BgL_pgpzd2mdczd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2packetz00_bglt)BgL_new1208z00_2611)))->BgL_hashz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4821 = 
((BgL_pgpzd2mdczd2packetz00_bglt)BgL_new1208z00_2611); 
return 
((obj_t)BgL_auxz00_4821);} } 

}



/* &lambda2158 */
BgL_pgpzd2mdczd2packetz00_bglt BGl_z62lambda2158z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2612)
{
{ /* Llib/pgp_packets.scm 72 */
{ /* Llib/pgp_packets.scm 72 */
 BgL_pgpzd2mdczd2packetz00_bglt BgL_new1207z00_3255;
BgL_new1207z00_3255 = 
((BgL_pgpzd2mdczd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2mdczd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 72 */
 long BgL_arg2159z00_3256;
BgL_arg2159z00_3256 = 
BGL_CLASS_NUM(BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1207z00_3255), BgL_arg2159z00_3256); } 
{ /* Llib/pgp_packets.scm 72 */
 BgL_objectz00_bglt BgL_tmpz00_4830;
BgL_tmpz00_4830 = 
((BgL_objectz00_bglt)BgL_new1207z00_3255); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4830, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1207z00_3255); 
return BgL_new1207z00_3255;} } 

}



/* &lambda2156 */
BgL_pgpzd2mdczd2packetz00_bglt BGl_z62lambda2156z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2613, obj_t BgL_hash1206z00_2614)
{
{ /* Llib/pgp_packets.scm 72 */
{ /* Llib/pgp_packets.scm 72 */
 BgL_pgpzd2mdczd2packetz00_bglt BgL_new1355z00_3258;
{ /* Llib/pgp_packets.scm 72 */
 BgL_pgpzd2mdczd2packetz00_bglt BgL_new1354z00_3259;
BgL_new1354z00_3259 = 
((BgL_pgpzd2mdczd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2mdczd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 72 */
 long BgL_arg2157z00_3260;
BgL_arg2157z00_3260 = 
BGL_CLASS_NUM(BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1354z00_3259), BgL_arg2157z00_3260); } 
{ /* Llib/pgp_packets.scm 72 */
 BgL_objectz00_bglt BgL_tmpz00_4838;
BgL_tmpz00_4838 = 
((BgL_objectz00_bglt)BgL_new1354z00_3259); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4838, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1354z00_3259); 
BgL_new1355z00_3258 = BgL_new1354z00_3259; } 
((((BgL_pgpzd2mdczd2packetz00_bglt)COBJECT(BgL_new1355z00_3258))->BgL_hashz00)=((obj_t)
((obj_t)BgL_hash1206z00_2614)),BUNSPEC); 
return BgL_new1355z00_3258;} } 

}



/* &lambda2165 */
obj_t BGl_z62lambda2165z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2615, obj_t BgL_oz00_2616, obj_t BgL_vz00_2617)
{
{ /* Llib/pgp_packets.scm 72 */
return 
((((BgL_pgpzd2mdczd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2packetz00_bglt)BgL_oz00_2616)))->BgL_hashz00)=((obj_t)
((obj_t)BgL_vz00_2617)),BUNSPEC);} 

}



/* &lambda2164 */
obj_t BGl_z62lambda2164z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2618, obj_t BgL_oz00_2619)
{
{ /* Llib/pgp_packets.scm 72 */
return 
(((BgL_pgpzd2mdczd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2packetz00_bglt)BgL_oz00_2619)))->BgL_hashz00);} 

}



/* &<@anonymous:2145> */
obj_t BGl_z62zc3z04anonymousza32145ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2620, obj_t BgL_new1204z00_2621)
{
{ /* Llib/pgp_packets.scm 70 */
{ 
 BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BgL_auxz00_4849;
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_new1204z00_2621))))->BgL_dataz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_new1204z00_2621)))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
BgL_auxz00_4849 = 
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_new1204z00_2621); 
return 
((obj_t)BgL_auxz00_4849);} } 

}



/* &lambda2143 */
BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BGl_z62lambda2143z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2622)
{
{ /* Llib/pgp_packets.scm 70 */
{ /* Llib/pgp_packets.scm 70 */
 BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BgL_new1203z00_3265;
BgL_new1203z00_3265 = 
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 70 */
 long BgL_arg2144z00_3266;
BgL_arg2144z00_3266 = 
BGL_CLASS_NUM(BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1203z00_3265), BgL_arg2144z00_3266); } 
{ /* Llib/pgp_packets.scm 70 */
 BgL_objectz00_bglt BgL_tmpz00_4861;
BgL_tmpz00_4861 = 
((BgL_objectz00_bglt)BgL_new1203z00_3265); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4861, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1203z00_3265); 
return BgL_new1203z00_3265;} } 

}



/* &lambda2141 */
BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BGl_z62lambda2141z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2623, obj_t BgL_data1201z00_2624, obj_t BgL_version1202z00_2625)
{
{ /* Llib/pgp_packets.scm 70 */
{ /* Llib/pgp_packets.scm 70 */
 long BgL_version1202z00_3268;
BgL_version1202z00_3268 = 
(long)CINT(BgL_version1202z00_2625); 
{ /* Llib/pgp_packets.scm 70 */
 BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BgL_new1353z00_3269;
{ /* Llib/pgp_packets.scm 70 */
 BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BgL_new1352z00_3270;
BgL_new1352z00_3270 = 
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 70 */
 long BgL_arg2142z00_3271;
BgL_arg2142z00_3271 = 
BGL_CLASS_NUM(BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1352z00_3270), BgL_arg2142z00_3271); } 
{ /* Llib/pgp_packets.scm 70 */
 BgL_objectz00_bglt BgL_tmpz00_4870;
BgL_tmpz00_4870 = 
((BgL_objectz00_bglt)BgL_new1352z00_3270); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4870, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1352z00_3270); 
BgL_new1353z00_3269 = BgL_new1352z00_3270; } 
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_new1353z00_3269)))->BgL_dataz00)=((obj_t)
((obj_t)BgL_data1201z00_2624)),BUNSPEC); 
((((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(BgL_new1353z00_3269))->BgL_versionz00)=((long)BgL_version1202z00_3268),BUNSPEC); 
return BgL_new1353z00_3269;} } } 

}



/* &lambda2150 */
obj_t BGl_z62lambda2150z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2626, obj_t BgL_oz00_2627, obj_t BgL_vz00_2628)
{
{ /* Llib/pgp_packets.scm 70 */
{ /* Llib/pgp_packets.scm 70 */
 long BgL_vz00_3273;
BgL_vz00_3273 = 
(long)CINT(BgL_vz00_2628); 
return 
((((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_oz00_2627)))->BgL_versionz00)=((long)BgL_vz00_3273),BUNSPEC);} } 

}



/* &lambda2149 */
obj_t BGl_z62lambda2149z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2629, obj_t BgL_oz00_2630)
{
{ /* Llib/pgp_packets.scm 70 */
return 
BINT(
(((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_oz00_2630)))->BgL_versionz00));} 

}



/* &<@anonymous:2130> */
obj_t BGl_z62zc3z04anonymousza32130ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2631, obj_t BgL_new1199z00_2632)
{
{ /* Llib/pgp_packets.scm 68 */
{ 
 BgL_pgpzd2attributezd2packetz00_bglt BgL_auxz00_4884;
((((BgL_pgpzd2attributezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2attributezd2packetz00_bglt)BgL_new1199z00_2632)))->BgL_dataz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4884 = 
((BgL_pgpzd2attributezd2packetz00_bglt)BgL_new1199z00_2632); 
return 
((obj_t)BgL_auxz00_4884);} } 

}



/* &lambda2128 */
BgL_pgpzd2attributezd2packetz00_bglt BGl_z62lambda2128z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2633)
{
{ /* Llib/pgp_packets.scm 68 */
{ /* Llib/pgp_packets.scm 68 */
 BgL_pgpzd2attributezd2packetz00_bglt BgL_new1198z00_3276;
BgL_new1198z00_3276 = 
((BgL_pgpzd2attributezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2attributezd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 68 */
 long BgL_arg2129z00_3277;
BgL_arg2129z00_3277 = 
BGL_CLASS_NUM(BGl_PGPzd2Attributezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1198z00_3276), BgL_arg2129z00_3277); } 
{ /* Llib/pgp_packets.scm 68 */
 BgL_objectz00_bglt BgL_tmpz00_4893;
BgL_tmpz00_4893 = 
((BgL_objectz00_bglt)BgL_new1198z00_3276); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4893, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1198z00_3276); 
return BgL_new1198z00_3276;} } 

}



/* &lambda2126 */
BgL_pgpzd2attributezd2packetz00_bglt BGl_z62lambda2126z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2634, obj_t BgL_data1197z00_2635)
{
{ /* Llib/pgp_packets.scm 68 */
{ /* Llib/pgp_packets.scm 68 */
 BgL_pgpzd2attributezd2packetz00_bglt BgL_new1351z00_3279;
{ /* Llib/pgp_packets.scm 68 */
 BgL_pgpzd2attributezd2packetz00_bglt BgL_new1350z00_3280;
BgL_new1350z00_3280 = 
((BgL_pgpzd2attributezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2attributezd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 68 */
 long BgL_arg2127z00_3281;
BgL_arg2127z00_3281 = 
BGL_CLASS_NUM(BGl_PGPzd2Attributezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1350z00_3280), BgL_arg2127z00_3281); } 
{ /* Llib/pgp_packets.scm 68 */
 BgL_objectz00_bglt BgL_tmpz00_4901;
BgL_tmpz00_4901 = 
((BgL_objectz00_bglt)BgL_new1350z00_3280); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4901, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1350z00_3280); 
BgL_new1351z00_3279 = BgL_new1350z00_3280; } 
((((BgL_pgpzd2attributezd2packetz00_bglt)COBJECT(BgL_new1351z00_3279))->BgL_dataz00)=((obj_t)
((obj_t)BgL_data1197z00_2635)),BUNSPEC); 
return BgL_new1351z00_3279;} } 

}



/* &lambda2135 */
obj_t BGl_z62lambda2135z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2636, obj_t BgL_oz00_2637, obj_t BgL_vz00_2638)
{
{ /* Llib/pgp_packets.scm 68 */
return 
((((BgL_pgpzd2attributezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2attributezd2packetz00_bglt)BgL_oz00_2637)))->BgL_dataz00)=((obj_t)
((obj_t)BgL_vz00_2638)),BUNSPEC);} 

}



/* &lambda2134 */
obj_t BGl_z62lambda2134z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2639, obj_t BgL_oz00_2640)
{
{ /* Llib/pgp_packets.scm 68 */
return 
(((BgL_pgpzd2attributezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2attributezd2packetz00_bglt)BgL_oz00_2640)))->BgL_dataz00);} 

}



/* &<@anonymous:2115> */
obj_t BGl_z62zc3z04anonymousza32115ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2641, obj_t BgL_new1195z00_2642)
{
{ /* Llib/pgp_packets.scm 66 */
{ 
 BgL_pgpzd2idzd2packetz00_bglt BgL_auxz00_4912;
((((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2idzd2packetz00_bglt)BgL_new1195z00_2642)))->BgL_dataz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4912 = 
((BgL_pgpzd2idzd2packetz00_bglt)BgL_new1195z00_2642); 
return 
((obj_t)BgL_auxz00_4912);} } 

}



/* &lambda2113 */
BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda2113z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2643)
{
{ /* Llib/pgp_packets.scm 66 */
{ /* Llib/pgp_packets.scm 66 */
 BgL_pgpzd2idzd2packetz00_bglt BgL_new1194z00_3286;
BgL_new1194z00_3286 = 
((BgL_pgpzd2idzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2idzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 66 */
 long BgL_arg2114z00_3287;
BgL_arg2114z00_3287 = 
BGL_CLASS_NUM(BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1194z00_3286), BgL_arg2114z00_3287); } 
{ /* Llib/pgp_packets.scm 66 */
 BgL_objectz00_bglt BgL_tmpz00_4921;
BgL_tmpz00_4921 = 
((BgL_objectz00_bglt)BgL_new1194z00_3286); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4921, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1194z00_3286); 
return BgL_new1194z00_3286;} } 

}



/* &lambda2111 */
BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda2111z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2644, obj_t BgL_data1193z00_2645)
{
{ /* Llib/pgp_packets.scm 66 */
{ /* Llib/pgp_packets.scm 66 */
 BgL_pgpzd2idzd2packetz00_bglt BgL_new1349z00_3289;
{ /* Llib/pgp_packets.scm 66 */
 BgL_pgpzd2idzd2packetz00_bglt BgL_new1348z00_3290;
BgL_new1348z00_3290 = 
((BgL_pgpzd2idzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2idzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 66 */
 long BgL_arg2112z00_3291;
BgL_arg2112z00_3291 = 
BGL_CLASS_NUM(BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1348z00_3290), BgL_arg2112z00_3291); } 
{ /* Llib/pgp_packets.scm 66 */
 BgL_objectz00_bglt BgL_tmpz00_4929;
BgL_tmpz00_4929 = 
((BgL_objectz00_bglt)BgL_new1348z00_3290); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4929, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1348z00_3290); 
BgL_new1349z00_3289 = BgL_new1348z00_3290; } 
((((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(BgL_new1349z00_3289))->BgL_dataz00)=((obj_t)
((obj_t)BgL_data1193z00_2645)),BUNSPEC); 
return BgL_new1349z00_3289;} } 

}



/* &lambda2120 */
obj_t BGl_z62lambda2120z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2646, obj_t BgL_oz00_2647, obj_t BgL_vz00_2648)
{
{ /* Llib/pgp_packets.scm 66 */
return 
((((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2idzd2packetz00_bglt)BgL_oz00_2647)))->BgL_dataz00)=((obj_t)
((obj_t)BgL_vz00_2648)),BUNSPEC);} 

}



/* &lambda2119 */
obj_t BGl_z62lambda2119z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2649, obj_t BgL_oz00_2650)
{
{ /* Llib/pgp_packets.scm 66 */
return 
(((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2idzd2packetz00_bglt)BgL_oz00_2650)))->BgL_dataz00);} 

}



/* &<@anonymous:2105> */
obj_t BGl_z62zc3z04anonymousza32105ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2651, obj_t BgL_new1191z00_2652)
{
{ /* Llib/pgp_packets.scm 65 */
return 
((obj_t)
((BgL_pgpzd2trustzd2packetz00_bglt)BgL_new1191z00_2652));} 

}



/* &lambda2103 */
BgL_pgpzd2trustzd2packetz00_bglt BGl_z62lambda2103z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2653)
{
{ /* Llib/pgp_packets.scm 65 */
{ /* Llib/pgp_packets.scm 65 */
 BgL_pgpzd2trustzd2packetz00_bglt BgL_new1190z00_3296;
BgL_new1190z00_3296 = 
((BgL_pgpzd2trustzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2trustzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 65 */
 long BgL_arg2104z00_3297;
BgL_arg2104z00_3297 = 
BGL_CLASS_NUM(BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1190z00_3296), BgL_arg2104z00_3297); } 
{ /* Llib/pgp_packets.scm 65 */
 BgL_objectz00_bglt BgL_tmpz00_4946;
BgL_tmpz00_4946 = 
((BgL_objectz00_bglt)BgL_new1190z00_3296); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4946, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1190z00_3296); 
return BgL_new1190z00_3296;} } 

}



/* &lambda2101 */
BgL_pgpzd2trustzd2packetz00_bglt BGl_z62lambda2101z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2654)
{
{ /* Llib/pgp_packets.scm 65 */
{ /* Llib/pgp_packets.scm 65 */
 BgL_pgpzd2trustzd2packetz00_bglt BgL_new1347z00_3298;
{ /* Llib/pgp_packets.scm 65 */
 BgL_pgpzd2trustzd2packetz00_bglt BgL_new1346z00_3299;
BgL_new1346z00_3299 = 
((BgL_pgpzd2trustzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2trustzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 65 */
 long BgL_arg2102z00_3300;
BgL_arg2102z00_3300 = 
BGL_CLASS_NUM(BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1346z00_3299), BgL_arg2102z00_3300); } 
{ /* Llib/pgp_packets.scm 65 */
 BgL_objectz00_bglt BgL_tmpz00_4954;
BgL_tmpz00_4954 = 
((BgL_objectz00_bglt)BgL_new1346z00_3299); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4954, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1346z00_3299); 
BgL_new1347z00_3298 = BgL_new1346z00_3299; } 
return BgL_new1347z00_3298;} } 

}



/* &<@anonymous:2070> */
obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2655, obj_t BgL_new1188z00_2656)
{
{ /* Llib/pgp_packets.scm 59 */
{ 
 BgL_pgpzd2literalzd2packetz00_bglt BgL_auxz00_4958;
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_new1188z00_2656)))->BgL_formatz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_new1188z00_2656)))->BgL_forzd2yourzd2eyeszd2onlyzf3z21)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_new1188z00_2656)))->BgL_filezd2namezd2)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4966;
{ /* Llib/pgp_packets.scm 59 */
 BGL_LONGLONG_T BgL_arg1706z00_3302;
BgL_arg1706z00_3302 = 
bgl_current_nanoseconds(); 
BgL_auxz00_4966 = 
bgl_nanoseconds_to_date(BgL_arg1706z00_3302); } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_new1188z00_2656)))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_4966),BUNSPEC); } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_new1188z00_2656)))->BgL_dataz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4958 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_new1188z00_2656); 
return 
((obj_t)BgL_auxz00_4958);} } 

}



/* &lambda2068 */
BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2068z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2657)
{
{ /* Llib/pgp_packets.scm 59 */
{ /* Llib/pgp_packets.scm 59 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1187z00_3303;
BgL_new1187z00_3303 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 59 */
 long BgL_arg2069z00_3304;
BgL_arg2069z00_3304 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1187z00_3303), BgL_arg2069z00_3304); } 
{ /* Llib/pgp_packets.scm 59 */
 BgL_objectz00_bglt BgL_tmpz00_4979;
BgL_tmpz00_4979 = 
((BgL_objectz00_bglt)BgL_new1187z00_3303); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4979, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1187z00_3303); 
return BgL_new1187z00_3303;} } 

}



/* &lambda2066 */
BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2066z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2658, obj_t BgL_format1182z00_2659, obj_t BgL_forzd2yourzd2eyeszd2onlyzf31183z21_2660, obj_t BgL_filezd2name1184zd2_2661, obj_t BgL_creationzd2date1185zd2_2662, obj_t BgL_data1186z00_2663)
{
{ /* Llib/pgp_packets.scm 59 */
{ /* Llib/pgp_packets.scm 59 */
 bool_t BgL_forzd2yourzd2eyeszd2onlyzf31183z21_3306;
BgL_forzd2yourzd2eyeszd2onlyzf31183z21_3306 = 
CBOOL(BgL_forzd2yourzd2eyeszd2onlyzf31183z21_2660); 
{ /* Llib/pgp_packets.scm 59 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1345z00_3309;
{ /* Llib/pgp_packets.scm 59 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1344z00_3310;
BgL_new1344z00_3310 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 59 */
 long BgL_arg2067z00_3311;
BgL_arg2067z00_3311 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1344z00_3310), BgL_arg2067z00_3311); } 
{ /* Llib/pgp_packets.scm 59 */
 BgL_objectz00_bglt BgL_tmpz00_4988;
BgL_tmpz00_4988 = 
((BgL_objectz00_bglt)BgL_new1344z00_3310); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4988, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1344z00_3310); 
BgL_new1345z00_3309 = BgL_new1344z00_3310; } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1345z00_3309))->BgL_formatz00)=((obj_t)
((obj_t)BgL_format1182z00_2659)),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1345z00_3309))->BgL_forzd2yourzd2eyeszd2onlyzf3z21)=((bool_t)BgL_forzd2yourzd2eyeszd2onlyzf31183z21_3306),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1345z00_3309))->BgL_filezd2namezd2)=((obj_t)BgL_filezd2name1184zd2_2661),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1345z00_3309))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1185zd2_2662)),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1345z00_3309))->BgL_dataz00)=((obj_t)
((obj_t)BgL_data1186z00_2663)),BUNSPEC); 
return BgL_new1345z00_3309;} } } 

}



/* &lambda2095 */
obj_t BGl_z62lambda2095z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2664, obj_t BgL_oz00_2665, obj_t BgL_vz00_2666)
{
{ /* Llib/pgp_packets.scm 59 */
return 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2665)))->BgL_dataz00)=((obj_t)
((obj_t)BgL_vz00_2666)),BUNSPEC);} 

}



/* &lambda2094 */
obj_t BGl_z62lambda2094z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2667, obj_t BgL_oz00_2668)
{
{ /* Llib/pgp_packets.scm 59 */
return 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2668)))->BgL_dataz00);} 

}



/* &lambda2090 */
obj_t BGl_z62lambda2090z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2669, obj_t BgL_oz00_2670, obj_t BgL_vz00_2671)
{
{ /* Llib/pgp_packets.scm 59 */
return 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2670)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_vz00_2671)),BUNSPEC);} 

}



/* &lambda2089 */
obj_t BGl_z62lambda2089z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2672, obj_t BgL_oz00_2673)
{
{ /* Llib/pgp_packets.scm 59 */
return 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2673)))->BgL_creationzd2datezd2);} 

}



/* &lambda2085 */
obj_t BGl_z62lambda2085z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2674, obj_t BgL_oz00_2675, obj_t BgL_vz00_2676)
{
{ /* Llib/pgp_packets.scm 59 */
return 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2675)))->BgL_filezd2namezd2)=((obj_t)BgL_vz00_2676),BUNSPEC);} 

}



/* &lambda2084 */
obj_t BGl_z62lambda2084z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2677, obj_t BgL_oz00_2678)
{
{ /* Llib/pgp_packets.scm 59 */
return 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2678)))->BgL_filezd2namezd2);} 

}



/* &lambda2080 */
obj_t BGl_z62lambda2080z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2679, obj_t BgL_oz00_2680, obj_t BgL_vz00_2681)
{
{ /* Llib/pgp_packets.scm 59 */
{ /* Llib/pgp_packets.scm 59 */
 bool_t BgL_vz00_3321;
BgL_vz00_3321 = 
CBOOL(BgL_vz00_2681); 
return 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2680)))->BgL_forzd2yourzd2eyeszd2onlyzf3z21)=((bool_t)BgL_vz00_3321),BUNSPEC);} } 

}



/* &lambda2079 */
obj_t BGl_z62lambda2079z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2682, obj_t BgL_oz00_2683)
{
{ /* Llib/pgp_packets.scm 59 */
return 
BBOOL(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2683)))->BgL_forzd2yourzd2eyeszd2onlyzf3z21));} 

}



/* &lambda2075 */
obj_t BGl_z62lambda2075z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2684, obj_t BgL_oz00_2685, obj_t BgL_vz00_2686)
{
{ /* Llib/pgp_packets.scm 59 */
return 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2685)))->BgL_formatz00)=((obj_t)
((obj_t)BgL_vz00_2686)),BUNSPEC);} 

}



/* &lambda2074 */
obj_t BGl_z62lambda2074z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2687, obj_t BgL_oz00_2688)
{
{ /* Llib/pgp_packets.scm 59 */
return 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2688)))->BgL_formatz00);} 

}



/* &<@anonymous:2060> */
obj_t BGl_z62zc3z04anonymousza32060ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2689, obj_t BgL_new1180z00_2690)
{
{ /* Llib/pgp_packets.scm 58 */
return 
((obj_t)
((BgL_pgpzd2markerzd2packetz00_bglt)BgL_new1180z00_2690));} 

}



/* &lambda2058 */
BgL_pgpzd2markerzd2packetz00_bglt BGl_z62lambda2058z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2691)
{
{ /* Llib/pgp_packets.scm 58 */
{ /* Llib/pgp_packets.scm 58 */
 BgL_pgpzd2markerzd2packetz00_bglt BgL_new1179z00_3327;
BgL_new1179z00_3327 = 
((BgL_pgpzd2markerzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2markerzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 58 */
 long BgL_arg2059z00_3328;
BgL_arg2059z00_3328 = 
BGL_CLASS_NUM(BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1179z00_3327), BgL_arg2059z00_3328); } 
{ /* Llib/pgp_packets.scm 58 */
 BgL_objectz00_bglt BgL_tmpz00_5031;
BgL_tmpz00_5031 = 
((BgL_objectz00_bglt)BgL_new1179z00_3327); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5031, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1179z00_3327); 
return BgL_new1179z00_3327;} } 

}



/* &lambda2056 */
BgL_pgpzd2markerzd2packetz00_bglt BGl_z62lambda2056z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2692)
{
{ /* Llib/pgp_packets.scm 58 */
{ /* Llib/pgp_packets.scm 58 */
 BgL_pgpzd2markerzd2packetz00_bglt BgL_new1343z00_3329;
{ /* Llib/pgp_packets.scm 58 */
 BgL_pgpzd2markerzd2packetz00_bglt BgL_new1342z00_3330;
BgL_new1342z00_3330 = 
((BgL_pgpzd2markerzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2markerzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 58 */
 long BgL_arg2057z00_3331;
BgL_arg2057z00_3331 = 
BGL_CLASS_NUM(BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1342z00_3330), BgL_arg2057z00_3331); } 
{ /* Llib/pgp_packets.scm 58 */
 BgL_objectz00_bglt BgL_tmpz00_5039;
BgL_tmpz00_5039 = 
((BgL_objectz00_bglt)BgL_new1342z00_3330); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5039, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1342z00_3330); 
BgL_new1343z00_3329 = BgL_new1342z00_3330; } 
return BgL_new1343z00_3329;} } 

}



/* &<@anonymous:2045> */
obj_t BGl_z62zc3z04anonymousza32045ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2693, obj_t BgL_new1177z00_2694)
{
{ /* Llib/pgp_packets.scm 56 */
{ 
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_auxz00_5043;
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_new1177z00_2694)))->BgL_dataz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_5043 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_new1177z00_2694); 
return 
((obj_t)BgL_auxz00_5043);} } 

}



/* &lambda2043 */
BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2043z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2695)
{
{ /* Llib/pgp_packets.scm 56 */
{ /* Llib/pgp_packets.scm 56 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_new1176z00_3333;
BgL_new1176z00_3333 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 56 */
 long BgL_arg2044z00_3334;
BgL_arg2044z00_3334 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1176z00_3333), BgL_arg2044z00_3334); } 
return BgL_new1176z00_3333;} } 

}



/* &lambda2041 */
BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2041z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2696, obj_t BgL_data1175z00_2697)
{
{ /* Llib/pgp_packets.scm 56 */
{ /* Llib/pgp_packets.scm 56 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_new1341z00_3336;
{ /* Llib/pgp_packets.scm 56 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_new1340z00_3337;
BgL_new1340z00_3337 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 56 */
 long BgL_arg2042z00_3338;
BgL_arg2042z00_3338 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1340z00_3337), BgL_arg2042z00_3338); } 
BgL_new1341z00_3336 = BgL_new1340z00_3337; } 
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(BgL_new1341z00_3336))->BgL_dataz00)=((obj_t)
((obj_t)BgL_data1175z00_2697)),BUNSPEC); 
return BgL_new1341z00_3336;} } 

}



/* &lambda2050 */
obj_t BGl_z62lambda2050z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2698, obj_t BgL_oz00_2699, obj_t BgL_vz00_2700)
{
{ /* Llib/pgp_packets.scm 56 */
return 
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_oz00_2699)))->BgL_dataz00)=((obj_t)
((obj_t)BgL_vz00_2700)),BUNSPEC);} 

}



/* &lambda2049 */
obj_t BGl_z62lambda2049z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2701, obj_t BgL_oz00_2702)
{
{ /* Llib/pgp_packets.scm 56 */
return 
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_oz00_2702)))->BgL_dataz00);} 

}



/* &<@anonymous:2030> */
obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2703, obj_t BgL_new1173z00_2704)
{
{ /* Llib/pgp_packets.scm 54 */
{ 
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_auxz00_5063;
((((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2compressedzd2packetz00_bglt)BgL_new1173z00_2704)))->BgL_packetsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5063 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)BgL_new1173z00_2704); 
return 
((obj_t)BgL_auxz00_5063);} } 

}



/* &lambda2028 */
BgL_pgpzd2compressedzd2packetz00_bglt BGl_z62lambda2028z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2705)
{
{ /* Llib/pgp_packets.scm 54 */
{ /* Llib/pgp_packets.scm 54 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_new1172z00_3343;
BgL_new1172z00_3343 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2compressedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 54 */
 long BgL_arg2029z00_3344;
BgL_arg2029z00_3344 = 
BGL_CLASS_NUM(BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1172z00_3343), BgL_arg2029z00_3344); } 
{ /* Llib/pgp_packets.scm 54 */
 BgL_objectz00_bglt BgL_tmpz00_5072;
BgL_tmpz00_5072 = 
((BgL_objectz00_bglt)BgL_new1172z00_3343); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5072, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1172z00_3343); 
return BgL_new1172z00_3343;} } 

}



/* &lambda2026 */
BgL_pgpzd2compressedzd2packetz00_bglt BGl_z62lambda2026z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2706, obj_t BgL_packets1171z00_2707)
{
{ /* Llib/pgp_packets.scm 54 */
{ /* Llib/pgp_packets.scm 54 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_new1339z00_3346;
{ /* Llib/pgp_packets.scm 54 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_new1338z00_3347;
BgL_new1338z00_3347 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2compressedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 54 */
 long BgL_arg2027z00_3348;
BgL_arg2027z00_3348 = 
BGL_CLASS_NUM(BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1338z00_3347), BgL_arg2027z00_3348); } 
{ /* Llib/pgp_packets.scm 54 */
 BgL_objectz00_bglt BgL_tmpz00_5080;
BgL_tmpz00_5080 = 
((BgL_objectz00_bglt)BgL_new1338z00_3347); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5080, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1338z00_3347); 
BgL_new1339z00_3346 = BgL_new1338z00_3347; } 
((((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_new1339z00_3346))->BgL_packetsz00)=((obj_t)
((obj_t)BgL_packets1171z00_2707)),BUNSPEC); 
return BgL_new1339z00_3346;} } 

}



/* &lambda2035 */
obj_t BGl_z62lambda2035z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2708, obj_t BgL_oz00_2709, obj_t BgL_vz00_2710)
{
{ /* Llib/pgp_packets.scm 54 */
return 
((((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2compressedzd2packetz00_bglt)BgL_oz00_2709)))->BgL_packetsz00)=((obj_t)
((obj_t)BgL_vz00_2710)),BUNSPEC);} 

}



/* &lambda2034 */
obj_t BGl_z62lambda2034z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2711, obj_t BgL_oz00_2712)
{
{ /* Llib/pgp_packets.scm 54 */
return 
(((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2compressedzd2packetz00_bglt)BgL_oz00_2712)))->BgL_packetsz00);} 

}



/* &lambda2012 */
BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda2012z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2713, obj_t BgL_o1169z00_2714)
{
{ /* Llib/pgp_packets.scm 52 */
{ /* Llib/pgp_packets.scm 52 */
 long BgL_arg2013z00_3353;
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_arg2014z00_3354;
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_arg2015z00_3355;
{ /* Llib/pgp_packets.scm 52 */
 long BgL_arg1801z00_3356;
{ /* Llib/pgp_packets.scm 52 */
 long BgL_arg1802z00_3357;
BgL_arg1802z00_3357 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1169z00_2714))); 
BgL_arg1801z00_3356 = 
(BgL_arg1802z00_3357-OBJECT_TYPE); } 
BgL_arg2015z00_3355 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_3356); } 
BgL_arg2014z00_3354 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg2015z00_3355); } 
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_tmpz00_5097;
BgL_tmpz00_5097 = 
((obj_t)BgL_arg2014z00_3354); 
BgL_arg2013z00_3353 = 
BGL_CLASS_NUM(BgL_tmpz00_5097); } } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1169z00_2714)), BgL_arg2013z00_3353); } 
{ /* Llib/pgp_packets.scm 52 */
 BgL_objectz00_bglt BgL_tmpz00_5103;
BgL_tmpz00_5103 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1169z00_2714)); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5103, BFALSE); } 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1169z00_2714)); 
return 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1169z00_2714));} 

}



/* &<@anonymous:2011> */
obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2715, obj_t BgL_new1168z00_2716)
{
{ /* Llib/pgp_packets.scm 52 */
{ 
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_auxz00_5111;
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1168z00_2716))))->BgL_idz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1168z00_2716))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1168z00_2716))))->BgL_subkeyzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1168z00_2716))))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5125;
{ /* Llib/pgp_packets.scm 52 */
 BGL_LONGLONG_T BgL_arg1706z00_3359;
BgL_arg1706z00_3359 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5125 = 
bgl_nanoseconds_to_date(BgL_arg1706z00_3359); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1168z00_2716))))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5125),BUNSPEC); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1168z00_2716))))->BgL_validzd2dayszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1168z00_2716))))->BgL_keyz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1168z00_2716))))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_5140;
{ 
 obj_t BgL_auxz00_5141;
{ /* Llib/pgp_packets.scm 52 */
 BgL_objectz00_bglt BgL_tmpz00_5142;
BgL_tmpz00_5142 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1168z00_2716)); 
BgL_auxz00_5141 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_5142); } 
BgL_auxz00_5140 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_5141); } 
((((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_5140))->BgL_secretzd2keyzd2)=((obj_t)BUNSPEC),BUNSPEC); } 
BgL_auxz00_5111 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1168z00_2716); 
return 
((obj_t)BgL_auxz00_5111);} } 

}



/* &lambda2009 */
BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda2009z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2717, obj_t BgL_o1165z00_2718)
{
{ /* Llib/pgp_packets.scm 52 */
{ /* Llib/pgp_packets.scm 52 */
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_wide1167z00_3361;
BgL_wide1167z00_3361 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_auxz00_5155; BgL_objectz00_bglt BgL_tmpz00_5151;
BgL_auxz00_5155 = 
((obj_t)BgL_wide1167z00_3361); 
BgL_tmpz00_5151 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1165z00_2718))); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5151, BgL_auxz00_5155); } 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1165z00_2718))); 
{ /* Llib/pgp_packets.scm 52 */
 long BgL_arg2010z00_3362;
BgL_arg2010z00_3362 = 
BGL_CLASS_NUM(BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1165z00_2718))), BgL_arg2010z00_3362); } 
return 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1165z00_2718)));} } 

}



/* &lambda2006 */
BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda2006z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2719, obj_t BgL_id1156z00_2720, obj_t BgL_version1157z00_2721, obj_t BgL_subkeyzf31158zf3_2722, obj_t BgL_algo1159z00_2723, obj_t BgL_creationzd2date1160zd2_2724, obj_t BgL_validzd2days1161zd2_2725, obj_t BgL_key1162z00_2726, obj_t BgL_passwordzd2protectedzd2s1163z00_2727, obj_t BgL_secretzd2key1164zd2_2728)
{
{ /* Llib/pgp_packets.scm 52 */
{ /* Llib/pgp_packets.scm 52 */
 long BgL_version1157z00_3363; bool_t BgL_subkeyzf31158zf3_3364;
BgL_version1157z00_3363 = 
(long)CINT(BgL_version1157z00_2721); 
BgL_subkeyzf31158zf3_3364 = 
CBOOL(BgL_subkeyzf31158zf3_2722); 
{ /* Llib/pgp_packets.scm 52 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_new1336z00_3368;
{ /* Llib/pgp_packets.scm 52 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_tmp1334z00_3369; BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_wide1335z00_3370;
{ 
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_auxz00_5171;
{ /* Llib/pgp_packets.scm 52 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_new1333z00_3371;
BgL_new1333z00_3371 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 52 */
 long BgL_arg2008z00_3372;
BgL_arg2008z00_3372 = 
BGL_CLASS_NUM(BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1333z00_3371), BgL_arg2008z00_3372); } 
{ /* Llib/pgp_packets.scm 52 */
 BgL_objectz00_bglt BgL_tmpz00_5176;
BgL_tmpz00_5176 = 
((BgL_objectz00_bglt)BgL_new1333z00_3371); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5176, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1333z00_3371); 
BgL_auxz00_5171 = BgL_new1333z00_3371; } 
BgL_tmp1334z00_3369 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_auxz00_5171); } 
BgL_wide1335z00_3370 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_auxz00_5184; BgL_objectz00_bglt BgL_tmpz00_5182;
BgL_auxz00_5184 = 
((obj_t)BgL_wide1335z00_3370); 
BgL_tmpz00_5182 = 
((BgL_objectz00_bglt)BgL_tmp1334z00_3369); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5182, BgL_auxz00_5184); } 
((BgL_objectz00_bglt)BgL_tmp1334z00_3369); 
{ /* Llib/pgp_packets.scm 52 */
 long BgL_arg2007z00_3373;
BgL_arg2007z00_3373 = 
BGL_CLASS_NUM(BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_tmp1334z00_3369), BgL_arg2007z00_3373); } 
BgL_new1336z00_3368 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_tmp1334z00_3369); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1336z00_3368)))->BgL_idz00)=((obj_t)BgL_id1156z00_2720),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1336z00_3368)))->BgL_versionz00)=((long)BgL_version1157z00_3363),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1336z00_3368)))->BgL_subkeyzf3zf3)=((bool_t)BgL_subkeyzf31158zf3_3364),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1336z00_3368)))->BgL_algoz00)=((obj_t)
((obj_t)BgL_algo1159z00_2723)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1336z00_3368)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1160zd2_2724)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1336z00_3368)))->BgL_validzd2dayszd2)=((obj_t)BgL_validzd2days1161zd2_2725),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1336z00_3368)))->BgL_keyz00)=((obj_t)BgL_key1162z00_2726),BUNSPEC); 
((((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1336z00_3368)))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00)=((obj_t)
((obj_t)BgL_passwordzd2protectedzd2s1163z00_2727)),BUNSPEC); 
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_5211;
{ 
 obj_t BgL_auxz00_5212;
{ /* Llib/pgp_packets.scm 52 */
 BgL_objectz00_bglt BgL_tmpz00_5213;
BgL_tmpz00_5213 = 
((BgL_objectz00_bglt)BgL_new1336z00_3368); 
BgL_auxz00_5212 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_5213); } 
BgL_auxz00_5211 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_5212); } 
((((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_5211))->BgL_secretzd2keyzd2)=((obj_t)BgL_secretzd2key1164zd2_2728),BUNSPEC); } 
return BgL_new1336z00_3368;} } } 

}



/* &lambda2020 */
obj_t BGl_z62lambda2020z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2729, obj_t BgL_oz00_2730, obj_t BgL_vz00_2731)
{
{ /* Llib/pgp_packets.scm 52 */
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_5218;
{ 
 obj_t BgL_auxz00_5219;
{ /* Llib/pgp_packets.scm 52 */
 BgL_objectz00_bglt BgL_tmpz00_5220;
BgL_tmpz00_5220 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_oz00_2730)); 
BgL_auxz00_5219 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_5220); } 
BgL_auxz00_5218 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_5219); } 
return 
((((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_5218))->BgL_secretzd2keyzd2)=((obj_t)BgL_vz00_2731),BUNSPEC);} } 

}



/* &lambda2019 */
obj_t BGl_z62lambda2019z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2732, obj_t BgL_oz00_2733)
{
{ /* Llib/pgp_packets.scm 52 */
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_5226;
{ 
 obj_t BgL_auxz00_5227;
{ /* Llib/pgp_packets.scm 52 */
 BgL_objectz00_bglt BgL_tmpz00_5228;
BgL_tmpz00_5228 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_oz00_2733)); 
BgL_auxz00_5227 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_5228); } 
BgL_auxz00_5226 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_5227); } 
return 
(((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_5226))->BgL_secretzd2keyzd2);} } 

}



/* &<@anonymous:1994> */
obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2734, obj_t BgL_new1154z00_2735)
{
{ /* Llib/pgp_packets.scm 50 */
{ 
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_auxz00_5234;
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1154z00_2735))))->BgL_idz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1154z00_2735))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1154z00_2735))))->BgL_subkeyzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1154z00_2735))))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5248;
{ /* Llib/pgp_packets.scm 50 */
 BGL_LONGLONG_T BgL_arg1706z00_3377;
BgL_arg1706z00_3377 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5248 = 
bgl_nanoseconds_to_date(BgL_arg1706z00_3377); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1154z00_2735))))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5248),BUNSPEC); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1154z00_2735))))->BgL_validzd2dayszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1154z00_2735))))->BgL_keyz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1154z00_2735)))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_5234 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1154z00_2735); 
return 
((obj_t)BgL_auxz00_5234);} } 

}



/* &lambda1992 */
BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda1992z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2736)
{
{ /* Llib/pgp_packets.scm 50 */
{ /* Llib/pgp_packets.scm 50 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_new1153z00_3378;
BgL_new1153z00_3378 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 50 */
 long BgL_arg1993z00_3379;
BgL_arg1993z00_3379 = 
BGL_CLASS_NUM(BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1153z00_3378), BgL_arg1993z00_3379); } 
{ /* Llib/pgp_packets.scm 50 */
 BgL_objectz00_bglt BgL_tmpz00_5268;
BgL_tmpz00_5268 = 
((BgL_objectz00_bglt)BgL_new1153z00_3378); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5268, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1153z00_3378); 
return BgL_new1153z00_3378;} } 

}



/* &lambda1990 */
BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda1990z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2737, obj_t BgL_id1145z00_2738, obj_t BgL_version1146z00_2739, obj_t BgL_subkeyzf31147zf3_2740, obj_t BgL_algo1148z00_2741, obj_t BgL_creationzd2date1149zd2_2742, obj_t BgL_validzd2days1150zd2_2743, obj_t BgL_key1151z00_2744, obj_t BgL_passwordzd2protectedzd2s1152z00_2745)
{
{ /* Llib/pgp_packets.scm 50 */
{ /* Llib/pgp_packets.scm 50 */
 long BgL_version1146z00_3380; bool_t BgL_subkeyzf31147zf3_3381;
BgL_version1146z00_3380 = 
(long)CINT(BgL_version1146z00_2739); 
BgL_subkeyzf31147zf3_3381 = 
CBOOL(BgL_subkeyzf31147zf3_2740); 
{ /* Llib/pgp_packets.scm 50 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_new1332z00_3385;
{ /* Llib/pgp_packets.scm 50 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_new1331z00_3386;
BgL_new1331z00_3386 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 50 */
 long BgL_arg1991z00_3387;
BgL_arg1991z00_3387 = 
BGL_CLASS_NUM(BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1331z00_3386), BgL_arg1991z00_3387); } 
{ /* Llib/pgp_packets.scm 50 */
 BgL_objectz00_bglt BgL_tmpz00_5278;
BgL_tmpz00_5278 = 
((BgL_objectz00_bglt)BgL_new1331z00_3386); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5278, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1331z00_3386); 
BgL_new1332z00_3385 = BgL_new1331z00_3386; } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1332z00_3385)))->BgL_idz00)=((obj_t)BgL_id1145z00_2738),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1332z00_3385)))->BgL_versionz00)=((long)BgL_version1146z00_3380),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1332z00_3385)))->BgL_subkeyzf3zf3)=((bool_t)BgL_subkeyzf31147zf3_3381),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1332z00_3385)))->BgL_algoz00)=((obj_t)
((obj_t)BgL_algo1148z00_2741)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1332z00_3385)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1149zd2_2742)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1332z00_3385)))->BgL_validzd2dayszd2)=((obj_t)BgL_validzd2days1150zd2_2743),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1332z00_3385)))->BgL_keyz00)=((obj_t)BgL_key1151z00_2744),BUNSPEC); 
((((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(BgL_new1332z00_3385))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00)=((obj_t)
((obj_t)BgL_passwordzd2protectedzd2s1152z00_2745)),BUNSPEC); 
return BgL_new1332z00_3385;} } } 

}



/* &lambda1999 */
obj_t BGl_z62lambda1999z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2746, obj_t BgL_oz00_2747, obj_t BgL_vz00_2748)
{
{ /* Llib/pgp_packets.scm 50 */
return 
((((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_oz00_2747)))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00)=((obj_t)
((obj_t)BgL_vz00_2748)),BUNSPEC);} 

}



/* &lambda1998 */
obj_t BGl_z62lambda1998z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2749, obj_t BgL_oz00_2750)
{
{ /* Llib/pgp_packets.scm 50 */
return 
(((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_oz00_2750)))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00);} 

}



/* &<@anonymous:1984> */
obj_t BGl_z62zc3z04anonymousza31984ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2751, obj_t BgL_new1143z00_2752)
{
{ /* Llib/pgp_packets.scm 49 */
{ 
 BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BgL_auxz00_5305;
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1143z00_2752))))->BgL_idz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1143z00_2752))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1143z00_2752))))->BgL_subkeyzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1143z00_2752))))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5319;
{ /* Llib/pgp_packets.scm 49 */
 BGL_LONGLONG_T BgL_arg1706z00_3392;
BgL_arg1706z00_3392 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5319 = 
bgl_nanoseconds_to_date(BgL_arg1706z00_3392); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1143z00_2752))))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5319),BUNSPEC); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1143z00_2752))))->BgL_validzd2dayszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1143z00_2752))))->BgL_keyz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5305 = 
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1143z00_2752); 
return 
((obj_t)BgL_auxz00_5305);} } 

}



/* &lambda1982 */
BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BGl_z62lambda1982z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2753)
{
{ /* Llib/pgp_packets.scm 49 */
{ /* Llib/pgp_packets.scm 49 */
 BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BgL_new1142z00_3393;
BgL_new1142z00_3393 = 
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2publiczd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 49 */
 long BgL_arg1983z00_3394;
BgL_arg1983z00_3394 = 
BGL_CLASS_NUM(BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3393), BgL_arg1983z00_3394); } 
{ /* Llib/pgp_packets.scm 49 */
 BgL_objectz00_bglt BgL_tmpz00_5337;
BgL_tmpz00_5337 = 
((BgL_objectz00_bglt)BgL_new1142z00_3393); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5337, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1142z00_3393); 
return BgL_new1142z00_3393;} } 

}



/* &lambda1980 */
BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BGl_z62lambda1980z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2754, obj_t BgL_id1135z00_2755, obj_t BgL_version1136z00_2756, obj_t BgL_subkeyzf31137zf3_2757, obj_t BgL_algo1138z00_2758, obj_t BgL_creationzd2date1139zd2_2759, obj_t BgL_validzd2days1140zd2_2760, obj_t BgL_key1141z00_2761)
{
{ /* Llib/pgp_packets.scm 49 */
{ /* Llib/pgp_packets.scm 49 */
 long BgL_version1136z00_3395; bool_t BgL_subkeyzf31137zf3_3396;
BgL_version1136z00_3395 = 
(long)CINT(BgL_version1136z00_2756); 
BgL_subkeyzf31137zf3_3396 = 
CBOOL(BgL_subkeyzf31137zf3_2757); 
{ /* Llib/pgp_packets.scm 49 */
 BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BgL_new1330z00_3399;
{ /* Llib/pgp_packets.scm 49 */
 BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BgL_new1329z00_3400;
BgL_new1329z00_3400 = 
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2publiczd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 49 */
 long BgL_arg1981z00_3401;
BgL_arg1981z00_3401 = 
BGL_CLASS_NUM(BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1329z00_3400), BgL_arg1981z00_3401); } 
{ /* Llib/pgp_packets.scm 49 */
 BgL_objectz00_bglt BgL_tmpz00_5347;
BgL_tmpz00_5347 = 
((BgL_objectz00_bglt)BgL_new1329z00_3400); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5347, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1329z00_3400); 
BgL_new1330z00_3399 = BgL_new1329z00_3400; } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1330z00_3399)))->BgL_idz00)=((obj_t)BgL_id1135z00_2755),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1330z00_3399)))->BgL_versionz00)=((long)BgL_version1136z00_3395),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1330z00_3399)))->BgL_subkeyzf3zf3)=((bool_t)BgL_subkeyzf31137zf3_3396),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1330z00_3399)))->BgL_algoz00)=((obj_t)
((obj_t)BgL_algo1138z00_2758)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1330z00_3399)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1139zd2_2759)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1330z00_3399)))->BgL_validzd2dayszd2)=((obj_t)BgL_validzd2days1140zd2_2760),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1330z00_3399)))->BgL_keyz00)=((obj_t)BgL_key1141z00_2761),BUNSPEC); 
return BgL_new1330z00_3399;} } } 

}



/* &<@anonymous:1935> */
obj_t BGl_z62zc3z04anonymousza31935ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2762, obj_t BgL_new1133z00_2763)
{
{ /* Llib/pgp_packets.scm 41 */
{ 
 BgL_pgpzd2keyzd2packetz00_bglt BgL_auxz00_5367;
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1133z00_2763)))->BgL_idz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1133z00_2763)))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1133z00_2763)))->BgL_subkeyzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1133z00_2763)))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5377;
{ /* Llib/pgp_packets.scm 41 */
 BGL_LONGLONG_T BgL_arg1706z00_3403;
BgL_arg1706z00_3403 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5377 = 
bgl_nanoseconds_to_date(BgL_arg1706z00_3403); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1133z00_2763)))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5377),BUNSPEC); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1133z00_2763)))->BgL_validzd2dayszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1133z00_2763)))->BgL_keyz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5367 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1133z00_2763); 
return 
((obj_t)BgL_auxz00_5367);} } 

}



/* &lambda1933 */
BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda1933z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2764)
{
{ /* Llib/pgp_packets.scm 41 */
{ /* Llib/pgp_packets.scm 41 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_new1132z00_3404;
BgL_new1132z00_3404 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 41 */
 long BgL_arg1934z00_3405;
BgL_arg1934z00_3405 = 
BGL_CLASS_NUM(BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1132z00_3404), BgL_arg1934z00_3405); } 
return BgL_new1132z00_3404;} } 

}



/* &lambda1931 */
BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda1931z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2765, obj_t BgL_id1125z00_2766, obj_t BgL_version1126z00_2767, obj_t BgL_subkeyzf31127zf3_2768, obj_t BgL_algo1128z00_2769, obj_t BgL_creationzd2date1129zd2_2770, obj_t BgL_validzd2days1130zd2_2771, obj_t BgL_key1131z00_2772)
{
{ /* Llib/pgp_packets.scm 41 */
{ /* Llib/pgp_packets.scm 41 */
 long BgL_version1126z00_3406; bool_t BgL_subkeyzf31127zf3_3407;
BgL_version1126z00_3406 = 
(long)CINT(BgL_version1126z00_2767); 
BgL_subkeyzf31127zf3_3407 = 
CBOOL(BgL_subkeyzf31127zf3_2768); 
{ /* Llib/pgp_packets.scm 41 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_new1328z00_3410;
{ /* Llib/pgp_packets.scm 41 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_new1327z00_3411;
BgL_new1327z00_3411 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 41 */
 long BgL_arg1932z00_3412;
BgL_arg1932z00_3412 = 
BGL_CLASS_NUM(BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1327z00_3411), BgL_arg1932z00_3412); } 
BgL_new1328z00_3410 = BgL_new1327z00_3411; } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1328z00_3410))->BgL_idz00)=((obj_t)BgL_id1125z00_2766),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1328z00_3410))->BgL_versionz00)=((long)BgL_version1126z00_3406),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1328z00_3410))->BgL_subkeyzf3zf3)=((bool_t)BgL_subkeyzf31127zf3_3407),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1328z00_3410))->BgL_algoz00)=((obj_t)
((obj_t)BgL_algo1128z00_2769)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1328z00_3410))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1129zd2_2770)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1328z00_3410))->BgL_validzd2dayszd2)=((obj_t)BgL_validzd2days1130zd2_2771),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1328z00_3410))->BgL_keyz00)=((obj_t)BgL_key1131z00_2772),BUNSPEC); 
return BgL_new1328z00_3410;} } } 

}



/* &lambda1974 */
obj_t BGl_z62lambda1974z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2773, obj_t BgL_oz00_2774, obj_t BgL_vz00_2775)
{
{ /* Llib/pgp_packets.scm 41 */
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2774)))->BgL_keyz00)=((obj_t)BgL_vz00_2775),BUNSPEC);} 

}



/* &lambda1973 */
obj_t BGl_z62lambda1973z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2776, obj_t BgL_oz00_2777)
{
{ /* Llib/pgp_packets.scm 41 */
return 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2777)))->BgL_keyz00);} 

}



/* &lambda1969 */
obj_t BGl_z62lambda1969z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2778, obj_t BgL_oz00_2779, obj_t BgL_vz00_2780)
{
{ /* Llib/pgp_packets.scm 41 */
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2779)))->BgL_validzd2dayszd2)=((obj_t)BgL_vz00_2780),BUNSPEC);} 

}



/* &lambda1968 */
obj_t BGl_z62lambda1968z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2781, obj_t BgL_oz00_2782)
{
{ /* Llib/pgp_packets.scm 41 */
return 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2782)))->BgL_validzd2dayszd2);} 

}



/* &lambda1964 */
obj_t BGl_z62lambda1964z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2783, obj_t BgL_oz00_2784, obj_t BgL_vz00_2785)
{
{ /* Llib/pgp_packets.scm 41 */
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2784)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_vz00_2785)),BUNSPEC);} 

}



/* &lambda1963 */
obj_t BGl_z62lambda1963z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2786, obj_t BgL_oz00_2787)
{
{ /* Llib/pgp_packets.scm 41 */
return 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2787)))->BgL_creationzd2datezd2);} 

}



/* &lambda1959 */
obj_t BGl_z62lambda1959z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2788, obj_t BgL_oz00_2789, obj_t BgL_vz00_2790)
{
{ /* Llib/pgp_packets.scm 41 */
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2789)))->BgL_algoz00)=((obj_t)
((obj_t)BgL_vz00_2790)),BUNSPEC);} 

}



/* &lambda1958 */
obj_t BGl_z62lambda1958z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2791, obj_t BgL_oz00_2792)
{
{ /* Llib/pgp_packets.scm 41 */
return 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2792)))->BgL_algoz00);} 

}



/* &<@anonymous:1954> */
obj_t BGl_z62zc3z04anonymousza31954ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2793)
{
{ /* Llib/pgp_packets.scm 41 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1953 */
obj_t BGl_z62lambda1953z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2794, obj_t BgL_oz00_2795, obj_t BgL_vz00_2796)
{
{ /* Llib/pgp_packets.scm 41 */
{ /* Llib/pgp_packets.scm 41 */
 bool_t BgL_vz00_3424;
BgL_vz00_3424 = 
CBOOL(BgL_vz00_2796); 
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2795)))->BgL_subkeyzf3zf3)=((bool_t)BgL_vz00_3424),BUNSPEC);} } 

}



/* &lambda1952 */
obj_t BGl_z62lambda1952z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2797, obj_t BgL_oz00_2798)
{
{ /* Llib/pgp_packets.scm 41 */
return 
BBOOL(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2798)))->BgL_subkeyzf3zf3));} 

}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2799, obj_t BgL_oz00_2800, obj_t BgL_vz00_2801)
{
{ /* Llib/pgp_packets.scm 41 */
{ /* Llib/pgp_packets.scm 41 */
 long BgL_vz00_3427;
BgL_vz00_3427 = 
(long)CINT(BgL_vz00_2801); 
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2800)))->BgL_versionz00)=((long)BgL_vz00_3427),BUNSPEC);} } 

}



/* &lambda1946 */
obj_t BGl_z62lambda1946z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2802, obj_t BgL_oz00_2803)
{
{ /* Llib/pgp_packets.scm 41 */
return 
BINT(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2803)))->BgL_versionz00));} 

}



/* &<@anonymous:1942> */
obj_t BGl_z62zc3z04anonymousza31942ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2804)
{
{ /* Llib/pgp_packets.scm 41 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1941 */
obj_t BGl_z62lambda1941z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2805, obj_t BgL_oz00_2806, obj_t BgL_vz00_2807)
{
{ /* Llib/pgp_packets.scm 41 */
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2806)))->BgL_idz00)=((obj_t)BgL_vz00_2807),BUNSPEC);} 

}



/* &lambda1940 */
obj_t BGl_z62lambda1940z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2808, obj_t BgL_oz00_2809)
{
{ /* Llib/pgp_packets.scm 41 */
return 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2809)))->BgL_idz00);} 

}



/* &<@anonymous:1920> */
obj_t BGl_z62zc3z04anonymousza31920ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2810, obj_t BgL_new1123z00_2811)
{
{ /* Llib/pgp_packets.scm 39 */
{ 
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_auxz00_5443;
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1123z00_2811))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1123z00_2811))))->BgL_signaturezd2typezd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1123z00_2811))))->BgL_issuerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1123z00_2811))))->BgL_publiczd2keyzd2algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1123z00_2811))))->BgL_hashzd2algozd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1123z00_2811)))->BgL_containszd2nestedzd2sigzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_5443 = 
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1123z00_2811); 
return 
((obj_t)BgL_auxz00_5443);} } 

}



/* &lambda1918 */
BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BGl_z62lambda1918z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2812)
{
{ /* Llib/pgp_packets.scm 39 */
{ /* Llib/pgp_packets.scm 39 */
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_new1122z00_3432;
BgL_new1122z00_3432 = 
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 39 */
 long BgL_arg1919z00_3433;
BgL_arg1919z00_3433 = 
BGL_CLASS_NUM(BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_3432), BgL_arg1919z00_3433); } 
{ /* Llib/pgp_packets.scm 39 */
 BgL_objectz00_bglt BgL_tmpz00_5470;
BgL_tmpz00_5470 = 
((BgL_objectz00_bglt)BgL_new1122z00_3432); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5470, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1122z00_3432); 
return BgL_new1122z00_3432;} } 

}



/* &lambda1916 */
BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BGl_z62lambda1916z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2813, obj_t BgL_version1116z00_2814, obj_t BgL_signaturezd2type1117zd2_2815, obj_t BgL_issuer1118z00_2816, obj_t BgL_publiczd2keyzd2algo1119z00_2817, obj_t BgL_hashzd2algo1120zd2_2818, obj_t BgL_containszd2nestedzd2sigzf31121zf3_2819)
{
{ /* Llib/pgp_packets.scm 39 */
{ /* Llib/pgp_packets.scm 39 */
 long BgL_version1116z00_3434; bool_t BgL_containszd2nestedzd2sigzf31121zf3_3438;
BgL_version1116z00_3434 = 
(long)CINT(BgL_version1116z00_2814); 
BgL_containszd2nestedzd2sigzf31121zf3_3438 = 
CBOOL(BgL_containszd2nestedzd2sigzf31121zf3_2819); 
{ /* Llib/pgp_packets.scm 39 */
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_new1326z00_3439;
{ /* Llib/pgp_packets.scm 39 */
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_new1325z00_3440;
BgL_new1325z00_3440 = 
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 39 */
 long BgL_arg1917z00_3441;
BgL_arg1917z00_3441 = 
BGL_CLASS_NUM(BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1325z00_3440), BgL_arg1917z00_3441); } 
{ /* Llib/pgp_packets.scm 39 */
 BgL_objectz00_bglt BgL_tmpz00_5480;
BgL_tmpz00_5480 = 
((BgL_objectz00_bglt)BgL_new1325z00_3440); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5480, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1325z00_3440); 
BgL_new1326z00_3439 = BgL_new1325z00_3440; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1326z00_3439)))->BgL_versionz00)=((long)BgL_version1116z00_3434),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1326z00_3439)))->BgL_signaturezd2typezd2)=((obj_t)
((obj_t)BgL_signaturezd2type1117zd2_2815)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1326z00_3439)))->BgL_issuerz00)=((obj_t)BgL_issuer1118z00_2816),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1326z00_3439)))->BgL_publiczd2keyzd2algoz00)=((obj_t)
((obj_t)BgL_publiczd2keyzd2algo1119z00_2817)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1326z00_3439)))->BgL_hashzd2algozd2)=((obj_t)
((obj_t)BgL_hashzd2algo1120zd2_2818)),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1326z00_3439))->BgL_containszd2nestedzd2sigzf3zf3)=((bool_t)BgL_containszd2nestedzd2sigzf31121zf3_3438),BUNSPEC); 
return BgL_new1326z00_3439;} } } 

}



/* &lambda1925 */
obj_t BGl_z62lambda1925z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2820, obj_t BgL_oz00_2821, obj_t BgL_vz00_2822)
{
{ /* Llib/pgp_packets.scm 39 */
{ /* Llib/pgp_packets.scm 39 */
 bool_t BgL_vz00_3443;
BgL_vz00_3443 = 
CBOOL(BgL_vz00_2822); 
return 
((((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_oz00_2821)))->BgL_containszd2nestedzd2sigzf3zf3)=((bool_t)BgL_vz00_3443),BUNSPEC);} } 

}



/* &lambda1924 */
obj_t BGl_z62lambda1924z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2823, obj_t BgL_oz00_2824)
{
{ /* Llib/pgp_packets.scm 39 */
return 
BBOOL(
(((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_oz00_2824)))->BgL_containszd2nestedzd2sigzf3zf3));} 

}



/* &<@anonymous:1890> */
obj_t BGl_z62zc3z04anonymousza31890ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2825, obj_t BgL_new1114z00_2826)
{
{ /* Llib/pgp_packets.scm 31 */
{ 
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_auxz00_5504;
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1114z00_2826)))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1114z00_2826)))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1114z00_2826)))->BgL_s2kz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1114z00_2826)))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5504 = 
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1114z00_2826); 
return 
((obj_t)BgL_auxz00_5504);} } 

}



/* &lambda1888 */
BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1888z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2827)
{
{ /* Llib/pgp_packets.scm 31 */
{ /* Llib/pgp_packets.scm 31 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1113z00_3446;
BgL_new1113z00_3446 = 
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 31 */
 long BgL_arg1889z00_3447;
BgL_arg1889z00_3447 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_3446), BgL_arg1889z00_3447); } 
{ /* Llib/pgp_packets.scm 31 */
 BgL_objectz00_bglt BgL_tmpz00_5520;
BgL_tmpz00_5520 = 
((BgL_objectz00_bglt)BgL_new1113z00_3446); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5520, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1113z00_3446); 
return BgL_new1113z00_3446;} } 

}



/* &lambda1886 */
BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1886z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2828, obj_t BgL_version1109z00_2829, obj_t BgL_algo1110z00_2830, obj_t BgL_s2k1111z00_2831, obj_t BgL_encryptedzd2sessionzd2ke1112z00_2832)
{
{ /* Llib/pgp_packets.scm 31 */
{ /* Llib/pgp_packets.scm 31 */
 long BgL_version1109z00_3448;
BgL_version1109z00_3448 = 
(long)CINT(BgL_version1109z00_2829); 
{ /* Llib/pgp_packets.scm 31 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1324z00_3450;
{ /* Llib/pgp_packets.scm 31 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1323z00_3451;
BgL_new1323z00_3451 = 
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 31 */
 long BgL_arg1887z00_3452;
BgL_arg1887z00_3452 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1323z00_3451), BgL_arg1887z00_3452); } 
{ /* Llib/pgp_packets.scm 31 */
 BgL_objectz00_bglt BgL_tmpz00_5529;
BgL_tmpz00_5529 = 
((BgL_objectz00_bglt)BgL_new1323z00_3451); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5529, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1323z00_3451); 
BgL_new1324z00_3450 = BgL_new1323z00_3451; } 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1324z00_3450))->BgL_versionz00)=((long)BgL_version1109z00_3448),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1324z00_3450))->BgL_algoz00)=((obj_t)
((obj_t)BgL_algo1110z00_2830)),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1324z00_3450))->BgL_s2kz00)=((obj_t)BgL_s2k1111z00_2831),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1324z00_3450))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BgL_encryptedzd2sessionzd2ke1112z00_2832),BUNSPEC); 
return BgL_new1324z00_3450;} } } 

}



/* &lambda1910 */
obj_t BGl_z62lambda1910z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2833, obj_t BgL_oz00_2834, obj_t BgL_vz00_2835)
{
{ /* Llib/pgp_packets.scm 31 */
return 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2834)))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BgL_vz00_2835),BUNSPEC);} 

}



/* &lambda1909 */
obj_t BGl_z62lambda1909z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2836, obj_t BgL_oz00_2837)
{
{ /* Llib/pgp_packets.scm 31 */
return 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2837)))->BgL_encryptedzd2sessionzd2keyz00);} 

}



/* &lambda1905 */
obj_t BGl_z62lambda1905z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2838, obj_t BgL_oz00_2839, obj_t BgL_vz00_2840)
{
{ /* Llib/pgp_packets.scm 31 */
return 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2839)))->BgL_s2kz00)=((obj_t)BgL_vz00_2840),BUNSPEC);} 

}



/* &lambda1904 */
obj_t BGl_z62lambda1904z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2841, obj_t BgL_oz00_2842)
{
{ /* Llib/pgp_packets.scm 31 */
return 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2842)))->BgL_s2kz00);} 

}



/* &lambda1900 */
obj_t BGl_z62lambda1900z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2843, obj_t BgL_oz00_2844, obj_t BgL_vz00_2845)
{
{ /* Llib/pgp_packets.scm 31 */
return 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2844)))->BgL_algoz00)=((obj_t)
((obj_t)BgL_vz00_2845)),BUNSPEC);} 

}



/* &lambda1899 */
obj_t BGl_z62lambda1899z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2846, obj_t BgL_oz00_2847)
{
{ /* Llib/pgp_packets.scm 31 */
return 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2847)))->BgL_algoz00);} 

}



/* &lambda1895 */
obj_t BGl_z62lambda1895z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2848, obj_t BgL_oz00_2849, obj_t BgL_vz00_2850)
{
{ /* Llib/pgp_packets.scm 31 */
{ /* Llib/pgp_packets.scm 31 */
 long BgL_vz00_3461;
BgL_vz00_3461 = 
(long)CINT(BgL_vz00_2850); 
return 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2849)))->BgL_versionz00)=((long)BgL_vz00_3461),BUNSPEC);} } 

}



/* &lambda1894 */
obj_t BGl_z62lambda1894z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2851, obj_t BgL_oz00_2852)
{
{ /* Llib/pgp_packets.scm 31 */
return 
BINT(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2852)))->BgL_versionz00));} 

}



/* &<@anonymous:1869> */
obj_t BGl_z62zc3z04anonymousza31869ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2853, obj_t BgL_new1107z00_2854)
{
{ /* Llib/pgp_packets.scm 28 */
{ 
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_auxz00_5557;
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1107z00_2854))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1107z00_2854))))->BgL_signaturezd2typezd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1107z00_2854))))->BgL_issuerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1107z00_2854))))->BgL_publiczd2keyzd2algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1107z00_2854))))->BgL_hashzd2algozd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5576;
{ /* Llib/pgp_packets.scm 28 */
 BGL_LONGLONG_T BgL_arg1706z00_3464;
BgL_arg1706z00_3464 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5576 = 
bgl_nanoseconds_to_date(BgL_arg1706z00_3464); } 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1107z00_2854))))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5576),BUNSPEC); } 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1107z00_2854))))->BgL_signaturez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1107z00_2854))))->BgL_signedzd2packetzd2prefixz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1107z00_2854))))->BgL_hashzd2trailerzd2)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1107z00_2854))))->BgL_leftzd2hashzd2)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1107z00_2854)))->BgL_securezd2subzd2packetsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1107z00_2854)))->BgL_insecurezd2subzd2packetsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5557 = 
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1107z00_2854); 
return 
((obj_t)BgL_auxz00_5557);} } 

}



/* &lambda1867 */
BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BGl_z62lambda1867z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2855)
{
{ /* Llib/pgp_packets.scm 28 */
{ /* Llib/pgp_packets.scm 28 */
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_new1106z00_3465;
BgL_new1106z00_3465 = 
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2v4zd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 28 */
 long BgL_arg1868z00_3466;
BgL_arg1868z00_3466 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1106z00_3465), BgL_arg1868z00_3466); } 
{ /* Llib/pgp_packets.scm 28 */
 BgL_objectz00_bglt BgL_tmpz00_5604;
BgL_tmpz00_5604 = 
((BgL_objectz00_bglt)BgL_new1106z00_3465); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5604, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1106z00_3465); 
return BgL_new1106z00_3465;} } 

}



/* &lambda1865 */
BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BGl_z62lambda1865z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2856, obj_t BgL_version1094z00_2857, obj_t BgL_signaturezd2type1095zd2_2858, obj_t BgL_issuer1096z00_2859, obj_t BgL_publiczd2keyzd2algo1097z00_2860, obj_t BgL_hashzd2algo1098zd2_2861, obj_t BgL_creationzd2date1099zd2_2862, obj_t BgL_signature1100z00_2863, obj_t BgL_signedzd2packetzd2prefix1101z00_2864, obj_t BgL_hashzd2trailer1102zd2_2865, obj_t BgL_leftzd2hash1103zd2_2866, obj_t BgL_securezd2subzd2packets1104z00_2867, obj_t BgL_insecurezd2subzd2packets1105z00_2868)
{
{ /* Llib/pgp_packets.scm 28 */
{ /* Llib/pgp_packets.scm 28 */
 long BgL_version1094z00_3467;
BgL_version1094z00_3467 = 
(long)CINT(BgL_version1094z00_2857); 
{ /* Llib/pgp_packets.scm 28 */
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_new1322z00_3477;
{ /* Llib/pgp_packets.scm 28 */
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_new1321z00_3478;
BgL_new1321z00_3478 = 
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2v4zd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 28 */
 long BgL_arg1866z00_3479;
BgL_arg1866z00_3479 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1321z00_3478), BgL_arg1866z00_3479); } 
{ /* Llib/pgp_packets.scm 28 */
 BgL_objectz00_bglt BgL_tmpz00_5613;
BgL_tmpz00_5613 = 
((BgL_objectz00_bglt)BgL_new1321z00_3478); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5613, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1321z00_3478); 
BgL_new1322z00_3477 = BgL_new1321z00_3478; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1322z00_3477)))->BgL_versionz00)=((long)BgL_version1094z00_3467),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1322z00_3477)))->BgL_signaturezd2typezd2)=((obj_t)
((obj_t)BgL_signaturezd2type1095zd2_2858)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1322z00_3477)))->BgL_issuerz00)=((obj_t)BgL_issuer1096z00_2859),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1322z00_3477)))->BgL_publiczd2keyzd2algoz00)=((obj_t)
((obj_t)BgL_publiczd2keyzd2algo1097z00_2860)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1322z00_3477)))->BgL_hashzd2algozd2)=((obj_t)
((obj_t)BgL_hashzd2algo1098zd2_2861)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1322z00_3477)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1099zd2_2862)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1322z00_3477)))->BgL_signaturez00)=((obj_t)BgL_signature1100z00_2863),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1322z00_3477)))->BgL_signedzd2packetzd2prefixz00)=((obj_t)
((obj_t)BgL_signedzd2packetzd2prefix1101z00_2864)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1322z00_3477)))->BgL_hashzd2trailerzd2)=((obj_t)
((obj_t)BgL_hashzd2trailer1102zd2_2865)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1322z00_3477)))->BgL_leftzd2hashzd2)=((obj_t)
((obj_t)BgL_leftzd2hash1103zd2_2866)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(BgL_new1322z00_3477))->BgL_securezd2subzd2packetsz00)=((obj_t)
((obj_t)BgL_securezd2subzd2packets1104z00_2867)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(BgL_new1322z00_3477))->BgL_insecurezd2subzd2packetsz00)=((obj_t)
((obj_t)BgL_insecurezd2subzd2packets1105z00_2868)),BUNSPEC); 
return BgL_new1322z00_3477;} } } 

}



/* &lambda1880 */
obj_t BGl_z62lambda1880z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2869, obj_t BgL_oz00_2870, obj_t BgL_vz00_2871)
{
{ /* Llib/pgp_packets.scm 28 */
return 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_oz00_2870)))->BgL_insecurezd2subzd2packetsz00)=((obj_t)
((obj_t)BgL_vz00_2871)),BUNSPEC);} 

}



/* &lambda1879 */
obj_t BGl_z62lambda1879z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2872, obj_t BgL_oz00_2873)
{
{ /* Llib/pgp_packets.scm 28 */
return 
(((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_oz00_2873)))->BgL_insecurezd2subzd2packetsz00);} 

}



/* &lambda1874 */
obj_t BGl_z62lambda1874z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2874, obj_t BgL_oz00_2875, obj_t BgL_vz00_2876)
{
{ /* Llib/pgp_packets.scm 28 */
return 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_oz00_2875)))->BgL_securezd2subzd2packetsz00)=((obj_t)
((obj_t)BgL_vz00_2876)),BUNSPEC);} 

}



/* &lambda1873 */
obj_t BGl_z62lambda1873z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2877, obj_t BgL_oz00_2878)
{
{ /* Llib/pgp_packets.scm 28 */
return 
(((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_oz00_2878)))->BgL_securezd2subzd2packetsz00);} 

}



/* &<@anonymous:1859> */
obj_t BGl_z62zc3z04anonymousza31859ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2879, obj_t BgL_new1092z00_2880)
{
{ /* Llib/pgp_packets.scm 27 */
{ 
 BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BgL_auxz00_5658;
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1092z00_2880))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1092z00_2880))))->BgL_signaturezd2typezd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1092z00_2880))))->BgL_issuerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1092z00_2880))))->BgL_publiczd2keyzd2algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1092z00_2880))))->BgL_hashzd2algozd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5677;
{ /* Llib/pgp_packets.scm 27 */
 BGL_LONGLONG_T BgL_arg1706z00_3487;
BgL_arg1706z00_3487 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5677 = 
bgl_nanoseconds_to_date(BgL_arg1706z00_3487); } 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1092z00_2880))))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5677),BUNSPEC); } 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1092z00_2880))))->BgL_signaturez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1092z00_2880))))->BgL_signedzd2packetzd2prefixz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1092z00_2880))))->BgL_hashzd2trailerzd2)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1092z00_2880))))->BgL_leftzd2hashzd2)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_5658 = 
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1092z00_2880); 
return 
((obj_t)BgL_auxz00_5658);} } 

}



/* &lambda1857 */
BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BGl_z62lambda1857z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2881)
{
{ /* Llib/pgp_packets.scm 27 */
{ /* Llib/pgp_packets.scm 27 */
 BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BgL_new1091z00_3488;
BgL_new1091z00_3488 = 
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2v3zd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 27 */
 long BgL_arg1858z00_3489;
BgL_arg1858z00_3489 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2v3zd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_3488), BgL_arg1858z00_3489); } 
{ /* Llib/pgp_packets.scm 27 */
 BgL_objectz00_bglt BgL_tmpz00_5701;
BgL_tmpz00_5701 = 
((BgL_objectz00_bglt)BgL_new1091z00_3488); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5701, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1091z00_3488); 
return BgL_new1091z00_3488;} } 

}



/* &lambda1855 */
BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BGl_z62lambda1855z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2882, obj_t BgL_version1081z00_2883, obj_t BgL_signaturezd2type1082zd2_2884, obj_t BgL_issuer1083z00_2885, obj_t BgL_publiczd2keyzd2algo1084z00_2886, obj_t BgL_hashzd2algo1085zd2_2887, obj_t BgL_creationzd2date1086zd2_2888, obj_t BgL_signature1087z00_2889, obj_t BgL_signedzd2packetzd2prefix1088z00_2890, obj_t BgL_hashzd2trailer1089zd2_2891, obj_t BgL_leftzd2hash1090zd2_2892)
{
{ /* Llib/pgp_packets.scm 27 */
{ /* Llib/pgp_packets.scm 27 */
 long BgL_version1081z00_3490;
BgL_version1081z00_3490 = 
(long)CINT(BgL_version1081z00_2883); 
{ /* Llib/pgp_packets.scm 27 */
 BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BgL_new1320z00_3498;
{ /* Llib/pgp_packets.scm 27 */
 BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BgL_new1319z00_3499;
BgL_new1319z00_3499 = 
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2v3zd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 27 */
 long BgL_arg1856z00_3500;
BgL_arg1856z00_3500 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2v3zd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1319z00_3499), BgL_arg1856z00_3500); } 
{ /* Llib/pgp_packets.scm 27 */
 BgL_objectz00_bglt BgL_tmpz00_5710;
BgL_tmpz00_5710 = 
((BgL_objectz00_bglt)BgL_new1319z00_3499); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5710, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1319z00_3499); 
BgL_new1320z00_3498 = BgL_new1319z00_3499; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1320z00_3498)))->BgL_versionz00)=((long)BgL_version1081z00_3490),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1320z00_3498)))->BgL_signaturezd2typezd2)=((obj_t)
((obj_t)BgL_signaturezd2type1082zd2_2884)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1320z00_3498)))->BgL_issuerz00)=((obj_t)BgL_issuer1083z00_2885),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1320z00_3498)))->BgL_publiczd2keyzd2algoz00)=((obj_t)
((obj_t)BgL_publiczd2keyzd2algo1084z00_2886)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1320z00_3498)))->BgL_hashzd2algozd2)=((obj_t)
((obj_t)BgL_hashzd2algo1085zd2_2887)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1320z00_3498)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1086zd2_2888)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1320z00_3498)))->BgL_signaturez00)=((obj_t)BgL_signature1087z00_2889),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1320z00_3498)))->BgL_signedzd2packetzd2prefixz00)=((obj_t)
((obj_t)BgL_signedzd2packetzd2prefix1088z00_2890)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1320z00_3498)))->BgL_hashzd2trailerzd2)=((obj_t)
((obj_t)BgL_hashzd2trailer1089zd2_2891)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1320z00_3498)))->BgL_leftzd2hashzd2)=((obj_t)
((obj_t)BgL_leftzd2hash1090zd2_2892)),BUNSPEC); 
return BgL_new1320z00_3498;} } } 

}



/* &<@anonymous:1822> */
obj_t BGl_z62zc3z04anonymousza31822ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2893, obj_t BgL_new1079z00_2894)
{
{ /* Llib/pgp_packets.scm 21 */
{ 
 BgL_pgpzd2signaturezd2packetz00_bglt BgL_auxz00_5741;
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1079z00_2894))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1079z00_2894))))->BgL_signaturezd2typezd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1079z00_2894))))->BgL_issuerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1079z00_2894))))->BgL_publiczd2keyzd2algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1079z00_2894))))->BgL_hashzd2algozd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5760;
{ /* Llib/pgp_packets.scm 21 */
 BGL_LONGLONG_T BgL_arg1706z00_3502;
BgL_arg1706z00_3502 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5760 = 
bgl_nanoseconds_to_date(BgL_arg1706z00_3502); } 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1079z00_2894)))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5760),BUNSPEC); } 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1079z00_2894)))->BgL_signaturez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1079z00_2894)))->BgL_signedzd2packetzd2prefixz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1079z00_2894)))->BgL_hashzd2trailerzd2)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1079z00_2894)))->BgL_leftzd2hashzd2)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_5741 = 
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1079z00_2894); 
return 
((obj_t)BgL_auxz00_5741);} } 

}



/* &lambda1820 */
BgL_pgpzd2signaturezd2packetz00_bglt BGl_z62lambda1820z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2895)
{
{ /* Llib/pgp_packets.scm 21 */
{ /* Llib/pgp_packets.scm 21 */
 BgL_pgpzd2signaturezd2packetz00_bglt BgL_new1078z00_3503;
BgL_new1078z00_3503 = 
((BgL_pgpzd2signaturezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 21 */
 long BgL_arg1821z00_3504;
BgL_arg1821z00_3504 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_3503), BgL_arg1821z00_3504); } 
return BgL_new1078z00_3503;} } 

}



/* &lambda1818 */
BgL_pgpzd2signaturezd2packetz00_bglt BGl_z62lambda1818z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2896, obj_t BgL_version1068z00_2897, obj_t BgL_signaturezd2type1069zd2_2898, obj_t BgL_issuer1070z00_2899, obj_t BgL_publiczd2keyzd2algo1071z00_2900, obj_t BgL_hashzd2algo1072zd2_2901, obj_t BgL_creationzd2date1073zd2_2902, obj_t BgL_signature1074z00_2903, obj_t BgL_signedzd2packetzd2prefix1075z00_2904, obj_t BgL_hashzd2trailer1076zd2_2905, obj_t BgL_leftzd2hash1077zd2_2906)
{
{ /* Llib/pgp_packets.scm 21 */
{ /* Llib/pgp_packets.scm 21 */
 long BgL_version1068z00_3505;
BgL_version1068z00_3505 = 
(long)CINT(BgL_version1068z00_2897); 
{ /* Llib/pgp_packets.scm 21 */
 BgL_pgpzd2signaturezd2packetz00_bglt BgL_new1318z00_3513;
{ /* Llib/pgp_packets.scm 21 */
 BgL_pgpzd2signaturezd2packetz00_bglt BgL_new1317z00_3514;
BgL_new1317z00_3514 = 
((BgL_pgpzd2signaturezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 21 */
 long BgL_arg1819z00_3515;
BgL_arg1819z00_3515 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1317z00_3514), BgL_arg1819z00_3515); } 
BgL_new1318z00_3513 = BgL_new1317z00_3514; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1318z00_3513)))->BgL_versionz00)=((long)BgL_version1068z00_3505),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1318z00_3513)))->BgL_signaturezd2typezd2)=((obj_t)
((obj_t)BgL_signaturezd2type1069zd2_2898)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1318z00_3513)))->BgL_issuerz00)=((obj_t)BgL_issuer1070z00_2899),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1318z00_3513)))->BgL_publiczd2keyzd2algoz00)=((obj_t)
((obj_t)BgL_publiczd2keyzd2algo1071z00_2900)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1318z00_3513)))->BgL_hashzd2algozd2)=((obj_t)
((obj_t)BgL_hashzd2algo1072zd2_2901)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1318z00_3513))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1073zd2_2902)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1318z00_3513))->BgL_signaturez00)=((obj_t)BgL_signature1074z00_2903),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1318z00_3513))->BgL_signedzd2packetzd2prefixz00)=((obj_t)
((obj_t)BgL_signedzd2packetzd2prefix1075z00_2904)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1318z00_3513))->BgL_hashzd2trailerzd2)=((obj_t)
((obj_t)BgL_hashzd2trailer1076zd2_2905)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1318z00_3513))->BgL_leftzd2hashzd2)=((obj_t)
((obj_t)BgL_leftzd2hash1077zd2_2906)),BUNSPEC); 
return BgL_new1318z00_3513;} } } 

}



/* &lambda1849 */
obj_t BGl_z62lambda1849z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2907, obj_t BgL_oz00_2908, obj_t BgL_vz00_2909)
{
{ /* Llib/pgp_packets.scm 21 */
return 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2908)))->BgL_leftzd2hashzd2)=((obj_t)
((obj_t)BgL_vz00_2909)),BUNSPEC);} 

}



/* &lambda1848 */
obj_t BGl_z62lambda1848z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2910, obj_t BgL_oz00_2911)
{
{ /* Llib/pgp_packets.scm 21 */
return 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2911)))->BgL_leftzd2hashzd2);} 

}



/* &lambda1844 */
obj_t BGl_z62lambda1844z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2912, obj_t BgL_oz00_2913, obj_t BgL_vz00_2914)
{
{ /* Llib/pgp_packets.scm 21 */
return 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2913)))->BgL_hashzd2trailerzd2)=((obj_t)
((obj_t)BgL_vz00_2914)),BUNSPEC);} 

}



/* &lambda1843 */
obj_t BGl_z62lambda1843z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2915, obj_t BgL_oz00_2916)
{
{ /* Llib/pgp_packets.scm 21 */
return 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2916)))->BgL_hashzd2trailerzd2);} 

}



/* &lambda1837 */
obj_t BGl_z62lambda1837z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2917, obj_t BgL_oz00_2918, obj_t BgL_vz00_2919)
{
{ /* Llib/pgp_packets.scm 21 */
return 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2918)))->BgL_signedzd2packetzd2prefixz00)=((obj_t)
((obj_t)BgL_vz00_2919)),BUNSPEC);} 

}



/* &lambda1836 */
obj_t BGl_z62lambda1836z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2920, obj_t BgL_oz00_2921)
{
{ /* Llib/pgp_packets.scm 21 */
return 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2921)))->BgL_signedzd2packetzd2prefixz00);} 

}



/* &lambda1832 */
obj_t BGl_z62lambda1832z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2922, obj_t BgL_oz00_2923, obj_t BgL_vz00_2924)
{
{ /* Llib/pgp_packets.scm 21 */
return 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2923)))->BgL_signaturez00)=((obj_t)BgL_vz00_2924),BUNSPEC);} 

}



/* &lambda1831 */
obj_t BGl_z62lambda1831z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2925, obj_t BgL_oz00_2926)
{
{ /* Llib/pgp_packets.scm 21 */
return 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2926)))->BgL_signaturez00);} 

}



/* &lambda1827 */
obj_t BGl_z62lambda1827z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2927, obj_t BgL_oz00_2928, obj_t BgL_vz00_2929)
{
{ /* Llib/pgp_packets.scm 21 */
return 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2928)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_vz00_2929)),BUNSPEC);} 

}



/* &lambda1826 */
obj_t BGl_z62lambda1826z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2930, obj_t BgL_oz00_2931)
{
{ /* Llib/pgp_packets.scm 21 */
return 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2931)))->BgL_creationzd2datezd2);} 

}



/* &<@anonymous:1741> */
obj_t BGl_z62zc3z04anonymousza31741ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2932, obj_t BgL_new1066z00_2933)
{
{ /* Llib/pgp_packets.scm 15 */
{ 
 BgL_pgpzd2sigzd2packetz00_bglt BgL_auxz00_5830;
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1066z00_2933)))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1066z00_2933)))->BgL_signaturezd2typezd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1066z00_2933)))->BgL_issuerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1066z00_2933)))->BgL_publiczd2keyzd2algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1066z00_2933)))->BgL_hashzd2algozd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
BgL_auxz00_5830 = 
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1066z00_2933); 
return 
((obj_t)BgL_auxz00_5830);} } 

}



/* &lambda1739 */
BgL_pgpzd2sigzd2packetz00_bglt BGl_z62lambda1739z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2934)
{
{ /* Llib/pgp_packets.scm 15 */
{ /* Llib/pgp_packets.scm 15 */
 BgL_pgpzd2sigzd2packetz00_bglt BgL_new1065z00_3531;
BgL_new1065z00_3531 = 
((BgL_pgpzd2sigzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2sigzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 15 */
 long BgL_arg1740z00_3532;
BgL_arg1740z00_3532 = 
BGL_CLASS_NUM(BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1065z00_3531), BgL_arg1740z00_3532); } 
return BgL_new1065z00_3531;} } 

}



/* &lambda1733 */
BgL_pgpzd2sigzd2packetz00_bglt BGl_z62lambda1733z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2935, obj_t BgL_version1060z00_2936, obj_t BgL_signaturezd2type1061zd2_2937, obj_t BgL_issuer1062z00_2938, obj_t BgL_publiczd2keyzd2algo1063z00_2939, obj_t BgL_hashzd2algo1064zd2_2940)
{
{ /* Llib/pgp_packets.scm 15 */
{ /* Llib/pgp_packets.scm 15 */
 long BgL_version1060z00_3533;
BgL_version1060z00_3533 = 
(long)CINT(BgL_version1060z00_2936); 
{ /* Llib/pgp_packets.scm 15 */
 BgL_pgpzd2sigzd2packetz00_bglt BgL_new1316z00_3537;
{ /* Llib/pgp_packets.scm 15 */
 BgL_pgpzd2sigzd2packetz00_bglt BgL_new1315z00_3538;
BgL_new1315z00_3538 = 
((BgL_pgpzd2sigzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2sigzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 15 */
 long BgL_arg1738z00_3539;
BgL_arg1738z00_3539 = 
BGL_CLASS_NUM(BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1315z00_3538), BgL_arg1738z00_3539); } 
BgL_new1316z00_3537 = BgL_new1315z00_3538; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(BgL_new1316z00_3537))->BgL_versionz00)=((long)BgL_version1060z00_3533),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(BgL_new1316z00_3537))->BgL_signaturezd2typezd2)=((obj_t)
((obj_t)BgL_signaturezd2type1061zd2_2937)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(BgL_new1316z00_3537))->BgL_issuerz00)=((obj_t)BgL_issuer1062z00_2938),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(BgL_new1316z00_3537))->BgL_publiczd2keyzd2algoz00)=((obj_t)
((obj_t)BgL_publiczd2keyzd2algo1063z00_2939)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(BgL_new1316z00_3537))->BgL_hashzd2algozd2)=((obj_t)
((obj_t)BgL_hashzd2algo1064zd2_2940)),BUNSPEC); 
return BgL_new1316z00_3537;} } } 

}



/* &lambda1807 */
obj_t BGl_z62lambda1807z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2941, obj_t BgL_oz00_2942, obj_t BgL_vz00_2943)
{
{ /* Llib/pgp_packets.scm 15 */
return 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2942)))->BgL_hashzd2algozd2)=((obj_t)
((obj_t)BgL_vz00_2943)),BUNSPEC);} 

}



/* &lambda1806 */
obj_t BGl_z62lambda1806z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2944, obj_t BgL_oz00_2945)
{
{ /* Llib/pgp_packets.scm 15 */
return 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2945)))->BgL_hashzd2algozd2);} 

}



/* &lambda1789 */
obj_t BGl_z62lambda1789z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2946, obj_t BgL_oz00_2947, obj_t BgL_vz00_2948)
{
{ /* Llib/pgp_packets.scm 15 */
return 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2947)))->BgL_publiczd2keyzd2algoz00)=((obj_t)
((obj_t)BgL_vz00_2948)),BUNSPEC);} 

}



/* &lambda1788 */
obj_t BGl_z62lambda1788z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2949, obj_t BgL_oz00_2950)
{
{ /* Llib/pgp_packets.scm 15 */
return 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2950)))->BgL_publiczd2keyzd2algoz00);} 

}



/* &lambda1767 */
obj_t BGl_z62lambda1767z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2951, obj_t BgL_oz00_2952, obj_t BgL_vz00_2953)
{
{ /* Llib/pgp_packets.scm 15 */
return 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2952)))->BgL_issuerz00)=((obj_t)BgL_vz00_2953),BUNSPEC);} 

}



/* &lambda1766 */
obj_t BGl_z62lambda1766z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2954, obj_t BgL_oz00_2955)
{
{ /* Llib/pgp_packets.scm 15 */
return 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2955)))->BgL_issuerz00);} 

}



/* &lambda1757 */
obj_t BGl_z62lambda1757z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2956, obj_t BgL_oz00_2957, obj_t BgL_vz00_2958)
{
{ /* Llib/pgp_packets.scm 15 */
return 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2957)))->BgL_signaturezd2typezd2)=((obj_t)
((obj_t)BgL_vz00_2958)),BUNSPEC);} 

}



/* &lambda1756 */
obj_t BGl_z62lambda1756z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2959, obj_t BgL_oz00_2960)
{
{ /* Llib/pgp_packets.scm 15 */
return 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2960)))->BgL_signaturezd2typezd2);} 

}



/* &lambda1746 */
obj_t BGl_z62lambda1746z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2961, obj_t BgL_oz00_2962, obj_t BgL_vz00_2963)
{
{ /* Llib/pgp_packets.scm 15 */
{ /* Llib/pgp_packets.scm 15 */
 long BgL_vz00_3552;
BgL_vz00_3552 = 
(long)CINT(BgL_vz00_2963); 
return 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2962)))->BgL_versionz00)=((long)BgL_vz00_3552),BUNSPEC);} } 

}



/* &lambda1745 */
obj_t BGl_z62lambda1745z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2964, obj_t BgL_oz00_2965)
{
{ /* Llib/pgp_packets.scm 15 */
return 
BINT(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2965)))->BgL_versionz00));} 

}



/* &<@anonymous:1665> */
obj_t BGl_z62zc3z04anonymousza31665ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2966, obj_t BgL_new1058z00_2967)
{
{ /* Llib/pgp_packets.scm 5 */
{ 
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_auxz00_5888;
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1058z00_2967)))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1058z00_2967)))->BgL_idz00)=((obj_t)BGl_string2755z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1058z00_2967)))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1058z00_2967)))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5888 = 
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1058z00_2967); 
return 
((obj_t)BgL_auxz00_5888);} } 

}



/* &lambda1663 */
BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1663z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2968)
{
{ /* Llib/pgp_packets.scm 5 */
{ /* Llib/pgp_packets.scm 5 */
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1057z00_3555;
BgL_new1057z00_3555 = 
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 5 */
 long BgL_arg1664z00_3556;
BgL_arg1664z00_3556 = 
BGL_CLASS_NUM(BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1057z00_3555), BgL_arg1664z00_3556); } 
{ /* Llib/pgp_packets.scm 5 */
 BgL_objectz00_bglt BgL_tmpz00_5904;
BgL_tmpz00_5904 = 
((BgL_objectz00_bglt)BgL_new1057z00_3555); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5904, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1057z00_3555); 
return BgL_new1057z00_3555;} } 

}



/* &lambda1651 */
BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1651z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2969, obj_t BgL_version1053z00_2970, obj_t BgL_id1054z00_2971, obj_t BgL_algo1055z00_2972, obj_t BgL_encryptedzd2sessionzd2ke1056z00_2973)
{
{ /* Llib/pgp_packets.scm 5 */
{ /* Llib/pgp_packets.scm 5 */
 long BgL_version1053z00_3557;
BgL_version1053z00_3557 = 
(long)CINT(BgL_version1053z00_2970); 
{ /* Llib/pgp_packets.scm 5 */
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1314z00_3560;
{ /* Llib/pgp_packets.scm 5 */
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1313z00_3561;
BgL_new1313z00_3561 = 
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 5 */
 long BgL_arg1662z00_3562;
BgL_arg1662z00_3562 = 
BGL_CLASS_NUM(BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1313z00_3561), BgL_arg1662z00_3562); } 
{ /* Llib/pgp_packets.scm 5 */
 BgL_objectz00_bglt BgL_tmpz00_5913;
BgL_tmpz00_5913 = 
((BgL_objectz00_bglt)BgL_new1313z00_3561); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5913, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1313z00_3561); 
BgL_new1314z00_3560 = BgL_new1313z00_3561; } 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1314z00_3560))->BgL_versionz00)=((long)BgL_version1053z00_3557),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1314z00_3560))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1054z00_2971)),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1314z00_3560))->BgL_algoz00)=((obj_t)
((obj_t)BgL_algo1055z00_2972)),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1314z00_3560))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BgL_encryptedzd2sessionzd2ke1056z00_2973),BUNSPEC); 
return BgL_new1314z00_3560;} } } 

}



/* &lambda1727 */
obj_t BGl_z62lambda1727z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2974, obj_t BgL_oz00_2975, obj_t BgL_vz00_2976)
{
{ /* Llib/pgp_packets.scm 5 */
return 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2975)))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BgL_vz00_2976),BUNSPEC);} 

}



/* &lambda1726 */
obj_t BGl_z62lambda1726z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2977, obj_t BgL_oz00_2978)
{
{ /* Llib/pgp_packets.scm 5 */
return 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2978)))->BgL_encryptedzd2sessionzd2keyz00);} 

}



/* &lambda1713 */
obj_t BGl_z62lambda1713z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2979, obj_t BgL_oz00_2980, obj_t BgL_vz00_2981)
{
{ /* Llib/pgp_packets.scm 5 */
return 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2980)))->BgL_algoz00)=((obj_t)
((obj_t)BgL_vz00_2981)),BUNSPEC);} 

}



/* &lambda1712 */
obj_t BGl_z62lambda1712z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2982, obj_t BgL_oz00_2983)
{
{ /* Llib/pgp_packets.scm 5 */
return 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2983)))->BgL_algoz00);} 

}



/* &lambda1705 */
obj_t BGl_z62lambda1705z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2984, obj_t BgL_oz00_2985, obj_t BgL_vz00_2986)
{
{ /* Llib/pgp_packets.scm 5 */
return 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2985)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_2986)),BUNSPEC);} 

}



/* &lambda1704 */
obj_t BGl_z62lambda1704z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2987, obj_t BgL_oz00_2988)
{
{ /* Llib/pgp_packets.scm 5 */
return 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2988)))->BgL_idz00);} 

}



/* &lambda1693 */
obj_t BGl_z62lambda1693z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2989, obj_t BgL_oz00_2990, obj_t BgL_vz00_2991)
{
{ /* Llib/pgp_packets.scm 5 */
{ /* Llib/pgp_packets.scm 5 */
 long BgL_vz00_3572;
BgL_vz00_3572 = 
(long)CINT(BgL_vz00_2991); 
return 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2990)))->BgL_versionz00)=((long)BgL_vz00_3572),BUNSPEC);} } 

}



/* &lambda1692 */
obj_t BGl_z62lambda1692z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2992, obj_t BgL_oz00_2993)
{
{ /* Llib/pgp_packets.scm 5 */
return 
BINT(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2993)))->BgL_versionz00));} 

}



/* &<@anonymous:1618> */
obj_t BGl_z62zc3z04anonymousza31618ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2994, obj_t BgL_new1051z00_2995)
{
{ /* Llib/pgp_packets.scm 4 */
return 
((obj_t)
((BgL_pgpzd2sessionzd2keyzd2packetzd2_bglt)BgL_new1051z00_2995));} 

}



/* &lambda1606 */
BgL_pgpzd2sessionzd2keyzd2packetzd2_bglt BGl_z62lambda1606z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2996)
{
{ /* Llib/pgp_packets.scm 4 */
{ /* Llib/pgp_packets.scm 4 */
 BgL_pgpzd2sessionzd2keyzd2packetzd2_bglt BgL_new1050z00_3575;
BgL_new1050z00_3575 = 
((BgL_pgpzd2sessionzd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2sessionzd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 4 */
 long BgL_arg1617z00_3576;
BgL_arg1617z00_3576 = 
BGL_CLASS_NUM(BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1050z00_3575), BgL_arg1617z00_3576); } 
return BgL_new1050z00_3575;} } 

}



/* &<@anonymous:1589> */
obj_t BGl_z62zc3z04anonymousza31589ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2997, obj_t BgL_new1048z00_2998)
{
{ /* Llib/pgp_packets.scm 3 */
return 
((obj_t)
((BgL_pgpzd2packetzd2_bglt)BgL_new1048z00_2998));} 

}



/* &lambda1587 */
BgL_pgpzd2packetzd2_bglt BGl_z62lambda1587z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2999)
{
{ /* Llib/pgp_packets.scm 3 */
{ /* Llib/pgp_packets.scm 3 */
 BgL_pgpzd2packetzd2_bglt BgL_new1047z00_3578;
BgL_new1047z00_3578 = 
((BgL_pgpzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 3 */
 long BgL_arg1588z00_3579;
BgL_arg1588z00_3579 = 
BGL_CLASS_NUM(BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1047z00_3578), BgL_arg1588z00_3579); } 
return BgL_new1047z00_3578;} } 

}



/* &lambda1585 */
BgL_pgpzd2packetzd2_bglt BGl_z62lambda1585z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_3000)
{
{ /* Llib/pgp_packets.scm 3 */
{ /* Llib/pgp_packets.scm 3 */
 BgL_pgpzd2packetzd2_bglt BgL_new1312z00_3580;
{ /* Llib/pgp_packets.scm 3 */
 BgL_pgpzd2packetzd2_bglt BgL_new1311z00_3581;
BgL_new1311z00_3581 = 
((BgL_pgpzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 3 */
 long BgL_arg1586z00_3582;
BgL_arg1586z00_3582 = 
BGL_CLASS_NUM(BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1311z00_3581), BgL_arg1586z00_3582); } 
BgL_new1312z00_3580 = BgL_new1311z00_3581; } 
return BgL_new1312z00_3580;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2packetszd2(void)
{
{ /* Llib/pgp_packets.scm 1 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2packetszd2(void)
{
{ /* Llib/pgp_packets.scm 1 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
