/*===========================================================================*/
/*   (Llib/sqlite.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -srfi sqlite -unsafe -safee -copt -fPIC -copt -IPosix Llib/sqlite.scm -o objs/sqlite.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <sqlite3.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z42sqltinyz42_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z42versionz42;
   obj_t BgL_pathz00;
   obj_t BgL_syncz00;
   obj_t BgL_tablesz00;
   obj_t BgL_mutexz00;
   bool_t BgL_transactionz00;
} *BgL_z42sqltinyz42_bglt;

typedef struct BgL_sqlitez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
   void * BgL_z42builtinz42;
} *BgL_sqlitez00_bglt;

typedef struct BgL_z52sqlitez52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
} *BgL_z52sqlitez52_bglt;

typedef struct BgL_sqltinyz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
   obj_t BgL_syncz00;
   struct BgL_z42sqltinyz42_bgl * BgL_z42builtinz42;
} *BgL_sqltinyz00_bglt;


static obj_t BGl_z62sqlitezd2eval1292zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_sqltinyz00_bglt BGl_z62lambda1848z62zz__sqlite_sqlitez00(obj_t);
BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31838ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62lambda1855z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1856z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32006ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00 = BUNSPEC;
static obj_t BGl_zc3z04exitza31975ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzd2table1300z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
extern void * bgl_sqlite_open(char *);
static BgL_z42sqltinyz42_bglt BGl_z62lambda1862z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1863z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(obj_t, obj_t, long);
static obj_t BGl_z62zc3z04anonymousza32004ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2sqlit1279z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31864ze3ze5zz__sqlite_sqlitez00(obj_t);
static BgL_sqlitez00_bglt BGl_z62lambda1870z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_sqlitez00_bglt BGl_z62lambda1873z62zz__sqlite_sqlitez00(obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62lambda1882z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1883z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32014ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__sqlite_sqlitez00(void);
static obj_t BGl_z62zc3z04anonymousza31963ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32016ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2dumpzd2tablez42zz__sqlite_sqltinyz00(obj_t, BgL_z42sqltinyz42_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
static obj_t BGl_z62zc3z04anonymousza31875ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__sqlite_sqlitez00(void);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31884ze3ze5zz__sqlite_sqlitez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_sqltinyz00_bglt);
static obj_t BGl_objectzd2initzd2zz__sqlite_sqlitez00(void);
static obj_t BGl_z62zc3z04anonymousza31957ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_sqlitez00zz__sqlite_sqlitez00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31958ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00(void);
static obj_t BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2close1284zb0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2map1296zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31968ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31993ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62sqlitezd2evalzd2sqlite1295z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__sqlite_sqlitez00(void);
static obj_t BGl_z62zc3z04anonymousza31340ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_eval(void *, obj_t, char *, obj_t);
static obj_t BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52sqlitez52zz__sqlite_sqlitez00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza31996ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62objectzd2printzd2sqlite1283z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza31960ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_z62sqlitezd2mapzd2sqlite1299z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31353ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31999ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31346ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2execzd2sqlite1291z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31353ze32053ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza32001ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t);
static obj_t BGl_zc3z04exitza31970ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_sqlitez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqlitez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqltinyz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_exec(void *, char *, obj_t);
static obj_t BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
static obj_t BGl_cnstzd2initzd2zz__sqlite_sqlitez00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00(void);
static obj_t BGl_zc3z04exitza32011ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00(void);
static obj_t BGl_z62sqlitezd2closezd2sqlite1287z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza31980ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00(void);
BGL_EXPORTED_DEF obj_t BGl_sqltinyz00zz__sqlite_sqlitez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
extern obj_t BGl_z42sqltinyz42zz__sqlite_sqltinyz00;
BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31831ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62objectzd2writezd2sqlite1281z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62sqlitezd2dumpzd2tablezd2sq1303zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2closez90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t);
static obj_t BGl_z62sqlitezd2exec1288zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern void bgl_sqlite_close(void *, obj_t);
BGL_IMPORT long bgl_date_to_seconds(obj_t);
static obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31340ze32052ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza31965ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31924ze3ze5zz__sqlite_sqlitez00(obj_t);
static BgL_z52sqlitez52_bglt BGl_z62lambda1829z62zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31933ze3ze5zz__sqlite_sqlitez00(obj_t);
extern BgL_z42sqltinyz42_bglt BGl_z42sqltinyzd2openz90zz__sqlite_sqltinyz00(obj_t, obj_t);
static obj_t BGl_z62lambda1836z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1837z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_map(void *, obj_t, char *, obj_t);
static BgL_sqltinyz00_bglt BGl_z62lambda1845z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 14 ] ;


DEFINE_STRING( BGl_string2200z00zz__sqlite_sqlitez00, BgL_bgl_string2200za700za7za7_2218za7, "sqlite-eval", 11 );
DEFINE_STRING( BGl_string2120z00zz__sqlite_sqlitez00, BgL_bgl_string2120za700za7za7_2219za7, "bstring", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42sqlitezd2nilzd2envz42zz__sqlite_sqlitez00, BgL_bgl_za762za742sqliteza7d2n2220za7, BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2202z00zz__sqlite_sqlitez00, BgL_bgl_string2202za700za7za7_2221za7, "sqlite-map", 10 );
DEFINE_STRING( BGl_string2121z00zz__sqlite_sqlitez00, BgL_bgl_string2121za700za7za7_2222za7, "SELECT MAX(rowid) FROM ~A", 25 );
DEFINE_STRING( BGl_string2204z00zz__sqlite_sqlitez00, BgL_bgl_string2204za700za7za7_2223za7, "sqlite-dump-table", 17 );
DEFINE_STRING( BGl_string2123z00zz__sqlite_sqlitez00, BgL_bgl_string2123za700za7za7_2224za7, "&sqlite-table-number-of-rows", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2117z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2225za7, BGl_z62zc3z04anonymousza31340ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2205z00zz__sqlite_sqlitez00, BgL_bgl_string2205za700za7za7_2226za7, ".dump ", 6 );
DEFINE_STRING( BGl_string2206z00zz__sqlite_sqlitez00, BgL_bgl_string2206za700za7za7_2227za7, ">", 1 );
DEFINE_STRING( BGl_string2125z00zz__sqlite_sqlitez00, BgL_bgl_string2125za700za7za7_2228za7, "&sqlite-table-name-of-columns", 29 );
DEFINE_STRING( BGl_string2207z00zz__sqlite_sqlitez00, BgL_bgl_string2207za700za7za7_2229za7, "#<sqlite:", 9 );
DEFINE_STRING( BGl_string2208z00zz__sqlite_sqlitez00, BgL_bgl_string2208za700za7za7_2230za7, "__sqlite_sqlite", 15 );
DEFINE_STRING( BGl_string2127z00zz__sqlite_sqlitez00, BgL_bgl_string2127za700za7za7_2231za7, "SELECT name FROM sqlite_master WHERE type='table'", 49 );
DEFINE_STRING( BGl_string2209z00zz__sqlite_sqlitez00, BgL_bgl_string2209za700za7za7_2232za7, "automatic _ sqlite $sqlite sqltiny $builtin symbol sync __sqlite_sqlite %sqlite bstring path sqlite-format sqlite-form ", 119 );
DEFINE_STRING( BGl_string2128z00zz__sqlite_sqlitez00, BgL_bgl_string2128za700za7za7_2233za7, "&sqlite-name-of-tables", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2201z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2mapza72234za7, va_generic_entry, BGl_z62sqlitezd2mapzd2sqlite1299z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2203z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2235z00, BGl_z62sqlitezd2dumpzd2tablezd2sq1303zb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2122z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2236za7, BGl_z62zc3z04anonymousza31346ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2130z00zz__sqlite_sqlitez00, BgL_bgl_string2130za700za7za7_2237za7, "&sqlite-dump", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2124z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2238za7, BGl_z62zc3z04anonymousza31340ze32052ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2131z00zz__sqlite_sqlitez00, BgL_bgl_string2131za700za7za7_2239za7, "output-port", 11 );
DEFINE_STRING( BGl_string2132z00zz__sqlite_sqlitez00, BgL_bgl_string2132za700za7za7_2240za7, ",", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2126z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2241za7, BGl_z62zc3z04anonymousza31353ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2133z00zz__sqlite_sqlitez00, BgL_bgl_string2133za700za7za7_2242za7, "Illegal list", 12 );
DEFINE_STRING( BGl_string2134z00zz__sqlite_sqlitez00, BgL_bgl_string2134za700za7za7_2243za7, "Tag not allowd here", 19 );
DEFINE_STRING( BGl_string2135z00zz__sqlite_sqlitez00, BgL_bgl_string2135za700za7za7_2244za7, "Insufficient number of arguments", 32 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2129z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2245za7, BGl_z62zc3z04anonymousza31353ze32053ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2136z00zz__sqlite_sqlitez00, BgL_bgl_string2136za700za7za7_2246za7, "Illegal char", 12 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2informationszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2247z00, BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2137z00zz__sqlite_sqlitez00, BgL_bgl_string2137za700za7za7_2248za7, "Illegal number", 14 );
DEFINE_STRING( BGl_string2138z00zz__sqlite_sqlitez00, BgL_bgl_string2138za700za7za7_2249za7, "Illegal tag", 11 );
DEFINE_STRING( BGl_string2139z00zz__sqlite_sqlitez00, BgL_bgl_string2139za700za7za7_2250za7, "#{", 2 );
DEFINE_STRING( BGl_string2140z00zz__sqlite_sqlitez00, BgL_bgl_string2140za700za7za7_2251za7, "}", 1 );
DEFINE_STRING( BGl_string2141z00zz__sqlite_sqlitez00, BgL_bgl_string2141za700za7za7_2252za7, " ", 1 );
DEFINE_STRING( BGl_string2142z00zz__sqlite_sqlitez00, BgL_bgl_string2142za700za7za7_2253za7, "#(", 2 );
DEFINE_STRING( BGl_string2143z00zz__sqlite_sqlitez00, BgL_bgl_string2143za700za7za7_2254za7, ")", 1 );
DEFINE_STRING( BGl_string2144z00zz__sqlite_sqlitez00, BgL_bgl_string2144za700za7za7_2255za7, "(", 1 );
DEFINE_STRING( BGl_string2145z00zz__sqlite_sqlitez00, BgL_bgl_string2145za700za7za7_2256za7, " . ", 3 );
DEFINE_STRING( BGl_string2146z00zz__sqlite_sqlitez00, BgL_bgl_string2146za700za7za7_2257za7, "\"\"", 2 );
DEFINE_STRING( BGl_string2147z00zz__sqlite_sqlitez00, BgL_bgl_string2147za700za7za7_2258za7, "NULL", 4 );
DEFINE_STRING( BGl_string2148z00zz__sqlite_sqlitez00, BgL_bgl_string2148za700za7za7_2259za7, "&sqlite-format", 14 );
DEFINE_STRING( BGl_string2149z00zz__sqlite_sqlitez00, BgL_bgl_string2149za700za7za7_2260za7, "SELECT last_insert_rowid()", 26 );
DEFINE_STRING( BGl_string2150z00zz__sqlite_sqlitez00, BgL_bgl_string2150za700za7za7_2261za7, "&sqlite-last-insert-rowid", 25 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2mapza72262za7, va_generic_entry, BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2151z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2263za7, BGl_z62zc3z04anonymousza31838ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2152z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1837za7622264z00, BGl_z62lambda1837z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2153z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1836za7622265z00, BGl_z62lambda1836z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2154z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2266za7, BGl_z62zc3z04anonymousza31831ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2155z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1829za7622267z00, BGl_z62lambda1829z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2156z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2268za7, BGl_z62zc3z04anonymousza31857ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2157z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1856za7622269z00, BGl_z62lambda1856z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2158z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1855za7622270z00, BGl_z62lambda1855z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2159z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2271za7, BGl_z62zc3z04anonymousza31864ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2160z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1863za7622272z00, BGl_z62lambda1863z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2161z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1862za7622273z00, BGl_z62lambda1862z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2162z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2274za7, BGl_z62zc3z04anonymousza31850ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2163z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1848za7622275z00, BGl_z62lambda1848z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2164z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1845za7622276z00, BGl_z62lambda1845z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2171z00zz__sqlite_sqlitez00, BgL_bgl_string2171za700za7za7_2277za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2165z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2278za7, BGl_z62zc3z04anonymousza31884ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2172z00zz__sqlite_sqlitez00, BgL_bgl_string2172za700za7za7_2279za7, ":memory:", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2166z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1883za7622280z00, BGl_z62lambda1883z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2167z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1882za7622281z00, BGl_z62lambda1882z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2174z00zz__sqlite_sqlitez00, BgL_bgl_string2174za700za7za7_2282za7, "sqlite-close1284", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2168z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2283za7, BGl_z62zc3z04anonymousza31875ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2169z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1873za7622284z00, BGl_z62lambda1873z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2176z00zz__sqlite_sqlitez00, BgL_bgl_string2176za700za7za7_2285za7, "sqlite-exec1288", 15 );
DEFINE_STRING( BGl_string2178z00zz__sqlite_sqlitez00, BgL_bgl_string2178za700za7za7_2286za7, "sqlite-eval1292", 15 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52setupzd2sqltinyz12zd2envz40zz__sqlite_sqlitez00, BgL_bgl_za762za752setupza7d2sq2287za7, BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2170z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1870za7622288z00, BGl_z62lambda1870z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2173z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2289z00, BGl_z62sqlitezd2close1284zb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2180z00zz__sqlite_sqlitez00, BgL_bgl_string2180za700za7za7_2290za7, "sqlite-map1296", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2175z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2291z00, va_generic_entry, BGl_z62sqlitezd2exec1288zb0zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_STRING( BGl_string2182z00zz__sqlite_sqlitez00, BgL_bgl_string2182za700za7za7_2292za7, "sqlite-dump-table1300", 21 );
DEFINE_STRING( BGl_string2183z00zz__sqlite_sqlitez00, BgL_bgl_string2183za700za7za7_2293za7, "&sqlite-close", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2177z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2294z00, va_generic_entry, BGl_z62sqlitezd2eval1292zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
DEFINE_STRING( BGl_string2184z00zz__sqlite_sqlitez00, BgL_bgl_string2184za700za7za7_2295za7, "&sqlite-exec", 12 );
DEFINE_STRING( BGl_string2185z00zz__sqlite_sqlitez00, BgL_bgl_string2185za700za7za7_2296za7, "&sqlite-eval", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2179z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2map12297z00, va_generic_entry, BGl_z62sqlitezd2map1296zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2186z00zz__sqlite_sqlitez00, BgL_bgl_string2186za700za7za7_2298za7, "procedure", 9 );
DEFINE_STRING( BGl_string2187z00zz__sqlite_sqlitez00, BgL_bgl_string2187za700za7za7_2299za7, "&sqlite-map", 11 );
DEFINE_STRING( BGl_string2188z00zz__sqlite_sqlitez00, BgL_bgl_string2188za700za7za7_2300za7, "&sqlite-dump-table", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2181z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2301z00, BGl_z62sqlitezd2dumpzd2table1300z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2190z00zz__sqlite_sqlitez00, BgL_bgl_string2190za700za7za7_2302za7, "object-display", 14 );
DEFINE_STRING( BGl_string2192z00zz__sqlite_sqlitez00, BgL_bgl_string2192za700za7za7_2303za7, "object-write", 12 );
DEFINE_STRING( BGl_string2194z00zz__sqlite_sqlitez00, BgL_bgl_string2194za700za7za7_2304za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2189z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2disp2305z00, va_generic_entry, BGl_z62objectzd2displayzd2sqlit1279z62zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string2196z00zz__sqlite_sqlitez00, BgL_bgl_string2196za700za7za7_2306za7, "sqlite-close", 12 );
DEFINE_STRING( BGl_string2198z00zz__sqlite_sqlitez00, BgL_bgl_string2198za700za7za7_2307za7, "sqlite-exec", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2191z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2writ2308z00, va_generic_entry, BGl_z62objectzd2writezd2sqlite1281z62zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2193z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2prin2309z00, BGl_z62objectzd2printzd2sqlite1283z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2195z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2310z00, BGl_z62sqlitezd2closezd2sqlite1287z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2197z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2311z00, va_generic_entry, BGl_z62sqlitezd2execzd2sqlite1291z62zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2199z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2312z00, va_generic_entry, BGl_z62sqlitezd2evalzd2sqlite1295z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52setupzd2sqlitez12zd2envz40zz__sqlite_sqlitez00, BgL_bgl_za762za752setupza7d2sq2313za7, BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2314z00, va_generic_entry, BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2lastzd2insertzd2rowidzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2last2315z00, BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2dumpzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2316z00, BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2317z00, va_generic_entry, BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2formatzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2form2318z00, va_generic_entry, BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2319z00, BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2namezd2ofzd2columnszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2320z00, BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2321z00, BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2namezd2ofzd2tableszd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2name2322z00, BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2numberzd2ofzd2rowszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2323z00, BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2111z00zz__sqlite_sqlitez00, BgL_bgl_string2111za700za7za7_2324za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/sqlite/src/Llib/sqlite.scm", 66 );
DEFINE_STRING( BGl_string2112z00zz__sqlite_sqlitez00, BgL_bgl_string2112za700za7za7_2325za7, "&%setup-sqlite!", 15 );
DEFINE_STRING( BGl_string2113z00zz__sqlite_sqlitez00, BgL_bgl_string2113za700za7za7_2326za7, "sqlite", 6 );
DEFINE_STRING( BGl_string2114z00zz__sqlite_sqlitez00, BgL_bgl_string2114za700za7za7_2327za7, "&%setup-sqltiny!", 16 );
DEFINE_STRING( BGl_string2115z00zz__sqlite_sqlitez00, BgL_bgl_string2115za700za7za7_2328za7, "sqltiny", 7 );
DEFINE_STRING( BGl_string2116z00zz__sqlite_sqlitez00, BgL_bgl_string2116za700za7za7_2329za7, "PRAGMA table_info(~a)", 21 );
DEFINE_STRING( BGl_string2118z00zz__sqlite_sqlitez00, BgL_bgl_string2118za700za7za7_2330za7, "&sqlite-table-informations", 26 );
DEFINE_STRING( BGl_string2119z00zz__sqlite_sqlitez00, BgL_bgl_string2119za700za7za7_2331za7, "%sqlite", 7 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_sqlitez00zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_z52sqlitez52zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_sqltinyz00zz__sqlite_sqlitez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqlitez00(long BgL_checksumz00_2159, char * BgL_fromz00_2160)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00))
{ 
BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00(); 
BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00(); 
BGl_cnstzd2initzd2zz__sqlite_sqlitez00(); 
BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00(); 
BGl_objectzd2initzd2zz__sqlite_sqlitez00(); 
BGl_genericzd2initzd2zz__sqlite_sqlitez00(); 
BGl_methodzd2initzd2zz__sqlite_sqlitez00(); 
return 
BGl_toplevelzd2initzd2zz__sqlite_sqlitez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__sqlite_sqlite"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_cportz00_1695;
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_stringz00_1702;
BgL_stringz00_1702 = BGl_string2209z00zz__sqlite_sqlitez00; 
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_startz00_1703;
BgL_startz00_1703 = 
BINT(((long)0)); 
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_endz00_1704;
BgL_endz00_1704 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1702))); 
{ /* Llib/sqlite.scm 15 */

BgL_cportz00_1695 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1702, BgL_startz00_1703, BgL_endz00_1704); } } } } 
{ 
 long BgL_iz00_1696;
BgL_iz00_1696 = ((long)13); 
BgL_loopz00_1697:
if(
(BgL_iz00_1696==((long)-1)))
{ /* Llib/sqlite.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_arg2210z00_1698;
{ /* Llib/sqlite.scm 15 */

{ /* Llib/sqlite.scm 15 */
 obj_t BgL_locationz00_1700;
BgL_locationz00_1700 = 
BBOOL(((bool_t)0)); 
{ /* Llib/sqlite.scm 15 */

BgL_arg2210z00_1698 = 
BGl_readz00zz__readerz00(BgL_cportz00_1695, BgL_locationz00_1700); } } } 
{ /* Llib/sqlite.scm 15 */
 int BgL_tmpz00_2200;
BgL_tmpz00_2200 = 
(int)(BgL_iz00_1696); 
CNST_TABLE_SET(BgL_tmpz00_2200, BgL_arg2210z00_1698); } } 
{ /* Llib/sqlite.scm 15 */
 int BgL_auxz00_1701;
BgL_auxz00_1701 = 
(int)(
(BgL_iz00_1696-((long)1))); 
{ 
 long BgL_iz00_2205;
BgL_iz00_2205 = 
(long)(BgL_auxz00_1701); 
BgL_iz00_1696 = BgL_iz00_2205; 
goto BgL_loopz00_1697;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
return BUNSPEC;} 

}



/* $sqlite-nil */
BGL_EXPORTED_DEF obj_t BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 67 */
return 
void_star_to_obj(
(0L));} 

}



/* &$sqlite-nil */
obj_t BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00(obj_t BgL_envz00_1285)
{
{ /* Llib/sqlite.scm 67 */
return 
BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00();} 

}



/* %setup-sqlite! */
BGL_EXPORTED_DEF obj_t BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_sqlitez00_bglt BgL_oz00_10)
{
{ /* Llib/sqlite.scm 97 */
{ 
 void * BgL_auxz00_2211;
{ /* Llib/sqlite.scm 101 */
 obj_t BgL_arg1332z00_805;
BgL_arg1332z00_805 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_10)))->BgL_pathz00); 
BgL_auxz00_2211 = 
bgl_sqlite_open(
BSTRING_TO_STRING(BgL_arg1332z00_805)); } 
return 
((((BgL_sqlitez00_bglt)COBJECT(BgL_oz00_10))->BgL_z42builtinz42)=((void *)BgL_auxz00_2211),BUNSPEC);} } 

}



/* &%setup-sqlite! */
obj_t BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00(obj_t BgL_envz00_1286, obj_t BgL_oz00_1287)
{
{ /* Llib/sqlite.scm 97 */
{ /* Llib/sqlite.scm 100 */
 BgL_sqlitez00_bglt BgL_auxz00_2217;
{ /* Llib/sqlite.scm 100 */
 bool_t BgL_test2334z00_2218;
{ /* Llib/sqlite.scm 100 */
 obj_t BgL_classz00_1706;
BgL_classz00_1706 = BGl_sqlitez00zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1287))
{ /* Llib/sqlite.scm 100 */
 BgL_objectz00_bglt BgL_arg1796z00_1708; long BgL_arg1797z00_1709;
BgL_arg1796z00_1708 = 
(BgL_objectz00_bglt)(BgL_oz00_1287); 
BgL_arg1797z00_1709 = 
BGL_CLASS_DEPTH(BgL_classz00_1706); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 100 */
 long BgL_idxz00_1717;
BgL_idxz00_1717 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1708); 
{ /* Llib/sqlite.scm 100 */
 obj_t BgL_arg1788z00_1718;
{ /* Llib/sqlite.scm 100 */
 long BgL_arg1789z00_1719;
BgL_arg1789z00_1719 = 
(BgL_idxz00_1717+BgL_arg1797z00_1709); 
BgL_arg1788z00_1718 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1719); } 
BgL_test2334z00_2218 = 
(BgL_arg1788z00_1718==BgL_classz00_1706); } }  else 
{ /* Llib/sqlite.scm 100 */
 bool_t BgL_res2211z00_1742;
{ /* Llib/sqlite.scm 100 */
 obj_t BgL_oclassz00_1727;
{ /* Llib/sqlite.scm 100 */
 long BgL_arg1801z00_1733;
{ /* Llib/sqlite.scm 100 */
 long BgL_arg1802z00_1734;
BgL_arg1802z00_1734 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1708); 
BgL_arg1801z00_1733 = 
(BgL_arg1802z00_1734-OBJECT_TYPE); } 
BgL_oclassz00_1727 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1733); } 
{ /* Llib/sqlite.scm 100 */
 bool_t BgL__ortest_1110z00_1728;
BgL__ortest_1110z00_1728 = 
(BgL_classz00_1706==BgL_oclassz00_1727); 
if(BgL__ortest_1110z00_1728)
{ /* Llib/sqlite.scm 100 */
BgL_res2211z00_1742 = BgL__ortest_1110z00_1728; }  else 
{ /* Llib/sqlite.scm 100 */
 long BgL_odepthz00_1729;
BgL_odepthz00_1729 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1727); 
if(
(BgL_arg1797z00_1709<BgL_odepthz00_1729))
{ /* Llib/sqlite.scm 100 */
 obj_t BgL_arg1790z00_1731;
BgL_arg1790z00_1731 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1727, BgL_arg1797z00_1709); 
BgL_res2211z00_1742 = 
(BgL_arg1790z00_1731==BgL_classz00_1706); }  else 
{ /* Llib/sqlite.scm 100 */
BgL_res2211z00_1742 = ((bool_t)0); } } } } 
BgL_test2334z00_2218 = BgL_res2211z00_1742; } }  else 
{ /* Llib/sqlite.scm 100 */
BgL_test2334z00_2218 = ((bool_t)0)
; } } 
if(BgL_test2334z00_2218)
{ /* Llib/sqlite.scm 100 */
BgL_auxz00_2217 = 
((BgL_sqlitez00_bglt)BgL_oz00_1287)
; }  else 
{ 
 obj_t BgL_auxz00_2240;
BgL_auxz00_2240 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)4214)), BGl_string2112z00zz__sqlite_sqlitez00, BGl_string2113z00zz__sqlite_sqlitez00, BgL_oz00_1287); 
FAILURE(BgL_auxz00_2240,BFALSE,BFALSE);} } 
return 
BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_auxz00_2217);} } 

}



/* %setup-sqltiny! */
BGL_EXPORTED_DEF obj_t BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_sqltinyz00_bglt BgL_oz00_11)
{
{ /* Llib/sqlite.scm 109 */
{ 
 BgL_z42sqltinyz42_bglt BgL_auxz00_2245;
{ /* Llib/sqlite.scm 111 */
 obj_t BgL_arg1333z00_807; obj_t BgL_arg1336z00_808;
BgL_arg1333z00_807 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_11)))->BgL_pathz00); 
BgL_arg1336z00_808 = 
(((BgL_sqltinyz00_bglt)COBJECT(BgL_oz00_11))->BgL_syncz00); 
BgL_auxz00_2245 = 
BGl_z42sqltinyzd2openz90zz__sqlite_sqltinyz00(BgL_arg1333z00_807, BgL_arg1336z00_808); } 
return 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_oz00_11))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_2245),BUNSPEC);} } 

}



/* &%setup-sqltiny! */
obj_t BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00(obj_t BgL_envz00_1288, obj_t BgL_oz00_1289)
{
{ /* Llib/sqlite.scm 109 */
{ /* Llib/sqlite.scm 110 */
 BgL_sqltinyz00_bglt BgL_auxz00_2251;
{ /* Llib/sqlite.scm 110 */
 bool_t BgL_test2339z00_2252;
{ /* Llib/sqlite.scm 110 */
 obj_t BgL_classz00_1743;
BgL_classz00_1743 = BGl_sqltinyz00zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1289))
{ /* Llib/sqlite.scm 110 */
 BgL_objectz00_bglt BgL_arg1796z00_1745; long BgL_arg1797z00_1746;
BgL_arg1796z00_1745 = 
(BgL_objectz00_bglt)(BgL_oz00_1289); 
BgL_arg1797z00_1746 = 
BGL_CLASS_DEPTH(BgL_classz00_1743); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 110 */
 long BgL_idxz00_1754;
BgL_idxz00_1754 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1745); 
{ /* Llib/sqlite.scm 110 */
 obj_t BgL_arg1788z00_1755;
{ /* Llib/sqlite.scm 110 */
 long BgL_arg1789z00_1756;
BgL_arg1789z00_1756 = 
(BgL_idxz00_1754+BgL_arg1797z00_1746); 
BgL_arg1788z00_1755 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1756); } 
BgL_test2339z00_2252 = 
(BgL_arg1788z00_1755==BgL_classz00_1743); } }  else 
{ /* Llib/sqlite.scm 110 */
 bool_t BgL_res2212z00_1779;
{ /* Llib/sqlite.scm 110 */
 obj_t BgL_oclassz00_1764;
{ /* Llib/sqlite.scm 110 */
 long BgL_arg1801z00_1770;
{ /* Llib/sqlite.scm 110 */
 long BgL_arg1802z00_1771;
BgL_arg1802z00_1771 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1745); 
BgL_arg1801z00_1770 = 
(BgL_arg1802z00_1771-OBJECT_TYPE); } 
BgL_oclassz00_1764 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1770); } 
{ /* Llib/sqlite.scm 110 */
 bool_t BgL__ortest_1110z00_1765;
BgL__ortest_1110z00_1765 = 
(BgL_classz00_1743==BgL_oclassz00_1764); 
if(BgL__ortest_1110z00_1765)
{ /* Llib/sqlite.scm 110 */
BgL_res2212z00_1779 = BgL__ortest_1110z00_1765; }  else 
{ /* Llib/sqlite.scm 110 */
 long BgL_odepthz00_1766;
BgL_odepthz00_1766 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1764); 
if(
(BgL_arg1797z00_1746<BgL_odepthz00_1766))
{ /* Llib/sqlite.scm 110 */
 obj_t BgL_arg1790z00_1768;
BgL_arg1790z00_1768 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1764, BgL_arg1797z00_1746); 
BgL_res2212z00_1779 = 
(BgL_arg1790z00_1768==BgL_classz00_1743); }  else 
{ /* Llib/sqlite.scm 110 */
BgL_res2212z00_1779 = ((bool_t)0); } } } } 
BgL_test2339z00_2252 = BgL_res2212z00_1779; } }  else 
{ /* Llib/sqlite.scm 110 */
BgL_test2339z00_2252 = ((bool_t)0)
; } } 
if(BgL_test2339z00_2252)
{ /* Llib/sqlite.scm 110 */
BgL_auxz00_2251 = 
((BgL_sqltinyz00_bglt)BgL_oz00_1289)
; }  else 
{ 
 obj_t BgL_auxz00_2274;
BgL_auxz00_2274 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)4669)), BGl_string2114z00zz__sqlite_sqlitez00, BGl_string2115z00zz__sqlite_sqlitez00, BgL_oz00_1289); 
FAILURE(BgL_auxz00_2274,BFALSE,BFALSE);} } 
return 
BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_auxz00_2251);} } 

}



/* sqlite-table-informations */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_36, obj_t BgL_namez00_37)
{
{ /* Llib/sqlite.scm 210 */
{ /* Llib/sqlite.scm 212 */
 obj_t BgL_arg1338z00_809;
{ /* Llib/sqlite.scm 213 */
 obj_t BgL_list1341z00_810;
BgL_list1341z00_810 = 
MAKE_YOUNG_PAIR(BgL_namez00_37, BNIL); 
BgL_arg1338z00_809 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2116z00zz__sqlite_sqlitez00, BgL_list1341z00_810); } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_36, BGl_proc2117z00zz__sqlite_sqlitez00, BgL_arg1338z00_809, BNIL);} } 

}



/* &sqlite-table-informations */
obj_t BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1291, obj_t BgL_dbz00_1292, obj_t BgL_namez00_1293)
{
{ /* Llib/sqlite.scm 210 */
{ /* Llib/sqlite.scm 212 */
 obj_t BgL_auxz00_2290; BgL_z52sqlitez52_bglt BgL_auxz00_2282;
if(
STRINGP(BgL_namez00_1293))
{ /* Llib/sqlite.scm 212 */
BgL_auxz00_2290 = BgL_namez00_1293
; }  else 
{ 
 obj_t BgL_auxz00_2293;
BgL_auxz00_2293 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)8786)), BGl_string2118z00zz__sqlite_sqlitez00, BGl_string2120z00zz__sqlite_sqlitez00, BgL_namez00_1293); 
FAILURE(BgL_auxz00_2293,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1292, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 212 */
BgL_auxz00_2282 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1292)
; }  else 
{ 
 obj_t BgL_auxz00_2286;
BgL_auxz00_2286 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)8786)), BGl_string2118z00zz__sqlite_sqlitez00, BGl_string2119z00zz__sqlite_sqlitez00, BgL_dbz00_1292); 
FAILURE(BgL_auxz00_2286,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_auxz00_2282, BgL_auxz00_2290);} } 

}



/* &<@anonymous:1340> */
obj_t BGl_z62zc3z04anonymousza31340ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1294, obj_t BgL_xz00_1295, obj_t BgL_yz00_1296)
{
{ /* Llib/sqlite.scm 212 */
return BgL_yz00_1296;} 

}



/* sqlite-table-number-of-rows */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_38, obj_t BgL_namez00_39)
{
{ /* Llib/sqlite.scm 218 */
{ /* Llib/sqlite.scm 220 */
 obj_t BgL_arg1344z00_76;
{ /* Llib/sqlite.scm 221 */
 obj_t BgL_list1347z00_80;
BgL_list1347z00_80 = 
MAKE_YOUNG_PAIR(BgL_namez00_39, BNIL); 
BgL_arg1344z00_76 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2121z00zz__sqlite_sqlitez00, BgL_list1347z00_80); } 
return 
BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_dbz00_38, BGl_proc2122z00zz__sqlite_sqlitez00, BgL_arg1344z00_76, BNIL);} } 

}



/* &sqlite-table-number-of-rows */
obj_t BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1298, obj_t BgL_dbz00_1299, obj_t BgL_namez00_1300)
{
{ /* Llib/sqlite.scm 218 */
{ /* Llib/sqlite.scm 220 */
 obj_t BgL_auxz00_2309; BgL_z52sqlitez52_bglt BgL_auxz00_2301;
if(
STRINGP(BgL_namez00_1300))
{ /* Llib/sqlite.scm 220 */
BgL_auxz00_2309 = BgL_namez00_1300
; }  else 
{ 
 obj_t BgL_auxz00_2312;
BgL_auxz00_2312 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)9143)), BGl_string2123z00zz__sqlite_sqlitez00, BGl_string2120z00zz__sqlite_sqlitez00, BgL_namez00_1300); 
FAILURE(BgL_auxz00_2312,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1299, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 220 */
BgL_auxz00_2301 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1299)
; }  else 
{ 
 obj_t BgL_auxz00_2305;
BgL_auxz00_2305 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)9143)), BGl_string2123z00zz__sqlite_sqlitez00, BGl_string2119z00zz__sqlite_sqlitez00, BgL_dbz00_1299); 
FAILURE(BgL_auxz00_2305,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_auxz00_2301, BgL_auxz00_2309);} } 

}



/* &<@anonymous:1346> */
obj_t BGl_z62zc3z04anonymousza31346ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1301, obj_t BgL_xz00_1302)
{
{ /* Llib/sqlite.scm 220 */
{ /* Llib/sqlite.scm 220 */
 long BgL_tmpz00_2317;
{ /* Llib/sqlite.scm 220 */
 char * BgL_tmpz00_2318;
BgL_tmpz00_2318 = 
BSTRING_TO_STRING(BgL_xz00_1302); 
BgL_tmpz00_2317 = 
BGL_STRTOL(BgL_tmpz00_2318, ((long)0), ((long)10)); } 
return 
BINT(BgL_tmpz00_2317);} } 

}



/* sqlite-table-name-of-columns */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_40, obj_t BgL_namez00_41)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 212 */
 obj_t BgL_arg1338z00_817;
{ /* Llib/sqlite.scm 213 */
 obj_t BgL_list1341z00_818;
BgL_list1341z00_818 = 
MAKE_YOUNG_PAIR(BgL_namez00_41, BNIL); 
BgL_arg1338z00_817 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2116z00zz__sqlite_sqlitez00, BgL_list1341z00_818); } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_40, BGl_proc2124z00zz__sqlite_sqlitez00, BgL_arg1338z00_817, BNIL);} } 

}



/* &sqlite-table-name-of-columns */
obj_t BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1304, obj_t BgL_dbz00_1305, obj_t BgL_namez00_1306)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 212 */
 obj_t BgL_auxz00_2333; BgL_z52sqlitez52_bglt BgL_auxz00_2325;
if(
STRINGP(BgL_namez00_1306))
{ /* Llib/sqlite.scm 212 */
BgL_auxz00_2333 = BgL_namez00_1306
; }  else 
{ 
 obj_t BgL_auxz00_2336;
BgL_auxz00_2336 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)8786)), BGl_string2125z00zz__sqlite_sqlitez00, BGl_string2120z00zz__sqlite_sqlitez00, BgL_namez00_1306); 
FAILURE(BgL_auxz00_2336,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1305, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 212 */
BgL_auxz00_2325 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1305)
; }  else 
{ 
 obj_t BgL_auxz00_2329;
BgL_auxz00_2329 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)8786)), BGl_string2125z00zz__sqlite_sqlitez00, BGl_string2119z00zz__sqlite_sqlitez00, BgL_dbz00_1305); 
FAILURE(BgL_auxz00_2329,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_auxz00_2325, BgL_auxz00_2333);} } 

}



/* &<@anonymous:1340>2052 */
obj_t BGl_z62zc3z04anonymousza31340ze32052ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1307, obj_t BgL_xz00_1308, obj_t BgL_yz00_1309)
{
{ /* Llib/sqlite.scm 212 */
return BgL_yz00_1309;} 

}



/* sqlite-name-of-tables */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_42)
{
{ /* Llib/sqlite.scm 232 */
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_42, BGl_proc2126z00zz__sqlite_sqlitez00, BGl_string2127z00zz__sqlite_sqlitez00, BNIL);} 

}



/* &sqlite-name-of-tables */
obj_t BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1311, obj_t BgL_dbz00_1312)
{
{ /* Llib/sqlite.scm 232 */
{ /* Llib/sqlite.scm 234 */
 BgL_z52sqlitez52_bglt BgL_auxz00_2342;
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1312, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 234 */
BgL_auxz00_2342 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1312)
; }  else 
{ 
 obj_t BgL_auxz00_2346;
BgL_auxz00_2346 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)9818)), BGl_string2128z00zz__sqlite_sqlitez00, BGl_string2119z00zz__sqlite_sqlitez00, BgL_dbz00_1312); 
FAILURE(BgL_auxz00_2346,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_auxz00_2342);} } 

}



/* &<@anonymous:1353> */
obj_t BGl_z62zc3z04anonymousza31353ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1313, obj_t BgL_xz00_1314)
{
{ /* Llib/sqlite.scm 234 */
return BgL_xz00_1314;} 

}



/* sqlite-dump */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_43, obj_t BgL_outz00_44)
{
{ /* Llib/sqlite.scm 240 */
{ /* Llib/sqlite.scm 241 */
 obj_t BgL_g1271z00_87;
BgL_g1271z00_87 = 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_43, BGl_proc2129z00zz__sqlite_sqlitez00, BGl_string2127z00zz__sqlite_sqlitez00, BNIL); 
{ 
 obj_t BgL_l1269z00_89;
{ /* Llib/sqlite.scm 243 */
 bool_t BgL_tmpz00_2352;
BgL_l1269z00_89 = BgL_g1271z00_87; 
BgL_zc3z04anonymousza31354ze3z87_90:
if(
PAIRP(BgL_l1269z00_89))
{ /* Llib/sqlite.scm 243 */
BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_dbz00_43, 
CAR(BgL_l1269z00_89), BgL_outz00_44); 
{ 
 obj_t BgL_l1269z00_2357;
BgL_l1269z00_2357 = 
CDR(BgL_l1269z00_89); 
BgL_l1269z00_89 = BgL_l1269z00_2357; 
goto BgL_zc3z04anonymousza31354ze3z87_90;} }  else 
{ /* Llib/sqlite.scm 243 */
BgL_tmpz00_2352 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_2352);} } } } 

}



/* &sqlite-dump */
obj_t BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1316, obj_t BgL_dbz00_1317, obj_t BgL_outz00_1318)
{
{ /* Llib/sqlite.scm 240 */
{ /* Llib/sqlite.scm 241 */
 obj_t BgL_auxz00_2368; BgL_z52sqlitez52_bglt BgL_auxz00_2360;
if(
OUTPUT_PORTP(BgL_outz00_1318))
{ /* Llib/sqlite.scm 241 */
BgL_auxz00_2368 = BgL_outz00_1318
; }  else 
{ 
 obj_t BgL_auxz00_2371;
BgL_auxz00_2371 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)10170)), BGl_string2130z00zz__sqlite_sqlitez00, BGl_string2131z00zz__sqlite_sqlitez00, BgL_outz00_1318); 
FAILURE(BgL_auxz00_2371,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1317, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 241 */
BgL_auxz00_2360 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1317)
; }  else 
{ 
 obj_t BgL_auxz00_2364;
BgL_auxz00_2364 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)10170)), BGl_string2130z00zz__sqlite_sqlitez00, BGl_string2119z00zz__sqlite_sqlitez00, BgL_dbz00_1317); 
FAILURE(BgL_auxz00_2364,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_auxz00_2360, BgL_auxz00_2368);} } 

}



/* &<@anonymous:1353>2053 */
obj_t BGl_z62zc3z04anonymousza31353ze32053ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1319, obj_t BgL_xz00_1320)
{
{ /* Llib/sqlite.scm 234 */
return BgL_xz00_1320;} 

}



/* sqlite-format */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(obj_t BgL_fmtz00_51, obj_t BgL_objsz00_52)
{
{ /* Llib/sqlite.scm 261 */
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_pz00_95; long BgL_lenz00_96;
{ /* Llib/sqlite.scm 262 */

{ /* Llib/sqlite.scm 262 */

BgL_pz00_95 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_lenz00_96 = 
STRING_LENGTH(BgL_fmtz00_51); 
{ 
 long BgL_iz00_98; obj_t BgL_osz00_99;
BgL_iz00_98 = ((long)0); 
BgL_osz00_99 = BgL_objsz00_52; 
BgL_zc3z04anonymousza31358ze3z87_100:
{ 
 obj_t BgL_objz00_231; obj_t BgL_pz00_232;
if(
(BgL_iz00_98<BgL_lenz00_96))
{ /* Llib/sqlite.scm 377 */
 unsigned char BgL_cz00_110;
BgL_cz00_110 = 
STRING_REF(BgL_fmtz00_51, BgL_iz00_98); 
if(
(BgL_cz00_110==((unsigned char)'~')))
{ /* Llib/sqlite.scm 378 */
if(
(BgL_iz00_98==
(BgL_lenz00_96-((long)1))))
{ /* Llib/sqlite.scm 382 */
 obj_t BgL_arg1363z00_114;
BgL_arg1363z00_114 = 
c_substring(BgL_fmtz00_51, BgL_iz00_98, BgL_lenz00_96); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2134z00zz__sqlite_sqlitez00, BgL_arg1363z00_114);}  else 
{ /* Llib/sqlite.scm 383 */
 unsigned char BgL_fz00_115;
BgL_fz00_115 = 
STRING_REF(BgL_fmtz00_51, 
(BgL_iz00_98+((long)1))); 
switch( BgL_fz00_115) { case ((unsigned char)'a') : 
case ((unsigned char)'A') : 

{ /* Llib/sqlite.scm 386 */
 obj_t BgL_arg1374z00_119;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1374z00_119 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2135z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1374z00_119 = 
CAR(
((obj_t)BgL_osz00_99)); } 
bgl_display_obj(BgL_arg1374z00_119, BgL_pz00_95); } 
{ /* Llib/sqlite.scm 387 */
 long BgL_arg1377z00_120; obj_t BgL_arg1380z00_121;
BgL_arg1377z00_120 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1380z00_121 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2403; long BgL_iz00_2402;
BgL_iz00_2402 = BgL_arg1377z00_120; 
BgL_osz00_2403 = BgL_arg1380z00_121; 
BgL_osz00_99 = BgL_osz00_2403; 
BgL_iz00_98 = BgL_iz00_2402; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} } break;case ((unsigned char)'q') : 
case ((unsigned char)'Q') : 

{ /* Llib/sqlite.scm 389 */
 obj_t BgL_arg1384z00_122;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1384z00_122 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2135z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1384z00_122 = 
CAR(
((obj_t)BgL_osz00_99)); } 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1384z00_122, BgL_pz00_95, ((long)0)); } 
{ /* Llib/sqlite.scm 390 */
 long BgL_arg1385z00_123; obj_t BgL_arg1388z00_124;
BgL_arg1385z00_123 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1388z00_124 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2416; long BgL_iz00_2415;
BgL_iz00_2415 = BgL_arg1385z00_123; 
BgL_osz00_2416 = BgL_arg1388z00_124; 
BgL_osz00_99 = BgL_osz00_2416; 
BgL_iz00_98 = BgL_iz00_2415; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} } break;case ((unsigned char)'l') : 
case ((unsigned char)'L') : 

{ /* Llib/sqlite.scm 392 */
 obj_t BgL_arg1389z00_125;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1389z00_125 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2135z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1389z00_125 = 
CAR(
((obj_t)BgL_osz00_99)); } 
BgL_objz00_231 = BgL_arg1389z00_125; 
BgL_pz00_232 = BgL_pz00_95; 
if(
NULLP(BgL_objz00_231))
{ /* Llib/sqlite.scm 340 */BUNSPEC; }  else 
{ /* Llib/sqlite.scm 340 */
if(
PAIRP(BgL_objz00_231))
{ /* Llib/sqlite.scm 342 */
if(
NULLP(
CDR(BgL_objz00_231)))
{ /* Llib/sqlite.scm 344 */
bgl_display_obj(
CAR(BgL_objz00_231), BgL_pz00_232); }  else 
{ 
 obj_t BgL_oz00_240;
BgL_oz00_240 = BgL_objz00_231; 
BgL_zc3z04anonymousza31748ze3z87_241:
{ /* Llib/sqlite.scm 349 */
 bool_t BgL_test2363z00_2433;
{ /* Llib/sqlite.scm 349 */
 obj_t BgL_tmpz00_2434;
BgL_tmpz00_2434 = 
CDR(
((obj_t)BgL_oz00_240)); 
BgL_test2363z00_2433 = 
PAIRP(BgL_tmpz00_2434); } 
if(BgL_test2363z00_2433)
{ /* Llib/sqlite.scm 349 */
{ /* Llib/sqlite.scm 350 */
 obj_t BgL_arg1758z00_244;
BgL_arg1758z00_244 = 
CAR(
((obj_t)BgL_oz00_240)); 
bgl_display_obj(BgL_arg1758z00_244, BgL_pz00_232); } 
bgl_display_string(BGl_string2132z00zz__sqlite_sqlitez00, BgL_pz00_232); 
{ /* Llib/sqlite.scm 352 */
 obj_t BgL_arg1762z00_245;
BgL_arg1762z00_245 = 
CDR(
((obj_t)BgL_oz00_240)); 
{ 
 obj_t BgL_oz00_2444;
BgL_oz00_2444 = BgL_arg1762z00_245; 
BgL_oz00_240 = BgL_oz00_2444; 
goto BgL_zc3z04anonymousza31748ze3z87_241;} } }  else 
{ /* Llib/sqlite.scm 349 */
if(
NULLP(
CDR(
((obj_t)BgL_oz00_240))))
{ /* Llib/sqlite.scm 354 */
 obj_t BgL_arg1769z00_248;
BgL_arg1769z00_248 = 
CAR(
((obj_t)BgL_oz00_240)); 
bgl_display_obj(BgL_arg1769z00_248, BgL_pz00_232); }  else 
{ /* Llib/sqlite.scm 353 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string2133z00zz__sqlite_sqlitez00, BgL_objz00_231); } } } } }  else 
{ /* Llib/sqlite.scm 342 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2133z00zz__sqlite_sqlitez00, BgL_objz00_231); } } } 
{ /* Llib/sqlite.scm 393 */
 long BgL_arg1390z00_126; obj_t BgL_arg1419z00_127;
BgL_arg1390z00_126 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1419z00_127 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2460; long BgL_iz00_2459;
BgL_iz00_2459 = BgL_arg1390z00_126; 
BgL_osz00_2460 = BgL_arg1419z00_127; 
BgL_osz00_99 = BgL_osz00_2460; 
BgL_iz00_98 = BgL_iz00_2459; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} } break;case ((unsigned char)'k') : 
case ((unsigned char)'K') : 

{ /* Llib/sqlite.scm 395 */
 obj_t BgL_arg1420z00_128;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1420z00_128 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2135z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1420z00_128 = 
CAR(
((obj_t)BgL_osz00_99)); } 
BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(BgL_arg1420z00_128, BgL_pz00_95); } 
{ /* Llib/sqlite.scm 396 */
 long BgL_arg1460z00_129; obj_t BgL_arg1461z00_130;
BgL_arg1460z00_129 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1461z00_130 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2473; long BgL_iz00_2472;
BgL_iz00_2472 = BgL_arg1460z00_129; 
BgL_osz00_2473 = BgL_arg1461z00_130; 
BgL_osz00_99 = BgL_osz00_2473; 
BgL_iz00_98 = BgL_iz00_2472; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} } break;case ((unsigned char)'s') : 
case ((unsigned char)'S') : 

{ /* Llib/sqlite.scm 398 */
 obj_t BgL_arg1547z00_131;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1547z00_131 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2135z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1547z00_131 = 
CAR(
((obj_t)BgL_osz00_99)); } 
{ /* Llib/sqlite.scm 398 */
 obj_t BgL_list1549z00_132;
BgL_list1549z00_132 = 
MAKE_YOUNG_PAIR(BgL_pz00_95, BNIL); 
BGl_writez00zz__r4_output_6_10_3z00(BgL_arg1547z00_131, BgL_list1549z00_132); } } 
{ /* Llib/sqlite.scm 399 */
 long BgL_arg1567z00_133; obj_t BgL_arg1568z00_134;
BgL_arg1567z00_133 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1568z00_134 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2487; long BgL_iz00_2486;
BgL_iz00_2486 = BgL_arg1567z00_133; 
BgL_osz00_2487 = BgL_arg1568z00_134; 
BgL_osz00_99 = BgL_osz00_2487; 
BgL_iz00_98 = BgL_iz00_2486; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} } break;case ((unsigned char)'v') : 
case ((unsigned char)'V') : 

{ /* Llib/sqlite.scm 401 */
 obj_t BgL_arg1574z00_135;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1574z00_135 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2135z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1574z00_135 = 
CAR(
((obj_t)BgL_osz00_99)); } 
bgl_display_obj(BgL_arg1574z00_135, BgL_pz00_95); } 
bgl_display_char(((unsigned char)10), BgL_pz00_95); 
{ /* Llib/sqlite.scm 403 */
 long BgL_arg1575z00_136; obj_t BgL_arg1584z00_137;
BgL_arg1575z00_136 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1584z00_137 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2501; long BgL_iz00_2500;
BgL_iz00_2500 = BgL_arg1575z00_136; 
BgL_osz00_2501 = BgL_arg1584z00_137; 
BgL_osz00_99 = BgL_osz00_2501; 
BgL_iz00_98 = BgL_iz00_2500; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} } break;case ((unsigned char)'c') : 
case ((unsigned char)'C') : 

{ /* Llib/sqlite.scm 405 */
 obj_t BgL_oz00_138;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_oz00_138 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2135z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_oz00_138 = 
CAR(
((obj_t)BgL_osz00_99)); } 
if(
CHARP(BgL_oz00_138))
{ /* Llib/sqlite.scm 406 */
{ /* Llib/sqlite.scm 409 */
 unsigned char BgL_tmpz00_2511;
BgL_tmpz00_2511 = 
CCHAR(BgL_oz00_138); 
bgl_display_char(BgL_tmpz00_2511, BgL_pz00_95); } 
{ /* Llib/sqlite.scm 410 */
 long BgL_arg1586z00_140; obj_t BgL_arg1587z00_141;
BgL_arg1586z00_140 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1587z00_141 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2518; long BgL_iz00_2517;
BgL_iz00_2517 = BgL_arg1586z00_140; 
BgL_osz00_2518 = BgL_arg1587z00_141; 
BgL_osz00_99 = BgL_osz00_2518; 
BgL_iz00_98 = BgL_iz00_2517; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} } }  else 
{ /* Llib/sqlite.scm 406 */
return 
BGl_errorz00zz__errorz00(BGl_sqlitezd2formatzd2envz00zz__sqlite_sqlitez00, BGl_string2136z00zz__sqlite_sqlitez00, BgL_oz00_138);} } break;case ((unsigned char)'x') : 
case ((unsigned char)'X') : 

{ /* Llib/sqlite.scm 412 */
 obj_t BgL_arg1588z00_142;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1588z00_142 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2135z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1588z00_142 = 
CAR(
((obj_t)BgL_osz00_99)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1588z00_142))
{ /* Llib/sqlite.scm 271 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1588z00_142, 
BINT(((long)16))), BgL_pz00_95); }  else 
{ /* Llib/sqlite.scm 271 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2137z00zz__sqlite_sqlitez00, BgL_arg1588z00_142); } } 
{ /* Llib/sqlite.scm 413 */
 long BgL_arg1601z00_143; obj_t BgL_arg1603z00_144;
BgL_arg1601z00_143 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1603z00_144 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2538; long BgL_iz00_2537;
BgL_iz00_2537 = BgL_arg1601z00_143; 
BgL_osz00_2538 = BgL_arg1603z00_144; 
BgL_osz00_99 = BgL_osz00_2538; 
BgL_iz00_98 = BgL_iz00_2537; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} } break;case ((unsigned char)'o') : 
case ((unsigned char)'O') : 

{ /* Llib/sqlite.scm 415 */
 obj_t BgL_arg1604z00_145;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1604z00_145 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2135z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1604z00_145 = 
CAR(
((obj_t)BgL_osz00_99)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1604z00_145))
{ /* Llib/sqlite.scm 271 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1604z00_145, 
BINT(((long)8))), BgL_pz00_95); }  else 
{ /* Llib/sqlite.scm 271 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2137z00zz__sqlite_sqlitez00, BgL_arg1604z00_145); } } 
{ /* Llib/sqlite.scm 416 */
 long BgL_arg1605z00_146; obj_t BgL_arg1617z00_147;
BgL_arg1605z00_146 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1617z00_147 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2557; long BgL_iz00_2556;
BgL_iz00_2556 = BgL_arg1605z00_146; 
BgL_osz00_2557 = BgL_arg1617z00_147; 
BgL_osz00_99 = BgL_osz00_2557; 
BgL_iz00_98 = BgL_iz00_2556; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} } break;case ((unsigned char)'b') : 
case ((unsigned char)'B') : 

{ /* Llib/sqlite.scm 418 */
 obj_t BgL_arg1618z00_148;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1618z00_148 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2135z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1618z00_148 = 
CAR(
((obj_t)BgL_osz00_99)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1618z00_148))
{ /* Llib/sqlite.scm 271 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1618z00_148, 
BINT(((long)2))), BgL_pz00_95); }  else 
{ /* Llib/sqlite.scm 271 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2137z00zz__sqlite_sqlitez00, BgL_arg1618z00_148); } } 
{ /* Llib/sqlite.scm 419 */
 long BgL_arg1619z00_149; obj_t BgL_arg1620z00_150;
BgL_arg1619z00_149 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1620z00_150 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2576; long BgL_iz00_2575;
BgL_iz00_2575 = BgL_arg1619z00_149; 
BgL_osz00_2576 = BgL_arg1620z00_150; 
BgL_osz00_99 = BgL_osz00_2576; 
BgL_iz00_98 = BgL_iz00_2575; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} } break;case ((unsigned char)'%') : 
case ((unsigned char)'n') : 

bgl_display_char(((unsigned char)10), BgL_pz00_95); 
{ 
 long BgL_iz00_2578;
BgL_iz00_2578 = 
(BgL_iz00_98+((long)2)); 
BgL_iz00_98 = BgL_iz00_2578; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} break;case ((unsigned char)'r') : 

bgl_display_char(((unsigned char)13), BgL_pz00_95); 
{ 
 long BgL_iz00_2581;
BgL_iz00_2581 = 
(BgL_iz00_98+((long)2)); 
BgL_iz00_98 = BgL_iz00_2581; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} break;case ((unsigned char)'~') : 

bgl_display_char(((unsigned char)'~'), BgL_pz00_95); 
{ 
 long BgL_iz00_2584;
BgL_iz00_2584 = 
(BgL_iz00_98+((long)2)); 
BgL_iz00_98 = BgL_iz00_2584; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} break;
default: 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2138z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115));} } }  else 
{ /* Llib/sqlite.scm 378 */
bgl_display_char(BgL_cz00_110, BgL_pz00_95); 
{ 
 long BgL_iz00_2591;
BgL_iz00_2591 = 
(BgL_iz00_98+((long)1)); 
BgL_iz00_98 = BgL_iz00_2591; 
goto BgL_zc3z04anonymousza31358ze3z87_100;} } }  else 
{ /* Llib/sqlite.scm 376 */
return 
bgl_close_output_port(BgL_pz00_95);} } } } } 

}



/* display-sqlite~0 */
obj_t BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(obj_t BgL_objz00_166, obj_t BgL_pz00_167, long BgL_lz00_168)
{
{ /* Llib/sqlite.scm 302 */
{ 
 obj_t BgL_objz00_192; obj_t BgL_pz00_193; obj_t BgL_objz00_208; obj_t BgL_pz00_209; obj_t BgL_objz00_219; obj_t BgL_pz00_220;
if(
STRINGP(BgL_objz00_166))
{ /* Llib/sqlite.scm 276 */
if(
(BgL_lz00_168==((long)0)))
{ /* Llib/sqlite.scm 277 */
bgl_display_char(((unsigned char)'\''), BgL_pz00_167); }  else 
{ /* Llib/sqlite.scm 277 */
bgl_display_string(BGl_string2146z00zz__sqlite_sqlitez00, BgL_pz00_167); } 
{ /* Llib/sqlite.scm 280 */
 long BgL_lenz00_172;
BgL_lenz00_172 = 
STRING_LENGTH(BgL_objz00_166); 
{ 
 long BgL_iz00_174;
BgL_iz00_174 = ((long)0); 
BgL_zc3z04anonymousza31674ze3z87_175:
if(
(BgL_iz00_174==BgL_lenz00_172))
{ /* Llib/sqlite.scm 281 */((bool_t)0); }  else 
{ /* Llib/sqlite.scm 281 */
{ /* Llib/sqlite.scm 283 */
 unsigned char BgL_cz00_177;
BgL_cz00_177 = 
STRING_REF(
((obj_t)BgL_objz00_166), BgL_iz00_174); 
bgl_display_char(BgL_cz00_177, BgL_pz00_167); 
if(
(((unsigned char)'\'')==BgL_cz00_177))
{ /* Llib/sqlite.scm 285 */
bgl_display_char(((unsigned char)'\''), BgL_pz00_167); }  else 
{ /* Llib/sqlite.scm 285 */BFALSE; } } 
{ 
 long BgL_iz00_2609;
BgL_iz00_2609 = 
(BgL_iz00_174+((long)1)); 
BgL_iz00_174 = BgL_iz00_2609; 
goto BgL_zc3z04anonymousza31674ze3z87_175;} } } } 
if(
(BgL_lz00_168==((long)0)))
{ /* Llib/sqlite.scm 286 */
return 
bgl_display_char(((unsigned char)'\''), BgL_pz00_167);}  else 
{ /* Llib/sqlite.scm 286 */
return 
bgl_display_string(BGl_string2146z00zz__sqlite_sqlitez00, BgL_pz00_167);} }  else 
{ /* Llib/sqlite.scm 276 */
if(
BGL_DATEP(BgL_objz00_166))
{ /* Llib/sqlite.scm 290 */
 long BgL_arg1691z00_183;
BgL_arg1691z00_183 = 
bgl_date_to_seconds(BgL_objz00_166); 
return 
bgl_display_obj(
make_belong(BgL_arg1691z00_183), BgL_pz00_167);}  else 
{ /* Llib/sqlite.scm 291 */
 bool_t BgL_test2382z00_2620;
if(
ELONGP(BgL_objz00_166))
{ /* Llib/sqlite.scm 291 */
BgL_test2382z00_2620 = ((bool_t)1)
; }  else 
{ /* Llib/sqlite.scm 291 */
BgL_test2382z00_2620 = 
LLONGP(BgL_objz00_166)
; } 
if(BgL_test2382z00_2620)
{ /* Llib/sqlite.scm 292 */
 obj_t BgL_list1694z00_186;
BgL_list1694z00_186 = 
MAKE_YOUNG_PAIR(BgL_pz00_167, BNIL); 
return 
BGl_writez00zz__r4_output_6_10_3z00(BgL_objz00_166, BgL_list1694z00_186);}  else 
{ /* Llib/sqlite.scm 293 */
 bool_t BgL_test2384z00_2626;
if(
(BgL_objz00_166==BUNSPEC))
{ /* Llib/sqlite.scm 293 */
BgL_test2384z00_2626 = ((bool_t)1)
; }  else 
{ /* Llib/sqlite.scm 293 */
BgL_test2384z00_2626 = 
(BgL_objz00_166==BFALSE)
; } 
if(BgL_test2384z00_2626)
{ /* Llib/sqlite.scm 293 */
return 
bgl_display_string(BGl_string2147z00zz__sqlite_sqlitez00, BgL_pz00_167);}  else 
{ /* Llib/sqlite.scm 293 */
if(
PAIRP(BgL_objz00_166))
{ /* Llib/sqlite.scm 295 */
BgL_objz00_192 = BgL_objz00_166; 
BgL_pz00_193 = BgL_pz00_167; 
bgl_display_string(BGl_string2144z00zz__sqlite_sqlitez00, BgL_pz00_193); 
{ 
 obj_t BgL_objz00_196;
BgL_objz00_196 = BgL_objz00_192; 
BgL_zc3z04anonymousza31700ze3z87_197:
{ /* Llib/sqlite.scm 306 */
 obj_t BgL_arg1702z00_198;
BgL_arg1702z00_198 = 
CAR(
((obj_t)BgL_objz00_196)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1702z00_198, BgL_pz00_193, ((long)1)); } 
if(
NULLP(
CDR(
((obj_t)BgL_objz00_196))))
{ /* Llib/sqlite.scm 308 */
return 
bgl_display_string(BGl_string2143z00zz__sqlite_sqlitez00, BgL_pz00_193);}  else 
{ /* Llib/sqlite.scm 310 */
 bool_t BgL_test2388z00_2642;
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_tmpz00_2643;
BgL_tmpz00_2643 = 
CDR(
((obj_t)BgL_objz00_196)); 
BgL_test2388z00_2642 = 
PAIRP(BgL_tmpz00_2643); } 
if(BgL_test2388z00_2642)
{ /* Llib/sqlite.scm 310 */
bgl_display_string(BGl_string2141z00zz__sqlite_sqlitez00, BgL_pz00_193); 
{ /* Llib/sqlite.scm 316 */
 obj_t BgL_arg1711z00_203;
BgL_arg1711z00_203 = 
CDR(
((obj_t)BgL_objz00_196)); 
{ 
 obj_t BgL_objz00_2650;
BgL_objz00_2650 = BgL_arg1711z00_203; 
BgL_objz00_196 = BgL_objz00_2650; 
goto BgL_zc3z04anonymousza31700ze3z87_197;} } }  else 
{ /* Llib/sqlite.scm 310 */
bgl_display_string(BGl_string2145z00zz__sqlite_sqlitez00, BgL_pz00_193); 
{ /* Llib/sqlite.scm 312 */
 obj_t BgL_arg1714z00_204;
BgL_arg1714z00_204 = 
CDR(
((obj_t)BgL_objz00_196)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1714z00_204, BgL_pz00_193, ((long)1)); } 
return 
bgl_display_string(BGl_string2143z00zz__sqlite_sqlitez00, BgL_pz00_193);} } } }  else 
{ /* Llib/sqlite.scm 295 */
if(
VECTORP(BgL_objz00_166))
{ /* Llib/sqlite.scm 297 */
BgL_objz00_208 = BgL_objz00_166; 
BgL_pz00_209 = BgL_pz00_167; 
bgl_display_string(BGl_string2142z00zz__sqlite_sqlitez00, BgL_pz00_209); 
{ 
 long BgL_iz00_213;
BgL_iz00_213 = ((long)0); 
BgL_zc3z04anonymousza31727ze3z87_214:
if(
(BgL_iz00_213==
VECTOR_LENGTH(BgL_objz00_208)))
{ /* Llib/sqlite.scm 321 */
return 
bgl_display_string(BGl_string2143z00zz__sqlite_sqlitez00, BgL_pz00_209);}  else 
{ /* Llib/sqlite.scm 321 */
bgl_display_string(BGl_string2141z00zz__sqlite_sqlitez00, BgL_pz00_209); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
VECTOR_REF(BgL_objz00_208,BgL_iz00_213), BgL_pz00_209, ((long)1)); 
{ 
 long BgL_iz00_2666;
BgL_iz00_2666 = 
(BgL_iz00_213+((long)1)); 
BgL_iz00_213 = BgL_iz00_2666; 
goto BgL_zc3z04anonymousza31727ze3z87_214;} } } }  else 
{ /* Llib/sqlite.scm 297 */
if(
STRUCTP(BgL_objz00_166))
{ /* Llib/sqlite.scm 299 */
BgL_objz00_219 = BgL_objz00_166; 
BgL_pz00_220 = BgL_pz00_167; 
bgl_display_string(BGl_string2139z00zz__sqlite_sqlitez00, BgL_pz00_220); 
bgl_display_obj(
STRUCT_KEY(BgL_objz00_219), BgL_pz00_220); 
{ /* Llib/sqlite.scm 330 */
 int BgL_lenz00_223;
BgL_lenz00_223 = 
STRUCT_LENGTH(BgL_objz00_219); 
{ 
 long BgL_iz00_225;
BgL_iz00_225 = ((long)0); 
BgL_zc3z04anonymousza31733ze3z87_226:
if(
(BgL_iz00_225==
(long)(BgL_lenz00_223)))
{ /* Llib/sqlite.scm 332 */
return 
bgl_display_string(BGl_string2140z00zz__sqlite_sqlitez00, BgL_pz00_220);}  else 
{ /* Llib/sqlite.scm 332 */
bgl_display_string(BGl_string2141z00zz__sqlite_sqlitez00, BgL_pz00_220); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
STRUCT_REF(BgL_objz00_219, 
(int)(BgL_iz00_225)), BgL_pz00_220, ((long)1)); 
{ 
 long BgL_iz00_2682;
BgL_iz00_2682 = 
(BgL_iz00_225+((long)1)); 
BgL_iz00_225 = BgL_iz00_2682; 
goto BgL_zc3z04anonymousza31733ze3z87_226;} } } } }  else 
{ /* Llib/sqlite.scm 299 */
return 
bgl_display_obj(BgL_objz00_166, BgL_pz00_167);} } } } } } } } } 

}



/* display-sqlite-quote-list~0 */
obj_t BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(obj_t BgL_objz00_253, obj_t BgL_pz00_254)
{
{ /* Llib/sqlite.scm 375 */
if(
PAIRP(BgL_objz00_253))
{ /* Llib/sqlite.scm 359 */
if(
NULLP(
CDR(BgL_objz00_253)))
{ /* Llib/sqlite.scm 363 */
return 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
CAR(BgL_objz00_253), BgL_pz00_254, ((long)0));}  else 
{ 
 obj_t BgL_oz00_262;
BgL_oz00_262 = BgL_objz00_253; 
BgL_zc3z04anonymousza31808ze3z87_263:
{ /* Llib/sqlite.scm 368 */
 bool_t BgL_test2395z00_2692;
{ /* Llib/sqlite.scm 368 */
 obj_t BgL_tmpz00_2693;
BgL_tmpz00_2693 = 
CDR(
((obj_t)BgL_oz00_262)); 
BgL_test2395z00_2692 = 
PAIRP(BgL_tmpz00_2693); } 
if(BgL_test2395z00_2692)
{ /* Llib/sqlite.scm 368 */
{ /* Llib/sqlite.scm 369 */
 obj_t BgL_arg1816z00_266;
BgL_arg1816z00_266 = 
CAR(
((obj_t)BgL_oz00_262)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1816z00_266, BgL_pz00_254, ((long)0)); } 
bgl_display_string(BGl_string2132z00zz__sqlite_sqlitez00, BgL_pz00_254); 
{ /* Llib/sqlite.scm 371 */
 obj_t BgL_arg1817z00_267;
BgL_arg1817z00_267 = 
CDR(
((obj_t)BgL_oz00_262)); 
{ 
 obj_t BgL_oz00_2703;
BgL_oz00_2703 = BgL_arg1817z00_267; 
BgL_oz00_262 = BgL_oz00_2703; 
goto BgL_zc3z04anonymousza31808ze3z87_263;} } }  else 
{ /* Llib/sqlite.scm 368 */
if(
NULLP(
CDR(
((obj_t)BgL_oz00_262))))
{ /* Llib/sqlite.scm 373 */
 obj_t BgL_arg1820z00_270;
BgL_arg1820z00_270 = 
CAR(
((obj_t)BgL_oz00_262)); 
return 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1820z00_270, BgL_pz00_254, ((long)0));}  else 
{ /* Llib/sqlite.scm 372 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string2133z00zz__sqlite_sqlitez00, BgL_objz00_253);} } } } }  else 
{ /* Llib/sqlite.scm 359 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2133z00zz__sqlite_sqlitez00, BgL_objz00_253);} } 

}



/* &sqlite-format */
obj_t BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1321, obj_t BgL_fmtz00_1322, obj_t BgL_objsz00_1323)
{
{ /* Llib/sqlite.scm 261 */
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_auxz00_2715;
if(
STRINGP(BgL_fmtz00_1322))
{ /* Llib/sqlite.scm 262 */
BgL_auxz00_2715 = BgL_fmtz00_1322
; }  else 
{ 
 obj_t BgL_auxz00_2718;
BgL_auxz00_2718 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)11102)), BGl_string2148z00zz__sqlite_sqlitez00, BGl_string2120z00zz__sqlite_sqlitez00, BgL_fmtz00_1322); 
FAILURE(BgL_auxz00_2718,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_auxz00_2715, BgL_objsz00_1323);} } 

}



/* sqlite-last-insert-rowid */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_53)
{
{ /* Llib/sqlite.scm 439 */
return 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_dbz00_53, BGl_string2149z00zz__sqlite_sqlitez00, BNIL);} 

}



/* &sqlite-last-insert-rowid */
obj_t BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1324, obj_t BgL_dbz00_1325)
{
{ /* Llib/sqlite.scm 439 */
{ /* Llib/sqlite.scm 440 */
 BgL_z52sqlitez52_bglt BgL_auxz00_2724;
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1325, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 440 */
BgL_auxz00_2724 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1325)
; }  else 
{ 
 obj_t BgL_auxz00_2728;
BgL_auxz00_2728 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)16207)), BGl_string2150z00zz__sqlite_sqlitez00, BGl_string2119z00zz__sqlite_sqlitez00, BgL_dbz00_1325); 
FAILURE(BgL_auxz00_2728,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_auxz00_2724);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_arg1827z00_288; obj_t BgL_arg1828z00_289;
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_v1272z00_295;
BgL_v1272z00_295 = 
create_vector(((long)1)); 
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_arg1832z00_296;
BgL_arg1832z00_296 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc2153z00zz__sqlite_sqlitez00, BGl_proc2152z00zz__sqlite_sqlitez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2151z00zz__sqlite_sqlitez00, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1272z00_295,((long)0),BgL_arg1832z00_296); } 
BgL_arg1827z00_288 = BgL_v1272z00_295; } 
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_v1273z00_309;
BgL_v1273z00_309 = 
create_vector(((long)0)); 
BgL_arg1828z00_289 = BgL_v1273z00_309; } 
BGl_z52sqlitez52zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)4)), 
CNST_TABLE_REF(((long)5)), BGl_objectz00zz__objectz00, ((long)41441), BFALSE, BGl_proc2155z00zz__sqlite_sqlitez00, BFALSE, BGl_proc2154z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1827z00_288, BgL_arg1828z00_289); } 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_arg1843z00_315; obj_t BgL_arg1844z00_316;
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_v1274z00_330;
BgL_v1274z00_330 = 
create_vector(((long)2)); 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_arg1851z00_331;
BgL_arg1851z00_331 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc2158z00zz__sqlite_sqlitez00, BGl_proc2157z00zz__sqlite_sqlitez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2156z00zz__sqlite_sqlitez00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1274z00_330,((long)0),BgL_arg1851z00_331); } 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_arg1858z00_344;
BgL_arg1858z00_344 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc2161z00zz__sqlite_sqlitez00, BGl_proc2160z00zz__sqlite_sqlitez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2159z00zz__sqlite_sqlitez00, BGl_z42sqltinyz42zz__sqlite_sqltinyz00); 
VECTOR_SET(BgL_v1274z00_330,((long)1),BgL_arg1858z00_344); } 
BgL_arg1843z00_315 = BgL_v1274z00_330; } 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_v1275z00_357;
BgL_v1275z00_357 = 
create_vector(((long)0)); 
BgL_arg1844z00_316 = BgL_v1275z00_357; } 
BGl_sqltinyz00zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)5)), BGl_z52sqlitez52zz__sqlite_sqlitez00, ((long)6234), BGl_proc2164z00zz__sqlite_sqlitez00, BGl_proc2163z00zz__sqlite_sqlitez00, BGl_z52setupzd2sqltinyz12zd2envz40zz__sqlite_sqlitez00, BGl_proc2162z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1843z00_315, BgL_arg1844z00_316); } 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_arg1868z00_364; obj_t BgL_arg1869z00_365;
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_v1276z00_378;
BgL_v1276z00_378 = 
create_vector(((long)1)); 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_arg1876z00_379;
BgL_arg1876z00_379 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc2167z00zz__sqlite_sqlitez00, BGl_proc2166z00zz__sqlite_sqlitez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2165z00zz__sqlite_sqlitez00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1276z00_378,((long)0),BgL_arg1876z00_379); } 
BgL_arg1868z00_364 = BgL_v1276z00_378; } 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_v1277z00_392;
BgL_v1277z00_392 = 
create_vector(((long)0)); 
BgL_arg1869z00_365 = BgL_v1277z00_392; } 
return ( 
BGl_sqlitez00zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)5)), BGl_z52sqlitez52zz__sqlite_sqlitez00, ((long)51526), BGl_proc2170z00zz__sqlite_sqlitez00, BGl_proc2169z00zz__sqlite_sqlitez00, BGl_z52setupzd2sqlitez12zd2envz40zz__sqlite_sqlitez00, BGl_proc2168z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1868z00_364, BgL_arg1869z00_365), BUNSPEC) ;} } 

}



/* &<@anonymous:1875> */
obj_t BGl_z62zc3z04anonymousza31875ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1346, obj_t BgL_new1063z00_1347)
{
{ /* Llib/sqlite.scm 25 */
{ 
 BgL_sqlitez00_bglt BgL_auxz00_2763;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)
((BgL_sqlitez00_bglt)BgL_new1063z00_1347))))->BgL_pathz00)=((obj_t)BGl_string2171z00zz__sqlite_sqlitez00),BUNSPEC); 
((((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_new1063z00_1347)))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_2763 = 
((BgL_sqlitez00_bglt)BgL_new1063z00_1347); 
return 
((obj_t)BgL_auxz00_2763);} } 

}



/* &lambda1873 */
BgL_sqlitez00_bglt BGl_z62lambda1873z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1348)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
 BgL_sqlitez00_bglt BgL_new1062z00_1781;
BgL_new1062z00_1781 = 
((BgL_sqlitez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqlitez00_bgl) ))); 
{ /* Llib/sqlite.scm 25 */
 long BgL_arg1874z00_1782;
BgL_arg1874z00_1782 = 
BGL_CLASS_NUM(BGl_sqlitez00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1062z00_1781), BgL_arg1874z00_1782); } 
return BgL_new1062z00_1781;} } 

}



/* &lambda1870 */
BgL_sqlitez00_bglt BGl_z62lambda1870z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1349, obj_t BgL_path1059z00_1350, obj_t BgL_z42builtin1060z42_1351)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
 void * BgL_z42builtin1060z42_1784;
BgL_z42builtin1060z42_1784 = 
FOREIGN_TO_COBJ(BgL_z42builtin1060z42_1351); 
{ /* Llib/sqlite.scm 25 */
 BgL_sqlitez00_bglt BgL_new1268z00_1785;
{ /* Llib/sqlite.scm 25 */
 BgL_sqlitez00_bglt BgL_new1267z00_1786;
BgL_new1267z00_1786 = 
((BgL_sqlitez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqlitez00_bgl) ))); 
{ /* Llib/sqlite.scm 25 */
 long BgL_arg1872z00_1787;
BgL_arg1872z00_1787 = 
BGL_CLASS_NUM(BGl_sqlitez00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1267z00_1786), BgL_arg1872z00_1787); } 
BgL_new1268z00_1785 = BgL_new1267z00_1786; } 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1268z00_1785)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1059z00_1350)),BUNSPEC); 
((((BgL_sqlitez00_bglt)COBJECT(BgL_new1268z00_1785))->BgL_z42builtinz42)=((void *)BgL_z42builtin1060z42_1784),BUNSPEC); 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_fun1871z00_1788;
BgL_fun1871z00_1788 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sqlitez00zz__sqlite_sqlitez00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1871z00_1788))(BgL_fun1871z00_1788, 
((obj_t)BgL_new1268z00_1785), BEOA); } 
return BgL_new1268z00_1785;} } } 

}



/* &<@anonymous:1884> */
obj_t BGl_z62zc3z04anonymousza31884ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1352)
{
{ /* Llib/sqlite.scm 25 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1883 */
obj_t BGl_z62lambda1883z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1353, obj_t BgL_oz00_1354, obj_t BgL_vz00_1355)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
 void * BgL_vz00_1790;
BgL_vz00_1790 = 
FOREIGN_TO_COBJ(BgL_vz00_1355); 
return 
((((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1354)))->BgL_z42builtinz42)=((void *)BgL_vz00_1790),BUNSPEC);} } 

}



/* &lambda1882 */
obj_t BGl_z62lambda1882z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1356, obj_t BgL_oz00_1357)
{
{ /* Llib/sqlite.scm 25 */
return 
void_star_to_obj(
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1357)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1850> */
obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1358, obj_t BgL_new1057z00_1359)
{
{ /* Llib/sqlite.scm 37 */
{ 
 BgL_sqltinyz00_bglt BgL_auxz00_2799;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)
((BgL_sqltinyz00_bglt)BgL_new1057z00_1359))))->BgL_pathz00)=((obj_t)BGl_string2171z00zz__sqlite_sqlitez00),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_new1057z00_1359)))->BgL_syncz00)=((obj_t)
CNST_TABLE_REF(((long)12))),BUNSPEC); 
{ 
 BgL_z42sqltinyz42_bglt BgL_auxz00_2806;
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_classz00_1793;
BgL_classz00_1793 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL__ortest_1112z00_1794;
BgL__ortest_1112z00_1794 = 
BGL_CLASS_NIL(BgL_classz00_1793); 
if(
CBOOL(BgL__ortest_1112z00_1794))
{ /* Llib/sqlite.scm 37 */
BgL_auxz00_2806 = 
((BgL_z42sqltinyz42_bglt)BgL__ortest_1112z00_1794)
; }  else 
{ /* Llib/sqlite.scm 37 */
BgL_auxz00_2806 = 
((BgL_z42sqltinyz42_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1793))
; } } } 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_new1057z00_1359)))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_2806),BUNSPEC); } 
BgL_auxz00_2799 = 
((BgL_sqltinyz00_bglt)BgL_new1057z00_1359); 
return 
((obj_t)BgL_auxz00_2799);} } 

}



/* &lambda1848 */
BgL_sqltinyz00_bglt BGl_z62lambda1848z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1360)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 37 */
 BgL_sqltinyz00_bglt BgL_new1056z00_1795;
BgL_new1056z00_1795 = 
((BgL_sqltinyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqltinyz00_bgl) ))); 
{ /* Llib/sqlite.scm 37 */
 long BgL_arg1849z00_1796;
BgL_arg1849z00_1796 = 
BGL_CLASS_NUM(BGl_sqltinyz00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1056z00_1795), BgL_arg1849z00_1796); } 
return BgL_new1056z00_1795;} } 

}



/* &lambda1845 */
BgL_sqltinyz00_bglt BGl_z62lambda1845z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1361, obj_t BgL_path1053z00_1362, obj_t BgL_sync1054z00_1363, obj_t BgL_z42builtin1055z42_1364)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 37 */
 BgL_sqltinyz00_bglt BgL_new1266z00_1800;
{ /* Llib/sqlite.scm 37 */
 BgL_sqltinyz00_bglt BgL_new1265z00_1801;
BgL_new1265z00_1801 = 
((BgL_sqltinyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqltinyz00_bgl) ))); 
{ /* Llib/sqlite.scm 37 */
 long BgL_arg1847z00_1802;
BgL_arg1847z00_1802 = 
BGL_CLASS_NUM(BGl_sqltinyz00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1265z00_1801), BgL_arg1847z00_1802); } 
BgL_new1266z00_1800 = BgL_new1265z00_1801; } 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1266z00_1800)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1053z00_1362)),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_new1266z00_1800))->BgL_syncz00)=((obj_t)
((obj_t)BgL_sync1054z00_1363)),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_new1266z00_1800))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)
((BgL_z42sqltinyz42_bglt)BgL_z42builtin1055z42_1364)),BUNSPEC); 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_fun1846z00_1803;
BgL_fun1846z00_1803 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sqltinyz00zz__sqlite_sqlitez00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1846z00_1803))(BgL_fun1846z00_1803, 
((obj_t)BgL_new1266z00_1800), BEOA); } 
return BgL_new1266z00_1800;} } 

}



/* &<@anonymous:1864> */
obj_t BGl_z62zc3z04anonymousza31864ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1365)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 40 */
 obj_t BgL_classz00_1804;
BgL_classz00_1804 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 40 */
 obj_t BgL__ortest_1112z00_1805;
BgL__ortest_1112z00_1805 = 
BGL_CLASS_NIL(BgL_classz00_1804); 
if(
CBOOL(BgL__ortest_1112z00_1805))
{ /* Llib/sqlite.scm 40 */
return BgL__ortest_1112z00_1805;}  else 
{ /* Llib/sqlite.scm 40 */
return 
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1804);} } } } 

}



/* &lambda1863 */
obj_t BGl_z62lambda1863z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1366, obj_t BgL_oz00_1367, obj_t BgL_vz00_1368)
{
{ /* Llib/sqlite.scm 37 */
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1367)))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)
((BgL_z42sqltinyz42_bglt)BgL_vz00_1368)),BUNSPEC);} 

}



/* &lambda1862 */
BgL_z42sqltinyz42_bglt BGl_z62lambda1862z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1369, obj_t BgL_oz00_1370)
{
{ /* Llib/sqlite.scm 37 */
return 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1370)))->BgL_z42builtinz42);} 

}



/* &<@anonymous:1857> */
obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1371)
{
{ /* Llib/sqlite.scm 37 */
return 
CNST_TABLE_REF(((long)13));} 

}



/* &lambda1856 */
obj_t BGl_z62lambda1856z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1372, obj_t BgL_oz00_1373, obj_t BgL_vz00_1374)
{
{ /* Llib/sqlite.scm 37 */
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1373)))->BgL_syncz00)=((obj_t)
((obj_t)BgL_vz00_1374)),BUNSPEC);} 

}



/* &lambda1855 */
obj_t BGl_z62lambda1855z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1375, obj_t BgL_oz00_1376)
{
{ /* Llib/sqlite.scm 37 */
return 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1376)))->BgL_syncz00);} 

}



/* &<@anonymous:1831> */
obj_t BGl_z62zc3z04anonymousza31831ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1377, obj_t BgL_new1051z00_1378)
{
{ /* Llib/sqlite.scm 34 */
{ 
 BgL_z52sqlitez52_bglt BgL_auxz00_2853;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1051z00_1378)))->BgL_pathz00)=((obj_t)BGl_string2171z00zz__sqlite_sqlitez00),BUNSPEC); 
BgL_auxz00_2853 = 
((BgL_z52sqlitez52_bglt)BgL_new1051z00_1378); 
return 
((obj_t)BgL_auxz00_2853);} } 

}



/* &lambda1829 */
BgL_z52sqlitez52_bglt BGl_z62lambda1829z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1379)
{
{ /* Llib/sqlite.scm 34 */
{ /* Llib/sqlite.scm 34 */
 BgL_z52sqlitez52_bglt BgL_new1050z00_1813;
BgL_new1050z00_1813 = 
((BgL_z52sqlitez52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sqlitez52_bgl) ))); 
{ /* Llib/sqlite.scm 34 */
 long BgL_arg1830z00_1814;
BgL_arg1830z00_1814 = 
BGL_CLASS_NUM(BGl_z52sqlitez52zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1050z00_1813), BgL_arg1830z00_1814); } 
return BgL_new1050z00_1813;} } 

}



/* &<@anonymous:1838> */
obj_t BGl_z62zc3z04anonymousza31838ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1380)
{
{ /* Llib/sqlite.scm 34 */
return BGl_string2172z00zz__sqlite_sqlitez00;} 

}



/* &lambda1837 */
obj_t BGl_z62lambda1837z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1381, obj_t BgL_oz00_1382, obj_t BgL_vz00_1383)
{
{ /* Llib/sqlite.scm 34 */
return 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_1382)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_vz00_1383)),BUNSPEC);} 

}



/* &lambda1836 */
obj_t BGl_z62lambda1836z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1384, obj_t BgL_oz00_1385)
{
{ /* Llib/sqlite.scm 34 */
return 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_1385)))->BgL_pathz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BGl_proc2173z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2174z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BGl_proc2175z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2176z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BGl_proc2177z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2178z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BGl_proc2179z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2180z00zz__sqlite_sqlitez00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BGl_proc2181z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2182z00zz__sqlite_sqlitez00);} 

}



/* &sqlite-dump-table1300 */
obj_t BGl_z62sqlitezd2dumpzd2table1300z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1391, obj_t BgL_dbz00_1392, obj_t BgL_tablez00_1393, obj_t BgL_outz00_1394)
{
{ /* Llib/sqlite.scm 248 */
{ /* Llib/sqlite.scm 250 */
 BgL_z42sqltinyz42_bglt BgL_arg1912z00_1821;
BgL_arg1912z00_1821 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_dbz00_1392))))->BgL_z42builtinz42); 
BGl_z42sqltinyzd2dumpzd2tablez42zz__sqlite_sqltinyz00(
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_dbz00_1392)), BgL_arg1912z00_1821, 
((obj_t)BgL_tablez00_1393), 
((obj_t)BgL_outz00_1394)); } 
return BUNSPEC;} 

}



/* &sqlite-map1296 */
obj_t BGl_z62sqlitezd2map1296zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1395, obj_t BgL_oz00_1396, obj_t BgL_pz00_1397, obj_t BgL_fmtz00_1398, obj_t BgL_argsz00_1399)
{
{ /* Llib/sqlite.scm 189 */
if(
NULLP(BgL_argsz00_1399))
{ /* Llib/sqlite.scm 192 */
 BgL_z42sqltinyz42_bglt BgL_arg1905z00_1825;
BgL_arg1905z00_1825 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1396))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_arg1905z00_1825, 
((obj_t)BgL_pz00_1397), 
((obj_t)BgL_fmtz00_1398), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1396)));}  else 
{ /* Llib/sqlite.scm 193 */
 BgL_z42sqltinyz42_bglt BgL_arg1906z00_1826; obj_t BgL_arg1907z00_1827;
BgL_arg1906z00_1826 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1396))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 193 */
 obj_t BgL_runner1910z00_1828;
{ /* Llib/sqlite.scm 193 */
 obj_t BgL_list1908z00_1829;
BgL_list1908z00_1829 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1399, BNIL); 
BgL_runner1910z00_1828 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1398), BgL_list1908z00_1829); } 
{ /* Llib/sqlite.scm 193 */
 obj_t BgL_aux1909z00_1830;
BgL_aux1909z00_1830 = 
CAR(BgL_runner1910z00_1828); 
BgL_runner1910z00_1828 = 
CDR(BgL_runner1910z00_1828); 
BgL_arg1907z00_1827 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1909z00_1830, BgL_runner1910z00_1828); } } 
return 
BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_arg1906z00_1826, 
((obj_t)BgL_pz00_1397), BgL_arg1907z00_1827, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1396)));} } 

}



/* &sqlite-eval1292 */
obj_t BGl_z62sqlitezd2eval1292zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1400, obj_t BgL_oz00_1401, obj_t BgL_pz00_1402, obj_t BgL_fmtz00_1403, obj_t BgL_argsz00_1404)
{
{ /* Llib/sqlite.scm 168 */
if(
NULLP(BgL_argsz00_1404))
{ /* Llib/sqlite.scm 171 */
 BgL_z42sqltinyz42_bglt BgL_arg1897z00_1834;
BgL_arg1897z00_1834 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1401))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_arg1897z00_1834, 
((obj_t)BgL_pz00_1402), 
((obj_t)BgL_fmtz00_1403), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1401)));}  else 
{ /* Llib/sqlite.scm 172 */
 BgL_z42sqltinyz42_bglt BgL_arg1898z00_1835; obj_t BgL_arg1899z00_1836;
BgL_arg1898z00_1835 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1401))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 172 */
 obj_t BgL_runner1902z00_1837;
{ /* Llib/sqlite.scm 172 */
 obj_t BgL_list1900z00_1838;
BgL_list1900z00_1838 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1404, BNIL); 
BgL_runner1902z00_1837 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1403), BgL_list1900z00_1838); } 
{ /* Llib/sqlite.scm 172 */
 obj_t BgL_aux1901z00_1839;
BgL_aux1901z00_1839 = 
CAR(BgL_runner1902z00_1837); 
BgL_runner1902z00_1837 = 
CDR(BgL_runner1902z00_1837); 
BgL_arg1899z00_1836 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1901z00_1839, BgL_runner1902z00_1837); } } 
return 
BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_arg1898z00_1835, 
((obj_t)BgL_pz00_1402), BgL_arg1899z00_1836, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1401)));} } 

}



/* &sqlite-exec1288 */
obj_t BGl_z62sqlitezd2exec1288zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1405, obj_t BgL_oz00_1406, obj_t BgL_fmtz00_1407, obj_t BgL_argsz00_1408)
{
{ /* Llib/sqlite.scm 130 */
if(
NULLP(BgL_argsz00_1408))
{ /* Llib/sqlite.scm 133 */
 BgL_z42sqltinyz42_bglt BgL_arg1889z00_1842;
BgL_arg1889z00_1842 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1406))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_arg1889z00_1842, 
((obj_t)BgL_fmtz00_1407), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1406)));}  else 
{ /* Llib/sqlite.scm 134 */
 BgL_z42sqltinyz42_bglt BgL_arg1890z00_1843; obj_t BgL_arg1891z00_1844;
BgL_arg1890z00_1843 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1406))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 134 */
 obj_t BgL_runner1894z00_1845;
{ /* Llib/sqlite.scm 134 */
 obj_t BgL_list1892z00_1846;
BgL_list1892z00_1846 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1408, BNIL); 
BgL_runner1894z00_1845 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1407), BgL_list1892z00_1846); } 
{ /* Llib/sqlite.scm 134 */
 obj_t BgL_aux1893z00_1847;
BgL_aux1893z00_1847 = 
CAR(BgL_runner1894z00_1845); 
BgL_runner1894z00_1845 = 
CDR(BgL_runner1894z00_1845); 
BgL_arg1891z00_1844 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1893z00_1847, BgL_runner1894z00_1845); } } 
return 
BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_arg1890z00_1843, BgL_arg1891z00_1844, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1406)));} } 

}



/* &sqlite-close1284 */
obj_t BGl_z62sqlitezd2close1284zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1409, obj_t BgL_oz00_1410)
{
{ /* Llib/sqlite.scm 116 */
{ /* Llib/sqlite.scm 118 */
 BgL_z42sqltinyz42_bglt BgL_arg1886z00_1849;
BgL_arg1886z00_1849 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1410))))->BgL_z42builtinz42); 
BGl_z42sqltinyzd2closez90zz__sqlite_sqltinyz00(BgL_arg1886z00_1849, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1410))); } 
{ 
 BgL_z42sqltinyz42_bglt BgL_auxz00_2953;
{ /* Llib/sqlite.scm 119 */
 obj_t BgL_classz00_1850;
BgL_classz00_1850 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 119 */
 obj_t BgL__ortest_1112z00_1851;
BgL__ortest_1112z00_1851 = 
BGL_CLASS_NIL(BgL_classz00_1850); 
if(
CBOOL(BgL__ortest_1112z00_1851))
{ /* Llib/sqlite.scm 119 */
BgL_auxz00_2953 = 
((BgL_z42sqltinyz42_bglt)BgL__ortest_1112z00_1851)
; }  else 
{ /* Llib/sqlite.scm 119 */
BgL_auxz00_2953 = 
((BgL_z42sqltinyz42_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1850))
; } } } 
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1410))))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_2953),BUNSPEC);} } 

}



/* sqlite-close */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_12)
{
{ /* Llib/sqlite.scm 116 */
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_method1285z00_454;
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_res2031z00_1067;
{ /* Llib/sqlite.scm 116 */
 long BgL_objzd2classzd2numz00_1038;
BgL_objzd2classzd2numz00_1038 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_12)); 
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_arg1798z00_1039;
BgL_arg1798z00_1039 = 
PROCEDURE_REF(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 116 */
 int BgL_offsetz00_1042;
BgL_offsetz00_1042 = 
(int)(BgL_objzd2classzd2numz00_1038); 
{ /* Llib/sqlite.scm 116 */
 long BgL_offsetz00_1043;
BgL_offsetz00_1043 = 
(
(long)(BgL_offsetz00_1042)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 116 */
 long BgL_modz00_1044;
BgL_modz00_1044 = 
(BgL_offsetz00_1043 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 116 */
 long BgL_restz00_1046;
BgL_restz00_1046 = 
(BgL_offsetz00_1043 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 116 */

{ /* Llib/sqlite.scm 116 */
 obj_t BgL_bucketz00_1048;
BgL_bucketz00_1048 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_1039),BgL_modz00_1044); 
BgL_res2031z00_1067 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1048),BgL_restz00_1046); } } } } } } } } 
BgL_method1285z00_454 = BgL_res2031z00_1067; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1285z00_454))(BgL_method1285z00_454, 
((obj_t)BgL_oz00_12), BEOA);} } 

}



/* &sqlite-close */
obj_t BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1411, obj_t BgL_oz00_1412)
{
{ /* Llib/sqlite.scm 116 */
{ /* Llib/sqlite.scm 116 */
 BgL_z52sqlitez52_bglt BgL_auxz00_2993;
{ /* Llib/sqlite.scm 116 */
 bool_t BgL_test2405z00_2994;
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_classz00_1852;
BgL_classz00_1852 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1412))
{ /* Llib/sqlite.scm 116 */
 BgL_objectz00_bglt BgL_arg1796z00_1854; long BgL_arg1797z00_1855;
BgL_arg1796z00_1854 = 
(BgL_objectz00_bglt)(BgL_oz00_1412); 
BgL_arg1797z00_1855 = 
BGL_CLASS_DEPTH(BgL_classz00_1852); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 116 */
 long BgL_idxz00_1863;
BgL_idxz00_1863 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1854); 
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_arg1788z00_1864;
{ /* Llib/sqlite.scm 116 */
 long BgL_arg1789z00_1865;
BgL_arg1789z00_1865 = 
(BgL_idxz00_1863+BgL_arg1797z00_1855); 
BgL_arg1788z00_1864 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1865); } 
BgL_test2405z00_2994 = 
(BgL_arg1788z00_1864==BgL_classz00_1852); } }  else 
{ /* Llib/sqlite.scm 116 */
 bool_t BgL_res2213z00_1888;
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_oclassz00_1873;
{ /* Llib/sqlite.scm 116 */
 long BgL_arg1801z00_1879;
{ /* Llib/sqlite.scm 116 */
 long BgL_arg1802z00_1880;
BgL_arg1802z00_1880 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1854); 
BgL_arg1801z00_1879 = 
(BgL_arg1802z00_1880-OBJECT_TYPE); } 
BgL_oclassz00_1873 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1879); } 
{ /* Llib/sqlite.scm 116 */
 bool_t BgL__ortest_1110z00_1874;
BgL__ortest_1110z00_1874 = 
(BgL_classz00_1852==BgL_oclassz00_1873); 
if(BgL__ortest_1110z00_1874)
{ /* Llib/sqlite.scm 116 */
BgL_res2213z00_1888 = BgL__ortest_1110z00_1874; }  else 
{ /* Llib/sqlite.scm 116 */
 long BgL_odepthz00_1875;
BgL_odepthz00_1875 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1873); 
if(
(BgL_arg1797z00_1855<BgL_odepthz00_1875))
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_arg1790z00_1877;
BgL_arg1790z00_1877 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1873, BgL_arg1797z00_1855); 
BgL_res2213z00_1888 = 
(BgL_arg1790z00_1877==BgL_classz00_1852); }  else 
{ /* Llib/sqlite.scm 116 */
BgL_res2213z00_1888 = ((bool_t)0); } } } } 
BgL_test2405z00_2994 = BgL_res2213z00_1888; } }  else 
{ /* Llib/sqlite.scm 116 */
BgL_test2405z00_2994 = ((bool_t)0)
; } } 
if(BgL_test2405z00_2994)
{ /* Llib/sqlite.scm 116 */
BgL_auxz00_2993 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_1412)
; }  else 
{ 
 obj_t BgL_auxz00_3016;
BgL_auxz00_3016 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)4987)), BGl_string2183z00zz__sqlite_sqlitez00, BGl_string2119z00zz__sqlite_sqlitez00, BgL_oz00_1412); 
FAILURE(BgL_auxz00_3016,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_auxz00_2993);} } 

}



/* sqlite-exec */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_14, obj_t BgL_fmtz00_15, obj_t BgL_argsz00_16)
{
{ /* Llib/sqlite.scm 130 */
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_method1289z00_455;
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_res2036z00_1098;
{ /* Llib/sqlite.scm 130 */
 long BgL_objzd2classzd2numz00_1069;
BgL_objzd2classzd2numz00_1069 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_14)); 
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_arg1798z00_1070;
BgL_arg1798z00_1070 = 
PROCEDURE_REF(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 130 */
 int BgL_offsetz00_1073;
BgL_offsetz00_1073 = 
(int)(BgL_objzd2classzd2numz00_1069); 
{ /* Llib/sqlite.scm 130 */
 long BgL_offsetz00_1074;
BgL_offsetz00_1074 = 
(
(long)(BgL_offsetz00_1073)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 130 */
 long BgL_modz00_1075;
BgL_modz00_1075 = 
(BgL_offsetz00_1074 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 130 */
 long BgL_restz00_1077;
BgL_restz00_1077 = 
(BgL_offsetz00_1074 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 130 */

{ /* Llib/sqlite.scm 130 */
 obj_t BgL_bucketz00_1079;
BgL_bucketz00_1079 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_1070),BgL_modz00_1075); 
BgL_res2036z00_1098 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1079),BgL_restz00_1077); } } } } } } } } 
BgL_method1289z00_455 = BgL_res2036z00_1098; } 
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_auxz00_3046;
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_list1913z00_456;
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_arg1914z00_457;
BgL_arg1914z00_457 = 
MAKE_YOUNG_PAIR(BgL_argsz00_16, BNIL); 
BgL_list1913z00_456 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_15, BgL_arg1914z00_457); } 
BgL_auxz00_3046 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_14), BgL_list1913z00_456); } 
return 
apply(BgL_method1289z00_455, BgL_auxz00_3046);} } } 

}



/* &sqlite-exec */
obj_t BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1413, obj_t BgL_oz00_1414, obj_t BgL_fmtz00_1415, obj_t BgL_argsz00_1416)
{
{ /* Llib/sqlite.scm 130 */
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_auxz00_3079; BgL_z52sqlitez52_bglt BgL_auxz00_3052;
if(
STRINGP(BgL_fmtz00_1415))
{ /* Llib/sqlite.scm 130 */
BgL_auxz00_3079 = BgL_fmtz00_1415
; }  else 
{ 
 obj_t BgL_auxz00_3082;
BgL_auxz00_3082 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)5535)), BGl_string2184z00zz__sqlite_sqlitez00, BGl_string2120z00zz__sqlite_sqlitez00, BgL_fmtz00_1415); 
FAILURE(BgL_auxz00_3082,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 130 */
 bool_t BgL_test2410z00_3053;
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_classz00_1889;
BgL_classz00_1889 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1414))
{ /* Llib/sqlite.scm 130 */
 BgL_objectz00_bglt BgL_arg1796z00_1891; long BgL_arg1797z00_1892;
BgL_arg1796z00_1891 = 
(BgL_objectz00_bglt)(BgL_oz00_1414); 
BgL_arg1797z00_1892 = 
BGL_CLASS_DEPTH(BgL_classz00_1889); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 130 */
 long BgL_idxz00_1900;
BgL_idxz00_1900 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1891); 
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_arg1788z00_1901;
{ /* Llib/sqlite.scm 130 */
 long BgL_arg1789z00_1902;
BgL_arg1789z00_1902 = 
(BgL_idxz00_1900+BgL_arg1797z00_1892); 
BgL_arg1788z00_1901 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1902); } 
BgL_test2410z00_3053 = 
(BgL_arg1788z00_1901==BgL_classz00_1889); } }  else 
{ /* Llib/sqlite.scm 130 */
 bool_t BgL_res2214z00_1925;
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_oclassz00_1910;
{ /* Llib/sqlite.scm 130 */
 long BgL_arg1801z00_1916;
{ /* Llib/sqlite.scm 130 */
 long BgL_arg1802z00_1917;
BgL_arg1802z00_1917 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1891); 
BgL_arg1801z00_1916 = 
(BgL_arg1802z00_1917-OBJECT_TYPE); } 
BgL_oclassz00_1910 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1916); } 
{ /* Llib/sqlite.scm 130 */
 bool_t BgL__ortest_1110z00_1911;
BgL__ortest_1110z00_1911 = 
(BgL_classz00_1889==BgL_oclassz00_1910); 
if(BgL__ortest_1110z00_1911)
{ /* Llib/sqlite.scm 130 */
BgL_res2214z00_1925 = BgL__ortest_1110z00_1911; }  else 
{ /* Llib/sqlite.scm 130 */
 long BgL_odepthz00_1912;
BgL_odepthz00_1912 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1910); 
if(
(BgL_arg1797z00_1892<BgL_odepthz00_1912))
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_arg1790z00_1914;
BgL_arg1790z00_1914 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1910, BgL_arg1797z00_1892); 
BgL_res2214z00_1925 = 
(BgL_arg1790z00_1914==BgL_classz00_1889); }  else 
{ /* Llib/sqlite.scm 130 */
BgL_res2214z00_1925 = ((bool_t)0); } } } } 
BgL_test2410z00_3053 = BgL_res2214z00_1925; } }  else 
{ /* Llib/sqlite.scm 130 */
BgL_test2410z00_3053 = ((bool_t)0)
; } } 
if(BgL_test2410z00_3053)
{ /* Llib/sqlite.scm 130 */
BgL_auxz00_3052 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_1414)
; }  else 
{ 
 obj_t BgL_auxz00_3075;
BgL_auxz00_3075 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)5535)), BGl_string2184z00zz__sqlite_sqlitez00, BGl_string2119z00zz__sqlite_sqlitez00, BgL_oz00_1414); 
FAILURE(BgL_auxz00_3075,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_auxz00_3052, BgL_auxz00_3079, BgL_argsz00_1416);} } 

}



/* sqlite-eval */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_20, obj_t BgL_pz00_21, obj_t BgL_fmtz00_22, obj_t BgL_argsz00_23)
{
{ /* Llib/sqlite.scm 168 */
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_method1293z00_458;
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_res2041z00_1129;
{ /* Llib/sqlite.scm 168 */
 long BgL_objzd2classzd2numz00_1100;
BgL_objzd2classzd2numz00_1100 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_20)); 
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_arg1798z00_1101;
BgL_arg1798z00_1101 = 
PROCEDURE_REF(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 168 */
 int BgL_offsetz00_1104;
BgL_offsetz00_1104 = 
(int)(BgL_objzd2classzd2numz00_1100); 
{ /* Llib/sqlite.scm 168 */
 long BgL_offsetz00_1105;
BgL_offsetz00_1105 = 
(
(long)(BgL_offsetz00_1104)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 168 */
 long BgL_modz00_1106;
BgL_modz00_1106 = 
(BgL_offsetz00_1105 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 168 */
 long BgL_restz00_1108;
BgL_restz00_1108 = 
(BgL_offsetz00_1105 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 168 */

{ /* Llib/sqlite.scm 168 */
 obj_t BgL_bucketz00_1110;
BgL_bucketz00_1110 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_1101),BgL_modz00_1106); 
BgL_res2041z00_1129 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1110),BgL_restz00_1108); } } } } } } } } 
BgL_method1293z00_458 = BgL_res2041z00_1129; } 
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_auxz00_3112;
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_list1915z00_459;
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_arg1916z00_460;
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_arg1917z00_461;
BgL_arg1917z00_461 = 
MAKE_YOUNG_PAIR(BgL_argsz00_23, BNIL); 
BgL_arg1916z00_460 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_22, BgL_arg1917z00_461); } 
BgL_list1915z00_459 = 
MAKE_YOUNG_PAIR(BgL_pz00_21, BgL_arg1916z00_460); } 
BgL_auxz00_3112 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_20), BgL_list1915z00_459); } 
return 
apply(BgL_method1293z00_458, BgL_auxz00_3112);} } } 

}



/* &sqlite-eval */
obj_t BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1417, obj_t BgL_oz00_1418, obj_t BgL_pz00_1419, obj_t BgL_fmtz00_1420, obj_t BgL_argsz00_1421)
{
{ /* Llib/sqlite.scm 168 */
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_auxz00_3153; obj_t BgL_auxz00_3146; BgL_z52sqlitez52_bglt BgL_auxz00_3119;
if(
STRINGP(BgL_fmtz00_1420))
{ /* Llib/sqlite.scm 168 */
BgL_auxz00_3153 = BgL_fmtz00_1420
; }  else 
{ 
 obj_t BgL_auxz00_3156;
BgL_auxz00_3156 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)7006)), BGl_string2185z00zz__sqlite_sqlitez00, BGl_string2120z00zz__sqlite_sqlitez00, BgL_fmtz00_1420); 
FAILURE(BgL_auxz00_3156,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_1419))
{ /* Llib/sqlite.scm 168 */
BgL_auxz00_3146 = BgL_pz00_1419
; }  else 
{ 
 obj_t BgL_auxz00_3149;
BgL_auxz00_3149 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)7006)), BGl_string2185z00zz__sqlite_sqlitez00, BGl_string2186z00zz__sqlite_sqlitez00, BgL_pz00_1419); 
FAILURE(BgL_auxz00_3149,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 168 */
 bool_t BgL_test2416z00_3120;
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_classz00_1926;
BgL_classz00_1926 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1418))
{ /* Llib/sqlite.scm 168 */
 BgL_objectz00_bglt BgL_arg1796z00_1928; long BgL_arg1797z00_1929;
BgL_arg1796z00_1928 = 
(BgL_objectz00_bglt)(BgL_oz00_1418); 
BgL_arg1797z00_1929 = 
BGL_CLASS_DEPTH(BgL_classz00_1926); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 168 */
 long BgL_idxz00_1937;
BgL_idxz00_1937 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1928); 
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_arg1788z00_1938;
{ /* Llib/sqlite.scm 168 */
 long BgL_arg1789z00_1939;
BgL_arg1789z00_1939 = 
(BgL_idxz00_1937+BgL_arg1797z00_1929); 
BgL_arg1788z00_1938 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1939); } 
BgL_test2416z00_3120 = 
(BgL_arg1788z00_1938==BgL_classz00_1926); } }  else 
{ /* Llib/sqlite.scm 168 */
 bool_t BgL_res2215z00_1962;
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_oclassz00_1947;
{ /* Llib/sqlite.scm 168 */
 long BgL_arg1801z00_1953;
{ /* Llib/sqlite.scm 168 */
 long BgL_arg1802z00_1954;
BgL_arg1802z00_1954 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1928); 
BgL_arg1801z00_1953 = 
(BgL_arg1802z00_1954-OBJECT_TYPE); } 
BgL_oclassz00_1947 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1953); } 
{ /* Llib/sqlite.scm 168 */
 bool_t BgL__ortest_1110z00_1948;
BgL__ortest_1110z00_1948 = 
(BgL_classz00_1926==BgL_oclassz00_1947); 
if(BgL__ortest_1110z00_1948)
{ /* Llib/sqlite.scm 168 */
BgL_res2215z00_1962 = BgL__ortest_1110z00_1948; }  else 
{ /* Llib/sqlite.scm 168 */
 long BgL_odepthz00_1949;
BgL_odepthz00_1949 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1947); 
if(
(BgL_arg1797z00_1929<BgL_odepthz00_1949))
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_arg1790z00_1951;
BgL_arg1790z00_1951 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1947, BgL_arg1797z00_1929); 
BgL_res2215z00_1962 = 
(BgL_arg1790z00_1951==BgL_classz00_1926); }  else 
{ /* Llib/sqlite.scm 168 */
BgL_res2215z00_1962 = ((bool_t)0); } } } } 
BgL_test2416z00_3120 = BgL_res2215z00_1962; } }  else 
{ /* Llib/sqlite.scm 168 */
BgL_test2416z00_3120 = ((bool_t)0)
; } } 
if(BgL_test2416z00_3120)
{ /* Llib/sqlite.scm 168 */
BgL_auxz00_3119 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_1418)
; }  else 
{ 
 obj_t BgL_auxz00_3142;
BgL_auxz00_3142 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)7006)), BGl_string2185z00zz__sqlite_sqlitez00, BGl_string2119z00zz__sqlite_sqlitez00, BgL_oz00_1418); 
FAILURE(BgL_auxz00_3142,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_auxz00_3119, BgL_auxz00_3146, BgL_auxz00_3153, BgL_argsz00_1421);} } 

}



/* sqlite-map */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_28, obj_t BgL_pz00_29, obj_t BgL_fmtz00_30, obj_t BgL_argsz00_31)
{
{ /* Llib/sqlite.scm 189 */
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_method1297z00_462;
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_res2046z00_1160;
{ /* Llib/sqlite.scm 189 */
 long BgL_objzd2classzd2numz00_1131;
BgL_objzd2classzd2numz00_1131 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_28)); 
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_arg1798z00_1132;
BgL_arg1798z00_1132 = 
PROCEDURE_REF(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 189 */
 int BgL_offsetz00_1135;
BgL_offsetz00_1135 = 
(int)(BgL_objzd2classzd2numz00_1131); 
{ /* Llib/sqlite.scm 189 */
 long BgL_offsetz00_1136;
BgL_offsetz00_1136 = 
(
(long)(BgL_offsetz00_1135)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 189 */
 long BgL_modz00_1137;
BgL_modz00_1137 = 
(BgL_offsetz00_1136 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 189 */
 long BgL_restz00_1139;
BgL_restz00_1139 = 
(BgL_offsetz00_1136 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 189 */

{ /* Llib/sqlite.scm 189 */
 obj_t BgL_bucketz00_1141;
BgL_bucketz00_1141 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_1132),BgL_modz00_1137); 
BgL_res2046z00_1160 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1141),BgL_restz00_1139); } } } } } } } } 
BgL_method1297z00_462 = BgL_res2046z00_1160; } 
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_auxz00_3186;
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_list1918z00_463;
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_arg1919z00_464;
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_arg1920z00_465;
BgL_arg1920z00_465 = 
MAKE_YOUNG_PAIR(BgL_argsz00_31, BNIL); 
BgL_arg1919z00_464 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_30, BgL_arg1920z00_465); } 
BgL_list1918z00_463 = 
MAKE_YOUNG_PAIR(BgL_pz00_29, BgL_arg1919z00_464); } 
BgL_auxz00_3186 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_28), BgL_list1918z00_463); } 
return 
apply(BgL_method1297z00_462, BgL_auxz00_3186);} } } 

}



/* &sqlite-map */
obj_t BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1422, obj_t BgL_oz00_1423, obj_t BgL_pz00_1424, obj_t BgL_fmtz00_1425, obj_t BgL_argsz00_1426)
{
{ /* Llib/sqlite.scm 189 */
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_auxz00_3227; obj_t BgL_auxz00_3220; BgL_z52sqlitez52_bglt BgL_auxz00_3193;
if(
STRINGP(BgL_fmtz00_1425))
{ /* Llib/sqlite.scm 189 */
BgL_auxz00_3227 = BgL_fmtz00_1425
; }  else 
{ 
 obj_t BgL_auxz00_3230;
BgL_auxz00_3230 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)7865)), BGl_string2187z00zz__sqlite_sqlitez00, BGl_string2120z00zz__sqlite_sqlitez00, BgL_fmtz00_1425); 
FAILURE(BgL_auxz00_3230,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_1424))
{ /* Llib/sqlite.scm 189 */
BgL_auxz00_3220 = BgL_pz00_1424
; }  else 
{ 
 obj_t BgL_auxz00_3223;
BgL_auxz00_3223 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)7865)), BGl_string2187z00zz__sqlite_sqlitez00, BGl_string2186z00zz__sqlite_sqlitez00, BgL_pz00_1424); 
FAILURE(BgL_auxz00_3223,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 189 */
 bool_t BgL_test2423z00_3194;
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_classz00_1963;
BgL_classz00_1963 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1423))
{ /* Llib/sqlite.scm 189 */
 BgL_objectz00_bglt BgL_arg1796z00_1965; long BgL_arg1797z00_1966;
BgL_arg1796z00_1965 = 
(BgL_objectz00_bglt)(BgL_oz00_1423); 
BgL_arg1797z00_1966 = 
BGL_CLASS_DEPTH(BgL_classz00_1963); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 189 */
 long BgL_idxz00_1974;
BgL_idxz00_1974 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_1965); 
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_arg1788z00_1975;
{ /* Llib/sqlite.scm 189 */
 long BgL_arg1789z00_1976;
BgL_arg1789z00_1976 = 
(BgL_idxz00_1974+BgL_arg1797z00_1966); 
BgL_arg1788z00_1975 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_1976); } 
BgL_test2423z00_3194 = 
(BgL_arg1788z00_1975==BgL_classz00_1963); } }  else 
{ /* Llib/sqlite.scm 189 */
 bool_t BgL_res2216z00_1999;
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_oclassz00_1984;
{ /* Llib/sqlite.scm 189 */
 long BgL_arg1801z00_1990;
{ /* Llib/sqlite.scm 189 */
 long BgL_arg1802z00_1991;
BgL_arg1802z00_1991 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_1965); 
BgL_arg1801z00_1990 = 
(BgL_arg1802z00_1991-OBJECT_TYPE); } 
BgL_oclassz00_1984 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1990); } 
{ /* Llib/sqlite.scm 189 */
 bool_t BgL__ortest_1110z00_1985;
BgL__ortest_1110z00_1985 = 
(BgL_classz00_1963==BgL_oclassz00_1984); 
if(BgL__ortest_1110z00_1985)
{ /* Llib/sqlite.scm 189 */
BgL_res2216z00_1999 = BgL__ortest_1110z00_1985; }  else 
{ /* Llib/sqlite.scm 189 */
 long BgL_odepthz00_1986;
BgL_odepthz00_1986 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1984); 
if(
(BgL_arg1797z00_1966<BgL_odepthz00_1986))
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_arg1790z00_1988;
BgL_arg1790z00_1988 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1984, BgL_arg1797z00_1966); 
BgL_res2216z00_1999 = 
(BgL_arg1790z00_1988==BgL_classz00_1963); }  else 
{ /* Llib/sqlite.scm 189 */
BgL_res2216z00_1999 = ((bool_t)0); } } } } 
BgL_test2423z00_3194 = BgL_res2216z00_1999; } }  else 
{ /* Llib/sqlite.scm 189 */
BgL_test2423z00_3194 = ((bool_t)0)
; } } 
if(BgL_test2423z00_3194)
{ /* Llib/sqlite.scm 189 */
BgL_auxz00_3193 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_1423)
; }  else 
{ 
 obj_t BgL_auxz00_3216;
BgL_auxz00_3216 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)7865)), BGl_string2187z00zz__sqlite_sqlitez00, BGl_string2119z00zz__sqlite_sqlitez00, BgL_oz00_1423); 
FAILURE(BgL_auxz00_3216,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_auxz00_3193, BgL_auxz00_3220, BgL_auxz00_3227, BgL_argsz00_1426);} } 

}



/* sqlite-dump-table */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_45, obj_t BgL_tablez00_46, obj_t BgL_outz00_47)
{
{ /* Llib/sqlite.scm 248 */
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_method1301z00_466;
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_res2051z00_1191;
{ /* Llib/sqlite.scm 248 */
 long BgL_objzd2classzd2numz00_1162;
BgL_objzd2classzd2numz00_1162 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dbz00_45)); 
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_arg1798z00_1163;
BgL_arg1798z00_1163 = 
PROCEDURE_REF(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 248 */
 int BgL_offsetz00_1166;
BgL_offsetz00_1166 = 
(int)(BgL_objzd2classzd2numz00_1162); 
{ /* Llib/sqlite.scm 248 */
 long BgL_offsetz00_1167;
BgL_offsetz00_1167 = 
(
(long)(BgL_offsetz00_1166)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 248 */
 long BgL_modz00_1168;
BgL_modz00_1168 = 
(BgL_offsetz00_1167 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 248 */
 long BgL_restz00_1170;
BgL_restz00_1170 = 
(BgL_offsetz00_1167 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 248 */

{ /* Llib/sqlite.scm 248 */
 obj_t BgL_bucketz00_1172;
BgL_bucketz00_1172 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_1163),BgL_modz00_1168); 
BgL_res2051z00_1191 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1172),BgL_restz00_1170); } } } } } } } } 
BgL_method1301z00_466 = BgL_res2051z00_1191; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1301z00_466))(BgL_method1301z00_466, 
((obj_t)BgL_dbz00_45), BgL_tablez00_46, BgL_outz00_47, BEOA);} } 

}



/* &sqlite-dump-table */
obj_t BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00(obj_t BgL_envz00_1427, obj_t BgL_dbz00_1428, obj_t BgL_tablez00_1429, obj_t BgL_outz00_1430)
{
{ /* Llib/sqlite.scm 248 */
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_auxz00_3301; obj_t BgL_auxz00_3294; BgL_z52sqlitez52_bglt BgL_auxz00_3267;
if(
OUTPUT_PORTP(BgL_outz00_1430))
{ /* Llib/sqlite.scm 248 */
BgL_auxz00_3301 = BgL_outz00_1430
; }  else 
{ 
 obj_t BgL_auxz00_3304;
BgL_auxz00_3304 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)10490)), BGl_string2188z00zz__sqlite_sqlitez00, BGl_string2131z00zz__sqlite_sqlitez00, BgL_outz00_1430); 
FAILURE(BgL_auxz00_3304,BFALSE,BFALSE);} 
if(
STRINGP(BgL_tablez00_1429))
{ /* Llib/sqlite.scm 248 */
BgL_auxz00_3294 = BgL_tablez00_1429
; }  else 
{ 
 obj_t BgL_auxz00_3297;
BgL_auxz00_3297 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)10490)), BGl_string2188z00zz__sqlite_sqlitez00, BGl_string2120z00zz__sqlite_sqlitez00, BgL_tablez00_1429); 
FAILURE(BgL_auxz00_3297,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 248 */
 bool_t BgL_test2430z00_3268;
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_classz00_2000;
BgL_classz00_2000 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_dbz00_1428))
{ /* Llib/sqlite.scm 248 */
 BgL_objectz00_bglt BgL_arg1796z00_2002; long BgL_arg1797z00_2003;
BgL_arg1796z00_2002 = 
(BgL_objectz00_bglt)(BgL_dbz00_1428); 
BgL_arg1797z00_2003 = 
BGL_CLASS_DEPTH(BgL_classz00_2000); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 248 */
 long BgL_idxz00_2011;
BgL_idxz00_2011 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_2002); 
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_arg1788z00_2012;
{ /* Llib/sqlite.scm 248 */
 long BgL_arg1789z00_2013;
BgL_arg1789z00_2013 = 
(BgL_idxz00_2011+BgL_arg1797z00_2003); 
BgL_arg1788z00_2012 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_2013); } 
BgL_test2430z00_3268 = 
(BgL_arg1788z00_2012==BgL_classz00_2000); } }  else 
{ /* Llib/sqlite.scm 248 */
 bool_t BgL_res2217z00_2036;
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_oclassz00_2021;
{ /* Llib/sqlite.scm 248 */
 long BgL_arg1801z00_2027;
{ /* Llib/sqlite.scm 248 */
 long BgL_arg1802z00_2028;
BgL_arg1802z00_2028 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_2002); 
BgL_arg1801z00_2027 = 
(BgL_arg1802z00_2028-OBJECT_TYPE); } 
BgL_oclassz00_2021 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_2027); } 
{ /* Llib/sqlite.scm 248 */
 bool_t BgL__ortest_1110z00_2022;
BgL__ortest_1110z00_2022 = 
(BgL_classz00_2000==BgL_oclassz00_2021); 
if(BgL__ortest_1110z00_2022)
{ /* Llib/sqlite.scm 248 */
BgL_res2217z00_2036 = BgL__ortest_1110z00_2022; }  else 
{ /* Llib/sqlite.scm 248 */
 long BgL_odepthz00_2023;
BgL_odepthz00_2023 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2021); 
if(
(BgL_arg1797z00_2003<BgL_odepthz00_2023))
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_arg1790z00_2025;
BgL_arg1790z00_2025 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2021, BgL_arg1797z00_2003); 
BgL_res2217z00_2036 = 
(BgL_arg1790z00_2025==BgL_classz00_2000); }  else 
{ /* Llib/sqlite.scm 248 */
BgL_res2217z00_2036 = ((bool_t)0); } } } } 
BgL_test2430z00_3268 = BgL_res2217z00_2036; } }  else 
{ /* Llib/sqlite.scm 248 */
BgL_test2430z00_3268 = ((bool_t)0)
; } } 
if(BgL_test2430z00_3268)
{ /* Llib/sqlite.scm 248 */
BgL_auxz00_3267 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1428)
; }  else 
{ 
 obj_t BgL_auxz00_3290;
BgL_auxz00_3290 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2111z00zz__sqlite_sqlitez00, 
BINT(((long)10490)), BGl_string2188z00zz__sqlite_sqlitez00, BGl_string2119z00zz__sqlite_sqlitez00, BgL_dbz00_1428); 
FAILURE(BgL_auxz00_3290,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_auxz00_3267, BgL_auxz00_3294, BgL_auxz00_3301);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2189z00zz__sqlite_sqlitez00, BGl_string2190z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2191z00zz__sqlite_sqlitez00, BGl_string2192z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2193z00zz__sqlite_sqlitez00, BGl_string2194z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2195z00zz__sqlite_sqlitez00, BGl_string2196z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2197z00zz__sqlite_sqlitez00, BGl_string2198z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2199z00zz__sqlite_sqlitez00, BGl_string2200z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2201z00zz__sqlite_sqlitez00, BGl_string2202z00zz__sqlite_sqlitez00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2203z00zz__sqlite_sqlitez00, BGl_string2204z00zz__sqlite_sqlitez00);} 

}



/* &sqlite-dump-table-sq1303 */
obj_t BGl_z62sqlitezd2dumpzd2tablezd2sq1303zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1453, obj_t BgL_dbz00_1454, obj_t BgL_tablez00_1455, obj_t BgL_outz00_1456)
{
{ /* Llib/sqlite.scm 255 */
{ /* Llib/sqlite.scm 256 */
 obj_t BgL_arg2022z00_2038;
{ /* Llib/sqlite.scm 256 */
 obj_t BgL_arg2024z00_2039;
BgL_arg2024z00_2039 = 
string_append(BGl_string2205z00zz__sqlite_sqlitez00, BgL_tablez00_1455); 
BgL_arg2022z00_2038 = 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(
((BgL_z52sqlitez52_bglt)
((BgL_sqlitez00_bglt)BgL_dbz00_1454)), BgL_arg2024z00_2039, BNIL); } 
{ /* Llib/sqlite.scm 256 */
 obj_t BgL_list2023z00_2040;
BgL_list2023z00_2040 = 
MAKE_YOUNG_PAIR(BgL_outz00_1456, BNIL); 
return 
BGl_writez00zz__r4_output_6_10_3z00(BgL_arg2022z00_2038, BgL_list2023z00_2040);} } } 

}



/* &sqlite-map-sqlite1299 */
obj_t BGl_z62sqlitezd2mapzd2sqlite1299z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1457, obj_t BgL_oz00_1458, obj_t BgL_pz00_1459, obj_t BgL_fmtz00_1460, obj_t BgL_argsz00_1461)
{
{ /* Llib/sqlite.scm 197 */
{ /* Llib/sqlite.scm 198 */
 obj_t BgL_excz00_2044;
BgL_excz00_2044 = 
MAKE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 198 */
 obj_t BgL_pz00_2045;
{ 

{ /* Llib/sqlite.scm 199 */
 int BgL_aux1187z00_2048;
BgL_aux1187z00_2048 = 
PROCEDURE_ARITY(
((obj_t)BgL_pz00_1459)); 
switch( 
(long)(BgL_aux1187z00_2048)) { case ((long)1) : 

{ /* Llib/sqlite.scm 199 */
 obj_t BgL_zc3z04anonymousza31994ze3z87_2049;
BgL_zc3z04anonymousza31994ze3z87_2049 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31994ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31994ze3z87_2049, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1459)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31994ze3z87_2049, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2044)); 
BgL_pz00_2045 = BgL_zc3z04anonymousza31994ze3z87_2049; } break;case ((long)2) : 

{ /* Llib/sqlite.scm 199 */
 obj_t BgL_zc3z04anonymousza31999ze3z87_2050;
BgL_zc3z04anonymousza31999ze3z87_2050 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31999ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)2)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31999ze3z87_2050, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1459)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31999ze3z87_2050, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2044)); 
BgL_pz00_2045 = BgL_zc3z04anonymousza31999ze3z87_2050; } break;case ((long)3) : 

{ /* Llib/sqlite.scm 199 */
 obj_t BgL_zc3z04anonymousza32004ze3z87_2051;
BgL_zc3z04anonymousza32004ze3z87_2051 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32004ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)3)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32004ze3z87_2051, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1459)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32004ze3z87_2051, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2044)); 
BgL_pz00_2045 = BgL_zc3z04anonymousza32004ze3z87_2051; } break;case ((long)4) : 

{ /* Llib/sqlite.scm 199 */
 obj_t BgL_zc3z04anonymousza32009ze3z87_2052;
BgL_zc3z04anonymousza32009ze3z87_2052 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32009ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)4)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32009ze3z87_2052, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1459)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32009ze3z87_2052, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2044)); 
BgL_pz00_2045 = BgL_zc3z04anonymousza32009ze3z87_2052; } break;
default: 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_zc3z04anonymousza32014ze3z87_2047;
BgL_zc3z04anonymousza32014ze3z87_2047 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza32014ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)-1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32014ze3z87_2047, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1459)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32014ze3z87_2047, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2044)); 
BgL_pz00_2045 = BgL_zc3z04anonymousza32014ze3z87_2047; } } } } 
{ /* Llib/sqlite.scm 199 */

{ /* Llib/sqlite.scm 200 */
 obj_t BgL_exitd1256z00_2053;
BgL_exitd1256z00_2053 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 205 */
 obj_t BgL_zc3z04anonymousza31993ze3z87_2054;
BgL_zc3z04anonymousza31993ze3z87_2054 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31993ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31993ze3z87_2054, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2044)); 
{ /* Llib/sqlite.scm 200 */
 obj_t BgL_arg1812z00_2055;
{ /* Llib/sqlite.scm 200 */
 obj_t BgL_arg1813z00_2056;
BgL_arg1813z00_2056 = 
BGL_EXITD_PROTECT(BgL_exitd1256z00_2053); 
BgL_arg1812z00_2055 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31993ze3z87_2054, BgL_arg1813z00_2056); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1256z00_2053, BgL_arg1812z00_2055); BUNSPEC; } 
{ /* Llib/sqlite.scm 201 */
 obj_t BgL_tmp1258z00_2057;
if(
NULLP(BgL_argsz00_1461))
{ /* Llib/sqlite.scm 203 */
 void * BgL_arg1987z00_2058;
BgL_arg1987z00_2058 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1458)))->BgL_z42builtinz42); 
BgL_tmp1258z00_2057 = 
bgl_sqlite_map(BgL_arg1987z00_2058, BgL_pz00_2045, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_1460)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1458))); }  else 
{ /* Llib/sqlite.scm 204 */
 void * BgL_arg1988z00_2059; obj_t BgL_arg1989z00_2060;
BgL_arg1988z00_2059 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1458)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 204 */
 obj_t BgL_runner1992z00_2061;
{ /* Llib/sqlite.scm 204 */
 obj_t BgL_list1990z00_2062;
BgL_list1990z00_2062 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1461, BNIL); 
BgL_runner1992z00_2061 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1460), BgL_list1990z00_2062); } 
{ /* Llib/sqlite.scm 204 */
 obj_t BgL_aux1991z00_2063;
BgL_aux1991z00_2063 = 
CAR(BgL_runner1992z00_2061); 
BgL_runner1992z00_2061 = 
CDR(BgL_runner1992z00_2061); 
BgL_arg1989z00_2060 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1991z00_2063, BgL_runner1992z00_2061); } } 
BgL_tmp1258z00_2057 = 
bgl_sqlite_map(BgL_arg1988z00_2059, BgL_pz00_2045, 
BSTRING_TO_STRING(BgL_arg1989z00_2060), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1458))); } 
{ /* Llib/sqlite.scm 200 */
 bool_t BgL_test2438z00_3403;
{ /* Llib/sqlite.scm 200 */
 obj_t BgL_arg1811z00_2064;
BgL_arg1811z00_2064 = 
BGL_EXITD_PROTECT(BgL_exitd1256z00_2053); 
BgL_test2438z00_3403 = 
PAIRP(BgL_arg1811z00_2064); } 
if(BgL_test2438z00_3403)
{ /* Llib/sqlite.scm 200 */
 obj_t BgL_arg1809z00_2065;
{ /* Llib/sqlite.scm 200 */
 obj_t BgL_arg1810z00_2066;
BgL_arg1810z00_2066 = 
BGL_EXITD_PROTECT(BgL_exitd1256z00_2053); 
BgL_arg1809z00_2065 = 
CDR(
((obj_t)BgL_arg1810z00_2066)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1256z00_2053, BgL_arg1809z00_2065); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 200 */BFALSE; } } 
if(
CBOOL(
CELL_REF(BgL_excz00_2044)))
{ /* Llib/sqlite.scm 205 */
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_2044)); }  else 
{ /* Llib/sqlite.scm 205 */BFALSE; } 
return BgL_tmp1258z00_2057;} } } } } } } 

}



/* &<@anonymous:1993> */
obj_t BGl_z62zc3z04anonymousza31993ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1464)
{
{ /* Llib/sqlite.scm 200 */
{ /* Llib/sqlite.scm 205 */
 obj_t BgL_excz00_1465;
BgL_excz00_1465 = 
PROCEDURE_REF(BgL_envz00_1464, 
(int)(((long)0))); 
if(
CBOOL(
CELL_REF(BgL_excz00_1465)))
{ /* Llib/sqlite.scm 205 */
return 
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_1465));}  else 
{ /* Llib/sqlite.scm 205 */
return BFALSE;} } } 

}



/* &<@anonymous:2009> */
obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1466, obj_t BgL_xz00_1469, obj_t BgL_yz00_1470, obj_t BgL_za7za7_1471, obj_t BgL_tz00_1472)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_pz00_1467; obj_t BgL_excz00_1468;
BgL_pz00_1467 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1466, 
(int)(((long)0)))); 
BgL_excz00_1468 = 
PROCEDURE_REF(BgL_envz00_1466, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_env1247z00_2067;
BgL_env1247z00_2067 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_cell1242z00_2068;
BgL_cell1242z00_2068 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_val1246z00_2069;
BgL_val1246z00_2069 = 
BGl_zc3z04exitza32011ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_1472, BgL_za7za7_1471, BgL_yz00_1470, BgL_xz00_1469, BgL_pz00_1467, BgL_cell1242z00_2068, BgL_env1247z00_2067); 
if(
(BgL_val1246z00_2069==BgL_cell1242z00_2068))
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 int BgL_tmpz00_3428;
BgL_tmpz00_3428 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3428); } 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2010z00_2070;
BgL_arg2010z00_2070 = 
CELL_REF(
((obj_t)BgL_val1246z00_2069)); 
return 
CELL_SET(BgL_excz00_1468, BgL_arg2010z00_2070);} }  else 
{ /* Llib/sqlite.scm 199 */
return BgL_val1246z00_2069;} } } } } } 

}



/* <@exit:2011>~0 */
obj_t BGl_zc3z04exitza32011ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_1618, obj_t BgL_za7za7_1617, obj_t BgL_yz00_1616, obj_t BgL_xz00_1615, obj_t BgL_pz00_1614, obj_t BgL_cell1242z00_1613, obj_t BgL_env1247z00_1612)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1251z00_758;
if( SET_EXIT(BgL_an_exit1251z00_758 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1251z00_758 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1247z00_1612, BgL_an_exit1251z00_758, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_escape1243z00_759;
BgL_escape1243z00_759 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1247z00_1612); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_res1254z00_760;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_ohs1239z00_761;
BgL_ohs1239z00_761 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1247z00_1612); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_hds1240z00_762;
BgL_hds1240z00_762 = 
MAKE_STACK_PAIR(BgL_escape1243z00_759, BgL_cell1242z00_1613); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1247z00_1612, BgL_hds1240z00_762); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_exitd1248z00_763;
BgL_exitd1248z00_763 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1247z00_1612); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1250z00_764;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2012z00_766;
BgL_arg2012z00_766 = 
BGL_EXITD_PROTECT(BgL_exitd1248z00_763); 
BgL_tmp1250z00_764 = 
MAKE_YOUNG_PAIR(BgL_ohs1239z00_761, BgL_arg2012z00_766); } 
{ /* Llib/sqlite.scm 199 */

BGL_EXITD_PROTECT_SET(BgL_exitd1248z00_763, BgL_tmp1250z00_764); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1249z00_765;
BgL_tmp1249z00_765 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_1614))(BgL_pz00_1614, BgL_xz00_1615, BgL_yz00_1616, BgL_za7za7_1617, BgL_tz00_1618, BEOA); 
{ /* Llib/sqlite.scm 199 */
 bool_t BgL_test2442z00_3451;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1811z00_1267;
BgL_arg1811z00_1267 = 
BGL_EXITD_PROTECT(BgL_exitd1248z00_763); 
BgL_test2442z00_3451 = 
PAIRP(BgL_arg1811z00_1267); } 
if(BgL_test2442z00_3451)
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1809z00_1268;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1810z00_1269;
BgL_arg1810z00_1269 = 
BGL_EXITD_PROTECT(BgL_exitd1248z00_763); 
BgL_arg1809z00_1268 = 
CDR(
((obj_t)BgL_arg1810z00_1269)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1248z00_763, BgL_arg1809z00_1268); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 199 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1247z00_1612, BgL_ohs1239z00_761); BUNSPEC; 
BgL_res1254z00_760 = BgL_tmp1249z00_765; } } } } } } 
POP_ENV_EXIT(BgL_env1247z00_1612); 
return BgL_res1254z00_760;} } 
}} 

}



/* &<@anonymous:2004> */
obj_t BGl_z62zc3z04anonymousza32004ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1474, obj_t BgL_xz00_1477, obj_t BgL_yz00_1478, obj_t BgL_za7za7_1479)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_pz00_1475; obj_t BgL_excz00_1476;
BgL_pz00_1475 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1474, 
(int)(((long)0)))); 
BgL_excz00_1476 = 
PROCEDURE_REF(BgL_envz00_1474, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_env1230z00_2071;
BgL_env1230z00_2071 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_cell1225z00_2072;
BgL_cell1225z00_2072 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_val1229z00_2073;
BgL_val1229z00_2073 = 
BGl_zc3z04exitza32006ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_1479, BgL_yz00_1478, BgL_xz00_1477, BgL_pz00_1475, BgL_cell1225z00_2072, BgL_env1230z00_2071); 
if(
(BgL_val1229z00_2073==BgL_cell1225z00_2072))
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 int BgL_tmpz00_3470;
BgL_tmpz00_3470 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3470); } 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2005z00_2074;
BgL_arg2005z00_2074 = 
CELL_REF(
((obj_t)BgL_val1229z00_2073)); 
return 
CELL_SET(BgL_excz00_1476, BgL_arg2005z00_2074);} }  else 
{ /* Llib/sqlite.scm 199 */
return BgL_val1229z00_2073;} } } } } } 

}



/* <@exit:2006>~0 */
obj_t BGl_zc3z04exitza32006ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_1611, obj_t BgL_yz00_1610, obj_t BgL_xz00_1609, obj_t BgL_pz00_1608, obj_t BgL_cell1225z00_1607, obj_t BgL_env1230z00_1606)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1234z00_735;
if( SET_EXIT(BgL_an_exit1234z00_735 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1234z00_735 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1230z00_1606, BgL_an_exit1234z00_735, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_escape1226z00_736;
BgL_escape1226z00_736 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1230z00_1606); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_res1237z00_737;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_ohs1222z00_738;
BgL_ohs1222z00_738 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1230z00_1606); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_hds1223z00_739;
BgL_hds1223z00_739 = 
MAKE_STACK_PAIR(BgL_escape1226z00_736, BgL_cell1225z00_1607); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1230z00_1606, BgL_hds1223z00_739); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_exitd1231z00_740;
BgL_exitd1231z00_740 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1230z00_1606); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1233z00_741;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2007z00_743;
BgL_arg2007z00_743 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_740); 
BgL_tmp1233z00_741 = 
MAKE_YOUNG_PAIR(BgL_ohs1222z00_738, BgL_arg2007z00_743); } 
{ /* Llib/sqlite.scm 199 */

BGL_EXITD_PROTECT_SET(BgL_exitd1231z00_740, BgL_tmp1233z00_741); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1232z00_742;
BgL_tmp1232z00_742 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_1608))(BgL_pz00_1608, BgL_xz00_1609, BgL_yz00_1610, BgL_za7za7_1611, BEOA); 
{ /* Llib/sqlite.scm 199 */
 bool_t BgL_test2444z00_3492;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1811z00_1261;
BgL_arg1811z00_1261 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_740); 
BgL_test2444z00_3492 = 
PAIRP(BgL_arg1811z00_1261); } 
if(BgL_test2444z00_3492)
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1809z00_1262;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1810z00_1263;
BgL_arg1810z00_1263 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_740); 
BgL_arg1809z00_1262 = 
CDR(
((obj_t)BgL_arg1810z00_1263)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1231z00_740, BgL_arg1809z00_1262); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 199 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1230z00_1606, BgL_ohs1222z00_738); BUNSPEC; 
BgL_res1237z00_737 = BgL_tmp1232z00_742; } } } } } } 
POP_ENV_EXIT(BgL_env1230z00_1606); 
return BgL_res1237z00_737;} } 
}} 

}



/* &<@anonymous:1999> */
obj_t BGl_z62zc3z04anonymousza31999ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1481, obj_t BgL_xz00_1484, obj_t BgL_yz00_1485)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_pz00_1482; obj_t BgL_excz00_1483;
BgL_pz00_1482 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1481, 
(int)(((long)0)))); 
BgL_excz00_1483 = 
PROCEDURE_REF(BgL_envz00_1481, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_env1213z00_2075;
BgL_env1213z00_2075 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_cell1208z00_2076;
BgL_cell1208z00_2076 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_val1212z00_2077;
BgL_val1212z00_2077 = 
BGl_zc3z04exitza32001ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_1485, BgL_xz00_1484, BgL_pz00_1482, BgL_cell1208z00_2076, BgL_env1213z00_2075); 
if(
(BgL_val1212z00_2077==BgL_cell1208z00_2076))
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 int BgL_tmpz00_3511;
BgL_tmpz00_3511 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3511); } 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2000z00_2078;
BgL_arg2000z00_2078 = 
CELL_REF(
((obj_t)BgL_val1212z00_2077)); 
return 
CELL_SET(BgL_excz00_1483, BgL_arg2000z00_2078);} }  else 
{ /* Llib/sqlite.scm 199 */
return BgL_val1212z00_2077;} } } } } } 

}



/* <@exit:2001>~0 */
obj_t BGl_zc3z04exitza32001ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_1605, obj_t BgL_xz00_1604, obj_t BgL_pz00_1603, obj_t BgL_cell1208z00_1602, obj_t BgL_env1213z00_1601)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1217z00_713;
if( SET_EXIT(BgL_an_exit1217z00_713 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1217z00_713 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1213z00_1601, BgL_an_exit1217z00_713, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_escape1209z00_714;
BgL_escape1209z00_714 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1213z00_1601); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_res1220z00_715;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_ohs1205z00_716;
BgL_ohs1205z00_716 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1213z00_1601); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_hds1206z00_717;
BgL_hds1206z00_717 = 
MAKE_STACK_PAIR(BgL_escape1209z00_714, BgL_cell1208z00_1602); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1213z00_1601, BgL_hds1206z00_717); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_exitd1214z00_718;
BgL_exitd1214z00_718 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1213z00_1601); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1216z00_719;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2002z00_721;
BgL_arg2002z00_721 = 
BGL_EXITD_PROTECT(BgL_exitd1214z00_718); 
BgL_tmp1216z00_719 = 
MAKE_YOUNG_PAIR(BgL_ohs1205z00_716, BgL_arg2002z00_721); } 
{ /* Llib/sqlite.scm 199 */

BGL_EXITD_PROTECT_SET(BgL_exitd1214z00_718, BgL_tmp1216z00_719); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1215z00_720;
BgL_tmp1215z00_720 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_1603))(BgL_pz00_1603, BgL_xz00_1604, BgL_yz00_1605, BEOA); 
{ /* Llib/sqlite.scm 199 */
 bool_t BgL_test2446z00_3532;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1811z00_1255;
BgL_arg1811z00_1255 = 
BGL_EXITD_PROTECT(BgL_exitd1214z00_718); 
BgL_test2446z00_3532 = 
PAIRP(BgL_arg1811z00_1255); } 
if(BgL_test2446z00_3532)
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1809z00_1256;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1810z00_1257;
BgL_arg1810z00_1257 = 
BGL_EXITD_PROTECT(BgL_exitd1214z00_718); 
BgL_arg1809z00_1256 = 
CDR(
((obj_t)BgL_arg1810z00_1257)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1214z00_718, BgL_arg1809z00_1256); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 199 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1213z00_1601, BgL_ohs1205z00_716); BUNSPEC; 
BgL_res1220z00_715 = BgL_tmp1215z00_720; } } } } } } 
POP_ENV_EXIT(BgL_env1213z00_1601); 
return BgL_res1220z00_715;} } 
}} 

}



/* &<@anonymous:1994> */
obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1487, obj_t BgL_xz00_1490)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_pz00_1488; obj_t BgL_excz00_1489;
BgL_pz00_1488 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1487, 
(int)(((long)0)))); 
BgL_excz00_1489 = 
PROCEDURE_REF(BgL_envz00_1487, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_env1196z00_2079;
BgL_env1196z00_2079 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_cell1191z00_2080;
BgL_cell1191z00_2080 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_val1195z00_2081;
BgL_val1195z00_2081 = 
BGl_zc3z04exitza31996ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_1490, BgL_pz00_1488, BgL_cell1191z00_2080, BgL_env1196z00_2079); 
if(
(BgL_val1195z00_2081==BgL_cell1191z00_2080))
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 int BgL_tmpz00_3551;
BgL_tmpz00_3551 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3551); } 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1995z00_2082;
BgL_arg1995z00_2082 = 
CELL_REF(
((obj_t)BgL_val1195z00_2081)); 
return 
CELL_SET(BgL_excz00_1489, BgL_arg1995z00_2082);} }  else 
{ /* Llib/sqlite.scm 199 */
return BgL_val1195z00_2081;} } } } } } 

}



/* <@exit:1996>~0 */
obj_t BGl_zc3z04exitza31996ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_1600, obj_t BgL_pz00_1599, obj_t BgL_cell1191z00_1598, obj_t BgL_env1196z00_1597)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1200z00_692;
if( SET_EXIT(BgL_an_exit1200z00_692 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1200z00_692 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1196z00_1597, BgL_an_exit1200z00_692, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_escape1192z00_693;
BgL_escape1192z00_693 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1196z00_1597); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_res1203z00_694;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_ohs1188z00_695;
BgL_ohs1188z00_695 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1196z00_1597); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_hds1189z00_696;
BgL_hds1189z00_696 = 
MAKE_STACK_PAIR(BgL_escape1192z00_693, BgL_cell1191z00_1598); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1196z00_1597, BgL_hds1189z00_696); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_exitd1197z00_697;
BgL_exitd1197z00_697 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1196z00_1597); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1199z00_698;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1997z00_700;
BgL_arg1997z00_700 = 
BGL_EXITD_PROTECT(BgL_exitd1197z00_697); 
BgL_tmp1199z00_698 = 
MAKE_YOUNG_PAIR(BgL_ohs1188z00_695, BgL_arg1997z00_700); } 
{ /* Llib/sqlite.scm 199 */

BGL_EXITD_PROTECT_SET(BgL_exitd1197z00_697, BgL_tmp1199z00_698); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1198z00_699;
BgL_tmp1198z00_699 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_1599))(BgL_pz00_1599, BgL_xz00_1600, BEOA); 
{ /* Llib/sqlite.scm 199 */
 bool_t BgL_test2448z00_3571;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1811z00_1249;
BgL_arg1811z00_1249 = 
BGL_EXITD_PROTECT(BgL_exitd1197z00_697); 
BgL_test2448z00_3571 = 
PAIRP(BgL_arg1811z00_1249); } 
if(BgL_test2448z00_3571)
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1809z00_1250;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1810z00_1251;
BgL_arg1810z00_1251 = 
BGL_EXITD_PROTECT(BgL_exitd1197z00_697); 
BgL_arg1809z00_1250 = 
CDR(
((obj_t)BgL_arg1810z00_1251)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1197z00_697, BgL_arg1809z00_1250); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 199 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1196z00_1597, BgL_ohs1188z00_695); BUNSPEC; 
BgL_res1203z00_694 = BgL_tmp1198z00_699; } } } } } } 
POP_ENV_EXIT(BgL_env1196z00_1597); 
return BgL_res1203z00_694;} } 
}} 

}



/* &<@anonymous:2014> */
obj_t BGl_z62zc3z04anonymousza32014ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1492, obj_t BgL_lz00_1495)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_pz00_1493; obj_t BgL_excz00_1494;
BgL_pz00_1493 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1492, 
(int)(((long)0)))); 
BgL_excz00_1494 = 
PROCEDURE_REF(BgL_envz00_1492, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_env1177z00_2083;
BgL_env1177z00_2083 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_cell1172z00_2084;
BgL_cell1172z00_2084 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_val1176z00_2085;
BgL_val1176z00_2085 = 
BGl_zc3z04exitza32016ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_1493, BgL_lz00_1495, BgL_cell1172z00_2084, BgL_env1177z00_2083); 
if(
(BgL_val1176z00_2085==BgL_cell1172z00_2084))
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 int BgL_tmpz00_3590;
BgL_tmpz00_3590 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3590); } 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2015z00_2086;
BgL_arg2015z00_2086 = 
CELL_REF(
((obj_t)BgL_val1176z00_2085)); 
return 
CELL_SET(BgL_excz00_1494, BgL_arg2015z00_2086);} }  else 
{ /* Llib/sqlite.scm 199 */
return BgL_val1176z00_2085;} } } } } } 

}



/* <@exit:2016>~0 */
obj_t BGl_zc3z04exitza32016ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_1596, obj_t BgL_lz00_1595, obj_t BgL_cell1172z00_1594, obj_t BgL_env1177z00_1593)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1181z00_778;
if( SET_EXIT(BgL_an_exit1181z00_778 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1181z00_778 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1177z00_1593, BgL_an_exit1181z00_778, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_escape1173z00_779;
BgL_escape1173z00_779 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1177z00_1593); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_res1184z00_780;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_ohs1169z00_781;
BgL_ohs1169z00_781 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1177z00_1593); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_hds1170z00_782;
BgL_hds1170z00_782 = 
MAKE_STACK_PAIR(BgL_escape1173z00_779, BgL_cell1172z00_1594); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1177z00_1593, BgL_hds1170z00_782); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_exitd1178z00_783;
BgL_exitd1178z00_783 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1177z00_1593); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1180z00_784;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2017z00_786;
BgL_arg2017z00_786 = 
BGL_EXITD_PROTECT(BgL_exitd1178z00_783); 
BgL_tmp1180z00_784 = 
MAKE_YOUNG_PAIR(BgL_ohs1169z00_781, BgL_arg2017z00_786); } 
{ /* Llib/sqlite.scm 199 */

BGL_EXITD_PROTECT_SET(BgL_exitd1178z00_783, BgL_tmp1180z00_784); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1179z00_785;
BgL_tmp1179z00_785 = 
apply(BgL_pz00_1596, BgL_lz00_1595); 
{ /* Llib/sqlite.scm 199 */
 bool_t BgL_test2450z00_3608;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1811z00_1242;
BgL_arg1811z00_1242 = 
BGL_EXITD_PROTECT(BgL_exitd1178z00_783); 
BgL_test2450z00_3608 = 
PAIRP(BgL_arg1811z00_1242); } 
if(BgL_test2450z00_3608)
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1809z00_1243;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1810z00_1244;
BgL_arg1810z00_1244 = 
BGL_EXITD_PROTECT(BgL_exitd1178z00_783); 
BgL_arg1809z00_1243 = 
CDR(
((obj_t)BgL_arg1810z00_1244)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1178z00_783, BgL_arg1809z00_1243); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 199 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1177z00_1593, BgL_ohs1169z00_781); BUNSPEC; 
BgL_res1184z00_780 = BgL_tmp1179z00_785; } } } } } } 
POP_ENV_EXIT(BgL_env1177z00_1593); 
return BgL_res1184z00_780;} } 
}} 

}



/* &sqlite-eval-sqlite1295 */
obj_t BGl_z62sqlitezd2evalzd2sqlite1295z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1497, obj_t BgL_oz00_1498, obj_t BgL_pz00_1499, obj_t BgL_fmtz00_1500, obj_t BgL_argsz00_1501)
{
{ /* Llib/sqlite.scm 176 */
{ /* Llib/sqlite.scm 177 */
 obj_t BgL_excz00_2090;
BgL_excz00_2090 = 
MAKE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 177 */
 obj_t BgL_pz00_2091;
{ 

{ /* Llib/sqlite.scm 178 */
 int BgL_aux1094z00_2094;
BgL_aux1094z00_2094 = 
PROCEDURE_ARITY(
((obj_t)BgL_pz00_1499)); 
switch( 
(long)(BgL_aux1094z00_2094)) { case ((long)1) : 

{ /* Llib/sqlite.scm 178 */
 obj_t BgL_zc3z04anonymousza31958ze3z87_2095;
BgL_zc3z04anonymousza31958ze3z87_2095 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31958ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31958ze3z87_2095, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1499)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31958ze3z87_2095, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2090)); 
BgL_pz00_2091 = BgL_zc3z04anonymousza31958ze3z87_2095; } break;case ((long)2) : 

{ /* Llib/sqlite.scm 178 */
 obj_t BgL_zc3z04anonymousza31963ze3z87_2096;
BgL_zc3z04anonymousza31963ze3z87_2096 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31963ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)2)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31963ze3z87_2096, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1499)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31963ze3z87_2096, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2090)); 
BgL_pz00_2091 = BgL_zc3z04anonymousza31963ze3z87_2096; } break;case ((long)3) : 

{ /* Llib/sqlite.scm 178 */
 obj_t BgL_zc3z04anonymousza31968ze3z87_2097;
BgL_zc3z04anonymousza31968ze3z87_2097 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31968ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)3)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31968ze3z87_2097, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1499)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31968ze3z87_2097, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2090)); 
BgL_pz00_2091 = BgL_zc3z04anonymousza31968ze3z87_2097; } break;case ((long)4) : 

{ /* Llib/sqlite.scm 178 */
 obj_t BgL_zc3z04anonymousza31973ze3z87_2098;
BgL_zc3z04anonymousza31973ze3z87_2098 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31973ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)4)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_2098, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1499)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_2098, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2090)); 
BgL_pz00_2091 = BgL_zc3z04anonymousza31973ze3z87_2098; } break;
default: 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_zc3z04anonymousza31978ze3z87_2093;
BgL_zc3z04anonymousza31978ze3z87_2093 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza31978ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)-1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31978ze3z87_2093, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1499)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31978ze3z87_2093, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2090)); 
BgL_pz00_2091 = BgL_zc3z04anonymousza31978ze3z87_2093; } } } } 
{ /* Llib/sqlite.scm 178 */

{ /* Llib/sqlite.scm 179 */
 obj_t BgL_exitd1163z00_2099;
BgL_exitd1163z00_2099 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 184 */
 obj_t BgL_zc3z04anonymousza31957ze3z87_2100;
BgL_zc3z04anonymousza31957ze3z87_2100 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31957ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31957ze3z87_2100, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2090)); 
{ /* Llib/sqlite.scm 179 */
 obj_t BgL_arg1812z00_2101;
{ /* Llib/sqlite.scm 179 */
 obj_t BgL_arg1813z00_2102;
BgL_arg1813z00_2102 = 
BGL_EXITD_PROTECT(BgL_exitd1163z00_2099); 
BgL_arg1812z00_2101 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31957ze3z87_2100, BgL_arg1813z00_2102); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1163z00_2099, BgL_arg1812z00_2101); BUNSPEC; } 
{ /* Llib/sqlite.scm 180 */
 obj_t BgL_tmp1165z00_2103;
if(
NULLP(BgL_argsz00_1501))
{ /* Llib/sqlite.scm 182 */
 void * BgL_arg1951z00_2104;
BgL_arg1951z00_2104 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1498)))->BgL_z42builtinz42); 
BgL_tmp1165z00_2103 = 
bgl_sqlite_eval(BgL_arg1951z00_2104, BgL_pz00_2091, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_1500)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1498))); }  else 
{ /* Llib/sqlite.scm 183 */
 void * BgL_arg1952z00_2105; obj_t BgL_arg1953z00_2106;
BgL_arg1952z00_2105 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1498)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 183 */
 obj_t BgL_runner1956z00_2107;
{ /* Llib/sqlite.scm 183 */
 obj_t BgL_list1954z00_2108;
BgL_list1954z00_2108 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1501, BNIL); 
BgL_runner1956z00_2107 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1500), BgL_list1954z00_2108); } 
{ /* Llib/sqlite.scm 183 */
 obj_t BgL_aux1955z00_2109;
BgL_aux1955z00_2109 = 
CAR(BgL_runner1956z00_2107); 
BgL_runner1956z00_2107 = 
CDR(BgL_runner1956z00_2107); 
BgL_arg1953z00_2106 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1955z00_2109, BgL_runner1956z00_2107); } } 
BgL_tmp1165z00_2103 = 
bgl_sqlite_eval(BgL_arg1952z00_2105, BgL_pz00_2091, 
BSTRING_TO_STRING(BgL_arg1953z00_2106), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1498))); } 
{ /* Llib/sqlite.scm 179 */
 bool_t BgL_test2452z00_3697;
{ /* Llib/sqlite.scm 179 */
 obj_t BgL_arg1811z00_2110;
BgL_arg1811z00_2110 = 
BGL_EXITD_PROTECT(BgL_exitd1163z00_2099); 
BgL_test2452z00_3697 = 
PAIRP(BgL_arg1811z00_2110); } 
if(BgL_test2452z00_3697)
{ /* Llib/sqlite.scm 179 */
 obj_t BgL_arg1809z00_2111;
{ /* Llib/sqlite.scm 179 */
 obj_t BgL_arg1810z00_2112;
BgL_arg1810z00_2112 = 
BGL_EXITD_PROTECT(BgL_exitd1163z00_2099); 
BgL_arg1809z00_2111 = 
CDR(
((obj_t)BgL_arg1810z00_2112)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1163z00_2099, BgL_arg1809z00_2111); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 179 */BFALSE; } } 
if(
CBOOL(
CELL_REF(BgL_excz00_2090)))
{ /* Llib/sqlite.scm 184 */
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_2090)); }  else 
{ /* Llib/sqlite.scm 184 */BFALSE; } 
return BgL_tmp1165z00_2103;} } } } } } } 

}



/* &<@anonymous:1957> */
obj_t BGl_z62zc3z04anonymousza31957ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1504)
{
{ /* Llib/sqlite.scm 179 */
{ /* Llib/sqlite.scm 184 */
 obj_t BgL_excz00_1505;
BgL_excz00_1505 = 
PROCEDURE_REF(BgL_envz00_1504, 
(int)(((long)0))); 
if(
CBOOL(
CELL_REF(BgL_excz00_1505)))
{ /* Llib/sqlite.scm 184 */
return 
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_1505));}  else 
{ /* Llib/sqlite.scm 184 */
return BFALSE;} } } 

}



/* &<@anonymous:1973> */
obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1506, obj_t BgL_xz00_1509, obj_t BgL_yz00_1510, obj_t BgL_za7za7_1511, obj_t BgL_tz00_1512)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_pz00_1507; obj_t BgL_excz00_1508;
BgL_pz00_1507 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1506, 
(int)(((long)0)))); 
BgL_excz00_1508 = 
PROCEDURE_REF(BgL_envz00_1506, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_env1154z00_2113;
BgL_env1154z00_2113 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_cell1149z00_2114;
BgL_cell1149z00_2114 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_val1153z00_2115;
BgL_val1153z00_2115 = 
BGl_zc3z04exitza31975ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_1512, BgL_za7za7_1511, BgL_yz00_1510, BgL_xz00_1509, BgL_pz00_1507, BgL_cell1149z00_2114, BgL_env1154z00_2113); 
if(
(BgL_val1153z00_2115==BgL_cell1149z00_2114))
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 int BgL_tmpz00_3722;
BgL_tmpz00_3722 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3722); } 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1974z00_2116;
BgL_arg1974z00_2116 = 
CELL_REF(
((obj_t)BgL_val1153z00_2115)); 
return 
CELL_SET(BgL_excz00_1508, BgL_arg1974z00_2116);} }  else 
{ /* Llib/sqlite.scm 178 */
return BgL_val1153z00_2115;} } } } } } 

}



/* <@exit:1975>~0 */
obj_t BGl_zc3z04exitza31975ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_1592, obj_t BgL_za7za7_1591, obj_t BgL_yz00_1590, obj_t BgL_xz00_1589, obj_t BgL_pz00_1588, obj_t BgL_cell1149z00_1587, obj_t BgL_env1154z00_1586)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1158z00_625;
if( SET_EXIT(BgL_an_exit1158z00_625 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1158z00_625 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1154z00_1586, BgL_an_exit1158z00_625, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_escape1150z00_626;
BgL_escape1150z00_626 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1154z00_1586); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_res1161z00_627;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_ohs1146z00_628;
BgL_ohs1146z00_628 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1154z00_1586); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_hds1147z00_629;
BgL_hds1147z00_629 = 
MAKE_STACK_PAIR(BgL_escape1150z00_626, BgL_cell1149z00_1587); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1154z00_1586, BgL_hds1147z00_629); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_exitd1155z00_630;
BgL_exitd1155z00_630 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1154z00_1586); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1157z00_631;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1976z00_633;
BgL_arg1976z00_633 = 
BGL_EXITD_PROTECT(BgL_exitd1155z00_630); 
BgL_tmp1157z00_631 = 
MAKE_YOUNG_PAIR(BgL_ohs1146z00_628, BgL_arg1976z00_633); } 
{ /* Llib/sqlite.scm 178 */

BGL_EXITD_PROTECT_SET(BgL_exitd1155z00_630, BgL_tmp1157z00_631); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1156z00_632;
BgL_tmp1156z00_632 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_1588))(BgL_pz00_1588, BgL_xz00_1589, BgL_yz00_1590, BgL_za7za7_1591, BgL_tz00_1592, BEOA); 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_test2456z00_3745;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1811z00_1227;
BgL_arg1811z00_1227 = 
BGL_EXITD_PROTECT(BgL_exitd1155z00_630); 
BgL_test2456z00_3745 = 
PAIRP(BgL_arg1811z00_1227); } 
if(BgL_test2456z00_3745)
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1809z00_1228;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1810z00_1229;
BgL_arg1810z00_1229 = 
BGL_EXITD_PROTECT(BgL_exitd1155z00_630); 
BgL_arg1809z00_1228 = 
CDR(
((obj_t)BgL_arg1810z00_1229)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1155z00_630, BgL_arg1809z00_1228); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 178 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1154z00_1586, BgL_ohs1146z00_628); BUNSPEC; 
BgL_res1161z00_627 = BgL_tmp1156z00_632; } } } } } } 
POP_ENV_EXIT(BgL_env1154z00_1586); 
return BgL_res1161z00_627;} } 
}} 

}



/* &<@anonymous:1968> */
obj_t BGl_z62zc3z04anonymousza31968ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1514, obj_t BgL_xz00_1517, obj_t BgL_yz00_1518, obj_t BgL_za7za7_1519)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_pz00_1515; obj_t BgL_excz00_1516;
BgL_pz00_1515 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1514, 
(int)(((long)0)))); 
BgL_excz00_1516 = 
PROCEDURE_REF(BgL_envz00_1514, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_env1137z00_2117;
BgL_env1137z00_2117 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_cell1132z00_2118;
BgL_cell1132z00_2118 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_val1136z00_2119;
BgL_val1136z00_2119 = 
BGl_zc3z04exitza31970ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_1519, BgL_yz00_1518, BgL_xz00_1517, BgL_pz00_1515, BgL_cell1132z00_2118, BgL_env1137z00_2117); 
if(
(BgL_val1136z00_2119==BgL_cell1132z00_2118))
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 int BgL_tmpz00_3764;
BgL_tmpz00_3764 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3764); } 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1969z00_2120;
BgL_arg1969z00_2120 = 
CELL_REF(
((obj_t)BgL_val1136z00_2119)); 
return 
CELL_SET(BgL_excz00_1516, BgL_arg1969z00_2120);} }  else 
{ /* Llib/sqlite.scm 178 */
return BgL_val1136z00_2119;} } } } } } 

}



/* <@exit:1970>~0 */
obj_t BGl_zc3z04exitza31970ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_1585, obj_t BgL_yz00_1584, obj_t BgL_xz00_1583, obj_t BgL_pz00_1582, obj_t BgL_cell1132z00_1581, obj_t BgL_env1137z00_1580)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1141z00_602;
if( SET_EXIT(BgL_an_exit1141z00_602 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1141z00_602 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1137z00_1580, BgL_an_exit1141z00_602, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_escape1133z00_603;
BgL_escape1133z00_603 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1137z00_1580); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_res1144z00_604;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_ohs1129z00_605;
BgL_ohs1129z00_605 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1137z00_1580); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_hds1130z00_606;
BgL_hds1130z00_606 = 
MAKE_STACK_PAIR(BgL_escape1133z00_603, BgL_cell1132z00_1581); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1137z00_1580, BgL_hds1130z00_606); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_exitd1138z00_607;
BgL_exitd1138z00_607 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1137z00_1580); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1140z00_608;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1971z00_610;
BgL_arg1971z00_610 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_607); 
BgL_tmp1140z00_608 = 
MAKE_YOUNG_PAIR(BgL_ohs1129z00_605, BgL_arg1971z00_610); } 
{ /* Llib/sqlite.scm 178 */

BGL_EXITD_PROTECT_SET(BgL_exitd1138z00_607, BgL_tmp1140z00_608); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1139z00_609;
BgL_tmp1139z00_609 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_1582))(BgL_pz00_1582, BgL_xz00_1583, BgL_yz00_1584, BgL_za7za7_1585, BEOA); 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_test2458z00_3786;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1811z00_1221;
BgL_arg1811z00_1221 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_607); 
BgL_test2458z00_3786 = 
PAIRP(BgL_arg1811z00_1221); } 
if(BgL_test2458z00_3786)
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1809z00_1222;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1810z00_1223;
BgL_arg1810z00_1223 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_607); 
BgL_arg1809z00_1222 = 
CDR(
((obj_t)BgL_arg1810z00_1223)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1138z00_607, BgL_arg1809z00_1222); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 178 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1137z00_1580, BgL_ohs1129z00_605); BUNSPEC; 
BgL_res1144z00_604 = BgL_tmp1139z00_609; } } } } } } 
POP_ENV_EXIT(BgL_env1137z00_1580); 
return BgL_res1144z00_604;} } 
}} 

}



/* &<@anonymous:1963> */
obj_t BGl_z62zc3z04anonymousza31963ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1521, obj_t BgL_xz00_1524, obj_t BgL_yz00_1525)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_pz00_1522; obj_t BgL_excz00_1523;
BgL_pz00_1522 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1521, 
(int)(((long)0)))); 
BgL_excz00_1523 = 
PROCEDURE_REF(BgL_envz00_1521, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_env1120z00_2121;
BgL_env1120z00_2121 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_cell1115z00_2122;
BgL_cell1115z00_2122 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_val1119z00_2123;
BgL_val1119z00_2123 = 
BGl_zc3z04exitza31965ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_1525, BgL_xz00_1524, BgL_pz00_1522, BgL_cell1115z00_2122, BgL_env1120z00_2121); 
if(
(BgL_val1119z00_2123==BgL_cell1115z00_2122))
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 int BgL_tmpz00_3805;
BgL_tmpz00_3805 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3805); } 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1964z00_2124;
BgL_arg1964z00_2124 = 
CELL_REF(
((obj_t)BgL_val1119z00_2123)); 
return 
CELL_SET(BgL_excz00_1523, BgL_arg1964z00_2124);} }  else 
{ /* Llib/sqlite.scm 178 */
return BgL_val1119z00_2123;} } } } } } 

}



/* <@exit:1965>~0 */
obj_t BGl_zc3z04exitza31965ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_1579, obj_t BgL_xz00_1578, obj_t BgL_pz00_1577, obj_t BgL_cell1115z00_1576, obj_t BgL_env1120z00_1575)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1124z00_580;
if( SET_EXIT(BgL_an_exit1124z00_580 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1124z00_580 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1120z00_1575, BgL_an_exit1124z00_580, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_escape1116z00_581;
BgL_escape1116z00_581 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1120z00_1575); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_res1127z00_582;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_ohs1112z00_583;
BgL_ohs1112z00_583 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1120z00_1575); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_hds1113z00_584;
BgL_hds1113z00_584 = 
MAKE_STACK_PAIR(BgL_escape1116z00_581, BgL_cell1115z00_1576); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1120z00_1575, BgL_hds1113z00_584); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_exitd1121z00_585;
BgL_exitd1121z00_585 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1120z00_1575); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1123z00_586;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1966z00_588;
BgL_arg1966z00_588 = 
BGL_EXITD_PROTECT(BgL_exitd1121z00_585); 
BgL_tmp1123z00_586 = 
MAKE_YOUNG_PAIR(BgL_ohs1112z00_583, BgL_arg1966z00_588); } 
{ /* Llib/sqlite.scm 178 */

BGL_EXITD_PROTECT_SET(BgL_exitd1121z00_585, BgL_tmp1123z00_586); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1122z00_587;
BgL_tmp1122z00_587 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_1577))(BgL_pz00_1577, BgL_xz00_1578, BgL_yz00_1579, BEOA); 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_test2460z00_3826;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1811z00_1215;
BgL_arg1811z00_1215 = 
BGL_EXITD_PROTECT(BgL_exitd1121z00_585); 
BgL_test2460z00_3826 = 
PAIRP(BgL_arg1811z00_1215); } 
if(BgL_test2460z00_3826)
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1809z00_1216;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1810z00_1217;
BgL_arg1810z00_1217 = 
BGL_EXITD_PROTECT(BgL_exitd1121z00_585); 
BgL_arg1809z00_1216 = 
CDR(
((obj_t)BgL_arg1810z00_1217)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1121z00_585, BgL_arg1809z00_1216); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 178 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1120z00_1575, BgL_ohs1112z00_583); BUNSPEC; 
BgL_res1127z00_582 = BgL_tmp1122z00_587; } } } } } } 
POP_ENV_EXIT(BgL_env1120z00_1575); 
return BgL_res1127z00_582;} } 
}} 

}



/* &<@anonymous:1958> */
obj_t BGl_z62zc3z04anonymousza31958ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1527, obj_t BgL_xz00_1530)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_pz00_1528; obj_t BgL_excz00_1529;
BgL_pz00_1528 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1527, 
(int)(((long)0)))); 
BgL_excz00_1529 = 
PROCEDURE_REF(BgL_envz00_1527, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_env1103z00_2125;
BgL_env1103z00_2125 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_cell1098z00_2126;
BgL_cell1098z00_2126 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_val1102z00_2127;
BgL_val1102z00_2127 = 
BGl_zc3z04exitza31960ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_1530, BgL_pz00_1528, BgL_cell1098z00_2126, BgL_env1103z00_2125); 
if(
(BgL_val1102z00_2127==BgL_cell1098z00_2126))
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 int BgL_tmpz00_3845;
BgL_tmpz00_3845 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3845); } 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1959z00_2128;
BgL_arg1959z00_2128 = 
CELL_REF(
((obj_t)BgL_val1102z00_2127)); 
return 
CELL_SET(BgL_excz00_1529, BgL_arg1959z00_2128);} }  else 
{ /* Llib/sqlite.scm 178 */
return BgL_val1102z00_2127;} } } } } } 

}



/* <@exit:1960>~0 */
obj_t BGl_zc3z04exitza31960ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_1574, obj_t BgL_pz00_1573, obj_t BgL_cell1098z00_1572, obj_t BgL_env1103z00_1571)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1107z00_559;
if( SET_EXIT(BgL_an_exit1107z00_559 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1107z00_559 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1103z00_1571, BgL_an_exit1107z00_559, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_escape1099z00_560;
BgL_escape1099z00_560 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1103z00_1571); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_res1110z00_561;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_ohs1095z00_562;
BgL_ohs1095z00_562 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1103z00_1571); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_hds1096z00_563;
BgL_hds1096z00_563 = 
MAKE_STACK_PAIR(BgL_escape1099z00_560, BgL_cell1098z00_1572); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1103z00_1571, BgL_hds1096z00_563); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_exitd1104z00_564;
BgL_exitd1104z00_564 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1103z00_1571); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1106z00_565;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1961z00_567;
BgL_arg1961z00_567 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_564); 
BgL_tmp1106z00_565 = 
MAKE_YOUNG_PAIR(BgL_ohs1095z00_562, BgL_arg1961z00_567); } 
{ /* Llib/sqlite.scm 178 */

BGL_EXITD_PROTECT_SET(BgL_exitd1104z00_564, BgL_tmp1106z00_565); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1105z00_566;
BgL_tmp1105z00_566 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_1573))(BgL_pz00_1573, BgL_xz00_1574, BEOA); 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_test2462z00_3865;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1811z00_1209;
BgL_arg1811z00_1209 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_564); 
BgL_test2462z00_3865 = 
PAIRP(BgL_arg1811z00_1209); } 
if(BgL_test2462z00_3865)
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1809z00_1210;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1810z00_1211;
BgL_arg1810z00_1211 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_564); 
BgL_arg1809z00_1210 = 
CDR(
((obj_t)BgL_arg1810z00_1211)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1104z00_564, BgL_arg1809z00_1210); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 178 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1103z00_1571, BgL_ohs1095z00_562); BUNSPEC; 
BgL_res1110z00_561 = BgL_tmp1105z00_566; } } } } } } 
POP_ENV_EXIT(BgL_env1103z00_1571); 
return BgL_res1110z00_561;} } 
}} 

}



/* &<@anonymous:1978> */
obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1532, obj_t BgL_lz00_1535)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_pz00_1533; obj_t BgL_excz00_1534;
BgL_pz00_1533 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1532, 
(int)(((long)0)))); 
BgL_excz00_1534 = 
PROCEDURE_REF(BgL_envz00_1532, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_env1084z00_2129;
BgL_env1084z00_2129 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_cell1079z00_2130;
BgL_cell1079z00_2130 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_val1083z00_2131;
BgL_val1083z00_2131 = 
BGl_zc3z04exitza31980ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_1533, BgL_lz00_1535, BgL_cell1079z00_2130, BgL_env1084z00_2129); 
if(
(BgL_val1083z00_2131==BgL_cell1079z00_2130))
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 int BgL_tmpz00_3884;
BgL_tmpz00_3884 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3884); } 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1979z00_2132;
BgL_arg1979z00_2132 = 
CELL_REF(
((obj_t)BgL_val1083z00_2131)); 
return 
CELL_SET(BgL_excz00_1534, BgL_arg1979z00_2132);} }  else 
{ /* Llib/sqlite.scm 178 */
return BgL_val1083z00_2131;} } } } } } 

}



/* <@exit:1980>~0 */
obj_t BGl_zc3z04exitza31980ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_1570, obj_t BgL_lz00_1569, obj_t BgL_cell1079z00_1568, obj_t BgL_env1084z00_1567)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1088z00_645;
if( SET_EXIT(BgL_an_exit1088z00_645 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1088z00_645 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1084z00_1567, BgL_an_exit1088z00_645, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_escape1080z00_646;
BgL_escape1080z00_646 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1084z00_1567); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_res1091z00_647;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_ohs1076z00_648;
BgL_ohs1076z00_648 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1084z00_1567); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_hds1077z00_649;
BgL_hds1077z00_649 = 
MAKE_STACK_PAIR(BgL_escape1080z00_646, BgL_cell1079z00_1568); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1084z00_1567, BgL_hds1077z00_649); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_exitd1085z00_650;
BgL_exitd1085z00_650 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1084z00_1567); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1087z00_651;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1981z00_653;
BgL_arg1981z00_653 = 
BGL_EXITD_PROTECT(BgL_exitd1085z00_650); 
BgL_tmp1087z00_651 = 
MAKE_YOUNG_PAIR(BgL_ohs1076z00_648, BgL_arg1981z00_653); } 
{ /* Llib/sqlite.scm 178 */

BGL_EXITD_PROTECT_SET(BgL_exitd1085z00_650, BgL_tmp1087z00_651); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1086z00_652;
BgL_tmp1086z00_652 = 
apply(BgL_pz00_1570, BgL_lz00_1569); 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_test2464z00_3902;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1811z00_1202;
BgL_arg1811z00_1202 = 
BGL_EXITD_PROTECT(BgL_exitd1085z00_650); 
BgL_test2464z00_3902 = 
PAIRP(BgL_arg1811z00_1202); } 
if(BgL_test2464z00_3902)
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1809z00_1203;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1810z00_1204;
BgL_arg1810z00_1204 = 
BGL_EXITD_PROTECT(BgL_exitd1085z00_650); 
BgL_arg1809z00_1203 = 
CDR(
((obj_t)BgL_arg1810z00_1204)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1085z00_650, BgL_arg1809z00_1203); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 178 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1084z00_1567, BgL_ohs1076z00_648); BUNSPEC; 
BgL_res1091z00_647 = BgL_tmp1086z00_652; } } } } } } 
POP_ENV_EXIT(BgL_env1084z00_1567); 
return BgL_res1091z00_647;} } 
}} 

}



/* &sqlite-exec-sqlite1291 */
obj_t BGl_z62sqlitezd2execzd2sqlite1291z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1537, obj_t BgL_oz00_1538, obj_t BgL_fmtz00_1539, obj_t BgL_argsz00_1540)
{
{ /* Llib/sqlite.scm 138 */
if(
NULLP(BgL_argsz00_1540))
{ /* Llib/sqlite.scm 141 */
 void * BgL_arg1942z00_2135;
BgL_arg1942z00_2135 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1538)))->BgL_z42builtinz42); 
return 
bgl_sqlite_exec(BgL_arg1942z00_2135, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_1539)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1538)));}  else 
{ /* Llib/sqlite.scm 142 */
 void * BgL_arg1943z00_2136; obj_t BgL_arg1944z00_2137;
BgL_arg1943z00_2136 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1538)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 142 */
 obj_t BgL_runner1947z00_2138;
{ /* Llib/sqlite.scm 142 */
 obj_t BgL_list1945z00_2139;
BgL_list1945z00_2139 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1540, BNIL); 
BgL_runner1947z00_2138 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1539), BgL_list1945z00_2139); } 
{ /* Llib/sqlite.scm 142 */
 obj_t BgL_aux1946z00_2140;
BgL_aux1946z00_2140 = 
CAR(BgL_runner1947z00_2138); 
BgL_runner1947z00_2138 = 
CDR(BgL_runner1947z00_2138); 
BgL_arg1944z00_2137 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1946z00_2140, BgL_runner1947z00_2138); } } 
return 
bgl_sqlite_exec(BgL_arg1943z00_2136, 
BSTRING_TO_STRING(BgL_arg1944z00_2137), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1538)));} } 

}



/* &sqlite-close-sqlite1287 */
obj_t BGl_z62sqlitezd2closezd2sqlite1287z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1541, obj_t BgL_oz00_1542)
{
{ /* Llib/sqlite.scm 123 */
{ /* Llib/sqlite.scm 125 */
 void * BgL_arg1940z00_2142;
BgL_arg1940z00_2142 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1542)))->BgL_z42builtinz42); 
bgl_sqlite_close(BgL_arg1940z00_2142, 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1542))); 
return BUNSPEC;} } 

}



/* &object-print-sqlite1283 */
obj_t BGl_z62objectzd2printzd2sqlite1283z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1543, obj_t BgL_oz00_1544, obj_t BgL_portz00_1545, obj_t BgL_printzd2slotzd2_1546)
{
{ /* Llib/sqlite.scm 91 */
{ /* Llib/sqlite.scm 92 */
 obj_t BgL_list1939z00_2144;
BgL_list1939z00_2144 = 
MAKE_YOUNG_PAIR(BgL_portz00_1545, BNIL); 
return 
BGl_objectzd2writezd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_sqlitez00_bglt)BgL_oz00_1544)), BgL_list1939z00_2144);} } 

}



/* &object-write-sqlite1281 */
obj_t BGl_z62objectzd2writezd2sqlite1281z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1547, obj_t BgL_oz00_1548, obj_t BgL_portz00_1549)
{
{ /* Llib/sqlite.scm 82 */
{ /* Llib/sqlite.scm 83 */
 obj_t BgL_arg1930z00_2146;
if(
PAIRP(BgL_portz00_1549))
{ /* Llib/sqlite.scm 83 */
BgL_arg1930z00_2146 = 
CAR(BgL_portz00_1549); }  else 
{ /* Llib/sqlite.scm 83 */
 obj_t BgL_tmpz00_3944;
BgL_tmpz00_3944 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1930z00_2146 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3944); } 
{ /* Llib/sqlite.scm 85 */
 obj_t BgL_zc3z04anonymousza31933ze3z87_2147;
BgL_zc3z04anonymousza31933ze3z87_2147 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31933ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31933ze3z87_2147, 
(int)(((long)0)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1548))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1930z00_2146, BgL_zc3z04anonymousza31933ze3z87_2147);} } } 

}



/* &<@anonymous:1933> */
obj_t BGl_z62zc3z04anonymousza31933ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1550)
{
{ /* Llib/sqlite.scm 84 */
{ /* Llib/sqlite.scm 85 */
 BgL_sqlitez00_bglt BgL_oz00_1551;
BgL_oz00_1551 = 
((BgL_sqlitez00_bglt)
PROCEDURE_REF(BgL_envz00_1550, 
(int)(((long)0)))); 
{ /* Llib/sqlite.scm 86 */
 obj_t BgL_arg1934z00_2148;
BgL_arg1934z00_2148 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_1551)))->BgL_pathz00); 
{ /* Llib/sqlite.scm 86 */
 obj_t BgL_list1935z00_2149;
{ /* Llib/sqlite.scm 86 */
 obj_t BgL_arg1936z00_2150;
{ /* Llib/sqlite.scm 86 */
 obj_t BgL_arg1937z00_2151;
BgL_arg1937z00_2151 = 
MAKE_YOUNG_PAIR(BGl_string2206z00zz__sqlite_sqlitez00, BNIL); 
BgL_arg1936z00_2150 = 
MAKE_YOUNG_PAIR(BgL_arg1934z00_2148, BgL_arg1937z00_2151); } 
BgL_list1935z00_2149 = 
MAKE_YOUNG_PAIR(BGl_string2207z00zz__sqlite_sqlitez00, BgL_arg1936z00_2150); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1935z00_2149);} } } } 

}



/* &object-display-sqlit1279 */
obj_t BGl_z62objectzd2displayzd2sqlit1279z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1552, obj_t BgL_oz00_1553, obj_t BgL_portz00_1554)
{
{ /* Llib/sqlite.scm 73 */
{ /* Llib/sqlite.scm 74 */
 obj_t BgL_arg1921z00_2153;
if(
PAIRP(BgL_portz00_1554))
{ /* Llib/sqlite.scm 74 */
BgL_arg1921z00_2153 = 
CAR(BgL_portz00_1554); }  else 
{ /* Llib/sqlite.scm 74 */
 obj_t BgL_tmpz00_3967;
BgL_tmpz00_3967 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1921z00_2153 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3967); } 
{ /* Llib/sqlite.scm 76 */
 obj_t BgL_zc3z04anonymousza31924ze3z87_2154;
BgL_zc3z04anonymousza31924ze3z87_2154 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31924ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31924ze3z87_2154, 
(int)(((long)0)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1553))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1921z00_2153, BgL_zc3z04anonymousza31924ze3z87_2154);} } } 

}



/* &<@anonymous:1924> */
obj_t BGl_z62zc3z04anonymousza31924ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1555)
{
{ /* Llib/sqlite.scm 75 */
{ /* Llib/sqlite.scm 76 */
 BgL_sqlitez00_bglt BgL_oz00_1556;
BgL_oz00_1556 = 
((BgL_sqlitez00_bglt)
PROCEDURE_REF(BgL_envz00_1555, 
(int)(((long)0)))); 
{ /* Llib/sqlite.scm 77 */
 obj_t BgL_arg1925z00_2155;
BgL_arg1925z00_2155 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_1556)))->BgL_pathz00); 
{ /* Llib/sqlite.scm 77 */
 obj_t BgL_list1926z00_2156;
{ /* Llib/sqlite.scm 77 */
 obj_t BgL_arg1927z00_2157;
{ /* Llib/sqlite.scm 77 */
 obj_t BgL_arg1928z00_2158;
BgL_arg1928z00_2158 = 
MAKE_YOUNG_PAIR(BGl_string2206z00zz__sqlite_sqlitez00, BNIL); 
BgL_arg1927z00_2157 = 
MAKE_YOUNG_PAIR(BgL_arg1925z00_2155, BgL_arg1928z00_2158); } 
BgL_list1926z00_2156 = 
MAKE_YOUNG_PAIR(BGl_string2207z00zz__sqlite_sqlitez00, BgL_arg1927z00_2157); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1926z00_2156);} } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__sqlite_sqltinyz00(((long)266205491), 
BSTRING_TO_STRING(BGl_string2208z00zz__sqlite_sqlitez00));} 

}

#ifdef __cplusplus
}
#endif
