/*===========================================================================*/
/*   (Llib/ssl.scm)                                                          */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -I. -copt -fPIC -copt -IC Llib/ssl.scm -o objs/ssl.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglssl.h>
#include <ssl_debug.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_certificatez00_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
} *BgL_certificatez00_bglt;

typedef struct BgL_privatezd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
} *BgL_privatezd2keyzd2_bglt;

typedef struct BgL_securezd2contextzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z42cazd2storez90;
   obj_t BgL_methodz00;
} *BgL_securezd2contextzd2_bglt;

typedef struct BgL_sslzd2connectionzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z42biozd2readz90;
   void * BgL_z42biozd2writez90;
   void * BgL_z42nextzd2sessionz90;
   struct BgL_securezd2contextzd2_bgl * BgL_ctxz00;
   bool_t BgL_isserverz00;
   bool_t BgL_requestzd2certzd2;
   obj_t BgL_serverzd2namezd2;
   bool_t BgL_rejectzd2unauthoriza7edz75;
   obj_t BgL_infozd2callbackzd2;
   obj_t BgL_snizd2contextzd2callbackz00;
   obj_t BgL_newsessionzd2callbackzd2;
   obj_t BgL_selectedzd2npnzd2protosz00;
   obj_t BgL_npnzd2protoszd2;
   obj_t BgL_errz00;
   bool_t BgL_receivedzd2shutdownzd2;
   bool_t BgL_sentzd2shutdownzd2;
} *BgL_sslzd2connectionzd2_bglt;

typedef struct BgL_dhz00_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z52pz52;
   void * BgL_z52qz52;
   void * BgL_z52gz52;
   void * BgL_z52pubz52;
   void * BgL_z52privz52;
} *BgL_dhz00_bglt;

typedef struct BgL_sslzd2hashzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
   obj_t BgL_typez00;
} *BgL_sslzd2hashzd2_bglt;

typedef struct BgL_sslzd2hmaczd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2hmaczd2_bglt;

typedef struct BgL_sslzd2signzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2signzd2_bglt;

typedef struct BgL_sslzd2verifyzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2verifyzd2_bglt;

typedef struct BgL_sslzd2cipherzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42cipherz42;
   void * BgL_z42cipherzd2ctxz90;
} *BgL_sslzd2cipherzd2_bglt;


static obj_t BGl_z62lambda1927z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62lambda1928z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1848z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1849z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_cipher_initiv(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, obj_t, long, long, bool_t);
static obj_t BGl_z62sslzd2hashzd2digest1325z62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_ctx_init(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62securezd2contextzd2closez62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_load_private_key(obj_t);
static obj_t BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_dh_check_pub_key(void *, void *);
BGL_EXPORTED_DECL bool_t BGl_sslzd2randzd2pollz00zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2reuse1303z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2init1345z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_pkcs5_pbkdf2_hmac_sha1(obj_t, obj_t, int, int);
static obj_t BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1933z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1934z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern int bgl_ssl_connection_close(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda1855z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1856z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1939z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2freezd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2c1295zb0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_certificatez00zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2s1293zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62lambda1940z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1862z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1863z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2setzd2s1291zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1946z62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_make_ssl_server_socket(obj_t, int, int, obj_t, obj_t, obj_t, obj_t, int, bool_t);
static obj_t BGl_z62lambda1947z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32101ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2newzd2zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2verifyzd2init1339z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2zz__ssl_sslz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt);
extern bool_t bgl_ssl_ctx_set_cert(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2setzd2autozd21351z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31864ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2signzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2connectionzd2_bglt BGl_z62lambda1870z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31929ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62lambda1953z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1954z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2connectionzd2_bglt BGl_z62lambda1873z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00(void);
static BgL_certificatez00_bglt BGl_z62lambda1793z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_certificatez00_bglt BGl_z62lambda1795z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_certificatez00_bglt);
extern bool_t bgl_ssl_ctx_add_ca_cert(BgL_securezd2contextzd2_bglt, obj_t, long, long);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_sign_sign(BgL_sslzd2signzd2_bglt, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza31962ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1960z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1961z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2shutd1275z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1882z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1883z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1967z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1968z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1889z62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_cipher_init(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, bool_t);
static obj_t BGl_z62zc3z04anonymousza32200ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32022ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2key1319z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_dhz00_bglt, int, obj_t);
static obj_t BGl_z62dhzd2initzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31955ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1890z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_evp_get_ciphers(void);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, obj_t, long, long, bool_t);
static obj_t BGl_z62lambda1974z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1975z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2clearzd2errorz00zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1896z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1897z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2init1333z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2o1267zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32015ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_search1228ze70ze7zz__ssl_sslz00(long, obj_t, obj_t, long);
static obj_t BGl_z62zc3z04anonymousza31891ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31875ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31948ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1981z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1982z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2write1279z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1988z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1989z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_ctx_add_crl(BgL_securezd2contextzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL char * BGl_sslzd2versionzd2zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2getzd2n1305zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2init1269z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32105ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32008ze3ze5zz__ssl_sslz00(obj_t);
extern bool_t bgl_ssl_ctx_set_key(BgL_securezd2contextzd2_bglt, obj_t, long, long, obj_t);
BGL_EXPORTED_DEF obj_t BGl_privatezd2keyzd2zz__ssl_sslz00 = BUNSPEC;
extern obj_t bgl_ssl_error_string(void);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern void * bgl_dh_public_key(void *);
static obj_t BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31884ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static BgL_dhz00_bglt BGl_z62lambda1996z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_dhz00_bglt BGl_z62lambda1999z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(obj_t, obj_t, int, int);
static obj_t BGl_z62sslzd2connectionzd2read1277z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62sslzd2connectionzd2verif1299z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31990ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_readzd2pemzd2filez00zz__ssl_sslz00(obj_t);
extern bool_t bgl_cipher_set_auto_padding(BgL_sslzd2cipherzd2_bglt, bool_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt);
BGL_EXPORTED_DECL bool_t BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t, long, long, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32115ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL BgL_certificatez00_bglt BGl_readzd2certificatezd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2randzd2statusz00zz__ssl_sslz00(void);
extern obj_t bgl_cipher_final(BgL_sslzd2cipherzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31983ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32132ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32043ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern void * bgl_dh_private_key(void *);
static obj_t BGl_z62sslzd2hashzd2init1321z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_make_certificate(void *);
static obj_t BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(int);
static obj_t BGl_z62dhzd2siza7ez17zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31976ze3ze5zz__ssl_sslz00(obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt, obj_t, long, long);
extern obj_t bgl_ssl_hmac_digest(BgL_sslzd2hmaczd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32052ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32214ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32036ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_bnzd2setzd2wordz00zz__ssl_sslz00(obj_t, int);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__ssl_sslz00(obj_t);
extern obj_t bgl_dh_check(void *);
static obj_t BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2initz62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_dhz00_bglt, obj_t);
static obj_t BGl_z62sslzd2signzd2sign1337z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__ssl_sslz00(void);
static obj_t BGl_z62securezd2contextzd2loadzd21263zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_hash_init(BgL_sslzd2hashzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32231ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32053ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32029ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2cipherzd2updatez121349z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2init1327z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32062ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32224ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62bnzd2newzb0zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
extern obj_t bgl_ssl_certificate_issuer(obj_t);
static obj_t BGl_z62zc3z04anonymousza32119ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2bin2bnzd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31898ze3ze5zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t, obj_t);
extern void bgl_dh_pub_priv_key_set(void *, void *, void *);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_sslzd2socketzf3z21zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2close1241z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32063ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32047ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32128ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2digest1331z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL BgL_privatezd2keyzd2_bglt BGl_readzd2privatezd2keyz00zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2p1301zb0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2versionzb0zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, int);
static obj_t BGl_z62zc3z04anonymousza32161ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2006z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2007z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32048ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t);
static BgL_certificatez00_bglt BGl_z62readzd2certificatezb0zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_connection_get_negotiated_protocol(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_connection_shutdown(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_evpzd2getzd2hashesz00zz__ssl_sslz00(void);
BGL_EXPORTED_DECL obj_t bgl_make_private_key(void *);
BGL_EXPORTED_DECL int BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2013z62zz__ssl_sslz00(obj_t, obj_t);
extern long bgl_ssl_connection_clear_in(BgL_sslzd2connectionzd2_bglt, char *, long, long);
extern bool_t bgl_load_pkcs12(BgL_securezd2contextzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda2014z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2init1239z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32073ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32154ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32057ze3ze5zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_cipher_update(BgL_sslzd2cipherzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2bn2binzb0zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_z62sslzd2hashzd2updatez121323z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_load_pem(obj_t);
static obj_t BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl_z62lambda2020z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2021z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32147ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62certificatezd2issuerzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2027z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32058ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2028z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, bool_t);
static obj_t BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern void bgl_dh_pqg_set(void *, void *, void *, void *);
static obj_t BGl_z62bnzd2freezb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2034z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2checkzd2pubzd2key1315zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2035z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32067ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_hash_digest(BgL_sslzd2hashzd2_bglt);
extern bool_t bgl_ssl_sign_init(BgL_sslzd2signzd2_bglt, obj_t);
extern obj_t bgl_ssl_connection_init(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_hash_update(BgL_sslzd2hashzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2hmaczd2updatez121329z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_get_ciphers(void);
BGL_EXPORTED_DECL int BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_applyz00zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2041z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2042z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32262ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2205z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2206z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32238ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2signzd2updatez121335z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32068ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ssl_sslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62securezd2contextzd2setzd2k1249zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62lambda2212z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL void * bgl_private_key_native(obj_t);
extern obj_t bgl_ssl_connection_verify_error(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32190ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2213z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32255ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt);
BGL_EXPORTED_DECL int BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32077ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2bn2binzd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2c1259zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2init1307zb0zz__ssl_sslz00(obj_t, obj_t);
extern int bgl_ssl_connection_set_session(BgL_sslzd2connectionzd2_bglt, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2check1313zb0zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2verifyzd2_bglt BGl_z62lambda2220z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00(obj_t);
static BgL_sslzd2verifyzd2_bglt BGl_z62lambda2222z62zz__ssl_sslz00(obj_t);
static BgL_sslzd2hashzd2_bglt BGl_z62lambda2142z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_z52socketzd2initz12z92zz__socketz00(void);
static obj_t BGl_z62zc3z04anonymousza32183ze3ze5zz__ssl_sslz00(obj_t);
static BgL_sslzd2hashzd2_bglt BGl_z62lambda2145z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32248ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2signz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_load_certificate(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2c1265zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2229z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, bool_t);
static obj_t BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2s1261zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_certificate_subject(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62dhzd2siza7e1309z17zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_connection_get_peer_certificate(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2socketzf3z43zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2230z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2152z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2153z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_client_socket_use_ssl(obj_t, int, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32176ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00(void);
extern int bgl_ssl_connection_load_session(BgL_sslzd2connectionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32087ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2236z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2237z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_ctx_add_root_certs(BgL_securezd2contextzd2_bglt);
extern bool_t bgl_ssl_ctx_set_session_id_context(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62lambda2159z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ssl_sslz00(void);
static obj_t BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62z52makezd2certificateze2zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(obj_t, obj_t, int);
static obj_t BGl_z62sslzd2connectionzd2start1271z62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00(void);
extern long bgl_ssl_connection_read(BgL_sslzd2connectionzd2_bglt, char *, long, long);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1212ze70ze7zz__ssl_sslz00(long, obj_t, obj_t, long);
static obj_t BGl_z62dhzd2generatezd2paramete1311z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__ssl_sslz00(void);
static obj_t BGl_z62lambda2160z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2cipherzd2_bglt BGl_z62lambda2244z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2165z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2cipherzd2_bglt BGl_z62lambda2246z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2166z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62securezd2contextzd2addzd2r1243zb0zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_ctx_close(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t, long, long);
static BgL_sslzd2hmaczd2_bglt BGl_z62lambda2172z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2253z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2254z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2hmaczd2_bglt BGl_z62lambda2174z62zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
extern obj_t bgl_ssl_connection_get_current_cipher(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2computezd2key1317z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern void * bgl_bn_bin2bn(char *, int);
static obj_t BGl_z62sslzd2connectionzd2loadzd21297zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_evp_get_hashes(void);
static obj_t BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(obj_t, obj_t);
extern char * bgl_ssl_version(void);
extern bool_t bgl_ssl_verify_update(BgL_sslzd2verifyzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_connection_init_finishedp(BgL_sslzd2connectionzd2_bglt);
extern long bgl_ssl_connection_write(BgL_sslzd2connectionzd2_bglt, char *, long, long);
extern long bgl_ssl_connection_clear_out(BgL_sslzd2connectionzd2_bglt, char *, long, long);
static obj_t BGl_z62sslzd2cipherzd2initiv1347z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2260z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31806ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2261z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initzd21285zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2181z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2182z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1281z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1283z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2188z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2189z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1289z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_make_ssl_client_socket(obj_t, int, int, int, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62zc3z04anonymousza31726ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2signzd2_bglt BGl_z62lambda2196z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2zz__ssl_sslz00 = BUNSPEC;
static BgL_sslzd2signzd2_bglt BGl_z62lambda2198z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2verifyzd2final1343z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_hmac_init(BgL_sslzd2hmaczd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2close1273z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2c1245zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31905ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2c1247zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT long default_io_bufsiz;
extern int bgl_ssl_connection_clear_pending(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt);
static obj_t BGl_z62certificatezd2subjectzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00(obj_t, obj_t);
extern int bgl_ssl_connection_enc_pending(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31922ze3ze5zz__ssl_sslz00(obj_t);
extern obj_t bgl_ssl_connection_get_session(BgL_sslzd2connectionzd2_bglt);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_z62dhzd2checkzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62readzd2pemzd2filez62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mapz00zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_dhz00zz__ssl_sslz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
extern int bgl_ssl_connection_start(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2verifyzd2updatez121341z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31826ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda1815z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1816z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t, int, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2zz__ssl_sslz00 = BUNSPEC;
extern void * bgl_dh_g(void *);
static obj_t BGl_z62sslzd2connectionzd2enczd2p1287zb0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
extern void * bgl_dh_p(void *);
extern void * bgl_dh_p(void *);
extern bool_t bgl_ssl_verify_final(BgL_sslzd2verifyzd2_bglt, obj_t, long, long, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza31843ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62lambda1822z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1903z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1904z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static BgL_privatezd2keyzd2_bglt BGl_z62lambda1824z62zz__ssl_sslz00(obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1909z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL void * bgl_certificate_native(obj_t);
static obj_t BGl_z62sslzd2cipherzd2final1353z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_certificatez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t);
static obj_t BGl_z62lambda1910z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1830z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1831z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1914z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1915z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1837z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_verify_init(BgL_sslzd2verifyzd2_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_sign_update(BgL_sslzd2signzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_socketp(obj_t);
extern bool_t bgl_ssl_hmac_update(BgL_sslzd2hmaczd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1920z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1840z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1921z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(int);
static obj_t __cnst[ 91 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3003z00zz__ssl_sslz00, BgL_bgl_za762lambda1883za7623387z00, BGl_z62lambda1883z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3004z00zz__ssl_sslz00, BgL_bgl_za762lambda1882za7623388z00, BGl_z62lambda1882z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3005z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3389za7, BGl_z62zc3z04anonymousza31891ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3006z00zz__ssl_sslz00, BgL_bgl_za762lambda1890za7623390z00, BGl_z62lambda1890z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3007z00zz__ssl_sslz00, BgL_bgl_za762lambda1889za7623391z00, BGl_z62lambda1889z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3008z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3392za7, BGl_z62zc3z04anonymousza31898ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3009z00zz__ssl_sslz00, BgL_bgl_za762lambda1897za7623393z00, BGl_z62lambda1897z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762dhza7d2computeza73394za7, BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evpzd2getzd2cipherszd2envzd2zz__ssl_sslz00, BgL_bgl_za762evpza7d2getza7d2c3395za7, BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2checkzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7b03396za7, BGl_z62dhzd2checkzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3010z00zz__ssl_sslz00, BgL_bgl_za762lambda1896za7623397z00, BGl_z62lambda1896z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3011z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3398za7, BGl_z62zc3z04anonymousza31905ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3012z00zz__ssl_sslz00, BgL_bgl_za762lambda1904za7623399z00, BGl_z62lambda1904z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3013z00zz__ssl_sslz00, BgL_bgl_za762lambda1903za7623400z00, BGl_z62lambda1903z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3401z00, BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3014z00zz__ssl_sslz00, BgL_bgl_za762lambda1910za7623402z00, BGl_z62lambda1910z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3015z00zz__ssl_sslz00, BgL_bgl_za762lambda1909za7623403z00, BGl_z62lambda1909z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3016z00zz__ssl_sslz00, BgL_bgl_za762lambda1915za7623404z00, BGl_z62lambda1915z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3017z00zz__ssl_sslz00, BgL_bgl_za762lambda1914za7623405z00, BGl_z62lambda1914z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3018z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3406za7, BGl_z62zc3z04anonymousza31922ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3019z00zz__ssl_sslz00, BgL_bgl_za762lambda1921za7623407z00, BGl_z62lambda1921z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23408za7, BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_certificatezd2subjectzd2envz00zz__ssl_sslz00, BgL_bgl_za762certificateza7d3409z00, BGl_z62certificatezd2subjectzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3100z00zz__ssl_sslz00, BgL_bgl_za762lambda2166za7623410z00, BGl_z62lambda2166z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3101z00zz__ssl_sslz00, BgL_bgl_za762lambda2165za7623411z00, BGl_z62lambda2165z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3020z00zz__ssl_sslz00, BgL_bgl_za762lambda1920za7623412z00, BGl_z62lambda1920z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3102z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3413za7, BGl_z62zc3z04anonymousza32147ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3021z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3414za7, BGl_z62zc3z04anonymousza31929ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3103z00zz__ssl_sslz00, BgL_bgl_za762lambda2145za7623415z00, BGl_z62lambda2145z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3022z00zz__ssl_sslz00, BgL_bgl_za762lambda1928za7623416z00, BGl_z62lambda1928z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3104z00zz__ssl_sslz00, BgL_bgl_za762lambda2142za7623417z00, BGl_z62lambda2142z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3023z00zz__ssl_sslz00, BgL_bgl_za762lambda1927za7623418z00, BGl_z62lambda1927z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3105z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3419za7, BGl_z62zc3z04anonymousza32183ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3024z00zz__ssl_sslz00, BgL_bgl_za762lambda1934za7623420z00, BGl_z62lambda1934z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3106z00zz__ssl_sslz00, BgL_bgl_za762lambda2182za7623421z00, BGl_z62lambda2182z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3025z00zz__ssl_sslz00, BgL_bgl_za762lambda1933za7623422z00, BGl_z62lambda1933z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3107z00zz__ssl_sslz00, BgL_bgl_za762lambda2181za7623423z00, BGl_z62lambda2181z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3026z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3424za7, BGl_z62zc3z04anonymousza31941ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3108z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3425za7, BGl_z62zc3z04anonymousza32190ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3027z00zz__ssl_sslz00, BgL_bgl_za762lambda1940za7623426z00, BGl_z62lambda1940z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3109z00zz__ssl_sslz00, BgL_bgl_za762lambda2189za7623427z00, BGl_z62lambda2189z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3028z00zz__ssl_sslz00, BgL_bgl_za762lambda1939za7623428z00, BGl_z62lambda1939z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3029z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3429za7, BGl_z62zc3z04anonymousza31948ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73430za7, BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2opzd2cipherzd2serverzd2preferencezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2opza7d2ci3431za7, BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3110z00zz__ssl_sslz00, BgL_bgl_za762lambda2188za7623432z00, BGl_z62lambda2188z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3111z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3433za7, BGl_z62zc3z04anonymousza32176ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3030z00zz__ssl_sslz00, BgL_bgl_za762lambda1947za7623434z00, BGl_z62lambda1947z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3112z00zz__ssl_sslz00, BgL_bgl_za762lambda2174za7623435z00, BGl_z62lambda2174z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3031z00zz__ssl_sslz00, BgL_bgl_za762lambda1946za7623436z00, BGl_z62lambda1946z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3200z00zz__ssl_sslz00, BgL_bgl_string3200za700za7za7_3437za7, "ssl-connection-reuse1303", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3113z00zz__ssl_sslz00, BgL_bgl_za762lambda2172za7623438z00, BGl_z62lambda2172z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3032z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3439za7, BGl_z62zc3z04anonymousza31955ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3114z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3440za7, BGl_z62zc3z04anonymousza32207ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3033z00zz__ssl_sslz00, BgL_bgl_za762lambda1954za7623441z00, BGl_z62lambda1954z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3202z00zz__ssl_sslz00, BgL_bgl_string3202za700za7za7_3442za7, "ssl-connection-get-n1305", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3115z00zz__ssl_sslz00, BgL_bgl_za762lambda2206za7623443z00, BGl_z62lambda2206z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3034z00zz__ssl_sslz00, BgL_bgl_za762lambda1953za7623444z00, BGl_z62lambda1953z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3116z00zz__ssl_sslz00, BgL_bgl_za762lambda2205za7623445z00, BGl_z62lambda2205z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3035z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3446za7, BGl_z62zc3z04anonymousza31962ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3204z00zz__ssl_sslz00, BgL_bgl_string3204za700za7za7_3447za7, "dh-init1307", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3117z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3448za7, BGl_z62zc3z04anonymousza32214ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3036z00zz__ssl_sslz00, BgL_bgl_za762lambda1961za7623449z00, BGl_z62lambda1961z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3118z00zz__ssl_sslz00, BgL_bgl_za762lambda2213za7623450z00, BGl_z62lambda2213z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3037z00zz__ssl_sslz00, BgL_bgl_za762lambda1960za7623451z00, BGl_z62lambda1960z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3206z00zz__ssl_sslz00, BgL_bgl_string3206za700za7za7_3452za7, "dh-size1309", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3119z00zz__ssl_sslz00, BgL_bgl_za762lambda2212za7623453z00, BGl_z62lambda2212z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3038z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3454za7, BGl_z62zc3z04anonymousza31969ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3039z00zz__ssl_sslz00, BgL_bgl_za762lambda1968za7623455z00, BGl_z62lambda1968z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3208z00zz__ssl_sslz00, BgL_bgl_string3208za700za7za7_3456za7, "dh-generate-paramete1311", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73457za7, BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3201z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3458z00, BGl_z62sslzd2connectionzd2getzd2n1305zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3120z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3459za7, BGl_z62zc3z04anonymousza32200ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3121z00zz__ssl_sslz00, BgL_bgl_za762lambda2198za7623460z00, BGl_z62lambda2198z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3040z00zz__ssl_sslz00, BgL_bgl_za762lambda1967za7623461z00, BGl_z62lambda1967z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3203z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2init13073462z00, BGl_z62dhzd2init1307zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3122z00zz__ssl_sslz00, BgL_bgl_za762lambda2196za7623463z00, BGl_z62lambda2196z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3041z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3464za7, BGl_z62zc3z04anonymousza31976ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3210z00zz__ssl_sslz00, BgL_bgl_string3210za700za7za7_3465za7, "dh-check1313", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3123z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3466za7, BGl_z62zc3z04anonymousza32231ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3042z00zz__ssl_sslz00, BgL_bgl_za762lambda1975za7623467z00, BGl_z62lambda1975z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3205z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2siza7a7e133468za7, BGl_z62dhzd2siza7e1309z17zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3124z00zz__ssl_sslz00, BgL_bgl_za762lambda2230za7623469z00, BGl_z62lambda2230z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3043z00zz__ssl_sslz00, BgL_bgl_za762lambda1974za7623470z00, BGl_z62lambda1974z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3212z00zz__ssl_sslz00, BgL_bgl_string3212za700za7za7_3471za7, "dh-check-pub-key1315", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3125z00zz__ssl_sslz00, BgL_bgl_za762lambda2229za7623472z00, BGl_z62lambda2229z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3044z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3473za7, BGl_z62zc3z04anonymousza31983ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3207z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3474z00, BGl_z62dhzd2generatezd2paramete1311z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3126z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3475za7, BGl_z62zc3z04anonymousza32238ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3045z00zz__ssl_sslz00, BgL_bgl_za762lambda1982za7623476z00, BGl_z62lambda1982z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3214z00zz__ssl_sslz00, BgL_bgl_string3214za700za7za7_3477za7, "dh-compute-key1317", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3127z00zz__ssl_sslz00, BgL_bgl_za762lambda2237za7623478z00, BGl_z62lambda2237z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3046z00zz__ssl_sslz00, BgL_bgl_za762lambda1981za7623479z00, BGl_z62lambda1981z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3209z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2check1313480z00, BGl_z62dhzd2check1313zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3128z00zz__ssl_sslz00, BgL_bgl_za762lambda2236za7623481z00, BGl_z62lambda2236z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3047z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3482za7, BGl_z62zc3z04anonymousza31990ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3483z00, BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3216z00zz__ssl_sslz00, BgL_bgl_string3216za700za7za7_3484za7, "dh-generate-key1319", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3129z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3485za7, BGl_z62zc3z04anonymousza32224ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3048z00zz__ssl_sslz00, BgL_bgl_za762lambda1989za7623486z00, BGl_z62lambda1989z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3049z00zz__ssl_sslz00, BgL_bgl_za762lambda1988za7623487z00, BGl_z62lambda1988z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3218z00zz__ssl_sslz00, BgL_bgl_string3218za700za7za7_3488za7, "ssl-hash-init1321", 17 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3489z00, BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3211z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7d23490za7, BGl_z62dhzd2checkzd2pubzd2key1315zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3130z00zz__ssl_sslz00, BgL_bgl_za762lambda2222za7623491z00, BGl_z62lambda2222z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3131z00zz__ssl_sslz00, BgL_bgl_za762lambda2220za7623492z00, BGl_z62lambda2220z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3050z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3493za7, BGl_z62zc3z04anonymousza31875ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3300z00zz__ssl_sslz00, BgL_bgl_string3300za700za7za7_3494za7, "&ssl-connection-get-peer-certificate", 36 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3213z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2computeza73495za7, BGl_z62dhzd2computezd2key1317z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3132z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3496za7, BGl_z62zc3z04anonymousza32255ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3051z00zz__ssl_sslz00, BgL_bgl_za762lambda1873za7623497z00, BGl_z62lambda1873z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3301z00zz__ssl_sslz00, BgL_bgl_string3301za700za7za7_3498za7, "&ssl-connection-reused?", 23 );
DEFINE_STRING( BGl_string3220z00zz__ssl_sslz00, BgL_bgl_string3220za700za7za7_3499za7, "ssl-hash-update!1323", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3133z00zz__ssl_sslz00, BgL_bgl_za762lambda2254za7623500z00, BGl_z62lambda2254z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3052z00zz__ssl_sslz00, BgL_bgl_za762lambda1870za7623501z00, BGl_z62lambda1870z62zz__ssl_sslz00, 0L, BUNSPEC, 17 );
DEFINE_STRING( BGl_string3302z00zz__ssl_sslz00, BgL_bgl_string3302za700za7za7_3502za7, "&ssl-connection-get-negotiated-protocol", 39 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3215z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3503z00, BGl_z62dhzd2generatezd2key1319z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3134z00zz__ssl_sslz00, BgL_bgl_za762lambda2253za7623504z00, BGl_z62lambda2253z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3053z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3505za7, BGl_z62zc3z04anonymousza32008ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3303z00zz__ssl_sslz00, BgL_bgl_string3303za700za7za7_3506za7, "&dh-init", 8 );
DEFINE_STRING( BGl_string3222z00zz__ssl_sslz00, BgL_bgl_string3222za700za7za7_3507za7, "ssl-hash-digest1325", 19 );
DEFINE_STRING( BGl_string3141z00zz__ssl_sslz00, BgL_bgl_string3141za700za7za7_3508za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3135z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3509za7, BGl_z62zc3z04anonymousza32262ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3054z00zz__ssl_sslz00, BgL_bgl_za762lambda2007za7623510z00, BGl_z62lambda2007z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3304z00zz__ssl_sslz00, BgL_bgl_string3304za700za7za7_3511za7, "dh", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3217z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23512za7, BGl_z62sslzd2hashzd2init1321z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3142z00zz__ssl_sslz00, BgL_bgl_string3142za700za7za7_3513za7, "default", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3136z00zz__ssl_sslz00, BgL_bgl_za762lambda2261za7623514z00, BGl_z62lambda2261z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3055z00zz__ssl_sslz00, BgL_bgl_za762lambda2006za7623515z00, BGl_z62lambda2006z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3305z00zz__ssl_sslz00, BgL_bgl_string3305za700za7za7_3516za7, "&dh-size", 8 );
DEFINE_STRING( BGl_string3224z00zz__ssl_sslz00, BgL_bgl_string3224za700za7za7_3517za7, "ssl-hmac-init1327", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3137z00zz__ssl_sslz00, BgL_bgl_za762lambda2260za7623518z00, BGl_z62lambda2260z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3056z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3519za7, BGl_z62zc3z04anonymousza32015ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3306z00zz__ssl_sslz00, BgL_bgl_string3306za700za7za7_3520za7, "&dh-generate-parameters-ex", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3219z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23521za7, BGl_z62sslzd2hashzd2updatez121323z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3144z00zz__ssl_sslz00, BgL_bgl_string3144za700za7za7_3522za7, "secure-context-init1239", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3138z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3523za7, BGl_z62zc3z04anonymousza32248ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3057z00zz__ssl_sslz00, BgL_bgl_za762lambda2014za7623524z00, BGl_z62lambda2014z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3307z00zz__ssl_sslz00, BgL_bgl_string3307za700za7za7_3525za7, "symbol", 6 );
DEFINE_STRING( BGl_string3226z00zz__ssl_sslz00, BgL_bgl_string3226za700za7za7_3526za7, "ssl-hmac-update!1329", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3139z00zz__ssl_sslz00, BgL_bgl_za762lambda2246za7623527z00, BGl_z62lambda2246z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3058z00zz__ssl_sslz00, BgL_bgl_za762lambda2013za7623528z00, BGl_z62lambda2013z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3308z00zz__ssl_sslz00, BgL_bgl_string3308za700za7za7_3529za7, "&dh-check", 9 );
DEFINE_STRING( BGl_string3146z00zz__ssl_sslz00, BgL_bgl_string3146za700za7za7_3530za7, "secure-context-close1241", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3059z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3531za7, BGl_z62zc3z04anonymousza32022ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3309z00zz__ssl_sslz00, BgL_bgl_string3309za700za7za7_3532za7, "&dh-check-pub-key", 17 );
DEFINE_STRING( BGl_string3228z00zz__ssl_sslz00, BgL_bgl_string3228za700za7za7_3533za7, "ssl-hmac-digest1331", 19 );
DEFINE_STRING( BGl_string3148z00zz__ssl_sslz00, BgL_bgl_string3148za700za7za7_3534za7, "secure-context-add-r1243", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3535z00, BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3221z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23536za7, BGl_z62sslzd2hashzd2digest1325z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3140z00zz__ssl_sslz00, BgL_bgl_za762lambda2244za7623537z00, BGl_z62lambda2244z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3060z00zz__ssl_sslz00, BgL_bgl_za762lambda2021za7623538z00, BGl_z62lambda2021z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3539z00, BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3310z00zz__ssl_sslz00, BgL_bgl_string3310za700za7za7_3540za7, "&dh-compute-key", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3223z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23541za7, BGl_z62sslzd2hmaczd2init1327z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3061z00zz__ssl_sslz00, BgL_bgl_za762lambda2020za7623542z00, BGl_z62lambda2020z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3311z00zz__ssl_sslz00, BgL_bgl_string3311za700za7za7_3543za7, "&dh-generate-key", 16 );
DEFINE_STRING( BGl_string3230z00zz__ssl_sslz00, BgL_bgl_string3230za700za7za7_3544za7, "ssl-sign-init1333", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3143z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3545z00, BGl_z62securezd2contextzd2init1239z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3062z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3546za7, BGl_z62zc3z04anonymousza32029ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3312z00zz__ssl_sslz00, BgL_bgl_string3312za700za7za7_3547za7, "&ssl-hash-init", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3225z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23548za7, BGl_z62sslzd2hmaczd2updatez121329z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3150z00zz__ssl_sslz00, BgL_bgl_string3150za700za7za7_3549za7, "secure-context-add-c1245", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3063z00zz__ssl_sslz00, BgL_bgl_za762lambda2028za7623550z00, BGl_z62lambda2028z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3313z00zz__ssl_sslz00, BgL_bgl_string3313za700za7za7_3551za7, "&ssl-hash-update!", 17 );
DEFINE_STRING( BGl_string3232z00zz__ssl_sslz00, BgL_bgl_string3232za700za7za7_3552za7, "ssl-sign-update!1335", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3145z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3553z00, BGl_z62securezd2contextzd2close1241z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3064z00zz__ssl_sslz00, BgL_bgl_za762lambda2027za7623554z00, BGl_z62lambda2027z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3314z00zz__ssl_sslz00, BgL_bgl_string3314za700za7za7_3555za7, "&ssl-hash-digest", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3227z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23556za7, BGl_z62sslzd2hmaczd2digest1331z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3152z00zz__ssl_sslz00, BgL_bgl_string3152za700za7za7_3557za7, "secure-context-add-c1247", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3065z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3558za7, BGl_z62zc3z04anonymousza32036ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3315z00zz__ssl_sslz00, BgL_bgl_string3315za700za7za7_3559za7, "&ssl-hmac-init", 14 );
DEFINE_STRING( BGl_string3234z00zz__ssl_sslz00, BgL_bgl_string3234za700za7za7_3560za7, "ssl-sign-sign1337", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3147z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3561z00, BGl_z62securezd2contextzd2addzd2r1243zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3066z00zz__ssl_sslz00, BgL_bgl_za762lambda2035za7623562z00, BGl_z62lambda2035z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3316z00zz__ssl_sslz00, BgL_bgl_string3316za700za7za7_3563za7, "&ssl-hmac-update!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3229z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23564za7, BGl_z62sslzd2signzd2init1333z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3154z00zz__ssl_sslz00, BgL_bgl_string3154za700za7za7_3565za7, "secure-context-set-k1249", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3067z00zz__ssl_sslz00, BgL_bgl_za762lambda2034za7623566z00, BGl_z62lambda2034z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3317z00zz__ssl_sslz00, BgL_bgl_string3317za700za7za7_3567za7, "&ssl-hmac-digest", 16 );
DEFINE_STRING( BGl_string3236z00zz__ssl_sslz00, BgL_bgl_string3236za700za7za7_3568za7, "ssl-verify-init1339", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3149z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3569z00, BGl_z62securezd2contextzd2addzd2c1245zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3068z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3570za7, BGl_z62zc3z04anonymousza32043ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3318z00zz__ssl_sslz00, BgL_bgl_string3318za700za7za7_3571za7, "&ssl-sign-init", 14 );
DEFINE_STRING( BGl_string3156z00zz__ssl_sslz00, BgL_bgl_string3156za700za7za7_3572za7, "secure-context-set-c1259", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3069z00zz__ssl_sslz00, BgL_bgl_za762lambda2042za7623573z00, BGl_z62lambda2042z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3319z00zz__ssl_sslz00, BgL_bgl_string3319za700za7za7_3574za7, "&ssl-sign-update!", 17 );
DEFINE_STRING( BGl_string3238z00zz__ssl_sslz00, BgL_bgl_string3238za700za7za7_3575za7, "ssl-verify-update!1341", 22 );
DEFINE_STRING( BGl_string3158z00zz__ssl_sslz00, BgL_bgl_string3158za700za7za7_3576za7, "secure-context-set-s1261", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2pemzd2filezd2envzd2zz__ssl_sslz00, BgL_bgl_za762readza7d2pemza7d23577za7, BGl_z62readzd2pemzd2filez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3578z00, BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3231z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23579za7, BGl_z62sslzd2signzd2updatez121335z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3151z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3580z00, BGl_z62securezd2contextzd2addzd2c1247zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3070z00zz__ssl_sslz00, BgL_bgl_za762lambda2041za7623581z00, BGl_z62lambda2041z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3320z00zz__ssl_sslz00, BgL_bgl_string3320za700za7za7_3582za7, "&ssl-sign-sign", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3233z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23583za7, BGl_z62sslzd2signzd2sign1337z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3071z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3584za7, BGl_z62zc3z04anonymousza32048ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3321z00zz__ssl_sslz00, BgL_bgl_string3321za700za7za7_3585za7, "&ssl-verify-init", 16 );
DEFINE_STRING( BGl_string3240z00zz__ssl_sslz00, BgL_bgl_string3240za700za7za7_3586za7, "ssl-verify-final1343", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3153z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3587z00, BGl_z62securezd2contextzd2setzd2k1249zb0zz__ssl_sslz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3072z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3588za7, BGl_z62zc3z04anonymousza32047ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3322z00zz__ssl_sslz00, BgL_bgl_string3322za700za7za7_3589za7, "&ssl-verify-update!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3235z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73590za7, BGl_z62sslzd2verifyzd2init1339z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3160z00zz__ssl_sslz00, BgL_bgl_string3160za700za7za7_3591za7, "secure-context-load-1263", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3073z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3592za7, BGl_z62zc3z04anonymousza32053ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3323z00zz__ssl_sslz00, BgL_bgl_string3323za700za7za7_3593za7, "&ssl-verify-final", 17 );
DEFINE_STRING( BGl_string3242z00zz__ssl_sslz00, BgL_bgl_string3242za700za7za7_3594za7, "ssl-cipher-init1345", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3155z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3595z00, BGl_z62securezd2contextzd2setzd2c1259zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3074z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3596za7, BGl_z62zc3z04anonymousza32052ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3324z00zz__ssl_sslz00, BgL_bgl_string3324za700za7za7_3597za7, "&ssl-cipher-init", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3237z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73598za7, BGl_z62sslzd2verifyzd2updatez121341z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3162z00zz__ssl_sslz00, BgL_bgl_string3162za700za7za7_3599za7, "secure-context-set-c1265", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3075z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3600za7, BGl_z62zc3z04anonymousza32058ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_GENERIC( BGl_dhzd2initzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2initza7b0za73601z00, BGl_z62dhzd2initzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3325z00zz__ssl_sslz00, BgL_bgl_string3325za700za7za7_3602za7, "ssl-cipher", 10 );
DEFINE_STRING( BGl_string3244z00zz__ssl_sslz00, BgL_bgl_string3244za700za7za7_3603za7, "ssl-cipher-initiv1347", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3157z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3604z00, BGl_z62securezd2contextzd2setzd2s1261zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3076z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3605za7, BGl_z62zc3z04anonymousza32057ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3326z00zz__ssl_sslz00, BgL_bgl_string3326za700za7za7_3606za7, "&ssl-cipher-initiv", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3239z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73607za7, BGl_z62sslzd2verifyzd2final1343z62zz__ssl_sslz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string3164z00zz__ssl_sslz00, BgL_bgl_string3164za700za7za7_3608za7, "secure-context-set-o1267", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3077z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3609za7, BGl_z62zc3z04anonymousza32063ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3610z00, BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3327z00zz__ssl_sslz00, BgL_bgl_string3327za700za7za7_3611za7, "&ssl-cipher-update!", 19 );
DEFINE_STRING( BGl_string3246z00zz__ssl_sslz00, BgL_bgl_string3246za700za7za7_3612za7, "ssl-cipher-update!1349", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3159z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3613z00, BGl_z62securezd2contextzd2loadzd21263zb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3078z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3614za7, BGl_z62zc3z04anonymousza32062ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3328z00zz__ssl_sslz00, BgL_bgl_string3328za700za7za7_3615za7, "&ssl-cipher-set-auto-padding", 28 );
DEFINE_STRING( BGl_string3166z00zz__ssl_sslz00, BgL_bgl_string3166za700za7za7_3616za7, "ssl-connection-init1269", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3079z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3617za7, BGl_z62zc3z04anonymousza32068ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3329z00zz__ssl_sslz00, BgL_bgl_string3329za700za7za7_3618za7, "&ssl-cipher-final", 17 );
DEFINE_STRING( BGl_string3248z00zz__ssl_sslz00, BgL_bgl_string3248za700za7za7_3619za7, "ssl-cipher-set-auto-1351", 24 );
DEFINE_STRING( BGl_string3168z00zz__ssl_sslz00, BgL_bgl_string3168za700za7za7_3620za7, "ssl-connection-start1271", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2socketzf3zd2envzf3zz__ssl_sslz00, BgL_bgl_za762sslza7d2socketza73621za7, BGl_z62sslzd2socketzf3z43zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3241z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73622za7, BGl_z62sslzd2cipherzd2init1345z62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3161z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3623z00, BGl_z62securezd2contextzd2setzd2c1265zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3080z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3624za7, BGl_z62zc3z04anonymousza32067ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3330z00zz__ssl_sslz00, BgL_bgl_string3330za700za7za7_3625za7, "DH-GENERATOR-2 ssl-cipher $ssl-cipher-ctx $cipher-ctx $ssl-cipher $cipher ssl-verify ssl-sign ssl-hmac $ssl-hmac-ctx ssl-hash type $ssl-evp-md-ctx $md-ctx $ssl-evp-md $md dh public-key g q p %priv %pub %g %q $bignum %p $dh ssl-connection sent-shutdown received-shutdown err npn-protos selected-npn-protos procedure newsession-callback sni-context-callback info-callback reject-unauthorized obj server-name request-cert bool isserver ctx $ssl-session $next-session $bio-write $bio $bio-read $ssl secure-context bstring method $X509-store $ca-store $ssl-ctx private-key $private-key __ssl_ssl certificate $certificate $native dtlsv1 dtls tlsv1_3 tlsv1_2 tlsv1_1 tlsv1 tls ssl sslv3 sslv2 make-ssl-server-socket :ipv6 :backlog :name (:ipv6 :backlog :accepted-certs :CAs :pkey :cert :protocol :name) client-socket-use-ssl! (:CAs :accepted-certs :cert :pkey :protocol) :timeout :protocol :pkey :outbuf :inbuf :cert :accepted-certs :CAs make-ssl-client-socket (:CAs :accepted-certs :cert :inbuf :outbuf :pkey :protocol :timeout) s"
"slv23 ", 1030 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3243z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73626za7, BGl_z62sslzd2cipherzd2initiv1347z62zz__ssl_sslz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3081z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3627za7, BGl_z62zc3z04anonymousza32073ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3250z00zz__ssl_sslz00, BgL_bgl_string3250za700za7za7_3628za7, "ssl-cipher-final1353", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3163z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3629z00, BGl_z62securezd2contextzd2setzd2o1267zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3082z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3630za7, BGl_z62zc3z04anonymousza32077ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3251z00zz__ssl_sslz00, BgL_bgl_string3251za700za7za7_3631za7, "ssl-cipher-update!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3245z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73632za7, BGl_z62sslzd2cipherzd2updatez121349z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3170z00zz__ssl_sslz00, BgL_bgl_string3170za700za7za7_3633za7, "ssl-connection-close1273", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3083z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3634za7, BGl_z62zc3z04anonymousza32087ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3252z00zz__ssl_sslz00, BgL_bgl_string3252za700za7za7_3635za7, "cannot update", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3165z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3636z00, BGl_z62sslzd2connectionzd2init1269z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3084z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3637za7, BGl_z62zc3z04anonymousza32091ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3253z00zz__ssl_sslz00, BgL_bgl_string3253za700za7za7_3638za7, "ssl-cipher-initiv", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3247z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73639za7, BGl_z62sslzd2cipherzd2setzd2autozd21351z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3172z00zz__ssl_sslz00, BgL_bgl_string3172za700za7za7_3640za7, "ssl-connection-shutd1275", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3085z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3641za7, BGl_z62zc3z04anonymousza32101ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3254z00zz__ssl_sslz00, BgL_bgl_string3254za700za7za7_3642za7, "ssl-cipher-init", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3167z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3643z00, BGl_z62sslzd2connectionzd2start1271z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3086z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3644za7, BGl_z62zc3z04anonymousza32105ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3255z00zz__ssl_sslz00, BgL_bgl_string3255za700za7za7_3645za7, "ssl-verify-update!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3249z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73646za7, BGl_z62sslzd2cipherzd2final1353z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3174z00zz__ssl_sslz00, BgL_bgl_string3174za700za7za7_3647za7, "ssl-connection-read1277", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3087z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3648za7, BGl_z62zc3z04anonymousza32115ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3256z00zz__ssl_sslz00, BgL_bgl_string3256za700za7za7_3649za7, "ssl-verify", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3169z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3650z00, BGl_z62sslzd2connectionzd2close1273z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3088z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3651za7, BGl_z62zc3z04anonymousza32119ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3257z00zz__ssl_sslz00, BgL_bgl_string3257za700za7za7_3652za7, "Verify method not supported", 27 );
DEFINE_STRING( BGl_string3176z00zz__ssl_sslz00, BgL_bgl_string3176za700za7za7_3653za7, "ssl-connection-write1279", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3089z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3654za7, BGl_z62zc3z04anonymousza32128ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3258z00zz__ssl_sslz00, BgL_bgl_string3258za700za7za7_3655za7, "ssl-sign-sign", 13 );
DEFINE_STRING( BGl_string3259z00zz__ssl_sslz00, BgL_bgl_string3259za700za7za7_3656za7, "cannot sign", 11 );
DEFINE_STRING( BGl_string3178z00zz__ssl_sslz00, BgL_bgl_string3178za700za7za7_3657za7, "ssl-connection-clear1281", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, BgL_bgl_za762dhza7d2siza7a7eza713658z00, BGl_z62dhzd2siza7ez17zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2sslzd2serverzd2socketzd2envz00zz__ssl_sslz00, BgL_bgl_za762makeza7d2sslza7d23659za7, va_generic_entry, BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00, BUNSPEC, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3171z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3660z00, BGl_z62sslzd2connectionzd2shutd1275z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3090z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3661za7, BGl_z62zc3z04anonymousza32132ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3091z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3662za7, BGl_z62zc3z04anonymousza32001ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_certificatezd2issuerzd2envz00zz__ssl_sslz00, BgL_bgl_za762certificateza7d3663z00, BGl_z62certificatezd2issuerzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3260z00zz__ssl_sslz00, BgL_bgl_string3260za700za7za7_3664za7, "ssl-sign-update!", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3173z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3665z00, BGl_z62sslzd2connectionzd2read1277z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3092z00zz__ssl_sslz00, BgL_bgl_za762lambda1999za7623666z00, BGl_z62lambda1999z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3261z00zz__ssl_sslz00, BgL_bgl_string3261za700za7za7_3667za7, "ssl-sign", 8 );
DEFINE_STRING( BGl_string3180z00zz__ssl_sslz00, BgL_bgl_string3180za700za7za7_3668za7, "ssl-connection-clear1283", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3093z00zz__ssl_sslz00, BgL_bgl_za762lambda1996za7623669z00, BGl_z62lambda1996z62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string3262z00zz__ssl_sslz00, BgL_bgl_string3262za700za7za7_3670za7, "Sign method not supported", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3175z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3671z00, BGl_z62sslzd2connectionzd2write1279z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3094z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3672za7, BGl_z62zc3z04anonymousza32154ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3263z00zz__ssl_sslz00, BgL_bgl_string3263za700za7za7_3673za7, "ssl-hmac-digest", 15 );
DEFINE_STRING( BGl_string3182z00zz__ssl_sslz00, BgL_bgl_string3182za700za7za7_3674za7, "ssl-connection-init-1285", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3095z00zz__ssl_sslz00, BgL_bgl_za762lambda2153za7623675z00, BGl_z62lambda2153z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3264z00zz__ssl_sslz00, BgL_bgl_string3264za700za7za7_3676za7, "cannot digest", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3177z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3677z00, BGl_z62sslzd2connectionzd2clear1281z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3096z00zz__ssl_sslz00, BgL_bgl_za762lambda2152za7623678z00, BGl_z62lambda2152z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3265z00zz__ssl_sslz00, BgL_bgl_string3265za700za7za7_3679za7, "ssl-hmac-update!", 16 );
DEFINE_STRING( BGl_string3184z00zz__ssl_sslz00, BgL_bgl_string3184za700za7za7_3680za7, "ssl-connection-enc-p1287", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3097z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3681za7, BGl_z62zc3z04anonymousza32161ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3266z00zz__ssl_sslz00, BgL_bgl_string3266za700za7za7_3682za7, "ssl-hmac", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3179z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3683z00, BGl_z62sslzd2connectionzd2clear1283z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3098z00zz__ssl_sslz00, BgL_bgl_za762lambda2160za7623684z00, BGl_z62lambda2160z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3267z00zz__ssl_sslz00, BgL_bgl_string3267za700za7za7_3685za7, "Digest method not supported", 27 );
DEFINE_STRING( BGl_string3186z00zz__ssl_sslz00, BgL_bgl_string3186za700za7za7_3686za7, "ssl-connection-clear1289", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3099z00zz__ssl_sslz00, BgL_bgl_za762lambda2159za7623687z00, BGl_z62lambda2159z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string3268z00zz__ssl_sslz00, BgL_bgl_string3268za700za7za7_3688za7, "ssl-hash-digest", 15 );
DEFINE_STRING( BGl_string3269z00zz__ssl_sslz00, BgL_bgl_string3269za700za7za7_3689za7, "ssl-hash-update!", 16 );
DEFINE_STRING( BGl_string3188z00zz__ssl_sslz00, BgL_bgl_string3188za700za7za7_3690za7, "ssl-connection-set-s1291", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2getzd2cipherszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2getza7d2c3691za7, BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73692za7, BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, BgL_bgl__secureza7d2contex3693za7, opt_generic_entry, BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3181z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3694z00, BGl_z62sslzd2connectionzd2initzd21285zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3270z00zz__ssl_sslz00, BgL_bgl_string3270za700za7za7_3695za7, "ssl-hash", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3183z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3696z00, BGl_z62sslzd2connectionzd2enczd2p1287zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3271z00zz__ssl_sslz00, BgL_bgl_string3271za700za7za7_3697za7, "dh-generate-parameters-ex", 25 );
DEFINE_STRING( BGl_string3190z00zz__ssl_sslz00, BgL_bgl_string3190za700za7za7_3698za7, "ssl-connection-get-s1293", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52privatezd2keyzd2z42nativezd2envzc2zz__ssl_sslz00, BgL_bgl_za762za752privateza7d23699za7, BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3272z00zz__ssl_sslz00, BgL_bgl_string3272za700za7za7_3700za7, "Illegal generator", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3185z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3701z00, BGl_z62sslzd2connectionzd2clear1289z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3273z00zz__ssl_sslz00, BgL_bgl_string3273za700za7za7_3702za7, "&secure-context-init", 20 );
DEFINE_STRING( BGl_string3192z00zz__ssl_sslz00, BgL_bgl_string3192za700za7za7_3703za7, "ssl-connection-get-c1295", 24 );
DEFINE_STRING( BGl_string3274z00zz__ssl_sslz00, BgL_bgl_string3274za700za7za7_3704za7, "&secure-context-close", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3187z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3705z00, BGl_z62sslzd2connectionzd2setzd2s1291zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3275z00zz__ssl_sslz00, BgL_bgl_string3275za700za7za7_3706za7, "&secure-context-add-root-certs!", 31 );
DEFINE_STRING( BGl_string3194z00zz__ssl_sslz00, BgL_bgl_string3194za700za7za7_3707za7, "ssl-connection-load-1297", 24 );
DEFINE_STRING( BGl_string3276z00zz__ssl_sslz00, BgL_bgl_string3276za700za7za7_3708za7, "&secure-context-add-ca-cert!", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3189z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3709z00, BGl_z62sslzd2connectionzd2getzd2s1293zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3277z00zz__ssl_sslz00, BgL_bgl_string3277za700za7za7_3710za7, "&secure-context-add-crl!", 24 );
DEFINE_STRING( BGl_string3196z00zz__ssl_sslz00, BgL_bgl_string3196za700za7za7_3711za7, "ssl-connection-verif1299", 24 );
DEFINE_STRING( BGl_string3278z00zz__ssl_sslz00, BgL_bgl_string3278za700za7za7_3712za7, "&secure-context-set-cert!", 25 );
DEFINE_STRING( BGl_string3279z00zz__ssl_sslz00, BgL_bgl_string3279za700za7za7_3713za7, "&secure-context-set-session-id-context!", 39 );
DEFINE_STRING( BGl_string3198z00zz__ssl_sslz00, BgL_bgl_string3198za700za7za7_3714za7, "ssl-connection-get-p1301", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3715z00, BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3191z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3716z00, BGl_z62sslzd2connectionzd2getzd2c1295zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3280z00zz__ssl_sslz00, BgL_bgl_string3280za700za7za7_3717za7, "&secure-context-load-pkcs12", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3193z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3718z00, BGl_z62sslzd2connectionzd2loadzd21297zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3281z00zz__ssl_sslz00, BgL_bgl_string3281za700za7za7_3719za7, "&secure-context-set-ciphers!", 28 );
DEFINE_STRING( BGl_string3282z00zz__ssl_sslz00, BgL_bgl_string3282za700za7za7_3720za7, "&secure-context-set-options!", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3195z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3721z00, BGl_z62sslzd2connectionzd2verif1299z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3283z00zz__ssl_sslz00, BgL_bgl_string3283za700za7za7_3722za7, "&ssl-connection-init", 20 );
DEFINE_STRING( BGl_string3284z00zz__ssl_sslz00, BgL_bgl_string3284za700za7za7_3723za7, "ssl-connection", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3197z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3724z00, BGl_z62sslzd2connectionzd2getzd2p1301zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3285z00zz__ssl_sslz00, BgL_bgl_string3285za700za7za7_3725za7, "&ssl-connection-start", 21 );
DEFINE_STRING( BGl_string3286z00zz__ssl_sslz00, BgL_bgl_string3286za700za7za7_3726za7, "&ssl-connection-close", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3199z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3727z00, BGl_z62sslzd2connectionzd2reuse1303z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23728za7, BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3729z00, BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3287z00zz__ssl_sslz00, BgL_bgl_string3287za700za7za7_3730za7, "&ssl-connection-shutdown", 24 );
DEFINE_STRING( BGl_string3288z00zz__ssl_sslz00, BgL_bgl_string3288za700za7za7_3731za7, "&ssl-connection-read", 20 );
DEFINE_STRING( BGl_string3289z00zz__ssl_sslz00, BgL_bgl_string3289za700za7za7_3732za7, "&ssl-connection-write", 21 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2bin2bnzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2bin2bnza7b3733za7, BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73734za7, BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3735z00, BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3290z00zz__ssl_sslz00, BgL_bgl_string3290za700za7za7_3736za7, "&ssl-connection-clear-in", 24 );
DEFINE_STRING( BGl_string3291z00zz__ssl_sslz00, BgL_bgl_string3291za700za7za7_3737za7, "&ssl-connection-clear-out", 25 );
DEFINE_STRING( BGl_string3292z00zz__ssl_sslz00, BgL_bgl_string3292za700za7za7_3738za7, "&ssl-connection-init-finished?", 30 );
DEFINE_STRING( BGl_string3293z00zz__ssl_sslz00, BgL_bgl_string3293za700za7za7_3739za7, "&ssl-connection-enc-pending", 27 );
DEFINE_STRING( BGl_string3294z00zz__ssl_sslz00, BgL_bgl_string3294za700za7za7_3740za7, "&ssl-connection-clear-pending", 29 );
DEFINE_STRING( BGl_string3295z00zz__ssl_sslz00, BgL_bgl_string3295za700za7za7_3741za7, "&ssl-connection-set-session", 27 );
DEFINE_STRING( BGl_string3296z00zz__ssl_sslz00, BgL_bgl_string3296za700za7za7_3742za7, "&ssl-connection-get-session", 27 );
DEFINE_STRING( BGl_string3297z00zz__ssl_sslz00, BgL_bgl_string3297za700za7za7_3743za7, "&ssl-connection-get-current-cipher", 34 );
DEFINE_STRING( BGl_string3298z00zz__ssl_sslz00, BgL_bgl_string3298za700za7za7_3744za7, "&ssl-connection-load-session", 28 );
DEFINE_STRING( BGl_string3299z00zz__ssl_sslz00, BgL_bgl_string3299za700za7za7_3745za7, "&ssl-connection-verify-error", 28 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23746za7, BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23747za7, BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_clientzd2socketzd2usezd2sslz12zd2envz12zz__ssl_sslz00, BgL_bgl__clientza7d2socket3748za7, opt_generic_entry, BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3749z00, BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3750z00, BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7d23751za7, BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23752za7, BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3753z00, BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3754z00, BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3755z00, BGl_z62securezd2contextzd2closez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3756z00, BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23757za7, BGl_z62sslzd2signzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2setzd2wordzd2envzd2zz__ssl_sslz00, BgL_bgl_za762bnza7d2setza7d2wo3758za7, BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2938z00zz__ssl_sslz00, BgL_bgl_string2938za700za7za7_3759za7, "Invalid certificate", 19 );
DEFINE_STRING( BGl_string2939z00zz__ssl_sslz00, BgL_bgl_string2939za700za7za7_3760za7, "Invalid private key", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evpzd2getzd2hasheszd2envzd2zz__ssl_sslz00, BgL_bgl_za762evpza7d2getza7d2h3761za7, BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52makezd2privatezd2keyzd2envz80zz__ssl_sslz00, BgL_bgl_za762za752makeza7d2pri3762za7, BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3763z00, BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2940z00zz__ssl_sslz00, BgL_bgl_string2940za700za7za7_3764za7, "Invalid CA list", 15 );
DEFINE_STRING( BGl_string2941z00zz__ssl_sslz00, BgL_bgl_string2941za700za7za7_3765za7, "Invalid accepted-certs", 22 );
DEFINE_STRING( BGl_string2942z00zz__ssl_sslz00, BgL_bgl_string2942za700za7za7_3766za7, "pkey and cert must be both #f or both set", 41 );
DEFINE_STRING( BGl_string2943z00zz__ssl_sslz00, BgL_bgl_string2943za700za7za7_3767za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string2944z00zz__ssl_sslz00, BgL_bgl_string2944za700za7za7_3768za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/ssl/src/Llib/ssl.scm", 60 );
DEFINE_STRING( BGl_string2945z00zz__ssl_sslz00, BgL_bgl_string2945za700za7za7_3769za7, "_make-ssl-client-socket", 23 );
DEFINE_STRING( BGl_string2946z00zz__ssl_sslz00, BgL_bgl_string2946za700za7za7_3770za7, "bint", 4 );
DEFINE_STRING( BGl_string2947z00zz__ssl_sslz00, BgL_bgl_string2947za700za7za7_3771za7, "bstring", 7 );
DEFINE_STRING( BGl_string2948z00zz__ssl_sslz00, BgL_bgl_string2948za700za7za7_3772za7, "pair-nil", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2bn2binzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2bn2binza7b3773za7, BGl_z62bnzd2bn2binzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2949z00zz__ssl_sslz00, BgL_bgl_string2949za700za7za7_3774za7, "wrong number of arguments: [2..10] expected, provided", 53 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73775za7, BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string2950z00zz__ssl_sslz00, BgL_bgl_string2950za700za7za7_3776za7, "_client-socket-use-ssl!", 23 );
DEFINE_STRING( BGl_string2951z00zz__ssl_sslz00, BgL_bgl_string2951za700za7za7_3777za7, "socket", 6 );
DEFINE_STRING( BGl_string2952z00zz__ssl_sslz00, BgL_bgl_string2952za700za7za7_3778za7, "wrong number of arguments: [1..6] expected, provided", 52 );
DEFINE_STRING( BGl_string2954z00zz__ssl_sslz00, BgL_bgl_string2954za700za7za7_3779za7, "Illegal extra key arguments: ", 29 );
DEFINE_STRING( BGl_string2955z00zz__ssl_sslz00, BgL_bgl_string2955za700za7za7_3780za7, "dsssl-get-key-arg", 17 );
DEFINE_STRING( BGl_string2956z00zz__ssl_sslz00, BgL_bgl_string2956za700za7za7_3781za7, "~a ", 3 );
DEFINE_STRING( BGl_string2957z00zz__ssl_sslz00, BgL_bgl_string2957za700za7za7_3782za7, "ssl", 3 );
DEFINE_STRING( BGl_string2958z00zz__ssl_sslz00, BgL_bgl_string2958za700za7za7_3783za7, "Unknown protocols", 17 );
DEFINE_STRING( BGl_string2959z00zz__ssl_sslz00, BgL_bgl_string2959za700za7za7_3784za7, "&read-private-key", 17 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3785z00, BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2953z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3786za7, BGl_z62zc3z04anonymousza31726ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2960z00zz__ssl_sslz00, BgL_bgl_string2960za700za7za7_3787za7, "&read-certificate", 17 );
DEFINE_STRING( BGl_string2961z00zz__ssl_sslz00, BgL_bgl_string2961za700za7za7_3788za7, "&read-pem-file", 14 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52makezd2certificatezd2envz52zz__ssl_sslz00, BgL_bgl_za762za752makeza7d2cer3789za7, BGl_z62z52makezd2certificateze2zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2962z00zz__ssl_sslz00, BgL_bgl_string2962za700za7za7_3790za7, "&ssl-rand-bytes", 15 );
DEFINE_STRING( BGl_string2963z00zz__ssl_sslz00, BgL_bgl_string2963za700za7za7_3791za7, "&ssl-rand-pseudo-bytes", 22 );
DEFINE_STRING( BGl_string2964z00zz__ssl_sslz00, BgL_bgl_string2964za700za7za7_3792za7, "&certificate-subject", 20 );
DEFINE_STRING( BGl_string2965z00zz__ssl_sslz00, BgL_bgl_string2965za700za7za7_3793za7, "certificate", 11 );
DEFINE_STRING( BGl_string2966z00zz__ssl_sslz00, BgL_bgl_string2966za700za7za7_3794za7, "&certificate-issuer", 19 );
DEFINE_STRING( BGl_string2967z00zz__ssl_sslz00, BgL_bgl_string2967za700za7za7_3795za7, "&%make-certificate", 18 );
DEFINE_STRING( BGl_string2968z00zz__ssl_sslz00, BgL_bgl_string2968za700za7za7_3796za7, "void*", 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2privatezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762readza7d2privat3797z00, BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2969z00zz__ssl_sslz00, BgL_bgl_string2969za700za7za7_3798za7, "&%make-private-key", 18 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2numzd2byteszd2envzd2zz__ssl_sslz00, BgL_bgl_za762bnza7d2numza7d2by3799za7, BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2970z00zz__ssl_sslz00, BgL_bgl_string2970za700za7za7_3800za7, "_secure-context-set-key!", 24 );
DEFINE_STRING( BGl_string2971z00zz__ssl_sslz00, BgL_bgl_string2971za700za7za7_3801za7, "vector", 6 );
DEFINE_STRING( BGl_string2972z00zz__ssl_sslz00, BgL_bgl_string2972za700za7za7_3802za7, "secure-context", 14 );
DEFINE_STRING( BGl_string2973z00zz__ssl_sslz00, BgL_bgl_string2973za700za7za7_3803za7, "&bn-bin2bn", 10 );
DEFINE_STRING( BGl_string2974z00zz__ssl_sslz00, BgL_bgl_string2974za700za7za7_3804za7, "&bn-bn2bin", 10 );
DEFINE_STRING( BGl_string2975z00zz__ssl_sslz00, BgL_bgl_string2975za700za7za7_3805za7, "foreign", 7 );
DEFINE_STRING( BGl_string2976z00zz__ssl_sslz00, BgL_bgl_string2976za700za7za7_3806za7, "&bn-num-bytes", 13 );
DEFINE_STRING( BGl_string2977z00zz__ssl_sslz00, BgL_bgl_string2977za700za7za7_3807za7, "&bn-free", 8 );
DEFINE_STRING( BGl_string2978z00zz__ssl_sslz00, BgL_bgl_string2978za700za7za7_3808za7, "&bn-set-word", 12 );
DEFINE_STRING( BGl_string2979z00zz__ssl_sslz00, BgL_bgl_string2979za700za7za7_3809za7, "&pkcs5-pbkdf2-hmac-sha1", 23 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3810z00, BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2envz00zz__ssl_sslz00, BgL_bgl_za762pkcs5za7d2pbkdf3811z00, BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73812za7, BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23813za7, BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2certificatezd2envz00zz__ssl_sslz00, BgL_bgl_za762readza7d2certif3814z00, BGl_z62readzd2certificatezb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23815za7, BGl_z62sslzd2signzd2signz62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2980z00zz__ssl_sslz00, BgL_bgl_za762lambda1816za7623816z00, BGl_z62lambda1816z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2981z00zz__ssl_sslz00, BgL_bgl_za762lambda1815za7623817z00, BGl_z62lambda1815z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2982z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3818za7, BGl_z62zc3z04anonymousza31806ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2983z00zz__ssl_sslz00, BgL_bgl_za762lambda1795za7623819z00, BGl_z62lambda1795z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2984z00zz__ssl_sslz00, BgL_bgl_za762lambda1793za7623820z00, BGl_z62lambda1793z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2985z00zz__ssl_sslz00, BgL_bgl_za762lambda1831za7623821z00, BGl_z62lambda1831z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2986z00zz__ssl_sslz00, BgL_bgl_za762lambda1830za7623822z00, BGl_z62lambda1830z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2987z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3823za7, BGl_z62zc3z04anonymousza31826ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2988z00zz__ssl_sslz00, BgL_bgl_za762lambda1824za7623824z00, BGl_z62lambda1824z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2989z00zz__ssl_sslz00, BgL_bgl_za762lambda1822za7623825z00, BGl_z62lambda1822z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2clearzd2errorzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2clearza7d3826za7, BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2sslzd2clientzd2socketzd2envz00zz__ssl_sslz00, BgL_bgl__makeza7d2sslza7d2cl3827z00, opt_generic_entry, BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3828z00, BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2990z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3829za7, BGl_z62zc3z04anonymousza31850ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2991z00zz__ssl_sslz00, BgL_bgl_za762lambda1849za7623830z00, BGl_z62lambda1849z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2992z00zz__ssl_sslz00, BgL_bgl_za762lambda1848za7623831z00, BGl_z62lambda1848z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2993z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3832za7, BGl_z62zc3z04anonymousza31857ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2994z00zz__ssl_sslz00, BgL_bgl_za762lambda1856za7623833z00, BGl_z62lambda1856z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2995z00zz__ssl_sslz00, BgL_bgl_za762lambda1855za7623834z00, BGl_z62lambda1855z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2996z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3835za7, BGl_z62zc3z04anonymousza31864ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2997z00zz__ssl_sslz00, BgL_bgl_za762lambda1863za7623836z00, BGl_z62lambda1863z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2998z00zz__ssl_sslz00, BgL_bgl_za762lambda1862za7623837z00, BGl_z62lambda1862z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2999z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3838za7, BGl_z62zc3z04anonymousza31843ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3839z00, BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2versionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2version3840z00, BGl_z62sslzd2versionzb0zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3841z00, BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73842za7, BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23843za7, BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3844z00, BGl_z62securezd2contextzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3845z00, BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3846z00, BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3847z00, BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3848z00, BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2statuszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23849za7, BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2freezd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2freeza7b0za73850z00, BGl_z62bnzd2freezb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2pseudozd2byteszd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23851za7, BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52certificatezd2z42nativezd2envz10zz__ssl_sslz00, BgL_bgl_za762za752certificat3852z00, BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2newzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2newza7b0za7za73853za7, BGl_z62bnzd2newzb0zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3854z00, BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3855z00, BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3856z00, BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2byteszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23857za7, BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2pollzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23858za7, BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3859z00, BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73860za7, BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3000z00zz__ssl_sslz00, BgL_bgl_za762lambda1840za7623861z00, BGl_z62lambda1840z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3001z00zz__ssl_sslz00, BgL_bgl_za762lambda1837za7623862z00, BGl_z62lambda1837z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3002z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3863za7, BGl_z62zc3z04anonymousza31884ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_certificatez00zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2signzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2hmaczd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_privatezd2keyzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2connectionzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2verifyzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2cipherzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_securezd2contextzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_dhz00zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2hashzd2zz__ssl_sslz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ssl_sslz00(long BgL_checksumz00_7867, char * BgL_fromz00_7868)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ssl_sslz00))
{ 
BGl_requirezd2initializa7ationz75zz__ssl_sslz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__ssl_sslz00(); 
BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00(); 
BGl_cnstzd2initzd2zz__ssl_sslz00(); 
BGl_objectzd2initzd2zz__ssl_sslz00(); 
BGl_genericzd2initzd2zz__ssl_sslz00(); 
return 
BGl_toplevelzd2initzd2zz__ssl_sslz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__socketz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ssl_ssl"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 15 */
 obj_t BgL_cportz00_5423;
{ /* Llib/ssl.scm 15 */
 obj_t BgL_stringz00_5430;
BgL_stringz00_5430 = BGl_string3330z00zz__ssl_sslz00; 
{ /* Llib/ssl.scm 15 */
 obj_t BgL_startz00_5431;
BgL_startz00_5431 = 
BINT(((long)0)); 
{ /* Llib/ssl.scm 15 */
 obj_t BgL_endz00_5432;
BgL_endz00_5432 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_5430))); 
{ /* Llib/ssl.scm 15 */

BgL_cportz00_5423 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_5430, BgL_startz00_5431, BgL_endz00_5432); } } } } 
{ 
 long BgL_iz00_5424;
BgL_iz00_5424 = ((long)90); 
BgL_loopz00_5425:
if(
(BgL_iz00_5424==((long)-1)))
{ /* Llib/ssl.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 15 */
 obj_t BgL_arg3331z00_5426;
{ /* Llib/ssl.scm 15 */

{ /* Llib/ssl.scm 15 */
 obj_t BgL_locationz00_5428;
BgL_locationz00_5428 = 
BBOOL(((bool_t)0)); 
{ /* Llib/ssl.scm 15 */

BgL_arg3331z00_5426 = 
BGl_readz00zz__readerz00(BgL_cportz00_5423, BgL_locationz00_5428); } } } 
{ /* Llib/ssl.scm 15 */
 int BgL_tmpz00_7903;
BgL_tmpz00_7903 = 
(int)(BgL_iz00_5424); 
CNST_TABLE_SET(BgL_tmpz00_7903, BgL_arg3331z00_5426); } } 
{ /* Llib/ssl.scm 15 */
 int BgL_auxz00_5429;
BgL_auxz00_5429 = 
(int)(
(BgL_iz00_5424-((long)1))); 
{ 
 long BgL_iz00_7908;
BgL_iz00_7908 = 
(long)(BgL_auxz00_5429); 
BgL_iz00_5424 = BgL_iz00_7908; 
goto BgL_loopz00_5425;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
return BUNSPEC;} 

}



/* ssl-version */
BGL_EXPORTED_DEF char * BGl_sslzd2versionzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 570 */
BGL_TAIL return 
bgl_ssl_version();} 

}



/* &ssl-version */
obj_t BGl_z62sslzd2versionzb0zz__ssl_sslz00(obj_t BgL_envz00_3997)
{
{ /* Llib/ssl.scm 570 */
return 
string_to_bstring(
BGl_sslzd2versionzd2zz__ssl_sslz00());} 

}



/* ssl-clear-error */
BGL_EXPORTED_DEF obj_t BGl_sslzd2clearzd2errorz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 578 */
ERR_clear_error(); BUNSPEC; 
return BTRUE;} 

}



/* &ssl-clear-error */
obj_t BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00(obj_t BgL_envz00_3998)
{
{ /* Llib/ssl.scm 578 */
return 
BGl_sslzd2clearzd2errorz00zz__ssl_sslz00();} 

}



/* sanity-args-checks */
obj_t BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(obj_t BgL_funcz00_3, obj_t BgL_certz00_4, obj_t BgL_pkeyz00_5, obj_t BgL_casz00_6, obj_t BgL_acceptedzd2certszd2_7)
{
{ /* Llib/ssl.scm 586 */
{ /* Llib/ssl.scm 587 */
 bool_t BgL_test3866z00_7916;
if(
CBOOL(BgL_certz00_4))
{ /* Llib/ssl.scm 587 */
 obj_t BgL_classz00_1761;
BgL_classz00_1761 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_certz00_4))
{ /* Llib/ssl.scm 587 */
 BgL_objectz00_bglt BgL_arg1793z00_1763;
BgL_arg1793z00_1763 = 
(BgL_objectz00_bglt)(BgL_certz00_4); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 587 */
 long BgL_idxz00_1769;
BgL_idxz00_1769 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1763); 
BgL_test3866z00_7916 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1769+((long)1)))==BgL_classz00_1761); }  else 
{ /* Llib/ssl.scm 587 */
 bool_t BgL_res2353z00_1791;
{ /* Llib/ssl.scm 587 */
 obj_t BgL_oclassz00_1777;
{ /* Llib/ssl.scm 587 */
 long BgL_arg1801z00_1783;
{ /* Llib/ssl.scm 587 */
 long BgL_arg1802z00_1784;
BgL_arg1802z00_1784 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1763); 
BgL_arg1801z00_1783 = 
(BgL_arg1802z00_1784-OBJECT_TYPE); } 
BgL_oclassz00_1777 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1783); } 
{ /* Llib/ssl.scm 587 */
 bool_t BgL__ortest_1110z00_1778;
BgL__ortest_1110z00_1778 = 
(BgL_classz00_1761==BgL_oclassz00_1777); 
if(BgL__ortest_1110z00_1778)
{ /* Llib/ssl.scm 587 */
BgL_res2353z00_1791 = BgL__ortest_1110z00_1778; }  else 
{ /* Llib/ssl.scm 587 */
 long BgL_odepthz00_1779;
BgL_odepthz00_1779 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1777); 
if(
(((long)1)<BgL_odepthz00_1779))
{ /* Llib/ssl.scm 587 */
 obj_t BgL_arg1790z00_1781;
BgL_arg1790z00_1781 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1777, ((long)1)); 
BgL_res2353z00_1791 = 
(BgL_arg1790z00_1781==BgL_classz00_1761); }  else 
{ /* Llib/ssl.scm 587 */
BgL_res2353z00_1791 = ((bool_t)0); } } } } 
BgL_test3866z00_7916 = BgL_res2353z00_1791; } }  else 
{ /* Llib/ssl.scm 587 */
BgL_test3866z00_7916 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 587 */
BgL_test3866z00_7916 = ((bool_t)1)
; } 
if(BgL_test3866z00_7916)
{ /* Llib/ssl.scm 587 */BFALSE; }  else 
{ /* Llib/ssl.scm 587 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2938z00zz__ssl_sslz00, BgL_certz00_4); } } 
{ /* Llib/ssl.scm 589 */
 bool_t BgL_test3872z00_7939;
if(
CBOOL(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 589 */
 obj_t BgL_classz00_1792;
BgL_classz00_1792 = BGl_privatezd2keyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 589 */
 BgL_objectz00_bglt BgL_arg1793z00_1794;
BgL_arg1793z00_1794 = 
(BgL_objectz00_bglt)(BgL_pkeyz00_5); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 589 */
 long BgL_idxz00_1800;
BgL_idxz00_1800 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1794); 
BgL_test3872z00_7939 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1800+((long)1)))==BgL_classz00_1792); }  else 
{ /* Llib/ssl.scm 589 */
 bool_t BgL_res2354z00_1822;
{ /* Llib/ssl.scm 589 */
 obj_t BgL_oclassz00_1808;
{ /* Llib/ssl.scm 589 */
 long BgL_arg1801z00_1814;
{ /* Llib/ssl.scm 589 */
 long BgL_arg1802z00_1815;
BgL_arg1802z00_1815 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1794); 
BgL_arg1801z00_1814 = 
(BgL_arg1802z00_1815-OBJECT_TYPE); } 
BgL_oclassz00_1808 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1814); } 
{ /* Llib/ssl.scm 589 */
 bool_t BgL__ortest_1110z00_1809;
BgL__ortest_1110z00_1809 = 
(BgL_classz00_1792==BgL_oclassz00_1808); 
if(BgL__ortest_1110z00_1809)
{ /* Llib/ssl.scm 589 */
BgL_res2354z00_1822 = BgL__ortest_1110z00_1809; }  else 
{ /* Llib/ssl.scm 589 */
 long BgL_odepthz00_1810;
BgL_odepthz00_1810 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1808); 
if(
(((long)1)<BgL_odepthz00_1810))
{ /* Llib/ssl.scm 589 */
 obj_t BgL_arg1790z00_1812;
BgL_arg1790z00_1812 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1808, ((long)1)); 
BgL_res2354z00_1822 = 
(BgL_arg1790z00_1812==BgL_classz00_1792); }  else 
{ /* Llib/ssl.scm 589 */
BgL_res2354z00_1822 = ((bool_t)0); } } } } 
BgL_test3872z00_7939 = BgL_res2354z00_1822; } }  else 
{ /* Llib/ssl.scm 589 */
BgL_test3872z00_7939 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 589 */
BgL_test3872z00_7939 = ((bool_t)1)
; } 
if(BgL_test3872z00_7939)
{ /* Llib/ssl.scm 589 */BFALSE; }  else 
{ /* Llib/ssl.scm 589 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2939z00zz__ssl_sslz00, BgL_pkeyz00_5); } } 
{ /* Llib/ssl.scm 591 */
 bool_t BgL_test3878z00_7962;
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_6))
{ 
 obj_t BgL_l1178z00_211;
BgL_l1178z00_211 = BgL_casz00_6; 
BgL_zc3z04anonymousza31376ze3z87_212:
if(
NULLP(BgL_l1178z00_211))
{ /* Llib/ssl.scm 591 */
BgL_test3878z00_7962 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 591 */
 bool_t BgL_test3881z00_7967;
{ /* Llib/ssl.scm 591 */
 obj_t BgL_cz00_217;
BgL_cz00_217 = 
CAR(
((obj_t)BgL_l1178z00_211)); 
{ /* Llib/ssl.scm 591 */
 obj_t BgL_classz00_1824;
BgL_classz00_1824 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_cz00_217))
{ /* Llib/ssl.scm 591 */
 BgL_objectz00_bglt BgL_arg1793z00_1826;
BgL_arg1793z00_1826 = 
(BgL_objectz00_bglt)(BgL_cz00_217); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 591 */
 long BgL_idxz00_1832;
BgL_idxz00_1832 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1826); 
BgL_test3881z00_7967 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1832+((long)1)))==BgL_classz00_1824); }  else 
{ /* Llib/ssl.scm 591 */
 bool_t BgL_res2355z00_1854;
{ /* Llib/ssl.scm 591 */
 obj_t BgL_oclassz00_1840;
{ /* Llib/ssl.scm 591 */
 long BgL_arg1801z00_1846;
{ /* Llib/ssl.scm 591 */
 long BgL_arg1802z00_1847;
BgL_arg1802z00_1847 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1826); 
BgL_arg1801z00_1846 = 
(BgL_arg1802z00_1847-OBJECT_TYPE); } 
BgL_oclassz00_1840 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1846); } 
{ /* Llib/ssl.scm 591 */
 bool_t BgL__ortest_1110z00_1841;
BgL__ortest_1110z00_1841 = 
(BgL_classz00_1824==BgL_oclassz00_1840); 
if(BgL__ortest_1110z00_1841)
{ /* Llib/ssl.scm 591 */
BgL_res2355z00_1854 = BgL__ortest_1110z00_1841; }  else 
{ /* Llib/ssl.scm 591 */
 long BgL_odepthz00_1842;
BgL_odepthz00_1842 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1840); 
if(
(((long)1)<BgL_odepthz00_1842))
{ /* Llib/ssl.scm 591 */
 obj_t BgL_arg1790z00_1844;
BgL_arg1790z00_1844 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1840, ((long)1)); 
BgL_res2355z00_1854 = 
(BgL_arg1790z00_1844==BgL_classz00_1824); }  else 
{ /* Llib/ssl.scm 591 */
BgL_res2355z00_1854 = ((bool_t)0); } } } } 
BgL_test3881z00_7967 = BgL_res2355z00_1854; } }  else 
{ /* Llib/ssl.scm 591 */
BgL_test3881z00_7967 = ((bool_t)0)
; } } } 
if(BgL_test3881z00_7967)
{ 
 obj_t BgL_l1178z00_7989;
BgL_l1178z00_7989 = 
CDR(
((obj_t)BgL_l1178z00_211)); 
BgL_l1178z00_211 = BgL_l1178z00_7989; 
goto BgL_zc3z04anonymousza31376ze3z87_212;}  else 
{ /* Llib/ssl.scm 591 */
BgL_test3878z00_7962 = ((bool_t)0)
; } } }  else 
{ /* Llib/ssl.scm 591 */
BgL_test3878z00_7962 = ((bool_t)0)
; } 
if(BgL_test3878z00_7962)
{ /* Llib/ssl.scm 591 */BFALSE; }  else 
{ /* Llib/ssl.scm 591 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2940z00zz__ssl_sslz00, BgL_casz00_6); } } 
{ /* Llib/ssl.scm 593 */
 bool_t BgL_test3886z00_7993;
if(
CBOOL(BgL_acceptedzd2certszd2_7))
{ /* Llib/ssl.scm 593 */
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_acceptedzd2certszd2_7))
{ 
 obj_t BgL_l1181z00_232;
BgL_l1181z00_232 = BgL_acceptedzd2certszd2_7; 
BgL_zc3z04anonymousza31382ze3z87_233:
if(
NULLP(BgL_l1181z00_232))
{ /* Llib/ssl.scm 595 */
BgL_test3886z00_7993 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 595 */
 bool_t BgL_test3890z00_8000;
{ /* Llib/ssl.scm 595 */
 obj_t BgL_cz00_238;
BgL_cz00_238 = 
CAR(
((obj_t)BgL_l1181z00_232)); 
{ /* Llib/ssl.scm 595 */
 obj_t BgL_classz00_1857;
BgL_classz00_1857 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_cz00_238))
{ /* Llib/ssl.scm 595 */
 BgL_objectz00_bglt BgL_arg1793z00_1859;
BgL_arg1793z00_1859 = 
(BgL_objectz00_bglt)(BgL_cz00_238); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 595 */
 long BgL_idxz00_1865;
BgL_idxz00_1865 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1859); 
BgL_test3890z00_8000 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1865+((long)1)))==BgL_classz00_1857); }  else 
{ /* Llib/ssl.scm 595 */
 bool_t BgL_res2356z00_1887;
{ /* Llib/ssl.scm 595 */
 obj_t BgL_oclassz00_1873;
{ /* Llib/ssl.scm 595 */
 long BgL_arg1801z00_1879;
{ /* Llib/ssl.scm 595 */
 long BgL_arg1802z00_1880;
BgL_arg1802z00_1880 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1859); 
BgL_arg1801z00_1879 = 
(BgL_arg1802z00_1880-OBJECT_TYPE); } 
BgL_oclassz00_1873 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1879); } 
{ /* Llib/ssl.scm 595 */
 bool_t BgL__ortest_1110z00_1874;
BgL__ortest_1110z00_1874 = 
(BgL_classz00_1857==BgL_oclassz00_1873); 
if(BgL__ortest_1110z00_1874)
{ /* Llib/ssl.scm 595 */
BgL_res2356z00_1887 = BgL__ortest_1110z00_1874; }  else 
{ /* Llib/ssl.scm 595 */
 long BgL_odepthz00_1875;
BgL_odepthz00_1875 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1873); 
if(
(((long)1)<BgL_odepthz00_1875))
{ /* Llib/ssl.scm 595 */
 obj_t BgL_arg1790z00_1877;
BgL_arg1790z00_1877 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1873, ((long)1)); 
BgL_res2356z00_1887 = 
(BgL_arg1790z00_1877==BgL_classz00_1857); }  else 
{ /* Llib/ssl.scm 595 */
BgL_res2356z00_1887 = ((bool_t)0); } } } } 
BgL_test3890z00_8000 = BgL_res2356z00_1887; } }  else 
{ /* Llib/ssl.scm 595 */
BgL_test3890z00_8000 = ((bool_t)0)
; } } } 
if(BgL_test3890z00_8000)
{ 
 obj_t BgL_l1181z00_8022;
BgL_l1181z00_8022 = 
CDR(
((obj_t)BgL_l1181z00_232)); 
BgL_l1181z00_232 = BgL_l1181z00_8022; 
goto BgL_zc3z04anonymousza31382ze3z87_233;}  else 
{ /* Llib/ssl.scm 595 */
BgL_test3886z00_7993 = ((bool_t)0)
; } } }  else 
{ /* Llib/ssl.scm 594 */
BgL_test3886z00_7993 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 593 */
BgL_test3886z00_7993 = ((bool_t)1)
; } 
if(BgL_test3886z00_7993)
{ /* Llib/ssl.scm 593 */BFALSE; }  else 
{ /* Llib/ssl.scm 593 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2941z00zz__ssl_sslz00, BgL_acceptedzd2certszd2_7); } } 
{ /* Llib/ssl.scm 597 */
 bool_t BgL_test3895z00_8026;
{ /* Llib/ssl.scm 597 */
 bool_t BgL_test3896z00_8027;
{ /* Llib/ssl.scm 597 */
 bool_t BgL_test3897z00_8028;
{ /* Llib/ssl.scm 597 */
 obj_t BgL_classz00_1889;
BgL_classz00_1889 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_certz00_4))
{ /* Llib/ssl.scm 597 */
 BgL_objectz00_bglt BgL_arg1793z00_1891;
BgL_arg1793z00_1891 = 
(BgL_objectz00_bglt)(BgL_certz00_4); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 597 */
 long BgL_idxz00_1897;
BgL_idxz00_1897 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1891); 
BgL_test3897z00_8028 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1897+((long)1)))==BgL_classz00_1889); }  else 
{ /* Llib/ssl.scm 597 */
 bool_t BgL_res2357z00_1919;
{ /* Llib/ssl.scm 597 */
 obj_t BgL_oclassz00_1905;
{ /* Llib/ssl.scm 597 */
 long BgL_arg1801z00_1911;
{ /* Llib/ssl.scm 597 */
 long BgL_arg1802z00_1912;
BgL_arg1802z00_1912 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1891); 
BgL_arg1801z00_1911 = 
(BgL_arg1802z00_1912-OBJECT_TYPE); } 
BgL_oclassz00_1905 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1911); } 
{ /* Llib/ssl.scm 597 */
 bool_t BgL__ortest_1110z00_1906;
BgL__ortest_1110z00_1906 = 
(BgL_classz00_1889==BgL_oclassz00_1905); 
if(BgL__ortest_1110z00_1906)
{ /* Llib/ssl.scm 597 */
BgL_res2357z00_1919 = BgL__ortest_1110z00_1906; }  else 
{ /* Llib/ssl.scm 597 */
 long BgL_odepthz00_1907;
BgL_odepthz00_1907 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1905); 
if(
(((long)1)<BgL_odepthz00_1907))
{ /* Llib/ssl.scm 597 */
 obj_t BgL_arg1790z00_1909;
BgL_arg1790z00_1909 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1905, ((long)1)); 
BgL_res2357z00_1919 = 
(BgL_arg1790z00_1909==BgL_classz00_1889); }  else 
{ /* Llib/ssl.scm 597 */
BgL_res2357z00_1919 = ((bool_t)0); } } } } 
BgL_test3897z00_8028 = BgL_res2357z00_1919; } }  else 
{ /* Llib/ssl.scm 597 */
BgL_test3897z00_8028 = ((bool_t)0)
; } } 
if(BgL_test3897z00_8028)
{ /* Llib/ssl.scm 597 */
 bool_t BgL_test3902z00_8048;
{ /* Llib/ssl.scm 597 */
 obj_t BgL_classz00_1920;
BgL_classz00_1920 = BGl_privatezd2keyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 597 */
 BgL_objectz00_bglt BgL_arg1793z00_1922;
BgL_arg1793z00_1922 = 
(BgL_objectz00_bglt)(BgL_pkeyz00_5); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 597 */
 long BgL_idxz00_1928;
BgL_idxz00_1928 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1922); 
BgL_test3902z00_8048 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1928+((long)1)))==BgL_classz00_1920); }  else 
{ /* Llib/ssl.scm 597 */
 bool_t BgL_res2358z00_1950;
{ /* Llib/ssl.scm 597 */
 obj_t BgL_oclassz00_1936;
{ /* Llib/ssl.scm 597 */
 long BgL_arg1801z00_1942;
{ /* Llib/ssl.scm 597 */
 long BgL_arg1802z00_1943;
BgL_arg1802z00_1943 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1922); 
BgL_arg1801z00_1942 = 
(BgL_arg1802z00_1943-OBJECT_TYPE); } 
BgL_oclassz00_1936 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1942); } 
{ /* Llib/ssl.scm 597 */
 bool_t BgL__ortest_1110z00_1937;
BgL__ortest_1110z00_1937 = 
(BgL_classz00_1920==BgL_oclassz00_1936); 
if(BgL__ortest_1110z00_1937)
{ /* Llib/ssl.scm 597 */
BgL_res2358z00_1950 = BgL__ortest_1110z00_1937; }  else 
{ /* Llib/ssl.scm 597 */
 long BgL_odepthz00_1938;
BgL_odepthz00_1938 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1936); 
if(
(((long)1)<BgL_odepthz00_1938))
{ /* Llib/ssl.scm 597 */
 obj_t BgL_arg1790z00_1940;
BgL_arg1790z00_1940 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1936, ((long)1)); 
BgL_res2358z00_1950 = 
(BgL_arg1790z00_1940==BgL_classz00_1920); }  else 
{ /* Llib/ssl.scm 597 */
BgL_res2358z00_1950 = ((bool_t)0); } } } } 
BgL_test3902z00_8048 = BgL_res2358z00_1950; } }  else 
{ /* Llib/ssl.scm 597 */
BgL_test3902z00_8048 = ((bool_t)0)
; } } 
if(BgL_test3902z00_8048)
{ /* Llib/ssl.scm 597 */
BgL_test3896z00_8027 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 597 */
BgL_test3896z00_8027 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 597 */
BgL_test3896z00_8027 = ((bool_t)0)
; } } 
if(BgL_test3896z00_8027)
{ /* Llib/ssl.scm 597 */
BgL_test3895z00_8026 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_test3907z00_8068;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_classz00_1951;
BgL_classz00_1951 = BGl_privatezd2keyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 598 */
 BgL_objectz00_bglt BgL_arg1793z00_1953;
BgL_arg1793z00_1953 = 
(BgL_objectz00_bglt)(BgL_pkeyz00_5); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 598 */
 long BgL_idxz00_1959;
BgL_idxz00_1959 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1953); 
BgL_test3907z00_8068 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1959+((long)1)))==BgL_classz00_1951); }  else 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_res2359z00_1981;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_oclassz00_1967;
{ /* Llib/ssl.scm 598 */
 long BgL_arg1801z00_1973;
{ /* Llib/ssl.scm 598 */
 long BgL_arg1802z00_1974;
BgL_arg1802z00_1974 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1953); 
BgL_arg1801z00_1973 = 
(BgL_arg1802z00_1974-OBJECT_TYPE); } 
BgL_oclassz00_1967 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1973); } 
{ /* Llib/ssl.scm 598 */
 bool_t BgL__ortest_1110z00_1968;
BgL__ortest_1110z00_1968 = 
(BgL_classz00_1951==BgL_oclassz00_1967); 
if(BgL__ortest_1110z00_1968)
{ /* Llib/ssl.scm 598 */
BgL_res2359z00_1981 = BgL__ortest_1110z00_1968; }  else 
{ /* Llib/ssl.scm 598 */
 long BgL_odepthz00_1969;
BgL_odepthz00_1969 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1967); 
if(
(((long)1)<BgL_odepthz00_1969))
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1790z00_1971;
BgL_arg1790z00_1971 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1967, ((long)1)); 
BgL_res2359z00_1981 = 
(BgL_arg1790z00_1971==BgL_classz00_1951); }  else 
{ /* Llib/ssl.scm 598 */
BgL_res2359z00_1981 = ((bool_t)0); } } } } 
BgL_test3907z00_8068 = BgL_res2359z00_1981; } }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3907z00_8068 = ((bool_t)0)
; } } 
if(BgL_test3907z00_8068)
{ /* Llib/ssl.scm 598 */
 bool_t BgL_test3912z00_8088;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_classz00_1982;
BgL_classz00_1982 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_certz00_4))
{ /* Llib/ssl.scm 598 */
 BgL_objectz00_bglt BgL_arg1793z00_1984;
BgL_arg1793z00_1984 = 
(BgL_objectz00_bglt)(BgL_certz00_4); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 598 */
 long BgL_idxz00_1990;
BgL_idxz00_1990 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1984); 
BgL_test3912z00_8088 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1990+((long)1)))==BgL_classz00_1982); }  else 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_res2360z00_2012;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_oclassz00_1998;
{ /* Llib/ssl.scm 598 */
 long BgL_arg1801z00_2004;
{ /* Llib/ssl.scm 598 */
 long BgL_arg1802z00_2005;
BgL_arg1802z00_2005 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1984); 
BgL_arg1801z00_2004 = 
(BgL_arg1802z00_2005-OBJECT_TYPE); } 
BgL_oclassz00_1998 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_2004); } 
{ /* Llib/ssl.scm 598 */
 bool_t BgL__ortest_1110z00_1999;
BgL__ortest_1110z00_1999 = 
(BgL_classz00_1982==BgL_oclassz00_1998); 
if(BgL__ortest_1110z00_1999)
{ /* Llib/ssl.scm 598 */
BgL_res2360z00_2012 = BgL__ortest_1110z00_1999; }  else 
{ /* Llib/ssl.scm 598 */
 long BgL_odepthz00_2000;
BgL_odepthz00_2000 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1998); 
if(
(((long)1)<BgL_odepthz00_2000))
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1790z00_2002;
BgL_arg1790z00_2002 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1998, ((long)1)); 
BgL_res2360z00_2012 = 
(BgL_arg1790z00_2002==BgL_classz00_1982); }  else 
{ /* Llib/ssl.scm 598 */
BgL_res2360z00_2012 = ((bool_t)0); } } } } 
BgL_test3912z00_8088 = BgL_res2360z00_2012; } }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3912z00_8088 = ((bool_t)0)
; } } 
if(BgL_test3912z00_8088)
{ /* Llib/ssl.scm 598 */
BgL_test3895z00_8026 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3895z00_8026 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3895z00_8026 = ((bool_t)0)
; } } } 
if(BgL_test3895z00_8026)
{ /* Llib/ssl.scm 601 */
 obj_t BgL_arg1419z00_248;
{ /* Llib/ssl.scm 601 */
 obj_t BgL_list1420z00_249;
{ /* Llib/ssl.scm 601 */
 obj_t BgL_arg1460z00_250;
BgL_arg1460z00_250 = 
MAKE_YOUNG_PAIR(BgL_certz00_4, BNIL); 
BgL_list1420z00_249 = 
MAKE_YOUNG_PAIR(BgL_pkeyz00_5, BgL_arg1460z00_250); } 
BgL_arg1419z00_248 = BgL_list1420z00_249; } 
return 
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2942z00zz__ssl_sslz00, BgL_arg1419z00_248);}  else 
{ /* Llib/ssl.scm 597 */
return BFALSE;} } } 

}



/* _make-ssl-client-socket */
obj_t BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t BgL_env1210z00_19, obj_t BgL_opt1209z00_18)
{
{ /* Llib/ssl.scm 606 */
{ /* Llib/ssl.scm 606 */
 obj_t BgL_g1223z00_260; obj_t BgL_g1224z00_261;
BgL_g1223z00_260 = 
VECTOR_REF(BgL_opt1209z00_18,((long)0)); 
BgL_g1224z00_261 = 
VECTOR_REF(BgL_opt1209z00_18,((long)1)); 
{ /* Llib/ssl.scm 612 */
 obj_t BgL_casz00_262;
BgL_casz00_262 = BNIL; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_acceptedzd2certszd2_263;
BgL_acceptedzd2certszd2_263 = BFALSE; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_certz00_264;
BgL_certz00_264 = BFALSE; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_inbufz00_265;
BgL_inbufz00_265 = BTRUE; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_outbufz00_266;
BgL_outbufz00_266 = BTRUE; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_pkeyz00_267;
BgL_pkeyz00_267 = BFALSE; 
{ /* Llib/ssl.scm 610 */
 obj_t BgL_protocolz00_268;
BgL_protocolz00_268 = 
CNST_TABLE_REF(((long)0)); 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_timeoutz00_269;
BgL_timeoutz00_269 = 
BINT(((long)0)); 
{ /* Llib/ssl.scm 606 */

{ 
 long BgL_iz00_270;
BgL_iz00_270 = ((long)2); 
BgL_check1213z00_271:
if(
(BgL_iz00_270==
VECTOR_LENGTH(BgL_opt1209z00_18)))
{ /* Llib/ssl.scm 606 */BNIL; }  else 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3918z00_8118;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_arg1574z00_277;
BgL_arg1574z00_277 = 
VECTOR_REF(BgL_opt1209z00_18,BgL_iz00_270); 
BgL_test3918z00_8118 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1574z00_277, 
CNST_TABLE_REF(((long)1)))); } 
if(BgL_test3918z00_8118)
{ 
 long BgL_iz00_8123;
BgL_iz00_8123 = 
(BgL_iz00_270+((long)2)); 
BgL_iz00_270 = BgL_iz00_8123; 
goto BgL_check1213z00_271;}  else 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_arg1568z00_276;
BgL_arg1568z00_276 = 
VECTOR_REF(BgL_opt1209z00_18,BgL_iz00_270); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)2)), BGl_string2943z00zz__ssl_sslz00, BgL_arg1568z00_276); } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1215z00_278;
BgL_index1215z00_278 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1209z00_18), BgL_opt1209z00_18, 
CNST_TABLE_REF(((long)3)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3919z00_8131;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2029;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8132;
if(
INTEGERP(BgL_index1215z00_278))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8132 = BgL_index1215z00_278
; }  else 
{ 
 obj_t BgL_auxz00_8135;
BgL_auxz00_8135 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1215z00_278); 
FAILURE(BgL_auxz00_8135,BFALSE,BFALSE);} 
BgL_n1z00_2029 = 
(long)CINT(BgL_tmpz00_8132); } 
BgL_test3919z00_8131 = 
(BgL_n1z00_2029>=((long)0)); } 
if(BgL_test3919z00_8131)
{ 
 long BgL_auxz00_8141;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8142;
if(
INTEGERP(BgL_index1215z00_278))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8142 = BgL_index1215z00_278
; }  else 
{ 
 obj_t BgL_auxz00_8145;
BgL_auxz00_8145 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1215z00_278); 
FAILURE(BgL_auxz00_8145,BFALSE,BFALSE);} 
BgL_auxz00_8141 = 
(long)CINT(BgL_tmpz00_8142); } 
BgL_casz00_262 = 
VECTOR_REF(BgL_opt1209z00_18,BgL_auxz00_8141); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1216z00_280;
BgL_index1216z00_280 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1209z00_18), BgL_opt1209z00_18, 
CNST_TABLE_REF(((long)4)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3922z00_8154;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2030;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8155;
if(
INTEGERP(BgL_index1216z00_280))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8155 = BgL_index1216z00_280
; }  else 
{ 
 obj_t BgL_auxz00_8158;
BgL_auxz00_8158 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1216z00_280); 
FAILURE(BgL_auxz00_8158,BFALSE,BFALSE);} 
BgL_n1z00_2030 = 
(long)CINT(BgL_tmpz00_8155); } 
BgL_test3922z00_8154 = 
(BgL_n1z00_2030>=((long)0)); } 
if(BgL_test3922z00_8154)
{ 
 long BgL_auxz00_8164;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8165;
if(
INTEGERP(BgL_index1216z00_280))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8165 = BgL_index1216z00_280
; }  else 
{ 
 obj_t BgL_auxz00_8168;
BgL_auxz00_8168 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1216z00_280); 
FAILURE(BgL_auxz00_8168,BFALSE,BFALSE);} 
BgL_auxz00_8164 = 
(long)CINT(BgL_tmpz00_8165); } 
BgL_acceptedzd2certszd2_263 = 
VECTOR_REF(BgL_opt1209z00_18,BgL_auxz00_8164); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1217z00_282;
BgL_index1217z00_282 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1209z00_18), BgL_opt1209z00_18, 
CNST_TABLE_REF(((long)5)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3925z00_8177;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2031;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8178;
if(
INTEGERP(BgL_index1217z00_282))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8178 = BgL_index1217z00_282
; }  else 
{ 
 obj_t BgL_auxz00_8181;
BgL_auxz00_8181 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1217z00_282); 
FAILURE(BgL_auxz00_8181,BFALSE,BFALSE);} 
BgL_n1z00_2031 = 
(long)CINT(BgL_tmpz00_8178); } 
BgL_test3925z00_8177 = 
(BgL_n1z00_2031>=((long)0)); } 
if(BgL_test3925z00_8177)
{ 
 long BgL_auxz00_8187;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8188;
if(
INTEGERP(BgL_index1217z00_282))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8188 = BgL_index1217z00_282
; }  else 
{ 
 obj_t BgL_auxz00_8191;
BgL_auxz00_8191 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1217z00_282); 
FAILURE(BgL_auxz00_8191,BFALSE,BFALSE);} 
BgL_auxz00_8187 = 
(long)CINT(BgL_tmpz00_8188); } 
BgL_certz00_264 = 
VECTOR_REF(BgL_opt1209z00_18,BgL_auxz00_8187); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1218z00_284;
BgL_index1218z00_284 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1209z00_18), BgL_opt1209z00_18, 
CNST_TABLE_REF(((long)6)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3928z00_8200;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2032;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8201;
if(
INTEGERP(BgL_index1218z00_284))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8201 = BgL_index1218z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8204;
BgL_auxz00_8204 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1218z00_284); 
FAILURE(BgL_auxz00_8204,BFALSE,BFALSE);} 
BgL_n1z00_2032 = 
(long)CINT(BgL_tmpz00_8201); } 
BgL_test3928z00_8200 = 
(BgL_n1z00_2032>=((long)0)); } 
if(BgL_test3928z00_8200)
{ 
 long BgL_auxz00_8210;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8211;
if(
INTEGERP(BgL_index1218z00_284))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8211 = BgL_index1218z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8214;
BgL_auxz00_8214 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1218z00_284); 
FAILURE(BgL_auxz00_8214,BFALSE,BFALSE);} 
BgL_auxz00_8210 = 
(long)CINT(BgL_tmpz00_8211); } 
BgL_inbufz00_265 = 
VECTOR_REF(BgL_opt1209z00_18,BgL_auxz00_8210); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1219z00_286;
BgL_index1219z00_286 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1209z00_18), BgL_opt1209z00_18, 
CNST_TABLE_REF(((long)7)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3931z00_8223;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2033;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8224;
if(
INTEGERP(BgL_index1219z00_286))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8224 = BgL_index1219z00_286
; }  else 
{ 
 obj_t BgL_auxz00_8227;
BgL_auxz00_8227 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1219z00_286); 
FAILURE(BgL_auxz00_8227,BFALSE,BFALSE);} 
BgL_n1z00_2033 = 
(long)CINT(BgL_tmpz00_8224); } 
BgL_test3931z00_8223 = 
(BgL_n1z00_2033>=((long)0)); } 
if(BgL_test3931z00_8223)
{ 
 long BgL_auxz00_8233;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8234;
if(
INTEGERP(BgL_index1219z00_286))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8234 = BgL_index1219z00_286
; }  else 
{ 
 obj_t BgL_auxz00_8237;
BgL_auxz00_8237 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1219z00_286); 
FAILURE(BgL_auxz00_8237,BFALSE,BFALSE);} 
BgL_auxz00_8233 = 
(long)CINT(BgL_tmpz00_8234); } 
BgL_outbufz00_266 = 
VECTOR_REF(BgL_opt1209z00_18,BgL_auxz00_8233); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1220z00_288;
BgL_index1220z00_288 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1209z00_18), BgL_opt1209z00_18, 
CNST_TABLE_REF(((long)8)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3934z00_8246;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2034;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8247;
if(
INTEGERP(BgL_index1220z00_288))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8247 = BgL_index1220z00_288
; }  else 
{ 
 obj_t BgL_auxz00_8250;
BgL_auxz00_8250 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1220z00_288); 
FAILURE(BgL_auxz00_8250,BFALSE,BFALSE);} 
BgL_n1z00_2034 = 
(long)CINT(BgL_tmpz00_8247); } 
BgL_test3934z00_8246 = 
(BgL_n1z00_2034>=((long)0)); } 
if(BgL_test3934z00_8246)
{ 
 long BgL_auxz00_8256;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8257;
if(
INTEGERP(BgL_index1220z00_288))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8257 = BgL_index1220z00_288
; }  else 
{ 
 obj_t BgL_auxz00_8260;
BgL_auxz00_8260 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1220z00_288); 
FAILURE(BgL_auxz00_8260,BFALSE,BFALSE);} 
BgL_auxz00_8256 = 
(long)CINT(BgL_tmpz00_8257); } 
BgL_pkeyz00_267 = 
VECTOR_REF(BgL_opt1209z00_18,BgL_auxz00_8256); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1221z00_290;
BgL_index1221z00_290 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1209z00_18), BgL_opt1209z00_18, 
CNST_TABLE_REF(((long)9)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3937z00_8269;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2035;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8270;
if(
INTEGERP(BgL_index1221z00_290))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8270 = BgL_index1221z00_290
; }  else 
{ 
 obj_t BgL_auxz00_8273;
BgL_auxz00_8273 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1221z00_290); 
FAILURE(BgL_auxz00_8273,BFALSE,BFALSE);} 
BgL_n1z00_2035 = 
(long)CINT(BgL_tmpz00_8270); } 
BgL_test3937z00_8269 = 
(BgL_n1z00_2035>=((long)0)); } 
if(BgL_test3937z00_8269)
{ 
 long BgL_auxz00_8279;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8280;
if(
INTEGERP(BgL_index1221z00_290))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8280 = BgL_index1221z00_290
; }  else 
{ 
 obj_t BgL_auxz00_8283;
BgL_auxz00_8283 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1221z00_290); 
FAILURE(BgL_auxz00_8283,BFALSE,BFALSE);} 
BgL_auxz00_8279 = 
(long)CINT(BgL_tmpz00_8280); } 
BgL_protocolz00_268 = 
VECTOR_REF(BgL_opt1209z00_18,BgL_auxz00_8279); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1222z00_292;
BgL_index1222z00_292 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1209z00_18), BgL_opt1209z00_18, 
CNST_TABLE_REF(((long)10)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3940z00_8292;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2036;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8293;
if(
INTEGERP(BgL_index1222z00_292))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8293 = BgL_index1222z00_292
; }  else 
{ 
 obj_t BgL_auxz00_8296;
BgL_auxz00_8296 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1222z00_292); 
FAILURE(BgL_auxz00_8296,BFALSE,BFALSE);} 
BgL_n1z00_2036 = 
(long)CINT(BgL_tmpz00_8293); } 
BgL_test3940z00_8292 = 
(BgL_n1z00_2036>=((long)0)); } 
if(BgL_test3940z00_8292)
{ 
 long BgL_auxz00_8302;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8303;
if(
INTEGERP(BgL_index1222z00_292))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8303 = BgL_index1222z00_292
; }  else 
{ 
 obj_t BgL_auxz00_8306;
BgL_auxz00_8306 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1222z00_292); 
FAILURE(BgL_auxz00_8306,BFALSE,BFALSE);} 
BgL_auxz00_8302 = 
(long)CINT(BgL_tmpz00_8303); } 
BgL_timeoutz00_269 = 
VECTOR_REF(BgL_opt1209z00_18,BgL_auxz00_8302); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_arg1584z00_294; obj_t BgL_arg1585z00_295;
BgL_arg1584z00_294 = 
VECTOR_REF(BgL_opt1209z00_18,((long)0)); 
BgL_arg1585z00_295 = 
VECTOR_REF(BgL_opt1209z00_18,((long)1)); 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_casz00_296;
BgL_casz00_296 = BgL_casz00_262; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_acceptedzd2certszd2_297;
BgL_acceptedzd2certszd2_297 = BgL_acceptedzd2certszd2_263; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_certz00_298;
BgL_certz00_298 = BgL_certz00_264; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_inbufz00_299;
BgL_inbufz00_299 = BgL_inbufz00_265; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_outbufz00_300;
BgL_outbufz00_300 = BgL_outbufz00_266; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_pkeyz00_301;
BgL_pkeyz00_301 = BgL_pkeyz00_267; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_protocolz00_302;
BgL_protocolz00_302 = BgL_protocolz00_268; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_timeoutz00_303;
BgL_timeoutz00_303 = BgL_timeoutz00_269; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_hostnamez00_2037; int BgL_portz00_2038;
if(
STRINGP(BgL_arg1584z00_294))
{ /* Llib/ssl.scm 606 */
BgL_hostnamez00_2037 = BgL_arg1584z00_294; }  else 
{ 
 obj_t BgL_auxz00_8316;
BgL_auxz00_8316 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_arg1584z00_294); 
FAILURE(BgL_auxz00_8316,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8320;
if(
INTEGERP(BgL_arg1585z00_295))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8320 = BgL_arg1585z00_295
; }  else 
{ 
 obj_t BgL_auxz00_8323;
BgL_auxz00_8323 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_arg1585z00_295); 
FAILURE(BgL_auxz00_8323,BFALSE,BFALSE);} 
BgL_portz00_2038 = 
CINT(BgL_tmpz00_8320); } 
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)2)), BgL_certz00_298, BgL_pkeyz00_301, BgL_casz00_296, BgL_acceptedzd2certszd2_297); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 616 */
 obj_t BgL_arg1605z00_2039; obj_t BgL_arg1617z00_2040; obj_t BgL_arg1618z00_2041;
BgL_arg1605z00_2039 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_302); 
BgL_arg1617z00_2040 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_inbufz00_299, 
(int)(default_io_bufsiz)); 
BgL_arg1618z00_2041 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_outbufz00_300, 
(int)(default_io_bufsiz)); 
{ /* Llib/ssl.scm 615 */
 obj_t BgL_auxz00_8356; int BgL_auxz00_8347; int BgL_tmpz00_8338;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_296))
{ /* Llib/ssl.scm 618 */
BgL_auxz00_8356 = BgL_casz00_296
; }  else 
{ 
 obj_t BgL_auxz00_8359;
BgL_auxz00_8359 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25165)), BGl_string2945z00zz__ssl_sslz00, BGl_string2948z00zz__ssl_sslz00, BgL_casz00_296); 
FAILURE(BgL_auxz00_8359,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 616 */
 obj_t BgL_tmpz00_8348;
if(
INTEGERP(BgL_arg1605z00_2039))
{ /* Llib/ssl.scm 616 */
BgL_tmpz00_8348 = BgL_arg1605z00_2039
; }  else 
{ 
 obj_t BgL_auxz00_8351;
BgL_auxz00_8351 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25141)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_arg1605z00_2039); 
FAILURE(BgL_auxz00_8351,BFALSE,BFALSE);} 
BgL_auxz00_8347 = 
CINT(BgL_tmpz00_8348); } 
{ /* Llib/ssl.scm 615 */
 obj_t BgL_tmpz00_8339;
if(
INTEGERP(BgL_timeoutz00_303))
{ /* Llib/ssl.scm 615 */
BgL_tmpz00_8339 = BgL_timeoutz00_303
; }  else 
{ 
 obj_t BgL_auxz00_8342;
BgL_auxz00_8342 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25095)), BGl_string2945z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_timeoutz00_303); 
FAILURE(BgL_auxz00_8342,BFALSE,BFALSE);} 
BgL_tmpz00_8338 = 
CINT(BgL_tmpz00_8339); } 
return 
bgl_make_ssl_client_socket(BgL_hostnamez00_2037, BgL_portz00_2038, BgL_tmpz00_8338, BgL_auxz00_8347, BgL_certz00_298, BgL_pkeyz00_301, BgL_auxz00_8356, BgL_acceptedzd2certszd2_297, BgL_arg1617z00_2040, BgL_arg1618z00_2041);} } } } } } } } } } } } } } } } } } } } } } } 

}



/* search1212~0 */
obj_t BGl_search1212ze70ze7zz__ssl_sslz00(long BgL_l1211z00_5003, obj_t BgL_opt1209z00_5002, obj_t BgL_k1z00_257, long BgL_iz00_258)
{
{ /* Llib/ssl.scm 606 */
BGl_search1212ze70ze7zz__ssl_sslz00:
if(
(BgL_iz00_258==BgL_l1211z00_5003))
{ /* Llib/ssl.scm 606 */
return 
BINT(((long)-1));}  else 
{ /* Llib/ssl.scm 606 */
if(
(BgL_iz00_258==
(BgL_l1211z00_5003-((long)1))))
{ /* Llib/ssl.scm 606 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)2)), BGl_string2949z00zz__ssl_sslz00, 
BINT(
VECTOR_LENGTH(BgL_opt1209z00_5002)));}  else 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_vz00_308;
BgL_vz00_308 = 
VECTOR_REF(BgL_opt1209z00_5002,BgL_iz00_258); 
if(
(BgL_vz00_308==BgL_k1z00_257))
{ /* Llib/ssl.scm 606 */
return 
BINT(
(BgL_iz00_258+((long)1)));}  else 
{ 
 long BgL_iz00_8379;
BgL_iz00_8379 = 
(BgL_iz00_258+((long)2)); 
BgL_iz00_258 = BgL_iz00_8379; 
goto BGl_search1212ze70ze7zz__ssl_sslz00;} } } } 

}



/* make-ssl-client-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t BgL_hostnamez00_8, int BgL_portz00_9, obj_t BgL_casz00_10, obj_t BgL_acceptedzd2certszd2_11, obj_t BgL_certz00_12, obj_t BgL_inbufz00_13, obj_t BgL_outbufz00_14, obj_t BgL_pkeyz00_15, obj_t BgL_protocolz00_16, obj_t BgL_timeoutz00_17)
{
{ /* Llib/ssl.scm 606 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)2)), BgL_certz00_12, BgL_pkeyz00_15, BgL_casz00_10, BgL_acceptedzd2certszd2_11); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 616 */
 obj_t BgL_arg1605z00_2042; obj_t BgL_arg1617z00_2043; obj_t BgL_arg1618z00_2044;
BgL_arg1605z00_2042 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_16); 
BgL_arg1617z00_2043 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_inbufz00_13, 
(int)(default_io_bufsiz)); 
BgL_arg1618z00_2044 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_outbufz00_14, 
(int)(default_io_bufsiz)); 
return 
bgl_make_ssl_client_socket(BgL_hostnamez00_8, BgL_portz00_9, 
CINT(BgL_timeoutz00_17), 
CINT(BgL_arg1605z00_2042), BgL_certz00_12, BgL_pkeyz00_15, BgL_casz00_10, BgL_acceptedzd2certszd2_11, BgL_arg1617z00_2043, BgL_arg1618z00_2044);} } 

}



/* _client-socket-use-ssl! */
obj_t BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t BgL_env1226z00_27, obj_t BgL_opt1225z00_26)
{
{ /* Llib/ssl.scm 629 */
{ /* Llib/ssl.scm 629 */
 obj_t BgL_g1236z00_318;
BgL_g1236z00_318 = 
VECTOR_REF(BgL_opt1225z00_26,((long)0)); 
{ /* Llib/ssl.scm 632 */
 obj_t BgL_casz00_319;
BgL_casz00_319 = BNIL; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_acceptedzd2certszd2_320;
BgL_acceptedzd2certszd2_320 = BFALSE; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_certz00_321;
BgL_certz00_321 = BFALSE; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_pkeyz00_322;
BgL_pkeyz00_322 = BFALSE; 
{ /* Llib/ssl.scm 630 */
 obj_t BgL_protocolz00_323;
BgL_protocolz00_323 = 
CNST_TABLE_REF(((long)0)); 
{ /* Llib/ssl.scm 629 */

{ 
 long BgL_iz00_324;
BgL_iz00_324 = ((long)1); 
BgL_check1229z00_325:
if(
(BgL_iz00_324==
VECTOR_LENGTH(BgL_opt1225z00_26)))
{ /* Llib/ssl.scm 629 */BNIL; }  else 
{ /* Llib/ssl.scm 629 */
 bool_t BgL_test3952z00_8399;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_arg1650z00_331;
BgL_arg1650z00_331 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_iz00_324); 
BgL_test3952z00_8399 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1650z00_331, 
CNST_TABLE_REF(((long)11)))); } 
if(BgL_test3952z00_8399)
{ 
 long BgL_iz00_8404;
BgL_iz00_8404 = 
(BgL_iz00_324+((long)2)); 
BgL_iz00_324 = BgL_iz00_8404; 
goto BgL_check1229z00_325;}  else 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_arg1631z00_330;
BgL_arg1631z00_330 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_iz00_324); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string2943z00zz__ssl_sslz00, BgL_arg1631z00_330); } } } 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_index1231z00_332;
BgL_index1231z00_332 = 
BGl_search1228ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1225z00_26), BgL_opt1225z00_26, 
CNST_TABLE_REF(((long)3)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
 bool_t BgL_test3953z00_8412;
{ /* Llib/ssl.scm 629 */
 long BgL_n1z00_2060;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8413;
if(
INTEGERP(BgL_index1231z00_332))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8413 = BgL_index1231z00_332
; }  else 
{ 
 obj_t BgL_auxz00_8416;
BgL_auxz00_8416 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2950z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1231z00_332); 
FAILURE(BgL_auxz00_8416,BFALSE,BFALSE);} 
BgL_n1z00_2060 = 
(long)CINT(BgL_tmpz00_8413); } 
BgL_test3953z00_8412 = 
(BgL_n1z00_2060>=((long)0)); } 
if(BgL_test3953z00_8412)
{ 
 long BgL_auxz00_8422;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8423;
if(
INTEGERP(BgL_index1231z00_332))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8423 = BgL_index1231z00_332
; }  else 
{ 
 obj_t BgL_auxz00_8426;
BgL_auxz00_8426 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2950z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1231z00_332); 
FAILURE(BgL_auxz00_8426,BFALSE,BFALSE);} 
BgL_auxz00_8422 = 
(long)CINT(BgL_tmpz00_8423); } 
BgL_casz00_319 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_auxz00_8422); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_index1232z00_334;
BgL_index1232z00_334 = 
BGl_search1228ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1225z00_26), BgL_opt1225z00_26, 
CNST_TABLE_REF(((long)4)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
 bool_t BgL_test3956z00_8435;
{ /* Llib/ssl.scm 629 */
 long BgL_n1z00_2061;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8436;
if(
INTEGERP(BgL_index1232z00_334))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8436 = BgL_index1232z00_334
; }  else 
{ 
 obj_t BgL_auxz00_8439;
BgL_auxz00_8439 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2950z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1232z00_334); 
FAILURE(BgL_auxz00_8439,BFALSE,BFALSE);} 
BgL_n1z00_2061 = 
(long)CINT(BgL_tmpz00_8436); } 
BgL_test3956z00_8435 = 
(BgL_n1z00_2061>=((long)0)); } 
if(BgL_test3956z00_8435)
{ 
 long BgL_auxz00_8445;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8446;
if(
INTEGERP(BgL_index1232z00_334))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8446 = BgL_index1232z00_334
; }  else 
{ 
 obj_t BgL_auxz00_8449;
BgL_auxz00_8449 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2950z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1232z00_334); 
FAILURE(BgL_auxz00_8449,BFALSE,BFALSE);} 
BgL_auxz00_8445 = 
(long)CINT(BgL_tmpz00_8446); } 
BgL_acceptedzd2certszd2_320 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_auxz00_8445); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_index1233z00_336;
BgL_index1233z00_336 = 
BGl_search1228ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1225z00_26), BgL_opt1225z00_26, 
CNST_TABLE_REF(((long)5)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
 bool_t BgL_test3959z00_8458;
{ /* Llib/ssl.scm 629 */
 long BgL_n1z00_2062;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8459;
if(
INTEGERP(BgL_index1233z00_336))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8459 = BgL_index1233z00_336
; }  else 
{ 
 obj_t BgL_auxz00_8462;
BgL_auxz00_8462 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2950z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1233z00_336); 
FAILURE(BgL_auxz00_8462,BFALSE,BFALSE);} 
BgL_n1z00_2062 = 
(long)CINT(BgL_tmpz00_8459); } 
BgL_test3959z00_8458 = 
(BgL_n1z00_2062>=((long)0)); } 
if(BgL_test3959z00_8458)
{ 
 long BgL_auxz00_8468;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8469;
if(
INTEGERP(BgL_index1233z00_336))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8469 = BgL_index1233z00_336
; }  else 
{ 
 obj_t BgL_auxz00_8472;
BgL_auxz00_8472 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2950z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1233z00_336); 
FAILURE(BgL_auxz00_8472,BFALSE,BFALSE);} 
BgL_auxz00_8468 = 
(long)CINT(BgL_tmpz00_8469); } 
BgL_certz00_321 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_auxz00_8468); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_index1234z00_338;
BgL_index1234z00_338 = 
BGl_search1228ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1225z00_26), BgL_opt1225z00_26, 
CNST_TABLE_REF(((long)8)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
 bool_t BgL_test3962z00_8481;
{ /* Llib/ssl.scm 629 */
 long BgL_n1z00_2063;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8482;
if(
INTEGERP(BgL_index1234z00_338))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8482 = BgL_index1234z00_338
; }  else 
{ 
 obj_t BgL_auxz00_8485;
BgL_auxz00_8485 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2950z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1234z00_338); 
FAILURE(BgL_auxz00_8485,BFALSE,BFALSE);} 
BgL_n1z00_2063 = 
(long)CINT(BgL_tmpz00_8482); } 
BgL_test3962z00_8481 = 
(BgL_n1z00_2063>=((long)0)); } 
if(BgL_test3962z00_8481)
{ 
 long BgL_auxz00_8491;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8492;
if(
INTEGERP(BgL_index1234z00_338))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8492 = BgL_index1234z00_338
; }  else 
{ 
 obj_t BgL_auxz00_8495;
BgL_auxz00_8495 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2950z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1234z00_338); 
FAILURE(BgL_auxz00_8495,BFALSE,BFALSE);} 
BgL_auxz00_8491 = 
(long)CINT(BgL_tmpz00_8492); } 
BgL_pkeyz00_322 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_auxz00_8491); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_index1235z00_340;
BgL_index1235z00_340 = 
BGl_search1228ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1225z00_26), BgL_opt1225z00_26, 
CNST_TABLE_REF(((long)9)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
 bool_t BgL_test3965z00_8504;
{ /* Llib/ssl.scm 629 */
 long BgL_n1z00_2064;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8505;
if(
INTEGERP(BgL_index1235z00_340))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8505 = BgL_index1235z00_340
; }  else 
{ 
 obj_t BgL_auxz00_8508;
BgL_auxz00_8508 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2950z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1235z00_340); 
FAILURE(BgL_auxz00_8508,BFALSE,BFALSE);} 
BgL_n1z00_2064 = 
(long)CINT(BgL_tmpz00_8505); } 
BgL_test3965z00_8504 = 
(BgL_n1z00_2064>=((long)0)); } 
if(BgL_test3965z00_8504)
{ 
 long BgL_auxz00_8514;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8515;
if(
INTEGERP(BgL_index1235z00_340))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8515 = BgL_index1235z00_340
; }  else 
{ 
 obj_t BgL_auxz00_8518;
BgL_auxz00_8518 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2950z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_index1235z00_340); 
FAILURE(BgL_auxz00_8518,BFALSE,BFALSE);} 
BgL_auxz00_8514 = 
(long)CINT(BgL_tmpz00_8515); } 
BgL_protocolz00_323 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_auxz00_8514); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_arg1662z00_342;
BgL_arg1662z00_342 = 
VECTOR_REF(BgL_opt1225z00_26,((long)0)); 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_casz00_343;
BgL_casz00_343 = BgL_casz00_319; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_acceptedzd2certszd2_344;
BgL_acceptedzd2certszd2_344 = BgL_acceptedzd2certszd2_320; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_certz00_345;
BgL_certz00_345 = BgL_certz00_321; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_pkeyz00_346;
BgL_pkeyz00_346 = BgL_pkeyz00_322; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_protocolz00_347;
BgL_protocolz00_347 = BgL_protocolz00_323; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_sz00_2065;
if(
SOCKETP(BgL_arg1662z00_342))
{ /* Llib/ssl.scm 629 */
BgL_sz00_2065 = BgL_arg1662z00_342; }  else 
{ 
 obj_t BgL_auxz00_8527;
BgL_auxz00_8527 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2950z00zz__ssl_sslz00, BGl_string2951z00zz__ssl_sslz00, BgL_arg1662z00_342); 
FAILURE(BgL_auxz00_8527,BFALSE,BFALSE);} 
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)12)), BgL_certz00_345, BgL_pkeyz00_346, BgL_casz00_343, BgL_acceptedzd2certszd2_344); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 636 */
 obj_t BgL_arg1694z00_2066;
BgL_arg1694z00_2066 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_347); 
{ /* Llib/ssl.scm 635 */
 obj_t BgL_auxz00_8544; int BgL_tmpz00_8535;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_343))
{ /* Llib/ssl.scm 638 */
BgL_auxz00_8544 = BgL_casz00_343
; }  else 
{ 
 obj_t BgL_auxz00_8547;
BgL_auxz00_8547 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25880)), BGl_string2950z00zz__ssl_sslz00, BGl_string2948z00zz__ssl_sslz00, BgL_casz00_343); 
FAILURE(BgL_auxz00_8547,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 636 */
 obj_t BgL_tmpz00_8536;
if(
INTEGERP(BgL_arg1694z00_2066))
{ /* Llib/ssl.scm 636 */
BgL_tmpz00_8536 = BgL_arg1694z00_2066
; }  else 
{ 
 obj_t BgL_auxz00_8539;
BgL_auxz00_8539 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)25856)), BGl_string2950z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_arg1694z00_2066); 
FAILURE(BgL_auxz00_8539,BFALSE,BFALSE);} 
BgL_tmpz00_8535 = 
CINT(BgL_tmpz00_8536); } 
return 
bgl_client_socket_use_ssl(BgL_sz00_2065, BgL_tmpz00_8535, BgL_certz00_345, BgL_pkeyz00_346, BgL_auxz00_8544, BgL_acceptedzd2certszd2_344);} } } } } } } } } } } } } } } } } 

}



/* search1228~0 */
obj_t BGl_search1228ze70ze7zz__ssl_sslz00(long BgL_l1227z00_5001, obj_t BgL_opt1225z00_5000, obj_t BgL_k1z00_315, long BgL_iz00_316)
{
{ /* Llib/ssl.scm 629 */
BGl_search1228ze70ze7zz__ssl_sslz00:
if(
(BgL_iz00_316==BgL_l1227z00_5001))
{ /* Llib/ssl.scm 629 */
return 
BINT(((long)-1));}  else 
{ /* Llib/ssl.scm 629 */
if(
(BgL_iz00_316==
(BgL_l1227z00_5001-((long)1))))
{ /* Llib/ssl.scm 629 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string2952z00zz__ssl_sslz00, 
BINT(
VECTOR_LENGTH(BgL_opt1225z00_5000)));}  else 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_vz00_352;
BgL_vz00_352 = 
VECTOR_REF(BgL_opt1225z00_5000,BgL_iz00_316); 
if(
(BgL_vz00_352==BgL_k1z00_315))
{ /* Llib/ssl.scm 629 */
return 
BINT(
(BgL_iz00_316+((long)1)));}  else 
{ 
 long BgL_iz00_8567;
BgL_iz00_8567 = 
(BgL_iz00_316+((long)2)); 
BgL_iz00_316 = BgL_iz00_8567; 
goto BGl_search1228ze70ze7zz__ssl_sslz00;} } } } 

}



/* client-socket-use-ssl! */
BGL_EXPORTED_DEF obj_t BGl_clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t BgL_sz00_20, obj_t BgL_casz00_21, obj_t BgL_acceptedzd2certszd2_22, obj_t BgL_certz00_23, obj_t BgL_pkeyz00_24, obj_t BgL_protocolz00_25)
{
{ /* Llib/ssl.scm 629 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)12)), BgL_certz00_23, BgL_pkeyz00_24, BgL_casz00_21, BgL_acceptedzd2certszd2_22); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 636 */
 obj_t BgL_arg1694z00_2067;
BgL_arg1694z00_2067 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_25); 
return 
bgl_client_socket_use_ssl(BgL_sz00_20, 
CINT(BgL_arg1694z00_2067), BgL_certz00_23, BgL_pkeyz00_24, BgL_casz00_21, BgL_acceptedzd2certszd2_22);} } 

}



/* ssl-socket? */
BGL_EXPORTED_DEF bool_t BGl_sslzd2socketzf3z21zz__ssl_sslz00(obj_t BgL_objz00_28)
{
{ /* Llib/ssl.scm 643 */
BGL_TAIL return 
bgl_ssl_socketp(BgL_objz00_28);} 

}



/* &ssl-socket? */
obj_t BGl_z62sslzd2socketzf3z43zz__ssl_sslz00(obj_t BgL_envz00_3999, obj_t BgL_objz00_4000)
{
{ /* Llib/ssl.scm 643 */
return 
BBOOL(
BGl_sslzd2socketzf3z21zz__ssl_sslz00(BgL_objz00_4000));} 

}



/* make-ssl-server-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(obj_t BgL_portz00_29)
{
{ /* Llib/ssl.scm 651 */
{ /* Llib/ssl.scm 336 */
 obj_t BgL_dsssl1237z00_356;
BgL_dsssl1237z00_356 = BgL_portz00_29; 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_portz00_357;
{ /* Llib/ssl.scm 336 */
 bool_t BgL_test3974z00_8578;
if(
NULLP(BgL_dsssl1237z00_356))
{ /* Llib/ssl.scm 336 */
BgL_test3974z00_8578 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 336 */
BgL_test3974z00_8578 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_dsssl1237z00_356), 
CNST_TABLE_REF(((long)13))))
; } 
if(BgL_test3974z00_8578)
{ /* Llib/ssl.scm 336 */
BgL_portz00_357 = 
BINT(((long)0)); }  else 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_tmp1238z00_383;
BgL_tmp1238z00_383 = 
CAR(BgL_dsssl1237z00_356); 
BgL_dsssl1237z00_356 = 
CDR(BgL_dsssl1237z00_356); 
BgL_portz00_357 = BgL_tmp1238z00_383; } } 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_namez00_358;
BgL_namez00_358 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1237z00_356, 
CNST_TABLE_REF(((long)14)), BFALSE); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_protocolz00_359;
BgL_protocolz00_359 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1237z00_356, 
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)0))); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_certz00_360;
BgL_certz00_360 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1237z00_356, 
CNST_TABLE_REF(((long)5)), BFALSE); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_pkeyz00_361;
BgL_pkeyz00_361 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1237z00_356, 
CNST_TABLE_REF(((long)8)), BFALSE); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_casz00_362;
BgL_casz00_362 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1237z00_356, 
CNST_TABLE_REF(((long)3)), BNIL); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_acceptedzd2certszd2_363;
BgL_acceptedzd2certszd2_363 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1237z00_356, 
CNST_TABLE_REF(((long)4)), BFALSE); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_backlogz00_364;
BgL_backlogz00_364 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1237z00_356, 
CNST_TABLE_REF(((long)15)), 
BINT(((long)5))); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_ipv6z00_365;
BgL_ipv6z00_365 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1237z00_356, 
CNST_TABLE_REF(((long)16)), BFALSE); 
if(
NULLP(
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_dsssl1237z00_356, 
CNST_TABLE_REF(((long)13)))))
{ /* Llib/ssl.scm 336 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)17)), BgL_certz00_360, BgL_pkeyz00_361, BgL_casz00_362, BgL_acceptedzd2certszd2_363); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 659 */
 obj_t BgL_arg1708z00_368;
BgL_arg1708z00_368 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_359); 
return 
bgl_make_ssl_server_socket(BgL_namez00_358, 
CINT(BgL_portz00_357), 
CINT(BgL_arg1708z00_368), BgL_certz00_360, BgL_pkeyz00_361, BgL_casz00_362, BgL_acceptedzd2certszd2_363, 
CINT(BgL_backlogz00_364), 
CBOOL(BgL_ipv6z00_365));} }  else 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_arg1709z00_369;
{ /* Llib/ssl.scm 336 */
 obj_t BgL_arg1711z00_370;
{ /* Llib/ssl.scm 336 */
 obj_t BgL_arg1724z00_373;
BgL_arg1724z00_373 = 
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_dsssl1237z00_356, 
CNST_TABLE_REF(((long)13))); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_list1725z00_374;
BgL_list1725z00_374 = 
MAKE_YOUNG_PAIR(BgL_arg1724z00_373, BNIL); 
BgL_arg1711z00_370 = 
BGl_mapz00zz__r4_control_features_6_9z00(BGl_proc2953z00zz__ssl_sslz00, BgL_list1725z00_374); } } 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_list1712z00_371;
BgL_list1712z00_371 = 
MAKE_YOUNG_PAIR(BgL_arg1711z00_370, BNIL); 
BgL_arg1709z00_369 = 
BGl_applyz00zz__r4_control_features_6_9z00(BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00, BGl_string2954z00zz__ssl_sslz00, BgL_list1712z00_371); } } 
return 
BGl_errorz00zz__errorz00(BGl_string2955z00zz__ssl_sslz00, BgL_arg1709z00_369, BgL_dsssl1237z00_356);} } } } } } } } } } } } 

}



/* &make-ssl-server-socket */
obj_t BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00(obj_t BgL_envz00_4002, obj_t BgL_portz00_4003)
{
{ /* Llib/ssl.scm 651 */
return 
BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(BgL_portz00_4003);} 

}



/* &<@anonymous:1726> */
obj_t BGl_z62zc3z04anonymousza31726ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4004, obj_t BgL_vz00_4005)
{
{ /* Llib/ssl.scm 336 */
{ /* Llib/ssl.scm 336 */
 obj_t BgL_list1727z00_5434;
BgL_list1727z00_5434 = 
MAKE_YOUNG_PAIR(BgL_vz00_4005, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2956z00zz__ssl_sslz00, BgL_list1727z00_5434);} } 

}



/* ssl-protocols->integer */
obj_t BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(obj_t BgL_protocolz00_30)
{
{ /* Llib/ssl.scm 666 */
{ /* Llib/ssl.scm 667 */
 obj_t BgL_casezd2valuezd2_386;
{ /* Llib/ssl.scm 667 */
 obj_t BgL_arg1742z00_401;
{ /* Llib/ssl.scm 667 */
 obj_t BgL_arg1743z00_402;
BgL_arg1743z00_402 = 
SYMBOL_TO_STRING(
((obj_t)BgL_protocolz00_30)); 
BgL_arg1742z00_401 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1743z00_402); } 
BgL_casezd2valuezd2_386 = 
bstring_to_symbol(BgL_arg1742z00_401); } 
if(
(BgL_casezd2valuezd2_386==
CNST_TABLE_REF(((long)18))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_SSLV2);}  else 
{ /* Llib/ssl.scm 667 */
if(
(BgL_casezd2valuezd2_386==
CNST_TABLE_REF(((long)19))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_SSLV3);}  else 
{ /* Llib/ssl.scm 667 */
 bool_t BgL_test3979z00_8641;
{ /* Llib/ssl.scm 667 */
 bool_t BgL__ortest_1121z00_400;
BgL__ortest_1121z00_400 = 
(BgL_casezd2valuezd2_386==
CNST_TABLE_REF(((long)20))); 
if(BgL__ortest_1121z00_400)
{ /* Llib/ssl.scm 667 */
BgL_test3979z00_8641 = BgL__ortest_1121z00_400
; }  else 
{ /* Llib/ssl.scm 667 */
BgL_test3979z00_8641 = 
(BgL_casezd2valuezd2_386==
CNST_TABLE_REF(((long)0)))
; } } 
if(BgL_test3979z00_8641)
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_SSLV23);}  else 
{ /* Llib/ssl.scm 667 */
 bool_t BgL_test3981z00_8648;
{ /* Llib/ssl.scm 667 */
 bool_t BgL__ortest_1122z00_399;
BgL__ortest_1122z00_399 = 
(BgL_casezd2valuezd2_386==
CNST_TABLE_REF(((long)21))); 
if(BgL__ortest_1122z00_399)
{ /* Llib/ssl.scm 667 */
BgL_test3981z00_8648 = BgL__ortest_1122z00_399
; }  else 
{ /* Llib/ssl.scm 667 */
BgL_test3981z00_8648 = 
(BgL_casezd2valuezd2_386==
CNST_TABLE_REF(((long)22)))
; } } 
if(BgL_test3981z00_8648)
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_TLSV1);}  else 
{ /* Llib/ssl.scm 667 */
if(
(BgL_casezd2valuezd2_386==
CNST_TABLE_REF(((long)23))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_TLSV1_1);}  else 
{ /* Llib/ssl.scm 667 */
if(
(BgL_casezd2valuezd2_386==
CNST_TABLE_REF(((long)24))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_TLSV1_2);}  else 
{ /* Llib/ssl.scm 667 */
if(
(BgL_casezd2valuezd2_386==
CNST_TABLE_REF(((long)25))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_TLSV1_3);}  else 
{ /* Llib/ssl.scm 667 */
 bool_t BgL_test3986z00_8667;
{ /* Llib/ssl.scm 667 */
 bool_t BgL__ortest_1123z00_398;
BgL__ortest_1123z00_398 = 
(BgL_casezd2valuezd2_386==
CNST_TABLE_REF(((long)26))); 
if(BgL__ortest_1123z00_398)
{ /* Llib/ssl.scm 667 */
BgL_test3986z00_8667 = BgL__ortest_1123z00_398
; }  else 
{ /* Llib/ssl.scm 667 */
BgL_test3986z00_8667 = 
(BgL_casezd2valuezd2_386==
CNST_TABLE_REF(((long)27)))
; } } 
if(BgL_test3986z00_8667)
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_DTLSV1);}  else 
{ /* Llib/ssl.scm 667 */
return 
BGl_errorz00zz__errorz00(BGl_string2957z00zz__ssl_sslz00, BGl_string2958z00zz__ssl_sslz00, BgL_protocolz00_30);} } } } } } } } } } 

}



/* read-private-key */
BGL_EXPORTED_DEF BgL_privatezd2keyzd2_bglt BGl_readzd2privatezd2keyz00zz__ssl_sslz00(obj_t BgL_filez00_31)
{
{ /* Llib/ssl.scm 681 */
return 
((BgL_privatezd2keyzd2_bglt)
bgl_ssl_load_private_key(BgL_filez00_31));} 

}



/* &read-private-key */
BgL_privatezd2keyzd2_bglt BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4008, obj_t BgL_filez00_4009)
{
{ /* Llib/ssl.scm 681 */
{ /* Llib/ssl.scm 682 */
 obj_t BgL_auxz00_8677;
if(
STRINGP(BgL_filez00_4009))
{ /* Llib/ssl.scm 682 */
BgL_auxz00_8677 = BgL_filez00_4009
; }  else 
{ 
 obj_t BgL_auxz00_8680;
BgL_auxz00_8680 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)27886)), BGl_string2959z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_filez00_4009); 
FAILURE(BgL_auxz00_8680,BFALSE,BFALSE);} 
return 
BGl_readzd2privatezd2keyz00zz__ssl_sslz00(BgL_auxz00_8677);} } 

}



/* read-certificate */
BGL_EXPORTED_DEF BgL_certificatez00_bglt BGl_readzd2certificatezd2zz__ssl_sslz00(obj_t BgL_filez00_32)
{
{ /* Llib/ssl.scm 687 */
return 
((BgL_certificatez00_bglt)
bgl_ssl_load_certificate(BgL_filez00_32));} 

}



/* &read-certificate */
BgL_certificatez00_bglt BGl_z62readzd2certificatezb0zz__ssl_sslz00(obj_t BgL_envz00_4010, obj_t BgL_filez00_4011)
{
{ /* Llib/ssl.scm 687 */
{ /* Llib/ssl.scm 688 */
 obj_t BgL_auxz00_8687;
if(
STRINGP(BgL_filez00_4011))
{ /* Llib/ssl.scm 688 */
BgL_auxz00_8687 = BgL_filez00_4011
; }  else 
{ 
 obj_t BgL_auxz00_8690;
BgL_auxz00_8690 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)28192)), BGl_string2960z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_filez00_4011); 
FAILURE(BgL_auxz00_8690,BFALSE,BFALSE);} 
return 
BGl_readzd2certificatezd2zz__ssl_sslz00(BgL_auxz00_8687);} } 

}



/* read-pem-file */
BGL_EXPORTED_DEF obj_t BGl_readzd2pemzd2filez00zz__ssl_sslz00(obj_t BgL_filez00_33)
{
{ /* Llib/ssl.scm 693 */
BGL_TAIL return 
bgl_ssl_load_pem(BgL_filez00_33);} 

}



/* &read-pem-file */
obj_t BGl_z62readzd2pemzd2filez62zz__ssl_sslz00(obj_t BgL_envz00_4012, obj_t BgL_filez00_4013)
{
{ /* Llib/ssl.scm 693 */
{ /* Llib/ssl.scm 694 */
 obj_t BgL_auxz00_8696;
if(
STRINGP(BgL_filez00_4013))
{ /* Llib/ssl.scm 694 */
BgL_auxz00_8696 = BgL_filez00_4013
; }  else 
{ 
 obj_t BgL_auxz00_8699;
BgL_auxz00_8699 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)28492)), BGl_string2961z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_filez00_4013); 
FAILURE(BgL_auxz00_8699,BFALSE,BFALSE);} 
return 
BGl_readzd2pemzd2filez00zz__ssl_sslz00(BgL_auxz00_8696);} } 

}



/* ssl-rand-status */
BGL_EXPORTED_DEF bool_t BGl_sslzd2randzd2statusz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 699 */
return 
RAND_status();} 

}



/* &ssl-rand-status */
obj_t BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00(obj_t BgL_envz00_4014)
{
{ /* Llib/ssl.scm 699 */
return 
BBOOL(
BGl_sslzd2randzd2statusz00zz__ssl_sslz00());} 

}



/* ssl-rand-poll */
BGL_EXPORTED_DEF bool_t BGl_sslzd2randzd2pollz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 707 */
return 
RAND_poll();} 

}



/* &ssl-rand-poll */
obj_t BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00(obj_t BgL_envz00_4015)
{
{ /* Llib/ssl.scm 707 */
return 
BBOOL(
BGl_sslzd2randzd2pollz00zz__ssl_sslz00());} 

}



/* ssl-rand-bytes */
BGL_EXPORTED_DEF obj_t BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(int BgL_sza7za7_34)
{
{ /* Llib/ssl.scm 715 */
{ /* Llib/ssl.scm 716 */
 obj_t BgL_strz00_2080;
{ /* Llib/ssl.scm 716 */

BgL_strz00_2080 = 
make_string(
(long)(BgL_sza7za7_34), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 719 */
 char * BgL_tmpz00_8712;
BgL_tmpz00_8712 = 
BSTRING_TO_STRING(BgL_strz00_2080); 
RAND_bytes(BgL_tmpz00_8712, BgL_sza7za7_34); } 
return BgL_strz00_2080;} } 

}



/* &ssl-rand-bytes */
obj_t BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00(obj_t BgL_envz00_4016, obj_t BgL_sza7za7_4017)
{
{ /* Llib/ssl.scm 715 */
{ /* Llib/ssl.scm 716 */
 int BgL_auxz00_8715;
{ /* Llib/ssl.scm 716 */
 obj_t BgL_tmpz00_8716;
if(
INTEGERP(BgL_sza7za7_4017))
{ /* Llib/ssl.scm 716 */
BgL_tmpz00_8716 = BgL_sza7za7_4017
; }  else 
{ 
 obj_t BgL_auxz00_8719;
BgL_auxz00_8719 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)29415)), BGl_string2962z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_sza7za7_4017); 
FAILURE(BgL_auxz00_8719,BFALSE,BFALSE);} 
BgL_auxz00_8715 = 
CINT(BgL_tmpz00_8716); } 
return 
BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(BgL_auxz00_8715);} } 

}



/* ssl-rand-pseudo-bytes */
BGL_EXPORTED_DEF obj_t BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(int BgL_sza7za7_35)
{
{ /* Llib/ssl.scm 732 */
{ /* Llib/ssl.scm 733 */
 obj_t BgL_strz00_2084;
{ /* Llib/ssl.scm 733 */

BgL_strz00_2084 = 
make_string(
(long)(BgL_sza7za7_35), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 736 */
 char * BgL_tmpz00_8727;
BgL_tmpz00_8727 = 
BSTRING_TO_STRING(BgL_strz00_2084); 
RAND_pseudo_bytes(BgL_tmpz00_8727, BgL_sza7za7_35); } 
return BgL_strz00_2084;} } 

}



/* &ssl-rand-pseudo-bytes */
obj_t BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00(obj_t BgL_envz00_4018, obj_t BgL_sza7za7_4019)
{
{ /* Llib/ssl.scm 732 */
{ /* Llib/ssl.scm 733 */
 int BgL_auxz00_8730;
{ /* Llib/ssl.scm 733 */
 obj_t BgL_tmpz00_8731;
if(
INTEGERP(BgL_sza7za7_4019))
{ /* Llib/ssl.scm 733 */
BgL_tmpz00_8731 = BgL_sza7za7_4019
; }  else 
{ 
 obj_t BgL_auxz00_8734;
BgL_auxz00_8734 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)29933)), BGl_string2963z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_sza7za7_4019); 
FAILURE(BgL_auxz00_8734,BFALSE,BFALSE);} 
BgL_auxz00_8730 = 
CINT(BgL_tmpz00_8731); } 
return 
BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(BgL_auxz00_8730);} } 

}



/* certificate-subject */
BGL_EXPORTED_DEF obj_t BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_certificatez00_bglt BgL_certz00_36)
{
{ /* Llib/ssl.scm 749 */
return 
bgl_ssl_certificate_subject(
((obj_t)BgL_certz00_36));} 

}



/* &certificate-subject */
obj_t BGl_z62certificatezd2subjectzb0zz__ssl_sslz00(obj_t BgL_envz00_4020, obj_t BgL_certz00_4021)
{
{ /* Llib/ssl.scm 749 */
{ /* Llib/ssl.scm 750 */
 BgL_certificatez00_bglt BgL_auxz00_8742;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_4021, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 750 */
BgL_auxz00_8742 = 
((BgL_certificatez00_bglt)BgL_certz00_4021)
; }  else 
{ 
 obj_t BgL_auxz00_8746;
BgL_auxz00_8746 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)30482)), BGl_string2964z00zz__ssl_sslz00, BGl_string2965z00zz__ssl_sslz00, BgL_certz00_4021); 
FAILURE(BgL_auxz00_8746,BFALSE,BFALSE);} 
return 
BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_auxz00_8742);} } 

}



/* certificate-issuer */
BGL_EXPORTED_DEF obj_t BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_certificatez00_bglt BgL_certz00_37)
{
{ /* Llib/ssl.scm 755 */
return 
bgl_ssl_certificate_issuer(
((obj_t)BgL_certz00_37));} 

}



/* &certificate-issuer */
obj_t BGl_z62certificatezd2issuerzb0zz__ssl_sslz00(obj_t BgL_envz00_4022, obj_t BgL_certz00_4023)
{
{ /* Llib/ssl.scm 755 */
{ /* Llib/ssl.scm 756 */
 BgL_certificatez00_bglt BgL_auxz00_8753;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_4023, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 756 */
BgL_auxz00_8753 = 
((BgL_certificatez00_bglt)BgL_certz00_4023)
; }  else 
{ 
 obj_t BgL_auxz00_8757;
BgL_auxz00_8757 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)30800)), BGl_string2966z00zz__ssl_sslz00, BGl_string2965z00zz__ssl_sslz00, BgL_certz00_4023); 
FAILURE(BgL_auxz00_8757,BFALSE,BFALSE);} 
return 
BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_auxz00_8753);} } 

}



/* %make-certificate */
BGL_EXPORTED_DEF obj_t bgl_make_certificate(void * BgL_certz00_38)
{
{ /* Llib/ssl.scm 761 */
{ /* Llib/ssl.scm 762 */
 BgL_certificatez00_bglt BgL_new1125z00_409;
{ /* Llib/ssl.scm 763 */
 BgL_certificatez00_bglt BgL_new1124z00_410;
BgL_new1124z00_410 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 763 */
 long BgL_arg1744z00_411;
BgL_arg1744z00_411 = 
BGL_CLASS_NUM(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1124z00_410), BgL_arg1744z00_411); } 
BgL_new1125z00_409 = BgL_new1124z00_410; } 
((((BgL_certificatez00_bglt)COBJECT(BgL_new1125z00_409))->BgL_z42nativez42)=((void *)BgL_certz00_38),BUNSPEC); 
return 
((obj_t)BgL_new1125z00_409);} } 

}



/* &%make-certificate */
obj_t BGl_z62z52makezd2certificateze2zz__ssl_sslz00(obj_t BgL_envz00_4024, obj_t BgL_certz00_4025)
{
{ /* Llib/ssl.scm 761 */
{ /* Llib/ssl.scm 762 */
 void * BgL_auxz00_8768;
if(
FOREIGNP(BgL_certz00_4025))
{ /* Llib/ssl.scm 762 */
BgL_auxz00_8768 = 
FOREIGN_TO_COBJ(BgL_certz00_4025)
; }  else 
{ 
 obj_t BgL_auxz00_8772;
BgL_auxz00_8772 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)31087)), BGl_string2967z00zz__ssl_sslz00, BGl_string2968z00zz__ssl_sslz00, BgL_certz00_4025); 
FAILURE(BgL_auxz00_8772,BFALSE,BFALSE);} 
return 
bgl_make_certificate(BgL_auxz00_8768);} } 

}



/* %make-private-key */
BGL_EXPORTED_DEF obj_t bgl_make_private_key(void * BgL_pkeyz00_39)
{
{ /* Llib/ssl.scm 768 */
{ /* Llib/ssl.scm 769 */
 BgL_privatezd2keyzd2_bglt BgL_new1127z00_412;
{ /* Llib/ssl.scm 770 */
 BgL_privatezd2keyzd2_bglt BgL_new1126z00_413;
BgL_new1126z00_413 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 770 */
 long BgL_arg1745z00_414;
BgL_arg1745z00_414 = 
BGL_CLASS_NUM(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_413), BgL_arg1745z00_414); } 
BgL_new1127z00_412 = BgL_new1126z00_413; } 
((((BgL_privatezd2keyzd2_bglt)COBJECT(BgL_new1127z00_412))->BgL_z42nativez42)=((void *)BgL_pkeyz00_39),BUNSPEC); 
return 
((obj_t)BgL_new1127z00_412);} } 

}



/* &%make-private-key */
obj_t BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00(obj_t BgL_envz00_4026, obj_t BgL_pkeyz00_4027)
{
{ /* Llib/ssl.scm 768 */
{ /* Llib/ssl.scm 769 */
 void * BgL_auxz00_8783;
if(
FOREIGNP(BgL_pkeyz00_4027))
{ /* Llib/ssl.scm 769 */
BgL_auxz00_8783 = 
FOREIGN_TO_COBJ(BgL_pkeyz00_4027)
; }  else 
{ 
 obj_t BgL_auxz00_8787;
BgL_auxz00_8787 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)31395)), BGl_string2969z00zz__ssl_sslz00, BGl_string2968z00zz__ssl_sslz00, BgL_pkeyz00_4027); 
FAILURE(BgL_auxz00_8787,BFALSE,BFALSE);} 
return 
bgl_make_private_key(BgL_auxz00_8783);} } 

}



/* %certificate-$native */
BGL_EXPORTED_DEF void * bgl_certificate_native(obj_t BgL_certz00_40)
{
{ /* Llib/ssl.scm 775 */
return 
(((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_certz00_40)))->BgL_z42nativez42);} 

}



/* &%certificate-$native */
obj_t BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00(obj_t BgL_envz00_4028, obj_t BgL_certz00_4029)
{
{ /* Llib/ssl.scm 775 */
return 
void_star_to_obj(
bgl_certificate_native(BgL_certz00_4029));} 

}



/* %private-key-$native */
BGL_EXPORTED_DEF void * bgl_private_key_native(obj_t BgL_pkeyz00_41)
{
{ /* Llib/ssl.scm 782 */
return 
(((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_pkeyz00_41)))->BgL_z42nativez42);} 

}



/* &%private-key-$native */
obj_t BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00(obj_t BgL_envz00_4030, obj_t BgL_pkeyz00_4031)
{
{ /* Llib/ssl.scm 782 */
return 
void_star_to_obj(
bgl_private_key_native(BgL_pkeyz00_4031));} 

}



/* _secure-context-set-key! */
obj_t BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(obj_t BgL_env1252z00_59, obj_t BgL_opt1251z00_58)
{
{ /* Llib/ssl.scm 839 */
{ /* Llib/ssl.scm 839 */
 obj_t BgL_g1253z00_417; obj_t BgL_g1254z00_418; obj_t BgL_g1255z00_419; obj_t BgL_g1256z00_420;
{ 
 obj_t BgL_auxz00_8800;
if(
VECTORP(BgL_opt1251z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8800 = BgL_opt1251z00_58
; }  else 
{ 
 obj_t BgL_auxz00_8803;
BgL_auxz00_8803 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2971z00zz__ssl_sslz00, BgL_opt1251z00_58); 
FAILURE(BgL_auxz00_8803,BFALSE,BFALSE);} 
BgL_g1253z00_417 = 
VECTOR_REF(BgL_auxz00_8800,((long)0)); } 
{ 
 obj_t BgL_auxz00_8808;
if(
VECTORP(BgL_opt1251z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8808 = BgL_opt1251z00_58
; }  else 
{ 
 obj_t BgL_auxz00_8811;
BgL_auxz00_8811 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2971z00zz__ssl_sslz00, BgL_opt1251z00_58); 
FAILURE(BgL_auxz00_8811,BFALSE,BFALSE);} 
BgL_g1254z00_418 = 
VECTOR_REF(BgL_auxz00_8808,((long)1)); } 
{ 
 obj_t BgL_auxz00_8816;
if(
VECTORP(BgL_opt1251z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8816 = BgL_opt1251z00_58
; }  else 
{ 
 obj_t BgL_auxz00_8819;
BgL_auxz00_8819 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2971z00zz__ssl_sslz00, BgL_opt1251z00_58); 
FAILURE(BgL_auxz00_8819,BFALSE,BFALSE);} 
BgL_g1255z00_419 = 
VECTOR_REF(BgL_auxz00_8816,((long)2)); } 
{ 
 obj_t BgL_auxz00_8824;
if(
VECTORP(BgL_opt1251z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8824 = BgL_opt1251z00_58
; }  else 
{ 
 obj_t BgL_auxz00_8827;
BgL_auxz00_8827 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2971z00zz__ssl_sslz00, BgL_opt1251z00_58); 
FAILURE(BgL_auxz00_8827,BFALSE,BFALSE);} 
BgL_g1256z00_420 = 
VECTOR_REF(BgL_auxz00_8824,((long)3)); } 
{ /* Llib/ssl.scm 839 */
 long BgL_aux1258z00_422;
{ 
 obj_t BgL_auxz00_8832;
if(
VECTORP(BgL_opt1251z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8832 = BgL_opt1251z00_58
; }  else 
{ 
 obj_t BgL_auxz00_8835;
BgL_auxz00_8835 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2971z00zz__ssl_sslz00, BgL_opt1251z00_58); 
FAILURE(BgL_auxz00_8835,BFALSE,BFALSE);} 
BgL_aux1258z00_422 = 
VECTOR_LENGTH(BgL_auxz00_8832); } 
switch( BgL_aux1258z00_422) { case ((long)4) : 

{ /* Llib/ssl.scm 839 */

{ /* Llib/ssl.scm 839 */
 bool_t BgL_tmpz00_8840;
{ /* Llib/ssl.scm 839 */
 long BgL_auxz00_8884; long BgL_auxz00_8875; obj_t BgL_auxz00_8868; BgL_securezd2contextzd2_bglt BgL_auxz00_8841;
{ /* Llib/ssl.scm 839 */
 obj_t BgL_tmpz00_8885;
if(
INTEGERP(BgL_g1256z00_420))
{ /* Llib/ssl.scm 839 */
BgL_tmpz00_8885 = BgL_g1256z00_420
; }  else 
{ 
 obj_t BgL_auxz00_8888;
BgL_auxz00_8888 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_g1256z00_420); 
FAILURE(BgL_auxz00_8888,BFALSE,BFALSE);} 
BgL_auxz00_8884 = 
(long)CINT(BgL_tmpz00_8885); } 
{ /* Llib/ssl.scm 839 */
 obj_t BgL_tmpz00_8876;
if(
INTEGERP(BgL_g1255z00_419))
{ /* Llib/ssl.scm 839 */
BgL_tmpz00_8876 = BgL_g1255z00_419
; }  else 
{ 
 obj_t BgL_auxz00_8879;
BgL_auxz00_8879 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_g1255z00_419); 
FAILURE(BgL_auxz00_8879,BFALSE,BFALSE);} 
BgL_auxz00_8875 = 
(long)CINT(BgL_tmpz00_8876); } 
if(
STRINGP(BgL_g1254z00_418))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8868 = BgL_g1254z00_418
; }  else 
{ 
 obj_t BgL_auxz00_8871;
BgL_auxz00_8871 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_g1254z00_418); 
FAILURE(BgL_auxz00_8871,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 839 */
 bool_t BgL_test4002z00_8842;
{ /* Llib/ssl.scm 839 */
 obj_t BgL_classz00_5435;
BgL_classz00_5435 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_g1253z00_417))
{ /* Llib/ssl.scm 839 */
 BgL_objectz00_bglt BgL_arg1796z00_5437; long BgL_arg1797z00_5438;
BgL_arg1796z00_5437 = 
(BgL_objectz00_bglt)(BgL_g1253z00_417); 
BgL_arg1797z00_5438 = 
BGL_CLASS_DEPTH(BgL_classz00_5435); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 839 */
 long BgL_idxz00_5446;
BgL_idxz00_5446 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5437); 
{ /* Llib/ssl.scm 839 */
 obj_t BgL_arg1788z00_5447;
{ /* Llib/ssl.scm 839 */
 long BgL_arg1789z00_5448;
BgL_arg1789z00_5448 = 
(BgL_idxz00_5446+BgL_arg1797z00_5438); 
BgL_arg1788z00_5447 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5448); } 
BgL_test4002z00_8842 = 
(BgL_arg1788z00_5447==BgL_classz00_5435); } }  else 
{ /* Llib/ssl.scm 839 */
 bool_t BgL_res3332z00_5471;
{ /* Llib/ssl.scm 839 */
 obj_t BgL_oclassz00_5456;
{ /* Llib/ssl.scm 839 */
 long BgL_arg1801z00_5462;
{ /* Llib/ssl.scm 839 */
 long BgL_arg1802z00_5463;
BgL_arg1802z00_5463 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5437); 
BgL_arg1801z00_5462 = 
(BgL_arg1802z00_5463-OBJECT_TYPE); } 
BgL_oclassz00_5456 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5462); } 
{ /* Llib/ssl.scm 839 */
 bool_t BgL__ortest_1110z00_5457;
BgL__ortest_1110z00_5457 = 
(BgL_classz00_5435==BgL_oclassz00_5456); 
if(BgL__ortest_1110z00_5457)
{ /* Llib/ssl.scm 839 */
BgL_res3332z00_5471 = BgL__ortest_1110z00_5457; }  else 
{ /* Llib/ssl.scm 839 */
 long BgL_odepthz00_5458;
BgL_odepthz00_5458 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5456); 
if(
(BgL_arg1797z00_5438<BgL_odepthz00_5458))
{ /* Llib/ssl.scm 839 */
 obj_t BgL_arg1790z00_5460;
BgL_arg1790z00_5460 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5456, BgL_arg1797z00_5438); 
BgL_res3332z00_5471 = 
(BgL_arg1790z00_5460==BgL_classz00_5435); }  else 
{ /* Llib/ssl.scm 839 */
BgL_res3332z00_5471 = ((bool_t)0); } } } } 
BgL_test4002z00_8842 = BgL_res3332z00_5471; } }  else 
{ /* Llib/ssl.scm 839 */
BgL_test4002z00_8842 = ((bool_t)0)
; } } 
if(BgL_test4002z00_8842)
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8841 = 
((BgL_securezd2contextzd2_bglt)BgL_g1253z00_417)
; }  else 
{ 
 obj_t BgL_auxz00_8864;
BgL_auxz00_8864 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_g1253z00_417); 
FAILURE(BgL_auxz00_8864,BFALSE,BFALSE);} } 
BgL_tmpz00_8840 = 
BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_auxz00_8841, BgL_auxz00_8868, BgL_auxz00_8875, BgL_auxz00_8884, BFALSE); } 
return 
BBOOL(BgL_tmpz00_8840);} } break;case ((long)5) : 

{ /* Llib/ssl.scm 839 */
 obj_t BgL_passphrasez00_424;
{ 
 obj_t BgL_auxz00_8895;
if(
VECTORP(BgL_opt1251z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8895 = BgL_opt1251z00_58
; }  else 
{ 
 obj_t BgL_auxz00_8898;
BgL_auxz00_8898 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2971z00zz__ssl_sslz00, BgL_opt1251z00_58); 
FAILURE(BgL_auxz00_8898,BFALSE,BFALSE);} 
BgL_passphrasez00_424 = 
VECTOR_REF(BgL_auxz00_8895,((long)4)); } 
{ /* Llib/ssl.scm 839 */

{ /* Llib/ssl.scm 839 */
 bool_t BgL_tmpz00_8903;
{ /* Llib/ssl.scm 839 */
 long BgL_auxz00_8947; long BgL_auxz00_8938; obj_t BgL_auxz00_8931; BgL_securezd2contextzd2_bglt BgL_auxz00_8904;
{ /* Llib/ssl.scm 839 */
 obj_t BgL_tmpz00_8948;
if(
INTEGERP(BgL_g1256z00_420))
{ /* Llib/ssl.scm 839 */
BgL_tmpz00_8948 = BgL_g1256z00_420
; }  else 
{ 
 obj_t BgL_auxz00_8951;
BgL_auxz00_8951 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_g1256z00_420); 
FAILURE(BgL_auxz00_8951,BFALSE,BFALSE);} 
BgL_auxz00_8947 = 
(long)CINT(BgL_tmpz00_8948); } 
{ /* Llib/ssl.scm 839 */
 obj_t BgL_tmpz00_8939;
if(
INTEGERP(BgL_g1255z00_419))
{ /* Llib/ssl.scm 839 */
BgL_tmpz00_8939 = BgL_g1255z00_419
; }  else 
{ 
 obj_t BgL_auxz00_8942;
BgL_auxz00_8942 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_g1255z00_419); 
FAILURE(BgL_auxz00_8942,BFALSE,BFALSE);} 
BgL_auxz00_8938 = 
(long)CINT(BgL_tmpz00_8939); } 
if(
STRINGP(BgL_g1254z00_418))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8931 = BgL_g1254z00_418
; }  else 
{ 
 obj_t BgL_auxz00_8934;
BgL_auxz00_8934 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_g1254z00_418); 
FAILURE(BgL_auxz00_8934,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 839 */
 bool_t BgL_test4011z00_8905;
{ /* Llib/ssl.scm 839 */
 obj_t BgL_classz00_5472;
BgL_classz00_5472 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_g1253z00_417))
{ /* Llib/ssl.scm 839 */
 BgL_objectz00_bglt BgL_arg1796z00_5474; long BgL_arg1797z00_5475;
BgL_arg1796z00_5474 = 
(BgL_objectz00_bglt)(BgL_g1253z00_417); 
BgL_arg1797z00_5475 = 
BGL_CLASS_DEPTH(BgL_classz00_5472); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 839 */
 long BgL_idxz00_5483;
BgL_idxz00_5483 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5474); 
{ /* Llib/ssl.scm 839 */
 obj_t BgL_arg1788z00_5484;
{ /* Llib/ssl.scm 839 */
 long BgL_arg1789z00_5485;
BgL_arg1789z00_5485 = 
(BgL_idxz00_5483+BgL_arg1797z00_5475); 
BgL_arg1788z00_5484 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5485); } 
BgL_test4011z00_8905 = 
(BgL_arg1788z00_5484==BgL_classz00_5472); } }  else 
{ /* Llib/ssl.scm 839 */
 bool_t BgL_res3333z00_5508;
{ /* Llib/ssl.scm 839 */
 obj_t BgL_oclassz00_5493;
{ /* Llib/ssl.scm 839 */
 long BgL_arg1801z00_5499;
{ /* Llib/ssl.scm 839 */
 long BgL_arg1802z00_5500;
BgL_arg1802z00_5500 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5474); 
BgL_arg1801z00_5499 = 
(BgL_arg1802z00_5500-OBJECT_TYPE); } 
BgL_oclassz00_5493 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5499); } 
{ /* Llib/ssl.scm 839 */
 bool_t BgL__ortest_1110z00_5494;
BgL__ortest_1110z00_5494 = 
(BgL_classz00_5472==BgL_oclassz00_5493); 
if(BgL__ortest_1110z00_5494)
{ /* Llib/ssl.scm 839 */
BgL_res3333z00_5508 = BgL__ortest_1110z00_5494; }  else 
{ /* Llib/ssl.scm 839 */
 long BgL_odepthz00_5495;
BgL_odepthz00_5495 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5493); 
if(
(BgL_arg1797z00_5475<BgL_odepthz00_5495))
{ /* Llib/ssl.scm 839 */
 obj_t BgL_arg1790z00_5497;
BgL_arg1790z00_5497 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5493, BgL_arg1797z00_5475); 
BgL_res3333z00_5508 = 
(BgL_arg1790z00_5497==BgL_classz00_5472); }  else 
{ /* Llib/ssl.scm 839 */
BgL_res3333z00_5508 = ((bool_t)0); } } } } 
BgL_test4011z00_8905 = BgL_res3333z00_5508; } }  else 
{ /* Llib/ssl.scm 839 */
BgL_test4011z00_8905 = ((bool_t)0)
; } } 
if(BgL_test4011z00_8905)
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8904 = 
((BgL_securezd2contextzd2_bglt)BgL_g1253z00_417)
; }  else 
{ 
 obj_t BgL_auxz00_8927;
BgL_auxz00_8927 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string2970z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_g1253z00_417); 
FAILURE(BgL_auxz00_8927,BFALSE,BFALSE);} } 
BgL_tmpz00_8903 = 
BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_auxz00_8904, BgL_auxz00_8931, BgL_auxz00_8938, BgL_auxz00_8947, BgL_passphrasez00_424); } 
return 
BBOOL(BgL_tmpz00_8903);} } } break;
default: 
return BUNSPEC;} } } } 

}



/* bn-bin2bn */
BGL_EXPORTED_DEF obj_t BGl_bnzd2bin2bnzd2zz__ssl_sslz00(obj_t BgL_stringz00_178)
{
{ /* Llib/ssl.scm 1393 */
{ /* Llib/ssl.scm 1395 */
 void * BgL_arg1746z00_2096;
{ /* Llib/ssl.scm 1395 */
 long BgL_arg1747z00_2097;
BgL_arg1747z00_2097 = 
STRING_LENGTH(BgL_stringz00_178); 
BgL_arg1746z00_2096 = 
bgl_bn_bin2bn(
BSTRING_TO_STRING(BgL_stringz00_178), 
(int)(BgL_arg1747z00_2097)); } 
return 
void_star_to_obj(BgL_arg1746z00_2096);} } 

}



/* &bn-bin2bn */
obj_t BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00(obj_t BgL_envz00_4032, obj_t BgL_stringz00_4033)
{
{ /* Llib/ssl.scm 1393 */
{ /* Llib/ssl.scm 1395 */
 obj_t BgL_auxz00_8964;
if(
STRINGP(BgL_stringz00_4033))
{ /* Llib/ssl.scm 1395 */
BgL_auxz00_8964 = BgL_stringz00_4033
; }  else 
{ 
 obj_t BgL_auxz00_8967;
BgL_auxz00_8967 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)56241)), BGl_string2973z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_stringz00_4033); 
FAILURE(BgL_auxz00_8967,BFALSE,BFALSE);} 
return 
BGl_bnzd2bin2bnzd2zz__ssl_sslz00(BgL_auxz00_8964);} } 

}



/* bn-bn2bin */
BGL_EXPORTED_DEF obj_t BGl_bnzd2bn2binzd2zz__ssl_sslz00(obj_t BgL_bnz00_179)
{
{ /* Llib/ssl.scm 1401 */
{ /* Llib/ssl.scm 1404 */
 int BgL_sza7za7_427;
{ /* Llib/ssl.scm 1415 */
 void * BgL_arg1755z00_2100;
BgL_arg1755z00_2100 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_179); 
BgL_sza7za7_427 = 
BN_num_bytes(BgL_arg1755z00_2100); } 
{ /* Llib/ssl.scm 1404 */
 obj_t BgL_stz00_428;
{ /* Llib/ssl.scm 1405 */

BgL_stz00_428 = 
make_string(
(long)(BgL_sza7za7_427), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 1405 */

{ /* Llib/ssl.scm 1406 */
 void * BgL_arg1754z00_429;
BgL_arg1754z00_429 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_179); 
{ /* Llib/ssl.scm 1406 */
 char * BgL_tmpz00_8977;
BgL_tmpz00_8977 = 
BSTRING_TO_STRING(BgL_stz00_428); 
BN_bn2bin(BgL_arg1754z00_429, BgL_tmpz00_8977); } } 
return BgL_stz00_428;} } } } 

}



/* &bn-bn2bin */
obj_t BGl_z62bnzd2bn2binzb0zz__ssl_sslz00(obj_t BgL_envz00_4034, obj_t BgL_bnz00_4035)
{
{ /* Llib/ssl.scm 1401 */
{ /* Llib/ssl.scm 1404 */
 obj_t BgL_auxz00_8980;
if(
FOREIGNP(BgL_bnz00_4035))
{ /* Llib/ssl.scm 1404 */
BgL_auxz00_8980 = BgL_bnz00_4035
; }  else 
{ 
 obj_t BgL_auxz00_8983;
BgL_auxz00_8983 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)56579)), BGl_string2974z00zz__ssl_sslz00, BGl_string2975z00zz__ssl_sslz00, BgL_bnz00_4035); 
FAILURE(BgL_auxz00_8983,BFALSE,BFALSE);} 
return 
BGl_bnzd2bn2binzd2zz__ssl_sslz00(BgL_auxz00_8980);} } 

}



/* bn-num-bytes */
BGL_EXPORTED_DEF int BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(obj_t BgL_bnz00_180)
{
{ /* Llib/ssl.scm 1413 */
{ /* Llib/ssl.scm 1415 */
 void * BgL_arg1755z00_2102;
BgL_arg1755z00_2102 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_180); 
return 
BN_num_bytes(BgL_arg1755z00_2102);} } 

}



/* &bn-num-bytes */
obj_t BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00(obj_t BgL_envz00_4036, obj_t BgL_bnz00_4037)
{
{ /* Llib/ssl.scm 1413 */
{ /* Llib/ssl.scm 1415 */
 int BgL_tmpz00_8990;
{ /* Llib/ssl.scm 1415 */
 obj_t BgL_auxz00_8991;
if(
FOREIGNP(BgL_bnz00_4037))
{ /* Llib/ssl.scm 1415 */
BgL_auxz00_8991 = BgL_bnz00_4037
; }  else 
{ 
 obj_t BgL_auxz00_8994;
BgL_auxz00_8994 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)57001)), BGl_string2976z00zz__ssl_sslz00, BGl_string2975z00zz__ssl_sslz00, BgL_bnz00_4037); 
FAILURE(BgL_auxz00_8994,BFALSE,BFALSE);} 
BgL_tmpz00_8990 = 
BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(BgL_auxz00_8991); } 
return 
BINT(BgL_tmpz00_8990);} } 

}



/* bn-free */
BGL_EXPORTED_DEF obj_t BGl_bnzd2freezd2zz__ssl_sslz00(obj_t BgL_bnz00_181)
{
{ /* Llib/ssl.scm 1421 */
{ /* Llib/ssl.scm 1423 */
 void * BgL_arg1758z00_2103;
BgL_arg1758z00_2103 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_181); 
BN_free(BgL_arg1758z00_2103); BUNSPEC; } 
return BUNSPEC;} 

}



/* &bn-free */
obj_t BGl_z62bnzd2freezb0zz__ssl_sslz00(obj_t BgL_envz00_4038, obj_t BgL_bnz00_4039)
{
{ /* Llib/ssl.scm 1421 */
{ /* Llib/ssl.scm 1423 */
 obj_t BgL_auxz00_9002;
if(
FOREIGNP(BgL_bnz00_4039))
{ /* Llib/ssl.scm 1423 */
BgL_auxz00_9002 = BgL_bnz00_4039
; }  else 
{ 
 obj_t BgL_auxz00_9005;
BgL_auxz00_9005 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)57346)), BGl_string2977z00zz__ssl_sslz00, BGl_string2975z00zz__ssl_sslz00, BgL_bnz00_4039); 
FAILURE(BgL_auxz00_9005,BFALSE,BFALSE);} 
return 
BGl_bnzd2freezd2zz__ssl_sslz00(BgL_auxz00_9002);} } 

}



/* bn-new */
BGL_EXPORTED_DEF obj_t BGl_bnzd2newzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1429 */
{ /* Llib/ssl.scm 1431 */
 void * BgL_arg1762z00_2104;
BgL_arg1762z00_2104 = 
BN_new(); 
return 
void_star_to_obj(BgL_arg1762z00_2104);} } 

}



/* &bn-new */
obj_t BGl_z62bnzd2newzb0zz__ssl_sslz00(obj_t BgL_envz00_4040)
{
{ /* Llib/ssl.scm 1429 */
return 
BGl_bnzd2newzd2zz__ssl_sslz00();} 

}



/* bn-set-word */
BGL_EXPORTED_DEF bool_t BGl_bnzd2setzd2wordz00zz__ssl_sslz00(obj_t BgL_bnz00_182, int BgL_wz00_183)
{
{ /* Llib/ssl.scm 1437 */
{ /* Llib/ssl.scm 1439 */
 void * BgL_arg1765z00_2105;
BgL_arg1765z00_2105 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_182); 
return 
BN_set_word(BgL_arg1765z00_2105, BgL_wz00_183);} } 

}



/* &bn-set-word */
obj_t BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00(obj_t BgL_envz00_4041, obj_t BgL_bnz00_4042, obj_t BgL_wz00_4043)
{
{ /* Llib/ssl.scm 1437 */
{ /* Llib/ssl.scm 1439 */
 bool_t BgL_tmpz00_9015;
{ /* Llib/ssl.scm 1439 */
 int BgL_auxz00_9023; obj_t BgL_auxz00_9016;
{ /* Llib/ssl.scm 1439 */
 obj_t BgL_tmpz00_9024;
if(
INTEGERP(BgL_wz00_4043))
{ /* Llib/ssl.scm 1439 */
BgL_tmpz00_9024 = BgL_wz00_4043
; }  else 
{ 
 obj_t BgL_auxz00_9027;
BgL_auxz00_9027 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)57980)), BGl_string2978z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_wz00_4043); 
FAILURE(BgL_auxz00_9027,BFALSE,BFALSE);} 
BgL_auxz00_9023 = 
CINT(BgL_tmpz00_9024); } 
if(
FOREIGNP(BgL_bnz00_4042))
{ /* Llib/ssl.scm 1439 */
BgL_auxz00_9016 = BgL_bnz00_4042
; }  else 
{ 
 obj_t BgL_auxz00_9019;
BgL_auxz00_9019 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)57980)), BGl_string2978z00zz__ssl_sslz00, BGl_string2975z00zz__ssl_sslz00, BgL_bnz00_4042); 
FAILURE(BgL_auxz00_9019,BFALSE,BFALSE);} 
BgL_tmpz00_9015 = 
BGl_bnzd2setzd2wordz00zz__ssl_sslz00(BgL_auxz00_9016, BgL_auxz00_9023); } 
return 
BBOOL(BgL_tmpz00_9015);} } 

}



/* ssl-get-ciphers */
BGL_EXPORTED_DEF obj_t BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1445 */
BGL_TAIL return 
bgl_ssl_get_ciphers();} 

}



/* &ssl-get-ciphers */
obj_t BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00(obj_t BgL_envz00_4044)
{
{ /* Llib/ssl.scm 1445 */
return 
BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00();} 

}



/* evp-get-ciphers */
BGL_EXPORTED_DEF obj_t BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1453 */
BGL_TAIL return 
bgl_evp_get_ciphers();} 

}



/* &evp-get-ciphers */
obj_t BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00(obj_t BgL_envz00_4045)
{
{ /* Llib/ssl.scm 1453 */
return 
BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00();} 

}



/* evp-get-hashes */
BGL_EXPORTED_DEF obj_t BGl_evpzd2getzd2hashesz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1461 */
BGL_TAIL return 
bgl_evp_get_hashes();} 

}



/* &evp-get-hashes */
obj_t BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00(obj_t BgL_envz00_4046)
{
{ /* Llib/ssl.scm 1461 */
return 
BGl_evpzd2getzd2hashesz00zz__ssl_sslz00();} 

}



/* pkcs5-pbkdf2-hmac-sha1 */
BGL_EXPORTED_DEF obj_t BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(obj_t BgL_passz00_184, obj_t BgL_saltz00_185, int BgL_iterz00_186, int BgL_keylenz00_187)
{
{ /* Llib/ssl.scm 1469 */
BGL_TAIL return 
bgl_pkcs5_pbkdf2_hmac_sha1(BgL_passz00_184, BgL_saltz00_185, BgL_iterz00_186, BgL_keylenz00_187);} 

}



/* &pkcs5-pbkdf2-hmac-sha1 */
obj_t BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00(obj_t BgL_envz00_4047, obj_t BgL_passz00_4048, obj_t BgL_saltz00_4049, obj_t BgL_iterz00_4050, obj_t BgL_keylenz00_4051)
{
{ /* Llib/ssl.scm 1469 */
{ /* Llib/ssl.scm 1472 */
 int BgL_auxz00_9064; int BgL_auxz00_9055; obj_t BgL_auxz00_9048; obj_t BgL_auxz00_9041;
{ /* Llib/ssl.scm 1472 */
 obj_t BgL_tmpz00_9065;
if(
INTEGERP(BgL_keylenz00_4051))
{ /* Llib/ssl.scm 1472 */
BgL_tmpz00_9065 = BgL_keylenz00_4051
; }  else 
{ 
 obj_t BgL_auxz00_9068;
BgL_auxz00_9068 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)59317)), BGl_string2979z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_keylenz00_4051); 
FAILURE(BgL_auxz00_9068,BFALSE,BFALSE);} 
BgL_auxz00_9064 = 
CINT(BgL_tmpz00_9065); } 
{ /* Llib/ssl.scm 1472 */
 obj_t BgL_tmpz00_9056;
if(
INTEGERP(BgL_iterz00_4050))
{ /* Llib/ssl.scm 1472 */
BgL_tmpz00_9056 = BgL_iterz00_4050
; }  else 
{ 
 obj_t BgL_auxz00_9059;
BgL_auxz00_9059 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)59317)), BGl_string2979z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_iterz00_4050); 
FAILURE(BgL_auxz00_9059,BFALSE,BFALSE);} 
BgL_auxz00_9055 = 
CINT(BgL_tmpz00_9056); } 
if(
STRINGP(BgL_saltz00_4049))
{ /* Llib/ssl.scm 1472 */
BgL_auxz00_9048 = BgL_saltz00_4049
; }  else 
{ 
 obj_t BgL_auxz00_9051;
BgL_auxz00_9051 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)59317)), BGl_string2979z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_saltz00_4049); 
FAILURE(BgL_auxz00_9051,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passz00_4048))
{ /* Llib/ssl.scm 1472 */
BgL_auxz00_9041 = BgL_passz00_4048
; }  else 
{ 
 obj_t BgL_auxz00_9044;
BgL_auxz00_9044 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)59317)), BGl_string2979z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_passz00_4048); 
FAILURE(BgL_auxz00_9044,BFALSE,BFALSE);} 
return 
BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(BgL_auxz00_9041, BgL_auxz00_9048, BgL_auxz00_9055, BgL_auxz00_9064);} } 

}



/* ssl-op-cipher-server-preference */
BGL_EXPORTED_DEF int BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1479 */
return SSL_OP_CIPHER_SERVER_PREFERENCE;} 

}



/* &ssl-op-cipher-server-preference */
obj_t BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00(obj_t BgL_envz00_4052)
{
{ /* Llib/ssl.scm 1479 */
return 
BINT(
BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00());} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 299 */
 obj_t BgL_arg1787z00_439; obj_t BgL_arg1792z00_440;
{ /* Llib/ssl.scm 299 */
 obj_t BgL_v1189z00_451;
BgL_v1189z00_451 = 
create_vector(((long)1)); 
{ /* Llib/ssl.scm 299 */
 obj_t BgL_arg1807z00_452;
BgL_arg1807z00_452 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc2981z00zz__ssl_sslz00, BGl_proc2980z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)29))); 
VECTOR_SET(BgL_v1189z00_451,((long)0),BgL_arg1807z00_452); } 
BgL_arg1787z00_439 = BgL_v1189z00_451; } 
{ /* Llib/ssl.scm 299 */
 obj_t BgL_v1190z00_462;
BgL_v1190z00_462 = 
create_vector(((long)0)); 
BgL_arg1792z00_440 = BgL_v1190z00_462; } 
BGl_certificatez00zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)30)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)36719), BGl_proc2984z00zz__ssl_sslz00, BGl_proc2983z00zz__ssl_sslz00, BFALSE, BGl_proc2982z00zz__ssl_sslz00, BFALSE, BgL_arg1787z00_439, BgL_arg1792z00_440); } 
{ /* Llib/ssl.scm 302 */
 obj_t BgL_arg1820z00_469; obj_t BgL_arg1821z00_470;
{ /* Llib/ssl.scm 302 */
 obj_t BgL_v1191z00_481;
BgL_v1191z00_481 = 
create_vector(((long)1)); 
{ /* Llib/ssl.scm 302 */
 obj_t BgL_arg1827z00_482;
BgL_arg1827z00_482 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc2986z00zz__ssl_sslz00, BGl_proc2985z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1191z00_481,((long)0),BgL_arg1827z00_482); } 
BgL_arg1820z00_469 = BgL_v1191z00_481; } 
{ /* Llib/ssl.scm 302 */
 obj_t BgL_v1192z00_492;
BgL_v1192z00_492 = 
create_vector(((long)0)); 
BgL_arg1821z00_470 = BgL_v1192z00_492; } 
BGl_privatezd2keyzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)33)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)36583), BGl_proc2989z00zz__ssl_sslz00, BGl_proc2988z00zz__ssl_sslz00, BFALSE, BGl_proc2987z00zz__ssl_sslz00, BFALSE, BgL_arg1820z00_469, BgL_arg1821z00_470); } 
{ /* Llib/ssl.scm 405 */
 obj_t BgL_arg1835z00_499; obj_t BgL_arg1836z00_500;
{ /* Llib/ssl.scm 405 */
 obj_t BgL_v1193z00_514;
BgL_v1193z00_514 = 
create_vector(((long)3)); 
{ /* Llib/ssl.scm 405 */
 obj_t BgL_arg1844z00_515;
BgL_arg1844z00_515 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc2992z00zz__ssl_sslz00, BGl_proc2991z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2990z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)34))); 
VECTOR_SET(BgL_v1193z00_514,((long)0),BgL_arg1844z00_515); } 
{ /* Llib/ssl.scm 405 */
 obj_t BgL_arg1851z00_528;
BgL_arg1851z00_528 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc2995z00zz__ssl_sslz00, BGl_proc2994z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2993z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)36))); 
VECTOR_SET(BgL_v1193z00_514,((long)1),BgL_arg1851z00_528); } 
{ /* Llib/ssl.scm 405 */
 obj_t BgL_arg1858z00_541;
BgL_arg1858z00_541 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc2998z00zz__ssl_sslz00, BGl_proc2997z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2996z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1193z00_514,((long)2),BgL_arg1858z00_541); } 
BgL_arg1835z00_499 = BgL_v1193z00_514; } 
{ /* Llib/ssl.scm 405 */
 obj_t BgL_v1194z00_554;
BgL_v1194z00_554 = 
create_vector(((long)0)); 
BgL_arg1836z00_500 = BgL_v1194z00_554; } 
BGl_securezd2contextzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)52075), BGl_proc3001z00zz__ssl_sslz00, BGl_proc3000z00zz__ssl_sslz00, BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BGl_proc2999z00zz__ssl_sslz00, BFALSE, BgL_arg1835z00_499, BgL_arg1836z00_500); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1868z00_561; obj_t BgL_arg1869z00_562;
{ /* Llib/ssl.scm 411 */
 obj_t BgL_v1195z00_590;
BgL_v1195z00_590 = 
create_vector(((long)17)); 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1876z00_591;
BgL_arg1876z00_591 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc3004z00zz__ssl_sslz00, BGl_proc3003z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3002z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)40))); 
VECTOR_SET(BgL_v1195z00_590,((long)0),BgL_arg1876z00_591); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1885z00_604;
BgL_arg1885z00_604 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_proc3007z00zz__ssl_sslz00, BGl_proc3006z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3005z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)42))); 
VECTOR_SET(BgL_v1195z00_590,((long)1),BgL_arg1885z00_604); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1892z00_617;
BgL_arg1892z00_617 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc3010z00zz__ssl_sslz00, BGl_proc3009z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3008z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)42))); 
VECTOR_SET(BgL_v1195z00_590,((long)2),BgL_arg1892z00_617); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1899z00_630;
BgL_arg1899z00_630 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)44)), BGl_proc3013z00zz__ssl_sslz00, BGl_proc3012z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3011z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)45))); 
VECTOR_SET(BgL_v1195z00_590,((long)3),BgL_arg1899z00_630); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1906z00_643;
BgL_arg1906z00_643 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)46)), BGl_proc3015z00zz__ssl_sslz00, BGl_proc3014z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_securezd2contextzd2zz__ssl_sslz00); 
VECTOR_SET(BgL_v1195z00_590,((long)4),BgL_arg1906z00_643); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1911z00_653;
BgL_arg1911z00_653 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc3017z00zz__ssl_sslz00, BGl_proc3016z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1195z00_590,((long)5),BgL_arg1911z00_653); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1916z00_663;
BgL_arg1916z00_663 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc3020z00zz__ssl_sslz00, BGl_proc3019z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3018z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1195z00_590,((long)6),BgL_arg1916z00_663); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1923z00_676;
BgL_arg1923z00_676 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc3023z00zz__ssl_sslz00, BGl_proc3022z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3021z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1195z00_590,((long)7),BgL_arg1923z00_676); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1930z00_689;
BgL_arg1930z00_689 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc3025z00zz__ssl_sslz00, BGl_proc3024z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1195z00_590,((long)8),BgL_arg1930z00_689); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1935z00_699;
BgL_arg1935z00_699 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)53)), BGl_proc3028z00zz__ssl_sslz00, BGl_proc3027z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3026z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1195z00_590,((long)9),BgL_arg1935z00_699); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1942z00_712;
BgL_arg1942z00_712 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)54)), BGl_proc3031z00zz__ssl_sslz00, BGl_proc3030z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3029z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1195z00_590,((long)10),BgL_arg1942z00_712); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1949z00_725;
BgL_arg1949z00_725 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc3034z00zz__ssl_sslz00, BGl_proc3033z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3032z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)56))); 
VECTOR_SET(BgL_v1195z00_590,((long)11),BgL_arg1949z00_725); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1956z00_738;
BgL_arg1956z00_738 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3037z00zz__ssl_sslz00, BGl_proc3036z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3035z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1195z00_590,((long)12),BgL_arg1956z00_738); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1963z00_751;
BgL_arg1963z00_751 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc3040z00zz__ssl_sslz00, BGl_proc3039z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3038z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1195z00_590,((long)13),BgL_arg1963z00_751); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1970z00_764;
BgL_arg1970z00_764 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc3043z00zz__ssl_sslz00, BGl_proc3042z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3041z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1195z00_590,((long)14),BgL_arg1970z00_764); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1977z00_777;
BgL_arg1977z00_777 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc3046z00zz__ssl_sslz00, BGl_proc3045z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3044z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1195z00_590,((long)15),BgL_arg1977z00_777); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1984z00_790;
BgL_arg1984z00_790 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)61)), BGl_proc3049z00zz__ssl_sslz00, BGl_proc3048z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3047z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1195z00_590,((long)16),BgL_arg1984z00_790); } 
BgL_arg1868z00_561 = BgL_v1195z00_590; } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_v1196z00_803;
BgL_v1196z00_803 = 
create_vector(((long)0)); 
BgL_arg1869z00_562 = BgL_v1196z00_803; } 
BGl_sslzd2connectionzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)62)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)46618), BGl_proc3052z00zz__ssl_sslz00, BGl_proc3051z00zz__ssl_sslz00, BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3050z00zz__ssl_sslz00, BFALSE, BgL_arg1868z00_561, BgL_arg1869z00_562); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg1994z00_810; obj_t BgL_arg1995z00_811;
{ /* Llib/ssl.scm 431 */
 obj_t BgL_v1197z00_828;
BgL_v1197z00_828 = 
create_vector(((long)11)); 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2002z00_829;
BgL_arg2002z00_829 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc3055z00zz__ssl_sslz00, BGl_proc3054z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3053z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)63))); 
VECTOR_SET(BgL_v1197z00_828,((long)0),BgL_arg2002z00_829); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2009z00_842;
BgL_arg2009z00_842 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3058z00zz__ssl_sslz00, BGl_proc3057z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3056z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1197z00_828,((long)1),BgL_arg2009z00_842); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2016z00_855;
BgL_arg2016z00_855 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc3061z00zz__ssl_sslz00, BGl_proc3060z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3059z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1197z00_828,((long)2),BgL_arg2016z00_855); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2023z00_868;
BgL_arg2023z00_868 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc3064z00zz__ssl_sslz00, BGl_proc3063z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3062z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1197z00_828,((long)3),BgL_arg2023z00_868); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2030z00_881;
BgL_arg2030z00_881 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc3067z00zz__ssl_sslz00, BGl_proc3066z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3065z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1197z00_828,((long)4),BgL_arg2030z00_881); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2037z00_894;
BgL_arg2037z00_894 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)69)), BGl_proc3070z00zz__ssl_sslz00, BGl_proc3069z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3068z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1197z00_828,((long)5),BgL_arg2037z00_894); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2044z00_907;
BgL_arg2044z00_907 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc3072z00zz__ssl_sslz00, BGl_proc3071z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1197z00_828,((long)6),BgL_arg2044z00_907); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2049z00_917;
BgL_arg2049z00_917 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc3074z00zz__ssl_sslz00, BGl_proc3073z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1197z00_828,((long)7),BgL_arg2049z00_917); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2054z00_927;
BgL_arg2054z00_927 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc3076z00zz__ssl_sslz00, BGl_proc3075z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1197z00_828,((long)8),BgL_arg2054z00_927); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2059z00_937;
BgL_arg2059z00_937 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc3078z00zz__ssl_sslz00, BGl_proc3077z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1197z00_828,((long)9),BgL_arg2059z00_937); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2064z00_947;
BgL_arg2064z00_947 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc3080z00zz__ssl_sslz00, BGl_proc3079z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1197z00_828,((long)10),BgL_arg2064z00_947); } 
BgL_arg1994z00_810 = BgL_v1197z00_828; } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_v1198z00_957;
BgL_v1198z00_957 = 
create_vector(((long)5)); 
{ /* Llib/ssl.scm 441 */
 obj_t BgL_arg2069z00_958;
{ /* Llib/ssl.scm 441 */
 obj_t BgL_arg2070z00_959;
BgL_arg2070z00_959 = 
MAKE_YOUNG_PAIR(BGl_proc3081z00zz__ssl_sslz00, BGl_proc3082z00zz__ssl_sslz00); 
BgL_arg2069z00_958 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg2070z00_959); } 
VECTOR_SET(BgL_v1198z00_957,((long)0),BgL_arg2069z00_958); } 
{ /* Llib/ssl.scm 450 */
 obj_t BgL_arg2083z00_986;
{ /* Llib/ssl.scm 450 */
 obj_t BgL_arg2084z00_987;
BgL_arg2084z00_987 = 
MAKE_YOUNG_PAIR(BGl_proc3083z00zz__ssl_sslz00, BGl_proc3084z00zz__ssl_sslz00); 
BgL_arg2083z00_986 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg2084z00_987); } 
VECTOR_SET(BgL_v1198z00_957,((long)1),BgL_arg2083z00_986); } 
{ /* Llib/ssl.scm 459 */
 obj_t BgL_arg2097z00_1014;
{ /* Llib/ssl.scm 459 */
 obj_t BgL_arg2098z00_1015;
BgL_arg2098z00_1015 = 
MAKE_YOUNG_PAIR(BGl_proc3085z00zz__ssl_sslz00, BGl_proc3086z00zz__ssl_sslz00); 
BgL_arg2097z00_1014 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg2098z00_1015); } 
VECTOR_SET(BgL_v1198z00_957,((long)2),BgL_arg2097z00_1014); } 
{ /* Llib/ssl.scm 469 */
 obj_t BgL_arg2111z00_1043;
{ /* Llib/ssl.scm 469 */
 obj_t BgL_arg2112z00_1044;
BgL_arg2112z00_1044 = 
MAKE_YOUNG_PAIR(BGl_proc3087z00zz__ssl_sslz00, BGl_proc3088z00zz__ssl_sslz00); 
BgL_arg2111z00_1043 = 
MAKE_YOUNG_PAIR(
BINT(((long)3)), BgL_arg2112z00_1044); } 
VECTOR_SET(BgL_v1198z00_957,((long)3),BgL_arg2111z00_1043); } 
{ /* Llib/ssl.scm 478 */
 obj_t BgL_arg2124z00_1070;
{ /* Llib/ssl.scm 478 */
 obj_t BgL_arg2125z00_1071;
BgL_arg2125z00_1071 = 
MAKE_YOUNG_PAIR(BGl_proc3089z00zz__ssl_sslz00, BGl_proc3090z00zz__ssl_sslz00); 
BgL_arg2124z00_1070 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg2125z00_1071); } 
VECTOR_SET(BgL_v1198z00_957,((long)4),BgL_arg2124z00_1070); } 
BgL_arg1995z00_811 = BgL_v1198z00_957; } 
BGl_dhz00zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)74)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)13004), BGl_proc3093z00zz__ssl_sslz00, BGl_proc3092z00zz__ssl_sslz00, BGl_dhzd2initzd2envz00zz__ssl_sslz00, BGl_proc3091z00zz__ssl_sslz00, BFALSE, BgL_arg1994z00_810, BgL_arg1995z00_811); } 
{ /* Llib/ssl.scm 486 */
 obj_t BgL_arg2140z00_1103; obj_t BgL_arg2141z00_1104;
{ /* Llib/ssl.scm 486 */
 obj_t BgL_v1199z00_1118;
BgL_v1199z00_1118 = 
create_vector(((long)3)); 
{ /* Llib/ssl.scm 486 */
 obj_t BgL_arg2148z00_1119;
BgL_arg2148z00_1119 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3096z00zz__ssl_sslz00, BGl_proc3095z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3094z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1199z00_1118,((long)0),BgL_arg2148z00_1119); } 
{ /* Llib/ssl.scm 486 */
 obj_t BgL_arg2155z00_1132;
BgL_arg2155z00_1132 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3099z00zz__ssl_sslz00, BGl_proc3098z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3097z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)78))); 
VECTOR_SET(BgL_v1199z00_1118,((long)1),BgL_arg2155z00_1132); } 
{ /* Llib/ssl.scm 486 */
 obj_t BgL_arg2162z00_1145;
BgL_arg2162z00_1145 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)79)), BGl_proc3101z00zz__ssl_sslz00, BGl_proc3100z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1199z00_1118,((long)2),BgL_arg2162z00_1145); } 
BgL_arg2140z00_1103 = BgL_v1199z00_1118; } 
{ /* Llib/ssl.scm 486 */
 obj_t BgL_v1200z00_1155;
BgL_v1200z00_1155 = 
create_vector(((long)0)); 
BgL_arg2141z00_1104 = BgL_v1200z00_1155; } 
BGl_sslzd2hashzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)80)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)4072), BGl_proc3104z00zz__ssl_sslz00, BGl_proc3103z00zz__ssl_sslz00, BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3102z00zz__ssl_sslz00, BFALSE, BgL_arg2140z00_1103, BgL_arg2141z00_1104); } 
{ /* Llib/ssl.scm 496 */
 obj_t BgL_arg2170z00_1162; obj_t BgL_arg2171z00_1163;
{ /* Llib/ssl.scm 496 */
 obj_t BgL_v1201z00_1175;
BgL_v1201z00_1175 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 496 */
 obj_t BgL_arg2177z00_1176;
BgL_arg2177z00_1176 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3107z00zz__ssl_sslz00, BGl_proc3106z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3105z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1201z00_1175,((long)0),BgL_arg2177z00_1176); } 
{ /* Llib/ssl.scm 496 */
 obj_t BgL_arg2184z00_1189;
BgL_arg2184z00_1189 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3110z00zz__ssl_sslz00, BGl_proc3109z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3108z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)81))); 
VECTOR_SET(BgL_v1201z00_1175,((long)1),BgL_arg2184z00_1189); } 
BgL_arg2170z00_1162 = BgL_v1201z00_1175; } 
{ /* Llib/ssl.scm 496 */
 obj_t BgL_v1202z00_1202;
BgL_v1202z00_1202 = 
create_vector(((long)0)); 
BgL_arg2171z00_1163 = BgL_v1202z00_1202; } 
BGl_sslzd2hmaczd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)82)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)62191), BGl_proc3113z00zz__ssl_sslz00, BGl_proc3112z00zz__ssl_sslz00, BFALSE, BGl_proc3111z00zz__ssl_sslz00, BFALSE, BgL_arg2170z00_1162, BgL_arg2171z00_1163); } 
{ /* Llib/ssl.scm 504 */
 obj_t BgL_arg2194z00_1209; obj_t BgL_arg2195z00_1210;
{ /* Llib/ssl.scm 504 */
 obj_t BgL_v1203z00_1222;
BgL_v1203z00_1222 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 504 */
 obj_t BgL_arg2201z00_1223;
BgL_arg2201z00_1223 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3116z00zz__ssl_sslz00, BGl_proc3115z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3114z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1203z00_1222,((long)0),BgL_arg2201z00_1223); } 
{ /* Llib/ssl.scm 504 */
 obj_t BgL_arg2208z00_1236;
BgL_arg2208z00_1236 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3119z00zz__ssl_sslz00, BGl_proc3118z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3117z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)81))); 
VECTOR_SET(BgL_v1203z00_1222,((long)1),BgL_arg2208z00_1236); } 
BgL_arg2194z00_1209 = BgL_v1203z00_1222; } 
{ /* Llib/ssl.scm 504 */
 obj_t BgL_v1204z00_1249;
BgL_v1204z00_1249 = 
create_vector(((long)0)); 
BgL_arg2195z00_1210 = BgL_v1204z00_1249; } 
BGl_sslzd2signzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)83)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)64231), BGl_proc3122z00zz__ssl_sslz00, BGl_proc3121z00zz__ssl_sslz00, BFALSE, BGl_proc3120z00zz__ssl_sslz00, BFALSE, BgL_arg2194z00_1209, BgL_arg2195z00_1210); } 
{ /* Llib/ssl.scm 512 */
 obj_t BgL_arg2218z00_1256; obj_t BgL_arg2219z00_1257;
{ /* Llib/ssl.scm 512 */
 obj_t BgL_v1205z00_1269;
BgL_v1205z00_1269 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 512 */
 obj_t BgL_arg2225z00_1270;
BgL_arg2225z00_1270 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3125z00zz__ssl_sslz00, BGl_proc3124z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3123z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1205z00_1269,((long)0),BgL_arg2225z00_1270); } 
{ /* Llib/ssl.scm 512 */
 obj_t BgL_arg2232z00_1283;
BgL_arg2232z00_1283 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3128z00zz__ssl_sslz00, BGl_proc3127z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3126z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)81))); 
VECTOR_SET(BgL_v1205z00_1269,((long)1),BgL_arg2232z00_1283); } 
BgL_arg2218z00_1256 = BgL_v1205z00_1269; } 
{ /* Llib/ssl.scm 512 */
 obj_t BgL_v1206z00_1296;
BgL_v1206z00_1296 = 
create_vector(((long)0)); 
BgL_arg2219z00_1257 = BgL_v1206z00_1296; } 
BGl_sslzd2verifyzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)84)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)31563), BGl_proc3131z00zz__ssl_sslz00, BGl_proc3130z00zz__ssl_sslz00, BFALSE, BGl_proc3129z00zz__ssl_sslz00, BFALSE, BgL_arg2218z00_1256, BgL_arg2219z00_1257); } 
{ /* Llib/ssl.scm 520 */
 obj_t BgL_arg2242z00_1303; obj_t BgL_arg2243z00_1304;
{ /* Llib/ssl.scm 520 */
 obj_t BgL_v1207z00_1316;
BgL_v1207z00_1316 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 520 */
 obj_t BgL_arg2249z00_1317;
BgL_arg2249z00_1317 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc3134z00zz__ssl_sslz00, BGl_proc3133z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3132z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)86))); 
VECTOR_SET(BgL_v1207z00_1316,((long)0),BgL_arg2249z00_1317); } 
{ /* Llib/ssl.scm 520 */
 obj_t BgL_arg2256z00_1330;
BgL_arg2256z00_1330 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)87)), BGl_proc3137z00zz__ssl_sslz00, BGl_proc3136z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3135z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)88))); 
VECTOR_SET(BgL_v1207z00_1316,((long)1),BgL_arg2256z00_1330); } 
BgL_arg2242z00_1303 = BgL_v1207z00_1316; } 
{ /* Llib/ssl.scm 520 */
 obj_t BgL_v1208z00_1343;
BgL_v1208z00_1343 = 
create_vector(((long)0)); 
BgL_arg2243z00_1304 = BgL_v1208z00_1343; } 
return ( 
BGl_sslzd2cipherzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)89)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)23017), BGl_proc3140z00zz__ssl_sslz00, BGl_proc3139z00zz__ssl_sslz00, BFALSE, BGl_proc3138z00zz__ssl_sslz00, BFALSE, BgL_arg2242z00_1303, BgL_arg2243z00_1304), BUNSPEC) ;} } 

}



/* &<@anonymous:2248> */
obj_t BGl_z62zc3z04anonymousza32248ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4219, obj_t BgL_new1114z00_4220)
{
{ /* Llib/ssl.scm 520 */
{ 
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_9321;
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_new1114z00_4220)))->BgL_z42cipherz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_new1114z00_4220)))->BgL_z42cipherzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9321 = 
((BgL_sslzd2cipherzd2_bglt)BgL_new1114z00_4220); 
return 
((obj_t)BgL_auxz00_9321);} } 

}



/* &lambda2246 */
BgL_sslzd2cipherzd2_bglt BGl_z62lambda2246z62zz__ssl_sslz00(obj_t BgL_envz00_4221)
{
{ /* Llib/ssl.scm 520 */
{ /* Llib/ssl.scm 520 */
 BgL_sslzd2cipherzd2_bglt BgL_new1113z00_5510;
BgL_new1113z00_5510 = 
((BgL_sslzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2cipherzd2_bgl) ))); 
{ /* Llib/ssl.scm 520 */
 long BgL_arg2247z00_5511;
BgL_arg2247z00_5511 = 
BGL_CLASS_NUM(BGl_sslzd2cipherzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_5510), BgL_arg2247z00_5511); } 
return BgL_new1113z00_5510;} } 

}



/* &lambda2244 */
BgL_sslzd2cipherzd2_bglt BGl_z62lambda2244z62zz__ssl_sslz00(obj_t BgL_envz00_4222, obj_t BgL_z42cipher1111z42_4223, obj_t BgL_z42cipherzd2ctx1112z90_4224)
{
{ /* Llib/ssl.scm 520 */
{ /* Llib/ssl.scm 520 */
 void * BgL_z42cipher1111z42_5512; void * BgL_z42cipherzd2ctx1112z90_5513;
BgL_z42cipher1111z42_5512 = 
FOREIGN_TO_COBJ(BgL_z42cipher1111z42_4223); 
BgL_z42cipherzd2ctx1112z90_5513 = 
FOREIGN_TO_COBJ(BgL_z42cipherzd2ctx1112z90_4224); 
{ /* Llib/ssl.scm 520 */
 BgL_sslzd2cipherzd2_bglt BgL_new1177z00_5514;
{ /* Llib/ssl.scm 520 */
 BgL_sslzd2cipherzd2_bglt BgL_new1176z00_5515;
BgL_new1176z00_5515 = 
((BgL_sslzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2cipherzd2_bgl) ))); 
{ /* Llib/ssl.scm 520 */
 long BgL_arg2245z00_5516;
BgL_arg2245z00_5516 = 
BGL_CLASS_NUM(BGl_sslzd2cipherzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1176z00_5515), BgL_arg2245z00_5516); } 
BgL_new1177z00_5514 = BgL_new1176z00_5515; } 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(BgL_new1177z00_5514))->BgL_z42cipherz42)=((void *)BgL_z42cipher1111z42_5512),BUNSPEC); 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(BgL_new1177z00_5514))->BgL_z42cipherzd2ctxz90)=((void *)BgL_z42cipherzd2ctx1112z90_5513),BUNSPEC); 
return BgL_new1177z00_5514;} } } 

}



/* &<@anonymous:2262> */
obj_t BGl_z62zc3z04anonymousza32262ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4225)
{
{ /* Llib/ssl.scm 520 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2261 */
obj_t BGl_z62lambda2261z62zz__ssl_sslz00(obj_t BgL_envz00_4226, obj_t BgL_oz00_4227, obj_t BgL_vz00_4228)
{
{ /* Llib/ssl.scm 520 */
{ /* Llib/ssl.scm 520 */
 void * BgL_vz00_5518;
BgL_vz00_5518 = 
FOREIGN_TO_COBJ(BgL_vz00_4228); 
return 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4227)))->BgL_z42cipherzd2ctxz90)=((void *)BgL_vz00_5518),BUNSPEC);} } 

}



/* &lambda2260 */
obj_t BGl_z62lambda2260z62zz__ssl_sslz00(obj_t BgL_envz00_4229, obj_t BgL_oz00_4230)
{
{ /* Llib/ssl.scm 520 */
return 
void_star_to_obj(
(((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4230)))->BgL_z42cipherzd2ctxz90));} 

}



/* &<@anonymous:2255> */
obj_t BGl_z62zc3z04anonymousza32255ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4231)
{
{ /* Llib/ssl.scm 520 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2254 */
obj_t BGl_z62lambda2254z62zz__ssl_sslz00(obj_t BgL_envz00_4232, obj_t BgL_oz00_4233, obj_t BgL_vz00_4234)
{
{ /* Llib/ssl.scm 520 */
{ /* Llib/ssl.scm 520 */
 void * BgL_vz00_5521;
BgL_vz00_5521 = 
FOREIGN_TO_COBJ(BgL_vz00_4234); 
return 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4233)))->BgL_z42cipherz42)=((void *)BgL_vz00_5521),BUNSPEC);} } 

}



/* &lambda2253 */
obj_t BGl_z62lambda2253z62zz__ssl_sslz00(obj_t BgL_envz00_4235, obj_t BgL_oz00_4236)
{
{ /* Llib/ssl.scm 520 */
return 
void_star_to_obj(
(((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4236)))->BgL_z42cipherz42));} 

}



/* &<@anonymous:2224> */
obj_t BGl_z62zc3z04anonymousza32224ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4237, obj_t BgL_new1109z00_4238)
{
{ /* Llib/ssl.scm 512 */
{ 
 BgL_sslzd2verifyzd2_bglt BgL_auxz00_9356;
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_new1109z00_4238)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_new1109z00_4238)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9356 = 
((BgL_sslzd2verifyzd2_bglt)BgL_new1109z00_4238); 
return 
((obj_t)BgL_auxz00_9356);} } 

}



/* &lambda2222 */
BgL_sslzd2verifyzd2_bglt BGl_z62lambda2222z62zz__ssl_sslz00(obj_t BgL_envz00_4239)
{
{ /* Llib/ssl.scm 512 */
{ /* Llib/ssl.scm 512 */
 BgL_sslzd2verifyzd2_bglt BgL_new1108z00_5524;
BgL_new1108z00_5524 = 
((BgL_sslzd2verifyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2verifyzd2_bgl) ))); 
{ /* Llib/ssl.scm 512 */
 long BgL_arg2223z00_5525;
BgL_arg2223z00_5525 = 
BGL_CLASS_NUM(BGl_sslzd2verifyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_5524), BgL_arg2223z00_5525); } 
return BgL_new1108z00_5524;} } 

}



/* &lambda2220 */
BgL_sslzd2verifyzd2_bglt BGl_z62lambda2220z62zz__ssl_sslz00(obj_t BgL_envz00_4240, obj_t BgL_z42md1106z42_4241, obj_t BgL_z42mdzd2ctx1107z90_4242)
{
{ /* Llib/ssl.scm 512 */
{ /* Llib/ssl.scm 512 */
 void * BgL_z42md1106z42_5526; void * BgL_z42mdzd2ctx1107z90_5527;
BgL_z42md1106z42_5526 = 
FOREIGN_TO_COBJ(BgL_z42md1106z42_4241); 
BgL_z42mdzd2ctx1107z90_5527 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1107z90_4242); 
{ /* Llib/ssl.scm 512 */
 BgL_sslzd2verifyzd2_bglt BgL_new1175z00_5528;
{ /* Llib/ssl.scm 512 */
 BgL_sslzd2verifyzd2_bglt BgL_new1174z00_5529;
BgL_new1174z00_5529 = 
((BgL_sslzd2verifyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2verifyzd2_bgl) ))); 
{ /* Llib/ssl.scm 512 */
 long BgL_arg2221z00_5530;
BgL_arg2221z00_5530 = 
BGL_CLASS_NUM(BGl_sslzd2verifyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1174z00_5529), BgL_arg2221z00_5530); } 
BgL_new1175z00_5528 = BgL_new1174z00_5529; } 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(BgL_new1175z00_5528))->BgL_z42mdz42)=((void *)BgL_z42md1106z42_5526),BUNSPEC); 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(BgL_new1175z00_5528))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1107z90_5527),BUNSPEC); 
return BgL_new1175z00_5528;} } } 

}



/* &<@anonymous:2238> */
obj_t BGl_z62zc3z04anonymousza32238ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4243)
{
{ /* Llib/ssl.scm 512 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2237 */
obj_t BGl_z62lambda2237z62zz__ssl_sslz00(obj_t BgL_envz00_4244, obj_t BgL_oz00_4245, obj_t BgL_vz00_4246)
{
{ /* Llib/ssl.scm 512 */
{ /* Llib/ssl.scm 512 */
 void * BgL_vz00_5532;
BgL_vz00_5532 = 
FOREIGN_TO_COBJ(BgL_vz00_4246); 
return 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4245)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5532),BUNSPEC);} } 

}



/* &lambda2236 */
obj_t BGl_z62lambda2236z62zz__ssl_sslz00(obj_t BgL_envz00_4247, obj_t BgL_oz00_4248)
{
{ /* Llib/ssl.scm 512 */
return 
void_star_to_obj(
(((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4248)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2231> */
obj_t BGl_z62zc3z04anonymousza32231ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4249)
{
{ /* Llib/ssl.scm 512 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2230 */
obj_t BGl_z62lambda2230z62zz__ssl_sslz00(obj_t BgL_envz00_4250, obj_t BgL_oz00_4251, obj_t BgL_vz00_4252)
{
{ /* Llib/ssl.scm 512 */
{ /* Llib/ssl.scm 512 */
 void * BgL_vz00_5535;
BgL_vz00_5535 = 
FOREIGN_TO_COBJ(BgL_vz00_4252); 
return 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4251)))->BgL_z42mdz42)=((void *)BgL_vz00_5535),BUNSPEC);} } 

}



/* &lambda2229 */
obj_t BGl_z62lambda2229z62zz__ssl_sslz00(obj_t BgL_envz00_4253, obj_t BgL_oz00_4254)
{
{ /* Llib/ssl.scm 512 */
return 
void_star_to_obj(
(((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4254)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2200> */
obj_t BGl_z62zc3z04anonymousza32200ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4255, obj_t BgL_new1104z00_4256)
{
{ /* Llib/ssl.scm 504 */
{ 
 BgL_sslzd2signzd2_bglt BgL_auxz00_9391;
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_new1104z00_4256)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_new1104z00_4256)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9391 = 
((BgL_sslzd2signzd2_bglt)BgL_new1104z00_4256); 
return 
((obj_t)BgL_auxz00_9391);} } 

}



/* &lambda2198 */
BgL_sslzd2signzd2_bglt BGl_z62lambda2198z62zz__ssl_sslz00(obj_t BgL_envz00_4257)
{
{ /* Llib/ssl.scm 504 */
{ /* Llib/ssl.scm 504 */
 BgL_sslzd2signzd2_bglt BgL_new1103z00_5538;
BgL_new1103z00_5538 = 
((BgL_sslzd2signzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2signzd2_bgl) ))); 
{ /* Llib/ssl.scm 504 */
 long BgL_arg2199z00_5539;
BgL_arg2199z00_5539 = 
BGL_CLASS_NUM(BGl_sslzd2signzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_5538), BgL_arg2199z00_5539); } 
return BgL_new1103z00_5538;} } 

}



/* &lambda2196 */
BgL_sslzd2signzd2_bglt BGl_z62lambda2196z62zz__ssl_sslz00(obj_t BgL_envz00_4258, obj_t BgL_z42md1101z42_4259, obj_t BgL_z42mdzd2ctx1102z90_4260)
{
{ /* Llib/ssl.scm 504 */
{ /* Llib/ssl.scm 504 */
 void * BgL_z42md1101z42_5540; void * BgL_z42mdzd2ctx1102z90_5541;
BgL_z42md1101z42_5540 = 
FOREIGN_TO_COBJ(BgL_z42md1101z42_4259); 
BgL_z42mdzd2ctx1102z90_5541 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1102z90_4260); 
{ /* Llib/ssl.scm 504 */
 BgL_sslzd2signzd2_bglt BgL_new1173z00_5542;
{ /* Llib/ssl.scm 504 */
 BgL_sslzd2signzd2_bglt BgL_new1172z00_5543;
BgL_new1172z00_5543 = 
((BgL_sslzd2signzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2signzd2_bgl) ))); 
{ /* Llib/ssl.scm 504 */
 long BgL_arg2197z00_5544;
BgL_arg2197z00_5544 = 
BGL_CLASS_NUM(BGl_sslzd2signzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1172z00_5543), BgL_arg2197z00_5544); } 
BgL_new1173z00_5542 = BgL_new1172z00_5543; } 
((((BgL_sslzd2signzd2_bglt)COBJECT(BgL_new1173z00_5542))->BgL_z42mdz42)=((void *)BgL_z42md1101z42_5540),BUNSPEC); 
((((BgL_sslzd2signzd2_bglt)COBJECT(BgL_new1173z00_5542))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1102z90_5541),BUNSPEC); 
return BgL_new1173z00_5542;} } } 

}



/* &<@anonymous:2214> */
obj_t BGl_z62zc3z04anonymousza32214ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4261)
{
{ /* Llib/ssl.scm 504 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2213 */
obj_t BGl_z62lambda2213z62zz__ssl_sslz00(obj_t BgL_envz00_4262, obj_t BgL_oz00_4263, obj_t BgL_vz00_4264)
{
{ /* Llib/ssl.scm 504 */
{ /* Llib/ssl.scm 504 */
 void * BgL_vz00_5546;
BgL_vz00_5546 = 
FOREIGN_TO_COBJ(BgL_vz00_4264); 
return 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4263)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5546),BUNSPEC);} } 

}



/* &lambda2212 */
obj_t BGl_z62lambda2212z62zz__ssl_sslz00(obj_t BgL_envz00_4265, obj_t BgL_oz00_4266)
{
{ /* Llib/ssl.scm 504 */
return 
void_star_to_obj(
(((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4266)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2207> */
obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4267)
{
{ /* Llib/ssl.scm 504 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2206 */
obj_t BGl_z62lambda2206z62zz__ssl_sslz00(obj_t BgL_envz00_4268, obj_t BgL_oz00_4269, obj_t BgL_vz00_4270)
{
{ /* Llib/ssl.scm 504 */
{ /* Llib/ssl.scm 504 */
 void * BgL_vz00_5549;
BgL_vz00_5549 = 
FOREIGN_TO_COBJ(BgL_vz00_4270); 
return 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4269)))->BgL_z42mdz42)=((void *)BgL_vz00_5549),BUNSPEC);} } 

}



/* &lambda2205 */
obj_t BGl_z62lambda2205z62zz__ssl_sslz00(obj_t BgL_envz00_4271, obj_t BgL_oz00_4272)
{
{ /* Llib/ssl.scm 504 */
return 
void_star_to_obj(
(((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4272)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2176> */
obj_t BGl_z62zc3z04anonymousza32176ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4273, obj_t BgL_new1099z00_4274)
{
{ /* Llib/ssl.scm 496 */
{ 
 BgL_sslzd2hmaczd2_bglt BgL_auxz00_9426;
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_new1099z00_4274)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_new1099z00_4274)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9426 = 
((BgL_sslzd2hmaczd2_bglt)BgL_new1099z00_4274); 
return 
((obj_t)BgL_auxz00_9426);} } 

}



/* &lambda2174 */
BgL_sslzd2hmaczd2_bglt BGl_z62lambda2174z62zz__ssl_sslz00(obj_t BgL_envz00_4275)
{
{ /* Llib/ssl.scm 496 */
{ /* Llib/ssl.scm 496 */
 BgL_sslzd2hmaczd2_bglt BgL_new1098z00_5552;
BgL_new1098z00_5552 = 
((BgL_sslzd2hmaczd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hmaczd2_bgl) ))); 
{ /* Llib/ssl.scm 496 */
 long BgL_arg2175z00_5553;
BgL_arg2175z00_5553 = 
BGL_CLASS_NUM(BGl_sslzd2hmaczd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_5552), BgL_arg2175z00_5553); } 
return BgL_new1098z00_5552;} } 

}



/* &lambda2172 */
BgL_sslzd2hmaczd2_bglt BGl_z62lambda2172z62zz__ssl_sslz00(obj_t BgL_envz00_4276, obj_t BgL_z42md1096z42_4277, obj_t BgL_z42mdzd2ctx1097z90_4278)
{
{ /* Llib/ssl.scm 496 */
{ /* Llib/ssl.scm 496 */
 void * BgL_z42md1096z42_5554; void * BgL_z42mdzd2ctx1097z90_5555;
BgL_z42md1096z42_5554 = 
FOREIGN_TO_COBJ(BgL_z42md1096z42_4277); 
BgL_z42mdzd2ctx1097z90_5555 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1097z90_4278); 
{ /* Llib/ssl.scm 496 */
 BgL_sslzd2hmaczd2_bglt BgL_new1171z00_5556;
{ /* Llib/ssl.scm 496 */
 BgL_sslzd2hmaczd2_bglt BgL_new1170z00_5557;
BgL_new1170z00_5557 = 
((BgL_sslzd2hmaczd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hmaczd2_bgl) ))); 
{ /* Llib/ssl.scm 496 */
 long BgL_arg2173z00_5558;
BgL_arg2173z00_5558 = 
BGL_CLASS_NUM(BGl_sslzd2hmaczd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1170z00_5557), BgL_arg2173z00_5558); } 
BgL_new1171z00_5556 = BgL_new1170z00_5557; } 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(BgL_new1171z00_5556))->BgL_z42mdz42)=((void *)BgL_z42md1096z42_5554),BUNSPEC); 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(BgL_new1171z00_5556))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1097z90_5555),BUNSPEC); 
return BgL_new1171z00_5556;} } } 

}



/* &<@anonymous:2190> */
obj_t BGl_z62zc3z04anonymousza32190ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4279)
{
{ /* Llib/ssl.scm 496 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2189 */
obj_t BGl_z62lambda2189z62zz__ssl_sslz00(obj_t BgL_envz00_4280, obj_t BgL_oz00_4281, obj_t BgL_vz00_4282)
{
{ /* Llib/ssl.scm 496 */
{ /* Llib/ssl.scm 496 */
 void * BgL_vz00_5560;
BgL_vz00_5560 = 
FOREIGN_TO_COBJ(BgL_vz00_4282); 
return 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4281)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5560),BUNSPEC);} } 

}



/* &lambda2188 */
obj_t BGl_z62lambda2188z62zz__ssl_sslz00(obj_t BgL_envz00_4283, obj_t BgL_oz00_4284)
{
{ /* Llib/ssl.scm 496 */
return 
void_star_to_obj(
(((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4284)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2183> */
obj_t BGl_z62zc3z04anonymousza32183ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4285)
{
{ /* Llib/ssl.scm 496 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2182 */
obj_t BGl_z62lambda2182z62zz__ssl_sslz00(obj_t BgL_envz00_4286, obj_t BgL_oz00_4287, obj_t BgL_vz00_4288)
{
{ /* Llib/ssl.scm 496 */
{ /* Llib/ssl.scm 496 */
 void * BgL_vz00_5563;
BgL_vz00_5563 = 
FOREIGN_TO_COBJ(BgL_vz00_4288); 
return 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4287)))->BgL_z42mdz42)=((void *)BgL_vz00_5563),BUNSPEC);} } 

}



/* &lambda2181 */
obj_t BGl_z62lambda2181z62zz__ssl_sslz00(obj_t BgL_envz00_4289, obj_t BgL_oz00_4290)
{
{ /* Llib/ssl.scm 496 */
return 
void_star_to_obj(
(((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4290)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2147> */
obj_t BGl_z62zc3z04anonymousza32147ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4291, obj_t BgL_new1094z00_4292)
{
{ /* Llib/ssl.scm 486 */
{ 
 BgL_sslzd2hashzd2_bglt BgL_auxz00_9461;
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1094z00_4292)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1094z00_4292)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1094z00_4292)))->BgL_typez00)=((obj_t)BGl_string3141z00zz__ssl_sslz00),BUNSPEC); 
BgL_auxz00_9461 = 
((BgL_sslzd2hashzd2_bglt)BgL_new1094z00_4292); 
return 
((obj_t)BgL_auxz00_9461);} } 

}



/* &lambda2145 */
BgL_sslzd2hashzd2_bglt BGl_z62lambda2145z62zz__ssl_sslz00(obj_t BgL_envz00_4293)
{
{ /* Llib/ssl.scm 486 */
{ /* Llib/ssl.scm 486 */
 BgL_sslzd2hashzd2_bglt BgL_new1093z00_5566;
BgL_new1093z00_5566 = 
((BgL_sslzd2hashzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hashzd2_bgl) ))); 
{ /* Llib/ssl.scm 486 */
 long BgL_arg2146z00_5567;
BgL_arg2146z00_5567 = 
BGL_CLASS_NUM(BGl_sslzd2hashzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1093z00_5566), BgL_arg2146z00_5567); } 
return BgL_new1093z00_5566;} } 

}



/* &lambda2142 */
BgL_sslzd2hashzd2_bglt BGl_z62lambda2142z62zz__ssl_sslz00(obj_t BgL_envz00_4294, obj_t BgL_z42md1090z42_4295, obj_t BgL_z42mdzd2ctx1091z90_4296, obj_t BgL_type1092z00_4297)
{
{ /* Llib/ssl.scm 486 */
{ /* Llib/ssl.scm 486 */
 void * BgL_z42md1090z42_5568; void * BgL_z42mdzd2ctx1091z90_5569;
BgL_z42md1090z42_5568 = 
FOREIGN_TO_COBJ(BgL_z42md1090z42_4295); 
BgL_z42mdzd2ctx1091z90_5569 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1091z90_4296); 
{ /* Llib/ssl.scm 486 */
 BgL_sslzd2hashzd2_bglt BgL_new1169z00_5571;
{ /* Llib/ssl.scm 486 */
 BgL_sslzd2hashzd2_bglt BgL_new1168z00_5572;
BgL_new1168z00_5572 = 
((BgL_sslzd2hashzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hashzd2_bgl) ))); 
{ /* Llib/ssl.scm 486 */
 long BgL_arg2144z00_5573;
BgL_arg2144z00_5573 = 
BGL_CLASS_NUM(BGl_sslzd2hashzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1168z00_5572), BgL_arg2144z00_5573); } 
BgL_new1169z00_5571 = BgL_new1168z00_5572; } 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1169z00_5571))->BgL_z42mdz42)=((void *)BgL_z42md1090z42_5568),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1169z00_5571))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1091z90_5569),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1169z00_5571))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1092z00_4297)),BUNSPEC); 
{ /* Llib/ssl.scm 486 */
 obj_t BgL_fun2143z00_5574;
BgL_fun2143z00_5574 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sslzd2hashzd2zz__ssl_sslz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2143z00_5574))(BgL_fun2143z00_5574, 
((obj_t)BgL_new1169z00_5571), BEOA); } 
return BgL_new1169z00_5571;} } } 

}



/* &lambda2166 */
obj_t BGl_z62lambda2166z62zz__ssl_sslz00(obj_t BgL_envz00_4298, obj_t BgL_oz00_4299, obj_t BgL_vz00_4300)
{
{ /* Llib/ssl.scm 486 */
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4299)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_4300)),BUNSPEC);} 

}



/* &lambda2165 */
obj_t BGl_z62lambda2165z62zz__ssl_sslz00(obj_t BgL_envz00_4301, obj_t BgL_oz00_4302)
{
{ /* Llib/ssl.scm 486 */
return 
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4302)))->BgL_typez00);} 

}



/* &<@anonymous:2161> */
obj_t BGl_z62zc3z04anonymousza32161ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4303)
{
{ /* Llib/ssl.scm 486 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2160 */
obj_t BGl_z62lambda2160z62zz__ssl_sslz00(obj_t BgL_envz00_4304, obj_t BgL_oz00_4305, obj_t BgL_vz00_4306)
{
{ /* Llib/ssl.scm 486 */
{ /* Llib/ssl.scm 486 */
 void * BgL_vz00_5579;
BgL_vz00_5579 = 
FOREIGN_TO_COBJ(BgL_vz00_4306); 
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4305)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5579),BUNSPEC);} } 

}



/* &lambda2159 */
obj_t BGl_z62lambda2159z62zz__ssl_sslz00(obj_t BgL_envz00_4307, obj_t BgL_oz00_4308)
{
{ /* Llib/ssl.scm 486 */
return 
void_star_to_obj(
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4308)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2154> */
obj_t BGl_z62zc3z04anonymousza32154ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4309)
{
{ /* Llib/ssl.scm 486 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2153 */
obj_t BGl_z62lambda2153z62zz__ssl_sslz00(obj_t BgL_envz00_4310, obj_t BgL_oz00_4311, obj_t BgL_vz00_4312)
{
{ /* Llib/ssl.scm 486 */
{ /* Llib/ssl.scm 486 */
 void * BgL_vz00_5582;
BgL_vz00_5582 = 
FOREIGN_TO_COBJ(BgL_vz00_4312); 
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4311)))->BgL_z42mdz42)=((void *)BgL_vz00_5582),BUNSPEC);} } 

}



/* &lambda2152 */
obj_t BGl_z62lambda2152z62zz__ssl_sslz00(obj_t BgL_envz00_4313, obj_t BgL_oz00_4314)
{
{ /* Llib/ssl.scm 486 */
return 
void_star_to_obj(
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4314)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2001> */
obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4315, obj_t BgL_new1088z00_4316)
{
{ /* Llib/ssl.scm 431 */
{ 
 BgL_dhz00_bglt BgL_auxz00_9511;
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4316)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4316)))->BgL_z52pz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4316)))->BgL_z52qz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4316)))->BgL_z52gz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4316)))->BgL_z52pubz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4316)))->BgL_z52privz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9511 = 
((BgL_dhz00_bglt)BgL_new1088z00_4316); 
return 
((obj_t)BgL_auxz00_9511);} } 

}



/* &lambda1999 */
BgL_dhz00_bglt BGl_z62lambda1999z62zz__ssl_sslz00(obj_t BgL_envz00_4317)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 BgL_dhz00_bglt BgL_new1087z00_5585;
BgL_new1087z00_5585 = 
((BgL_dhz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_dhz00_bgl) ))); 
{ /* Llib/ssl.scm 431 */
 long BgL_arg2000z00_5586;
BgL_arg2000z00_5586 = 
BGL_CLASS_NUM(BGl_dhz00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_5585), BgL_arg2000z00_5586); } 
return BgL_new1087z00_5585;} } 

}



/* &lambda1996 */
BgL_dhz00_bglt BGl_z62lambda1996z62zz__ssl_sslz00(obj_t BgL_envz00_4318, obj_t BgL_z42native1081z42_4319, obj_t BgL_z52p1082z52_4320, obj_t BgL_z52q1083z52_4321, obj_t BgL_z52g1084z52_4322, obj_t BgL_z52pub1085z52_4323, obj_t BgL_z52priv1086z52_4324)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_z42native1081z42_5587; void * BgL_z52p1082z52_5588; void * BgL_z52q1083z52_5589; void * BgL_z52g1084z52_5590; void * BgL_z52pub1085z52_5591; void * BgL_z52priv1086z52_5592;
BgL_z42native1081z42_5587 = 
FOREIGN_TO_COBJ(BgL_z42native1081z42_4319); 
BgL_z52p1082z52_5588 = 
FOREIGN_TO_COBJ(BgL_z52p1082z52_4320); 
BgL_z52q1083z52_5589 = 
FOREIGN_TO_COBJ(BgL_z52q1083z52_4321); 
BgL_z52g1084z52_5590 = 
FOREIGN_TO_COBJ(BgL_z52g1084z52_4322); 
BgL_z52pub1085z52_5591 = 
FOREIGN_TO_COBJ(BgL_z52pub1085z52_4323); 
BgL_z52priv1086z52_5592 = 
FOREIGN_TO_COBJ(BgL_z52priv1086z52_4324); 
{ /* Llib/ssl.scm 431 */
 BgL_dhz00_bglt BgL_new1156z00_5593;
{ /* Llib/ssl.scm 431 */
 BgL_dhz00_bglt BgL_new1155z00_5594;
BgL_new1155z00_5594 = 
((BgL_dhz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_dhz00_bgl) ))); 
{ /* Llib/ssl.scm 431 */
 long BgL_arg1998z00_5595;
BgL_arg1998z00_5595 = 
BGL_CLASS_NUM(BGl_dhz00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1155z00_5594), BgL_arg1998z00_5595); } 
BgL_new1156z00_5593 = BgL_new1155z00_5594; } 
((((BgL_dhz00_bglt)COBJECT(BgL_new1156z00_5593))->BgL_z42nativez42)=((void *)BgL_z42native1081z42_5587),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1156z00_5593))->BgL_z52pz52)=((void *)BgL_z52p1082z52_5588),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1156z00_5593))->BgL_z52qz52)=((void *)BgL_z52q1083z52_5589),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1156z00_5593))->BgL_z52gz52)=((void *)BgL_z52g1084z52_5590),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1156z00_5593))->BgL_z52pubz52)=((void *)BgL_z52pub1085z52_5591),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1156z00_5593))->BgL_z52privz52)=((void *)BgL_z52priv1086z52_5592),BUNSPEC); 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_fun1997z00_5596;
BgL_fun1997z00_5596 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_dhz00zz__ssl_sslz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1997z00_5596))(BgL_fun1997z00_5596, 
((obj_t)BgL_new1156z00_5593), BEOA); } 
return BgL_new1156z00_5593;} } } 

}



/* &<@anonymous:2132> */
obj_t BGl_z62zc3z04anonymousza32132ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4325, obj_t BgL_oz00_4326, obj_t BgL_vz00_4327)
{
{ /* Llib/ssl.scm 476 */
{ 
 void * BgL_auxz00_9558;
{ /* Llib/ssl.scm 482 */
 obj_t BgL_tmpz00_9560;
BgL_tmpz00_9560 = 
((obj_t)BgL_vz00_4327); 
BgL_auxz00_9558 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9560); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4326)))->BgL_z52pubz52)=((void *)BgL_auxz00_9558),BUNSPEC); } 
{ /* Llib/ssl.scm 483 */
 void * BgL_arg2133z00_5597; void * BgL_arg2134z00_5598; void * BgL_arg2135z00_5599;
BgL_arg2133z00_5597 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4326)))->BgL_z42nativez42); 
BgL_arg2134z00_5598 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4326)))->BgL_z52pubz52); 
BgL_arg2135z00_5599 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4326)))->BgL_z52privz52); 
bgl_dh_pub_priv_key_set(BgL_arg2133z00_5597, BgL_arg2134z00_5598, BgL_arg2135z00_5599); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4327);} 

}



/* &<@anonymous:2128> */
obj_t BGl_z62zc3z04anonymousza32128ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4328, obj_t BgL_oz00_4329)
{
{ /* Llib/ssl.scm 476 */
{ /* Llib/ssl.scm 479 */
 void * BgL_arg2129z00_5600;
{ /* Llib/ssl.scm 479 */
 void * BgL_arg2130z00_5601;
BgL_arg2130z00_5601 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4329)))->BgL_z42nativez42); 
BgL_arg2129z00_5600 = 
bgl_dh_public_key(BgL_arg2130z00_5601); } 
return 
void_star_to_obj(BgL_arg2129z00_5600);} } 

}



/* &<@anonymous:2119> */
obj_t BGl_z62zc3z04anonymousza32119ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4330, obj_t BgL_oz00_4331, obj_t BgL_vz00_4332)
{
{ /* Llib/ssl.scm 467 */
{ 
 void * BgL_auxz00_9576;
{ /* Llib/ssl.scm 473 */
 obj_t BgL_tmpz00_9578;
BgL_tmpz00_9578 = 
((obj_t)BgL_vz00_4332); 
BgL_auxz00_9576 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9578); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4331)))->BgL_z52privz52)=((void *)BgL_auxz00_9576),BUNSPEC); } 
{ /* Llib/ssl.scm 474 */
 void * BgL_arg2120z00_5602; void * BgL_arg2121z00_5603; void * BgL_arg2122z00_5604;
BgL_arg2120z00_5602 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4331)))->BgL_z42nativez42); 
BgL_arg2121z00_5603 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4331)))->BgL_z52pubz52); 
BgL_arg2122z00_5604 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4331)))->BgL_z52privz52); 
bgl_dh_pub_priv_key_set(BgL_arg2120z00_5602, BgL_arg2121z00_5603, BgL_arg2122z00_5604); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4332);} 

}



/* &<@anonymous:2115> */
obj_t BGl_z62zc3z04anonymousza32115ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4333, obj_t BgL_oz00_4334)
{
{ /* Llib/ssl.scm 467 */
{ /* Llib/ssl.scm 470 */
 void * BgL_arg2116z00_5605;
{ /* Llib/ssl.scm 470 */
 void * BgL_arg2117z00_5606;
BgL_arg2117z00_5606 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4334)))->BgL_z42nativez42); 
BgL_arg2116z00_5605 = 
bgl_dh_private_key(BgL_arg2117z00_5606); } 
return 
void_star_to_obj(BgL_arg2116z00_5605);} } 

}



/* &<@anonymous:2105> */
obj_t BGl_z62zc3z04anonymousza32105ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4335, obj_t BgL_oz00_4336, obj_t BgL_vz00_4337)
{
{ /* Llib/ssl.scm 457 */
{ 
 void * BgL_auxz00_9594;
{ /* Llib/ssl.scm 464 */
 obj_t BgL_tmpz00_9596;
BgL_tmpz00_9596 = 
((obj_t)BgL_vz00_4337); 
BgL_auxz00_9594 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9596); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4336)))->BgL_z52gz52)=((void *)BgL_auxz00_9594),BUNSPEC); } 
{ /* Llib/ssl.scm 465 */
 void * BgL_arg2106z00_5607; void * BgL_arg2107z00_5608; void * BgL_arg2108z00_5609; void * BgL_arg2109z00_5610;
BgL_arg2106z00_5607 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4336)))->BgL_z42nativez42); 
BgL_arg2107z00_5608 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4336)))->BgL_z52pz52); 
BgL_arg2108z00_5609 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4336)))->BgL_z52qz52); 
BgL_arg2109z00_5610 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4336)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2106z00_5607, BgL_arg2107z00_5608, BgL_arg2108z00_5609, BgL_arg2109z00_5610); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4337);} 

}



/* &<@anonymous:2101> */
obj_t BGl_z62zc3z04anonymousza32101ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4338, obj_t BgL_oz00_4339)
{
{ /* Llib/ssl.scm 457 */
{ /* Llib/ssl.scm 460 */
 void * BgL_arg2102z00_5611;
{ /* Llib/ssl.scm 460 */
 void * BgL_arg2103z00_5612;
BgL_arg2103z00_5612 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4339)))->BgL_z42nativez42); 
BgL_arg2102z00_5611 = 
bgl_dh_g(BgL_arg2103z00_5612); } 
return 
void_star_to_obj(BgL_arg2102z00_5611);} } 

}



/* &<@anonymous:2091> */
obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4340, obj_t BgL_oz00_4341, obj_t BgL_vz00_4342)
{
{ /* Llib/ssl.scm 448 */
{ 
 void * BgL_auxz00_9614;
{ /* Llib/ssl.scm 454 */
 obj_t BgL_tmpz00_9616;
BgL_tmpz00_9616 = 
((obj_t)BgL_vz00_4342); 
BgL_auxz00_9614 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9616); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4341)))->BgL_z52qz52)=((void *)BgL_auxz00_9614),BUNSPEC); } 
{ /* Llib/ssl.scm 455 */
 void * BgL_arg2092z00_5613; void * BgL_arg2093z00_5614; void * BgL_arg2094z00_5615; void * BgL_arg2095z00_5616;
BgL_arg2092z00_5613 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4341)))->BgL_z42nativez42); 
BgL_arg2093z00_5614 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4341)))->BgL_z52pz52); 
BgL_arg2094z00_5615 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4341)))->BgL_z52qz52); 
BgL_arg2095z00_5616 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4341)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2092z00_5613, BgL_arg2093z00_5614, BgL_arg2094z00_5615, BgL_arg2095z00_5616); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4342);} 

}



/* &<@anonymous:2087> */
obj_t BGl_z62zc3z04anonymousza32087ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4343, obj_t BgL_oz00_4344)
{
{ /* Llib/ssl.scm 448 */
{ /* Llib/ssl.scm 451 */
 void * BgL_arg2088z00_5617;
{ /* Llib/ssl.scm 451 */
 void * BgL_arg2089z00_5618;
BgL_arg2089z00_5618 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4344)))->BgL_z42nativez42); 
BgL_arg2088z00_5617 = 
bgl_dh_p(BgL_arg2089z00_5618); } 
return 
void_star_to_obj(BgL_arg2088z00_5617);} } 

}



/* &<@anonymous:2077> */
obj_t BGl_z62zc3z04anonymousza32077ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4345, obj_t BgL_oz00_4346, obj_t BgL_vz00_4347)
{
{ /* Llib/ssl.scm 439 */
{ 
 void * BgL_auxz00_9634;
{ /* Llib/ssl.scm 445 */
 obj_t BgL_tmpz00_9636;
BgL_tmpz00_9636 = 
((obj_t)BgL_vz00_4347); 
BgL_auxz00_9634 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9636); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4346)))->BgL_z52pz52)=((void *)BgL_auxz00_9634),BUNSPEC); } 
{ /* Llib/ssl.scm 446 */
 void * BgL_arg2078z00_5619; void * BgL_arg2079z00_5620; void * BgL_arg2080z00_5621; void * BgL_arg2081z00_5622;
BgL_arg2078z00_5619 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4346)))->BgL_z42nativez42); 
BgL_arg2079z00_5620 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4346)))->BgL_z52pz52); 
BgL_arg2080z00_5621 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4346)))->BgL_z52qz52); 
BgL_arg2081z00_5622 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4346)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2078z00_5619, BgL_arg2079z00_5620, BgL_arg2080z00_5621, BgL_arg2081z00_5622); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4347);} 

}



/* &<@anonymous:2073> */
obj_t BGl_z62zc3z04anonymousza32073ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4348, obj_t BgL_oz00_4349)
{
{ /* Llib/ssl.scm 439 */
{ /* Llib/ssl.scm 442 */
 void * BgL_arg2074z00_5623;
{ /* Llib/ssl.scm 442 */
 void * BgL_arg2075z00_5624;
BgL_arg2075z00_5624 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4349)))->BgL_z42nativez42); 
BgL_arg2074z00_5623 = 
bgl_dh_p(BgL_arg2075z00_5624); } 
return 
void_star_to_obj(BgL_arg2074z00_5623);} } 

}



/* &<@anonymous:2068> */
obj_t BGl_z62zc3z04anonymousza32068ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4350, obj_t BgL_oz00_4351, obj_t BgL_vz00_4352)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4351), 
(int)(((long)4)), BgL_vz00_4352);} 

}



/* &<@anonymous:2067> */
obj_t BGl_z62zc3z04anonymousza32067ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4353, obj_t BgL_oz00_4354)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4354), 
(int)(((long)4)));} 

}



/* &<@anonymous:2063> */
obj_t BGl_z62zc3z04anonymousza32063ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4355, obj_t BgL_oz00_4356, obj_t BgL_vz00_4357)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4356), 
(int)(((long)3)), BgL_vz00_4357);} 

}



/* &<@anonymous:2062> */
obj_t BGl_z62zc3z04anonymousza32062ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4358, obj_t BgL_oz00_4359)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4359), 
(int)(((long)3)));} 

}



/* &<@anonymous:2058> */
obj_t BGl_z62zc3z04anonymousza32058ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4360, obj_t BgL_oz00_4361, obj_t BgL_vz00_4362)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4361), 
(int)(((long)2)), BgL_vz00_4362);} 

}



/* &<@anonymous:2057> */
obj_t BGl_z62zc3z04anonymousza32057ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4363, obj_t BgL_oz00_4364)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4364), 
(int)(((long)2)));} 

}



/* &<@anonymous:2053> */
obj_t BGl_z62zc3z04anonymousza32053ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4365, obj_t BgL_oz00_4366, obj_t BgL_vz00_4367)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4366), 
(int)(((long)1)), BgL_vz00_4367);} 

}



/* &<@anonymous:2052> */
obj_t BGl_z62zc3z04anonymousza32052ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4368, obj_t BgL_oz00_4369)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4369), 
(int)(((long)1)));} 

}



/* &<@anonymous:2048> */
obj_t BGl_z62zc3z04anonymousza32048ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4370, obj_t BgL_oz00_4371, obj_t BgL_vz00_4372)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4371), 
(int)(((long)0)), BgL_vz00_4372);} 

}



/* &<@anonymous:2047> */
obj_t BGl_z62zc3z04anonymousza32047ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4373, obj_t BgL_oz00_4374)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4374), 
(int)(((long)0)));} 

}



/* &<@anonymous:2043> */
obj_t BGl_z62zc3z04anonymousza32043ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4375)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2042 */
obj_t BGl_z62lambda2042z62zz__ssl_sslz00(obj_t BgL_envz00_4376, obj_t BgL_oz00_4377, obj_t BgL_vz00_4378)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_vz00_5626;
BgL_vz00_5626 = 
FOREIGN_TO_COBJ(BgL_vz00_4378); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4377)))->BgL_z52privz52)=((void *)BgL_vz00_5626),BUNSPEC);} } 

}



/* &lambda2041 */
obj_t BGl_z62lambda2041z62zz__ssl_sslz00(obj_t BgL_envz00_4379, obj_t BgL_oz00_4380)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4380)))->BgL_z52privz52));} 

}



/* &<@anonymous:2036> */
obj_t BGl_z62zc3z04anonymousza32036ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4381)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2035 */
obj_t BGl_z62lambda2035z62zz__ssl_sslz00(obj_t BgL_envz00_4382, obj_t BgL_oz00_4383, obj_t BgL_vz00_4384)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_vz00_5629;
BgL_vz00_5629 = 
FOREIGN_TO_COBJ(BgL_vz00_4384); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4383)))->BgL_z52pubz52)=((void *)BgL_vz00_5629),BUNSPEC);} } 

}



/* &lambda2034 */
obj_t BGl_z62lambda2034z62zz__ssl_sslz00(obj_t BgL_envz00_4385, obj_t BgL_oz00_4386)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4386)))->BgL_z52pubz52));} 

}



/* &<@anonymous:2029> */
obj_t BGl_z62zc3z04anonymousza32029ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4387)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2028 */
obj_t BGl_z62lambda2028z62zz__ssl_sslz00(obj_t BgL_envz00_4388, obj_t BgL_oz00_4389, obj_t BgL_vz00_4390)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_vz00_5632;
BgL_vz00_5632 = 
FOREIGN_TO_COBJ(BgL_vz00_4390); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4389)))->BgL_z52gz52)=((void *)BgL_vz00_5632),BUNSPEC);} } 

}



/* &lambda2027 */
obj_t BGl_z62lambda2027z62zz__ssl_sslz00(obj_t BgL_envz00_4391, obj_t BgL_oz00_4392)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4392)))->BgL_z52gz52));} 

}



/* &<@anonymous:2022> */
obj_t BGl_z62zc3z04anonymousza32022ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4393)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2021 */
obj_t BGl_z62lambda2021z62zz__ssl_sslz00(obj_t BgL_envz00_4394, obj_t BgL_oz00_4395, obj_t BgL_vz00_4396)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_vz00_5635;
BgL_vz00_5635 = 
FOREIGN_TO_COBJ(BgL_vz00_4396); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4395)))->BgL_z52qz52)=((void *)BgL_vz00_5635),BUNSPEC);} } 

}



/* &lambda2020 */
obj_t BGl_z62lambda2020z62zz__ssl_sslz00(obj_t BgL_envz00_4397, obj_t BgL_oz00_4398)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4398)))->BgL_z52qz52));} 

}



/* &<@anonymous:2015> */
obj_t BGl_z62zc3z04anonymousza32015ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4399)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2014 */
obj_t BGl_z62lambda2014z62zz__ssl_sslz00(obj_t BgL_envz00_4400, obj_t BgL_oz00_4401, obj_t BgL_vz00_4402)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_vz00_5638;
BgL_vz00_5638 = 
FOREIGN_TO_COBJ(BgL_vz00_4402); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4401)))->BgL_z52pz52)=((void *)BgL_vz00_5638),BUNSPEC);} } 

}



/* &lambda2013 */
obj_t BGl_z62lambda2013z62zz__ssl_sslz00(obj_t BgL_envz00_4403, obj_t BgL_oz00_4404)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4404)))->BgL_z52pz52));} 

}



/* &<@anonymous:2008> */
obj_t BGl_z62zc3z04anonymousza32008ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4405)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2007 */
obj_t BGl_z62lambda2007z62zz__ssl_sslz00(obj_t BgL_envz00_4406, obj_t BgL_oz00_4407, obj_t BgL_vz00_4408)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_vz00_5641;
BgL_vz00_5641 = 
FOREIGN_TO_COBJ(BgL_vz00_4408); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4407)))->BgL_z42nativez42)=((void *)BgL_vz00_5641),BUNSPEC);} } 

}



/* &lambda2006 */
obj_t BGl_z62lambda2006z62zz__ssl_sslz00(obj_t BgL_envz00_4409, obj_t BgL_oz00_4410)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4410)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1875> */
obj_t BGl_z62zc3z04anonymousza31875ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4411, obj_t BgL_new1079z00_4412)
{
{ /* Llib/ssl.scm 411 */
{ 
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_9726;
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_z42biozd2readz90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_z42biozd2writez90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_z42nextzd2sessionz90)=((void *)
0L),BUNSPEC); 
{ 
 BgL_securezd2contextzd2_bglt BgL_auxz00_9739;
{ /* Llib/ssl.scm 411 */
 obj_t BgL_classz00_5644;
BgL_classz00_5644 = BGl_securezd2contextzd2zz__ssl_sslz00; 
{ /* Llib/ssl.scm 411 */
 obj_t BgL__ortest_1112z00_5645;
BgL__ortest_1112z00_5645 = 
BGL_CLASS_NIL(BgL_classz00_5644); 
if(
CBOOL(BgL__ortest_1112z00_5645))
{ /* Llib/ssl.scm 411 */
BgL_auxz00_9739 = 
((BgL_securezd2contextzd2_bglt)BgL__ortest_1112z00_5645)
; }  else 
{ /* Llib/ssl.scm 411 */
BgL_auxz00_9739 = 
((BgL_securezd2contextzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5644))
; } } } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)BgL_auxz00_9739),BUNSPEC); } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_isserverz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_requestzd2certzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_serverzd2namezd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_infozd2callbackzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_snizd2contextzd2callbackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_newsessionzd2callbackzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_npnzd2protoszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_errz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_receivedzd2shutdownzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412)))->BgL_sentzd2shutdownzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_9726 = 
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4412); 
return 
((obj_t)BgL_auxz00_9726);} } 

}



/* &lambda1873 */
BgL_sslzd2connectionzd2_bglt BGl_z62lambda1873z62zz__ssl_sslz00(obj_t BgL_envz00_4413)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 BgL_sslzd2connectionzd2_bglt BgL_new1078z00_5646;
BgL_new1078z00_5646 = 
((BgL_sslzd2connectionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2connectionzd2_bgl) ))); 
{ /* Llib/ssl.scm 411 */
 long BgL_arg1874z00_5647;
BgL_arg1874z00_5647 = 
BGL_CLASS_NUM(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_5646), BgL_arg1874z00_5647); } 
return BgL_new1078z00_5646;} } 

}



/* &lambda1870 */
BgL_sslzd2connectionzd2_bglt BGl_z62lambda1870z62zz__ssl_sslz00(obj_t BgL_envz00_4414, obj_t BgL_z42native1061z42_4415, obj_t BgL_z42biozd2read1062z90_4416, obj_t BgL_z42biozd2write1063z90_4417, obj_t BgL_z42nextzd2session1064z90_4418, obj_t BgL_ctx1065z00_4419, obj_t BgL_isserver1066z00_4420, obj_t BgL_requestzd2cert1067zd2_4421, obj_t BgL_serverzd2name1068zd2_4422, obj_t BgL_rejectzd2unauthoriza7ed1069z75_4423, obj_t BgL_infozd2callback1070zd2_4424, obj_t BgL_snizd2contextzd2callback1071z00_4425, obj_t BgL_newsessionzd2callback1072zd2_4426, obj_t BgL_selectedzd2npnzd2protos1073z00_4427, obj_t BgL_npnzd2protos1074zd2_4428, obj_t BgL_err1075z00_4429, obj_t BgL_receivedzd2shutdown1076zd2_4430, obj_t BgL_sentzd2shutdown1077zd2_4431)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 void * BgL_z42native1061z42_5648; void * BgL_z42biozd2read1062z90_5649; void * BgL_z42biozd2write1063z90_5650; void * BgL_z42nextzd2session1064z90_5651; bool_t BgL_isserver1066z00_5653; bool_t BgL_requestzd2cert1067zd2_5654; bool_t BgL_rejectzd2unauthoriza7ed1069z75_5655; bool_t BgL_receivedzd2shutdown1076zd2_5657; bool_t BgL_sentzd2shutdown1077zd2_5658;
BgL_z42native1061z42_5648 = 
FOREIGN_TO_COBJ(BgL_z42native1061z42_4415); 
BgL_z42biozd2read1062z90_5649 = 
FOREIGN_TO_COBJ(BgL_z42biozd2read1062z90_4416); 
BgL_z42biozd2write1063z90_5650 = 
FOREIGN_TO_COBJ(BgL_z42biozd2write1063z90_4417); 
BgL_z42nextzd2session1064z90_5651 = 
FOREIGN_TO_COBJ(BgL_z42nextzd2session1064z90_4418); 
BgL_isserver1066z00_5653 = 
CBOOL(BgL_isserver1066z00_4420); 
BgL_requestzd2cert1067zd2_5654 = 
CBOOL(BgL_requestzd2cert1067zd2_4421); 
BgL_rejectzd2unauthoriza7ed1069z75_5655 = 
CBOOL(BgL_rejectzd2unauthoriza7ed1069z75_4423); 
BgL_receivedzd2shutdown1076zd2_5657 = 
CBOOL(BgL_receivedzd2shutdown1076zd2_4430); 
BgL_sentzd2shutdown1077zd2_5658 = 
CBOOL(BgL_sentzd2shutdown1077zd2_4431); 
{ /* Llib/ssl.scm 411 */
 BgL_sslzd2connectionzd2_bglt BgL_new1154z00_5659;
{ /* Llib/ssl.scm 411 */
 BgL_sslzd2connectionzd2_bglt BgL_new1153z00_5660;
BgL_new1153z00_5660 = 
((BgL_sslzd2connectionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2connectionzd2_bgl) ))); 
{ /* Llib/ssl.scm 411 */
 long BgL_arg1872z00_5661;
BgL_arg1872z00_5661 = 
BGL_CLASS_NUM(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1153z00_5660), BgL_arg1872z00_5661); } 
BgL_new1154z00_5659 = BgL_new1153z00_5660; } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_z42nativez42)=((void *)BgL_z42native1061z42_5648),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_z42biozd2readz90)=((void *)BgL_z42biozd2read1062z90_5649),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_z42biozd2writez90)=((void *)BgL_z42biozd2write1063z90_5650),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_z42nextzd2sessionz90)=((void *)BgL_z42nextzd2session1064z90_5651),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)
((BgL_securezd2contextzd2_bglt)BgL_ctx1065z00_4419)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_isserverz00)=((bool_t)BgL_isserver1066z00_5653),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_requestzd2certzd2)=((bool_t)BgL_requestzd2cert1067zd2_5654),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_serverzd2namezd2)=((obj_t)BgL_serverzd2name1068zd2_4422),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)BgL_rejectzd2unauthoriza7ed1069z75_5655),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_infozd2callbackzd2)=((obj_t)BgL_infozd2callback1070zd2_4424),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_snizd2contextzd2callbackz00)=((obj_t)BgL_snizd2contextzd2callback1071z00_4425),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_newsessionzd2callbackzd2)=((obj_t)
((obj_t)BgL_newsessionzd2callback1072zd2_4426)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BgL_selectedzd2npnzd2protos1073z00_4427),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_npnzd2protoszd2)=((obj_t)BgL_npnzd2protos1074zd2_4428),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_errz00)=((obj_t)BgL_err1075z00_4429),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_receivedzd2shutdownzd2)=((bool_t)BgL_receivedzd2shutdown1076zd2_5657),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1154z00_5659))->BgL_sentzd2shutdownzd2)=((bool_t)BgL_sentzd2shutdown1077zd2_5658),BUNSPEC); 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_fun1871z00_5662;
BgL_fun1871z00_5662 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1871z00_5662))(BgL_fun1871z00_5662, 
((obj_t)BgL_new1154z00_5659), BEOA); } 
return BgL_new1154z00_5659;} } } 

}



/* &<@anonymous:1990> */
obj_t BGl_z62zc3z04anonymousza31990ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4432)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1989 */
obj_t BGl_z62lambda1989z62zz__ssl_sslz00(obj_t BgL_envz00_4433, obj_t BgL_oz00_4434, obj_t BgL_vz00_4435)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 bool_t BgL_vz00_5664;
BgL_vz00_5664 = 
CBOOL(BgL_vz00_4435); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4434)))->BgL_sentzd2shutdownzd2)=((bool_t)BgL_vz00_5664),BUNSPEC);} } 

}



/* &lambda1988 */
obj_t BGl_z62lambda1988z62zz__ssl_sslz00(obj_t BgL_envz00_4436, obj_t BgL_oz00_4437)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4437)))->BgL_sentzd2shutdownzd2));} 

}



/* &<@anonymous:1983> */
obj_t BGl_z62zc3z04anonymousza31983ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4438)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1982 */
obj_t BGl_z62lambda1982z62zz__ssl_sslz00(obj_t BgL_envz00_4439, obj_t BgL_oz00_4440, obj_t BgL_vz00_4441)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 bool_t BgL_vz00_5667;
BgL_vz00_5667 = 
CBOOL(BgL_vz00_4441); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4440)))->BgL_receivedzd2shutdownzd2)=((bool_t)BgL_vz00_5667),BUNSPEC);} } 

}



/* &lambda1981 */
obj_t BGl_z62lambda1981z62zz__ssl_sslz00(obj_t BgL_envz00_4442, obj_t BgL_oz00_4443)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4443)))->BgL_receivedzd2shutdownzd2));} 

}



/* &<@anonymous:1976> */
obj_t BGl_z62zc3z04anonymousza31976ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4444)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1975 */
obj_t BGl_z62lambda1975z62zz__ssl_sslz00(obj_t BgL_envz00_4445, obj_t BgL_oz00_4446, obj_t BgL_vz00_4447)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4446)))->BgL_errz00)=((obj_t)BgL_vz00_4447),BUNSPEC);} 

}



/* &lambda1974 */
obj_t BGl_z62lambda1974z62zz__ssl_sslz00(obj_t BgL_envz00_4448, obj_t BgL_oz00_4449)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4449)))->BgL_errz00);} 

}



/* &<@anonymous:1969> */
obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4450)
{
{ /* Llib/ssl.scm 411 */
return BUNSPEC;} 

}



/* &lambda1968 */
obj_t BGl_z62lambda1968z62zz__ssl_sslz00(obj_t BgL_envz00_4451, obj_t BgL_oz00_4452, obj_t BgL_vz00_4453)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4452)))->BgL_npnzd2protoszd2)=((obj_t)BgL_vz00_4453),BUNSPEC);} 

}



/* &lambda1967 */
obj_t BGl_z62lambda1967z62zz__ssl_sslz00(obj_t BgL_envz00_4454, obj_t BgL_oz00_4455)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4455)))->BgL_npnzd2protoszd2);} 

}



/* &<@anonymous:1962> */
obj_t BGl_z62zc3z04anonymousza31962ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4456)
{
{ /* Llib/ssl.scm 411 */
return BUNSPEC;} 

}



/* &lambda1961 */
obj_t BGl_z62lambda1961z62zz__ssl_sslz00(obj_t BgL_envz00_4457, obj_t BgL_oz00_4458, obj_t BgL_vz00_4459)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4458)))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BgL_vz00_4459),BUNSPEC);} 

}



/* &lambda1960 */
obj_t BGl_z62lambda1960z62zz__ssl_sslz00(obj_t BgL_envz00_4460, obj_t BgL_oz00_4461)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4461)))->BgL_selectedzd2npnzd2protosz00);} 

}



/* &<@anonymous:1955> */
obj_t BGl_z62zc3z04anonymousza31955ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4462)
{
{ /* Llib/ssl.scm 411 */
return BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;} 

}



/* &lambda1954 */
obj_t BGl_z62lambda1954z62zz__ssl_sslz00(obj_t BgL_envz00_4463, obj_t BgL_oz00_4464, obj_t BgL_vz00_4465)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4464)))->BgL_newsessionzd2callbackzd2)=((obj_t)
((obj_t)BgL_vz00_4465)),BUNSPEC);} 

}



/* &lambda1953 */
obj_t BGl_z62lambda1953z62zz__ssl_sslz00(obj_t BgL_envz00_4466, obj_t BgL_oz00_4467)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4467)))->BgL_newsessionzd2callbackzd2);} 

}



/* &<@anonymous:1948> */
obj_t BGl_z62zc3z04anonymousza31948ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4468)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__ssl_sslz00(obj_t BgL_envz00_4469, obj_t BgL_oz00_4470, obj_t BgL_vz00_4471)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4470)))->BgL_snizd2contextzd2callbackz00)=((obj_t)BgL_vz00_4471),BUNSPEC);} 

}



/* &lambda1946 */
obj_t BGl_z62lambda1946z62zz__ssl_sslz00(obj_t BgL_envz00_4472, obj_t BgL_oz00_4473)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4473)))->BgL_snizd2contextzd2callbackz00);} 

}



/* &<@anonymous:1941> */
obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4474)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1940 */
obj_t BGl_z62lambda1940z62zz__ssl_sslz00(obj_t BgL_envz00_4475, obj_t BgL_oz00_4476, obj_t BgL_vz00_4477)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4476)))->BgL_infozd2callbackzd2)=((obj_t)BgL_vz00_4477),BUNSPEC);} 

}



/* &lambda1939 */
obj_t BGl_z62lambda1939z62zz__ssl_sslz00(obj_t BgL_envz00_4478, obj_t BgL_oz00_4479)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4479)))->BgL_infozd2callbackzd2);} 

}



/* &lambda1934 */
obj_t BGl_z62lambda1934z62zz__ssl_sslz00(obj_t BgL_envz00_4480, obj_t BgL_oz00_4481, obj_t BgL_vz00_4482)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 bool_t BgL_vz00_5683;
BgL_vz00_5683 = 
CBOOL(BgL_vz00_4482); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4481)))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)BgL_vz00_5683),BUNSPEC);} } 

}



/* &lambda1933 */
obj_t BGl_z62lambda1933z62zz__ssl_sslz00(obj_t BgL_envz00_4483, obj_t BgL_oz00_4484)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4484)))->BgL_rejectzd2unauthoriza7edz75));} 

}



/* &<@anonymous:1929> */
obj_t BGl_z62zc3z04anonymousza31929ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4485)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1928 */
obj_t BGl_z62lambda1928z62zz__ssl_sslz00(obj_t BgL_envz00_4486, obj_t BgL_oz00_4487, obj_t BgL_vz00_4488)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4487)))->BgL_serverzd2namezd2)=((obj_t)BgL_vz00_4488),BUNSPEC);} 

}



/* &lambda1927 */
obj_t BGl_z62lambda1927z62zz__ssl_sslz00(obj_t BgL_envz00_4489, obj_t BgL_oz00_4490)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4490)))->BgL_serverzd2namezd2);} 

}



/* &<@anonymous:1922> */
obj_t BGl_z62zc3z04anonymousza31922ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4491)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1921 */
obj_t BGl_z62lambda1921z62zz__ssl_sslz00(obj_t BgL_envz00_4492, obj_t BgL_oz00_4493, obj_t BgL_vz00_4494)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 bool_t BgL_vz00_5688;
BgL_vz00_5688 = 
CBOOL(BgL_vz00_4494); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4493)))->BgL_requestzd2certzd2)=((bool_t)BgL_vz00_5688),BUNSPEC);} } 

}



/* &lambda1920 */
obj_t BGl_z62lambda1920z62zz__ssl_sslz00(obj_t BgL_envz00_4495, obj_t BgL_oz00_4496)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4496)))->BgL_requestzd2certzd2));} 

}



/* &lambda1915 */
obj_t BGl_z62lambda1915z62zz__ssl_sslz00(obj_t BgL_envz00_4497, obj_t BgL_oz00_4498, obj_t BgL_vz00_4499)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 bool_t BgL_vz00_5691;
BgL_vz00_5691 = 
CBOOL(BgL_vz00_4499); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4498)))->BgL_isserverz00)=((bool_t)BgL_vz00_5691),BUNSPEC);} } 

}



/* &lambda1914 */
obj_t BGl_z62lambda1914z62zz__ssl_sslz00(obj_t BgL_envz00_4500, obj_t BgL_oz00_4501)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4501)))->BgL_isserverz00));} 

}



/* &lambda1910 */
obj_t BGl_z62lambda1910z62zz__ssl_sslz00(obj_t BgL_envz00_4502, obj_t BgL_oz00_4503, obj_t BgL_vz00_4504)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4503)))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)
((BgL_securezd2contextzd2_bglt)BgL_vz00_4504)),BUNSPEC);} 

}



/* &lambda1909 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1909z62zz__ssl_sslz00(obj_t BgL_envz00_4505, obj_t BgL_oz00_4506)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4506)))->BgL_ctxz00);} 

}



/* &<@anonymous:1905> */
obj_t BGl_z62zc3z04anonymousza31905ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4507)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1904 */
obj_t BGl_z62lambda1904z62zz__ssl_sslz00(obj_t BgL_envz00_4508, obj_t BgL_oz00_4509, obj_t BgL_vz00_4510)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 void * BgL_vz00_5697;
BgL_vz00_5697 = 
FOREIGN_TO_COBJ(BgL_vz00_4510); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4509)))->BgL_z42nextzd2sessionz90)=((void *)BgL_vz00_5697),BUNSPEC);} } 

}



/* &lambda1903 */
obj_t BGl_z62lambda1903z62zz__ssl_sslz00(obj_t BgL_envz00_4511, obj_t BgL_oz00_4512)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4512)))->BgL_z42nextzd2sessionz90));} 

}



/* &<@anonymous:1898> */
obj_t BGl_z62zc3z04anonymousza31898ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4513)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1897 */
obj_t BGl_z62lambda1897z62zz__ssl_sslz00(obj_t BgL_envz00_4514, obj_t BgL_oz00_4515, obj_t BgL_vz00_4516)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 void * BgL_vz00_5700;
BgL_vz00_5700 = 
FOREIGN_TO_COBJ(BgL_vz00_4516); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4515)))->BgL_z42biozd2writez90)=((void *)BgL_vz00_5700),BUNSPEC);} } 

}



/* &lambda1896 */
obj_t BGl_z62lambda1896z62zz__ssl_sslz00(obj_t BgL_envz00_4517, obj_t BgL_oz00_4518)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4518)))->BgL_z42biozd2writez90));} 

}



/* &<@anonymous:1891> */
obj_t BGl_z62zc3z04anonymousza31891ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4519)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zz__ssl_sslz00(obj_t BgL_envz00_4520, obj_t BgL_oz00_4521, obj_t BgL_vz00_4522)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 void * BgL_vz00_5703;
BgL_vz00_5703 = 
FOREIGN_TO_COBJ(BgL_vz00_4522); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4521)))->BgL_z42biozd2readz90)=((void *)BgL_vz00_5703),BUNSPEC);} } 

}



/* &lambda1889 */
obj_t BGl_z62lambda1889z62zz__ssl_sslz00(obj_t BgL_envz00_4523, obj_t BgL_oz00_4524)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4524)))->BgL_z42biozd2readz90));} 

}



/* &<@anonymous:1884> */
obj_t BGl_z62zc3z04anonymousza31884ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4525)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1883 */
obj_t BGl_z62lambda1883z62zz__ssl_sslz00(obj_t BgL_envz00_4526, obj_t BgL_oz00_4527, obj_t BgL_vz00_4528)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 void * BgL_vz00_5706;
BgL_vz00_5706 = 
FOREIGN_TO_COBJ(BgL_vz00_4528); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4527)))->BgL_z42nativez42)=((void *)BgL_vz00_5706),BUNSPEC);} } 

}



/* &lambda1882 */
obj_t BGl_z62lambda1882z62zz__ssl_sslz00(obj_t BgL_envz00_4529, obj_t BgL_oz00_4530)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4530)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1843> */
obj_t BGl_z62zc3z04anonymousza31843ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4531, obj_t BgL_new1059z00_4532)
{
{ /* Llib/ssl.scm 405 */
{ 
 BgL_securezd2contextzd2_bglt BgL_auxz00_9915;
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1059z00_4532)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1059z00_4532)))->BgL_z42cazd2storez90)=((void *)
0L),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1059z00_4532)))->BgL_methodz00)=((obj_t)BGl_string3141z00zz__ssl_sslz00),BUNSPEC); 
BgL_auxz00_9915 = 
((BgL_securezd2contextzd2_bglt)BgL_new1059z00_4532); 
return 
((obj_t)BgL_auxz00_9915);} } 

}



/* &lambda1840 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1840z62zz__ssl_sslz00(obj_t BgL_envz00_4533)
{
{ /* Llib/ssl.scm 405 */
{ /* Llib/ssl.scm 405 */
 BgL_securezd2contextzd2_bglt BgL_new1058z00_5709;
BgL_new1058z00_5709 = 
((BgL_securezd2contextzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_securezd2contextzd2_bgl) ))); 
{ /* Llib/ssl.scm 405 */
 long BgL_arg1842z00_5710;
BgL_arg1842z00_5710 = 
BGL_CLASS_NUM(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1058z00_5709), BgL_arg1842z00_5710); } 
return BgL_new1058z00_5709;} } 

}



/* &lambda1837 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1837z62zz__ssl_sslz00(obj_t BgL_envz00_4534, obj_t BgL_z42native1055z42_4535, obj_t BgL_z42cazd2store1056z90_4536, obj_t BgL_method1057z00_4537)
{
{ /* Llib/ssl.scm 405 */
{ /* Llib/ssl.scm 405 */
 void * BgL_z42native1055z42_5711; void * BgL_z42cazd2store1056z90_5712;
BgL_z42native1055z42_5711 = 
FOREIGN_TO_COBJ(BgL_z42native1055z42_4535); 
BgL_z42cazd2store1056z90_5712 = 
FOREIGN_TO_COBJ(BgL_z42cazd2store1056z90_4536); 
{ /* Llib/ssl.scm 405 */
 BgL_securezd2contextzd2_bglt BgL_new1152z00_5714;
{ /* Llib/ssl.scm 405 */
 BgL_securezd2contextzd2_bglt BgL_new1151z00_5715;
BgL_new1151z00_5715 = 
((BgL_securezd2contextzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_securezd2contextzd2_bgl) ))); 
{ /* Llib/ssl.scm 405 */
 long BgL_arg1839z00_5716;
BgL_arg1839z00_5716 = 
BGL_CLASS_NUM(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1151z00_5715), BgL_arg1839z00_5716); } 
BgL_new1152z00_5714 = BgL_new1151z00_5715; } 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1152z00_5714))->BgL_z42nativez42)=((void *)BgL_z42native1055z42_5711),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1152z00_5714))->BgL_z42cazd2storez90)=((void *)BgL_z42cazd2store1056z90_5712),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1152z00_5714))->BgL_methodz00)=((obj_t)
((obj_t)BgL_method1057z00_4537)),BUNSPEC); 
{ /* Llib/ssl.scm 405 */
 obj_t BgL_fun1838z00_5717;
BgL_fun1838z00_5717 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_securezd2contextzd2zz__ssl_sslz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1838z00_5717))(BgL_fun1838z00_5717, 
((obj_t)BgL_new1152z00_5714), BEOA); } 
return BgL_new1152z00_5714;} } } 

}



/* &<@anonymous:1864> */
obj_t BGl_z62zc3z04anonymousza31864ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4538)
{
{ /* Llib/ssl.scm 405 */
return BGl_string3142z00zz__ssl_sslz00;} 

}



/* &lambda1863 */
obj_t BGl_z62lambda1863z62zz__ssl_sslz00(obj_t BgL_envz00_4539, obj_t BgL_oz00_4540, obj_t BgL_vz00_4541)
{
{ /* Llib/ssl.scm 405 */
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4540)))->BgL_methodz00)=((obj_t)
((obj_t)BgL_vz00_4541)),BUNSPEC);} 

}



/* &lambda1862 */
obj_t BGl_z62lambda1862z62zz__ssl_sslz00(obj_t BgL_envz00_4542, obj_t BgL_oz00_4543)
{
{ /* Llib/ssl.scm 405 */
return 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4543)))->BgL_methodz00);} 

}



/* &<@anonymous:1857> */
obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4544)
{
{ /* Llib/ssl.scm 405 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1856 */
obj_t BGl_z62lambda1856z62zz__ssl_sslz00(obj_t BgL_envz00_4545, obj_t BgL_oz00_4546, obj_t BgL_vz00_4547)
{
{ /* Llib/ssl.scm 405 */
{ /* Llib/ssl.scm 405 */
 void * BgL_vz00_5722;
BgL_vz00_5722 = 
FOREIGN_TO_COBJ(BgL_vz00_4547); 
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4546)))->BgL_z42cazd2storez90)=((void *)BgL_vz00_5722),BUNSPEC);} } 

}



/* &lambda1855 */
obj_t BGl_z62lambda1855z62zz__ssl_sslz00(obj_t BgL_envz00_4548, obj_t BgL_oz00_4549)
{
{ /* Llib/ssl.scm 405 */
return 
void_star_to_obj(
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4549)))->BgL_z42cazd2storez90));} 

}



/* &<@anonymous:1850> */
obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4550)
{
{ /* Llib/ssl.scm 405 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1849 */
obj_t BGl_z62lambda1849z62zz__ssl_sslz00(obj_t BgL_envz00_4551, obj_t BgL_oz00_4552, obj_t BgL_vz00_4553)
{
{ /* Llib/ssl.scm 405 */
{ /* Llib/ssl.scm 405 */
 void * BgL_vz00_5725;
BgL_vz00_5725 = 
FOREIGN_TO_COBJ(BgL_vz00_4553); 
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4552)))->BgL_z42nativez42)=((void *)BgL_vz00_5725),BUNSPEC);} } 

}



/* &lambda1848 */
obj_t BGl_z62lambda1848z62zz__ssl_sslz00(obj_t BgL_envz00_4554, obj_t BgL_oz00_4555)
{
{ /* Llib/ssl.scm 405 */
return 
void_star_to_obj(
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4555)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1826> */
obj_t BGl_z62zc3z04anonymousza31826ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4556, obj_t BgL_new1053z00_4557)
{
{ /* Llib/ssl.scm 302 */
{ 
 BgL_privatezd2keyzd2_bglt BgL_auxz00_9965;
((((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_new1053z00_4557)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9965 = 
((BgL_privatezd2keyzd2_bglt)BgL_new1053z00_4557); 
return 
((obj_t)BgL_auxz00_9965);} } 

}



/* &lambda1824 */
BgL_privatezd2keyzd2_bglt BGl_z62lambda1824z62zz__ssl_sslz00(obj_t BgL_envz00_4558)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
 BgL_privatezd2keyzd2_bglt BgL_new1052z00_5728;
BgL_new1052z00_5728 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 302 */
 long BgL_arg1825z00_5729;
BgL_arg1825z00_5729 = 
BGL_CLASS_NUM(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_5728), BgL_arg1825z00_5729); } 
return BgL_new1052z00_5728;} } 

}



/* &lambda1822 */
BgL_privatezd2keyzd2_bglt BGl_z62lambda1822z62zz__ssl_sslz00(obj_t BgL_envz00_4559, obj_t BgL_z42native1051z42_4560)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
 void * BgL_z42native1051z42_5730;
BgL_z42native1051z42_5730 = 
FOREIGN_TO_COBJ(BgL_z42native1051z42_4560); 
{ /* Llib/ssl.scm 302 */
 BgL_privatezd2keyzd2_bglt BgL_new1150z00_5731;
{ /* Llib/ssl.scm 302 */
 BgL_privatezd2keyzd2_bglt BgL_new1149z00_5732;
BgL_new1149z00_5732 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 302 */
 long BgL_arg1823z00_5733;
BgL_arg1823z00_5733 = 
BGL_CLASS_NUM(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1149z00_5732), BgL_arg1823z00_5733); } 
BgL_new1150z00_5731 = BgL_new1149z00_5732; } 
((((BgL_privatezd2keyzd2_bglt)COBJECT(BgL_new1150z00_5731))->BgL_z42nativez42)=((void *)BgL_z42native1051z42_5730),BUNSPEC); 
return BgL_new1150z00_5731;} } } 

}



/* &lambda1831 */
obj_t BGl_z62lambda1831z62zz__ssl_sslz00(obj_t BgL_envz00_4561, obj_t BgL_oz00_4562, obj_t BgL_vz00_4563)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
 void * BgL_vz00_5735;
BgL_vz00_5735 = 
FOREIGN_TO_COBJ(BgL_vz00_4563); 
return 
((((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_oz00_4562)))->BgL_z42nativez42)=((void *)BgL_vz00_5735),BUNSPEC);} } 

}



/* &lambda1830 */
obj_t BGl_z62lambda1830z62zz__ssl_sslz00(obj_t BgL_envz00_4564, obj_t BgL_oz00_4565)
{
{ /* Llib/ssl.scm 302 */
return 
void_star_to_obj(
(((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_oz00_4565)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1806> */
obj_t BGl_z62zc3z04anonymousza31806ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4566, obj_t BgL_new1049z00_4567)
{
{ /* Llib/ssl.scm 299 */
{ 
 BgL_certificatez00_bglt BgL_auxz00_9987;
((((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_new1049z00_4567)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9987 = 
((BgL_certificatez00_bglt)BgL_new1049z00_4567); 
return 
((obj_t)BgL_auxz00_9987);} } 

}



/* &lambda1795 */
BgL_certificatez00_bglt BGl_z62lambda1795z62zz__ssl_sslz00(obj_t BgL_envz00_4568)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
 BgL_certificatez00_bglt BgL_new1048z00_5738;
BgL_new1048z00_5738 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 299 */
 long BgL_arg1805z00_5739;
BgL_arg1805z00_5739 = 
BGL_CLASS_NUM(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1048z00_5738), BgL_arg1805z00_5739); } 
return BgL_new1048z00_5738;} } 

}



/* &lambda1793 */
BgL_certificatez00_bglt BGl_z62lambda1793z62zz__ssl_sslz00(obj_t BgL_envz00_4569, obj_t BgL_z42native1047z42_4570)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
 void * BgL_z42native1047z42_5740;
BgL_z42native1047z42_5740 = 
FOREIGN_TO_COBJ(BgL_z42native1047z42_4570); 
{ /* Llib/ssl.scm 299 */
 BgL_certificatez00_bglt BgL_new1148z00_5741;
{ /* Llib/ssl.scm 299 */
 BgL_certificatez00_bglt BgL_new1147z00_5742;
BgL_new1147z00_5742 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 299 */
 long BgL_arg1794z00_5743;
BgL_arg1794z00_5743 = 
BGL_CLASS_NUM(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1147z00_5742), BgL_arg1794z00_5743); } 
BgL_new1148z00_5741 = BgL_new1147z00_5742; } 
((((BgL_certificatez00_bglt)COBJECT(BgL_new1148z00_5741))->BgL_z42nativez42)=((void *)BgL_z42native1047z42_5740),BUNSPEC); 
return BgL_new1148z00_5741;} } } 

}



/* &lambda1816 */
obj_t BGl_z62lambda1816z62zz__ssl_sslz00(obj_t BgL_envz00_4571, obj_t BgL_oz00_4572, obj_t BgL_vz00_4573)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
 void * BgL_vz00_5745;
BgL_vz00_5745 = 
FOREIGN_TO_COBJ(BgL_vz00_4573); 
return 
((((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_oz00_4572)))->BgL_z42nativez42)=((void *)BgL_vz00_5745),BUNSPEC);} } 

}



/* &lambda1815 */
obj_t BGl_z62lambda1815z62zz__ssl_sslz00(obj_t BgL_envz00_4574, obj_t BgL_oz00_4575)
{
{ /* Llib/ssl.scm 299 */
return 
void_star_to_obj(
(((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_oz00_4575)))->BgL_z42nativez42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3143z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3144z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, BGl_proc3145z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3146z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, BGl_proc3147z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3148z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, BGl_proc3149z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3150z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, BGl_proc3151z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3152z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, BGl_proc3153z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3154z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, BGl_proc3155z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3156z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, BGl_proc3157z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3158z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, BGl_proc3159z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3160z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, BGl_proc3161z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, BGl_proc3163z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3164z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3165z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3166z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, BGl_proc3167z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3168z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, BGl_proc3169z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3170z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, BGl_proc3171z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3172z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, BGl_proc3173z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3174z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, BGl_proc3175z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3176z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, BGl_proc3177z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3178z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, BGl_proc3179z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3180z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, BGl_proc3181z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3182z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, BGl_proc3183z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3184z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, BGl_proc3185z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3186z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3187z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3188z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3189z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3190z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, BGl_proc3191z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3192z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3193z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3194z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, BGl_proc3195z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3196z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, BGl_proc3197z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3198z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, BGl_proc3199z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3200z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, BGl_proc3201z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3202z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2initzd2envz00zz__ssl_sslz00, BGl_proc3203z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3204z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, BGl_proc3205z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3206z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, BGl_proc3207z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3208z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2checkzd2envz00zz__ssl_sslz00, BGl_proc3209z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3210z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, BGl_proc3211z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3212z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, BGl_proc3213z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3214z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, BGl_proc3215z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3216z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3217z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3218z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3219z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3220z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, BGl_proc3221z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3222z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, BGl_proc3223z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3224z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3225z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3226z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, BGl_proc3227z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3228z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3229z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3230z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3231z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3232z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, BGl_proc3233z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3234z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3235z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3236z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3237z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3238z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, BGl_proc3239z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3240z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3241z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3242z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, BGl_proc3243z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3244z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3245z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3246z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, BGl_proc3247z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3248z00zz__ssl_sslz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, BGl_proc3249z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3250z00zz__ssl_sslz00);} 

}



/* &ssl-cipher-final1353 */
obj_t BGl_z62sslzd2cipherzd2final1353z62zz__ssl_sslz00(obj_t BgL_envz00_4638, obj_t BgL_sslzd2cipherzd2_4639)
{
{ /* Llib/ssl.scm 1383 */
return 
bgl_cipher_final(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4639));} 

}



/* &ssl-cipher-set-auto-1351 */
obj_t BGl_z62sslzd2cipherzd2setzd2autozd21351z62zz__ssl_sslz00(obj_t BgL_envz00_4640, obj_t BgL_sslzd2cipherzd2_4641, obj_t BgL_autozd2paddingzd2_4642)
{
{ /* Llib/ssl.scm 1373 */
{ /* Llib/ssl.scm 1376 */
 bool_t BgL_tmpz00_10065;
{ /* Llib/ssl.scm 1376 */
 bool_t BgL_autozd2paddingzd2_5749;
BgL_autozd2paddingzd2_5749 = 
CBOOL(BgL_autozd2paddingzd2_4642); 
BgL_tmpz00_10065 = 
bgl_cipher_set_auto_padding(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4641), BgL_autozd2paddingzd2_5749); } 
return 
BBOOL(BgL_tmpz00_10065);} } 

}



/* &ssl-cipher-update!1349 */
obj_t BGl_z62sslzd2cipherzd2updatez121349z70zz__ssl_sslz00(obj_t BgL_envz00_4643, obj_t BgL_sslzd2cipherzd2_4644, obj_t BgL_dataz00_4645, obj_t BgL_offsetz00_4646, obj_t BgL_lenz00_4647)
{
{ /* Llib/ssl.scm 1362 */
{ /* Llib/ssl.scm 1365 */
 long BgL_offsetz00_5752; long BgL_lenz00_5753;
BgL_offsetz00_5752 = 
(long)CINT(BgL_offsetz00_4646); 
BgL_lenz00_5753 = 
(long)CINT(BgL_lenz00_4647); 
{ /* Llib/ssl.scm 1365 */
 obj_t BgL__ortest_1146z00_5754;
BgL__ortest_1146z00_5754 = 
bgl_cipher_update(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4644), 
((obj_t)BgL_dataz00_4645), BgL_offsetz00_5752, BgL_lenz00_5753); 
if(
CBOOL(BgL__ortest_1146z00_5754))
{ /* Llib/ssl.scm 1365 */
return BgL__ortest_1146z00_5754;}  else 
{ /* Llib/ssl.scm 1365 */
return 
BGl_errorz00zz__errorz00(BGl_string3251z00zz__ssl_sslz00, BGl_string3252z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4644)));} } } } 

}



/* &ssl-cipher-initiv1347 */
obj_t BGl_z62sslzd2cipherzd2initiv1347z62zz__ssl_sslz00(obj_t BgL_envz00_4648, obj_t BgL_sslzd2cipherzd2_4649, obj_t BgL_cipherz00_4650, obj_t BgL_keyz00_4651, obj_t BgL_offsetz00_4652, obj_t BgL_lenz00_4653, obj_t BgL_ivz00_4654, obj_t BgL_ivoffsetz00_4655, obj_t BgL_ivlenz00_4656, obj_t BgL_encz00_4657)
{
{ /* Llib/ssl.scm 1345 */
{ /* Llib/ssl.scm 1351 */
 long BgL_offsetz00_5758; long BgL_lenz00_5759; long BgL_ivoffsetz00_5761; long BgL_ivlenz00_5762; bool_t BgL_encz00_5763;
BgL_offsetz00_5758 = 
(long)CINT(BgL_offsetz00_4652); 
BgL_lenz00_5759 = 
(long)CINT(BgL_lenz00_4653); 
BgL_ivoffsetz00_5761 = 
(long)CINT(BgL_ivoffsetz00_4655); 
BgL_ivlenz00_5762 = 
(long)CINT(BgL_ivlenz00_4656); 
BgL_encz00_5763 = 
CBOOL(BgL_encz00_4657); 
if(
bgl_ssl_cipher_initiv(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4649), 
((obj_t)BgL_cipherz00_4650), 
((obj_t)BgL_keyz00_4651), BgL_offsetz00_5758, BgL_lenz00_5759, 
((obj_t)BgL_ivz00_4654), BgL_ivoffsetz00_5761, BgL_ivlenz00_5762, BgL_encz00_5763))
{ /* Llib/ssl.scm 1351 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1355 */
 obj_t BgL_arg2349z00_5764;
BgL_arg2349z00_5764 = 
bgl_ssl_error_string(); 
return 
BGl_errorz00zz__errorz00(BGl_string3253z00zz__ssl_sslz00, BgL_arg2349z00_5764, 
((obj_t)
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4649)));} } } 

}



/* &ssl-cipher-init1345 */
obj_t BGl_z62sslzd2cipherzd2init1345z62zz__ssl_sslz00(obj_t BgL_envz00_4658, obj_t BgL_sslzd2cipherzd2_4659, obj_t BgL_cipherz00_4660, obj_t BgL_keyz00_4661, obj_t BgL_offsetz00_4662, obj_t BgL_lenz00_4663, obj_t BgL_encz00_4664)
{
{ /* Llib/ssl.scm 1331 */
{ 
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_10095;
{ /* Llib/ssl.scm 1336 */
 long BgL_offsetz00_5768; long BgL_lenz00_5769; bool_t BgL_encz00_5770;
BgL_offsetz00_5768 = 
(long)CINT(BgL_offsetz00_4662); 
BgL_lenz00_5769 = 
(long)CINT(BgL_lenz00_4663); 
BgL_encz00_5770 = 
CBOOL(BgL_encz00_4664); 
if(
bgl_ssl_cipher_init(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4659), 
((obj_t)BgL_cipherz00_4660), 
((obj_t)BgL_keyz00_4661), BgL_offsetz00_5768, BgL_lenz00_5769, BgL_encz00_5770))
{ /* Llib/ssl.scm 1336 */BFALSE; }  else 
{ /* Llib/ssl.scm 1336 */
BGl_errorz00zz__errorz00(BGl_string3254z00zz__ssl_sslz00, 
bgl_ssl_error_string(), 
((obj_t)BgL_cipherz00_4660)); } 
BgL_auxz00_10095 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4659); } 
return 
((obj_t)BgL_auxz00_10095);} } 

}



/* &ssl-verify-final1343 */
obj_t BGl_z62sslzd2verifyzd2final1343z62zz__ssl_sslz00(obj_t BgL_envz00_4665, obj_t BgL_sslzd2verifyzd2_4666, obj_t BgL_keyz00_4667, obj_t BgL_koffsetz00_4668, obj_t BgL_klenz00_4669, obj_t BgL_sigz00_4670, obj_t BgL_soffsetz00_4671, obj_t BgL_slenz00_4672)
{
{ /* Llib/ssl.scm 1317 */
{ /* Llib/ssl.scm 1322 */
 bool_t BgL_tmpz00_10109;
{ /* Llib/ssl.scm 1322 */
 long BgL_koffsetz00_5773; long BgL_klenz00_5774; long BgL_soffsetz00_5776; long BgL_slenz00_5777;
BgL_koffsetz00_5773 = 
(long)CINT(BgL_koffsetz00_4668); 
BgL_klenz00_5774 = 
(long)CINT(BgL_klenz00_4669); 
BgL_soffsetz00_5776 = 
(long)CINT(BgL_soffsetz00_4671); 
BgL_slenz00_5777 = 
(long)CINT(BgL_slenz00_4672); 
BgL_tmpz00_10109 = 
bgl_ssl_verify_final(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4666), 
((obj_t)BgL_keyz00_4667), BgL_koffsetz00_5773, BgL_klenz00_5774, 
((obj_t)BgL_sigz00_4670), BgL_soffsetz00_5776, BgL_slenz00_5777); } 
return 
BBOOL(BgL_tmpz00_10109);} } 

}



/* &ssl-verify-update!1341 */
obj_t BGl_z62sslzd2verifyzd2updatez121341z70zz__ssl_sslz00(obj_t BgL_envz00_4673, obj_t BgL_sslzd2verifyzd2_4674, obj_t BgL_dataz00_4675, obj_t BgL_offsetz00_4676, obj_t BgL_lenz00_4677)
{
{ /* Llib/ssl.scm 1305 */
{ 
 BgL_sslzd2verifyzd2_bglt BgL_auxz00_10119;
{ /* Llib/ssl.scm 1308 */
 long BgL_offsetz00_5780; long BgL_lenz00_5781;
BgL_offsetz00_5780 = 
(long)CINT(BgL_offsetz00_4676); 
BgL_lenz00_5781 = 
(long)CINT(BgL_lenz00_4677); 
if(
bgl_ssl_verify_update(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4674), 
((obj_t)BgL_dataz00_4675), BgL_offsetz00_5780, BgL_lenz00_5781))
{ /* Llib/ssl.scm 1308 */BFALSE; }  else 
{ /* Llib/ssl.scm 1308 */
BGl_errorz00zz__errorz00(BGl_string3255z00zz__ssl_sslz00, BGl_string3252z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4674))); } 
BgL_auxz00_10119 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4674); } 
return 
((obj_t)BgL_auxz00_10119);} } 

}



/* &ssl-verify-init1339 */
obj_t BGl_z62sslzd2verifyzd2init1339z62zz__ssl_sslz00(obj_t BgL_envz00_4678, obj_t BgL_sslzd2verifyzd2_4679, obj_t BgL_verifyz00_4680)
{
{ /* Llib/ssl.scm 1293 */
{ 
 BgL_sslzd2verifyzd2_bglt BgL_auxz00_10131;
if(
bgl_ssl_verify_init(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4679), 
((obj_t)BgL_verifyz00_4680)))
{ /* Llib/ssl.scm 1296 */BFALSE; }  else 
{ /* Llib/ssl.scm 1296 */
BGl_errorz00zz__errorz00(BGl_string3256z00zz__ssl_sslz00, BGl_string3257z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4679))); } 
BgL_auxz00_10131 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4679); 
return 
((obj_t)BgL_auxz00_10131);} } 

}



/* &ssl-sign-sign1337 */
obj_t BGl_z62sslzd2signzd2sign1337z62zz__ssl_sslz00(obj_t BgL_envz00_4681, obj_t BgL_sslzd2signzd2_4682, obj_t BgL_keyz00_4683, obj_t BgL_offsetz00_4684, obj_t BgL_lenz00_4685)
{
{ /* Llib/ssl.scm 1282 */
{ /* Llib/ssl.scm 1285 */
 long BgL_offsetz00_5786; long BgL_lenz00_5787;
BgL_offsetz00_5786 = 
(long)CINT(BgL_offsetz00_4684); 
BgL_lenz00_5787 = 
(long)CINT(BgL_lenz00_4685); 
{ /* Llib/ssl.scm 1285 */
 obj_t BgL_rz00_5788;
BgL_rz00_5788 = 
bgl_ssl_sign_sign(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4682), 
((obj_t)BgL_keyz00_4683), BgL_offsetz00_5786, BgL_lenz00_5787); 
if(
CBOOL(BgL_rz00_5788))
{ /* Llib/ssl.scm 1286 */
return BgL_rz00_5788;}  else 
{ /* Llib/ssl.scm 1286 */
return 
BGl_errorz00zz__errorz00(BGl_string3258z00zz__ssl_sslz00, BGl_string3259z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4682)));} } } } 

}



/* &ssl-sign-update!1335 */
obj_t BGl_z62sslzd2signzd2updatez121335z70zz__ssl_sslz00(obj_t BgL_envz00_4686, obj_t BgL_sslzd2signzd2_4687, obj_t BgL_dataz00_4688, obj_t BgL_offsetz00_4689, obj_t BgL_lenz00_4690)
{
{ /* Llib/ssl.scm 1270 */
{ 
 BgL_sslzd2signzd2_bglt BgL_auxz00_10151;
{ /* Llib/ssl.scm 1273 */
 long BgL_offsetz00_5791; long BgL_lenz00_5792;
BgL_offsetz00_5791 = 
(long)CINT(BgL_offsetz00_4689); 
BgL_lenz00_5792 = 
(long)CINT(BgL_lenz00_4690); 
if(
bgl_ssl_sign_update(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4687), 
((obj_t)BgL_dataz00_4688), BgL_offsetz00_5791, BgL_lenz00_5792))
{ /* Llib/ssl.scm 1273 */BFALSE; }  else 
{ /* Llib/ssl.scm 1273 */
BGl_errorz00zz__errorz00(BGl_string3260z00zz__ssl_sslz00, BGl_string3252z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4687))); } 
BgL_auxz00_10151 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4687); } 
return 
((obj_t)BgL_auxz00_10151);} } 

}



/* &ssl-sign-init1333 */
obj_t BGl_z62sslzd2signzd2init1333z62zz__ssl_sslz00(obj_t BgL_envz00_4691, obj_t BgL_sslzd2signzd2_4692, obj_t BgL_signz00_4693)
{
{ /* Llib/ssl.scm 1258 */
{ 
 BgL_sslzd2signzd2_bglt BgL_auxz00_10163;
if(
bgl_ssl_sign_init(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4692), 
((obj_t)BgL_signz00_4693)))
{ /* Llib/ssl.scm 1261 */BFALSE; }  else 
{ /* Llib/ssl.scm 1261 */
BGl_errorz00zz__errorz00(BGl_string3261z00zz__ssl_sslz00, BGl_string3262z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4692))); } 
BgL_auxz00_10163 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4692); 
return 
((obj_t)BgL_auxz00_10163);} } 

}



/* &ssl-hmac-digest1331 */
obj_t BGl_z62sslzd2hmaczd2digest1331z62zz__ssl_sslz00(obj_t BgL_envz00_4694, obj_t BgL_sslzd2hmaczd2_4695)
{
{ /* Llib/ssl.scm 1247 */
{ /* Llib/ssl.scm 1250 */
 obj_t BgL_rz00_5796;
BgL_rz00_5796 = 
bgl_ssl_hmac_digest(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4695)); 
if(
CBOOL(BgL_rz00_5796))
{ /* Llib/ssl.scm 1251 */
return BgL_rz00_5796;}  else 
{ /* Llib/ssl.scm 1251 */
return 
BGl_errorz00zz__errorz00(BGl_string3263z00zz__ssl_sslz00, BGl_string3264z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4695)));} } } 

}



/* &ssl-hmac-update!1329 */
obj_t BGl_z62sslzd2hmaczd2updatez121329z70zz__ssl_sslz00(obj_t BgL_envz00_4696, obj_t BgL_sslzd2hmaczd2_4697, obj_t BgL_dataz00_4698, obj_t BgL_offsetz00_4699, obj_t BgL_lenz00_4700)
{
{ /* Llib/ssl.scm 1235 */
{ 
 BgL_sslzd2hmaczd2_bglt BgL_auxz00_10180;
{ /* Llib/ssl.scm 1238 */
 long BgL_offsetz00_5799; long BgL_lenz00_5800;
BgL_offsetz00_5799 = 
(long)CINT(BgL_offsetz00_4699); 
BgL_lenz00_5800 = 
(long)CINT(BgL_lenz00_4700); 
if(
bgl_ssl_hmac_update(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4697), 
((obj_t)BgL_dataz00_4698), BgL_offsetz00_5799, BgL_lenz00_5800))
{ /* Llib/ssl.scm 1238 */BFALSE; }  else 
{ /* Llib/ssl.scm 1238 */
BGl_errorz00zz__errorz00(BGl_string3265z00zz__ssl_sslz00, BGl_string3252z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4697))); } 
BgL_auxz00_10180 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4697); } 
return 
((obj_t)BgL_auxz00_10180);} } 

}



/* &ssl-hmac-init1327 */
obj_t BGl_z62sslzd2hmaczd2init1327z62zz__ssl_sslz00(obj_t BgL_envz00_4701, obj_t BgL_sslzd2hmaczd2_4702, obj_t BgL_hmacz00_4703, obj_t BgL_keyz00_4704)
{
{ /* Llib/ssl.scm 1223 */
if(
bgl_ssl_hmac_init(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4702), 
((obj_t)BgL_hmacz00_4703), 
((obj_t)BgL_keyz00_4704)))
{ /* Llib/ssl.scm 1226 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1226 */
BGl_errorz00zz__errorz00(BGl_string3266z00zz__ssl_sslz00, BGl_string3267z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4702))); 
return 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4702));} } 

}



/* &ssl-hash-digest1325 */
obj_t BGl_z62sslzd2hashzd2digest1325z62zz__ssl_sslz00(obj_t BgL_envz00_4705, obj_t BgL_sslzd2hashzd2_4706)
{
{ /* Llib/ssl.scm 1212 */
{ /* Llib/ssl.scm 1215 */
 obj_t BgL_rz00_5805;
BgL_rz00_5805 = 
bgl_ssl_hash_digest(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4706)); 
if(
CBOOL(BgL_rz00_5805))
{ /* Llib/ssl.scm 1216 */
return BgL_rz00_5805;}  else 
{ /* Llib/ssl.scm 1216 */
return 
BGl_errorz00zz__errorz00(BGl_string3268z00zz__ssl_sslz00, BGl_string3264z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4706)));} } } 

}



/* &ssl-hash-update!1323 */
obj_t BGl_z62sslzd2hashzd2updatez121323z70zz__ssl_sslz00(obj_t BgL_envz00_4707, obj_t BgL_sslzd2hashzd2_4708, obj_t BgL_dataz00_4709, obj_t BgL_offsetz00_4710, obj_t BgL_lenz00_4711)
{
{ /* Llib/ssl.scm 1200 */
{ 
 BgL_sslzd2hashzd2_bglt BgL_auxz00_10209;
{ /* Llib/ssl.scm 1203 */
 long BgL_offsetz00_5808; long BgL_lenz00_5809;
BgL_offsetz00_5808 = 
(long)CINT(BgL_offsetz00_4710); 
BgL_lenz00_5809 = 
(long)CINT(BgL_lenz00_4711); 
if(
bgl_ssl_hash_update(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4708), 
((obj_t)BgL_dataz00_4709), BgL_offsetz00_5808, BgL_lenz00_5809))
{ /* Llib/ssl.scm 1203 */BFALSE; }  else 
{ /* Llib/ssl.scm 1203 */
BGl_errorz00zz__errorz00(BGl_string3269z00zz__ssl_sslz00, BGl_string3252z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4708))); } 
BgL_auxz00_10209 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4708); } 
return 
((obj_t)BgL_auxz00_10209);} } 

}



/* &ssl-hash-init1321 */
obj_t BGl_z62sslzd2hashzd2init1321z62zz__ssl_sslz00(obj_t BgL_envz00_4712, obj_t BgL_sslzd2hashzd2_4713)
{
{ /* Llib/ssl.scm 1188 */
{ 
 BgL_sslzd2hashzd2_bglt BgL_auxz00_10221;
if(
bgl_ssl_hash_init(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4713)))
{ /* Llib/ssl.scm 1191 */BFALSE; }  else 
{ /* Llib/ssl.scm 1191 */
BGl_errorz00zz__errorz00(BGl_string3270z00zz__ssl_sslz00, BGl_string3267z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4713))); } 
BgL_auxz00_10221 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4713); 
return 
((obj_t)BgL_auxz00_10221);} } 

}



/* &dh-generate-key1319 */
obj_t BGl_z62dhzd2generatezd2key1319z62zz__ssl_sslz00(obj_t BgL_envz00_4714, obj_t BgL_dhz00_4715)
{
{ /* Llib/ssl.scm 1177 */
{ /* Llib/ssl.scm 1180 */
 bool_t BgL_tmpz00_10230;
{ /* Llib/ssl.scm 1181 */
 bool_t BgL_test4044z00_10231;
{ /* Llib/ssl.scm 1181 */
 int BgL_arg2322z00_5812;
{ /* Llib/ssl.scm 1181 */
 void * BgL_tmpz00_10232;
BgL_tmpz00_10232 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4715)))->BgL_z42nativez42); 
BgL_arg2322z00_5812 = 
DH_generate_key(BgL_tmpz00_10232); } 
BgL_test4044z00_10231 = 
(
(long)(BgL_arg2322z00_5812)==((long)0)); } 
if(BgL_test4044z00_10231)
{ /* Llib/ssl.scm 1181 */
BgL_tmpz00_10230 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 1181 */
BgL_tmpz00_10230 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_10230);} } 

}



/* &dh-compute-key1317 */
obj_t BGl_z62dhzd2computezd2key1317z62zz__ssl_sslz00(obj_t BgL_envz00_4716, obj_t BgL_dhz00_4717, obj_t BgL_keyz00_4718)
{
{ /* Llib/ssl.scm 1151 */
{ /* Llib/ssl.scm 1155 */
 int BgL_siza7eza7_5815;
BgL_siza7eza7_5815 = 
BGl_dhzd2siza7ez75zz__ssl_sslz00(
((BgL_dhz00_bglt)BgL_dhz00_4717)); 
{ /* Llib/ssl.scm 1155 */
 obj_t BgL_strz00_5816;
{ /* Llib/ssl.scm 1156 */

BgL_strz00_5816 = 
make_string(
(long)(BgL_siza7eza7_5815), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 1156 */

{ /* Llib/ssl.scm 1157 */
 int BgL_sza7za7_5817;
{ /* Llib/ssl.scm 1157 */
 void * BgL_arg2316z00_5818; void * BgL_arg2317z00_5819;
{ /* Llib/ssl.scm 1157 */
 obj_t BgL_tmpz00_10243;
BgL_tmpz00_10243 = 
((obj_t)BgL_keyz00_4718); 
BgL_arg2316z00_5818 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_10243); } 
BgL_arg2317z00_5819 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4717)))->BgL_z42nativez42); 
{ /* Llib/ssl.scm 1157 */
 char * BgL_tmpz00_10248;
BgL_tmpz00_10248 = 
BSTRING_TO_STRING(BgL_strz00_5816); 
BgL_sza7za7_5817 = 
DH_compute_key(BgL_tmpz00_10248, BgL_arg2316z00_5818, BgL_arg2317z00_5819); } } 
if(
(
(long)(BgL_sza7za7_5817)==((long)-1)))
{ /* Llib/ssl.scm 1159 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1159 */
if(
(
(long)(BgL_sza7za7_5817)==
STRING_LENGTH(BgL_strz00_5816)))
{ /* Llib/ssl.scm 1161 */
return BgL_strz00_5816;}  else 
{ /* Llib/ssl.scm 1161 */
blit_string(BgL_strz00_5816, ((long)0), BgL_strz00_5816, 
(
(long)(BgL_siza7eza7_5815)-
(long)(BgL_sza7za7_5817)), 
(long)(BgL_sza7za7_5817)); 
{ /* Llib/ssl.scm 1165 */
 long BgL_g1141z00_5821;
BgL_g1141z00_5821 = 
(
(long)(BgL_siza7eza7_5815)-
(long)(BgL_sza7za7_5817)); 
{ 
 long BgL_iz00_5823;
BgL_iz00_5823 = BgL_g1141z00_5821; 
BgL_loopz00_5822:
if(
(BgL_iz00_5823>((long)0)))
{ /* Llib/ssl.scm 1167 */
 long BgL_niz00_5824;
BgL_niz00_5824 = 
(BgL_iz00_5823-((long)1)); 
STRING_SET(BgL_strz00_5816, BgL_niz00_5824, ((unsigned char)'\000')); 
{ 
 long BgL_iz00_10270;
BgL_iz00_10270 = BgL_niz00_5824; 
BgL_iz00_5823 = BgL_iz00_10270; 
goto BgL_loopz00_5822;} }  else 
{ /* Llib/ssl.scm 1166 */((bool_t)0); } } } 
return BgL_strz00_5816;} } } } } } } 

}



/* &dh-check-pub-key1315 */
obj_t BGl_z62dhzd2checkzd2pubzd2key1315zb0zz__ssl_sslz00(obj_t BgL_envz00_4719, obj_t BgL_dhz00_4720, obj_t BgL_keyz00_4721)
{
{ /* Llib/ssl.scm 1140 */
{ /* Llib/ssl.scm 1144 */
 void * BgL_arg2306z00_5827; void * BgL_arg2307z00_5828;
BgL_arg2306z00_5827 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4720)))->BgL_z42nativez42); 
{ /* Llib/ssl.scm 1144 */
 obj_t BgL_tmpz00_10273;
BgL_tmpz00_10273 = 
((obj_t)BgL_keyz00_4721); 
BgL_arg2307z00_5828 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_10273); } 
return 
bgl_dh_check_pub_key(BgL_arg2306z00_5827, BgL_arg2307z00_5828);} } 

}



/* &dh-check1313 */
obj_t BGl_z62dhzd2check1313zb0zz__ssl_sslz00(obj_t BgL_envz00_4722, obj_t BgL_dhz00_4723)
{
{ /* Llib/ssl.scm 1129 */
return 
bgl_dh_check(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4723)))->BgL_z42nativez42));} 

}



/* &dh-generate-paramete1311 */
obj_t BGl_z62dhzd2generatezd2paramete1311z62zz__ssl_sslz00(obj_t BgL_envz00_4724, obj_t BgL_dhz00_4725, obj_t BgL_lenz00_4726, obj_t BgL_generatorz00_4727)
{
{ /* Llib/ssl.scm 1113 */
{ /* Llib/ssl.scm 1116 */
 int BgL_tmpz00_10280;
{ /* Llib/ssl.scm 1116 */
 int BgL_lenz00_5831;
BgL_lenz00_5831 = 
CINT(BgL_lenz00_4726); 
{ /* Llib/ssl.scm 1117 */
 void * BgL_arg2300z00_5833; obj_t BgL_arg2301z00_5834;
BgL_arg2300z00_5833 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4725)))->BgL_z42nativez42); 
if(
(
((obj_t)BgL_generatorz00_4727)==
CNST_TABLE_REF(((long)90))))
{ /* Llib/ssl.scm 1118 */
BgL_arg2301z00_5834 = 
BINT(DH_GENERATOR_2); }  else 
{ /* Llib/ssl.scm 1118 */
BgL_arg2301z00_5834 = 
BGl_errorz00zz__errorz00(BGl_string3271z00zz__ssl_sslz00, BGl_string3272z00zz__ssl_sslz00, 
((obj_t)BgL_generatorz00_4727)); } 
{ /* Llib/ssl.scm 1117 */
 int BgL_tmpz00_10291;
BgL_tmpz00_10291 = 
CINT(BgL_arg2301z00_5834); 
BgL_tmpz00_10280 = 
DH_generate_parameters_ex(BgL_arg2300z00_5833, BgL_lenz00_5831, BgL_tmpz00_10291, ((long)0)); } } } 
return 
BINT(BgL_tmpz00_10280);} } 

}



/* &dh-size1309 */
obj_t BGl_z62dhzd2siza7e1309z17zz__ssl_sslz00(obj_t BgL_envz00_4728, obj_t BgL_dhz00_4729)
{
{ /* Llib/ssl.scm 1105 */
{ /* Llib/ssl.scm 1107 */
 int BgL_tmpz00_10295;
{ /* Llib/ssl.scm 1107 */
 void * BgL_tmpz00_10296;
BgL_tmpz00_10296 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4729)))->BgL_z42nativez42); 
BgL_tmpz00_10295 = 
DH_size(BgL_tmpz00_10296); } 
return 
BINT(BgL_tmpz00_10295);} } 

}



/* &dh-init1307 */
obj_t BGl_z62dhzd2init1307zb0zz__ssl_sslz00(obj_t BgL_envz00_4730, obj_t BgL_dhz00_4731)
{
{ /* Llib/ssl.scm 1094 */
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4731)))->BgL_z42nativez42)=((void *)
DH_new()),BUNSPEC);} 

}



/* &ssl-connection-get-n1305 */
obj_t BGl_z62sslzd2connectionzd2getzd2n1305zb0zz__ssl_sslz00(obj_t BgL_envz00_4732, obj_t BgL_sslz00_4733)
{
{ /* Llib/ssl.scm 1084 */
return 
bgl_ssl_connection_get_negotiated_protocol(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4733));} 

}



/* &ssl-connection-reuse1303 */
obj_t BGl_z62sslzd2connectionzd2reuse1303z62zz__ssl_sslz00(obj_t BgL_envz00_4734, obj_t BgL_sslz00_4735)
{
{ /* Llib/ssl.scm 1073 */
{ /* Llib/ssl.scm 1076 */
 bool_t BgL_tmpz00_10306;
{ /* Llib/ssl.scm 1077 */
 void * BgL_tmpz00_10307;
BgL_tmpz00_10307 = 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4735)))->BgL_z42nativez42); 
BgL_tmpz00_10306 = 
SSL_session_reused(BgL_tmpz00_10307); } 
return 
BBOOL(BgL_tmpz00_10306);} } 

}



/* &ssl-connection-get-p1301 */
obj_t BGl_z62sslzd2connectionzd2getzd2p1301zb0zz__ssl_sslz00(obj_t BgL_envz00_4736, obj_t BgL_sslz00_4737)
{
{ /* Llib/ssl.scm 1063 */
return 
bgl_ssl_connection_get_peer_certificate(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4737));} 

}



/* &ssl-connection-verif1299 */
obj_t BGl_z62sslzd2connectionzd2verif1299z62zz__ssl_sslz00(obj_t BgL_envz00_4738, obj_t BgL_sslz00_4739)
{
{ /* Llib/ssl.scm 1053 */
return 
bgl_ssl_connection_verify_error(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4739));} 

}



/* &ssl-connection-load-1297 */
obj_t BGl_z62sslzd2connectionzd2loadzd21297zb0zz__ssl_sslz00(obj_t BgL_envz00_4740, obj_t BgL_sslz00_4741, obj_t BgL_bufz00_4742)
{
{ /* Llib/ssl.scm 1043 */
return 
BINT(
bgl_ssl_connection_load_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4741), 
((obj_t)BgL_bufz00_4742)));} 

}



/* &ssl-connection-get-c1295 */
obj_t BGl_z62sslzd2connectionzd2getzd2c1295zb0zz__ssl_sslz00(obj_t BgL_envz00_4743, obj_t BgL_sslz00_4744)
{
{ /* Llib/ssl.scm 1033 */
return 
bgl_ssl_connection_get_current_cipher(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4744));} 

}



/* &ssl-connection-get-s1293 */
obj_t BGl_z62sslzd2connectionzd2getzd2s1293zb0zz__ssl_sslz00(obj_t BgL_envz00_4745, obj_t BgL_sslz00_4746)
{
{ /* Llib/ssl.scm 1023 */
return 
bgl_ssl_connection_get_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4746));} 

}



/* &ssl-connection-set-s1291 */
obj_t BGl_z62sslzd2connectionzd2setzd2s1291zb0zz__ssl_sslz00(obj_t BgL_envz00_4747, obj_t BgL_sslz00_4748, obj_t BgL_bufz00_4749)
{
{ /* Llib/ssl.scm 1013 */
return 
BINT(
bgl_ssl_connection_set_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4748), 
((obj_t)BgL_bufz00_4749)));} 

}



/* &ssl-connection-clear1289 */
obj_t BGl_z62sslzd2connectionzd2clear1289z62zz__ssl_sslz00(obj_t BgL_envz00_4750, obj_t BgL_sslz00_4751)
{
{ /* Llib/ssl.scm 1003 */
return 
BINT(
bgl_ssl_connection_clear_pending(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4751)));} 

}



/* &ssl-connection-enc-p1287 */
obj_t BGl_z62sslzd2connectionzd2enczd2p1287zb0zz__ssl_sslz00(obj_t BgL_envz00_4752, obj_t BgL_sslz00_4753)
{
{ /* Llib/ssl.scm 993 */
return 
BINT(
bgl_ssl_connection_enc_pending(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4753)));} 

}



/* &ssl-connection-init-1285 */
obj_t BGl_z62sslzd2connectionzd2initzd21285zb0zz__ssl_sslz00(obj_t BgL_envz00_4754, obj_t BgL_sslz00_4755)
{
{ /* Llib/ssl.scm 983 */
return 
BBOOL(
bgl_ssl_connection_init_finishedp(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4755)));} 

}



/* &ssl-connection-clear1283 */
obj_t BGl_z62sslzd2connectionzd2clear1283z62zz__ssl_sslz00(obj_t BgL_envz00_4756, obj_t BgL_sslz00_4757, obj_t BgL_bufferz00_4758, obj_t BgL_offsetz00_4759, obj_t BgL_lenz00_4760)
{
{ /* Llib/ssl.scm 973 */
{ /* Llib/ssl.scm 976 */
 long BgL_tmpz00_10337;
{ /* Llib/ssl.scm 976 */
 long BgL_offsetz00_5852; long BgL_lenz00_5853;
BgL_offsetz00_5852 = 
(long)CINT(BgL_offsetz00_4759); 
BgL_lenz00_5853 = 
(long)CINT(BgL_lenz00_4760); 
BgL_tmpz00_10337 = 
bgl_ssl_connection_clear_out(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4757), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4758)), BgL_offsetz00_5852, BgL_lenz00_5853); } 
return 
BINT(BgL_tmpz00_10337);} } 

}



/* &ssl-connection-clear1281 */
obj_t BGl_z62sslzd2connectionzd2clear1281z62zz__ssl_sslz00(obj_t BgL_envz00_4761, obj_t BgL_sslz00_4762, obj_t BgL_bufferz00_4763, obj_t BgL_offsetz00_4764, obj_t BgL_lenz00_4765)
{
{ /* Llib/ssl.scm 963 */
{ /* Llib/ssl.scm 966 */
 long BgL_tmpz00_10345;
{ /* Llib/ssl.scm 966 */
 long BgL_offsetz00_5856; long BgL_lenz00_5857;
BgL_offsetz00_5856 = 
(long)CINT(BgL_offsetz00_4764); 
BgL_lenz00_5857 = 
(long)CINT(BgL_lenz00_4765); 
BgL_tmpz00_10345 = 
bgl_ssl_connection_clear_in(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4762), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4763)), BgL_offsetz00_5856, BgL_lenz00_5857); } 
return 
BINT(BgL_tmpz00_10345);} } 

}



/* &ssl-connection-write1279 */
obj_t BGl_z62sslzd2connectionzd2write1279z62zz__ssl_sslz00(obj_t BgL_envz00_4766, obj_t BgL_sslz00_4767, obj_t BgL_bufferz00_4768, obj_t BgL_offsetz00_4769, obj_t BgL_lenz00_4770)
{
{ /* Llib/ssl.scm 953 */
{ /* Llib/ssl.scm 956 */
 long BgL_tmpz00_10353;
{ /* Llib/ssl.scm 956 */
 long BgL_offsetz00_5860; long BgL_lenz00_5861;
BgL_offsetz00_5860 = 
(long)CINT(BgL_offsetz00_4769); 
BgL_lenz00_5861 = 
(long)CINT(BgL_lenz00_4770); 
BgL_tmpz00_10353 = 
bgl_ssl_connection_write(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4767), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4768)), BgL_offsetz00_5860, BgL_lenz00_5861); } 
return 
BINT(BgL_tmpz00_10353);} } 

}



/* &ssl-connection-read1277 */
obj_t BGl_z62sslzd2connectionzd2read1277z62zz__ssl_sslz00(obj_t BgL_envz00_4771, obj_t BgL_sslz00_4772, obj_t BgL_bufferz00_4773, obj_t BgL_offsetz00_4774, obj_t BgL_lenz00_4775)
{
{ /* Llib/ssl.scm 943 */
{ /* Llib/ssl.scm 946 */
 long BgL_tmpz00_10361;
{ /* Llib/ssl.scm 946 */
 long BgL_offsetz00_5864; long BgL_lenz00_5865;
BgL_offsetz00_5864 = 
(long)CINT(BgL_offsetz00_4774); 
BgL_lenz00_5865 = 
(long)CINT(BgL_lenz00_4775); 
BgL_tmpz00_10361 = 
bgl_ssl_connection_read(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4772), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4773)), BgL_offsetz00_5864, BgL_lenz00_5865); } 
return 
BINT(BgL_tmpz00_10361);} } 

}



/* &ssl-connection-shutd1275 */
obj_t BGl_z62sslzd2connectionzd2shutd1275z62zz__ssl_sslz00(obj_t BgL_envz00_4776, obj_t BgL_sslz00_4777)
{
{ /* Llib/ssl.scm 933 */
return 
bgl_ssl_connection_shutdown(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4777));} 

}



/* &ssl-connection-close1273 */
obj_t BGl_z62sslzd2connectionzd2close1273z62zz__ssl_sslz00(obj_t BgL_envz00_4778, obj_t BgL_sslz00_4779)
{
{ /* Llib/ssl.scm 923 */
return 
BINT(
bgl_ssl_connection_close(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4779)));} 

}



/* &ssl-connection-start1271 */
obj_t BGl_z62sslzd2connectionzd2start1271z62zz__ssl_sslz00(obj_t BgL_envz00_4780, obj_t BgL_sslz00_4781)
{
{ /* Llib/ssl.scm 913 */
return 
BINT(
bgl_ssl_connection_start(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4781)));} 

}



/* &ssl-connection-init1269 */
obj_t BGl_z62sslzd2connectionzd2init1269z62zz__ssl_sslz00(obj_t BgL_envz00_4782, obj_t BgL_sslz00_4783)
{
{ /* Llib/ssl.scm 903 */
return 
bgl_ssl_connection_init(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4783));} 

}



/* &secure-context-set-o1267 */
obj_t BGl_z62securezd2contextzd2setzd2o1267zb0zz__ssl_sslz00(obj_t BgL_envz00_4784, obj_t BgL_scz00_4785, obj_t BgL_optionsz00_4786)
{
{ /* Llib/ssl.scm 891 */
{ /* Llib/ssl.scm 894 */
 bool_t BgL_tmpz00_10379;
{ /* Llib/ssl.scm 894 */
 int BgL_optionsz00_5871;
BgL_optionsz00_5871 = 
CINT(BgL_optionsz00_4786); 
{ /* Llib/ssl.scm 895 */
 void * BgL_arg2275z00_5872;
BgL_arg2275z00_5872 = 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4785)))->BgL_z42nativez42); 
SSL_CTX_set_options(BgL_arg2275z00_5872, BgL_optionsz00_5871); BUNSPEC; } 
BgL_tmpz00_10379 = ((bool_t)1); } 
return 
BBOOL(BgL_tmpz00_10379);} } 

}



/* &secure-context-set-c1265 */
obj_t BGl_z62securezd2contextzd2setzd2c1265zb0zz__ssl_sslz00(obj_t BgL_envz00_4787, obj_t BgL_scz00_4788, obj_t BgL_ciphersz00_4789)
{
{ /* Llib/ssl.scm 879 */
{ /* Llib/ssl.scm 882 */
 bool_t BgL_tmpz00_10385;
{ /* Llib/ssl.scm 883 */
 char * BgL_auxz00_10389; void * BgL_tmpz00_10386;
BgL_auxz00_10389 = 
BSTRING_TO_STRING(
((obj_t)BgL_ciphersz00_4789)); 
BgL_tmpz00_10386 = 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4788)))->BgL_z42nativez42); 
SSL_CTX_set_cipher_list(BgL_tmpz00_10386, BgL_auxz00_10389); } 
BgL_tmpz00_10385 = ((bool_t)1); 
return 
BBOOL(BgL_tmpz00_10385);} } 

}



/* &secure-context-load-1263 */
obj_t BGl_z62securezd2contextzd2loadzd21263zb0zz__ssl_sslz00(obj_t BgL_envz00_4790, obj_t BgL_scz00_4791, obj_t BgL_pfxz00_4792, obj_t BgL_passz00_4793)
{
{ /* Llib/ssl.scm 869 */
return 
BBOOL(
bgl_load_pkcs12(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4791), 
((obj_t)BgL_pfxz00_4792), BgL_passz00_4793));} 

}



/* &secure-context-set-s1261 */
obj_t BGl_z62securezd2contextzd2setzd2s1261zb0zz__ssl_sslz00(obj_t BgL_envz00_4794, obj_t BgL_scz00_4795, obj_t BgL_sicz00_4796, obj_t BgL_offsetz00_4797, obj_t BgL_lenz00_4798)
{
{ /* Llib/ssl.scm 859 */
{ /* Llib/ssl.scm 862 */
 bool_t BgL_tmpz00_10398;
{ /* Llib/ssl.scm 862 */
 long BgL_offsetz00_5879; long BgL_lenz00_5880;
BgL_offsetz00_5879 = 
(long)CINT(BgL_offsetz00_4797); 
BgL_lenz00_5880 = 
(long)CINT(BgL_lenz00_4798); 
BgL_tmpz00_10398 = 
bgl_ssl_ctx_set_session_id_context(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4795), 
((obj_t)BgL_sicz00_4796), BgL_offsetz00_5879, BgL_lenz00_5880); } 
return 
BBOOL(BgL_tmpz00_10398);} } 

}



/* &secure-context-set-c1259 */
obj_t BGl_z62securezd2contextzd2setzd2c1259zb0zz__ssl_sslz00(obj_t BgL_envz00_4799, obj_t BgL_scz00_4800, obj_t BgL_certz00_4801, obj_t BgL_offsetz00_4802, obj_t BgL_lenz00_4803)
{
{ /* Llib/ssl.scm 849 */
{ /* Llib/ssl.scm 852 */
 bool_t BgL_tmpz00_10405;
{ /* Llib/ssl.scm 852 */
 long BgL_offsetz00_5883; long BgL_lenz00_5884;
BgL_offsetz00_5883 = 
(long)CINT(BgL_offsetz00_4802); 
BgL_lenz00_5884 = 
(long)CINT(BgL_lenz00_4803); 
BgL_tmpz00_10405 = 
bgl_ssl_ctx_set_cert(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4800), 
((obj_t)BgL_certz00_4801), BgL_offsetz00_5883, BgL_lenz00_5884); } 
return 
BBOOL(BgL_tmpz00_10405);} } 

}



/* &secure-context-set-k1249 */
obj_t BGl_z62securezd2contextzd2setzd2k1249zb0zz__ssl_sslz00(obj_t BgL_envz00_4804, obj_t BgL_scz00_4805, obj_t BgL_certz00_4806, obj_t BgL_offsetz00_4807, obj_t BgL_lenz00_4808, obj_t BgL_passphrasez00_4809)
{
{ /* Llib/ssl.scm 839 */
return 
BBOOL(
bgl_ssl_ctx_set_key(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4805), BgL_certz00_4806, 
(long)CINT(BgL_offsetz00_4807), 
(long)CINT(BgL_lenz00_4808), BgL_passphrasez00_4809));} 

}



/* &secure-context-add-c1247 */
obj_t BGl_z62securezd2contextzd2addzd2c1247zb0zz__ssl_sslz00(obj_t BgL_envz00_4810, obj_t BgL_scz00_4811, obj_t BgL_certz00_4812, obj_t BgL_offsetz00_4813, obj_t BgL_lenz00_4814)
{
{ /* Llib/ssl.scm 829 */
{ /* Llib/ssl.scm 832 */
 bool_t BgL_tmpz00_10417;
{ /* Llib/ssl.scm 832 */
 long BgL_offsetz00_5887; long BgL_lenz00_5888;
BgL_offsetz00_5887 = 
(long)CINT(BgL_offsetz00_4813); 
BgL_lenz00_5888 = 
(long)CINT(BgL_lenz00_4814); 
BgL_tmpz00_10417 = 
bgl_ssl_ctx_add_crl(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4811), 
((obj_t)BgL_certz00_4812), BgL_offsetz00_5887, BgL_lenz00_5888); } 
return 
BBOOL(BgL_tmpz00_10417);} } 

}



/* &secure-context-add-c1245 */
obj_t BGl_z62securezd2contextzd2addzd2c1245zb0zz__ssl_sslz00(obj_t BgL_envz00_4815, obj_t BgL_scz00_4816, obj_t BgL_certz00_4817, obj_t BgL_offsetz00_4818, obj_t BgL_lenz00_4819)
{
{ /* Llib/ssl.scm 819 */
{ /* Llib/ssl.scm 822 */
 bool_t BgL_tmpz00_10424;
{ /* Llib/ssl.scm 822 */
 long BgL_offsetz00_5891; long BgL_lenz00_5892;
BgL_offsetz00_5891 = 
(long)CINT(BgL_offsetz00_4818); 
BgL_lenz00_5892 = 
(long)CINT(BgL_lenz00_4819); 
BgL_tmpz00_10424 = 
bgl_ssl_ctx_add_ca_cert(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4816), 
((obj_t)BgL_certz00_4817), BgL_offsetz00_5891, BgL_lenz00_5892); } 
return 
BBOOL(BgL_tmpz00_10424);} } 

}



/* &secure-context-add-r1243 */
obj_t BGl_z62securezd2contextzd2addzd2r1243zb0zz__ssl_sslz00(obj_t BgL_envz00_4820, obj_t BgL_scz00_4821)
{
{ /* Llib/ssl.scm 809 */
return 
BBOOL(
bgl_ssl_ctx_add_root_certs(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4821)));} 

}



/* &secure-context-close1241 */
obj_t BGl_z62securezd2contextzd2close1241z62zz__ssl_sslz00(obj_t BgL_envz00_4822, obj_t BgL_scz00_4823)
{
{ /* Llib/ssl.scm 799 */
return 
bgl_ssl_ctx_close(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4823));} 

}



/* &secure-context-init1239 */
obj_t BGl_z62securezd2contextzd2init1239z62zz__ssl_sslz00(obj_t BgL_envz00_4824, obj_t BgL_scz00_4825)
{
{ /* Llib/ssl.scm 789 */
return 
bgl_ssl_ctx_init(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4825));} 

}



/* secure-context-init */
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_42)
{
{ /* Llib/ssl.scm 789 */
{ /* Llib/ssl.scm 789 */
 obj_t BgL_method1240z00_1707;
{ /* Llib/ssl.scm 789 */
 obj_t BgL_res2366z00_2353;
{ /* Llib/ssl.scm 789 */
 long BgL_objzd2classzd2numz00_2324;
BgL_objzd2classzd2numz00_2324 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_42)); 
{ /* Llib/ssl.scm 789 */
 obj_t BgL_arg1798z00_2325;
BgL_arg1798z00_2325 = 
PROCEDURE_REF(BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 789 */
 int BgL_offsetz00_2328;
BgL_offsetz00_2328 = 
(int)(BgL_objzd2classzd2numz00_2324); 
{ /* Llib/ssl.scm 789 */
 long BgL_offsetz00_2329;
BgL_offsetz00_2329 = 
(
(long)(BgL_offsetz00_2328)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 789 */
 long BgL_modz00_2330;
BgL_modz00_2330 = 
(BgL_offsetz00_2329 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 789 */
 long BgL_restz00_2332;
BgL_restz00_2332 = 
(BgL_offsetz00_2329 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 789 */

{ /* Llib/ssl.scm 789 */
 obj_t BgL_bucketz00_2334;
BgL_bucketz00_2334 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2325),BgL_modz00_2330); 
BgL_res2366z00_2353 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2334),BgL_restz00_2332); } } } } } } } } 
BgL_method1240z00_1707 = BgL_res2366z00_2353; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1240z00_1707))(BgL_method1240z00_1707, 
((obj_t)BgL_scz00_42), BEOA);} } 

}



/* &secure-context-init */
obj_t BGl_z62securezd2contextzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4576, obj_t BgL_scz00_4577)
{
{ /* Llib/ssl.scm 789 */
{ /* Llib/ssl.scm 789 */
 BgL_securezd2contextzd2_bglt BgL_auxz00_10468;
{ /* Llib/ssl.scm 789 */
 bool_t BgL_test4049z00_10469;
{ /* Llib/ssl.scm 789 */
 obj_t BgL_classz00_5896;
BgL_classz00_5896 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4577))
{ /* Llib/ssl.scm 789 */
 BgL_objectz00_bglt BgL_arg1796z00_5898; long BgL_arg1797z00_5899;
BgL_arg1796z00_5898 = 
(BgL_objectz00_bglt)(BgL_scz00_4577); 
BgL_arg1797z00_5899 = 
BGL_CLASS_DEPTH(BgL_classz00_5896); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 789 */
 long BgL_idxz00_5907;
BgL_idxz00_5907 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5898); 
{ /* Llib/ssl.scm 789 */
 obj_t BgL_arg1788z00_5908;
{ /* Llib/ssl.scm 789 */
 long BgL_arg1789z00_5909;
BgL_arg1789z00_5909 = 
(BgL_idxz00_5907+BgL_arg1797z00_5899); 
BgL_arg1788z00_5908 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5909); } 
BgL_test4049z00_10469 = 
(BgL_arg1788z00_5908==BgL_classz00_5896); } }  else 
{ /* Llib/ssl.scm 789 */
 bool_t BgL_res3334z00_5932;
{ /* Llib/ssl.scm 789 */
 obj_t BgL_oclassz00_5917;
{ /* Llib/ssl.scm 789 */
 long BgL_arg1801z00_5923;
{ /* Llib/ssl.scm 789 */
 long BgL_arg1802z00_5924;
BgL_arg1802z00_5924 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5898); 
BgL_arg1801z00_5923 = 
(BgL_arg1802z00_5924-OBJECT_TYPE); } 
BgL_oclassz00_5917 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5923); } 
{ /* Llib/ssl.scm 789 */
 bool_t BgL__ortest_1110z00_5918;
BgL__ortest_1110z00_5918 = 
(BgL_classz00_5896==BgL_oclassz00_5917); 
if(BgL__ortest_1110z00_5918)
{ /* Llib/ssl.scm 789 */
BgL_res3334z00_5932 = BgL__ortest_1110z00_5918; }  else 
{ /* Llib/ssl.scm 789 */
 long BgL_odepthz00_5919;
BgL_odepthz00_5919 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5917); 
if(
(BgL_arg1797z00_5899<BgL_odepthz00_5919))
{ /* Llib/ssl.scm 789 */
 obj_t BgL_arg1790z00_5921;
BgL_arg1790z00_5921 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5917, BgL_arg1797z00_5899); 
BgL_res3334z00_5932 = 
(BgL_arg1790z00_5921==BgL_classz00_5896); }  else 
{ /* Llib/ssl.scm 789 */
BgL_res3334z00_5932 = ((bool_t)0); } } } } 
BgL_test4049z00_10469 = BgL_res3334z00_5932; } }  else 
{ /* Llib/ssl.scm 789 */
BgL_test4049z00_10469 = ((bool_t)0)
; } } 
if(BgL_test4049z00_10469)
{ /* Llib/ssl.scm 789 */
BgL_auxz00_10468 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4577)
; }  else 
{ 
 obj_t BgL_auxz00_10491;
BgL_auxz00_10491 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)32305)), BGl_string3273z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4577); 
FAILURE(BgL_auxz00_10491,BFALSE,BFALSE);} } 
return 
BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_auxz00_10468);} } 

}



/* secure-context-close */
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_43)
{
{ /* Llib/ssl.scm 799 */
{ /* Llib/ssl.scm 799 */
 obj_t BgL_method1242z00_1708;
{ /* Llib/ssl.scm 799 */
 obj_t BgL_res2371z00_2384;
{ /* Llib/ssl.scm 799 */
 long BgL_objzd2classzd2numz00_2355;
BgL_objzd2classzd2numz00_2355 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_43)); 
{ /* Llib/ssl.scm 799 */
 obj_t BgL_arg1798z00_2356;
BgL_arg1798z00_2356 = 
PROCEDURE_REF(BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 799 */
 int BgL_offsetz00_2359;
BgL_offsetz00_2359 = 
(int)(BgL_objzd2classzd2numz00_2355); 
{ /* Llib/ssl.scm 799 */
 long BgL_offsetz00_2360;
BgL_offsetz00_2360 = 
(
(long)(BgL_offsetz00_2359)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 799 */
 long BgL_modz00_2361;
BgL_modz00_2361 = 
(BgL_offsetz00_2360 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 799 */
 long BgL_restz00_2363;
BgL_restz00_2363 = 
(BgL_offsetz00_2360 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 799 */

{ /* Llib/ssl.scm 799 */
 obj_t BgL_bucketz00_2365;
BgL_bucketz00_2365 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2356),BgL_modz00_2361); 
BgL_res2371z00_2384 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2365),BgL_restz00_2363); } } } } } } } } 
BgL_method1242z00_1708 = BgL_res2371z00_2384; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1242z00_1708))(BgL_method1242z00_1708, 
((obj_t)BgL_scz00_43), BEOA);} } 

}



/* &secure-context-close */
obj_t BGl_z62securezd2contextzd2closez62zz__ssl_sslz00(obj_t BgL_envz00_4826, obj_t BgL_scz00_4827)
{
{ /* Llib/ssl.scm 799 */
{ /* Llib/ssl.scm 799 */
 BgL_securezd2contextzd2_bglt BgL_auxz00_10526;
{ /* Llib/ssl.scm 799 */
 bool_t BgL_test4054z00_10527;
{ /* Llib/ssl.scm 799 */
 obj_t BgL_classz00_5933;
BgL_classz00_5933 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4827))
{ /* Llib/ssl.scm 799 */
 BgL_objectz00_bglt BgL_arg1796z00_5935; long BgL_arg1797z00_5936;
BgL_arg1796z00_5935 = 
(BgL_objectz00_bglt)(BgL_scz00_4827); 
BgL_arg1797z00_5936 = 
BGL_CLASS_DEPTH(BgL_classz00_5933); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 799 */
 long BgL_idxz00_5944;
BgL_idxz00_5944 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5935); 
{ /* Llib/ssl.scm 799 */
 obj_t BgL_arg1788z00_5945;
{ /* Llib/ssl.scm 799 */
 long BgL_arg1789z00_5946;
BgL_arg1789z00_5946 = 
(BgL_idxz00_5944+BgL_arg1797z00_5936); 
BgL_arg1788z00_5945 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5946); } 
BgL_test4054z00_10527 = 
(BgL_arg1788z00_5945==BgL_classz00_5933); } }  else 
{ /* Llib/ssl.scm 799 */
 bool_t BgL_res3335z00_5969;
{ /* Llib/ssl.scm 799 */
 obj_t BgL_oclassz00_5954;
{ /* Llib/ssl.scm 799 */
 long BgL_arg1801z00_5960;
{ /* Llib/ssl.scm 799 */
 long BgL_arg1802z00_5961;
BgL_arg1802z00_5961 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5935); 
BgL_arg1801z00_5960 = 
(BgL_arg1802z00_5961-OBJECT_TYPE); } 
BgL_oclassz00_5954 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5960); } 
{ /* Llib/ssl.scm 799 */
 bool_t BgL__ortest_1110z00_5955;
BgL__ortest_1110z00_5955 = 
(BgL_classz00_5933==BgL_oclassz00_5954); 
if(BgL__ortest_1110z00_5955)
{ /* Llib/ssl.scm 799 */
BgL_res3335z00_5969 = BgL__ortest_1110z00_5955; }  else 
{ /* Llib/ssl.scm 799 */
 long BgL_odepthz00_5956;
BgL_odepthz00_5956 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5954); 
if(
(BgL_arg1797z00_5936<BgL_odepthz00_5956))
{ /* Llib/ssl.scm 799 */
 obj_t BgL_arg1790z00_5958;
BgL_arg1790z00_5958 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5954, BgL_arg1797z00_5936); 
BgL_res3335z00_5969 = 
(BgL_arg1790z00_5958==BgL_classz00_5933); }  else 
{ /* Llib/ssl.scm 799 */
BgL_res3335z00_5969 = ((bool_t)0); } } } } 
BgL_test4054z00_10527 = BgL_res3335z00_5969; } }  else 
{ /* Llib/ssl.scm 799 */
BgL_test4054z00_10527 = ((bool_t)0)
; } } 
if(BgL_test4054z00_10527)
{ /* Llib/ssl.scm 799 */
BgL_auxz00_10526 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4827)
; }  else 
{ 
 obj_t BgL_auxz00_10549;
BgL_auxz00_10549 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)32681)), BGl_string3274z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4827); 
FAILURE(BgL_auxz00_10549,BFALSE,BFALSE);} } 
return 
BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_auxz00_10526);} } 

}



/* secure-context-add-root-certs! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_44)
{
{ /* Llib/ssl.scm 809 */
{ /* Llib/ssl.scm 809 */
 obj_t BgL_method1244z00_1709;
{ /* Llib/ssl.scm 809 */
 obj_t BgL_res2376z00_2415;
{ /* Llib/ssl.scm 809 */
 long BgL_objzd2classzd2numz00_2386;
BgL_objzd2classzd2numz00_2386 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_44)); 
{ /* Llib/ssl.scm 809 */
 obj_t BgL_arg1798z00_2387;
BgL_arg1798z00_2387 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 809 */
 int BgL_offsetz00_2390;
BgL_offsetz00_2390 = 
(int)(BgL_objzd2classzd2numz00_2386); 
{ /* Llib/ssl.scm 809 */
 long BgL_offsetz00_2391;
BgL_offsetz00_2391 = 
(
(long)(BgL_offsetz00_2390)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 809 */
 long BgL_modz00_2392;
BgL_modz00_2392 = 
(BgL_offsetz00_2391 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 809 */
 long BgL_restz00_2394;
BgL_restz00_2394 = 
(BgL_offsetz00_2391 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 809 */

{ /* Llib/ssl.scm 809 */
 obj_t BgL_bucketz00_2396;
BgL_bucketz00_2396 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2387),BgL_modz00_2392); 
BgL_res2376z00_2415 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2396),BgL_restz00_2394); } } } } } } } } 
BgL_method1244z00_1709 = BgL_res2376z00_2415; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1244z00_1709))(BgL_method1244z00_1709, 
((obj_t)BgL_scz00_44), BEOA));} } 

}



/* &secure-context-add-root-certs! */
obj_t BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00(obj_t BgL_envz00_4828, obj_t BgL_scz00_4829)
{
{ /* Llib/ssl.scm 809 */
{ /* Llib/ssl.scm 809 */
 bool_t BgL_tmpz00_10585;
{ /* Llib/ssl.scm 809 */
 BgL_securezd2contextzd2_bglt BgL_auxz00_10586;
{ /* Llib/ssl.scm 809 */
 bool_t BgL_test4059z00_10587;
{ /* Llib/ssl.scm 809 */
 obj_t BgL_classz00_5970;
BgL_classz00_5970 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4829))
{ /* Llib/ssl.scm 809 */
 BgL_objectz00_bglt BgL_arg1796z00_5972; long BgL_arg1797z00_5973;
BgL_arg1796z00_5972 = 
(BgL_objectz00_bglt)(BgL_scz00_4829); 
BgL_arg1797z00_5973 = 
BGL_CLASS_DEPTH(BgL_classz00_5970); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 809 */
 long BgL_idxz00_5981;
BgL_idxz00_5981 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_5972); 
{ /* Llib/ssl.scm 809 */
 obj_t BgL_arg1788z00_5982;
{ /* Llib/ssl.scm 809 */
 long BgL_arg1789z00_5983;
BgL_arg1789z00_5983 = 
(BgL_idxz00_5981+BgL_arg1797z00_5973); 
BgL_arg1788z00_5982 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_5983); } 
BgL_test4059z00_10587 = 
(BgL_arg1788z00_5982==BgL_classz00_5970); } }  else 
{ /* Llib/ssl.scm 809 */
 bool_t BgL_res3336z00_6006;
{ /* Llib/ssl.scm 809 */
 obj_t BgL_oclassz00_5991;
{ /* Llib/ssl.scm 809 */
 long BgL_arg1801z00_5997;
{ /* Llib/ssl.scm 809 */
 long BgL_arg1802z00_5998;
BgL_arg1802z00_5998 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_5972); 
BgL_arg1801z00_5997 = 
(BgL_arg1802z00_5998-OBJECT_TYPE); } 
BgL_oclassz00_5991 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_5997); } 
{ /* Llib/ssl.scm 809 */
 bool_t BgL__ortest_1110z00_5992;
BgL__ortest_1110z00_5992 = 
(BgL_classz00_5970==BgL_oclassz00_5991); 
if(BgL__ortest_1110z00_5992)
{ /* Llib/ssl.scm 809 */
BgL_res3336z00_6006 = BgL__ortest_1110z00_5992; }  else 
{ /* Llib/ssl.scm 809 */
 long BgL_odepthz00_5993;
BgL_odepthz00_5993 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5991); 
if(
(BgL_arg1797z00_5973<BgL_odepthz00_5993))
{ /* Llib/ssl.scm 809 */
 obj_t BgL_arg1790z00_5995;
BgL_arg1790z00_5995 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5991, BgL_arg1797z00_5973); 
BgL_res3336z00_6006 = 
(BgL_arg1790z00_5995==BgL_classz00_5970); }  else 
{ /* Llib/ssl.scm 809 */
BgL_res3336z00_6006 = ((bool_t)0); } } } } 
BgL_test4059z00_10587 = BgL_res3336z00_6006; } }  else 
{ /* Llib/ssl.scm 809 */
BgL_test4059z00_10587 = ((bool_t)0)
; } } 
if(BgL_test4059z00_10587)
{ /* Llib/ssl.scm 809 */
BgL_auxz00_10586 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4829)
; }  else 
{ 
 obj_t BgL_auxz00_10609;
BgL_auxz00_10609 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)33059)), BGl_string3275z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4829); 
FAILURE(BgL_auxz00_10609,BFALSE,BFALSE);} } 
BgL_tmpz00_10585 = 
BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_auxz00_10586); } 
return 
BBOOL(BgL_tmpz00_10585);} } 

}



/* secure-context-add-ca-cert! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_45, obj_t BgL_certz00_46, long BgL_offsetz00_47, long BgL_lenz00_48)
{
{ /* Llib/ssl.scm 819 */
{ /* Llib/ssl.scm 819 */
 obj_t BgL_method1246z00_1710;
{ /* Llib/ssl.scm 819 */
 obj_t BgL_res2381z00_2446;
{ /* Llib/ssl.scm 819 */
 long BgL_objzd2classzd2numz00_2417;
BgL_objzd2classzd2numz00_2417 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_45)); 
{ /* Llib/ssl.scm 819 */
 obj_t BgL_arg1798z00_2418;
BgL_arg1798z00_2418 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 819 */
 int BgL_offsetz00_2421;
BgL_offsetz00_2421 = 
(int)(BgL_objzd2classzd2numz00_2417); 
{ /* Llib/ssl.scm 819 */
 long BgL_offsetz00_2422;
BgL_offsetz00_2422 = 
(
(long)(BgL_offsetz00_2421)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 819 */
 long BgL_modz00_2423;
BgL_modz00_2423 = 
(BgL_offsetz00_2422 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 819 */
 long BgL_restz00_2425;
BgL_restz00_2425 = 
(BgL_offsetz00_2422 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 819 */

{ /* Llib/ssl.scm 819 */
 obj_t BgL_bucketz00_2427;
BgL_bucketz00_2427 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2418),BgL_modz00_2423); 
BgL_res2381z00_2446 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2427),BgL_restz00_2425); } } } } } } } } 
BgL_method1246z00_1710 = BgL_res2381z00_2446; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1246z00_1710))(BgL_method1246z00_1710, 
((obj_t)BgL_scz00_45), BgL_certz00_46, 
BINT(BgL_offsetz00_47), 
BINT(BgL_lenz00_48), BEOA));} } 

}



/* &secure-context-add-ca-cert! */
obj_t BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00(obj_t BgL_envz00_4830, obj_t BgL_scz00_4831, obj_t BgL_certz00_4832, obj_t BgL_offsetz00_4833, obj_t BgL_lenz00_4834)
{
{ /* Llib/ssl.scm 819 */
{ /* Llib/ssl.scm 819 */
 bool_t BgL_tmpz00_10651;
{ /* Llib/ssl.scm 819 */
 long BgL_auxz00_10695; long BgL_auxz00_10686; obj_t BgL_auxz00_10679; BgL_securezd2contextzd2_bglt BgL_auxz00_10652;
{ /* Llib/ssl.scm 819 */
 obj_t BgL_tmpz00_10696;
if(
INTEGERP(BgL_lenz00_4834))
{ /* Llib/ssl.scm 819 */
BgL_tmpz00_10696 = BgL_lenz00_4834
; }  else 
{ 
 obj_t BgL_auxz00_10699;
BgL_auxz00_10699 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)33456)), BGl_string3276z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4834); 
FAILURE(BgL_auxz00_10699,BFALSE,BFALSE);} 
BgL_auxz00_10695 = 
(long)CINT(BgL_tmpz00_10696); } 
{ /* Llib/ssl.scm 819 */
 obj_t BgL_tmpz00_10687;
if(
INTEGERP(BgL_offsetz00_4833))
{ /* Llib/ssl.scm 819 */
BgL_tmpz00_10687 = BgL_offsetz00_4833
; }  else 
{ 
 obj_t BgL_auxz00_10690;
BgL_auxz00_10690 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)33456)), BGl_string3276z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4833); 
FAILURE(BgL_auxz00_10690,BFALSE,BFALSE);} 
BgL_auxz00_10686 = 
(long)CINT(BgL_tmpz00_10687); } 
if(
STRINGP(BgL_certz00_4832))
{ /* Llib/ssl.scm 819 */
BgL_auxz00_10679 = BgL_certz00_4832
; }  else 
{ 
 obj_t BgL_auxz00_10682;
BgL_auxz00_10682 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)33456)), BGl_string3276z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_certz00_4832); 
FAILURE(BgL_auxz00_10682,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 819 */
 bool_t BgL_test4064z00_10653;
{ /* Llib/ssl.scm 819 */
 obj_t BgL_classz00_6007;
BgL_classz00_6007 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4831))
{ /* Llib/ssl.scm 819 */
 BgL_objectz00_bglt BgL_arg1796z00_6009; long BgL_arg1797z00_6010;
BgL_arg1796z00_6009 = 
(BgL_objectz00_bglt)(BgL_scz00_4831); 
BgL_arg1797z00_6010 = 
BGL_CLASS_DEPTH(BgL_classz00_6007); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 819 */
 long BgL_idxz00_6018;
BgL_idxz00_6018 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6009); 
{ /* Llib/ssl.scm 819 */
 obj_t BgL_arg1788z00_6019;
{ /* Llib/ssl.scm 819 */
 long BgL_arg1789z00_6020;
BgL_arg1789z00_6020 = 
(BgL_idxz00_6018+BgL_arg1797z00_6010); 
BgL_arg1788z00_6019 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6020); } 
BgL_test4064z00_10653 = 
(BgL_arg1788z00_6019==BgL_classz00_6007); } }  else 
{ /* Llib/ssl.scm 819 */
 bool_t BgL_res3337z00_6043;
{ /* Llib/ssl.scm 819 */
 obj_t BgL_oclassz00_6028;
{ /* Llib/ssl.scm 819 */
 long BgL_arg1801z00_6034;
{ /* Llib/ssl.scm 819 */
 long BgL_arg1802z00_6035;
BgL_arg1802z00_6035 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6009); 
BgL_arg1801z00_6034 = 
(BgL_arg1802z00_6035-OBJECT_TYPE); } 
BgL_oclassz00_6028 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6034); } 
{ /* Llib/ssl.scm 819 */
 bool_t BgL__ortest_1110z00_6029;
BgL__ortest_1110z00_6029 = 
(BgL_classz00_6007==BgL_oclassz00_6028); 
if(BgL__ortest_1110z00_6029)
{ /* Llib/ssl.scm 819 */
BgL_res3337z00_6043 = BgL__ortest_1110z00_6029; }  else 
{ /* Llib/ssl.scm 819 */
 long BgL_odepthz00_6030;
BgL_odepthz00_6030 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6028); 
if(
(BgL_arg1797z00_6010<BgL_odepthz00_6030))
{ /* Llib/ssl.scm 819 */
 obj_t BgL_arg1790z00_6032;
BgL_arg1790z00_6032 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6028, BgL_arg1797z00_6010); 
BgL_res3337z00_6043 = 
(BgL_arg1790z00_6032==BgL_classz00_6007); }  else 
{ /* Llib/ssl.scm 819 */
BgL_res3337z00_6043 = ((bool_t)0); } } } } 
BgL_test4064z00_10653 = BgL_res3337z00_6043; } }  else 
{ /* Llib/ssl.scm 819 */
BgL_test4064z00_10653 = ((bool_t)0)
; } } 
if(BgL_test4064z00_10653)
{ /* Llib/ssl.scm 819 */
BgL_auxz00_10652 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4831)
; }  else 
{ 
 obj_t BgL_auxz00_10675;
BgL_auxz00_10675 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)33456)), BGl_string3276z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4831); 
FAILURE(BgL_auxz00_10675,BFALSE,BFALSE);} } 
BgL_tmpz00_10651 = 
BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_auxz00_10652, BgL_auxz00_10679, BgL_auxz00_10686, BgL_auxz00_10695); } 
return 
BBOOL(BgL_tmpz00_10651);} } 

}



/* secure-context-add-crl! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_49, obj_t BgL_certz00_50, long BgL_offsetz00_51, long BgL_lenz00_52)
{
{ /* Llib/ssl.scm 829 */
{ /* Llib/ssl.scm 829 */
 obj_t BgL_method1248z00_1711;
{ /* Llib/ssl.scm 829 */
 obj_t BgL_res2386z00_2477;
{ /* Llib/ssl.scm 829 */
 long BgL_objzd2classzd2numz00_2448;
BgL_objzd2classzd2numz00_2448 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_49)); 
{ /* Llib/ssl.scm 829 */
 obj_t BgL_arg1798z00_2449;
BgL_arg1798z00_2449 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 829 */
 int BgL_offsetz00_2452;
BgL_offsetz00_2452 = 
(int)(BgL_objzd2classzd2numz00_2448); 
{ /* Llib/ssl.scm 829 */
 long BgL_offsetz00_2453;
BgL_offsetz00_2453 = 
(
(long)(BgL_offsetz00_2452)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 829 */
 long BgL_modz00_2454;
BgL_modz00_2454 = 
(BgL_offsetz00_2453 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 829 */
 long BgL_restz00_2456;
BgL_restz00_2456 = 
(BgL_offsetz00_2453 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 829 */

{ /* Llib/ssl.scm 829 */
 obj_t BgL_bucketz00_2458;
BgL_bucketz00_2458 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2449),BgL_modz00_2454); 
BgL_res2386z00_2477 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2458),BgL_restz00_2456); } } } } } } } } 
BgL_method1248z00_1711 = BgL_res2386z00_2477; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1248z00_1711))(BgL_method1248z00_1711, 
((obj_t)BgL_scz00_49), BgL_certz00_50, 
BINT(BgL_offsetz00_51), 
BINT(BgL_lenz00_52), BEOA));} } 

}



/* &secure-context-add-crl! */
obj_t BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00(obj_t BgL_envz00_4835, obj_t BgL_scz00_4836, obj_t BgL_certz00_4837, obj_t BgL_offsetz00_4838, obj_t BgL_lenz00_4839)
{
{ /* Llib/ssl.scm 829 */
{ /* Llib/ssl.scm 829 */
 bool_t BgL_tmpz00_10742;
{ /* Llib/ssl.scm 829 */
 long BgL_auxz00_10786; long BgL_auxz00_10777; obj_t BgL_auxz00_10770; BgL_securezd2contextzd2_bglt BgL_auxz00_10743;
{ /* Llib/ssl.scm 829 */
 obj_t BgL_tmpz00_10787;
if(
INTEGERP(BgL_lenz00_4839))
{ /* Llib/ssl.scm 829 */
BgL_tmpz00_10787 = BgL_lenz00_4839
; }  else 
{ 
 obj_t BgL_auxz00_10790;
BgL_auxz00_10790 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)33879)), BGl_string3277z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4839); 
FAILURE(BgL_auxz00_10790,BFALSE,BFALSE);} 
BgL_auxz00_10786 = 
(long)CINT(BgL_tmpz00_10787); } 
{ /* Llib/ssl.scm 829 */
 obj_t BgL_tmpz00_10778;
if(
INTEGERP(BgL_offsetz00_4838))
{ /* Llib/ssl.scm 829 */
BgL_tmpz00_10778 = BgL_offsetz00_4838
; }  else 
{ 
 obj_t BgL_auxz00_10781;
BgL_auxz00_10781 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)33879)), BGl_string3277z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4838); 
FAILURE(BgL_auxz00_10781,BFALSE,BFALSE);} 
BgL_auxz00_10777 = 
(long)CINT(BgL_tmpz00_10778); } 
if(
STRINGP(BgL_certz00_4837))
{ /* Llib/ssl.scm 829 */
BgL_auxz00_10770 = BgL_certz00_4837
; }  else 
{ 
 obj_t BgL_auxz00_10773;
BgL_auxz00_10773 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)33879)), BGl_string3277z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_certz00_4837); 
FAILURE(BgL_auxz00_10773,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 829 */
 bool_t BgL_test4072z00_10744;
{ /* Llib/ssl.scm 829 */
 obj_t BgL_classz00_6044;
BgL_classz00_6044 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4836))
{ /* Llib/ssl.scm 829 */
 BgL_objectz00_bglt BgL_arg1796z00_6046; long BgL_arg1797z00_6047;
BgL_arg1796z00_6046 = 
(BgL_objectz00_bglt)(BgL_scz00_4836); 
BgL_arg1797z00_6047 = 
BGL_CLASS_DEPTH(BgL_classz00_6044); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 829 */
 long BgL_idxz00_6055;
BgL_idxz00_6055 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6046); 
{ /* Llib/ssl.scm 829 */
 obj_t BgL_arg1788z00_6056;
{ /* Llib/ssl.scm 829 */
 long BgL_arg1789z00_6057;
BgL_arg1789z00_6057 = 
(BgL_idxz00_6055+BgL_arg1797z00_6047); 
BgL_arg1788z00_6056 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6057); } 
BgL_test4072z00_10744 = 
(BgL_arg1788z00_6056==BgL_classz00_6044); } }  else 
{ /* Llib/ssl.scm 829 */
 bool_t BgL_res3338z00_6080;
{ /* Llib/ssl.scm 829 */
 obj_t BgL_oclassz00_6065;
{ /* Llib/ssl.scm 829 */
 long BgL_arg1801z00_6071;
{ /* Llib/ssl.scm 829 */
 long BgL_arg1802z00_6072;
BgL_arg1802z00_6072 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6046); 
BgL_arg1801z00_6071 = 
(BgL_arg1802z00_6072-OBJECT_TYPE); } 
BgL_oclassz00_6065 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6071); } 
{ /* Llib/ssl.scm 829 */
 bool_t BgL__ortest_1110z00_6066;
BgL__ortest_1110z00_6066 = 
(BgL_classz00_6044==BgL_oclassz00_6065); 
if(BgL__ortest_1110z00_6066)
{ /* Llib/ssl.scm 829 */
BgL_res3338z00_6080 = BgL__ortest_1110z00_6066; }  else 
{ /* Llib/ssl.scm 829 */
 long BgL_odepthz00_6067;
BgL_odepthz00_6067 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6065); 
if(
(BgL_arg1797z00_6047<BgL_odepthz00_6067))
{ /* Llib/ssl.scm 829 */
 obj_t BgL_arg1790z00_6069;
BgL_arg1790z00_6069 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6065, BgL_arg1797z00_6047); 
BgL_res3338z00_6080 = 
(BgL_arg1790z00_6069==BgL_classz00_6044); }  else 
{ /* Llib/ssl.scm 829 */
BgL_res3338z00_6080 = ((bool_t)0); } } } } 
BgL_test4072z00_10744 = BgL_res3338z00_6080; } }  else 
{ /* Llib/ssl.scm 829 */
BgL_test4072z00_10744 = ((bool_t)0)
; } } 
if(BgL_test4072z00_10744)
{ /* Llib/ssl.scm 829 */
BgL_auxz00_10743 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4836)
; }  else 
{ 
 obj_t BgL_auxz00_10766;
BgL_auxz00_10766 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)33879)), BGl_string3277z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4836); 
FAILURE(BgL_auxz00_10766,BFALSE,BFALSE);} } 
BgL_tmpz00_10742 = 
BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_auxz00_10743, BgL_auxz00_10770, BgL_auxz00_10777, BgL_auxz00_10786); } 
return 
BBOOL(BgL_tmpz00_10742);} } 

}



/* secure-context-set-key! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_53, obj_t BgL_certz00_54, long BgL_offsetz00_55, long BgL_lenz00_56, obj_t BgL_passphrasez00_57)
{
{ /* Llib/ssl.scm 839 */
{ /* Llib/ssl.scm 353 */
 obj_t BgL_method1250z00_1712;
{ /* Llib/ssl.scm 353 */
 obj_t BgL_res2391z00_2508;
{ /* Llib/ssl.scm 353 */
 long BgL_objzd2classzd2numz00_2479;
BgL_objzd2classzd2numz00_2479 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_53)); 
{ /* Llib/ssl.scm 353 */
 obj_t BgL_arg1798z00_2480;
BgL_arg1798z00_2480 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 353 */
 int BgL_offsetz00_2483;
BgL_offsetz00_2483 = 
(int)(BgL_objzd2classzd2numz00_2479); 
{ /* Llib/ssl.scm 353 */
 long BgL_offsetz00_2484;
BgL_offsetz00_2484 = 
(
(long)(BgL_offsetz00_2483)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 353 */
 long BgL_modz00_2485;
BgL_modz00_2485 = 
(BgL_offsetz00_2484 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 353 */
 long BgL_restz00_2487;
BgL_restz00_2487 = 
(BgL_offsetz00_2484 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 353 */

{ /* Llib/ssl.scm 353 */
 obj_t BgL_bucketz00_2489;
BgL_bucketz00_2489 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2480),BgL_modz00_2485); 
BgL_res2391z00_2508 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2489),BgL_restz00_2487); } } } } } } } } 
BgL_method1250z00_1712 = BgL_res2391z00_2508; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1250z00_1712))(BgL_method1250z00_1712, 
((obj_t)BgL_scz00_53), BgL_certz00_54, 
BINT(BgL_offsetz00_55), 
BINT(BgL_lenz00_56), BgL_passphrasez00_57, BEOA));} } 

}



/* secure-context-set-cert! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_60, obj_t BgL_certz00_61, long BgL_offsetz00_62, long BgL_lenz00_63)
{
{ /* Llib/ssl.scm 849 */
{ /* Llib/ssl.scm 849 */
 obj_t BgL_method1260z00_1713;
{ /* Llib/ssl.scm 849 */
 obj_t BgL_res2396z00_2539;
{ /* Llib/ssl.scm 849 */
 long BgL_objzd2classzd2numz00_2510;
BgL_objzd2classzd2numz00_2510 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_60)); 
{ /* Llib/ssl.scm 849 */
 obj_t BgL_arg1798z00_2511;
BgL_arg1798z00_2511 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 849 */
 int BgL_offsetz00_2514;
BgL_offsetz00_2514 = 
(int)(BgL_objzd2classzd2numz00_2510); 
{ /* Llib/ssl.scm 849 */
 long BgL_offsetz00_2515;
BgL_offsetz00_2515 = 
(
(long)(BgL_offsetz00_2514)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 849 */
 long BgL_modz00_2516;
BgL_modz00_2516 = 
(BgL_offsetz00_2515 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 849 */
 long BgL_restz00_2518;
BgL_restz00_2518 = 
(BgL_offsetz00_2515 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 849 */

{ /* Llib/ssl.scm 849 */
 obj_t BgL_bucketz00_2520;
BgL_bucketz00_2520 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2511),BgL_modz00_2516); 
BgL_res2396z00_2539 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2520),BgL_restz00_2518); } } } } } } } } 
BgL_method1260z00_1713 = BgL_res2396z00_2539; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1260z00_1713))(BgL_method1260z00_1713, 
((obj_t)BgL_scz00_60), BgL_certz00_61, 
BINT(BgL_offsetz00_62), 
BINT(BgL_lenz00_63), BEOA));} } 

}



/* &secure-context-set-cert! */
obj_t BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00(obj_t BgL_envz00_4840, obj_t BgL_scz00_4841, obj_t BgL_certz00_4842, obj_t BgL_offsetz00_4843, obj_t BgL_lenz00_4844)
{
{ /* Llib/ssl.scm 849 */
{ /* Llib/ssl.scm 849 */
 bool_t BgL_tmpz00_10870;
{ /* Llib/ssl.scm 849 */
 long BgL_auxz00_10914; long BgL_auxz00_10905; obj_t BgL_auxz00_10898; BgL_securezd2contextzd2_bglt BgL_auxz00_10871;
{ /* Llib/ssl.scm 849 */
 obj_t BgL_tmpz00_10915;
if(
INTEGERP(BgL_lenz00_4844))
{ /* Llib/ssl.scm 849 */
BgL_tmpz00_10915 = BgL_lenz00_4844
; }  else 
{ 
 obj_t BgL_auxz00_10918;
BgL_auxz00_10918 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34763)), BGl_string3278z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4844); 
FAILURE(BgL_auxz00_10918,BFALSE,BFALSE);} 
BgL_auxz00_10914 = 
(long)CINT(BgL_tmpz00_10915); } 
{ /* Llib/ssl.scm 849 */
 obj_t BgL_tmpz00_10906;
if(
INTEGERP(BgL_offsetz00_4843))
{ /* Llib/ssl.scm 849 */
BgL_tmpz00_10906 = BgL_offsetz00_4843
; }  else 
{ 
 obj_t BgL_auxz00_10909;
BgL_auxz00_10909 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34763)), BGl_string3278z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4843); 
FAILURE(BgL_auxz00_10909,BFALSE,BFALSE);} 
BgL_auxz00_10905 = 
(long)CINT(BgL_tmpz00_10906); } 
if(
STRINGP(BgL_certz00_4842))
{ /* Llib/ssl.scm 849 */
BgL_auxz00_10898 = BgL_certz00_4842
; }  else 
{ 
 obj_t BgL_auxz00_10901;
BgL_auxz00_10901 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34763)), BGl_string3278z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_certz00_4842); 
FAILURE(BgL_auxz00_10901,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 849 */
 bool_t BgL_test4080z00_10872;
{ /* Llib/ssl.scm 849 */
 obj_t BgL_classz00_6081;
BgL_classz00_6081 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4841))
{ /* Llib/ssl.scm 849 */
 BgL_objectz00_bglt BgL_arg1796z00_6083; long BgL_arg1797z00_6084;
BgL_arg1796z00_6083 = 
(BgL_objectz00_bglt)(BgL_scz00_4841); 
BgL_arg1797z00_6084 = 
BGL_CLASS_DEPTH(BgL_classz00_6081); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 849 */
 long BgL_idxz00_6092;
BgL_idxz00_6092 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6083); 
{ /* Llib/ssl.scm 849 */
 obj_t BgL_arg1788z00_6093;
{ /* Llib/ssl.scm 849 */
 long BgL_arg1789z00_6094;
BgL_arg1789z00_6094 = 
(BgL_idxz00_6092+BgL_arg1797z00_6084); 
BgL_arg1788z00_6093 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6094); } 
BgL_test4080z00_10872 = 
(BgL_arg1788z00_6093==BgL_classz00_6081); } }  else 
{ /* Llib/ssl.scm 849 */
 bool_t BgL_res3339z00_6117;
{ /* Llib/ssl.scm 849 */
 obj_t BgL_oclassz00_6102;
{ /* Llib/ssl.scm 849 */
 long BgL_arg1801z00_6108;
{ /* Llib/ssl.scm 849 */
 long BgL_arg1802z00_6109;
BgL_arg1802z00_6109 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6083); 
BgL_arg1801z00_6108 = 
(BgL_arg1802z00_6109-OBJECT_TYPE); } 
BgL_oclassz00_6102 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6108); } 
{ /* Llib/ssl.scm 849 */
 bool_t BgL__ortest_1110z00_6103;
BgL__ortest_1110z00_6103 = 
(BgL_classz00_6081==BgL_oclassz00_6102); 
if(BgL__ortest_1110z00_6103)
{ /* Llib/ssl.scm 849 */
BgL_res3339z00_6117 = BgL__ortest_1110z00_6103; }  else 
{ /* Llib/ssl.scm 849 */
 long BgL_odepthz00_6104;
BgL_odepthz00_6104 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6102); 
if(
(BgL_arg1797z00_6084<BgL_odepthz00_6104))
{ /* Llib/ssl.scm 849 */
 obj_t BgL_arg1790z00_6106;
BgL_arg1790z00_6106 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6102, BgL_arg1797z00_6084); 
BgL_res3339z00_6117 = 
(BgL_arg1790z00_6106==BgL_classz00_6081); }  else 
{ /* Llib/ssl.scm 849 */
BgL_res3339z00_6117 = ((bool_t)0); } } } } 
BgL_test4080z00_10872 = BgL_res3339z00_6117; } }  else 
{ /* Llib/ssl.scm 849 */
BgL_test4080z00_10872 = ((bool_t)0)
; } } 
if(BgL_test4080z00_10872)
{ /* Llib/ssl.scm 849 */
BgL_auxz00_10871 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4841)
; }  else 
{ 
 obj_t BgL_auxz00_10894;
BgL_auxz00_10894 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)34763)), BGl_string3278z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4841); 
FAILURE(BgL_auxz00_10894,BFALSE,BFALSE);} } 
BgL_tmpz00_10870 = 
BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_auxz00_10871, BgL_auxz00_10898, BgL_auxz00_10905, BgL_auxz00_10914); } 
return 
BBOOL(BgL_tmpz00_10870);} } 

}



/* secure-context-set-session-id-context! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_64, obj_t BgL_sicz00_65, long BgL_offsetz00_66, long BgL_lenz00_67)
{
{ /* Llib/ssl.scm 859 */
{ /* Llib/ssl.scm 859 */
 obj_t BgL_method1262z00_1714;
{ /* Llib/ssl.scm 859 */
 obj_t BgL_res2401z00_2570;
{ /* Llib/ssl.scm 859 */
 long BgL_objzd2classzd2numz00_2541;
BgL_objzd2classzd2numz00_2541 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_64)); 
{ /* Llib/ssl.scm 859 */
 obj_t BgL_arg1798z00_2542;
BgL_arg1798z00_2542 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 859 */
 int BgL_offsetz00_2545;
BgL_offsetz00_2545 = 
(int)(BgL_objzd2classzd2numz00_2541); 
{ /* Llib/ssl.scm 859 */
 long BgL_offsetz00_2546;
BgL_offsetz00_2546 = 
(
(long)(BgL_offsetz00_2545)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 859 */
 long BgL_modz00_2547;
BgL_modz00_2547 = 
(BgL_offsetz00_2546 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 859 */
 long BgL_restz00_2549;
BgL_restz00_2549 = 
(BgL_offsetz00_2546 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 859 */

{ /* Llib/ssl.scm 859 */
 obj_t BgL_bucketz00_2551;
BgL_bucketz00_2551 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2542),BgL_modz00_2547); 
BgL_res2401z00_2570 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2551),BgL_restz00_2549); } } } } } } } } 
BgL_method1262z00_1714 = BgL_res2401z00_2570; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1262z00_1714))(BgL_method1262z00_1714, 
((obj_t)BgL_scz00_64), BgL_sicz00_65, 
BINT(BgL_offsetz00_66), 
BINT(BgL_lenz00_67), BEOA));} } 

}



/* &secure-context-set-session-id-context! */
obj_t BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00(obj_t BgL_envz00_4845, obj_t BgL_scz00_4846, obj_t BgL_sicz00_4847, obj_t BgL_offsetz00_4848, obj_t BgL_lenz00_4849)
{
{ /* Llib/ssl.scm 859 */
{ /* Llib/ssl.scm 859 */
 bool_t BgL_tmpz00_10961;
{ /* Llib/ssl.scm 859 */
 long BgL_auxz00_11005; long BgL_auxz00_10996; obj_t BgL_auxz00_10989; BgL_securezd2contextzd2_bglt BgL_auxz00_10962;
{ /* Llib/ssl.scm 859 */
 obj_t BgL_tmpz00_11006;
if(
INTEGERP(BgL_lenz00_4849))
{ /* Llib/ssl.scm 859 */
BgL_tmpz00_11006 = BgL_lenz00_4849
; }  else 
{ 
 obj_t BgL_auxz00_11009;
BgL_auxz00_11009 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)35180)), BGl_string3279z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4849); 
FAILURE(BgL_auxz00_11009,BFALSE,BFALSE);} 
BgL_auxz00_11005 = 
(long)CINT(BgL_tmpz00_11006); } 
{ /* Llib/ssl.scm 859 */
 obj_t BgL_tmpz00_10997;
if(
INTEGERP(BgL_offsetz00_4848))
{ /* Llib/ssl.scm 859 */
BgL_tmpz00_10997 = BgL_offsetz00_4848
; }  else 
{ 
 obj_t BgL_auxz00_11000;
BgL_auxz00_11000 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)35180)), BGl_string3279z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4848); 
FAILURE(BgL_auxz00_11000,BFALSE,BFALSE);} 
BgL_auxz00_10996 = 
(long)CINT(BgL_tmpz00_10997); } 
if(
STRINGP(BgL_sicz00_4847))
{ /* Llib/ssl.scm 859 */
BgL_auxz00_10989 = BgL_sicz00_4847
; }  else 
{ 
 obj_t BgL_auxz00_10992;
BgL_auxz00_10992 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)35180)), BGl_string3279z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_sicz00_4847); 
FAILURE(BgL_auxz00_10992,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 859 */
 bool_t BgL_test4088z00_10963;
{ /* Llib/ssl.scm 859 */
 obj_t BgL_classz00_6118;
BgL_classz00_6118 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4846))
{ /* Llib/ssl.scm 859 */
 BgL_objectz00_bglt BgL_arg1796z00_6120; long BgL_arg1797z00_6121;
BgL_arg1796z00_6120 = 
(BgL_objectz00_bglt)(BgL_scz00_4846); 
BgL_arg1797z00_6121 = 
BGL_CLASS_DEPTH(BgL_classz00_6118); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 859 */
 long BgL_idxz00_6129;
BgL_idxz00_6129 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6120); 
{ /* Llib/ssl.scm 859 */
 obj_t BgL_arg1788z00_6130;
{ /* Llib/ssl.scm 859 */
 long BgL_arg1789z00_6131;
BgL_arg1789z00_6131 = 
(BgL_idxz00_6129+BgL_arg1797z00_6121); 
BgL_arg1788z00_6130 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6131); } 
BgL_test4088z00_10963 = 
(BgL_arg1788z00_6130==BgL_classz00_6118); } }  else 
{ /* Llib/ssl.scm 859 */
 bool_t BgL_res3340z00_6154;
{ /* Llib/ssl.scm 859 */
 obj_t BgL_oclassz00_6139;
{ /* Llib/ssl.scm 859 */
 long BgL_arg1801z00_6145;
{ /* Llib/ssl.scm 859 */
 long BgL_arg1802z00_6146;
BgL_arg1802z00_6146 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6120); 
BgL_arg1801z00_6145 = 
(BgL_arg1802z00_6146-OBJECT_TYPE); } 
BgL_oclassz00_6139 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6145); } 
{ /* Llib/ssl.scm 859 */
 bool_t BgL__ortest_1110z00_6140;
BgL__ortest_1110z00_6140 = 
(BgL_classz00_6118==BgL_oclassz00_6139); 
if(BgL__ortest_1110z00_6140)
{ /* Llib/ssl.scm 859 */
BgL_res3340z00_6154 = BgL__ortest_1110z00_6140; }  else 
{ /* Llib/ssl.scm 859 */
 long BgL_odepthz00_6141;
BgL_odepthz00_6141 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6139); 
if(
(BgL_arg1797z00_6121<BgL_odepthz00_6141))
{ /* Llib/ssl.scm 859 */
 obj_t BgL_arg1790z00_6143;
BgL_arg1790z00_6143 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6139, BgL_arg1797z00_6121); 
BgL_res3340z00_6154 = 
(BgL_arg1790z00_6143==BgL_classz00_6118); }  else 
{ /* Llib/ssl.scm 859 */
BgL_res3340z00_6154 = ((bool_t)0); } } } } 
BgL_test4088z00_10963 = BgL_res3340z00_6154; } }  else 
{ /* Llib/ssl.scm 859 */
BgL_test4088z00_10963 = ((bool_t)0)
; } } 
if(BgL_test4088z00_10963)
{ /* Llib/ssl.scm 859 */
BgL_auxz00_10962 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4846)
; }  else 
{ 
 obj_t BgL_auxz00_10985;
BgL_auxz00_10985 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)35180)), BGl_string3279z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4846); 
FAILURE(BgL_auxz00_10985,BFALSE,BFALSE);} } 
BgL_tmpz00_10961 = 
BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_auxz00_10962, BgL_auxz00_10989, BgL_auxz00_10996, BgL_auxz00_11005); } 
return 
BBOOL(BgL_tmpz00_10961);} } 

}



/* secure-context-load-pkcs12 */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_68, obj_t BgL_pfxz00_69, obj_t BgL_passz00_70)
{
{ /* Llib/ssl.scm 869 */
{ /* Llib/ssl.scm 869 */
 obj_t BgL_method1264z00_1715;
{ /* Llib/ssl.scm 869 */
 obj_t BgL_res2406z00_2601;
{ /* Llib/ssl.scm 869 */
 long BgL_objzd2classzd2numz00_2572;
BgL_objzd2classzd2numz00_2572 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_68)); 
{ /* Llib/ssl.scm 869 */
 obj_t BgL_arg1798z00_2573;
BgL_arg1798z00_2573 = 
PROCEDURE_REF(BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 869 */
 int BgL_offsetz00_2576;
BgL_offsetz00_2576 = 
(int)(BgL_objzd2classzd2numz00_2572); 
{ /* Llib/ssl.scm 869 */
 long BgL_offsetz00_2577;
BgL_offsetz00_2577 = 
(
(long)(BgL_offsetz00_2576)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 869 */
 long BgL_modz00_2578;
BgL_modz00_2578 = 
(BgL_offsetz00_2577 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 869 */
 long BgL_restz00_2580;
BgL_restz00_2580 = 
(BgL_offsetz00_2577 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 869 */

{ /* Llib/ssl.scm 869 */
 obj_t BgL_bucketz00_2582;
BgL_bucketz00_2582 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2573),BgL_modz00_2578); 
BgL_res2406z00_2601 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2582),BgL_restz00_2580); } } } } } } } } 
BgL_method1264z00_1715 = BgL_res2406z00_2601; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1264z00_1715))(BgL_method1264z00_1715, 
((obj_t)BgL_scz00_68), BgL_pfxz00_69, BgL_passz00_70, BEOA));} } 

}



/* &secure-context-load-pkcs12 */
obj_t BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00(obj_t BgL_envz00_4850, obj_t BgL_scz00_4851, obj_t BgL_pfxz00_4852, obj_t BgL_passz00_4853)
{
{ /* Llib/ssl.scm 869 */
{ /* Llib/ssl.scm 869 */
 bool_t BgL_tmpz00_11049;
{ /* Llib/ssl.scm 869 */
 obj_t BgL_auxz00_11077; BgL_securezd2contextzd2_bglt BgL_auxz00_11050;
if(
STRINGP(BgL_pfxz00_4852))
{ /* Llib/ssl.scm 869 */
BgL_auxz00_11077 = BgL_pfxz00_4852
; }  else 
{ 
 obj_t BgL_auxz00_11080;
BgL_auxz00_11080 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)35623)), BGl_string3280z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_pfxz00_4852); 
FAILURE(BgL_auxz00_11080,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 869 */
 bool_t BgL_test4096z00_11051;
{ /* Llib/ssl.scm 869 */
 obj_t BgL_classz00_6155;
BgL_classz00_6155 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4851))
{ /* Llib/ssl.scm 869 */
 BgL_objectz00_bglt BgL_arg1796z00_6157; long BgL_arg1797z00_6158;
BgL_arg1796z00_6157 = 
(BgL_objectz00_bglt)(BgL_scz00_4851); 
BgL_arg1797z00_6158 = 
BGL_CLASS_DEPTH(BgL_classz00_6155); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 869 */
 long BgL_idxz00_6166;
BgL_idxz00_6166 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6157); 
{ /* Llib/ssl.scm 869 */
 obj_t BgL_arg1788z00_6167;
{ /* Llib/ssl.scm 869 */
 long BgL_arg1789z00_6168;
BgL_arg1789z00_6168 = 
(BgL_idxz00_6166+BgL_arg1797z00_6158); 
BgL_arg1788z00_6167 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6168); } 
BgL_test4096z00_11051 = 
(BgL_arg1788z00_6167==BgL_classz00_6155); } }  else 
{ /* Llib/ssl.scm 869 */
 bool_t BgL_res3341z00_6191;
{ /* Llib/ssl.scm 869 */
 obj_t BgL_oclassz00_6176;
{ /* Llib/ssl.scm 869 */
 long BgL_arg1801z00_6182;
{ /* Llib/ssl.scm 869 */
 long BgL_arg1802z00_6183;
BgL_arg1802z00_6183 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6157); 
BgL_arg1801z00_6182 = 
(BgL_arg1802z00_6183-OBJECT_TYPE); } 
BgL_oclassz00_6176 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6182); } 
{ /* Llib/ssl.scm 869 */
 bool_t BgL__ortest_1110z00_6177;
BgL__ortest_1110z00_6177 = 
(BgL_classz00_6155==BgL_oclassz00_6176); 
if(BgL__ortest_1110z00_6177)
{ /* Llib/ssl.scm 869 */
BgL_res3341z00_6191 = BgL__ortest_1110z00_6177; }  else 
{ /* Llib/ssl.scm 869 */
 long BgL_odepthz00_6178;
BgL_odepthz00_6178 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6176); 
if(
(BgL_arg1797z00_6158<BgL_odepthz00_6178))
{ /* Llib/ssl.scm 869 */
 obj_t BgL_arg1790z00_6180;
BgL_arg1790z00_6180 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6176, BgL_arg1797z00_6158); 
BgL_res3341z00_6191 = 
(BgL_arg1790z00_6180==BgL_classz00_6155); }  else 
{ /* Llib/ssl.scm 869 */
BgL_res3341z00_6191 = ((bool_t)0); } } } } 
BgL_test4096z00_11051 = BgL_res3341z00_6191; } }  else 
{ /* Llib/ssl.scm 869 */
BgL_test4096z00_11051 = ((bool_t)0)
; } } 
if(BgL_test4096z00_11051)
{ /* Llib/ssl.scm 869 */
BgL_auxz00_11050 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4851)
; }  else 
{ 
 obj_t BgL_auxz00_11073;
BgL_auxz00_11073 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)35623)), BGl_string3280z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4851); 
FAILURE(BgL_auxz00_11073,BFALSE,BFALSE);} } 
BgL_tmpz00_11049 = 
BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_auxz00_11050, BgL_auxz00_11077, BgL_passz00_4853); } 
return 
BBOOL(BgL_tmpz00_11049);} } 

}



/* secure-context-set-ciphers! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_71, obj_t BgL_ciphersz00_72)
{
{ /* Llib/ssl.scm 879 */
{ /* Llib/ssl.scm 879 */
 obj_t BgL_method1266z00_1716;
{ /* Llib/ssl.scm 879 */
 obj_t BgL_res2411z00_2632;
{ /* Llib/ssl.scm 879 */
 long BgL_objzd2classzd2numz00_2603;
BgL_objzd2classzd2numz00_2603 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_71)); 
{ /* Llib/ssl.scm 879 */
 obj_t BgL_arg1798z00_2604;
BgL_arg1798z00_2604 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 879 */
 int BgL_offsetz00_2607;
BgL_offsetz00_2607 = 
(int)(BgL_objzd2classzd2numz00_2603); 
{ /* Llib/ssl.scm 879 */
 long BgL_offsetz00_2608;
BgL_offsetz00_2608 = 
(
(long)(BgL_offsetz00_2607)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 879 */
 long BgL_modz00_2609;
BgL_modz00_2609 = 
(BgL_offsetz00_2608 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 879 */
 long BgL_restz00_2611;
BgL_restz00_2611 = 
(BgL_offsetz00_2608 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 879 */

{ /* Llib/ssl.scm 879 */
 obj_t BgL_bucketz00_2613;
BgL_bucketz00_2613 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2604),BgL_modz00_2609); 
BgL_res2411z00_2632 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2613),BgL_restz00_2611); } } } } } } } } 
BgL_method1266z00_1716 = BgL_res2411z00_2632; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1266z00_1716))(BgL_method1266z00_1716, 
((obj_t)BgL_scz00_71), BgL_ciphersz00_72, BEOA));} } 

}



/* &secure-context-set-ciphers! */
obj_t BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00(obj_t BgL_envz00_4854, obj_t BgL_scz00_4855, obj_t BgL_ciphersz00_4856)
{
{ /* Llib/ssl.scm 879 */
{ /* Llib/ssl.scm 879 */
 bool_t BgL_tmpz00_11118;
{ /* Llib/ssl.scm 879 */
 obj_t BgL_auxz00_11146; BgL_securezd2contextzd2_bglt BgL_auxz00_11119;
if(
STRINGP(BgL_ciphersz00_4856))
{ /* Llib/ssl.scm 879 */
BgL_auxz00_11146 = BgL_ciphersz00_4856
; }  else 
{ 
 obj_t BgL_auxz00_11149;
BgL_auxz00_11149 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)36030)), BGl_string3281z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_ciphersz00_4856); 
FAILURE(BgL_auxz00_11149,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 879 */
 bool_t BgL_test4102z00_11120;
{ /* Llib/ssl.scm 879 */
 obj_t BgL_classz00_6192;
BgL_classz00_6192 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4855))
{ /* Llib/ssl.scm 879 */
 BgL_objectz00_bglt BgL_arg1796z00_6194; long BgL_arg1797z00_6195;
BgL_arg1796z00_6194 = 
(BgL_objectz00_bglt)(BgL_scz00_4855); 
BgL_arg1797z00_6195 = 
BGL_CLASS_DEPTH(BgL_classz00_6192); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 879 */
 long BgL_idxz00_6203;
BgL_idxz00_6203 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6194); 
{ /* Llib/ssl.scm 879 */
 obj_t BgL_arg1788z00_6204;
{ /* Llib/ssl.scm 879 */
 long BgL_arg1789z00_6205;
BgL_arg1789z00_6205 = 
(BgL_idxz00_6203+BgL_arg1797z00_6195); 
BgL_arg1788z00_6204 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6205); } 
BgL_test4102z00_11120 = 
(BgL_arg1788z00_6204==BgL_classz00_6192); } }  else 
{ /* Llib/ssl.scm 879 */
 bool_t BgL_res3342z00_6228;
{ /* Llib/ssl.scm 879 */
 obj_t BgL_oclassz00_6213;
{ /* Llib/ssl.scm 879 */
 long BgL_arg1801z00_6219;
{ /* Llib/ssl.scm 879 */
 long BgL_arg1802z00_6220;
BgL_arg1802z00_6220 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6194); 
BgL_arg1801z00_6219 = 
(BgL_arg1802z00_6220-OBJECT_TYPE); } 
BgL_oclassz00_6213 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6219); } 
{ /* Llib/ssl.scm 879 */
 bool_t BgL__ortest_1110z00_6214;
BgL__ortest_1110z00_6214 = 
(BgL_classz00_6192==BgL_oclassz00_6213); 
if(BgL__ortest_1110z00_6214)
{ /* Llib/ssl.scm 879 */
BgL_res3342z00_6228 = BgL__ortest_1110z00_6214; }  else 
{ /* Llib/ssl.scm 879 */
 long BgL_odepthz00_6215;
BgL_odepthz00_6215 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6213); 
if(
(BgL_arg1797z00_6195<BgL_odepthz00_6215))
{ /* Llib/ssl.scm 879 */
 obj_t BgL_arg1790z00_6217;
BgL_arg1790z00_6217 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6213, BgL_arg1797z00_6195); 
BgL_res3342z00_6228 = 
(BgL_arg1790z00_6217==BgL_classz00_6192); }  else 
{ /* Llib/ssl.scm 879 */
BgL_res3342z00_6228 = ((bool_t)0); } } } } 
BgL_test4102z00_11120 = BgL_res3342z00_6228; } }  else 
{ /* Llib/ssl.scm 879 */
BgL_test4102z00_11120 = ((bool_t)0)
; } } 
if(BgL_test4102z00_11120)
{ /* Llib/ssl.scm 879 */
BgL_auxz00_11119 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4855)
; }  else 
{ 
 obj_t BgL_auxz00_11142;
BgL_auxz00_11142 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)36030)), BGl_string3281z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4855); 
FAILURE(BgL_auxz00_11142,BFALSE,BFALSE);} } 
BgL_tmpz00_11118 = 
BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_auxz00_11119, BgL_auxz00_11146); } 
return 
BBOOL(BgL_tmpz00_11118);} } 

}



/* secure-context-set-options! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_73, int BgL_optionsz00_74)
{
{ /* Llib/ssl.scm 891 */
{ /* Llib/ssl.scm 891 */
 obj_t BgL_method1268z00_1717;
{ /* Llib/ssl.scm 891 */
 obj_t BgL_res2416z00_2663;
{ /* Llib/ssl.scm 891 */
 long BgL_objzd2classzd2numz00_2634;
BgL_objzd2classzd2numz00_2634 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_73)); 
{ /* Llib/ssl.scm 891 */
 obj_t BgL_arg1798z00_2635;
BgL_arg1798z00_2635 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 891 */
 int BgL_offsetz00_2638;
BgL_offsetz00_2638 = 
(int)(BgL_objzd2classzd2numz00_2634); 
{ /* Llib/ssl.scm 891 */
 long BgL_offsetz00_2639;
BgL_offsetz00_2639 = 
(
(long)(BgL_offsetz00_2638)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 891 */
 long BgL_modz00_2640;
BgL_modz00_2640 = 
(BgL_offsetz00_2639 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 891 */
 long BgL_restz00_2642;
BgL_restz00_2642 = 
(BgL_offsetz00_2639 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 891 */

{ /* Llib/ssl.scm 891 */
 obj_t BgL_bucketz00_2644;
BgL_bucketz00_2644 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2635),BgL_modz00_2640); 
BgL_res2416z00_2663 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2644),BgL_restz00_2642); } } } } } } } } 
BgL_method1268z00_1717 = BgL_res2416z00_2663; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1268z00_1717))(BgL_method1268z00_1717, 
((obj_t)BgL_scz00_73), 
BINT(BgL_optionsz00_74), BEOA));} } 

}



/* &secure-context-set-options! */
obj_t BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00(obj_t BgL_envz00_4857, obj_t BgL_scz00_4858, obj_t BgL_optionsz00_4859)
{
{ /* Llib/ssl.scm 891 */
{ /* Llib/ssl.scm 891 */
 bool_t BgL_tmpz00_11188;
{ /* Llib/ssl.scm 891 */
 int BgL_auxz00_11216; BgL_securezd2contextzd2_bglt BgL_auxz00_11189;
{ /* Llib/ssl.scm 891 */
 obj_t BgL_tmpz00_11217;
if(
INTEGERP(BgL_optionsz00_4859))
{ /* Llib/ssl.scm 891 */
BgL_tmpz00_11217 = BgL_optionsz00_4859
; }  else 
{ 
 obj_t BgL_auxz00_11220;
BgL_auxz00_11220 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)36490)), BGl_string3282z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_optionsz00_4859); 
FAILURE(BgL_auxz00_11220,BFALSE,BFALSE);} 
BgL_auxz00_11216 = 
CINT(BgL_tmpz00_11217); } 
{ /* Llib/ssl.scm 891 */
 bool_t BgL_test4108z00_11190;
{ /* Llib/ssl.scm 891 */
 obj_t BgL_classz00_6229;
BgL_classz00_6229 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4858))
{ /* Llib/ssl.scm 891 */
 BgL_objectz00_bglt BgL_arg1796z00_6231; long BgL_arg1797z00_6232;
BgL_arg1796z00_6231 = 
(BgL_objectz00_bglt)(BgL_scz00_4858); 
BgL_arg1797z00_6232 = 
BGL_CLASS_DEPTH(BgL_classz00_6229); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 891 */
 long BgL_idxz00_6240;
BgL_idxz00_6240 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6231); 
{ /* Llib/ssl.scm 891 */
 obj_t BgL_arg1788z00_6241;
{ /* Llib/ssl.scm 891 */
 long BgL_arg1789z00_6242;
BgL_arg1789z00_6242 = 
(BgL_idxz00_6240+BgL_arg1797z00_6232); 
BgL_arg1788z00_6241 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6242); } 
BgL_test4108z00_11190 = 
(BgL_arg1788z00_6241==BgL_classz00_6229); } }  else 
{ /* Llib/ssl.scm 891 */
 bool_t BgL_res3343z00_6265;
{ /* Llib/ssl.scm 891 */
 obj_t BgL_oclassz00_6250;
{ /* Llib/ssl.scm 891 */
 long BgL_arg1801z00_6256;
{ /* Llib/ssl.scm 891 */
 long BgL_arg1802z00_6257;
BgL_arg1802z00_6257 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6231); 
BgL_arg1801z00_6256 = 
(BgL_arg1802z00_6257-OBJECT_TYPE); } 
BgL_oclassz00_6250 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6256); } 
{ /* Llib/ssl.scm 891 */
 bool_t BgL__ortest_1110z00_6251;
BgL__ortest_1110z00_6251 = 
(BgL_classz00_6229==BgL_oclassz00_6250); 
if(BgL__ortest_1110z00_6251)
{ /* Llib/ssl.scm 891 */
BgL_res3343z00_6265 = BgL__ortest_1110z00_6251; }  else 
{ /* Llib/ssl.scm 891 */
 long BgL_odepthz00_6252;
BgL_odepthz00_6252 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6250); 
if(
(BgL_arg1797z00_6232<BgL_odepthz00_6252))
{ /* Llib/ssl.scm 891 */
 obj_t BgL_arg1790z00_6254;
BgL_arg1790z00_6254 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6250, BgL_arg1797z00_6232); 
BgL_res3343z00_6265 = 
(BgL_arg1790z00_6254==BgL_classz00_6229); }  else 
{ /* Llib/ssl.scm 891 */
BgL_res3343z00_6265 = ((bool_t)0); } } } } 
BgL_test4108z00_11190 = BgL_res3343z00_6265; } }  else 
{ /* Llib/ssl.scm 891 */
BgL_test4108z00_11190 = ((bool_t)0)
; } } 
if(BgL_test4108z00_11190)
{ /* Llib/ssl.scm 891 */
BgL_auxz00_11189 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4858)
; }  else 
{ 
 obj_t BgL_auxz00_11212;
BgL_auxz00_11212 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)36490)), BGl_string3282z00zz__ssl_sslz00, BGl_string2972z00zz__ssl_sslz00, BgL_scz00_4858); 
FAILURE(BgL_auxz00_11212,BFALSE,BFALSE);} } 
BgL_tmpz00_11188 = 
BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_auxz00_11189, BgL_auxz00_11216); } 
return 
BBOOL(BgL_tmpz00_11188);} } 

}



/* ssl-connection-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_75)
{
{ /* Llib/ssl.scm 903 */
{ /* Llib/ssl.scm 903 */
 obj_t BgL_method1270z00_1718;
{ /* Llib/ssl.scm 903 */
 obj_t BgL_res2421z00_2694;
{ /* Llib/ssl.scm 903 */
 long BgL_objzd2classzd2numz00_2665;
BgL_objzd2classzd2numz00_2665 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_75)); 
{ /* Llib/ssl.scm 903 */
 obj_t BgL_arg1798z00_2666;
BgL_arg1798z00_2666 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 903 */
 int BgL_offsetz00_2669;
BgL_offsetz00_2669 = 
(int)(BgL_objzd2classzd2numz00_2665); 
{ /* Llib/ssl.scm 903 */
 long BgL_offsetz00_2670;
BgL_offsetz00_2670 = 
(
(long)(BgL_offsetz00_2669)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 903 */
 long BgL_modz00_2671;
BgL_modz00_2671 = 
(BgL_offsetz00_2670 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 903 */
 long BgL_restz00_2673;
BgL_restz00_2673 = 
(BgL_offsetz00_2670 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 903 */

{ /* Llib/ssl.scm 903 */
 obj_t BgL_bucketz00_2675;
BgL_bucketz00_2675 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2666),BgL_modz00_2671); 
BgL_res2421z00_2694 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2675),BgL_restz00_2673); } } } } } } } } 
BgL_method1270z00_1718 = BgL_res2421z00_2694; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1270z00_1718))(BgL_method1270z00_1718, 
((obj_t)BgL_sslz00_75), BEOA);} } 

}



/* &ssl-connection-init */
obj_t BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4578, obj_t BgL_sslz00_4579)
{
{ /* Llib/ssl.scm 903 */
{ /* Llib/ssl.scm 903 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11257;
{ /* Llib/ssl.scm 903 */
 bool_t BgL_test4114z00_11258;
{ /* Llib/ssl.scm 903 */
 obj_t BgL_classz00_6266;
BgL_classz00_6266 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4579))
{ /* Llib/ssl.scm 903 */
 BgL_objectz00_bglt BgL_arg1796z00_6268; long BgL_arg1797z00_6269;
BgL_arg1796z00_6268 = 
(BgL_objectz00_bglt)(BgL_sslz00_4579); 
BgL_arg1797z00_6269 = 
BGL_CLASS_DEPTH(BgL_classz00_6266); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 903 */
 long BgL_idxz00_6277;
BgL_idxz00_6277 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6268); 
{ /* Llib/ssl.scm 903 */
 obj_t BgL_arg1788z00_6278;
{ /* Llib/ssl.scm 903 */
 long BgL_arg1789z00_6279;
BgL_arg1789z00_6279 = 
(BgL_idxz00_6277+BgL_arg1797z00_6269); 
BgL_arg1788z00_6278 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6279); } 
BgL_test4114z00_11258 = 
(BgL_arg1788z00_6278==BgL_classz00_6266); } }  else 
{ /* Llib/ssl.scm 903 */
 bool_t BgL_res3344z00_6302;
{ /* Llib/ssl.scm 903 */
 obj_t BgL_oclassz00_6287;
{ /* Llib/ssl.scm 903 */
 long BgL_arg1801z00_6293;
{ /* Llib/ssl.scm 903 */
 long BgL_arg1802z00_6294;
BgL_arg1802z00_6294 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6268); 
BgL_arg1801z00_6293 = 
(BgL_arg1802z00_6294-OBJECT_TYPE); } 
BgL_oclassz00_6287 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6293); } 
{ /* Llib/ssl.scm 903 */
 bool_t BgL__ortest_1110z00_6288;
BgL__ortest_1110z00_6288 = 
(BgL_classz00_6266==BgL_oclassz00_6287); 
if(BgL__ortest_1110z00_6288)
{ /* Llib/ssl.scm 903 */
BgL_res3344z00_6302 = BgL__ortest_1110z00_6288; }  else 
{ /* Llib/ssl.scm 903 */
 long BgL_odepthz00_6289;
BgL_odepthz00_6289 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6287); 
if(
(BgL_arg1797z00_6269<BgL_odepthz00_6289))
{ /* Llib/ssl.scm 903 */
 obj_t BgL_arg1790z00_6291;
BgL_arg1790z00_6291 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6287, BgL_arg1797z00_6269); 
BgL_res3344z00_6302 = 
(BgL_arg1790z00_6291==BgL_classz00_6266); }  else 
{ /* Llib/ssl.scm 903 */
BgL_res3344z00_6302 = ((bool_t)0); } } } } 
BgL_test4114z00_11258 = BgL_res3344z00_6302; } }  else 
{ /* Llib/ssl.scm 903 */
BgL_test4114z00_11258 = ((bool_t)0)
; } } 
if(BgL_test4114z00_11258)
{ /* Llib/ssl.scm 903 */
BgL_auxz00_11257 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4579)
; }  else 
{ 
 obj_t BgL_auxz00_11280;
BgL_auxz00_11280 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)36946)), BGl_string3283z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4579); 
FAILURE(BgL_auxz00_11280,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_auxz00_11257);} } 

}



/* ssl-connection-start */
BGL_EXPORTED_DEF int BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_76)
{
{ /* Llib/ssl.scm 913 */
{ /* Llib/ssl.scm 913 */
 obj_t BgL_method1272z00_1719;
{ /* Llib/ssl.scm 913 */
 obj_t BgL_res2426z00_2725;
{ /* Llib/ssl.scm 913 */
 long BgL_objzd2classzd2numz00_2696;
BgL_objzd2classzd2numz00_2696 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_76)); 
{ /* Llib/ssl.scm 913 */
 obj_t BgL_arg1798z00_2697;
BgL_arg1798z00_2697 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 913 */
 int BgL_offsetz00_2700;
BgL_offsetz00_2700 = 
(int)(BgL_objzd2classzd2numz00_2696); 
{ /* Llib/ssl.scm 913 */
 long BgL_offsetz00_2701;
BgL_offsetz00_2701 = 
(
(long)(BgL_offsetz00_2700)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 913 */
 long BgL_modz00_2702;
BgL_modz00_2702 = 
(BgL_offsetz00_2701 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 913 */
 long BgL_restz00_2704;
BgL_restz00_2704 = 
(BgL_offsetz00_2701 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 913 */

{ /* Llib/ssl.scm 913 */
 obj_t BgL_bucketz00_2706;
BgL_bucketz00_2706 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2697),BgL_modz00_2702); 
BgL_res2426z00_2725 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2706),BgL_restz00_2704); } } } } } } } } 
BgL_method1272z00_1719 = BgL_res2426z00_2725; } 
return 
CINT(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1272z00_1719))(BgL_method1272z00_1719, 
((obj_t)BgL_sslz00_76), BEOA));} } 

}



/* &ssl-connection-start */
obj_t BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00(obj_t BgL_envz00_4860, obj_t BgL_sslz00_4861)
{
{ /* Llib/ssl.scm 913 */
{ /* Llib/ssl.scm 913 */
 int BgL_tmpz00_11316;
{ /* Llib/ssl.scm 913 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11317;
{ /* Llib/ssl.scm 913 */
 bool_t BgL_test4119z00_11318;
{ /* Llib/ssl.scm 913 */
 obj_t BgL_classz00_6303;
BgL_classz00_6303 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4861))
{ /* Llib/ssl.scm 913 */
 BgL_objectz00_bglt BgL_arg1796z00_6305; long BgL_arg1797z00_6306;
BgL_arg1796z00_6305 = 
(BgL_objectz00_bglt)(BgL_sslz00_4861); 
BgL_arg1797z00_6306 = 
BGL_CLASS_DEPTH(BgL_classz00_6303); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 913 */
 long BgL_idxz00_6314;
BgL_idxz00_6314 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6305); 
{ /* Llib/ssl.scm 913 */
 obj_t BgL_arg1788z00_6315;
{ /* Llib/ssl.scm 913 */
 long BgL_arg1789z00_6316;
BgL_arg1789z00_6316 = 
(BgL_idxz00_6314+BgL_arg1797z00_6306); 
BgL_arg1788z00_6315 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6316); } 
BgL_test4119z00_11318 = 
(BgL_arg1788z00_6315==BgL_classz00_6303); } }  else 
{ /* Llib/ssl.scm 913 */
 bool_t BgL_res3345z00_6339;
{ /* Llib/ssl.scm 913 */
 obj_t BgL_oclassz00_6324;
{ /* Llib/ssl.scm 913 */
 long BgL_arg1801z00_6330;
{ /* Llib/ssl.scm 913 */
 long BgL_arg1802z00_6331;
BgL_arg1802z00_6331 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6305); 
BgL_arg1801z00_6330 = 
(BgL_arg1802z00_6331-OBJECT_TYPE); } 
BgL_oclassz00_6324 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6330); } 
{ /* Llib/ssl.scm 913 */
 bool_t BgL__ortest_1110z00_6325;
BgL__ortest_1110z00_6325 = 
(BgL_classz00_6303==BgL_oclassz00_6324); 
if(BgL__ortest_1110z00_6325)
{ /* Llib/ssl.scm 913 */
BgL_res3345z00_6339 = BgL__ortest_1110z00_6325; }  else 
{ /* Llib/ssl.scm 913 */
 long BgL_odepthz00_6326;
BgL_odepthz00_6326 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6324); 
if(
(BgL_arg1797z00_6306<BgL_odepthz00_6326))
{ /* Llib/ssl.scm 913 */
 obj_t BgL_arg1790z00_6328;
BgL_arg1790z00_6328 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6324, BgL_arg1797z00_6306); 
BgL_res3345z00_6339 = 
(BgL_arg1790z00_6328==BgL_classz00_6303); }  else 
{ /* Llib/ssl.scm 913 */
BgL_res3345z00_6339 = ((bool_t)0); } } } } 
BgL_test4119z00_11318 = BgL_res3345z00_6339; } }  else 
{ /* Llib/ssl.scm 913 */
BgL_test4119z00_11318 = ((bool_t)0)
; } } 
if(BgL_test4119z00_11318)
{ /* Llib/ssl.scm 913 */
BgL_auxz00_11317 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4861)
; }  else 
{ 
 obj_t BgL_auxz00_11340;
BgL_auxz00_11340 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)37325)), BGl_string3285z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4861); 
FAILURE(BgL_auxz00_11340,BFALSE,BFALSE);} } 
BgL_tmpz00_11316 = 
BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_auxz00_11317); } 
return 
BINT(BgL_tmpz00_11316);} } 

}



/* ssl-connection-close */
BGL_EXPORTED_DEF int BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_77)
{
{ /* Llib/ssl.scm 923 */
{ /* Llib/ssl.scm 923 */
 obj_t BgL_method1274z00_1720;
{ /* Llib/ssl.scm 923 */
 obj_t BgL_res2431z00_2756;
{ /* Llib/ssl.scm 923 */
 long BgL_objzd2classzd2numz00_2727;
BgL_objzd2classzd2numz00_2727 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_77)); 
{ /* Llib/ssl.scm 923 */
 obj_t BgL_arg1798z00_2728;
BgL_arg1798z00_2728 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 923 */
 int BgL_offsetz00_2731;
BgL_offsetz00_2731 = 
(int)(BgL_objzd2classzd2numz00_2727); 
{ /* Llib/ssl.scm 923 */
 long BgL_offsetz00_2732;
BgL_offsetz00_2732 = 
(
(long)(BgL_offsetz00_2731)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 923 */
 long BgL_modz00_2733;
BgL_modz00_2733 = 
(BgL_offsetz00_2732 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 923 */
 long BgL_restz00_2735;
BgL_restz00_2735 = 
(BgL_offsetz00_2732 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 923 */

{ /* Llib/ssl.scm 923 */
 obj_t BgL_bucketz00_2737;
BgL_bucketz00_2737 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2728),BgL_modz00_2733); 
BgL_res2431z00_2756 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2737),BgL_restz00_2735); } } } } } } } } 
BgL_method1274z00_1720 = BgL_res2431z00_2756; } 
return 
CINT(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1274z00_1720))(BgL_method1274z00_1720, 
((obj_t)BgL_sslz00_77), BEOA));} } 

}



/* &ssl-connection-close */
obj_t BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00(obj_t BgL_envz00_4862, obj_t BgL_sslz00_4863)
{
{ /* Llib/ssl.scm 923 */
{ /* Llib/ssl.scm 923 */
 int BgL_tmpz00_11377;
{ /* Llib/ssl.scm 923 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11378;
{ /* Llib/ssl.scm 923 */
 bool_t BgL_test4124z00_11379;
{ /* Llib/ssl.scm 923 */
 obj_t BgL_classz00_6340;
BgL_classz00_6340 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4863))
{ /* Llib/ssl.scm 923 */
 BgL_objectz00_bglt BgL_arg1796z00_6342; long BgL_arg1797z00_6343;
BgL_arg1796z00_6342 = 
(BgL_objectz00_bglt)(BgL_sslz00_4863); 
BgL_arg1797z00_6343 = 
BGL_CLASS_DEPTH(BgL_classz00_6340); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 923 */
 long BgL_idxz00_6351;
BgL_idxz00_6351 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6342); 
{ /* Llib/ssl.scm 923 */
 obj_t BgL_arg1788z00_6352;
{ /* Llib/ssl.scm 923 */
 long BgL_arg1789z00_6353;
BgL_arg1789z00_6353 = 
(BgL_idxz00_6351+BgL_arg1797z00_6343); 
BgL_arg1788z00_6352 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6353); } 
BgL_test4124z00_11379 = 
(BgL_arg1788z00_6352==BgL_classz00_6340); } }  else 
{ /* Llib/ssl.scm 923 */
 bool_t BgL_res3346z00_6376;
{ /* Llib/ssl.scm 923 */
 obj_t BgL_oclassz00_6361;
{ /* Llib/ssl.scm 923 */
 long BgL_arg1801z00_6367;
{ /* Llib/ssl.scm 923 */
 long BgL_arg1802z00_6368;
BgL_arg1802z00_6368 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6342); 
BgL_arg1801z00_6367 = 
(BgL_arg1802z00_6368-OBJECT_TYPE); } 
BgL_oclassz00_6361 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6367); } 
{ /* Llib/ssl.scm 923 */
 bool_t BgL__ortest_1110z00_6362;
BgL__ortest_1110z00_6362 = 
(BgL_classz00_6340==BgL_oclassz00_6361); 
if(BgL__ortest_1110z00_6362)
{ /* Llib/ssl.scm 923 */
BgL_res3346z00_6376 = BgL__ortest_1110z00_6362; }  else 
{ /* Llib/ssl.scm 923 */
 long BgL_odepthz00_6363;
BgL_odepthz00_6363 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6361); 
if(
(BgL_arg1797z00_6343<BgL_odepthz00_6363))
{ /* Llib/ssl.scm 923 */
 obj_t BgL_arg1790z00_6365;
BgL_arg1790z00_6365 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6361, BgL_arg1797z00_6343); 
BgL_res3346z00_6376 = 
(BgL_arg1790z00_6365==BgL_classz00_6340); }  else 
{ /* Llib/ssl.scm 923 */
BgL_res3346z00_6376 = ((bool_t)0); } } } } 
BgL_test4124z00_11379 = BgL_res3346z00_6376; } }  else 
{ /* Llib/ssl.scm 923 */
BgL_test4124z00_11379 = ((bool_t)0)
; } } 
if(BgL_test4124z00_11379)
{ /* Llib/ssl.scm 923 */
BgL_auxz00_11378 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4863)
; }  else 
{ 
 obj_t BgL_auxz00_11401;
BgL_auxz00_11401 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)37705)), BGl_string3286z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4863); 
FAILURE(BgL_auxz00_11401,BFALSE,BFALSE);} } 
BgL_tmpz00_11377 = 
BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_auxz00_11378); } 
return 
BINT(BgL_tmpz00_11377);} } 

}



/* ssl-connection-shutdown */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_78)
{
{ /* Llib/ssl.scm 933 */
{ /* Llib/ssl.scm 933 */
 obj_t BgL_method1276z00_1721;
{ /* Llib/ssl.scm 933 */
 obj_t BgL_res2436z00_2787;
{ /* Llib/ssl.scm 933 */
 long BgL_objzd2classzd2numz00_2758;
BgL_objzd2classzd2numz00_2758 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_78)); 
{ /* Llib/ssl.scm 933 */
 obj_t BgL_arg1798z00_2759;
BgL_arg1798z00_2759 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 933 */
 int BgL_offsetz00_2762;
BgL_offsetz00_2762 = 
(int)(BgL_objzd2classzd2numz00_2758); 
{ /* Llib/ssl.scm 933 */
 long BgL_offsetz00_2763;
BgL_offsetz00_2763 = 
(
(long)(BgL_offsetz00_2762)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 933 */
 long BgL_modz00_2764;
BgL_modz00_2764 = 
(BgL_offsetz00_2763 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 933 */
 long BgL_restz00_2766;
BgL_restz00_2766 = 
(BgL_offsetz00_2763 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 933 */

{ /* Llib/ssl.scm 933 */
 obj_t BgL_bucketz00_2768;
BgL_bucketz00_2768 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2759),BgL_modz00_2764); 
BgL_res2436z00_2787 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2768),BgL_restz00_2766); } } } } } } } } 
BgL_method1276z00_1721 = BgL_res2436z00_2787; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1276z00_1721))(BgL_method1276z00_1721, 
((obj_t)BgL_sslz00_78), BEOA);} } 

}



/* &ssl-connection-shutdown */
obj_t BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00(obj_t BgL_envz00_4864, obj_t BgL_sslz00_4865)
{
{ /* Llib/ssl.scm 933 */
{ /* Llib/ssl.scm 933 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11437;
{ /* Llib/ssl.scm 933 */
 bool_t BgL_test4129z00_11438;
{ /* Llib/ssl.scm 933 */
 obj_t BgL_classz00_6377;
BgL_classz00_6377 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4865))
{ /* Llib/ssl.scm 933 */
 BgL_objectz00_bglt BgL_arg1796z00_6379; long BgL_arg1797z00_6380;
BgL_arg1796z00_6379 = 
(BgL_objectz00_bglt)(BgL_sslz00_4865); 
BgL_arg1797z00_6380 = 
BGL_CLASS_DEPTH(BgL_classz00_6377); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 933 */
 long BgL_idxz00_6388;
BgL_idxz00_6388 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6379); 
{ /* Llib/ssl.scm 933 */
 obj_t BgL_arg1788z00_6389;
{ /* Llib/ssl.scm 933 */
 long BgL_arg1789z00_6390;
BgL_arg1789z00_6390 = 
(BgL_idxz00_6388+BgL_arg1797z00_6380); 
BgL_arg1788z00_6389 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6390); } 
BgL_test4129z00_11438 = 
(BgL_arg1788z00_6389==BgL_classz00_6377); } }  else 
{ /* Llib/ssl.scm 933 */
 bool_t BgL_res3347z00_6413;
{ /* Llib/ssl.scm 933 */
 obj_t BgL_oclassz00_6398;
{ /* Llib/ssl.scm 933 */
 long BgL_arg1801z00_6404;
{ /* Llib/ssl.scm 933 */
 long BgL_arg1802z00_6405;
BgL_arg1802z00_6405 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6379); 
BgL_arg1801z00_6404 = 
(BgL_arg1802z00_6405-OBJECT_TYPE); } 
BgL_oclassz00_6398 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6404); } 
{ /* Llib/ssl.scm 933 */
 bool_t BgL__ortest_1110z00_6399;
BgL__ortest_1110z00_6399 = 
(BgL_classz00_6377==BgL_oclassz00_6398); 
if(BgL__ortest_1110z00_6399)
{ /* Llib/ssl.scm 933 */
BgL_res3347z00_6413 = BgL__ortest_1110z00_6399; }  else 
{ /* Llib/ssl.scm 933 */
 long BgL_odepthz00_6400;
BgL_odepthz00_6400 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6398); 
if(
(BgL_arg1797z00_6380<BgL_odepthz00_6400))
{ /* Llib/ssl.scm 933 */
 obj_t BgL_arg1790z00_6402;
BgL_arg1790z00_6402 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6398, BgL_arg1797z00_6380); 
BgL_res3347z00_6413 = 
(BgL_arg1790z00_6402==BgL_classz00_6377); }  else 
{ /* Llib/ssl.scm 933 */
BgL_res3347z00_6413 = ((bool_t)0); } } } } 
BgL_test4129z00_11438 = BgL_res3347z00_6413; } }  else 
{ /* Llib/ssl.scm 933 */
BgL_test4129z00_11438 = ((bool_t)0)
; } } 
if(BgL_test4129z00_11438)
{ /* Llib/ssl.scm 933 */
BgL_auxz00_11437 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4865)
; }  else 
{ 
 obj_t BgL_auxz00_11460;
BgL_auxz00_11460 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)38085)), BGl_string3287z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4865); 
FAILURE(BgL_auxz00_11460,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_auxz00_11437);} } 

}



/* ssl-connection-read */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_79, obj_t BgL_bufferz00_80, long BgL_offsetz00_81, long BgL_lenz00_82)
{
{ /* Llib/ssl.scm 943 */
{ /* Llib/ssl.scm 943 */
 obj_t BgL_method1278z00_1722;
{ /* Llib/ssl.scm 943 */
 obj_t BgL_res2441z00_2818;
{ /* Llib/ssl.scm 943 */
 long BgL_objzd2classzd2numz00_2789;
BgL_objzd2classzd2numz00_2789 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_79)); 
{ /* Llib/ssl.scm 943 */
 obj_t BgL_arg1798z00_2790;
BgL_arg1798z00_2790 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 943 */
 int BgL_offsetz00_2793;
BgL_offsetz00_2793 = 
(int)(BgL_objzd2classzd2numz00_2789); 
{ /* Llib/ssl.scm 943 */
 long BgL_offsetz00_2794;
BgL_offsetz00_2794 = 
(
(long)(BgL_offsetz00_2793)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 943 */
 long BgL_modz00_2795;
BgL_modz00_2795 = 
(BgL_offsetz00_2794 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 943 */
 long BgL_restz00_2797;
BgL_restz00_2797 = 
(BgL_offsetz00_2794 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 943 */

{ /* Llib/ssl.scm 943 */
 obj_t BgL_bucketz00_2799;
BgL_bucketz00_2799 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2790),BgL_modz00_2795); 
BgL_res2441z00_2818 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2799),BgL_restz00_2797); } } } } } } } } 
BgL_method1278z00_1722 = BgL_res2441z00_2818; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1278z00_1722))(BgL_method1278z00_1722, 
((obj_t)BgL_sslz00_79), BgL_bufferz00_80, 
BINT(BgL_offsetz00_81), 
BINT(BgL_lenz00_82), BEOA);} } 

}



/* &ssl-connection-read */
obj_t BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00(obj_t BgL_envz00_4866, obj_t BgL_sslz00_4867, obj_t BgL_bufferz00_4868, obj_t BgL_offsetz00_4869, obj_t BgL_lenz00_4870)
{
{ /* Llib/ssl.scm 943 */
{ /* Llib/ssl.scm 943 */
 long BgL_auxz00_11543; long BgL_auxz00_11534; obj_t BgL_auxz00_11527; BgL_sslzd2connectionzd2_bglt BgL_auxz00_11500;
{ /* Llib/ssl.scm 943 */
 obj_t BgL_tmpz00_11544;
if(
INTEGERP(BgL_lenz00_4870))
{ /* Llib/ssl.scm 943 */
BgL_tmpz00_11544 = BgL_lenz00_4870
; }  else 
{ 
 obj_t BgL_auxz00_11547;
BgL_auxz00_11547 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)38471)), BGl_string3288z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4870); 
FAILURE(BgL_auxz00_11547,BFALSE,BFALSE);} 
BgL_auxz00_11543 = 
(long)CINT(BgL_tmpz00_11544); } 
{ /* Llib/ssl.scm 943 */
 obj_t BgL_tmpz00_11535;
if(
INTEGERP(BgL_offsetz00_4869))
{ /* Llib/ssl.scm 943 */
BgL_tmpz00_11535 = BgL_offsetz00_4869
; }  else 
{ 
 obj_t BgL_auxz00_11538;
BgL_auxz00_11538 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)38471)), BGl_string3288z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4869); 
FAILURE(BgL_auxz00_11538,BFALSE,BFALSE);} 
BgL_auxz00_11534 = 
(long)CINT(BgL_tmpz00_11535); } 
if(
STRINGP(BgL_bufferz00_4868))
{ /* Llib/ssl.scm 943 */
BgL_auxz00_11527 = BgL_bufferz00_4868
; }  else 
{ 
 obj_t BgL_auxz00_11530;
BgL_auxz00_11530 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)38471)), BGl_string3288z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_bufferz00_4868); 
FAILURE(BgL_auxz00_11530,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 943 */
 bool_t BgL_test4134z00_11501;
{ /* Llib/ssl.scm 943 */
 obj_t BgL_classz00_6414;
BgL_classz00_6414 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4867))
{ /* Llib/ssl.scm 943 */
 BgL_objectz00_bglt BgL_arg1796z00_6416; long BgL_arg1797z00_6417;
BgL_arg1796z00_6416 = 
(BgL_objectz00_bglt)(BgL_sslz00_4867); 
BgL_arg1797z00_6417 = 
BGL_CLASS_DEPTH(BgL_classz00_6414); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 943 */
 long BgL_idxz00_6425;
BgL_idxz00_6425 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6416); 
{ /* Llib/ssl.scm 943 */
 obj_t BgL_arg1788z00_6426;
{ /* Llib/ssl.scm 943 */
 long BgL_arg1789z00_6427;
BgL_arg1789z00_6427 = 
(BgL_idxz00_6425+BgL_arg1797z00_6417); 
BgL_arg1788z00_6426 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6427); } 
BgL_test4134z00_11501 = 
(BgL_arg1788z00_6426==BgL_classz00_6414); } }  else 
{ /* Llib/ssl.scm 943 */
 bool_t BgL_res3348z00_6450;
{ /* Llib/ssl.scm 943 */
 obj_t BgL_oclassz00_6435;
{ /* Llib/ssl.scm 943 */
 long BgL_arg1801z00_6441;
{ /* Llib/ssl.scm 943 */
 long BgL_arg1802z00_6442;
BgL_arg1802z00_6442 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6416); 
BgL_arg1801z00_6441 = 
(BgL_arg1802z00_6442-OBJECT_TYPE); } 
BgL_oclassz00_6435 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6441); } 
{ /* Llib/ssl.scm 943 */
 bool_t BgL__ortest_1110z00_6436;
BgL__ortest_1110z00_6436 = 
(BgL_classz00_6414==BgL_oclassz00_6435); 
if(BgL__ortest_1110z00_6436)
{ /* Llib/ssl.scm 943 */
BgL_res3348z00_6450 = BgL__ortest_1110z00_6436; }  else 
{ /* Llib/ssl.scm 943 */
 long BgL_odepthz00_6437;
BgL_odepthz00_6437 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6435); 
if(
(BgL_arg1797z00_6417<BgL_odepthz00_6437))
{ /* Llib/ssl.scm 943 */
 obj_t BgL_arg1790z00_6439;
BgL_arg1790z00_6439 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6435, BgL_arg1797z00_6417); 
BgL_res3348z00_6450 = 
(BgL_arg1790z00_6439==BgL_classz00_6414); }  else 
{ /* Llib/ssl.scm 943 */
BgL_res3348z00_6450 = ((bool_t)0); } } } } 
BgL_test4134z00_11501 = BgL_res3348z00_6450; } }  else 
{ /* Llib/ssl.scm 943 */
BgL_test4134z00_11501 = ((bool_t)0)
; } } 
if(BgL_test4134z00_11501)
{ /* Llib/ssl.scm 943 */
BgL_auxz00_11500 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4867)
; }  else 
{ 
 obj_t BgL_auxz00_11523;
BgL_auxz00_11523 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)38471)), BGl_string3288z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4867); 
FAILURE(BgL_auxz00_11523,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_auxz00_11500, BgL_auxz00_11527, BgL_auxz00_11534, BgL_auxz00_11543);} } 

}



/* ssl-connection-write */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_83, obj_t BgL_bufferz00_84, long BgL_offsetz00_85, long BgL_lenz00_86)
{
{ /* Llib/ssl.scm 953 */
{ /* Llib/ssl.scm 953 */
 obj_t BgL_method1280z00_1723;
{ /* Llib/ssl.scm 953 */
 obj_t BgL_res2446z00_2849;
{ /* Llib/ssl.scm 953 */
 long BgL_objzd2classzd2numz00_2820;
BgL_objzd2classzd2numz00_2820 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_83)); 
{ /* Llib/ssl.scm 953 */
 obj_t BgL_arg1798z00_2821;
BgL_arg1798z00_2821 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 953 */
 int BgL_offsetz00_2824;
BgL_offsetz00_2824 = 
(int)(BgL_objzd2classzd2numz00_2820); 
{ /* Llib/ssl.scm 953 */
 long BgL_offsetz00_2825;
BgL_offsetz00_2825 = 
(
(long)(BgL_offsetz00_2824)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 953 */
 long BgL_modz00_2826;
BgL_modz00_2826 = 
(BgL_offsetz00_2825 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 953 */
 long BgL_restz00_2828;
BgL_restz00_2828 = 
(BgL_offsetz00_2825 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 953 */

{ /* Llib/ssl.scm 953 */
 obj_t BgL_bucketz00_2830;
BgL_bucketz00_2830 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2821),BgL_modz00_2826); 
BgL_res2446z00_2849 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2830),BgL_restz00_2828); } } } } } } } } 
BgL_method1280z00_1723 = BgL_res2446z00_2849; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1280z00_1723))(BgL_method1280z00_1723, 
((obj_t)BgL_sslz00_83), BgL_bufferz00_84, 
BINT(BgL_offsetz00_85), 
BINT(BgL_lenz00_86), BEOA);} } 

}



/* &ssl-connection-write */
obj_t BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00(obj_t BgL_envz00_4871, obj_t BgL_sslz00_4872, obj_t BgL_bufferz00_4873, obj_t BgL_offsetz00_4874, obj_t BgL_lenz00_4875)
{
{ /* Llib/ssl.scm 953 */
{ /* Llib/ssl.scm 953 */
 long BgL_auxz00_11631; long BgL_auxz00_11622; obj_t BgL_auxz00_11615; BgL_sslzd2connectionzd2_bglt BgL_auxz00_11588;
{ /* Llib/ssl.scm 953 */
 obj_t BgL_tmpz00_11632;
if(
INTEGERP(BgL_lenz00_4875))
{ /* Llib/ssl.scm 953 */
BgL_tmpz00_11632 = BgL_lenz00_4875
; }  else 
{ 
 obj_t BgL_auxz00_11635;
BgL_auxz00_11635 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)38883)), BGl_string3289z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4875); 
FAILURE(BgL_auxz00_11635,BFALSE,BFALSE);} 
BgL_auxz00_11631 = 
(long)CINT(BgL_tmpz00_11632); } 
{ /* Llib/ssl.scm 953 */
 obj_t BgL_tmpz00_11623;
if(
INTEGERP(BgL_offsetz00_4874))
{ /* Llib/ssl.scm 953 */
BgL_tmpz00_11623 = BgL_offsetz00_4874
; }  else 
{ 
 obj_t BgL_auxz00_11626;
BgL_auxz00_11626 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)38883)), BGl_string3289z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4874); 
FAILURE(BgL_auxz00_11626,BFALSE,BFALSE);} 
BgL_auxz00_11622 = 
(long)CINT(BgL_tmpz00_11623); } 
if(
STRINGP(BgL_bufferz00_4873))
{ /* Llib/ssl.scm 953 */
BgL_auxz00_11615 = BgL_bufferz00_4873
; }  else 
{ 
 obj_t BgL_auxz00_11618;
BgL_auxz00_11618 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)38883)), BGl_string3289z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_bufferz00_4873); 
FAILURE(BgL_auxz00_11618,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 953 */
 bool_t BgL_test4142z00_11589;
{ /* Llib/ssl.scm 953 */
 obj_t BgL_classz00_6451;
BgL_classz00_6451 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4872))
{ /* Llib/ssl.scm 953 */
 BgL_objectz00_bglt BgL_arg1796z00_6453; long BgL_arg1797z00_6454;
BgL_arg1796z00_6453 = 
(BgL_objectz00_bglt)(BgL_sslz00_4872); 
BgL_arg1797z00_6454 = 
BGL_CLASS_DEPTH(BgL_classz00_6451); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 953 */
 long BgL_idxz00_6462;
BgL_idxz00_6462 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6453); 
{ /* Llib/ssl.scm 953 */
 obj_t BgL_arg1788z00_6463;
{ /* Llib/ssl.scm 953 */
 long BgL_arg1789z00_6464;
BgL_arg1789z00_6464 = 
(BgL_idxz00_6462+BgL_arg1797z00_6454); 
BgL_arg1788z00_6463 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6464); } 
BgL_test4142z00_11589 = 
(BgL_arg1788z00_6463==BgL_classz00_6451); } }  else 
{ /* Llib/ssl.scm 953 */
 bool_t BgL_res3349z00_6487;
{ /* Llib/ssl.scm 953 */
 obj_t BgL_oclassz00_6472;
{ /* Llib/ssl.scm 953 */
 long BgL_arg1801z00_6478;
{ /* Llib/ssl.scm 953 */
 long BgL_arg1802z00_6479;
BgL_arg1802z00_6479 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6453); 
BgL_arg1801z00_6478 = 
(BgL_arg1802z00_6479-OBJECT_TYPE); } 
BgL_oclassz00_6472 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6478); } 
{ /* Llib/ssl.scm 953 */
 bool_t BgL__ortest_1110z00_6473;
BgL__ortest_1110z00_6473 = 
(BgL_classz00_6451==BgL_oclassz00_6472); 
if(BgL__ortest_1110z00_6473)
{ /* Llib/ssl.scm 953 */
BgL_res3349z00_6487 = BgL__ortest_1110z00_6473; }  else 
{ /* Llib/ssl.scm 953 */
 long BgL_odepthz00_6474;
BgL_odepthz00_6474 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6472); 
if(
(BgL_arg1797z00_6454<BgL_odepthz00_6474))
{ /* Llib/ssl.scm 953 */
 obj_t BgL_arg1790z00_6476;
BgL_arg1790z00_6476 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6472, BgL_arg1797z00_6454); 
BgL_res3349z00_6487 = 
(BgL_arg1790z00_6476==BgL_classz00_6451); }  else 
{ /* Llib/ssl.scm 953 */
BgL_res3349z00_6487 = ((bool_t)0); } } } } 
BgL_test4142z00_11589 = BgL_res3349z00_6487; } }  else 
{ /* Llib/ssl.scm 953 */
BgL_test4142z00_11589 = ((bool_t)0)
; } } 
if(BgL_test4142z00_11589)
{ /* Llib/ssl.scm 953 */
BgL_auxz00_11588 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4872)
; }  else 
{ 
 obj_t BgL_auxz00_11611;
BgL_auxz00_11611 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)38883)), BGl_string3289z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4872); 
FAILURE(BgL_auxz00_11611,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_auxz00_11588, BgL_auxz00_11615, BgL_auxz00_11622, BgL_auxz00_11631);} } 

}



/* ssl-connection-clear-in */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_87, obj_t BgL_bufferz00_88, long BgL_offsetz00_89, long BgL_lenz00_90)
{
{ /* Llib/ssl.scm 963 */
{ /* Llib/ssl.scm 963 */
 obj_t BgL_method1282z00_1724;
{ /* Llib/ssl.scm 963 */
 obj_t BgL_res2451z00_2880;
{ /* Llib/ssl.scm 963 */
 long BgL_objzd2classzd2numz00_2851;
BgL_objzd2classzd2numz00_2851 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_87)); 
{ /* Llib/ssl.scm 963 */
 obj_t BgL_arg1798z00_2852;
BgL_arg1798z00_2852 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 963 */
 int BgL_offsetz00_2855;
BgL_offsetz00_2855 = 
(int)(BgL_objzd2classzd2numz00_2851); 
{ /* Llib/ssl.scm 963 */
 long BgL_offsetz00_2856;
BgL_offsetz00_2856 = 
(
(long)(BgL_offsetz00_2855)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 963 */
 long BgL_modz00_2857;
BgL_modz00_2857 = 
(BgL_offsetz00_2856 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 963 */
 long BgL_restz00_2859;
BgL_restz00_2859 = 
(BgL_offsetz00_2856 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 963 */

{ /* Llib/ssl.scm 963 */
 obj_t BgL_bucketz00_2861;
BgL_bucketz00_2861 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2852),BgL_modz00_2857); 
BgL_res2451z00_2880 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2861),BgL_restz00_2859); } } } } } } } } 
BgL_method1282z00_1724 = BgL_res2451z00_2880; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1282z00_1724))(BgL_method1282z00_1724, 
((obj_t)BgL_sslz00_87), BgL_bufferz00_88, 
BINT(BgL_offsetz00_89), 
BINT(BgL_lenz00_90), BEOA);} } 

}



/* &ssl-connection-clear-in */
obj_t BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00(obj_t BgL_envz00_4876, obj_t BgL_sslz00_4877, obj_t BgL_bufferz00_4878, obj_t BgL_offsetz00_4879, obj_t BgL_lenz00_4880)
{
{ /* Llib/ssl.scm 963 */
{ /* Llib/ssl.scm 963 */
 long BgL_auxz00_11719; long BgL_auxz00_11710; obj_t BgL_auxz00_11703; BgL_sslzd2connectionzd2_bglt BgL_auxz00_11676;
{ /* Llib/ssl.scm 963 */
 obj_t BgL_tmpz00_11720;
if(
INTEGERP(BgL_lenz00_4880))
{ /* Llib/ssl.scm 963 */
BgL_tmpz00_11720 = BgL_lenz00_4880
; }  else 
{ 
 obj_t BgL_auxz00_11723;
BgL_auxz00_11723 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)39297)), BGl_string3290z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4880); 
FAILURE(BgL_auxz00_11723,BFALSE,BFALSE);} 
BgL_auxz00_11719 = 
(long)CINT(BgL_tmpz00_11720); } 
{ /* Llib/ssl.scm 963 */
 obj_t BgL_tmpz00_11711;
if(
INTEGERP(BgL_offsetz00_4879))
{ /* Llib/ssl.scm 963 */
BgL_tmpz00_11711 = BgL_offsetz00_4879
; }  else 
{ 
 obj_t BgL_auxz00_11714;
BgL_auxz00_11714 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)39297)), BGl_string3290z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4879); 
FAILURE(BgL_auxz00_11714,BFALSE,BFALSE);} 
BgL_auxz00_11710 = 
(long)CINT(BgL_tmpz00_11711); } 
if(
STRINGP(BgL_bufferz00_4878))
{ /* Llib/ssl.scm 963 */
BgL_auxz00_11703 = BgL_bufferz00_4878
; }  else 
{ 
 obj_t BgL_auxz00_11706;
BgL_auxz00_11706 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)39297)), BGl_string3290z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_bufferz00_4878); 
FAILURE(BgL_auxz00_11706,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 963 */
 bool_t BgL_test4150z00_11677;
{ /* Llib/ssl.scm 963 */
 obj_t BgL_classz00_6488;
BgL_classz00_6488 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4877))
{ /* Llib/ssl.scm 963 */
 BgL_objectz00_bglt BgL_arg1796z00_6490; long BgL_arg1797z00_6491;
BgL_arg1796z00_6490 = 
(BgL_objectz00_bglt)(BgL_sslz00_4877); 
BgL_arg1797z00_6491 = 
BGL_CLASS_DEPTH(BgL_classz00_6488); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 963 */
 long BgL_idxz00_6499;
BgL_idxz00_6499 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6490); 
{ /* Llib/ssl.scm 963 */
 obj_t BgL_arg1788z00_6500;
{ /* Llib/ssl.scm 963 */
 long BgL_arg1789z00_6501;
BgL_arg1789z00_6501 = 
(BgL_idxz00_6499+BgL_arg1797z00_6491); 
BgL_arg1788z00_6500 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6501); } 
BgL_test4150z00_11677 = 
(BgL_arg1788z00_6500==BgL_classz00_6488); } }  else 
{ /* Llib/ssl.scm 963 */
 bool_t BgL_res3350z00_6524;
{ /* Llib/ssl.scm 963 */
 obj_t BgL_oclassz00_6509;
{ /* Llib/ssl.scm 963 */
 long BgL_arg1801z00_6515;
{ /* Llib/ssl.scm 963 */
 long BgL_arg1802z00_6516;
BgL_arg1802z00_6516 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6490); 
BgL_arg1801z00_6515 = 
(BgL_arg1802z00_6516-OBJECT_TYPE); } 
BgL_oclassz00_6509 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6515); } 
{ /* Llib/ssl.scm 963 */
 bool_t BgL__ortest_1110z00_6510;
BgL__ortest_1110z00_6510 = 
(BgL_classz00_6488==BgL_oclassz00_6509); 
if(BgL__ortest_1110z00_6510)
{ /* Llib/ssl.scm 963 */
BgL_res3350z00_6524 = BgL__ortest_1110z00_6510; }  else 
{ /* Llib/ssl.scm 963 */
 long BgL_odepthz00_6511;
BgL_odepthz00_6511 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6509); 
if(
(BgL_arg1797z00_6491<BgL_odepthz00_6511))
{ /* Llib/ssl.scm 963 */
 obj_t BgL_arg1790z00_6513;
BgL_arg1790z00_6513 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6509, BgL_arg1797z00_6491); 
BgL_res3350z00_6524 = 
(BgL_arg1790z00_6513==BgL_classz00_6488); }  else 
{ /* Llib/ssl.scm 963 */
BgL_res3350z00_6524 = ((bool_t)0); } } } } 
BgL_test4150z00_11677 = BgL_res3350z00_6524; } }  else 
{ /* Llib/ssl.scm 963 */
BgL_test4150z00_11677 = ((bool_t)0)
; } } 
if(BgL_test4150z00_11677)
{ /* Llib/ssl.scm 963 */
BgL_auxz00_11676 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4877)
; }  else 
{ 
 obj_t BgL_auxz00_11699;
BgL_auxz00_11699 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)39297)), BGl_string3290z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4877); 
FAILURE(BgL_auxz00_11699,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_auxz00_11676, BgL_auxz00_11703, BgL_auxz00_11710, BgL_auxz00_11719);} } 

}



/* ssl-connection-clear-out */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_91, obj_t BgL_bufferz00_92, long BgL_offsetz00_93, long BgL_lenz00_94)
{
{ /* Llib/ssl.scm 973 */
{ /* Llib/ssl.scm 973 */
 obj_t BgL_method1284z00_1725;
{ /* Llib/ssl.scm 973 */
 obj_t BgL_res2456z00_2911;
{ /* Llib/ssl.scm 973 */
 long BgL_objzd2classzd2numz00_2882;
BgL_objzd2classzd2numz00_2882 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_91)); 
{ /* Llib/ssl.scm 973 */
 obj_t BgL_arg1798z00_2883;
BgL_arg1798z00_2883 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 973 */
 int BgL_offsetz00_2886;
BgL_offsetz00_2886 = 
(int)(BgL_objzd2classzd2numz00_2882); 
{ /* Llib/ssl.scm 973 */
 long BgL_offsetz00_2887;
BgL_offsetz00_2887 = 
(
(long)(BgL_offsetz00_2886)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 973 */
 long BgL_modz00_2888;
BgL_modz00_2888 = 
(BgL_offsetz00_2887 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 973 */
 long BgL_restz00_2890;
BgL_restz00_2890 = 
(BgL_offsetz00_2887 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 973 */

{ /* Llib/ssl.scm 973 */
 obj_t BgL_bucketz00_2892;
BgL_bucketz00_2892 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2883),BgL_modz00_2888); 
BgL_res2456z00_2911 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2892),BgL_restz00_2890); } } } } } } } } 
BgL_method1284z00_1725 = BgL_res2456z00_2911; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1284z00_1725))(BgL_method1284z00_1725, 
((obj_t)BgL_sslz00_91), BgL_bufferz00_92, 
BINT(BgL_offsetz00_93), 
BINT(BgL_lenz00_94), BEOA);} } 

}



/* &ssl-connection-clear-out */
obj_t BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00(obj_t BgL_envz00_4881, obj_t BgL_sslz00_4882, obj_t BgL_bufferz00_4883, obj_t BgL_offsetz00_4884, obj_t BgL_lenz00_4885)
{
{ /* Llib/ssl.scm 973 */
{ /* Llib/ssl.scm 973 */
 long BgL_auxz00_11807; long BgL_auxz00_11798; obj_t BgL_auxz00_11791; BgL_sslzd2connectionzd2_bglt BgL_auxz00_11764;
{ /* Llib/ssl.scm 973 */
 obj_t BgL_tmpz00_11808;
if(
INTEGERP(BgL_lenz00_4885))
{ /* Llib/ssl.scm 973 */
BgL_tmpz00_11808 = BgL_lenz00_4885
; }  else 
{ 
 obj_t BgL_auxz00_11811;
BgL_auxz00_11811 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)39717)), BGl_string3291z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4885); 
FAILURE(BgL_auxz00_11811,BFALSE,BFALSE);} 
BgL_auxz00_11807 = 
(long)CINT(BgL_tmpz00_11808); } 
{ /* Llib/ssl.scm 973 */
 obj_t BgL_tmpz00_11799;
if(
INTEGERP(BgL_offsetz00_4884))
{ /* Llib/ssl.scm 973 */
BgL_tmpz00_11799 = BgL_offsetz00_4884
; }  else 
{ 
 obj_t BgL_auxz00_11802;
BgL_auxz00_11802 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)39717)), BGl_string3291z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4884); 
FAILURE(BgL_auxz00_11802,BFALSE,BFALSE);} 
BgL_auxz00_11798 = 
(long)CINT(BgL_tmpz00_11799); } 
if(
STRINGP(BgL_bufferz00_4883))
{ /* Llib/ssl.scm 973 */
BgL_auxz00_11791 = BgL_bufferz00_4883
; }  else 
{ 
 obj_t BgL_auxz00_11794;
BgL_auxz00_11794 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)39717)), BGl_string3291z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_bufferz00_4883); 
FAILURE(BgL_auxz00_11794,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 973 */
 bool_t BgL_test4158z00_11765;
{ /* Llib/ssl.scm 973 */
 obj_t BgL_classz00_6525;
BgL_classz00_6525 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4882))
{ /* Llib/ssl.scm 973 */
 BgL_objectz00_bglt BgL_arg1796z00_6527; long BgL_arg1797z00_6528;
BgL_arg1796z00_6527 = 
(BgL_objectz00_bglt)(BgL_sslz00_4882); 
BgL_arg1797z00_6528 = 
BGL_CLASS_DEPTH(BgL_classz00_6525); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 973 */
 long BgL_idxz00_6536;
BgL_idxz00_6536 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6527); 
{ /* Llib/ssl.scm 973 */
 obj_t BgL_arg1788z00_6537;
{ /* Llib/ssl.scm 973 */
 long BgL_arg1789z00_6538;
BgL_arg1789z00_6538 = 
(BgL_idxz00_6536+BgL_arg1797z00_6528); 
BgL_arg1788z00_6537 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6538); } 
BgL_test4158z00_11765 = 
(BgL_arg1788z00_6537==BgL_classz00_6525); } }  else 
{ /* Llib/ssl.scm 973 */
 bool_t BgL_res3351z00_6561;
{ /* Llib/ssl.scm 973 */
 obj_t BgL_oclassz00_6546;
{ /* Llib/ssl.scm 973 */
 long BgL_arg1801z00_6552;
{ /* Llib/ssl.scm 973 */
 long BgL_arg1802z00_6553;
BgL_arg1802z00_6553 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6527); 
BgL_arg1801z00_6552 = 
(BgL_arg1802z00_6553-OBJECT_TYPE); } 
BgL_oclassz00_6546 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6552); } 
{ /* Llib/ssl.scm 973 */
 bool_t BgL__ortest_1110z00_6547;
BgL__ortest_1110z00_6547 = 
(BgL_classz00_6525==BgL_oclassz00_6546); 
if(BgL__ortest_1110z00_6547)
{ /* Llib/ssl.scm 973 */
BgL_res3351z00_6561 = BgL__ortest_1110z00_6547; }  else 
{ /* Llib/ssl.scm 973 */
 long BgL_odepthz00_6548;
BgL_odepthz00_6548 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6546); 
if(
(BgL_arg1797z00_6528<BgL_odepthz00_6548))
{ /* Llib/ssl.scm 973 */
 obj_t BgL_arg1790z00_6550;
BgL_arg1790z00_6550 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6546, BgL_arg1797z00_6528); 
BgL_res3351z00_6561 = 
(BgL_arg1790z00_6550==BgL_classz00_6525); }  else 
{ /* Llib/ssl.scm 973 */
BgL_res3351z00_6561 = ((bool_t)0); } } } } 
BgL_test4158z00_11765 = BgL_res3351z00_6561; } }  else 
{ /* Llib/ssl.scm 973 */
BgL_test4158z00_11765 = ((bool_t)0)
; } } 
if(BgL_test4158z00_11765)
{ /* Llib/ssl.scm 973 */
BgL_auxz00_11764 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4882)
; }  else 
{ 
 obj_t BgL_auxz00_11787;
BgL_auxz00_11787 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)39717)), BGl_string3291z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4882); 
FAILURE(BgL_auxz00_11787,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_auxz00_11764, BgL_auxz00_11791, BgL_auxz00_11798, BgL_auxz00_11807);} } 

}



/* ssl-connection-init-finished? */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_95)
{
{ /* Llib/ssl.scm 983 */
{ /* Llib/ssl.scm 983 */
 obj_t BgL_method1286z00_1726;
{ /* Llib/ssl.scm 983 */
 obj_t BgL_res2461z00_2942;
{ /* Llib/ssl.scm 983 */
 long BgL_objzd2classzd2numz00_2913;
BgL_objzd2classzd2numz00_2913 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_95)); 
{ /* Llib/ssl.scm 983 */
 obj_t BgL_arg1798z00_2914;
BgL_arg1798z00_2914 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 983 */
 int BgL_offsetz00_2917;
BgL_offsetz00_2917 = 
(int)(BgL_objzd2classzd2numz00_2913); 
{ /* Llib/ssl.scm 983 */
 long BgL_offsetz00_2918;
BgL_offsetz00_2918 = 
(
(long)(BgL_offsetz00_2917)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 983 */
 long BgL_modz00_2919;
BgL_modz00_2919 = 
(BgL_offsetz00_2918 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 983 */
 long BgL_restz00_2921;
BgL_restz00_2921 = 
(BgL_offsetz00_2918 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 983 */

{ /* Llib/ssl.scm 983 */
 obj_t BgL_bucketz00_2923;
BgL_bucketz00_2923 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2914),BgL_modz00_2919); 
BgL_res2461z00_2942 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2923),BgL_restz00_2921); } } } } } } } } 
BgL_method1286z00_1726 = BgL_res2461z00_2942; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1286z00_1726))(BgL_method1286z00_1726, 
((obj_t)BgL_sslz00_95), BEOA);} } 

}



/* &ssl-connection-init-finished? */
obj_t BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00(obj_t BgL_envz00_4886, obj_t BgL_sslz00_4887)
{
{ /* Llib/ssl.scm 983 */
{ /* Llib/ssl.scm 983 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11847;
{ /* Llib/ssl.scm 983 */
 bool_t BgL_test4166z00_11848;
{ /* Llib/ssl.scm 983 */
 obj_t BgL_classz00_6562;
BgL_classz00_6562 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4887))
{ /* Llib/ssl.scm 983 */
 BgL_objectz00_bglt BgL_arg1796z00_6564; long BgL_arg1797z00_6565;
BgL_arg1796z00_6564 = 
(BgL_objectz00_bglt)(BgL_sslz00_4887); 
BgL_arg1797z00_6565 = 
BGL_CLASS_DEPTH(BgL_classz00_6562); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 983 */
 long BgL_idxz00_6573;
BgL_idxz00_6573 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6564); 
{ /* Llib/ssl.scm 983 */
 obj_t BgL_arg1788z00_6574;
{ /* Llib/ssl.scm 983 */
 long BgL_arg1789z00_6575;
BgL_arg1789z00_6575 = 
(BgL_idxz00_6573+BgL_arg1797z00_6565); 
BgL_arg1788z00_6574 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6575); } 
BgL_test4166z00_11848 = 
(BgL_arg1788z00_6574==BgL_classz00_6562); } }  else 
{ /* Llib/ssl.scm 983 */
 bool_t BgL_res3352z00_6598;
{ /* Llib/ssl.scm 983 */
 obj_t BgL_oclassz00_6583;
{ /* Llib/ssl.scm 983 */
 long BgL_arg1801z00_6589;
{ /* Llib/ssl.scm 983 */
 long BgL_arg1802z00_6590;
BgL_arg1802z00_6590 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6564); 
BgL_arg1801z00_6589 = 
(BgL_arg1802z00_6590-OBJECT_TYPE); } 
BgL_oclassz00_6583 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6589); } 
{ /* Llib/ssl.scm 983 */
 bool_t BgL__ortest_1110z00_6584;
BgL__ortest_1110z00_6584 = 
(BgL_classz00_6562==BgL_oclassz00_6583); 
if(BgL__ortest_1110z00_6584)
{ /* Llib/ssl.scm 983 */
BgL_res3352z00_6598 = BgL__ortest_1110z00_6584; }  else 
{ /* Llib/ssl.scm 983 */
 long BgL_odepthz00_6585;
BgL_odepthz00_6585 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6583); 
if(
(BgL_arg1797z00_6565<BgL_odepthz00_6585))
{ /* Llib/ssl.scm 983 */
 obj_t BgL_arg1790z00_6587;
BgL_arg1790z00_6587 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6583, BgL_arg1797z00_6565); 
BgL_res3352z00_6598 = 
(BgL_arg1790z00_6587==BgL_classz00_6562); }  else 
{ /* Llib/ssl.scm 983 */
BgL_res3352z00_6598 = ((bool_t)0); } } } } 
BgL_test4166z00_11848 = BgL_res3352z00_6598; } }  else 
{ /* Llib/ssl.scm 983 */
BgL_test4166z00_11848 = ((bool_t)0)
; } } 
if(BgL_test4166z00_11848)
{ /* Llib/ssl.scm 983 */
BgL_auxz00_11847 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4887)
; }  else 
{ 
 obj_t BgL_auxz00_11870;
BgL_auxz00_11870 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)40139)), BGl_string3292z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4887); 
FAILURE(BgL_auxz00_11870,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_auxz00_11847);} } 

}



/* ssl-connection-enc-pending */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_96)
{
{ /* Llib/ssl.scm 993 */
{ /* Llib/ssl.scm 993 */
 obj_t BgL_method1288z00_1727;
{ /* Llib/ssl.scm 993 */
 obj_t BgL_res2466z00_2973;
{ /* Llib/ssl.scm 993 */
 long BgL_objzd2classzd2numz00_2944;
BgL_objzd2classzd2numz00_2944 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_96)); 
{ /* Llib/ssl.scm 993 */
 obj_t BgL_arg1798z00_2945;
BgL_arg1798z00_2945 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 993 */
 int BgL_offsetz00_2948;
BgL_offsetz00_2948 = 
(int)(BgL_objzd2classzd2numz00_2944); 
{ /* Llib/ssl.scm 993 */
 long BgL_offsetz00_2949;
BgL_offsetz00_2949 = 
(
(long)(BgL_offsetz00_2948)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 993 */
 long BgL_modz00_2950;
BgL_modz00_2950 = 
(BgL_offsetz00_2949 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 993 */
 long BgL_restz00_2952;
BgL_restz00_2952 = 
(BgL_offsetz00_2949 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 993 */

{ /* Llib/ssl.scm 993 */
 obj_t BgL_bucketz00_2954;
BgL_bucketz00_2954 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2945),BgL_modz00_2950); 
BgL_res2466z00_2973 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2954),BgL_restz00_2952); } } } } } } } } 
BgL_method1288z00_1727 = BgL_res2466z00_2973; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1288z00_1727))(BgL_method1288z00_1727, 
((obj_t)BgL_sslz00_96), BEOA);} } 

}



/* &ssl-connection-enc-pending */
obj_t BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00(obj_t BgL_envz00_4888, obj_t BgL_sslz00_4889)
{
{ /* Llib/ssl.scm 993 */
{ /* Llib/ssl.scm 993 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11905;
{ /* Llib/ssl.scm 993 */
 bool_t BgL_test4171z00_11906;
{ /* Llib/ssl.scm 993 */
 obj_t BgL_classz00_6599;
BgL_classz00_6599 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4889))
{ /* Llib/ssl.scm 993 */
 BgL_objectz00_bglt BgL_arg1796z00_6601; long BgL_arg1797z00_6602;
BgL_arg1796z00_6601 = 
(BgL_objectz00_bglt)(BgL_sslz00_4889); 
BgL_arg1797z00_6602 = 
BGL_CLASS_DEPTH(BgL_classz00_6599); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 993 */
 long BgL_idxz00_6610;
BgL_idxz00_6610 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6601); 
{ /* Llib/ssl.scm 993 */
 obj_t BgL_arg1788z00_6611;
{ /* Llib/ssl.scm 993 */
 long BgL_arg1789z00_6612;
BgL_arg1789z00_6612 = 
(BgL_idxz00_6610+BgL_arg1797z00_6602); 
BgL_arg1788z00_6611 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6612); } 
BgL_test4171z00_11906 = 
(BgL_arg1788z00_6611==BgL_classz00_6599); } }  else 
{ /* Llib/ssl.scm 993 */
 bool_t BgL_res3353z00_6635;
{ /* Llib/ssl.scm 993 */
 obj_t BgL_oclassz00_6620;
{ /* Llib/ssl.scm 993 */
 long BgL_arg1801z00_6626;
{ /* Llib/ssl.scm 993 */
 long BgL_arg1802z00_6627;
BgL_arg1802z00_6627 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6601); 
BgL_arg1801z00_6626 = 
(BgL_arg1802z00_6627-OBJECT_TYPE); } 
BgL_oclassz00_6620 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6626); } 
{ /* Llib/ssl.scm 993 */
 bool_t BgL__ortest_1110z00_6621;
BgL__ortest_1110z00_6621 = 
(BgL_classz00_6599==BgL_oclassz00_6620); 
if(BgL__ortest_1110z00_6621)
{ /* Llib/ssl.scm 993 */
BgL_res3353z00_6635 = BgL__ortest_1110z00_6621; }  else 
{ /* Llib/ssl.scm 993 */
 long BgL_odepthz00_6622;
BgL_odepthz00_6622 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6620); 
if(
(BgL_arg1797z00_6602<BgL_odepthz00_6622))
{ /* Llib/ssl.scm 993 */
 obj_t BgL_arg1790z00_6624;
BgL_arg1790z00_6624 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6620, BgL_arg1797z00_6602); 
BgL_res3353z00_6635 = 
(BgL_arg1790z00_6624==BgL_classz00_6599); }  else 
{ /* Llib/ssl.scm 993 */
BgL_res3353z00_6635 = ((bool_t)0); } } } } 
BgL_test4171z00_11906 = BgL_res3353z00_6635; } }  else 
{ /* Llib/ssl.scm 993 */
BgL_test4171z00_11906 = ((bool_t)0)
; } } 
if(BgL_test4171z00_11906)
{ /* Llib/ssl.scm 993 */
BgL_auxz00_11905 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4889)
; }  else 
{ 
 obj_t BgL_auxz00_11928;
BgL_auxz00_11928 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)40535)), BGl_string3293z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4889); 
FAILURE(BgL_auxz00_11928,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_auxz00_11905);} } 

}



/* ssl-connection-clear-pending */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_97)
{
{ /* Llib/ssl.scm 1003 */
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_method1290z00_1728;
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_res2471z00_3004;
{ /* Llib/ssl.scm 1003 */
 long BgL_objzd2classzd2numz00_2975;
BgL_objzd2classzd2numz00_2975 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_97)); 
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_arg1798z00_2976;
BgL_arg1798z00_2976 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1003 */
 int BgL_offsetz00_2979;
BgL_offsetz00_2979 = 
(int)(BgL_objzd2classzd2numz00_2975); 
{ /* Llib/ssl.scm 1003 */
 long BgL_offsetz00_2980;
BgL_offsetz00_2980 = 
(
(long)(BgL_offsetz00_2979)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1003 */
 long BgL_modz00_2981;
BgL_modz00_2981 = 
(BgL_offsetz00_2980 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1003 */
 long BgL_restz00_2983;
BgL_restz00_2983 = 
(BgL_offsetz00_2980 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1003 */

{ /* Llib/ssl.scm 1003 */
 obj_t BgL_bucketz00_2985;
BgL_bucketz00_2985 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_2976),BgL_modz00_2981); 
BgL_res2471z00_3004 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2985),BgL_restz00_2983); } } } } } } } } 
BgL_method1290z00_1728 = BgL_res2471z00_3004; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1290z00_1728))(BgL_method1290z00_1728, 
((obj_t)BgL_sslz00_97), BEOA);} } 

}



/* &ssl-connection-clear-pending */
obj_t BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00(obj_t BgL_envz00_4890, obj_t BgL_sslz00_4891)
{
{ /* Llib/ssl.scm 1003 */
{ /* Llib/ssl.scm 1003 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11963;
{ /* Llib/ssl.scm 1003 */
 bool_t BgL_test4176z00_11964;
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_classz00_6636;
BgL_classz00_6636 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4891))
{ /* Llib/ssl.scm 1003 */
 BgL_objectz00_bglt BgL_arg1796z00_6638; long BgL_arg1797z00_6639;
BgL_arg1796z00_6638 = 
(BgL_objectz00_bglt)(BgL_sslz00_4891); 
BgL_arg1797z00_6639 = 
BGL_CLASS_DEPTH(BgL_classz00_6636); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1003 */
 long BgL_idxz00_6647;
BgL_idxz00_6647 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6638); 
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_arg1788z00_6648;
{ /* Llib/ssl.scm 1003 */
 long BgL_arg1789z00_6649;
BgL_arg1789z00_6649 = 
(BgL_idxz00_6647+BgL_arg1797z00_6639); 
BgL_arg1788z00_6648 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6649); } 
BgL_test4176z00_11964 = 
(BgL_arg1788z00_6648==BgL_classz00_6636); } }  else 
{ /* Llib/ssl.scm 1003 */
 bool_t BgL_res3354z00_6672;
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_oclassz00_6657;
{ /* Llib/ssl.scm 1003 */
 long BgL_arg1801z00_6663;
{ /* Llib/ssl.scm 1003 */
 long BgL_arg1802z00_6664;
BgL_arg1802z00_6664 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6638); 
BgL_arg1801z00_6663 = 
(BgL_arg1802z00_6664-OBJECT_TYPE); } 
BgL_oclassz00_6657 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6663); } 
{ /* Llib/ssl.scm 1003 */
 bool_t BgL__ortest_1110z00_6658;
BgL__ortest_1110z00_6658 = 
(BgL_classz00_6636==BgL_oclassz00_6657); 
if(BgL__ortest_1110z00_6658)
{ /* Llib/ssl.scm 1003 */
BgL_res3354z00_6672 = BgL__ortest_1110z00_6658; }  else 
{ /* Llib/ssl.scm 1003 */
 long BgL_odepthz00_6659;
BgL_odepthz00_6659 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6657); 
if(
(BgL_arg1797z00_6639<BgL_odepthz00_6659))
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_arg1790z00_6661;
BgL_arg1790z00_6661 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6657, BgL_arg1797z00_6639); 
BgL_res3354z00_6672 = 
(BgL_arg1790z00_6661==BgL_classz00_6636); }  else 
{ /* Llib/ssl.scm 1003 */
BgL_res3354z00_6672 = ((bool_t)0); } } } } 
BgL_test4176z00_11964 = BgL_res3354z00_6672; } }  else 
{ /* Llib/ssl.scm 1003 */
BgL_test4176z00_11964 = ((bool_t)0)
; } } 
if(BgL_test4176z00_11964)
{ /* Llib/ssl.scm 1003 */
BgL_auxz00_11963 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4891)
; }  else 
{ 
 obj_t BgL_auxz00_11986;
BgL_auxz00_11986 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)40925)), BGl_string3294z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4891); 
FAILURE(BgL_auxz00_11986,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_auxz00_11963);} } 

}



/* ssl-connection-set-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_98, obj_t BgL_bufz00_99)
{
{ /* Llib/ssl.scm 1013 */
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_method1292z00_1729;
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_res2476z00_3035;
{ /* Llib/ssl.scm 1013 */
 long BgL_objzd2classzd2numz00_3006;
BgL_objzd2classzd2numz00_3006 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_98)); 
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_arg1798z00_3007;
BgL_arg1798z00_3007 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1013 */
 int BgL_offsetz00_3010;
BgL_offsetz00_3010 = 
(int)(BgL_objzd2classzd2numz00_3006); 
{ /* Llib/ssl.scm 1013 */
 long BgL_offsetz00_3011;
BgL_offsetz00_3011 = 
(
(long)(BgL_offsetz00_3010)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1013 */
 long BgL_modz00_3012;
BgL_modz00_3012 = 
(BgL_offsetz00_3011 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1013 */
 long BgL_restz00_3014;
BgL_restz00_3014 = 
(BgL_offsetz00_3011 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1013 */

{ /* Llib/ssl.scm 1013 */
 obj_t BgL_bucketz00_3016;
BgL_bucketz00_3016 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3007),BgL_modz00_3012); 
BgL_res2476z00_3035 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3016),BgL_restz00_3014); } } } } } } } } 
BgL_method1292z00_1729 = BgL_res2476z00_3035; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1292z00_1729))(BgL_method1292z00_1729, 
((obj_t)BgL_sslz00_98), BgL_bufz00_99, BEOA);} } 

}



/* &ssl-connection-set-session */
obj_t BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4892, obj_t BgL_sslz00_4893, obj_t BgL_bufz00_4894)
{
{ /* Llib/ssl.scm 1013 */
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_auxz00_12049; BgL_sslzd2connectionzd2_bglt BgL_auxz00_12022;
if(
STRINGP(BgL_bufz00_4894))
{ /* Llib/ssl.scm 1013 */
BgL_auxz00_12049 = BgL_bufz00_4894
; }  else 
{ 
 obj_t BgL_auxz00_12052;
BgL_auxz00_12052 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)41319)), BGl_string3295z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_bufz00_4894); 
FAILURE(BgL_auxz00_12052,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1013 */
 bool_t BgL_test4181z00_12023;
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_classz00_6673;
BgL_classz00_6673 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4893))
{ /* Llib/ssl.scm 1013 */
 BgL_objectz00_bglt BgL_arg1796z00_6675; long BgL_arg1797z00_6676;
BgL_arg1796z00_6675 = 
(BgL_objectz00_bglt)(BgL_sslz00_4893); 
BgL_arg1797z00_6676 = 
BGL_CLASS_DEPTH(BgL_classz00_6673); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1013 */
 long BgL_idxz00_6684;
BgL_idxz00_6684 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6675); 
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_arg1788z00_6685;
{ /* Llib/ssl.scm 1013 */
 long BgL_arg1789z00_6686;
BgL_arg1789z00_6686 = 
(BgL_idxz00_6684+BgL_arg1797z00_6676); 
BgL_arg1788z00_6685 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6686); } 
BgL_test4181z00_12023 = 
(BgL_arg1788z00_6685==BgL_classz00_6673); } }  else 
{ /* Llib/ssl.scm 1013 */
 bool_t BgL_res3355z00_6709;
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_oclassz00_6694;
{ /* Llib/ssl.scm 1013 */
 long BgL_arg1801z00_6700;
{ /* Llib/ssl.scm 1013 */
 long BgL_arg1802z00_6701;
BgL_arg1802z00_6701 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6675); 
BgL_arg1801z00_6700 = 
(BgL_arg1802z00_6701-OBJECT_TYPE); } 
BgL_oclassz00_6694 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6700); } 
{ /* Llib/ssl.scm 1013 */
 bool_t BgL__ortest_1110z00_6695;
BgL__ortest_1110z00_6695 = 
(BgL_classz00_6673==BgL_oclassz00_6694); 
if(BgL__ortest_1110z00_6695)
{ /* Llib/ssl.scm 1013 */
BgL_res3355z00_6709 = BgL__ortest_1110z00_6695; }  else 
{ /* Llib/ssl.scm 1013 */
 long BgL_odepthz00_6696;
BgL_odepthz00_6696 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6694); 
if(
(BgL_arg1797z00_6676<BgL_odepthz00_6696))
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_arg1790z00_6698;
BgL_arg1790z00_6698 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6694, BgL_arg1797z00_6676); 
BgL_res3355z00_6709 = 
(BgL_arg1790z00_6698==BgL_classz00_6673); }  else 
{ /* Llib/ssl.scm 1013 */
BgL_res3355z00_6709 = ((bool_t)0); } } } } 
BgL_test4181z00_12023 = BgL_res3355z00_6709; } }  else 
{ /* Llib/ssl.scm 1013 */
BgL_test4181z00_12023 = ((bool_t)0)
; } } 
if(BgL_test4181z00_12023)
{ /* Llib/ssl.scm 1013 */
BgL_auxz00_12022 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4893)
; }  else 
{ 
 obj_t BgL_auxz00_12045;
BgL_auxz00_12045 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)41319)), BGl_string3295z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4893); 
FAILURE(BgL_auxz00_12045,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_12022, BgL_auxz00_12049);} } 

}



/* ssl-connection-get-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_100)
{
{ /* Llib/ssl.scm 1023 */
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_method1294z00_1730;
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_res2481z00_3066;
{ /* Llib/ssl.scm 1023 */
 long BgL_objzd2classzd2numz00_3037;
BgL_objzd2classzd2numz00_3037 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_100)); 
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_arg1798z00_3038;
BgL_arg1798z00_3038 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1023 */
 int BgL_offsetz00_3041;
BgL_offsetz00_3041 = 
(int)(BgL_objzd2classzd2numz00_3037); 
{ /* Llib/ssl.scm 1023 */
 long BgL_offsetz00_3042;
BgL_offsetz00_3042 = 
(
(long)(BgL_offsetz00_3041)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1023 */
 long BgL_modz00_3043;
BgL_modz00_3043 = 
(BgL_offsetz00_3042 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1023 */
 long BgL_restz00_3045;
BgL_restz00_3045 = 
(BgL_offsetz00_3042 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1023 */

{ /* Llib/ssl.scm 1023 */
 obj_t BgL_bucketz00_3047;
BgL_bucketz00_3047 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3038),BgL_modz00_3043); 
BgL_res2481z00_3066 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3047),BgL_restz00_3045); } } } } } } } } 
BgL_method1294z00_1730 = BgL_res2481z00_3066; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1294z00_1730))(BgL_method1294z00_1730, 
((obj_t)BgL_sslz00_100), BEOA);} } 

}



/* &ssl-connection-get-session */
obj_t BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4895, obj_t BgL_sslz00_4896)
{
{ /* Llib/ssl.scm 1023 */
{ /* Llib/ssl.scm 1023 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12087;
{ /* Llib/ssl.scm 1023 */
 bool_t BgL_test4187z00_12088;
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_classz00_6710;
BgL_classz00_6710 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4896))
{ /* Llib/ssl.scm 1023 */
 BgL_objectz00_bglt BgL_arg1796z00_6712; long BgL_arg1797z00_6713;
BgL_arg1796z00_6712 = 
(BgL_objectz00_bglt)(BgL_sslz00_4896); 
BgL_arg1797z00_6713 = 
BGL_CLASS_DEPTH(BgL_classz00_6710); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1023 */
 long BgL_idxz00_6721;
BgL_idxz00_6721 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6712); 
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_arg1788z00_6722;
{ /* Llib/ssl.scm 1023 */
 long BgL_arg1789z00_6723;
BgL_arg1789z00_6723 = 
(BgL_idxz00_6721+BgL_arg1797z00_6713); 
BgL_arg1788z00_6722 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6723); } 
BgL_test4187z00_12088 = 
(BgL_arg1788z00_6722==BgL_classz00_6710); } }  else 
{ /* Llib/ssl.scm 1023 */
 bool_t BgL_res3356z00_6746;
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_oclassz00_6731;
{ /* Llib/ssl.scm 1023 */
 long BgL_arg1801z00_6737;
{ /* Llib/ssl.scm 1023 */
 long BgL_arg1802z00_6738;
BgL_arg1802z00_6738 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6712); 
BgL_arg1801z00_6737 = 
(BgL_arg1802z00_6738-OBJECT_TYPE); } 
BgL_oclassz00_6731 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6737); } 
{ /* Llib/ssl.scm 1023 */
 bool_t BgL__ortest_1110z00_6732;
BgL__ortest_1110z00_6732 = 
(BgL_classz00_6710==BgL_oclassz00_6731); 
if(BgL__ortest_1110z00_6732)
{ /* Llib/ssl.scm 1023 */
BgL_res3356z00_6746 = BgL__ortest_1110z00_6732; }  else 
{ /* Llib/ssl.scm 1023 */
 long BgL_odepthz00_6733;
BgL_odepthz00_6733 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6731); 
if(
(BgL_arg1797z00_6713<BgL_odepthz00_6733))
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_arg1790z00_6735;
BgL_arg1790z00_6735 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6731, BgL_arg1797z00_6713); 
BgL_res3356z00_6746 = 
(BgL_arg1790z00_6735==BgL_classz00_6710); }  else 
{ /* Llib/ssl.scm 1023 */
BgL_res3356z00_6746 = ((bool_t)0); } } } } 
BgL_test4187z00_12088 = BgL_res3356z00_6746; } }  else 
{ /* Llib/ssl.scm 1023 */
BgL_test4187z00_12088 = ((bool_t)0)
; } } 
if(BgL_test4187z00_12088)
{ /* Llib/ssl.scm 1023 */
BgL_auxz00_12087 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4896)
; }  else 
{ 
 obj_t BgL_auxz00_12110;
BgL_auxz00_12110 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)41727)), BGl_string3296z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4896); 
FAILURE(BgL_auxz00_12110,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_12087);} } 

}



/* ssl-connection-get-current-cipher */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_101)
{
{ /* Llib/ssl.scm 1033 */
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_method1296z00_1731;
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_res2486z00_3097;
{ /* Llib/ssl.scm 1033 */
 long BgL_objzd2classzd2numz00_3068;
BgL_objzd2classzd2numz00_3068 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_101)); 
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_arg1798z00_3069;
BgL_arg1798z00_3069 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1033 */
 int BgL_offsetz00_3072;
BgL_offsetz00_3072 = 
(int)(BgL_objzd2classzd2numz00_3068); 
{ /* Llib/ssl.scm 1033 */
 long BgL_offsetz00_3073;
BgL_offsetz00_3073 = 
(
(long)(BgL_offsetz00_3072)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1033 */
 long BgL_modz00_3074;
BgL_modz00_3074 = 
(BgL_offsetz00_3073 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1033 */
 long BgL_restz00_3076;
BgL_restz00_3076 = 
(BgL_offsetz00_3073 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1033 */

{ /* Llib/ssl.scm 1033 */
 obj_t BgL_bucketz00_3078;
BgL_bucketz00_3078 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3069),BgL_modz00_3074); 
BgL_res2486z00_3097 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3078),BgL_restz00_3076); } } } } } } } } 
BgL_method1296z00_1731 = BgL_res2486z00_3097; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1296z00_1731))(BgL_method1296z00_1731, 
((obj_t)BgL_sslz00_101), BEOA);} } 

}



/* &ssl-connection-get-current-cipher */
obj_t BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00(obj_t BgL_envz00_4897, obj_t BgL_sslz00_4898)
{
{ /* Llib/ssl.scm 1033 */
{ /* Llib/ssl.scm 1033 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12145;
{ /* Llib/ssl.scm 1033 */
 bool_t BgL_test4192z00_12146;
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_classz00_6747;
BgL_classz00_6747 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4898))
{ /* Llib/ssl.scm 1033 */
 BgL_objectz00_bglt BgL_arg1796z00_6749; long BgL_arg1797z00_6750;
BgL_arg1796z00_6749 = 
(BgL_objectz00_bglt)(BgL_sslz00_4898); 
BgL_arg1797z00_6750 = 
BGL_CLASS_DEPTH(BgL_classz00_6747); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1033 */
 long BgL_idxz00_6758;
BgL_idxz00_6758 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6749); 
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_arg1788z00_6759;
{ /* Llib/ssl.scm 1033 */
 long BgL_arg1789z00_6760;
BgL_arg1789z00_6760 = 
(BgL_idxz00_6758+BgL_arg1797z00_6750); 
BgL_arg1788z00_6759 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6760); } 
BgL_test4192z00_12146 = 
(BgL_arg1788z00_6759==BgL_classz00_6747); } }  else 
{ /* Llib/ssl.scm 1033 */
 bool_t BgL_res3357z00_6783;
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_oclassz00_6768;
{ /* Llib/ssl.scm 1033 */
 long BgL_arg1801z00_6774;
{ /* Llib/ssl.scm 1033 */
 long BgL_arg1802z00_6775;
BgL_arg1802z00_6775 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6749); 
BgL_arg1801z00_6774 = 
(BgL_arg1802z00_6775-OBJECT_TYPE); } 
BgL_oclassz00_6768 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6774); } 
{ /* Llib/ssl.scm 1033 */
 bool_t BgL__ortest_1110z00_6769;
BgL__ortest_1110z00_6769 = 
(BgL_classz00_6747==BgL_oclassz00_6768); 
if(BgL__ortest_1110z00_6769)
{ /* Llib/ssl.scm 1033 */
BgL_res3357z00_6783 = BgL__ortest_1110z00_6769; }  else 
{ /* Llib/ssl.scm 1033 */
 long BgL_odepthz00_6770;
BgL_odepthz00_6770 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6768); 
if(
(BgL_arg1797z00_6750<BgL_odepthz00_6770))
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_arg1790z00_6772;
BgL_arg1790z00_6772 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6768, BgL_arg1797z00_6750); 
BgL_res3357z00_6783 = 
(BgL_arg1790z00_6772==BgL_classz00_6747); }  else 
{ /* Llib/ssl.scm 1033 */
BgL_res3357z00_6783 = ((bool_t)0); } } } } 
BgL_test4192z00_12146 = BgL_res3357z00_6783; } }  else 
{ /* Llib/ssl.scm 1033 */
BgL_test4192z00_12146 = ((bool_t)0)
; } } 
if(BgL_test4192z00_12146)
{ /* Llib/ssl.scm 1033 */
BgL_auxz00_12145 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4898)
; }  else 
{ 
 obj_t BgL_auxz00_12168;
BgL_auxz00_12168 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)42118)), BGl_string3297z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4898); 
FAILURE(BgL_auxz00_12168,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_auxz00_12145);} } 

}



/* ssl-connection-load-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_102, obj_t BgL_bufz00_103)
{
{ /* Llib/ssl.scm 1043 */
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_method1298z00_1732;
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_res2491z00_3128;
{ /* Llib/ssl.scm 1043 */
 long BgL_objzd2classzd2numz00_3099;
BgL_objzd2classzd2numz00_3099 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_102)); 
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_arg1798z00_3100;
BgL_arg1798z00_3100 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1043 */
 int BgL_offsetz00_3103;
BgL_offsetz00_3103 = 
(int)(BgL_objzd2classzd2numz00_3099); 
{ /* Llib/ssl.scm 1043 */
 long BgL_offsetz00_3104;
BgL_offsetz00_3104 = 
(
(long)(BgL_offsetz00_3103)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1043 */
 long BgL_modz00_3105;
BgL_modz00_3105 = 
(BgL_offsetz00_3104 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1043 */
 long BgL_restz00_3107;
BgL_restz00_3107 = 
(BgL_offsetz00_3104 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1043 */

{ /* Llib/ssl.scm 1043 */
 obj_t BgL_bucketz00_3109;
BgL_bucketz00_3109 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3100),BgL_modz00_3105); 
BgL_res2491z00_3128 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3109),BgL_restz00_3107); } } } } } } } } 
BgL_method1298z00_1732 = BgL_res2491z00_3128; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1298z00_1732))(BgL_method1298z00_1732, 
((obj_t)BgL_sslz00_102), BgL_bufz00_103, BEOA);} } 

}



/* &ssl-connection-load-session */
obj_t BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4899, obj_t BgL_sslz00_4900, obj_t BgL_bufz00_4901)
{
{ /* Llib/ssl.scm 1043 */
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_auxz00_12231; BgL_sslzd2connectionzd2_bglt BgL_auxz00_12204;
if(
STRINGP(BgL_bufz00_4901))
{ /* Llib/ssl.scm 1043 */
BgL_auxz00_12231 = BgL_bufz00_4901
; }  else 
{ 
 obj_t BgL_auxz00_12234;
BgL_auxz00_12234 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)42523)), BGl_string3298z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_bufz00_4901); 
FAILURE(BgL_auxz00_12234,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1043 */
 bool_t BgL_test4197z00_12205;
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_classz00_6784;
BgL_classz00_6784 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4900))
{ /* Llib/ssl.scm 1043 */
 BgL_objectz00_bglt BgL_arg1796z00_6786; long BgL_arg1797z00_6787;
BgL_arg1796z00_6786 = 
(BgL_objectz00_bglt)(BgL_sslz00_4900); 
BgL_arg1797z00_6787 = 
BGL_CLASS_DEPTH(BgL_classz00_6784); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1043 */
 long BgL_idxz00_6795;
BgL_idxz00_6795 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6786); 
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_arg1788z00_6796;
{ /* Llib/ssl.scm 1043 */
 long BgL_arg1789z00_6797;
BgL_arg1789z00_6797 = 
(BgL_idxz00_6795+BgL_arg1797z00_6787); 
BgL_arg1788z00_6796 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6797); } 
BgL_test4197z00_12205 = 
(BgL_arg1788z00_6796==BgL_classz00_6784); } }  else 
{ /* Llib/ssl.scm 1043 */
 bool_t BgL_res3358z00_6820;
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_oclassz00_6805;
{ /* Llib/ssl.scm 1043 */
 long BgL_arg1801z00_6811;
{ /* Llib/ssl.scm 1043 */
 long BgL_arg1802z00_6812;
BgL_arg1802z00_6812 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6786); 
BgL_arg1801z00_6811 = 
(BgL_arg1802z00_6812-OBJECT_TYPE); } 
BgL_oclassz00_6805 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6811); } 
{ /* Llib/ssl.scm 1043 */
 bool_t BgL__ortest_1110z00_6806;
BgL__ortest_1110z00_6806 = 
(BgL_classz00_6784==BgL_oclassz00_6805); 
if(BgL__ortest_1110z00_6806)
{ /* Llib/ssl.scm 1043 */
BgL_res3358z00_6820 = BgL__ortest_1110z00_6806; }  else 
{ /* Llib/ssl.scm 1043 */
 long BgL_odepthz00_6807;
BgL_odepthz00_6807 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6805); 
if(
(BgL_arg1797z00_6787<BgL_odepthz00_6807))
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_arg1790z00_6809;
BgL_arg1790z00_6809 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6805, BgL_arg1797z00_6787); 
BgL_res3358z00_6820 = 
(BgL_arg1790z00_6809==BgL_classz00_6784); }  else 
{ /* Llib/ssl.scm 1043 */
BgL_res3358z00_6820 = ((bool_t)0); } } } } 
BgL_test4197z00_12205 = BgL_res3358z00_6820; } }  else 
{ /* Llib/ssl.scm 1043 */
BgL_test4197z00_12205 = ((bool_t)0)
; } } 
if(BgL_test4197z00_12205)
{ /* Llib/ssl.scm 1043 */
BgL_auxz00_12204 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4900)
; }  else 
{ 
 obj_t BgL_auxz00_12227;
BgL_auxz00_12227 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)42523)), BGl_string3298z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4900); 
FAILURE(BgL_auxz00_12227,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_12204, BgL_auxz00_12231);} } 

}



/* ssl-connection-verify-error */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_104)
{
{ /* Llib/ssl.scm 1053 */
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_method1300z00_1733;
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_res2496z00_3159;
{ /* Llib/ssl.scm 1053 */
 long BgL_objzd2classzd2numz00_3130;
BgL_objzd2classzd2numz00_3130 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_104)); 
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_arg1798z00_3131;
BgL_arg1798z00_3131 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1053 */
 int BgL_offsetz00_3134;
BgL_offsetz00_3134 = 
(int)(BgL_objzd2classzd2numz00_3130); 
{ /* Llib/ssl.scm 1053 */
 long BgL_offsetz00_3135;
BgL_offsetz00_3135 = 
(
(long)(BgL_offsetz00_3134)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1053 */
 long BgL_modz00_3136;
BgL_modz00_3136 = 
(BgL_offsetz00_3135 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1053 */
 long BgL_restz00_3138;
BgL_restz00_3138 = 
(BgL_offsetz00_3135 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1053 */

{ /* Llib/ssl.scm 1053 */
 obj_t BgL_bucketz00_3140;
BgL_bucketz00_3140 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3131),BgL_modz00_3136); 
BgL_res2496z00_3159 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3140),BgL_restz00_3138); } } } } } } } } 
BgL_method1300z00_1733 = BgL_res2496z00_3159; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1300z00_1733))(BgL_method1300z00_1733, 
((obj_t)BgL_sslz00_104), BEOA);} } 

}



/* &ssl-connection-verify-error */
obj_t BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00(obj_t BgL_envz00_4902, obj_t BgL_sslz00_4903)
{
{ /* Llib/ssl.scm 1053 */
{ /* Llib/ssl.scm 1053 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12269;
{ /* Llib/ssl.scm 1053 */
 bool_t BgL_test4203z00_12270;
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_classz00_6821;
BgL_classz00_6821 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4903))
{ /* Llib/ssl.scm 1053 */
 BgL_objectz00_bglt BgL_arg1796z00_6823; long BgL_arg1797z00_6824;
BgL_arg1796z00_6823 = 
(BgL_objectz00_bglt)(BgL_sslz00_4903); 
BgL_arg1797z00_6824 = 
BGL_CLASS_DEPTH(BgL_classz00_6821); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1053 */
 long BgL_idxz00_6832;
BgL_idxz00_6832 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6823); 
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_arg1788z00_6833;
{ /* Llib/ssl.scm 1053 */
 long BgL_arg1789z00_6834;
BgL_arg1789z00_6834 = 
(BgL_idxz00_6832+BgL_arg1797z00_6824); 
BgL_arg1788z00_6833 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6834); } 
BgL_test4203z00_12270 = 
(BgL_arg1788z00_6833==BgL_classz00_6821); } }  else 
{ /* Llib/ssl.scm 1053 */
 bool_t BgL_res3359z00_6857;
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_oclassz00_6842;
{ /* Llib/ssl.scm 1053 */
 long BgL_arg1801z00_6848;
{ /* Llib/ssl.scm 1053 */
 long BgL_arg1802z00_6849;
BgL_arg1802z00_6849 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6823); 
BgL_arg1801z00_6848 = 
(BgL_arg1802z00_6849-OBJECT_TYPE); } 
BgL_oclassz00_6842 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6848); } 
{ /* Llib/ssl.scm 1053 */
 bool_t BgL__ortest_1110z00_6843;
BgL__ortest_1110z00_6843 = 
(BgL_classz00_6821==BgL_oclassz00_6842); 
if(BgL__ortest_1110z00_6843)
{ /* Llib/ssl.scm 1053 */
BgL_res3359z00_6857 = BgL__ortest_1110z00_6843; }  else 
{ /* Llib/ssl.scm 1053 */
 long BgL_odepthz00_6844;
BgL_odepthz00_6844 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6842); 
if(
(BgL_arg1797z00_6824<BgL_odepthz00_6844))
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_arg1790z00_6846;
BgL_arg1790z00_6846 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6842, BgL_arg1797z00_6824); 
BgL_res3359z00_6857 = 
(BgL_arg1790z00_6846==BgL_classz00_6821); }  else 
{ /* Llib/ssl.scm 1053 */
BgL_res3359z00_6857 = ((bool_t)0); } } } } 
BgL_test4203z00_12270 = BgL_res3359z00_6857; } }  else 
{ /* Llib/ssl.scm 1053 */
BgL_test4203z00_12270 = ((bool_t)0)
; } } 
if(BgL_test4203z00_12270)
{ /* Llib/ssl.scm 1053 */
BgL_auxz00_12269 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4903)
; }  else 
{ 
 obj_t BgL_auxz00_12292;
BgL_auxz00_12292 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)42933)), BGl_string3299z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4903); 
FAILURE(BgL_auxz00_12292,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_auxz00_12269);} } 

}



/* ssl-connection-get-peer-certificate */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_105)
{
{ /* Llib/ssl.scm 1063 */
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_method1302z00_1734;
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_res2501z00_3190;
{ /* Llib/ssl.scm 1063 */
 long BgL_objzd2classzd2numz00_3161;
BgL_objzd2classzd2numz00_3161 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_105)); 
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_arg1798z00_3162;
BgL_arg1798z00_3162 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1063 */
 int BgL_offsetz00_3165;
BgL_offsetz00_3165 = 
(int)(BgL_objzd2classzd2numz00_3161); 
{ /* Llib/ssl.scm 1063 */
 long BgL_offsetz00_3166;
BgL_offsetz00_3166 = 
(
(long)(BgL_offsetz00_3165)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1063 */
 long BgL_modz00_3167;
BgL_modz00_3167 = 
(BgL_offsetz00_3166 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1063 */
 long BgL_restz00_3169;
BgL_restz00_3169 = 
(BgL_offsetz00_3166 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1063 */

{ /* Llib/ssl.scm 1063 */
 obj_t BgL_bucketz00_3171;
BgL_bucketz00_3171 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3162),BgL_modz00_3167); 
BgL_res2501z00_3190 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3171),BgL_restz00_3169); } } } } } } } } 
BgL_method1302z00_1734 = BgL_res2501z00_3190; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1302z00_1734))(BgL_method1302z00_1734, 
((obj_t)BgL_sslz00_105), BEOA);} } 

}



/* &ssl-connection-get-peer-certificate */
obj_t BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00(obj_t BgL_envz00_4904, obj_t BgL_sslz00_4905)
{
{ /* Llib/ssl.scm 1063 */
{ /* Llib/ssl.scm 1063 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12327;
{ /* Llib/ssl.scm 1063 */
 bool_t BgL_test4208z00_12328;
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_classz00_6858;
BgL_classz00_6858 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4905))
{ /* Llib/ssl.scm 1063 */
 BgL_objectz00_bglt BgL_arg1796z00_6860; long BgL_arg1797z00_6861;
BgL_arg1796z00_6860 = 
(BgL_objectz00_bglt)(BgL_sslz00_4905); 
BgL_arg1797z00_6861 = 
BGL_CLASS_DEPTH(BgL_classz00_6858); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1063 */
 long BgL_idxz00_6869;
BgL_idxz00_6869 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6860); 
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_arg1788z00_6870;
{ /* Llib/ssl.scm 1063 */
 long BgL_arg1789z00_6871;
BgL_arg1789z00_6871 = 
(BgL_idxz00_6869+BgL_arg1797z00_6861); 
BgL_arg1788z00_6870 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6871); } 
BgL_test4208z00_12328 = 
(BgL_arg1788z00_6870==BgL_classz00_6858); } }  else 
{ /* Llib/ssl.scm 1063 */
 bool_t BgL_res3360z00_6894;
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_oclassz00_6879;
{ /* Llib/ssl.scm 1063 */
 long BgL_arg1801z00_6885;
{ /* Llib/ssl.scm 1063 */
 long BgL_arg1802z00_6886;
BgL_arg1802z00_6886 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6860); 
BgL_arg1801z00_6885 = 
(BgL_arg1802z00_6886-OBJECT_TYPE); } 
BgL_oclassz00_6879 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6885); } 
{ /* Llib/ssl.scm 1063 */
 bool_t BgL__ortest_1110z00_6880;
BgL__ortest_1110z00_6880 = 
(BgL_classz00_6858==BgL_oclassz00_6879); 
if(BgL__ortest_1110z00_6880)
{ /* Llib/ssl.scm 1063 */
BgL_res3360z00_6894 = BgL__ortest_1110z00_6880; }  else 
{ /* Llib/ssl.scm 1063 */
 long BgL_odepthz00_6881;
BgL_odepthz00_6881 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6879); 
if(
(BgL_arg1797z00_6861<BgL_odepthz00_6881))
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_arg1790z00_6883;
BgL_arg1790z00_6883 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6879, BgL_arg1797z00_6861); 
BgL_res3360z00_6894 = 
(BgL_arg1790z00_6883==BgL_classz00_6858); }  else 
{ /* Llib/ssl.scm 1063 */
BgL_res3360z00_6894 = ((bool_t)0); } } } } 
BgL_test4208z00_12328 = BgL_res3360z00_6894; } }  else 
{ /* Llib/ssl.scm 1063 */
BgL_test4208z00_12328 = ((bool_t)0)
; } } 
if(BgL_test4208z00_12328)
{ /* Llib/ssl.scm 1063 */
BgL_auxz00_12327 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4905)
; }  else 
{ 
 obj_t BgL_auxz00_12350;
BgL_auxz00_12350 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)43326)), BGl_string3300z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4905); 
FAILURE(BgL_auxz00_12350,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_auxz00_12327);} } 

}



/* ssl-connection-reused? */
BGL_EXPORTED_DEF bool_t BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_106)
{
{ /* Llib/ssl.scm 1073 */
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_method1304z00_1735;
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_res2506z00_3221;
{ /* Llib/ssl.scm 1073 */
 long BgL_objzd2classzd2numz00_3192;
BgL_objzd2classzd2numz00_3192 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_106)); 
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_arg1798z00_3193;
BgL_arg1798z00_3193 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1073 */
 int BgL_offsetz00_3196;
BgL_offsetz00_3196 = 
(int)(BgL_objzd2classzd2numz00_3192); 
{ /* Llib/ssl.scm 1073 */
 long BgL_offsetz00_3197;
BgL_offsetz00_3197 = 
(
(long)(BgL_offsetz00_3196)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1073 */
 long BgL_modz00_3198;
BgL_modz00_3198 = 
(BgL_offsetz00_3197 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1073 */
 long BgL_restz00_3200;
BgL_restz00_3200 = 
(BgL_offsetz00_3197 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1073 */

{ /* Llib/ssl.scm 1073 */
 obj_t BgL_bucketz00_3202;
BgL_bucketz00_3202 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3193),BgL_modz00_3198); 
BgL_res2506z00_3221 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3202),BgL_restz00_3200); } } } } } } } } 
BgL_method1304z00_1735 = BgL_res2506z00_3221; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1304z00_1735))(BgL_method1304z00_1735, 
((obj_t)BgL_sslz00_106), BEOA));} } 

}



/* &ssl-connection-reused? */
obj_t BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00(obj_t BgL_envz00_4906, obj_t BgL_sslz00_4907)
{
{ /* Llib/ssl.scm 1073 */
{ /* Llib/ssl.scm 1073 */
 bool_t BgL_tmpz00_12386;
{ /* Llib/ssl.scm 1073 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12387;
{ /* Llib/ssl.scm 1073 */
 bool_t BgL_test4213z00_12388;
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_classz00_6895;
BgL_classz00_6895 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4907))
{ /* Llib/ssl.scm 1073 */
 BgL_objectz00_bglt BgL_arg1796z00_6897; long BgL_arg1797z00_6898;
BgL_arg1796z00_6897 = 
(BgL_objectz00_bglt)(BgL_sslz00_4907); 
BgL_arg1797z00_6898 = 
BGL_CLASS_DEPTH(BgL_classz00_6895); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1073 */
 long BgL_idxz00_6906;
BgL_idxz00_6906 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6897); 
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_arg1788z00_6907;
{ /* Llib/ssl.scm 1073 */
 long BgL_arg1789z00_6908;
BgL_arg1789z00_6908 = 
(BgL_idxz00_6906+BgL_arg1797z00_6898); 
BgL_arg1788z00_6907 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6908); } 
BgL_test4213z00_12388 = 
(BgL_arg1788z00_6907==BgL_classz00_6895); } }  else 
{ /* Llib/ssl.scm 1073 */
 bool_t BgL_res3361z00_6931;
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_oclassz00_6916;
{ /* Llib/ssl.scm 1073 */
 long BgL_arg1801z00_6922;
{ /* Llib/ssl.scm 1073 */
 long BgL_arg1802z00_6923;
BgL_arg1802z00_6923 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6897); 
BgL_arg1801z00_6922 = 
(BgL_arg1802z00_6923-OBJECT_TYPE); } 
BgL_oclassz00_6916 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6922); } 
{ /* Llib/ssl.scm 1073 */
 bool_t BgL__ortest_1110z00_6917;
BgL__ortest_1110z00_6917 = 
(BgL_classz00_6895==BgL_oclassz00_6916); 
if(BgL__ortest_1110z00_6917)
{ /* Llib/ssl.scm 1073 */
BgL_res3361z00_6931 = BgL__ortest_1110z00_6917; }  else 
{ /* Llib/ssl.scm 1073 */
 long BgL_odepthz00_6918;
BgL_odepthz00_6918 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6916); 
if(
(BgL_arg1797z00_6898<BgL_odepthz00_6918))
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_arg1790z00_6920;
BgL_arg1790z00_6920 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6916, BgL_arg1797z00_6898); 
BgL_res3361z00_6931 = 
(BgL_arg1790z00_6920==BgL_classz00_6895); }  else 
{ /* Llib/ssl.scm 1073 */
BgL_res3361z00_6931 = ((bool_t)0); } } } } 
BgL_test4213z00_12388 = BgL_res3361z00_6931; } }  else 
{ /* Llib/ssl.scm 1073 */
BgL_test4213z00_12388 = ((bool_t)0)
; } } 
if(BgL_test4213z00_12388)
{ /* Llib/ssl.scm 1073 */
BgL_auxz00_12387 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4907)
; }  else 
{ 
 obj_t BgL_auxz00_12410;
BgL_auxz00_12410 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)43735)), BGl_string3301z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4907); 
FAILURE(BgL_auxz00_12410,BFALSE,BFALSE);} } 
BgL_tmpz00_12386 = 
BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_auxz00_12387); } 
return 
BBOOL(BgL_tmpz00_12386);} } 

}



/* ssl-connection-get-negotiated-protocol */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_107)
{
{ /* Llib/ssl.scm 1084 */
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_method1306z00_1736;
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_res2511z00_3252;
{ /* Llib/ssl.scm 1084 */
 long BgL_objzd2classzd2numz00_3223;
BgL_objzd2classzd2numz00_3223 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_107)); 
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_arg1798z00_3224;
BgL_arg1798z00_3224 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1084 */
 int BgL_offsetz00_3227;
BgL_offsetz00_3227 = 
(int)(BgL_objzd2classzd2numz00_3223); 
{ /* Llib/ssl.scm 1084 */
 long BgL_offsetz00_3228;
BgL_offsetz00_3228 = 
(
(long)(BgL_offsetz00_3227)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1084 */
 long BgL_modz00_3229;
BgL_modz00_3229 = 
(BgL_offsetz00_3228 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1084 */
 long BgL_restz00_3231;
BgL_restz00_3231 = 
(BgL_offsetz00_3228 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1084 */

{ /* Llib/ssl.scm 1084 */
 obj_t BgL_bucketz00_3233;
BgL_bucketz00_3233 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3224),BgL_modz00_3229); 
BgL_res2511z00_3252 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3233),BgL_restz00_3231); } } } } } } } } 
BgL_method1306z00_1736 = BgL_res2511z00_3252; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1306z00_1736))(BgL_method1306z00_1736, 
((obj_t)BgL_sslz00_107), BEOA);} } 

}



/* &ssl-connection-get-negotiated-protocol */
obj_t BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00(obj_t BgL_envz00_4908, obj_t BgL_sslz00_4909)
{
{ /* Llib/ssl.scm 1084 */
{ /* Llib/ssl.scm 1084 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12446;
{ /* Llib/ssl.scm 1084 */
 bool_t BgL_test4218z00_12447;
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_classz00_6932;
BgL_classz00_6932 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4909))
{ /* Llib/ssl.scm 1084 */
 BgL_objectz00_bglt BgL_arg1796z00_6934; long BgL_arg1797z00_6935;
BgL_arg1796z00_6934 = 
(BgL_objectz00_bglt)(BgL_sslz00_4909); 
BgL_arg1797z00_6935 = 
BGL_CLASS_DEPTH(BgL_classz00_6932); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1084 */
 long BgL_idxz00_6943;
BgL_idxz00_6943 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6934); 
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_arg1788z00_6944;
{ /* Llib/ssl.scm 1084 */
 long BgL_arg1789z00_6945;
BgL_arg1789z00_6945 = 
(BgL_idxz00_6943+BgL_arg1797z00_6935); 
BgL_arg1788z00_6944 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6945); } 
BgL_test4218z00_12447 = 
(BgL_arg1788z00_6944==BgL_classz00_6932); } }  else 
{ /* Llib/ssl.scm 1084 */
 bool_t BgL_res3362z00_6968;
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_oclassz00_6953;
{ /* Llib/ssl.scm 1084 */
 long BgL_arg1801z00_6959;
{ /* Llib/ssl.scm 1084 */
 long BgL_arg1802z00_6960;
BgL_arg1802z00_6960 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6934); 
BgL_arg1801z00_6959 = 
(BgL_arg1802z00_6960-OBJECT_TYPE); } 
BgL_oclassz00_6953 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6959); } 
{ /* Llib/ssl.scm 1084 */
 bool_t BgL__ortest_1110z00_6954;
BgL__ortest_1110z00_6954 = 
(BgL_classz00_6932==BgL_oclassz00_6953); 
if(BgL__ortest_1110z00_6954)
{ /* Llib/ssl.scm 1084 */
BgL_res3362z00_6968 = BgL__ortest_1110z00_6954; }  else 
{ /* Llib/ssl.scm 1084 */
 long BgL_odepthz00_6955;
BgL_odepthz00_6955 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6953); 
if(
(BgL_arg1797z00_6935<BgL_odepthz00_6955))
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_arg1790z00_6957;
BgL_arg1790z00_6957 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6953, BgL_arg1797z00_6935); 
BgL_res3362z00_6968 = 
(BgL_arg1790z00_6957==BgL_classz00_6932); }  else 
{ /* Llib/ssl.scm 1084 */
BgL_res3362z00_6968 = ((bool_t)0); } } } } 
BgL_test4218z00_12447 = BgL_res3362z00_6968; } }  else 
{ /* Llib/ssl.scm 1084 */
BgL_test4218z00_12447 = ((bool_t)0)
; } } 
if(BgL_test4218z00_12447)
{ /* Llib/ssl.scm 1084 */
BgL_auxz00_12446 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4909)
; }  else 
{ 
 obj_t BgL_auxz00_12469;
BgL_auxz00_12469 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)44161)), BGl_string3302z00zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00, BgL_sslz00_4909); 
FAILURE(BgL_auxz00_12469,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_auxz00_12446);} } 

}



/* &dh-init */
obj_t BGl_z62dhzd2initzb0zz__ssl_sslz00(obj_t BgL_envz00_4580, obj_t BgL_dhz00_4581)
{
{ /* Llib/ssl.scm 1094 */
{ /* Llib/ssl.scm 1094 */
 BgL_dhz00_bglt BgL_dhz00_7006;
{ /* Llib/ssl.scm 1094 */
 bool_t BgL_test4223z00_12474;
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_classz00_6969;
BgL_classz00_6969 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4581))
{ /* Llib/ssl.scm 1094 */
 BgL_objectz00_bglt BgL_arg1796z00_6971; long BgL_arg1797z00_6972;
BgL_arg1796z00_6971 = 
(BgL_objectz00_bglt)(BgL_dhz00_4581); 
BgL_arg1797z00_6972 = 
BGL_CLASS_DEPTH(BgL_classz00_6969); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1094 */
 long BgL_idxz00_6980;
BgL_idxz00_6980 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_6971); 
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_arg1788z00_6981;
{ /* Llib/ssl.scm 1094 */
 long BgL_arg1789z00_6982;
BgL_arg1789z00_6982 = 
(BgL_idxz00_6980+BgL_arg1797z00_6972); 
BgL_arg1788z00_6981 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_6982); } 
BgL_test4223z00_12474 = 
(BgL_arg1788z00_6981==BgL_classz00_6969); } }  else 
{ /* Llib/ssl.scm 1094 */
 bool_t BgL_res3363z00_7005;
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_oclassz00_6990;
{ /* Llib/ssl.scm 1094 */
 long BgL_arg1801z00_6996;
{ /* Llib/ssl.scm 1094 */
 long BgL_arg1802z00_6997;
BgL_arg1802z00_6997 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_6971); 
BgL_arg1801z00_6996 = 
(BgL_arg1802z00_6997-OBJECT_TYPE); } 
BgL_oclassz00_6990 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_6996); } 
{ /* Llib/ssl.scm 1094 */
 bool_t BgL__ortest_1110z00_6991;
BgL__ortest_1110z00_6991 = 
(BgL_classz00_6969==BgL_oclassz00_6990); 
if(BgL__ortest_1110z00_6991)
{ /* Llib/ssl.scm 1094 */
BgL_res3363z00_7005 = BgL__ortest_1110z00_6991; }  else 
{ /* Llib/ssl.scm 1094 */
 long BgL_odepthz00_6992;
BgL_odepthz00_6992 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6990); 
if(
(BgL_arg1797z00_6972<BgL_odepthz00_6992))
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_arg1790z00_6994;
BgL_arg1790z00_6994 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6990, BgL_arg1797z00_6972); 
BgL_res3363z00_7005 = 
(BgL_arg1790z00_6994==BgL_classz00_6969); }  else 
{ /* Llib/ssl.scm 1094 */
BgL_res3363z00_7005 = ((bool_t)0); } } } } 
BgL_test4223z00_12474 = BgL_res3363z00_7005; } }  else 
{ /* Llib/ssl.scm 1094 */
BgL_test4223z00_12474 = ((bool_t)0)
; } } 
if(BgL_test4223z00_12474)
{ /* Llib/ssl.scm 1094 */
BgL_dhz00_7006 = 
((BgL_dhz00_bglt)BgL_dhz00_4581); }  else 
{ 
 obj_t BgL_auxz00_12496;
BgL_auxz00_12496 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)44576)), BGl_string3303z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4581); 
FAILURE(BgL_auxz00_12496,BFALSE,BFALSE);} } 
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_method1308z00_7007;
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_res2516z00_7008;
{ /* Llib/ssl.scm 1094 */
 long BgL_objzd2classzd2numz00_7009;
BgL_objzd2classzd2numz00_7009 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_7006)); 
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_arg1798z00_7010;
BgL_arg1798z00_7010 = 
PROCEDURE_REF(BGl_dhzd2initzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1094 */
 int BgL_offsetz00_7011;
BgL_offsetz00_7011 = 
(int)(BgL_objzd2classzd2numz00_7009); 
{ /* Llib/ssl.scm 1094 */
 long BgL_offsetz00_7012;
BgL_offsetz00_7012 = 
(
(long)(BgL_offsetz00_7011)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1094 */
 long BgL_modz00_7013;
BgL_modz00_7013 = 
(BgL_offsetz00_7012 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1094 */
 long BgL_restz00_7014;
BgL_restz00_7014 = 
(BgL_offsetz00_7012 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1094 */

{ /* Llib/ssl.scm 1094 */
 obj_t BgL_bucketz00_7015;
BgL_bucketz00_7015 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_7010),BgL_modz00_7013); 
BgL_res2516z00_7008 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_7015),BgL_restz00_7014); } } } } } } } } 
BgL_method1308z00_7007 = BgL_res2516z00_7008; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1308z00_7007))(BgL_method1308z00_7007, 
((obj_t)BgL_dhz00_7006), BEOA);} } } 

}



/* dh-size */
BGL_EXPORTED_DEF int BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_109)
{
{ /* Llib/ssl.scm 1105 */
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_method1310z00_1738;
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_res2521z00_3314;
{ /* Llib/ssl.scm 1105 */
 long BgL_objzd2classzd2numz00_3285;
BgL_objzd2classzd2numz00_3285 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_109)); 
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_arg1798z00_3286;
BgL_arg1798z00_3286 = 
PROCEDURE_REF(BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1105 */
 int BgL_offsetz00_3289;
BgL_offsetz00_3289 = 
(int)(BgL_objzd2classzd2numz00_3285); 
{ /* Llib/ssl.scm 1105 */
 long BgL_offsetz00_3290;
BgL_offsetz00_3290 = 
(
(long)(BgL_offsetz00_3289)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1105 */
 long BgL_modz00_3291;
BgL_modz00_3291 = 
(BgL_offsetz00_3290 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1105 */
 long BgL_restz00_3293;
BgL_restz00_3293 = 
(BgL_offsetz00_3290 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1105 */

{ /* Llib/ssl.scm 1105 */
 obj_t BgL_bucketz00_3295;
BgL_bucketz00_3295 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3286),BgL_modz00_3291); 
BgL_res2521z00_3314 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3295),BgL_restz00_3293); } } } } } } } } 
BgL_method1310z00_1738 = BgL_res2521z00_3314; } 
return 
CINT(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1310z00_1738))(BgL_method1310z00_1738, 
((obj_t)BgL_dhz00_109), BEOA));} } 

}



/* &dh-size */
obj_t BGl_z62dhzd2siza7ez17zz__ssl_sslz00(obj_t BgL_envz00_4910, obj_t BgL_dhz00_4911)
{
{ /* Llib/ssl.scm 1105 */
{ /* Llib/ssl.scm 1105 */
 int BgL_tmpz00_12561;
{ /* Llib/ssl.scm 1105 */
 BgL_dhz00_bglt BgL_auxz00_12562;
{ /* Llib/ssl.scm 1105 */
 bool_t BgL_test4228z00_12563;
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_classz00_7016;
BgL_classz00_7016 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4911))
{ /* Llib/ssl.scm 1105 */
 BgL_objectz00_bglt BgL_arg1796z00_7018; long BgL_arg1797z00_7019;
BgL_arg1796z00_7018 = 
(BgL_objectz00_bglt)(BgL_dhz00_4911); 
BgL_arg1797z00_7019 = 
BGL_CLASS_DEPTH(BgL_classz00_7016); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1105 */
 long BgL_idxz00_7027;
BgL_idxz00_7027 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7018); 
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_arg1788z00_7028;
{ /* Llib/ssl.scm 1105 */
 long BgL_arg1789z00_7029;
BgL_arg1789z00_7029 = 
(BgL_idxz00_7027+BgL_arg1797z00_7019); 
BgL_arg1788z00_7028 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7029); } 
BgL_test4228z00_12563 = 
(BgL_arg1788z00_7028==BgL_classz00_7016); } }  else 
{ /* Llib/ssl.scm 1105 */
 bool_t BgL_res3364z00_7052;
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_oclassz00_7037;
{ /* Llib/ssl.scm 1105 */
 long BgL_arg1801z00_7043;
{ /* Llib/ssl.scm 1105 */
 long BgL_arg1802z00_7044;
BgL_arg1802z00_7044 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7018); 
BgL_arg1801z00_7043 = 
(BgL_arg1802z00_7044-OBJECT_TYPE); } 
BgL_oclassz00_7037 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7043); } 
{ /* Llib/ssl.scm 1105 */
 bool_t BgL__ortest_1110z00_7038;
BgL__ortest_1110z00_7038 = 
(BgL_classz00_7016==BgL_oclassz00_7037); 
if(BgL__ortest_1110z00_7038)
{ /* Llib/ssl.scm 1105 */
BgL_res3364z00_7052 = BgL__ortest_1110z00_7038; }  else 
{ /* Llib/ssl.scm 1105 */
 long BgL_odepthz00_7039;
BgL_odepthz00_7039 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7037); 
if(
(BgL_arg1797z00_7019<BgL_odepthz00_7039))
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_arg1790z00_7041;
BgL_arg1790z00_7041 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7037, BgL_arg1797z00_7019); 
BgL_res3364z00_7052 = 
(BgL_arg1790z00_7041==BgL_classz00_7016); }  else 
{ /* Llib/ssl.scm 1105 */
BgL_res3364z00_7052 = ((bool_t)0); } } } } 
BgL_test4228z00_12563 = BgL_res3364z00_7052; } }  else 
{ /* Llib/ssl.scm 1105 */
BgL_test4228z00_12563 = ((bool_t)0)
; } } 
if(BgL_test4228z00_12563)
{ /* Llib/ssl.scm 1105 */
BgL_auxz00_12562 = 
((BgL_dhz00_bglt)BgL_dhz00_4911)
; }  else 
{ 
 obj_t BgL_auxz00_12585;
BgL_auxz00_12585 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)44956)), BGl_string3305z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4911); 
FAILURE(BgL_auxz00_12585,BFALSE,BFALSE);} } 
BgL_tmpz00_12561 = 
BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_auxz00_12562); } 
return 
BINT(BgL_tmpz00_12561);} } 

}



/* dh-generate-parameters-ex */
BGL_EXPORTED_DEF obj_t BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_110, int BgL_lenz00_111, obj_t BgL_generatorz00_112)
{
{ /* Llib/ssl.scm 1113 */
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_method1312z00_1739;
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_res2526z00_3345;
{ /* Llib/ssl.scm 1113 */
 long BgL_objzd2classzd2numz00_3316;
BgL_objzd2classzd2numz00_3316 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_110)); 
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_arg1798z00_3317;
BgL_arg1798z00_3317 = 
PROCEDURE_REF(BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1113 */
 int BgL_offsetz00_3320;
BgL_offsetz00_3320 = 
(int)(BgL_objzd2classzd2numz00_3316); 
{ /* Llib/ssl.scm 1113 */
 long BgL_offsetz00_3321;
BgL_offsetz00_3321 = 
(
(long)(BgL_offsetz00_3320)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1113 */
 long BgL_modz00_3322;
BgL_modz00_3322 = 
(BgL_offsetz00_3321 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1113 */
 long BgL_restz00_3324;
BgL_restz00_3324 = 
(BgL_offsetz00_3321 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1113 */

{ /* Llib/ssl.scm 1113 */
 obj_t BgL_bucketz00_3326;
BgL_bucketz00_3326 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3317),BgL_modz00_3322); 
BgL_res2526z00_3345 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3326),BgL_restz00_3324); } } } } } } } } 
BgL_method1312z00_1739 = BgL_res2526z00_3345; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1312z00_1739))(BgL_method1312z00_1739, 
((obj_t)BgL_dhz00_110), 
BINT(BgL_lenz00_111), BgL_generatorz00_112, BEOA);} } 

}



/* &dh-generate-parameters-ex */
obj_t BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00(obj_t BgL_envz00_4912, obj_t BgL_dhz00_4913, obj_t BgL_lenz00_4914, obj_t BgL_generatorz00_4915)
{
{ /* Llib/ssl.scm 1113 */
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_auxz00_12660; int BgL_auxz00_12651; BgL_dhz00_bglt BgL_auxz00_12624;
if(
SYMBOLP(BgL_generatorz00_4915))
{ /* Llib/ssl.scm 1113 */
BgL_auxz00_12660 = BgL_generatorz00_4915
; }  else 
{ 
 obj_t BgL_auxz00_12663;
BgL_auxz00_12663 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)45320)), BGl_string3306z00zz__ssl_sslz00, BGl_string3307z00zz__ssl_sslz00, BgL_generatorz00_4915); 
FAILURE(BgL_auxz00_12663,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_tmpz00_12652;
if(
INTEGERP(BgL_lenz00_4914))
{ /* Llib/ssl.scm 1113 */
BgL_tmpz00_12652 = BgL_lenz00_4914
; }  else 
{ 
 obj_t BgL_auxz00_12655;
BgL_auxz00_12655 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)45320)), BGl_string3306z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4914); 
FAILURE(BgL_auxz00_12655,BFALSE,BFALSE);} 
BgL_auxz00_12651 = 
CINT(BgL_tmpz00_12652); } 
{ /* Llib/ssl.scm 1113 */
 bool_t BgL_test4233z00_12625;
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_classz00_7053;
BgL_classz00_7053 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4913))
{ /* Llib/ssl.scm 1113 */
 BgL_objectz00_bglt BgL_arg1796z00_7055; long BgL_arg1797z00_7056;
BgL_arg1796z00_7055 = 
(BgL_objectz00_bglt)(BgL_dhz00_4913); 
BgL_arg1797z00_7056 = 
BGL_CLASS_DEPTH(BgL_classz00_7053); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1113 */
 long BgL_idxz00_7064;
BgL_idxz00_7064 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7055); 
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_arg1788z00_7065;
{ /* Llib/ssl.scm 1113 */
 long BgL_arg1789z00_7066;
BgL_arg1789z00_7066 = 
(BgL_idxz00_7064+BgL_arg1797z00_7056); 
BgL_arg1788z00_7065 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7066); } 
BgL_test4233z00_12625 = 
(BgL_arg1788z00_7065==BgL_classz00_7053); } }  else 
{ /* Llib/ssl.scm 1113 */
 bool_t BgL_res3365z00_7089;
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_oclassz00_7074;
{ /* Llib/ssl.scm 1113 */
 long BgL_arg1801z00_7080;
{ /* Llib/ssl.scm 1113 */
 long BgL_arg1802z00_7081;
BgL_arg1802z00_7081 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7055); 
BgL_arg1801z00_7080 = 
(BgL_arg1802z00_7081-OBJECT_TYPE); } 
BgL_oclassz00_7074 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7080); } 
{ /* Llib/ssl.scm 1113 */
 bool_t BgL__ortest_1110z00_7075;
BgL__ortest_1110z00_7075 = 
(BgL_classz00_7053==BgL_oclassz00_7074); 
if(BgL__ortest_1110z00_7075)
{ /* Llib/ssl.scm 1113 */
BgL_res3365z00_7089 = BgL__ortest_1110z00_7075; }  else 
{ /* Llib/ssl.scm 1113 */
 long BgL_odepthz00_7076;
BgL_odepthz00_7076 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7074); 
if(
(BgL_arg1797z00_7056<BgL_odepthz00_7076))
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_arg1790z00_7078;
BgL_arg1790z00_7078 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7074, BgL_arg1797z00_7056); 
BgL_res3365z00_7089 = 
(BgL_arg1790z00_7078==BgL_classz00_7053); }  else 
{ /* Llib/ssl.scm 1113 */
BgL_res3365z00_7089 = ((bool_t)0); } } } } 
BgL_test4233z00_12625 = BgL_res3365z00_7089; } }  else 
{ /* Llib/ssl.scm 1113 */
BgL_test4233z00_12625 = ((bool_t)0)
; } } 
if(BgL_test4233z00_12625)
{ /* Llib/ssl.scm 1113 */
BgL_auxz00_12624 = 
((BgL_dhz00_bglt)BgL_dhz00_4913)
; }  else 
{ 
 obj_t BgL_auxz00_12647;
BgL_auxz00_12647 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)45320)), BGl_string3306z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4913); 
FAILURE(BgL_auxz00_12647,BFALSE,BFALSE);} } 
return 
BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_auxz00_12624, BgL_auxz00_12651, BgL_auxz00_12660);} } 

}



/* dh-check */
BGL_EXPORTED_DEF obj_t BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_113)
{
{ /* Llib/ssl.scm 1129 */
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_method1314z00_1740;
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_res2531z00_3376;
{ /* Llib/ssl.scm 1129 */
 long BgL_objzd2classzd2numz00_3347;
BgL_objzd2classzd2numz00_3347 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_113)); 
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_arg1798z00_3348;
BgL_arg1798z00_3348 = 
PROCEDURE_REF(BGl_dhzd2checkzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1129 */
 int BgL_offsetz00_3351;
BgL_offsetz00_3351 = 
(int)(BgL_objzd2classzd2numz00_3347); 
{ /* Llib/ssl.scm 1129 */
 long BgL_offsetz00_3352;
BgL_offsetz00_3352 = 
(
(long)(BgL_offsetz00_3351)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1129 */
 long BgL_modz00_3353;
BgL_modz00_3353 = 
(BgL_offsetz00_3352 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1129 */
 long BgL_restz00_3355;
BgL_restz00_3355 = 
(BgL_offsetz00_3352 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1129 */

{ /* Llib/ssl.scm 1129 */
 obj_t BgL_bucketz00_3357;
BgL_bucketz00_3357 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3348),BgL_modz00_3353); 
BgL_res2531z00_3376 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3357),BgL_restz00_3355); } } } } } } } } 
BgL_method1314z00_1740 = BgL_res2531z00_3376; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1314z00_1740))(BgL_method1314z00_1740, 
((obj_t)BgL_dhz00_113), BEOA);} } 

}



/* &dh-check */
obj_t BGl_z62dhzd2checkzb0zz__ssl_sslz00(obj_t BgL_envz00_4916, obj_t BgL_dhz00_4917)
{
{ /* Llib/ssl.scm 1129 */
{ /* Llib/ssl.scm 1129 */
 BgL_dhz00_bglt BgL_auxz00_12698;
{ /* Llib/ssl.scm 1129 */
 bool_t BgL_test4240z00_12699;
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_classz00_7090;
BgL_classz00_7090 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4917))
{ /* Llib/ssl.scm 1129 */
 BgL_objectz00_bglt BgL_arg1796z00_7092; long BgL_arg1797z00_7093;
BgL_arg1796z00_7092 = 
(BgL_objectz00_bglt)(BgL_dhz00_4917); 
BgL_arg1797z00_7093 = 
BGL_CLASS_DEPTH(BgL_classz00_7090); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1129 */
 long BgL_idxz00_7101;
BgL_idxz00_7101 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7092); 
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_arg1788z00_7102;
{ /* Llib/ssl.scm 1129 */
 long BgL_arg1789z00_7103;
BgL_arg1789z00_7103 = 
(BgL_idxz00_7101+BgL_arg1797z00_7093); 
BgL_arg1788z00_7102 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7103); } 
BgL_test4240z00_12699 = 
(BgL_arg1788z00_7102==BgL_classz00_7090); } }  else 
{ /* Llib/ssl.scm 1129 */
 bool_t BgL_res3366z00_7126;
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_oclassz00_7111;
{ /* Llib/ssl.scm 1129 */
 long BgL_arg1801z00_7117;
{ /* Llib/ssl.scm 1129 */
 long BgL_arg1802z00_7118;
BgL_arg1802z00_7118 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7092); 
BgL_arg1801z00_7117 = 
(BgL_arg1802z00_7118-OBJECT_TYPE); } 
BgL_oclassz00_7111 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7117); } 
{ /* Llib/ssl.scm 1129 */
 bool_t BgL__ortest_1110z00_7112;
BgL__ortest_1110z00_7112 = 
(BgL_classz00_7090==BgL_oclassz00_7111); 
if(BgL__ortest_1110z00_7112)
{ /* Llib/ssl.scm 1129 */
BgL_res3366z00_7126 = BgL__ortest_1110z00_7112; }  else 
{ /* Llib/ssl.scm 1129 */
 long BgL_odepthz00_7113;
BgL_odepthz00_7113 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7111); 
if(
(BgL_arg1797z00_7093<BgL_odepthz00_7113))
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_arg1790z00_7115;
BgL_arg1790z00_7115 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7111, BgL_arg1797z00_7093); 
BgL_res3366z00_7126 = 
(BgL_arg1790z00_7115==BgL_classz00_7090); }  else 
{ /* Llib/ssl.scm 1129 */
BgL_res3366z00_7126 = ((bool_t)0); } } } } 
BgL_test4240z00_12699 = BgL_res3366z00_7126; } }  else 
{ /* Llib/ssl.scm 1129 */
BgL_test4240z00_12699 = ((bool_t)0)
; } } 
if(BgL_test4240z00_12699)
{ /* Llib/ssl.scm 1129 */
BgL_auxz00_12698 = 
((BgL_dhz00_bglt)BgL_dhz00_4917)
; }  else 
{ 
 obj_t BgL_auxz00_12721;
BgL_auxz00_12721 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)45908)), BGl_string3308z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4917); 
FAILURE(BgL_auxz00_12721,BFALSE,BFALSE);} } 
return 
BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_auxz00_12698);} } 

}



/* dh-check-pub-key */
BGL_EXPORTED_DEF obj_t BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_114, obj_t BgL_keyz00_115)
{
{ /* Llib/ssl.scm 1140 */
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_method1316z00_1741;
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_res2536z00_3407;
{ /* Llib/ssl.scm 1140 */
 long BgL_objzd2classzd2numz00_3378;
BgL_objzd2classzd2numz00_3378 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_114)); 
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_arg1798z00_3379;
BgL_arg1798z00_3379 = 
PROCEDURE_REF(BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1140 */
 int BgL_offsetz00_3382;
BgL_offsetz00_3382 = 
(int)(BgL_objzd2classzd2numz00_3378); 
{ /* Llib/ssl.scm 1140 */
 long BgL_offsetz00_3383;
BgL_offsetz00_3383 = 
(
(long)(BgL_offsetz00_3382)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1140 */
 long BgL_modz00_3384;
BgL_modz00_3384 = 
(BgL_offsetz00_3383 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1140 */
 long BgL_restz00_3386;
BgL_restz00_3386 = 
(BgL_offsetz00_3383 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1140 */

{ /* Llib/ssl.scm 1140 */
 obj_t BgL_bucketz00_3388;
BgL_bucketz00_3388 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3379),BgL_modz00_3384); 
BgL_res2536z00_3407 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3388),BgL_restz00_3386); } } } } } } } } 
BgL_method1316z00_1741 = BgL_res2536z00_3407; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1316z00_1741))(BgL_method1316z00_1741, 
((obj_t)BgL_dhz00_114), BgL_keyz00_115, BEOA);} } 

}



/* &dh-check-pub-key */
obj_t BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00(obj_t BgL_envz00_4918, obj_t BgL_dhz00_4919, obj_t BgL_keyz00_4920)
{
{ /* Llib/ssl.scm 1140 */
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_auxz00_12784; BgL_dhz00_bglt BgL_auxz00_12757;
if(
FOREIGNP(BgL_keyz00_4920))
{ /* Llib/ssl.scm 1140 */
BgL_auxz00_12784 = BgL_keyz00_4920
; }  else 
{ 
 obj_t BgL_auxz00_12787;
BgL_auxz00_12787 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)46288)), BGl_string3309z00zz__ssl_sslz00, BGl_string2975z00zz__ssl_sslz00, BgL_keyz00_4920); 
FAILURE(BgL_auxz00_12787,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1140 */
 bool_t BgL_test4245z00_12758;
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_classz00_7127;
BgL_classz00_7127 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4919))
{ /* Llib/ssl.scm 1140 */
 BgL_objectz00_bglt BgL_arg1796z00_7129; long BgL_arg1797z00_7130;
BgL_arg1796z00_7129 = 
(BgL_objectz00_bglt)(BgL_dhz00_4919); 
BgL_arg1797z00_7130 = 
BGL_CLASS_DEPTH(BgL_classz00_7127); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1140 */
 long BgL_idxz00_7138;
BgL_idxz00_7138 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7129); 
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_arg1788z00_7139;
{ /* Llib/ssl.scm 1140 */
 long BgL_arg1789z00_7140;
BgL_arg1789z00_7140 = 
(BgL_idxz00_7138+BgL_arg1797z00_7130); 
BgL_arg1788z00_7139 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7140); } 
BgL_test4245z00_12758 = 
(BgL_arg1788z00_7139==BgL_classz00_7127); } }  else 
{ /* Llib/ssl.scm 1140 */
 bool_t BgL_res3367z00_7163;
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_oclassz00_7148;
{ /* Llib/ssl.scm 1140 */
 long BgL_arg1801z00_7154;
{ /* Llib/ssl.scm 1140 */
 long BgL_arg1802z00_7155;
BgL_arg1802z00_7155 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7129); 
BgL_arg1801z00_7154 = 
(BgL_arg1802z00_7155-OBJECT_TYPE); } 
BgL_oclassz00_7148 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7154); } 
{ /* Llib/ssl.scm 1140 */
 bool_t BgL__ortest_1110z00_7149;
BgL__ortest_1110z00_7149 = 
(BgL_classz00_7127==BgL_oclassz00_7148); 
if(BgL__ortest_1110z00_7149)
{ /* Llib/ssl.scm 1140 */
BgL_res3367z00_7163 = BgL__ortest_1110z00_7149; }  else 
{ /* Llib/ssl.scm 1140 */
 long BgL_odepthz00_7150;
BgL_odepthz00_7150 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7148); 
if(
(BgL_arg1797z00_7130<BgL_odepthz00_7150))
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_arg1790z00_7152;
BgL_arg1790z00_7152 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7148, BgL_arg1797z00_7130); 
BgL_res3367z00_7163 = 
(BgL_arg1790z00_7152==BgL_classz00_7127); }  else 
{ /* Llib/ssl.scm 1140 */
BgL_res3367z00_7163 = ((bool_t)0); } } } } 
BgL_test4245z00_12758 = BgL_res3367z00_7163; } }  else 
{ /* Llib/ssl.scm 1140 */
BgL_test4245z00_12758 = ((bool_t)0)
; } } 
if(BgL_test4245z00_12758)
{ /* Llib/ssl.scm 1140 */
BgL_auxz00_12757 = 
((BgL_dhz00_bglt)BgL_dhz00_4919)
; }  else 
{ 
 obj_t BgL_auxz00_12780;
BgL_auxz00_12780 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)46288)), BGl_string3309z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4919); 
FAILURE(BgL_auxz00_12780,BFALSE,BFALSE);} } 
return 
BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_auxz00_12757, BgL_auxz00_12784);} } 

}



/* dh-compute-key */
BGL_EXPORTED_DEF obj_t BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_116, obj_t BgL_keyz00_117)
{
{ /* Llib/ssl.scm 1151 */
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_method1318z00_1742;
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_res2541z00_3438;
{ /* Llib/ssl.scm 1151 */
 long BgL_objzd2classzd2numz00_3409;
BgL_objzd2classzd2numz00_3409 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_116)); 
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_arg1798z00_3410;
BgL_arg1798z00_3410 = 
PROCEDURE_REF(BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1151 */
 int BgL_offsetz00_3413;
BgL_offsetz00_3413 = 
(int)(BgL_objzd2classzd2numz00_3409); 
{ /* Llib/ssl.scm 1151 */
 long BgL_offsetz00_3414;
BgL_offsetz00_3414 = 
(
(long)(BgL_offsetz00_3413)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1151 */
 long BgL_modz00_3415;
BgL_modz00_3415 = 
(BgL_offsetz00_3414 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1151 */
 long BgL_restz00_3417;
BgL_restz00_3417 = 
(BgL_offsetz00_3414 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1151 */

{ /* Llib/ssl.scm 1151 */
 obj_t BgL_bucketz00_3419;
BgL_bucketz00_3419 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3410),BgL_modz00_3415); 
BgL_res2541z00_3438 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3419),BgL_restz00_3417); } } } } } } } } 
BgL_method1318z00_1742 = BgL_res2541z00_3438; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1318z00_1742))(BgL_method1318z00_1742, 
((obj_t)BgL_dhz00_116), BgL_keyz00_117, BEOA);} } 

}



/* &dh-compute-key */
obj_t BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4921, obj_t BgL_dhz00_4922, obj_t BgL_keyz00_4923)
{
{ /* Llib/ssl.scm 1151 */
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_auxz00_12850; BgL_dhz00_bglt BgL_auxz00_12823;
if(
FOREIGNP(BgL_keyz00_4923))
{ /* Llib/ssl.scm 1151 */
BgL_auxz00_12850 = BgL_keyz00_4923
; }  else 
{ 
 obj_t BgL_auxz00_12853;
BgL_auxz00_12853 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)46716)), BGl_string3310z00zz__ssl_sslz00, BGl_string2975z00zz__ssl_sslz00, BgL_keyz00_4923); 
FAILURE(BgL_auxz00_12853,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1151 */
 bool_t BgL_test4251z00_12824;
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_classz00_7164;
BgL_classz00_7164 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4922))
{ /* Llib/ssl.scm 1151 */
 BgL_objectz00_bglt BgL_arg1796z00_7166; long BgL_arg1797z00_7167;
BgL_arg1796z00_7166 = 
(BgL_objectz00_bglt)(BgL_dhz00_4922); 
BgL_arg1797z00_7167 = 
BGL_CLASS_DEPTH(BgL_classz00_7164); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1151 */
 long BgL_idxz00_7175;
BgL_idxz00_7175 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7166); 
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_arg1788z00_7176;
{ /* Llib/ssl.scm 1151 */
 long BgL_arg1789z00_7177;
BgL_arg1789z00_7177 = 
(BgL_idxz00_7175+BgL_arg1797z00_7167); 
BgL_arg1788z00_7176 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7177); } 
BgL_test4251z00_12824 = 
(BgL_arg1788z00_7176==BgL_classz00_7164); } }  else 
{ /* Llib/ssl.scm 1151 */
 bool_t BgL_res3368z00_7200;
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_oclassz00_7185;
{ /* Llib/ssl.scm 1151 */
 long BgL_arg1801z00_7191;
{ /* Llib/ssl.scm 1151 */
 long BgL_arg1802z00_7192;
BgL_arg1802z00_7192 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7166); 
BgL_arg1801z00_7191 = 
(BgL_arg1802z00_7192-OBJECT_TYPE); } 
BgL_oclassz00_7185 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7191); } 
{ /* Llib/ssl.scm 1151 */
 bool_t BgL__ortest_1110z00_7186;
BgL__ortest_1110z00_7186 = 
(BgL_classz00_7164==BgL_oclassz00_7185); 
if(BgL__ortest_1110z00_7186)
{ /* Llib/ssl.scm 1151 */
BgL_res3368z00_7200 = BgL__ortest_1110z00_7186; }  else 
{ /* Llib/ssl.scm 1151 */
 long BgL_odepthz00_7187;
BgL_odepthz00_7187 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7185); 
if(
(BgL_arg1797z00_7167<BgL_odepthz00_7187))
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_arg1790z00_7189;
BgL_arg1790z00_7189 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7185, BgL_arg1797z00_7167); 
BgL_res3368z00_7200 = 
(BgL_arg1790z00_7189==BgL_classz00_7164); }  else 
{ /* Llib/ssl.scm 1151 */
BgL_res3368z00_7200 = ((bool_t)0); } } } } 
BgL_test4251z00_12824 = BgL_res3368z00_7200; } }  else 
{ /* Llib/ssl.scm 1151 */
BgL_test4251z00_12824 = ((bool_t)0)
; } } 
if(BgL_test4251z00_12824)
{ /* Llib/ssl.scm 1151 */
BgL_auxz00_12823 = 
((BgL_dhz00_bglt)BgL_dhz00_4922)
; }  else 
{ 
 obj_t BgL_auxz00_12846;
BgL_auxz00_12846 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)46716)), BGl_string3310z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4922); 
FAILURE(BgL_auxz00_12846,BFALSE,BFALSE);} } 
return 
BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_auxz00_12823, BgL_auxz00_12850);} } 

}



/* dh-generate-key */
BGL_EXPORTED_DEF bool_t BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_118)
{
{ /* Llib/ssl.scm 1177 */
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_method1320z00_1743;
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_res2546z00_3469;
{ /* Llib/ssl.scm 1177 */
 long BgL_objzd2classzd2numz00_3440;
BgL_objzd2classzd2numz00_3440 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_118)); 
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_arg1798z00_3441;
BgL_arg1798z00_3441 = 
PROCEDURE_REF(BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1177 */
 int BgL_offsetz00_3444;
BgL_offsetz00_3444 = 
(int)(BgL_objzd2classzd2numz00_3440); 
{ /* Llib/ssl.scm 1177 */
 long BgL_offsetz00_3445;
BgL_offsetz00_3445 = 
(
(long)(BgL_offsetz00_3444)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1177 */
 long BgL_modz00_3446;
BgL_modz00_3446 = 
(BgL_offsetz00_3445 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1177 */
 long BgL_restz00_3448;
BgL_restz00_3448 = 
(BgL_offsetz00_3445 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1177 */

{ /* Llib/ssl.scm 1177 */
 obj_t BgL_bucketz00_3450;
BgL_bucketz00_3450 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3441),BgL_modz00_3446); 
BgL_res2546z00_3469 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3450),BgL_restz00_3448); } } } } } } } } 
BgL_method1320z00_1743 = BgL_res2546z00_3469; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1320z00_1743))(BgL_method1320z00_1743, 
((obj_t)BgL_dhz00_118), BEOA));} } 

}



/* &dh-generate-key */
obj_t BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4924, obj_t BgL_dhz00_4925)
{
{ /* Llib/ssl.scm 1177 */
{ /* Llib/ssl.scm 1177 */
 bool_t BgL_tmpz00_12889;
{ /* Llib/ssl.scm 1177 */
 BgL_dhz00_bglt BgL_auxz00_12890;
{ /* Llib/ssl.scm 1177 */
 bool_t BgL_test4257z00_12891;
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_classz00_7201;
BgL_classz00_7201 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4925))
{ /* Llib/ssl.scm 1177 */
 BgL_objectz00_bglt BgL_arg1796z00_7203; long BgL_arg1797z00_7204;
BgL_arg1796z00_7203 = 
(BgL_objectz00_bglt)(BgL_dhz00_4925); 
BgL_arg1797z00_7204 = 
BGL_CLASS_DEPTH(BgL_classz00_7201); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1177 */
 long BgL_idxz00_7212;
BgL_idxz00_7212 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7203); 
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_arg1788z00_7213;
{ /* Llib/ssl.scm 1177 */
 long BgL_arg1789z00_7214;
BgL_arg1789z00_7214 = 
(BgL_idxz00_7212+BgL_arg1797z00_7204); 
BgL_arg1788z00_7213 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7214); } 
BgL_test4257z00_12891 = 
(BgL_arg1788z00_7213==BgL_classz00_7201); } }  else 
{ /* Llib/ssl.scm 1177 */
 bool_t BgL_res3369z00_7237;
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_oclassz00_7222;
{ /* Llib/ssl.scm 1177 */
 long BgL_arg1801z00_7228;
{ /* Llib/ssl.scm 1177 */
 long BgL_arg1802z00_7229;
BgL_arg1802z00_7229 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7203); 
BgL_arg1801z00_7228 = 
(BgL_arg1802z00_7229-OBJECT_TYPE); } 
BgL_oclassz00_7222 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7228); } 
{ /* Llib/ssl.scm 1177 */
 bool_t BgL__ortest_1110z00_7223;
BgL__ortest_1110z00_7223 = 
(BgL_classz00_7201==BgL_oclassz00_7222); 
if(BgL__ortest_1110z00_7223)
{ /* Llib/ssl.scm 1177 */
BgL_res3369z00_7237 = BgL__ortest_1110z00_7223; }  else 
{ /* Llib/ssl.scm 1177 */
 long BgL_odepthz00_7224;
BgL_odepthz00_7224 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7222); 
if(
(BgL_arg1797z00_7204<BgL_odepthz00_7224))
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_arg1790z00_7226;
BgL_arg1790z00_7226 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7222, BgL_arg1797z00_7204); 
BgL_res3369z00_7237 = 
(BgL_arg1790z00_7226==BgL_classz00_7201); }  else 
{ /* Llib/ssl.scm 1177 */
BgL_res3369z00_7237 = ((bool_t)0); } } } } 
BgL_test4257z00_12891 = BgL_res3369z00_7237; } }  else 
{ /* Llib/ssl.scm 1177 */
BgL_test4257z00_12891 = ((bool_t)0)
; } } 
if(BgL_test4257z00_12891)
{ /* Llib/ssl.scm 1177 */
BgL_auxz00_12890 = 
((BgL_dhz00_bglt)BgL_dhz00_4925)
; }  else 
{ 
 obj_t BgL_auxz00_12913;
BgL_auxz00_12913 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)47513)), BGl_string3311z00zz__ssl_sslz00, BGl_string3304z00zz__ssl_sslz00, BgL_dhz00_4925); 
FAILURE(BgL_auxz00_12913,BFALSE,BFALSE);} } 
BgL_tmpz00_12889 = 
BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_auxz00_12890); } 
return 
BBOOL(BgL_tmpz00_12889);} } 

}



/* ssl-hash-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_119)
{
{ /* Llib/ssl.scm 1188 */
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_method1322z00_1744;
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_res2551z00_3500;
{ /* Llib/ssl.scm 1188 */
 long BgL_objzd2classzd2numz00_3471;
BgL_objzd2classzd2numz00_3471 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_119)); 
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_arg1798z00_3472;
BgL_arg1798z00_3472 = 
PROCEDURE_REF(BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1188 */
 int BgL_offsetz00_3475;
BgL_offsetz00_3475 = 
(int)(BgL_objzd2classzd2numz00_3471); 
{ /* Llib/ssl.scm 1188 */
 long BgL_offsetz00_3476;
BgL_offsetz00_3476 = 
(
(long)(BgL_offsetz00_3475)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1188 */
 long BgL_modz00_3477;
BgL_modz00_3477 = 
(BgL_offsetz00_3476 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1188 */
 long BgL_restz00_3479;
BgL_restz00_3479 = 
(BgL_offsetz00_3476 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1188 */

{ /* Llib/ssl.scm 1188 */
 obj_t BgL_bucketz00_3481;
BgL_bucketz00_3481 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3472),BgL_modz00_3477); 
BgL_res2551z00_3500 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3481),BgL_restz00_3479); } } } } } } } } 
BgL_method1322z00_1744 = BgL_res2551z00_3500; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1322z00_1744))(BgL_method1322z00_1744, 
((obj_t)BgL_sslzd2hashzd2_119), BEOA);} } 

}



/* &ssl-hash-init */
obj_t BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4582, obj_t BgL_sslzd2hashzd2_4583)
{
{ /* Llib/ssl.scm 1188 */
{ /* Llib/ssl.scm 1188 */
 BgL_sslzd2hashzd2_bglt BgL_auxz00_12949;
{ /* Llib/ssl.scm 1188 */
 bool_t BgL_test4262z00_12950;
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_classz00_7238;
BgL_classz00_7238 = BGl_sslzd2hashzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hashzd2_4583))
{ /* Llib/ssl.scm 1188 */
 BgL_objectz00_bglt BgL_arg1796z00_7240; long BgL_arg1797z00_7241;
BgL_arg1796z00_7240 = 
(BgL_objectz00_bglt)(BgL_sslzd2hashzd2_4583); 
BgL_arg1797z00_7241 = 
BGL_CLASS_DEPTH(BgL_classz00_7238); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1188 */
 long BgL_idxz00_7249;
BgL_idxz00_7249 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7240); 
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_arg1788z00_7250;
{ /* Llib/ssl.scm 1188 */
 long BgL_arg1789z00_7251;
BgL_arg1789z00_7251 = 
(BgL_idxz00_7249+BgL_arg1797z00_7241); 
BgL_arg1788z00_7250 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7251); } 
BgL_test4262z00_12950 = 
(BgL_arg1788z00_7250==BgL_classz00_7238); } }  else 
{ /* Llib/ssl.scm 1188 */
 bool_t BgL_res3370z00_7274;
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_oclassz00_7259;
{ /* Llib/ssl.scm 1188 */
 long BgL_arg1801z00_7265;
{ /* Llib/ssl.scm 1188 */
 long BgL_arg1802z00_7266;
BgL_arg1802z00_7266 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7240); 
BgL_arg1801z00_7265 = 
(BgL_arg1802z00_7266-OBJECT_TYPE); } 
BgL_oclassz00_7259 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7265); } 
{ /* Llib/ssl.scm 1188 */
 bool_t BgL__ortest_1110z00_7260;
BgL__ortest_1110z00_7260 = 
(BgL_classz00_7238==BgL_oclassz00_7259); 
if(BgL__ortest_1110z00_7260)
{ /* Llib/ssl.scm 1188 */
BgL_res3370z00_7274 = BgL__ortest_1110z00_7260; }  else 
{ /* Llib/ssl.scm 1188 */
 long BgL_odepthz00_7261;
BgL_odepthz00_7261 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7259); 
if(
(BgL_arg1797z00_7241<BgL_odepthz00_7261))
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_arg1790z00_7263;
BgL_arg1790z00_7263 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7259, BgL_arg1797z00_7241); 
BgL_res3370z00_7274 = 
(BgL_arg1790z00_7263==BgL_classz00_7238); }  else 
{ /* Llib/ssl.scm 1188 */
BgL_res3370z00_7274 = ((bool_t)0); } } } } 
BgL_test4262z00_12950 = BgL_res3370z00_7274; } }  else 
{ /* Llib/ssl.scm 1188 */
BgL_test4262z00_12950 = ((bool_t)0)
; } } 
if(BgL_test4262z00_12950)
{ /* Llib/ssl.scm 1188 */
BgL_auxz00_12949 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4583)
; }  else 
{ 
 obj_t BgL_auxz00_12972;
BgL_auxz00_12972 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)47920)), BGl_string3312z00zz__ssl_sslz00, BGl_string3270z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4583); 
FAILURE(BgL_auxz00_12972,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_auxz00_12949);} } 

}



/* ssl-hash-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_120, obj_t BgL_dataz00_121, long BgL_offsetz00_122, long BgL_lenz00_123)
{
{ /* Llib/ssl.scm 1200 */
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_method1324z00_1745;
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_res2556z00_3531;
{ /* Llib/ssl.scm 1200 */
 long BgL_objzd2classzd2numz00_3502;
BgL_objzd2classzd2numz00_3502 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_120)); 
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_arg1798z00_3503;
BgL_arg1798z00_3503 = 
PROCEDURE_REF(BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1200 */
 int BgL_offsetz00_3506;
BgL_offsetz00_3506 = 
(int)(BgL_objzd2classzd2numz00_3502); 
{ /* Llib/ssl.scm 1200 */
 long BgL_offsetz00_3507;
BgL_offsetz00_3507 = 
(
(long)(BgL_offsetz00_3506)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1200 */
 long BgL_modz00_3508;
BgL_modz00_3508 = 
(BgL_offsetz00_3507 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1200 */
 long BgL_restz00_3510;
BgL_restz00_3510 = 
(BgL_offsetz00_3507 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1200 */

{ /* Llib/ssl.scm 1200 */
 obj_t BgL_bucketz00_3512;
BgL_bucketz00_3512 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3503),BgL_modz00_3508); 
BgL_res2556z00_3531 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3512),BgL_restz00_3510); } } } } } } } } 
BgL_method1324z00_1745 = BgL_res2556z00_3531; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1324z00_1745))(BgL_method1324z00_1745, 
((obj_t)BgL_sslzd2hashzd2_120), BgL_dataz00_121, 
BINT(BgL_offsetz00_122), 
BINT(BgL_lenz00_123), BEOA);} } 

}



/* &ssl-hash-update! */
obj_t BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4926, obj_t BgL_sslzd2hashzd2_4927, obj_t BgL_dataz00_4928, obj_t BgL_offsetz00_4929, obj_t BgL_lenz00_4930)
{
{ /* Llib/ssl.scm 1200 */
{ /* Llib/ssl.scm 1200 */
 long BgL_auxz00_13055; long BgL_auxz00_13046; obj_t BgL_auxz00_13039; BgL_sslzd2hashzd2_bglt BgL_auxz00_13012;
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_tmpz00_13056;
if(
INTEGERP(BgL_lenz00_4930))
{ /* Llib/ssl.scm 1200 */
BgL_tmpz00_13056 = BgL_lenz00_4930
; }  else 
{ 
 obj_t BgL_auxz00_13059;
BgL_auxz00_13059 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)48375)), BGl_string3313z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4930); 
FAILURE(BgL_auxz00_13059,BFALSE,BFALSE);} 
BgL_auxz00_13055 = 
(long)CINT(BgL_tmpz00_13056); } 
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_tmpz00_13047;
if(
INTEGERP(BgL_offsetz00_4929))
{ /* Llib/ssl.scm 1200 */
BgL_tmpz00_13047 = BgL_offsetz00_4929
; }  else 
{ 
 obj_t BgL_auxz00_13050;
BgL_auxz00_13050 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)48375)), BGl_string3313z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4929); 
FAILURE(BgL_auxz00_13050,BFALSE,BFALSE);} 
BgL_auxz00_13046 = 
(long)CINT(BgL_tmpz00_13047); } 
if(
STRINGP(BgL_dataz00_4928))
{ /* Llib/ssl.scm 1200 */
BgL_auxz00_13039 = BgL_dataz00_4928
; }  else 
{ 
 obj_t BgL_auxz00_13042;
BgL_auxz00_13042 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)48375)), BGl_string3313z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_dataz00_4928); 
FAILURE(BgL_auxz00_13042,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1200 */
 bool_t BgL_test4267z00_13013;
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_classz00_7275;
BgL_classz00_7275 = BGl_sslzd2hashzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hashzd2_4927))
{ /* Llib/ssl.scm 1200 */
 BgL_objectz00_bglt BgL_arg1796z00_7277; long BgL_arg1797z00_7278;
BgL_arg1796z00_7277 = 
(BgL_objectz00_bglt)(BgL_sslzd2hashzd2_4927); 
BgL_arg1797z00_7278 = 
BGL_CLASS_DEPTH(BgL_classz00_7275); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1200 */
 long BgL_idxz00_7286;
BgL_idxz00_7286 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7277); 
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_arg1788z00_7287;
{ /* Llib/ssl.scm 1200 */
 long BgL_arg1789z00_7288;
BgL_arg1789z00_7288 = 
(BgL_idxz00_7286+BgL_arg1797z00_7278); 
BgL_arg1788z00_7287 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7288); } 
BgL_test4267z00_13013 = 
(BgL_arg1788z00_7287==BgL_classz00_7275); } }  else 
{ /* Llib/ssl.scm 1200 */
 bool_t BgL_res3371z00_7311;
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_oclassz00_7296;
{ /* Llib/ssl.scm 1200 */
 long BgL_arg1801z00_7302;
{ /* Llib/ssl.scm 1200 */
 long BgL_arg1802z00_7303;
BgL_arg1802z00_7303 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7277); 
BgL_arg1801z00_7302 = 
(BgL_arg1802z00_7303-OBJECT_TYPE); } 
BgL_oclassz00_7296 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7302); } 
{ /* Llib/ssl.scm 1200 */
 bool_t BgL__ortest_1110z00_7297;
BgL__ortest_1110z00_7297 = 
(BgL_classz00_7275==BgL_oclassz00_7296); 
if(BgL__ortest_1110z00_7297)
{ /* Llib/ssl.scm 1200 */
BgL_res3371z00_7311 = BgL__ortest_1110z00_7297; }  else 
{ /* Llib/ssl.scm 1200 */
 long BgL_odepthz00_7298;
BgL_odepthz00_7298 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7296); 
if(
(BgL_arg1797z00_7278<BgL_odepthz00_7298))
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_arg1790z00_7300;
BgL_arg1790z00_7300 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7296, BgL_arg1797z00_7278); 
BgL_res3371z00_7311 = 
(BgL_arg1790z00_7300==BgL_classz00_7275); }  else 
{ /* Llib/ssl.scm 1200 */
BgL_res3371z00_7311 = ((bool_t)0); } } } } 
BgL_test4267z00_13013 = BgL_res3371z00_7311; } }  else 
{ /* Llib/ssl.scm 1200 */
BgL_test4267z00_13013 = ((bool_t)0)
; } } 
if(BgL_test4267z00_13013)
{ /* Llib/ssl.scm 1200 */
BgL_auxz00_13012 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4927)
; }  else 
{ 
 obj_t BgL_auxz00_13035;
BgL_auxz00_13035 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)48375)), BGl_string3313z00zz__ssl_sslz00, BGl_string3270z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4927); 
FAILURE(BgL_auxz00_13035,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_13012, BgL_auxz00_13039, BgL_auxz00_13046, BgL_auxz00_13055);} } 

}



/* ssl-hash-digest */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_124)
{
{ /* Llib/ssl.scm 1212 */
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_method1326z00_1746;
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_res2561z00_3562;
{ /* Llib/ssl.scm 1212 */
 long BgL_objzd2classzd2numz00_3533;
BgL_objzd2classzd2numz00_3533 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_124)); 
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_arg1798z00_3534;
BgL_arg1798z00_3534 = 
PROCEDURE_REF(BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1212 */
 int BgL_offsetz00_3537;
BgL_offsetz00_3537 = 
(int)(BgL_objzd2classzd2numz00_3533); 
{ /* Llib/ssl.scm 1212 */
 long BgL_offsetz00_3538;
BgL_offsetz00_3538 = 
(
(long)(BgL_offsetz00_3537)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1212 */
 long BgL_modz00_3539;
BgL_modz00_3539 = 
(BgL_offsetz00_3538 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1212 */
 long BgL_restz00_3541;
BgL_restz00_3541 = 
(BgL_offsetz00_3538 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1212 */

{ /* Llib/ssl.scm 1212 */
 obj_t BgL_bucketz00_3543;
BgL_bucketz00_3543 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3534),BgL_modz00_3539); 
BgL_res2561z00_3562 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3543),BgL_restz00_3541); } } } } } } } } 
BgL_method1326z00_1746 = BgL_res2561z00_3562; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1326z00_1746))(BgL_method1326z00_1746, 
((obj_t)BgL_sslzd2hashzd2_124), BEOA);} } 

}



/* &ssl-hash-digest */
obj_t BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00(obj_t BgL_envz00_4931, obj_t BgL_sslzd2hashzd2_4932)
{
{ /* Llib/ssl.scm 1212 */
{ /* Llib/ssl.scm 1212 */
 BgL_sslzd2hashzd2_bglt BgL_auxz00_13095;
{ /* Llib/ssl.scm 1212 */
 bool_t BgL_test4275z00_13096;
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_classz00_7312;
BgL_classz00_7312 = BGl_sslzd2hashzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hashzd2_4932))
{ /* Llib/ssl.scm 1212 */
 BgL_objectz00_bglt BgL_arg1796z00_7314; long BgL_arg1797z00_7315;
BgL_arg1796z00_7314 = 
(BgL_objectz00_bglt)(BgL_sslzd2hashzd2_4932); 
BgL_arg1797z00_7315 = 
BGL_CLASS_DEPTH(BgL_classz00_7312); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1212 */
 long BgL_idxz00_7323;
BgL_idxz00_7323 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7314); 
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_arg1788z00_7324;
{ /* Llib/ssl.scm 1212 */
 long BgL_arg1789z00_7325;
BgL_arg1789z00_7325 = 
(BgL_idxz00_7323+BgL_arg1797z00_7315); 
BgL_arg1788z00_7324 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7325); } 
BgL_test4275z00_13096 = 
(BgL_arg1788z00_7324==BgL_classz00_7312); } }  else 
{ /* Llib/ssl.scm 1212 */
 bool_t BgL_res3372z00_7348;
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_oclassz00_7333;
{ /* Llib/ssl.scm 1212 */
 long BgL_arg1801z00_7339;
{ /* Llib/ssl.scm 1212 */
 long BgL_arg1802z00_7340;
BgL_arg1802z00_7340 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7314); 
BgL_arg1801z00_7339 = 
(BgL_arg1802z00_7340-OBJECT_TYPE); } 
BgL_oclassz00_7333 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7339); } 
{ /* Llib/ssl.scm 1212 */
 bool_t BgL__ortest_1110z00_7334;
BgL__ortest_1110z00_7334 = 
(BgL_classz00_7312==BgL_oclassz00_7333); 
if(BgL__ortest_1110z00_7334)
{ /* Llib/ssl.scm 1212 */
BgL_res3372z00_7348 = BgL__ortest_1110z00_7334; }  else 
{ /* Llib/ssl.scm 1212 */
 long BgL_odepthz00_7335;
BgL_odepthz00_7335 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7333); 
if(
(BgL_arg1797z00_7315<BgL_odepthz00_7335))
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_arg1790z00_7337;
BgL_arg1790z00_7337 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7333, BgL_arg1797z00_7315); 
BgL_res3372z00_7348 = 
(BgL_arg1790z00_7337==BgL_classz00_7312); }  else 
{ /* Llib/ssl.scm 1212 */
BgL_res3372z00_7348 = ((bool_t)0); } } } } 
BgL_test4275z00_13096 = BgL_res3372z00_7348; } }  else 
{ /* Llib/ssl.scm 1212 */
BgL_test4275z00_13096 = ((bool_t)0)
; } } 
if(BgL_test4275z00_13096)
{ /* Llib/ssl.scm 1212 */
BgL_auxz00_13095 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4932)
; }  else 
{ 
 obj_t BgL_auxz00_13118;
BgL_auxz00_13118 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)48871)), BGl_string3314z00zz__ssl_sslz00, BGl_string3270z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4932); 
FAILURE(BgL_auxz00_13118,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_auxz00_13095);} } 

}



/* ssl-hmac-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_125, obj_t BgL_hmacz00_126, obj_t BgL_keyz00_127)
{
{ /* Llib/ssl.scm 1223 */
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_method1328z00_1747;
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_res2566z00_3593;
{ /* Llib/ssl.scm 1223 */
 long BgL_objzd2classzd2numz00_3564;
BgL_objzd2classzd2numz00_3564 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_125)); 
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_arg1798z00_3565;
BgL_arg1798z00_3565 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1223 */
 int BgL_offsetz00_3568;
BgL_offsetz00_3568 = 
(int)(BgL_objzd2classzd2numz00_3564); 
{ /* Llib/ssl.scm 1223 */
 long BgL_offsetz00_3569;
BgL_offsetz00_3569 = 
(
(long)(BgL_offsetz00_3568)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1223 */
 long BgL_modz00_3570;
BgL_modz00_3570 = 
(BgL_offsetz00_3569 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1223 */
 long BgL_restz00_3572;
BgL_restz00_3572 = 
(BgL_offsetz00_3569 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1223 */

{ /* Llib/ssl.scm 1223 */
 obj_t BgL_bucketz00_3574;
BgL_bucketz00_3574 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3565),BgL_modz00_3570); 
BgL_res2566z00_3593 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3574),BgL_restz00_3572); } } } } } } } } 
BgL_method1328z00_1747 = BgL_res2566z00_3593; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1328z00_1747))(BgL_method1328z00_1747, 
((obj_t)BgL_sslzd2hmaczd2_125), BgL_hmacz00_126, BgL_keyz00_127, BEOA);} } 

}



/* &ssl-hmac-init */
obj_t BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4933, obj_t BgL_sslzd2hmaczd2_4934, obj_t BgL_hmacz00_4935, obj_t BgL_keyz00_4936)
{
{ /* Llib/ssl.scm 1223 */
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_auxz00_13189; obj_t BgL_auxz00_13182; BgL_sslzd2hmaczd2_bglt BgL_auxz00_13155;
if(
STRINGP(BgL_keyz00_4936))
{ /* Llib/ssl.scm 1223 */
BgL_auxz00_13189 = BgL_keyz00_4936
; }  else 
{ 
 obj_t BgL_auxz00_13192;
BgL_auxz00_13192 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)49317)), BGl_string3315z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_keyz00_4936); 
FAILURE(BgL_auxz00_13192,BFALSE,BFALSE);} 
if(
STRINGP(BgL_hmacz00_4935))
{ /* Llib/ssl.scm 1223 */
BgL_auxz00_13182 = BgL_hmacz00_4935
; }  else 
{ 
 obj_t BgL_auxz00_13185;
BgL_auxz00_13185 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)49317)), BGl_string3315z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_hmacz00_4935); 
FAILURE(BgL_auxz00_13185,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1223 */
 bool_t BgL_test4280z00_13156;
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_classz00_7349;
BgL_classz00_7349 = BGl_sslzd2hmaczd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hmaczd2_4934))
{ /* Llib/ssl.scm 1223 */
 BgL_objectz00_bglt BgL_arg1796z00_7351; long BgL_arg1797z00_7352;
BgL_arg1796z00_7351 = 
(BgL_objectz00_bglt)(BgL_sslzd2hmaczd2_4934); 
BgL_arg1797z00_7352 = 
BGL_CLASS_DEPTH(BgL_classz00_7349); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1223 */
 long BgL_idxz00_7360;
BgL_idxz00_7360 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7351); 
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_arg1788z00_7361;
{ /* Llib/ssl.scm 1223 */
 long BgL_arg1789z00_7362;
BgL_arg1789z00_7362 = 
(BgL_idxz00_7360+BgL_arg1797z00_7352); 
BgL_arg1788z00_7361 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7362); } 
BgL_test4280z00_13156 = 
(BgL_arg1788z00_7361==BgL_classz00_7349); } }  else 
{ /* Llib/ssl.scm 1223 */
 bool_t BgL_res3373z00_7385;
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_oclassz00_7370;
{ /* Llib/ssl.scm 1223 */
 long BgL_arg1801z00_7376;
{ /* Llib/ssl.scm 1223 */
 long BgL_arg1802z00_7377;
BgL_arg1802z00_7377 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7351); 
BgL_arg1801z00_7376 = 
(BgL_arg1802z00_7377-OBJECT_TYPE); } 
BgL_oclassz00_7370 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7376); } 
{ /* Llib/ssl.scm 1223 */
 bool_t BgL__ortest_1110z00_7371;
BgL__ortest_1110z00_7371 = 
(BgL_classz00_7349==BgL_oclassz00_7370); 
if(BgL__ortest_1110z00_7371)
{ /* Llib/ssl.scm 1223 */
BgL_res3373z00_7385 = BgL__ortest_1110z00_7371; }  else 
{ /* Llib/ssl.scm 1223 */
 long BgL_odepthz00_7372;
BgL_odepthz00_7372 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7370); 
if(
(BgL_arg1797z00_7352<BgL_odepthz00_7372))
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_arg1790z00_7374;
BgL_arg1790z00_7374 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7370, BgL_arg1797z00_7352); 
BgL_res3373z00_7385 = 
(BgL_arg1790z00_7374==BgL_classz00_7349); }  else 
{ /* Llib/ssl.scm 1223 */
BgL_res3373z00_7385 = ((bool_t)0); } } } } 
BgL_test4280z00_13156 = BgL_res3373z00_7385; } }  else 
{ /* Llib/ssl.scm 1223 */
BgL_test4280z00_13156 = ((bool_t)0)
; } } 
if(BgL_test4280z00_13156)
{ /* Llib/ssl.scm 1223 */
BgL_auxz00_13155 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4934)
; }  else 
{ 
 obj_t BgL_auxz00_13178;
BgL_auxz00_13178 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)49317)), BGl_string3315z00zz__ssl_sslz00, BGl_string3266z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4934); 
FAILURE(BgL_auxz00_13178,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_auxz00_13155, BgL_auxz00_13182, BgL_auxz00_13189);} } 

}



/* ssl-hmac-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_128, obj_t BgL_dataz00_129, long BgL_offsetz00_130, long BgL_lenz00_131)
{
{ /* Llib/ssl.scm 1235 */
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_method1330z00_1748;
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_res2571z00_3624;
{ /* Llib/ssl.scm 1235 */
 long BgL_objzd2classzd2numz00_3595;
BgL_objzd2classzd2numz00_3595 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_128)); 
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_arg1798z00_3596;
BgL_arg1798z00_3596 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1235 */
 int BgL_offsetz00_3599;
BgL_offsetz00_3599 = 
(int)(BgL_objzd2classzd2numz00_3595); 
{ /* Llib/ssl.scm 1235 */
 long BgL_offsetz00_3600;
BgL_offsetz00_3600 = 
(
(long)(BgL_offsetz00_3599)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1235 */
 long BgL_modz00_3601;
BgL_modz00_3601 = 
(BgL_offsetz00_3600 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1235 */
 long BgL_restz00_3603;
BgL_restz00_3603 = 
(BgL_offsetz00_3600 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1235 */

{ /* Llib/ssl.scm 1235 */
 obj_t BgL_bucketz00_3605;
BgL_bucketz00_3605 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3596),BgL_modz00_3601); 
BgL_res2571z00_3624 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3605),BgL_restz00_3603); } } } } } } } } 
BgL_method1330z00_1748 = BgL_res2571z00_3624; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1330z00_1748))(BgL_method1330z00_1748, 
((obj_t)BgL_sslzd2hmaczd2_128), BgL_dataz00_129, 
BINT(BgL_offsetz00_130), 
BINT(BgL_lenz00_131), BEOA);} } 

}



/* &ssl-hmac-update! */
obj_t BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4937, obj_t BgL_sslzd2hmaczd2_4938, obj_t BgL_dataz00_4939, obj_t BgL_offsetz00_4940, obj_t BgL_lenz00_4941)
{
{ /* Llib/ssl.scm 1235 */
{ /* Llib/ssl.scm 1235 */
 long BgL_auxz00_13275; long BgL_auxz00_13266; obj_t BgL_auxz00_13259; BgL_sslzd2hmaczd2_bglt BgL_auxz00_13232;
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_tmpz00_13276;
if(
INTEGERP(BgL_lenz00_4941))
{ /* Llib/ssl.scm 1235 */
BgL_tmpz00_13276 = BgL_lenz00_4941
; }  else 
{ 
 obj_t BgL_auxz00_13279;
BgL_auxz00_13279 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)49786)), BGl_string3316z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4941); 
FAILURE(BgL_auxz00_13279,BFALSE,BFALSE);} 
BgL_auxz00_13275 = 
(long)CINT(BgL_tmpz00_13276); } 
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_tmpz00_13267;
if(
INTEGERP(BgL_offsetz00_4940))
{ /* Llib/ssl.scm 1235 */
BgL_tmpz00_13267 = BgL_offsetz00_4940
; }  else 
{ 
 obj_t BgL_auxz00_13270;
BgL_auxz00_13270 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)49786)), BGl_string3316z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4940); 
FAILURE(BgL_auxz00_13270,BFALSE,BFALSE);} 
BgL_auxz00_13266 = 
(long)CINT(BgL_tmpz00_13267); } 
if(
STRINGP(BgL_dataz00_4939))
{ /* Llib/ssl.scm 1235 */
BgL_auxz00_13259 = BgL_dataz00_4939
; }  else 
{ 
 obj_t BgL_auxz00_13262;
BgL_auxz00_13262 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)49786)), BGl_string3316z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_dataz00_4939); 
FAILURE(BgL_auxz00_13262,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1235 */
 bool_t BgL_test4287z00_13233;
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_classz00_7386;
BgL_classz00_7386 = BGl_sslzd2hmaczd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hmaczd2_4938))
{ /* Llib/ssl.scm 1235 */
 BgL_objectz00_bglt BgL_arg1796z00_7388; long BgL_arg1797z00_7389;
BgL_arg1796z00_7388 = 
(BgL_objectz00_bglt)(BgL_sslzd2hmaczd2_4938); 
BgL_arg1797z00_7389 = 
BGL_CLASS_DEPTH(BgL_classz00_7386); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1235 */
 long BgL_idxz00_7397;
BgL_idxz00_7397 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7388); 
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_arg1788z00_7398;
{ /* Llib/ssl.scm 1235 */
 long BgL_arg1789z00_7399;
BgL_arg1789z00_7399 = 
(BgL_idxz00_7397+BgL_arg1797z00_7389); 
BgL_arg1788z00_7398 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7399); } 
BgL_test4287z00_13233 = 
(BgL_arg1788z00_7398==BgL_classz00_7386); } }  else 
{ /* Llib/ssl.scm 1235 */
 bool_t BgL_res3374z00_7422;
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_oclassz00_7407;
{ /* Llib/ssl.scm 1235 */
 long BgL_arg1801z00_7413;
{ /* Llib/ssl.scm 1235 */
 long BgL_arg1802z00_7414;
BgL_arg1802z00_7414 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7388); 
BgL_arg1801z00_7413 = 
(BgL_arg1802z00_7414-OBJECT_TYPE); } 
BgL_oclassz00_7407 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7413); } 
{ /* Llib/ssl.scm 1235 */
 bool_t BgL__ortest_1110z00_7408;
BgL__ortest_1110z00_7408 = 
(BgL_classz00_7386==BgL_oclassz00_7407); 
if(BgL__ortest_1110z00_7408)
{ /* Llib/ssl.scm 1235 */
BgL_res3374z00_7422 = BgL__ortest_1110z00_7408; }  else 
{ /* Llib/ssl.scm 1235 */
 long BgL_odepthz00_7409;
BgL_odepthz00_7409 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7407); 
if(
(BgL_arg1797z00_7389<BgL_odepthz00_7409))
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_arg1790z00_7411;
BgL_arg1790z00_7411 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7407, BgL_arg1797z00_7389); 
BgL_res3374z00_7422 = 
(BgL_arg1790z00_7411==BgL_classz00_7386); }  else 
{ /* Llib/ssl.scm 1235 */
BgL_res3374z00_7422 = ((bool_t)0); } } } } 
BgL_test4287z00_13233 = BgL_res3374z00_7422; } }  else 
{ /* Llib/ssl.scm 1235 */
BgL_test4287z00_13233 = ((bool_t)0)
; } } 
if(BgL_test4287z00_13233)
{ /* Llib/ssl.scm 1235 */
BgL_auxz00_13232 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4938)
; }  else 
{ 
 obj_t BgL_auxz00_13255;
BgL_auxz00_13255 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)49786)), BGl_string3316z00zz__ssl_sslz00, BGl_string3266z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4938); 
FAILURE(BgL_auxz00_13255,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_auxz00_13232, BgL_auxz00_13259, BgL_auxz00_13266, BgL_auxz00_13275);} } 

}



/* ssl-hmac-digest */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_132)
{
{ /* Llib/ssl.scm 1247 */
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_method1332z00_1749;
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_res2576z00_3655;
{ /* Llib/ssl.scm 1247 */
 long BgL_objzd2classzd2numz00_3626;
BgL_objzd2classzd2numz00_3626 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_132)); 
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_arg1798z00_3627;
BgL_arg1798z00_3627 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1247 */
 int BgL_offsetz00_3630;
BgL_offsetz00_3630 = 
(int)(BgL_objzd2classzd2numz00_3626); 
{ /* Llib/ssl.scm 1247 */
 long BgL_offsetz00_3631;
BgL_offsetz00_3631 = 
(
(long)(BgL_offsetz00_3630)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1247 */
 long BgL_modz00_3632;
BgL_modz00_3632 = 
(BgL_offsetz00_3631 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1247 */
 long BgL_restz00_3634;
BgL_restz00_3634 = 
(BgL_offsetz00_3631 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1247 */

{ /* Llib/ssl.scm 1247 */
 obj_t BgL_bucketz00_3636;
BgL_bucketz00_3636 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3627),BgL_modz00_3632); 
BgL_res2576z00_3655 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3636),BgL_restz00_3634); } } } } } } } } 
BgL_method1332z00_1749 = BgL_res2576z00_3655; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1332z00_1749))(BgL_method1332z00_1749, 
((obj_t)BgL_sslzd2hmaczd2_132), BEOA);} } 

}



/* &ssl-hmac-digest */
obj_t BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00(obj_t BgL_envz00_4942, obj_t BgL_sslzd2hmaczd2_4943)
{
{ /* Llib/ssl.scm 1247 */
{ /* Llib/ssl.scm 1247 */
 BgL_sslzd2hmaczd2_bglt BgL_auxz00_13315;
{ /* Llib/ssl.scm 1247 */
 bool_t BgL_test4295z00_13316;
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_classz00_7423;
BgL_classz00_7423 = BGl_sslzd2hmaczd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hmaczd2_4943))
{ /* Llib/ssl.scm 1247 */
 BgL_objectz00_bglt BgL_arg1796z00_7425; long BgL_arg1797z00_7426;
BgL_arg1796z00_7425 = 
(BgL_objectz00_bglt)(BgL_sslzd2hmaczd2_4943); 
BgL_arg1797z00_7426 = 
BGL_CLASS_DEPTH(BgL_classz00_7423); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1247 */
 long BgL_idxz00_7434;
BgL_idxz00_7434 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7425); 
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_arg1788z00_7435;
{ /* Llib/ssl.scm 1247 */
 long BgL_arg1789z00_7436;
BgL_arg1789z00_7436 = 
(BgL_idxz00_7434+BgL_arg1797z00_7426); 
BgL_arg1788z00_7435 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7436); } 
BgL_test4295z00_13316 = 
(BgL_arg1788z00_7435==BgL_classz00_7423); } }  else 
{ /* Llib/ssl.scm 1247 */
 bool_t BgL_res3375z00_7459;
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_oclassz00_7444;
{ /* Llib/ssl.scm 1247 */
 long BgL_arg1801z00_7450;
{ /* Llib/ssl.scm 1247 */
 long BgL_arg1802z00_7451;
BgL_arg1802z00_7451 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7425); 
BgL_arg1801z00_7450 = 
(BgL_arg1802z00_7451-OBJECT_TYPE); } 
BgL_oclassz00_7444 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7450); } 
{ /* Llib/ssl.scm 1247 */
 bool_t BgL__ortest_1110z00_7445;
BgL__ortest_1110z00_7445 = 
(BgL_classz00_7423==BgL_oclassz00_7444); 
if(BgL__ortest_1110z00_7445)
{ /* Llib/ssl.scm 1247 */
BgL_res3375z00_7459 = BgL__ortest_1110z00_7445; }  else 
{ /* Llib/ssl.scm 1247 */
 long BgL_odepthz00_7446;
BgL_odepthz00_7446 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7444); 
if(
(BgL_arg1797z00_7426<BgL_odepthz00_7446))
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_arg1790z00_7448;
BgL_arg1790z00_7448 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7444, BgL_arg1797z00_7426); 
BgL_res3375z00_7459 = 
(BgL_arg1790z00_7448==BgL_classz00_7423); }  else 
{ /* Llib/ssl.scm 1247 */
BgL_res3375z00_7459 = ((bool_t)0); } } } } 
BgL_test4295z00_13316 = BgL_res3375z00_7459; } }  else 
{ /* Llib/ssl.scm 1247 */
BgL_test4295z00_13316 = ((bool_t)0)
; } } 
if(BgL_test4295z00_13316)
{ /* Llib/ssl.scm 1247 */
BgL_auxz00_13315 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4943)
; }  else 
{ 
 obj_t BgL_auxz00_13338;
BgL_auxz00_13338 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)50282)), BGl_string3317z00zz__ssl_sslz00, BGl_string3266z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4943); 
FAILURE(BgL_auxz00_13338,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_auxz00_13315);} } 

}



/* ssl-sign-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_133, obj_t BgL_signz00_134)
{
{ /* Llib/ssl.scm 1258 */
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_method1334z00_1750;
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_res2581z00_3686;
{ /* Llib/ssl.scm 1258 */
 long BgL_objzd2classzd2numz00_3657;
BgL_objzd2classzd2numz00_3657 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_133)); 
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_arg1798z00_3658;
BgL_arg1798z00_3658 = 
PROCEDURE_REF(BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1258 */
 int BgL_offsetz00_3661;
BgL_offsetz00_3661 = 
(int)(BgL_objzd2classzd2numz00_3657); 
{ /* Llib/ssl.scm 1258 */
 long BgL_offsetz00_3662;
BgL_offsetz00_3662 = 
(
(long)(BgL_offsetz00_3661)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1258 */
 long BgL_modz00_3663;
BgL_modz00_3663 = 
(BgL_offsetz00_3662 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1258 */
 long BgL_restz00_3665;
BgL_restz00_3665 = 
(BgL_offsetz00_3662 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1258 */

{ /* Llib/ssl.scm 1258 */
 obj_t BgL_bucketz00_3667;
BgL_bucketz00_3667 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3658),BgL_modz00_3663); 
BgL_res2581z00_3686 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3667),BgL_restz00_3665); } } } } } } } } 
BgL_method1334z00_1750 = BgL_res2581z00_3686; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1334z00_1750))(BgL_method1334z00_1750, 
((obj_t)BgL_sslzd2signzd2_133), BgL_signz00_134, BEOA);} } 

}



/* &ssl-sign-init */
obj_t BGl_z62sslzd2signzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4944, obj_t BgL_sslzd2signzd2_4945, obj_t BgL_signz00_4946)
{
{ /* Llib/ssl.scm 1258 */
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_auxz00_13401; BgL_sslzd2signzd2_bglt BgL_auxz00_13374;
if(
STRINGP(BgL_signz00_4946))
{ /* Llib/ssl.scm 1258 */
BgL_auxz00_13401 = BgL_signz00_4946
; }  else 
{ 
 obj_t BgL_auxz00_13404;
BgL_auxz00_13404 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)50728)), BGl_string3318z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_signz00_4946); 
FAILURE(BgL_auxz00_13404,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1258 */
 bool_t BgL_test4300z00_13375;
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_classz00_7460;
BgL_classz00_7460 = BGl_sslzd2signzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2signzd2_4945))
{ /* Llib/ssl.scm 1258 */
 BgL_objectz00_bglt BgL_arg1796z00_7462; long BgL_arg1797z00_7463;
BgL_arg1796z00_7462 = 
(BgL_objectz00_bglt)(BgL_sslzd2signzd2_4945); 
BgL_arg1797z00_7463 = 
BGL_CLASS_DEPTH(BgL_classz00_7460); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1258 */
 long BgL_idxz00_7471;
BgL_idxz00_7471 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7462); 
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_arg1788z00_7472;
{ /* Llib/ssl.scm 1258 */
 long BgL_arg1789z00_7473;
BgL_arg1789z00_7473 = 
(BgL_idxz00_7471+BgL_arg1797z00_7463); 
BgL_arg1788z00_7472 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7473); } 
BgL_test4300z00_13375 = 
(BgL_arg1788z00_7472==BgL_classz00_7460); } }  else 
{ /* Llib/ssl.scm 1258 */
 bool_t BgL_res3376z00_7496;
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_oclassz00_7481;
{ /* Llib/ssl.scm 1258 */
 long BgL_arg1801z00_7487;
{ /* Llib/ssl.scm 1258 */
 long BgL_arg1802z00_7488;
BgL_arg1802z00_7488 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7462); 
BgL_arg1801z00_7487 = 
(BgL_arg1802z00_7488-OBJECT_TYPE); } 
BgL_oclassz00_7481 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7487); } 
{ /* Llib/ssl.scm 1258 */
 bool_t BgL__ortest_1110z00_7482;
BgL__ortest_1110z00_7482 = 
(BgL_classz00_7460==BgL_oclassz00_7481); 
if(BgL__ortest_1110z00_7482)
{ /* Llib/ssl.scm 1258 */
BgL_res3376z00_7496 = BgL__ortest_1110z00_7482; }  else 
{ /* Llib/ssl.scm 1258 */
 long BgL_odepthz00_7483;
BgL_odepthz00_7483 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7481); 
if(
(BgL_arg1797z00_7463<BgL_odepthz00_7483))
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_arg1790z00_7485;
BgL_arg1790z00_7485 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7481, BgL_arg1797z00_7463); 
BgL_res3376z00_7496 = 
(BgL_arg1790z00_7485==BgL_classz00_7460); }  else 
{ /* Llib/ssl.scm 1258 */
BgL_res3376z00_7496 = ((bool_t)0); } } } } 
BgL_test4300z00_13375 = BgL_res3376z00_7496; } }  else 
{ /* Llib/ssl.scm 1258 */
BgL_test4300z00_13375 = ((bool_t)0)
; } } 
if(BgL_test4300z00_13375)
{ /* Llib/ssl.scm 1258 */
BgL_auxz00_13374 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4945)
; }  else 
{ 
 obj_t BgL_auxz00_13397;
BgL_auxz00_13397 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)50728)), BGl_string3318z00zz__ssl_sslz00, BGl_string3261z00zz__ssl_sslz00, BgL_sslzd2signzd2_4945); 
FAILURE(BgL_auxz00_13397,BFALSE,BFALSE);} } 
return 
BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_auxz00_13374, BgL_auxz00_13401);} } 

}



/* ssl-sign-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_135, obj_t BgL_dataz00_136, long BgL_offsetz00_137, long BgL_lenz00_138)
{
{ /* Llib/ssl.scm 1270 */
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_method1336z00_1751;
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_res2586z00_3717;
{ /* Llib/ssl.scm 1270 */
 long BgL_objzd2classzd2numz00_3688;
BgL_objzd2classzd2numz00_3688 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_135)); 
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_arg1798z00_3689;
BgL_arg1798z00_3689 = 
PROCEDURE_REF(BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1270 */
 int BgL_offsetz00_3692;
BgL_offsetz00_3692 = 
(int)(BgL_objzd2classzd2numz00_3688); 
{ /* Llib/ssl.scm 1270 */
 long BgL_offsetz00_3693;
BgL_offsetz00_3693 = 
(
(long)(BgL_offsetz00_3692)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1270 */
 long BgL_modz00_3694;
BgL_modz00_3694 = 
(BgL_offsetz00_3693 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1270 */
 long BgL_restz00_3696;
BgL_restz00_3696 = 
(BgL_offsetz00_3693 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1270 */

{ /* Llib/ssl.scm 1270 */
 obj_t BgL_bucketz00_3698;
BgL_bucketz00_3698 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3689),BgL_modz00_3694); 
BgL_res2586z00_3717 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3698),BgL_restz00_3696); } } } } } } } } 
BgL_method1336z00_1751 = BgL_res2586z00_3717; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1336z00_1751))(BgL_method1336z00_1751, 
((obj_t)BgL_sslzd2signzd2_135), BgL_dataz00_136, 
BINT(BgL_offsetz00_137), 
BINT(BgL_lenz00_138), BEOA);} } 

}



/* &ssl-sign-update! */
obj_t BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4947, obj_t BgL_sslzd2signzd2_4948, obj_t BgL_dataz00_4949, obj_t BgL_offsetz00_4950, obj_t BgL_lenz00_4951)
{
{ /* Llib/ssl.scm 1270 */
{ /* Llib/ssl.scm 1270 */
 long BgL_auxz00_13487; long BgL_auxz00_13478; obj_t BgL_auxz00_13471; BgL_sslzd2signzd2_bglt BgL_auxz00_13444;
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_tmpz00_13488;
if(
INTEGERP(BgL_lenz00_4951))
{ /* Llib/ssl.scm 1270 */
BgL_tmpz00_13488 = BgL_lenz00_4951
; }  else 
{ 
 obj_t BgL_auxz00_13491;
BgL_auxz00_13491 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)51191)), BGl_string3319z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4951); 
FAILURE(BgL_auxz00_13491,BFALSE,BFALSE);} 
BgL_auxz00_13487 = 
(long)CINT(BgL_tmpz00_13488); } 
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_tmpz00_13479;
if(
INTEGERP(BgL_offsetz00_4950))
{ /* Llib/ssl.scm 1270 */
BgL_tmpz00_13479 = BgL_offsetz00_4950
; }  else 
{ 
 obj_t BgL_auxz00_13482;
BgL_auxz00_13482 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)51191)), BGl_string3319z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4950); 
FAILURE(BgL_auxz00_13482,BFALSE,BFALSE);} 
BgL_auxz00_13478 = 
(long)CINT(BgL_tmpz00_13479); } 
if(
STRINGP(BgL_dataz00_4949))
{ /* Llib/ssl.scm 1270 */
BgL_auxz00_13471 = BgL_dataz00_4949
; }  else 
{ 
 obj_t BgL_auxz00_13474;
BgL_auxz00_13474 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)51191)), BGl_string3319z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_dataz00_4949); 
FAILURE(BgL_auxz00_13474,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1270 */
 bool_t BgL_test4306z00_13445;
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_classz00_7497;
BgL_classz00_7497 = BGl_sslzd2signzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2signzd2_4948))
{ /* Llib/ssl.scm 1270 */
 BgL_objectz00_bglt BgL_arg1796z00_7499; long BgL_arg1797z00_7500;
BgL_arg1796z00_7499 = 
(BgL_objectz00_bglt)(BgL_sslzd2signzd2_4948); 
BgL_arg1797z00_7500 = 
BGL_CLASS_DEPTH(BgL_classz00_7497); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1270 */
 long BgL_idxz00_7508;
BgL_idxz00_7508 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7499); 
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_arg1788z00_7509;
{ /* Llib/ssl.scm 1270 */
 long BgL_arg1789z00_7510;
BgL_arg1789z00_7510 = 
(BgL_idxz00_7508+BgL_arg1797z00_7500); 
BgL_arg1788z00_7509 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7510); } 
BgL_test4306z00_13445 = 
(BgL_arg1788z00_7509==BgL_classz00_7497); } }  else 
{ /* Llib/ssl.scm 1270 */
 bool_t BgL_res3377z00_7533;
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_oclassz00_7518;
{ /* Llib/ssl.scm 1270 */
 long BgL_arg1801z00_7524;
{ /* Llib/ssl.scm 1270 */
 long BgL_arg1802z00_7525;
BgL_arg1802z00_7525 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7499); 
BgL_arg1801z00_7524 = 
(BgL_arg1802z00_7525-OBJECT_TYPE); } 
BgL_oclassz00_7518 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7524); } 
{ /* Llib/ssl.scm 1270 */
 bool_t BgL__ortest_1110z00_7519;
BgL__ortest_1110z00_7519 = 
(BgL_classz00_7497==BgL_oclassz00_7518); 
if(BgL__ortest_1110z00_7519)
{ /* Llib/ssl.scm 1270 */
BgL_res3377z00_7533 = BgL__ortest_1110z00_7519; }  else 
{ /* Llib/ssl.scm 1270 */
 long BgL_odepthz00_7520;
BgL_odepthz00_7520 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7518); 
if(
(BgL_arg1797z00_7500<BgL_odepthz00_7520))
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_arg1790z00_7522;
BgL_arg1790z00_7522 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7518, BgL_arg1797z00_7500); 
BgL_res3377z00_7533 = 
(BgL_arg1790z00_7522==BgL_classz00_7497); }  else 
{ /* Llib/ssl.scm 1270 */
BgL_res3377z00_7533 = ((bool_t)0); } } } } 
BgL_test4306z00_13445 = BgL_res3377z00_7533; } }  else 
{ /* Llib/ssl.scm 1270 */
BgL_test4306z00_13445 = ((bool_t)0)
; } } 
if(BgL_test4306z00_13445)
{ /* Llib/ssl.scm 1270 */
BgL_auxz00_13444 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4948)
; }  else 
{ 
 obj_t BgL_auxz00_13467;
BgL_auxz00_13467 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)51191)), BGl_string3319z00zz__ssl_sslz00, BGl_string3261z00zz__ssl_sslz00, BgL_sslzd2signzd2_4948); 
FAILURE(BgL_auxz00_13467,BFALSE,BFALSE);} } 
return 
BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_13444, BgL_auxz00_13471, BgL_auxz00_13478, BgL_auxz00_13487);} } 

}



/* ssl-sign-sign */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_139, obj_t BgL_keyz00_140, long BgL_offsetz00_141, long BgL_lenz00_142)
{
{ /* Llib/ssl.scm 1282 */
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_method1338z00_1752;
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_res2591z00_3748;
{ /* Llib/ssl.scm 1282 */
 long BgL_objzd2classzd2numz00_3719;
BgL_objzd2classzd2numz00_3719 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_139)); 
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_arg1798z00_3720;
BgL_arg1798z00_3720 = 
PROCEDURE_REF(BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1282 */
 int BgL_offsetz00_3723;
BgL_offsetz00_3723 = 
(int)(BgL_objzd2classzd2numz00_3719); 
{ /* Llib/ssl.scm 1282 */
 long BgL_offsetz00_3724;
BgL_offsetz00_3724 = 
(
(long)(BgL_offsetz00_3723)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1282 */
 long BgL_modz00_3725;
BgL_modz00_3725 = 
(BgL_offsetz00_3724 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1282 */
 long BgL_restz00_3727;
BgL_restz00_3727 = 
(BgL_offsetz00_3724 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1282 */

{ /* Llib/ssl.scm 1282 */
 obj_t BgL_bucketz00_3729;
BgL_bucketz00_3729 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3720),BgL_modz00_3725); 
BgL_res2591z00_3748 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3729),BgL_restz00_3727); } } } } } } } } 
BgL_method1338z00_1752 = BgL_res2591z00_3748; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1338z00_1752))(BgL_method1338z00_1752, 
((obj_t)BgL_sslzd2signzd2_139), BgL_keyz00_140, 
BINT(BgL_offsetz00_141), 
BINT(BgL_lenz00_142), BEOA);} } 

}



/* &ssl-sign-sign */
obj_t BGl_z62sslzd2signzd2signz62zz__ssl_sslz00(obj_t BgL_envz00_4952, obj_t BgL_sslzd2signzd2_4953, obj_t BgL_keyz00_4954, obj_t BgL_offsetz00_4955, obj_t BgL_lenz00_4956)
{
{ /* Llib/ssl.scm 1282 */
{ /* Llib/ssl.scm 1282 */
 long BgL_auxz00_13575; long BgL_auxz00_13566; obj_t BgL_auxz00_13559; BgL_sslzd2signzd2_bglt BgL_auxz00_13532;
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_tmpz00_13576;
if(
INTEGERP(BgL_lenz00_4956))
{ /* Llib/ssl.scm 1282 */
BgL_tmpz00_13576 = BgL_lenz00_4956
; }  else 
{ 
 obj_t BgL_auxz00_13579;
BgL_auxz00_13579 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)51687)), BGl_string3320z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4956); 
FAILURE(BgL_auxz00_13579,BFALSE,BFALSE);} 
BgL_auxz00_13575 = 
(long)CINT(BgL_tmpz00_13576); } 
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_tmpz00_13567;
if(
INTEGERP(BgL_offsetz00_4955))
{ /* Llib/ssl.scm 1282 */
BgL_tmpz00_13567 = BgL_offsetz00_4955
; }  else 
{ 
 obj_t BgL_auxz00_13570;
BgL_auxz00_13570 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)51687)), BGl_string3320z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4955); 
FAILURE(BgL_auxz00_13570,BFALSE,BFALSE);} 
BgL_auxz00_13566 = 
(long)CINT(BgL_tmpz00_13567); } 
if(
STRINGP(BgL_keyz00_4954))
{ /* Llib/ssl.scm 1282 */
BgL_auxz00_13559 = BgL_keyz00_4954
; }  else 
{ 
 obj_t BgL_auxz00_13562;
BgL_auxz00_13562 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)51687)), BGl_string3320z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_keyz00_4954); 
FAILURE(BgL_auxz00_13562,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1282 */
 bool_t BgL_test4314z00_13533;
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_classz00_7534;
BgL_classz00_7534 = BGl_sslzd2signzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2signzd2_4953))
{ /* Llib/ssl.scm 1282 */
 BgL_objectz00_bglt BgL_arg1796z00_7536; long BgL_arg1797z00_7537;
BgL_arg1796z00_7536 = 
(BgL_objectz00_bglt)(BgL_sslzd2signzd2_4953); 
BgL_arg1797z00_7537 = 
BGL_CLASS_DEPTH(BgL_classz00_7534); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1282 */
 long BgL_idxz00_7545;
BgL_idxz00_7545 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7536); 
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_arg1788z00_7546;
{ /* Llib/ssl.scm 1282 */
 long BgL_arg1789z00_7547;
BgL_arg1789z00_7547 = 
(BgL_idxz00_7545+BgL_arg1797z00_7537); 
BgL_arg1788z00_7546 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7547); } 
BgL_test4314z00_13533 = 
(BgL_arg1788z00_7546==BgL_classz00_7534); } }  else 
{ /* Llib/ssl.scm 1282 */
 bool_t BgL_res3378z00_7570;
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_oclassz00_7555;
{ /* Llib/ssl.scm 1282 */
 long BgL_arg1801z00_7561;
{ /* Llib/ssl.scm 1282 */
 long BgL_arg1802z00_7562;
BgL_arg1802z00_7562 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7536); 
BgL_arg1801z00_7561 = 
(BgL_arg1802z00_7562-OBJECT_TYPE); } 
BgL_oclassz00_7555 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7561); } 
{ /* Llib/ssl.scm 1282 */
 bool_t BgL__ortest_1110z00_7556;
BgL__ortest_1110z00_7556 = 
(BgL_classz00_7534==BgL_oclassz00_7555); 
if(BgL__ortest_1110z00_7556)
{ /* Llib/ssl.scm 1282 */
BgL_res3378z00_7570 = BgL__ortest_1110z00_7556; }  else 
{ /* Llib/ssl.scm 1282 */
 long BgL_odepthz00_7557;
BgL_odepthz00_7557 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7555); 
if(
(BgL_arg1797z00_7537<BgL_odepthz00_7557))
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_arg1790z00_7559;
BgL_arg1790z00_7559 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7555, BgL_arg1797z00_7537); 
BgL_res3378z00_7570 = 
(BgL_arg1790z00_7559==BgL_classz00_7534); }  else 
{ /* Llib/ssl.scm 1282 */
BgL_res3378z00_7570 = ((bool_t)0); } } } } 
BgL_test4314z00_13533 = BgL_res3378z00_7570; } }  else 
{ /* Llib/ssl.scm 1282 */
BgL_test4314z00_13533 = ((bool_t)0)
; } } 
if(BgL_test4314z00_13533)
{ /* Llib/ssl.scm 1282 */
BgL_auxz00_13532 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4953)
; }  else 
{ 
 obj_t BgL_auxz00_13555;
BgL_auxz00_13555 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)51687)), BGl_string3320z00zz__ssl_sslz00, BGl_string3261z00zz__ssl_sslz00, BgL_sslzd2signzd2_4953); 
FAILURE(BgL_auxz00_13555,BFALSE,BFALSE);} } 
return 
BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_auxz00_13532, BgL_auxz00_13559, BgL_auxz00_13566, BgL_auxz00_13575);} } 

}



/* ssl-verify-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_143, obj_t BgL_verifyz00_144)
{
{ /* Llib/ssl.scm 1293 */
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_method1340z00_1753;
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_res2596z00_3779;
{ /* Llib/ssl.scm 1293 */
 long BgL_objzd2classzd2numz00_3750;
BgL_objzd2classzd2numz00_3750 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_143)); 
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_arg1798z00_3751;
BgL_arg1798z00_3751 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1293 */
 int BgL_offsetz00_3754;
BgL_offsetz00_3754 = 
(int)(BgL_objzd2classzd2numz00_3750); 
{ /* Llib/ssl.scm 1293 */
 long BgL_offsetz00_3755;
BgL_offsetz00_3755 = 
(
(long)(BgL_offsetz00_3754)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1293 */
 long BgL_modz00_3756;
BgL_modz00_3756 = 
(BgL_offsetz00_3755 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1293 */
 long BgL_restz00_3758;
BgL_restz00_3758 = 
(BgL_offsetz00_3755 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1293 */

{ /* Llib/ssl.scm 1293 */
 obj_t BgL_bucketz00_3760;
BgL_bucketz00_3760 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3751),BgL_modz00_3756); 
BgL_res2596z00_3779 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3760),BgL_restz00_3758); } } } } } } } } 
BgL_method1340z00_1753 = BgL_res2596z00_3779; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1340z00_1753))(BgL_method1340z00_1753, 
((obj_t)BgL_sslzd2verifyzd2_143), BgL_verifyz00_144, BEOA);} } 

}



/* &ssl-verify-init */
obj_t BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4957, obj_t BgL_sslzd2verifyzd2_4958, obj_t BgL_verifyz00_4959)
{
{ /* Llib/ssl.scm 1293 */
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_auxz00_13643; BgL_sslzd2verifyzd2_bglt BgL_auxz00_13616;
if(
STRINGP(BgL_verifyz00_4959))
{ /* Llib/ssl.scm 1293 */
BgL_auxz00_13643 = BgL_verifyz00_4959
; }  else 
{ 
 obj_t BgL_auxz00_13646;
BgL_auxz00_13646 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)52164)), BGl_string3321z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_verifyz00_4959); 
FAILURE(BgL_auxz00_13646,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1293 */
 bool_t BgL_test4322z00_13617;
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_classz00_7571;
BgL_classz00_7571 = BGl_sslzd2verifyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2verifyzd2_4958))
{ /* Llib/ssl.scm 1293 */
 BgL_objectz00_bglt BgL_arg1796z00_7573; long BgL_arg1797z00_7574;
BgL_arg1796z00_7573 = 
(BgL_objectz00_bglt)(BgL_sslzd2verifyzd2_4958); 
BgL_arg1797z00_7574 = 
BGL_CLASS_DEPTH(BgL_classz00_7571); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1293 */
 long BgL_idxz00_7582;
BgL_idxz00_7582 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7573); 
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_arg1788z00_7583;
{ /* Llib/ssl.scm 1293 */
 long BgL_arg1789z00_7584;
BgL_arg1789z00_7584 = 
(BgL_idxz00_7582+BgL_arg1797z00_7574); 
BgL_arg1788z00_7583 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7584); } 
BgL_test4322z00_13617 = 
(BgL_arg1788z00_7583==BgL_classz00_7571); } }  else 
{ /* Llib/ssl.scm 1293 */
 bool_t BgL_res3379z00_7607;
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_oclassz00_7592;
{ /* Llib/ssl.scm 1293 */
 long BgL_arg1801z00_7598;
{ /* Llib/ssl.scm 1293 */
 long BgL_arg1802z00_7599;
BgL_arg1802z00_7599 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7573); 
BgL_arg1801z00_7598 = 
(BgL_arg1802z00_7599-OBJECT_TYPE); } 
BgL_oclassz00_7592 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7598); } 
{ /* Llib/ssl.scm 1293 */
 bool_t BgL__ortest_1110z00_7593;
BgL__ortest_1110z00_7593 = 
(BgL_classz00_7571==BgL_oclassz00_7592); 
if(BgL__ortest_1110z00_7593)
{ /* Llib/ssl.scm 1293 */
BgL_res3379z00_7607 = BgL__ortest_1110z00_7593; }  else 
{ /* Llib/ssl.scm 1293 */
 long BgL_odepthz00_7594;
BgL_odepthz00_7594 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7592); 
if(
(BgL_arg1797z00_7574<BgL_odepthz00_7594))
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_arg1790z00_7596;
BgL_arg1790z00_7596 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7592, BgL_arg1797z00_7574); 
BgL_res3379z00_7607 = 
(BgL_arg1790z00_7596==BgL_classz00_7571); }  else 
{ /* Llib/ssl.scm 1293 */
BgL_res3379z00_7607 = ((bool_t)0); } } } } 
BgL_test4322z00_13617 = BgL_res3379z00_7607; } }  else 
{ /* Llib/ssl.scm 1293 */
BgL_test4322z00_13617 = ((bool_t)0)
; } } 
if(BgL_test4322z00_13617)
{ /* Llib/ssl.scm 1293 */
BgL_auxz00_13616 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4958)
; }  else 
{ 
 obj_t BgL_auxz00_13639;
BgL_auxz00_13639 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)52164)), BGl_string3321z00zz__ssl_sslz00, BGl_string3256z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4958); 
FAILURE(BgL_auxz00_13639,BFALSE,BFALSE);} } 
return 
BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_auxz00_13616, BgL_auxz00_13643);} } 

}



/* ssl-verify-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_145, obj_t BgL_dataz00_146, long BgL_offsetz00_147, long BgL_lenz00_148)
{
{ /* Llib/ssl.scm 1305 */
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_method1342z00_1754;
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_res2601z00_3810;
{ /* Llib/ssl.scm 1305 */
 long BgL_objzd2classzd2numz00_3781;
BgL_objzd2classzd2numz00_3781 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_145)); 
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_arg1798z00_3782;
BgL_arg1798z00_3782 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1305 */
 int BgL_offsetz00_3785;
BgL_offsetz00_3785 = 
(int)(BgL_objzd2classzd2numz00_3781); 
{ /* Llib/ssl.scm 1305 */
 long BgL_offsetz00_3786;
BgL_offsetz00_3786 = 
(
(long)(BgL_offsetz00_3785)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1305 */
 long BgL_modz00_3787;
BgL_modz00_3787 = 
(BgL_offsetz00_3786 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1305 */
 long BgL_restz00_3789;
BgL_restz00_3789 = 
(BgL_offsetz00_3786 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1305 */

{ /* Llib/ssl.scm 1305 */
 obj_t BgL_bucketz00_3791;
BgL_bucketz00_3791 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3782),BgL_modz00_3787); 
BgL_res2601z00_3810 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3791),BgL_restz00_3789); } } } } } } } } 
BgL_method1342z00_1754 = BgL_res2601z00_3810; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1342z00_1754))(BgL_method1342z00_1754, 
((obj_t)BgL_sslzd2verifyzd2_145), BgL_dataz00_146, 
BINT(BgL_offsetz00_147), 
BINT(BgL_lenz00_148), BEOA);} } 

}



/* &ssl-verify-update! */
obj_t BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4960, obj_t BgL_sslzd2verifyzd2_4961, obj_t BgL_dataz00_4962, obj_t BgL_offsetz00_4963, obj_t BgL_lenz00_4964)
{
{ /* Llib/ssl.scm 1305 */
{ /* Llib/ssl.scm 1305 */
 long BgL_auxz00_13729; long BgL_auxz00_13720; obj_t BgL_auxz00_13713; BgL_sslzd2verifyzd2_bglt BgL_auxz00_13686;
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_tmpz00_13730;
if(
INTEGERP(BgL_lenz00_4964))
{ /* Llib/ssl.scm 1305 */
BgL_tmpz00_13730 = BgL_lenz00_4964
; }  else 
{ 
 obj_t BgL_auxz00_13733;
BgL_auxz00_13733 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)52649)), BGl_string3322z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4964); 
FAILURE(BgL_auxz00_13733,BFALSE,BFALSE);} 
BgL_auxz00_13729 = 
(long)CINT(BgL_tmpz00_13730); } 
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_tmpz00_13721;
if(
INTEGERP(BgL_offsetz00_4963))
{ /* Llib/ssl.scm 1305 */
BgL_tmpz00_13721 = BgL_offsetz00_4963
; }  else 
{ 
 obj_t BgL_auxz00_13724;
BgL_auxz00_13724 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)52649)), BGl_string3322z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4963); 
FAILURE(BgL_auxz00_13724,BFALSE,BFALSE);} 
BgL_auxz00_13720 = 
(long)CINT(BgL_tmpz00_13721); } 
if(
STRINGP(BgL_dataz00_4962))
{ /* Llib/ssl.scm 1305 */
BgL_auxz00_13713 = BgL_dataz00_4962
; }  else 
{ 
 obj_t BgL_auxz00_13716;
BgL_auxz00_13716 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)52649)), BGl_string3322z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_dataz00_4962); 
FAILURE(BgL_auxz00_13716,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1305 */
 bool_t BgL_test4328z00_13687;
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_classz00_7608;
BgL_classz00_7608 = BGl_sslzd2verifyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2verifyzd2_4961))
{ /* Llib/ssl.scm 1305 */
 BgL_objectz00_bglt BgL_arg1796z00_7610; long BgL_arg1797z00_7611;
BgL_arg1796z00_7610 = 
(BgL_objectz00_bglt)(BgL_sslzd2verifyzd2_4961); 
BgL_arg1797z00_7611 = 
BGL_CLASS_DEPTH(BgL_classz00_7608); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1305 */
 long BgL_idxz00_7619;
BgL_idxz00_7619 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7610); 
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_arg1788z00_7620;
{ /* Llib/ssl.scm 1305 */
 long BgL_arg1789z00_7621;
BgL_arg1789z00_7621 = 
(BgL_idxz00_7619+BgL_arg1797z00_7611); 
BgL_arg1788z00_7620 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7621); } 
BgL_test4328z00_13687 = 
(BgL_arg1788z00_7620==BgL_classz00_7608); } }  else 
{ /* Llib/ssl.scm 1305 */
 bool_t BgL_res3380z00_7644;
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_oclassz00_7629;
{ /* Llib/ssl.scm 1305 */
 long BgL_arg1801z00_7635;
{ /* Llib/ssl.scm 1305 */
 long BgL_arg1802z00_7636;
BgL_arg1802z00_7636 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7610); 
BgL_arg1801z00_7635 = 
(BgL_arg1802z00_7636-OBJECT_TYPE); } 
BgL_oclassz00_7629 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7635); } 
{ /* Llib/ssl.scm 1305 */
 bool_t BgL__ortest_1110z00_7630;
BgL__ortest_1110z00_7630 = 
(BgL_classz00_7608==BgL_oclassz00_7629); 
if(BgL__ortest_1110z00_7630)
{ /* Llib/ssl.scm 1305 */
BgL_res3380z00_7644 = BgL__ortest_1110z00_7630; }  else 
{ /* Llib/ssl.scm 1305 */
 long BgL_odepthz00_7631;
BgL_odepthz00_7631 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7629); 
if(
(BgL_arg1797z00_7611<BgL_odepthz00_7631))
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_arg1790z00_7633;
BgL_arg1790z00_7633 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7629, BgL_arg1797z00_7611); 
BgL_res3380z00_7644 = 
(BgL_arg1790z00_7633==BgL_classz00_7608); }  else 
{ /* Llib/ssl.scm 1305 */
BgL_res3380z00_7644 = ((bool_t)0); } } } } 
BgL_test4328z00_13687 = BgL_res3380z00_7644; } }  else 
{ /* Llib/ssl.scm 1305 */
BgL_test4328z00_13687 = ((bool_t)0)
; } } 
if(BgL_test4328z00_13687)
{ /* Llib/ssl.scm 1305 */
BgL_auxz00_13686 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4961)
; }  else 
{ 
 obj_t BgL_auxz00_13709;
BgL_auxz00_13709 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)52649)), BGl_string3322z00zz__ssl_sslz00, BGl_string3256z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4961); 
FAILURE(BgL_auxz00_13709,BFALSE,BFALSE);} } 
return 
BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_13686, BgL_auxz00_13713, BgL_auxz00_13720, BgL_auxz00_13729);} } 

}



/* ssl-verify-final */
BGL_EXPORTED_DEF bool_t BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_149, obj_t BgL_keyz00_150, long BgL_koffsetz00_151, long BgL_klenz00_152, obj_t BgL_sigz00_153, long BgL_soffsetz00_154, long BgL_slenz00_155)
{
{ /* Llib/ssl.scm 1317 */
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_method1344z00_1755;
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_res2606z00_3841;
{ /* Llib/ssl.scm 1317 */
 long BgL_objzd2classzd2numz00_3812;
BgL_objzd2classzd2numz00_3812 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_149)); 
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_arg1798z00_3813;
BgL_arg1798z00_3813 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1317 */
 int BgL_offsetz00_3816;
BgL_offsetz00_3816 = 
(int)(BgL_objzd2classzd2numz00_3812); 
{ /* Llib/ssl.scm 1317 */
 long BgL_offsetz00_3817;
BgL_offsetz00_3817 = 
(
(long)(BgL_offsetz00_3816)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1317 */
 long BgL_modz00_3818;
BgL_modz00_3818 = 
(BgL_offsetz00_3817 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1317 */
 long BgL_restz00_3820;
BgL_restz00_3820 = 
(BgL_offsetz00_3817 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1317 */

{ /* Llib/ssl.scm 1317 */
 obj_t BgL_bucketz00_3822;
BgL_bucketz00_3822 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3813),BgL_modz00_3818); 
BgL_res2606z00_3841 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3822),BgL_restz00_3820); } } } } } } } } 
BgL_method1344z00_1755 = BgL_res2606z00_3841; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1344z00_1755))(BgL_method1344z00_1755, 
((obj_t)BgL_sslzd2verifyzd2_149), BgL_keyz00_150, 
BINT(BgL_koffsetz00_151), 
BINT(BgL_klenz00_152), BgL_sigz00_153, 
BINT(BgL_soffsetz00_154), 
BINT(BgL_slenz00_155), BEOA));} } 

}



/* &ssl-verify-final */
obj_t BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00(obj_t BgL_envz00_4965, obj_t BgL_sslzd2verifyzd2_4966, obj_t BgL_keyz00_4967, obj_t BgL_koffsetz00_4968, obj_t BgL_klenz00_4969, obj_t BgL_sigz00_4970, obj_t BgL_soffsetz00_4971, obj_t BgL_slenz00_4972)
{
{ /* Llib/ssl.scm 1317 */
{ /* Llib/ssl.scm 1317 */
 bool_t BgL_tmpz00_13780;
{ /* Llib/ssl.scm 1317 */
 long BgL_auxz00_13849; long BgL_auxz00_13840; obj_t BgL_auxz00_13833; long BgL_auxz00_13824; long BgL_auxz00_13815; obj_t BgL_auxz00_13808; BgL_sslzd2verifyzd2_bglt BgL_auxz00_13781;
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_tmpz00_13850;
if(
INTEGERP(BgL_slenz00_4972))
{ /* Llib/ssl.scm 1317 */
BgL_tmpz00_13850 = BgL_slenz00_4972
; }  else 
{ 
 obj_t BgL_auxz00_13853;
BgL_auxz00_13853 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3323z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_slenz00_4972); 
FAILURE(BgL_auxz00_13853,BFALSE,BFALSE);} 
BgL_auxz00_13849 = 
(long)CINT(BgL_tmpz00_13850); } 
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_tmpz00_13841;
if(
INTEGERP(BgL_soffsetz00_4971))
{ /* Llib/ssl.scm 1317 */
BgL_tmpz00_13841 = BgL_soffsetz00_4971
; }  else 
{ 
 obj_t BgL_auxz00_13844;
BgL_auxz00_13844 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3323z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_soffsetz00_4971); 
FAILURE(BgL_auxz00_13844,BFALSE,BFALSE);} 
BgL_auxz00_13840 = 
(long)CINT(BgL_tmpz00_13841); } 
if(
STRINGP(BgL_sigz00_4970))
{ /* Llib/ssl.scm 1317 */
BgL_auxz00_13833 = BgL_sigz00_4970
; }  else 
{ 
 obj_t BgL_auxz00_13836;
BgL_auxz00_13836 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3323z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_sigz00_4970); 
FAILURE(BgL_auxz00_13836,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_tmpz00_13825;
if(
INTEGERP(BgL_klenz00_4969))
{ /* Llib/ssl.scm 1317 */
BgL_tmpz00_13825 = BgL_klenz00_4969
; }  else 
{ 
 obj_t BgL_auxz00_13828;
BgL_auxz00_13828 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3323z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_klenz00_4969); 
FAILURE(BgL_auxz00_13828,BFALSE,BFALSE);} 
BgL_auxz00_13824 = 
(long)CINT(BgL_tmpz00_13825); } 
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_tmpz00_13816;
if(
INTEGERP(BgL_koffsetz00_4968))
{ /* Llib/ssl.scm 1317 */
BgL_tmpz00_13816 = BgL_koffsetz00_4968
; }  else 
{ 
 obj_t BgL_auxz00_13819;
BgL_auxz00_13819 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3323z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_koffsetz00_4968); 
FAILURE(BgL_auxz00_13819,BFALSE,BFALSE);} 
BgL_auxz00_13815 = 
(long)CINT(BgL_tmpz00_13816); } 
if(
STRINGP(BgL_keyz00_4967))
{ /* Llib/ssl.scm 1317 */
BgL_auxz00_13808 = BgL_keyz00_4967
; }  else 
{ 
 obj_t BgL_auxz00_13811;
BgL_auxz00_13811 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3323z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_keyz00_4967); 
FAILURE(BgL_auxz00_13811,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1317 */
 bool_t BgL_test4336z00_13782;
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_classz00_7645;
BgL_classz00_7645 = BGl_sslzd2verifyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2verifyzd2_4966))
{ /* Llib/ssl.scm 1317 */
 BgL_objectz00_bglt BgL_arg1796z00_7647; long BgL_arg1797z00_7648;
BgL_arg1796z00_7647 = 
(BgL_objectz00_bglt)(BgL_sslzd2verifyzd2_4966); 
BgL_arg1797z00_7648 = 
BGL_CLASS_DEPTH(BgL_classz00_7645); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1317 */
 long BgL_idxz00_7656;
BgL_idxz00_7656 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7647); 
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_arg1788z00_7657;
{ /* Llib/ssl.scm 1317 */
 long BgL_arg1789z00_7658;
BgL_arg1789z00_7658 = 
(BgL_idxz00_7656+BgL_arg1797z00_7648); 
BgL_arg1788z00_7657 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7658); } 
BgL_test4336z00_13782 = 
(BgL_arg1788z00_7657==BgL_classz00_7645); } }  else 
{ /* Llib/ssl.scm 1317 */
 bool_t BgL_res3381z00_7681;
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_oclassz00_7666;
{ /* Llib/ssl.scm 1317 */
 long BgL_arg1801z00_7672;
{ /* Llib/ssl.scm 1317 */
 long BgL_arg1802z00_7673;
BgL_arg1802z00_7673 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7647); 
BgL_arg1801z00_7672 = 
(BgL_arg1802z00_7673-OBJECT_TYPE); } 
BgL_oclassz00_7666 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7672); } 
{ /* Llib/ssl.scm 1317 */
 bool_t BgL__ortest_1110z00_7667;
BgL__ortest_1110z00_7667 = 
(BgL_classz00_7645==BgL_oclassz00_7666); 
if(BgL__ortest_1110z00_7667)
{ /* Llib/ssl.scm 1317 */
BgL_res3381z00_7681 = BgL__ortest_1110z00_7667; }  else 
{ /* Llib/ssl.scm 1317 */
 long BgL_odepthz00_7668;
BgL_odepthz00_7668 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7666); 
if(
(BgL_arg1797z00_7648<BgL_odepthz00_7668))
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_arg1790z00_7670;
BgL_arg1790z00_7670 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7666, BgL_arg1797z00_7648); 
BgL_res3381z00_7681 = 
(BgL_arg1790z00_7670==BgL_classz00_7645); }  else 
{ /* Llib/ssl.scm 1317 */
BgL_res3381z00_7681 = ((bool_t)0); } } } } 
BgL_test4336z00_13782 = BgL_res3381z00_7681; } }  else 
{ /* Llib/ssl.scm 1317 */
BgL_test4336z00_13782 = ((bool_t)0)
; } } 
if(BgL_test4336z00_13782)
{ /* Llib/ssl.scm 1317 */
BgL_auxz00_13781 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4966)
; }  else 
{ 
 obj_t BgL_auxz00_13804;
BgL_auxz00_13804 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3323z00zz__ssl_sslz00, BGl_string3256z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4966); 
FAILURE(BgL_auxz00_13804,BFALSE,BFALSE);} } 
BgL_tmpz00_13780 = 
BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_auxz00_13781, BgL_auxz00_13808, BgL_auxz00_13815, BgL_auxz00_13824, BgL_auxz00_13833, BgL_auxz00_13840, BgL_auxz00_13849); } 
return 
BBOOL(BgL_tmpz00_13780);} } 

}



/* ssl-cipher-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_156, obj_t BgL_cipherz00_157, obj_t BgL_keyz00_158, long BgL_offsetz00_159, long BgL_lenz00_160, bool_t BgL_encz00_161)
{
{ /* Llib/ssl.scm 1331 */
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_method1346z00_1756;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_res2611z00_3872;
{ /* Llib/ssl.scm 1331 */
 long BgL_objzd2classzd2numz00_3843;
BgL_objzd2classzd2numz00_3843 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_156)); 
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_arg1798z00_3844;
BgL_arg1798z00_3844 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1331 */
 int BgL_offsetz00_3847;
BgL_offsetz00_3847 = 
(int)(BgL_objzd2classzd2numz00_3843); 
{ /* Llib/ssl.scm 1331 */
 long BgL_offsetz00_3848;
BgL_offsetz00_3848 = 
(
(long)(BgL_offsetz00_3847)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1331 */
 long BgL_modz00_3849;
BgL_modz00_3849 = 
(BgL_offsetz00_3848 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1331 */
 long BgL_restz00_3851;
BgL_restz00_3851 = 
(BgL_offsetz00_3848 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1331 */

{ /* Llib/ssl.scm 1331 */
 obj_t BgL_bucketz00_3853;
BgL_bucketz00_3853 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3844),BgL_modz00_3849); 
BgL_res2611z00_3872 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3853),BgL_restz00_3851); } } } } } } } } 
BgL_method1346z00_1756 = BgL_res2611z00_3872; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1346z00_1756))(BgL_method1346z00_1756, 
((obj_t)BgL_sslzd2cipherzd2_156), BgL_cipherz00_157, BgL_keyz00_158, 
BINT(BgL_offsetz00_159), 
BINT(BgL_lenz00_160), 
BBOOL(BgL_encz00_161), BEOA);} } 

}



/* &ssl-cipher-init */
obj_t BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4973, obj_t BgL_sslzd2cipherzd2_4974, obj_t BgL_cipherz00_4975, obj_t BgL_keyz00_4976, obj_t BgL_offsetz00_4977, obj_t BgL_lenz00_4978, obj_t BgL_encz00_4979)
{
{ /* Llib/ssl.scm 1331 */
{ /* Llib/ssl.scm 1331 */
 long BgL_auxz00_13948; long BgL_auxz00_13939; obj_t BgL_auxz00_13932; obj_t BgL_auxz00_13925; BgL_sslzd2cipherzd2_bglt BgL_auxz00_13898;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_tmpz00_13949;
if(
INTEGERP(BgL_lenz00_4978))
{ /* Llib/ssl.scm 1331 */
BgL_tmpz00_13949 = BgL_lenz00_4978
; }  else 
{ 
 obj_t BgL_auxz00_13952;
BgL_auxz00_13952 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3324z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4978); 
FAILURE(BgL_auxz00_13952,BFALSE,BFALSE);} 
BgL_auxz00_13948 = 
(long)CINT(BgL_tmpz00_13949); } 
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_tmpz00_13940;
if(
INTEGERP(BgL_offsetz00_4977))
{ /* Llib/ssl.scm 1331 */
BgL_tmpz00_13940 = BgL_offsetz00_4977
; }  else 
{ 
 obj_t BgL_auxz00_13943;
BgL_auxz00_13943 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3324z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4977); 
FAILURE(BgL_auxz00_13943,BFALSE,BFALSE);} 
BgL_auxz00_13939 = 
(long)CINT(BgL_tmpz00_13940); } 
if(
STRINGP(BgL_keyz00_4976))
{ /* Llib/ssl.scm 1331 */
BgL_auxz00_13932 = BgL_keyz00_4976
; }  else 
{ 
 obj_t BgL_auxz00_13935;
BgL_auxz00_13935 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3324z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_keyz00_4976); 
FAILURE(BgL_auxz00_13935,BFALSE,BFALSE);} 
if(
STRINGP(BgL_cipherz00_4975))
{ /* Llib/ssl.scm 1331 */
BgL_auxz00_13925 = BgL_cipherz00_4975
; }  else 
{ 
 obj_t BgL_auxz00_13928;
BgL_auxz00_13928 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3324z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_cipherz00_4975); 
FAILURE(BgL_auxz00_13928,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1331 */
 bool_t BgL_test4347z00_13899;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_classz00_7682;
BgL_classz00_7682 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_4974))
{ /* Llib/ssl.scm 1331 */
 BgL_objectz00_bglt BgL_arg1796z00_7684; long BgL_arg1797z00_7685;
BgL_arg1796z00_7684 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_4974); 
BgL_arg1797z00_7685 = 
BGL_CLASS_DEPTH(BgL_classz00_7682); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1331 */
 long BgL_idxz00_7693;
BgL_idxz00_7693 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7684); 
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_arg1788z00_7694;
{ /* Llib/ssl.scm 1331 */
 long BgL_arg1789z00_7695;
BgL_arg1789z00_7695 = 
(BgL_idxz00_7693+BgL_arg1797z00_7685); 
BgL_arg1788z00_7694 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7695); } 
BgL_test4347z00_13899 = 
(BgL_arg1788z00_7694==BgL_classz00_7682); } }  else 
{ /* Llib/ssl.scm 1331 */
 bool_t BgL_res3382z00_7718;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_oclassz00_7703;
{ /* Llib/ssl.scm 1331 */
 long BgL_arg1801z00_7709;
{ /* Llib/ssl.scm 1331 */
 long BgL_arg1802z00_7710;
BgL_arg1802z00_7710 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7684); 
BgL_arg1801z00_7709 = 
(BgL_arg1802z00_7710-OBJECT_TYPE); } 
BgL_oclassz00_7703 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7709); } 
{ /* Llib/ssl.scm 1331 */
 bool_t BgL__ortest_1110z00_7704;
BgL__ortest_1110z00_7704 = 
(BgL_classz00_7682==BgL_oclassz00_7703); 
if(BgL__ortest_1110z00_7704)
{ /* Llib/ssl.scm 1331 */
BgL_res3382z00_7718 = BgL__ortest_1110z00_7704; }  else 
{ /* Llib/ssl.scm 1331 */
 long BgL_odepthz00_7705;
BgL_odepthz00_7705 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7703); 
if(
(BgL_arg1797z00_7685<BgL_odepthz00_7705))
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_arg1790z00_7707;
BgL_arg1790z00_7707 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7703, BgL_arg1797z00_7685); 
BgL_res3382z00_7718 = 
(BgL_arg1790z00_7707==BgL_classz00_7682); }  else 
{ /* Llib/ssl.scm 1331 */
BgL_res3382z00_7718 = ((bool_t)0); } } } } 
BgL_test4347z00_13899 = BgL_res3382z00_7718; } }  else 
{ /* Llib/ssl.scm 1331 */
BgL_test4347z00_13899 = ((bool_t)0)
; } } 
if(BgL_test4347z00_13899)
{ /* Llib/ssl.scm 1331 */
BgL_auxz00_13898 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4974)
; }  else 
{ 
 obj_t BgL_auxz00_13921;
BgL_auxz00_13921 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3324z00zz__ssl_sslz00, BGl_string3325z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4974); 
FAILURE(BgL_auxz00_13921,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_auxz00_13898, BgL_auxz00_13925, BgL_auxz00_13932, BgL_auxz00_13939, BgL_auxz00_13948, 
CBOOL(BgL_encz00_4979));} } 

}



/* ssl-cipher-initiv */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_162, obj_t BgL_cipherz00_163, obj_t BgL_keyz00_164, long BgL_offsetz00_165, long BgL_lenz00_166, obj_t BgL_ivz00_167, long BgL_ivoffsetz00_168, long BgL_ivlenz00_169, bool_t BgL_encz00_170)
{
{ /* Llib/ssl.scm 1345 */
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_method1348z00_1757;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_res2616z00_3903;
{ /* Llib/ssl.scm 1345 */
 long BgL_objzd2classzd2numz00_3874;
BgL_objzd2classzd2numz00_3874 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_162)); 
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_arg1798z00_3875;
BgL_arg1798z00_3875 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1345 */
 int BgL_offsetz00_3878;
BgL_offsetz00_3878 = 
(int)(BgL_objzd2classzd2numz00_3874); 
{ /* Llib/ssl.scm 1345 */
 long BgL_offsetz00_3879;
BgL_offsetz00_3879 = 
(
(long)(BgL_offsetz00_3878)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1345 */
 long BgL_modz00_3880;
BgL_modz00_3880 = 
(BgL_offsetz00_3879 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1345 */
 long BgL_restz00_3882;
BgL_restz00_3882 = 
(BgL_offsetz00_3879 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1345 */

{ /* Llib/ssl.scm 1345 */
 obj_t BgL_bucketz00_3884;
BgL_bucketz00_3884 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3875),BgL_modz00_3880); 
BgL_res2616z00_3903 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3884),BgL_restz00_3882); } } } } } } } } 
BgL_method1348z00_1757 = BgL_res2616z00_3903; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1348z00_1757))(BgL_method1348z00_1757, 
((obj_t)BgL_sslzd2cipherzd2_162), BgL_cipherz00_163, BgL_keyz00_164, 
BINT(BgL_offsetz00_165), 
BINT(BgL_lenz00_166), BgL_ivz00_167, 
BINT(BgL_ivoffsetz00_168), 
BINT(BgL_ivlenz00_169), 
BBOOL(BgL_encz00_170), BEOA);} } 

}



/* &ssl-cipher-initiv */
obj_t BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00(obj_t BgL_envz00_4980, obj_t BgL_sslzd2cipherzd2_4981, obj_t BgL_cipherz00_4982, obj_t BgL_keyz00_4983, obj_t BgL_offsetz00_4984, obj_t BgL_lenz00_4985, obj_t BgL_ivz00_4986, obj_t BgL_ivoffsetz00_4987, obj_t BgL_ivlenz00_4988, obj_t BgL_encz00_4989)
{
{ /* Llib/ssl.scm 1345 */
{ /* Llib/ssl.scm 1345 */
 long BgL_auxz00_14077; long BgL_auxz00_14068; obj_t BgL_auxz00_14061; long BgL_auxz00_14052; long BgL_auxz00_14043; obj_t BgL_auxz00_14036; obj_t BgL_auxz00_14029; BgL_sslzd2cipherzd2_bglt BgL_auxz00_14002;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_tmpz00_14078;
if(
INTEGERP(BgL_ivlenz00_4988))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_14078 = BgL_ivlenz00_4988
; }  else 
{ 
 obj_t BgL_auxz00_14081;
BgL_auxz00_14081 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3326z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_ivlenz00_4988); 
FAILURE(BgL_auxz00_14081,BFALSE,BFALSE);} 
BgL_auxz00_14077 = 
(long)CINT(BgL_tmpz00_14078); } 
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_tmpz00_14069;
if(
INTEGERP(BgL_ivoffsetz00_4987))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_14069 = BgL_ivoffsetz00_4987
; }  else 
{ 
 obj_t BgL_auxz00_14072;
BgL_auxz00_14072 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3326z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_ivoffsetz00_4987); 
FAILURE(BgL_auxz00_14072,BFALSE,BFALSE);} 
BgL_auxz00_14068 = 
(long)CINT(BgL_tmpz00_14069); } 
if(
STRINGP(BgL_ivz00_4986))
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_14061 = BgL_ivz00_4986
; }  else 
{ 
 obj_t BgL_auxz00_14064;
BgL_auxz00_14064 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3326z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_ivz00_4986); 
FAILURE(BgL_auxz00_14064,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_tmpz00_14053;
if(
INTEGERP(BgL_lenz00_4985))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_14053 = BgL_lenz00_4985
; }  else 
{ 
 obj_t BgL_auxz00_14056;
BgL_auxz00_14056 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3326z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4985); 
FAILURE(BgL_auxz00_14056,BFALSE,BFALSE);} 
BgL_auxz00_14052 = 
(long)CINT(BgL_tmpz00_14053); } 
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_tmpz00_14044;
if(
INTEGERP(BgL_offsetz00_4984))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_14044 = BgL_offsetz00_4984
; }  else 
{ 
 obj_t BgL_auxz00_14047;
BgL_auxz00_14047 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3326z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4984); 
FAILURE(BgL_auxz00_14047,BFALSE,BFALSE);} 
BgL_auxz00_14043 = 
(long)CINT(BgL_tmpz00_14044); } 
if(
STRINGP(BgL_keyz00_4983))
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_14036 = BgL_keyz00_4983
; }  else 
{ 
 obj_t BgL_auxz00_14039;
BgL_auxz00_14039 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3326z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_keyz00_4983); 
FAILURE(BgL_auxz00_14039,BFALSE,BFALSE);} 
if(
STRINGP(BgL_cipherz00_4982))
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_14029 = BgL_cipherz00_4982
; }  else 
{ 
 obj_t BgL_auxz00_14032;
BgL_auxz00_14032 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3326z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_cipherz00_4982); 
FAILURE(BgL_auxz00_14032,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1345 */
 bool_t BgL_test4356z00_14003;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_classz00_7719;
BgL_classz00_7719 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_4981))
{ /* Llib/ssl.scm 1345 */
 BgL_objectz00_bglt BgL_arg1796z00_7721; long BgL_arg1797z00_7722;
BgL_arg1796z00_7721 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_4981); 
BgL_arg1797z00_7722 = 
BGL_CLASS_DEPTH(BgL_classz00_7719); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1345 */
 long BgL_idxz00_7730;
BgL_idxz00_7730 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7721); 
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_arg1788z00_7731;
{ /* Llib/ssl.scm 1345 */
 long BgL_arg1789z00_7732;
BgL_arg1789z00_7732 = 
(BgL_idxz00_7730+BgL_arg1797z00_7722); 
BgL_arg1788z00_7731 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7732); } 
BgL_test4356z00_14003 = 
(BgL_arg1788z00_7731==BgL_classz00_7719); } }  else 
{ /* Llib/ssl.scm 1345 */
 bool_t BgL_res3383z00_7755;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_oclassz00_7740;
{ /* Llib/ssl.scm 1345 */
 long BgL_arg1801z00_7746;
{ /* Llib/ssl.scm 1345 */
 long BgL_arg1802z00_7747;
BgL_arg1802z00_7747 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7721); 
BgL_arg1801z00_7746 = 
(BgL_arg1802z00_7747-OBJECT_TYPE); } 
BgL_oclassz00_7740 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7746); } 
{ /* Llib/ssl.scm 1345 */
 bool_t BgL__ortest_1110z00_7741;
BgL__ortest_1110z00_7741 = 
(BgL_classz00_7719==BgL_oclassz00_7740); 
if(BgL__ortest_1110z00_7741)
{ /* Llib/ssl.scm 1345 */
BgL_res3383z00_7755 = BgL__ortest_1110z00_7741; }  else 
{ /* Llib/ssl.scm 1345 */
 long BgL_odepthz00_7742;
BgL_odepthz00_7742 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7740); 
if(
(BgL_arg1797z00_7722<BgL_odepthz00_7742))
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_arg1790z00_7744;
BgL_arg1790z00_7744 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7740, BgL_arg1797z00_7722); 
BgL_res3383z00_7755 = 
(BgL_arg1790z00_7744==BgL_classz00_7719); }  else 
{ /* Llib/ssl.scm 1345 */
BgL_res3383z00_7755 = ((bool_t)0); } } } } 
BgL_test4356z00_14003 = BgL_res3383z00_7755; } }  else 
{ /* Llib/ssl.scm 1345 */
BgL_test4356z00_14003 = ((bool_t)0)
; } } 
if(BgL_test4356z00_14003)
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_14002 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4981)
; }  else 
{ 
 obj_t BgL_auxz00_14025;
BgL_auxz00_14025 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3326z00zz__ssl_sslz00, BGl_string3325z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4981); 
FAILURE(BgL_auxz00_14025,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_auxz00_14002, BgL_auxz00_14029, BgL_auxz00_14036, BgL_auxz00_14043, BgL_auxz00_14052, BgL_auxz00_14061, BgL_auxz00_14068, BgL_auxz00_14077, 
CBOOL(BgL_encz00_4989));} } 

}



/* ssl-cipher-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_171, obj_t BgL_dataz00_172, long BgL_offsetz00_173, long BgL_lenz00_174)
{
{ /* Llib/ssl.scm 1362 */
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_method1350z00_1758;
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_res2621z00_3934;
{ /* Llib/ssl.scm 1362 */
 long BgL_objzd2classzd2numz00_3905;
BgL_objzd2classzd2numz00_3905 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_171)); 
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_arg1798z00_3906;
BgL_arg1798z00_3906 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1362 */
 int BgL_offsetz00_3909;
BgL_offsetz00_3909 = 
(int)(BgL_objzd2classzd2numz00_3905); 
{ /* Llib/ssl.scm 1362 */
 long BgL_offsetz00_3910;
BgL_offsetz00_3910 = 
(
(long)(BgL_offsetz00_3909)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1362 */
 long BgL_modz00_3911;
BgL_modz00_3911 = 
(BgL_offsetz00_3910 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1362 */
 long BgL_restz00_3913;
BgL_restz00_3913 = 
(BgL_offsetz00_3910 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1362 */

{ /* Llib/ssl.scm 1362 */
 obj_t BgL_bucketz00_3915;
BgL_bucketz00_3915 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3906),BgL_modz00_3911); 
BgL_res2621z00_3934 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3915),BgL_restz00_3913); } } } } } } } } 
BgL_method1350z00_1758 = BgL_res2621z00_3934; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1350z00_1758))(BgL_method1350z00_1758, 
((obj_t)BgL_sslzd2cipherzd2_171), BgL_dataz00_172, 
BINT(BgL_offsetz00_173), 
BINT(BgL_lenz00_174), BEOA);} } 

}



/* &ssl-cipher-update! */
obj_t BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4990, obj_t BgL_sslzd2cipherzd2_4991, obj_t BgL_dataz00_4992, obj_t BgL_offsetz00_4993, obj_t BgL_lenz00_4994)
{
{ /* Llib/ssl.scm 1362 */
{ /* Llib/ssl.scm 1362 */
 long BgL_auxz00_14166; long BgL_auxz00_14157; obj_t BgL_auxz00_14150; BgL_sslzd2cipherzd2_bglt BgL_auxz00_14123;
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_tmpz00_14167;
if(
INTEGERP(BgL_lenz00_4994))
{ /* Llib/ssl.scm 1362 */
BgL_tmpz00_14167 = BgL_lenz00_4994
; }  else 
{ 
 obj_t BgL_auxz00_14170;
BgL_auxz00_14170 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)54737)), BGl_string3327z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_lenz00_4994); 
FAILURE(BgL_auxz00_14170,BFALSE,BFALSE);} 
BgL_auxz00_14166 = 
(long)CINT(BgL_tmpz00_14167); } 
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_tmpz00_14158;
if(
INTEGERP(BgL_offsetz00_4993))
{ /* Llib/ssl.scm 1362 */
BgL_tmpz00_14158 = BgL_offsetz00_4993
; }  else 
{ 
 obj_t BgL_auxz00_14161;
BgL_auxz00_14161 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)54737)), BGl_string3327z00zz__ssl_sslz00, BGl_string2946z00zz__ssl_sslz00, BgL_offsetz00_4993); 
FAILURE(BgL_auxz00_14161,BFALSE,BFALSE);} 
BgL_auxz00_14157 = 
(long)CINT(BgL_tmpz00_14158); } 
if(
STRINGP(BgL_dataz00_4992))
{ /* Llib/ssl.scm 1362 */
BgL_auxz00_14150 = BgL_dataz00_4992
; }  else 
{ 
 obj_t BgL_auxz00_14153;
BgL_auxz00_14153 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)54737)), BGl_string3327z00zz__ssl_sslz00, BGl_string2947z00zz__ssl_sslz00, BgL_dataz00_4992); 
FAILURE(BgL_auxz00_14153,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1362 */
 bool_t BgL_test4368z00_14124;
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_classz00_7756;
BgL_classz00_7756 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_4991))
{ /* Llib/ssl.scm 1362 */
 BgL_objectz00_bglt BgL_arg1796z00_7758; long BgL_arg1797z00_7759;
BgL_arg1796z00_7758 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_4991); 
BgL_arg1797z00_7759 = 
BGL_CLASS_DEPTH(BgL_classz00_7756); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1362 */
 long BgL_idxz00_7767;
BgL_idxz00_7767 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7758); 
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_arg1788z00_7768;
{ /* Llib/ssl.scm 1362 */
 long BgL_arg1789z00_7769;
BgL_arg1789z00_7769 = 
(BgL_idxz00_7767+BgL_arg1797z00_7759); 
BgL_arg1788z00_7768 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7769); } 
BgL_test4368z00_14124 = 
(BgL_arg1788z00_7768==BgL_classz00_7756); } }  else 
{ /* Llib/ssl.scm 1362 */
 bool_t BgL_res3384z00_7792;
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_oclassz00_7777;
{ /* Llib/ssl.scm 1362 */
 long BgL_arg1801z00_7783;
{ /* Llib/ssl.scm 1362 */
 long BgL_arg1802z00_7784;
BgL_arg1802z00_7784 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7758); 
BgL_arg1801z00_7783 = 
(BgL_arg1802z00_7784-OBJECT_TYPE); } 
BgL_oclassz00_7777 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7783); } 
{ /* Llib/ssl.scm 1362 */
 bool_t BgL__ortest_1110z00_7778;
BgL__ortest_1110z00_7778 = 
(BgL_classz00_7756==BgL_oclassz00_7777); 
if(BgL__ortest_1110z00_7778)
{ /* Llib/ssl.scm 1362 */
BgL_res3384z00_7792 = BgL__ortest_1110z00_7778; }  else 
{ /* Llib/ssl.scm 1362 */
 long BgL_odepthz00_7779;
BgL_odepthz00_7779 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7777); 
if(
(BgL_arg1797z00_7759<BgL_odepthz00_7779))
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_arg1790z00_7781;
BgL_arg1790z00_7781 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7777, BgL_arg1797z00_7759); 
BgL_res3384z00_7792 = 
(BgL_arg1790z00_7781==BgL_classz00_7756); }  else 
{ /* Llib/ssl.scm 1362 */
BgL_res3384z00_7792 = ((bool_t)0); } } } } 
BgL_test4368z00_14124 = BgL_res3384z00_7792; } }  else 
{ /* Llib/ssl.scm 1362 */
BgL_test4368z00_14124 = ((bool_t)0)
; } } 
if(BgL_test4368z00_14124)
{ /* Llib/ssl.scm 1362 */
BgL_auxz00_14123 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4991)
; }  else 
{ 
 obj_t BgL_auxz00_14146;
BgL_auxz00_14146 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)54737)), BGl_string3327z00zz__ssl_sslz00, BGl_string3325z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4991); 
FAILURE(BgL_auxz00_14146,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_14123, BgL_auxz00_14150, BgL_auxz00_14157, BgL_auxz00_14166);} } 

}



/* ssl-cipher-set-auto-padding */
BGL_EXPORTED_DEF bool_t BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_175, bool_t BgL_autozd2paddingzd2_176)
{
{ /* Llib/ssl.scm 1373 */
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_method1352z00_1759;
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_res2626z00_3965;
{ /* Llib/ssl.scm 1373 */
 long BgL_objzd2classzd2numz00_3936;
BgL_objzd2classzd2numz00_3936 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_175)); 
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_arg1798z00_3937;
BgL_arg1798z00_3937 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1373 */
 int BgL_offsetz00_3940;
BgL_offsetz00_3940 = 
(int)(BgL_objzd2classzd2numz00_3936); 
{ /* Llib/ssl.scm 1373 */
 long BgL_offsetz00_3941;
BgL_offsetz00_3941 = 
(
(long)(BgL_offsetz00_3940)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1373 */
 long BgL_modz00_3942;
BgL_modz00_3942 = 
(BgL_offsetz00_3941 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1373 */
 long BgL_restz00_3944;
BgL_restz00_3944 = 
(BgL_offsetz00_3941 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1373 */

{ /* Llib/ssl.scm 1373 */
 obj_t BgL_bucketz00_3946;
BgL_bucketz00_3946 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3937),BgL_modz00_3942); 
BgL_res2626z00_3965 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3946),BgL_restz00_3944); } } } } } } } } 
BgL_method1352z00_1759 = BgL_res2626z00_3965; } 
return 
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1352z00_1759))(BgL_method1352z00_1759, 
((obj_t)BgL_sslzd2cipherzd2_175), 
BBOOL(BgL_autozd2paddingzd2_176), BEOA));} } 

}



/* &ssl-cipher-set-auto-padding */
obj_t BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00(obj_t BgL_envz00_4995, obj_t BgL_sslzd2cipherzd2_4996, obj_t BgL_autozd2paddingzd2_4997)
{
{ /* Llib/ssl.scm 1373 */
{ /* Llib/ssl.scm 1373 */
 bool_t BgL_tmpz00_14209;
{ /* Llib/ssl.scm 1373 */
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_14210;
{ /* Llib/ssl.scm 1373 */
 bool_t BgL_test4376z00_14211;
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_classz00_7793;
BgL_classz00_7793 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_4996))
{ /* Llib/ssl.scm 1373 */
 BgL_objectz00_bglt BgL_arg1796z00_7795; long BgL_arg1797z00_7796;
BgL_arg1796z00_7795 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_4996); 
BgL_arg1797z00_7796 = 
BGL_CLASS_DEPTH(BgL_classz00_7793); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1373 */
 long BgL_idxz00_7804;
BgL_idxz00_7804 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7795); 
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_arg1788z00_7805;
{ /* Llib/ssl.scm 1373 */
 long BgL_arg1789z00_7806;
BgL_arg1789z00_7806 = 
(BgL_idxz00_7804+BgL_arg1797z00_7796); 
BgL_arg1788z00_7805 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7806); } 
BgL_test4376z00_14211 = 
(BgL_arg1788z00_7805==BgL_classz00_7793); } }  else 
{ /* Llib/ssl.scm 1373 */
 bool_t BgL_res3385z00_7829;
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_oclassz00_7814;
{ /* Llib/ssl.scm 1373 */
 long BgL_arg1801z00_7820;
{ /* Llib/ssl.scm 1373 */
 long BgL_arg1802z00_7821;
BgL_arg1802z00_7821 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7795); 
BgL_arg1801z00_7820 = 
(BgL_arg1802z00_7821-OBJECT_TYPE); } 
BgL_oclassz00_7814 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7820); } 
{ /* Llib/ssl.scm 1373 */
 bool_t BgL__ortest_1110z00_7815;
BgL__ortest_1110z00_7815 = 
(BgL_classz00_7793==BgL_oclassz00_7814); 
if(BgL__ortest_1110z00_7815)
{ /* Llib/ssl.scm 1373 */
BgL_res3385z00_7829 = BgL__ortest_1110z00_7815; }  else 
{ /* Llib/ssl.scm 1373 */
 long BgL_odepthz00_7816;
BgL_odepthz00_7816 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7814); 
if(
(BgL_arg1797z00_7796<BgL_odepthz00_7816))
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_arg1790z00_7818;
BgL_arg1790z00_7818 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7814, BgL_arg1797z00_7796); 
BgL_res3385z00_7829 = 
(BgL_arg1790z00_7818==BgL_classz00_7793); }  else 
{ /* Llib/ssl.scm 1373 */
BgL_res3385z00_7829 = ((bool_t)0); } } } } 
BgL_test4376z00_14211 = BgL_res3385z00_7829; } }  else 
{ /* Llib/ssl.scm 1373 */
BgL_test4376z00_14211 = ((bool_t)0)
; } } 
if(BgL_test4376z00_14211)
{ /* Llib/ssl.scm 1373 */
BgL_auxz00_14210 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4996)
; }  else 
{ 
 obj_t BgL_auxz00_14233;
BgL_auxz00_14233 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)55279)), BGl_string3328z00zz__ssl_sslz00, BGl_string3325z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4996); 
FAILURE(BgL_auxz00_14233,BFALSE,BFALSE);} } 
BgL_tmpz00_14209 = 
BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_auxz00_14210, 
CBOOL(BgL_autozd2paddingzd2_4997)); } 
return 
BBOOL(BgL_tmpz00_14209);} } 

}



/* ssl-cipher-final */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_177)
{
{ /* Llib/ssl.scm 1383 */
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_method1354z00_1760;
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_res2631z00_3996;
{ /* Llib/ssl.scm 1383 */
 long BgL_objzd2classzd2numz00_3967;
BgL_objzd2classzd2numz00_3967 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_177)); 
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_arg1798z00_3968;
BgL_arg1798z00_3968 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1383 */
 int BgL_offsetz00_3971;
BgL_offsetz00_3971 = 
(int)(BgL_objzd2classzd2numz00_3967); 
{ /* Llib/ssl.scm 1383 */
 long BgL_offsetz00_3972;
BgL_offsetz00_3972 = 
(
(long)(BgL_offsetz00_3971)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1383 */
 long BgL_modz00_3973;
BgL_modz00_3973 = 
(BgL_offsetz00_3972 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1383 */
 long BgL_restz00_3975;
BgL_restz00_3975 = 
(BgL_offsetz00_3972 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1383 */

{ /* Llib/ssl.scm 1383 */
 obj_t BgL_bucketz00_3977;
BgL_bucketz00_3977 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_3968),BgL_modz00_3973); 
BgL_res2631z00_3996 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3977),BgL_restz00_3975); } } } } } } } } 
BgL_method1354z00_1760 = BgL_res2631z00_3996; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1354z00_1760))(BgL_method1354z00_1760, 
((obj_t)BgL_sslzd2cipherzd2_177), BEOA);} } 

}



/* &ssl-cipher-final */
obj_t BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00(obj_t BgL_envz00_4998, obj_t BgL_sslzd2cipherzd2_4999)
{
{ /* Llib/ssl.scm 1383 */
{ /* Llib/ssl.scm 1383 */
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_14270;
{ /* Llib/ssl.scm 1383 */
 bool_t BgL_test4381z00_14271;
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_classz00_7830;
BgL_classz00_7830 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_4999))
{ /* Llib/ssl.scm 1383 */
 BgL_objectz00_bglt BgL_arg1796z00_7832; long BgL_arg1797z00_7833;
BgL_arg1796z00_7832 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_4999); 
BgL_arg1797z00_7833 = 
BGL_CLASS_DEPTH(BgL_classz00_7830); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1383 */
 long BgL_idxz00_7841;
BgL_idxz00_7841 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1796z00_7832); 
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_arg1788z00_7842;
{ /* Llib/ssl.scm 1383 */
 long BgL_arg1789z00_7843;
BgL_arg1789z00_7843 = 
(BgL_idxz00_7841+BgL_arg1797z00_7833); 
BgL_arg1788z00_7842 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1789z00_7843); } 
BgL_test4381z00_14271 = 
(BgL_arg1788z00_7842==BgL_classz00_7830); } }  else 
{ /* Llib/ssl.scm 1383 */
 bool_t BgL_res3386z00_7866;
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_oclassz00_7851;
{ /* Llib/ssl.scm 1383 */
 long BgL_arg1801z00_7857;
{ /* Llib/ssl.scm 1383 */
 long BgL_arg1802z00_7858;
BgL_arg1802z00_7858 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1796z00_7832); 
BgL_arg1801z00_7857 = 
(BgL_arg1802z00_7858-OBJECT_TYPE); } 
BgL_oclassz00_7851 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_7857); } 
{ /* Llib/ssl.scm 1383 */
 bool_t BgL__ortest_1110z00_7852;
BgL__ortest_1110z00_7852 = 
(BgL_classz00_7830==BgL_oclassz00_7851); 
if(BgL__ortest_1110z00_7852)
{ /* Llib/ssl.scm 1383 */
BgL_res3386z00_7866 = BgL__ortest_1110z00_7852; }  else 
{ /* Llib/ssl.scm 1383 */
 long BgL_odepthz00_7853;
BgL_odepthz00_7853 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7851); 
if(
(BgL_arg1797z00_7833<BgL_odepthz00_7853))
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_arg1790z00_7855;
BgL_arg1790z00_7855 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7851, BgL_arg1797z00_7833); 
BgL_res3386z00_7866 = 
(BgL_arg1790z00_7855==BgL_classz00_7830); }  else 
{ /* Llib/ssl.scm 1383 */
BgL_res3386z00_7866 = ((bool_t)0); } } } } 
BgL_test4381z00_14271 = BgL_res3386z00_7866; } }  else 
{ /* Llib/ssl.scm 1383 */
BgL_test4381z00_14271 = ((bool_t)0)
; } } 
if(BgL_test4381z00_14271)
{ /* Llib/ssl.scm 1383 */
BgL_auxz00_14270 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4999)
; }  else 
{ 
 obj_t BgL_auxz00_14293;
BgL_auxz00_14293 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2944z00zz__ssl_sslz00, 
BINT(((long)55708)), BGl_string3329z00zz__ssl_sslz00, BGl_string3325z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4999); 
FAILURE(BgL_auxz00_14293,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_auxz00_14270);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
