/*===========================================================================*/
/*   (Abound/walk.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Abound/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2boxzd2setz121404za2zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2makezd2box1400zb0zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_z62aboundzd2walkz12za2zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2setq1383z62zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2sync1367z62zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2fail1388z62zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2app1369z62zzabound_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2s32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzabound_walkz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_vrefz00_bglt
		BGl_z62zc3z04anonymousza32031ze3ze5zzabound_walkz00(obj_t,
		BgL_nodezf2effectzf2_bglt, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzabound_walkz00(void);
	static obj_t BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_za2stringzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zzabound_walkz00(void);
	static obj_t BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2setzd2exzd2i1396z62zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2conditio1385z62zzabound_walkz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2appzd2ly1371zb0zzabound_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62aboundzd2node1362zb0zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzabound_walkz00(void);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2jumpzd2exzd21398z62zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2vref1377z62zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_aboundzd2funz12zc0zzabound_walkz00(obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2hvectorsza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2extern1375z62zzabound_walkz00(obj_t, obj_t);
	static BgL_vsetz12z12_bglt
		BGl_z62zc3z04anonymousza32047ze3ze5zzabound_walkz00(obj_t,
		BgL_nodezf2effectzf2_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2switch1390z62zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2sequence1365z62zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2letzd2fun1392zb0zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_aboundzd2nodezd2zzabound_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl_z62initzd2cachez12za2zzabound_walkz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_za2u16vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_aboundzd2walkz12zc0zzabound_walkz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzabound_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_za2f64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2vsetz121379z70zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzabound_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzabound_walkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzabound_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzabound_walkz00(void);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2boxzd2ref1402zb0zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_za2u8vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2s16vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2u64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62aboundzd2nodezb0zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_za2stringzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_za2structzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2funcall1373z62zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_za2structzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_za2f32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_nodez00_bglt
		BGl_arrayzd2refzd2zzabound_walkz00(BgL_nodezf2effectzf2_bglt, obj_t, obj_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2letzd2var1394zb0zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_arrayzd2setz12zc0zzabound_walkz00(BgL_nodezf2effectzf2_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_za2u32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2s64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static BgL_appz00_bglt
		BGl_z62zc3z04anonymousza31933ze3ze5zzabound_walkz00(obj_t,
		BgL_nodezf2effectzf2_bglt, obj_t, obj_t);
	static BgL_appz00_bglt
		BGl_z62zc3z04anonymousza31909ze3ze5zzabound_walkz00(obj_t,
		BgL_nodezf2effectzf2_bglt, obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_aboundzd2nodeza2z12z62zzabound_walkz00(obj_t);
	static obj_t BGl_za2s8vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t BGl_z62clearzd2cachez12za2zzabound_walkz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2cast1381z62zzabound_walkz00(obj_t, obj_t);
	static obj_t __cnst[45];


	   
		 
		DEFINE_STRING(BGl_string2207z00zzabound_walkz00,
		BgL_bgl_string2207za700za7za7a2214za7, "string-ref", 10);
	      DEFINE_STRING(BGl_string2208z00zzabound_walkz00,
		BgL_bgl_string2208za700za7za7a2215za7, "string-set!", 11);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_initzd2cachez12zd2envz12zzabound_walkz00,
		BgL_bgl_za762initza7d2cacheza72216za7,
		BGl_z62initzd2cachez12za2zzabound_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2217z00,
		BGl_z62aboundzd2nodezd2setzd2exzd2i1396z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2218z00,
		BGl_z62aboundzd2nodezd2jumpzd2exzd21398z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2219z00,
		BGl_z62aboundzd2nodezd2makezd2box1400zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2220z00,
		BGl_z62aboundzd2nodezd2boxzd2ref1402zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2221z00,
		BGl_z62aboundzd2nodezd2boxzd2setz121404za2zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2211z00zzabound_walkz00,
		BgL_bgl_string2211za700za7za7a2222za7, "abound_walk", 11);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2205z00zzabound_walkz00,
		BgL_bgl_za762za7c3za704anonymo2223za7,
		BGl_z62zc3z04anonymousza32047ze3ze5zzabound_walkz00);
	      DEFINE_STRING(BGl_string2212z00zzabound_walkz00,
		BgL_bgl_string2212za700za7za7a2224za7,
		"$string-bound-check? $string-length s let if failure @ index-out-of-bounds-error __error $vector-bound-check? $tvector-length $hvector-length $vector-length location l i v $f64vector-set! $f32vector-set! $u64vector-set! $s64vector-set! $u32vector-set! $s32vector-set! $u16vector-set! $s16vector-set! $u8vector-set! $s8vector-set! $f64vector-ref $f32vector-ref $u64vector-ref $s64vector-ref $u32vector-ref $s32vector-ref $u16vector-ref $s16vector-ref $u8vector-ref $s8vector-ref $struct-set! $struct-ref $string-set! $string-ref foreign (clear-cache!) pass-started (init-cache!) ",
		578);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2206z00zzabound_walkz00,
		BgL_bgl_za762za7c3za704anonymo2225za7,
		BGl_z62zc3z04anonymousza32031ze3ze5zzabound_walkz00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2209z00zzabound_walkz00,
		BgL_bgl_za762za7c3za704anonymo2226za7,
		BGl_z62zc3z04anonymousza31909ze3ze5zzabound_walkz00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2210z00zzabound_walkz00,
		BgL_bgl_za762za7c3za704anonymo2227za7,
		BGl_z62zc3z04anonymousza31933ze3ze5zzabound_walkz00);
	      DEFINE_STRING(BGl_string2172z00zzabound_walkz00,
		BgL_bgl_string2172za700za7za7a2228za7, "Abound", 6);
	      DEFINE_STRING(BGl_string2173z00zzabound_walkz00,
		BgL_bgl_string2173za700za7za7a2229za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2174z00zzabound_walkz00,
		BgL_bgl_string2174za700za7za7a2230za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2175z00zzabound_walkz00,
		BgL_bgl_string2175za700za7za7a2231za7, " error", 6);
	      DEFINE_STRING(BGl_string2176z00zzabound_walkz00,
		BgL_bgl_string2176za700za7za7a2232za7, "s", 1);
	      DEFINE_STRING(BGl_string2177z00zzabound_walkz00,
		BgL_bgl_string2177za700za7za7a2233za7, "", 0);
	      DEFINE_STRING(BGl_string2178z00zzabound_walkz00,
		BgL_bgl_string2178za700za7za7a2234za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2179z00zzabound_walkz00,
		BgL_bgl_string2179za700za7za7a2235za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2180z00zzabound_walkz00,
		BgL_bgl_string2180za700za7za7a2236za7, "-ref", 4);
	      DEFINE_STRING(BGl_string2181z00zzabound_walkz00,
		BgL_bgl_string2181za700za7za7a2237za7, "-set!", 5);
	      DEFINE_STRING(BGl_string2183z00zzabound_walkz00,
		BgL_bgl_string2183za700za7za7a2238za7, "abound-node1362", 15);
	      DEFINE_STRING(BGl_string2185z00zzabound_walkz00,
		BgL_bgl_string2185za700za7za7a2239za7, "abound-node", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2240z00,
		BGl_z62aboundzd2node1362zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2241z00,
		BGl_z62aboundzd2nodezd2sequence1365z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2242z00,
		BGl_z62aboundzd2nodezd2sync1367z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2243z00,
		BGl_z62aboundzd2nodezd2app1369z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2244z00,
		BGl_z62aboundzd2nodezd2appzd2ly1371zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2245z00,
		BGl_z62aboundzd2nodezd2funcall1373z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2246z00,
		BGl_z62aboundzd2nodezd2extern1375z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2247z00,
		BGl_z62aboundzd2nodezd2vref1377z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2248z00,
		BGl_z62aboundzd2nodezd2vsetz121379z70zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2249z00,
		BGl_z62aboundzd2nodezd2cast1381z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2250z00,
		BGl_z62aboundzd2nodezd2setq1383z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2251z00,
		BGl_z62aboundzd2nodezd2conditio1385z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2252z00,
		BGl_z62aboundzd2nodezd2fail1388z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2253z00,
		BGl_z62aboundzd2nodezd2switch1390z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2254z00,
		BGl_z62aboundzd2nodezd2letzd2fun1392zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2255z00,
		BGl_z62aboundzd2nodezd2letzd2var1394zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_aboundzd2walkz12zd2envz12zzabound_walkz00,
		BgL_bgl_za762aboundza7d2walk2256z00,
		BGl_z62aboundzd2walkz12za2zzabound_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_clearzd2cachez12zd2envz12zzabound_walkz00,
		BgL_bgl_za762clearza7d2cache2257z00,
		BGl_z62clearzd2cachez12za2zzabound_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2258z00,
		BGl_z62aboundzd2nodezb0zzabound_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s32vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2stringzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u16vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2f64vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u8vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s16vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u64vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2stringzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2structzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2structzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2f32vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u32vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s64vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s8vectorzd2refza2zd2zzabound_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzabound_walkz00(long
		BgL_checksumz00_2908, char *BgL_fromz00_2909)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzabound_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzabound_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzabound_walkz00();
					BGl_libraryzd2moduleszd2initz00zzabound_walkz00();
					BGl_cnstzd2initzd2zzabound_walkz00();
					BGl_importedzd2moduleszd2initz00zzabound_walkz00();
					BGl_genericzd2initzd2zzabound_walkz00();
					BGl_methodzd2initzd2zzabound_walkz00();
					return BGl_toplevelzd2initzd2zzabound_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "abound_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "abound_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			{	/* Abound/walk.scm 15 */
				obj_t BgL_cportz00_2651;

				{	/* Abound/walk.scm 15 */
					obj_t BgL_stringz00_2658;

					BgL_stringz00_2658 = BGl_string2212z00zzabound_walkz00;
					{	/* Abound/walk.scm 15 */
						obj_t BgL_startz00_2659;

						BgL_startz00_2659 = BINT(((long) 0));
						{	/* Abound/walk.scm 15 */
							obj_t BgL_endz00_2660;

							BgL_endz00_2660 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2658)));
							{	/* Abound/walk.scm 15 */

								BgL_cportz00_2651 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2658, BgL_startz00_2659, BgL_endz00_2660);
				}}}}
				{
					long BgL_iz00_2652;

					BgL_iz00_2652 = ((long) 44);
				BgL_loopz00_2653:
					if ((BgL_iz00_2652 == ((long) -1)))
						{	/* Abound/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Abound/walk.scm 15 */
							{	/* Abound/walk.scm 15 */
								obj_t BgL_arg2213z00_2654;

								{	/* Abound/walk.scm 15 */

									{	/* Abound/walk.scm 15 */
										obj_t BgL_locationz00_2656;

										BgL_locationz00_2656 = BBOOL(((bool_t) 0));
										{	/* Abound/walk.scm 15 */

											BgL_arg2213z00_2654 =
												BGl_readz00zz__readerz00(BgL_cportz00_2651,
												BgL_locationz00_2656);
										}
									}
								}
								{	/* Abound/walk.scm 15 */
									int BgL_tmpz00_2943;

									BgL_tmpz00_2943 = (int) (BgL_iz00_2652);
									CNST_TABLE_SET(BgL_tmpz00_2943, BgL_arg2213z00_2654);
							}}
							{	/* Abound/walk.scm 15 */
								int BgL_auxz00_2657;

								BgL_auxz00_2657 = (int) ((BgL_iz00_2652 - ((long) 1)));
								{
									long BgL_iz00_2948;

									BgL_iz00_2948 = (long) (BgL_auxz00_2657);
									BgL_iz00_2652 = BgL_iz00_2948;
									goto BgL_loopz00_2653;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			BGl_za2stringzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2stringzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2structzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2structzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2s8vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2u8vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2s16vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2u16vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2s32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2u32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2s64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2u64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2f32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2f64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* abound-walk! */
	BGL_EXPORTED_DEF obj_t BGl_aboundzd2walkz12zc0zzabound_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Abound/walk.scm 39 */
			{	/* Abound/walk.scm 40 */
				obj_t BgL_list1468z00_1506;

				{	/* Abound/walk.scm 40 */
					obj_t BgL_arg1482z00_1507;

					{	/* Abound/walk.scm 40 */
						obj_t BgL_arg1484z00_1508;

						BgL_arg1484z00_1508 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1482z00_1507 =
							MAKE_YOUNG_PAIR(BGl_string2172z00zzabound_walkz00,
							BgL_arg1484z00_1508);
					}
					BgL_list1468z00_1506 =
						MAKE_YOUNG_PAIR(BGl_string2173z00zzabound_walkz00,
						BgL_arg1482z00_1507);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1468z00_1506);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2172z00zzabound_walkz00;
			{	/* Abound/walk.scm 40 */
				obj_t BgL_g1107z00_1509;
				obj_t BgL_g1108z00_1510;

				{	/* Abound/walk.scm 40 */
					obj_t BgL_list1512z00_1523;

					BgL_list1512z00_1523 =
						MAKE_YOUNG_PAIR(BGl_initzd2cachez12zd2envz12zzabound_walkz00, BNIL);
					BgL_g1107z00_1509 = BgL_list1512z00_1523;
				}
				BgL_g1108z00_1510 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1512;
					obj_t BgL_hnamesz00_1513;

					BgL_hooksz00_1512 = BgL_g1107z00_1509;
					BgL_hnamesz00_1513 = BgL_g1108z00_1510;
				BgL_zc3z04anonymousza31485ze3z87_1514:
					if (NULLP(BgL_hooksz00_1512))
						{	/* Abound/walk.scm 40 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Abound/walk.scm 40 */
							bool_t BgL_test2262z00_2963;

							{	/* Abound/walk.scm 40 */
								obj_t BgL_fun1511z00_1521;

								BgL_fun1511z00_1521 = CAR(((obj_t) BgL_hooksz00_1512));
								BgL_test2262z00_2963 =
									CBOOL(
									((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun1511z00_1521)) (BgL_fun1511z00_1521,
										BEOA));
							}
							if (BgL_test2262z00_2963)
								{	/* Abound/walk.scm 40 */
									obj_t BgL_arg1496z00_1518;
									obj_t BgL_arg1506z00_1519;

									BgL_arg1496z00_1518 = CDR(((obj_t) BgL_hooksz00_1512));
									BgL_arg1506z00_1519 = CDR(((obj_t) BgL_hnamesz00_1513));
									{
										obj_t BgL_hnamesz00_2975;
										obj_t BgL_hooksz00_2974;

										BgL_hooksz00_2974 = BgL_arg1496z00_1518;
										BgL_hnamesz00_2975 = BgL_arg1506z00_1519;
										BgL_hnamesz00_1513 = BgL_hnamesz00_2975;
										BgL_hooksz00_1512 = BgL_hooksz00_2974;
										goto BgL_zc3z04anonymousza31485ze3z87_1514;
									}
								}
							else
								{	/* Abound/walk.scm 40 */
									obj_t BgL_arg1510z00_1520;

									BgL_arg1510z00_1520 = CAR(((obj_t) BgL_hnamesz00_1513));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2172z00zzabound_walkz00,
										BGl_string2174z00zzabound_walkz00, BgL_arg1510z00_1520);
								}
						}
				}
			}
			{
				obj_t BgL_l1350z00_1525;

				BgL_l1350z00_1525 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31513ze3z87_1526:
				if (PAIRP(BgL_l1350z00_1525))
					{	/* Abound/walk.scm 41 */
						BGl_aboundzd2funz12zc0zzabound_walkz00(CAR(BgL_l1350z00_1525));
						{
							obj_t BgL_l1350z00_2983;

							BgL_l1350z00_2983 = CDR(BgL_l1350z00_1525);
							BgL_l1350z00_1525 = BgL_l1350z00_2983;
							goto BgL_zc3z04anonymousza31513ze3z87_1526;
						}
					}
				else
					{	/* Abound/walk.scm 41 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Abound/walk.scm 42 */
					{	/* Abound/walk.scm 42 */
						obj_t BgL_port1352z00_1533;

						{	/* Abound/walk.scm 42 */
							obj_t BgL_tmpz00_2988;

							BgL_tmpz00_2988 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1352z00_1533 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2988);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1352z00_1533);
						bgl_display_string(BGl_string2175z00zzabound_walkz00,
							BgL_port1352z00_1533);
						{	/* Abound/walk.scm 42 */
							obj_t BgL_arg1524z00_1534;

							{	/* Abound/walk.scm 42 */
								bool_t BgL_test2265z00_2993;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Abound/walk.scm 42 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Abound/walk.scm 42 */
												BgL_test2265z00_2993 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Abound/walk.scm 42 */
												BgL_test2265z00_2993 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Abound/walk.scm 42 */
										BgL_test2265z00_2993 = ((bool_t) 0);
									}
								if (BgL_test2265z00_2993)
									{	/* Abound/walk.scm 42 */
										BgL_arg1524z00_1534 = BGl_string2176z00zzabound_walkz00;
									}
								else
									{	/* Abound/walk.scm 42 */
										BgL_arg1524z00_1534 = BGl_string2177z00zzabound_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1524z00_1534, BgL_port1352z00_1533);
						}
						bgl_display_string(BGl_string2178z00zzabound_walkz00,
							BgL_port1352z00_1533);
						bgl_display_char(((unsigned char) 10), BgL_port1352z00_1533);
					}
					{	/* Abound/walk.scm 42 */
						obj_t BgL_list1527z00_1538;

						BgL_list1527z00_1538 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1527z00_1538);
					}
				}
			else
				{	/* Abound/walk.scm 42 */
					obj_t BgL_g1109z00_1539;
					obj_t BgL_g1110z00_1540;

					{	/* Abound/walk.scm 42 */
						obj_t BgL_list1560z00_1553;

						BgL_list1560z00_1553 =
							MAKE_YOUNG_PAIR(BGl_clearzd2cachez12zd2envz12zzabound_walkz00,
							BNIL);
						BgL_g1109z00_1539 = BgL_list1560z00_1553;
					}
					BgL_g1110z00_1540 = CNST_TABLE_REF(((long) 2));
					{
						obj_t BgL_hooksz00_1542;
						obj_t BgL_hnamesz00_1543;

						BgL_hooksz00_1542 = BgL_g1109z00_1539;
						BgL_hnamesz00_1543 = BgL_g1110z00_1540;
					BgL_zc3z04anonymousza31528ze3z87_1544:
						if (NULLP(BgL_hooksz00_1542))
							{	/* Abound/walk.scm 42 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Abound/walk.scm 42 */
								bool_t BgL_test2269z00_3012;

								{	/* Abound/walk.scm 42 */
									obj_t BgL_fun1559z00_1551;

									BgL_fun1559z00_1551 = CAR(((obj_t) BgL_hooksz00_1542));
									BgL_test2269z00_3012 =
										CBOOL(
										((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun1559z00_1551))
										(BgL_fun1559z00_1551, BEOA));
								}
								if (BgL_test2269z00_3012)
									{	/* Abound/walk.scm 42 */
										obj_t BgL_arg1532z00_1548;
										obj_t BgL_arg1535z00_1549;

										BgL_arg1532z00_1548 = CDR(((obj_t) BgL_hooksz00_1542));
										BgL_arg1535z00_1549 = CDR(((obj_t) BgL_hnamesz00_1543));
										{
											obj_t BgL_hnamesz00_3024;
											obj_t BgL_hooksz00_3023;

											BgL_hooksz00_3023 = BgL_arg1532z00_1548;
											BgL_hnamesz00_3024 = BgL_arg1535z00_1549;
											BgL_hnamesz00_1543 = BgL_hnamesz00_3024;
											BgL_hooksz00_1542 = BgL_hooksz00_3023;
											goto BgL_zc3z04anonymousza31528ze3z87_1544;
										}
									}
								else
									{	/* Abound/walk.scm 42 */
										obj_t BgL_arg1558z00_1550;

										BgL_arg1558z00_1550 = CAR(((obj_t) BgL_hnamesz00_1543));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2179z00zzabound_walkz00, BgL_arg1558z00_1550);
									}
							}
					}
				}
		}

	}



/* &abound-walk! */
	obj_t BGl_z62aboundzd2walkz12za2zzabound_walkz00(obj_t BgL_envz00_2561,
		obj_t BgL_globalsz00_2562)
	{
		{	/* Abound/walk.scm 39 */
			return BGl_aboundzd2walkz12zc0zzabound_walkz00(BgL_globalsz00_2562);
		}

	}



/* &init-cache! */
	obj_t BGl_z62initzd2cachez12za2zzabound_walkz00(obj_t BgL_envz00_2563)
	{
		{	/* Abound/walk.scm 75 */
			{	/* Abound/walk.scm 76 */
				obj_t BgL_list1561z00_2662;

				BgL_list1561z00_2662 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2stringzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 4)),
					BgL_list1561z00_2662);
			}
			{	/* Abound/walk.scm 77 */
				obj_t BgL_list1562z00_2663;

				BgL_list1562z00_2663 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2stringzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
					BgL_list1562z00_2663);
			}
			{	/* Abound/walk.scm 78 */
				obj_t BgL_list1563z00_2664;

				BgL_list1563z00_2664 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2structzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
					BgL_list1563z00_2664);
			}
			{	/* Abound/walk.scm 79 */
				obj_t BgL_list1564z00_2665;

				BgL_list1564z00_2665 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2structzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 7)),
					BgL_list1564z00_2665);
			}
			{	/* Abound/walk.scm 80 */
				obj_t BgL_list1565z00_2666;

				BgL_list1565z00_2666 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s8vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 8)),
					BgL_list1565z00_2666);
			}
			{	/* Abound/walk.scm 81 */
				obj_t BgL_list1566z00_2667;

				BgL_list1566z00_2667 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u8vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 9)),
					BgL_list1566z00_2667);
			}
			{	/* Abound/walk.scm 82 */
				obj_t BgL_list1567z00_2668;

				BgL_list1567z00_2668 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s16vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 10)),
					BgL_list1567z00_2668);
			}
			{	/* Abound/walk.scm 83 */
				obj_t BgL_list1568z00_2669;

				BgL_list1568z00_2669 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u16vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 11)),
					BgL_list1568z00_2669);
			}
			{	/* Abound/walk.scm 84 */
				obj_t BgL_list1569z00_2670;

				BgL_list1569z00_2670 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s32vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 12)),
					BgL_list1569z00_2670);
			}
			{	/* Abound/walk.scm 85 */
				obj_t BgL_list1570z00_2671;

				BgL_list1570z00_2671 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u32vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 13)),
					BgL_list1570z00_2671);
			}
			{	/* Abound/walk.scm 86 */
				obj_t BgL_list1571z00_2672;

				BgL_list1571z00_2672 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s64vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 14)),
					BgL_list1571z00_2672);
			}
			{	/* Abound/walk.scm 87 */
				obj_t BgL_list1572z00_2673;

				BgL_list1572z00_2673 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u64vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 15)),
					BgL_list1572z00_2673);
			}
			{	/* Abound/walk.scm 88 */
				obj_t BgL_list1573z00_2674;

				BgL_list1573z00_2674 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2f32vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 16)),
					BgL_list1573z00_2674);
			}
			{	/* Abound/walk.scm 89 */
				obj_t BgL_list1574z00_2675;

				BgL_list1574z00_2675 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2f64vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 17)),
					BgL_list1574z00_2675);
			}
			{	/* Abound/walk.scm 90 */
				obj_t BgL_list1575z00_2676;

				BgL_list1575z00_2676 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 18)),
					BgL_list1575z00_2676);
			}
			{	/* Abound/walk.scm 91 */
				obj_t BgL_list1576z00_2677;

				BgL_list1576z00_2677 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 19)),
					BgL_list1576z00_2677);
			}
			{	/* Abound/walk.scm 92 */
				obj_t BgL_list1577z00_2678;

				BgL_list1577z00_2678 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 20)),
					BgL_list1577z00_2678);
			}
			{	/* Abound/walk.scm 93 */
				obj_t BgL_list1578z00_2679;

				BgL_list1578z00_2679 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 21)),
					BgL_list1578z00_2679);
			}
			{	/* Abound/walk.scm 94 */
				obj_t BgL_list1579z00_2680;

				BgL_list1579z00_2680 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 22)),
					BgL_list1579z00_2680);
			}
			{	/* Abound/walk.scm 95 */
				obj_t BgL_list1580z00_2681;

				BgL_list1580z00_2681 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 23)),
					BgL_list1580z00_2681);
			}
			{	/* Abound/walk.scm 96 */
				obj_t BgL_list1581z00_2682;

				BgL_list1581z00_2682 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 24)),
					BgL_list1581z00_2682);
			}
			{	/* Abound/walk.scm 97 */
				obj_t BgL_list1582z00_2683;

				BgL_list1582z00_2683 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 25)),
					BgL_list1582z00_2683);
			}
			{	/* Abound/walk.scm 98 */
				obj_t BgL_list1583z00_2684;

				BgL_list1583z00_2684 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 26)),
					BgL_list1583z00_2684);
			}
			{	/* Abound/walk.scm 99 */
				obj_t BgL_list1584z00_2685;

				BgL_list1584z00_2685 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 27)),
					BgL_list1584z00_2685);
			}
			return BUNSPEC;
		}

	}



/* &clear-cache! */
	obj_t BGl_z62clearzd2cachez12za2zzabound_walkz00(obj_t BgL_envz00_2564)
	{
		{	/* Abound/walk.scm 105 */
			return (BGl_za2stringzd2refza2zd2zzabound_walkz00 = BFALSE, BUNSPEC);
		}

	}



/* abound-fun! */
	obj_t BGl_aboundzd2funz12zc0zzabound_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Abound/walk.scm 111 */
			{	/* Abound/walk.scm 112 */
				obj_t BgL_arg1588z00_1578;

				BgL_arg1588z00_1578 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1588z00_1578);
			}
			{	/* Abound/walk.scm 113 */
				BgL_valuez00_bglt BgL_funz00_1579;

				BgL_funz00_1579 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Abound/walk.scm 114 */
					BgL_nodez00_bglt BgL_arg1590z00_1580;

					{	/* Abound/walk.scm 114 */
						obj_t BgL_arg1598z00_1581;

						BgL_arg1598z00_1581 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1579)))->BgL_bodyz00);
						BgL_arg1590z00_1580 =
							BGl_aboundzd2nodezd2zzabound_walkz00(
							((BgL_nodez00_bglt) BgL_arg1598z00_1581));
					}
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1579)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_arg1590z00_1580)), BUNSPEC);
				}
				BGl_leavezd2functionzd2zztools_errorz00();
				return BgL_varz00_18;
			}
		}

	}



/* array-ref */
	BgL_nodez00_bglt BGl_arrayzd2refzd2zzabound_walkz00(BgL_nodezf2effectzf2_bglt
		BgL_nodez00_27, obj_t BgL_vecz00_28, obj_t BgL_offz00_29,
		obj_t BgL_locz00_30, BgL_typez00_bglt BgL_ftypez00_31,
		obj_t BgL_otypez00_32, obj_t BgL_vtypez00_33, obj_t BgL_dupz00_34)
	{
		{	/* Abound/walk.scm 266 */
			{	/* Abound/walk.scm 267 */
				obj_t BgL_vz00_1582;
				obj_t BgL_iz00_1583;
				obj_t BgL_lz00_1584;
				obj_t BgL_lnamez00_1585;
				obj_t BgL_lposz00_1586;

				BgL_vz00_1582 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 28))));
				BgL_iz00_1583 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 29))));
				BgL_lz00_1584 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 30))));
				{	/* Abound/walk.scm 270 */
					bool_t BgL_test2270z00_3147;

					if (STRUCTP(BgL_locz00_30))
						{	/* Abound/walk.scm 270 */
							BgL_test2270z00_3147 =
								(STRUCT_KEY(BgL_locz00_30) == CNST_TABLE_REF(((long) 31)));
						}
					else
						{	/* Abound/walk.scm 270 */
							BgL_test2270z00_3147 = ((bool_t) 0);
						}
					if (BgL_test2270z00_3147)
						{	/* Abound/walk.scm 270 */
							BgL_lnamez00_1585 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_30);
						}
					else
						{	/* Abound/walk.scm 270 */
							BgL_lnamez00_1585 = BFALSE;
						}
				}
				{	/* Abound/walk.scm 271 */
					bool_t BgL_test2272z00_3154;

					if (STRUCTP(BgL_locz00_30))
						{	/* Abound/walk.scm 271 */
							BgL_test2272z00_3154 =
								(STRUCT_KEY(BgL_locz00_30) == CNST_TABLE_REF(((long) 31)));
						}
					else
						{	/* Abound/walk.scm 271 */
							BgL_test2272z00_3154 = ((bool_t) 0);
						}
					if (BgL_test2272z00_3154)
						{	/* Abound/walk.scm 271 */
							BgL_lposz00_1586 = STRUCT_REF(BgL_locz00_30, (int) (((long) 1)));
						}
					else
						{	/* Abound/walk.scm 271 */
							BgL_lposz00_1586 = BFALSE;
						}
				}
				{	/* Abound/walk.scm 273 */
					obj_t BgL_arg1599z00_1587;

					{	/* Abound/walk.scm 273 */
						obj_t BgL_arg1600z00_1588;

						{	/* Abound/walk.scm 273 */
							obj_t BgL_arg1610z00_1589;
							obj_t BgL_arg1614z00_1590;

							{	/* Abound/walk.scm 273 */
								obj_t BgL_arg1615z00_1591;
								obj_t BgL_arg1616z00_1592;

								{	/* Abound/walk.scm 273 */
									obj_t BgL_arg1625z00_1593;
									obj_t BgL_arg1629z00_1594;

									{	/* Abound/walk.scm 273 */
										obj_t BgL_arg1630z00_1595;

										BgL_arg1630z00_1595 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_vtypez00_33)))->BgL_idz00);
										BgL_arg1625z00_1593 =
											BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_1582,
											BgL_arg1630z00_1595);
									}
									BgL_arg1629z00_1594 = MAKE_YOUNG_PAIR(BgL_vecz00_28, BNIL);
									BgL_arg1615z00_1591 =
										MAKE_YOUNG_PAIR(BgL_arg1625z00_1593, BgL_arg1629z00_1594);
								}
								{	/* Abound/walk.scm 274 */
									obj_t BgL_arg1632z00_1596;

									{	/* Abound/walk.scm 274 */
										obj_t BgL_arg1635z00_1597;
										obj_t BgL_arg1636z00_1598;

										{	/* Abound/walk.scm 274 */
											obj_t BgL_arg1639z00_1599;

											BgL_arg1639z00_1599 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_otypez00_32)))->BgL_idz00);
											BgL_arg1635z00_1597 =
												BGl_makezd2typedzd2identz00zzast_identz00(BgL_iz00_1583,
												BgL_arg1639z00_1599);
										}
										BgL_arg1636z00_1598 = MAKE_YOUNG_PAIR(BgL_offz00_29, BNIL);
										BgL_arg1632z00_1596 =
											MAKE_YOUNG_PAIR(BgL_arg1635z00_1597, BgL_arg1636z00_1598);
									}
									BgL_arg1616z00_1592 =
										MAKE_YOUNG_PAIR(BgL_arg1632z00_1596, BNIL);
								}
								BgL_arg1610z00_1589 =
									MAKE_YOUNG_PAIR(BgL_arg1615z00_1591, BgL_arg1616z00_1592);
							}
							{	/* Abound/walk.scm 275 */
								obj_t BgL_arg1641z00_1600;

								{	/* Abound/walk.scm 275 */
									obj_t BgL_arg1645z00_1601;

									{	/* Abound/walk.scm 275 */
										obj_t BgL_arg1646z00_1602;
										obj_t BgL_arg1648z00_1603;

										{	/* Abound/walk.scm 275 */
											obj_t BgL_arg1651z00_1604;

											{	/* Abound/walk.scm 275 */
												obj_t BgL_arg1652z00_1605;
												obj_t BgL_arg1653z00_1606;

												{	/* Abound/walk.scm 275 */
													obj_t BgL_arg1661z00_1607;

													BgL_arg1661z00_1607 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_otypez00_32)))->
														BgL_idz00);
													BgL_arg1652z00_1605 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_lz00_1584, BgL_arg1661z00_1607);
												}
												{	/* Abound/walk.scm 277 */
													obj_t BgL_arg1662z00_1608;

													if (
														(BgL_vtypez00_33 ==
															BGl_za2vectorza2z00zztype_cachez00))
														{	/* Abound/walk.scm 278 */
															obj_t BgL_arg1663z00_1609;

															BgL_arg1663z00_1609 =
																MAKE_YOUNG_PAIR(BgL_vz00_1582, BNIL);
															BgL_arg1662z00_1608 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 32)),
																BgL_arg1663z00_1609);
														}
													else
														{	/* Abound/walk.scm 277 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_vtypez00_33,
																		BGl_za2hvectorsza2z00zztype_cachez00)))
																{	/* Abound/walk.scm 280 */
																	obj_t BgL_arg1672z00_1611;

																	BgL_arg1672z00_1611 =
																		MAKE_YOUNG_PAIR(BgL_vz00_1582, BNIL);
																	BgL_arg1662z00_1608 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 33)),
																		BgL_arg1672z00_1611);
																}
															else
																{	/* Abound/walk.scm 282 */
																	obj_t BgL_arg1673z00_1612;

																	BgL_arg1673z00_1612 =
																		MAKE_YOUNG_PAIR(BgL_vz00_1582, BNIL);
																	BgL_arg1662z00_1608 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 34)),
																		BgL_arg1673z00_1612);
														}}
													BgL_arg1653z00_1606 =
														MAKE_YOUNG_PAIR(BgL_arg1662z00_1608, BNIL);
												}
												BgL_arg1651z00_1604 =
													MAKE_YOUNG_PAIR(BgL_arg1652z00_1605,
													BgL_arg1653z00_1606);
											}
											BgL_arg1646z00_1602 =
												MAKE_YOUNG_PAIR(BgL_arg1651z00_1604, BNIL);
										}
										{	/* Abound/walk.scm 283 */
											obj_t BgL_arg1674z00_1613;

											{	/* Abound/walk.scm 283 */
												obj_t BgL_arg1677z00_1614;

												{	/* Abound/walk.scm 283 */
													obj_t BgL_arg1680z00_1615;
													obj_t BgL_arg1682z00_1616;

													{	/* Abound/walk.scm 283 */
														obj_t BgL_arg1683z00_1617;

														{	/* Abound/walk.scm 283 */
															obj_t BgL_arg1687z00_1618;

															BgL_arg1687z00_1618 =
																MAKE_YOUNG_PAIR(BgL_lz00_1584, BNIL);
															BgL_arg1683z00_1617 =
																MAKE_YOUNG_PAIR(BgL_iz00_1583,
																BgL_arg1687z00_1618);
														}
														BgL_arg1680z00_1615 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 35)),
															BgL_arg1683z00_1617);
													}
													{	/* Abound/walk.scm 284 */
														BgL_nodezf2effectzf2_bglt BgL_arg1692z00_1619;
														obj_t BgL_arg1696z00_1620;

														BgL_arg1692z00_1619 =
															((BgL_nodezf2effectzf2_bglt(*)())PROCEDURE_L_ENTRY
															(BgL_dupz00_34)) (BgL_dupz00_34, BgL_nodez00_27,
															BgL_vz00_1582, BgL_iz00_1583);
														{	/* Abound/walk.scm 286 */
															obj_t BgL_arg1697z00_1621;

															{	/* Abound/walk.scm 286 */
																obj_t BgL_arg1698z00_1622;

																{	/* Abound/walk.scm 286 */
																	obj_t BgL_arg1705z00_1623;
																	obj_t BgL_arg1711z00_1624;

																	{	/* Abound/walk.scm 286 */
																		obj_t BgL_arg1712z00_1625;
																		obj_t BgL_arg1720z00_1626;

																		{	/* Abound/walk.scm 286 */
																			obj_t BgL_arg1721z00_1627;

																			{	/* Abound/walk.scm 286 */
																				obj_t BgL_arg1723z00_1628;

																				BgL_arg1723z00_1628 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							36)), BNIL);
																				BgL_arg1721z00_1627 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							37)), BgL_arg1723z00_1628);
																			}
																			BgL_arg1712z00_1625 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						38)), BgL_arg1721z00_1627);
																		}
																		{	/* Abound/walk.scm 289 */
																			obj_t BgL_arg1728z00_1629;

																			{	/* Abound/walk.scm 289 */
																				obj_t BgL_arg1730z00_1630;

																				{	/* Abound/walk.scm 289 */
																					obj_t BgL_arg1731z00_1631;
																					obj_t BgL_arg1734z00_1632;

																					{	/* Abound/walk.scm 289 */
																						obj_t BgL_arg1736z00_1633;

																						{	/* Abound/walk.scm 289 */
																							obj_t BgL_arg1738z00_1634;

																							BgL_arg1738z00_1634 =
																								(((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											BgL_vtypez00_33)))->
																								BgL_idz00);
																							BgL_arg1736z00_1633 =
																								SYMBOL_TO_STRING
																								(BgL_arg1738z00_1634);
																						}
																						BgL_arg1731z00_1631 =
																							string_append(BgL_arg1736z00_1633,
																							BGl_string2180z00zzabound_walkz00);
																					}
																					{	/* Abound/walk.scm 286 */
																						obj_t BgL_arg1741z00_1635;

																						{	/* Abound/walk.scm 286 */
																							obj_t BgL_arg1745z00_1636;

																							BgL_arg1745z00_1636 =
																								MAKE_YOUNG_PAIR(BgL_iz00_1583,
																								BNIL);
																							BgL_arg1741z00_1635 =
																								MAKE_YOUNG_PAIR(BgL_lz00_1584,
																								BgL_arg1745z00_1636);
																						}
																						BgL_arg1734z00_1632 =
																							MAKE_YOUNG_PAIR(BgL_vz00_1582,
																							BgL_arg1741z00_1635);
																					}
																					BgL_arg1730z00_1630 =
																						MAKE_YOUNG_PAIR(BgL_arg1731z00_1631,
																						BgL_arg1734z00_1632);
																				}
																				BgL_arg1728z00_1629 =
																					MAKE_YOUNG_PAIR(BgL_lposz00_1586,
																					BgL_arg1730z00_1630);
																			}
																			BgL_arg1720z00_1626 =
																				MAKE_YOUNG_PAIR(BgL_lnamez00_1585,
																				BgL_arg1728z00_1629);
																		}
																		BgL_arg1705z00_1623 =
																			MAKE_YOUNG_PAIR(BgL_arg1712z00_1625,
																			BgL_arg1720z00_1626);
																	}
																	{	/* Abound/walk.scm 285 */
																		obj_t BgL_arg1746z00_1637;

																		BgL_arg1746z00_1637 =
																			MAKE_YOUNG_PAIR(BFALSE, BNIL);
																		BgL_arg1711z00_1624 =
																			MAKE_YOUNG_PAIR(BFALSE,
																			BgL_arg1746z00_1637);
																	}
																	BgL_arg1698z00_1622 =
																		MAKE_YOUNG_PAIR(BgL_arg1705z00_1623,
																		BgL_arg1711z00_1624);
																}
																BgL_arg1697z00_1621 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 39)),
																	BgL_arg1698z00_1622);
															}
															BgL_arg1696z00_1620 =
																MAKE_YOUNG_PAIR(BgL_arg1697z00_1621, BNIL);
														}
														BgL_arg1682z00_1616 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1692z00_1619),
															BgL_arg1696z00_1620);
													}
													BgL_arg1677z00_1614 =
														MAKE_YOUNG_PAIR(BgL_arg1680z00_1615,
														BgL_arg1682z00_1616);
												}
												BgL_arg1674z00_1613 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 40)),
													BgL_arg1677z00_1614);
											}
											BgL_arg1648z00_1603 =
												MAKE_YOUNG_PAIR(BgL_arg1674z00_1613, BNIL);
										}
										BgL_arg1645z00_1601 =
											MAKE_YOUNG_PAIR(BgL_arg1646z00_1602, BgL_arg1648z00_1603);
									}
									BgL_arg1641z00_1600 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 41)),
										BgL_arg1645z00_1601);
								}
								BgL_arg1614z00_1590 =
									MAKE_YOUNG_PAIR(BgL_arg1641z00_1600, BNIL);
							}
							BgL_arg1600z00_1588 =
								MAKE_YOUNG_PAIR(BgL_arg1610z00_1589, BgL_arg1614z00_1590);
						}
						BgL_arg1599z00_1587 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 41)), BgL_arg1600z00_1588);
					}
					return
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
						(BgL_arg1599z00_1587, BgL_locz00_30);
				}
			}
		}

	}



/* array-set! */
	BgL_nodez00_bglt
		BGl_arrayzd2setz12zc0zzabound_walkz00(BgL_nodezf2effectzf2_bglt
		BgL_nodez00_36, obj_t BgL_vecz00_37, obj_t BgL_offz00_38,
		obj_t BgL_locz00_39, obj_t BgL_ftypez00_40, obj_t BgL_otypez00_41,
		obj_t BgL_vtypez00_42, obj_t BgL_dupz00_43)
	{
		{	/* Abound/walk.scm 318 */
			{	/* Abound/walk.scm 319 */
				obj_t BgL_vz00_1643;
				obj_t BgL_iz00_1644;
				obj_t BgL_lz00_1645;
				obj_t BgL_lnamez00_1646;
				obj_t BgL_lposz00_1647;

				BgL_vz00_1643 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 28))));
				BgL_iz00_1644 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 29))));
				BgL_lz00_1645 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 30))));
				{	/* Abound/walk.scm 322 */
					bool_t BgL_test2276z00_3250;

					if (STRUCTP(BgL_locz00_39))
						{	/* Abound/walk.scm 322 */
							BgL_test2276z00_3250 =
								(STRUCT_KEY(BgL_locz00_39) == CNST_TABLE_REF(((long) 31)));
						}
					else
						{	/* Abound/walk.scm 322 */
							BgL_test2276z00_3250 = ((bool_t) 0);
						}
					if (BgL_test2276z00_3250)
						{	/* Abound/walk.scm 322 */
							BgL_lnamez00_1646 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_39);
						}
					else
						{	/* Abound/walk.scm 322 */
							BgL_lnamez00_1646 = BFALSE;
						}
				}
				{	/* Abound/walk.scm 323 */
					bool_t BgL_test2278z00_3257;

					if (STRUCTP(BgL_locz00_39))
						{	/* Abound/walk.scm 323 */
							BgL_test2278z00_3257 =
								(STRUCT_KEY(BgL_locz00_39) == CNST_TABLE_REF(((long) 31)));
						}
					else
						{	/* Abound/walk.scm 323 */
							BgL_test2278z00_3257 = ((bool_t) 0);
						}
					if (BgL_test2278z00_3257)
						{	/* Abound/walk.scm 323 */
							BgL_lposz00_1647 = STRUCT_REF(BgL_locz00_39, (int) (((long) 1)));
						}
					else
						{	/* Abound/walk.scm 323 */
							BgL_lposz00_1647 = BFALSE;
						}
				}
				{	/* Abound/walk.scm 325 */
					obj_t BgL_arg1755z00_1648;

					{	/* Abound/walk.scm 325 */
						obj_t BgL_arg1756z00_1649;

						{	/* Abound/walk.scm 325 */
							obj_t BgL_arg1757z00_1650;
							obj_t BgL_arg1763z00_1651;

							{	/* Abound/walk.scm 325 */
								obj_t BgL_arg1765z00_1652;
								obj_t BgL_arg1766z00_1653;

								{	/* Abound/walk.scm 325 */
									obj_t BgL_arg1769z00_1654;
									obj_t BgL_arg1770z00_1655;

									{	/* Abound/walk.scm 325 */
										obj_t BgL_arg1771z00_1656;

										BgL_arg1771z00_1656 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_vtypez00_42)))->BgL_idz00);
										BgL_arg1769z00_1654 =
											BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_1643,
											BgL_arg1771z00_1656);
									}
									BgL_arg1770z00_1655 = MAKE_YOUNG_PAIR(BgL_vecz00_37, BNIL);
									BgL_arg1765z00_1652 =
										MAKE_YOUNG_PAIR(BgL_arg1769z00_1654, BgL_arg1770z00_1655);
								}
								{	/* Abound/walk.scm 326 */
									obj_t BgL_arg1777z00_1657;

									{	/* Abound/walk.scm 326 */
										obj_t BgL_arg1778z00_1658;
										obj_t BgL_arg1781z00_1659;

										{	/* Abound/walk.scm 326 */
											obj_t BgL_arg1785z00_1660;

											BgL_arg1785z00_1660 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_otypez00_41)))->BgL_idz00);
											BgL_arg1778z00_1658 =
												BGl_makezd2typedzd2identz00zzast_identz00(BgL_iz00_1644,
												BgL_arg1785z00_1660);
										}
										BgL_arg1781z00_1659 = MAKE_YOUNG_PAIR(BgL_offz00_38, BNIL);
										BgL_arg1777z00_1657 =
											MAKE_YOUNG_PAIR(BgL_arg1778z00_1658, BgL_arg1781z00_1659);
									}
									BgL_arg1766z00_1653 =
										MAKE_YOUNG_PAIR(BgL_arg1777z00_1657, BNIL);
								}
								BgL_arg1757z00_1650 =
									MAKE_YOUNG_PAIR(BgL_arg1765z00_1652, BgL_arg1766z00_1653);
							}
							{	/* Abound/walk.scm 327 */
								obj_t BgL_arg1787z00_1661;

								{	/* Abound/walk.scm 327 */
									obj_t BgL_arg1789z00_1662;

									{	/* Abound/walk.scm 327 */
										obj_t BgL_arg1790z00_1663;
										obj_t BgL_arg1811z00_1664;

										{	/* Abound/walk.scm 327 */
											obj_t BgL_arg1812z00_1665;

											{	/* Abound/walk.scm 327 */
												obj_t BgL_arg1813z00_1666;
												obj_t BgL_arg1817z00_1667;

												{	/* Abound/walk.scm 327 */
													obj_t BgL_arg1819z00_1668;

													BgL_arg1819z00_1668 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_otypez00_41)))->
														BgL_idz00);
													BgL_arg1813z00_1666 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_lz00_1645, BgL_arg1819z00_1668);
												}
												{	/* Abound/walk.scm 329 */
													obj_t BgL_arg1821z00_1669;

													if (
														(BgL_vtypez00_42 ==
															BGl_za2vectorza2z00zztype_cachez00))
														{	/* Abound/walk.scm 330 */
															obj_t BgL_arg1822z00_1670;

															BgL_arg1822z00_1670 =
																MAKE_YOUNG_PAIR(BgL_vz00_1643, BNIL);
															BgL_arg1821z00_1669 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 32)),
																BgL_arg1822z00_1670);
														}
													else
														{	/* Abound/walk.scm 329 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_vtypez00_42,
																		BGl_za2hvectorsza2z00zztype_cachez00)))
																{	/* Abound/walk.scm 332 */
																	obj_t BgL_arg1830z00_1672;

																	BgL_arg1830z00_1672 =
																		MAKE_YOUNG_PAIR(BgL_vz00_1643, BNIL);
																	BgL_arg1821z00_1669 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 33)),
																		BgL_arg1830z00_1672);
																}
															else
																{	/* Abound/walk.scm 334 */
																	obj_t BgL_arg1833z00_1673;

																	BgL_arg1833z00_1673 =
																		MAKE_YOUNG_PAIR(BgL_vz00_1643, BNIL);
																	BgL_arg1821z00_1669 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 34)),
																		BgL_arg1833z00_1673);
														}}
													BgL_arg1817z00_1667 =
														MAKE_YOUNG_PAIR(BgL_arg1821z00_1669, BNIL);
												}
												BgL_arg1812z00_1665 =
													MAKE_YOUNG_PAIR(BgL_arg1813z00_1666,
													BgL_arg1817z00_1667);
											}
											BgL_arg1790z00_1663 =
												MAKE_YOUNG_PAIR(BgL_arg1812z00_1665, BNIL);
										}
										{	/* Abound/walk.scm 335 */
											obj_t BgL_arg1835z00_1674;

											{	/* Abound/walk.scm 335 */
												obj_t BgL_arg1836z00_1675;

												{	/* Abound/walk.scm 335 */
													obj_t BgL_arg1837z00_1676;
													obj_t BgL_arg1840z00_1677;

													{	/* Abound/walk.scm 335 */
														obj_t BgL_arg1844z00_1678;

														{	/* Abound/walk.scm 335 */
															obj_t BgL_arg1845z00_1679;

															BgL_arg1845z00_1679 =
																MAKE_YOUNG_PAIR(BgL_lz00_1645, BNIL);
															BgL_arg1844z00_1678 =
																MAKE_YOUNG_PAIR(BgL_iz00_1644,
																BgL_arg1845z00_1679);
														}
														BgL_arg1837z00_1676 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 35)),
															BgL_arg1844z00_1678);
													}
													{	/* Abound/walk.scm 336 */
														BgL_nodezf2effectzf2_bglt BgL_arg1846z00_1680;
														obj_t BgL_arg1847z00_1681;

														BgL_arg1846z00_1680 =
															((BgL_nodezf2effectzf2_bglt(*)())PROCEDURE_L_ENTRY
															(BgL_dupz00_43)) (BgL_dupz00_43, BgL_nodez00_36,
															BgL_vz00_1643, BgL_iz00_1644);
														{	/* Abound/walk.scm 338 */
															obj_t BgL_arg1848z00_1682;

															{	/* Abound/walk.scm 338 */
																obj_t BgL_arg1849z00_1683;

																{	/* Abound/walk.scm 338 */
																	obj_t BgL_arg1850z00_1684;
																	obj_t BgL_arg1851z00_1685;

																	{	/* Abound/walk.scm 338 */
																		obj_t BgL_arg1854z00_1686;
																		obj_t BgL_arg1856z00_1687;

																		{	/* Abound/walk.scm 338 */
																			obj_t BgL_arg1857z00_1688;

																			{	/* Abound/walk.scm 338 */
																				obj_t BgL_arg1859z00_1689;

																				BgL_arg1859z00_1689 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							36)), BNIL);
																				BgL_arg1857z00_1688 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							37)), BgL_arg1859z00_1689);
																			}
																			BgL_arg1854z00_1686 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						38)), BgL_arg1857z00_1688);
																		}
																		{	/* Abound/walk.scm 341 */
																			obj_t BgL_arg1860z00_1690;

																			{	/* Abound/walk.scm 341 */
																				obj_t BgL_arg1861z00_1691;

																				{	/* Abound/walk.scm 341 */
																					obj_t BgL_arg1862z00_1692;
																					obj_t BgL_arg1864z00_1693;

																					{	/* Abound/walk.scm 341 */
																						obj_t BgL_arg1865z00_1694;

																						{	/* Abound/walk.scm 341 */
																							obj_t BgL_arg1866z00_1695;

																							BgL_arg1866z00_1695 =
																								(((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											BgL_vtypez00_42)))->
																								BgL_idz00);
																							BgL_arg1865z00_1694 =
																								SYMBOL_TO_STRING
																								(BgL_arg1866z00_1695);
																						}
																						BgL_arg1862z00_1692 =
																							string_append(BgL_arg1865z00_1694,
																							BGl_string2181z00zzabound_walkz00);
																					}
																					{	/* Abound/walk.scm 338 */
																						obj_t BgL_arg1867z00_1696;

																						{	/* Abound/walk.scm 338 */
																							obj_t BgL_arg1868z00_1697;

																							BgL_arg1868z00_1697 =
																								MAKE_YOUNG_PAIR(BgL_iz00_1644,
																								BNIL);
																							BgL_arg1867z00_1696 =
																								MAKE_YOUNG_PAIR(BgL_lz00_1645,
																								BgL_arg1868z00_1697);
																						}
																						BgL_arg1864z00_1693 =
																							MAKE_YOUNG_PAIR(BgL_vz00_1643,
																							BgL_arg1867z00_1696);
																					}
																					BgL_arg1861z00_1691 =
																						MAKE_YOUNG_PAIR(BgL_arg1862z00_1692,
																						BgL_arg1864z00_1693);
																				}
																				BgL_arg1860z00_1690 =
																					MAKE_YOUNG_PAIR(BgL_lposz00_1647,
																					BgL_arg1861z00_1691);
																			}
																			BgL_arg1856z00_1687 =
																				MAKE_YOUNG_PAIR(BgL_lnamez00_1646,
																				BgL_arg1860z00_1690);
																		}
																		BgL_arg1850z00_1684 =
																			MAKE_YOUNG_PAIR(BgL_arg1854z00_1686,
																			BgL_arg1856z00_1687);
																	}
																	{	/* Abound/walk.scm 337 */
																		obj_t BgL_arg1870z00_1698;

																		BgL_arg1870z00_1698 =
																			MAKE_YOUNG_PAIR(BFALSE, BNIL);
																		BgL_arg1851z00_1685 =
																			MAKE_YOUNG_PAIR(BFALSE,
																			BgL_arg1870z00_1698);
																	}
																	BgL_arg1849z00_1683 =
																		MAKE_YOUNG_PAIR(BgL_arg1850z00_1684,
																		BgL_arg1851z00_1685);
																}
																BgL_arg1848z00_1682 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 39)),
																	BgL_arg1849z00_1683);
															}
															BgL_arg1847z00_1681 =
																MAKE_YOUNG_PAIR(BgL_arg1848z00_1682, BNIL);
														}
														BgL_arg1840z00_1677 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1846z00_1680),
															BgL_arg1847z00_1681);
													}
													BgL_arg1836z00_1675 =
														MAKE_YOUNG_PAIR(BgL_arg1837z00_1676,
														BgL_arg1840z00_1677);
												}
												BgL_arg1835z00_1674 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 40)),
													BgL_arg1836z00_1675);
											}
											BgL_arg1811z00_1664 =
												MAKE_YOUNG_PAIR(BgL_arg1835z00_1674, BNIL);
										}
										BgL_arg1789z00_1662 =
											MAKE_YOUNG_PAIR(BgL_arg1790z00_1663, BgL_arg1811z00_1664);
									}
									BgL_arg1787z00_1661 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 41)),
										BgL_arg1789z00_1662);
								}
								BgL_arg1763z00_1651 =
									MAKE_YOUNG_PAIR(BgL_arg1787z00_1661, BNIL);
							}
							BgL_arg1756z00_1649 =
								MAKE_YOUNG_PAIR(BgL_arg1757z00_1650, BgL_arg1763z00_1651);
						}
						BgL_arg1755z00_1648 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 41)), BgL_arg1756z00_1649);
					}
					return
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
						(BgL_arg1755z00_1648, BgL_locz00_39);
				}
			}
		}

	}



/* abound-node*! */
	bool_t BGl_aboundzd2nodeza2z12z62zzabound_walkz00(obj_t BgL_nodeza2za2_56)
	{
		{	/* Abound/walk.scm 454 */
		BGl_aboundzd2nodeza2z12z62zzabound_walkz00:
			if (PAIRP(BgL_nodeza2za2_56))
				{	/* Abound/walk.scm 455 */
					{	/* Abound/walk.scm 456 */
						BgL_nodez00_bglt BgL_arg1879z00_1705;

						{	/* Abound/walk.scm 456 */
							obj_t BgL_arg1880z00_1706;

							BgL_arg1880z00_1706 = CAR(BgL_nodeza2za2_56);
							BgL_arg1879z00_1705 =
								BGl_aboundzd2nodezd2zzabound_walkz00(
								((BgL_nodez00_bglt) BgL_arg1880z00_1706));
						}
						{	/* Abound/walk.scm 456 */
							obj_t BgL_tmpz00_3349;

							BgL_tmpz00_3349 = ((obj_t) BgL_arg1879z00_1705);
							SET_CAR(BgL_nodeza2za2_56, BgL_tmpz00_3349);
						}
					}
					{
						obj_t BgL_nodeza2za2_3352;

						BgL_nodeza2za2_3352 = CDR(BgL_nodeza2za2_56);
						BgL_nodeza2za2_56 = BgL_nodeza2za2_3352;
						goto BGl_aboundzd2nodeza2z12z62zzabound_walkz00;
					}
				}
			else
				{	/* Abound/walk.scm 455 */
					return ((bool_t) 0);
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_proc2182z00zzabound_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2183z00zzabound_walkz00);
		}

	}



/* &abound-node1362 */
	obj_t BGl_z62aboundzd2node1362zb0zzabound_walkz00(obj_t BgL_envz00_2566,
		obj_t BgL_nodez00_2567)
	{
		{	/* Abound/walk.scm 121 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2567));
		}

	}



/* abound-node */
	BgL_nodez00_bglt BGl_aboundzd2nodezd2zzabound_walkz00(BgL_nodez00_bglt
		BgL_nodez00_19)
	{
		{	/* Abound/walk.scm 121 */
			{	/* Abound/walk.scm 121 */
				obj_t BgL_method1363z00_1712;

				{	/* Abound/walk.scm 121 */
					obj_t BgL_res2165z00_2411;

					{	/* Abound/walk.scm 121 */
						long BgL_objzd2classzd2numz00_2382;

						BgL_objzd2classzd2numz00_2382 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Abound/walk.scm 121 */
							obj_t BgL_arg1825z00_2383;

							BgL_arg1825z00_2383 =
								PROCEDURE_REF(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
								(int) (((long) 1)));
							{	/* Abound/walk.scm 121 */
								int BgL_offsetz00_2386;

								BgL_offsetz00_2386 = (int) (BgL_objzd2classzd2numz00_2382);
								{	/* Abound/walk.scm 121 */
									long BgL_offsetz00_2387;

									BgL_offsetz00_2387 =
										((long) (BgL_offsetz00_2386) - OBJECT_TYPE);
									{	/* Abound/walk.scm 121 */
										long BgL_modz00_2388;

										BgL_modz00_2388 =
											(BgL_offsetz00_2387 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Abound/walk.scm 121 */
											long BgL_restz00_2390;

											BgL_restz00_2390 =
												(BgL_offsetz00_2387 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Abound/walk.scm 121 */

												{	/* Abound/walk.scm 121 */
													obj_t BgL_bucketz00_2392;

													BgL_bucketz00_2392 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2383), BgL_modz00_2388);
													BgL_res2165z00_2411 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2392), BgL_restz00_2390);
					}}}}}}}}
					BgL_method1363z00_1712 = BgL_res2165z00_2411;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1363z00_1712)) (BgL_method1363z00_1712,
						((obj_t) BgL_nodez00_19), BEOA));
			}
		}

	}



/* &abound-node */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezb0zzabound_walkz00(obj_t
		BgL_envz00_2568, obj_t BgL_nodez00_2569)
	{
		{	/* Abound/walk.scm 121 */
			return
				BGl_aboundzd2nodezd2zzabound_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2569));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2184z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2186z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2187z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2188z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2189z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc2190z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_vrefz00zzast_nodez00,
				BGl_proc2191z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc2192z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc2193z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2194z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2195z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2196z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc2197z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2198z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2199z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2200z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2201z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2202z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2203z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2204z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
		}

	}



/* &abound-node-box-set!1404 */
	BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2boxzd2setz121404za2zzabound_walkz00(obj_t
		BgL_envz00_2594, obj_t BgL_nodez00_2595)
	{
		{	/* Abound/walk.scm 445 */
			{
				BgL_varz00_bglt BgL_auxz00_3410;

				{	/* Abound/walk.scm 447 */
					BgL_varz00_bglt BgL_arg2096z00_2688;

					BgL_arg2096z00_2688 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2595)))->BgL_varz00);
					BgL_auxz00_3410 =
						((BgL_varz00_bglt)
						BGl_aboundzd2nodezd2zzabound_walkz00(
							((BgL_nodez00_bglt) BgL_arg2096z00_2688)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2595)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3410), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3418;

				{	/* Abound/walk.scm 448 */
					BgL_nodez00_bglt BgL_arg2097z00_2689;

					BgL_arg2097z00_2689 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2595)))->BgL_valuez00);
					BgL_auxz00_3418 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2097z00_2689);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2595)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3418), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2595));
		}

	}



/* &abound-node-box-ref1402 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2boxzd2ref1402zb0zzabound_walkz00(obj_t
		BgL_envz00_2596, obj_t BgL_nodez00_2597)
	{
		{	/* Abound/walk.scm 438 */
			{	/* Abound/walk.scm 439 */
				BgL_nodez00_bglt BgL_arg2093z00_2691;

				{	/* Abound/walk.scm 439 */
					BgL_varz00_bglt BgL_arg2094z00_2692;

					BgL_arg2094z00_2692 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2597)))->BgL_varz00);
					BgL_arg2093z00_2691 =
						BGl_aboundzd2nodezd2zzabound_walkz00(
						((BgL_nodez00_bglt) BgL_arg2094z00_2692));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2597)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg2093z00_2691)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2597));
		}

	}



/* &abound-node-make-box1400 */
	BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2makezd2box1400zb0zzabound_walkz00(obj_t
		BgL_envz00_2598, obj_t BgL_nodez00_2599)
	{
		{	/* Abound/walk.scm 431 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2599)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_aboundzd2nodezd2zzabound_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_2599)))->
							BgL_valuez00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2599));
		}

	}



/* &abound-node-jump-ex-1398 */
	BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2jumpzd2exzd21398z62zzabound_walkz00(obj_t
		BgL_envz00_2600, obj_t BgL_nodez00_2601)
	{
		{	/* Abound/walk.scm 422 */
			{
				BgL_nodez00_bglt BgL_auxz00_3442;

				{	/* Abound/walk.scm 424 */
					BgL_nodez00_bglt BgL_arg2088z00_2695;

					BgL_arg2088z00_2695 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2601)))->BgL_exitz00);
					BgL_auxz00_3442 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2088z00_2695);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2601)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3442), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3448;

				{	/* Abound/walk.scm 425 */
					BgL_nodez00_bglt BgL_arg2089z00_2696;

					BgL_arg2089z00_2696 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2601)))->
						BgL_valuez00);
					BgL_auxz00_3448 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2089z00_2696);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2601)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3448), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2601));
		}

	}



/* &abound-node-set-ex-i1396 */
	BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2setzd2exzd2i1396z62zzabound_walkz00(obj_t
		BgL_envz00_2602, obj_t BgL_nodez00_2603)
	{
		{	/* Abound/walk.scm 414 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2603)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_aboundzd2nodezd2zzabound_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2603)))->
							BgL_bodyz00))), BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_2603)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_aboundzd2nodezd2zzabound_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2603)))->
							BgL_onexitz00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_2603));
		}

	}



/* &abound-node-let-var1394 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2letzd2var1394zb0zzabound_walkz00(obj_t
		BgL_envz00_2604, obj_t BgL_nodez00_2605)
	{
		{	/* Abound/walk.scm 403 */
			{	/* Abound/walk.scm 405 */
				obj_t BgL_g1361z00_2699;

				BgL_g1361z00_2699 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2605)))->BgL_bindingsz00);
				{
					obj_t BgL_l1359z00_2701;

					BgL_l1359z00_2701 = BgL_g1361z00_2699;
				BgL_zc3z04anonymousza32078ze3z87_2700:
					if (PAIRP(BgL_l1359z00_2701))
						{	/* Abound/walk.scm 405 */
							{	/* Abound/walk.scm 406 */
								obj_t BgL_bindingz00_2702;

								BgL_bindingz00_2702 = CAR(BgL_l1359z00_2701);
								{	/* Abound/walk.scm 406 */
									BgL_nodez00_bglt BgL_arg2080z00_2703;

									{	/* Abound/walk.scm 406 */
										obj_t BgL_arg2081z00_2704;

										BgL_arg2081z00_2704 = CDR(((obj_t) BgL_bindingz00_2702));
										BgL_arg2080z00_2703 =
											BGl_aboundzd2nodezd2zzabound_walkz00(
											((BgL_nodez00_bglt) BgL_arg2081z00_2704));
									}
									{	/* Abound/walk.scm 406 */
										obj_t BgL_auxz00_3479;
										obj_t BgL_tmpz00_3477;

										BgL_auxz00_3479 = ((obj_t) BgL_arg2080z00_2703);
										BgL_tmpz00_3477 = ((obj_t) BgL_bindingz00_2702);
										SET_CDR(BgL_tmpz00_3477, BgL_auxz00_3479);
									}
								}
							}
							{
								obj_t BgL_l1359z00_3482;

								BgL_l1359z00_3482 = CDR(BgL_l1359z00_2701);
								BgL_l1359z00_2701 = BgL_l1359z00_3482;
								goto BgL_zc3z04anonymousza32078ze3z87_2700;
							}
						}
					else
						{	/* Abound/walk.scm 405 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3484;

				{	/* Abound/walk.scm 408 */
					BgL_nodez00_bglt BgL_arg2083z00_2705;

					BgL_arg2083z00_2705 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2605)))->BgL_bodyz00);
					BgL_auxz00_3484 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2083z00_2705);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2605)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3484), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2605));
		}

	}



/* &abound-node-let-fun1392 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2letzd2fun1392zb0zzabound_walkz00(obj_t
		BgL_envz00_2606, obj_t BgL_nodez00_2607)
	{
		{	/* Abound/walk.scm 394 */
			{	/* Abound/walk.scm 396 */
				obj_t BgL_g1358z00_2707;

				BgL_g1358z00_2707 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2607)))->BgL_localsz00);
				{
					obj_t BgL_l1356z00_2709;

					BgL_l1356z00_2709 = BgL_g1358z00_2707;
				BgL_zc3z04anonymousza32072ze3z87_2708:
					if (PAIRP(BgL_l1356z00_2709))
						{	/* Abound/walk.scm 396 */
							BGl_aboundzd2funz12zc0zzabound_walkz00(CAR(BgL_l1356z00_2709));
							{
								obj_t BgL_l1356z00_3498;

								BgL_l1356z00_3498 = CDR(BgL_l1356z00_2709);
								BgL_l1356z00_2709 = BgL_l1356z00_3498;
								goto BgL_zc3z04anonymousza32072ze3z87_2708;
							}
						}
					else
						{	/* Abound/walk.scm 396 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3500;

				{	/* Abound/walk.scm 397 */
					BgL_nodez00_bglt BgL_arg2077z00_2710;

					BgL_arg2077z00_2710 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2607)))->BgL_bodyz00);
					BgL_auxz00_3500 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2077z00_2710);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2607)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3500), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2607));
		}

	}



/* &abound-node-switch1390 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2switch1390z62zzabound_walkz00(obj_t
		BgL_envz00_2608, obj_t BgL_nodez00_2609)
	{
		{	/* Abound/walk.scm 383 */
			{
				BgL_nodez00_bglt BgL_auxz00_3508;

				{	/* Abound/walk.scm 385 */
					BgL_nodez00_bglt BgL_arg2065z00_2712;

					BgL_arg2065z00_2712 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2609)))->BgL_testz00);
					BgL_auxz00_3508 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2065z00_2712);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2609)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3508), BUNSPEC);
			}
			{	/* Abound/walk.scm 386 */
				obj_t BgL_g1355z00_2713;

				BgL_g1355z00_2713 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2609)))->BgL_clausesz00);
				{
					obj_t BgL_l1353z00_2715;

					BgL_l1353z00_2715 = BgL_g1355z00_2713;
				BgL_zc3z04anonymousza32066ze3z87_2714:
					if (PAIRP(BgL_l1353z00_2715))
						{	/* Abound/walk.scm 386 */
							{	/* Abound/walk.scm 387 */
								obj_t BgL_clausez00_2716;

								BgL_clausez00_2716 = CAR(BgL_l1353z00_2715);
								{	/* Abound/walk.scm 387 */
									BgL_nodez00_bglt BgL_arg2068z00_2717;

									{	/* Abound/walk.scm 387 */
										obj_t BgL_arg2069z00_2718;

										BgL_arg2069z00_2718 = CDR(((obj_t) BgL_clausez00_2716));
										BgL_arg2068z00_2717 =
											BGl_aboundzd2nodezd2zzabound_walkz00(
											((BgL_nodez00_bglt) BgL_arg2069z00_2718));
									}
									{	/* Abound/walk.scm 387 */
										obj_t BgL_auxz00_3525;
										obj_t BgL_tmpz00_3523;

										BgL_auxz00_3525 = ((obj_t) BgL_arg2068z00_2717);
										BgL_tmpz00_3523 = ((obj_t) BgL_clausez00_2716);
										SET_CDR(BgL_tmpz00_3523, BgL_auxz00_3525);
									}
								}
							}
							{
								obj_t BgL_l1353z00_3528;

								BgL_l1353z00_3528 = CDR(BgL_l1353z00_2715);
								BgL_l1353z00_2715 = BgL_l1353z00_3528;
								goto BgL_zc3z04anonymousza32066ze3z87_2714;
							}
						}
					else
						{	/* Abound/walk.scm 386 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2609));
		}

	}



/* &abound-node-fail1388 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2fail1388z62zzabound_walkz00(obj_t
		BgL_envz00_2610, obj_t BgL_nodez00_2611)
	{
		{	/* Abound/walk.scm 373 */
			{
				BgL_nodez00_bglt BgL_auxz00_3532;

				{	/* Abound/walk.scm 375 */
					BgL_nodez00_bglt BgL_arg2061z00_2720;

					BgL_arg2061z00_2720 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2611)))->BgL_procz00);
					BgL_auxz00_3532 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2061z00_2720);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2611)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3532), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3538;

				{	/* Abound/walk.scm 376 */
					BgL_nodez00_bglt BgL_arg2062z00_2721;

					BgL_arg2062z00_2721 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2611)))->BgL_msgz00);
					BgL_auxz00_3538 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2062z00_2721);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2611)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3538), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3544;

				{	/* Abound/walk.scm 377 */
					BgL_nodez00_bglt BgL_arg2063z00_2722;

					BgL_arg2063z00_2722 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2611)))->BgL_objz00);
					BgL_auxz00_3544 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2063z00_2722);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2611)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3544), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2611));
		}

	}



/* &abound-node-conditio1385 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2conditio1385z62zzabound_walkz00(obj_t
		BgL_envz00_2612, obj_t BgL_nodez00_2613)
	{
		{	/* Abound/walk.scm 363 */
			{
				BgL_nodez00_bglt BgL_auxz00_3552;

				{	/* Abound/walk.scm 365 */
					BgL_nodez00_bglt BgL_arg2058z00_2724;

					BgL_arg2058z00_2724 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2613)))->BgL_testz00);
					BgL_auxz00_3552 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2058z00_2724);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2613)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3552), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3558;

				{	/* Abound/walk.scm 366 */
					BgL_nodez00_bglt BgL_arg2059z00_2725;

					BgL_arg2059z00_2725 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2613)))->BgL_truez00);
					BgL_auxz00_3558 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2059z00_2725);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2613)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3558), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3564;

				{	/* Abound/walk.scm 367 */
					BgL_nodez00_bglt BgL_arg2060z00_2726;

					BgL_arg2060z00_2726 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2613)))->BgL_falsez00);
					BgL_auxz00_3564 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2060z00_2726);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2613)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3564), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2613));
		}

	}



/* &abound-node-setq1383 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2setq1383z62zzabound_walkz00(obj_t
		BgL_envz00_2614, obj_t BgL_nodez00_2615)
	{
		{	/* Abound/walk.scm 356 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2615)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_aboundzd2nodezd2zzabound_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_2615)))->
							BgL_valuez00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2615));
		}

	}



/* &abound-node-cast1381 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2cast1381z62zzabound_walkz00(obj_t
		BgL_envz00_2616, obj_t BgL_nodez00_2617)
	{
		{	/* Abound/walk.scm 349 */
			BGl_aboundzd2nodezd2zzabound_walkz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2617)))->BgL_argz00));
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2617));
		}

	}



/* &abound-node-vset!1379 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2vsetz121379z70zzabound_walkz00(obj_t
		BgL_envz00_2618, obj_t BgL_nodez00_2619)
	{
		{	/* Abound/walk.scm 297 */
			{

				{
					BgL_vsetz12z12_bglt BgL_nodez00_2733;

					{	/* Abound/walk.scm 297 */
						obj_t BgL_nextzd2method1378zd2_2731;

						BgL_nextzd2method1378zd2_2731 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_nodez00_2619)),
							BGl_aboundzd2nodezd2envz00zzabound_walkz00,
							BGl_vsetz12z12zzast_nodez00);
						((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1378zd2_2731))
							(BgL_nextzd2method1378zd2_2731,
							((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_2619)), BEOA);
					}
					if (
						(((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2619)))->BgL_unsafez00))
						{	/* Abound/walk.scm 309 */
							return
								((BgL_nodez00_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_2619));
						}
					else
						{	/* Abound/walk.scm 311 */
							BgL_nodez00_bglt BgL_nodez00_2743;

							BgL_nodez00_2733 = ((BgL_vsetz12z12_bglt) BgL_nodez00_2619);
							{	/* Abound/walk.scm 301 */
								obj_t BgL_arg2037z00_2734;
								obj_t BgL_arg2039z00_2735;
								obj_t BgL_arg2040z00_2736;
								BgL_typez00_bglt BgL_arg2041z00_2737;
								BgL_typez00_bglt BgL_arg2042z00_2738;
								BgL_typez00_bglt BgL_arg2043z00_2739;

								{	/* Abound/walk.scm 301 */
									obj_t BgL_pairz00_2740;

									BgL_pairz00_2740 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_2733)))->
										BgL_exprza2za2);
									BgL_arg2037z00_2734 = CAR(BgL_pairz00_2740);
								}
								{	/* Abound/walk.scm 301 */
									obj_t BgL_pairz00_2741;

									BgL_pairz00_2741 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_2733)))->
										BgL_exprza2za2);
									BgL_arg2039z00_2735 = CAR(CDR(BgL_pairz00_2741));
								}
								BgL_arg2040z00_2736 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_nodez00_2733)))->BgL_locz00);
								BgL_arg2041z00_2737 =
									(((BgL_vsetz12z12_bglt) COBJECT(BgL_nodez00_2733))->
									BgL_ftypez00);
								BgL_arg2042z00_2738 =
									(((BgL_vsetz12z12_bglt) COBJECT(BgL_nodez00_2733))->
									BgL_otypez00);
								BgL_arg2043z00_2739 =
									(((BgL_vsetz12z12_bglt) COBJECT(BgL_nodez00_2733))->
									BgL_vtypez00);
								BgL_nodez00_2743 =
									BGl_arrayzd2setz12zc0zzabound_walkz00((
										(BgL_nodezf2effectzf2_bglt) BgL_nodez00_2733),
									BgL_arg2037z00_2734, BgL_arg2039z00_2735, BgL_arg2040z00_2736,
									((obj_t) BgL_arg2041z00_2737), ((obj_t) BgL_arg2042z00_2738),
									((obj_t) BgL_arg2043z00_2739),
									BGl_proc2205z00zzabound_walkz00);
							}
							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_2743);
							return BgL_nodez00_2743;
						}
				}
			}
		}

	}



/* &<@anonymous:2047> */
	BgL_vsetz12z12_bglt BGl_z62zc3z04anonymousza32047ze3ze5zzabound_walkz00(obj_t
		BgL_envz00_2620, BgL_nodezf2effectzf2_bglt BgL_nodez00_2621,
		obj_t BgL_vz00_2622, obj_t BgL_iz00_2623)
	{
		{	/* Abound/walk.scm 302 */
			{	/* Abound/walk.scm 304 */
				BgL_vsetz12z12_bglt BgL_new1159z00_2747;

				{	/* Abound/walk.scm 304 */
					BgL_vsetz12z12_bglt BgL_new1170z00_2748;

					BgL_new1170z00_2748 =
						((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vsetz12z12_bgl))));
					{	/* Abound/walk.scm 304 */
						long BgL_arg2053z00_2749;

						BgL_arg2053z00_2749 = BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1170z00_2748), BgL_arg2053z00_2749);
					}
					{	/* Abound/walk.scm 304 */
						BgL_objectz00_bglt BgL_tmpz00_3621;

						BgL_tmpz00_3621 = ((BgL_objectz00_bglt) BgL_new1170z00_2748);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3621, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1170z00_2748);
					BgL_new1159z00_2747 = BgL_new1170z00_2748;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1159z00_2747)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2621)))->BgL_locz00)), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1159z00_2747)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2621)))->BgL_typez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1159z00_2747)))->BgL_sidezd2effectzd2) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2621))))->BgL_sidezd2effectzd2)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1159z00_2747)))->BgL_keyz00) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2621))))->BgL_keyz00)), BUNSPEC);
				{
					obj_t BgL_auxz00_3643;

					{	/* Abound/walk.scm 305 */
						obj_t BgL_arg2048z00_2750;

						{	/* Abound/walk.scm 305 */
							obj_t BgL_pairz00_2751;

							BgL_pairz00_2751 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vsetz12z12_bglt) BgL_nodez00_2621))))->
								BgL_exprza2za2);
							{	/* Abound/walk.scm 305 */
								obj_t BgL_pairz00_2752;

								{	/* Abound/walk.scm 305 */
									obj_t BgL_pairz00_2753;

									BgL_pairz00_2753 = CDR(BgL_pairz00_2751);
									BgL_pairz00_2752 = CDR(BgL_pairz00_2753);
								}
								BgL_arg2048z00_2750 = CAR(BgL_pairz00_2752);
						}}
						{	/* Abound/walk.scm 305 */
							obj_t BgL_list2049z00_2754;

							{	/* Abound/walk.scm 305 */
								obj_t BgL_arg2050z00_2755;

								{	/* Abound/walk.scm 305 */
									obj_t BgL_arg2051z00_2756;

									BgL_arg2051z00_2756 =
										MAKE_YOUNG_PAIR(BgL_arg2048z00_2750, BNIL);
									BgL_arg2050z00_2755 =
										MAKE_YOUNG_PAIR(BgL_iz00_2623, BgL_arg2051z00_2756);
								}
								BgL_list2049z00_2754 =
									MAKE_YOUNG_PAIR(BgL_vz00_2622, BgL_arg2050z00_2755);
							}
							BgL_auxz00_3643 = BgL_list2049z00_2754;
					}}
					((((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt) BgL_new1159z00_2747)))->
							BgL_exprza2za2) = ((obj_t) BgL_auxz00_3643), BUNSPEC);
				}
				((((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_new1159z00_2747)))->BgL_effectz00) =
					((obj_t) (((BgL_externz00_bglt)
								COBJECT(((BgL_externz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2621))))->BgL_effectz00)), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1159z00_2747)))->BgL_czd2formatzd2) =
					((obj_t) (((BgL_privatez00_bglt)
								COBJECT(((BgL_privatez00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2621))))->BgL_czd2formatzd2)), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1159z00_2747))->BgL_ftypez00) =
					((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
								COBJECT(((BgL_vsetz12z12_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2621))))->BgL_ftypez00)), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1159z00_2747))->BgL_otypez00) =
					((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
								COBJECT(((BgL_vsetz12z12_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2621))))->BgL_otypez00)), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1159z00_2747))->BgL_vtypez00) =
					((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
								COBJECT(((BgL_vsetz12z12_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2621))))->BgL_vtypez00)), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1159z00_2747))->BgL_unsafez00) =
					((bool_t) (((BgL_vsetz12z12_bglt)
								COBJECT(((BgL_vsetz12z12_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2621))))->BgL_unsafez00)), BUNSPEC);
				return BgL_new1159z00_2747;
			}
		}

	}



/* &abound-node-vref1377 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2vref1377z62zzabound_walkz00(obj_t
		BgL_envz00_2624, obj_t BgL_nodez00_2625)
	{
		{	/* Abound/walk.scm 248 */
			{

				{
					BgL_vrefz00_bglt BgL_nodez00_2761;

					{	/* Abound/walk.scm 248 */
						obj_t BgL_nextzd2method1376zd2_2759;

						BgL_nextzd2method1376zd2_2759 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_vrefz00_bglt) BgL_nodez00_2625)),
							BGl_aboundzd2nodezd2envz00zzabound_walkz00,
							BGl_vrefz00zzast_nodez00);
						((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1376zd2_2759))
							(BgL_nextzd2method1376zd2_2759,
							((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_2625)), BEOA);
					}
					if (
						(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2625)))->BgL_unsafez00))
						{	/* Abound/walk.scm 257 */
							return ((BgL_nodez00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_2625));
						}
					else
						{	/* Abound/walk.scm 259 */
							BgL_nodez00_bglt BgL_nodez00_2771;

							BgL_nodez00_2761 = ((BgL_vrefz00_bglt) BgL_nodez00_2625);
							{	/* Abound/walk.scm 252 */
								obj_t BgL_arg2021z00_2762;
								obj_t BgL_arg2022z00_2763;
								obj_t BgL_arg2023z00_2764;
								BgL_typez00_bglt BgL_arg2024z00_2765;
								BgL_typez00_bglt BgL_arg2025z00_2766;
								BgL_typez00_bglt BgL_arg2026z00_2767;

								{	/* Abound/walk.scm 252 */
									obj_t BgL_pairz00_2768;

									BgL_pairz00_2768 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_2761)))->
										BgL_exprza2za2);
									BgL_arg2021z00_2762 = CAR(BgL_pairz00_2768);
								}
								{	/* Abound/walk.scm 252 */
									obj_t BgL_pairz00_2769;

									BgL_pairz00_2769 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_2761)))->
										BgL_exprza2za2);
									BgL_arg2022z00_2763 = CAR(CDR(BgL_pairz00_2769));
								}
								BgL_arg2023z00_2764 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_nodez00_2761)))->BgL_locz00);
								BgL_arg2024z00_2765 =
									(((BgL_vrefz00_bglt) COBJECT(BgL_nodez00_2761))->
									BgL_ftypez00);
								BgL_arg2025z00_2766 =
									(((BgL_vrefz00_bglt) COBJECT(BgL_nodez00_2761))->
									BgL_otypez00);
								BgL_arg2026z00_2767 =
									(((BgL_vrefz00_bglt) COBJECT(BgL_nodez00_2761))->
									BgL_vtypez00);
								BgL_nodez00_2771 =
									BGl_arrayzd2refzd2zzabound_walkz00((
										(BgL_nodezf2effectzf2_bglt) BgL_nodez00_2761),
									BgL_arg2021z00_2762, BgL_arg2022z00_2763, BgL_arg2023z00_2764,
									BgL_arg2024z00_2765, ((obj_t) BgL_arg2025z00_2766),
									((obj_t) BgL_arg2026z00_2767),
									BGl_proc2206z00zzabound_walkz00);
							}
							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_2771);
							return BgL_nodez00_2771;
						}
				}
			}
		}

	}



/* &<@anonymous:2031> */
	BgL_vrefz00_bglt BGl_z62zc3z04anonymousza32031ze3ze5zzabound_walkz00(obj_t
		BgL_envz00_2626, BgL_nodezf2effectzf2_bglt BgL_nodez00_2627,
		obj_t BgL_vz00_2628, obj_t BgL_iz00_2629)
	{
		{	/* Abound/walk.scm 253 */
			{	/* Abound/walk.scm 253 */
				BgL_vrefz00_bglt BgL_new1144z00_2775;

				{	/* Abound/walk.scm 253 */
					BgL_vrefz00_bglt BgL_new1155z00_2776;

					BgL_new1155z00_2776 =
						((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vrefz00_bgl))));
					{	/* Abound/walk.scm 253 */
						long BgL_arg2034z00_2777;

						BgL_arg2034z00_2777 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1155z00_2776), BgL_arg2034z00_2777);
					}
					{	/* Abound/walk.scm 253 */
						BgL_objectz00_bglt BgL_tmpz00_3717;

						BgL_tmpz00_3717 = ((BgL_objectz00_bglt) BgL_new1155z00_2776);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3717, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1155z00_2776);
					BgL_new1144z00_2775 = BgL_new1155z00_2776;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1144z00_2775)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2627)))->BgL_locz00)), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1144z00_2775)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2627)))->BgL_typez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1144z00_2775)))->BgL_sidezd2effectzd2) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2627))))->BgL_sidezd2effectzd2)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1144z00_2775)))->BgL_keyz00) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2627))))->BgL_keyz00)), BUNSPEC);
				{
					obj_t BgL_auxz00_3739;

					{	/* Abound/walk.scm 253 */
						obj_t BgL_list2032z00_2778;

						{	/* Abound/walk.scm 253 */
							obj_t BgL_arg2033z00_2779;

							BgL_arg2033z00_2779 = MAKE_YOUNG_PAIR(BgL_iz00_2629, BNIL);
							BgL_list2032z00_2778 =
								MAKE_YOUNG_PAIR(BgL_vz00_2628, BgL_arg2033z00_2779);
						}
						BgL_auxz00_3739 = BgL_list2032z00_2778;
					}
					((((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt) BgL_new1144z00_2775)))->
							BgL_exprza2za2) = ((obj_t) BgL_auxz00_3739), BUNSPEC);
				}
				((((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_new1144z00_2775)))->BgL_effectz00) =
					((obj_t) (((BgL_externz00_bglt)
								COBJECT(((BgL_externz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2627))))->BgL_effectz00)), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1144z00_2775)))->BgL_czd2formatzd2) =
					((obj_t) (((BgL_privatez00_bglt)
								COBJECT(((BgL_privatez00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2627))))->BgL_czd2formatzd2)), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1144z00_2775))->BgL_ftypez00) =
					((BgL_typez00_bglt) (((BgL_vrefz00_bglt)
								COBJECT(((BgL_vrefz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2627))))->BgL_ftypez00)), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1144z00_2775))->BgL_otypez00) =
					((BgL_typez00_bglt) (((BgL_vrefz00_bglt)
								COBJECT(((BgL_vrefz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2627))))->BgL_otypez00)), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1144z00_2775))->BgL_vtypez00) =
					((BgL_typez00_bglt) (((BgL_vrefz00_bglt)
								COBJECT(((BgL_vrefz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2627))))->BgL_vtypez00)), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1144z00_2775))->BgL_unsafez00) =
					((bool_t) (((BgL_vrefz00_bglt)
								COBJECT(((BgL_vrefz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2627))))->BgL_unsafez00)), BUNSPEC);
				return BgL_new1144z00_2775;
			}
		}

	}



/* &abound-node-extern1375 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2extern1375z62zzabound_walkz00(obj_t
		BgL_envz00_2630, obj_t BgL_nodez00_2631)
	{
		{	/* Abound/walk.scm 241 */
			BGl_aboundzd2nodeza2z12z62zzabound_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2631)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2631));
		}

	}



/* &abound-node-funcall1373 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2funcall1373z62zzabound_walkz00(obj_t
		BgL_envz00_2632, obj_t BgL_nodez00_2633)
	{
		{	/* Abound/walk.scm 232 */
			{
				BgL_nodez00_bglt BgL_auxz00_3775;

				{	/* Abound/walk.scm 234 */
					BgL_nodez00_bglt BgL_arg2015z00_2782;

					BgL_arg2015z00_2782 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2633)))->BgL_funz00);
					BgL_auxz00_3775 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2015z00_2782);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2633)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3775), BUNSPEC);
			}
			BGl_aboundzd2nodeza2z12z62zzabound_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2633)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2633));
		}

	}



/* &abound-node-app-ly1371 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2appzd2ly1371zb0zzabound_walkz00(obj_t
		BgL_envz00_2634, obj_t BgL_nodez00_2635)
	{
		{	/* Abound/walk.scm 223 */
			{
				BgL_nodez00_bglt BgL_auxz00_3786;

				{	/* Abound/walk.scm 225 */
					BgL_nodez00_bglt BgL_arg2013z00_2784;

					BgL_arg2013z00_2784 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2635)))->BgL_funz00);
					BgL_auxz00_3786 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2013z00_2784);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2635)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3786), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3792;

				{	/* Abound/walk.scm 226 */
					BgL_nodez00_bglt BgL_arg2014z00_2785;

					BgL_arg2014z00_2785 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2635)))->BgL_argz00);
					BgL_auxz00_3792 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2014z00_2785);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2635)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3792), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2635));
		}

	}



/* &abound-node-app1369 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2app1369z62zzabound_walkz00(obj_t
		BgL_envz00_2636, obj_t BgL_nodez00_2637)
	{
		{	/* Abound/walk.scm 143 */
			{
				BgL_appz00_bglt BgL_nodez00_2788;

				BGl_aboundzd2nodeza2z12z62zzabound_walkz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2637)))->BgL_argsz00));
				{	/* Abound/walk.scm 172 */
					BgL_variablez00_bglt BgL_vz00_2858;

					BgL_vz00_2858 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2637)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Abound/walk.scm 174 */
						bool_t BgL_test2288z00_3806;

						if (
							(((obj_t) BgL_vz00_2858) ==
								BGl_za2stringzd2refza2zd2zzabound_walkz00))
							{	/* Abound/walk.scm 174 */
								BgL_test2288z00_3806 = ((bool_t) 1);
							}
						else
							{	/* Abound/walk.scm 174 */
								BgL_test2288z00_3806 =
									(
									((obj_t) BgL_vz00_2858) ==
									BGl_za2stringzd2setz12za2zc0zzabound_walkz00);
							}
						if (BgL_test2288z00_3806)
							{	/* Abound/walk.scm 175 */
								BgL_nodez00_bglt BgL_nodez00_2859;

								BgL_nodez00_2788 = ((BgL_appz00_bglt) BgL_nodez00_2637);
								{	/* Abound/walk.scm 147 */
									obj_t BgL_sz00_2789;

									BgL_sz00_2789 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													42))));
									{	/* Abound/walk.scm 147 */
										obj_t BgL_iz00_2790;

										BgL_iz00_2790 =
											BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
											(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
														29))));
										{	/* Abound/walk.scm 148 */
											obj_t BgL_lz00_2791;

											BgL_lz00_2791 =
												BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
												(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 30))));
											{	/* Abound/walk.scm 149 */
												obj_t BgL_lnamez00_2792;

												{	/* Abound/walk.scm 150 */
													bool_t BgL_test2290z00_3821;

													{	/* Abound/walk.scm 150 */
														obj_t BgL_arg2008z00_2793;

														BgL_arg2008z00_2793 =
															(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_nodez00_2788)))->
															BgL_locz00);
														if (STRUCTP(BgL_arg2008z00_2793))
															{	/* Abound/walk.scm 150 */
																BgL_test2290z00_3821 =
																	(STRUCT_KEY(BgL_arg2008z00_2793) ==
																	CNST_TABLE_REF(((long) 31)));
															}
														else
															{	/* Abound/walk.scm 150 */
																BgL_test2290z00_3821 = ((bool_t) 0);
															}
													}
													if (BgL_test2290z00_3821)
														{	/* Abound/walk.scm 150 */
															obj_t BgL_arg2007z00_2794;

															BgL_arg2007z00_2794 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_nodez00_2788)))->
																BgL_locz00);
															BgL_lnamez00_2792 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_arg2007z00_2794);
														}
													else
														{	/* Abound/walk.scm 150 */
															BgL_lnamez00_2792 = BFALSE;
														}
												}
												{	/* Abound/walk.scm 150 */
													obj_t BgL_lposz00_2795;

													{	/* Abound/walk.scm 151 */
														bool_t BgL_test2292z00_3832;

														{	/* Abound/walk.scm 151 */
															obj_t BgL_arg2004z00_2796;

															BgL_arg2004z00_2796 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_nodez00_2788)))->
																BgL_locz00);
															if (STRUCTP(BgL_arg2004z00_2796))
																{	/* Abound/walk.scm 151 */
																	BgL_test2292z00_3832 =
																		(STRUCT_KEY(BgL_arg2004z00_2796) ==
																		CNST_TABLE_REF(((long) 31)));
																}
															else
																{	/* Abound/walk.scm 151 */
																	BgL_test2292z00_3832 = ((bool_t) 0);
																}
														}
														if (BgL_test2292z00_3832)
															{	/* Abound/walk.scm 151 */
																obj_t BgL_sz00_2797;

																BgL_sz00_2797 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt) BgL_nodez00_2788)))->
																	BgL_locz00);
																BgL_lposz00_2795 =
																	STRUCT_REF(BgL_sz00_2797, (int) (((long) 1)));
															}
														else
															{	/* Abound/walk.scm 151 */
																BgL_lposz00_2795 = BFALSE;
															}
													}
													{	/* Abound/walk.scm 151 */
														BgL_variablez00_bglt BgL_vz00_2798;

														BgL_vz00_2798 =
															(((BgL_varz00_bglt) COBJECT(
																	(((BgL_appz00_bglt)
																			COBJECT(BgL_nodez00_2788))->
																		BgL_funz00)))->BgL_variablez00);
														{	/* Abound/walk.scm 152 */
															obj_t BgL_namez00_2799;

															if (
																(((obj_t) BgL_vz00_2798) ==
																	BGl_za2stringzd2refza2zd2zzabound_walkz00))
																{	/* Abound/walk.scm 153 */
																	BgL_namez00_2799 =
																		BGl_string2207z00zzabound_walkz00;
																}
															else
																{	/* Abound/walk.scm 153 */
																	BgL_namez00_2799 =
																		BGl_string2208z00zzabound_walkz00;
																}
															{	/* Abound/walk.scm 153 */
																obj_t BgL_typesz00_2800;

																BgL_typesz00_2800 =
																	(((BgL_cfunz00_bglt) COBJECT(
																			((BgL_cfunz00_bglt)
																				(((BgL_variablez00_bglt)
																						COBJECT(BgL_vz00_2798))->
																					BgL_valuez00))))->BgL_argszd2typezd2);
																{	/* Abound/walk.scm 154 */

																	{	/* Abound/walk.scm 156 */
																		obj_t BgL_arg1942z00_2801;
																		obj_t BgL_arg1943z00_2802;

																		{	/* Abound/walk.scm 156 */
																			obj_t BgL_arg1944z00_2803;

																			{	/* Abound/walk.scm 156 */
																				obj_t BgL_arg1945z00_2804;
																				obj_t BgL_arg1946z00_2805;

																				{	/* Abound/walk.scm 156 */
																					obj_t BgL_arg1947z00_2806;
																					obj_t BgL_arg1948z00_2807;

																					{	/* Abound/walk.scm 156 */
																						obj_t BgL_arg1949z00_2808;
																						obj_t BgL_arg1950z00_2809;

																						{	/* Abound/walk.scm 156 */
																							obj_t BgL_arg1951z00_2810;

																							BgL_arg1951z00_2810 =
																								(((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											CAR(
																												((obj_t)
																													BgL_typesz00_2800)))))->
																								BgL_idz00);
																							BgL_arg1949z00_2808 =
																								BGl_makezd2typedzd2identz00zzast_identz00
																								(BgL_sz00_2789,
																								BgL_arg1951z00_2810);
																						}
																						BgL_arg1950z00_2809 =
																							MAKE_YOUNG_PAIR(CAR(
																								(((BgL_appz00_bglt)
																										COBJECT(BgL_nodez00_2788))->
																									BgL_argsz00)), BNIL);
																						BgL_arg1947z00_2806 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1949z00_2808,
																							BgL_arg1950z00_2809);
																					}
																					{	/* Abound/walk.scm 157 */
																						obj_t BgL_arg1955z00_2811;

																						{	/* Abound/walk.scm 157 */
																							obj_t BgL_arg1956z00_2812;
																							obj_t BgL_arg1957z00_2813;

																							{	/* Abound/walk.scm 157 */
																								obj_t BgL_arg1958z00_2814;

																								{
																									BgL_typez00_bglt
																										BgL_auxz00_3861;
																									{	/* Abound/walk.scm 157 */
																										obj_t BgL_pairz00_2815;

																										BgL_pairz00_2815 =
																											CDR(
																											((obj_t)
																												BgL_typesz00_2800));
																										BgL_auxz00_3861 =
																											((BgL_typez00_bglt)
																											CAR(BgL_pairz00_2815));
																									}
																									BgL_arg1958z00_2814 =
																										(((BgL_typez00_bglt)
																											COBJECT
																											(BgL_auxz00_3861))->
																										BgL_idz00);
																								}
																								BgL_arg1956z00_2812 =
																									BGl_makezd2typedzd2identz00zzast_identz00
																									(BgL_iz00_2790,
																									BgL_arg1958z00_2814);
																							}
																							{	/* Abound/walk.scm 157 */
																								obj_t BgL_arg1960z00_2816;

																								{	/* Abound/walk.scm 157 */
																									obj_t BgL_pairz00_2817;

																									BgL_pairz00_2817 =
																										(((BgL_appz00_bglt)
																											COBJECT
																											(BgL_nodez00_2788))->
																										BgL_argsz00);
																									BgL_arg1960z00_2816 =
																										CAR(CDR(BgL_pairz00_2817));
																								}
																								BgL_arg1957z00_2813 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1960z00_2816, BNIL);
																							}
																							BgL_arg1955z00_2811 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1956z00_2812,
																								BgL_arg1957z00_2813);
																						}
																						BgL_arg1948z00_2807 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1955z00_2811, BNIL);
																					}
																					BgL_arg1945z00_2804 =
																						MAKE_YOUNG_PAIR(BgL_arg1947z00_2806,
																						BgL_arg1948z00_2807);
																				}
																				{	/* Abound/walk.scm 158 */
																					obj_t BgL_arg1962z00_2818;

																					{	/* Abound/walk.scm 158 */
																						obj_t BgL_arg1963z00_2819;

																						{	/* Abound/walk.scm 158 */
																							obj_t BgL_arg1964z00_2820;
																							obj_t BgL_arg1965z00_2821;

																							{	/* Abound/walk.scm 158 */
																								obj_t BgL_arg1966z00_2822;

																								{	/* Abound/walk.scm 158 */
																									obj_t BgL_arg1967z00_2823;
																									obj_t BgL_arg1968z00_2824;

																									{	/* Abound/walk.scm 158 */
																										obj_t BgL_arg1969z00_2825;

																										{
																											BgL_typez00_bglt
																												BgL_auxz00_3875;
																											{	/* Abound/walk.scm 158 */
																												obj_t BgL_pairz00_2826;

																												BgL_pairz00_2826 =
																													CDR(
																													((obj_t)
																														BgL_typesz00_2800));
																												BgL_auxz00_3875 =
																													((BgL_typez00_bglt)
																													CAR
																													(BgL_pairz00_2826));
																											}
																											BgL_arg1969z00_2825 =
																												(((BgL_typez00_bglt)
																													COBJECT
																													(BgL_auxz00_3875))->
																												BgL_idz00);
																										}
																										BgL_arg1967z00_2823 =
																											BGl_makezd2typedzd2identz00zzast_identz00
																											(BgL_lz00_2791,
																											BgL_arg1969z00_2825);
																									}
																									{	/* Abound/walk.scm 159 */
																										obj_t BgL_arg1971z00_2827;

																										{	/* Abound/walk.scm 159 */
																											obj_t BgL_arg1972z00_2828;

																											BgL_arg1972z00_2828 =
																												MAKE_YOUNG_PAIR
																												(BgL_sz00_2789, BNIL);
																											BgL_arg1971z00_2827 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														43)),
																												BgL_arg1972z00_2828);
																										}
																										BgL_arg1968z00_2824 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1971z00_2827,
																											BNIL);
																									}
																									BgL_arg1966z00_2822 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1967z00_2823,
																										BgL_arg1968z00_2824);
																								}
																								BgL_arg1964z00_2820 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1966z00_2822, BNIL);
																							}
																							{	/* Abound/walk.scm 160 */
																								obj_t BgL_arg1973z00_2829;

																								{	/* Abound/walk.scm 160 */
																									obj_t BgL_arg1974z00_2830;

																									{	/* Abound/walk.scm 160 */
																										obj_t BgL_arg1975z00_2831;
																										obj_t BgL_arg1976z00_2832;

																										{	/* Abound/walk.scm 160 */
																											obj_t BgL_arg1977z00_2833;

																											{	/* Abound/walk.scm 160 */
																												obj_t
																													BgL_arg1978z00_2834;
																												BgL_arg1978z00_2834 =
																													MAKE_YOUNG_PAIR
																													(BgL_lz00_2791, BNIL);
																												BgL_arg1977z00_2833 =
																													MAKE_YOUNG_PAIR
																													(BgL_iz00_2790,
																													BgL_arg1978z00_2834);
																											}
																											BgL_arg1975z00_2831 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														44)),
																												BgL_arg1977z00_2833);
																										}
																										{	/* Abound/walk.scm 161 */
																											BgL_appz00_bglt
																												BgL_arg1979z00_2835;
																											obj_t BgL_arg1980z00_2836;

																											{	/* Abound/walk.scm 161 */
																												BgL_appz00_bglt
																													BgL_new1113z00_2837;
																												{	/* Abound/walk.scm 162 */
																													BgL_appz00_bglt
																														BgL_new1120z00_2838;
																													BgL_new1120z00_2838 =
																														((BgL_appz00_bglt)
																														BOBJECT(GC_MALLOC
																															(sizeof(struct
																																	BgL_appz00_bgl))));
																													{	/* Abound/walk.scm 162 */
																														long
																															BgL_arg1984z00_2839;
																														BgL_arg1984z00_2839
																															=
																															BGL_CLASS_NUM
																															(BGl_appz00zzast_nodez00);
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_new1120z00_2838), BgL_arg1984z00_2839);
																													}
																													{	/* Abound/walk.scm 162 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_3896;
																														BgL_tmpz00_3896 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1120z00_2838);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_tmpz00_3896,
																															BFALSE);
																													}
																													((BgL_objectz00_bglt)
																														BgL_new1120z00_2838);
																													BgL_new1113z00_2837 =
																														BgL_new1120z00_2838;
																												}
																												((((BgL_nodez00_bglt)
																															COBJECT((
																																	(BgL_nodez00_bglt)
																																	BgL_new1113z00_2837)))->
																														BgL_locz00) =
																													((obj_t) ((
																																(BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_nodez00_2788)))->
																															BgL_locz00)),
																													BUNSPEC);
																												((((BgL_nodez00_bglt)
																															COBJECT((
																																	(BgL_nodez00_bglt)
																																	BgL_new1113z00_2837)))->
																														BgL_typez00) =
																													((BgL_typez00_bglt) ((
																																(BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_nodez00_2788)))->
																															BgL_typez00)),
																													BUNSPEC);
																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1113z00_2837)))->BgL_sidezd2effectzd2) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt) BgL_nodez00_2788))))->BgL_sidezd2effectzd2)), BUNSPEC);
																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1113z00_2837)))->BgL_keyz00) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt) BgL_nodez00_2788))))->BgL_keyz00)), BUNSPEC);
																												((((BgL_appz00_bglt)
																															COBJECT
																															(BgL_new1113z00_2837))->
																														BgL_funz00) =
																													((BgL_varz00_bglt) ((
																																(BgL_appz00_bglt)
																																COBJECT((
																																		(BgL_appz00_bglt)
																																		((BgL_nodez00_bglt) BgL_nodez00_2788))))->BgL_funz00)), BUNSPEC);
																												{
																													obj_t BgL_auxz00_3922;

																													{	/* Abound/walk.scm 162 */
																														obj_t
																															BgL_arg1981z00_2840;
																														{	/* Abound/walk.scm 162 */
																															obj_t
																																BgL_arg1982z00_2841;
																															{	/* Abound/walk.scm 162 */
																																obj_t
																																	BgL_pairz00_2842;
																																BgL_pairz00_2842
																																	=
																																	(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2788))->BgL_argsz00);
																																{	/* Abound/walk.scm 162 */
																																	obj_t
																																		BgL_pairz00_2843;
																																	BgL_pairz00_2843
																																		=
																																		CDR
																																		(BgL_pairz00_2842);
																																	BgL_arg1982z00_2841
																																		=
																																		CDR
																																		(BgL_pairz00_2843);
																															}}
																															BgL_arg1981z00_2840
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_iz00_2790,
																																BgL_arg1982z00_2841);
																														}
																														BgL_auxz00_3922 =
																															MAKE_YOUNG_PAIR
																															(BgL_sz00_2789,
																															BgL_arg1981z00_2840);
																													}
																													((((BgL_appz00_bglt)
																																COBJECT
																																(BgL_new1113z00_2837))->
																															BgL_argsz00) =
																														((obj_t)
																															BgL_auxz00_3922),
																														BUNSPEC);
																												}
																												((((BgL_appz00_bglt)
																															COBJECT
																															(BgL_new1113z00_2837))->
																														BgL_stackablez00) =
																													((obj_t) ((
																																(BgL_appz00_bglt)
																																COBJECT((
																																		(BgL_appz00_bglt)
																																		((BgL_nodez00_bglt) BgL_nodez00_2788))))->BgL_stackablez00)), BUNSPEC);
																												BgL_arg1979z00_2835 =
																													BgL_new1113z00_2837;
																											}
																											{	/* Abound/walk.scm 164 */
																												obj_t
																													BgL_arg1985z00_2844;
																												{	/* Abound/walk.scm 164 */
																													obj_t
																														BgL_arg1986z00_2845;
																													{	/* Abound/walk.scm 164 */
																														obj_t
																															BgL_arg1987z00_2846;
																														obj_t
																															BgL_arg1988z00_2847;
																														{	/* Abound/walk.scm 164 */
																															obj_t
																																BgL_arg1989z00_2848;
																															obj_t
																																BgL_arg1990z00_2849;
																															{	/* Abound/walk.scm 164 */
																																obj_t
																																	BgL_arg1991z00_2850;
																																{	/* Abound/walk.scm 164 */
																																	obj_t
																																		BgL_arg1992z00_2851;
																																	BgL_arg1992z00_2851
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				36)),
																																		BNIL);
																																	BgL_arg1991z00_2850
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				37)),
																																		BgL_arg1992z00_2851);
																																}
																																BgL_arg1989z00_2848
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 38)),
																																	BgL_arg1991z00_2850);
																															}
																															{	/* Abound/walk.scm 164 */
																																obj_t
																																	BgL_arg1993z00_2852;
																																{	/* Abound/walk.scm 164 */
																																	obj_t
																																		BgL_arg1994z00_2853;
																																	{	/* Abound/walk.scm 164 */
																																		obj_t
																																			BgL_arg1995z00_2854;
																																		{	/* Abound/walk.scm 164 */
																																			obj_t
																																				BgL_arg1996z00_2855;
																																			{	/* Abound/walk.scm 164 */
																																				obj_t
																																					BgL_arg1997z00_2856;
																																				BgL_arg1997z00_2856
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_iz00_2790,
																																					BNIL);
																																				BgL_arg1996z00_2855
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_lz00_2791,
																																					BgL_arg1997z00_2856);
																																			}
																																			BgL_arg1995z00_2854
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_sz00_2789,
																																				BgL_arg1996z00_2855);
																																		}
																																		BgL_arg1994z00_2853
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_namez00_2799,
																																			BgL_arg1995z00_2854);
																																	}
																																	BgL_arg1993z00_2852
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_lposz00_2795,
																																		BgL_arg1994z00_2853);
																																}
																																BgL_arg1990z00_2849
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_lnamez00_2792,
																																	BgL_arg1993z00_2852);
																															}
																															BgL_arg1987z00_2846
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1989z00_2848,
																																BgL_arg1990z00_2849);
																														}
																														{	/* Abound/walk.scm 163 */
																															obj_t
																																BgL_arg1998z00_2857;
																															BgL_arg1998z00_2857
																																=
																																MAKE_YOUNG_PAIR
																																(BFALSE, BNIL);
																															BgL_arg1988z00_2847
																																=
																																MAKE_YOUNG_PAIR
																																(BFALSE,
																																BgL_arg1998z00_2857);
																														}
																														BgL_arg1986z00_2845
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1987z00_2846,
																															BgL_arg1988z00_2847);
																													}
																													BgL_arg1985z00_2844 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 39)),
																														BgL_arg1986z00_2845);
																												}
																												BgL_arg1980z00_2836 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1985z00_2844,
																													BNIL);
																											}
																											BgL_arg1976z00_2832 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													BgL_arg1979z00_2835),
																												BgL_arg1980z00_2836);
																										}
																										BgL_arg1974z00_2830 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1975z00_2831,
																											BgL_arg1976z00_2832);
																									}
																									BgL_arg1973z00_2829 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												40)),
																										BgL_arg1974z00_2830);
																								}
																								BgL_arg1965z00_2821 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1973z00_2829, BNIL);
																							}
																							BgL_arg1963z00_2819 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1964z00_2820,
																								BgL_arg1965z00_2821);
																						}
																						BgL_arg1962z00_2818 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 41)),
																							BgL_arg1963z00_2819);
																					}
																					BgL_arg1946z00_2805 =
																						MAKE_YOUNG_PAIR(BgL_arg1962z00_2818,
																						BNIL);
																				}
																				BgL_arg1944z00_2803 =
																					MAKE_YOUNG_PAIR(BgL_arg1945z00_2804,
																					BgL_arg1946z00_2805);
																			}
																			BgL_arg1942z00_2801 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						41)), BgL_arg1944z00_2803);
																		}
																		BgL_arg1943z00_2802 =
																			(((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_nodez00_2788)))->BgL_locz00);
																		BgL_nodez00_2859 =
																			BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_arg1942z00_2801,
																			BgL_arg1943z00_2802);
								}}}}}}}}}}
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_2859);
								return BgL_nodez00_2859;
							}
						else
							{	/* Abound/walk.scm 178 */
								bool_t BgL_test2295z00_3970;

								if (
									(((obj_t) BgL_vz00_2858) ==
										BGl_za2s8vectorzd2refza2zd2zzabound_walkz00))
									{	/* Abound/walk.scm 178 */
										BgL_test2295z00_3970 = ((bool_t) 1);
									}
								else
									{	/* Abound/walk.scm 178 */
										if (
											(((obj_t) BgL_vz00_2858) ==
												BGl_za2s16vectorzd2refza2zd2zzabound_walkz00))
											{	/* Abound/walk.scm 179 */
												BgL_test2295z00_3970 = ((bool_t) 1);
											}
										else
											{	/* Abound/walk.scm 179 */
												if (
													(((obj_t) BgL_vz00_2858) ==
														BGl_za2s32vectorzd2refza2zd2zzabound_walkz00))
													{	/* Abound/walk.scm 180 */
														BgL_test2295z00_3970 = ((bool_t) 1);
													}
												else
													{	/* Abound/walk.scm 180 */
														if (
															(((obj_t) BgL_vz00_2858) ==
																BGl_za2s64vectorzd2refza2zd2zzabound_walkz00))
															{	/* Abound/walk.scm 181 */
																BgL_test2295z00_3970 = ((bool_t) 1);
															}
														else
															{	/* Abound/walk.scm 181 */
																if (
																	(((obj_t) BgL_vz00_2858) ==
																		BGl_za2u8vectorzd2refza2zd2zzabound_walkz00))
																	{	/* Abound/walk.scm 182 */
																		BgL_test2295z00_3970 = ((bool_t) 1);
																	}
																else
																	{	/* Abound/walk.scm 182 */
																		if (
																			(((obj_t) BgL_vz00_2858) ==
																				BGl_za2u16vectorzd2refza2zd2zzabound_walkz00))
																			{	/* Abound/walk.scm 183 */
																				BgL_test2295z00_3970 = ((bool_t) 1);
																			}
																		else
																			{	/* Abound/walk.scm 183 */
																				if (
																					(((obj_t) BgL_vz00_2858) ==
																						BGl_za2u32vectorzd2refza2zd2zzabound_walkz00))
																					{	/* Abound/walk.scm 184 */
																						BgL_test2295z00_3970 = ((bool_t) 1);
																					}
																				else
																					{	/* Abound/walk.scm 184 */
																						if (
																							(((obj_t) BgL_vz00_2858) ==
																								BGl_za2u64vectorzd2refza2zd2zzabound_walkz00))
																							{	/* Abound/walk.scm 185 */
																								BgL_test2295z00_3970 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Abound/walk.scm 185 */
																								if (
																									(((obj_t) BgL_vz00_2858) ==
																										BGl_za2f32vectorzd2refza2zd2zzabound_walkz00))
																									{	/* Abound/walk.scm 186 */
																										BgL_test2295z00_3970 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Abound/walk.scm 186 */
																										BgL_test2295z00_3970 =
																											(
																											((obj_t) BgL_vz00_2858) ==
																											BGl_za2f64vectorzd2refza2zd2zzabound_walkz00);
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								if (BgL_test2295z00_3970)
									{	/* Abound/walk.scm 189 */
										BgL_nodez00_bglt BgL_arg1890z00_2860;

										{	/* Abound/walk.scm 190 */
											obj_t BgL_arg1891z00_2861;
											obj_t BgL_arg1892z00_2862;
											obj_t BgL_arg1894z00_2863;
											BgL_typez00_bglt BgL_arg1898z00_2864;
											obj_t BgL_arg1899z00_2865;
											obj_t BgL_arg1900z00_2866;

											BgL_arg1891z00_2861 =
												CAR(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2637)))->
													BgL_argsz00));
											{	/* Abound/walk.scm 190 */
												obj_t BgL_pairz00_2867;

												BgL_pairz00_2867 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2637)))->
													BgL_argsz00);
												BgL_arg1892z00_2862 = CAR(CDR(BgL_pairz00_2867));
											}
											BgL_arg1894z00_2863 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_2637))))->
												BgL_locz00);
											BgL_arg1898z00_2864 =
												(((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
																BgL_vz00_2858))))->BgL_typez00);
											{	/* Abound/walk.scm 192 */
												obj_t BgL_pairz00_2868;

												BgL_pairz00_2868 =
													(((BgL_cfunz00_bglt) COBJECT(
															((BgL_cfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_vz00_2858))))->BgL_valuez00))))->
													BgL_argszd2typezd2);
												BgL_arg1899z00_2865 = CAR(CDR(BgL_pairz00_2868));
											}
											{	/* Abound/walk.scm 193 */
												obj_t BgL_pairz00_2869;

												BgL_pairz00_2869 =
													(((BgL_cfunz00_bglt) COBJECT(
															((BgL_cfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_vz00_2858))))->BgL_valuez00))))->
													BgL_argszd2typezd2);
												BgL_arg1900z00_2866 = CAR(BgL_pairz00_2869);
											}
											BgL_arg1890z00_2860 =
												BGl_arrayzd2refzd2zzabound_walkz00(
												((BgL_nodezf2effectzf2_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2637)),
												BgL_arg1891z00_2861, BgL_arg1892z00_2862,
												BgL_arg1894z00_2863, BgL_arg1898z00_2864,
												BgL_arg1899z00_2865, BgL_arg1900z00_2866,
												BGl_proc2209z00zzabound_walkz00);
										}
										return
											BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_arg1890z00_2860);
									}
								else
									{	/* Abound/walk.scm 197 */
										bool_t BgL_test2305z00_4030;

										if (
											(((obj_t) BgL_vz00_2858) ==
												BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00))
											{	/* Abound/walk.scm 197 */
												BgL_test2305z00_4030 = ((bool_t) 1);
											}
										else
											{	/* Abound/walk.scm 197 */
												if (
													(((obj_t) BgL_vz00_2858) ==
														BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00))
													{	/* Abound/walk.scm 198 */
														BgL_test2305z00_4030 = ((bool_t) 1);
													}
												else
													{	/* Abound/walk.scm 198 */
														if (
															(((obj_t) BgL_vz00_2858) ==
																BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00))
															{	/* Abound/walk.scm 199 */
																BgL_test2305z00_4030 = ((bool_t) 1);
															}
														else
															{	/* Abound/walk.scm 199 */
																if (
																	(((obj_t) BgL_vz00_2858) ==
																		BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00))
																	{	/* Abound/walk.scm 200 */
																		BgL_test2305z00_4030 = ((bool_t) 1);
																	}
																else
																	{	/* Abound/walk.scm 200 */
																		if (
																			(((obj_t) BgL_vz00_2858) ==
																				BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00))
																			{	/* Abound/walk.scm 201 */
																				BgL_test2305z00_4030 = ((bool_t) 1);
																			}
																		else
																			{	/* Abound/walk.scm 201 */
																				if (
																					(((obj_t) BgL_vz00_2858) ==
																						BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00))
																					{	/* Abound/walk.scm 202 */
																						BgL_test2305z00_4030 = ((bool_t) 1);
																					}
																				else
																					{	/* Abound/walk.scm 202 */
																						if (
																							(((obj_t) BgL_vz00_2858) ==
																								BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00))
																							{	/* Abound/walk.scm 203 */
																								BgL_test2305z00_4030 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Abound/walk.scm 203 */
																								if (
																									(((obj_t) BgL_vz00_2858) ==
																										BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00))
																									{	/* Abound/walk.scm 204 */
																										BgL_test2305z00_4030 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Abound/walk.scm 204 */
																										if (
																											(((obj_t) BgL_vz00_2858)
																												==
																												BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00))
																											{	/* Abound/walk.scm 205 */
																												BgL_test2305z00_4030 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Abound/walk.scm 205 */
																												BgL_test2305z00_4030 =
																													(
																													((obj_t)
																														BgL_vz00_2858) ==
																													BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00);
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										if (BgL_test2305z00_4030)
											{	/* Abound/walk.scm 208 */
												BgL_nodez00_bglt BgL_arg1916z00_2871;

												{	/* Abound/walk.scm 209 */
													obj_t BgL_arg1917z00_2872;
													obj_t BgL_arg1918z00_2873;
													obj_t BgL_arg1919z00_2874;
													obj_t BgL_arg1920z00_2875;
													obj_t BgL_arg1921z00_2876;
													obj_t BgL_arg1922z00_2877;

													BgL_arg1917z00_2872 =
														CAR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2637)))->
															BgL_argsz00));
													{	/* Abound/walk.scm 209 */
														obj_t BgL_pairz00_2878;

														BgL_pairz00_2878 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2637)))->
															BgL_argsz00);
														BgL_arg1918z00_2873 = CAR(CDR(BgL_pairz00_2878));
													}
													BgL_arg1919z00_2874 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_2637))))->
														BgL_locz00);
													{	/* Abound/walk.scm 210 */
														obj_t BgL_pairz00_2879;

														BgL_pairz00_2879 =
															(((BgL_cfunz00_bglt) COBJECT(
																	((BgL_cfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_vz00_2858))))->
																			BgL_valuez00))))->BgL_argszd2typezd2);
														BgL_arg1920z00_2875 =
															CAR(CDR(CDR(BgL_pairz00_2879)));
													}
													{	/* Abound/walk.scm 211 */
														obj_t BgL_pairz00_2880;

														BgL_pairz00_2880 =
															(((BgL_cfunz00_bglt) COBJECT(
																	((BgL_cfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_vz00_2858))))->
																			BgL_valuez00))))->BgL_argszd2typezd2);
														BgL_arg1921z00_2876 = CAR(CDR(BgL_pairz00_2880));
													}
													{	/* Abound/walk.scm 212 */
														obj_t BgL_pairz00_2881;

														BgL_pairz00_2881 =
															(((BgL_cfunz00_bglt) COBJECT(
																	((BgL_cfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_vz00_2858))))->
																			BgL_valuez00))))->BgL_argszd2typezd2);
														BgL_arg1922z00_2877 = CAR(BgL_pairz00_2881);
													}
													BgL_arg1916z00_2871 =
														BGl_arrayzd2setz12zc0zzabound_walkz00(
														((BgL_nodezf2effectzf2_bglt)
															((BgL_appz00_bglt) BgL_nodez00_2637)),
														BgL_arg1917z00_2872, BgL_arg1918z00_2873,
														BgL_arg1919z00_2874, BgL_arg1920z00_2875,
														BgL_arg1921z00_2876, BgL_arg1922z00_2877,
														BGl_proc2210z00zzabound_walkz00);
												}
												return
													BGl_lvtypezd2nodezd2zzast_lvtypez00
													(BgL_arg1916z00_2871);
											}
										else
											{	/* Abound/walk.scm 197 */
												return
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2637));
											}
									}
							}
					}
				}
			}
		}

	}



/* &<@anonymous:1909> */
	BgL_appz00_bglt BGl_z62zc3z04anonymousza31909ze3ze5zzabound_walkz00(obj_t
		BgL_envz00_2638, BgL_nodezf2effectzf2_bglt BgL_nodez00_2639,
		obj_t BgL_vz00_2640, obj_t BgL_iz00_2641)
	{
		{	/* Abound/walk.scm 194 */
			{	/* Abound/walk.scm 195 */
				BgL_appz00_bglt BgL_new1123z00_2886;

				{	/* Abound/walk.scm 195 */
					BgL_appz00_bglt BgL_new1130z00_2887;

					BgL_new1130z00_2887 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Abound/walk.scm 195 */
						long BgL_arg1914z00_2888;

						BgL_arg1914z00_2888 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1130z00_2887), BgL_arg1914z00_2888);
					}
					{	/* Abound/walk.scm 195 */
						BgL_objectz00_bglt BgL_tmpz00_4101;

						BgL_tmpz00_4101 = ((BgL_objectz00_bglt) BgL_new1130z00_2887);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4101, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1130z00_2887);
					BgL_new1123z00_2886 = BgL_new1130z00_2887;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1123z00_2886)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2639)))->BgL_locz00)), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1123z00_2886)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2639)))->BgL_typez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1123z00_2886)))->BgL_sidezd2effectzd2) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2639))))->BgL_sidezd2effectzd2)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1123z00_2886)))->BgL_keyz00) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2639))))->BgL_keyz00)), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1123z00_2886))->BgL_funz00) =
					((BgL_varz00_bglt) (((BgL_appz00_bglt)
								COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2639))))->BgL_funz00)), BUNSPEC);
				{
					obj_t BgL_auxz00_4127;

					{	/* Abound/walk.scm 196 */
						obj_t BgL_list1910z00_2889;

						{	/* Abound/walk.scm 196 */
							obj_t BgL_arg1912z00_2890;

							BgL_arg1912z00_2890 = MAKE_YOUNG_PAIR(BgL_iz00_2641, BNIL);
							BgL_list1910z00_2889 =
								MAKE_YOUNG_PAIR(BgL_vz00_2640, BgL_arg1912z00_2890);
						}
						BgL_auxz00_4127 = BgL_list1910z00_2889;
					}
					((((BgL_appz00_bglt) COBJECT(BgL_new1123z00_2886))->BgL_argsz00) =
						((obj_t) BgL_auxz00_4127), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(BgL_new1123z00_2886))->BgL_stackablez00) =
					((obj_t) (((BgL_appz00_bglt)
								COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2639))))->BgL_stackablez00)), BUNSPEC);
				return BgL_new1123z00_2886;
			}
		}

	}



/* &<@anonymous:1933> */
	BgL_appz00_bglt BGl_z62zc3z04anonymousza31933ze3ze5zzabound_walkz00(obj_t
		BgL_envz00_2642, BgL_nodezf2effectzf2_bglt BgL_nodez00_2643,
		obj_t BgL_vecz00_2644, obj_t BgL_iz00_2645)
	{
		{	/* Abound/walk.scm 213 */
			{	/* Abound/walk.scm 215 */
				BgL_appz00_bglt BgL_new1133z00_2894;

				{	/* Abound/walk.scm 215 */
					BgL_appz00_bglt BgL_new1140z00_2895;

					BgL_new1140z00_2895 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Abound/walk.scm 215 */
						long BgL_arg1939z00_2896;

						BgL_arg1939z00_2896 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1140z00_2895), BgL_arg1939z00_2896);
					}
					{	/* Abound/walk.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_4139;

						BgL_tmpz00_4139 = ((BgL_objectz00_bglt) BgL_new1140z00_2895);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4139, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1140z00_2895);
					BgL_new1133z00_2894 = BgL_new1140z00_2895;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1133z00_2894)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2643)))->BgL_locz00)), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1133z00_2894)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2643)))->BgL_typez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1133z00_2894)))->BgL_sidezd2effectzd2) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2643))))->BgL_sidezd2effectzd2)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1133z00_2894)))->BgL_keyz00) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2643))))->BgL_keyz00)), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1133z00_2894))->BgL_funz00) =
					((BgL_varz00_bglt) (((BgL_appz00_bglt)
								COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2643))))->BgL_funz00)), BUNSPEC);
				{
					obj_t BgL_auxz00_4165;

					{	/* Abound/walk.scm 216 */
						obj_t BgL_arg1934z00_2897;

						{	/* Abound/walk.scm 216 */
							obj_t BgL_pairz00_2898;

							BgL_pairz00_2898 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2643)))->BgL_argsz00);
							{	/* Abound/walk.scm 216 */
								obj_t BgL_pairz00_2899;

								{	/* Abound/walk.scm 216 */
									obj_t BgL_pairz00_2900;

									BgL_pairz00_2900 = CDR(BgL_pairz00_2898);
									BgL_pairz00_2899 = CDR(BgL_pairz00_2900);
								}
								BgL_arg1934z00_2897 = CAR(BgL_pairz00_2899);
						}}
						{	/* Abound/walk.scm 216 */
							obj_t BgL_list1935z00_2901;

							{	/* Abound/walk.scm 216 */
								obj_t BgL_arg1936z00_2902;

								{	/* Abound/walk.scm 216 */
									obj_t BgL_arg1937z00_2903;

									BgL_arg1937z00_2903 =
										MAKE_YOUNG_PAIR(BgL_arg1934z00_2897, BNIL);
									BgL_arg1936z00_2902 =
										MAKE_YOUNG_PAIR(BgL_iz00_2645, BgL_arg1937z00_2903);
								}
								BgL_list1935z00_2901 =
									MAKE_YOUNG_PAIR(BgL_vecz00_2644, BgL_arg1936z00_2902);
							}
							BgL_auxz00_4165 = BgL_list1935z00_2901;
					}}
					((((BgL_appz00_bglt) COBJECT(BgL_new1133z00_2894))->BgL_argsz00) =
						((obj_t) BgL_auxz00_4165), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(BgL_new1133z00_2894))->BgL_stackablez00) =
					((obj_t) (((BgL_appz00_bglt)
								COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2643))))->BgL_stackablez00)), BUNSPEC);
				return BgL_new1133z00_2894;
			}
		}

	}



/* &abound-node-sync1367 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2sync1367z62zzabound_walkz00(obj_t
		BgL_envz00_2646, obj_t BgL_nodez00_2647)
	{
		{	/* Abound/walk.scm 134 */
			{
				BgL_nodez00_bglt BgL_auxz00_4179;

				{	/* Abound/walk.scm 136 */
					BgL_nodez00_bglt BgL_arg1885z00_2905;

					BgL_arg1885z00_2905 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2647)))->BgL_mutexz00);
					BgL_auxz00_4179 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg1885z00_2905);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2647)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4179), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4185;

				{	/* Abound/walk.scm 137 */
					BgL_nodez00_bglt BgL_arg1886z00_2906;

					BgL_arg1886z00_2906 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2647)))->BgL_bodyz00);
					BgL_auxz00_4185 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg1886z00_2906);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2647)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4185), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2647));
		}

	}



/* &abound-node-sequence1365 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2sequence1365z62zzabound_walkz00(obj_t
		BgL_envz00_2648, obj_t BgL_nodez00_2649)
	{
		{	/* Abound/walk.scm 127 */
			BGl_aboundzd2nodeza2z12z62zzabound_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2649)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2649));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
