/*===========================================================================*/
/*   (Ast/check_type.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/check_type.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_z52checkzd2nodezd2typez52zzast_checkzd2typezd2(obj_t, BgL_nodez00_bglt,
		bool_t, bool_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_checkzd2typezd2 = BUNSPEC;
	static obj_t
		BGl_z62checkzd2nodezd2typezd2letzd21318z62zzast_checkzd2typezd2(obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2typezd2letzd21320z62zzast_checkzd2typezd2(obj_t,
		obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t
		BGl_z62checkzd2nodezd2typezd2appzd21332z62zzast_checkzd2typezd2(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_checkzd2typezd2(void);
	static obj_t
		BGl_z62checkzd2nodezd2typezd2setq1310zb0zzast_checkzd2typezd2(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2typezd2sequ1306zb0zzast_checkzd2typezd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2typezd2fail1314zb0zzast_checkzd2typezd2(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2typezd2sync1308zb0zzast_checkzd2typezd2(obj_t, obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2typezd2make1326zb0zzast_checkzd2typezd2(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_checkzd2typezd2(void);
	static obj_t
		BGl_z62checkzd2nodezd2typezd2swit1316zb0zzast_checkzd2typezd2(obj_t, obj_t);
	static obj_t BGl_z62z52checkzd2nodezd2typez30zzast_checkzd2typezd2(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzast_checkzd2typezd2(void);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_za2foreignza2z00zztype_cachez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	static bool_t BGl_za2checkzd2correctnessza2zd2zzast_checkzd2typezd2;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2typezd2kwot1302zb0zzast_checkzd2typezd2(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_checkzd2typezd2(void);
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t
		BGl_z62checkzd2nodezd2typezd2clos1304zb0zzast_checkzd2typezd2(obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2typezd2boxzd21328z62zzast_checkzd2typezd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2typezd2boxzd21330z62zzast_checkzd2typezd2(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(BgL_nodez00_bglt);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_z62checkzd2nodezd2typez62zzast_checkzd2typezd2(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_errzd2nozd2typez00zzast_checkzd2typezd2(BgL_nodez00_bglt);
	static obj_t BGl_z62checkzd2nodezd2type1295z62zzast_checkzd2typezd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_za2checkzd2typezd2passza2z00zzast_checkzd2typezd2 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_checkzd2typezd2zzast_checkzd2typezd2(obj_t, obj_t,
		bool_t, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_checkzd2typezd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2typezd2setzd21322z62zzast_checkzd2typezd2(obj_t,
		obj_t);
	static bool_t BGl_za2checkzd2fullza2zd2zzast_checkzd2typezd2;
	static obj_t BGl_z62checkzd2typezb0zzast_checkzd2typezd2(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_eqtypezf3zf3zzast_checkzd2typezd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2typezd2func1334zb0zzast_checkzd2typezd2(obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern bool_t BGl_coercerzd2existszf3z21zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_z62checkzd2nodezd2typezd2var1298zb0zzast_checkzd2typezd2(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_checkzd2typezd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2typezd2(void);
	static obj_t
		BGl_z62checkzd2nodezd2typezd2app1336zb0zzast_checkzd2typezd2(obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t
		BGl_z62checkzd2nodezd2typezd2atom1300zb0zzast_checkzd2typezd2(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2typezd2(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_checkzd2typezd2(void);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	static bool_t BGl_subtypezf3zf3zzast_checkzd2typezd2(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2compilerzd2typezd2debugzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	static bool_t BGl_atomzd2subtypezf3z21zzast_checkzd2typezd2(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	static obj_t BGl_errz00zzast_checkzd2typezd2(obj_t, BgL_typez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2typezd2cond1312zb0zzast_checkzd2typezd2(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_z62checkzd2nodezd2typezd2jump1324zb0zzast_checkzd2typezd2(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2112z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72139za7,
		BGl_z62checkzd2nodezd2typezd2setq1310zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2113z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72140za7,
		BGl_z62checkzd2nodezd2typezd2cond1312zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72141za7,
		BGl_z62checkzd2nodezd2typezd2fail1314zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72142za7,
		BGl_z62checkzd2nodezd2typezd2swit1316zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2116z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72143za7,
		BGl_z62checkzd2nodezd2typezd2letzd21318z62zzast_checkzd2typezd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72144za7,
		BGl_z62checkzd2nodezd2typezd2letzd21320z62zzast_checkzd2typezd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2118z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72145za7,
		BGl_z62checkzd2nodezd2typezd2setzd21322z62zzast_checkzd2typezd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72146za7,
		BGl_z62checkzd2nodezd2typezd2jump1324zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2126z00zzast_checkzd2typezd2,
		BgL_bgl_string2126za700za7za7a2147za7, " check-full=", 12);
	      DEFINE_STRING(BGl_string2127z00zzast_checkzd2typezd2,
		BgL_bgl_string2127za700za7za7a2148za7, " sub=", 5);
	      DEFINE_STRING(BGl_string2128z00zzast_checkzd2typezd2,
		BgL_bgl_string2128za700za7za7a2149za7, " eq=", 4);
	      DEFINE_STRING(BGl_string2129z00zzast_checkzd2typezd2,
		BgL_bgl_string2129za700za7za7a2150za7, " vtype=", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72151za7,
		BGl_z62checkzd2nodezd2typezd2make1326zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72152za7,
		BGl_z62checkzd2nodezd2typezd2boxzd21328z62zzast_checkzd2typezd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2122z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72153za7,
		BGl_z62checkzd2nodezd2typezd2boxzd21330z62zzast_checkzd2typezd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72154za7,
		BGl_z62checkzd2nodezd2typezd2appzd21332z62zzast_checkzd2typezd2, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2130z00zzast_checkzd2typezd2,
		BgL_bgl_string2130za700za7za7a2155za7, " type=", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2124z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72156za7,
		BGl_z62checkzd2nodezd2typezd2func1334zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2131z00zzast_checkzd2typezd2,
		BgL_bgl_string2131za700za7za7a2157za7, " loc=", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72158za7,
		BGl_z62checkzd2nodezd2typezd2app1336zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2132z00zzast_checkzd2typezd2,
		BgL_bgl_string2132za700za7za7a2159za7, "ERR: ", 5);
	      DEFINE_STRING(BGl_string2133z00zzast_checkzd2typezd2,
		BgL_bgl_string2133za700za7za7a2160za7, ":", 1);
	      DEFINE_STRING(BGl_string2134z00zzast_checkzd2typezd2,
		BgL_bgl_string2134za700za7za7a2161za7, ",", 1);
	      DEFINE_STRING(BGl_string2135z00zzast_checkzd2typezd2,
		BgL_bgl_string2135za700za7za7a2162za7, "Ast/check_type.scm", 18);
	      DEFINE_STRING(BGl_string2136z00zzast_checkzd2typezd2,
		BgL_bgl_string2136za700za7za7a2163za7, "ast_check-type", 14);
	      DEFINE_STRING(BGl_string2137z00zzast_checkzd2typezd2,
		BgL_bgl_string2137za700za7za7a2164za7, "static elight tvector ", 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2typezd2envz00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2typeza72165za7,
		BGl_z62checkzd2typezb0zzast_checkzd2typezd2, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2095z00zzast_checkzd2typezd2,
		BgL_bgl_string2095za700za7za7a2166za7, " error", 6);
	      DEFINE_STRING(BGl_string2096z00zzast_checkzd2typezd2,
		BgL_bgl_string2096za700za7za7a2167za7, "s", 1);
	      DEFINE_STRING(BGl_string2097z00zzast_checkzd2typezd2,
		BgL_bgl_string2097za700za7za7a2168za7, "", 0);
	      DEFINE_STRING(BGl_string2098z00zzast_checkzd2typezd2,
		BgL_bgl_string2098za700za7za7a2169za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2099z00zzast_checkzd2typezd2,
		BgL_bgl_string2099za700za7za7a2170za7, "failure during postlude hook", 28);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72171za7,
		BGl_z62checkzd2nodezd2typez62zzast_checkzd2typezd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52checkzd2nodezd2typezd2envz80zzast_checkzd2typezd2,
		BgL_bgl_za762za752checkza7d2no2172za7,
		BGl_z62z52checkzd2nodezd2typez30zzast_checkzd2typezd2, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2100z00zzast_checkzd2typezd2,
		BgL_bgl_string2100za700za7za7a2173za7, "check-node-type (~a)", 20);
	      DEFINE_STRING(BGl_string2101z00zzast_checkzd2typezd2,
		BgL_bgl_string2101za700za7za7a2174za7,
		"Inconsistent type [~a], \"~a\" expected, \"~a\" provided", 52);
	      DEFINE_STRING(BGl_string2102z00zzast_checkzd2typezd2,
		BgL_bgl_string2102za700za7za7a2175za7, "Untyped node", 12);
	      DEFINE_STRING(BGl_string2104z00zzast_checkzd2typezd2,
		BgL_bgl_string2104za700za7za7a2176za7, "check-node-type1295", 19);
	      DEFINE_STRING(BGl_string2106z00zzast_checkzd2typezd2,
		BgL_bgl_string2106za700za7za7a2177za7, "check-node-type", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72178za7,
		BGl_z62checkzd2nodezd2type1295z62zzast_checkzd2typezd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72179za7,
		BGl_z62checkzd2nodezd2typezd2var1298zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72180za7,
		BGl_z62checkzd2nodezd2typezd2atom1300zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72181za7,
		BGl_z62checkzd2nodezd2typezd2kwot1302zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72182za7,
		BGl_z62checkzd2nodezd2typezd2clos1304zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72183za7,
		BGl_z62checkzd2nodezd2typezd2sequ1306zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2111z00zzast_checkzd2typezd2,
		BgL_bgl_za762checkza7d2nodeza72184za7,
		BGl_z62checkzd2nodezd2typezd2sync1308zb0zzast_checkzd2typezd2, 0L, BUNSPEC,
		1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_checkzd2typezd2));
		     ADD_ROOT((void
				*) (&BGl_za2checkzd2typezd2passza2z00zzast_checkzd2typezd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_checkzd2typezd2(long
		BgL_checksumz00_3069, char *BgL_fromz00_3070)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_checkzd2typezd2))
				{
					BGl_requirezd2initializa7ationz75zzast_checkzd2typezd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_checkzd2typezd2();
					BGl_libraryzd2moduleszd2initz00zzast_checkzd2typezd2();
					BGl_cnstzd2initzd2zzast_checkzd2typezd2();
					BGl_importedzd2moduleszd2initz00zzast_checkzd2typezd2();
					BGl_genericzd2initzd2zzast_checkzd2typezd2();
					BGl_methodzd2initzd2zzast_checkzd2typezd2();
					return BGl_toplevelzd2initzd2zzast_checkzd2typezd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2typezd2(void)
	{
		{	/* Ast/check_type.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_check-type");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_check-type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_check-type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_check-type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_check-type");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_check-type");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"ast_check-type");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_check-type");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_check-type");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_check-type");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_check-type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_check-type");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"ast_check-type");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_checkzd2typezd2(void)
	{
		{	/* Ast/check_type.scm 16 */
			{	/* Ast/check_type.scm 16 */
				obj_t BgL_cportz00_2870;

				{	/* Ast/check_type.scm 16 */
					obj_t BgL_stringz00_2877;

					BgL_stringz00_2877 = BGl_string2137z00zzast_checkzd2typezd2;
					{	/* Ast/check_type.scm 16 */
						obj_t BgL_startz00_2878;

						BgL_startz00_2878 = BINT(((long) 0));
						{	/* Ast/check_type.scm 16 */
							obj_t BgL_endz00_2879;

							BgL_endz00_2879 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2877)));
							{	/* Ast/check_type.scm 16 */

								BgL_cportz00_2870 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2877, BgL_startz00_2878, BgL_endz00_2879);
				}}}}
				{
					long BgL_iz00_2871;

					BgL_iz00_2871 = ((long) 2);
				BgL_loopz00_2872:
					if ((BgL_iz00_2871 == ((long) -1)))
						{	/* Ast/check_type.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Ast/check_type.scm 16 */
							{	/* Ast/check_type.scm 16 */
								obj_t BgL_arg2138z00_2873;

								{	/* Ast/check_type.scm 16 */

									{	/* Ast/check_type.scm 16 */
										obj_t BgL_locationz00_2875;

										BgL_locationz00_2875 = BBOOL(((bool_t) 0));
										{	/* Ast/check_type.scm 16 */

											BgL_arg2138z00_2873 =
												BGl_readz00zz__readerz00(BgL_cportz00_2870,
												BgL_locationz00_2875);
										}
									}
								}
								{	/* Ast/check_type.scm 16 */
									int BgL_tmpz00_3103;

									BgL_tmpz00_3103 = (int) (BgL_iz00_2871);
									CNST_TABLE_SET(BgL_tmpz00_3103, BgL_arg2138z00_2873);
							}}
							{	/* Ast/check_type.scm 16 */
								int BgL_auxz00_2876;

								BgL_auxz00_2876 = (int) ((BgL_iz00_2871 - ((long) 1)));
								{
									long BgL_iz00_3108;

									BgL_iz00_3108 = (long) (BgL_auxz00_2876);
									BgL_iz00_2871 = BgL_iz00_3108;
									goto BgL_loopz00_2872;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_checkzd2typezd2(void)
	{
		{	/* Ast/check_type.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_checkzd2typezd2(void)
	{
		{	/* Ast/check_type.scm 16 */
			BGl_za2checkzd2typezd2passza2z00zzast_checkzd2typezd2 = BFALSE;
			BGl_za2checkzd2fullza2zd2zzast_checkzd2typezd2 = ((bool_t) 0);
			BGl_za2checkzd2correctnessza2zd2zzast_checkzd2typezd2 = ((bool_t) 0);
			return BUNSPEC;
		}

	}



/* %check-node-type */
	BGL_EXPORTED_DEF obj_t
		BGl_z52checkzd2nodezd2typez52zzast_checkzd2typezd2(obj_t BgL_funz00_25,
		BgL_nodez00_bglt BgL_nodez00_26, bool_t BgL_fullz00_27,
		bool_t BgL_correctnessz00_28)
	{
		{	/* Ast/check_type.scm 41 */
			BGl_za2checkzd2typezd2passza2z00zzast_checkzd2typezd2 = BgL_funz00_25;
			BGl_za2checkzd2fullza2zd2zzast_checkzd2typezd2 = BgL_fullz00_27;
			BGl_za2checkzd2correctnessza2zd2zzast_checkzd2typezd2 =
				BgL_correctnessz00_28;
			return BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(BgL_nodez00_26);
		}

	}



/* &%check-node-type */
	obj_t BGl_z62z52checkzd2nodezd2typez30zzast_checkzd2typezd2(obj_t
		BgL_envz00_2794, obj_t BgL_funz00_2795, obj_t BgL_nodez00_2796,
		obj_t BgL_fullz00_2797, obj_t BgL_correctnessz00_2798)
	{
		{	/* Ast/check_type.scm 41 */
			return
				BGl_z52checkzd2nodezd2typez52zzast_checkzd2typezd2(BgL_funz00_2795,
				((BgL_nodez00_bglt) BgL_nodez00_2796),
				CBOOL(BgL_fullz00_2797), CBOOL(BgL_correctnessz00_2798));
		}

	}



/* check-type */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2typezd2zzast_checkzd2typezd2(obj_t
		BgL_passz00_29, obj_t BgL_globalsz00_30, bool_t BgL_fullz00_31,
		bool_t BgL_correctnessz00_32)
	{
		{	/* Ast/check_type.scm 50 */
			if (CBOOL(BGl_za2compilerzd2typezd2debugzf3za2zf3zzengine_paramz00))
				{	/* Ast/check_type.scm 51 */
					BGl_za2checkzd2typezd2passza2z00zzast_checkzd2typezd2 =
						BgL_passz00_29;
					BGl_za2checkzd2fullza2zd2zzast_checkzd2typezd2 = BgL_fullz00_31;
					BGl_za2checkzd2correctnessza2zd2zzast_checkzd2typezd2 =
						BgL_correctnessz00_32;
					{
						obj_t BgL_l1276z00_1725;

						BgL_l1276z00_1725 = BgL_globalsz00_30;
					BgL_zc3z04anonymousza31362ze3z87_1726:
						if (PAIRP(BgL_l1276z00_1725))
							{	/* Ast/check_type.scm 55 */
								{	/* Ast/check_type.scm 55 */
									obj_t BgL_arg1364z00_1728;

									BgL_arg1364z00_1728 = CAR(BgL_l1276z00_1725);
									{	/* Ast/check_type.scm 69 */
										BgL_valuez00_bglt BgL_funz00_2387;

										BgL_funz00_2387 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_arg1364z00_1728)))->
											BgL_valuez00);
										{	/* Ast/check_type.scm 69 */
											obj_t BgL_bodyz00_2388;

											BgL_bodyz00_2388 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2387)))->
												BgL_bodyz00);
											{	/* Ast/check_type.scm 70 */

												BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
													((BgL_nodez00_bglt) BgL_bodyz00_2388));
											}
										}
									}
								}
								{
									obj_t BgL_l1276z00_3127;

									BgL_l1276z00_3127 = CDR(BgL_l1276z00_1725);
									BgL_l1276z00_1725 = BgL_l1276z00_3127;
									goto BgL_zc3z04anonymousza31362ze3z87_1726;
								}
							}
						else
							{	/* Ast/check_type.scm 55 */
								((bool_t) 1);
							}
					}
					if (
						((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
							((long) 0)))
						{	/* Ast/check_type.scm 56 */
							{	/* Ast/check_type.scm 56 */
								obj_t BgL_port1278z00_1733;

								{	/* Ast/check_type.scm 56 */
									obj_t BgL_tmpz00_3132;

									BgL_tmpz00_3132 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_port1278z00_1733 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3132);
								}
								bgl_display_obj
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
									BgL_port1278z00_1733);
								bgl_display_string(BGl_string2095z00zzast_checkzd2typezd2,
									BgL_port1278z00_1733);
								{	/* Ast/check_type.scm 56 */
									obj_t BgL_arg1372z00_1734;

									{	/* Ast/check_type.scm 56 */
										bool_t BgL_test2190z00_3137;

										if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Ast/check_type.scm 56 */
												if (INTEGERP
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
													{	/* Ast/check_type.scm 56 */
														BgL_test2190z00_3137 =
															(
															(long)
															CINT
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
															> ((long) 1));
													}
												else
													{	/* Ast/check_type.scm 56 */
														BgL_test2190z00_3137 =
															BGl_2ze3ze3zz__r4_numbers_6_5z00
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
															BINT(((long) 1)));
											}}
										else
											{	/* Ast/check_type.scm 56 */
												BgL_test2190z00_3137 = ((bool_t) 0);
											}
										if (BgL_test2190z00_3137)
											{	/* Ast/check_type.scm 56 */
												BgL_arg1372z00_1734 =
													BGl_string2096z00zzast_checkzd2typezd2;
											}
										else
											{	/* Ast/check_type.scm 56 */
												BgL_arg1372z00_1734 =
													BGl_string2097z00zzast_checkzd2typezd2;
											}
									}
									bgl_display_obj(BgL_arg1372z00_1734, BgL_port1278z00_1733);
								}
								bgl_display_string(BGl_string2098z00zzast_checkzd2typezd2,
									BgL_port1278z00_1733);
								bgl_display_char(((unsigned char) 10), BgL_port1278z00_1733);
							}
							{	/* Ast/check_type.scm 56 */
								obj_t BgL_list1375z00_1738;

								BgL_list1375z00_1738 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
								return BGl_exitz00zz__errorz00(BgL_list1375z00_1738);
							}
						}
					else
						{	/* Ast/check_type.scm 56 */
							obj_t BgL_g1111z00_1739;

							BgL_g1111z00_1739 = BNIL;
							{
								obj_t BgL_hooksz00_1742;
								obj_t BgL_hnamesz00_1743;

								BgL_hooksz00_1742 = BgL_g1111z00_1739;
								BgL_hnamesz00_1743 = BNIL;
							BgL_zc3z04anonymousza31376ze3z87_1744:
								if (NULLP(BgL_hooksz00_1742))
									{	/* Ast/check_type.scm 56 */
										return BgL_globalsz00_30;
									}
								else
									{	/* Ast/check_type.scm 56 */
										bool_t BgL_test2194z00_3154;

										{	/* Ast/check_type.scm 56 */
											obj_t BgL_fun1388z00_1751;

											BgL_fun1388z00_1751 = CAR(((obj_t) BgL_hooksz00_1742));
											BgL_test2194z00_3154 =
												CBOOL(
												((obj_t(*)(obj_t,
															obj_t))
													PROCEDURE_ENTRY(BgL_fun1388z00_1751))
												(BgL_fun1388z00_1751, BEOA));
										}
										if (BgL_test2194z00_3154)
											{	/* Ast/check_type.scm 56 */
												obj_t BgL_arg1381z00_1748;
												obj_t BgL_arg1384z00_1749;

												BgL_arg1381z00_1748 = CDR(((obj_t) BgL_hooksz00_1742));
												BgL_arg1384z00_1749 = CDR(((obj_t) BgL_hnamesz00_1743));
												{
													obj_t BgL_hnamesz00_3166;
													obj_t BgL_hooksz00_3165;

													BgL_hooksz00_3165 = BgL_arg1381z00_1748;
													BgL_hnamesz00_3166 = BgL_arg1384z00_1749;
													BgL_hnamesz00_1743 = BgL_hnamesz00_3166;
													BgL_hooksz00_1742 = BgL_hooksz00_3165;
													goto BgL_zc3z04anonymousza31376ze3z87_1744;
												}
											}
										else
											{	/* Ast/check_type.scm 56 */
												obj_t BgL_arg1387z00_1750;

												BgL_arg1387z00_1750 = CAR(((obj_t) BgL_hnamesz00_1743));
												return
													BGl_internalzd2errorzd2zztools_errorz00
													(BGl_za2currentzd2passza2zd2zzengine_passz00,
													BGl_string2099z00zzast_checkzd2typezd2,
													BgL_arg1387z00_1750);
											}
									}
							}
						}
				}
			else
				{	/* Ast/check_type.scm 51 */
					return BFALSE;
				}
		}

	}



/* &check-type */
	obj_t BGl_z62checkzd2typezb0zzast_checkzd2typezd2(obj_t BgL_envz00_2799,
		obj_t BgL_passz00_2800, obj_t BgL_globalsz00_2801, obj_t BgL_fullz00_2802,
		obj_t BgL_correctnessz00_2803)
	{
		{	/* Ast/check_type.scm 50 */
			return
				BGl_checkzd2typezd2zzast_checkzd2typezd2(BgL_passz00_2800,
				BgL_globalsz00_2801, CBOOL(BgL_fullz00_2802),
				CBOOL(BgL_correctnessz00_2803));
		}

	}



/* err */
	obj_t BGl_errz00zzast_checkzd2typezd2(obj_t BgL_nodez00_34,
		BgL_typez00_bglt BgL_t1z00_35, obj_t BgL_t2z00_36)
	{
		{	/* Ast/check_type.scm 76 */
			{	/* Ast/check_type.scm 77 */
				obj_t BgL_arg1390z00_1756;
				obj_t BgL_arg1391z00_1757;
				obj_t BgL_arg1392z00_1758;
				obj_t BgL_arg1393z00_1759;

				BgL_arg1390z00_1756 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_nodez00_34)))->BgL_locz00);
				{	/* Ast/check_type.scm 78 */
					obj_t BgL_list1395z00_1761;

					BgL_list1395z00_1761 =
						MAKE_YOUNG_PAIR
						(BGl_za2checkzd2typezd2passza2z00zzast_checkzd2typezd2, BNIL);
					BgL_arg1391z00_1757 =
						BGl_formatz00zz__r4_output_6_10_3z00
						(BGl_string2100z00zzast_checkzd2typezd2, BgL_list1395z00_1761);
				}
				{	/* Ast/check_type.scm 79 */
					obj_t BgL_arg1400z00_1762;
					obj_t BgL_arg1421z00_1763;
					obj_t BgL_arg1422z00_1764;

					BgL_arg1400z00_1762 = bgl_typeof(BgL_nodez00_34);
					BgL_arg1421z00_1763 = BGl_shapez00zztools_shapez00(BgL_t2z00_36);
					BgL_arg1422z00_1764 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_t1z00_35));
					{	/* Ast/check_type.scm 79 */
						obj_t BgL_list1423z00_1765;

						{	/* Ast/check_type.scm 79 */
							obj_t BgL_arg1426z00_1766;

							{	/* Ast/check_type.scm 79 */
								obj_t BgL_arg1429z00_1767;

								BgL_arg1429z00_1767 =
									MAKE_YOUNG_PAIR(BgL_arg1422z00_1764, BNIL);
								BgL_arg1426z00_1766 =
									MAKE_YOUNG_PAIR(BgL_arg1421z00_1763, BgL_arg1429z00_1767);
							}
							BgL_list1423z00_1765 =
								MAKE_YOUNG_PAIR(BgL_arg1400z00_1762, BgL_arg1426z00_1766);
						}
						BgL_arg1392z00_1758 =
							BGl_formatz00zz__r4_output_6_10_3z00
							(BGl_string2101z00zzast_checkzd2typezd2, BgL_list1423z00_1765);
					}
				}
				BgL_arg1393z00_1759 = BGl_shapez00zztools_shapez00(BgL_nodez00_34);
				return
					BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1390z00_1756,
					BgL_arg1391z00_1757, BgL_arg1392z00_1758, BgL_arg1393z00_1759, BNIL);
			}
		}

	}



/* err-no-type */
	obj_t BGl_errzd2nozd2typez00zzast_checkzd2typezd2(BgL_nodez00_bglt
		BgL_nodez00_37)
	{
		{	/* Ast/check_type.scm 85 */
			{	/* Ast/check_type.scm 86 */
				obj_t BgL_arg1458z00_1768;
				obj_t BgL_arg1467z00_1769;
				obj_t BgL_arg1468z00_1770;

				BgL_arg1458z00_1768 =
					(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_37))->BgL_locz00);
				{	/* Ast/check_type.scm 87 */
					obj_t BgL_list1470z00_1772;

					BgL_list1470z00_1772 =
						MAKE_YOUNG_PAIR
						(BGl_za2checkzd2typezd2passza2z00zzast_checkzd2typezd2, BNIL);
					BgL_arg1467z00_1769 =
						BGl_formatz00zz__r4_output_6_10_3z00
						(BGl_string2100z00zzast_checkzd2typezd2, BgL_list1470z00_1772);
				}
				BgL_arg1468z00_1770 =
					BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_37));
				return
					BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1458z00_1768,
					BgL_arg1467z00_1769, BGl_string2102z00zzast_checkzd2typezd2,
					BgL_arg1468z00_1770, BNIL);
			}
		}

	}



/* eqtype? */
	bool_t BGl_eqtypezf3zf3zzast_checkzd2typezd2(obj_t BgL_t1z00_60,
		obj_t BgL_t2z00_61)
	{
		{	/* Ast/check_type.scm 320 */
			{	/* Ast/check_type.scm 321 */
				bool_t BgL__ortest_1135z00_1778;

				{	/* Ast/check_type.scm 321 */
					bool_t BgL__ortest_1136z00_1780;

					BgL__ortest_1136z00_1780 = (BgL_t1z00_60 == BgL_t2z00_61);
					if (BgL__ortest_1136z00_1780)
						{	/* Ast/check_type.scm 321 */
							BgL__ortest_1135z00_1778 = BgL__ortest_1136z00_1780;
						}
					else
						{	/* Ast/check_type.scm 321 */
							bool_t BgL__ortest_1137z00_1781;

							BgL__ortest_1137z00_1781 =
								(BgL_t1z00_60 == BGl_za2magicza2z00zztype_cachez00);
							if (BgL__ortest_1137z00_1781)
								{	/* Ast/check_type.scm 321 */
									BgL__ortest_1135z00_1778 = BgL__ortest_1137z00_1781;
								}
							else
								{	/* Ast/check_type.scm 321 */
									BgL__ortest_1135z00_1778 =
										(BgL_t2z00_61 == BGl_za2magicza2z00zztype_cachez00);
								}
						}
				}
				if (BgL__ortest_1135z00_1778)
					{	/* Ast/check_type.scm 321 */
						return BgL__ortest_1135z00_1778;
					}
				else
					{	/* Ast/check_type.scm 321 */
						if ((BgL_t1z00_60 == BGl_za2_za2z00zztype_cachez00))
							{	/* Ast/check_type.scm 322 */
								if (BGl_za2checkzd2fullza2zd2zzast_checkzd2typezd2)
									{	/* Ast/check_type.scm 322 */
										return ((bool_t) 0);
									}
								else
									{	/* Ast/check_type.scm 322 */
										return ((bool_t) 1);
									}
							}
						else
							{	/* Ast/check_type.scm 322 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* subtype? */
	bool_t BGl_subtypezf3zf3zzast_checkzd2typezd2(BgL_typez00_bglt BgL_t1z00_62,
		BgL_typez00_bglt BgL_t2z00_63)
	{
		{	/* Ast/check_type.scm 329 */
			if ((((obj_t) BgL_t1z00_62) == ((obj_t) BgL_t2z00_63)))
				{	/* Ast/check_type.scm 331 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/check_type.scm 333 */
					bool_t BgL_test2201z00_3206;

					if ((((obj_t) BgL_t2z00_63) == BGl_za2_za2z00zztype_cachez00))
						{	/* Ast/check_type.scm 333 */
							BgL_test2201z00_3206 = ((bool_t) 1);
						}
					else
						{	/* Ast/check_type.scm 333 */
							BgL_test2201z00_3206 =
								(((obj_t) BgL_t1z00_62) == BGl_za2_za2z00zztype_cachez00);
						}
					if (BgL_test2201z00_3206)
						{	/* Ast/check_type.scm 333 */
							if (BGl_za2checkzd2fullza2zd2zzast_checkzd2typezd2)
								{	/* Ast/check_type.scm 334 */
									return ((bool_t) 0);
								}
							else
								{	/* Ast/check_type.scm 334 */
									return ((bool_t) 1);
								}
						}
					else
						{	/* Ast/check_type.scm 335 */
							bool_t BgL_test2204z00_3213;

							if (BGl_za2checkzd2correctnessza2zd2zzast_checkzd2typezd2)
								{	/* Ast/check_type.scm 335 */
									BgL_test2204z00_3213 =
										CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
								}
							else
								{	/* Ast/check_type.scm 335 */
									BgL_test2204z00_3213 = ((bool_t) 1);
								}
							if (BgL_test2204z00_3213)
								{	/* Ast/check_type.scm 335 */
									return ((bool_t) 1);
								}
							else
								{	/* Ast/check_type.scm 337 */
									bool_t BgL_test2206z00_3216;

									if (
										(((obj_t) BgL_t1z00_62) ==
											BGl_za2magicza2z00zztype_cachez00))
										{	/* Ast/check_type.scm 337 */
											BgL_test2206z00_3216 = ((bool_t) 1);
										}
									else
										{	/* Ast/check_type.scm 337 */
											BgL_test2206z00_3216 =
												(
												((obj_t) BgL_t2z00_63) ==
												BGl_za2magicza2z00zztype_cachez00);
										}
									if (BgL_test2206z00_3216)
										{	/* Ast/check_type.scm 337 */
											return ((bool_t) 1);
										}
									else
										{	/* Ast/check_type.scm 337 */
											if (
												(((obj_t) BgL_t2z00_63) ==
													BGl_za2pairzd2nilza2zd2zztype_cachez00))
												{	/* Ast/check_type.scm 341 */
													bool_t BgL__ortest_1139z00_1785;

													BgL__ortest_1139z00_1785 =
														(
														((obj_t) BgL_t1z00_62) ==
														BGl_za2pairza2z00zztype_cachez00);
													if (BgL__ortest_1139z00_1785)
														{	/* Ast/check_type.scm 341 */
															return BgL__ortest_1139z00_1785;
														}
													else
														{	/* Ast/check_type.scm 341 */
															bool_t BgL__ortest_1140z00_1786;

															BgL__ortest_1140z00_1786 =
																(
																((obj_t) BgL_t1z00_62) ==
																BGl_za2epairza2z00zztype_cachez00);
															if (BgL__ortest_1140z00_1786)
																{	/* Ast/check_type.scm 341 */
																	return BgL__ortest_1140z00_1786;
																}
															else
																{	/* Ast/check_type.scm 341 */
																	return
																		(
																		((obj_t) BgL_t1z00_62) ==
																		BGl_za2bnilza2z00zztype_cachez00);
																}
														}
												}
											else
												{	/* Ast/check_type.scm 342 */
													bool_t BgL_test2211z00_3233;

													if (
														(((obj_t) BgL_t2z00_63) ==
															BGl_za2pairza2z00zztype_cachez00))
														{	/* Ast/check_type.scm 342 */
															BgL_test2211z00_3233 =
																(BGl_za2epairza2z00zztype_cachez00 ==
																((obj_t) BgL_t1z00_62));
														}
													else
														{	/* Ast/check_type.scm 342 */
															BgL_test2211z00_3233 = ((bool_t) 0);
														}
													if (BgL_test2211z00_3233)
														{	/* Ast/check_type.scm 342 */
															return ((bool_t) 1);
														}
													else
														{	/* Ast/check_type.scm 344 */
															bool_t BgL_test2213z00_3239;

															{	/* Ast/check_type.scm 344 */
																bool_t BgL_test2214z00_3240;

																{	/* Ast/check_type.scm 344 */
																	obj_t BgL_classz00_2411;

																	BgL_classz00_2411 =
																		BGl_tclassz00zzobject_classz00;
																	{	/* Ast/check_type.scm 344 */
																		BgL_objectz00_bglt BgL_arg1820z00_2413;

																		{	/* Ast/check_type.scm 344 */
																			obj_t BgL_tmpz00_3241;

																			BgL_tmpz00_3241 =
																				((obj_t)
																				((BgL_objectz00_bglt) BgL_t1z00_62));
																			BgL_arg1820z00_2413 =
																				(BgL_objectz00_bglt) (BgL_tmpz00_3241);
																		}
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Ast/check_type.scm 344 */
																				long BgL_idxz00_2419;

																				BgL_idxz00_2419 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1820z00_2413);
																				BgL_test2214z00_3240 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2419 + ((long) 2))) ==
																					BgL_classz00_2411);
																			}
																		else
																			{	/* Ast/check_type.scm 344 */
																				bool_t BgL_res2080z00_2441;

																				{	/* Ast/check_type.scm 344 */
																					obj_t BgL_oclassz00_2427;

																					{	/* Ast/check_type.scm 344 */
																						long BgL_arg1828z00_2433;

																						{	/* Ast/check_type.scm 344 */
																							long BgL_arg1829z00_2434;

																							BgL_arg1829z00_2434 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1820z00_2413);
																							BgL_arg1828z00_2433 =
																								(BgL_arg1829z00_2434 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2427 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1828z00_2433);
																					}
																					{	/* Ast/check_type.scm 344 */
																						bool_t BgL__ortest_1111z00_2428;

																						BgL__ortest_1111z00_2428 =
																							(BgL_classz00_2411 ==
																							BgL_oclassz00_2427);
																						if (BgL__ortest_1111z00_2428)
																							{	/* Ast/check_type.scm 344 */
																								BgL_res2080z00_2441 =
																									BgL__ortest_1111z00_2428;
																							}
																						else
																							{	/* Ast/check_type.scm 344 */
																								long BgL_odepthz00_2429;

																								BgL_odepthz00_2429 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2427);
																								if ((((long) 2) <
																										BgL_odepthz00_2429))
																									{	/* Ast/check_type.scm 344 */
																										obj_t BgL_arg1816z00_2431;

																										BgL_arg1816z00_2431 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2427,
																											((long) 2));
																										BgL_res2080z00_2441 =
																											(BgL_arg1816z00_2431 ==
																											BgL_classz00_2411);
																									}
																								else
																									{	/* Ast/check_type.scm 344 */
																										BgL_res2080z00_2441 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2214z00_3240 =
																					BgL_res2080z00_2441;
																			}
																	}
																}
																if (BgL_test2214z00_3240)
																	{	/* Ast/check_type.scm 344 */
																		obj_t BgL_classz00_2442;

																		BgL_classz00_2442 =
																			BGl_tclassz00zzobject_classz00;
																		{	/* Ast/check_type.scm 344 */
																			BgL_objectz00_bglt BgL_arg1820z00_2444;

																			{	/* Ast/check_type.scm 344 */
																				obj_t BgL_tmpz00_3261;

																				BgL_tmpz00_3261 =
																					((obj_t)
																					((BgL_objectz00_bglt) BgL_t2z00_63));
																				BgL_arg1820z00_2444 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3261);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Ast/check_type.scm 344 */
																					long BgL_idxz00_2450;

																					BgL_idxz00_2450 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1820z00_2444);
																					BgL_test2213z00_3239 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2450 + ((long) 2))) ==
																						BgL_classz00_2442);
																				}
																			else
																				{	/* Ast/check_type.scm 344 */
																					bool_t BgL_res2081z00_2472;

																					{	/* Ast/check_type.scm 344 */
																						obj_t BgL_oclassz00_2458;

																						{	/* Ast/check_type.scm 344 */
																							long BgL_arg1828z00_2464;

																							{	/* Ast/check_type.scm 344 */
																								long BgL_arg1829z00_2465;

																								BgL_arg1829z00_2465 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1820z00_2444);
																								BgL_arg1828z00_2464 =
																									(BgL_arg1829z00_2465 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2458 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1828z00_2464);
																						}
																						{	/* Ast/check_type.scm 344 */
																							bool_t BgL__ortest_1111z00_2459;

																							BgL__ortest_1111z00_2459 =
																								(BgL_classz00_2442 ==
																								BgL_oclassz00_2458);
																							if (BgL__ortest_1111z00_2459)
																								{	/* Ast/check_type.scm 344 */
																									BgL_res2081z00_2472 =
																										BgL__ortest_1111z00_2459;
																								}
																							else
																								{	/* Ast/check_type.scm 344 */
																									long BgL_odepthz00_2460;

																									BgL_odepthz00_2460 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2458);
																									if ((((long) 2) <
																											BgL_odepthz00_2460))
																										{	/* Ast/check_type.scm 344 */
																											obj_t BgL_arg1816z00_2462;

																											BgL_arg1816z00_2462 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2458,
																												((long) 2));
																											BgL_res2081z00_2472 =
																												(BgL_arg1816z00_2462 ==
																												BgL_classz00_2442);
																										}
																									else
																										{	/* Ast/check_type.scm 344 */
																											BgL_res2081z00_2472 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2213z00_3239 =
																						BgL_res2081z00_2472;
																				}
																		}
																	}
																else
																	{	/* Ast/check_type.scm 344 */
																		BgL_test2213z00_3239 = ((bool_t) 0);
																	}
															}
															if (BgL_test2213z00_3239)
																{	/* Ast/check_type.scm 344 */
																	BGL_TAIL return
																		BGl_typezd2subclasszf3z21zzobject_classz00
																		(BgL_t1z00_62, BgL_t2z00_63);
																}
															else
																{	/* Ast/check_type.scm 344 */
																	if (
																		(((obj_t) BgL_t2z00_63) ==
																			BGl_za2objza2z00zztype_cachez00))
																		{	/* Ast/check_type.scm 347 */
																			return ((bool_t) 1);
																		}
																	else
																		{	/* Ast/check_type.scm 350 */
																			bool_t BgL_test2222z00_3285;

																			if (
																				(((obj_t) BgL_t2z00_63) ==
																					BGl_za2foreignza2z00zztype_cachez00))
																				{	/* Ast/check_type.scm 350 */
																					BgL_test2222z00_3285 =
																						BGl_coercerzd2existszf3z21zztype_coercionz00
																						(BgL_t1z00_62, BgL_t2z00_63);
																				}
																			else
																				{	/* Ast/check_type.scm 350 */
																					BgL_test2222z00_3285 = ((bool_t) 0);
																				}
																			if (BgL_test2222z00_3285)
																				{	/* Ast/check_type.scm 350 */
																					return ((bool_t) 1);
																				}
																			else
																				{	/* Ast/check_type.scm 353 */
																					bool_t BgL_test2224z00_3290;

																					if (
																						(((obj_t) BgL_t1z00_62) ==
																							BGl_za2foreignza2z00zztype_cachez00))
																						{	/* Ast/check_type.scm 353 */
																							BgL_test2224z00_3290 =
																								BGl_coercerzd2existszf3z21zztype_coercionz00
																								(BgL_t1z00_62, BgL_t2z00_63);
																						}
																					else
																						{	/* Ast/check_type.scm 353 */
																							BgL_test2224z00_3290 =
																								((bool_t) 0);
																						}
																					if (BgL_test2224z00_3290)
																						{	/* Ast/check_type.scm 353 */
																							return ((bool_t) 1);
																						}
																					else
																						{	/* Ast/check_type.scm 353 */
																							if (
																								((((BgL_typez00_bglt)
																											COBJECT(BgL_t1z00_62))->
																										BgL_idz00) ==
																									CNST_TABLE_REF(((long) 0))))
																								{	/* Ast/check_type.scm 356 */
																									obj_t BgL_classz00_2474;

																									BgL_classz00_2474 =
																										BGl_tvecz00zztvector_tvectorz00;
																									{	/* Ast/check_type.scm 356 */
																										BgL_objectz00_bglt
																											BgL_arg1820z00_2476;
																										{	/* Ast/check_type.scm 356 */
																											obj_t BgL_tmpz00_3299;

																											BgL_tmpz00_3299 =
																												((obj_t)
																												((BgL_objectz00_bglt)
																													BgL_t2z00_63));
																											BgL_arg1820z00_2476 =
																												(BgL_objectz00_bglt)
																												(BgL_tmpz00_3299);
																										}
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Ast/check_type.scm 356 */
																												long BgL_idxz00_2482;

																												BgL_idxz00_2482 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1820z00_2476);
																												return (VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_2482 +
																															((long) 2))) ==
																													BgL_classz00_2474);
																											}
																										else
																											{	/* Ast/check_type.scm 356 */
																												bool_t
																													BgL_res2082z00_2504;
																												{	/* Ast/check_type.scm 356 */
																													obj_t
																														BgL_oclassz00_2490;
																													{	/* Ast/check_type.scm 356 */
																														long
																															BgL_arg1828z00_2496;
																														{	/* Ast/check_type.scm 356 */
																															long
																																BgL_arg1829z00_2497;
																															BgL_arg1829z00_2497
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1820z00_2476);
																															BgL_arg1828z00_2496
																																=
																																(BgL_arg1829z00_2497
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_2490 =
																															VECTOR_REF
																															(BGl_za2classesza2z00zz__objectz00,
																															BgL_arg1828z00_2496);
																													}
																													{	/* Ast/check_type.scm 356 */
																														bool_t
																															BgL__ortest_1111z00_2491;
																														BgL__ortest_1111z00_2491
																															=
																															(BgL_classz00_2474
																															==
																															BgL_oclassz00_2490);
																														if (BgL__ortest_1111z00_2491)
																															{	/* Ast/check_type.scm 356 */
																																BgL_res2082z00_2504
																																	=
																																	BgL__ortest_1111z00_2491;
																															}
																														else
																															{	/* Ast/check_type.scm 356 */
																																long
																																	BgL_odepthz00_2492;
																																BgL_odepthz00_2492
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_oclassz00_2490);
																																if ((((long) 2)
																																		<
																																		BgL_odepthz00_2492))
																																	{	/* Ast/check_type.scm 356 */
																																		obj_t
																																			BgL_arg1816z00_2494;
																																		BgL_arg1816z00_2494
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_oclassz00_2490,
																																			((long)
																																				2));
																																		BgL_res2082z00_2504
																																			=
																																			(BgL_arg1816z00_2494
																																			==
																																			BgL_classz00_2474);
																																	}
																																else
																																	{	/* Ast/check_type.scm 356 */
																																		BgL_res2082z00_2504
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												return
																													BgL_res2082z00_2504;
																											}
																									}
																								}
																							else
																								{	/* Ast/check_type.scm 356 */
																									return ((bool_t) 0);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}

	}



/* atom-subtype? */
	bool_t BGl_atomzd2subtypezf3z21zzast_checkzd2typezd2(BgL_typez00_bglt
		BgL_t1z00_64, BgL_typez00_bglt BgL_t2z00_65)
	{
		{	/* Ast/check_type.scm 364 */
			if ((((obj_t) BgL_t1z00_64) == BGl_za2_za2z00zztype_cachez00))
				{	/* Ast/check_type.scm 366 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/check_type.scm 366 */
					if ((((obj_t) BgL_t1z00_64) == ((obj_t) BgL_t2z00_65)))
						{	/* Ast/check_type.scm 368 */
							return ((bool_t) 1);
						}
					else
						{	/* Ast/check_type.scm 370 */
							bool_t BgL_test2232z00_3326;

							if ((((obj_t) BgL_t1z00_64) == BGl_za2longza2z00zztype_cachez00))
								{	/* Ast/check_type.scm 370 */
									BgL_test2232z00_3326 = ((bool_t) 1);
								}
							else
								{	/* Ast/check_type.scm 370 */
									BgL_test2232z00_3326 =
										(((obj_t) BgL_t1z00_64) == BGl_za2intza2z00zztype_cachez00);
								}
							if (BgL_test2232z00_3326)
								{	/* Ast/check_type.scm 371 */
									bool_t BgL__ortest_1141z00_1800;

									BgL__ortest_1141z00_1800 =
										(
										((obj_t) BgL_t2z00_65) == BGl_za2longza2z00zztype_cachez00);
									if (BgL__ortest_1141z00_1800)
										{	/* Ast/check_type.scm 371 */
											return BgL__ortest_1141z00_1800;
										}
									else
										{	/* Ast/check_type.scm 371 */
											return
												(
												((obj_t) BgL_t2z00_65) ==
												BGl_za2intza2z00zztype_cachez00);
										}
								}
							else
								{	/* Ast/check_type.scm 370 */
									return ((bool_t) 0);
								}
						}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_checkzd2typezd2(void)
	{
		{	/* Ast/check_type.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_checkzd2typezd2(void)
	{
		{	/* Ast/check_type.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_proc2103z00zzast_checkzd2typezd2, BGl_nodez00zzast_nodez00,
				BGl_string2104z00zzast_checkzd2typezd2);
		}

	}



/* &check-node-type1295 */
	obj_t BGl_z62checkzd2nodezd2type1295z62zzast_checkzd2typezd2(obj_t
		BgL_envz00_2805, obj_t BgL_nodez00_2806)
	{
		{	/* Ast/check_type.scm 103 */
			{	/* Ast/check_type.scm 104 */
				bool_t BgL_test2235z00_3338;

				if (BGl_za2checkzd2fullza2zd2zzast_checkzd2typezd2)
					{	/* Ast/check_type.scm 104 */
						BgL_typez00_bglt BgL_arg1535z00_2882;

						BgL_arg1535z00_2882 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_nodez00_2806)))->BgL_typez00);
						BgL_test2235z00_3338 =
							(((obj_t) BgL_arg1535z00_2882) == BGl_za2_za2z00zztype_cachez00);
					}
				else
					{	/* Ast/check_type.scm 104 */
						BgL_test2235z00_3338 = ((bool_t) 0);
					}
				if (BgL_test2235z00_3338)
					{	/* Ast/check_type.scm 104 */
						return
							BGl_errzd2nozd2typez00zzast_checkzd2typezd2(
							((BgL_nodez00_bglt) BgL_nodez00_2806));
					}
				else
					{	/* Ast/check_type.scm 104 */
						return BFALSE;
					}
			}
		}

	}



/* check-node-type */
	obj_t BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(BgL_nodez00_bglt
		BgL_nodez00_39)
	{
		{	/* Ast/check_type.scm 103 */
			{	/* Ast/check_type.scm 103 */
				obj_t BgL_method1296z00_1808;

				{	/* Ast/check_type.scm 103 */
					obj_t BgL_res2087z00_2536;

					{	/* Ast/check_type.scm 103 */
						long BgL_objzd2classzd2numz00_2507;

						BgL_objzd2classzd2numz00_2507 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_39));
						{	/* Ast/check_type.scm 103 */
							obj_t BgL_arg1825z00_2508;

							BgL_arg1825z00_2508 =
								PROCEDURE_REF
								(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
								(int) (((long) 1)));
							{	/* Ast/check_type.scm 103 */
								int BgL_offsetz00_2511;

								BgL_offsetz00_2511 = (int) (BgL_objzd2classzd2numz00_2507);
								{	/* Ast/check_type.scm 103 */
									long BgL_offsetz00_2512;

									BgL_offsetz00_2512 =
										((long) (BgL_offsetz00_2511) - OBJECT_TYPE);
									{	/* Ast/check_type.scm 103 */
										long BgL_modz00_2513;

										BgL_modz00_2513 =
											(BgL_offsetz00_2512 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/check_type.scm 103 */
											long BgL_restz00_2515;

											BgL_restz00_2515 =
												(BgL_offsetz00_2512 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/check_type.scm 103 */

												{	/* Ast/check_type.scm 103 */
													obj_t BgL_bucketz00_2517;

													BgL_bucketz00_2517 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2508), BgL_modz00_2513);
													BgL_res2087z00_2536 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2517), BgL_restz00_2515);
					}}}}}}}}
					BgL_method1296z00_1808 = BgL_res2087z00_2536;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1296z00_1808)) (BgL_method1296z00_1808,
					((obj_t) BgL_nodez00_39), BEOA);
			}
		}

	}



/* &check-node-type */
	obj_t BGl_z62checkzd2nodezd2typez62zzast_checkzd2typezd2(obj_t
		BgL_envz00_2807, obj_t BgL_nodez00_2808)
	{
		{	/* Ast/check_type.scm 103 */
			return
				BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				((BgL_nodez00_bglt) BgL_nodez00_2808));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_checkzd2typezd2(void)
	{
		{	/* Ast/check_type.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_varz00zzast_nodez00, BGl_proc2105z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_atomz00zzast_nodez00, BGl_proc2107z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_kwotez00zzast_nodez00, BGl_proc2108z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_closurez00zzast_nodez00, BGl_proc2109z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_sequencez00zzast_nodez00, BGl_proc2110z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_syncz00zzast_nodez00, BGl_proc2111z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_setqz00zzast_nodez00, BGl_proc2112z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_conditionalz00zzast_nodez00, BGl_proc2113z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_failz00zzast_nodez00, BGl_proc2114z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_switchz00zzast_nodez00, BGl_proc2115z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2116z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2117z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2118z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2119z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2120z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2121z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2122z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2123z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_funcallz00zzast_nodez00, BGl_proc2124z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
				BGl_appz00zzast_nodez00, BGl_proc2125z00zzast_checkzd2typezd2,
				BGl_string2106z00zzast_checkzd2typezd2);
		}

	}



/* &check-node-type-app1336 */
	obj_t BGl_z62checkzd2nodezd2typezd2app1336zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2829, obj_t BgL_nodez00_2830)
	{
		{	/* Ast/check_type.scm 311 */
			{	/* Ast/check_type.scm 313 */
				obj_t BgL_g1294z00_2884;

				BgL_g1294z00_2884 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2830)))->BgL_argsz00);
				{
					obj_t BgL_l1292z00_2886;

					BgL_l1292z00_2886 = BgL_g1294z00_2884;
				BgL_zc3z04anonymousza31987ze3z87_2885:
					if (PAIRP(BgL_l1292z00_2886))
						{	/* Ast/check_type.scm 313 */
							{	/* Ast/check_type.scm 313 */
								obj_t BgL_arg1989z00_2887;

								BgL_arg1989z00_2887 = CAR(BgL_l1292z00_2886);
								BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
									((BgL_nodez00_bglt) BgL_arg1989z00_2887));
							}
							{
								obj_t BgL_l1292z00_3405;

								BgL_l1292z00_3405 = CDR(BgL_l1292z00_2886);
								BgL_l1292z00_2886 = BgL_l1292z00_3405;
								goto BgL_zc3z04anonymousza31987ze3z87_2885;
							}
						}
					else
						{	/* Ast/check_type.scm 313 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/check_type.scm 314 */
				bool_t BgL_test2238z00_3407;

				{	/* Ast/check_type.scm 314 */
					BgL_typez00_bglt BgL_arg2000z00_2888;
					BgL_typez00_bglt BgL_arg2001z00_2889;

					BgL_arg2000z00_2888 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2830))))->BgL_typez00);
					BgL_arg2001z00_2889 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_2830)))->
												BgL_funz00)))->BgL_variablez00)))->BgL_typez00);
					BgL_test2238z00_3407 =
						BGl_subtypezf3zf3zzast_checkzd2typezd2(BgL_arg2000z00_2888,
						BgL_arg2001z00_2889);
				}
				if (BgL_test2238z00_3407)
					{	/* Ast/check_type.scm 314 */
						return BFALSE;
					}
				else
					{	/* Ast/check_type.scm 315 */
						BgL_typez00_bglt BgL_arg1996z00_2890;
						BgL_typez00_bglt BgL_arg1997z00_2891;

						BgL_arg1996z00_2890 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_2830))))->BgL_typez00);
						BgL_arg1997z00_2891 =
							(((BgL_variablez00_bglt) COBJECT(
									(((BgL_varz00_bglt) COBJECT(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2830)))->
													BgL_funz00)))->BgL_variablez00)))->BgL_typez00);
						return BGl_errz00zzast_checkzd2typezd2(((obj_t) ((BgL_appz00_bglt)
									BgL_nodez00_2830)), BgL_arg1996z00_2890,
							((obj_t) BgL_arg1997z00_2891));
					}
			}
		}

	}



/* &check-node-type-func1334 */
	obj_t BGl_z62checkzd2nodezd2typezd2func1334zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2831, obj_t BgL_nodez00_2832)
	{
		{	/* Ast/check_type.scm 301 */
			{

				if (
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2832)))->
							BgL_strengthz00) == CNST_TABLE_REF(((long) 1))))
					{	/* Ast/check_type.scm 303 */
						BFALSE;
					}
				else
					{	/* Ast/check_type.scm 303 */
						BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_nodez00_2832)))->BgL_funz00));
					}
				{	/* Ast/check_type.scm 305 */
					obj_t BgL_g1291z00_2895;

					BgL_g1291z00_2895 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2832)))->BgL_argsz00);
					{
						obj_t BgL_l1289z00_2897;

						BgL_l1289z00_2897 = BgL_g1291z00_2895;
					BgL_zc3z04anonymousza31983ze3z87_2896:
						if (PAIRP(BgL_l1289z00_2897))
							{	/* Ast/check_type.scm 305 */
								{	/* Ast/check_type.scm 305 */
									obj_t BgL_arg1985z00_2898;

									BgL_arg1985z00_2898 = CAR(BgL_l1289z00_2897);
									BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
										((BgL_nodez00_bglt) BgL_arg1985z00_2898));
								}
								{
									obj_t BgL_l1289z00_3442;

									BgL_l1289z00_3442 = CDR(BgL_l1289z00_2897);
									BgL_l1289z00_2897 = BgL_l1289z00_3442;
									goto BgL_zc3z04anonymousza31983ze3z87_2896;
								}
							}
						else
							{	/* Ast/check_type.scm 305 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/check_type.scm 301 */
					obj_t BgL_nextzd2method1333zd2_2894;

					BgL_nextzd2method1333zd2_2894 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt) BgL_nodez00_2832)),
						BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
						BGl_funcallz00zzast_nodez00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1333zd2_2894))
						(BgL_nextzd2method1333zd2_2894,
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2832)), BEOA);
				}
			}
		}

	}



/* &check-node-type-app-1332 */
	obj_t BGl_z62checkzd2nodezd2typezd2appzd21332z62zzast_checkzd2typezd2(obj_t
		BgL_envz00_2833, obj_t BgL_nodez00_2834)
	{
		{	/* Ast/check_type.scm 292 */
			{

				BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2834)))->BgL_funz00));
				BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2834)))->BgL_argz00));
				{	/* Ast/check_type.scm 292 */
					obj_t BgL_nextzd2method1331zd2_2901;

					BgL_nextzd2method1331zd2_2901 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2834)),
						BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
						BGl_appzd2lyzd2zzast_nodez00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1331zd2_2901))
						(BgL_nextzd2method1331zd2_2901,
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2834)), BEOA);
				}
			}
		}

	}



/* &check-node-type-box-1330 */
	obj_t BGl_z62checkzd2nodezd2typezd2boxzd21330z62zzast_checkzd2typezd2(obj_t
		BgL_envz00_2835, obj_t BgL_nodez00_2836)
	{
		{	/* Ast/check_type.scm 282 */
			{	/* Ast/check_type.scm 284 */
				BgL_varz00_bglt BgL_arg1971z00_2903;

				BgL_arg1971z00_2903 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2836)))->BgL_varz00);
				BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
					((BgL_nodez00_bglt) BgL_arg1971z00_2903));
			}
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2836)))->BgL_valuez00));
			{	/* Ast/check_type.scm 286 */
				bool_t BgL_test2241z00_3475;

				{	/* Ast/check_type.scm 286 */
					BgL_typez00_bglt BgL_arg1976z00_2904;

					BgL_arg1976z00_2904 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2836))))->
						BgL_typez00);
					BgL_test2241z00_3475 =
						(((obj_t) BgL_arg1976z00_2904) ==
						BGl_za2unspecza2z00zztype_cachez00);
				}
				if (BgL_test2241z00_3475)
					{	/* Ast/check_type.scm 286 */
						return BFALSE;
					}
				else
					{	/* Ast/check_type.scm 287 */
						BgL_typez00_bglt BgL_arg1975z00_2905;

						BgL_arg1975z00_2905 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2836))))->
							BgL_typez00);
						return
							BGl_errz00zzast_checkzd2typezd2(((obj_t) (
									(BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2836)),
							BgL_arg1975z00_2905, BGl_za2unspecza2z00zztype_cachez00);
					}
			}
		}

	}



/* &check-node-type-box-1328 */
	obj_t BGl_z62checkzd2nodezd2typezd2boxzd21328z62zzast_checkzd2typezd2(obj_t
		BgL_envz00_2837, obj_t BgL_nodez00_2838)
	{
		{	/* Ast/check_type.scm 273 */
			{	/* Ast/check_type.scm 275 */
				BgL_varz00_bglt BgL_arg1961z00_2907;

				BgL_arg1961z00_2907 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2838)))->BgL_varz00);
				BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
					((BgL_nodez00_bglt) BgL_arg1961z00_2907));
			}
			{	/* Ast/check_type.scm 276 */
				bool_t BgL_test2242z00_3491;

				{	/* Ast/check_type.scm 276 */
					BgL_typez00_bglt BgL_arg1969z00_2908;

					BgL_arg1969z00_2908 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									(((BgL_boxzd2refzd2_bglt) COBJECT(
												((BgL_boxzd2refzd2_bglt) BgL_nodez00_2838)))->
										BgL_varz00))))->BgL_typez00);
					BgL_test2242z00_3491 =
						BGl_eqtypezf3zf3zzast_checkzd2typezd2
						(BGl_za2cellza2z00zztype_cachez00, ((obj_t) BgL_arg1969z00_2908));
				}
				if (BgL_test2242z00_3491)
					{	/* Ast/check_type.scm 276 */
						return BFALSE;
					}
				else
					{	/* Ast/check_type.scm 277 */
						BgL_typez00_bglt BgL_arg1965z00_2909;
						BgL_typez00_bglt BgL_arg1966z00_2910;

						BgL_arg1965z00_2909 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_2838))))->BgL_typez00);
						BgL_arg1966z00_2910 =
							(((BgL_variablez00_bglt) COBJECT(
									(((BgL_varz00_bglt) COBJECT(
												(((BgL_boxzd2refzd2_bglt) COBJECT(
															((BgL_boxzd2refzd2_bglt) BgL_nodez00_2838)))->
													BgL_varz00)))->BgL_variablez00)))->BgL_typez00);
						return
							BGl_errz00zzast_checkzd2typezd2(((obj_t) ((BgL_boxzd2refzd2_bglt)
									BgL_nodez00_2838)), BgL_arg1965z00_2909,
							((obj_t) BgL_arg1966z00_2910));
					}
			}
		}

	}



/* &check-node-type-make1326 */
	obj_t BGl_z62checkzd2nodezd2typezd2make1326zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2839, obj_t BgL_nodez00_2840)
	{
		{	/* Ast/check_type.scm 264 */
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2840)))->BgL_valuez00));
			{	/* Ast/check_type.scm 267 */
				bool_t BgL_test2243z00_3512;

				{	/* Ast/check_type.scm 267 */
					BgL_typez00_bglt BgL_arg1960z00_2912;

					BgL_arg1960z00_2912 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2840))))->BgL_typez00);
					BgL_test2243z00_3512 =
						(((obj_t) BgL_arg1960z00_2912) == BGl_za2cellza2z00zztype_cachez00);
				}
				if (BgL_test2243z00_3512)
					{	/* Ast/check_type.scm 267 */
						return BFALSE;
					}
				else
					{	/* Ast/check_type.scm 268 */
						BgL_typez00_bglt BgL_arg1959z00_2913;

						BgL_arg1959z00_2913 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nodez00_2840))))->
							BgL_typez00);
						return
							BGl_errz00zzast_checkzd2typezd2(((obj_t) ((BgL_makezd2boxzd2_bglt)
									BgL_nodez00_2840)), BgL_arg1959z00_2913,
							BGl_za2cellza2z00zztype_cachez00);
					}
			}
		}

	}



/* &check-node-type-jump1324 */
	obj_t BGl_z62checkzd2nodezd2typezd2jump1324zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2841, obj_t BgL_nodez00_2842)
	{
		{	/* Ast/check_type.scm 254 */
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2842)))->BgL_exitz00));
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2842)))->BgL_valuez00));
			{	/* Ast/check_type.scm 258 */
				bool_t BgL_test2244z00_3530;

				{	/* Ast/check_type.scm 258 */
					BgL_typez00_bglt BgL_arg1955z00_2915;

					BgL_arg1955z00_2915 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2842))))->
						BgL_typez00);
					BgL_test2244z00_3530 =
						(((obj_t) BgL_arg1955z00_2915) ==
						BGl_za2unspecza2z00zztype_cachez00);
				}
				if (BgL_test2244z00_3530)
					{	/* Ast/check_type.scm 258 */
						return BFALSE;
					}
				else
					{	/* Ast/check_type.scm 259 */
						BgL_typez00_bglt BgL_arg1954z00_2916;

						BgL_arg1954z00_2916 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2842))))->
							BgL_typez00);
						return
							BGl_errz00zzast_checkzd2typezd2(((obj_t) (
									(BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2842)),
							BgL_arg1954z00_2916, BGl_za2unspecza2z00zztype_cachez00);
					}
			}
		}

	}



/* &check-node-type-set-1322 */
	obj_t BGl_z62checkzd2nodezd2typezd2setzd21322z62zzast_checkzd2typezd2(obj_t
		BgL_envz00_2843, obj_t BgL_nodez00_2844)
	{
		{	/* Ast/check_type.scm 243 */
			{	/* Ast/check_type.scm 245 */
				BgL_varz00_bglt BgL_arg1939z00_2918;

				BgL_arg1939z00_2918 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2844)))->BgL_varz00);
				BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
					((BgL_nodez00_bglt) BgL_arg1939z00_2918));
			}
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2844)))->BgL_bodyz00));
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2844)))->BgL_onexitz00));
			{	/* Ast/check_type.scm 248 */
				bool_t BgL_test2245z00_3552;

				{	/* Ast/check_type.scm 248 */
					BgL_typez00_bglt BgL_arg1948z00_2919;
					BgL_typez00_bglt BgL_arg1949z00_2920;

					BgL_arg1948z00_2919 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2844))))->
						BgL_typez00);
					BgL_arg1949z00_2920 =
						BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
								(BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2844)), ((bool_t) 0));
					BgL_test2245z00_3552 =
						BGl_eqtypezf3zf3zzast_checkzd2typezd2(((obj_t) BgL_arg1948z00_2919),
						((obj_t) BgL_arg1949z00_2920));
				}
				if (BgL_test2245z00_3552)
					{	/* Ast/check_type.scm 248 */
						return BFALSE;
					}
				else
					{	/* Ast/check_type.scm 249 */
						BgL_typez00_bglt BgL_arg1945z00_2921;
						BgL_typez00_bglt BgL_arg1946z00_2922;

						BgL_arg1945z00_2921 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2844))))->
							BgL_typez00);
						BgL_arg1946z00_2922 =
							(((BgL_nodez00_bglt) COBJECT((((BgL_setzd2exzd2itz00_bglt)
											COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2844)))->
										BgL_bodyz00)))->BgL_typez00);
						return
							BGl_errz00zzast_checkzd2typezd2(((obj_t) (
									(BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2844)),
							BgL_arg1945z00_2921, ((obj_t) BgL_arg1946z00_2922));
					}
			}
		}

	}



/* &check-node-type-let-1320 */
	obj_t BGl_z62checkzd2nodezd2typezd2letzd21320z62zzast_checkzd2typezd2(obj_t
		BgL_envz00_2845, obj_t BgL_nodez00_2846)
	{
		{	/* Ast/check_type.scm 233 */
			{	/* Ast/check_type.scm 235 */
				obj_t BgL_g1288z00_2924;

				BgL_g1288z00_2924 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2846)))->BgL_bindingsz00);
				{
					obj_t BgL_l1286z00_2926;

					BgL_l1286z00_2926 = BgL_g1288z00_2924;
				BgL_zc3z04anonymousza31923ze3z87_2925:
					if (PAIRP(BgL_l1286z00_2926))
						{	/* Ast/check_type.scm 235 */
							{	/* Ast/check_type.scm 235 */
								obj_t BgL_bz00_2927;

								BgL_bz00_2927 = CAR(BgL_l1286z00_2926);
								{	/* Ast/check_type.scm 235 */
									obj_t BgL_arg1925z00_2928;

									BgL_arg1925z00_2928 = CDR(((obj_t) BgL_bz00_2927));
									BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
										((BgL_nodez00_bglt) BgL_arg1925z00_2928));
								}
							}
							{
								obj_t BgL_l1286z00_3581;

								BgL_l1286z00_3581 = CDR(BgL_l1286z00_2926);
								BgL_l1286z00_2926 = BgL_l1286z00_3581;
								goto BgL_zc3z04anonymousza31923ze3z87_2925;
							}
						}
					else
						{	/* Ast/check_type.scm 235 */
							((bool_t) 1);
						}
				}
			}
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2846)))->BgL_bodyz00));
			{	/* Ast/check_type.scm 237 */
				bool_t BgL_test2247z00_3586;

				{	/* Ast/check_type.scm 237 */
					BgL_typez00_bglt BgL_arg1936z00_2929;
					BgL_typez00_bglt BgL_arg1937z00_2930;

					BgL_arg1936z00_2929 =
						(((BgL_nodez00_bglt) COBJECT(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2846)))->
									BgL_bodyz00)))->BgL_typez00);
					BgL_arg1937z00_2930 =
						(((BgL_nodez00_bglt)
							COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_nodez00_2846))))->BgL_typez00);
					BgL_test2247z00_3586 =
						BGl_subtypezf3zf3zzast_checkzd2typezd2(BgL_arg1936z00_2929,
						BgL_arg1937z00_2930);
				}
				if (BgL_test2247z00_3586)
					{	/* Ast/check_type.scm 237 */
						return BFALSE;
					}
				else
					{	/* Ast/check_type.scm 238 */
						BgL_typez00_bglt BgL_arg1932z00_2931;
						BgL_typez00_bglt BgL_arg1933z00_2932;

						BgL_arg1932z00_2931 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2846))))->BgL_typez00);
						BgL_arg1933z00_2932 =
							(((BgL_nodez00_bglt) COBJECT(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2846)))->
										BgL_bodyz00)))->BgL_typez00);
						return
							BGl_errz00zzast_checkzd2typezd2(((obj_t) ((BgL_letzd2varzd2_bglt)
									BgL_nodez00_2846)), BgL_arg1932z00_2931,
							((obj_t) BgL_arg1933z00_2932));
					}
			}
		}

	}



/* &check-node-type-let-1318 */
	obj_t BGl_z62checkzd2nodezd2typezd2letzd21318z62zzast_checkzd2typezd2(obj_t
		BgL_envz00_2847, obj_t BgL_nodez00_2848)
	{
		{	/* Ast/check_type.scm 223 */
			{	/* Ast/check_type.scm 225 */
				obj_t BgL_g1285z00_2934;

				BgL_g1285z00_2934 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2848)))->BgL_localsz00);
				{
					obj_t BgL_l1283z00_2936;

					BgL_l1283z00_2936 = BgL_g1285z00_2934;
				BgL_zc3z04anonymousza31905ze3z87_2935:
					if (PAIRP(BgL_l1283z00_2936))
						{	/* Ast/check_type.scm 225 */
							{	/* Ast/check_type.scm 225 */
								obj_t BgL_arg1907z00_2937;

								BgL_arg1907z00_2937 = CAR(BgL_l1283z00_2936);
								{	/* Ast/check_type.scm 69 */
									BgL_valuez00_bglt BgL_funz00_2938;

									BgL_funz00_2938 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_arg1907z00_2937)))->
										BgL_valuez00);
									{	/* Ast/check_type.scm 69 */
										obj_t BgL_bodyz00_2939;

										BgL_bodyz00_2939 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2938)))->BgL_bodyz00);
										{	/* Ast/check_type.scm 70 */

											BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
												((BgL_nodez00_bglt) BgL_bodyz00_2939));
										}
									}
								}
							}
							{
								obj_t BgL_l1283z00_3615;

								BgL_l1283z00_3615 = CDR(BgL_l1283z00_2936);
								BgL_l1283z00_2936 = BgL_l1283z00_3615;
								goto BgL_zc3z04anonymousza31905ze3z87_2935;
							}
						}
					else
						{	/* Ast/check_type.scm 225 */
							((bool_t) 1);
						}
				}
			}
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2848)))->BgL_bodyz00));
			{	/* Ast/check_type.scm 227 */
				bool_t BgL_test2249z00_3620;

				{	/* Ast/check_type.scm 227 */
					BgL_typez00_bglt BgL_arg1920z00_2940;
					BgL_typez00_bglt BgL_arg1921z00_2941;

					BgL_arg1920z00_2940 =
						(((BgL_nodez00_bglt) COBJECT(
								(((BgL_letzd2funzd2_bglt) COBJECT(
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2848)))->
									BgL_bodyz00)))->BgL_typez00);
					BgL_arg1921z00_2941 =
						(((BgL_nodez00_bglt)
							COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_nodez00_2848))))->BgL_typez00);
					BgL_test2249z00_3620 =
						BGl_subtypezf3zf3zzast_checkzd2typezd2(BgL_arg1920z00_2940,
						BgL_arg1921z00_2941);
				}
				if (BgL_test2249z00_3620)
					{	/* Ast/check_type.scm 227 */
						return BFALSE;
					}
				else
					{	/* Ast/check_type.scm 228 */
						BgL_typez00_bglt BgL_arg1917z00_2942;
						BgL_typez00_bglt BgL_arg1918z00_2943;

						BgL_arg1917z00_2942 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nodez00_2848))))->BgL_typez00);
						BgL_arg1918z00_2943 =
							(((BgL_nodez00_bglt) COBJECT(
									(((BgL_letzd2funzd2_bglt) COBJECT(
												((BgL_letzd2funzd2_bglt) BgL_nodez00_2848)))->
										BgL_bodyz00)))->BgL_typez00);
						return
							BGl_errz00zzast_checkzd2typezd2(((obj_t) ((BgL_letzd2funzd2_bglt)
									BgL_nodez00_2848)), BgL_arg1917z00_2942,
							((obj_t) BgL_arg1918z00_2943));
					}
			}
		}

	}



/* &check-node-type-swit1316 */
	obj_t BGl_z62checkzd2nodezd2typezd2swit1316zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2849, obj_t BgL_nodez00_2850)
	{
		{	/* Ast/check_type.scm 207 */
			{

				BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2850)))->BgL_testz00));
				{
					obj_t BgL_clausesz00_2948;

					BgL_clausesz00_2948 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2850)))->BgL_clausesz00);
				BgL_loopz00_2947:
					if (NULLP(BgL_clausesz00_2948))
						{	/* Ast/check_type.scm 211 */
							{	/* Ast/check_type.scm 207 */
								obj_t BgL_nextzd2method1315zd2_2946;

								BgL_nextzd2method1315zd2_2946 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									((BgL_objectz00_bglt)
										((BgL_switchz00_bglt) BgL_nodez00_2850)),
									BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
									BGl_switchz00zzast_nodez00);
								return ((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_nextzd2method1315zd2_2946))
									(BgL_nextzd2method1315zd2_2946,
									((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2850)), BEOA);
							}
						}
					else
						{	/* Ast/check_type.scm 213 */
							obj_t BgL_clausez00_2949;

							BgL_clausez00_2949 = CAR(((obj_t) BgL_clausesz00_2948));
							{	/* Ast/check_type.scm 214 */
								obj_t BgL_arg1894z00_2950;

								BgL_arg1894z00_2950 = CDR(((obj_t) BgL_clausez00_2949));
								BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
									((BgL_nodez00_bglt) BgL_arg1894z00_2950));
							}
							{	/* Ast/check_type.scm 215 */
								BgL_typez00_bglt BgL_ntypez00_2951;

								BgL_ntypez00_2951 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												CDR(((obj_t) BgL_clausez00_2949)))))->BgL_typez00);
								{	/* Ast/check_type.scm 216 */
									bool_t BgL_test2251z00_3662;

									{	/* Ast/check_type.scm 216 */
										BgL_typez00_bglt BgL_arg1903z00_2952;

										BgL_arg1903z00_2952 =
											(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_switchz00_bglt) BgL_nodez00_2850))))->
											BgL_typez00);
										BgL_test2251z00_3662 =
											BGl_subtypezf3zf3zzast_checkzd2typezd2(BgL_ntypez00_2951,
											BgL_arg1903z00_2952);
									}
									if (BgL_test2251z00_3662)
										{	/* Ast/check_type.scm 217 */
											obj_t BgL_arg1900z00_2953;

											BgL_arg1900z00_2953 = CDR(((obj_t) BgL_clausesz00_2948));
											{
												obj_t BgL_clausesz00_3669;

												BgL_clausesz00_3669 = BgL_arg1900z00_2953;
												BgL_clausesz00_2948 = BgL_clausesz00_3669;
												goto BgL_loopz00_2947;
											}
										}
									else
										{	/* Ast/check_type.scm 218 */
											obj_t BgL_arg1901z00_2954;
											BgL_typez00_bglt BgL_arg1902z00_2955;

											BgL_arg1901z00_2954 = CDR(((obj_t) BgL_clausez00_2949));
											BgL_arg1902z00_2955 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_switchz00_bglt) BgL_nodez00_2850))))->
												BgL_typez00);
											return
												BGl_errz00zzast_checkzd2typezd2(BgL_arg1901z00_2954,
												BgL_ntypez00_2951, ((obj_t) BgL_arg1902z00_2955));
										}
								}
							}
						}
				}
			}
		}

	}



/* &check-node-type-fail1314 */
	obj_t BGl_z62checkzd2nodezd2typezd2fail1314zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2851, obj_t BgL_nodez00_2852)
	{
		{	/* Ast/check_type.scm 196 */
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2852)))->BgL_procz00));
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2852)))->BgL_msgz00));
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2852)))->BgL_objz00));
			{	/* Ast/check_type.scm 201 */
				bool_t BgL_test2252z00_3688;

				{	/* Ast/check_type.scm 201 */
					BgL_typez00_bglt BgL_arg1888z00_2957;

					BgL_arg1888z00_2957 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_failz00_bglt) BgL_nodez00_2852))))->BgL_typez00);
					BgL_test2252z00_3688 =
						(
						((obj_t) BgL_arg1888z00_2957) == BGl_za2magicza2z00zztype_cachez00);
				}
				if (BgL_test2252z00_3688)
					{	/* Ast/check_type.scm 201 */
						return BFALSE;
					}
				else
					{	/* Ast/check_type.scm 202 */
						BgL_typez00_bglt BgL_arg1887z00_2958;

						BgL_arg1887z00_2958 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_failz00_bglt) BgL_nodez00_2852))))->BgL_typez00);
						return
							BGl_errz00zzast_checkzd2typezd2(
							((obj_t)
								((BgL_failz00_bglt) BgL_nodez00_2852)), BgL_arg1887z00_2958,
							BGl_za2magicza2z00zztype_cachez00);
					}
			}
		}

	}



/* &check-node-type-cond1312 */
	obj_t BGl_z62checkzd2nodezd2typezd2cond1312zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2853, obj_t BgL_nodez00_2854)
	{
		{	/* Ast/check_type.scm 186 */
			{

				BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2854)))->BgL_testz00));
				BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2854)))->BgL_truez00));
				BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2854)))->BgL_falsez00));
				{	/* Ast/check_type.scm 186 */
					obj_t BgL_nextzd2method1311zd2_2961;

					BgL_nextzd2method1311zd2_2961 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt) BgL_nodez00_2854)),
						BGl_checkzd2nodezd2typezd2envzd2zzast_checkzd2typezd2,
						BGl_conditionalz00zzast_nodez00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1311zd2_2961))
						(BgL_nextzd2method1311zd2_2961,
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_2854)), BEOA);
				}
			}
		}

	}



/* &check-node-type-setq1310 */
	obj_t BGl_z62checkzd2nodezd2typezd2setq1310zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2855, obj_t BgL_nodez00_2856)
	{
		{	/* Ast/check_type.scm 176 */
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2856)))->BgL_valuez00));
			{	/* Ast/check_type.scm 179 */
				BgL_varz00_bglt BgL_arg1871z00_2963;

				BgL_arg1871z00_2963 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2856)))->BgL_varz00);
				BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
					((BgL_nodez00_bglt) BgL_arg1871z00_2963));
			}
			{	/* Ast/check_type.scm 180 */
				bool_t BgL_test2253z00_3725;

				{	/* Ast/check_type.scm 180 */
					BgL_typez00_bglt BgL_arg1876z00_2964;

					BgL_arg1876z00_2964 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setqz00_bglt) BgL_nodez00_2856))))->BgL_typez00);
					BgL_test2253z00_3725 =
						(
						((obj_t) BgL_arg1876z00_2964) ==
						BGl_za2unspecza2z00zztype_cachez00);
				}
				if (BgL_test2253z00_3725)
					{	/* Ast/check_type.scm 180 */
						return BFALSE;
					}
				else
					{	/* Ast/check_type.scm 181 */
						BgL_typez00_bglt BgL_arg1875z00_2965;

						BgL_arg1875z00_2965 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setqz00_bglt) BgL_nodez00_2856))))->BgL_typez00);
						return
							BGl_errz00zzast_checkzd2typezd2(
							((obj_t)
								((BgL_setqz00_bglt) BgL_nodez00_2856)), BgL_arg1875z00_2965,
							BGl_za2unspecza2z00zztype_cachez00);
					}
			}
		}

	}



/* &check-node-type-sync1308 */
	obj_t BGl_z62checkzd2nodezd2typezd2sync1308zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2857, obj_t BgL_nodez00_2858)
	{
		{	/* Ast/check_type.scm 167 */
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2858)))->BgL_mutexz00));
			BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2858)))->BgL_prelockz00));
			return
				BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2858)))->BgL_bodyz00));
		}

	}



/* &check-node-type-sequ1306 */
	obj_t BGl_z62checkzd2nodezd2typezd2sequ1306zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2859, obj_t BgL_nodez00_2860)
	{
		{	/* Ast/check_type.scm 154 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2860)))->BgL_nodesz00)))
				{	/* Ast/check_type.scm 161 */
					bool_t BgL_test2255z00_3750;

					{	/* Ast/check_type.scm 161 */
						BgL_typez00_bglt BgL_arg1864z00_2968;

						BgL_arg1864z00_2968 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_nodez00_2860))))->BgL_typez00);
						BgL_test2255z00_3750 =
							BGl_eqtypezf3zf3zzast_checkzd2typezd2(
							((obj_t) BgL_arg1864z00_2968),
							BGl_za2unspecza2z00zztype_cachez00);
					}
					if (BgL_test2255z00_3750)
						{	/* Ast/check_type.scm 161 */
							return BFALSE;
						}
					else
						{	/* Ast/check_type.scm 162 */
							BgL_typez00_bglt BgL_arg1862z00_2969;

							BgL_arg1862z00_2969 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_sequencez00_bglt) BgL_nodez00_2860))))->
								BgL_typez00);
							return
								BGl_errz00zzast_checkzd2typezd2(((obj_t) ((BgL_sequencez00_bglt)
										BgL_nodez00_2860)), BgL_arg1862z00_2969,
								BGl_za2unspecza2z00zztype_cachez00);
						}
				}
			else
				{	/* Ast/check_type.scm 156 */
					{	/* Ast/check_type.scm 158 */
						obj_t BgL_g1282z00_2970;

						BgL_g1282z00_2970 =
							(((BgL_sequencez00_bglt) COBJECT(
									((BgL_sequencez00_bglt) BgL_nodez00_2860)))->BgL_nodesz00);
						{
							obj_t BgL_l1279z00_2972;

							BgL_l1279z00_2972 = BgL_g1282z00_2970;
						BgL_zc3z04anonymousza31823ze3z87_2971:
							if (PAIRP(BgL_l1279z00_2972))
								{	/* Ast/check_type.scm 158 */
									{	/* Ast/check_type.scm 158 */
										obj_t BgL_arg1830z00_2973;

										BgL_arg1830z00_2973 = CAR(BgL_l1279z00_2972);
										BGl_checkzd2nodezd2typez00zzast_checkzd2typezd2(
											((BgL_nodez00_bglt) BgL_arg1830z00_2973));
									}
									{
										obj_t BgL_l1279z00_3769;

										BgL_l1279z00_3769 = CDR(BgL_l1279z00_2972);
										BgL_l1279z00_2972 = BgL_l1279z00_3769;
										goto BgL_zc3z04anonymousza31823ze3z87_2971;
									}
								}
							else
								{	/* Ast/check_type.scm 158 */
									((bool_t) 1);
								}
						}
					}
					{	/* Ast/check_type.scm 159 */
						bool_t BgL_test2257z00_3771;

						{	/* Ast/check_type.scm 159 */
							BgL_typez00_bglt BgL_arg1851z00_2974;
							BgL_typez00_bglt BgL_arg1854z00_2975;

							BgL_arg1851z00_2974 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
													(((BgL_sequencez00_bglt) COBJECT(
																((BgL_sequencez00_bglt) BgL_nodez00_2860)))->
														BgL_nodesz00))))))->BgL_typez00);
							BgL_arg1854z00_2975 =
								(((BgL_nodez00_bglt)
									COBJECT(((BgL_nodez00_bglt) ((BgL_sequencez00_bglt)
												BgL_nodez00_2860))))->BgL_typez00);
							BgL_test2257z00_3771 =
								BGl_subtypezf3zf3zzast_checkzd2typezd2(BgL_arg1851z00_2974,
								BgL_arg1854z00_2975);
						}
						if (BgL_test2257z00_3771)
							{	/* Ast/check_type.scm 159 */
								return BFALSE;
							}
						else
							{	/* Ast/check_type.scm 160 */
								BgL_typez00_bglt BgL_arg1846z00_2976;
								BgL_typez00_bglt BgL_arg1847z00_2977;

								BgL_arg1846z00_2976 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
														(((BgL_sequencez00_bglt) COBJECT(
																	((BgL_sequencez00_bglt) BgL_nodez00_2860)))->
															BgL_nodesz00))))))->BgL_typez00);
								BgL_arg1847z00_2977 =
									(((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_sequencez00_bglt)
													BgL_nodez00_2860))))->BgL_typez00);
								return
									BGl_errz00zzast_checkzd2typezd2(((obj_t) (
											(BgL_sequencez00_bglt) BgL_nodez00_2860)),
									BgL_arg1846z00_2976, ((obj_t) BgL_arg1847z00_2977));
							}
					}
				}
		}

	}



/* &check-node-type-clos1304 */
	obj_t BGl_z62checkzd2nodezd2typezd2clos1304zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2861, obj_t BgL_nodez00_2862)
	{
		{	/* Ast/check_type.scm 146 */
			{	/* Ast/check_type.scm 148 */
				bool_t BgL_test2258z00_3795;

				{	/* Ast/check_type.scm 148 */
					BgL_typez00_bglt BgL_arg1819z00_2979;

					BgL_arg1819z00_2979 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_closurez00_bglt) BgL_nodez00_2862))))->BgL_typez00);
					BgL_test2258z00_3795 =
						(
						((obj_t) BgL_arg1819z00_2979) ==
						BGl_za2procedureza2z00zztype_cachez00);
				}
				if (BgL_test2258z00_3795)
					{	/* Ast/check_type.scm 148 */
						return BFALSE;
					}
				else
					{	/* Ast/check_type.scm 149 */
						BgL_typez00_bglt BgL_arg1817z00_2980;

						BgL_arg1817z00_2980 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_closurez00_bglt) BgL_nodez00_2862))))->BgL_typez00);
						return
							BGl_errz00zzast_checkzd2typezd2(
							((obj_t)
								((BgL_closurez00_bglt) BgL_nodez00_2862)), BgL_arg1817z00_2980,
							BGl_za2procedureza2z00zztype_cachez00);
					}
			}
		}

	}



/* &check-node-type-kwot1302 */
	obj_t BGl_z62checkzd2nodezd2typezd2kwot1302zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2863, obj_t BgL_nodez00_2864)
	{
		{	/* Ast/check_type.scm 138 */
			{	/* Ast/check_type.scm 140 */
				bool_t BgL_test2259z00_3807;

				{	/* Ast/check_type.scm 140 */
					BgL_typez00_bglt BgL_arg1790z00_2982;
					BgL_typez00_bglt BgL_arg1811z00_2983;

					BgL_arg1790z00_2982 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_nodez00_2864))))->BgL_typez00);
					BgL_arg1811z00_2983 =
						BGl_getzd2typezd2kwotez00zztype_typeofz00(
						(((BgL_kwotez00_bglt) COBJECT(
									((BgL_kwotez00_bglt) BgL_nodez00_2864)))->BgL_valuez00));
					BgL_test2259z00_3807 =
						BGl_eqtypezf3zf3zzast_checkzd2typezd2(
						((obj_t) BgL_arg1790z00_2982), ((obj_t) BgL_arg1811z00_2983));
				}
				if (BgL_test2259z00_3807)
					{	/* Ast/check_type.scm 140 */
						return BFALSE;
					}
				else
					{	/* Ast/check_type.scm 141 */
						BgL_typez00_bglt BgL_arg1785z00_2984;
						BgL_typez00_bglt BgL_arg1787z00_2985;

						BgL_arg1785z00_2984 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_nodez00_2864))))->BgL_typez00);
						BgL_arg1787z00_2985 =
							BGl_getzd2typezd2kwotez00zztype_typeofz00(
							(((BgL_kwotez00_bglt) COBJECT(
										((BgL_kwotez00_bglt) BgL_nodez00_2864)))->BgL_valuez00));
						return
							BGl_errz00zzast_checkzd2typezd2(
							((obj_t)
								((BgL_kwotez00_bglt) BgL_nodez00_2864)), BgL_arg1785z00_2984,
							((obj_t) BgL_arg1787z00_2985));
					}
			}
		}

	}



/* &check-node-type-atom1300 */
	obj_t BGl_z62checkzd2nodezd2typezd2atom1300zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2865, obj_t BgL_nodez00_2866)
	{
		{	/* Ast/check_type.scm 130 */
			{	/* Ast/check_type.scm 132 */
				bool_t BgL_test2260z00_3827;

				{	/* Ast/check_type.scm 132 */
					BgL_typez00_bglt BgL_arg1769z00_2987;
					BgL_typez00_bglt BgL_arg1770z00_2988;

					BgL_arg1769z00_2987 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_atomz00_bglt) BgL_nodez00_2866))))->BgL_typez00);
					BgL_arg1770z00_2988 =
						BGl_getzd2typezd2atomz00zztype_typeofz00(
						(((BgL_atomz00_bglt) COBJECT(
									((BgL_atomz00_bglt) BgL_nodez00_2866)))->BgL_valuez00));
					BgL_test2260z00_3827 =
						BGl_atomzd2subtypezf3z21zzast_checkzd2typezd2(BgL_arg1769z00_2987,
						BgL_arg1770z00_2988);
				}
				if (BgL_test2260z00_3827)
					{	/* Ast/check_type.scm 132 */
						return BFALSE;
					}
				else
					{	/* Ast/check_type.scm 133 */
						BgL_typez00_bglt BgL_arg1763z00_2989;
						BgL_typez00_bglt BgL_arg1765z00_2990;

						BgL_arg1763z00_2989 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_atomz00_bglt) BgL_nodez00_2866))))->BgL_typez00);
						BgL_arg1765z00_2990 =
							BGl_getzd2typezd2atomz00zztype_typeofz00(
							(((BgL_atomz00_bglt) COBJECT(
										((BgL_atomz00_bglt) BgL_nodez00_2866)))->BgL_valuez00));
						return
							BGl_errz00zzast_checkzd2typezd2(
							((obj_t)
								((BgL_atomz00_bglt) BgL_nodez00_2866)), BgL_arg1763z00_2989,
							((obj_t) BgL_arg1765z00_2990));
					}
			}
		}

	}



/* &check-node-type-var1298 */
	obj_t BGl_z62checkzd2nodezd2typezd2var1298zb0zzast_checkzd2typezd2(obj_t
		BgL_envz00_2867, obj_t BgL_nodez00_2868)
	{
		{	/* Ast/check_type.scm 110 */
			{	/* Ast/check_type.scm 112 */
				BgL_variablez00_bglt BgL_i1114z00_2992;

				BgL_i1114z00_2992 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2868)))->BgL_variablez00);
				{	/* Ast/check_type.scm 113 */
					bool_t BgL_test2261z00_3847;

					{	/* Ast/check_type.scm 113 */
						BgL_valuez00_bglt BgL_arg1753z00_2993;

						BgL_arg1753z00_2993 =
							(((BgL_variablez00_bglt) COBJECT(
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_2868)))->
										BgL_variablez00)))->BgL_valuez00);
						{	/* Ast/check_type.scm 113 */
							obj_t BgL_classz00_2994;

							BgL_classz00_2994 = BGl_sfunz00zzast_varz00;
							{	/* Ast/check_type.scm 113 */
								BgL_objectz00_bglt BgL_arg1820z00_2995;

								{	/* Ast/check_type.scm 113 */
									obj_t BgL_tmpz00_3851;

									BgL_tmpz00_3851 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1753z00_2993));
									BgL_arg1820z00_2995 = (BgL_objectz00_bglt) (BgL_tmpz00_3851);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/check_type.scm 113 */
										long BgL_idxz00_2996;

										BgL_idxz00_2996 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2995);
										BgL_test2261z00_3847 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2996 + ((long) 3))) == BgL_classz00_2994);
									}
								else
									{	/* Ast/check_type.scm 113 */
										bool_t BgL_res2088z00_2999;

										{	/* Ast/check_type.scm 113 */
											obj_t BgL_oclassz00_3000;

											{	/* Ast/check_type.scm 113 */
												long BgL_arg1828z00_3001;

												{	/* Ast/check_type.scm 113 */
													long BgL_arg1829z00_3002;

													BgL_arg1829z00_3002 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2995);
													BgL_arg1828z00_3001 =
														(BgL_arg1829z00_3002 - OBJECT_TYPE);
												}
												BgL_oclassz00_3000 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_3001);
											}
											{	/* Ast/check_type.scm 113 */
												bool_t BgL__ortest_1111z00_3003;

												BgL__ortest_1111z00_3003 =
													(BgL_classz00_2994 == BgL_oclassz00_3000);
												if (BgL__ortest_1111z00_3003)
													{	/* Ast/check_type.scm 113 */
														BgL_res2088z00_2999 = BgL__ortest_1111z00_3003;
													}
												else
													{	/* Ast/check_type.scm 113 */
														long BgL_odepthz00_3004;

														BgL_odepthz00_3004 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3000);
														if ((((long) 3) < BgL_odepthz00_3004))
															{	/* Ast/check_type.scm 113 */
																obj_t BgL_arg1816z00_3005;

																BgL_arg1816z00_3005 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3000,
																	((long) 3));
																BgL_res2088z00_2999 =
																	(BgL_arg1816z00_3005 == BgL_classz00_2994);
															}
														else
															{	/* Ast/check_type.scm 113 */
																BgL_res2088z00_2999 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2261z00_3847 = BgL_res2088z00_2999;
									}
							}
						}
					}
					if (BgL_test2261z00_3847)
						{	/* Ast/check_type.scm 113 */
							return BFALSE;
						}
					else
						{	/* Ast/check_type.scm 113 */
							{	/* Ast/check_type.scm 114 */
								bool_t BgL_test2265z00_3871;

								{	/* Ast/check_type.scm 114 */
									bool_t BgL_test2266z00_3872;

									{	/* Ast/check_type.scm 114 */
										BgL_typez00_bglt BgL_arg1721z00_3006;
										BgL_typez00_bglt BgL_arg1723z00_3007;

										BgL_arg1721z00_3006 =
											(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_2868))))->
											BgL_typez00);
										BgL_arg1723z00_3007 =
											(((BgL_variablez00_bglt) COBJECT(BgL_i1114z00_2992))->
											BgL_typez00);
										BgL_test2266z00_3872 =
											BGl_subtypezf3zf3zzast_checkzd2typezd2
											(BgL_arg1721z00_3006, BgL_arg1723z00_3007);
									}
									if (BgL_test2266z00_3872)
										{	/* Ast/check_type.scm 114 */
											BgL_test2265z00_3871 = ((bool_t) 1);
										}
									else
										{	/* Ast/check_type.scm 115 */
											bool_t BgL_test2267z00_3878;

											{	/* Ast/check_type.scm 115 */
												bool_t BgL_test2268z00_3879;

												{	/* Ast/check_type.scm 115 */
													BgL_typez00_bglt BgL_arg1720z00_3008;

													BgL_arg1720z00_3008 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_varz00_bglt) BgL_nodez00_2868))))->
														BgL_typez00);
													BgL_test2268z00_3879 =
														(((obj_t) BgL_arg1720z00_3008) ==
														BGl_za2objza2z00zztype_cachez00);
												}
												if (BgL_test2268z00_3879)
													{	/* Ast/check_type.scm 115 */
														BgL_test2267z00_3878 =
															BGl_bigloozd2typezf3z21zztype_typez00(
															(((BgL_variablez00_bglt)
																	COBJECT(BgL_i1114z00_2992))->BgL_typez00));
													}
												else
													{	/* Ast/check_type.scm 115 */
														BgL_test2267z00_3878 = ((bool_t) 0);
													}
											}
											if (BgL_test2267z00_3878)
												{	/* Ast/check_type.scm 115 */
													BgL_test2265z00_3871 = ((bool_t) 1);
												}
											else
												{	/* Ast/check_type.scm 116 */
													bool_t BgL_test2269z00_3887;

													{	/* Ast/check_type.scm 116 */
														BgL_typez00_bglt BgL_arg1711z00_3009;

														BgL_arg1711z00_3009 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_i1114z00_2992))->BgL_typez00);
														{	/* Ast/check_type.scm 116 */
															obj_t BgL_classz00_3010;

															BgL_classz00_3010 =
																BGl_tclassz00zzobject_classz00;
															{	/* Ast/check_type.scm 116 */
																BgL_objectz00_bglt BgL_arg1820z00_3011;

																{	/* Ast/check_type.scm 116 */
																	obj_t BgL_tmpz00_3889;

																	BgL_tmpz00_3889 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1711z00_3009));
																	BgL_arg1820z00_3011 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_3889);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Ast/check_type.scm 116 */
																		long BgL_idxz00_3012;

																		BgL_idxz00_3012 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_3011);
																		BgL_test2269z00_3887 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3012 + ((long) 2))) ==
																			BgL_classz00_3010);
																	}
																else
																	{	/* Ast/check_type.scm 116 */
																		bool_t BgL_res2089z00_3015;

																		{	/* Ast/check_type.scm 116 */
																			obj_t BgL_oclassz00_3016;

																			{	/* Ast/check_type.scm 116 */
																				long BgL_arg1828z00_3017;

																				{	/* Ast/check_type.scm 116 */
																					long BgL_arg1829z00_3018;

																					BgL_arg1829z00_3018 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_3011);
																					BgL_arg1828z00_3017 =
																						(BgL_arg1829z00_3018 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3016 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_3017);
																			}
																			{	/* Ast/check_type.scm 116 */
																				bool_t BgL__ortest_1111z00_3019;

																				BgL__ortest_1111z00_3019 =
																					(BgL_classz00_3010 ==
																					BgL_oclassz00_3016);
																				if (BgL__ortest_1111z00_3019)
																					{	/* Ast/check_type.scm 116 */
																						BgL_res2089z00_3015 =
																							BgL__ortest_1111z00_3019;
																					}
																				else
																					{	/* Ast/check_type.scm 116 */
																						long BgL_odepthz00_3020;

																						BgL_odepthz00_3020 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_3016);
																						if ((((long) 2) <
																								BgL_odepthz00_3020))
																							{	/* Ast/check_type.scm 116 */
																								obj_t BgL_arg1816z00_3021;

																								BgL_arg1816z00_3021 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_3016,
																									((long) 2));
																								BgL_res2089z00_3015 =
																									(BgL_arg1816z00_3021 ==
																									BgL_classz00_3010);
																							}
																						else
																							{	/* Ast/check_type.scm 116 */
																								BgL_res2089z00_3015 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2269z00_3887 = BgL_res2089z00_3015;
																	}
															}
														}
													}
													if (BgL_test2269z00_3887)
														{	/* Ast/check_type.scm 116 */
															BgL_typez00_bglt BgL_arg1698z00_3022;
															BgL_typez00_bglt BgL_arg1705z00_3023;

															BgL_arg1698z00_3022 =
																(((BgL_variablez00_bglt)
																	COBJECT(BgL_i1114z00_2992))->BgL_typez00);
															BgL_arg1705z00_3023 =
																(((BgL_nodez00_bglt)
																	COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
																				BgL_nodez00_2868))))->BgL_typez00);
															BgL_test2265z00_3871 =
																BGl_subtypezf3zf3zzast_checkzd2typezd2
																(BgL_arg1698z00_3022, BgL_arg1705z00_3023);
														}
													else
														{	/* Ast/check_type.scm 116 */
															BgL_test2265z00_3871 = ((bool_t) 0);
														}
												}
										}
								}
								if (BgL_test2265z00_3871)
									{	/* Ast/check_type.scm 114 */
										BFALSE;
									}
								else
									{	/* Ast/check_type.scm 114 */
										{	/* Ast/check_type.scm 117 */
											obj_t BgL_arg1610z00_3024;
											obj_t BgL_arg1614z00_3025;
											obj_t BgL_arg1615z00_3026;
											obj_t BgL_arg1616z00_3027;
											obj_t BgL_arg1625z00_3028;
											bool_t BgL_arg1629z00_3029;
											bool_t BgL_arg1630z00_3030;

											{	/* Ast/check_type.scm 117 */
												obj_t BgL_tmpz00_3914;

												BgL_tmpz00_3914 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg1610z00_3024 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3914);
											}
											BgL_arg1614z00_3025 =
												BGl_shapez00zztools_shapez00(
												((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2868)));
											BgL_arg1615z00_3026 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_varz00_bglt) BgL_nodez00_2868))))->
												BgL_locz00);
											{	/* Ast/check_type.scm 118 */
												BgL_typez00_bglt BgL_arg1677z00_3031;

												BgL_arg1677z00_3031 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_varz00_bglt) BgL_nodez00_2868))))->
													BgL_typez00);
												BgL_arg1616z00_3027 =
													BGl_shapez00zztools_shapez00(((obj_t)
														BgL_arg1677z00_3031));
											}
											{	/* Ast/check_type.scm 118 */
												BgL_typez00_bglt BgL_arg1680z00_3032;

												BgL_arg1680z00_3032 =
													(((BgL_variablez00_bglt) COBJECT(BgL_i1114z00_2992))->
													BgL_typez00);
												BgL_arg1625z00_3028 =
													BGl_shapez00zztools_shapez00(((obj_t)
														BgL_arg1680z00_3032));
											}
											BgL_arg1629z00_3029 =
												(
												((obj_t)
													(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_varz00_bglt) BgL_nodez00_2868))))->
														BgL_typez00)) ==
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_i1114z00_2992))->BgL_typez00)));
											{	/* Ast/check_type.scm 119 */
												BgL_typez00_bglt BgL_arg1687z00_3033;
												BgL_typez00_bglt BgL_arg1692z00_3034;

												BgL_arg1687z00_3033 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_varz00_bglt) BgL_nodez00_2868))))->
													BgL_typez00);
												BgL_arg1692z00_3034 =
													(((BgL_variablez00_bglt) COBJECT(BgL_i1114z00_2992))->
													BgL_typez00);
												BgL_arg1630z00_3030 =
													BGl_subtypezf3zf3zzast_checkzd2typezd2
													(BgL_arg1687z00_3033, BgL_arg1692z00_3034);
											}
											{	/* Ast/check_type.scm 117 */
												obj_t BgL_list1631z00_3035;

												{	/* Ast/check_type.scm 117 */
													obj_t BgL_arg1632z00_3036;

													{	/* Ast/check_type.scm 117 */
														obj_t BgL_arg1635z00_3037;

														{	/* Ast/check_type.scm 117 */
															obj_t BgL_arg1636z00_3038;

															{	/* Ast/check_type.scm 117 */
																obj_t BgL_arg1639z00_3039;

																{	/* Ast/check_type.scm 117 */
																	obj_t BgL_arg1641z00_3040;

																	{	/* Ast/check_type.scm 117 */
																		obj_t BgL_arg1645z00_3041;

																		{	/* Ast/check_type.scm 117 */
																			obj_t BgL_arg1646z00_3042;

																			{	/* Ast/check_type.scm 117 */
																				obj_t BgL_arg1648z00_3043;

																				{	/* Ast/check_type.scm 117 */
																					obj_t BgL_arg1651z00_3044;

																					{	/* Ast/check_type.scm 117 */
																						obj_t BgL_arg1652z00_3045;

																						{	/* Ast/check_type.scm 117 */
																							obj_t BgL_arg1653z00_3046;

																							{	/* Ast/check_type.scm 117 */
																								obj_t BgL_arg1661z00_3047;

																								{	/* Ast/check_type.scm 117 */
																									obj_t BgL_arg1662z00_3048;

																									{	/* Ast/check_type.scm 117 */
																										obj_t BgL_arg1663z00_3049;

																										{	/* Ast/check_type.scm 117 */
																											obj_t BgL_arg1672z00_3050;

																											{	/* Ast/check_type.scm 117 */
																												obj_t
																													BgL_arg1673z00_3051;
																												{	/* Ast/check_type.scm 117 */
																													obj_t
																														BgL_arg1674z00_3052;
																													BgL_arg1674z00_3052 =
																														MAKE_YOUNG_PAIR
																														(BBOOL
																														(BGl_za2checkzd2fullza2zd2zzast_checkzd2typezd2),
																														BNIL);
																													BgL_arg1673z00_3051 =
																														MAKE_YOUNG_PAIR
																														(BGl_string2126z00zzast_checkzd2typezd2,
																														BgL_arg1674z00_3052);
																												}
																												BgL_arg1672z00_3050 =
																													MAKE_YOUNG_PAIR(BBOOL
																													(BgL_arg1630z00_3030),
																													BgL_arg1673z00_3051);
																											}
																											BgL_arg1663z00_3049 =
																												MAKE_YOUNG_PAIR
																												(BGl_string2127z00zzast_checkzd2typezd2,
																												BgL_arg1672z00_3050);
																										}
																										BgL_arg1662z00_3048 =
																											MAKE_YOUNG_PAIR(BBOOL
																											(BgL_arg1629z00_3029),
																											BgL_arg1663z00_3049);
																									}
																									BgL_arg1661z00_3047 =
																										MAKE_YOUNG_PAIR
																										(BGl_string2128z00zzast_checkzd2typezd2,
																										BgL_arg1662z00_3048);
																								}
																								BgL_arg1653z00_3046 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1625z00_3028,
																									BgL_arg1661z00_3047);
																							}
																							BgL_arg1652z00_3045 =
																								MAKE_YOUNG_PAIR
																								(BGl_string2129z00zzast_checkzd2typezd2,
																								BgL_arg1653z00_3046);
																						}
																						BgL_arg1651z00_3044 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1616z00_3027,
																							BgL_arg1652z00_3045);
																					}
																					BgL_arg1648z00_3043 =
																						MAKE_YOUNG_PAIR
																						(BGl_string2130z00zzast_checkzd2typezd2,
																						BgL_arg1651z00_3044);
																				}
																				BgL_arg1646z00_3042 =
																					MAKE_YOUNG_PAIR(BgL_arg1615z00_3026,
																					BgL_arg1648z00_3043);
																			}
																			BgL_arg1645z00_3041 =
																				MAKE_YOUNG_PAIR
																				(BGl_string2131z00zzast_checkzd2typezd2,
																				BgL_arg1646z00_3042);
																		}
																		BgL_arg1641z00_3040 =
																			MAKE_YOUNG_PAIR(BgL_arg1614z00_3025,
																			BgL_arg1645z00_3041);
																	}
																	BgL_arg1639z00_3039 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2132z00zzast_checkzd2typezd2,
																		BgL_arg1641z00_3040);
																}
																BgL_arg1636z00_3038 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2133z00zzast_checkzd2typezd2,
																	BgL_arg1639z00_3039);
															}
															BgL_arg1635z00_3037 =
																MAKE_YOUNG_PAIR(BINT(((long) 117)),
																BgL_arg1636z00_3038);
														}
														BgL_arg1632z00_3036 =
															MAKE_YOUNG_PAIR
															(BGl_string2134z00zzast_checkzd2typezd2,
															BgL_arg1635z00_3037);
													}
													BgL_list1631z00_3035 =
														MAKE_YOUNG_PAIR
														(BGl_string2135z00zzast_checkzd2typezd2,
														BgL_arg1632z00_3036);
												}
												BGl_tprintz00zz__r4_output_6_10_3z00
													(BgL_arg1610z00_3024, BgL_list1631z00_3035);
										}}
										{	/* Ast/check_type.scm 121 */
											BgL_typez00_bglt BgL_arg1696z00_3053;
											BgL_typez00_bglt BgL_arg1697z00_3054;

											BgL_arg1696z00_3053 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_varz00_bglt) BgL_nodez00_2868))))->
												BgL_typez00);
											BgL_arg1697z00_3054 =
												(((BgL_variablez00_bglt) COBJECT(BgL_i1114z00_2992))->
												BgL_typez00);
											BGl_errz00zzast_checkzd2typezd2(((obj_t) (
														(BgL_varz00_bglt) BgL_nodez00_2868)),
												BgL_arg1696z00_3053, ((obj_t) BgL_arg1697z00_3054));
							}}}
							{	/* Ast/check_type.scm 122 */
								bool_t BgL_test2273z00_3974;

								{	/* Ast/check_type.scm 122 */
									bool_t BgL_test2274z00_3975;

									{	/* Ast/check_type.scm 122 */
										BgL_typez00_bglt BgL_arg1752z00_3055;

										BgL_arg1752z00_3055 =
											(((BgL_variablez00_bglt) COBJECT(BgL_i1114z00_2992))->
											BgL_typez00);
										BgL_test2274z00_3975 =
											(((obj_t) BgL_arg1752z00_3055) ==
											BGl_za2_za2z00zztype_cachez00);
									}
									if (BgL_test2274z00_3975)
										{	/* Ast/check_type.scm 123 */
											bool_t BgL_test2275z00_3979;

											{	/* Ast/check_type.scm 123 */
												BgL_variablez00_bglt BgL_arg1751z00_3056;

												BgL_arg1751z00_3056 =
													(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_2868)))->
													BgL_variablez00);
												{	/* Ast/check_type.scm 123 */
													obj_t BgL_classz00_3057;

													BgL_classz00_3057 = BGl_globalz00zzast_varz00;
													{	/* Ast/check_type.scm 123 */
														BgL_objectz00_bglt BgL_arg1820z00_3058;

														{	/* Ast/check_type.scm 123 */
															obj_t BgL_tmpz00_3982;

															BgL_tmpz00_3982 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg1751z00_3056));
															BgL_arg1820z00_3058 =
																(BgL_objectz00_bglt) (BgL_tmpz00_3982);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Ast/check_type.scm 123 */
																long BgL_idxz00_3059;

																BgL_idxz00_3059 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_3058);
																BgL_test2275z00_3979 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3059 + ((long) 2))) ==
																	BgL_classz00_3057);
															}
														else
															{	/* Ast/check_type.scm 123 */
																bool_t BgL_res2090z00_3062;

																{	/* Ast/check_type.scm 123 */
																	obj_t BgL_oclassz00_3063;

																	{	/* Ast/check_type.scm 123 */
																		long BgL_arg1828z00_3064;

																		{	/* Ast/check_type.scm 123 */
																			long BgL_arg1829z00_3065;

																			BgL_arg1829z00_3065 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_3058);
																			BgL_arg1828z00_3064 =
																				(BgL_arg1829z00_3065 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3063 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_3064);
																	}
																	{	/* Ast/check_type.scm 123 */
																		bool_t BgL__ortest_1111z00_3066;

																		BgL__ortest_1111z00_3066 =
																			(BgL_classz00_3057 == BgL_oclassz00_3063);
																		if (BgL__ortest_1111z00_3066)
																			{	/* Ast/check_type.scm 123 */
																				BgL_res2090z00_3062 =
																					BgL__ortest_1111z00_3066;
																			}
																		else
																			{	/* Ast/check_type.scm 123 */
																				long BgL_odepthz00_3067;

																				BgL_odepthz00_3067 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3063);
																				if ((((long) 2) < BgL_odepthz00_3067))
																					{	/* Ast/check_type.scm 123 */
																						obj_t BgL_arg1816z00_3068;

																						BgL_arg1816z00_3068 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3063, ((long) 2));
																						BgL_res2090z00_3062 =
																							(BgL_arg1816z00_3068 ==
																							BgL_classz00_3057);
																					}
																				else
																					{	/* Ast/check_type.scm 123 */
																						BgL_res2090z00_3062 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2275z00_3979 = BgL_res2090z00_3062;
															}
													}
												}
											}
											if (BgL_test2275z00_3979)
												{	/* Ast/check_type.scm 123 */
													if (
														((((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt)
																			(((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							BgL_nodez00_2868)))->
																				BgL_variablez00))))->BgL_importz00) ==
															CNST_TABLE_REF(((long) 2))))
														{	/* Ast/check_type.scm 124 */
															BgL_test2273z00_3974 = ((bool_t) 0);
														}
													else
														{	/* Ast/check_type.scm 124 */
															BgL_test2273z00_3974 = ((bool_t) 1);
														}
												}
											else
												{	/* Ast/check_type.scm 123 */
													BgL_test2273z00_3974 = ((bool_t) 0);
												}
										}
									else
										{	/* Ast/check_type.scm 122 */
											BgL_test2273z00_3974 = ((bool_t) 0);
										}
								}
								if (BgL_test2273z00_3974)
									{	/* Ast/check_type.scm 122 */
										return
											BGl_errzd2nozd2typez00zzast_checkzd2typezd2(
											((BgL_nodez00_bglt)
												((BgL_varz00_bglt) BgL_nodez00_2868)));
									}
								else
									{	/* Ast/check_type.scm 122 */
										return BFALSE;
									}
							}
						}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2typezd2(void)
	{
		{	/* Ast/check_type.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
			return
				BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 153808441),
				BSTRING_TO_STRING(BGl_string2136z00zzast_checkzd2typezd2));
		}

	}

#ifdef __cplusplus
}
#endif
